Princeton, New Jersey (CNN) -- Washington is stifled by gridlock. As New Jersey Gov. Chris Christie said in his speech at the Ronald Reagan Library, "We drift from conflict to conflict, with little or no resolution."

Even the most routine budgeting decisions turn into high-stakes showdowns with threats of default and government shutdowns. The party leaders are deep into a mindset with which they feel free to threaten, cajole and refuse to act until the very last moment. Big decisions are put off. Small issues are barely resolved.

Gridlock, however, is not politically neutral. The conventional wisdom is that under current conditions nothing gets done -- and neither party benefits. But in fact, the chronic battles over budget decisions tend to benefit the Republican agenda.

While it seems that neither side is making progress when the government machine grinds to a halt, in fact Democrats keep losing as the agenda shifts toward the right.

Gridlock benefits Republicans and, more broadly, conservative politics, for several reasons.

The first is that without normalized and predictable budgets, government agencies can't engage in long-term planning. Agency heads have to scramble from month to month just to keep existing programs intact. The notion of designing long-term plans to improve and strengthen programs goes out the window. Even an agency like the Federal Emergency Management Agency can't count on having the funds that it needs in dire emergencies. The result is that the key agencies of government are steadily weakened.

A government in gridlock also fails to update programs as times change. As the political scientists Suzanne Mettler and Andrew Milstein found, the inflation-adjusted value of welfare payments, the minimum wage, food stamps and unemployment benefits all fell steadily after the 1970s.

The second reason that Democrats are harmed by gridlock is because a dysfunctional Washington fuels public distrust in the federal government. A CNN/ORC poll recently found that only 15% of the public trusts government to do what is right always or most of the time, a notable decline from the 25% level in September 2010.

When the public does not trust the government, Republicans win. After all, a key argument of modern conservatism has been that government intervention, at least when it comes to domestic issues, is bad. "Government is not the solution to our problem," President Ronald Reagan said, "Government is the problem." That argument resonates much more when voters are watching the current circus in the nation's capital.

It is not surprising that the conservative movement flourished in the 1970s and 1980s, two decades that witnessed a sharp decline in public trust of government institutions. As gridlock generates doubts about the ability of politicians to handle problems, the ability of Democrats to win support for federal programs vastly diminishes.

Finally, gridlock shrinks the political space that exists to propose new programs. With gridlock this strong, and a budget process that is so grueling, most of the energy in Washington turns toward protecting existing programs from elimination.

Ultimately, a strong Democratic Party can only thrive when it is possible to push new government initiatives. Otherwise, the party loses much of its vibrancy and becomes a more moderate shadow of the GOP. While Republicans push to cut domestic programs, Democrats are left simply calling for smaller cuts. This is not the kind of rallying cry that a party needs to galvanize strong majorities, nor is it a way to build a historical legacy.

For all these reasons, a period of gridlock is a period of Republican strength. Perhaps the toughest part about this for Democrats is that the impact of the paralysis is not visible to most Americans, including many of the party's most loyal supporters. Voters simply see an entire system that is broken and one where nothing appears to get done. The reality, however, is that Republicans keep moving forward as their opponents stand still.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Julian Zelizer: On the surface, it seems gridlock hurts both parites

@highlight

He says Democrats suffer more since their party places more reliance on government

@highlight

Gridlock prevents government agencies from planning and taking the initiative

@highlight

Zelizer: Focus for Democrats shifts from proposing to protecting government programs