(CNN) -- The stakes are high this November, for the strength of our economy and the direction of our country. For me, like a lot of us, the stakes are also personal: The choice I make in the voting booth will significantly affect my friends, my loved ones and my generation. Like many millennials, I am concerned about the job market and costs of college. And I'm worried about access to affordable health care for all.

But I could never have predicted just how intensely personal this election would become. When I was publicly attacked for testifying before members of Congress, I became even more keenly aware that the rights that generations of women fought so hard to achieve could be rolled back easily. That began a national conversation that I believe highlighted President Barack Obama and former Gov. Mitt Romney's vastly different values and visions.

Obama is committed to rebuilding our economy upon the values of fairness and opportunity and the belief that all Americans, both men and women, must have the rights they deserve. That's why I'm proud to endorse his re-election.

He's demonstrated those values since he moved into the Oval Office. The first law he signed was the Lilly Ledbetter Fair Pay Act, which empowers women to challenge pay discrimination in the workplace. He's now asking Congress to pass the Paycheck Fairness Act to help stop pay discrimination before it starts and close the 23% gap between women's earnings and men's earnings.

Obama also made college more affordable by doubling our investment in Pell Grant scholarships, giving students tuition tax breaks and by fighting to keep interest rates low on student loans. He's helping millions of students graduate without the weight of unbearable loans and financial insecurity.

Most importantly, Obamacare is providing vital health coverage for millions of young Americans, especially women and families. When the reforms are fully in effect, we will no longer be denied coverage because of a preexisting condition or charged more for insurance because we are women. We will finally have affordable access to preventive care, such as prenatal exams, cancer screenings and contraception. Health reform makes real the fair premise that our access to basic health care shouldn't depend on where we work, where we go to school or what gender we are.

Opinion: Slurs won't silence women

Obama has moved our country forward by working not only to ensure Americans' prosperity, but also by guaranteeing that our rights are protected and we all have opportunities to succeed. By comparison, Romney has offered only frightening promises to send us backward.

On fair pay for women, Romney says he won't do anything to make the situation worse; this is little comfort when he then says he won't do anything to make it better. He won't tell us whether he would have signed the Lilly Ledbetter law, and he failed to stand up to congressional Republicans who opposed the Paycheck Fairness Act.

Romney would cut his own taxes, but make college more expensive for young people just getting on their feet. Those aren't the values we want in a president -- and they're a stark contrast to Obama, who would raise his own taxes and keep cutting them for the middle class. Romney would allow the college tax credit expire for millions of middle-class families and embraced the congressional Republican budget that would let student loan interest rates double.

Instead of explaining how he would improve Americans' access to health care, Romney says only that he would "repeal Obamacare" and "kill it dead on its first day."

In practical terms, that means Romney would strip health care coverage from the more than 6.6 million young Americans who, thanks to Obamacare, are not being dropped from their parents' insurance coverage. He would allow insurance companies to keep charging women a billion dollars more every year than they charge men. He would eliminate mandatory preventative care coverage despite its life-saving benefits. In this, Romney has revealed an alarming lack of the vision required to lead.

Fundamentally, it's that capacity for leadership that is most important in a president, which brings me back to the national conversation fueled by the verbal assault I experienced earlier this year.

In the aftermath of those attacks, I was heartened by the many Americans of all political stripes who reached out to me and supported me. They knew that whether we agree or disagree, as Americans we defend one another's right to speak before our elected officials without enduring personal attacks.

Obama responded as so many Americans did, by condemning those attacks as antithetical to our democracy.

Romney, when pressed to address those attacks, could only say, "Those aren't the words I would have chosen." If Romney lacks the leadership to stand up to extremists in his own party, then he's not the president we need.
At a time when women's rights especially are under virulent attack, we cannot elect a leader who won't or can't stand up to those extremists and protect the rights that generations of women have fought so hard to ensure.

Thankfully, we don't have to. We have a president who has consistently shown he will defend those rights while working to ensure that all women and men have all the protections and opportunities they need to pursue economic success.

But if we're going to keep Obama in the White House, we need to get involved, get out the vote and do what Romney refuses to do on everything from fair pay to women's rights: speak up. I'll never stop speaking up, and I hope you'll join me.

The opinions expressed in this commentary are solely those of Sandra Fluke.

@highlight

Sandra Fluke says stakes are high in the election, which is extremely personal for her

@highlight

Fluke: Attacks on me brought home how easily women's rights can be taken away

@highlight

Romney is anti-middle class and anti-women, she says, and panders to extremists

@highlight

Fluke: We need to support Obama, who has the vision and values for a better America