CNN -- Just so you know, Bart Ehrman says he's not the anti-Christ.

Bart Ehrman says most of the New Testament is a forgery but it's still an important body of work.

He says he's not trying to destroy your faith. He's not trying to bash the Bible. And, though his mother no longer talks to him about religion, Ehrman says some of his best friends are Christian.

Ehrman, a best-selling author and a professor of religious studies at the University of North Carolina at Chapel Hill, is a biblical sleuth whose investigations make some people very angry. Like the fictional Robert Langdon character played by actor Tom Hanks in the movie "Angels & Demons," he delves into the past to challenge some of Christianity's central claims.

In Ehrman's latest book, "Jesus, Interrupted," he concludes:

Doctrines such as the divinity of Jesus and heaven and hell are not based on anything Jesus or his earlier followers said.

At least 19 of the 27 books in the New Testament are forgeries.

Believing the Bible is infallible is not a condition for being a Christian.

"Christianity has never been about the Bible being the inerrant word of God," Ehrman says. "Christianity is about the belief in Christ."

Critic: 'There's a touch of arrogance' about him

Ehrman's claims have found an audience, and controversy. He's a fixture on History Channel and Discovery Channel documentaries on Christianity. He's appeared on National Public Radio, CNN and the BBC and talked about scribes misquoting Jesus on "The Daily Show with Jon Stewart."

Yet Ehrman's popularity also may be due to a larger trend. The books of people like Elaine Pagels, author of "The Gnostic Gospels," and Dan Brown, author of "The Da Vinci Code" and "Angels and Demons," resonate with people who believe there are parts of the Bible that the church left on history's editing floor.

Some scholarly critics say Ehrman is saying nothing new.

Bishop William H. Willimon, an author and United Methodist Church bishop based in Alabama, says he doesn't like the "breathless tone" of Ehrman's work.

"He keeps presenting this stuff as if this is wonderful new knowledge that has been kept from you backward lay people and this is the stuff your preachers don't have the guts to tell, and I have," Willimon says. "There's a touch of arrogance in it."

Yet even many of Ehrman's critics say he has a knack for making arcane New Testament scholarship accessible to the public.

"He has a gift for clear thinking and an ability to present some complicated things in simple, direct ways," Willimon says.

Some pastors also say that Ehrman forces them to confront tough questions about the Bible in front of their congregations.

"His take on the scriptures is a gift to the church because of his ability to articulate questions and challenges,"  says Rev. Guy Williams, a blogger who also happens to be a Methodist minister in Houston, Texas. "It gives us an opportunity to wrestle with the [Bible's] claims and questions."

Ehrman: There was no resurrection

Ehrman says that no one accepts everything in the Bible. Everyone picks and chooses . He cites some New Testament's references to the role of women in church as an example.

In the first book of Corinthians, Ehrman says, the Apostle Paul insists that women should remain silent in church (1 Corinthians 14:35-36).

In the 16th chapter of the book of Romans, Paul's attitude is that women could and should be church leaders -- and he cites women who were serving as deacons and apostles in the early church, Ehrman says.

Ehrman backs his arguments with a deep knowledge of the culture and history of the New Testament world. He's written 20 books on early Christianity and is an authority on ancient manuscripts used to translate the Bible.

His claims, though, take on some of Christianity's most sacred tenets, like the resurrection of Jesus. Ehrman says he doesn't think the resurrection took place. There's no proof Jesus physically rose from the dead, and the resurrection stories contradict one another, he says.

He says he doesn't believe the followers of Jesus saw their master bodily rise from the dead, but something else.

"My best guess is that what happened is what commonly happens today when someone has a loved one die -- they sometimes think they see them in a vision," Ehrman says. "I think some of the disciples had visions."

Ehrman says he immerses himself in the Bible, though he doesn't believe in its infallibility, because it's the most important book in Western civilization.

"I have friends who teach medieval English," he says. "They don't believe in Chaucer, but they think Chaucer is important," he writes in the conclusion of "Jesus, Interrupted."

The fundamentalist turns agnostic

Ehrman once had a different attitude toward the Bible.

He was raised in the Episcopal Church in Lawrence, Kansas, and became a fundamentalist Christian at age 15 when he met a charismatic Christian youth group leader who reached out to him. Ehrman says he later persuaded his parents to embrace a more conservative brand of Christianity.

He says he became so devoted to the Bible that he memorized entire sections. He was convinced the Bible was "God's words."

But Ehrman says he began to develop doubts about the infallibility of the Bible after attending Princeton Theological Seminary to become a college Bible professor.

He even began to change his opinion of the Christian youth group leader who helped convert him. The youth leader visited Ehrman's father when he was dying of cancer in a hospital.

The youth leader used a bottle of hotel shampoo to "anoint" his father, and tried to persuade his father to confess specific sins, Ehrman says. Ehrman says he was angry at the minister for acting "self-righteous" and "hypocritical."

"For a vulnerable high-schooler who is trying to figure out the world, a personality like that is very attractive," Ehrman says. "They're like cult leaders. They have all the answers."

Ehrman says he later became an agnostic because he couldn't find the answer to another question: How could there be a God when there is so much suffering in the world? An agnostic is one who disclaims any knowledge of God, but does not deny the possibility of God's existence.

Today, Ehrman describes himself as a "happy agnostic."

But some people can't believe an agnostic can be happy, he says. They tell him that they're praying for him. Others say worse. They say he's being fooled by Satan and he's headed to hell. Some say he's the anti-Christ.

"I'm not that powerful," he says, laughing.

His family, however, feels no obligation to talk to Ehrman about his ideas on the Bible, Ehrman says. His mother, brother and sister remain conservative Christians.

He once tried to talk to his mother about his new beliefs, but the discussion proved fruitless.

"My mom is a strong evangelical," Ehrman says. "We talk basketball. We don't talk religion."

Still, Ehrman says he still sends his mother and siblings copies of his latest books. They've never responded, he says.

"I imagine they're hidden in a back room," he says.

Whether it's his family, critics or students, Ehrman says he has a better handle on why he is so threatening to so many people -- some Christians worry they will make the same decision he has.

"I changed my mind," he says. "My students find me more dangerous that way. I really do know what they're talking about when they stake out an evangelical position."

@highlight

Meet a real-life "Angels & Demons" professor

@highlight

Biblical scholar says most of New Testament is a forgery

@highlight

Scholar's work gains audience skeptical of church

@highlight

Scholar's mom no longer talks to him about his books