(CNN) -- While all eyes were on Rome for the election of a new pope, for Catholics, the importance of the event went beyond an impressive spectacle.

Pope Francis, previously known as Cardinal Jorge Mario Bergoglio from Argentina, will now be the spiritual and moral leader for more than 1.2 billion Catholics across the world.

Already, he has given a clear sense of how his tenure will be more distinct from his retired predecessor, asking first for the audience's prayers instead of giving a blessing, and choosing his name in honor of St. Francis of Assisi, who humbly dedicated his life to aiding the less fortunate.

5 things to know about the new pope

Now some Catholics are taking a more introspective look at their church and pondering what the pope should focus on. From returning to a simpler message to welcoming women -- and gay-friendly views, here are some of the top priorities from Catholics around the world:

Rethink the church's -- and his -- position on gay rights

The issue of gay rights has proved deeply controversial within the Catholic Church, and led to accusations from activists that it remains mired in the past rather than looking toward a more inclusive future.

Josep Prat Vinolas from Spain thinks the new pope and the church need to rethink their position on gay rights and gay marriage.

Catholics: Tell us your views on the new pope

Pope Francis once called the Argentine government support for a bill on gay marriage "an attempt to destroy God's plan," but Vinolas says the new pope bears the responsibility of opening the eyes of the church to other views, even if he is conservative.

"There are gays who are Catholics. I'm not saying [for him] to accept that, but not to compare it with evil," he said. "I think he could say that he respects different people and that the house of God is the house of all."

Bring much needed reform

The U.S. has been at the forefront of some of the worst scandals wracking the church in recent years, over the sexual abuse of children by men of the cloth. American iReporter and committed Catholic Jannet Walsh wants action.

"[The church must] clean up, resolve and prevent future scandals," said the Minnesota resident. "The world has heard enough on this subject and wants to move on."

Walsh was also one of the first people to point out the importance of the name Francis, arguing the move was "very telling" because of the medieval Italian saint's emphasis on rebuilding the church, love of the poor, and adeptness at reconciliation.

"A charismatic or people's pope might just be just what the people need to be inspired in their faith and bring joy into their [lives]," she argued.

Open up the church to women

Meanwhile, 50% of the world's Catholics remain excluded from the highest echelons of the church because of their sex -- and Filipino Rummel Pinera says it's time the church acknowledged the importance of women in its history, and its future.

Legend of female pope endures

"We're living in a world that has become a global village, [and] in this global village of ours, women now can't just be fence-sitters or nannies," he said. "Women now know that they were created as co-equal of men."

He also observes that, to solve the issue of dwindling priest numbers in some parts of the world, the church could make the issue of celibacy for priests optional.

He also emphasized that the church could no longer stick to the status quo.

"The Roman Catholic Church should become dynamic in this age, so that it can maintain the loyalty of its flocks and win many souls for God," he said.

Stop powerful nations from bullying the smaller ones

Pope Francis's election was unique in many ways, not least because of his background -- he's the first Latin American pope to lead the church in its history.

The cardinals' decision to pick a man from a diverse and rapidly rising continent sparked hope amongst many Catholics of a new mindset amongst the powers that be in the Vatican, one that takes emerging powers more seriously.

In Nigeria, Catholic bishop Matthew Hassan Kukah, who ministers to Sokoto in the northwest of the country, was "delighted" to hear that a Latin American pope had been elected by the cardinals in Rome, because he was not from Western powers who had dominated the papacy for so long.

What Africans want from the next pope

"I pray that a pope from out of Europe will help to tame and reverse all the tendencies of the super powers towards weaker nations, [such as] arrogance, greed and caprice," he said.

And Cesar Sotolongo, originally from Florida but currently in Lima, Peru, explains that the Latin American way of doing things in a more accommodating manner, rather than the Western-driven methods of leadership, would prove positive for the church, and its followers.

"A person from Latin America thinks in a collective manner rather than individually because society is structured like that," he reflects. "A Latin American pope brings a message of hope for today's society."

Keep it simple!

Sotolongo had another piece of advice for the church -- open up and become more approachable, and you may attract a new wave of followers. And if they're looking for inspiration -- Pope Francis's own austere style of living and worship already set a perfect example.

"The pope should shape the church with what he has been doing during his career [as an example]," he said. "Stay in contact with the people, communicate clearly, promote the unification of faith and ... and represent the word of Jesus."

Meanwhile in Zagreb, Croatia, Ivan Klindic says the pope, and the church, need to rely less on the trappings of wealth and more on helping those in need.

"The pope needs to be more modest, to show that the Vatican isn't based only on money," he said.

And for Martina Lunardelli in Italy, her message for the new pope was even more succinct: Keep it simple.

"I think that the church needs to go back to a simple message which is to love each other and not care about what religion we are or what we believe in," she said.

"I hope he can do this."

@highlight

Catholics from Croatia to Peru gave their top priorities for the pope to lead on

@highlight

Progressive, developing world issues at a premium among iReporters

@highlight

'Keep' it simple, advised many on the message of the pope and church