(CNN) -- Location, location, location: It matters greatly to the success of democracy.

Last week, for the second time in a decade, a popular uprising in Ukraine chased away a corrupt, authoritarian leader. (The same leader both times, as it happens.) The Orange Revolution of 2005 ended badly -- and the same adverse conditions overshadow Ukraine's hopes today.

Yet in Ukraine, neighbors Poland and Germany have supported and defended that nation's dissidents and democrats. But Ukraine is not the only authoritarian regime facing protests. And it's not the only nation where democratic neighbors could make a positive difference. Unfortunately, in the other case -- Venezuela -- too many of those neighbors are silent.

Except only for brief punctuations by rebellions and invasions, Russia ruled Ukraine as a province from the late 17th century until 1991. Vladimir Putin seems to regard the state of affairs since 1991 as merely another of those punctuations. Under Putin, Russia has subverted Ukrainian institutions and manipulated the Ukrainian economy. The goal has been to subordinate Ukraine as a dependent, compliant and nondemocratic subject state.

Putin succeeded in that goal after 2005. He'll surely try again after 2014. Whether he succeeds again or is thwarted will depend greatly on the efforts of Poland and Germany above all. Those neighbors exemplify the transition to democracy and a normally functioning economy.

The Polish foreign minister was in Kiev during the crucial hours before the flight of President Viktor Yanukovych. Germany has offered aid to cover Ukraine's energy debt to Russia and has warned Russia against any tampering with Ukraine's territorial integrity.

In Venezuela, at least eight people are dead and dozens wounded in protests. Many of the casualties have been inflicted by semicriminal motorcycle gangs known as colectivos, loyal to the Bolivarian regime, so-called because Hugo Chavez helped change the official name of the country to Bolivarian Republic of Venezuela.

The Internet has been turned off in cities sympathetic to the opposition, both to stop information arriving -- and, maybe even more, to prevent photos and videos of regime brutality from exiting.

Colombia's cable news network has been dropped from Venezuelan cable systems. CNN has been threatened with the same fate unless it alters its coverage more to the authorities' liking. CNN has not complied, and thus far the Venezuelan government has not executed its threat. Cuba has sent troops to reinforce the government.

In this dangerous situation, the presidents of Chile and Colombia have urged the Venezuelan government to permit peaceful protest and eschew violence. These statements carry impressive moral weight.

Chile is South America's outstanding democratic paragon. Since the end of the dictatorship in 1989, power has alternated from democratic right to democratic left and back again. Outstanding economic management has led Chile to the highest per-capita income in South America, catching up to Estonia and Lithuania, and ahead of Poland.

Colombia has made impressive progress subduing a decades-long insurgency and inviting former rebels to join the political progress under the new and more liberal constitution of 1990. It has suppressed drug trafficking: Aerial surveys indicate Colombia's coca acreage has been reduced by three-fourths since 2000.

President Barack Obama has hailed Colombian President Juan Manuel Santos as "bold and brave" in his work for peace and security inside Colombia -- a task made more complex and difficult by the late Hugo Chavez's military and financial support for the drug-trafficking remnants of the Colombian insurgency.

Because the presidents of Chile and Colombia are identified with the political right, however, their condemnation is easier for the Venezuelan government to shrug off than would be condemnations from democratic presidents associated with Latin America's democratic left.

Brazil's Dilma Rousseff could play an especially important part here. Herself once a left-wing guerrilla against Brazil's former military regime, Rousseff embraced democratic politics in the 1970s and 1980s and was chief of staff to President Luiz Inacio Lula da Silva, a former trade unionist and Brazil's first president of working-class origins.

Lula da Silva was everything that Chavez pretended to be, a leader who promoted social welfare policies while also respecting basic freedoms and civil rights. Unlike Chavez, who started his political career with a failed coup, Lula da Silva always followed constitutional rules. Again, unlike Chavez who repeatedly rewrote Venezuela's laws to extend his hold on power, he left by the constitutional timetable.

As Lula da Silva's successor, Rousseff inherits much of his prestige. Yet that moral voice keeps silent as Venezuela's goon government exerts ever more censorship, corruption and violence to extend its grip on power.

The authoritarian governments of Latin America -- not only Venezuela but also Cuba, Ecuador, and Nicaragua -- form almost a trade union of shared ugly interests.

Where is the unity of the continent's democracies? For very understandable historical reasons, Latin American governments worry about overbearing American action. Yet many won't act, even when their most important interests and most cherished values come under violent attack.

The leaders of Germany and Poland have learned from history that embattled democrats, when left alone, may die alone. The lessons apply as well in the Western Hemisphere as in the East -- the lessons and the responsibility.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Ukraine and Venezuela experience deadly uprisings against authoritarian regimes

@highlight

David Frum: Ukraine's neighbors support the activists, but many of Venezuela's don't

@highlight

Chile and Colombia condemn regime, he says, but they're right wing and thus suspect

@highlight

Frum: Brazil could play a big role in supporting democratic change in Venezuela