(CNN) -- Was the killing of Osama bin Laden legal under international law?

The administration says yes, absolutely.  Experts are unsure.

Attorney General Eric Holder told members of the Senate Judiciary Committee on Wednesday that the U.S. raid on bin Laden's compound was lawful "as an act of national self-defense."

Bin Laden "was the head of al Qaeda, an organization that had conducted the attacks of September the 11th," Holder said.  "It's lawful to target an enemy commander in the field."

The raid "was conducted in a manner fully consistent with the laws of war," White House Press Secretary Jay Carney told reporters.  Carney declined to offer specifics, but said "there is simply no question that this operation was lawful. ... (Bin Laden) had continued to plot attacks against the United States."

Presidents Bill Clinton, George W. Bush and Barack Obama had all issued orders to kill or capture the al Qaeda leader.

"The authority (during the raid) was to kill bin Laden," CIA Director Leon Panetta said Tuesday during an interview with PBS.  "Obviously, under the rules of engagement, if he had in fact thrown up his hands, surrendered, and didn't appear to be representing any kind of threat, then they were to capture him.  But they had full authority to kill him."

A number of experts have told CNN the question of actual legality may come down to bin Laden's response at the moment U.S. Navy SEALs burst into his room.

"If a person has his hands in the air, you're not supposed to kill him," said Steven Groves, a fellow at the conservative Heritage Foundation.

Navi Pillay, the United Nations high commissioner for human rights, told reporters she wants a "full disclosure" of the key facts.

U.S. officials have revised their account of the assault on the compound in Pakistan.  Bin Laden was not armed during the 40-minute raid, they now say, but he put up resistance to U.S. forces.

The al Qaeda leader was moving at the time he was initially shot, according to a U.S. official who has seen military reports of the incident.  The official declined to describe the movements more specifically.

Asked if bin Laden tried to grab a weapon or physically attack a commando, the official would say only that "he didn't hold up his hands and surrender."

Officials earlier claimed that bin Laden was an active participant in the firefight that erupted, implying that he was armed and gave the SEALs little choice but to shoot him.

Groves, citing the Geneva Conventions and international humanitarian law, told CNN that, based on the most recent White House account, "there is nothing to indicate anything illegal happened."

Bin Laden, considered a combatant by virtue of his position as head of al Qaeda, needed to immediately make clear a desire to surrender, if that was his decision, in order to avoid being shot.  That apparently didn't happen, Groves said.

"The United States offered bin Laden the possibility to surrender, but he refused," Martin Scheinin, the United Nations' special rapporteur for human rights, said Tuesday.  "Bin Laden would have avoided destruction if he had raised a white flag."

Geoffrey Robertson, a human rights lawyer who has defended WikiLeaks founder Julian Assange among others, made clear that international law requires any killing to be done in self-defense.

If members of the SEAL team "reasonably (believed there was) a risk to themselves, then the killing was justified," Robertson asserted.  But given the changing White House account of the raid, "there needs to be an inquiry," he said.

Cherif Bassiouni, head of DePaul University's International Human Rights Law Institute and a former U.N. war crimes investigator, said that the "killing of any individual sought by law enforcement in the course of a lawful arrest is always a question of facts.  Did the person resist?  Did the person have a deadly weapon?  Were the arresting officers in fear of their lives?  These are all pertinent questions."

Bassiouni stressed that any "extrajudicial execution of an unarmed person is in violation of international law."

"It is necessary for the Navy to conduct an internal investigation into the appropriateness of the use of armed force," Bassiouni told CNN.  "However, it is also important not to make the Navy SEALs be the scapegoats for (any) secret orders which the public is unaware of to simply kill bin Laden no matter what."

Was the incursion of U.S. forces into Pakistani territory without the clear permission of Islamabad legal?

In response to that question, the U.S. intelligence official echoed Holder's and Carney's remarks, asserting that "since 9/11, the U.S. has had the authority to kill Osama Bin Laden."

"The operation was the subject of a rigorous legal review and was planned in strict accord with American law," the official said.  "As a matter of international law, al Qaeda has attacked the United States and continues to pose an imminent threat to the United States.  As such, the United States may use force against al Qaeda consistent with its inherent right to national self-defense under international law."

The operation "was conducted under the CIA's authorities contained in federal law, unlike most military operations which are under the control and legal authority of the Defense Department," the official noted.

Bin Laden was an indicted international criminal who had evaded all attempts to apprehend him, Robertson said.  As a consequence, he asserted, the operation was legal.

Groves argued the use of the SEALs in Pakistan does "present complications," though he noted that there has been a "kind of a wink and a nod game (the U.S. government has) been playing with the Pakistanis for years" in terms of predator drone strikes and other attacks against Islamic extremists on Pakistani soil.

Bassiouni argued that "the mission to capture was legal, even though there are some questions under international law about one state sending its forces into another state to kidnap a person wanted for trial."

The issue first arose in the early 1960s, Bassiouni noted, when notorious Nazi Adolf Eichmann was kidnapped by Israeli agents in Argentina and subsequently brought to Israel for trial.

Half a century later, that issue remains a matter of sharp dispute.

CNN's Richard Greene and Barbara Starr contributed to this report

@highlight

The administration says the mission leading to bin Laden's death was legal

@highlight

Experts indicate the question of legality may come down to bin Laden's reaction to the raid

@highlight

If bin Laden clearly tried to surrender, his killing may be illegal under international law

@highlight

Experts are divided on the legality of the use of U.S. troops in Pakistan