Washington (CNN) -- President Barack Obama is ready to talk even on Republicans' terms, he insisted Tuesday, so long as Congress acts first to end the government shutdown and raise the debt ceiling -- even for a short period.

At a news conference, Obama indicated Republicans could essentially set the agenda for budget negotiations, but only if Congress agrees first to a short-term spending plan to fund the government and to raise the federal borrowing limit to avoid a possible first-ever U.S. default next week.

"I will talk about anything," the president said.

House Speaker John Boehner, speaking Tuesday afternoon after what he called a "pleasant" but ineffectual phone call with Obama, promptly rejected the president's comments as nothing new.

"What the president said today was if there's unconditional surrender by Republicans, he'll sit down and talk to us," Boehner said. "That's not the way our government works."

At the same time, Boehner said he's "hopeful" top Republicans and Democrats could soon begin a "conversation."

"There's going to be a negotiation here," the Ohio Republican said. "We can't raise the debt ceiling without doing something about what's driving it to borrow more money and live beyond our means."

Yet while Boehner didn't indicate any points of agreement, a senior House Republican told CNN's Dana Bash that GOP members may be willing to go for a short-term debt ceiling hike -- lasting four to six weeks -- as long as the president agrees negotiations will occur during that time.

Still, it's no guarantee such a measure would be supported by a majority of Republicans: something that Boehner has traditionally required before calling any vote in the House.

A second GOP source says the White House drawing a line in the sand not to negotiate has further complicated matters. Republican leaders have talked, though, to CEOs who called them at the request of Treasury Secretary Jack Lew and senior presidential adviser Valerie Jarrett.

And if there's no breakthrough? The partial government shutdown -- which began October 1, after the GOP-led House tied its funding measures to dismantling or defunding Obama's signature health care reform rather -- continues. Plus, another crisis looms October 17, when the Treasury Department says the U.S. government must raise the amount of money it can borrow or else be unable to pay its bills.

All the partisan bickering -- and lack of progress -- is taking its toll not just on furloughed workers, shuttered government facilities and programs, but also Americans confidence in their government.

Looking directly in the camera, Obama acknowledged frustrations with what's going in Washington -- in terms of the current impasse and all the other budgetary battles preceding it.

"We've got to stop repeating this pattern," the president said. "I apologize you have to go through this stuff every three months, it seems like. And Lord knows, I'm tired of it. But at some point we've got to break these habits."

Boehner: Can't afford to keep spending without cuts

While the partial government shutdown is now in its second week, next week's deadline to raise the debt ceiling has many experts especially worried. Failure to act, they say, could lead to the government defaulting on its debt, spook Wall Street, spur higher interest rates and have other negative effects on the U.S. and global economy.

"If there was a problem lifting the debt ceiling, it could well be what is now a recovery would turn into a recession or even worse," said Olivier Blanchard, an International Monetary Fund economist.

On Tuesday, Obama sternly warned that "every American could see their 401(k)s and home values fall" and the country would see a "very significant risk" of a deep recession. The only responsible action, he repeated: raise the debt ceiling, without preconditions.

"We're not going to pay ransom for" America paying its bills, he told reporters, placing the blame squarely on House Republicans. "Let's lift these threats from our families and our businesses and let's get down to work."

In his remarks Tuesday afternoon, Boehner didn't appear to give ground either. The president's refusal to talk -- until the government reopens and the debt ceiling is hiked -- is "not sustainable," according to Boehner.

"The idea that we should continue to spend money that we don't have and give the bill to my kids and grandkids would be wrong," he said.

Shutdown day 8: What you need to know

GOP-led House, Democratic-led Senate offer plans

Boehner and conservative Republicans want to leverage the situation to wring concessions on deficit reduction from Democrats.

To keep up pressure, House Republicans voted Tuesday to set up negotiations on the debt limit and other fiscal issues. Rep. Tom Cole of Oklahoma, a GOP leader in the House, said such a negotiating committee with members of both parties could pass a short-term extension of the debt ceiling while doing its work.

"I suspect we can work out some mechanism to raise the debt ceiling while negotiations are under way," Cole said. "But we're not going to simply raise it without talking about the deficit," Cole said. It was unclear if his description would satisfy Obama's insistence that the debt ceiling increase must be separate from political negotiations.

Yet Senate Democrats have dismissed the proposal, and the Obama administration has vowed to veto any such. Democratic Sen. Chuck Schumer of New York called these other GOP offers the latest in a series of "new gimmicks" that avoid the imminent need to fully reopen the government and raise the debt ceiling.

In the Senate, Majority Leader Harry Reid and Sen. Max Baucus filed a proposal Tuesday to raise the debt ceiling without addressing any deficit reduction issues demanded by Republicans. The plan would address the debt ceiling issue through December 31, 2014 -- past the next congressional elections.

Most Republicans would shy away from a bill that doesn't specify spending cuts or other policy changes in return for the increased borrowing authority. Yet Democrats are hopeful some Republicans would vote across the aisle to prevent the potentially catastrophic economic repercussions of a default.

If Senate Republicans require all the time-consuming steps available to them to delay action on the debt ceiling measure, a final vote might not take place until two days before the deadline for raising the borrowing limit, the Democratic aide said.

Debt ceiling debate: Preaching to the choir

Shutdown furloughs about to hit nuclear safety agency

GOP to hold up back pay for furloughed workers

Debt ceiling 'like the smoke alarm'

Such a Senate measure could increase pressure on the GOP-controlled House to do the same. Yet Republican House leaders have made clear they'll insist on concessions from Democrats before agreeing to raise the $16.7 trillion debt limit.

"The debt ceiling is there for a purpose. It's like the smoke alarm," said House Financial Services Committee Chairman Jeb Hensarling, R-Texas. "Democrats want to unplug the smoke alarm, and Republicans want to go out and fight the fire."

Boehner has insisted a deal to raise the debt ceiling must include deficit reduction steps to lower costs of entitlement programs such as Medicare, Medicaid and Social Security.

However, he and fellow Republicans have moved away from the demand of the tea party conservative wing of his caucus targeting the president's signature Affordable Care Act passed by Democrats in 2010 and upheld by the Supreme Court last year.

Rep. Tom Cole said, while any final deal must include repealing a tax on medical devices that's part of Obamacare, efforts otherwise to tie budget negotiations to the health care law appear dead.

"I think it's been overtaken by the debt ceiling," he said.

Cruz: Use debt ceiling as leverage

Hagel: Most civilian Defense workers can return this week

On the shutdown, Obama and Democrats say the House would pass a Senate-approved spending plan to end it if Boehner allowed a vote. A CNN survey indicates that -- with 18 Republicans joining all 200 Democrats -- a slim majority in the House would support such a move.

But Boehner won't allow such a vote, Cole said.

"He basically said we're going to have a negotiation," the Oklahoma Republican said.

Poll: Most angry at both parties

While the two parties blame each other in Washington, outside the capital few get off easy.

Shutdown forecast: Week two and clouds ahead

In a national poll released Monday, most respondents said the government shutdown was causing a crisis or major problems for the country.

The CNN/ORC International survey indicated that slightly more people were angry at Republicans than Democrats or Obama for the shutdown, though both sides took a hit.

According to the poll conducted over the weekend, 63% of respondents said they were angry at the Republicans for the way they have handled the shutdown, while 57% expressed anger at Democrats and 53% at Obama.

"It looks like there is more than enough blame to go around, and both parties are being hurt by the shutdown," said CNN Polling Director Keating Holland.

Will 2014 election solve anything?

Boehner demands cuts for debt limit increase

CNN's Ted Barrett, Greg Botelho, Dana Bash and Brianna Keilar contributed to this report.

@highlight

NEW: Democratic senators propose debt ceiling hike through 2014

@highlight

Obama: "I will talk about anything" after debt ceiling hike, government reopens

@highlight

Boehner says there will be no "unconditional surrender" by Republicans

@highlight

Expert: Not raising the debt ceiling could lead to recession, worse