(CNN) -- While al Qaeda leader Osama bin Laden may have provided the impetus for the 2001 U.S.-led invasion of Afghanistan, whose Taliban-led government was harboring him, his death may have little impact on the continuing course of the war or on the continuing threat of terrorism, analysts said Monday.

"If the core issue was the Taliban fighting for the right to protect Osama bin Laden as their honored guest, then a big part of the war goes away," said Frank Anderson, who served as chief of the CIA's Afghan Task Force from 1991-95 and currently serves as president of the Middle East Policy Council in Washington. But if the core issue has morphed into a civil war or a war between ethnic Afghans against a foreign military force, then little has changed, he said. "All the issues that divide the ethnic groups are still there."

Inside the raid that killed Osama bin Laden

Anderson predicted that bin Laden's death will result in an immediate, short-term spike in motivation among his followers to carry out more terrorist attacks, but said any such spike will likely be short-lived as the information found in bin Laden's house leads investigators to track down other terrorists.

Anderson noted that bin Laden's influence was tough to find in the spawning of the "post-Islamist, post-radical, nationalist and post-imperialist narrative" that spread this spring across the Arab and Islamic world.

"What we have is a growing population or political awareness that doesn't care any more about those narratives," Anderson said. "That's a whole lot more significant than whether or not bin Laden's holed up in a windowless building in Pakistan."

But no one denied that the slain leader of al Qaeda leaves a staggering legacy. "Bin Laden's objective in 9/11 was to sucker us into an invasion of Afghanistan with the idea that we'd be bogged down there for a long time and would impoverish ourselves," Anderson said, noting that the United States now faces a huge debt burden and has incurred tens of thousands of casualties. Across the world, "his legacy is at least hundreds of thousands of dead people, the vast majority of whom were Muslims."

And he has also caused "very serious damage to Pakistan as a viable nation state," Anderson said.

About bin Laden's death, "I don't think it's really going to have a significant impact on what's going on in Afghanistan," said Mike Baker, who worked for 17 years at the CIA, where he served as covert operations officer until he left at the end of the 1990s.

What does the killing of bin Laden compare to?

Asked about how bin Laden will be regarded in a decade, Baker said that, for a certain segment, "he's always going to be a martyr and figurehead and legend and yadda yadda yadda. For the rest of the world, he'll be thrown into the pile of mass murderers that have been consigned to history."

But Baker, who is now president of Diligence LLC, a global intelligence and security firm, said it would be naive for anyone to consider bin Laden's death to be a game changer in the global effort against terrorism. "They've got the same operational capabilities that they had yesterday."

Steve Coll, president of the New America Foundation and author of "Ghost Wars, the Secret History of the CIA, Afghanistan, and bin Laden, from the Soviet Invasion to September 10, 2001," predicted that no one will emerge to lead al Qaeda "with the same kind of myths and spiritual presence and credibility" that bin Laden had among his followers. He too urged that it not be written off. "This is still a resilient militant organization," he said. "A small number of people can do a lot of damage in this world."

Andrew Bacevich Sr., a professor of international relations at Boston University and a retired career officer with the U.S. Army, said the raid on bin Laden's residence could have an impact on the conduct of the war in Afghanistan.

"I don't think this means anything like a rush to the exits in Afghanistan, but I think there is an argument brewing about whether or not the tactics being employed in Afghanistan are working or not, and this might arm the people in the camp that think that large-scale troop presence ends up being counterproductive," he said.

But over the long term, "I think his death is irrelevant," Bacevich said.

"What we call terrorism is an expression of resentment by Muslims directed at Western intervention, presence and meddling in the Islamic world. Bin Laden made himself the principal manifestation of that resentment and launched the most successful attack, but the conditions giving rise to that resentment don't go away just because he's gone away.

Muslim world had soured on bin Laden

"Remember: We're involved in a war in Afghanistan, the remnants of a war in Iraq, a new war in Libya; we continue to conduct UAV (drone) attacks in Pakistan. However much we may say that our purposes are looked toward peace, it's not difficult to understand how people in that part of the world would view us as aggressors. And I think that's what leads to terrorist attacks against the United States and its allies. And that doesn't change just because bin Laden's gone."

He too said the impact of bin Laden's death could affect U.S.-Pakistani operations. If it turns out that the United States carried out the operation without notifying Pakistani officials, "that would seem to suggest that the level of trust between us and Pakistan is pretty close to zero," he said.

Many questions about what Pakistan knew

"Given the importance we've given to collaboration with Pakistani officials and given the resentment of the Pakistan public to U.S. violations of Pakistani sovereignty, this may really bring things to a head."

Bacevich was not persuaded by Secretary of State Hillary Clinton's comment Monday to reporters that "cooperation with Pakistan helped lead us to bin Laden and the compound in which he was hiding."

"We don't know what the truth is about the level of cooperation or not cooperation," he said. "That kind of statement from Hillary Clinton would seem to suggest that the United States wants to minimize evidence of mistrust, to sustain a pretense of trust rather than to confront what may, in fact, be the reality."

The implications of a real rupture in U.S.-Pakistani relations are frightening, he said. "This one seems to be more fraught with mistrust than most any other relation we have. And you have to ask how long that can be sustained and whether or not something like this isn't another nail in the coffin."

@highlight

In Afghanistan, "all the issues that divide the ethnic groups are still there,"

@highlight

"His legacy is at least hundreds of thousands of dead people, the vast majority of whom were Muslims"

@highlight

Over the long term, "I think his death is irrelevant," said Boston University professor