ROCKVILLE, Maryland (CNN) -- The U.S. Food and Drug Administration on Thursday announced it is blocking the import from China of five species of seafood until their importers can prove they are not contaminated.

About 10 percent of catfish eaten in the U.S. comes from China, according to the National Fisheries Institute.

"FDA is initiating an import alert against several species of imported Chinese farmed seafood because of numerous cases of contamination with drugs and unsafe food additives," said Dr. David Acheson, the agency's assistant commissioner for food protection, in a conference call with reporters.

The species cited are catfish, eel, shrimp, basa and dace, he said. Basa is similar to catfish; dace is similar to carp.

The medications cited include the antimicrobials nitrofuran, malachite green, gentian violet and fluoroquinolones.

Nitrofuran, malachite green, and gentian violet have been shown to cause cancer in laboratory animals.

Use of fluoroquinolones in food-producing animals can result in antibiotic resistance.

None of them is approved for use in farmed seafood in the United States and some of them have been shown to cause cancer when fed to laboratory animals for "prolonged periods of time," Acheson said.

Alerts have been issued in the past, but Thursday's announcement is the largest.

The food will not be allowed into the United States until the importer can prove it is free from harmful contaminants, Acheson said.

He said the agency decided to broaden its previous alerts for products from individual companies to a countrywide alert after tests showed that 15 percent of those species of seafood produced by 18 companies in China contained traces of one or more of the contaminants.

"FDA is taking this action to protect the public health of the American people," he said. Watch more on the FDA's import alert on five kinds of fish from China. »

The products "could cause serious health problems if consumed over a long period of time," he said.

Still, Acheson added, the low levels of contaminants means that there is "no imminent threat" to the public health.

China is the world's largest producer of farmed fish, accounting for 70 percent of the total produced, he said. It is the third-largest exporter of farmed fish to the United States.

The action is an import alert, which means that these products from Chinese processors "will be detained and refused entry into the United States until the importer can demonstrate that the product is safe and in compliance with applicable regulations," said Margaret O' K. Glavin, FDA's associate commissioner for regulatory affairs.

Last year, the FDA slapped a countrywide alert on all Chinese eel after tests showed residues of an antimicrobial agent, she said.

Since then, and "despite extensive communications between FDA and appropriate Chinese authorities to correct the problem, we have continued to find residues of certain veterinary drugs or food additives that are not permitted for use in the United States," she added.

Glavin said the FDA inspects 5 percent of seafood from China.

The first alert on Chinese seafood occurred before 2001, she said.

"We're not asking for this product to be withdrawn from the market or for people to take this out of their freezers and throw it away," Acheson said. "This is a long-term health concern; it is not an acute health concern."

China is not the sole offender, Glavin said. Import alerts have been ordered for firms in the Philippines, Mexico "and several others," though this is the first countrywide import alert, she said.

More than 80 percent of shrimp eaten in the United States is imported, including 7 percent from China, according to the National Fisheries Institute.

About 10 percent of catfish eaten in the United States comes from China, the seafood industry advocacy group said.

Last year, the United States imported 590,299 metric tons of shrimp from abroad; 68,150 metric tons of which came from China, according to the Department of Commerce.

The United States imported $1.2 billion of fish from China in 2004, according to H. M. Johson & Associates, a seafood industry research group. E-mail to a friend

@highlight

FDA blocks import of shrimp, catfish, eel, basa and dace from China

@highlight

Fish won't be allowed until importers prove they are safe

@highlight

The fish were treated with antibiotics and antifungal medication

@highlight

The antibiotics are not allowed in U.S. fish