(CNN) -- Steven Spielberg led the FBI straight to a stolen $700,000 Norman Rockwell painting someone snatched from a Missouri gallery. It was in his collection in California.

The original of this Norman Rockwell reproduction was found in the collection of Steven Spielberg last year.

Spielberg wasn't the thief, and he doesn't know who took Rockwell's "Russian Schoolroom" -- an oil of 16 pupils looking at a bust of Lenin. All the A-list director knows is he paid about $200,000 for the 16 x 37 canvas in a legitimate purchase.

The FBI says its just one example of how pilfered art lands in  respectable places. And it was an uncommon ending for stolen art -- someone found it. Recovering masterpieces happens in less than 5 percent of cases, said Bonnie Magness-Gardiner, the FBI's Art Theft Program manager.

Usually, expensive pieces go missing. No one knows who took them. No one gets prosecuted, and everyone wonders, "Why steal something you can't turn to cash quickly?"

Art thieves do a simple risk versus reward evaluation, said Corine Wegener, associate curator of the Minneapolis Institute of Arts.

Thieves know that "even if they receive only a fraction of the work's market value, the cash gained was at low risk of death or injury -- museums can be a relatively soft target," said Wegener, who's teaching a University of Minnesota class this month on art theft.

But it could be years -- or never -- before the thief sees even a small payoff. In 1990, robbers took $300 million worth of certified masterpieces -- among them Rembrandt's "Storm on the Sea of Galilee" and Vermeer's "The Concert" -- from the Isabella Stewart Gardner Museum in Boston, Massachusetts. No one's seen them since.

On Sunday, robbers made off with one of the biggest art hauls in European history, grabbing four paintings worth an estimated $163 million from the E.G. Buehrle Collection in Zurich, Switzerland. They took works by Paul Cezanne, Edgar Degas, Claude Monet and Vincent van Gogh.  See what robbers grabbed in Switzerland »

"These paintings are extremely valuable on the open market, but they'll never go onto the open market. So at the same time they're both priceless and worthless," said Charles Hill, the former chief of Scotland Yard's art and antiques unit.

"Some thieves may buy into the myth that a wealthy but unscrupulous collector will contact them and offer to take the art off their hands," Wegener said. "When this doesn't happen, the thieves often try to ransom the art back to the museum or the insurance company."

One London art dealer, who said he has handled stolen works, told CNN on condition of anonymity that an insurance company would rather get art back at a fraction of its original price than pay the owner its insured value.  Watch how art thieves operate »

Ransoming art to an insurance company through an intermediary adds "up to 10 percent of the market value, which ... given the art market, is quite a lot of money," the dealer said.

David Vuillaume, secretary general of the Swiss Museums Association, told Time magazine that ransom may be what the thieves behind the Swiss heist want.

"We are thinking that maybe in a week or two there will be a ransom demand. But we just have to wait and see," Time quoted him as saying. The museum has offered $90,000 reward for information leading to their recovery, Time reported.

Options for art thieves

Julian Radcliffe, chairman of the Art Loss Register, which operates a database to help recover lost and stolen art, said ransom or reward are unlikely to bring results.

"It is very seldom that people have been able to undertake a ransom," he said. "This gang might think that a reward has been offered, and that they'll get the reward."

But in fact, "the reward won't be paid unless someone is arrested, or there is proper criminal intelligence," and that's unlikely to happen, Radcliffe said.

He said the thieves may just be patient, willing to get their payoff decades later. Or the art may move through an underground network, gradually increasing in value, before being slipped back onto the legitimate market. Take Spielberg. He bought "Schoolroom" in an above-the-board transaction.

"Usually, these pictures will change hands in the criminal underworld at a fraction -- 1 percent or less -- of their true market value," Radcliffe said, before someone tries to get them back into the international market. In such an effort, the seller may hope the work has been forgotten over time or they may disguise it as a copy or student re-creation.

"They may try and sell them not as being by Degas, but as being a copy, or school, or by a follower of one of the great artists. And that is the ways in which they try and get them on the market," Radcliffe said.

The original thieves rarely face justice, the FBI's Magness-Gardiner said. "The stolen items turn up years, sometimes decades, after the theft," she said. "Because a work of art does not require a title document in order to be transferred from one owner to another, a stolen object easily enters the legitimate stream of commerce.

"It is impossible to trace them back to the original thief in most cases. Even if the original thief can be identified, there is also a statute of limitations on prosecution for theft," Magness-Gardiner said.

What happens to stolen art?

Even if the art is recovered, original owners may not get it back. While museum pieces are likely to go back to their collections, private owners may not be so lucky.

"Russian Schoolroom" remains in Spielberg's possession while courts determine the rightful owner, a spokesman for the director said.

But art stolen from a Los Angeles mansion and sold in Sweden remains with its Swedish purchasers, according to a case file posted on the Web site of the Los Angeles Police Department's Art Theft Detail.

Even though the thief was caught, "the Swedish government refused to return the paintings, claiming that according to Swedish law, the auction buyers had purchased the paintings in good faith," according to the Web site.

In the case of Rockwell's "Russian Schoolroom," someone took it from a gallery in Clayton, Missouri, a St. Louis suburb, in 1973, according to an FBI synopsis of the case. In 2004, The FBI's Art Crime Team found out that the piece had been for sale at a New York Rockwell exhibition 15 years earlier and posted a picture and description of the painting on its art recovery Web site.

Spielberg's staff learned of the search and told the FBI that Spielberg had it in his collection in Los Angeles. He had purchased it from a legitimate dealer in 1989, an FBI press release said. The agency also determined the painting was auctioned in New Orleans in 1988, but it has yet to determine who took the painting or its whereabouts from 1973 to 1988.

Whoever took "Russian Schoolroom" from the suburban St. Louis gallery in 1973, or the masterpieces from the Boston museum 1980, or the works lifted in Zurich this week, shouldn't be mistaken for a high-society, tuxedo-wearing, "Thomas Crown Affair" kind of thief, Radcliffe said.

"These people are the worst sort of criminal. They are just like the criminals who traffic individuals or sell children, or murder.

"They are thoroughly unpleasant people. There is no romanticism in anyway that should be connected to it." E-mail to a friend

CNN's Paula Hancocks and Teresa Martini contributed to this report.

@highlight

Stolen art can be lost for decades

@highlight

Soft targets like museums entice thieves, experts say

@highlight

Stolen Rockwell found in Steven Spielberg's collection decades after theft

@highlight

Nothing glamorous about art thieves, expert says