(CNN) -- Monday is tax day, and in case you're wondering where your money went last year, President Barack Obama is eager to let you know. He's giving you a detailed receipt.

For the third year, taxpayers can visit the White House website for the nitty-gritty on how the government spends tax dollars from American households.

To see your 2012 contributions to the nation's military, Social Security, health care, community development, agriculture and NASA, among others, visit the site for the year's "taxpayer receipt."

"You deserve to know how your tax dollars are being spent," White House spokeswoman Colleen Curtis said in a statement.

Any politics involved?

The annual public disclosure comes amid a tussle among the president, Democratic legislators and their Republican counterparts over 2014 budget proposals. Legislators from both parties have slammed each other's proposals, as well as that of the president.

In his budget, Obama has taken the red pen to social spending items dear to liberal Democrats in his own base and handed bigger tax invoices to the wealthy and corporations, something Republicans have resisted.

His proposed reductions on Social Security and Medicare spending have caused consternation among some of Obama's supporters, who argue it will leave vulnerable Americans without enough support.

Meanwhile, Republicans have also protested the proposed revenue increases and the fact the budget doesn't balance. The $3.8 trillion proposal aims to cut deficits by $1.8 trillion over the next decade.

What do we pay the most for?

Spending on the military and health care programs take up the bulk of federal income tax revenues, according to the White House.

A married couple with one child making $50,000 a year -- roughly the median household income in America, according to the U.S. Census Bureau -- paid an average of $995 in federal income taxes in 2012, just 1.99%.

This does not include Social Security and Medicare taxes.

Nearly a quarter of income taxes, $245.17, went to a category labeled "National Defense." A slightly smaller sum, $223.38, or 22.45%, was spent on "health care."

Ongoing military operations, such as the U.S. presence in Afghanistan, swallow the largest sum of defense spending, laying claim to more than 10% of taxpayer dollars, the White House said.

Medicare and Medicaid, programs for the country's seniors and poor respectively, take up nearly all of the "heath care" spending category in the income tax breakdown.

This does not include the separate Medicare Tax of $725, or 1.45%, levied on the family used as an example.

But there is other combined military and social spending included in other parts of taxpayer receipt, such as an entry for "Veterans Benefits" and a separate one for military retirement and disability.

The federal government spends comparatively little on education and the promotion of science and technology. Together, they all receive less than 5% of expenditures. This includes NASA's budget.

A major exception is the development and construction of weapons technology, which weighs in at 7.62% of total federal expenditures.

The biggest tax by far is the workers' contributions to Social Security, which weigh in at $2,100 for a family of three earning a median income of $50,000 per year. That's 4.2% of the family's gross income and is more than its federal income and Medicare taxes taken together.

How big are taxes and deficits?

Over the past 40 years, the federal budget deficit has amounted to 3.1% of gross domestic product per year, according to the Congressional Budget Office. That was well under the rate of inflation as measured by the labor department's consumer price index for half of those years.

At 3.3%, deficits are predicted to be slightly higher over the next 10 years, as rising health care and retirement costs notch up federal spending, the budget office said.

Budget deficits in the U.S. and much of the West surged with the onset of the world economic crisis in 2008, but began dropping in 2012, according to the Organization of Economic Cooperation and Development.

U.S. tax revenues -- including Social Security and Medicare -- have amounted to 18% of GDP over the past 40 years and are expected to rise slightly to 19% of annual GDP for the next 10 years, the budget office said.

The rate of U.S. income taxes as a percentage of GDP is lower compared to most developed nations, according to the World Bank.

@highlight

"You deserve to know how your tax dollars are being spent," White House says

@highlight

Military and health care spending take up the bulk of federal income tax revenues

@highlight

Military operations such as the U.S. presence in Afghanistan the largest sum of defense spending