GAZA CITY, Gaza (CNN) -- A Palestinian envoy called on the United Nations to condemn the deadly violence in Gaza as Israeli airstrikes on Hamas militants entered a second day Sunday.

Israeli Defense Minister Ehud Barak told CNN that airstrikes into Gaza could expand.

"There is no justification for punishing 1.5 million in the Gaza Strip because of the actions of a few," Ambassador Riyad Mansour told reporters Saturday before entering a U.N. Security Council meeting scheduled for 10 p.m. ET. "We hope we don't fail in having a reaction from the Security Council tonight."

Israeli airstrikes continued pounding targets in Hamas-ruled Gaza Sunday, killing at least 225 and injuring 400, in what Israeli Defense Minister Ehud Barak said was a response to escalating rocket attacks against southern Israel.

Yet Hamas blamed Israel for the artillery exchange, accusing it of violating a cease-fire intended to stem violence in the region.

Barak said the Israeli attacks would continue as long as necessary until Hamas militants were ready to "change their behavior."

"This will not be a short operation. The war on terrorism is an ongoing one, and we will have to stand firm in order to change the situation in the south," Barak said Saturday. An Egypt-brokered cease-fire between Hamas and Israel expired December 19.

Barak told CNN that Israel was compelled to respond with force after evacuating Gaza three years ago "to the last square inch" only to face continuous attacks.

"We have to experience shelling and rocket attacks on innocent civilians, that's something we will not accept," he told CNN. "I am confident that the American government would not have waited one day before they would have responded if San Diego [California] would have been bombed or shelled or rocketed from Tijuana [Mexico] with thousands of rockets."

Hamas vowed to retaliate.

"We will stand up, we will defend our own people, we will defend our land, and we will not give up," senior Hamas spokesman Osama Hamdan said.  Read reactions to Israel's strike on Gaza »

Hamdan also denied accusations that Hamas had provoked Israel attacks by violating the cease-fire with rocket attacks.

"Hamas did not fire rockets through the cease-fire. It's clear that the one who violated the cease-fire is the Israelis," Hamdan told CNN. "For half the period of cease-fire, they closed all the checkpoints, and they killed 28 Palestinians."

The exchange of accusations came as bodies piled up on the streets of Gaza City, where hospitals and medical personnel were overwhelmed by the influx of wounded.

Palestinian medical sources said that 225 people had been killed and 400 people injured, many of them in serious to critical condition.

"People are suffering and dying because of shortages of medical equipment," said Dr. Mahmoud el-Khazndar, who works at Gaza City's Shifa Hospital. "The hospital is not accustomed to accept mass casualties like this."

The Egyptian government sent 20 ambulances and medical personnel to its border with Gaza to help treat and transport the wounded, an Egyptian official said.

Tensions had been building between Hamas and Israel despite the six-month truce. The tenuous agreement was weakened in recent weeks as violence escalated.

The Arab League condemned the attacks and scheduled an emergency meeting in Cairo, Egypt, on Sunday to discuss the situation. The meeting is set for 7 p.m. (noon ET).

"The situation is lending itself to escalation," Secretary General Amr Moussa told CNN International. "The attacks have resulted in casualties among the civilians, among the young, among the population."  Watch Moussa's interview with CNN International »

Moussa said the Arab League would call on the U.N. Security Council to issue a statement or resolution calling on all parties to end violence and enter into mediation.

"Also, we are calling on the Palestinians to close ranks and stop feuds between different organizations in Palestine," Moussa said, referring to struggles between warring factions struggling for power

Palestinian legislator Hanan Ashrawi also accused Israel of ignoring the terms of the cease-fire that expired December 19.

"This is certainly a very cruel escalation, a relentless bombardment of a captive civilian population that has already been under siege for months, that has been deprived of basic requirements like food and medicines and fuel and power," she said from Ramallah in the West Bank.  Watch Ashrawi condemn the airstrikes »

White House spokesman Gordon Johndroe said the United States places the blame for the Israeli military action squarely on Hamas.

"We want the cease-fire to be restored, but we understand that Israel is reacting to the hundreds of rockets that have been fired upon the innocent people of Israel over the last few days," he said. "Hamas must end its terrorist activities if it wishes to play a role in the future of the Palestinian people."  Watch Johndroe comment on the attacks »

U.S. Secretary of State Condoleezza Rice also called for the cease-fire to be restored.

"We strongly condemn the repeated rocket and mortar attacks against Israel and hold Hamas responsible for breaking the cease-fire and for the renewal of violence there. The cease-fire must be restored immediately and fully respected," she said. iReport.com: Are you there?

United Nations Secretary-General Ban Ki-moon was "deeply alarmed" and called for "an immediate halt to all violence," a spokesman said in a statement.

Israeli military officials accused Hamas militants of firing more than 65 rockets into southern Israel on Wednesday, and the Israeli air force said it killed a Hamas militant whom it accused of helping launch the rockets against Israel.

In a letter Saturday to Ban and the U.N. Security Council stated, Israeli Ambassador Gabriela Shalev said Hamas holds "the sole responsibility for the latest events in Gaza" and claimed Israel was exercising self-defense.

"No country would allow continuous rocketing of its civilian population without taking the necessary actions to stop it," Shalev said. "Israel expects the understanding and support of the international community to its actions, as it confronts terrorism and advances the interest of all those who wish that peace and coexistence will prevail in our region."

The Israeli Defense Forces said Israeli aircraft were attacking "a series of Hamas targets and infrastructure facilities," including headquarters, training camps and weaponry storage warehouses.  Map »

About 50 aircraft targeted more than 100 Hamas sites over the first two rounds of airstrikes Saturday, an IDF spokesman said.

A Gaza-based reporter, whose name was withheld for security reasons, reported that the building housing Hamas-run television station al-Aqsa TV was destroyed early Sunday morning. The reporters also said a number of Hamas police stations were hit, killing some senior police commanders.

Among those killed were Palestinian Maj. Gen. Tawfeeq Al-Jaber, a senior commander in the Hamas police force, and Ismail Jabari, who headed the special police force in Gaza, Palestinian sources said.

Israeli Prime Minister Ehud Olmert called for patience, insisting that Israel wants to avoid causing an "humanitarian disaster" in Gaza.

"The instructions that we have given to our forces are to refrain from inflicting injury and harm on the innocent," he said at a news conference with Barak and Foreign Minister Tzipi Livni.

Yet scores of deaths and injuries have been claimed on both sides as aid organizations urged Israel to cease the attacks.

An Israeli woman was killed Saturday when a rocket fired from Gaza hit a house in Netivot in southern Israel, about six miles east of Gaza, Israeli police spokesman Mickey Rosenfeld said. Two other Israelis were in "medium to serious" condition at Soroko Hospital in Bersheba, he said.

Wounded people could be seen lying in the streets of Gaza City, and passers-by were doing what they could to summon help.  Watch panicked Palestinians try to help the wounded »

The U.N. Relief and Works Agency for Palestine Refugees urged the Israeli government to stop its bombardment.

"UNRWA recognizes Israel's legitimate security concerns. However, its actions should be in conformity with international humanitarian law, and it should not use disproportionate force," the agency said in a news release.

Saeb Erakat, adviser to Palestinian Authority President Mahmoud Abbas, urged Israeli and Hamas leaders to put another cease-fire in place.

"I believe this is the only way out. I don't think this problem can be solved through military means," he told CNN. "I don't think it can be solved through aggression, through violence. Violence will breed more violence."

Abbas' Fatah party government is locked in a power struggle with the Hamas movement.

On Friday, Israel opened three border crossings for the first time in 10 days to allow food, medical supplies and other humanitarian goods into Gaza, but Palestinian rocket attacks continued.

CNN's Kevin Flower and Elise Labott contributed to this report.

@highlight

NEW: Palestinian envoy calls on United Nations to condemn deadly violence in Gaza

@highlight

NEW: Hamas-run television station al-Aqsa TV destroyed early Sunday morning

@highlight

Death toll climbs to 225, 400 injured as airstrikes continue through night

@highlight

One Israeli killed in rocket attack reported by Hamas military wing, sources say