(CNN) -- Anxiety and stress are not typically associated with April 1, a day widely celebrated with practical jokes and tomfoolery. However, for thousands of people, April 1 is no joking matter -- it begins the official filing period for H-1B immigration petitions.

The current immigration system stifles our country's innovative and entrepreneurial spirit and can cause highly skilled professionals to leave our country and ultimately compete against us.

H-1B visas -- three- to six-year work visas sponsored by willing U.S. businesses -- allow foreign-born graduates of U.S. colleges and highly skilled professionals to work legally in this country. For fiscal year 2014, only 85,000 H-1B work visas are available. Of these, 20,000 are reserved for candidates with master's degrees from U.S. institutions. Not only do these high-skilled professionals face a tough job market, but also strict immigration deadlines with an even more restrictive visa cap.

The scarcity of H-1B visas, coupled with the complicated process of securing these visas, creates a major roadblock for U.S. companies. The United States Bureau of Labor Statistics indicates that tens of thousands of unfilled jobs require highly skilled employees. Companies cannot meet the high demand for candidates who possess the skill and knowledge necessary to fill positions where no U.S. candidate is qualified.

According to the National Foundation for American Policy, a 2008 study shows that for every new H-1B visa requested, U.S. technology companies increase their employment by five workers, thereby dispelling misconceptions that high-skilled foreign workers take jobs away from Americans.

For U.S. companies and foreign candidates alike, the process of getting an H-1B begins far in advance of the April 1 filing date. While candidates start the job search as early as possible to find potential employers willing to sponsor them, companies are forced to make hiring decisions months in advance to ensure that immigration petitions are ready for submission on the first day of the filing period. It is imperative that companies file their petitions on April 1, or at the very least during the first week of April, because of the high demand for these visas.

Just last year, United States Citizenship and Immigration Services exhausted the available pool of work visas in mere weeks. This year, USCIS and immigration lawyers expect such a high demand for H-1B visas that the agency may need to rely on a lottery system. Once USCIS meets its H-1B quota, companies and candidates must wait up to a year before they are eligible to file additional petitions.

This complicated system has significant ramifications for all parties involved. For instance, a shortage of work visas and the short filing window once a year prevent companies from hiring highly skilled and educated candidates requiring new H-1B visas on a daily basis. According to Compete America, during fiscal year 2009, 96% of employers hired 10 or fewer individuals on new H-1B petitions and 69% hired only one. Ultimately, companies often hire these individuals into other countries instead of the United States to obtain legal work authorization.

Potential candidates also suffer the consequences of the broken immigration system. Those who miss the window have to wait for up to a year to participate in the process. Many of them either are forced to return to their native countries or choose to return to avoid stalling their careers.

In his recent book, "The Immigrant Exodus," Vivek Wadhwa described the case of Anand Chhatpar and his wife, who were both from India. They met while pursuing graduate studies at the University of Wisconsin-Madison. Together, they launched Fame Express, a startup that produced game applications for Facebook.

In their quest for permanent residency, the couple were legally obligated to return to their native India to await approval of their application. Although the couple eventually launched two successful American businesses, USCIS denied their application. The couple, their jobs, their employees, tax revenues and purchasing power now reside in India, competing directly with American firms.

Such cases do not benefit the United States. Our lawmakers understand that retaining the best and the brightest is critical to accelerating the country's economic recovery. We should help foreign graduates and foreign professionals, particularly in science, technology, engineering and mathematics, through an increased number of available H-1B work visas and a STEM green card program.

Taking these actions will lead to more innovation and job creation and ensure that the U.S. maintains its position as a strong leader in the world.

The opinions expressed in this commentary are solely those of Michael Beckerman.

@highlight

Michael Beckerman: Our immigration system stifles innovation and entrepreneurship

@highlight

Beckerman: The scarcity of H-1B visas creates major roadblocks for U.S. companies

@highlight

He says many unfilled jobs require highly skilled foreign workers who need visas

@highlight

Beckerman: Retaining the best and the brightest is critical to our economic recovery