(CNN)Way out beyond Mars, but before you get to Jupiter, is a planet.

You read that right. There's a planet between Mars and Jupiter.

You may not have heard of it, but it was discovered in 1801 -- 129 years before Pluto. It originally was called a planet, then later an asteroid and now it's called a dwarf planet.

Its name is Ceres (pronounced like series) and you'll likely be hearing a lot more about it in the coming weeks.

Ceres is one of five named dwarf planets recognized by NASA and the International Astronomical Union (IAU). The other four are Eris, Pluto, Makemake and Haumea.

But Ceres is the first of these worlds to get a visitor from Earth: NASA's Dawn spacecraft is arriving on March 6.

"Ceres is a 'planet' that you've probably never heard of," said Robert Mase, Dawn project manager at NASA's Jet Propulsion Laboratory in Pasadena, California.

Ceres may be considered a dwarf planet, but it's "the giant of the main asteroid belt," Dr. Marc Rayman, chief engineer and mission director of the Dawn mission, told CNN. "It is not only the largest object between Mars and Jupiter, it is the largest object between the sun and Pluto that a spacecraft has not yet visited."

"We are tremendously excited," Rayman said. "We have guided this robotic probe for well over seven years on an interplanetary journey of more than 3 billion miles. Along the way we sailed past Mars. We spent 14 months orbiting and scrutinizing the giant protoplanet Vesta. ... Now, finally, we are on the verge of conducting the first exploration ever of the first dwarf planet."

Images taken on February 19 when Dawn was about 29,000 miles (46,000 kilometers) from Ceres show a bright spot on Ceres and a dimmer companion amid the small world's cratered surface. NASA says both spots appear to be in the same basin.  The images are puzzling to scientists and they say they'll have to wait until Dawn gets even closer to sort out the cause.

"We we will have to wait for better resolution before we can make such geologic interpretations," said Chris Russell, principal investigator for the Dawn mission, based at the University of California, Los Angeles.

Rayman said Ceres' surface is pretty beaten up and that its craters are "scars from life in the rough and tumble asteroid belt."

Why study a beaten-up space rock? Rayman said because it's a survivor -- and a mysterious one. Made up of rock and ice, Ceres may even have liquid water deep beneath its surface -- "perhaps as ponds or lakes or even oceans," Rayman said.

He said Ceres "appears to have been in the process of growing to become a full-sized planet when Jupiter terminated its growth nearly 4.6 billion years ago."

So by studying Ceres, scientists learn more about how the rest of the solar system formed. And he said, we should study Ceres because it's there -- and we need to understand the universe we live in. "We should study it because we hunger for knowledge and understanding. Grand undertakings like this nurture our spirit," Rayman said.

Rayman said that if you had learned about the solar system 200 years ago, "you would have learned that Ceres was a planet, just as people who learned about the solar system in more recent generations learned that Pluto is."

Speaking of Pluto, the most famous of the dwarf planets gets its own visitor in July. The New Horizons spacecraft is closing in for a flyby of Pluto and its moons.

This talk of planets and dwarf planets is still a little confusing, so here's the most recent tally: NASA currently recognizes eight planets: Mercury, Venus, Earth, Mars, Jupiter, Saturn, Uranus and Neptune, and the five named dwarf planets we listed earlier.

But a sixth possible dwarf planet already is on NASA's watch list.

Called 2012 VP113, it's believed to be one of the most distant objects in our solar system. On its Solar System Exploration website, NASA says the object was nicknamed "Biden" after Vice President Joseph Biden because of the VP in its initial designation. It will be up to the IAU to decide whether i2012 VP113 is a dwarf planet and whether it gets an official name.

But expect the numbers for planets in our solar system to keep changing. Mike Brown, the CalTech astronomy professor who helped discover dwarf planet Eris and who takes responsibility for killing off Pluto as a full-fledged planet, has his own tally listing more than 360 possible dwarf planets. And NASA has said there may be many more dwarf planets that we haven't found yet.

So Ceres, and its cousins, may soon outnumber the traditional planets you learned about in grade school.

@highlight

NASA spacecraft is closing in on tiny world Ceres

@highlight

New images show mysterious bright spot has a companion