(CNN) -- Most of us assume that our doctors are trustworthy. They undergo a minimum of seven years of postgraduate schooling, pass rigorous tests and are responsible for our health and the health of our families.

But are they as trustworthy as we think?

A Michigan oncologist was arrested recently for allegedly running a multimillion-dollar scheme to defraud Medicare. He's accused of administering chemotherapy to patients with no real chance of survival and misdiagnosing patients in order to charge for their expensive treatments.

And earlier this month an Ohio spine surgeon was indicted on charges that he persuaded patients to undergo millions of dollars worth of treatments that they didn't need. Among the things he allegedly told patients was that their heads would fall off without his operation.

While these egregious stories are truly shocking and uncommon, there are unfortunately many less dramatic examples of untrustworthy doctors that don't make big news. My field of cosmetic plastic surgery has its share of doctors who don't necessarily place their patients' best interests first. I encounter these patients' subsequent problems nearly every week.

One middle-aged woman was left with scarred legs resembling a burn patient's after undergoing unnecessary laser liposuction by a cardiologist. Another was abandoned by his ENT surgeon after undergoing a lunchtime facelift and contracting a staph infection. One woman underwent a botched tummy tuck by an emergency room physician, leaving her abdomen a scarred, lumpy mess.

How surgeons build new breasts

So what's a patient to do?

Here are some tips to make sure your physician, and the advice he or she gives you, are trustworthy:

Research your doctor. The easiest way to do this is online. There are several doctor-rating websites where patients share their reviews and experiences with physicians. You can also check with your state's Board of Medicine to determine whether your physician has had his or her license suspended or revoked.

County courts can also provide information regarding any lawsuits your doctor may have been involved with. Keep in mind, though, that we live in a litigious society, and even the best doctors get sued, often more than once.

Make sure your doctor isn't practicing outside his/her field. This is mainly a problem in plastic surgery, where doctors of all kinds are ditching their chosen specialties to masquerade as cosmetic surgeons.

If you're considering plastic surgery, make sure your surgeon is certified by the American Board of Plastic Surgery, or better yet, is a member of the American Society for Aesthetic Plastic Surgery. If you're considering facial plastic surgery, then the American Board of Facial Plastic Surgery is considered an equivalent in all states.

Getting back at your ex -- by getting surgery

Be cautious of doctors who advertise too much. The quality of a doctor is often inversely proportional to the size of his or her ad.

Young, new physicians may use ads to introduce themselves to the community, but once word of mouth kicks in, most doctors don't need to pay for a lot of expensive advertising in order to maintain a busy practice.

Ask a nurse or other hospital support staff. Hospital workers know who the good and bad doctors are in town. Ask who they go to for advice or treatment.

Get a second opinion. If you're undergoing treatment with a specialist and aren't comfortable with the doctor's recommendations, ask your primary care physician what he or she thinks. Or get a second opinion by another specialist in the same field.

While stories of unethical physicians are indeed concerning, the majority of doctors are honest, ethical people who place their patients' best interests first. We just don't hear about it in the media.

Doctors contribute billions of dollars worth of pro bono care every year. Thousands of doctors staff inner-city and rural clinics to help the disadvantaged at a fraction of what they would earn in an upper-class neighborhood. And we don't often recognize the doctors who get out of bed in the middle of the night to tend to a person injured in a car accident, a woman about to give birth, or an ICU patient on the brink of death.

So should you trust your doctor?

Yes.

After you do your research.

Suffering from tattoo regret

The opinions expressed above are solely those of Dr. Anthony Youn.

@highlight

Michigan oncologist arrested for allegedly running multimillion-dollar Medicare fraud scheme

@highlight

Dr. Anthony Youn: I see cases all the time where doctors don't put patients' needs first

@highlight

Research your doctor, ask for second opinions, be cautious of doctors who advertise too much