(CNN) -- Blaming the moon is a popular pastime. Police say crime rates go up during a full moon, nurses claim birth rates go up, authors set werewolves and vampires loose upon the land, and people think craziness abounds -- witness the word "lunatic," which derives from "luna," the Latin word for moon.

None of this moon-linked strangeness has ever stood up to serious scrutiny. But now a team of astronomers at Texas State University-San Marcos has suggested that the moon can be blamed for the sinking of the Titanic on its maiden voyage 100 years ago.

How the moon caused icebergs to litter the Titanic's path, on April 14, 1912, is really a story about the Earth's tides. What we now know about where icebergs originate and how they travel could have informed the Titanic's crew and perhaps avoided tragedy. But at the time, this science was in its infancy.

The Titanic's captain did not expect icebergs to be a problem -- rarely did ice travel so far south into the Atlantic. Yet contemporaneous warnings from other ships suggested there were an unusual number of icebergs. Passengers reported seeing ice floes, lookouts spotted ice and sounded warnings, and other ships in the area reported fields of ice near the disaster site.

Here's where astronomy comes in: Three months earlier, on January 4, 1912, the closest approach of the moon to the Earth in 1,400 years occurred within one day of the Earth's closest approach to the sun (which occurs once per year), all within minutes of a full moon, meaning the sun was perfectly aligned on the other side of the Earth (this happens every couple of weeks). The odds of all three events occurring at once are, well, astronomical.

This lineup had to have caused unusually high tides in the North Atlantic. Tides are caused mostly by the differential pull of the moon's gravity on the Earth. The pull is strongest on the near side and weakest on the far side, since the strength of gravity, as Isaac Newton told us four centuries ago, falls as the square of the distance between the two massive objects -- in this case, the Earth and the moon.

That is, the moon pulls hardest on the Earth's oceans on the side facing the moon, making a bulge of water (high tide). It pulls less hard on the Earth, but even less hard on the water on the far side, so a watery bulge forms on the far side as well -- a high tide roughly 12 hours out of synch.

The overall strength of the moon's gravity, as well as its differential (tidal) effect, is greatest when the moon is closest to the Earth, as on January 4, 1912.

Now consider the sun. It is much more massive than the moon or Earth but also much farther away. The absolute pull of the sun's gravity is far greater than the pull of the moon -- that's why we're orbiting the sun, after all, rather than the moon -- but the sun does not exert much of a tidal force on the Earth (that is, a stronger force on the Earth's near side than its far side) because, compared to the distance between the sun and Earth, the Earth's size is miniscule.

Try this analogy (thanks to Veritasium.com): if the Earth were the size of a basketball, the moon would be a tennis ball about 24 feet away, and the Sun would be like a house nearly two miles away. To the sun, the Earth is a tiny speck: its diameter is less than 0.01% of the Earth-sun distance. But the size of the Earth is a few percent of the distance to the moon, which translates to about a 7% stronger gravitational pull on the near side of the Earth than the far side. That's why the moon dominates the Earth's tides.

Still, when the sun lines up perfectly on the opposite side of the Earth from the moon, as it did on January 4, 1912, it increases the tidal effect slightly. And the fact that the sun and moon were particularly close to the Earth at precisely the same time -- well, that made the tidal bulges even bigger.

What does this have to do with icebergs? The University of Texas scientists pointed out that normally, icebergs move south from Greenland in fits and starts, frequently grounding in the shallow waters off Labrador and Newfoundland. But unusually high tides in January 1912 meant the icebergs didn't get stuck. Instead, they kept moving south, arriving in much greater numbers than usual in the path of the Titanic.

Maybe the Titanic's captain had reason to believe reports of excessive ice were wrong -- such conditions were, after all, not the norm. But he didn't reckon on the inexorable pull of gravity from Earth's nearest celestial neighbor. This is the real lunar influence on our lives: gravity and tides, not werewolves and pregnant women.

One thing this new theory predicts: There should be records of exceptionally high tides near Newfoundland and Labrador in January 1912. This is the hallmark of a proper theory: it makes predictions that can then be tested.

So, history buffs, marine historians, tell us: Does this theory hold water?

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

A study by astronomers says the moon's position may have had a role in Titanic sinking

@highlight

Meg Urry: An unusual lineup of the Earth, sun, moon in January 1912 would have boosted tide

@highlight

She says higher tides could have floated icebergs into the route of the oceanliner

@highlight

Urry: If theory is true, there should be evidence of extreme high tide