Paris (CNN)At least a dozen people have been detained in the Paris region in connection with last week's shootings, the city prosecutor's office said Friday.

The people arrested are suspected of providing logistical support for the attacks.

The arrests were made in the Grigny and Fleury-Merogis neighborhoods, and those arrested were in Amedy Coulibaly's entourage, the Paris prosecutor's representative said.

Coulibaly was killed last Friday in a police siege to end a hostage taking at a kosher supermarket in Paris. He had killed four hostages and is believed  to have shot a policewoman to death in the city a day earlier.

Two days before Coulibaly was killed, brothers Said and Cherif Kouachi had attacked the offices of satirical magazine Charlie Hebdo, killing 12 people and injuring 11. They died the same day as Coulibaly as police moved in to end a separate siege.

There does not appear to be a command-and-control element to the Paris attacks other than a general "go forward and do something," a Western official with direct knowledge told CNN, describing the attack as "highly franchised terrorism with general instructions."

The Kouachi brothers "legitimately aligned with AQAP" and Cherif Kouachi was associated with networks that brought him to Yemen to train with the terror group, but Coulibaly's alleged connection with ISIS is still unclear, the official said. AQAP refers to al Qaeda in the Arabian Peninsula.

Investigators are still trying to determine whether Coulibaly coordinated with the Kouachi brothers in the execution of the attacks or launched his own attack after learning of their actions, said the Western official.

Who were the victims?

France's frayed nerves will not be eased by the Belgian authorities' operation Thursday to dismantle a suspected terror cell believed to be on the brink of carrying out attacks on police.

However, investigators have so far found no links with events in Paris, Belgian prosecutor Eric Van Der Sypt said.

Meanwhile, in the French city of Reims, about 90 miles (145 kilometers) northeast of Paris, the City Hall confirmed Friday that a police operation had taken place and that there had been gunfire.

It's not clear whether this is related to the investigation of the Paris attacks. However, Reims was the hometown of Said Kouachi.

At the same time, a man with a handgun entered a post office in Colombes, a northwestern suburb of Paris, according to the local police department. Police said the man might be mentally unstable and that they did not know yet if this was terror-related.

According to French media, there are up to five hostages inside the post office.

In his first visit to France since last week's terror attacks, U.S. Secretary of State John Kerry said that he "really wanted to come here and share a hug with all of Paris and all of France."

Standing alongside Paris Mayor Anne Hidalgo, Kerry added that he "wanted to express to you personally the sheer horror and revulsion" over what he called a "living nightmare."

American singer James Taylor also appeared, crooning a customized version of his 1971 hit song, "You've Got a Friend."

Kerry met earlier with President Francois Hollande, when he voiced the "full and heartfelt condolences" of Americans.

"We watched the people of France come together with a great sense of purpose and unity. It was a great lesson to the world that once again, France's commitment to freedom and passion of ideas has made an important statement to the world," Kerry said.

Kerry laid a wreath at a makeshift memorial at the site of the kosher supermarket attack Friday, accompanied by Foreign Minister Laurent Fabius. Kerry and Fabius spoke there for several minutes with Joel Mergui, the president of Consistoire du Paris, a national Jewish organization.

Kerry and Fabius also paid their respects at the offices of Charlie Hebdo.

Francois Vauglin, the mayor of Paris' 11th district, where the offices are located, told CNN that Kerry's visit was very welcome. "It's so important for us to feel supported at this time," he said.

The street is still cordoned off as investigators continue to comb the area for clues, adding to the sense of disquiet for local residents, he said.

"We know that the threat is still very high, and we don't know how long we will be able to withstand this threat," he said.

President Barack Obama's administration has admitted it erred by not sending a senior figure to a huge unity march held Sunday in Paris. More than 40 world leaders, including the British, German and Israeli heads of state and Russia's foreign minister, joined at least 1.5 million people on the French capital's streets.

The goodbyes continue after the attack on the Charlie Hebdo offices.

Funerals are being held for magazine editor Stephane "Charb" Charbonnier, illustrator Philippe Honore and Algerian-born copy editor Mustapha Ourrad.

The question of where to bury their killers is more contentious.

Cherif Kouachi's widow, Izzana Kouachi, has requested that both he and his brother Said Kouachi be buried in Gennevilliers, on the outskirts of Paris.

The Gennevilliers mayor's office told CNN that the city was obliged by law to bury Cherif Kouachi there, as he was a resident of the city.

But a spokesman for the mayor, Jean-Francois Boye, said that it would not do the same for Said because he lived in Reims.

"That's for sure, he's not from Gennevilliers, we won't let him get a funeral here," Boye said.

A "survivors' issue" of Charlie Hebdo was published Wednesday -- the first since the attack. Copies have flown off the racks of newsstands despite a print run of more than 4 million.

However, the magazine's decision to run a cartoon of the Prophet Mohammed on the front cover -- not for the first time -- has been criticized by a number of Muslim leaders, since this is deeply offensive to many Muslims.

Anger over the cartoon boiled over into violence Friday in Pakistan, where police resorted to using tear gas and water cannons to disperse protesters outside the French Consulate in Karachi.

A Pakistani photographer for AFP was shot and injured at the protest, the French news agency reported. He is "doing better," it said via Twitter.

Ahmed Chinoy, chief of Karachi's Citizen Police Liaison Committee, told CNN that investigations were underway to determine who shot the journalist.

At least 200 protesters were involved in the violence, which broke out after religious parties called supporters out to condemn the cartoon following afternoon prayers, Chinoy said.

The protests come a day after Pakistan's Parliament unanimously passed a resolution condemning the caricatures printed in Charlie Hebdo.

Several French media outlets' websites went down Friday morning, including those of radio station France Inter, newspapers Le Parisien and 20 Minutes, weekly magazines L'Express and Marianne, and investigative publication Mediapart.

This prompted speculation that the outage could be the result of a hack linked to publication of the Charlie Hebdo cover. But Internet service provider Oxalide said it was not the result of a cyberattack.

With France on its highest level of alert, 10,000 troops have deployed across the country. Thousands of police officers are on patrol, including hundreds assigned to protect Jewish schools.

As France still reels from the shock of the Paris attacks, authorities in neighboring Belgium swooped in on an alleged terror cell in an operation that left two suspects dead.

Prosecutor Van Der Sypt said weapons and police uniforms were recovered as part of raids on a dozen properties in Belgium, in which 13 people were arrested. The plan was to kill police officers on public roads or in police offices, he said.

Two people were also arrested in France, he said, and Belgium will be asking for them to be extradited.

They are Belgian nationals who belong to the alleged cell but were found in France, he said.

A Western intelligence source told CNN that the ongoing terror threat appears to involve up to 20 sleeper cells of between 120 and 180 people ready to strike in France, Germany, Belgium and the Netherlands.

Al Qaeda in the Arabian Peninsula claimed responsibility Wednesday for the Charlie Hebdo shooting.

The attack was years in the making, AQAP commander Nasr Ibn Ali al-Ansi said in a video, claiming U.S.-born cleric Anwar al-Awlaki was the mastermind behind it.

In the days since last week's attacks, security services have been working to track those associated with the Kouachi brothers and Coulibaly.

Neetin Karasular, a suspected Belgian trafficker in weapons who met Coulibaly's widow, Hayat Boumeddiene, is in custody, Karasular's attorney, Michel Bouchat, told CNN on Friday.

Karasular has been charged with association with wrongdoers and offenses relating to firearms, in a case handled by the local public prosecutor's office in Charleroi, Belgium.

According to Bouchat, police didn't find any weapons at Karasular's house. However, the police investigation revealed that Karasular used to spend time in a garage in Charleroi where documents were found that mentioned weapons.

According to multiple Belgian media accounts, these included documents about the type of gun used by Coulibaly in the attack on the supermarket a week ago.

Bouchat told CNN that his client was not at all connected to Thursday's police raids in Belgium. According to the attorney, Karasular wasn't involved in any jihadi group. Bouchat confirmed that Karasular had previous convictions.

How the Kouachi brothers were radicalized

CNN's Sandrine Amiel and Margot Haddad reported from Paris, and Laura Smith-Spark wrote and reported from London. CNN's Ray Sanchez, Pamela Brown and Tim Lister contributed to this report.

@highlight

At least a dozen people are detained in Paris in connection with last week's shootings

@highlight

U.S. Secretary of State John Kerry pays respects to the victims of the attacks