Washington (CNN) -- The U.S. Department of Agriculture released a new proposed rule Thursday designed to strengthen school breakfast and lunch nutrition standards -- part of the Obama administration's attempt to crack down on an epidemic of childhood obesity.

The rule would increase the availability of fruits, vegetables, whole grains and low-fat milk while cutting the amount of sodium and saturated fat. It would reduce the availability of traditional school lunch staples such as pizza and french fries.

Under the rule, federal minimum and maximum calorie intake guidelines would be established for the first time. Younger children would be offered 550 to 650 calories for lunch, while most high school students would be offered 750 to 850 calories.

Saturated fat would constitute less than 10 percent of the total calories in school meals for children at all age levels. Trans fat would be banned.

If implemented, the rule will affect an estimated 32 million school lunches and 12 million school breakfasts every year, according to Agriculture Secretary Tom Vilsack.

Public health advocates praised the proposal, arguing it will encourage better lifelong eating habits.

If children "eat healthy foods at schools and like them, they're going to be more open to eating healthy food at home and throughout the rest of their lives," said Margo Wootan, director of nutrition policy at the Center for Science in the Public Interest.

Some conservatives, however, contend that enforcement of nutrition standards in school meals is not an appropriate role for the federal government.

The proposed rule is open for public comment through mid-April. Once the rule takes effect, school districts will be required to meet its standards to be eligible for federal assistance for school meals.

Almost one-third of American children between the ages of 6 and 19 are overweight or obese, according to a recent study conducted by the Centers for Disease Control and Prevention. Obese children face an increased risk of a range of health problems, including high blood pressure, high cholesterol and Type 2 diabetes.

This is "an issue that needs to be addressed," Vilsack said.  "The United States is facing an obesity epidemic and the crisis of poor diets threatens the future of our children -- and our nation."

If the obesity problem isn't effectively dealt with, the country could face an additional $344 billion in health care costs by 2018, Vilsack told reporters.

President Barack Obama signed a sweeping overhaul of child nutrition standards in December, enacting a law meant to encourage better eating habits in part by giving the federal government more authority to set standards for food sold in vending machines and elsewhere on school grounds.

The new proposed rule is a consequence of the $4.5 billion measure.

Among other things, the law provides more money to poor areas to subsidize school lunches.  To help offset the higher cost of including more fruits and vegetables, the bill increases the reimbursement rate for the program.

The measure was a top priority for first lady Michelle Obama, who championed it as part of her "Let's Move" initiative to combat child obesity in the United States.

CNN's Matt Cherry and Sally Holland contributed to this report

@highlight

The USDA proposes rule to increase availability of fruits, vegetables and grains in school lunches

@highlight

Strict calorie intake guidelines would be set

@highlight

Poor areas will get more money for subsidized lunches