London (CNN)There are guards at the gate, guards checking bags, and guards at the door of the darkened room: Security is tight as a drum. The reason for these safeguards is stored under glass, and bathed in a pool of low light -- not jewels or what might traditionally be termed treasure, but four "grubby brown manuscripts."

In a room packed with illuminated tomes and richly-decorated books of hours, it would be easy to ignore the four tatty sheets arranged in a cabinet along the wall, were it not for the two magic words: Magna Carta.

For the first time in their 800-year history, the four surviving "original" versions of the Magna Carta have been brought together at the British Library in London -- in an operation planned with military precision.

"It's pretty high security," admits June Osborne, Dean of Salisbury Cathedral; its copy of the charter has left home for the first time in decades to join its "siblings" in the exhibition.

"We had conservators all around it to make sure that in the transfer nothing threatened the document. But as in all of these matters of security the greatest advantage is secrecy," she adds with a smile, refusing to go into detail about how, or when, the priceless page was brought to the capital. "I can tell you that as Dean I did not know when it moved ... We have taken it really seriously."

It's all a far cry from the days when one of the charter's previous custodians used to hide it under her bed for safe-keeping.

"The librarian, Elsie, felt very deeply about her responsibility for looking after it. The story goes that she occasionally put it under her bed at home and in order to get it under her bed she put it on the basket of her bicycle," says Osborne. "I shudder to think that anybody could have thought that was the right thing to do but ... Elsie probably thought she was doing her best."

By contrast, Lincoln Cathedral's well-traveled version of the charter, which has just returned from a visit to the United States, is no stranger to such serious levels of surveillance, having spent several years under lock, key and armed guard in Fort Knox.

"In 1939, when the war broke out, it was at the World's Fair in New York," explains Philip Buckler, Dean of Lincoln Cathedral. "It couldn't travel back across the Atlantic and so the American people took it in.

"It was kept at the Library of Congress for several years, but when the U.S. entered the war it was not safe in Washington D.C., and so it went into Fort Knox, and there it was held, with all of the other great treasures of America -- and the bullion, obviously -- until 1946."

Today, the Magna Carta is revered around the world as the document that established the principle that everyone -- including the King himself -- was subject to the rule of law.

That key clause -- nestled among long-forgotten details about fishing rights and noble widows' dowries -- has become a central tenet of democracies across the globe, from the U.S., whose Constitution and Bill of Rights were directly influenced by the Magna Carta, to Australia, New Zealand and India.

"It really is an iconic document, one of the most famous documents in the world," says Claire Breay, head of Medieval manuscripts at the British Library. "It has become such a powerful symbol over the centuries for all sorts of rights and freedoms."

But back in 1215, it was effectively a peace treaty. "It was a practical solution to the political crisis the country was in at the time," explains Breay, a way of bringing to an end a long-running conflict between King John and his barons.

And although the monarch signed it -- under sufferance -- he soon changed his mind and had it annulled by the Pope. It wasn't until his successors revived the Magna Carta in the years after his death that it began to take on such importance. Nowadays, it is studied in schools from Seattle to Sydney.

More than 43,000 people from all over the world applied for tickets to the exhibition; just 1,215 of them will get the chance to see the quartet of charters over the next three days.

Academics and Magna Carta experts will also get a unique chance to study the four documents side-by-side, looking at differences in text, handwriting and condition for clues to their past.

"It's a great opportunity for all four to be looked at, to be compared and contrasted," said Chris Woods, director of the National Conservation Service. "There's a great deal we still don't know about each of their individual histories, but there are things we can learn about them, particularly by comparing them."

Julian Harrison, curator of Medieval manuscripts at the British Library, says it is a miracle the documents have survived -- one was badly damaged in a fire in the 18th century, and "The other was reputedly found in a London tailor's shop in the 17th century -- that's a bit frightening because what was it doing there? Presumably it was going to be cut up to be used to make gentlemen's collars."

Once the landmark display comes to an end, the visiting versions will be sent home to Salisbury and Lincoln, where they, like the two held permanently by the British Library, will star in individual exhibitions marking the 800th anniversary of the charter, attracting thousands more visitors on a "pilgrimage" to see their own piece of history.

"It has become a relic in the best sense of the word, in that it represents a whole tradition," says Justin Champion, professor of history at the University of Holloway. "It is a bit of a disappointment when you first see it... [it's a] grubby brown manuscript," but, he insists, it is much more than that.

"The Magna Carta [has become] not just an artifact [but] an idea -- and as we know ideas are much more dangerous than things."

Magna Carta: Law, Liberty, Legacy is at the British Library from March 13  to September 1, 2015; Magna Carta: Spirit of Justice - Power of Words is at Salisbury Cathedral from March 7, 2015 and Magna Carta: Power, Justice and Accountability is at Lincoln Cathedral and Lincoln Castle from April 1, 2015.

@highlight

Four surviving copies of the 1215 Magna Carta have gone on display in London to mark document's 800th anniversary

@highlight

The Magna Carta, or great charter, established the principle that no one -- including the King -- should be above the law

@highlight

Security surrounding the priceless manuscripts, created by four different medieval scribes using sheepskin parchment and ink made of oak galls, is tight