(CNN) -- "The guys would say they'd be tortured so bad, they'd be screaming, 'Tell me what you want me to say! Tell us what to say and we'll say it!' They'd agree to confirm anything State Security wanted."

The words are those of one Egyptian speaking to Human Rights Watch - and alleging torture by Egypt's security services against his fellow detainees.

Another man, a 22-year-old taxi-driver, told HRW last year about his detention by Egyptian police: "They had whips and hit me on the legs, on the bottom of my feet, and on my back. When they took me down, they brought a black electric device and applied electro-shocks four or five times to my arms until it started smoking."

They are two of many cases documented by Human Rights Watch in a 96-page report on mistreatment of detainees in Egypt entitled "Work On Him Until He Confesses: Impunity for Torture in Egypt."

The report, which was published Monday but compiled before the current unrest, concludes that the Egyptian security forces carry out torture and ill-treatment of detainees with impunity and the "government is failing miserably to provide victims of torture and ill-treatment effective remedy."

The international human rights group says those guilty of human rights abuses have little expectation or reason to fear they will be held to account. It cites the Egyptian government's own figures that criminal courts convicted only six police officers of such abuses between 2006 and 2009.

The Foreign Affairs Ministry reported to HRW that 10 other officers were acquitted, and three received suspended sentences. The Interior Ministry said that it had reduced the salaries of 47 officers, suspended 17, issued one warning and acquitted 11. There were at least 70 cases (some involving more than one officer) referred to the courts or a disciplinary tribunal during that period.

It's not clear how many complaints are filed each year, but HRW said that human rights lawyers have documented numerous incidents that never reached court. The Egyptian government told a U.N. panel in November 2009 that "the Office of the Public Prosecutor investigates every complaint it receives about torture or cruel treatment."

CNN was unable to get a response from the Egyptian government on the report.

In the event that officers are convicted of ill-treatment, the law does not provide meaningful penalties that might represent a deterrent, HRW said.

Abuses are classified into three categories -- contraventions (a fine of less than US$17 or 100 Egyptian pounds), misdemeanors (a fine of more than US$17 or a jail term) and felonies (prison, prison with hard labor or the death penalty). Torture and "assault leading to death" are felonies; cruelty and other categories of assault are classified as misdemeanors.

According to the Egyptian penal code, any official "who deliberately resorts, in the course of duty, to cruel treatment in order to humiliate or cause physical pain to another person shall be subject to a penalty of up to one year's imprisonment or a fine of up to EGP200 (US$34)]."

Assault leading to death carries a prison sentence of three to seven years in prison, possibly with hard labor.

"The result is an epidemic of habitual, widespread, and deliberate torture perpetrated on a regular basis by security forces against political dissidents, Islamists allegedly engaged in terrorist activity, and ordinary citizens suspected of links to criminal activity or who simply look suspicious," the report concludes.

One case highlighted by HRW is that of Khaled Said, a young businessman in Alexandria whose death prompted street protests last year against police brutality and has been a rallying cry in the current protests.

He was accosted by police at an Internet cafe because he had posted a video online allegedly showing police dividing up drugs seized in a bust.

The son of the cafe's owner told HRW: "They grabbed his head and banged it against the marble shelf. At this point we tried to get them outside, thinking that they wanted to arrest him, but they dragged him into the entrance of the building next door....They kicked him so hard that he fell on the stairs. They held him by the throat and by the hair and banged his head against the stairs."

An official autopsy said Said died after swallowing a bag of drugs, but photographs of his body showed severe injuries.

Human Rights Watch says the State Security Investigations (SSI) is responsible for the disappearance of many people.

"SSI officers will summon individuals or arrest them, after which he or she "disappears" for a period of time, usually up to two or three months...Longer-term detention occurs at SSI headquarters in Cairo according to recent witness testimony and human rights groups."

One such detainee, according to his lawyers, was a member of the Muslim Brotherhood, Nasr al-Sayed Hassan Nasr, who was allegedly held blindfolded for 60 days last year.

Nasr told HRW that his interrogators warned him: "This is the biggest citadel in the Middle East for extracting information. You are 35 meters below the ground in a place that nobody except the Minister of Interior knows about."

His account is consistent with the findings of a UN Human Rights Council mission to Egypt in 2010 that found: "There is an alarming lack of judicial oversight of facilities run by SSI, which as such are not subject to any inspections of the kind referred to above. With this in mind it becomes difficult to fully ignore many reports about terrorist suspects being arrested, transferred to, and held incommunicado in what are mainly referred to as SSI secret underground cells."

In February 2010, the Egyptian Foreign Ministry responded to accusations by HRW: "There is no truth to the allegations regarding the unlawful detention of some individuals inside State Security Intelligence headquarters. In Egyptian law no citizen can be unlawfully detained."

HRW says the Egyptian government maintains that incidents of torture are isolated -- and the Ministry of Interior tends to respond to accusations of torture "by denying the facts, discrediting the complainant, and pointing to training programs and internal disciplinary measures."

It says there is significant gap between the number of torture incidents that victims or their families document or file with prosecutors, and the very small number of complaints that prosecutors transfer to court and result in convictions.

The HRW report says the offices of the Public Prosecutor in Egypt "operates very much as an instrument of the executive", despite its formal independence as a judicial body.

"Another factor contributing to impunity is the clear conflict of interest that arises when police are involved in investigating allegations of abuse within their own ranks," it says.

In its recommendations, Human Rights Watch urges the Egyptian government to take steps towards ending torture and ensuring effective investigations.

"Officials at the highest levels, including the president and minister of interior, should publicly acknowledge the scope of torture in Egypt and declare that they will tolerate neither torture nor ill-treatment."

And it adds: "The ministry of interior should immediately end the illegal practice of enforced disappearance and detention in SSI offices, and allow prosecutors to conduct unannounced visits to such sites to verify compliance."

@highlight

A 96-page Human Rights Watch report details cases of detainee mistreatment

@highlight

The report was compiled before the current unrest

@highlight

Report: Those guilty of abuses are often not held accountable

@highlight

CNN was unable to get a response from the Egyptian government