(CNN) -- Over the past decade the Arab world has witnessed a shifting of not only hard power -- which saw the traditional armies of the Arab world in Syria, Egypt and Iraq consumed in internal turmoil -- but also of what Harvard professor Joseph Nye termed "soft power," which has moved from these countries to the resource rich Gulf states.

Long before their formation into modern states, the cities of the Gulf were recipients of talent, skill and economic aid from the traditional Arab nation states that have today fallen into obscurity.

For centuries the Kiswa, or black drapes of the holy Kaaba in Mecca were supplied by Baghdad, Cairo or Sanaa as well as Istanbul who were locked in protocol battles of soft power over the holy city.

This is of course no longer the case. Saudi Arabia -- the Arab world economic superpower and fourth largest spender on military -- is the party that sends aid not only to Yemen and Egypt but also to most Arab states.

According to the World Bank, the Arab Gulf states, perhaps none more so than Kuwait, are today amongst the most generous nations with regards to financial aid, contributing more than twice the United Nations target of 0.7% of their combined gross national income during the period between 1973-2008.

Since the beginning of the Arab uprisings, Gulf Aid to the Arab world has significantly spiked. Egypt, for example, has received billions of dollars from the Gulf States since its January 25, 2011, uprising.

The Egyptians' loss of influence over Mecca -- which was then under Hashemite rule -- to Saudi founder Ibn Saud in 1925 was an irreparable blow to Cairo's mechanism of religious soft power and a significant advantage to the Al Sauds. Perhaps no other city in the world, save for Hollywood, commands as much global soft power as Mecca.

For decades, media output in the Arab world was produced, recorded, filmed and performed in the traditional leading Arab states of Iraq, Syria and Egypt as well as Lebanon.

Today a significant portion of television production, recording and filming -- not to mention financing -- takes place in the Gulf cities of Dubai, Abu Dhabi and Doha.

Much of this entertainment is produced in the local dialects of Egypt and Syria, but the Gulf cities can exercise a large degree of influence on material that is locally filmed and financed.

The Gulf states are also home to the most watched TV news channels in the Arab world, a significant mechanism of soft power in one of the most politically unstable regions.

Between the Doha based Al Jazeera and the Saudi owned and Dubai based Al Arabiya is a media war for the hearts and minds of the Arab public.

The two leading news channels of the Arab world are accused of reflecting the versions of events closest to the politics of their funders.

Even so, the soft power reach of these channels with their tens of millions of Arab viewers cannot be quantified and has become one of the main levers of soft power of the Gulf states.

Flourishing tourism

While tourism has come to a standstill in Lebanon, Egypt, Syria and Iraq it has flourished in the Gulf states.

Dubai with its infrastructure and attractions that were built over the past half-century today attracts more tourists than any other Arab state and is the seventh most visited city in the world.

This year, Airports Council International ranked Dubai's airport, home of Emirates Airlines, as the world's busiest -- in terms of passenger numbers -- for the 12 months ending March.

Abu Dhabi, Doha, Muscat and a number of Saudi cities are undertaking massive airport and other infrastructure projects that will keep tourists pouring in.

The Gulf cities have turned themselves into globally recognized brands, while traditional Arab cities such as Baghdad, Cairo and Damascus have become synonymous with turmoil and unrest.

The massive multi billion-dollar nation branding exercise that cities like Abu Dhabi, Dubai and Doha have undertaken has turned into a self-fulfilling prophecy.

World diplomatic, business and media leaders continuously make visits to these cities attracted by their commercial, political and media clout, this in turn attracts others to be based here. For instance, today Abu Dhabi is arguably the de facto political hub of the region having witnessed visits by most foreign ministers of regional and global powers.

While the traditionally culturally rich powers of the Arab world continue to face internal turmoil and fail to invest in cultural projects, the Gulf states continue to thrive.

Abu Dhabi, Dubai, Doha and Sharjah are investing heavily in museums and education, attracting talent from across the Arab world and beyond.

For the second year running, a survey of young Arabs found that the UAE topped their list of preferred countries to live in, followed by the U.S., Saudi Arabia and Qatar.

The UAE at 39% scored almost twice as high as the U.S. at 21% -- a significant show of force for a country that isn't even half a century old.

Barely a week goes by in the Gulf states without them witnessing major international events and meetings.

The Gulf states have been on a publicity and nation-branding streak.

From Dubai's hosting of the World Bank and IMF meetings in 2003 to the Dubai World Expo in 2020, the city is abuzz with global conferences such as the World Economic Forum's Global Agenda Councils, sporting championships and media, IT and business forums.

Qatar's hosting of the World Trade Organization Doha Round of talks in 2001 to the World Cup 2022 as well as Abu Dhabi's massive Guggenheim and Louvre museums -- which are scheduled to open in the next few years -- will cement these states' soft power advantages.

When the British decided to withdraw from the Gulf states in the 1960s they left behind fledgling nations, weak and exposed to regional states and the political ambitions of neighbors.

Today -- due to their incredible soft power -- it is these Gulf states that carry influence over the rest of the Arab world.

@highlight

Arab soft power has shifted to Gulf nation states, writes Sultan Sooud Al Qassemi

@highlight

The World Bank lists the Arab Gulf states as among the most generous aid donors, he says

@highlight

They are also home to the Arab world's most influential news stations, writes Al Qassemi

@highlight

Gulf tourism is thriving, he says, and the Gulf states' influence is growing