Like many small inns in Japan, the riverside Kamigoten Ryokan has been run by the same family for multiple generations.

But few can lay claim to a stretch like this.

The Ryujin family has been operating this historic Wakayama inn in the Ryujin village in mountainous Kii Peninsula since 1658, when it was constructed for an ancient samurai ruler as a holiday retreat.

Twenty-nine generations later, the Ryujin family remains in charge.

There's a key reason this beautiful property is still going strong after more than 350 years: beautifying baths.

High quality H2O

In hot spring-mad Japan, this ryokan has earned a reputation for its indoor and outdoor bathing pools, the water for which, pumped in from nearby onsens, is high in sodium bicarbonate.

Devotees refer to this type of onsen water as "bijin-no-yu" -- or beauty bath -- and say it also helps with cuts, burns and chronic skin disease.

Cue the skepticism.

But as I can attest, there's no denying the waters leave a silky, soft film on the skin post dip, so perhaps there's something to those claims.

Do they reverse the ravages laid upon us by the cruel hands of time? Inconclusive.

However, when most anti-aging promises come out of a jar or a needle, Kamigoten (or "Royal Palace") has the closest thing you'll find to a fountain of youth.

Guests have two options --  a gorgeous private outdoor landscaped open-air rock bath overlooking the Hikigawa River or the enclosed shared wooden baths -- one for men, one for women.

A remarkable history

Kamigoten is a two-story property that was registered as a "tangible Japanese cultural asset" in 1999.

Chieko Ryujin, the current owner, says this means they're allowed to modernize the property to ensure it remains pleasing for visitors (i.e. improve the sound proofing on the walls) but the overall structure of the building must not be touched.

With its dark brown wood floors and staircases, Shoji rice paper screens and Japanese antiques throughout, it's exactly the type of ryokan travelers looking for that quintessential Edo-era experience will love.

Meals -- another excellent feature of the ryokan -- are included in the room rates.

Guests are served traditional multi-course kaiseki dinners and breakfast in their rooms.

Every dish is made from locally grown produce sourced from the neighboring mountains, some cooked in the onsen mineral waters. Fish is caught from the nearby river.

All the rooms, which start from ¥16,200 ($159) per person, are traditional Japanese-style suites with futons that the staff lay out in the evening.

The elevated Onarino-ma (room built for the ruler) is where the feudal lord, Yorinobu Tokugawa, used to stay and is the top suite in the building.

A town of samurai descendants

There's an interesting back-story to the Ryujin hot spring village.

Ryujin was founded by Kobo Daishi (774-835), the man credited with introducing the Shingon school of Buddhism to Japan.

Legend has it he had a dream about a water god, who told him the location of the Ryujin hot spring. When Kobo visited the site that appeared in his dream, he enshrined a statue of Yakushi Nyorai, the medicine Buddha.

Later, a monk named Myozan came to the village and claimed his skin disease was miraculously cured after bathing in the onsen waters. To show his thanks, he rebuilt the hut where the Buddha was enshrined and named it Onsen-ji Temple.

A few hundred years on, during the first battle of the Genpei War outside Kyoto in 1180, famed Japanese poet-cum-warrior Minamoto no Yorimasa was defeated and his troops fled into the Kii mountains.

They settled in the Ryujin area and renamed themselves in honor of the village.

The owners of Kamigoten are descendants of these fighters.

As Japan moved into the Edo period (1600-1868), Ryujin became a popular retreat for top samurai warriors, who were drawn to its thermal waters. It was during this time that Kamigoten Ryokan was built.

Getting there

Many travelers visit Ryujin village as an overnight stop on their journey between Wakayama's sacred Koyasan and Kumano areas, which are linked by the beautiful Ryujin-Koya Skyline highway.

There's a daily bus that runs all year round from Kii-Tanabe station to Ryujin. The travel time is 90 minutes, tickets ¥1,700 ($16.70).

Seasonal buses run from Koyasan, with visitors needing to transfer at Gomadanzan to the Ryujin Bus.

Central Koyasan (Senjuin-bashi bus stop) to Gomadanzan is ¥1,690, the Gomadanzan to Ryujin Onsen is ¥1,140.

There's more info on bus timetable number 7.

Travelers can also book a taxi from Koyasan to Ryujin for ¥16,500 (taxi holds 1-4 people) or ¥19,800 (jumbo taxi for 5-9 people). Travel time is one hour.

@highlight

Kamigoten Ryokan has been run by the same family since 1658

@highlight

The inn is famous for its onsen baths, which some claim have beautifying effects

@highlight

Ryujin village became a popular retreat for top samurai warriors during Japan's Edo period (1600-1868)