(CNN) -- It took five tries and almost 15 years, but there is no question that North Korea's successful launch of a satellite into orbit on December 11 is a major technological achievement.

It is not, however, a serious military threat to the United States or other nations. North Korea still has a long way to go before they can turn the orbiting of a baby satellite, reportedly tumbling out of control, into the ability to threaten others at long distance with a nuclear weapon.

If the past is any guide, North Korea's launch of an Unha-3 rocket will have international security repercussions far out of proportion to its military capability.

North Korea's first attempt in launching a satellite in April 1998 under Kim Jong Il failed, but it triggered a panic in the U.S. Proponents of elaborate anti-missile weapons seized on the launch as proof that dictators of small, undeterrable countries could soon attack the U.S. with nuclear-armed intercontinental ballistic missiles.

Read more: Why did North Korea launch a rocket?

At the time, a commission chaired by Donald Rumsfeld made headlines with its warning that "A nation with a well-developed, Scud-based ballistic missile infrastructure would be able to achieve first flight of a long-range missile, up to and including intercontinental ballistic missile range (greater than 5,500 kilometers), within about five years of deciding to do so."

North Korea and Iran had Scud-based missile infrastructures: They were clearly trying to do so. Fifteen years later, they have not come close to succeeding.

But the warning achieved its purpose: Missile defense programs and budgets soared and have never come down. Our nation today spends about $10 billion a year on such programs, even though the threat never developed as predicted.

We can expect similar warnings now that Kim Jong Un has done what his father never could. And this is the really tragic news.

Success raises stakes for U.S. missile defense system

Governments meeting in emergency session in Seoul and Tokyo will have to produce more than statements of condemnation. They will likely support more anti-missile programs. The U.S., feeling the pressure from them and from defense hawks at home, may increase efforts to field more of the systems it is developing.

We deploy about 30 ground-based interceptors in silos in Alaska and California. These systems have some ability to hit a long-range rocket, like the Unha-3 should it be turned into a missile and aimed at the U.S. Some in Congress will no doubt demand that we deploy more. We are fielding interceptors at sea aboard Aegis-class destroyers and cruisers that have some capability against short-range missiles, with plans to grow the program to longer-range missiles and deploy them in Eastern Europe. The U.S. Defense Department just recently approved arms sales to Japan to help that nation upgrade its Aegis anti-missile system. Pressures will mount to deploy more capable anti-missile systems in Asia.

Read more: North Korea silences doubters, raises fears with rocket launch

China and Russia will almost certainly react to these deployments, believing that they are aimed at them, not North Korea or Iran. This will chill efforts to negotiate reductions in Cold War stockpiles of nuclear weapons. How can we reduce, they will ask, if the U.S. is racing to ring us with new weapons?

There is no reason for this cycle of action and reaction. There is no threat that warrants the panicked deployment of untested and unreliable anti-missile weapons. As my colleague and North Korean expert Philip Yun notes, "A successful launch was only a matter of time, and it shows a level of technical sophistication that was always there. We need to take North Korea seriously but not make it more than it really is."

I pointed out in 2009, after North Korea's third failed attempt, that the nation was a long way from having a nuclear-armed ICBM. That is still true after this successful launch. North Korea would have to achieve three additional breakthroughs.

First, it would have to demonstrate the reliability of its launcher. The first four tests failed. This one succeeded. Will the next? Sometimes, you really do have to be a rocket scientist to answer questions like this.

The one I consult is David Wright of the Union of Concerned Scientists. He writes, "From past launches, we knew that North Korea has been able to build or buy working components for a rocket. The main difficulty is getting all the parts to work together and at the same time, given the enormous complexity of rockets. Even with this success, North Korea has no confidence in the reliability of the rocket, which undermines its utility for military purposes."

Second, it will have to develop a nuclear warhead small enough and reliable enough to fit on a missile. North Korea (unlike Iran) has twice tested nuclear devices, but these are believed to be too large and heavy for use in a warhead. North Korea would need several more nuclear tests to achieve this capability.

Read more: China's reaction

Third, as North Korea's long history demonstrates, it is very hard to get something up into space -- and it is just as hard to bring it safely down. North Korea will have to develop and test a re-entry vehicle that can survive the temperatures, pressures and vibration of coming back into the Earth's atmosphere and the accuracy to land where targeted.

It is a long journey from initial satellite launch to an ICBM. Ask Iran. Iran first launched a low-Earth orbit-satellite in 2009, the same feat North Korea has now duplicated, but Iran does not now, nor is it likely to have anytime soon, an ICBM. A new study from the Congressional Research Service concludes that contrary to predictions in the late 1990s that Iran or North Korea or both would have ICBMs by 2015, "It is increasingly uncertain whether Iran will be able to achieve an ICBM capability by 2015."

So, the lessons are: Don't underestimate North Korea. Don't count on this regime disappearing anytime soon. But don't panic. Don't start an arms race that undermines your greater strategic stability goals. We need to take a deep breath and work with our allies to get North Korea back to the bargaining table and off the test ranges.

The opinions expressed in this commentary are solely those of Joe Cirincione.

@highlight

Joe Cirincione: North Korea's successful launch of a satellite is a major feat

@highlight

Cirincione says it is not a serious military threat to the U.S. or other nations

@highlight

He says launch will have disproportionate international security repercussions

@highlight

Cirincione: Don't underestimate the regime, but don't panic and start an arms race