(CNN) -- More than 100 countries attending a conference in Dublin, Ireland formally adopted a treaty Friday to ban cluster bombs -- a large, unreliable and inaccurate weapon that often affects civilians long after the end of armed conflict.

Cluster bombs are usually air-dropped shells that eject multiple small bomblets to kill enemy soldiers.

A document released by Ireland's Department of Foreign Affairs says the countries agreed never to use cluster munitions or the explosive bomblets they contain. The countries also agreed never to develop, acquire, retain or transfer cluster munitions.

Countries attending the 11-day conference agreed to the treaty Wednesday but formally signed it Friday.

The accord calls for a total, immediate ban of the weapons, strong standards to protect those injured by them, contaminated areas to be cleaned up as quickly as possible and for the weapons to be immediately destroyed, he said.

Thomas Nash, coordinator of the CMC campaigning organization, said Wednesday: "This is a great achievement for everyone who has been working hard to see the end of 40 years of suffering from these weapons."

Though some of the biggest makers of cluster bombs, including the United States, Russia, China and Israel, were not involved in the talks and have not signed the accord, organizers predicted that those nations would nevertheless be pressured into compliance.

"Take the United States," Nash said. "Almost all of its allies are here. They've decided to ban these weapons. That's going to make it extremely difficult, if not impossible, for the United States to ever use these weapons again, either on its own or in joint operations."

The agreement requires the destruction of stockpiles of the weapons within eight years, he said.

Cluster munitions, which break apart in flight to scatter hundreds of smaller bomblets, are what the International Committee of the Red Cross calls a "persistent humanitarian problem."

Most of a cluster bomb's bomblets are meant to explode on impact, but many do not. Estimates show the weapons fail to explode on impact between 10 and 40 percent of the time, the Red Cross says.

That means unexploded bomblets lie scattered across a target area, often exploding only when handled or disturbed -- posing a serious risk to civilians.

Last week, Acting Assistant Secretary for Political-Military Affairs Stephen D. Mull called it "an absolute moral obligation" to rid a battlefield of unexploded ordnance after the battle.

But he also predicted that the United States would not agree to any ban.

"We think that it is going to be impossible to ban cluster munitions... because these are weapons that have a certain military utility and are of use," Mull said. "The United States relies on them as an important part of our own defense strategy."

Instead, he urged that the weapons be regulated "to take humanitarian considerations into account" and that "technological fixes" be pursued that would render them harmless after a battle.

During the 34-day war in Lebanon in 2006, the United Nations estimated that Israel dropped 4 million bomblets, 1 million of which may not have exploded, according to the International Committee of the Red Cross.

More than 250 civilians and bomb-disposal operators have been killed or injured by them in southern Lebanon since the war ended.

Cluster bombs were also used in the 1999 war in Kosovo. Lt. Col. Jim Burke, a military adviser to the Irish Defense Forces said they quickly became a major killer of civilians.

In more than 20 countries, according to the ICRC, cluster bombs have created lasting "no-go" areas, rendering them as dangerous as minefields.

Laos is the most affected country. Millions of bomblets dropped during the Vietnam War continue to kill civilians more than three decades later.

Still, militaries consider cluster bombs important for use against multiple targets dispersed over a wide area, such as tanks or military personnel moving across the landscape. A single bomb containing hundreds of submunitions can cover more than 18 square miles.

CNN's Jacqueline Clyne contributed to this report.

@highlight

111 countries formally agreeing treaty banning cluster bombs

@highlight

U.S. not attending and not expected to agree to banning cluster bombs

@highlight

Controversial weapons often don't explode but stay dangerous for civilians