(CNN) -- A group of Republican senators drafted an alternative stimulus measure that narrows government spending to infrastructure programs and helping unemployed Americans, addresses the housing crisis and relies mostly on tax cuts.

Sen. Mel Martinez has been working with GOP senators on an alternative to the current stimulus plan.

The $713 billion plan was put together by Florida Sen. Mel Martinez, who has been working with a handful of other GOP senators.

The proposal includes $430 billion in tax cuts, $114 billion for infrastructure projects, $138 billion for extending unemployment insurance, food stamps and other provisions to help those in need and $31 billion to address the housing crisis.

The draft Martinez put together is a broader approach than what some GOP leaders have suggested.

Senate Minority Leader Mitch McConnell and other Republicans appear to want to limit the stimulus to tax cuts and addressing the housing crisis.

But the draft is more narrow than the Democrats' plan because it eliminates spending on government programs that Republicans and some Democrats say shouldn't be in the bill because they don't create jobs.

Martinez has just started showing the plan to his colleagues, and it is too early to tell how much traction this idea will get among other lawmakers.

McConnell on Monday dismissed the idea that Republicans are trying to block passage of the economic stimulus plan.

"Nobody that I know of is trying to keep a package from passing," he said at a news conference Monday. "We're trying to reform it."

The House last week passed an $819 billion stimulus bill without a single Republican vote, despite Obama's efforts to work with both sides of the aisle.

The House version is two-thirds spending and one-third tax cuts.

Of concern for Republicans has been how much of the money will be spent in the near future. An analysis released Monday by the Congressional Budget Office estimated the stimulus plan before the Senate would use 78 percent of the proposed funding (including the lost revenue from tax cuts) by the end of fiscal year 2010. Sixty-four percent of the House bill would be put to use during the same period, according to the report.

Much of the $550 billion in spending is divided among these areas: $142 billion for education, $111 billion for health care, $90 billion for infrastructure, $72 billion for aid and benefits, $54 billion for energy, $16 billion for science and technology and $13 billion for housing.

Republicans have blasted numerous measures in the package, such as funding for veterans in the Philippines, sod on the National Mall and honey bee insurance.

On Monday, Senate Democrats dropped two controversial spending programs in the Senate economic stimulus bill: $75 million for anti-smoking programs and $400 million for the prevention of sexually transmitted diseases and HIV.

Two Democratic leadership sources told CNN on Monday that the Democrats dropped the programs as a "symbolic gesture" to show Republicans they are listening to their objections.

But one of the Democratic sources also said, "It's hard to explain when you're in the midst of a crisis why these programs are important. When people are struggling and thinking about their jobs, it's hard to make that connection."

Republicans, and even some Democrats, have been pointing to both of these items as prime examples of "excess spending" that doesn't belong in the stimulus bill.

The CBO analysis said the stimulus plan before the Senate would increase the deficit by $885 billion over the next decade -- about $64 million more than the bill passed by the House last week.

The cost difference is due in large part to a provision in the Senate bill that would "patch" for one year the Alternative Minimum Tax so that it doesn't start to hit middle- and upper-middle-income families.

Sen. John McCain said Monday that he would not be able to vote for the Senate bill in its current form.  Watch McCain explain why he'd vote no »

The former GOP presidential nominee said President Obama and Democrats will have to "seriously negotiate" with Republicans if they want to pass a stimulus plan with bipartisan support.

"I think we are clearly prepared to sit down, discuss, negotiate a true stimulus package that will create jobs," McCain said on CNN's "American Morning."

"But now it's time, after the way it went through the House without any Republican support. It's been rammed through the Senate so far. We need to seriously negotiate. We haven't done that yet."

McCain said he's been working with fellow Republican senators to come up with a plan that eliminates policy changes that have nothing to do with job creation.

He said the way to separate what's pork and what isn't is by asking two things: Does it take effect in the next year or so? And does it create jobs?

One change already made in the Senate version is the addition of $71 billion to fix the Alternative Minimum Tax, which was intended to place a tax on the wealthy but now hits many middle-class families.

The Senate bill also adds a $300 payment to seniors, disabled people and others who can't work and suspends taxes on the first $2,400 on unemployment benefits.

Meanwhile, House Republican leaders put out a list of more than 30 "wasteful" provisions in the Senate version of the stimulus, including:

• A $246 million tax break for Hollywood movie producers to buy motion pictures

• $650 million for the digital television (DTV) converter box coupon program

• $248 million for furniture at the new Department of Homeland Security headquarters

• $600 million to buy hybrid vehicles for federal employees

• $1 billion for the 2010 Census

Asked if it would be better for the president to offer up two separate bills -- one for job creation and another for programs Democrats think were neglected during the Bush years -- Sen. Ben Nelson, D-Nebraska, said that "might be a better way to bifurcate the issues."

"But, at times, you put things together because of the efficiency of getting something done," he said Sunday on CNN's "State of the Union." "And there's no pork in this. Let me say that right away. But there may be some sacred cows."

Nelson and Sen. Susan Collins, R-Maine, spent the weekend scrubbing the bill of spending that does not narrowly target job and economic growth so moderate Republicans and conservative Democrats will be more likely to vote for it.

President Obama said Monday that both parties need to work together so that a bill can be passed quickly.

"There are still some differences between Democrats and Republicans on the Hill, between the White House and some of the products that have been discussed on the Hill," he said. "But what we can't do is let very modest differences get in the way of the overall package moving forward swiftly."

Obama's remarks came after meeting with Vermont Gov. Jim Douglas, a Republican governor who supports the economic stimulus program.

The president also was meeting Monday with Democratic congressional leaders.

Obama said Sunday he's confident that his economic package will have Republican support once the final plan is hammered out.

"I've done extraordinary outreach, I think, to Republicans because they had some good ideas. And I want to make sure that those ideas are incorporated," he said in an interview with NBC.

"We're going to be trimming up -- things that are not relevant to putting people back to work right now," he said.

CNN's Dana Bash and CNNMoney's Jeanne Sahadi contributed to this report.

@highlight

NEW: Some GOP senators have put together $713 billion alternative

@highlight

Sen. Mitch McConnell wants bill "dramatically different" from House version

@highlight

Sen. John McCain says there haven't been serious talks with Republicans yet

@highlight

Bill passed in the House without any Republican support