(CNN) -- President Barack Obama has said he doesn't believe North Korea can fit a nuclear warhead on a missile, casting strong doubt on an alarming assessment disclosed last week by the Pentagon's intelligence arm.

And he warned the young North Korean leader Kim Jong Un that weeks of threats against the United States and South Korea had only served to isolate the regime further.

CNN's full coverage on North Korea

Asked in an NBC News interview whether North Korea could put a nuclear weapon on a ballistic missile, Obama said, "Based on our current intelligence assessments, we do not think that they have that capacity."

According to a snippet of a document read out by a congressman at a House Armed Services Committee hearing last week, the Pentagon's Defense Intelligence Agency believes "with moderate confidence" that the North has developed nuclear weapons it could deliver on a ballistic missile, although with low reliability.

U.S. defense and intelligence officials sought to qualify the DIA's words soon after they were made public, saying North Korea hadn't "fully" demonstrated the capabilities mentioned. But Obama's comments in the NBC interview, which was recorded Monday and broadcast Tuesday, appear to be the strongest dismissal of the assessment yet.

Obama cautioned, though, that amid North Korea's recent dramatic threats, the United States has to "make sure that we are dealing with every contingency out there."

"That's why I've repositioned missile defense systems to guard against any miscalculation on their part," he said, an apparent reference to the recent decision to move missile defenses to Guam, a Western Pacific territory that is home to U.S. naval and air bases that the North has cited as possible targets for attack.

Recent threats

Pyongyang intensified its threatening language last month when the U.N. Security voted to approve tougher sanctions on the North Korean regime following its latest underground nuclear test. Joint military exercises under way in South Korea by U.S. and South Korean troops, which take place each year, have also fed the North's angry rhetoric.

As well as its torrent of fiery words, which have included the threat of a nuclear attack on the United States and South Korea, the North has made a number of moves that have added to tensions on the Korean Peninsula.

It has suspended activity at a manufacturing zone it jointly operates with the South, vowed to immediately restart a nuclear reactor it shuttered five years ago and moved mobile ballistic missiles to its east coast for what U.S. and South Korean officials say could be a possible test launch.

Obama said that North Korea's recent behavior under Kim Jong Un was both familiar and counterproductive.

"This is the same kind of pattern that we saw his father engage in and his grandfather before that," he said, referring to the two previous North Korean leaders Kim Jong Il and Kim Il Sung. "Since I came into office, the one thing I was clear about was, we're not going to reward this kind of provocative behavior. You don't get to bang your spoon on the table and somehow you get your way."

'I'm not a psychiatrist'

Asked if he thought Kim Jong Un was unstable, Obama said, "I'm not a psychiatrist, and, I don't know the leader of North Korea."

But he said that "the actions they've taken, the rhetoric they've engaged in has been provocative."

He warned that the situation may not calm down in the short term.

"I think all of us would anticipate that North Korea will probably make more provocative moves over the next several weeks," Obama said. "But our hope is that we can contain it and that we can move into a different phase, in which they try to work through diplomatically some of these issues, so that they can get back on a path where they're actually feeding their people."

The U.S.-South Korean military exercises are due to carry on until the end of April.

On the diplomatic front, U.S. Secretary of State John Kerry visited three of North Korea's neighbors in the past week -- South Korea, China and Japan -- and set out the conditions Pyongyang would have to meet in order to hold talks with the United States.

"The North has to move toward denuclearization, indicate a seriousness in doing so by reducing these threats, stop the testing and indicate it's actually prepared to negotiate," Kerry said in an interview with CNN on Monday.

But North Korea has repeatedly insisted that its nuclear program is a necessary deterrent because of the threat posed to it by the United States and its allies.

'A crafty ploy'

A North Korean foreign ministry spokesman on Tuesday dismissed the U.S. suggestion of talks as "nothing but a crafty ploy" to deflect blame for the rising tensions.

The United States urging dialogue is like a robber "calling for a negotiated solution while brandishing his gun," the spokesman said in a statement published by the North's state-run Korean Central News Agency.

The statement appeared to leave open the possibility of some kind of talks.

"Genuine dialogue is possible only at the phase where the DPRK has acquired nuclear deterrent enough to defuse the U.S. threat of nuclear war unless the U.S. rolls back its hostile policy and nuclear threat and blackmail against the former," it said, using the shortened version of North Korea's official name, the Democratic People's Republic of Korea.

But Daniel Pinkston, senior analyst covering Northeast Asia for the International Crisis Group , said that the terms North Korea had set out were nonstarters.

Pyongyang is saying it is willing to talk only if the rest of the world acquiesces to the status quo of a nuclear-armed North Korea, a situation unacceptable to the United States and the United Nations, he said.

Meanwhile, the North Korean government continued Wednesday to prevent South Koreans from entering the Kaesong Industrial Complex, the shared manufacturing zone that sits on the North's side of the border but houses operations of more than 120 South Korean companies.

The North has also pulled out its workers from the complex, who number more than 50,000.

There had been hopes in South Korea that the North might return the situation to normal this week following the major public holiday Monday that marked the 101st anniversary of Kim Il Sung, the founder of North Korea.

But so far, Pyongyang hasn't budged. At the weekend, it dismissed Seoul's proposal of talks over the complex, saying that what happens next depended on the South Korean government's "attitude."

READ MORE: North Korea's threats: Five things to know

READ MORE: North Korea threatens to strike without warning

OPINION: Why I fled North Korea

CNN's Tim Schwarz and Judy Kwon contributed to this report.

@highlight

Obama says Kim Jong Un is following familiar pattern of provocation

@highlight

He says intelligence suggests the North can't build a nuclear missile

@highlight

The North may make more provocative moves in the coming weeks, he warns

@highlight

North Korea has dismissed the idea of talks with the U.S. as "a crafty ploy"