Zaatari refugee camp, Jordan (CNN) -- They carried teapots and tiny gas canisters, shopping bags filled with clothes and overstuffed bundles of blankets balanced on their heads. Many held jerry cans, once full with water, now dangling empty.

This was our first day in Jordan, and nothing could have prepared us for the scene in front of us: Hundreds of refugees from Syria making the long walk to safety in Jordan, one long jagged line stretching out into the open desert.

SEE MORE: Stunning photo gallery of Syria's refugees

The refugees came from the outskirts of Damascus, walking for days in order to escape the ugly civil war that has engulfed their country for the past three years. Their destination, like so many thousands before them, is the Zaatari refugee camp in Jordan. The numbers are staggering: Syrian refugees are now estimated to make up 10% of Jordan's population.

These are the scenes I remember the most from our journey from the Syria-Jordan border to Zaatari.

The Long Walk from Syria

Two children clutching plastic soda bottles filled with olives from their family farm in Syria.

One exhausted woman, eight months pregnant, gratefully taking the hand of a Jordanian border police officer as she struggled over the dirt mound that marks the Syria-Jordan border.

UNHCR staff and Jordanian border police carrying bag after bag, child after child, and, most of all, the astonishing number of injured and sick brought in on wheelchairs.

INTERACTIVE MAP: Syrians turn Zaatari into a home

An old man sitting on his battered suitcase. He offered me a biscuit. When I asked him how old he was, he said maybe 90 or 95. "I don't remember my birthday," he said with a toothless smile.

A woman who stopped and sat in the endless stretch of sand to feed her six-month-old child. She didn't want to be filmed. I spoke to her off-camera. She had travelled for three days from Damascus. Her home had been destroyed. I asked about the baby. Was he sleeping? Was she able to get enough food, produce enough milk to feed him? She smiled shyly. I showed her a picture of my little boy. She let me take a photo of her beautiful baby.

The "Mayor of Zaatari"

Zaatari is not simply a camp. More than 127,000 people have fled to the sprawling desert encampment since it opened in June 2012. If it was a city it would be the 5th largest in Jordan -- and, in fact, Zaatari is much more like a city than you might imagine: Hundreds of shops line a main road known as the "Champs Elysees." There are supermarkets and vegetable gardens, bicycle workshops and beauty salons.

Overseeing all this is Killian Kleinschmidt. He has been called the "Mayor of Zaatari" but he's actually the UNHCR Field Coordinator for the camp. He believes in tackling problems head on and always with an impish sense of humour. He was kind enough to let us tag along on one of his frequent afternoon strolls through the camp. It turned out to be one of the most entertaining tours I've ever been on.

A Town Called Zaatari

The day in Zaatari begins with bread. At dawn, the World Food Program delivers millions of loaves of bread for distribution to the camp's residents. Many families send their children to fetch the daily bread. And they come running in, waving pink vouchers in their hands. They leave loaded down with bags of bread, five pieces per family member.

But that's only the start. In fact, Zaatari has a bustling economy: the U.N. estimates that $12 million is exchanged in business transactions here every month.

The population demographics in Zaatari are skewed towards women and children but also a surprising number of elderly residents. Consider these statistics: More than half (54%) of the camp's residents are under the age of 17. 42% of families in the camp are led by a female head of household. 3% are more than 60-years old.

Syrian government demolished thousands of homes, report says

Safah's story

Many of Zaatari's children bear the physical and emotional scars of war. Six-year old Safah is one of them. She and her family survived a rocket attack on their home in Aleppo, but they were hit by a second rocket outside Damascus.

Safah lost her leg in the blast and has struggled to cope. Her father spoke to us about his heartbreak in seeing his bubbly daughter become quiet and withdrawn.

Syria's 110-year-old refugee

One of my favorite moments was meeting Jabaari Alawali. He's doesn't remember his birthday, so he doesn't know exactly how old he is. But he reckons he is 110-years old with more than 200 grandchildren. And he is a charmer. His eyes sparkle when he tells you stories of life in Syria before the Assad family came to power. And he recites poetry, lots of poetry, in a wavering voice. "Assad made beggars out of his people," he told me.

Bringing beauty to Zaatari

I expected to see many things in Zaatari: A bustling market-place, caravan homes under construction and many, many kids at play.

I did not expect to get a facial experience in home-made spa. But that's exactly what I got from Rowaida Abu-Zaid, the proprietor of Alma's Salon for Women, one of three wedding shops in Zaatari. I was really taken by her fearless attitude and candid views. We talked about the fears of the camp's young women and why so many are now getting married much earlier. She also showed me how the simple act of applying lipstick is an act of resilience for the women of the camp.

"Even the bread doesn't taste the same"

Zaatari is the main collection point for Syrian refugees in Jordan. But the vast majority of Syria's refugees actually live outside the camp, trying to find work in Jordan's cities. We met with one man, a baker, hoping to find work on the outskirts of Amman. He lives in one bare room with his family of five. He spoke to us on condition of anonymity because he fears his family at home in Syria could be targeted. But it's very unlikely he'll be able to find work. He lost his foot in a rocket attack, and his young son was crippled for life in the same attack.

One of the most poignant moments, however, we did not catch on camera. We showed him the video we had shot of him using crutches to walk with his son. "Look!" he cried out, "when you fast-forward the video it looks like I am running again. At last!"

Nothing can take away from the pain and loss of being a refugee. But everyone we met had a remarkable story of resilience and determination. Zaatari is a remarkable place because its residents are building a strong community out of what little they have. They build homes, invest in businesses, plant vegetable gardens and paint works of art. But every single Syrian refugee I spoke to said the same thing: if the war stopped today, I would be home tomorrow.

@highlight

Hundreds of thousands of Syrian refugees have streamed into Jordan since 2011

@highlight

More than 100,000 Syrians now call Zaatari refugee camp home

@highlight

Half of Zaatari's population are children; 42% of families have a female head of household

@highlight

U.N. estimates nearly 3 million children in Syria have been forced to quit their education