(CNN) -- The energy generated by the January 13 earthquake in Haiti was larger than that of the Hiroshima atomic bomb.

While many people were surprised to learn that Haiti is vulnerable to earthquakes because the last major earthquakes there were in 1761, 1770 and 1860, experts should have been taken that quiet period as an ominous sign.

A catastrophic amount of energy had been building up all that time, culminating in a 7.0 quake and many aftershocks that ruptured a segment of the fault 40 kilometers (24.85 miles) long. It affected an area roughly 100 km (62.14 miles) to the north and south, well beyond the capital of Port-au-Prince.

It may take a decade for Haiti to rebuild. This time, let's make sure the construction accounts for our acute awareness that earthquakes can happen in the Caribbean.

The question in many people's minds is why has the destruction been so catastrophic?

There are several reasons for the widespread damage to buildings, bridges and other infrastructure. The most obvious is the sheer magnitude of the event and its proximity to the densely populated capital and surrounding towns. The epicenter was about 15 km (9.32 miles) from Port-au-Prince. The earthquake generated very large vibrations. Based on witness accounts, the shaking lasted as much as a minute. So far, no instrument data have been obtained from the region to confirm these accounts.

No human being, of course, could control the quake. But people can learn from the second reason why the destruction was so severe: the apparent lack of any seismic design requirements for buildings.

Most of the construction appears to be reinforced concrete frame but with little seismic reinforcement. Review of the photos of some of the collapsed multistory structures shows very slender columns supporting heavy concrete slabs.

A closer look at these photos shows that the amount of steel reinforcement in many cases was minimal, if it was present at all. This type of construction is consistent with areas that are not earthquake-prone, where the structure is expected to carry only vertical loads such as those due to the weight of the building material.

But earthquakes shake structures in two horizontal directions similar to a swinging motion, and with the slim columns and little reinforcement, the columns crumbled. They lacked the strength and ability to bend without breaking.

Higher-strength columns would have been needed to resist the earthquake forces, but they also would have to have been connected properly to the beams or floor slabs with additional steel bars running from the columns into the beams in order to provide continuous transfer of the forces from one structural element to another.

It is likely that even a weaker earthquake could have caused many of the buildings in Haiti to suffer severe damage.

Infrastructure is more than just buildings, and there are equal concerns about Haiti's power and water systems. Power is out, indicating that power lines are down, but we do not know much yet about how power generation and transformer stations fared.

An even greater concern is the potential failure of the water and sewer system. It is very likely that underground water and sewer systems have been damaged, leading to potential contamination of the drinking water. Certainly extensive damage to these utility systems, in addition to posing a potential health threat in the short term, will add to the time and expense of rebuilding in the long term.

What it would take to rebuild the country is probably a question that has not been addressed yet by either local Haitian officials or by international bodies, but it will need to be confronted soon. Because Haiti is a very poor country, funding will be essential.

Fortunately, it seems likely that the international community will come up with the financial resources to help.. But before reconstruction of the civil infrastructure can even begin, it will be necessary to have a stable and functioning government that will provide the support and oversight of such an effort.

To prevent future disasters, the country needs to develop, or at the very least adopt, a seismic building code from other earthquake-prone regions. Adopting the seismic components of the International Building Code would be a good place to start.

Sure, measures such as adding lateral reinforcement to columns and adding steel reinforcements at joints between beams and columns to transfer forces will be more expensive, but they are clearly necessary.

Adopting a seismic code by itself, however, does not solve the problem and all the money in the world can't make reconstruction happen immediately. Local engineers and planners need to be trained in proper design and construction practices, and most importantly, there has to be a regulatory body that oversees the implementation of such codes.

The country should develop its own seismic hazard map that would identify the severity of ground shaking, and areas where conditions make damage and landslides potentially most severe. If Haiti and helpful nations around the world respond correctly to this tragedy, perhaps it will never be repeated.

The opinions expressed in this commentary are solely those of Anne Kiremidjian.

@highlight

Anne Kiremidjian: Energy released was equivalent of atomic bomb in Hiroshima

@highlight

She says the last major quakes in Haiti were in 18th and 19th centuries

@highlight

Many structures in Haiti appear to have lacked seismic safety features

@highlight

She says such features will have to be part of the building code for the reconstruction