For a country that ditched monarchical rule, America has some of the most intriguing "castles" in the world.

OK, maybe not castles in the classic sense.

To visit a fortress where ancient monarchs slept on stone pillows and knights bickered about grails, you'll still have to fly across the pond.

But for a different sort of castle -- the kind redefined by Gilded Age names such as Vanderbilt and Ringling, by proud Polynesian monarchs or by the occasional heartbroken Latvian-Floridian stonemason -- the United States is home to a melting pot of historic domiciles that would blow an 11th-century Scottish king's mind.

Here we crown seven favorites whose gates are open to gaping plebeians.

King of Cottages: The Breakers (Newport, Rhode Island)

Story: In 1893 Cornelius Vanderbilt II, heir to the New York Central Railroad, commissioned Richard Morris Hunt to design this palatial summer home inspired by 16th-century Genoan palazzos.

The largest and grandest of Newport's famous "cottages" (colossal leisure homes erected by America's turn-of-the-century baron class), the Breakers was created in just a few years by a team of 2,500 craftsmen from around the world.

Specs: Located on a 13-acre cliff-side estate overlooking the Atlantic Ocean, the 70-room house covers 126,000 square feet from attic to basement to mezzanine.

Standout rooms include a 22-carat gold-leaf-adorned Great Hall stretching 50 feet in every direction (including overhead) and a two-story, alabaster-columned dining room featuring enormous Baccarat crystal chandeliers and a table for 32.

Stopping by: Now in the hands of the Preservation Society of Newport County, the Breakers is one of the five most-visited homes in the country. One-hour audio tours cover about 20 rooms on the first and second floors.

The Breakers, 424 Bellevue Ave., Newport, Rhode Island; +1 401 847 1000; admission $19.50

Little Brother Complex: Biltmore (Asheville, North Carolina)

Story: George Washington Vanderbilt II clearly had bigger ideas than simply one-upping older sibling Cornelius (of the Breakers) with this massive, 1890s French chateau plunked on the edge of North Carolina's Smoky Mountains.

But when you use the same architect to dwarf your big brother's Newport fortress, there's probably some family competition etched into the blueprints.

Specs: America's largest privately owned residence occupies 175,000 square feet (or more than four acres) of floor space -- with 250 rooms, 43 bathrooms, 65 fireplaces, three kitchens, an indoor swimming pool, gymnasium and a bowling alley in the basement.

Estate holdings include original Renoir paintings, Napoleon's chess set, a 25,000-volume library and a pair of John Singer Sargent portraits of the Hunt and Biltmore landscape designer Frederick Law Olmsted, the man behind New York's Central Park.

Stopping by: The 8,000-acre estate receives more than a million annual guests.

Five specialty tours of the house include a "behind the scenes" glimpse at some of its lesser-visited areas -- including the butler's pantry and Biltmore's catacomb-like sub-basement. Private bus rides through the property are also available.

Biltmore, One Lodge St., Asheville, North Carolina; +1 800 411 3812; admission varies seasonally from $44 to $69

Forlorn Fortress: Coral Castle (Miami)

Story: Heartbroken 26-year-old Edward Leedskalnin would never love another woman after 16-year-old Agnes Scuffs broke off their engagement a day before their wedding.

Over the next 28 years, the eccentric Latvian-American artisan would -- as a testimony to lost love, it's been said -- dedicate his life to single-handedly sculpting a massive castellated compound comprised of locally harvested coral rock.

Now on the National Register of Historic Places, the place has been called "America's Stonehenge" and still leaves engineers wondering how a short, 100-pound fellow with a fourth grade education did all this using homemade hand tools and unrequited love.

Spect: Within its eight-foot-high, three-foot-thick walls, Coral Castle uses approximately 1,100 tons of coral rock -- including a stone sculpture garden with Flintstones-style furniture (500-pound rocking chairs that work), a nine-ton gate that moves with ease and a home-carved Polaris telescope.

Stopping by: Just north of Homestead in South Miami, the Coral Castle Museum is open every day, with audio stands that broadcast in several languages and guided tours also available.

Coral Castle, 28655 South Dixie Highway, Miami; +1 305 248 6345; admission $15

Auto Heir's Opus: Edsel & Eleanor Ford House (Grosse Pointe Shores, Michigan)

Story: Edsel Ford, lone son of auto titan Henry, would become president of Ford Motor Company by age 25, posing him the challenge of living up to his father's hulking legacy while setting his own bar over the next quarter century.

In addition to legendary cars like the Lincoln Continental, Edsel would build an English Cotsworld-style family estate that -- for sheer style, taste and grandeur -- tops dad's Fair Lane digs in nearby Dearborn.

Specs: A bold blend of classic European and modern (1930s) styles, the 60-room, 20,000-square-foot house designed by famed architect Albert Kahn is set on 87 lakefront acres in the heart of southeast Michigan's Gold Coast.

An extensive collection of art, period furniture and antiquities includes two Cezanne oil paintings, an original Diego Rivera and stained-glass window medallions dating to the 14th century.

Stopping by: Standard 50-minute guided tours explore the home's major rooms, including the English-baronial-style gallery and a contrasting art deco room done by eminent industrial designer Walter Dorwin Teague.

Behind-the-scenes and special interest tours delve deeper into the property and its stunning grounds.

Edsel & Eleanor Ford House, 1100 Lake Shore Road, Grosse Pointe Shores, MI; +1 313 884 4222; admission to all areas $15

California Headliner: Hearst Castle (San Simeon, California)

Story: Hearst Castle's predecessor was Camp Hill, a tract of ranchland on the central California coast acquired by 19th-century mining magnate George Hearst for family campouts.

After inheriting the property in 1919, George's son -- newspaper mogul William Randolph Hearst -- reportedly told noted architect Julia Morgan, "We're tired of camping out in the open ... I would like to build a little something."

Specs: More than 28 years and 80,000 square feet later, the estate boasted the 115-room Casa Grande and three Mediterranean Revival-style guesthouses, with 27 acres of gardens.

Borrowing from just about every classic European style, castle highlights include the spectacular Neptune pool, an indescribably ornate main library (one of two on the property), Mr. Hearst's private Gothic suite and one of the world's most extensive (and manically collected) stashes of art and artifacts.

Stopping by: Now a California State Park, the property offers four separate tours covering various floors of Casa Grande and the areas of the estate.

A special Evening Tour (spring and fall only) lets visitors experience the mansion at twilight while docents play out the roles of 1930s houseguests and staff.

Hearst Castle, 750 Hearst Castle Road, San Simeon, California; +1 800 444 4445; admissions start at $25

Greatest Showpiece on Earth: Ca' d'Zan (Sarasota, Florida)

Story: Inspired by their favorite Tuscan villas and Venetian palaces, circus tycoon John Ringling and his wife, Mable, built a 1920s Mediterranean Revival-style dream home that would become known as "the last of the Gilded Age mansions" -- and the best place for a Gatsby-style party in southwest Florida.

Falling into state hands (and some neglect) after Ringling's death in 1936, the huge waterfront mansion overlooking Sarasota Bay entered its second heyday with a recent $15 million restoration effort.

Specs: The 36,000-square-foot, five-story (plus full basement) property totals 56 rooms, including 15 bathrooms.

It's adorned with Gothic arches, Mexican onyx columns, priceless 17th-century tapestries and a custom-made 1892 Steinway piano in the two-story great court, dolloped with an 81-foot Belvedere tower.

Stopping by: Docent-led tours of the mansion's main living space and a special Private Places tour through less frequented areas run daily.

After the house tour, you can see the estate's famous art museum, which houses one of the nation's finest collections of 17-century Baroque works.

Ca' d'Zan, 5401 Bay Shore Road, Sarasota, Florida; +1 941 359 5700; admission $25

Royal Relic: 'Iolani Palace (Honolulu)

Story: The only former official residence of a reigning monarch on U.S. soil, 'Iolani Palace was Hawaii's grandest symbol when it was completed in 1882.

Occupied by Hawaii's last two monarchs before American annexation, the palace would subsequently be used as a Red Cross dressing station and the state's first capitol building.

Today, the National Historic Landmark is a museum open to the public.

Specs: Filled with imported furnishings, royal gifts and art from around the world, the 34,104-square-foot royal abode featured late-19th-century technological luxuries like electric lighting (installed in 1887, four years before the White House) and telephones.

Highlights include the Grand Hall, lined with portraits of Hawaiian monarchs, the crimson-gold Throne Rome where King Kalakaua hosted grand balls and state dinners, and the Blue Room, which features a giant portrait of King Louis Philippe of France received in 1848.

Stopping by: Docent-led and guided audio tours let guests explore 'Iolani Palace's first and second floors.

Guests can peruse Hawaiian regalia exhibits in the basement gallery and explore the spacious grounds, which include the old royal barracks and Coronation Pavilion where Kalakaua was crowned king in 1883.

'Iolani Palace, 364 S. King St., Honolulu; +1 808 522 0822; guided tours $21.75, self-led tours $14.75

@highlight

The U.S. is home to a melting pot of "royal" domiciles

@highlight

All these palatial estates are open to the public

@highlight

Edsel Ford's home is a 60-room, 20,000-square-foot masterpiece on Michigan's Gold Coast

@highlight

'Iolani Palace is the only former official residence of a reigning monarch on U.S. soil