(CNN) -- The Arab League was negotiating an extension of its fact-finding mission in Syria Thursday, with its members due to report over the weekend on what they have witnessed of a months-long government crackdown on protests.

Ambassador Adnan Al Khudeir, the Cairo-based head of the monitoring operation, said the league and the Syrian government were negotiating an extension to their mandate, which was scheduled to end Thursday.

A senior Arab League official, who could not be named because he was not authorized to speak on the matter, said the monitors would remain in Syria while the issue was discussed -- and that all signs pointed to an extension being agreed to by both sides.

A handful of Arab League members will meet Saturday, led by Qatar, before the full 22-state body meets Sunday in Cairo to discuss the monitors' final findings, the official said.

The United Nations is not sending monitors itself but is providing technical training to the Arab League observers, he added.

The uprising, driven by calls for President Bashar al-Assad's resignation, reforms and democratic elections, is in its 10th month. It has prompted a bloody government crackdown that has claimed at least 5,000 lives since it began in March, according to the United Nations. Opposition groups put the death toll at more than 6,000.

The Arab League has called on Damascus to stop violence against civilians, free political detainees, remove tanks and weapons from cities and allow outsiders, including the international news media, to travel freely around Syria.

The purpose of its month-long fact-finding mission was to see if the government was adhering to an agreement to end the violence.

But opposition activists and human rights monitors say the Syrian government has not stopped its aggressive actions against protesters since the mission began December 26, and have questioned the mission's effectiveness.

Meanwhile, opposition activist groups continue to report outbreaks of violence elsewhere around the country.

The Local Coordination Committees of Syria, an opposition umbrella group, said 25 people were killed Thursday, including seven in Idlib, six in Hama and four in Homs. Four people were killed in Deir Ezzor and three in the Damascus suburbs, with one more death in Qameshly, the group said.

Gunfire was reported in many neighborhoods in Hama, with mourners at a mosque also coming under fire. Some roads out of the city have been closed off, while snipers are positioned on rooftops, the LCC said.

In Douma, a suburb of Damascus, the naked body of a young man bearing signs of torture was found in the street, the group said, adding that government security forces took the body and arrested several people.

The Syrian Observatory for Human Rights earlier said one civilian was killed and seven wounded in Homs Thursday by mortar rounds fired at the neighborhood of Baba Howd.

Another four activists, who were in hiding, were shot dead in the Idlib region when security forces ambushed them in a mountain village, the Observatory said.

The LCC said 21 people were killed by government troops Wednesday.

The Arab League monitors have been greeted ecstatically in some Syrian cities, where residents have recounted tales of government brutality.

In the town of Kisweh, which monitors visited Tuesday, one demonstrator spray-painted the letters "S.O.S." on a wall. On Sunday, crowds in Zabadani carried the monitors on their shoulders and urged them to stay to prevent reprisals.

Syrian activists said Wednesday that opposition forces had wrested control of Zabadani from government troops. They maintained control of the city Thursday, activists said.

"There was massive protests in Zabadani, so the Syrian Army tried to disperse them. But our troops were very organized and aggressive with a counter attack that left them fleeing and they withdrew completely out of the city," said Lt. Col. Mohamed Hamdo of the Free Syrian Army (FSA), a group made up of former government soldiers. "Our forces raised the flag of independence in Zabadani."

Hamdo said, though, that the opposition fighters "expect another confrontation" as the government forces regroup outside the town.

Although a number of journalists have been allowed into the country in recent days to travel with Arab League monitors on their fact-finding mission, CNN cannot verify many accounts of what is happening in Syria because the government restricts the activities of journalists.

The European Union announced Wednesday it was planning new sanctions against companies and individuals in Syria, as it seeks to put pressure on the al-Assad regime.

While Western powers have imposed sanctions on Syria during the 10-month crackdown, opposition by Russia and China has kept the U.N. Security Council from following suit.

The al-Assad government says it is fighting armed terrorist groups, which it blames for the violence.

CNN's Nic Robertson, Salma Abdelaziz, Lonzo Cook and Samira Said contributed to this report.

@highlight

NEW: Opposition activists report 25 deaths across Syria Thursday

@highlight

The monitors will stay in Syria while an extension to their mission is discussed, an official says

@highlight

Arab League member states will meet over the weekend to discuss the mission's findings

@highlight

Critics say the monitors' month-long fact-finding mission has done little to protect civilians