LONDON, England (CNN) -- For the first time, and for a limited period only, people in North America will be able to get their hands on the XO, MIT professor Nicholas Negroponte's rugged little laptop that's designed specifically for children.

Children in Cambodia using XO computers. The XO was designed for children in developing countries.

And for each cutting-edge XO purchased in the West, another will be given to a child in a developing country.

The "Give One Get One" scheme, which launches Monday, is part of the One Laptop Per Child (OLPC) project to equip the world's poorest children with a learning tool.

For $399, customers can order a laptop for themselves; bundled into the price is the cost of delivering a second XO to a child a poor country.

The laptops, which went into high-volume production on 6 November, go on sale online at 6 a.m. Eastern Time Monday until November 26.

Founder of OLPC, MIT professor Nicholas Negroponte told CNN that the launch of the scheme was exhilarating. "It must be like a runner's high," he said. "A lot of muscles hurt. Many people thought we would not get to the finish line."

Negroponte is convinced that providing children in poor countries with computers is a cost-effective and empowering route into self-learning. In January 2005, he unveiled One Laptop Per Child, with the aim of building a $100 laptop and supplying it in bulk to developing countries.

OLPC has come under fire from some quarters for failing to make the laptop as cheap as promised, and some, including Dell CEO Michael Dell, have dismissed Negroponte's $100 aim as unrealistic. But while the cost of the laptops is currently around the $180 mark, Negroponte remains determined that his $100 machine is attainable once mass production kicks in.

The rugged, green-and-white XO is made by Taiwanese company Quanta Computer Inc., the world's largest laptop manufacturer and maker of laptops for Apple, HP and Dell amongst others. Quanta will build 40,000 units in the first month, then ramp up production to 80,000 in December and 120,000 in January.

The XO uses open-source software and has long battery life, a built-in camera, mesh networking and a simple user interface. It features a screen that's clearly visible even in bright sunlight, uses a tenth of the power of a conventional laptop and can be recharged by hand when mains electricity isn't available.

While the laptop was designed to appeal to children, with its tough exterior, bright colors, touchpad and cute bunny-ear antennae, Negroponte told CNN that expressions of interest in the XO have so far come from a wide range of potential buyers -- and geek blogs are buzzing with anticipation of its release.

Some have questioned whether laptops are the answer to the developing world's problems. But in countries where education is patchy in quality and provision, Negroponte sees the computer as an educational lifeline that could open up opportunities for children to learn independently. "It is a window of hope," he says. "Education is at the root of eliminating poverty."

Negroponte has admitted that firm orders from developing countries have not always followed their verbal expressions of interest. "I have to some degree underestimated the difference between shaking the hand of a head of state and having a check written," he told the New York Times in September. "And yes, it has been a disappointment."

But Negroponte hopes that the Give One Get One scheme will kick-start more bulk orders for his little green machines. "It is like an avalanche," he told CNN. "Not much snow needs to slide before a huge avalanche is created. We hope Give One Get One will be like the first pieces of snow."

It's the G1G1 link between a child in North America and a child in a developing country that Negroponte hopes will sway people to purchase an XO.

"In the Give One Get One program, the likely recipient in the developed world is a child," he explained. "For that child to be using the same laptop as a kid in Africa is especially meaningful."

Customers wanting their XOs for the holiday season have been advised to order early: the first 20,000 units should be delivered by Christmas, with their partner computers heading to Peru and Uruguay. Later orders will follow in 2008.

And Negroponte's message to those considering it as a gift this year? "Don't hesitate. Don't buy it because it is an inexpensive laptop," he told CNN.

"Buy it to join a movement to change the world."

.................................

Are you putting in an order for an XO? Can laptops fill the education gap in developing countries? Share your thoughts and read others' views in the Just Imagine forum.

For more information on the XO, and to order online, visit laptopgiving.org. E-mail to a friend

@highlight

One Laptop Per Child launches the Give 1, Get 1 scheme

@highlight

For the first time, people can get their hands on rugged, green XO

@highlight

When North Americans buy a laptop, a second gets sent to a child in a poor country

@highlight

Scheme is run by Nicholas Negroponte, founder of MIT Media Lab