London (CNN) -- They've spent 10 years together, swinging by the Earth and Mars on a cosmic roadtrip that has taken them to a mysterious celestial body but on Wednesday they are due to separate -- the parting marked with farewell photographs.

Watch Rosetta's incredible journey

The Philae landing craft that is due to touch down on the surface of a comet hurtling towards the Sun will snap some images of the mother ship Rosetta after it breaks its bonds and embarks on its seven-hour descent to the surface of Comet 67P/Churyumov-Gerasimenko -- 67P for short.

Rosetta has already become the first probe to orbit a comet, and, if successful, Philae will notch up another achievement by becoming the first craft to land on one.

Led by the European Space Agency (ESA) with a consortium of partners including NASA, scientists hope to learn more about the composition of comets and how they interact with the solar wind -- high energy particles blasted into space by the Sun.

Some believe water may have been brought to Earth by comets, or even the chemicals that make up the building blocks of life. This mission may shed new light on the theory as Philae is equipped to detect organic chemicals on the surface.

"It's quite extraordinary that we are able to do this -- to track a comet and see the evolution of a comet. We have a ringside seat," said ESA lander system engineer Laurence O'Rourke.

Rosetta comet landing: 'We can do amazing things, if we dream big'

"This is the first time this has been done -- to land on a comet, to follow it."

But the landing on November 12 is fraught with difficulty.

Engineers cannot steer Philae once it has separated from Rosetta and the trajectory has to be programed.

Choosing a suitable set down point has also been problematic. Rosetta's survey from orbit revealed an irregular shaped body that is littered with boulders -- and scientists needed to find a site that is in enough light to charge Philae's batteries.

O'Rourke says there's lots of risks and puts their chances of success at about 70%.

"You have to face reality," he said. This was the best of the five possible landing sites -- we've got what the comet has given us. It's the best of the worst.

"There's craters, crevices, boulders, gravelly areas. It [Philae] could tip over. The comet is a very strange structure and there's a lot of luck involved," he said.

The comet's gravity is so weak that there's also a danger that Philae could bounce off so it has been designed to grip on like a limpet.

O'Rourke explained that at touchdown, harpoons from two of the three feet fire into the surface and the attached cords rewind to help anchor the craft. A thruster on top of the probe fires to push down the probe, and screws on each foot bore into the surface -- all within 15 seconds of landing.

If it works then the surface science can really begin.

Philae will capture a high-resolution image of the landing site just before it sets down and then return a panoramic picture from its seven cameras on the top edge of the craft.

Even the harpoons have another use.

"This is very cool," said O'Rourke. "Accelerometers in the harpoons can measure the deceleration so you get a very good idea of the 'hardness' of the surface. It's an amazing what Philae can do," he said.

Mission controllers will face a nail-biting wait for first news from the spacecraft.

At landing, O'Rourke says the comet will be more than 500 million kilometers (310 million miles) from Earth so a signal from the probe will take just short of half an hour to reach us -- and more than an hour for the first pictures.

Philae carries nine instruments that ESA says will measure the density and thermal properties of the surface, magnetic fields, gases, and the interaction between the comet and the solar wind.

It also has a drill that can bore up to 20 centimeters (12.4 inches) into the comet and return a sample to a tiny oven that will heat the material and analyze its content.

Philae has an initial 65 hours of battery life but scientists hope they will be able to recharge and continue working for three months. After that, they believe the comet will be so close to the Sun and the temperature so intense that Philae will not be able to operate.

Robert Massey of the Royal Astronomical Society in London says if the landing succeeds it will be an amazing achievement.

"Rosetta matters because it's the first time we'll be able to see and analyze a comet from its surface. Hopefully we'll also have the incredible experience of watching that surface change as the comet swings in towards the Sun. It might just be that Philae lands right next to an erupting jet that spews out the material that becomes the cometary tail."

Comet 67P is already giving off a dust jet as it is warmed by the Sun -- something that can be seen from recent Rosetta images.

O'Rourke says that the coma (the gas around the comet) already extends to 19,000 km (11,875 miles) but the comet will eventually have a tail 100,000 km (62,000 miles) long as its orbit takes it closer to the Sun.

The comet will make its closest approach to the Sun in August 2015 before returning to the outer solar system. Philae may not be working then but ESA mission controllers hope that Rosetta is still returning data a year from now.

You can follow Rosetta's progress on ESA's blog

CNN special coverage: Rosetta and its mission

@highlight

ESA's Philae landing craft is due to touch down on a comet surface on November 12

@highlight

The mission may shed light on whether water may have been brought to Earth by comets

@highlight

Philae has been designed to grip like a limpet because the comet's gravity is so weak

@highlight

If successful, first pictures could come back about two hours after landing