(CNN) -- In cities and towns across America, there's rising demand for affordable housing while the stock of low-cost homes evaporates.

A recent Harvard Joint Center for Housing study spells out a critical national shortage -- more than half of low-income tenants today spend more than half of their income on rent. And 21 million people can't find rental homes within their means. The struggle for decent, affordable rental housing is increasingly out of reach not only for the poorest of the poor, but for the middle class as well.

Some might ask: Why should the rest of us care? Why not let the market determine what is available and for how much?

We should care because the supply of decent and affordable housing is crucial to any local economy. When millions of people spend the bulk of what they earn on rent, it's bad for business.

Affordable housing is key to sustaining successful communities. Employers can't readily hire the workers they need if those workers can't find a decent place to live nearby. When a long, expensive commute stands between families and their jobs, schools or doctors, those families become financially unstable and pull down the communities around them.

New York Mayor Bill de Blasio recognized the extent of the stunning erosion of the city's affordable housing supply (as did his predecessor Michael Bloomberg) and set a goal of adding 200,000 low-cost homes over the next 10 years. That would mean building or preserving units at a rate of about 55 a day.

Meanwhile, the erosion continues: Before de Blasio's first term ends, more than 45,000 existing lower-cost homes will return to market value when restrictions that keep them affordable expire, according to NYU's Furman Center.

On May 1, the mayor is set to introduce his plan for how to address the accelerating demand for affordable housing. But that demand won't be met without effective tools that enable the public and private sectors to invest in new housing while preserving existing ones.

Constructing affordable housing is not only hard to do, it's just not enough. For every new unit created, at least two are lost. In hot real estate markets such as New York, regulations expire; in cooler markets, affordable units are overcome by age and decay.

It is far more costly to create homes than to preserve what's already there. Any real solution, in addition to looking to new construction, must also look to preservation.

The Lower East Side neighborhood of Jacksonville, Florida, is a fine example of how preservation can work. Four years ago, the apartments at 887 Franklin St. were so derelict and dangerous that government housing officials considered pulling their funding, portending disaster for a neighborhood already reeling under the weight of recession and investment flight.

Today, after a $5 million renovation by new owner Ability Housing of Northeast Florida, the 60-unit Oakland Terrace is a clean, well-lit and safe place for families to live, complete with a new playground that residents and their children helped design. The neighborhood now has the potential to become economically stronger.

Oakland Terrace was financed through a public-private partnership made possible by the federal Low Income Housing Tax Credit program, and improvements to the property were largely paid for through an equity investment provided by a key private sector partner, TD Bank.

But for every Oakland Terrace, America faces many more unresolved affordable housing challenges. A $26 billion capital-needs backlog that's associated with our publicly financed affordable housing stock looms.

Traditional federal subsidies that enable affordability -- such as Section 8, which authorizes rental housing payment assistance to private landlords on behalf of more than 3 million low-income households -- are being cut back. Federal housing subsidy programs such as HOME were slashed this year. These vital programs need to be preserved and expanded.

Other important tools are at the ready, but sadly, they are inactive or underutilized.

Back in 2008, President George W. Bush signed into law the National Housing Trust Fund, requiring at least 90% of its funds be used to build, preserve or rehabilitate rental housing for low-income households. But this program and others like it have yet to receive the funding that was envisioned by the law.

Another valuable initiative is the Rental Assistance Demonstration Program, which enables private developers to work with public housing authorities to preserve affordable housing. But it has only been funded for up to 60,000 housing units.

So while RAD offers promise to select cities such as Baltimore, San Francisco and Houston, hundreds more housing authorities from Los Angeles to Little Rock, Arkansas, to Lackawanna, New York, are waiting for Congress to lift the cap so that desperately needed private capital can flow to aging public housing.

Expanding LIHTC -- the federal tax credit for low-income housing that was instrumental in the preservation of Oakland Terrace -- is another important step. This Reagan-era policy gives the private sector an incentive to create and invest in affordable housing and helps finance more than 100,000 new rental units every year. These tax credits enable affordable rents for low income and middle class families and is often used to create mixed-income developments. Such housing is a critical resource for working families.

To date, LIHTC has financed the development of more than 2.6 million affordable rental homes across the country, leveraging more than $100 billion in private capital in the process. The Bipartisan Policy Center recently called for expanding the tax credit by 50% over current funding levels to help close the gap between the costs of producing or preserving properties and the equity and debt that can be raised from the private sector to support them.

This isn't about handouts. It's about using tools we already know are shown to work to preserve and expand our nation's supply of decent homes working people can afford. Only then can employers hire the workers they need and families hold their financial footing.

Only then can local communities thrive.

@highlight

Demand for affordable housing is rising but there's a national shortage

@highlight

Michael Rubinger: Supply of affordable housing is crucial to any local economy

@highlight

He says Mayor Bill de Blasio's plan to add new low-cost homes isn't enough

@highlight

Rubinger: Public and private sectors should also work to preserve existing housing