Jeddah, Saudi Arabia (CNN) -- At first glance, it looks like a standard road sign to Mecca, the Saudi Arabian pilgrimage site for millions of Muslims every year.

But look again at this piece of graffiti art and you see that the Ka'ba, the cube-shaped building at the spiritual heart of Mecca shown on its genuine road signs, has been replaced by a cluster of high rise buildings.

It is the work of Sarah Mohanna Al Abdali, a 22-year-old graphic design graduate, and she sprayed it on walls around her home city of Jeddah as a comment on overdevelopment in Mecca, the holiest Muslim city.

It is a bold statement to make in the socially conservative kingdom of Saudi Arabia, and the method -- spray painting walls in public places -- even more so.

"At first I was worried about how the conservatives would react and whether I would get any bad comments, but no-one has said anything," said Al Abdali, who works as a university teaching assistant.

"Saudi is going through a lot of change and street art is the perfect medium to experiment in.

Al Abdali began experimenting with graffiti about six months ago and is one of a small but growing number of street artists in the kingdom. A blog, Saudi Street Art, displays some of their work.

"It's something very new here," she said. "I started with very random shapes but I wanted to develop more techniques that people could relate to.

"You don't see a lot of street art here, there's just vandalism. I'm excited to be doing something new.

"I like street art because it's there for the people. You don't need to overdo your ideas, it's a simple way of expressing yourself. And it's free, which you don't see in many forms of art."

Al Abdali sprayed her Mecca sign on walls around the historic area of Jeddah where it would be seen by as many passing people as possible.

"I didn't want it to be a beautiful artwork, I wanted to create debate," she said.

She was pleased with the response it received.

"People took photos and shared them on Facebook and Twitter," she said.

"Some people related to it because it was straight to the point; other people didn't care. It's interesting to hear the different views every time someone comes up and asks me if I did it."

Al Abdali is also gaining recognition. She was one of four artists chosen to exhibit at an off shoot of the Edge of Arabia show, the first major contemporary art exhibition in Saudi Arabia, according to its organizers.

In a country where a lot of culture is controlled by the government, Al Abdali is one of growing number of young rebels finding their own way of pushing boundaries.

Stand-up comedy is another art form gaining popularity just out of government reach.

There are no comedy clubs and live shows are rare, but comedians are gaining a following through their own shows on YouTube.

Omar Hussein hosts a satirical news show called "On The Fly." It goes out monthly on YouTube and episodes are watched online by hundreds of thousands of people.

"If we create our own entertainment, we preserve our culture," Hussein said. "We are no longer reliant on culture that comes from abroad.

"We reflect something that's happening in our community in a comical manner and it's up to you to decide what's right and wrong."

While pushing gently at social boundaries -- such as women's rights -- the comedians say they self-censor, avoiding taboo topics like religion and the monarchy.

Saudi Arabia is ruled by the Al Saud family, much of whose power to rule comes from its association with the Wahhabi religious establishment. Wahabism is an austere form of Islam that has been a major social and political force in the kingdom.

"If you self-censor, it's the best way to do this media that's accepted by our society, because our society, they want to be entertained but they don't want you to cross boundaries or taboos," said Hussein.

"We are not breaking anything. We are speaking, that's it," said fellow comedian Bader Saleh. "There's stuff you can say without crossing any red lines."

Journalist and satirist Mohammad Bazaid, who launched his own satirical news show two years ago, says he wants to create debate you can't see elsewhere.

"The problem with traditional media is they tell you want to think about a certain issue," he said.

"I don't want to drag that with me into new media. I want people to look at a news headline and think twice about what it means."

But he too is wary. People have been arrested for work they post on social media.

"There's always a margin of concern," Bazaid added. "We are always afraid, not of doing something wrong, but being understood in the wrong way."

One Saudi blogger, who asked not to be named, said young people find subtle ways around government control.

"A lot of cultural events are organized by the government, and the government puts a lot of restrictions on what can be done," he said.

"For culture to thrive, you need people who will push boundaries and that doesn't happen in a government-controlled environment."

He said that young people can go to gigs or live comedy, provided organizers promote them discreetly and avoid official attention.

"Often it's a gray area, where it's not quite legal but not totally secret. Invitations may go out on Facebook and instructions for how to buy tickets or where to go will be kept private until the day before."

@highlight

Artist Sarah Mohanna Al Abdali is experimenting with new art-form of graffiti in conservative Saudi Arabia

@highlight

Comedians are gaining huge followings with news satire shows on YouTube

@highlight

Unofficial channels allow culture to thrive away from government control, says blogger