Canadian radio host Jian Ghomeshi has interviewed some of pop culture's biggest names, from Barbra Streisand, Joni Mitchell and Dan Rather to Lena Dunham and Zach Galifianakis, and that's just in the past few months.

His CBC Radio show, "Q with Jian Ghomeshi," is one of the most popular in the network's history, making him a bona fide celebrity in a country that takes pride in its public radio. It aired on more than 180 public radio stations in the United States, prompting the Washington Post to call it "the most popular new arts and culture radio show in America" in 2013.

Still, the 47-year-old was far from a household name in the United States when he posted a lengthy screed on his Facebook page Sunday accusing the CBC of firing him for his "private sex life." He said the dismissal came after he shared details of his sex life with his former employers to head off a smear campaign by "jilted" exes accusing him of nonconsensual kinky activity.

The combination of Canadian celebrity, an iconic Canadian institution and allegations from anonymous women produced what one columnist called "a Canadian sex scandal the likes of which we haven't seen in decades." The size of Ghomeshi's star and the seriousness of the allegations makes this bigger than your run of the mill celebrity sex scandal, with implications beyond Canada.

Two major issues reside at the heart of the scandal: a $55 million lawsuit against the CBC in which Ghomeshi alleges that he was fired for his sexual proclivities, and anonymous allegations reported by the Toronto Star from three women accusing Ghomeshi of sexual violence and nonconsensual BDSM activity. The CBC released a statement saying the decision was "not made without serious deliberation and careful consideration" and declined to comment further.

Ghomeshi denies the allegations and says any sexual activity between him and the women, kinky or not, was consensual.

"Let me be the first to say that my tastes in the bedroom may not be palatable to some folks. They may be strange, enticing, weird, normal, or outright offensive to others," he said in his Facebook post. "But that is my private life. That is my personal life. And no one, and certainly no employer, should have dominion over what people do consensually in their private life."

By bringing BDSM into the mix through his Facebook post, Ghomeshi ignited conversation in legal circles and the kink community over whether the "kinky defense" will prevail in his lawsuit and the court of public opinion.

The scandal is of particular interest to the kink community, who say it raises two common topics of concern in their world: discrimination over sexual activity, and the gray area between consensual activity and assault in BDSM.

Others worry about the potential for the "kinky defense" to be misappropriated and used as a shield for rape and assault.

"It hits on a lot of important aspects that BDSM faces," said Susan Wright, spokeswoman for National Coalition for Sexual Freedom, an advocacy group that promotes tolerance of sexual minorities. "Rarely do you have an instance where so many things come together.

'Don't hate me for being kinky'

In his Facebook post, Ghomeshi says he has always been interested in a variety of sexual activities but only those that "are mutually agreed upon, consensual, and exciting for both partners." He suggested that the coming days would bring allegations "of unsavory aggressive acts in the bedroom" with the implication that they happened "nonconsensually."

"And it will be based in lies but damage will be done," Ghomeshi said. His publicist declined to comment further, referring CNN to his Facebook post.

Scores of fans have called for his reinstatement through online petitions to get him back on air. The kink community also has rallied to support Ghomeshi as one of their own, saying his plight drew attention to some of the more serious consequences the BDSM community faces for its lifestyle, particularly when it comes to job security, divorce proceedings and custody disputes.

Polyamory: When three isn't a crowd

For others, it brought mainstream attention to ongoing "difficult" conversations within the kink community about how to deal with breaches of consent, Canadian writer and sex educator Andrea Zanin said.

"It's a twofold concern; it's important that we have conversations within the kink community about consent and negotiations and the reality that does happen within the kink community" she said. "At the same time we also need to constantly battle public perception of kink as being inherently abusive."

In a blog post that spread as the scandal unfolded, "poor persecuted perv," Zanin cautioned against rallying around Ghomeshi or anyone who uses the "kinky defense" until all the facts are in.

"A danger inherent in this kind of media-message success is that the 'don't hate me for being kinky' defense will be used by people who perpetrate nonconsensual violence, and that we, as a community, will stand by uncritically -- or worse, cry out in support -- as victims of violence are once again silenced."

Zanin called it a "major triumph" for the kink community that Ghomeshi took a gamble on the "consensual kink" argument outweighing the "you're a filthy pervert" reaction in the court of public opinion. Regardless of the outcome, she hopes the mainstream remembers that it's not what people do behind closed doors that matters, but how they do it.

"Is everyone having fun and enjoying themselves? Is something in place to help catch them if they fall?" she said.

BDSM: A culture of consent

Responsible BDSM practitioners participate in what's called "consent culture," where verbal discussion of boundaries and expectations are carefully negotiated ahead of time, said Noel Robertson, an Atlanta sex educator who leads talks about responsible BDSM.

The conversation between the dominant and the submissive generally goes something like: What are you looking for out of this scene? What do you think I can supply you with? Is there anywhere I'm not allowed to touch you? Is there any level of nudity you are not comfortable with? Safe words are agreed upon to let the person know when to stop, whether they're stoplight colors or actual words.

The bottom line: "The person in the submissive position always has the right to use the safe word," she said. They can stop the scenario, no questions asked.

"If I have you bound and gagged and you can't use the safe word, I still have 100% responsibly to give you some way to say that's not OK," Robertson said. "If I fail to do that and you can't tell me or if I can't understand, it is my failure, not yours."

As with any community, there are unscrupulous members who seek to exploit others, and survivors are not always treated with respect, she said.

Case law in the United States says that consent is not a defense to assault where great bodily harm has occurred, said Wright, whose organization works with the BDSM community to report assault to police when it crosses the line. That's why breath-play (covering mouths, choking) and hitting with a closed fist can be risky, especially for people starting out, she said. Some educators recommend against those activities altogether.

But consent to rough sexual activity that does not cause serious bodily harm is not assault, she said.

"People like intense physical sensations, they like extreme sports, and they like extreme sex," she said. "They can play with each other and give each other intense sensations, but they can't seriously harm each other."

@highlight

The CBC has ended its relationship with popular radio host Jian Ghomeshi

@highlight

Ghomeshi claims he was fired for disclosing that he participates in rough sex and role-playing

@highlight

3 women anonymously accused Ghomeshi of abusive sexual practices in the Toronto Star

@highlight

Radio host denies allegations, says his reputation is being ruined by a "jilted" ex