Shortly after the attack on the U.S. diplomatic compound in Benghazi last September, a phone call was placed from the area.

Whoever made the call was excited.  "Mabruk, Mabruk!" he repeated, meaning "Congratulations" in Arabic.

Two sources with high-level access to Western intelligence services have told CNN the call was made to a senior figure in al Qaeda in the Islamic Maghreb, or AQIM. There is no proof that the call was specifically about the attack, in which U.S. Ambassador Chris Stevens and three other Americans were killed, but the sources say that is the assumption among those with knowledge of the call.

Pentagon releases official timeline of Benghazi attack

One of the sources says the phone call was discovered when a Western intelligence service trawled through intercepts of communications made in the wake of the attack. That source told CNN that the call  was made specifically to Moktar Belmoktar, leader of an al Qaeda faction based in northern Mali.

CIA officials told CNN they had no comment on whether any call had been intercepted.

If the call was made and subsequently detected, it could fuel an already partisan debate in Washington over the Obama administration's initial public characterization of the Benghazi attack, and what information U.S. intelligence officials had about who was involved.

Read more: Five things we learned from the Benghazi hearings

Critics say initial administration comments did not reflect the true intelligence about the incident, and were an attempt by the administration to avoid tying it to terrorism.

On Monday, Sens. John McCain, R-Arizona, Lindsey Graham, R-South Carolina, and Kelly Ayotte, R-New Hampshire, issued a statement with more questions about the attack, saying:

"We do not know what person or persons, representing what executive branch agency or agencies, changed the unclassified talking points to remove references to Al-Qaeda and a terrorist attack in describing the attack on the U.S. Mission in Benghazi."

Read more: Benghazi tries to escape its ghosts, past and present

The administration says the unclassified talking points were the basis for comments made by the U.S. ambassador to the U.N., Susan Rice, on television talk shows in the immediate aftermath of the attack.

The senators added: "Al-Qaeda, its affiliated groups, and local militias were able to establish sanctuaries almost uncontested in the ungoverned spaces of eastern Libya. Some of these individuals were involved in the attack on the U.S. Mission in Benghazi."

Belmoktar's links to Libya

A veteran jihadist who had lost an eye while fighting in Afghanistan as a teenager, Belmoktar had established relationships with some of the more radical Libyan militia, and at the time of the Benghazi attack was putting together an elite unit specifically to attack Western interests in the Sahel and North Africa.

Read more: What really happened in Benghazi?

A few months later, that unit carried out the attack on the In Amenas natural gas facility in southern Algeria in which 33 foreign workers were killed. The group traveled through southern Libya on their way to the plant, according to counterterrorism officials.

Chadian officials say that Belmoktar himself is now dead, killed Saturday as French and Chadian special forces penetrated the remote Adrar des Ifoghas mountain range in northeastern Mali.

But French Defense Minister Jean-Yves Le Drian said Monday there was no confirmation that either Belmoktar or another senior figure in AQIM, Abou Zeid, had been killed during the French campaign against Islamist hideouts in northern Mali.

"I have no proof of the deaths of those two men," Le Drian said.

Nor is there proof that Belmoktar directed or was involved in the Benghazi attack. His group never claimed any responsibility for it.

But in the weeks after that attack on September 11, several senior U.S. and Libyan officials suggested that members of al Qaeda in the Islamic Maghreb may have been involved, without offering details.

The president of Libya's parliament, Mohammed al-Magarief, asserted that U.S. intelligence had intercepted communications between elements of AQIM and Ansar al-Sharia, a group widely blamed for playing a part in the attack.

On September 19 Matthew Olsen, director of the National Counterterrorism Center, told a congressional committee: "We are looking at indications that individuals involved in the attack may have had connections to al Qaeda or al Qaeda's affiliates; in particular, al Qaeda in the Islamic Maghreb."

And in November, Gen. Carter Ham, commander of U.S. Africa Command, said it was "very likely that some of the terrorists who participated in the attack in Benghazi have at least some linkages to AQIM."

"That is not to say that it was AQIM which planned, or organized or led the activity but clearly some of the individuals had some linkages," he said.

Soon after the Benghazi attack, Belmoktar was relieved of his position as emir of the Sahel and a deputy leader of al Qaeda in the Islamic Maghreb. The group's overall leader, Abdelmalek Droukdel, appears to have lost patience with Belmoktar's "freelance" kidnapping of Westerners, which are reputed to have netted several million dollars.

A written decree demoting Belmoktar was taken to Gao, the city in northern Mali where Belmoktar was based, and read out to the jihadist ranks there.

Some counterterrorism experts believe that Droukdel suspected Belmoktar of a role in the Benghazi attack and was anxious that such a high-profile operation would promote a severe backlash from the United States, setting back AQIM's efforts to establish a foothold in Mali and Libya.

Belmoktar was one of several leading militants based in Mali who spent time in Libya in the aftermath of Moammar Gadhafi's overthrow, developing relationships with militant Islamist brigades and buying weapons with the proceeds of smuggling and kidnapping operations.

According to sources in direct contact with Western intelligence agencies, Belmoktar was in Libya for four months from December 2011. They say his visit was facilitated by the leader of a radical Islamist militia with influence in Benghazi and the East.

According to the sources, he met a Libyan veteran of jihad in Afghanistan who had set up camps near Sabha in southern Libya providing training for jihadists from Algeria, Morocco, Mauritania and Mali as well as Libyans and ethnic Tuaregs. Western intelligence officials believe the camps may have been used by those who attacked the In Amenas gas facility in January, according to the sources.

Across North Africa and as far east as Syria, counterterrorism agencies are seeing a fluid movement of fighters, weapons and expertise among jihadist groups.

The New York Times reported in January that several of the militants involved in the Algerian attack had also been in Benghazi in September, citing a senior Algerian official. The official said one of the militants captured had described the Egyptians' role in both assaults, according to the Times.

Asked about the report at a hearing of the Senate Foreign Relations Committee on January 23, then-U.S. Secretary of State Hillary Clinton said:  "I cannot confirm it. I can give you the background that I was able to obtain. This information is coming from the Algerian government related to their questioning of certain of the terrorists that they took alive."

She also alluded to links between the attack in Algeria and sources of weapons in Libya.

"The Pandora's box of weapons coming out of these countries in the Middle East and North Africa is the source of one of our biggest threats. There is no doubt that the Algerian terrorists had weapons from Libya. ... So we just have to do a much better job," she said.

The combination of different jihadist groups and factions, in shifting coalitions of the willing, has become a growing feature of the militant landscape, and one that makes tracking individuals and groups more difficult. Instability in North Africa -- especially in Libya and Mali -- has afforded these groups new space in which to operate.

@highlight

Sources: A call was made after the Benghazi attack to a senior figure in AQIM

@highlight

A source says the call  was made to Moktar Belmoktar, leader of an al Qaeda faction

@highlight

CIA officials told CNN they had no comment on whether any call had been intercepted

@highlight

Chadian officials say Belmoktar is now dead, but a French official says there is no proof