London (CNN)Time's running out for Britons to decide who they'll back, as polling booths prepare to open across the country in an election that could change the political landscape.

It's been a blink-and-you-miss-it campaign, especially by U.S. standards, where candidates can take years to finesse their messages.

The election could result in the handing of power from David Cameron's Conservative government to the Labour Party, led by Ed Miliband -- or a frenzy of wrangling from leaders as they attempt to forge alliances with smaller parties.

But that's all to come when polls close late Thursday evening, local time.

Very strict rules govern the reporting of UK elections, but until they kick in, here are some things you should know -- who are the candidates, what are the issues, who's likely to win, why bacon sandwiches matter, what is "UKIP" and, if the Queen isn't in charge, what does she do?

The Queen doesn't run Britain

Before we get on to the candidates, let's dispel one common misconception. Queen Elizabeth II is officially Britain's head of state, but she's only nominally in charge.

She signs off on legislation and appoints new prime ministers but has no real power, so no beheadings but maybe a few disapproving stares.

Officially, she's politically neutral. The closest she apparently comes to expressing opinion is -- savor this image -- "purring" like a cat.

Visit: Windsor Castle, the Queen's country residence (Windsor and Maidenhead; +44 20 7766 7304), royalcollection.org.uk/visit/windsorcastle

So who are they voting for?

Duh, they're voting for a new prime minister.

Well, actually no.

In presidential elections Americans vote in each state for "electors," who support the candidate they want to lead the country. But in a UK parliamentary the vote is more indirectly aimed at appointing a new government.

Voters put their "X" next to the local stooge/aspiring public servant from whichever political party they support.

Votes are tallied by constituencies -- political fiefdoms, really -- some of which date back centuries to when Britain was run by barons, or maybe even elves -- each with a seat in parliament.

The party that wins most seats then gets to say who becomes prime minister, pending the final thumbs up from Her Majesty.

Of course, in reality, people may be swayed by party figureheads and see voting as a direct endorsement of their leadership, personality or -- true things -- their ability to eat bacon sandwiches and point at fish.

Visit: Hampstead Heath -- a beautiful north London green space that lies partly within the Hampstead and Kilburn constituency, likely to be one of the most hotly contested of the election. (South Hill Park Gardens, London; +44 20 7332 3322).

Is that a fair system?

Kinda. But also kinda not, since it means a party can easily win power without winning the most votes.

That's because Britain's elections are run on a "first-past-the-post" basis.

It's an analogy that highlights how similar British politics is to horse racing, just with fewer doping scandals.

Here's how it works:

The elected parliament consists of 650 seats, each representing a different number of constituents -- anywhere between 21,000 and 110,000.

Only the candidate who wins most votes in each constituency gets a seat. No prizes for second place.

Of course there have been reform demands from smaller parties stiffed by the system, but since they never win against the two main parties, they're powerless to change anything.

The centrist Liberal Democrats, for instance, had 6.8 million votes (23% of the total) at the last election, but won just 57 seats. The Conservatives claimed 307 with just 10.7 million votes.

Visit: Luskentyre beach, Isle of Harris. The stunning islands of the Outer Hebrides, off the western coast of mainland Scotland, are part of the UK's smallest constituency by voter numbers. visitscotland.com/info/towns-villages/luskentyre-sands

So who's going to win?

British elections are typically viewed as a two-horse race -- an analogy that highlights how similar they are to races involving two horses, only with fewer horses.

The prime candidates are incumbent David Cameron, head of the center-right Conservatives, and Ed Miliband, leader of the center-left Labour Party. Opinion polls say there's no clear favorite.

That'll mean -- as it did in 2010 -- that the spoils of victory could be claimed by whoever can successfully horse (yes, horse) trade to build a majority coalition alongside smaller parties. If that happens, eyes will be on the smaller parties including the Scottish National Party, the Liberal Democrats and the upstart UK Independence Party.

UKIP's leader Nigel Farage is a political outsider who's won support for being anti-immigration, anti-Europe and pro-beer. His party isn't expected to win many seats, but it could result in some unlikely romancing -- as the last vote did when the LibDems hopped into bed with the Conservatives, much to the anger of some supporters.

Visit: Ascot Racecourse. Enough with the horse analogies already. Check out the real thing at the Queen's favorite track. High Street, Ascot, West Berkshire, ascot.co.uk

What are the issues?

There's the future of Britain's cherished yet financially challenged National Health Service -- the free medicare system that's undergone so many botched political procedures in recent years, it can barely bring itself to take off the bandages.

UKIP's rise has spurred uncomfortable cross-party pledges to beef up controls to end decades of population-swelling immigration, a concern, apparently, among Britain's descendants of Viking, Norman, Roman and Anglo-Saxon invaders.

There's the economy -- how to tackle Britain's budget deficit and foster financial recovery (without relying on the cheap immigrant labor that the politicians want to stop entering.)

And there's Europe -- another UKIP-generated issue that has forced the main parties into posturing against the European Union, even though many supporters suspect withdrawing would be disastrous, not just for the economy, but for future fish-pointing opportunities.

Visit: The White Cliffs of Dover, a potent symbol that marks Britain's frontier with the rest of the world. Dover, Kent; +44 1304 207326, whitecliffsofdover.co.uk

Think this all sounds too boring for words?

You're not the only one, which is a major problem for the politicians seeking election.

Political apathy is on the rise in the UK, with many younger voters expressing disillusionment with party leaders they say are out of touch and barely distinguishable from one another, even if one "looks like a panda" and the other a "pink condom."

It doesn't help the politicians' cause when popular comedians such as Russell Brand denounce voting in favor of an as-yet unspecified "revolution." However, he later changed his mind after meeting Miliband, and urged people to vote Labour.

Still, UK elections aren't without their entertainment -- most notably provided by fringe candidates.

From 1963 until 1995, a feature of every vote count was Screaming Lord Sutch, an odd-looking pop star whose Official Monster Raving Loony Party campaigned for many lost causes that later became reality, such as commercial radio and the scrapping of dog licenses.

In the 2010 election other eccentric candidates included Lord Biro, who campaigned on policies that included the appointment of Bono as Pope. Mad Cap'n Tom also pledged to train schoolchildren in "swordsmanship and gunnery" by imposing a 50% tax on downloads of Cheryl Cole songs "because I hate Cheryl Cole."

Whatever their motivation, come election night when they get their moment on stage with serious political rivals, they often get better laughs than Brand.

Visit: Margate. This charming English seaside town is where Farage will be standing for election. Among his opponents is Al Murray -- a comedian whose boorish stage character, "Pub Landlord," shares many of the UKIP leader's views. (+44 1843 577577), visitthanet.co.uk/destinations/margate

@highlight

Everything you need to know about how the UK election really works

@highlight

Things like: The candidates, the issues, who's likely to win, the importance of bacon sandwiches

@highlight

Plus, if the Queen isn't in charge, what does she do?