(CNN) -- NASA has postponed for one day the scheduled launch of a rocket carrying a solar probe.

The space agency plans to launch an Atlas V rocket carrying its Solar Dynamics Observatory, which it says will study the sun "in greater detail than ever before."

After delaying the launch three times because of windy conditions Wednesday at Cape Canaveral, Florida, NASA said it will try again Thursday, with a launch window of 10:23 a.m. to 11:23 a.m. ET.

"The vehicle's flight control system sensed wind loads exceeding the limit, prompting the abrupt end to the countdown," NASA said.

The agency says the observatory will provide a better understanding of the sun and its role in space weather events such as solar flares, which can wreak havoc on Earth.

The observatory is designed to deliver solar images with resolution 10 times better than high-definition television, according to NASA.

The five-year mission "will determine how the sun's magnetic field is generated, structured and converted into violent solar events like turbulent solar wind, solar flares and Coronal Mass Ejections," according to the agency.

The solar wind, a stream of electrically charged particles flowing out from the sun, fills the entire solar system with charged particles and magnetic fields, according to NASA.

Solar flares are actual explosions in the sun's atmosphere, the largest of them equal to billions of one-megaton nuclear bombs. And Coronal Mass Ejections, or CMEs, are eruptions that launch solar material into space at a high rate of speed.

Such events can put astronauts at risk, as well as aircraft flying over Earth's North or South Poles, and can also disrupt satellite communications, navigational systems and power grids, NASA said. In 1969, for instance, a solar current knocked a power grid serving Quebec, Canada, off-line for nine hours. "That's a direct impact on life and society," said Richard Fisher, director of NASA's Heliophysics Division. He is in charge of Wednesday's launch.

In addition, changes in magnetic energy such as those around sunspots can change Global Positioning System signals, making them less accurate

"If you're landing a great big jet airliner in a low-visibility situation and you have one of these events that causes a misinterpretation of location by 150 to 200 yards, that's big stuff when you're trying to hit a runway with these instruments," Fisher said.

There's no way to predict space weather. Officials hope the Solar Dynamics Observatory can provide information to help change that.

"This is the most advanced spacecraft we've ever designed to study the sun and its dynamic behavior," Fisher said. The sun, he said, "has this trick of converting magnetic energy into other kinds of energy that can affect the Earth."

"I believe we're up to the point now where we can probably predict when something like this is more or less likely and you can at least take precautions," Fisher said about solar weather. A warning system, for example, could help power grid operators avoid an outage by taking some of the grid's load off or finding alternative configurations.

The sun's effect wasn't an issue for the Earth until the technological advances in electronics over the last hundred years, he said.

The observatory is "going to give us good awareness of the dynamics of the sun, and we're going to be able to make estimates on when we should take precautions with our satellites or with airline operations or with Department of Defense systems," Fisher said. "We have an increasing pressure on science to try and predict what's going to happen on the sun, and that's the scientific bent of this (SDO) satellite, is to try to get a handle on it."

The observatory contains three major instruments that scientists believe will send data back to Earth for at least five years. The Helioseismic and Magnetic Imager and the Atmospheric Imaging Assembly will allow scientists to see the sun in high resolution.

The imaging assembly will also observe the outer layer of the sun's atmosphere, and the Extreme Ultraviolet Variability Experiment will measure its ultraviolet spectrum every 10 seconds.

"Space weather forecasting is in its infancy ... just like hurricane forecasting was years ago," according to an article on NASA's Web site by Liz Citrin, SDO project manager at NASA's Goddard Space Flight Center in Greenbelt, Maryland, which developed and will manage the mission. "We built up experience in collecting data, designed models, tested those models and now look what we can do."

The observatory will snap an image of the sun in eight wavelengths every 10 seconds, NASA said. It will remain in continuous contact with a station at the White Sands Complex in southern New Mexico.

"The biggest challenge of this mission was the data rate," Citrin wrote in the article. "SDO will blast back 1.5 terabytes of information every day. ... That's equivalent to a half-million song downloads. It's unprecedented."

The observatory is the first mission of NASA's Living With a Star program. The program is aimed at increasing understanding of the sun in order to address its effect on Earth.

The mission was supposed to launch in August 2008, but scientists decided more testing was needed.

CNN Radio's Shelby Erdman contributed to this report.

@highlight

Solar observatory aims to provide better understanding of sun's role in space weather

@highlight

Observatory to deliver images with resolution 10 times better than high-def TV

@highlight

Five-year mission will examine sun's magnetic field and violent solar events

@highlight

NASA: Observatory will snap image of sun in eight wavelengths every 10 seconds