(CNN) -- Ola Orekunrin was studying to become a doctor in the UK a few years ago when her younger sister fell seriously ill while traveling in Nigeria. The 12-year-old girl, who'd gone to the West African country on holiday with relatives, needed urgent care but the nearest hospital couldn't deal with her condition.

Orekunrin and her family immediately began looking for an air ambulance service to rapidly transport the girl, a sickle cell anemia sufferer, to a more suitable healthcare facility. They searched all across West Africa but were stunned to find out there was none in the whole region.

"The nearest one at the time was in South Africa," remembers Orekunrin. "They had a 12-hour activation time so by the time they were ready to activate, my sister was dead.

"It was really a devastating time for me and I started thinking about whether I should be in England talking about healthcare in Africa, or I should be in Africa dealing with healthcare and trying to do something about it."

Orekunrin did the latter. Motivated by the tragic death of her sister, the young doctor decided to leave behind a high-flying job in the UK to take to the Nigerian skies and address the vital issue of urgent healthcare in Africa's most populous country.

Read this: Private jets spread their wings in Africa

A pioneering entrepreneur with an eye for opportunity, Orekunrin set up Flying Doctors Nigeria, the first air ambulance service in West Africa, transporting victims of medical emergencies, including industrial workers from the country's booming oil and gas sector.

"There was a situation in Nigeria where there were only two or three very good hospitals and they were sometimes a two, three, four-day journey away from the places where incidents happened," says Orekunrin. "We also have a huge oil and gas industry and at that time there was no coordinated system for moving people from the offshore environment to a hospital to receive treatment."

Currently in its third year, the Lagos-based company has so far airlifted about 500 patients, using a fleet of planes and helicopters to rapidly move injured workers and critically ill people from remote areas to hospitals.

"From patients with road traffic trauma, to bomb blast injuries to gunshot wounds, we save lives by moving these patients and providing a high level of care en route," says Orekunrin.

"Many of our roads are poorly maintained, so emergency transport by road during the day is difficult. At night, we have armed robbers on our major highways; coupled with poor lighting and poor state of the roads themselves, emergency transport by road is deadly for both patients and staff."

Flying helicopters, speaking Japanese

At 27, there isn't much Orekunrin hasn't achieved.

Born in London, she grew up in a foster home in the charming seaside town of Lowestoft in the south-east of England.

Aged 21, Orekunrin had already graduated from the University of York as a qualified doctor. She was then awarded the MEXT Japanese Government Scholarship and moved to Japan to conduct research in the field of regenerative medicine.

After moving back to Europe the young doctor looked set for a promising career in medicine in the UK. But her desire to improve healthcare services in West Africa brought her back to her roots.

Orekunrin quit her job, sold her assets and went on to study evacuation models and air ambulance services in other developing countries before launching her ambitious venture, which enables her to combine her "deep love for medicine and Africa" with her growing passion for flying -- Orekunrin is also a also a trainee helicopter pilot.

"I wanted to find a way that I can facilitate people who were critically ill," she says. "Get them to see a doctor, and not just any doctor -- I wanted to facilitate getting the right patient to the right facility, within the right time frame for that particular illness, and that's why I came to start the air ambulance."

Last month, the World Economic Forum recognized Orekunrin's achievements by naming her amongst its prestigious Young Global Leaders class of 2013, a group it describes as the best of today's leaders under the age of 40.

"It came as a surprise to me actually," she says of the honor. "I'm really flattered and really happy."

Trauma epidemic

Nigeria, Africa's second-biggest economy, is the continent's top producer of oil, boasting huge petroleum and natural gas reserves.

The industry's potential, coupled with a growing financial services sector, is expected to help drive further demand for companies such as Flying Doctors Nigeria, which works on a retainership basis with the public sector, wealthy individuals and oil and gas companies.

Yet Orekunrin says that there are still several challenges that need to be navigated to successfully run a company like hers in the West African country.

"The aviation business is very expensive in Nigeria," she says. "Keeping costs down is always a challenge," she adds, noting that red tape and bureaucracy are also testing small businesses' endurance.

But despite the challenges, Orekunrin remains determined to bring about change in Nigeria's healthcare system. "I want to achieve a proper use of the healthcare sector in Nigeria," she says.

Read this: One woman's mission to fix water crisis

Looking ahead, Orekunrin says her goal is to continue improving access to treatment while focusing on the pre-hospital and in-hospital management of injuries. She says that whilst much attention and funding is directed toward infectious diseases, Africa is also facing a big problem treating physical injuries and wounds.

"Eighty percent of the world trauma occurs in low-middle income countries just like Nigeria," she says. "I feel there should be more focus on the trauma epidemic that Africa currently faces."

"In the UK, I would see one gunshot wound every three or four years. In Nigeria, I see one gunshot wound every three-four days. Add in the road-traffic trauma, falls from heights, industrial injuries, stab sounds, injuries from domestic violence and you see a huge problem that definitely needs addressing."

@highlight

Ola Orekunrin, 27, is a medical doctor, helicopter pilot and entrepreneur

@highlight

She has founded the first air ambulance service in West Africa

@highlight

Flying Doctors Nigeria has transported 500 people in its first three years

@highlight

The World Economic Forum recently included Orekunrin in its Young Global Leaders list