Editor's note: Tomás R. Jiménez is an assistant professor of sociology at Stanford University and an Irvine Fellow at the New America Foundation. He is also author of the forthcoming book, "Replenished Ethnicity: Mexican Americans, Immigration, and Identity" (University of California Press).

Tomás Jiménez says many Mexican-Americans are the children of U.S.-born parents.

(CNN) -- Just about any celebration of Hispanic Heritage Month (September 15 - October 15) will highlight the diversity among Hispanics.

They come from different parts of the Spanish-speaking world, have settled in various areas of the United States, have distinctive customs and come in all shapes and colors.

But an often overlooked difference among Hispanics relates to how many generations back they trace their roots in U.S. history.

Hispanics are not just immigrants or the U.S.-born children of immigrants. They are also Americans with deep family histories in the United States. This is especially true of the Mexican-origin population, the largest Hispanic subgroup and one that has been continually replenished by immigrant newcomers for a century.

Truly knowing what it means to be a person of Mexican origin requires understanding the experiences of the nearly 3 in 10 (8.5 million) Mexican-Americans who were born in the United States to U.S.-born parents.

These later-generation Mexican-Americans' experience in the United States, though rooted in a distant past, is nonetheless deeply affected by current and uninterrupted immigration from their ancestral homeland.

In some ways, Mexican-Americans have lived what amounts to a classic tale of assimilation.

They speak English (and no Spanish in the majority of cases), intermarry in large numbers, live in ethnically mixed neighborhoods, work in just about every imaginable profession, are honored on Memorial Day and Veterans Day, occupy important political positions and are highly patriotic. But ongoing Mexican immigration puts a twist on this classic assimilation tale, making "Mexicanness" relevant to later-generation Mexican-Americans in both problematic and enjoyable ways.

It can be tough being a member of an ethnic group that is so synonymous with immigration. Even if their immigrant ancestors came early in the 20th century, continuous immigration means that Mexican-Americans are never safe from erroneous assumptions that they are foreigners.

Surnames that end in "ski" or start with "O'" are woven into the fabric of American ethnic surnames. But "García," "Fernandez" and "Martínez" remain bright threads that, combined with dark skin color, can make Mexican-Americans and other Hispanics seem foreign in the eyes of others.

Ask the later-generation descendants of earlier waves of Mexican immigrants, and they'll tell you that "Where are you from ... no, where are you really from?" are questions that they have to field all too often. And even if it's clear that they are Mexican-Americans, they still get quizzed about how well they speak Spanish. Assumptions about them being foreign turn from annoying to downright scary when law enforcement personnel suspect them of being illegal immigrants.

But continuous immigration also makes being Mexican-American enjoyable in some ways. While there is no shortage of people who see the growing Mexican-origin population with alarm, there are also plenty of people who see the growth as an opportunity.

Corporations, retailers, political parties and churches are all trying to grab a slice of the "Hispanic market," the overwhelming majority of which is Mexican. Retail marketing campaigns, sprinkles of the Spanish language in political speeches and Mexican-themed media are generally aimed at the immigrant audience. All of this attention adds cachet to Mexican ancestry that even later-generation individuals enjoy.

We live in a time when America often celebrates its ethnic vibrancy. People who are cut off from an immigrant population of the same ethnic origin have a hard time finding ways to celebrate their roots in any significant way, and they often lament being ethnically bland.

Mexican-Americans, in contrast, don't have to worry about ethnic blandness because the opportunities to celebrate their heritage are all around. Ongoing Mexican immigration means constant access to the food, language, traditions, popular culture and customs that makes being Mexican-American enjoyable.

As we celebrate Hispanic Heritage Month and recognize all of the diversity among Hispanics, it begs the question: How do we know what it means to be Hispanic?

The answer can only be arrived at by appreciating the experiences of those Hispanics whose families have called the United States home for several generations and those who more recently have come to call this land their home. No matter how deep or shallow their roots extend into American history, what almost all Hispanics have in common is that immigration profoundly defines their experience.

The opinions expressed in this commentary are solely those of Tomás R. Jiménez.

@highlight

Tomás Jiménez: Mexican-Americans often perceived only as immigrants

@highlight

He says nearly a third were born in the U.S. to parents also born in the U.S.

@highlight

He says assumptions about Mexican-Americans being foreign can be scary

@highlight

Jiménez: Mexican-Americans have a rich heritage to celebrate