(CNN) -- On Monday, a federal court struck down Alabama's medically unnecessary law that singles out doctors who provide abortions and requires them to secure admitting privileges at a local hospital. The court called the justification for the law "exceedingly weak."

As an obstetrician-gynecologist, I couldn't agree more. This decision is an important win for American women and for the practice of medicine.

Let me be clear: We all want women to receive safe medical care. But these laws (a number of states have adopted them) do not make women safer. In fact, they have quite the opposite effect, as they will make it harder for women to access medical care, potentially forcing them to seek abortion services later in their pregnancy. These laws also jeopardize women's safety by forcing qualified physicians to stop providing abortions for reasons having nothing whatsoever to do with medical safety.

That is why leading medical groups like the American Congress of Obstetricians and Gynecologists and the American Medical Association oppose them.

Whether a physician who provides abortions has hospital admitting privileges is not a reflection on the physician's ability to provide quality abortion care. While hospital privileges in theory should be awarded based on physician competency, they in fact are often denied for reasons unrelated to the physician's medical qualifications.

For example, to obtain privileges, hospitals often require physicians to admit a certain number of patients each year. But doctors who provide abortions will likely never admit the minimum number of patients because complications are very, very rare.

Here's what is important to remember: Abortion is already extremely safe, and for the vast majority of abortions, hospitals do not need to play a role in the patient's care. Abortion has a more than 99% safety record, with a less than 0.3% risk of complications that could merit hospital treatment. More than 90% of abortions in the United States are performed in outpatient settings and almost all the complications that do arise can be treated on an outpatient basis.

It's one of the safest medical procedures performed in the United States today, period.

In the exceedingly rare event of a complication, women's health centers have procedures in place to ensure that a woman gets the care she needs. Admitting privileges -- or lack thereof -- don't have any effect on a woman's ability to receive emergency care if she needs it. In our modern care delivery model, emergency room physicians, hospitalists and hospital staff are trained to identify and treat all these types of patient situations.

Even procedures with much higher rates of complication and mortality, such as colonoscopy, are not subject to these burdensome requirements because it's clear that they are not needed to keep patients safe. These baseless restrictions serve solely to prevent qualified, competent physicians from providing safe abortion care to women who need it. To put it simply, there is no medical reason to treat abortion providers any differently than other medical professionals.

As the Alabama court found, the law would have forced all but two health centers in the entire state to stop providing abortions. A similar law in Mississippi would force the last remaining clinic in the state to shut its doors, leaving women in the state with no place to safely end a pregnancy. Similar requirements have devastated women and families in Texas and threaten to close clinics in Oklahoma, Louisiana and Wisconsin.

These laws are clearly not motivated by women's safety, but by making access to safe, legal abortion difficult -- even impossible.

Monday's court opinion recognizes that a woman is safest when she can make the decision about abortion with her family in consultation with her doctor, free from political interference. It clears one obstacle in the path of women -- and their doctors -- in Alabama. In states across the nation, legislators who truly care about women's safety would do well to work to eliminate unfounded restrictions to abortion, instead of continuing to introduce them.

@highlight

John Jennings: Court strikes down Alabama law that erects barriers for abortion doctors

@highlight

He says law purported to protect women, but instead bars them from medical care

@highlight

Hospital privileges requirement an anti-abortion ruse. Abortion a very safe procedure, he says

@highlight

Jennings: Legislators who truly care about women's safety will work to prevent these laws