(CNN) -- The new era of openness in Burma has spread hope and anxiety among the country's journalists at home and abroad.

This year, many exiled journalists have visited Burma -- which became known as Myanmar under the previous military junta -- while some publications and news organizations, previously based outside the once-reclusive state, have decided to open offices inside the country.

This week, our publication The Irrawaddy magazine will hit newsstands in the capital, Yangon, for the first time since it was founded by Burmese exiles two decades ago to provide an independent view of the situation in Burma under the authoritarian regime. Our staff, who secretly worked with us for many years inside the country at considerable risk to themselves, now report from our new offices there.

Does this mean the changes here are concrete and promising? I am cautiously optimistic. Therefore, our strategy now is to keep one foot in and one foot out -- we will maintain our headquarters in Thailand.

This is the first time we have received permission to print and distribute the magazine inside the country. It wasn't too long ago that it was unthinkable to carry and read such a publication freely in public, let alone distribute it.

In the past, we have sent our magazines to Burma using clandestine channels, while our website was blocked inside the country until recently.

Since I returned to Burma early this year for the first time in 24 years, I have met many opposition leaders and activists who spent several years in prisons or under house arrest, and they told me they somehow managed to get hold of copies of The Irrawaddy.

Win Tin, a leading member of opposition party the National League for Democracy (NLD), spent 19 years in prison. He told me in February that he sometimes received the magazine while he was under detention in the infamous Insein Prison in the capital -- a facility known for its inhumane conditions and torture of inmates.

Tin Oo, co-founder of the NLD and former commander in chief of the armed forces during the 1970s, spoke highly of The Irrawaddy. When I asked him how he knew of it, he replied: "When I was under house arrest, I received it through a diplomatic channel. I read it again and again, and when military intelligence service came to see me at my house I had to hide it.

"They could double the prison sentence if they saw the magazine," he added with a chuckle.

Burmese officials and several senior leaders whom I met and interviewed in Burma know the magazine -- I sensed mixed feelings as they have a deep-rooted fear as well as respect for the magazine and our website. I remembered General Khin Nyunt, a feared spy chief who ran a torture chamber and kept politicians and activists under lock and key, once publicly told a visiting delegation that they should not read The Irrawaddy.

Today, I see the media landscape is changing as reporters enjoy more freedom to cover and report stories that would have been subjected to censorship in the past. I hope these changes are real and irreversible.

Since coming to power, President Thein Sein has taken major steps to open up the country. In his early speeches he mentioned the importance of the fourth pillar in society and revealed that both he and his office follow media reports from both inside and outside the country.

In August, the Ministry of Information told editors of weekly journals that their outlets "no longer need to pass the censorship board." Tint Swe, the head of the country's Press Scrutiny and Registration Division (PSRD), added that the easing of restrictions was the result of a change of policy.

Journalists who faced pressure and imprisonment in Burma have cautiously welcomed the announcement that they will no longer be required to submit articles to the country's draconian censorship board. But they are very aware that "Big Brother" is still there to monitor and watch.

The move is not enough to restore media freedom. However, it is safe to say that the government has made a concession after previously shutting down local journals and facing pressure and street protests from journalists.

The government still continues to monitor news and bulletins, and the censorship board is still active and has not been abolished. Burma's 1962 Printers and Publishers Registration Act is still there -- the act was imposed shortly after former dictator General Ne Win seized power.

In fact, ever more weekly journals have been facing defamation lawsuits from government officials and businessmen.

It is still sensitive to write about corruption cases involving current and former officials, especially when looking at Burma's relations with North Korea and China.

The Ministry of Information still controls publishing licenses and any publication that harms the reputation of a government department can still be reprimanded under the Printers and Publishers Registration Act. Publishers can also face heavy sentences under Burma's Penal Code if they are found guilty of inciting the public to participate in unlawful activity. Meanwhile, state-owned newspapers still distribute the same propaganda, while a number of former generals in the previous regime own several leading weekly dailies. Their mission appears not about promoting independent journalism and rational debate in this fragile transition period but about making money.

Meanwhile, all publications are required to follow guidelines designed to protect the three national causes: non-disintegration of the country, non-disintegration of national solidarity and the perpetuation of sovereignty.

Journalists say that the notorious 2004 Electronics Act also remains in place, with many activists, journalists, bloggers and social media commentators behind bars for sending prohibited information, messages or photos through the Internet. Many face between seven and 15 years in jail and may also be liable for a fine.

In Burma, most journalists exercise heavy self-censorship, and this will continue.

During the wave of sectarian violence in Rahkine state recently, local media appeared wary about reporting on the ongoing violence against Muslim Rohingya populations. Sadly they take a racist and populist editorial stance against this oppressed population. In fact, the media seemed reluctant to criticize the government when police applied excessive force to crack down on peaceful demonstrators and monks during a recent protest at copper mine -- despite widespread condemnation from elsewhere, including Democracy activist and lawmaker Aung San Suu Kyi.

There is still a long way to go until Burmese reporters are able to freely write and publish sensitive stories, engage in proper investigative reporting and provide quality journalism in Burma. We've been waiting for this opportunity to enter Burma, but we know that there are limits. We're still testing the water.

The opinions expressed in this commentary are solely those of Aung Zaw.

@highlight

Previously outlawed magazines, newspapers now operating inside Myanmar

@highlight

But Myanmar authorities remain in control of most newspapers, TV and radio

@highlight

Aung Zaw cautiously optimistic about changes; his publication will retain office in Thailand

@highlight

Journalists still self-censor much of their work out of fear of legal action