One hundred years ago Monday, Theodore Roosevelt launched the most successful third party presidential bid in American history, declaring, "We stand at Armageddon, and we battle for the Lord!"

It was the culmination of the Progressive Party Convention in Chicago on August 6, 1912.  And its influence still echoes through our politics today.

Roosevelt, the former president, had tried and failed to wrest the GOP nomination from his successor, William Howard Taft. His supporters believed that the nomination had been stolen by the conservative power brokers and declared their independence.

And so the Progressive Party was briefly born. Known as "The Bull Moose" party, after Roosevelt's declaration that he felt "as strong as a bull moose," supporters saw it as defending the legacy of Abraham Lincoln against the big business establishment that had taken over the Republican Party after the Civil War. The Democrats -- the populist party whose base was in corrupt, big-city bosses and the states of the former Confederacy -- were also an unappealing alternative.

"The old parties are husks, with no real soul within either, divided on artificial lines, boss-ridden and privilege-controlled," Roosevelt declared, "each a jumble of incongruous elements, and neither daring to speak out wisely and fearlessly what should be said on the vital issues of the day."

Roosevelt's Progressive Party definitely did not shy away from taking fearless stands on the vital issues of the day.  The party's platform backed giving women the right to vote, the abolition of child labor, minimum wages, social security, public health standards, wildlife conservation, workman's compensation, insurance against sickness and unemployment, lobbying reform, campaign finance reform and election reform.

With socialist, communist and anarchist forces gaining momentum across the Atlantic, this was a platform dedicated to Roosevelt's wise belief that "reform is the antidote to revolution."

The assembled crowd was not radical, described by the famed Kansas newspaper editor William Allen White as "successful, middle class country town citizens, the farmer whose barn was painted, the well-paid railroad engineer and the country editor ... women doctors, women lawyers, women teachers. .. Proletarian and Plutocrat were absent." In other words, this was a Main Street, middle-class revolt against special interests on the far left and far right.

Among the Bull Moosers in the crowd were former Democrats and Republicans, including future Supreme Court Justice Felix Frankfurter, columnist Walter Lippman, "wise-use conservationist" Gifford Pinchot, Judge Learned Hand and settlement house pioneer Jane Addams, who became the first woman to give a nominating speech at an American political convention. The energy of the occasion left an indelible impression on a generation.

The best recent recounting of the convention comes in Edmund Morris' "Colonel Roosevelt," the third volume of his essential work of American biography. In the moment, White described Roosevelt "charging down the hotel corridors, stalking down an aisle of the Coliseum while the crowds roared, walking like a gladiator to the lions."

In contrast to the upcoming conventions in Tampa, Florida, and Charlotte, North Carolina, the atmosphere was one of real, not canned, drama -- electric and unexpected.

"Can we imagine a convention today erupting in 'Onward Christian Soldiers' just impromptu?" asks Terrence Brown, the Theodore Roosevelt Association's executive director. "We've come to a place where putting out fresh ideas is dangerous in politics. Candidates don't want to give an agenda. That's the difference.  TR campaigned with an agenda. He told the convention, 'use me up and cast me aside.'  Take all of these ideas and run with them. ... The goal was moving along the Progressive Party's vision for what the new America in the 20th century should be."

Roosevelt and the Progressive Party were not successful in their effort to win the White House in 1912.  But they won 27% of the popular vote -- an all-time high for third parties in presidential elections -- and Roosevelt won 88 electoral votes to Taft's eight. The Democrats cannily nominated their own progressive candidate, Woodrow Wilson, and he won the election in a landslide against the divided Republicans.

But the ideas Roosevelt and the Progressives fought for did succeed in time.

Some, such as expanding the right to vote, enacting Social Security and ending child labor, seem obvious to modern eyes. Others, such as the fight for expanded health insurance, remain contentious civic debates.  And concerns about the disproportionate influence of big business and other special interests on American elections and policy seem ripped from modern headlines.

The political fault lines of the 1912 elections endure to this day as well.

President Barack Obama has explicitly tried to cast himself as the inheritor of Roosevelt's progressive party fight in a Kansas speech earlier this year.  The Republican Party still contains competing establishment and reform factions, most recently seen in the factional split between George W. Bush and John McCain in 2000.  And certainly there remain many independent-minded Americans who feel frustrated and politically homeless when faced with the two parties today. They are reformers in a world of radicals and reactionaries.

Politics is history in the present tense, and the study of history can inspire us to aim high in our own lives.  In honor of the 100th anniversary of the 1912 election, the Theodore Roosevelt birthplace in Manhattan has mounted an exhibit focused on his Bull Moose campaign. Enclosed are speeches, campaign cartoons and political posters.  (Full disclosure, I'm on the advisory board of the Theodore Roosevelt Association).

Perhaps most striking is the sight of Roosevelt's still-faintly bloodstained shirt, where bullet holes mark the October 1912 assassination attempt, alongside the gun the would-be killer fired.  The bullet's velocity was stopped by an eyeglass case and a thick manuscript, for a speech which Roosevelt characteristically insisted on giving before going to the hospital.

"I have altogether too important things to think of to feel any concern over my own death," Roosevelt declared.  "I am ahead of the game anyway. No man has had a happier life than I have led."

One hundred years later, Roosevelt's vigorous citizenship and heroic sense of politics still inspire.  If we understand the lessons of his life correctly, it can still instruct.

Follow @CNNOpinion on Twitter

@highlight

Teddy Roosevelt addressed Progressive Party 100 years ago as their candidate

@highlight

John Avlon says the issues he championed were ahead of their time, many still relevant today

@highlight

Roosevelt lost the election but gained the highest third-party vote in U.S. history

@highlight

Avlon: Roosevelt's "vigorous citizenship and heroic sense of politics still inspire"