(CNN) -- The expansive, stalled Tropical Storm Debby lashed Florida on Sunday, spawning apparent tornadoes in the central part of the state that killed one woman, a county spokeswoman said.

Gloria Rybinski, emergency operations spokeswoman for Highland County, said two twisters destroyed four homes in the southern end of the county and damaged others.

The woman was found dead in a home in Venus, located in the middle of the state roughly between Port St. Lucie and Sarasota, Rybinski said. In addition, a child in one of the affected homes was injured and transported to a hospital for treatment.

Packing 60 mph winds, Debby's eye was still 115 miles south-southwest of Apalachiocola, Florida (and 195 miles east-southeast of the mouth of the Mississippi River in Louisiana) according to the National Hurricane Center's 7 p.m. (8 p.m. ET) Sunday update.

Even so, it's already made a big impact -- and is likely to cause damage, flooding and worse for days to come. In fact, the heart of the storm was churning but not moving in the Gulf of Mexico on Sunday evening, and forecasters still don't know where it will end up.

"Little movement is expected during the next couple of days, but this forecast remains uncertain due to weak steering currents," the Miami-based center said. "Some gradual strengthening is possible during the next 48 hours."

Follow Bay News 9's live blog

Offshoot tornadoes, like the ones that seemed to hit Highland County, are one major concern. The National Weather Service had tornado warnings out, indicating a high likelihood of a twister strike, in spots off-and-on throughout the day Sunday, and a less severe tornado watch is in effect for much of western Florida through 5 a.m. Monday.

And even if tornadoes don't occur, the combination of relentless rains and strong winds has proven enough to cause big problems.

The sprawling system's tropical storm force winds of 39 mph or stronger extend out 200 miles from its center. Such sustained winds were recorded early Sunday evening in several spots on the Florida Panhandle, west of Apalachicola.

Debbie Ponceti said wind was pushing run underneath the door to her home in Madeira Beach, about 10 miles east of St. Petersburg, while her front lawn has been reduced to mush and waters in a lagoon near her house are steadily rising. There was been no let up in the powerful rain, which is forecast to continue through Tuesday.

"Typically when a thunderstorm happens, it is over in 20 minutes," Ponceti told CNN iReport. "But this has been going on all day."

In nearby Redington Beach, fellow iReporter Keri Ann Eversole said winds appeared to be blowing between 40 to 50 miles per hour.

"The rain was coming down sideways," Eversole said. "(It) felt like glass."

Fire and rescue personnel in nearby Clearwater responded to 30 calls in an hour, as of 6 p.m. Sunday, to help people stranded in their cars due to the flooding or needing urgent medical help, the city's public safety spokeswoman Elizabeth Watts said. Beach areas were "basically underwater," as were many side streets and at least two major thoroughfares -- U.S. Highway 19 and Gulf to Bay Boulevard.

Mandatory evacuation orders were issued for Alligator Point. St. George Island and other low-lying areas in Franklin County on the Florida Panhandle, the Federal Emergency Management Agency said in a Sunday night news release. Just to the east and also on the Gulf coast, voluntary evacuations are being encouraged in parts of Taylor and Wakulla counties.

And high winds have prompted authorities to shut down the Sunshine Skyway bridge on Interstate 275 connecting St. Petersburg and Bradenton, Florida, said Elizabeth LaRotonda with St. Petersburg police.

The hurricane center said tropical storm conditions will extend for the entire area from the Mississippi-Alabama line eastward to the Suwannee River, Florida, by night's end.

Beyond that, the new forecast track showed Debby remaining a tropical storm as it moves northward and makes landfall, possibly Thursday, on the Florida Panhandle. However, forecasters warned Debby's track remained uncertain and said the "new official track remains a low-confidence forecast."

Debby should dump 10 to 15 inches of rain in the Florida Panhandle and elsewhere in northern Florida before it's done, the hurricane center said, with as much as 25 inches possible in spots. Central Florida and southeast Georgia will likely be drenched with 5 to 10 inches, with smaller but still significant precipitation amounts in parts of coastal Alabama, southeastern Louisiana and south Florida.

"Given the recent heavy rainfall and wet soil conditions, these additional amounts will exacerbate the threat of flooding across portions of the central and eastern Gulf coast," the weather service said.

The combination of a storm surge and the high tide could cause 4 to 6 feet of flooding at Florida's Apalachee Bay to Waccasassa Bay, forecasters said. Parts of Florida's west coast and coastal Mississippi could see 2 to 4 feet deep waters.

The storm has raised concerns for those working on 596 manned oil and gas production platforms throughout the Gulf, run by various companies.

One of them, Shell, said in a statement Sunday morning that it had evacuated 360 staff the previous day and was planning further evacuations. ExxonMobil said it has "evacuated nonessential personnel" from its offshore facilities and is preparing to evacuate the rest.

And BP spokesman Brett Clanton said early Sunday evening that "we've evacuated the majority of our offshore personnel in the Gulf of Mexico" due to Tropical Storm Debby. "Those unable to be evacuated will shelter in place for the storm," he said.

Even though it was far from clear it would hit Louisiana, officials in that state weren't taking any chances -- with Terrebonne Parish and Lafourche Parish among those issuing precautionary states of emergency, after the governor did the same.

In Plaquemines Parish, the state's southernmost parish, authorities were using baskets and tubes to keep Highway 23 -- the parish's main evacuation and emergency route -- free of water should the 4-foot levees be topped, said Billy Nungesser, parish president. The levees were being sandbagged as an additional precaution

"We want to be ahead of that as a precautionary measure," Nungesser said. The area is forecast to get a storm surge of 2 to 4 feet, he said -- "with a direct hit, if it goes up a little bit more, we'll have those levees topped."

First day of summer, and the Northeast sure feels it

Minnesota, Wisconsin residents cope with deadly flooding

CNN's Jake Carpenter, Ashley Hayes, Jareen Imam, Stephanie Gallman, Greg Botelho, Marlena Baldacci and Vivian Kuo contributed to this report.

@highlight

NEW: Voluntary and mandatory evacuation orders are issued for the Florida Panhandle

@highlight

Debby is stationary about 115 miles from shore, forecasters say

@highlight

1 woman is killed and a child is injured by apparent tornadoes in central Florida, an official says

@highlight

Up to 25 inches of rain are possible in some spots by the time the storm is done