(CNN) -- It's been almost a decade since the United States accused Iran of actively working on a secret program to develop nuclear weapons. Since then, Iran has steadfastly proclaimed to a skeptical world that it only seeks to produce nuclear energy, while American presidents have repeatedly warned that the United States will not tolerate a nuclear-armed Iran. Over the years, the international community has demanded, to no avail, that Tehran end its uranium enrichment program.

Iran's defiance, coupled with its threats to destroy Israel, have led Israel to consider the option of a pre-emptive strike.

World powers have repeated their preference for a diplomatic solution reached through "sustained dialogue" as the possibility of negotiations surfaces once again. The statement came after Iran indicated it might let U.N. inspectors visit the military facility at Parchin, from which it had recently blocked them. But negotiations have failed many times without slowing Iran's enrichment activities.

The risk is increasing as the United Nations nuclear agency chief expresses renewed concern about Iran's nuclear intentions. Yukiya Amano, the head of the International Atomic Energy Agency, said Wednesday that, "Iran has engaged in activities relevant to the development of nuclear explosive devices."

Gary Sick: Are sanctions leading to war?

Tension is high. President Obama's meeting with Israeli Prime Minister Benjamin Netanyahu this week did not produce any breakthrough. No one knows how the standoff over Iran's nuclear program will unfold. But some possible scenarios have crossed people's minds.

1. Iran backs down and opens up to diplomacy.

Under the weight of sanctions and the threat of war, Iran's leaders agree to a softened version of the U.N. demands. The theocracy survives, war is avoided and the opposition remains weak under the Ayatollahs' heels, hoping to rise up another day.

2. The West attacks.

Watching the negotiations drag on and the advances made in Iran's nuclear program, Israel decides that it cannot trust President Obama to "always have Israel's back." Israeli fighter jets, flying with permission from Saudi Arabia across Saudi airspace, launch a bombing campaign against fortified Iranian nuclear targets.

Or, President Obama, who has consistently expressed his preference for diplomacy, could reach a point where he believes diplomacy has failed and force, a last resort, has to be used. The U.S. attacks Iran without U.N. support (China and Russia indignantly object) but with the backing of European allies (though not NATO because Turkey indignantly objects.) Some Arab countries quietly cheer from the sidelines hoping to see their historic Persian rival pushed back.

If either Israel or the United States attacks, Iran's nuclear installations are destroyed.

Iran fights and loses. The regime is weakened and eventually a somewhat more Western-friendly government takes power. The new government says Iran has a right to nuclear power, but decides it's a bad idea to pursue a nuclear program for the time being.

Alternatively, Iran doggedly fights back with allied militias in Lebanon and Gaza attacking Israel. The war lasts longer than anyone expected. Chaos descends on the Middle East. Israeli civilians move to underground shelters. Iran's nuclear program is set back but the regime survives, vowing revenge toward the attackers. The country remains a perpetrator and sponsor of terrorism around the world but it is no longer capable of enriching uranium.

3. Iran reaches ability to make a bomb.

Iran manages to achieve "breakout" nuclear capability, accumulating everything it needs to assemble a nuclear bomb. Israel's security concerns are heightened. Its rival neighbors in Arab countries and in Turkey rush to catch up. The chances of wars and conflicts in the Middle East increase. Saudi Arabia, the United Arab Emirates, Kuwait and others try to acquire nuclear weapons. The world becomes a less safe place as barriers against nuclear proliferation become less effective.

Granderson: Will Iran cost Obama the presidency?

4. Iran calls the world's bluff.

The diplomatic dance of threats, sanctions and speeches goes on until one day Iran announces that the Persian Empire has been restored to its old glory. Iran has a nuclear bomb and anyone who dares challenge it will be dispatched to the afterlife. Saudi Arabia, Turkey, Egypt and others feel vulnerable next to a nuclear capable Tehran. They try to build their own nuclear weapons. Emboldened by its ability, Iran's rhetoric becomes more defiant. Calls for Israel's destruction are regularly interspersed with mocking statements about Arab leaders who are friendly to the West or, worse, those who support peace with Israel. Iran's threat to "wipe Israel off the map" hangs in the air. War becomes unavoidable, but by now it's a war between nuclear-armed nations.

Undoubtedly, no one wants another war. But Iran's pursuit and acquisition of nuclear weapons could ultimately prove more catastrophic for the Middle East, the West and the entire world. The international community must find a way to end Iran's nuclear program. After 10 years of threats and warnings, Tehran may no longer believe that it has to give up its nuclear program. The only way war may be avoided is if Iran believes an attack from the West is a real possibility.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Israel is considering military option because of Iran's nuclear aspirations

@highlight

Frida Ghitis: No one knows how the standoff over Iran's nuclear program will unfold

@highlight

She lists several possible scenarios about how tensions will play out

@highlight

Ghitis: War may be avoided if Iran believes an attack from the West is a real possibility