(CNN) -- When it comes to buildings, they don't come much different than a mosque and a nightclub.

In Istanbul, these two structures have more in common than you might think.

Zeynep Fadillioglu is the designer behind both, her elegant creations blending sleek modernism with traditional ornamentation.

Crafting the inside of a building is hard enough, without also having to meet religious requirements, and Fadillioglu consulted Islamic authorities throughout the construction of the spectacular Sakirin Mosque -- co-created by architect HÃ¼srev Tayla -- and opened in 2009.

It is believed to be the first time a woman has designed a mosque. The 59-year-old has also designed two other mosques, both opened in Doha, Qatar, in 2010.

But regardless of religion, every place of worship has one thing in common, says the mother-of-one from Istanbul.

"Serenity."

"I think when you step inside a mosque, like any other religious building, you leave everything to do with the outside world, outside the door," says the head of an interior design and architecture firm which has delivered over 350 projects across the globe.

When not creating grand places of worship, Fadillioglu -- who has degrees in both computer science and art history -- turns her hand to everything from London restaurants, to New York retail stores, and most recently her own line of furniture.

Divine design

But when it comes to religious architecture, how do you design the inside of a building worthy of the divine?

"Beneath the big dome you feel humility," said Fadillioglu of the Sakirin Mosque, commissioned by a wealthy Turkish family and built in one of Istanbul's oldest cemeteries.

"At the same time, the beautiful chandeliers are much lower than normal, allowing people to feel more secure having this low light above their heads."

Rather than walls, huge windows covered in intricate metalwork allow light to stream in, "caressing you much like the pages of the Koran," explained Fadillioglu.

"It might be a color, it might be a texture, it might be a form. But each and every piece I have designed in the mosque has some kind of connection with tradition."

Women worshipers

When the time came for Fadillioglu to craft the inside of Sakirin Mosque, she purposely placed the women's section in one of the most beautiful parts of the light-flooded dome.

"I positioned them on the upper balcony, because during prayer the women must be behind the men," she explained.

"But I also decided to make the balcony level one of the most beautiful areas, with the chandelier crystal droplets just in front, and where you can see the mihrab [an alcove pointing towards Mecca] from the best angle."

East meets West

Growing up in Istanbul, a city which straddles both the continents of Europe and Asia, Fadillioglu was influenced by a rich mixture of modern and traditional buildings.

And while she always admired the craftsmanship of the metropolis's Ottoman era mosques, Fadillioglu had also become fed up with cramped and dark "bad copies."

"I wanted to be very contemporary with my design," she said. "Up until recently, modern architects didn't design mosques -- it was always religious architects.

"A mosque isn't for a certain type of person, or certain type of area. It's supposed to be used by anyone and everyone. That could be foreign Muslims, or even Christian visitors coming to look at the building."

Fadillioglu might have made a name for herself designing mosques. But you needn't be religious to admire their beauty.

Art and culture: The enduring allure of Frida Kahlo

Entertainment: Start Trek actress turned NASA recruiter

Science: The woman planning for a space catastrophe

@highlight

Zeynep Fadillioglu, widely regarded as 'first' woman to design a mosque

@highlight

Elegant buildings blend modern style with ornate flourishes

@highlight

Has overseen 350 projects across world, including clubs

@highlight

Says symbolism is an important part of religious architecture