Hong Kong (CNN) -- Forget the red-hot property market of mainland China -- a new forecast says investors should be looking south.

Jakarta -- Indonesia's burgeoning capital of nearly 10 million people -- is predicted to be Asia's top real estate market in 2013, ahead of cities such as Hong Kong, Singapore and Sydney in "Emerging Trends in Real Estate -- Asia Pacific 2013," a real estate forecast released this week by PriceWaterhouseCoopers and the Washington D.C.-based Urban Land Institute.

The recommendation to buy into Jakarta-based property may raise eyebrows, but PriceWatershouseCoopers says Indonesia's economic turnaround over the past few years has impressed international investors.

"Interest rates and inflation are under control, and while GDP is growing at around 6.5% annually, foreign direct investment is increasing at a much higher rateâ€”39% in the first half of this year," the survey said. "Driven by increased demand from foreigners and locals alike, office rents shot up 29% year-on-year in the third quarter, according to (property services firm) DTZ."

That growth in demand helped Jakarta jump 10 places from its 2011 ranking but PwC warns the city's real estate scene is not entirely rosy. Difficulties in finding inexpensive bank loans, trustworthy local partners and land with disputed ownership all mean "caveat emptor" -- buyer beware.

China's financial hub of Shanghai keeps its number two spot from last year. The PwC survey says the city's retail property sector is heating up as investors shift away from the commercial sector, traditionally "the bread-and-butter investment for foreign funds in China for many years."

But PwC adds that foreigners are generally not as tempted to buy into Shanghai property as they were in the past. The major reasons: a real estate market that is already saturated, the rarity of commercial-grade investment buildings and Chinese regulators that are not as welcoming to foreign money as in years past.

The tiny city-state of Singapore, traditionally a safe bet for real estate plays, comes in a close third, falling from last year's first place. PwC credits the Lion City's strong position as an Asian financial hub, an uninterrupted supply of real estate projects and continued demand for high-grade office space as the country attracts more employees from multinational firms. Put simply, both supply and demand for Singapore property is expected to stay strong in 2013, PwC reports.

Asia-Pacific's Top 15 Asian Investment Prospects for 2013

1. Jakarta, Indonesia

2. Shanghai, China

3. Singapore, Singapore

4. Sydney, Australia

5. Kuala Lumpur, Malaysia

6. Bangkok, Thailand

7. Beijing, China

8. China--secondary cities (Chongqing, Tianjin, Shenyang)

9. Taipei, Taiwan

10. Melbourne, Australia

11. Hong Kong, China

12. Manila, Philippines

13. Tokyo, Japan

14. Seoul, South Korea

15. Guangzhou, China

At number 13, the real estate outlook for Tokyo signifies a ratings downgrade from "generally good" prospects to "fair" prospects. PwC says the ranking for Japan's capital is surprisingly "lackluster."

"Though investment potential appears good, investors have found deal flows restricted by the ongoing reluctance of local banks to clear bad debt from their balance sheets. A wide bid/ask spread has also limited transaction volumes."

The forecast's lowest-ranked city for real estate investment in 2013 is Osaka and ranks at the bottom in most survey categories, from investment and development prospects to office buy/sell recommendations.

One major reason is a glut of new office space that is still being completed. At the same time, PwC says "in small regional cities such as Osaka, investors simply do not know where the bottom is because of uncertain demand."

The silver lining is that Osaka's four-year oversupply of office space is coming to an end, PwC says.

@highlight

Indonesia's capital Jakarta is predicted to be Asia's top real estate market in 2013

@highlight

With increasing GDP and foreign investment, Jakarta jumped up 10 places since 2011

@highlight

Singapore got bumped to third place, from first place last year

@highlight

Japan's Osaka is the forecast's lowest-ranked city for real estate investment next year