Washington (CNN) -- The Supreme Court has tossed out a lower court ruling that nullified the death sentence for former Black Panther Mumia Abu-Jamal, who was convicted of gunning down a Philadelphia, Pennsylvania, police officer more than 28 years ago.

He has been an outspoken activist from behind bars, claiming there were procedural errors during his capital sentencing, and that too few blacks were on the jury. Pennsylvania officials were appealing a federal court ruling on the sentencing question that went in Abu-Jamal's favor in 2008.

The justices made their announcement Monday, ordering a federal appeals court to revisit its earlier ruling granting a new sentencing hearing. The high court last year denied Abu-Jamal's separate petition for a new trial.

The appeals court now has the option of reimposing the death sentence or ordering a new federal trial to hear other claims of injustice raised by Abu-Jamal.

The case has attracted international attention, amid charges of prosecutorial misconduct and the inmate's outspoken personality. The onetime radio reporter and cab driver has been a divisive figure, with many prominent supporters arguing that racism pervaded his trial.

Others countered Abu-Jamal is using his skin color to escape responsibility for his actions. They say he has provoked community unrest for years with his provocative writings and advocacy.

He was convicted for the December 9, 1981, murder of Officer Daniel Faulkner, 25, in Philadelphia. Faulkner had pulled over Abu-Jamal's brother in a late-night traffic stop. Witnesses said Abu-Jamal, who was nearby, ran over and shot the policeman in the back and in the head.

Abu-Jamal, once known as Wesley Cook, was wounded in the encounter and later confessed to the killing, according to other witness testimony.

Incarcerated for nearly three decades, Abu-Jamal has been an active critic of the criminal justice system.

On a Web site created by friends last year to promote the release of Abu-Jamal's latest book, he wrote: "This is the story of law learned, not in the ivory towers of multibillion-dollar endowed universities but in the bowels of the slave ship, in the hidden, dank dungeons of America."

Chief defense attorney Robert Bryan had made jury selection a key component in the various appeals filed over the years. Ten whites and two blacks made up the original jury panel that sentenced Abu-Jamal to death.

Faulkner's widow, Maureen, has written "Murdered by Mumia: A Life Sentence of Loss, Pain and Injustice," a book in the slain officer's memory. In it she writes about her efforts to hold Abu-Jamal accountable for his crimes.

A three-judge panel of the 3rd U.S. Circuit Court of Appeals had kept the murder conviction in place, but ordered a new capital sentencing hearing. That court ultimately concluded the jury was improperly instructed on how to weigh "mitigating factors" offered by the defense that might have kept Abu-Jamal off death row.

Pennsylvania law at the time said jurors did not have to unanimously agree on a mitigating circumstance, such as the fact that Abu-Jamal had no prior criminal record.

Months before that ruling, oral arguments on the issue were contentious. Faulkner's widow and Abu-Jamal's brother attended, and demonstrations on both sides were held outside the courtroom in downtown Philadelphia.

The justices in the order on Monday cited their ruling last week on a separate capital case on when capital defendants can cite an inadequate defense in later appeals.

Many prominent groups and individuals, including singer Harry Belafonte, the NAACP and the European Parliament, are cited on his Web site as supporters. Prosecutors have insisted Abu-Jamal pay the ultimate price for his crime and have aggressively resisted efforts to take him off death row.

"This assassination has been made a circus by those people in the world and this city who believe falsely that Mumia Abu-Jamal is some kind of a folk hero," then-Philadelphia District Attorney Lynne Abraham said when the federal appeals court upheld the conviction. "He is nothing short of an assassin." Abraham retired from her post this month.

@highlight

Ex-Black Panther Mumia Abu-Jamal sentenced to death for killing Philadelphia police officer

@highlight

He says there were procedural errors during his sentencing, too few blacks on the jury

@highlight

Appeals court can now impose death sentence or order new trial to hear claims of injustice

@highlight

"He is nothing short of an assassin." former Philadelphia district attorney says