Beijing (CNN) -- China's recent economic downturn is spurring a new wave of worker strikes, which experts say are the only effective channel for them to air their grievances.

Thousands of workers at the Yucheng Footwear Factory in Dongguan, a manufacturing hub in southern Guangdong province, clashed with police last week to demand better pay. Factory managers laid off 18 employees and cut overtime after a drop in overseas orders --prompting employees to demonstrate at the local government building.

"The slow-down strike is still on but there's no street protest because the police have been mobilized," said one worker, who asked to remain anonymous when interviewed by phone five days after the labor action.

"A dozen workers got injured during the clash and were sent to hospital."

China labor unrest flares as orders fall

The protest is one of many to hit manufacturers operating in southern Guangdong province -- the "workshop of the world" -- as increasingly frustrated workers vent their discontent at low pay and poor working conditions.

"This is probably the most intense spike in worker activism since the wave of strikes that hit Chinese manufacturers in summer 2010," said Geoffrey Crothall of China Labor Bulletin, a Hong Kong-based group that monitors labor issues in China.

In June, workers at the Toyota and Honda Motor plants in southern China went on strike, halting production and forcing pay hikes. Experts attribute the spike in protests to employers maximizing their shrinking profits at the expense of workers.

"There are a broad range of complaints but they are basically related to being squeezed by their employers who are themselves making less profit," said Crothall.

"Also many businesses in the Pearl River Delta are planning to relocate inland and this is creating uncertainty and anxiety among the workforce."

China's economy has become the world's second largest after three decades of rapid growth, and much of that growth has been driven by exports and large infrastructure projects. But lately, the economic engine has been running out of gas.

China's mighty industrial engine is stalling

Home sales fell 25% last month and a report this week said manufacturing may be at a three-year low. The economy grew 9.1% last quarter from a year ago, the lowest since 2009, but inflation still hovered at 5.5% in October.

Chinese officials have tried to boost the economy with wage increases. Several provinces and cities have increased wages this year. Shanghai raised its minimum wage by 17%, while Guangdong, China's export base, boosted theirs by an average of 21%.

Some experts say the salary hikes will accelerate the country's industrial restructuring, saying higher labor costs will force enterprises to be more technologically advanced and transform China's export-oriented economic growth model to one that is boosted by domestic demand.

But others worry the wage hikes may lead to massive layoffs in companies already facing increased factory payrolls and production costs, leading to labor unrest.

The specter of large-scale labor unrest worries Chinese officials whose fear of "luan" (chaos) is close to visceral.

"Labor unrest is a glaring reminder to them that their attempts to reduce social injustice and income disparity are not working," opined Crothall.

"They are trying manage social and economic disputes in the usual administrative top-down manner without giving workers a voice in resolving their own grievances. That is why workers have no choice but to take to streets to make their voices heard."

China strictly bans independent unions. It worries that independent union members might challenge the government as the Solidarity movement did in Poland. The authorities are quick to suppress any labor group not under their direct control.

Workers can only turn to the All-China Federation of Trade Unions, a government-sanctioned organization whose primary mission is to support Communist party policies and seek basic compensation for workers. With no means of collective bargaining, workers resort to petitioning the government -- or illegal protests.

He Yuancheng, who works at the Laowei Law Firm, said workers typically go on strike due to lack of labor union or organizations that can genuinely represent their interests.

"The workers' main complaint is the lack of channel, a system, that can allow them to fight for their interests," he said. "They can only resort to strikes to assert their rights and to counterbalance the power of the employer."

He, whose Guangdong-based law firm mainly handles labor rights cases, said the Chinese authorities would be better off allowing trade unions if they wish to avert luan and maintain social stability.

"To protect worker's rights is to protect stability," he added. "Only when rights are protected can stability be realized."

@highlight

Thousands of workers in southern Guangdong province clashed with police last week to demand better pay

@highlight

It was one many to hit manufacturers as frustrated workers vent their discontent at low pay and poor conditions

@highlight

Experts attribute spike in protests to employers maximizing their shrinking profits at the expense of workers

@highlight

China's economic engine has been running out of gas lately after years of rapid growth