(LifeWire) -- Trapped beneath a capsized raft on a churning river in northern California, Galena Mosovich realized her body was "panicking," but not her mind.

"I was choking and gasping... and the minute or so I was underwater felt like a lifetime," says Mosovich. Yet, in the moments before she was pulled to safety, Mosovich also felt a sense of calm. "I remember thinking, 'I'm probably going to die right now... so this is how it's going to happen'."

Today, the Florida public relations account executive can speak calmly about her close encounter with death four years earlier.

"The notion of dying seemed so simple at that moment, which was an interesting change from how complex life and its challenges usually can be," says Mosovich. Yet not much has changed in her life since -- although she vows to never run river rapids again.

While near-death experiences (NDEs) were once thought to be rare, researchers now estimate that about a third of those who come close to death, or approximately 5 percent of the American population, experience an NDE, according to Dr. Bruce Greyson, professor of psychiatry and director of the Division of Perceptual Studies at the University of Virginia Health System.

In an article published in the journal Perspective in Biology and Medicine, Greyson describes NDEs as "profound psychological events with transcendental mystical elements typically occurring to individuals close to death or in situations of intense physical or emotional danger."

Cause and effect

What causes NDEs remains unclear.

Dr. Sam Parnia, author of "What Happens When We Die," thinks that NDEs are hallucinations brought about by the brain shutting down, or a comforting psychological phenomenon summoned up by patients as death approaches.

Parnia bases this conclusion on his studies of patients who have been declared clinically dead (usually considered the point at which cardiac function ceases) and been brought back to life. Other researchers have linked NDE-type events to a wider variety of circumstances, including fainting, serious illness and the time just preceding a potentially catastrophic occurrence like a car accident.

Then there is Dr. Kevin R. Nelson, professor of neurology at the University of Kentucky. His research has led to a theory that people who go through a near-death experience may be experiencing the "intrusion of the R.E.M. (rapid eye movement, when most dreams are believed to occur) stage of sleep during a wakeful crisis." Nelson, who interviewed 55 people who underwent an NDE, found that in 60 percent of the cases, the boundaries between sleep and wakefulness were not as clearly delineated as they are in other people.

"You can be awake and asleep simultaneously," says Nelson. "In some people, it's not an either-or situation."

The spiritual side

For some, near-death experiences take on a spiritual significance that can be life- changing. Whether you believe these moments have actually brought you closer to a higher power or are, instead, the result of some physiological reaction in the body, may depend on your background.

"We don't know much about these near-death experiences," says Dr. Harold Koenig, professor of psychiatry and behavioral sciences, and head of the Center for Spirituality, Theology and Health at Duke University Medical Center.

"From a physiological standpoint, it's possible that (the brain shutting down) creates the sensation of the bright light and a tunnel, and that's interpreted in terms of spiritual significance

"It's a common phenomenon... but it's hard to study because the experiences aren't subjective, you can't verify them, and they are self-reported," Koenig adds.

Most religious groups don't have a position on near death experiences, explains Sandra Yocum Mize, Ph.D., chair of the Department of Religious Studies at the University of Dayton.

"There is, for example, no official Catholic position on near death experiences," she says. "However, they are recognized as profoundly transformative in a spiritual sense."

"Many people... feel that by not dying," says Yocum Mize, "that they have been spared for a purpose, and that their life is a special gift they must treasure."

That's the case with Mary Lin, a marketing professional from Prescott, Arizona, who plans to go back to school so she can better train her voice to "transform" her audiences through her singing.

Lin's near-death experience occurred while hospitalized for a serious illness almost four years ago. "I felt like I was on a ladder coming up to the light and was filled with a feeling of surrendering to a 'presence,'" says Lin. "I felt like I was ready to leave, but I sensed a resistance."

Lin says she went into a "deep communion with her soul." After four days, she remembers receiving a "message" that her life's work was to use her talents -- Lin is a writer, artist, dancer, and singer -- for healing.

"When I focus on using my voice for service, it is an arresting experience for me," says Lin. "This is what I was sent back here to do. Without my near-death experience, I wouldn't have known this." E-mail to a friend

LifeWire provides original and syndicated lifestyle content to Web publishers. Carol Sorgen is a freelance writer in Baltimore, Maryland, who writes frequently on health and wellness issues for such publications as WebMD, Today's Diet & Nutrition, The Washington Post, and the Baltimore Sun.

@highlight

Expert: Third of those coming close to death have near-death experience

@highlight

Researchers: NDEs may be hallucinations, R.E.M. dream while awake

@highlight

Some experience spiritual moment that changes their lives