Consumers today have more power than ever before. The large and diverse selection of media available on newsstands means that customers know what they should be getting, and if they aren't satisfied with the service there's a host of Web sites and forums on which they can let everyone know.

Marriott's TownePlace suite

In response, organizations are seeking ever more innovative ways of understanding their customers' needs, and are even turning to anthropologists and sociologists to help them.

"Whereas before a lot of services were designed from the inside out, now, because consumers are so much more empowered, they are having to think about designing from the outside in," says Fran Samalionis, global practice leader for service design and innovation at IDEO. "They have to think much more about the customer experience and then figure out how to make sense of that for the business."

IDEO, a global design firm, is already well-known for designing the first mouse, for Apple, and the first notebook computer, for GriD, but the company is also causing a stir with its innovative approach to design conception, where the wishes and observations of the consumer hold powerful sway.

While it employs what one would call "conventional" designers, IDEO also uses what it terms a "human factor" team -- people trained in anthropology, sociology and political sciences -- who shadow consumers, observe their everyday habits and relationship with a product, and even give them cameras to record photo journals, in a bid to understand what is really needed for a product to push through the barrier and provide true satisfaction for its customer base.

A case in point is Marriott's TownePlace Suites. The hotel chain approached IDEO for ideas about how to launch an extended-stay brand. IDEO followed guests and employees around, monitoring their habits and probing them with questions about every aspect of their experience at Marriott's hotels. Their conversations taught them that extended-stay guests were mainly on the road because of work commitments; they were away from home through necessity rather than choice and therefore wanted an experience from a hotel that was closer to what they were accustomed to at home -- a "home from home."

IDEO recommended that Marriott install a "map wall" in the lobby, with recommendations from fellow guests, such as where to find the best coffee shop or restaurant and where to go jogging in the local area.

But they also found that while guests were looking for familiar home comforts, they were also there to work. With that in mind, they drew up prototypes for guest rooms that more closely resemble live/work areas, with an office incorporated into the layout of the bedroom.

Market research is not a new concept. Organizations have been bringing their potential customers together for decades to understand what they want from their services. But Samalionis argues that it is by sending its cohorts into the field to observe customers in their natural environments that IDEO gains the real insights and results.

She says that while some customers might struggle to articulate their needs -- or even fully comprehend what they are looking for in the first place -- simply by looking at their daily routines IDEO's researchers can gain significant understanding of what can be done to improve customers' relationships with a particular product or service.

Such was the case when IDEO worked with Bank of America to develop a new credit card. The card was targeted at young mothers and IDEO's observation team set about following a selection of moms around as they went about their daily business: taking their children to school, shopping, even balancing their checkbooks.

They discovered that many people round up their transactions to the nearest whole number for speed and convenience. At the same time, many of the moms were struggling with the discipline of saving, even though they wanted to.

The solution IDEO came up with was to introduce a credit card, "Keep The Change," which would instantly transfer the amount customers would usually round up into a separate savings account. Samalionis argues that this is an excellent example of where in-field research ultimately inspired an idea that could be transposed to a real-world scheme.

"Just by being able to be with them, empathize with them and observe them you get to see the stuff they can't tell you," she explains. "We saw all these habits about putting pennies in jars and rounding things up in checkbooks. If you had asked somebody, they would say they just wanted to save money."

All this could be interpreted as just a glossy way of rehashing a construct that has already existed within marketing and design for years -- the market research questionnaire. But Samalionis argues that the human-centered approach is just one cog in their approach to problem-solving; trained designers, engineers, business heads and the client must also have their input.

"It's not enough going out into the world and coming up with a point of view about that world," she says.

"You need to make those insights actionable. Really, the magic dust in the process is in synthesizing all those perspectives into something that can help you generate amazing ideas."

Ultimately, the effectiveness of an approach can be best measured by its financial returns. Bank of America's "Keep The Change" credit card scheme generated 2.5 million new, and presumably happy, customers.

This willingness by designers to open themselves up to public consultation is becoming increasingly popular. In England, Bath's Theatre Royal took opinions into consideration from a panel of local schoolchildren when designing their new children's theatre, The Egg. A panel of nine- to eighteen-year-olds even had a say in the choice of architect and the menu for the cafe.

Innovations derived from the consultation include knee-high glass panels on the doors so that smaller theater-goers can see where they are going and a sound-proofed room so that parents with crying babies can sit and watch the show without disturbing the rest of the audience.

In Italy, car maker Fiat opened itself up for suggestions from the public during the design of its relaunched Fiat 500. Under the project title "500 Wants You," the hitherto inward-looking manufacturer invited ordinary people to submit ideas for designs on its Web site.

IDEO, and other design firms like it, are changing the way large organizations interact with their customers. They are learning about new ways to keep consumers satisfied, and boosting their bank balances in the process. But in the end it's the consumer who is profiting the most from this new approach.

@highlight

Designers now put the consumer, not function, at the heart of new products

@highlight

Global firm IDEO studies customer behavior to influence designs

@highlight

Hotel chain Marriott devised "home-from-home" suites for extended-stay guests

@highlight

"Keep The Change" credit card rounds up transactions, puts the pennies in savings