(CNN) -- I'm in a Las Vegas hotel room, hiding from Christmas. The odds are not in my favor.

This is not a war on, jihad against or campaign to counter anyone else's annual allotment of holly jolly joy. If it were up to me, I'd quietly exile myself from the merrymaking so as not to dim others' bliss like a burned-out bulb on an otherwise twinkly light strand.

I'm not a Grinch or a Scrooge or any of the other soot-stained slurs hurled by people fed up with a loved one's reluctance to join the reindeer games. What I am is depressed.

In the cold, dark, ash-end of the dying year, it is hard for me to pry my head from my pillow and draw breath into my lungs -- let alone don gay apparel and fa-la-la along with the rest of the festive public. But I do it -- alongside countless other people suffering from seasonal affective disorder, active grief, debilitating panic, PTSD and a whole host of other emotional issues that are thrown into sharp relief amid the mandatory revelry.

I don't want to drag anyone else into my darkness and take the shimmer off their star. I try to slough off my dull gray sweater and don a gaudy holiday number that I hope will distract from the listlessness in my eyes and my affect, and I will myself to snap out of it. That may successfully deflect attention from friends and family caught up in holiday chaos, but I am thoroughly unable to force myself into a state of good cheer. The attempt makes it worse.

"I think there must be something wrong with me, Linus. Christmas is coming, but I'm not happy. I don't feel the way I'm supposed to feel. ... I like getting presents and sending Christmas cards and decorating trees and all that, but I'm still not happy. I always end up feeling depressed."

Read more: Going public with depression

As a child, it was surprising and oddly comforting to see my strange feelings articulated by a beloved cartoon character amid the Technicolor cheer of holiday TV specials. But then again, I have always identified with poor ol' Charlie Brown -- and the response his confession of yuletide unease received from his peers.

"Charlie Brown, you're the only person I know who can take a wonderful season like Christmas and turn it into a problem."

Nope -- not just you, Charlie Brown. The rest of us just don't talk about it for fear that the Linuses of the world will pass judgment; if you can't join in the joy of the most wonderful time of the year, you are clearly defective. You are a misfit toy, minus the solidarity of an island full of kindred spirits.

Even for those who don't struggle with chronic or seasonal depression, there are myriad reasons why some approach December with dread. For many who have who always celebrated holidays with warmth and abandon, there's a raw and tender spot where a departed family member used to be. Even if the grief is not fresh, the rites and rituals that once brought such delight now awaken the ache of loss. For others, economic strain, family estrangement, the pressure of others' expectations, overtaxed schedules and plain old exhaustion can mount and crush the happiness out a season that was previously a source of comfort.

But rarely, if ever, are we given a strings-free opportunity to opt out.

"It's only once a year!" a friend said to me just yesterday, kvetching about her sister-in-law's reluctance to suck it up and make merry. I've never met the woman, but I had to argue on her behalf.

I come from a family in which Christmas Day e-mails have become an acceptable level of holiday hoopla, but have married into a family heavily invested in the celebration. As much as I love and cherish every member of my husband's massive multigenerational clan, their celebrations operate at an unfamiliar frequency.

Being launched into the holiday machine with a family that celebrates bigheartedly, boisterously and lavishly became a source of yearly panic and dread for me. I was terribly ashamed of myself for feeling that way. Yes, it's only once a year, but my mother-in-law is nearing 90. The desire to deliver the brand of holiday she's come to expect added so much weight to the event, I'd find myself almost unable to breathe at the very thought of it.

Read more: National Depression Screening Day: Sharing experiences

Then I'd fret that someone would notice my distress (they did) and take it personally if I slipped away to compose myself. (Where's Kat? She's taking a nap again? Doesn't she want to spend time with us?) After several years of that stress, I realized something was going to have to give -- and it was going to have to be me.

I can't say I'm ever going to actively enjoy Christmas, but I love my family (and myself) enough to make the most out of it and have found ways to manage my seasonally fragile mood in a way that might minimize upset from either side.

I save up my vacation days, hotel points and and frequent-flier miles to visit somewhere sunny -- usually Las Vegas. While trees, cheeky holiday decor, and jazzed-up carols have begun to encroach upon this den of depravity and excess, it's still a relatively safe haven for Christmas cranks like me, and the darkness sets in a shade later than it does back home.

On the ground at Christmas central with the in-laws, my husband and I have taken to getting a hotel room, rather than staying with family. Though that may not be the most economically sensible option, we don't have to worry about overtaxing anyone's generosity, and the autonomy offers a little breathing room that helps me more calmly and thoroughly appreciate the time we spend together in celebration.

Once in the familial fray, I try to make myself as useful as humanly possible. Need that platter washed? Gimme! We're out of cinnamon? Where are the car keys? The children need someone to chase around the yard to wear them out? Whooooooooosh!

And I've added my own ritual to the mix -- crafting multiple pitchers of rye sours made with freshly-squeezed lemons and clementine juice. It busies my hands for at least an hour, lightly buzzes the crowd for a couple more and I get to spend one-on-one time with each person as I serve them.

It has by all accounts been a most welcome addition to the holidays, and for a while our moods align happily and brightly. This may not be ideal for every family, but we make the most of what we've been given.

I'll take my Christmas spirit any way I can get it.

Like CNN Living on Facebook and follow Kat Kinsman on Twitter.

How do you get through the holiday doldrums? Share your secrets in the comments section below.

@highlight

Many people become sad during the holidays due to depression or past events

@highlight

CNN's Kat Kinsman faced overwhelming depression during the season in the past

@highlight

Kinsman devised coping methods, such as visiting sunny climes and keeping busy

@highlight

Those facing seasonal affective disorder or depression can find resources here.