(CNN)When Chinese photographer Wang Wenlan first pressed the shutter on a borrowed Soviet camera in 1967, he was a teenager taking photos to kill time during Chairman Mao Zedong's Cultural Revolution.

"I made rolls of film out of a motion-picture reel I found. The photographic paper was left over from printing Mao's portraits," Wang told CNN.

Five decades later, Wang, 61, is one of the country's top photojournalists. His work is a rich chronicle of China's fast-changing society.

"Still images are fragments, sections and points that connect the history," Wang says.

"The whole process of China's reform over the past four decades -- whether going forward or stalling -- I've been determined to and have managed to document it all."

One of his most famous series of photographs tracks China's relationship with the bicycle -- once a family's most precious asset but now fast vanishing from the streets.

Photography was an outlet for Wang during the dark days of the Cultural Revolution, when China was convulsed by violent class struggle.

His family were labeled "capitalist roaders" and unlike most other kids, he couldn't join the red guards.

Despondent, 14-year-old Wang wandered around Beijing with friends in similar situations, snapping pictures and portraits to distract himself.

Taking photos turned into more than a pastime in January 1976, when Premier Zhou Enlai died - beloved by many for his role in tempering the worst of Mao's excesses.

Wang went to Tiananmen Square with his camera, capturing the unprompted outpouring of grief, both then, and again in April that year.

"I was in deep grief," Wang said, "And I felt I should record the collective grief." He kept the film secret from the military, which then employed him as a photographer, transferring it to friends. The photos were published in the early 1980s.

From then on, Wang saw that his camera was much more than a memory keeper.

"I didn't get photojournalism until then," he said. "My biggest regret was not to capture anything meaningful during the Cultural Revolution period; it would've been a precious record."

In the decades following, Wang has photographed not only major events -- from Tangshan Earthquake in 1976 and the overthrow of the Gang of Four, to the Beijing Olympic Games in 2008 -- but also intimate moments captured in China's changing countryside and growing cities.

From April 3, Wang will have the first overseas exhibition of his work in the United States at the University of Iowa.

Curator Judy Polumbaum -- a Chinese media scholar and former colleague of Wang -- said his work is a great window to examine contemporary China.

"It reflects not only the many changes in Chinese society emerging over the past several decades but also the endurance of tradition, and the often striking and sometimes amusing clashes between tradition and change," she said.

The clash between tradition and modernity is stark in the lead picture of the exhibit — an elderly farmer looks on as a groom carries his bride through the field and "the couple's Western wedding garb contrasting with this longstanding custom," she says.

Wang has spent most of his career at the China Daily, the country's official English-language paper, which he joined in 1980 before its official launch.

Back then, it broke the mold, using large photographs rather than the stamp-sized images used in most other Chinese newspapers at the time, he says.

It was also unafraid to feature ordinary people on its pages, rather than national leaders -- something Wang found he excelled at.

"Thanks to the China Daily, I stood out. It was an irreplaceable platform."

Wang finds himself nostalgic for the 1980s, when ideas emerged and collided after the Cultural Revolution ended.

"People thought nothing was impossible," he said.

"We reflected on the past and were determined to move on. It was a special time; the air was filled with ideals, enthusiasm and all kinds of possibilities."

Today's China is different,  he said.

"The country's goal has shifted toward a transition to a market economy since the 1990s," he said. "Individuals also have since switched their focus onto consumerism and incomes from ideals."

Throughout his career, Wang's focus has changed a great deal as well.

He said he used to focus on the technical and artistic aspects of photography, but now, with smart phones, he says anyone can be a photographer.

To Wang, what matters is the perspective, he said, pointing at his head. Wang says he's felt obligated to observe and criticize through his lens over the years.

"My job isn't to chant slogans."

"I take photos first. It's great if they can be published; if not, they'll eventually be part of the history."

Next year will mark Wang's 40th year in photojournalism. He is planning to have a photo exhibition and wants to call it "Unfinished."

The name was inspired by the alternative title of Franz Schubert's Symphony No.8.

"China is unfinished," said Wang, who is also fan and critic of classic music. "It's always a work in progress."

@highlight

Wang Wenlan has been a photojournalist in China for almost four decades

@highlight

His work is a great window to examine contemporary China

@highlight

His most famous series of photographs tracks China's relationship with the bicycle