(CNN) -- The jarring sounds of war have longed echoed over Mogadishu. Now it's time for music to rock the Somali capital.

Armed with powerful songs and bold lyrics, a daring group of hip-hop musicians has defied death threats and violent attacks from militant extremists to spread its message of peace in war-torn Mogadishu.

Waayaha Cusub, a popular collective of Somali refugee musicians based in Kenya, traveled to the coastal city to stage the Mogadishu Music Festival, expected to be the country's biggest music event since the eruption of a vicious civil war in 1991.

"Through this tour and our music we are trying to pass the Somali people a message to stop the killing, to stop the dying, because, there is no need for all these people dying for nothing," says Shiine Akhyaar Ali, lead singer and manager of Waayaha Cusub, a group famous for its lyrics attacking Somali warlords. "We want to finish this war for good."

'We will continue'

Waayaha Cusub, whose name translates as "new era," was formed in 2004, featuring the talents of a revolving collective of exiled rappers and singers who moved to neighboring Kenya to escape the horrors of Somalia's conflict.

Led by Ali and fellow singer Falis Abdi, who are now married, the group's energetic rap and soulful R&B struck a chord with the youth in East Africa.

From their makeshift studio in Nairobi, they first tasted success with songs touching on themes such as love, poverty and human rights. Yet as the crisis in their homeland deepened, Waayaha Cusub's lyrics soon broke into more dangerous territory.

"Shocked shocked/Who is behind this trail of destruction?/Al-Shabaab is/They galvanize people on the street for their wicked cause/They profess to be pious but they wield machetes," raps Ali in Somali on "Yaabka al Shabaab" (Reject the Extremists), one of the group's most popular songs.

Al-Shabaab was once the armed wing of the Islamic Courts Union, which took over most of southern Somalia in the second half of 2006.

As it expanded its reach in the East African country, the al Qaeda-linked insurgent group started implementing cruel punishments for behavior it deemed un-Islamic: women were stoned to death for adultery, amputations and beheadings became common, while in some areas Al-Shabaab banned listening to the radio.

Read this: Somali women defy danger to write history

Popular musicians were also a target; Waayaha Cusub, which had caused a stir by having women dance on stage and in its videos, received several threats and was ordered to stop making music.

"They sent us a lot of threatening messages and also phone calls," recalls Ali, who is from the town of Dhusamareeb. "They were saying, 'you are doing propaganda for anti-Islam or anti-jihad, so we will finish you,'" he adds.

And that's what they tried to do. In late 2007, militants broke into Ali's Nairobi house and shot him several times. The rapper, who managed to escape, took five bullets and suffered internal organ injuries, as well as an arm wound. Since then, several more incidents have followed, with radical militants threatening members of the band and in some cases assaulting them.

Yet all these attacks have failed to deter Waayaha Cusub. Its members have continued risking their lives, remaining on the front line to promote their message for peace.

"If we stop, I think these people will win, they will reach their aim," says Ali. "So if we continue, we are the winners because we need to tell our people that terrorism is not good, that killing people is not good, that suicide bombing is not good. So we will continue."

'Blow their minds with hop-hop'

Somalia moved a step closer to stability last September after picking its first president elected on home soil in decades.

Following months of ironing out planning details and security arrangements, Waayaha Cusub is now set to put on an array of free concerts and other related artistic activities in Mogadishu, with the support of local and international officials.

Read this: 'New hope for Somalia'

Joining them, fellow Somali musicians and performers from the United States, Afghanistan, Kenya and other countries will unite their voices in a crescendo of "stealth events" that will pop up around Mogadishu over the next few days. Organizers say these events are designed to rally would-be fighters to peacefully resist extremism.

Music workshops and open mic events with at-risk youth and former militia will kick-start the proceedings, followed by a solidarity show featuring international musicians such as Afghani-American folk singer Ariana Delawari, Filipino reggae fusion artist Jahm-Eye and Sudanese soul singer Alsarah.

The event will culminate in the main Somali Reconciliation Concert, headlined by Waayaha Cusub and featuring cameo appearances by other Somali and international performers.

"It's always been Waayaha Cusub's way to respond to violence in the community by pulling youth away from the fray and into a venue where they give them an open mic to share their feelings, and then blow their minds with Somali hip-hop about ending the war," says Daniel J Gerstle, the festival's lead producer and founder of Humanitarian Bazaar, a group organizing music events promoting peace.

"Countering the terror groups and extremist rebels who use surprise bombings to destroy, these singers launch surprise flash mob concerts to bring back the message of love and peace," he adds.

For security reasons, each event will be held at a different venue, organizers say. The exact locations and times will only be revealed shortly before each event by phone or text message.

Even though insurgents have fled Mogadishu and guns have largely fallen silent, security is still a risk -- at least 10 people were killed in the suicide bombing of a bus outside Mogadishu's National Theater on March 18. Portions of Somalia still remain lawless as large parts of the country are under the control of militants, such as Al-Shabaab.

'Somali Sunrise'

The festival in Mogadishu is the latest event in Waayaha Cusub's tour aiming to win over youth and convince them to turn away from violence.

Starting with concerts in the United States last summer, Waayaha Cusub then brought its Somali Sunrise Concert Tour back to East Africa.

True to their intrepid reputation and message of peace, the rappers staged a string of "stop-the-violence" surprise shows in one of Nairobi's toughest neighborhoods in November 2012 in response to a chain of blasts that had rocked the Kenyan capital.

The group's performances will be featured in "Live from Mogadishu," a documentary following the band's death-defying journey to bring modern live music back to their homeland.

"I have worked and supported musicians also in Afghanistan, Iran, Iraq -- really, this group, they're the most willing to risk their lives and really go straight against the extremism," says Gerstle, who is also behind the documentary, set to be released later this year.

"A lot of music and human rights projects around the world are just about being happy and love and stuff like that, but this one is much more specifically trying to persuade youth to make a better choice," he adds. "They are risking their lives and being much more on the front line than any of the other musicians."

For Ali, the time is now right to take his music back to Somalia.

"At this time, we need to start to reach the youth in Somalia to pass our message," he says. "We need to tell them that this jihad is not good, is not right, so this time I think in Somalia most people don't want the extreme ideas. I think this time it's better than before."

@highlight

The Somali capital of Mogadishu is set to host its biggest music festival in over two decades

@highlight

The Mogadishu Music Festival is aiming to rally would-be fighters to peacefully resist extremism

@highlight

The stealth event is put together by Waayaha Cusub, a group of Kenya-based Somali rappers

@highlight

The collective is famous for its powerful lyrics attacking militant extremists