(CNN) -- As someone who has often worked from home during her career, I've been obsessed with the firestorm Yahoo CEO Marissa Mayer ignited earlier this month by demanding that her telecommuting employees get themselves to a bricks-and-mortar office—and soon. Predictably, the blogosphere, TV news shows and critics everywhere blew up.

How dare Mayer snatch this benefit out from under Yahoo!'s virtual workers? And how dare she prompt more progressively minded employers to consider doing the same to theirs? Talk about negative trendsetting. Last week, Best Buy's much-heralded "Results Only Work Environment" for nonstore employees got downgraded, too.

Most of the commentary around Yahoo!'s decision has looked at how telecommuting cutbacks affect working parents—and in particular, working moms, like Mayer herself. I agree that's huge. But what has fascinated me about this telework debate is how almost no one has specifically addressed its impact on those of us without children.

Why shouldn't all of us, whether we parent children or not, have access to civilized ways of working that simplify our lives, decrease our commutes, allow us to be more efficient and maintain our sanity at the same time?

Or do we have to have kids at home in order to have a valid "excuse" to benefit from the 21st century reality of virtual work?

Yahoo work-from-home policy riles workers everywhere

Hear me out. Throughout my career, my single and child-free status have certainly benefited my employers and freelance clients, as I was able—and willing—to pick up and move to the other side of the country for long-term work assignments.

Even when living and working in France last year, I could take on last-minute writing projects that demanded "all-nighters," as there was no spouse or youngster requiring attention. The fact that I have "neither chick nor child," as one of my Chicago Sun-Times colleagues used to say, allowed me the flexibility of traveling on short notice. These were all choices I happily made.

So, if being unattached made me an asset to those I've worked for, should that same status keep me, and millions of others without children, from enjoying flexible work arrangements that few seem to question if you've got children at home?

Gallery: Brilliant women in STEM, then and now

Telecommuting works "because the benefits are so comprehensive. It's not just supporting family balance, but you balance," says Cindy Auten, general manager of Mobile Work Exchange. "It isn't just a perk for one demographic." Her group is the force behind last week's "Telework Week 2013."

Sponsored by tech heavyweights Cisco and Citrix, it was the third annual global effort to encourage employees and employers to pledge to telework anytime between March 4 and 8. Last year's Telework Week generated more than 71,000 pledges, helping these folks gain back nearly 251,800 hours into their days and saving $5.6 million in commuting costs, according to Mobile Work Exchange. 2013's Telework Week pledge numbers have almost doubled.

A "2012 National Study of Employers" conducted by the Society for Human Resources Management and the Families & Work Institute found that 63% of employers allow workers to work at home at least occasionally, up from 34% in 2005.

Although telecommuting should benefit all job-eligible employees, often "working moms and parents tend to get more of a consideration," admits Shirley Davis-Sheppard, the Society for Human Resources Management's vice president of Global Diversity & Inclusion. "Yet, we tell organizations employees shouldn't have to tell you a reason" why they'd like to telecommute. "We advocate that you should be managing by results, not 'butts in seats.'"

Opinion: What Mayer misses on work-life balance

In other words, an employee's family situation—or lack of one—shouldn't determine whether they're able to telecommute.

"One, you've got to get your work done and have the conversation with your manager. It's got to work for both the employer and the employee," says Sheppard, who's also the co-leader of the Society for Human Resources Management's Workplace Flexibility initiative and holds a doctorate in business and organization management. "That's what inclusion is all about, and why more and more chief diversity officers like me are on the bandwagon for this. You're not going to be able to engage and retain great talent without having flexibility. But this is not just about telecommuting. It's about compressed workweeks, part-time job options, flexible schedules. Sometimes it might be job sharing."

Pamela Royster, 46, is an independent clinical research consultant who has been home-based since 2007. Single, she's got four college-age kids living away from home. "I've often thought about taking a job where I have to commute and work in an office, and there's no way I'd do that," says Royster, who lives in Washington and worked virtually even when her children were in the house.

"I'm able to cut costs because I'm not having to fill up my gas tank every week. And because I'm self-employed, I'm able to itemize many of my home office expenses. If you need to run an errand, you can do that, as long as you're meeting your deadlines."

Who works from home and how they do it

Working in an office, adds Mobile Work Exchange's Cindy Auten, means "dry cleaning costs, going out to lunch. With all the work clothes you have to buy, you could put money away and invest it in your 401(k) so you can retire at a reasonable age. It is about money; it's about time. And time is money."

In theory, we can find ways to earn more cash. But the great equalizer is the clock. None of us, whether we're billionaires or flat broke, gets more than 24 hours each day.

The quality of life aspect is huge to women like Amalie Drury, a married but childless 34-year-old Chicago editor for PureWow, a lifestyle website for women.

"I'm willing to work for a little bit less because my lifestyle is so much better," the recently married Drury says about her full-time virtual work. "I usually wear workout clothes all day every day, which I absolutely love. When I'm waiting for someone to get back to me or for edits on a story I've written, I try to fit in a workout. I save money on food because I eat at home—and healthier, too.

Especially if you're single or don't have kids, "When you're balancing work and your life, work always seems to trump you," says Auten. "This is a way to bring life back to the front burner."

She says 85% of the companies on Fortune magazine's 2012 "100 Best Companies to Work For®" list offer some sort of telework option. That's surely no coincidence.

I'd never want to keep my colleagues with children from making work arrangements that best add balance to their hectic lives. Let's just hope that the choices we kid-free professionals make are viewed as equally valid and real.

Maureen Jenkins is a freelance travel, food and lifestyles writer and communications consultant. She just returned to her native Chicago after a year in France. She blogs about international travel at UrbanTravelGirl.com.

Do you agree that parents have garnered a disproportionate share of the conversation around working from home lately? Let us know in the comments section.

@highlight

The outcry around Yahoo's new telecommuting policy has centered on parents

@highlight

Maureen Jenkins argues that you don't have to be a parent to demand better work options

@highlight

Just as a nonparent may offer more scheduling flexibility, that worker can demand reciprocity

@highlight

Working from home can offer health benefits as well as others, says one teleworker