A mother mourns the deaths of children who slipped from her grasp. A father says he's contemplated suicide. A family prepares to rebuild.

A week after Typhoon Haiyan tore through the Philippines, the adrenaline-fueled response to the storm and its aftermath have faded from the streets of Tacloban. Now, the grim realities of daily life have taken its place.

Juvelyn Taniega is trying to keep busy. She's collected old dishes and is cleaning them up, crouching on the ground near the spot where her home once stood and the place where she last saw her husband and six children alive.

She's found the bodies of three of her children, but three of them are still missing. In days, she said, no one has come to help.

"My children are decomposing," she said.

In other parts of the storm-ravaged city, help has arrived. Trucks carry food. Crews clean up debris. Workers line up bodies to be identified by families who've been searching for their loved ones.

Humanitarian workers and military troops from around the world have converged on the Eastern Philippines, racing against time to rescue and feed those devastated by the storm.

The horror is everywhere thanks to what was Super Typhoon Haiyan when it came ashore a week ago ago, packing winds 3.5 times as strong as Hurricane Katrina, pushing in a wall of water 15 feet high and washing away towns on many islands.

The official nationwide death toll from the typhoon had increased to 2,360 by Friday morning. Other reports suggested the toll could be far higher, with thousands feared dead in Tacloban alone.

The deadly storm left more than 3,850 injured and at least 77 people reported missing across the Philippines, officials said.

Reaching all the victims and assisting the survivors -- including more than 2 million people in need of food, according to the Philippines government -- are both priorities now.

How to help

A significant sign of stepped up relief efforts was Thursday's arrival of the USS George Washington, an aircraft carrier teeming with 5,500 crew. It's accompanied by eight more ships that, together, have 80 aircraft -- including 21 helicopters -- that can deliver supplies to hard-to-reach areas and conduct search-and-rescue missions for those still holding on six days after the epic storm.

Faces of the storm

Supplies running out at hospitals

In Tacloban, the bloated corpses of dogs lie next to body bags filled with human remains. The stench from wreckage hovers all around, as people sift through debris. A line snakes around the airport, filled with those eager to leave. Families huddle inside the city convention center, savoring their first rice in a week but not knowing when their next meal will come.

"We really don't know what we're going to do next," said 30-year-old May May Gula, 30, a member of one of eight families sharing what was left of a room on the convention center's ground floor.

Emotional extremes for families of typhoon victims

Some typically called upon to help need help themselves.

Take First Seaman Ryan Cardenas, a member of the Philippines Navy, who has helped with recovery efforts after two other cyclones in the past two years that left hundreds dead.

But when Haiyan slammed into the Tacloban naval station where he's based, he and other sailors clung to rafters in their barracks. Their commanding officer, who was in a separate building almost demolished by the storm, stayed alive by clutching a palm tree's trunk.

Afterward, sailors helped retrieve some bodies, according to Cardenas. One found his mother sitting dead against a wall.

Now, they're sorting through the wreckage of the naval station and awaiting orders.

"This is the worst," Cardenas said, taking a break from fixing a piece of damaged furniture. "We're both victims and rescuers."

Scenes of devastation, calls for help

Senator concerned about crimes against women

In some cases, it's not that there's not enough food, water and other necessities. It's that they are not being given out, because getting to those in need is so difficult.

The danger of violence -- whether out of desperation or confusion -- looms over the relief efforts.

Police warned a CNN crew to turn back Wednesday on the road south of Tacloban, saying rebels had been shooting at civilians.

"Maybe they are looking for food," a police commander said.

U.S. Navy Rear Adm. Mark Montgomery, the commander of the USS George Washington's strike group, acknowledged security is an issue. But it's hardly the only one, nor even the biggest.

"Obviously, the conditions are pretty grim right now," Montgomery told CNN Thursday. "But it's not as much security as it is just the inaccessibility of the roads."

A Philippines senator said she's learned of reports of rapes and other crimes against women, some allegedly perpetrated by convicts who escaped prison in the typhoon's aftermath, the state-run Philippines News Agency reported.

Sen. Nancy Binay particularly expressed alarm after women said on TV that the situation had become worse, with assailants going so far as to break into people's homes.

Debris hampers delivery of aid

International aid has piled up at airports, blocked from distribution to the starving by miles of debris-strewn roads.

It is taking a long time to clear them and establish communications in to remote areas, said Philippines Secretary of the Interior Mar Roxas.

"Imagine a situation where from zero, from zero, no power, light, water, communication, nothing, you have to build the social infrastructures as well as the physical infrastructures for 275,000."

Opinion: Childhood in the path of typhoons

In the meantime, U.S. Marines have transformed a sleepy airbase in Cebu into a buzzing center of activity that included cargo aircraft, tilt-rotor Ospreys and camouflaged Marines. The Ospreys can land in remote spots where there are no cleared runways, but crews still find themselves hemmed in by debris.

"Some of those neighborhoods are inundated with water, and some of it's inaccessible," Brig. Gen. Paul Kennedy said.

Roxas would love to see the assistance getting out faster. Still, he feels it's doubling by the day.

Amos, the top U.N. humanitarian official, pointed Thursday morning to a continuing litany of needs -- such as clean water, hygiene kits, hospital supplies, tents and other shelters.

The airport can handle more traffic, and roads are getting better and better. At the same time, Amos said, "We know that much more is required."

'Immense' need

But can it come soon enough? That's a pressing question in Guiuan, a remote community of about 45,000 people that was among the first areas hit by the full force of the storm.

Alexis Moens, a team leader with Doctors Without Borders, described whole areas as "flattened -- houses, medical facilities, rice fields, fishing boats, all destroyed."

"People are living out in the open; there are no roofs left standing in the whole of Guiuan," Moens said. "The needs are immense, and there are a lot of surrounding villages that are not yet covered by any aid organizations."

In Tacloban, those who survived say they have no choice but to move forward.

Jericho, a boy whose mother, aunt and nine cousins were killed in the storm, tells his father he wants to leave the city on one of the planes he's seen flying overhead. His father tells him they have to stay in Tacloban.

"We have no money," he says. "Just each other."

A man whose wife and child died said he can't stop thinking of seeing his family drown in the storm.

"The first one that I saw was my youngest," he said. "She fainted, and then she drowned. The water was so fast. And then my wife, when I tried to grab her, I missed her. Then she drowned, and then I never saw her again."

Over the past week, he admits he's often thought of killing himself.

But he hasn't, he said, because he still has one child who needs him.

Could mystery man on tape be patriarch of 30 missing?

@highlight

A week after Typhoon Haiyan hit, a grim reality is setting in

@highlight

"My children are decomposing," one woman says

@highlight

U.N. official: Conditions are improving, but "more more is required"

@highlight

Latest national death toll from the typhoon is 2,360, officials say