(CNN) -- Rejection -- even repeated rejection -- doesn't have to mean defeat.

That, it turns out, is the lasting lesson of the Chuck Ross story.

You may recognize the name; two Sundays ago, I wrote about J.K. Rowling, the spectacularly successful author of the Harry Potter books, and about how she has published a detective novel under the name Robert Galbraith. In the column, I recalled what a young and frustrated writer -- Chuck Ross -- did in the 1970s.

To briefly recap: Ross had written a mystery novel that had been turned down everywhere he sent it. So, as an experiment to see how the publishing business really worked, he retyped a National Book Award-winning novel -- "Steps," by Jerzy Kosinski -- and submitted it to 14 major publishers and 13 top agents. But he didn't put a title on it, and he didn't put Kosinski's name on it.

Every publisher and every agent turned it down. None recognized that they were rejecting a book that had already been a bestseller and had already won the National Book Award. So much for talent being judged on its own merit.

A fine and funny tale, some 35 years ago.

But what happened to Chuck Ross?

"When I was in my 20s, I had been selling cable television subscriptions door-to-door in Santa Monica, California," Ross told me the other day. He is 61 now.

He had written his mystery novel in his spare time. "I taught myself to touch-type," he said.

What really bothered him about his mystery novel being turned down by every publisher to whom he sent it was not just that the various editors claimed not to like it -- but that they hadn't bothered to give it a thorough reading.

How did he know that?

He was a highly creative young writer; to set his manuscript apart from all the others that authors send in, he had thought up a gimmick. He had put a little seal on the last few pages of the manuscript -- the pages that were the payoff to his story. It was intended to be a clever enticement; when the editors at the publishing houses got to the end, they would remove the little seal to read the climax of the book.

But when every publisher sent the manuscript back to him, with letters telling him why they didn't want his story, he noticed something:

The seals on the last few pages had not been broken. Not on any of the manuscripts.

No one at the publishing houses had read the book all the way through, or even flipped to the end to see how Ross had wrapped up the story.

"Rather depressing," he told me the other day.

That's when he got the idea to send Kosinski's prize-winning book in without Kosinski's name on it. He wanted to see if even a proven bestseller, without a well-known byline, would get a fair shake.

He found out.

The repeated rejection of that book, he said, didn't depress him the way the rejections of the mystery novel had: "With the Kosinski book, it wasn't my work they were rejecting -- it was his." (J.K. Rowling, in her younger days, probably could have identified with all of this. Her first Harry Potter manuscript was rejected by a number of publishers -- some reports say it was as many as a dozen -- before one house decided to take a chance on it.)

I asked Chuck Ross: When the news of his Kosinski ploy got out and was widely publicized back in the '70s, did any of the publishers and agents salute his ingenuity, and offer to take another look at his own mystery novel?

"No."

Did they encourage him to send them future work?

"No."

But, despite that, Ross triumphed. "I'm an optimistic guy," he said. "I wake up on the sunny side of the bed."

He wrote a terrific piece about the Kosinski stunt for New West magazine, which at the time was very popular in California. The story got a good reception, and he received more assignments from the magazine.

On the strength of that, he realized that he might be able to make a living as a writer. He was able to quit the door-to-door cable-subscription-selling job, and went on to staff writing and editing jobs at a series of publications. He worked for the Hollywood Reporter, served as a reporter on the television beat for the San Francisco Chronicle, went to Inside Media, became an editor and reporter for Advertising Age, was named editor of the trade publication Electronic Media, became that magazine's editor and publisher when it was renamed TV Week, and, when it went online-only, was named its managing director, the job he has today.

In short, after those initial rejections -- both of his mystery novel and of the retyped Kosinski book -- he has managed to make a lifelong career out of the written word. Along the way, he got married and has four children.

"I have no regrets at all," he said.

He never did have a book published; he's certain that the mystery novel he wrote in the '70s is stored in a box or trunk somewhere -- "I don't throw things away" -- but he hasn't seen it in years.

It doesn't matter. He wanted to find a good life as a writer, and he did.

And the initial turn-downs are what, in their own unexpected way, helped him to find it.

"Sometimes," he said, "it takes a little luck."

And sometimes, things have a way of working out.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Chuck Ross became famous for stunt he pulled on publishing industry

@highlight

He submitted famous novel as manuscript; it got turned down by all

@highlight

Bob Greene: Ross turned tale of his experience into the beginning of a successful career

@highlight

Ross managed to make a living from writing, editing, despite challenges