(CNN) -- As they contemplate military action against Syria, one of many considerations members of Congress and Obama administration officials have to weigh is how a U.S. strike against the regime of Bashar al-Assad might effect the already complicated, even poisonous, state of Sunni-Shia relations in the region.

Three of the leading Sunni states, Saudi Arabia, Turkey and the UAE, have already offered their military assets if a US strike happens.

Last week, Iranian President Hassan Rouhani said that the Shia government of Iran and close Syrian ally Russia would work in "extensive cooperation" to protect Syria.

An American-led war in Syria with the military backing of some powerful Sunni states against a de facto Shia alliance of Iran, Syria, Iraq and Lebanese Hezbollah would likely greatly exacerbate the already tense relations between Sunni and Shia across the region.

In Syria, a popular uprising against a repressive ruler in 2011 has morphed into what is now a largely sectarian civil war pitting the country's Sunni Muslim majority against al-Assad's minority Alawite sect, which is associated with Shia Islam.

The Syrian regime is propped up with weapons and funds from Iran's Shia rulers and also benefits significantly from the support on the ground of battle-hardened fighters from Lebanese Hezbollah, an Iranian proxy.

As a possible U.S. strike looms in Syria, what had hitherto been a shadowy proxy war, with Sunni countries such as Saudi Arabia quietly supporting the Syrian rebels and Iran supporting al-Assad, could now devolve into a full-blown war that is openly supported by the most powerful Sunni and Shia states.

That is a real potential problem that needs to be weighed by Obama national security officials and representatives in Congress as they consider the options in Syria, because across the Muslim world from Lebanon to Pakistan, Sunnis and Shias are increasingly at each other's throats.

A further intensification of the already brutal Syrian civil war might further destabilize Syria's fragile neighbors; both Lebanon and Iraq could plunge back into civil wars.

Already in July, the United Nations recorded the highest death toll in Iraq since 2008, when the Iraq War was raging. In that month alone, more than 1,057 civilians and security personnel were killed. Many of those deaths were the result of bombings claimed by the Sunni terrorist group al-Qaeda in Iraq and were directed at Shia targets.

A splinter organization of al-Qaeda in Iraq is now fighting in Syria and is regarded as the most effective force fighting Assad, who it deems a heretic.

It's a very old story. The two dominant sects of Islam, Sunni and Shia, first split over the issue of who was the rightful successor of the Prophet Muhammad following his death in 632.

The conflict between the two sects has waxed and waned over the many centuries since, but right now the Syrian conflict could exacerbate the regional split along sectarian lines that we have seen over the past few years.

In 2011 the Sunni monarchy of the Gulf state of Bahrain backed by more than a thousand soldiers from Saudi Arabia put down with harsh tactics an uprising by its disadvantaged Shia majority population. The Bahrain government hinted that the uprising was an Iranian plot.

The sectarian conflicts in Syria, Iraq and Bahrain have also spilled over into Lebanon and Egypt. On June 23, in Lebanon's port city of Sidon, soldiers clashed with supporters of a hardline Sunni cleric, Sheikh Ahmed al-Assir, who had spoken out vehemently against the Syrian regime as well as the Shia Lebanese militant group, Hezbollah.

On the same day, four Egyptian Shia Muslims were stabbed, beaten, and dragged through the streets by members of a hardline Sunni group in the Giza neighborhood of Cairo.

The intensifying sectarian tensions in Egypt were partially the fault of the recently-ousted Muslim Brotherhood government. A week before the Giza attack, for example, President Mohamed Morsi had appeared on stage with hardline clerics who called Shias "filthy." And in May, Salafist members of Egypt's parliament denounced Shias as "a danger to Egypt's national security."

Beyond the Middle East, sectarian violence has also soared in South Asia over the past few years. More than 180 members of Pakistan's minority Shi'a Hazara community were killed in two massive bombings in the first two months of 2013 alone.

In neighboring Afghanistan, violent attacks on Shia Muslims are less frequent, but in December 2011, two nearly simultaneous suicide bombs in Kabul and Mazar-i-Sharif killed more than 60 Shia civilians as they celebrated the annual religious festival of Ashura.

We can expect sectarian tensions to continue boiling across the Muslim world, as the Syrian conflict grinds on and political and social unrest persist in many countries in the region.

Al-Qaeda-affiliated groups will seek to exploit these sectarian divisions to garner support for their own violent agenda, and may well find greater room to operate because of it.

Saudi Arabia and Qatar have mobilized their deep coffers to support extremist Sunni groups in the past, and will continue to do so as long as it means they are able to counterbalance Iran and its support for Shia regimes and militant groups.

All of these factors must be weighed as the United States weighs military action. They are not an argument for doing nothing in the face of al-Assad's large-scale use of chemical weapons but they are a reason to heed Machiavelli's warning "Wars begin when you will, but they do not end when you please."

@highlight

Peter Bergen: Complicating the Syria picture is regionwide sectarian strife

@highlight

He says the historic Sunni-Shia split is a key dynamic and U.S. strike could worsen conflict

@highlight

Iraq's death toll from sectarian struggles has been increasing

@highlight

Bergen: Al Qaeda-affiliated groups will seek to take advantage