(CNN) -- In the iconic film, "To Kill a Mockingbird," Atticus Finch, a white lawyer defending a black man accused of attempting to rape a white woman in the deep South, is delivering his closing argument to an all-white-male jury: "In this country, our courts are the great levelers ... in our courts, all men are created equal," he says.

Like the fictional defendant in the film, black America knows all too well that in this country, the promise of equal justice for all is often a hollow one. That is never more true than in cases where a black man or boy is killed by a non-black.

There will be much debate in the coming days about whether the not guilty verdict in the Zimmerman self-defense trial was the right or wrong outcome. Experts will analyze the strategy, tactics and performance of the prosecutors and the defense attorneys, seeking to explain it. This, however, will miss the bigger and more important point: In truth, when black boys and men are killed by non-blacks, more often than not, justice will not be served.

Many black parents will try to explain to their children, especially their sons, what to make of the verdict, and they may be at a loss for words. How is it possible that a black child, walking where he had a right to walk, doing absolutely nothing wrong, could be pursued, confronted and ultimately shot dead by a neighborhood watch volunteer -- and the killer escape punishment?

LZ Granderson: Trayvon could have been my son

White America cannot conceive of such a thing happening to its children, nor can it imagine that, were such a travesty to occur, the killer would escape punishment. But for black America, Trayvon Martin is the latest name on a long list of African-American men and boys whose non-black killers escaped justice in America's courts -- a list that runs from Emmett Till to Amadou Diallo to Oscar Grant to Sean Bell.

Often, the killers are never even charged and brought to trial, which is precisely the course that the Zimmerman case would have taken were it not for the protests of African-Americans and others across the country.

Waldman: Zimmerman case echoes issues of race, guns

There was a time in this nation's history, not so very long ago, when black America looked to the courts, particularly its federal courts, for justice, and received it, most notably in the area of civil rights. The courts, particularly the Supreme Court, were places where black America's rights were validated and vindicated.

Now, our courts are places where black America's rights are often eviscerated.

Black America's belief in the possibility of receiving justice from our legal system is eroded by every verdict that fails to hold a killer who is not black accountable for the death of a black man or boy.

I was at the mall in my predominantly African-American community doing late-night shopping when the verdict was read. Like the Black store clerks who waited on me, I did not expect that Zimmerman would be found guilty, but I did harbor that hope.

Brazile: Doing what's right not just about law

Now, my heart is heavy, not merely because Zimmerman was acquitted, but also because we as a nation have yet to make Atticus Finch's words ring true. Until we do -- until our courts are really "the great levelers" in which "all men are created equal," African-Americans killed by non-blacks will not find justice in a system that fails to demand accountability for their lost lives.

The opinions expressed in this commentary are solely those of Nicole Austin-Hillery

@highlight

Nicole Austin-Hillery: Justice in U.S. often hollow, especially for blacks killed by non-blacks

@highlight

She says whites can't conceive of a Zimmerman-like outcome happening with their children

@highlight

She says killers escaping punishment in death of young blacks has long history in U.S.

@highlight

Writer: Every verdict that fails to hold killer of black accountable erodes black's trust in courts