New York (CNN) -- In the wake of the failed Christmas Day bombing of Northwest Flight 253, authorities are ramping up air passenger screening, particularly for those flying from 14 nations that the U.S. describes as "state sponsors of terrorism or other countries of interest."

Hundreds more full body scanning machines are on order for U.S. airports. But some airline security experts say the real answer to greater security is to follow the approach used by Israel's airline, El Al.

Isaac Yeffet, the former head of security for El Al and now an aviation security consultant in New York, said El Al has prevented terrorism in the air by making sure every passenger is interviewed by a well-trained agent before check-in.

"Stop relying only on technology," Yeffet told CNN. "Technology can help the qualified, well-trained human being but cannot replace him."

Yeffet spoke to CNN Friday.

CNN: What do you think we've learned about airport security from the failed bombing in Detroit?

Isaac Yeffet: We learned one thing. We do not have a good security system to be able to prevent tragedies in this country.

After Lockerbie, everyone thought, now we've learned the lesson of how to be proactive instead of being reactive. Unfortunately, September 11 came and we know the result. Thousands of people lost their lives. Security totally failed, not at one airport, at three different airports around the country.

In 2002, we had Richard Reid, the shoe bomber. This man gave the security people all the suspicious signs that any passenger could show. The man got a British passport in Belgium, not in England. Number Two: he flew to Paris, he bought a one-way ticket from Paris to Florida. He paid cash. He came to the airport with no luggage. What else do I need to know that this passenger is suspicious?

What did we learn from this? Just to tell the passenger from now on, you take off your shoes when you come to the airport? This I call a patch on top of a patch.

Now we face the story with [Umar Farouk] AbdulMutallab. We had all the information that we could dream the security people could get. He was on the list of people connected to al Qaeda. I don't need more to understand that when he comes, I am not looking for more evidence. He is suspicious; I have to take care of him.

His father called the U.S. Embassy a month before he took the flight and told the U.S. Embassy that his son had called and said this was the last time you were going to hear from me. And the father warned the U.S. Embassy that his son was going to do something bad, watch him. What happened to this information?

The guy bought a ticket and paid $3,000 cash. ... No one knew the information that we had about him, no one could interview him and to ask him why is he flying to America.

CNN: What needs to be done to improve the system?

Yeffet: It's mandatory that every passenger -- I don't care his religion or whatever he is -- every passenger has to be interviewed by security people who are qualified and well-trained, and are being tested all year long. I trained my guys and educated them, that every flight, for them, is the first flight. That every passenger is the first passenger. The fact that you had [safe flights] yesterday and last month means nothing. We are looking for the one who is coming to blow up our aircraft. If you do not look at each passenger, something is wrong with your system.

CNN: What is El Al's approach to airline security? How does it differ from what's being done in this country?

Yeffett: We must look at the qualifications of the candidate for security jobs. He must be educated. He must speak two languages. He must be trained for a long time, in classrooms. He must receive on-the-job training with a supervisor for weeks to make sure that the guy understands how to approach a passenger, how to convince him to cooperate with him, because the passenger is taking the flight and we are on the ground. The passengers have to understand that the security is doing it for their benefit.

We are constantly in touch with the Israeli intelligence to find out if there are any suspicious passengers among hundreds of passengers coming to take the flight -- by getting the list of passengers for each flight and comparing it with the suspicious list that we have. If one of the passengers is on the list, then we are waiting for him, he will not surprise us.

During the year, we did thousands of tests of our security guys around the world. It cost money, but once you save lives, it's worth all the money that the government gave us to have the right security system.

I used to send a male or female that we trusted. We used to give them tickets and send them to an airport to take a flight to Tel Aviv. We concealed whatever we could in their luggage. Everything was fake, and we wanted to find out if the security people would stop this passenger or not.

If there was any failure, the security people immediately were fired, and we called in all the security people to tell people why they failed, what happened step by step. I wanted everyone to learn from any failure. And if they were very successful, I wanted everyone to know why.

CNN: Let's say all the airlines instituted the system that you're talking about. So let's say I go to an airport for a flight to London. What should happen?

Yeffet: When you come to the check-in, normally you wait on line. While you wait on line, I want you to be with your luggage. You have to meet with me, the security guy. We tell you who we are. We ask for your passport, we ask for your ticket. We check your passport. We want to find which countries you visited. We start to ask questions, and based on your answers and the way you behave, we come to a conclusion about whether you are bona fide or not. That's what should happen.

CNN: Every passenger should be interviewed, on all flights?

Yeffet: Yes, 100 percent...

I want to interview you. It won't take too long if you're bona fide. We never had a delay.

Number two, I have heard so many times El Al is a small airline. We in America are big air carriers. Number one, we have over 400 airports around the country, why hasn't anyone from this government asked himself, let's take one airport out of 400 airports and try to implement El Al's system because their system proved they're the best of the best.

For the last 40 years, El Al did not have a single tragedy. And they came to attack us and to blow up our aircraft, but we knew how to stop them on the ground. So let's try to implement the system at one airport in the country and then come to a conclusion...

CNN: What do you think of using full body scanners?

Yeffet: I am against it, this is once again patch on top of patch. Look what happened, Richard Reid, the shoebomber, hid the explosives in his shoes. The result -- all of us have to take off our shoes when we come to the airport. The Nigerian guy hid his explosives in his underwear. The result -- everyone now will be seen naked. Is this the security system that we want?

We have millions of Muslims in this country. I am not Muslim, but I am very familiar with the tradition, I respect the tradition. Women who walk on the street cover their body from head to toe. Can you imagine the reaction of the husband? Excuse me, wait on the side, we want to see your wife's body naked?... This is not an answer.

I appreciate what the president said, but we need to see the results on the ground at the airports. ... I strongly recommend that TSA call experts ... and not let them leave before they come to conclusions about what must be done at each airport to make sure that we are really pro-active. Let us be alert, let us work together, and show no mercy for any failure, no mercy.

If we do this system, believe me we will show the world that we are the best proactive security system and the terrorists will understand that it's not worth it to come to attack us.

CNN: Would it be more expensive to provide the kind of security system you recommend?

Yeffet: For sure El Al spends more money on security than the American air carriers. But the passengers are willing to pay for it if we can prove to them that they are secure when they come to take a flight.

@highlight

U.S. authorities have stepped up airport screening after failed Christmas Day attack

@highlight

Consultant Isaac Yeffet says Israel safeguards planes by interviewing all passengers

@highlight

He says well-trained agents can detect attackers and prevent incidents

@highlight

Yeffet: Security people need to be constantly tested -- and fired if they fail