Why do you go to galleries? Is it because you like to keep up with what's going on in the arts? Because a poster caught your eye? Because of something someone said on Twitter? Or because you want to satisfy yourself that you're cleverer than the latest "celebrity charlatan?"

Grayson Perry, one of Britain's leading contemporary artists, is under no illusion as to why people go to museums -- the first piece in his new show at the British Museum is, he admits, "me getting my revenge in first."

The work, "You Are Here," is a pot in the Turner Prize-winning ceramicist's distinctive style, covered in figures explaining the worthy, and not so worthy, motivations behind their visit to the show.

Cheeky, yes, and full of Perry's quirky sense of fun, but like the rest of the "Tomb of the Unknown Craftsman" exhibition, it is also a love letter to museums and galleries in general -- and to one in particular: The British Museum.

Crammed with more than eight million objects collected over the past 250 years, the museum's stores are a vast repository of centuries of human history, and human achievement.

Over the past two years, Perry has been let loose inside what the museum's boss Neil MacGregor calls "one of the great imaginative storehouses of the world," free to pick and choose items for his show from its immense collection.

From that bewildering array, he has selected just under 200 items which inspired, amused and intrigued him -- from an earring with part of the wearer's ear still attached, via religious artifacts, to cheap souvenir pin badges.

He has paired them up with items from his own artistic past, and in many cases created whole new works suggested by the sparks they set off inside his brain.

Welcome, the artist says, to "a short tour through my head."

The British Museum has been a place of pilgrimage for Perry since he was a child -- though he admits to a sense of disappointment on his first visit, because the model boats in the Egyptian collection were not as shiny and new as the cars he played with at home.

"People come here and they stand outside and take photographs of themselves as proof - 'I was here, I made the pilgrimage,'" he says.

For him, the museum is a place that allows him to travel the world, just 20 minutes away from the comfort of his own home.

"A lot of my world travel, I've done in the British Museum," he explains. "I've never been to India, I've never been to Africa -- one of the pieces I made for the show is actually called "I've never been to Africa" -- I make no bones about it, I am what I am.

"The world is full of "experience junkies" who want to go around the world having an amazing time. I'm not one of them," he deadpans.

At the heart of the exhibition is the eponymous "Tomb of the Unknown Craftsman," a ship, sailing into the afterlife, bedecked with casts of some of the museum's "celebrity artifacts" -- mummies, sculptures, busts, plaques -- "freighted," Perry explains, "with the greatest hits of the British Museum."

And at the center of the centerpiece? A humble flint axe.

"The tool that begat all tools," Perry says, describing the "incredibly powerful, visceral moment" when one of the museum's curators handed him a box filled with ancient stone tools, and invited him to pick one up, cementing his links with the first craftsmen who created them.

As MacGregor points out, Perry is not the first to find inspiration in the museum's historic galleries -- but he has taken it further than anyone else.

"Throughout the museum's history, artists have used the collection to inspire them, to make their own art, but until now, none of them has used it to make his own museum, his own civilization."

In doing so, MacGregor says, Perry has made everyone -- even those who work at the museum -- look at the objects differently.

This is Perry's aim. He wants to inspire in his turn, just as he has been inspired. "I hope that when people leave, they want to make something, they want to look at the world afresh."

@highlight

Artist Grayson Perry trawled the British Museum collection for objects which intrigued him

@highlight

Perry displays ancient and more modern artifacts from the museum alongside his own work

@highlight

Exhibition explores issues such as religion, tradition, history and culture

@highlight

Perry, who works primarily in ceramics, won the Turner Prize in 2003