(CNN) -- When doctors risk their lives and sacrifice their livelihoods to go to West Africa and provide desperately needed treatment to those suffering from Ebola, what should be their reward upon coming home?

Three weeks off, some say -- whether they like it or not.

The governors of New York and New Jersey instituted just such a policy Friday, announcing that airport screening will be stepped up in their states and that any arriving passengers who'd recently been in the West African nations hit hardest by Ebola could be hospitalized or quarantined for up to 21 days -- sick or not.

Measures such as these would affect people who lived in or traveled to countries such as Guinea, Liberia and Sierra Leone, where all but a handful of the more than 10,000 documented Ebola cases and almost 5,000 deaths have occurred. And it would also impact those who brought their medical expertise to West Africa, doing what they could to prevent more people from dying or spreading the disease.

So there's a tradeoff: Should the focus of American policy be to do everything to prevent anyone from the most ravaged regions from entering the United States, even if it discourages health care workers from going there?

On Saturday, the Centers for Disease and Control and Prevention said that it sets the baseline recommended standards, but state and local officials have the prerogative to set tighter policies.

"When it comes to the federal standards set by the CDC, we will consider any measures that we believe have the potential to make the American people safer," the CDC said in a statement.

Some U.S. lawmakers, such as Rep. Andy Harris, favor a strict three-week quarantine. (That time duration is significant because it takes anywhere from two to 21 days from the time a person is exposed to Ebola to when he or she shows symptoms of it; if more time than that passes without symptoms, a person is considered Ebola-free.)

"In return from being allowed to come back into the country from a place where a deadly disease is endemic, you'd have to enter a quarantine facility and be supervised for 21 days," the Maryland Republican told CNN.

Some, though, think such a policy would be counterproductive. It might prevent some cases of Ebola in the United States over the short term, they say, but over the long run it could backfire if highly trained American doctors have even more incentive not to head to Africa to help corral the disease.

Dr. John Carlson, a pediatric immunologist at Tulane University, is one of them.

He has spent four weeks working with Ebola patients at a hospital in Freetown, Sierra Leone, and is scheduled to return to New Orleans on Saturday. Health care workers already sacrifice a lot by volunteering their time to help those who most need it; tacking on more time or not being able to venture out in public or go to work might seem like a punishment, discouraging people like him from doing it again.

"If I lose three weeks on my return and don't get to do the work I'm supposed to do," Carlson said, referring to his job at Tulane, "means this wouldn't be workable for me."

CDC director Dr. Tom Frieden expressed a similar view earlier this month, arguing that stringent travel restrictions might create more problems than they solve.

"It makes it hard to get health workers in, because they can't get out," he said. "If we make it harder to respond to the outbreak in West Africa, it will spread not only in those three countries (in West Africa hit hardest by Ebola) but to other parts of Africa and ultimately increase the risk here" in the United States.

Official: New guidelines coming 'shortly'

That said, change may be coming.

Some of it may come at the state level, as happened in New York and New Jersey.

That policy shift was spurred by the hospitalization of Dr. Craig Spencer, a Doctors Without Borders physician who'd treated Ebola patients in Guinea and arrived at New York's John F. Kennedy International Airport on October 17; he eventually was diagnosed with Ebola.

Since then, a female health care worker who had recently been in West Africa developed a fever, hours after touching down at northern New Jersey's Newark Liberty Airport with no apparent symptons, New Jersey Health Department spokesman Donna Leusner said.

A preliminary test showed that the woman does not have Ebola, New Jersey officials said Saturday. But the unidentified woman will remain in quarantine at a hospital in Newark for at least 21 days.

Quarantined woman tests negative for Ebola

The new policy in New York and New Jersey allows the states to determine hospitalization or quarantine for up to 21 days for travelers from the affected countries. A mandatory quarantine is called for those who had "direct contact with an individual infected with the Ebola virus," including medical workers who treated Ebola patients. In addition, people with a travel history to the affected regions but with no direct contact with Ebola patients will be "actively monitored ... and, if necessary, quarantined."

Illinois Gov. Pat Quinn similarly ordered "a mandatory 21-day home quarantine for high-risk individuals who have had direct contact with an individual infected with the Ebola virus while in Liberia, Sierra Leone or Guinea," according to a release Friday from his office. Those affected by the order -- which will be implemented by local health departments -- include "any high-risk medical personnel."

"This protective measure is too important to be voluntary," said Quinn. "We must take every step necessary to ensure the people of Illinois are protected from potential exposure to the Ebola virus."

Such measures are on top of the federal policy requiring all travelers coming to the United States from Ebola-affected areas to be actively monitored for 21 days, starting Monday. Already, such travelers landing in New York's Kennedy, Dulles International, New Jersey's Newark Liberty International, Chicago's O'Hare International and Hartsfield-Jackson Atlanta International must go through enhanced screening.

Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases, said Friday that the federal government's policies could change even more.

"That is something that is right now under very active discussion, and you'll be hearing shortly about what the guidelines will be," Fauci said, answering a reporter's question about quarantines.

Timeline of first Ebola patient in NYC

'Eliminate not just real risk, but perceived risk'

Some experts say there might be some middle ground between the two extremes of physically confining people in one place for 21 days or just letting them do whatever they want (beyond, as is now recommended, taking their temperature daily and monitoring themselves for other symptoms).

One possibility is to have those travelers do more than temperature checks.

Dr. Irwin Redlener, director of Columbia University's National Center for Disaster Preparedness, says one such measure could be checking daily for decreases in white blood cell counts or platelets -- which could be, but aren't necessarily, a sign of an Ebola infection.

And Mike Osterholm, an infectious disease epidemiologist at the University of Minnesota, thinks there should be stricter controls on what a person who arrives from West Africa does in his or her first three weeks in the United States. For instance, he thinks such a person shouldn't take public transportation or go to crowded places like bowling alleys, both of which officials say Spencer did before he was symptomatic.

How the Ebola virus spreads

Public health experts say there's plenty of scientific evidence indicating that there's very little chance that a random person will get Ebola, unless they are in very close contact -- close enough to share bodily fluids -- with someone who has it.

Still, there's also a sense that authorities have to do something because of Americans' fears -- rational or not -- and belief that the country is better off being safe than sorry.

As Osterholm says, "You want to try to eliminate not just real risk, but perceived risk."

Complete coverage on Ebola

CNN's Elizabeth Cohen contributed to this report.

@highlight

New York, New Jersey announce stricter policies for those coming from West Africa

@highlight

Some say something similar, or more stringent, should be instituted nationwide

@highlight

But the CDC director and others worry it may discourage doctors from helping in Africa