(CNN) -- My every-other-month dinner-and-discussion group met the other night. After a plentiful potluck meal, we got down to the topic designated for the evening: "If you could solve any issue or problem in your lifetime, what would it be?"

Less than two weeks after the election, most of the issues raised were political, ranging from redistricting reform to civility in the political process. When it was my turn, I offered up a different fare: ending childhood hunger in the United States. (In truth, I'd like to see peace in the Middle East, but thought I'd be reasonable.)

The government estimates that as many as 17 million children face "food insecurity" (aka hunger). "Poverty does devastating things to children," said Andy Mullins Jr., co-director of the Mississippi Teacher Corps and associate professor of leadership and counselor education at the University of Mississippi.

Teachers will tell you that children who come to school hungry have more difficulty learning. And if education is key to breaking out of poverty, these children are at a disadvantage.

Around Thanksgiving -- amid advertising images of tables laden with food -- you can expect the news media to focus attention on those for whom feeding themselves or their families is difficult. In this economy -- one showing the barest hints of a recovery -- more and more people find themselves in this situation. Consider these examples from around the country:

The Community Food Pantry in Merrill, Wisconsin, has distributed 12 percent more food this year than last, according to Denis McCarthy, pantry manager. Mary Louise Verkest, executive assistant for the Hope pantry, said that as the group prepares for the winter it needs residents to come forward with food drives and donations. "We would not be able to provide the resources and support to the community without the community," she said.

Texas food banks distributed nearly 43 million pounds of food in the second quarter of 2010, 14 percent more than in the same period last year. Nearly 11 percent more Texans lived in poverty last year than the year before, including more than one of every four under age 18. "If these numbers don't convey a sense of urgency, I don't know what will," said J.C. Dwyer, state policy director of the Texas Food Bank Network.

In Libertyville, Illinois, there are people who go to the township pantry on Tuesdays and to the pantry at the St. Joseph's Church Formation Center on Mondays and Thursdays. "It's very practical, because whatever food we give them won't last more than a few days," said Jim King at First Presbyterian Church, which operates a monthly pantry. "I think people are stretched," social worker Linda Blatnik said. "Their unemployment is running out. More seniors aren't getting an increase in their Social Security."

In Gila County, Arizona, "Just about everyone is out of money and out of food," said Su Hubenthal, with the Payson St. Vincent de Paul Food Bank. Local food banks eked through last winter and an increase in poverty and families losing their health insurance has compounded the problems. Last year, demand at the food bank jumped by about 50 percent and it hasn't declined since, said Hubenthal. "It just hasn't gone down."

One in six people in the Tampa Bay area of Florida received some form of emergency food assistance in 2009, up 27 percent from 2006. The 627 area nonprofits that provide food aid are feeling a strain. "It's been a real eye opener into how quickly we're losing ground," said Pat Rogers, director of Feeding America Tampa Bay, a food bank serving pantries and social service agencies.

In a survey conducted for the Hormel Foods Corp. by Opinion Research Corp. (which also is CNN's polling partner) more than one-quarter of those responding said that in the past year they or someone they know had to choose between providing food for their family or paying their bills. One in 10 said they personally went to bed hungry at least once in the past year.

"It is disheartening to see most Americans feel the hunger problem in the U.S. will not be solved in the next 20 years," Jean Kinsey, a professor emeritus of applied economics at the University of Minnesota and director emeritus of The Food Industry Center, said in a release accompanying the study.

That's not an encouraging outlook. What can you do?

Volunteer at a local food bank or pantry. Personal involvement will help you understand the magnitude of the problem and you'll feel like you're doing your part to help.

Donate money or food items. Individual contributions are as important as those from big charities and grocery chains.

And as you enjoy your Thanksgiving meal, remember that not everyone will sit down to a table laden with food and give thanks for their good fortune.

The opinions expressed in this commentary are solely those of David Schechter.

@highlight

The government estimates 17 million U.S. children face hunger

@highlight

Community food pantries need more donations to meet winter needs

@highlight

Food relief programs are distributing more food this year than last year

@highlight

Most Americans don't think the hunger problem will be solved in 20 years