(CNN) -- Sri Lanka, the teardrop-shaped island that in 2009 emerged from more than a quarter century of civil war, has staked claim as one of Asia's most exciting new destinations.

With the beaches of Negombo and Galle on the West Coast and World Heritage-listed ancient cities, Sri Lanka is experiencing a tourism boom.

As the country's tourism offerings have grown more sophisticated, so have its hotels. Here are a selection of the best.

Reefs Edge

It's only 20 minutes from the capital Colombo, but stand on the balcony of Reefs Edge and you'll feel like you're on a deserted island.

The view of the Indian Ocean is obstructed only by palm trees, affording guests front-row seats to blood red and beautiful sunsets.

A velvet green lawn runs 20 meters from the hotel to the beach, where sun beds and wicker domes beckon layabouts and drinkers of cocktails.

Though it has only 22 suites, Reefs Edge has the look and feel of a large hotel.

Inside, French oak flooring, pastel-colored furniture and open-air bathrooms decked out with rain showers and glass washbasins creating an aura of simple sophistication.

Complete with a day spa, gymnasium, steam room, seafood restaurant and a separate 250-seat banquet hall shaped like Noah's Ark, Reefs Edge takes the edge off a vacation in Sri Lanka.

Reefs Edge, 300 Old Colombo Road, Uswetakeiyawa, Sri Lanka; +94 (0)11 789 1111; double standard room with breakfast $100 per night

St. Lachlan

Twenty minutes north of Reefs Edge, Negombo is Sri Lanka's most popular beachside town, thanks to its proximity to the international airport.

Located in a quiet alleyway perpendicular to the main drag, the St. Lachlan is a boutique property with 16 rooms and suites.

The interior speaks colonial cool: it has 10-foot-high doors with giant brass knockers, richly varnished shutters and teak furniture everywhere you look, with antlers and indigenous artwork accentuating the walls.

A riot of giant freshwater prawns, snapper and spices, the seafood platter at Arias, St. Lachlan's poolside restaurant, is among the best in Negombo.

Little wonder -- it's run by Harpo Gooneratne, commonly known as Sri Lanka's first DJ and popular restaurateur.

St. Lachlan, 25 St. Anthony's Lane, Poruthtota Road, Negombo; +94 (0)31 227 5000; standard room $115 per night

Heritance Tea Factory

Take Willy Wonka's Chocolate Factory and replace the chocolate with tea. Now convert it into a luxury hotel.

The result is the Heritance Tea Factory, a resplendent four-star hotel set at 2,000 meters above sea level in the rolling green tea-growing region of Sri Lanka's southern highlands.

Latticed with green and red metal and brass, the hotel's museum-like lobby is wallpapered with historic photographs. It's centered around an atrium that houses the factory's original steam engine.

Every evening, this mechanical colossus with its giant gears and camel-hair conveyer belt is turned on for 30 minutes.

The 54 rooms are carpeted and cozy, while the staff, attired in crisp white shirts, bow ties and bell hats, personify the sophistication of the British colonial period.

Heritance Tea Factory, Kandapola Nuwara Eliya, Sri Lanka; +94 (0) 52 555 5000; double superior room with full board $300 per night

Jetwing Vil Uyana

Like something out of Luke Skywalker's Tatooine, Sigiriya Rock Fortress is an ancient palace set atop a 200-meter-high natural stone column.

At the rock's base lie a series of pools and cisterns. They're interlinked by an underground conduit network that works as well today as it did when it was built 1,500 years ago.

Matching its sophistication is Vil Uyana, a luxurious ecolodge set in a wetland a 15-minute drive from Sigiriya.

Vil Uyana's 30 chalets feature teak floors, palm-thatch ceilings, Balinese bathrooms and woven reed wall hangings.

Edging a mauve green lake brimming with birdlife, the swimming pool and lobby lead to a colonial-chic restaurant upstairs bookended by six-meter-high stone walls that are a nod to Sigiriya's ancient architects.

Jetwing Vil Uyana, Sigiriya, Sri Lanka; +94 (0) 66 492 3585; double Garden Dwelling $524 per night

Palagama Beach

In 2008, while visiting his father's family in Colombo, British advertising executive John Balmond snuck off for the weekend to the Kalpitiya Peninsula a two-hour drive to the north.

He stayed in a banana-leaf bungalow, one of three accommodation properties on the lush, palm-fringed finger of land that divides the Puttalam Lagoon from the Indian Ocean.

Today there are 42 properties on the peninsula, including Palagama Beach, owned by Balmond and designed by Cecil Balmond (designer of London Olympics Orbit).

Set on a grassy parcel of land on the beach, the property features 14 generously spaced cabanas and villas that blend modern amenities, luxury touches and village style.

Other highlights include an infinity-edged pool, a restaurant and a banana-leaf bar/moonlight cinema.

Palagama Beach, Norocholai, Kalpitiya Peninsula, Sri Lanka; +94 (0) 777 186 176; beach cabanas with breakfast from $220 per night

Pledge3

Sri Lanka's most sophisticated hotel is Pledge3, a five-star oasis of luxury and retro style in busy Negombo.

Every corner of this boutique hotel screams cutting edge design.

The 12 suites are spread across two floors surrounding an internal flagstone courtyard.

The third floor is home to two apartment-size attic suites featuring executive work stations, private terraces and glass-encased bathrooms outfitted with his and her washbasins, egg-shaped bathtubs and presidential toilet bowls (whatever that means).

The courtyard leads to an open-air restaurant where the decor -- cherry red support beams and white leather couches -- is as eccentric as the Japanese-Sri Lankan-Mediterranean fusion menu.

Beyond it lies a tropical garden centered by a saltwater pool where attendants with the reflexes of Wimbledon ball boys attend to guests' every beck and call.

Pledge3, 3 Kattuwa Road, Negombo, Sri Lanka; +94 (0)31 222 4005; deluxe double suite with breakfast $305, or $405 for an attic suite per night

@highlight

Sri Lanka's tourism boom results in a rise of sophisticated hotels

@highlight

Run by Sri Lanka's first DJ and popular restauranteur, St. Lachlan's poolside restaurant is one of the best in Negombo

@highlight

Heritance Tea Factory's museum-like lobby is centered around an atrium that houses the factory's original steam engine