(CNN) -- It starts with a squiggle on an abandoned building, then another, and another, until the once-blank wall is transformed into a mural. A tag from the author marks the final touch.

Eventually, this makeshift canvas will be wiped clean, restored to a mundane white wall, so the process can begin again. It's the nature of street art: spontaneous, public, fleeting.

Inspired by graffiti's transient nature, Peter Ferrari said he went through a Banksy phase at age 15, referring to the British street artist known for his subversive and polarizing street exhibits. Banksy spurred the young Ferrari to begin spray painting garages with colorful aerosols.

"Back then it was more, 'Screw you mom and dad, I am going to draw on walls.' Back then it wasn't about the artistic side," he said of his youthful rebellion.

The 31-year-old, known across Atlanta as the artist PLF, is hesitant to call himself a graffiti or even a street artist. The former Montessori schoolteacher, whose sprawling murals are found across Atlanta walls and commissioned by both private companies and individuals, instead sees himself as a public artist. Because of his use of spray paint, people around the city still call him a street artist. But what's the difference, anyway?

"Well, graffiti is illegal for one thing ... but it's a true art form," Ferrari said.

What started as a subculture on the streets of New York in the 1970s has gained popularity in the decades since. Graffiti, often used synonymously with street art, has become aesthetically trendy in many places across America.

Dave Betts said graffiti is celebrated in his Brooklyn, New York, neighborhood of Williamsburg. "There are even art appreciation tours that include some of the street art," he said.

Opinion: Olympics street art should be embraced

Street art is a culture in Brooklyn. "I appreciate the capability and expression of the street artists in the area who have transformed streets that were considered common industrial sites," he said.

"What impresses me most is that graffiti can't be bought," Betts said.

Although graffiti was introduced to American street culture in the 1970s, Ferrari said the technique was around before then. "Graffiti in its current state has been around for decades. It is probably one of the largest art trends to last," he said.

"Think about pop art, it only lasted for 20 years, and it was one of the biggest trends. I mean, even cave paintings can be considered 'graffiti,' " he said.

What is graffiti?

"Graffiti is an affirmation of the individual," said Sara Cochran, curator of modern and contemporary at the Phoenix Art Museum. "The idea of graffiti has a lot to do with raw energy and authenticity."

In the realm of public space, street and public art are often indistinguishable.

Sometimes, what was once viewed as graffiti becomes pricey art. Cochran points to Banksy as an example.

"Banksy came from the streets and now has gallery shows and auctions," she said.

Despite Banksy's rise into the high-end art world, he still hides his identity, she pointed out. There is more to street art than who creates it, Cochran said. "Like Banksy, who is socially and politically driven, graffiti is driven by almost a communal pride," she said.

Street art is considered rebellious in nature and illegal in practice, while public art is commissioned by cities or property owners and is considered culturally enriching and socially acceptable.

Artists have used public spaces to showcase themes and bring awareness to issues. Marilynn Shcolnik was captivated when she saw blue trees in Seattle's downtown area.

What Shcolnik saw was "The Blue Trees," part of a public art installation by Australian artist Konstantin Dimopoulos. Dimopoulos covered the trees in a natural water-base pigment. The purpose of the piece is to bring awareness to global deforestation, according to his website.

Like Dimopoulos, Ferrari sees public space as a canvas and public art as an avenue to bring his aerosol-inspired artwork to a larger audience, further blurring the lines between street and public art.

'Weird divide between highbrow and lowbrow'

But does blurring the lines mean selling out?

Ferrari said he doesn't think so. In fact, he said he has been hoping to enter the realm of public art for a long time. He sees being a public artist as an opportunity. "Every time you do mural work, it is like another advertisement of yourself," he said. "And this is the year for me to get into bigger galleries and publications."

But he said people try to differentiate the two. "There is this weird divide between highbrow and lowbrow in the art world," he said.

Even Banksy has been accused of becoming too commercialized. On the artist's website, one commenter wrote, "Why are you such a sell out?" Banksy responded, "I wish I had a pound for every time someone asked me that."

What some call selling out, Ferrari said he sees as appreciation by a wider audience.

Graffiti's aerosol imagery is gaining popularity and is becoming increasing socially acceptable, he said. Movements such as GreenGraffiti, which uses pressurized water to leave behind clean messages and images on the streets of New York, or the increasing use of commercial graffiti, where street artists are hired to create graffiti-based advertisements in cities such as London, Paris, New York and Atlanta, also shine light on the increasing commercialism of graffiti.

But graffiti for hire isn't something for which Ferrari is necessarily enthusiastic. He recounted a recent art project that Coca-Cola in Atlanta commissioned.

"They commissioned a bunch of local graffiti artists. It was this huge bubble art ,and it was defaced the next day. It is almost an insult to the work of graffiti artists, when companies come into a place and just create advertisements in a form of graffiti art," he said.

Nicholas Swann of Rochester, New York, lives in an area filled with graffiti, and he agrees with the sentiment. "Street art to me is a person showing his talent; many artists go undiscovered," Swann said. "They take chances when and where they do it."

What do we do with graffiti?

Ferrari said Atlanta has a love-hate relationship with street art. "In Atlanta there was a big push to stomp out graffiti, yet there is a huge desire by people who want street art, too," he said.

In 2011, the city of Atlanta's Graffiti Task Force was funded $10,000 to crack down on graffiti. The task force, whose aim is to keep the city clean and prevent further vandalism, made several arrests of local street artists.

But graffiti can be found is many cities across the United States. Gino Tucillo of Asheville, North Carolina, said street art is a familiar site in his city. "Sometimes it's beautiful and interesting graffiti and other times it's beautiful elaborate murals that just show up randomly on local business walls," Tucillo said in a CNN iReport. "Much of it finds a home with a lot of appreciation for quite a while until someone replaces it with something new."

Whether graffiti should be criminalized, however, can be subjective.

"If it's just random tagging to scar property and identify someone's ego -- it's a crime," Tucillo said. "However, when you happen to walk through some dilapidated back alley and you find a giant, beautiful, sweet face of Yoda staring at you on some old forgotten brick wall and it simply says 'Jedi' next to it, that to me expresses something powerful."

Ferrari said he finds the paradox in the public's attitude toward street art interesting. "People hate the tags, but they want the murals," he said. "I think there is a misunderstanding, and people don't realize that it is all connected and all related. You can't have the mural without the tag."

@highlight

Peter Ferrari is an Atlanta artist whose work blurs the lines between street and public art

@highlight

Graffiti, otherwise known as street art, is becoming a widely accepted art form

@highlight

In 2011, the city of Atlanta created a task force to stomp out graffiti in the city

@highlight

British artist Banksy is widely known for incorporating his activism with his street art