(CNN) -- As the November 24 deadline for a deal over Iran's nuclear program approaches, Washington seems fixated on the technical details of what an agreement should look like: the types of centrifuges Iran might be able to keep, for example, or the level of low-enriched uranium it could stockpile. But as important as these discussions are, the focus on mechanics risks missing a bigger and arguably more important reality: that the negotiations are central to the future of Iran's political system.

The failure to address this crucial question could come back to haunt us.

If the United States is serious not just about placing significant (if imperfect) limits on Iran's nuclear program, but also encouraging a political dynamic that strengthens reform-minded Iranian leaders and fosters a more cooperative Iranian foreign policy abroad, then Washington should make every reasonable effort to seal a comprehensive nuclear deal and secure Congress' support for it.

The alternative -- insisting on imposing onerous terms that would virtually assure Iran's quitting the negotiations -- would simply bolster Iran's hard-liners, while making it far easier for Tehran to pursue a nuclear program largely free of international supervision. To turn the popular Washington refrain on its head, no agreement is far worse than a mutually agreeable if imperfect agreement.

The reality is that ultra-hard-liners in Iran have always feared that the narrowest of openings could eventually create a flood of political change. From the outset they tried to stir up trouble for Iranian President Hassan Rouhani and his allies, and have no doubt been preparing to escalate their efforts if and when Supreme Leader Ali Khamenei should signal that negotiations are fruitless. Indeed, Rouhani's opponents appear to want the talks to collapse in hopes of extinguishing hope the reformist movement will be able to make a comeback in the 2016 parliamentary elections.

A consideration of such internal political struggles might surprise some commentators and lawmakers in Washington, where many have embraced the dubious notion that there is no fundamental difference of opinion between Tehran's hard-liners and those Iranian leaders now engaged in a potentially risky struggle to redefine the political and ideological leadership of the Islamic Republic.

Should such calculations have any bearing on the positions of U.S. negotiators? Of course, their chief mission is to concentrate on the intricate technical issues that must still be sorted through to reach a deal. But policy makers should also not ignore the wider political questions that are at stake here.

To insist on positions that might pacify the most zealous U.S. opponents of an agreement but which would discredit Rouhani and his domestic allies would do grave damage to long-term U.S. interests. What we should do instead is reach for an agreement that narrows the parameters of Iran's nuclear program while helping to create conditions favorable to broader political debate in Iran. Striving for this sweet spot may be difficult, but it is better than the alternatives.

A collapse of negotiations might not produce an immediate political calamity for Rouhani. But in the medium and long term it will surely bolster Tehran's hard-liners, who will argue that Iran's only choice is to circle the wagons by strengthening the "resistance" economy, by working with Russia, China and other small and large autocracies seeking to counter U.S. "hegemony," and by silencing any domestic voices that might oppose these hard-line policies.

Moreover, failed negotiations would anyway give hard-liners a victory by making it impossible for the United States to secure long-term international monitoring of, and safeguards on, Iran's nuclear program -- Iranian leaders could declare that Tehran has permanently given up enriching 20% uranium, while assuring the international community that it will limit low-enriched uranium purely for purposes of domestic energy "needs." Such a Plan B could erode the international consensus over sanctions, leaving the United States with no good options and Iran's hard-liners sitting pretty.

And what of the other alternatives? History clearly shows that sanctions can get Tehran to the negotiating table, but will not compel Iranian leaders to capitulate to demands they deem contrary to Iranian interests. As for military action, the consensus among U.S. military leaders and strategists seems to be that any effort to significantly damage or reverse Iran's nuclear program would require weeks or months of sustained bombing -- in effect another war, the outcome of which would be far from certain. And, with the Islamic State of Iraq and Syria on the march, the last thing the United States should be thinking about doing is adding to the regional chaos.

Given that the strategic and political price of failure has risen dramatically, what is most needed now from both Tehran and Washington is a readiness to secure compromises that could ultimately have a positive impact on reshaping the course of Iranian politics. If there was ever a time for bold and visionary leadership on both sides, that time is now.

@highlight

November 24 is the deadline for reaching deal over Iran's nuclear program

@highlight

U.S. policy makers are focusing too much on the mechanics, says Daniel Brumberg

@highlight

Failure to reach a deal will bolster hard-liners in Iran, Brumberg says