(CNN) -- Twisted metal beams still jut from the top of Japan's Fukushima Daiichi stricken reactors, almost one year after a massive tsunami triggered nuclear meltdown.

They remain as an eerie monument to the country's worst ever nuclear disaster, frozen in time by the dangers that surround the reactors and what's inside.

The reactors at the northern Japanese plant were declared last December to be in cold shutdown, a term used to indicate that operations are under control and pose no immediate threat.

Michael Friedlander, a former senior operator at U.S. nuclear power plants, said in this instance the words "cold shutdown" are "completely inappropriate" to describe the situation at the Fukushima plant.

Inside Fukushima's meltdown zone

"There reactors are very much cold from a nuclear standpoint and from an energy standpoint, and the likelihood of it ever having another criticality or having another explosion is virtually zero," he said.

"But it's a consequence of the fact that they've now been shut down for a year, much more so than anything that TEPCO or that anybody else has ever done," he said, referring to the plant's operators Tokyo Electric Power Company.

The biggest threat to the stability of the reactors, Friedlander said, is another earthquake or external event that causes a radioactive leak.

"The biggest real risk is that a pipe breaks and that hundreds of thousands of gallons of highly radioactive water ends up underground or ends up leeching back into the ocean or something like that. That's the real bottom line," he said.

"The chance of a massive contamination or a massive plume of radioactive contamination is almost zero," he added.

On March 11, 2011 more than 15,000 people died after a magnitude-9.0 earthquake ruptured a 300 kilometer long fault stretching from the southern end of Japan's Ibaraki Prefecture to the middle of the Iwate Prefecture.

The tremor generated a massive tsunami which smashed into the coast, swamping three prefectures including Fukushima, the site of the Fukushima Daiichi nuclear plant.

Three of the plant's six reactors suffered meltdowns despite frantic efforts to flood them with seawater to bring surging temperatures down.

During a tour of the nuclear plant, manager Takeshi Takahashi told CNN's Kyung Lah that the biggest risk is if something goes wrong with the reactors. The nuclear fuel needs constant cooling. Huge tanks around the site hold water contaminated with radiation and finding more space to store the water is a constant challenge.

"The reactors are no more or no less stable than they were in April of last year," Friedlander said. "They fundamentally continue to be reliant on a feed and bleed cooling mechanism and anything can happen. Another earthquake could happen; another tsunami could happen."

Nearly 700 aftershocks of magnitude 5 or greater have been registered since last year's quake, according to a report released in January by the University of Tokyo's Earthquake Research Institute.

The report warned that there was a 70% chance that a magnitude-7 quake would hit Tokyo's metropolitan area within four years. The probability rose to 98% probability within the next 30 years, it added.

Tokyo see high quake probability, scientists warn

Friedlander said that while the ticking bomb nature of the Fukushima disaster "very appropriately" focused attention on stabilizing the site, a year later the world should be paying more attention to the inevitable spread of radioactive material.

"I think that the reason why people don't give it attention is because they say, you know, the levels of concentration are very low, so even if you did become contaminated the risk to you is actually quite low, which is true," he said.

"But again, when you start exposing millions and millions and millions of people to very low levels of concentration, it's inevitable that it's going to have an impact."

Last week, fish and plankton collected from the Pacific Ocean near the Fukushima Daiichi nuclear power plant were said to contain elevated levels of radioactive materials.

However, the levels were below those that pose a threat to public health, according to Nicholas Fisher, a marine science professor at New York's Stony Brook University.

The samples were taken in June 2011, outside the 30-kilometer (19-mile) exclusion zone around the plant, at points in and around the Kuroshio Current, the Pacific version of the Gulf Stream.

Fisher said that the contaminants were more likely to have settled in coastal sediments, of which little is known. "There's a lot of key missing information about the sediments," he said.

@highlight

Threats remain despite cold shutdown at Fukushima plant

@highlight

Meltdown at three reactors after last year's earthquake

@highlight

Nuclear fuel needs constant cooling, contamination water stored nearby

@highlight

Nearly 700 aftershocks have been recorded since the March 11 quake