Nairobi, Kenya (CNN) -- After four days of bloody mayhem, Kenyan security forces have "ashamed and defeated" the terrorist gunmen who had besieged Nairobi's Westgate Mall, President Uhuru Kenyatta said Tuesday.

In a nationally televised address, Kenyatta declared his country "bloodied but unbowed" after the attack.

"We confronted this evil without flinching, confronted our deep grief and pain, and conquered it," he said.

Five terrorists were killed in the fighting, Kenyatta said. Eleven other people had been arrested over possible connections to the attack.

The victory came at a cost: at least 61 civilian deaths, six dead security officers and some 175 injuries. Sixty-two people remain hospitalized, he said. The Kenya Red Cross was reporting 62 deaths.

The death toll may yet rise. The Red Cross said 65 people remain unaccounted for, and Kenyatta said three floors of the mall had collapsed, trapping some bodies.

He did not explain the cause of the collapse, but fires and explosions had been noted at the upscale venue throughout parts of the last two days.

'Full accountability'

Attention now turns to investigating the siege, the bloodiest terrorist attack in Kenya since the 1998 bombing of the U.S. Embassy in Nairobi.

Kenyatta said forensic teams were working Tuesday at the mall to find out more about the attack and its perpetrators, believed to be members of the Somalia-based Al-Shabaab terror group.

Among their tasks would be determining the nationalities of the attackers, who had claimed to count Americans and other Westerners among their ranks. Kenyatta said he could not confirm reports that two or three Americans and a British woman were among the attackers.

U.S. law enforcement sources said they were scouring intelligence reports for evidence of a U.S. connection, but a senior U.S. official said Monday the claim was looking less solid as they continued to investigate.

Somali jihadists recruit in United States, Canada and Europe

The attackers include a woman killed early in the siege, a senior Kenyan government official told CNN. However, the official said, it is "impossible" based on the government's photo evidence (and before a forensics examination is complete) to determine if this woman is British-born Samantha Lewthwaite, as some have speculated.

Kenyatta promised "full accountability" for the "mindless destruction, deaths, pain, loss and suffering we have all undergone as a national family."

"These cowards will meet justice as will their accomplices and patrons wherever they are," he vowed, pledging to work with international allies in a global fight against terrorism.

Kenya is a key U.S. partner in battling Islamist terrorism and has also contributed military forces to an African Union expedition to fight Al-Shabaab forces in Somalia.

It was in retribution for that mission that Al-Shabaab claimed it was staging the Westgate attack.

Al-Shabaab grew amid Somalia's lawlessness

Kenyatta's address came at tend of a two-day stretch during which Kenyan authorities frequently claimed control over the mall despite continued sporadic gunfire and explosions coming from it.

Tuesday morning, security forces said they were making final sweeps of the mall and dealing with explosives left behind by terrorists.

How to help

The siege

The harrowing episode began midday Saturday in Nairobi when some 10 to 15 gunmen stormed the mall, shooting indiscriminately, according to witness accounts.

Witnesses said the gunmen went from store to store, shooting people, and then took hostages.

Mwagi Dorcas told CNN's "New Day" on Tuesday that she hid behind luggage in the mall's ground-floor grocery store, memorizing a Muslim prayer sent to her by family in a desperate bid to save her life should attackers find her. Al-Shabaab and some witnesses have said the attackers quizzed shoppers about their faith before deciding whether to kill them, releasing Muslims and targeting many others.

"I was praying the whole time," she said. "I believed that, you know, if I got out, I would be rescued."

Some were spared despite not being Muslim. In one remarkable case reported by The Sun newspaper in Britain, terrorists spared a 4-year-old boy who confronted them, saying, "You're a very bad man."

The Kenyan spirit cannot be broken, says eyewitness

Deaths

Most of the known dead civilians are Kenyans, authorities said. Six British citizens, two French nationals, two Indians and two Canadians, including a diplomat, also died, their governments said.

Those killed include:

• Dutch national Elif Yavuz, a senior vaccines researcher for the Clinton Health Access Initiative based in Tanzania. Yavuz was pregnant and expecting her first child in October, said Julio Frenk, dean of faculty at the Harvard School of Public Health. "Elif was brilliant, dedicated, and deeply admired by her colleagues, who will miss her terribly," the Clinton family said in a statement.

• Yavuz's partner, Australian-British architect Ross Langdon, who moved to Nairobi to build sustainable architecture for Africa, volunteering to build hospitals and clinics free of charge.

• Kofi Awoonor, a renowned African poet, author and Ghanian statesman. Awoonor earned his doctorate from New York's Stony Brook University and was a professor of literature there in the 1970s.

• A nephew of Kenya's president along with the nephew's fiancee.

• A Peruvian doctor, Juan Jesus Ortiz, who had previously worked for the U.N. Children's Fund and lived in Kenya doing consulting work.

• Sridhar Natarajan, an Indian national and employee of a local pharmaceutical firm, and 8-year-old Paramshu Jain, the son of a bank branch manager, CNN sister network CNN-IBN reported, citing officials in India.

• Roula Adatia-Sood, who was seven months pregnant, a colleague at East FM Radio station, Seema Manji, told CNN. The radio station was hosting a children's cooking competition at the time of the attack.

Kenyan unity

In his speech Tuesday, Kenyatta praised Kenyans for turning out in overwhelming numbers to donate blood, for contributing money to victims and for helping in countless other ways.

He said their example proved to the world the attack was a failure despite the immense loss of life.

"The incident which we now put behind was certainly not welcome," he said. "Yet it has strengthened us and renewed our resolve to live as one strong, open, stable, democratic and prosperous republic where peoples of all races cultures and faiths pursue happiness together.

"Our attackers wished to destroy the essential character of our society," he said. "They failed. Kenya endured. Kenya endures."

CNN's Michael Pearson reported and wrote from Atlanta. Zain Verjee and Arwa Damon reported from Nairobi. CNN's Nima Elbagir, Victoria Eastwood, Atika Shubert, Becky Anderson, Lillian Leposo, Brian Walker and Holly Yan also contributed to this report.

@highlight

NEW: Official: An unidentified woman appears to be among the attackers

@highlight

Kenya "bloodied but unbowed" after terror attack, president says

@highlight

Uhuru Kenyatta promises "full accountability" for perpetrators and their backers

@highlight

Six security officers, at least five terrorists and at least 61 civilians dead, he says