It's the biggest man-made epidemic in the United States. That's how a doctor in  Washington state described it to me as we sat outside the state Capitol in Olympia.

He was talking about accidental death from prescription drug overdoses. The doctor, Gary Franklin, medical director for Washington state's Department of Labor and Industries, recounted terrifying case after case and told me it was the saddest thing he had ever seen.

I remember him telling me about a teenager dying because he had taken too much narcotic medication after a dental procedure.

The most common scenario, he said, involves a man in his 40s or 50s who visits a doctor with a backache and walks out with a pain pill prescription. About three years later, typically, the man dies in his sleep from taking too many pills, or mixing them with alcohol.

They don't intend to die, but more than 20,000 times a year -- every 19 minutes, on average -- that is exactly what happens. Accidental overdoses are now a leading cause of accidental deaths in the United States, surpassing car crashes.

As a neurosurgeon working in a busy level 1 trauma hospital, I had an idea that the problem was growing -- but the numbers still boggle the mind.

Distribution of morphine, the main ingredient in popular painkillers, increased 600% from 1997-2007, according to the U.S. Drug Enforcement Administration. In the United States, we now prescribe enough pain pills to give every man, woman and child one every four hours, around the clock, for three weeks.

Gupta: The truth about prescription medication addiction

We often pay close attention if a celebrity dies of an overdose, but truth is, it's our friends, neighbors and yes, our own family members who are dying.

In fact, the person who really brought the issue to my attention was former President Bill Clinton. He called me a few months ago, and I could immediately tell he was broken up about something. I had worked for him in the White House in the late '90s, talked to him countless times since then, and I had never heard him like this.

Two of his friends had both lost sons, he told me. The cause: accidental overdose.

I will never forget how he put it. "Look, no one thinks having a few beers and an Oxycontin is a good idea, but you also don't expect to die." I knew at that moment we needed to do our part in the media to shine a bright light on this issue and find solutions that work.

As a starting point, 80% of the world's pain pills are consumed right here in the United States, according to 2011 congressional testimony from the American Society of Interventional Pain Physicians.

No doubt, many are for perfectly legitimate reasons and are not misused or abused. Yet culturally, we have become increasingly intolerant of even minor amounts of pain and increasingly comfortable with taking heavy-duty medications.

We know, however, that after just a few months of taking the pills, something starts to change in the body. The effectiveness wears off, and patients typically report getting only about 30% pain relief, compared with when they started. Even more concerning, a subgroup of these patients develop a condition known as hyperalgesia, an increased sensitivity to pain.

Gupta: More is not always better in medicine

As you might guess, all of this creates a situation where the person starts to take more and more pills. And even though they are no longer providing much pain relief, they can still diminish the body's drive to breathe.

If you are awake you may not notice it, but if you fall asleep with too many of these pills in your system, you never wake up. Add alcohol, and the problem is exponentially worse. People who take pain or sleeping pills and drink a couple glasses of wine are playing Russian roulette.

I am not at all sorry for coming off dramatic or scary as I write this. I only wish I had been this dramatic years ago.

Truth is, it is easier for a doctor to write a prescription than to explore other effective options to combat pain. And it is easier for patients to take those prescription pills than to search for alternatives themselves. Both those things must absolutely change.

In my upcoming documentary, I will explain how we arrived in this deadly situation, but more importantly, explore solutions to address it.

I crisscrossed the country finding what worked and what didn't. I spoke to doctors, patients and families who lost a loved one -- even one man I met who shares my last name. As I said, it hits close to home.

Clinton has dedicated a significant part of his post-presidency domestic efforts to this cause, and it will not come as a surprise that he has identified areas where we can all make a difference. You will hear his thoughts on this issue for the first time in the documentary.

Throughout my career, I have traveled the world and seen problems so intransigent that I thought solutions would never come. With accidental deaths due to prescription drugs, however, we have an opportunity to fix the problem and end this large man-made epidemic.

Gupta: Saving Emma in the storm

@highlight

A person dies every 19 minutes, on average, from an accidental prescription drug overdose

@highlight

Congressional testimony reveals 80% of world's pain pills are consumed in the United States

@highlight

Alcohol and pain or sleeping pills can be a deadly combination