(CNN) -- In a decision announced Wednesday, Australia's high court upheld the plain packaging act, which says that tobacco products must be in plain packaging without logos and bear graphic health warnings as of December 1.

The government immediately hailed the ruling, calling it a "watershed moment for tobacco control around the world."

"The message to the rest of the world is big tobacco can be taken on and beaten," Attorney General Nicola Roxon said in a statement. "Without brave governments willing to take the fight up to big tobacco, they'd still have us believing that tobacco is neither harmful nor addictive."

Opinion: Australian packaging laws misguided

Australia is the first nation in the world to require "plain packaging" for tobacco. Only the brand and variant name will differ against a drab, dark-color background. Other government initiatives against tobacco have included a 25% excise in 2010, restrictions on Internet advertising, and more than $85 million in anti-smoking social marketing campaigns.

According to the World Health Organization, tobacco kills nearly 6 million people a year, 10% of them from secondhand smoke exposure. The WHO says the death toll could rise to more than 8 million a year by 2030 without urgent action.

Tobacco companies, including Imperial Tobacco, Philip Morris Limited and British American Tobacco, had challenged the act as unconstitutional, saying the government was unfairly taking its intellectual property.

The high court posted the decision on its website, but not the full opinion. That will be published at a later date, it said.

"Any company in similar circumstances, when faced with the loss of brands worth billions of dollars, would challenge such laws," said Sonia Stewart, spokeswoman for Imperial Tobacco, an Australian company, in a statement.

"Our biggest concern is the effect plain packaging will have on illicit trade," Stewart said. "Plain packaging will make Australia a magnet for the growing black market in tobacco, which already costs the Australian Government nearly $1 billion per annum in lost revenue."

In a similarly worded statement, British American Tobacco said only organized crime gangs will gain from an illegal market. The policy, said spokesman Scott McIntyre, "will actually increase smoking rates particularly in young people who'll have greater access to cheap illegal cigarettes."

Imperial Tobacco and PML said the legal fight was not over, citing challenges by three governments -- Honduras, the Dominican Republic and Ukraine -- within the World Trade Organization. PML is also suing Australia for breaching the Bilateral Investment Treaty with Hong Kong.

Public health advocates, however, hailed the ruling, which conforms with the WHO Framework Convention on Tobacco Control, to which Australia is a party.

Richard Daynard, a professor at Northeastern University School of Law in Boston and president of the school's Public Health Advocacy Institute, called the Australian ruling "extraordinarily encouraging."

"It means that governments are pretty much free to do what they feel is necessary to protect their population from tobacco marketing, including marketing on packages. In other words, it's a blow for public health."

Daynard said Philip Morris has taken the lead in litigation against governments that take strong anti-tobacco control measures. "They have a case against the government of Uruguay for requiring that 80% of the packages have warnings on them," he said in a telephone interview.

Beyond Australia

Last year the United States unveiled nine graphic health warning labels that must cover half the area of cigarette packages by this September, joining 41 other countries that mandate pictorial warnings.

Tobacco use is the nation's leading preventable cause of death, responsible for about one in five deaths -- or 443,000 -- a year, according to the Centers for Disease Control and Prevention.

Additionally, cigarette smoking is responsible for $96 billion in direct medical costs and $97 billion in lost productivity each year, according to the U.S. government.

Should smoking trigger an R rating?

Five tobacco manufacturers, including R.J. Reynolds, have challenged the requirements, saying they violate First Amendment rights. In February, a federal judge sided with the companies, and the Obama administration's appeal is pending.

In a report last year, the CDC found in a 14-nation study that graphic health warnings on cigarette packages have led a "substantial" number of smokers to consider quitting.

The World Health Organization says 19 countries meet the "best practice for pictorial warnings," which include warnings in the local language and which must cover at least half of cigarette packages. Less than 11% of the world's population is protected by comprehensive national smoke-free laws, it says.

Previously on CNN.com: CDC unveils graphic ads to combat smoking

@highlight

"It's extraordinarily encouraging," says public health advocate of ruling

@highlight

The high court published its decision, but not the opinion, which will be given at later date

@highlight

Tobacco firms say law will only boost illicit trade while impinging on intellectual property

@highlight

Tobacco kills nearly 6 million people a year, World Health Organization says