Chicago (CNN) -- In the wake of Apple's patent infringement victory over Samsung, many are asking: "What are the practical implications and repercussions of the verdict?"

For now, the verdict should be viewed as a victory for consumers, industrial designers, design rights and the patent system in general.

I recognize there are some who disagree with this position. These skeptics, painting a gloom and doom picture, argue that the decision will stifle innovation, yielding fewer product choices for consumers, and worse yet, leading to higher prices as Apple will levy an "Apple tax" on all electronic devices. They don't stop there. They then grouse that a party should not be "forced" to change its product "just to avoid a patent."

The rhetoric then typically concludes with a flurry of complaints, which, if taken to their logical conclusion, are nothing short of a call to arms to abolish the entire patent system. Lest we forget, the authority to grant patents is expressly engrained in the U.S. Constitution.

Expect daring new designs

To understand the epic patent dispute between Apple and Samsung, one must appreciate that there were two distinct breeds of intellectual property rights at play in the case: Utility patents and design patents.

Roughly speaking, utility patents protect the function of an item, while design patents protect the appearance of an item. Design patents were at the core of this case.

Apple's competitors, including Samsung, will now need to steer clear of Apple's designs. They need to step beyond the shadow of Apple's designs (where they have largely resided for years), and create products that are unique, appealing and distinctly different in visual appearance. The jury spoke loud and clear: Design rights need to be respected.

This verdict should be viewed as a much needed opportunity for Apple's competitors to "go back to the drawing board." This, in turn, will mean consumers can expect new, exciting and even daring designs. Thankfully, consumers will be spared a lifetime of watching Apple release new products only to have competitors react by seeing how close they can get without crossing the design line.

It is entirely possible that consumers, in time, will get tired of the same-old Apple designs, and actually prefer the new creations. It then will be Apple who will need to innovate (again). This will keep prices in check.

Are Apple's competitors ready?

Apple's competitors are ready -- provided their decision-makers give the industrial designers (the visual geniuses who create new product designs), more creative license. The best way to compete with Apple's designs is not to emulate but to out-design.

Across the globe, there are highly talented industrial designers bursting with creativity who are ready, willing and able to create new, exciting and different looking designs.

Samsung to fight ruling

Samsung already employs an accomplished industrial design squad that has received many design accolades, including at the prestigious 2012 International Design Excellence Awards from the Industrial Designers Society of America.

During the course of the trial we learned Samsung's business folk were calling most of the shots on product design, rather than its design professionals. Samsung's all-star industrial design team will likely now retake the reins -- again, this bodes well for consumers.

How did Apple do it?

Apple and Samsung are prolific users of the U.S. design patent system. In 2001, Apple was issued ten U.S. design patents while Samsung was issued eight. This year, Apple is on pace for 160 U.S. design patents, and Samsung is tracking toward 500.

With Apple's design patent rights carrying the day, the silver lining for Samsung is that its investment in its large design patent portfolio has been fortified.

But Samsung brass may still be left scratching their heads as to how Apple scored this latest triumph.

Apple ruling will hurt -- but not for long

Apple's playbook for success in this case boils down to four things. Firstly, the company has top-down understanding of the importance of design in the consumer's purchasing decision.

Secondly, it has top-tier industrial design team who created appealing designs that drove product demand so much so they created an insatiable desire to emulate.

Thirdly, the company has a sophisticated and aggressive design patent acquisition program.

Finally, it has a desire to expend significant effort and resources to enforce and defend product design. It will be interesting to see which Apple competitors seek to emulate this strategy for success.

For now this case will serve as an ordinary example of how our patent system was designed to work. Company A innovates and patents; in response, Company B advances the arts and sciences beyond the efforts of Company A. Soon, Company A will be chasing Company B and so on and so forth. All along, the public is the beneficiary of the advancements and innovations. Let the designing begin.

@highlight

Lawyer Christopher Carani: The Apple verdict is a victory for consumers, design rights and the patent system

@highlight

Apple's competitors, including Samsung, will now need to steer clear of Apple's designs

@highlight

Carani believes the best way to compete with Apple's designs is not to emulate but to out-design