(CNN) -- To most owners of the new iPhone, the voice-activated feature called Siri is more than a virtual "assistant" who can help schedule appointments, find a good nearby pizza or tell you if it's going to rain.

She's also a she.

Siri answers questions in a part-human, part-robot voice that's deep, briskly efficient and distinctly female. (At least in the U.S. and four other countries. In France and the UK, Siri is male.)

People describe the app using female pronouns. Her gender has even prompted some users to flood blogs and online forums with sexually suggestive questions for Siri such as "What are you wearing?" (Siri's baffled response: "Why do people keep asking me this?")

The fuss over Siri's sex also raises a larger question: From voice-mail systems to GPS devices to Siri and beyond, why are so many computerized voices female?

One answer may lie in biology. Scientific studies have shown that people generally find women's voices more pleasing than men's.

"It's much easier to find a female voice that everyone likes than a male voice that everyone likes," said Stanford University Professor Clifford Nass, author of "The Man Who Lied to His Laptop: What Machines Teach Us About Human Relationships." "It's a well-established phenomenon that the human brain is developed to like female voices."

Research suggests this preference starts as early as the womb, Nass said. He cites a study in which fetuses were found to react to the sound of their mother's voice but not to other female voices. The fetuses showed no distinct reaction to their father's voice, however.

Another answer lies in history. According to some sources, the use of female voices in navigation devices dates back to World War II, when women's voices were employed in airplane cockpits because they stood out among the male pilots. And telephone operators have traditionally been female, making people accustomed to getting assistance from a disembodied woman's voice.

When automakers were first installing automated voice prompts in cars ("your door is ajar") decades ago, their consumer research found that people overwhelmingly preferred female voices to male ones, said Tim Bajarin, a Silicon Valley analyst and president of Creative Strategies Inc.

This may explain why in almost all GPS navigation systems on the market, the default voice is female. One notable exception has been Germany, where BMW was forced to recall a female-voiced navigation system on its 5 Series cars in the late 1990s after being flooded with calls from German men saying they refused to take directions from a woman.

"Cultural stereotypes run deep," said Nass, who details the BMW episode in his book.

Voice casting

Most companies that produce automated voices hold auditions for voice actors and collect recordings of them speaking. Then they invite focus groups to listen to the recordings and rate the voices on how well they convey certain attributes: warmth, friendliness, competence and so on.

"It's casting," Nass said. "It's something Hollywood has known for a long, long time."

Look no further than examples of automated or artificial-intelligence voices in sci-fi movies and TV shows. Voices of authority or menace tend to be male: the homicidal HAL 9000 computer in "2001: A Space Odyssey," the computer program in "WarGames," or Auto, the spaceship's autopilot function in "Wall-E." More subservient talking machines, such as the onboard computer from the "Star Trek" TV series, skew female.

Bajarin, the Silicon Valley analyst, believes that more computerized voices would be masculine if not for the associations with HAL, whose malicious intent in the 1968 Stanley Kubrick film was made even creepier by his soothing tone.

"A lot of tech companies stayed away from the male voice because of HAL," he said. "I've heard that theory tossed around multiple times." (One prominent exception: The chipper "You've got mail!" voice from AOL's dial-up days.)

When it comes to consumer applications of computerized voices, the sex of the voice is usually determined by what service or product is employing it. For example, transit systems such as the San Francisco Area's BART often use higher-pitched voices because they are easier to hear over the clatter of the train cars.

Nuance, a Massachusetts-based company that develops speech technologies for Ford vehicles' SYNC system, Amazon e-readers and other clients, creates both male and female voices. It's then up to the client to choose which voice, and gender, best fits their product, said chief creative officer Gary Clayton.

"As these products become part of our everyday lives, there's a huge opportunity for personalization," added Brant Ward, the company's director of advanced speech design. "I could have an approximation of my wife's voice read me a text message in my car."

Siri: Brilliant or sexist?

Siri, the iPhone 4S's voice, grew from a five-year research project that was funded by military agency DARPA and led by SRI International, a Bay Area research institute. The project spawned a company, also called Siri, that launched an iPhone app in February 2010 and was acquired by Apple two months later.

That original Siri voice-to-text app -- powered in part by Nuance's technology -- also worked by people speaking commands into their phones, although it didn't talk back. And it had no gender. In fact, the app was originally conceived to speak in a gender-neutral voice, said Norman Winarsky, vice president of SRI and a co-founder of Siri.

"What Apple did is absolutely brilliant," said Winarsky, who calls speech "the most natural of all human interfaces."

"They took Siri and gave it more of a personality," he said. "It's the first real artificial intelligence working in millions of people's hands."

An Apple spokeswoman declined to comment on why the company gave Siri a female voice in the U.S. Nor would she say why Siri speaks like a man in the UK, where iPhone 4S owners have swarmed online forums to request a female voice instead. "Eww!! Hope UK gets female voice soon," wrote one commenter. "I don't think anyone in the US cares about male voice option."

Many GPS devices and computer text-to-speech programs now offer multiple voice options. And someday soon, voice-technology experts say, Siri will probably speak in a variety of voices, too.

Until then, some bloggers have wondered: Are computerized female "assistants" sexist?

Not necessarily, said Rebecca Zorach, director of the Social Media Project at the University of Chicago's Center for the Study of Gender and Sexuality.

"I think they have to be understood in a broader context in which they're one small piece," she wrote in an e-mail to CNN. "Voices intended to convey authority (such as voice-over narration in films) tend to be male. So yes, probably these compliant female robot voices reinforce gender stereotypes, not just because they serve the user but because the technology itself is about communication and relationships (areas that women are presumed to be good at).

"I wouldn't automatically claim any sexism in individual companies' choices, though. Most such decisions are probably the result of market research, so they may be reflecting gender stereotypes that already exist in the general public."

Zorach listened to some sound clips of Siri online, then e-mailed back again.

"What's interesting to me is how they seem to intentionally make her speech sound artificial -- they could choose to make her speech more seamless and human-like, but they choose instead to highlight the technology," she said. "That makes you aware of how high-tech your gadget is."

@highlight

Studies have shown people generally find women's voices more pleasing than men's

@highlight

Scholar: "It's much easier to find a female voice that everyone likes than a male voice"

@highlight

In Germany, some BMW drivers refused to take GPS directions from a woman

@highlight

Tech companies may avoid male computer voices because of HAL from the move "2001"