(CNN) -- A furry bat named after a notorious Star Wars character, bombardier beetles that unleash explosive, foul-smelling gas to defend themselves, ants that can't walk or stand on flat surfaces and a mysterious cave-dwelling frog that runs instead of hopping.

These bizarre and wildly interesting creatures are just some of the 1,200 species of animals and plants that have been documented for the first time by scientists in the Gorongosa National Park, a stunning biodiversity haven in central Mozambique.

In mid-April, a team of 15 local and international scientists ventured into the park's spectacular rolling woodlands, deep gorges and riverine forests to conduct the first comprehensive biodiversity survey in a remote and largely unexplored area that was ravaged by years of war and poaching.

Read this: 7 amazing mountain climbs in Africa

For about four weeks, the biologists were transformed into nature detectives surveying the Cheringoma Plateau, the part of the park that was least known biologically. Armed with rubber boots, headlamps and a huge variety of sophisticated equipment, they embarked on a painstaking mission to document life in the area and discover the rare, threatened and new-to-science species that live in it.

They climbed giant trees and rapelled from limestone cliffs to get samples of organisms from almost inaccessible canyons; they used ultraviolet lights and pheromone traps to attract insects; remote cameras and traditional tracking techniques to document large mammals; ultrasonic sound detectors to record hard-to-get wildlife, mist nets to capture wild birds and pitfall traps for reptiles and amphibians.

"We found all kinds of really exciting things," says expedition leader Piotr Naskrecki, associate director of the soon-to-open Biodiversity Laboratory in Gorongosa.

"We've at least doubled the number of species that is known from the national park, probably closer to tripling it," he adds. "Some of them are new to Mozambique and some are new to science."

Discoveries

Major findings consisted of 182 species of birds, including four rare forest dwellers recorded for the first time in Gorongosa. They also found several species of cricket-like katydids that are new to science, as well as a leaf katydid that had not been seen alive since the 1800s, and 54 species of mammals, including diminutive elephant shrews.

Other highlights included more than 100 species of ants, 47 species of reptiles, 33 species of frogs, hundreds of species of beetles and more than 320 species of plants that are new to Mozambique.

And, of course, the "Chewbacca bat," (real name Triaenops persicus) named after Han Solo's hairy sidekick in the Star Wars movies, and a strange silver and black Kassina frog that is probably new to science.

"It was an extremely rich experience in terms of adding data to what we've known about the park," says Naskrecki, who is also an entomologist at the Harvard Museum of Comparative Zoology.

'Doomed place'

Sitting at the southernmost tip of the Great Rift Valley, Gorongosa used to be one of Africa's richest wildlife refuges, a natural wonderland teeming with large populations of buffalo, lions, elephants and hippos.

But it all changed in the mid-1970s when Mozambique descended into a bloody civil war. The conflict lasted until 1992 and had a devastating impact on Gorongosa.

The park was turned from a wildlife treasure into a battlefield. Thousands of animals roaming its open grasslands were killed by warring groups and entire populations of wildlife came close to extinction.

Read this: Saving the African forest elephant

"After the war, there was very little left," says Naskrecki. "The place seemed to be doomed."

He explains that before the war the park sheltered some 14,000 African buffalo; after the conflict, there were about 100 of them. "The same thing with lions," adds Naskrecki. "There used to be about 2,000 lions in the park and after the war there were maybe 30 left," he continues. "It also had about 2,500 elephants and after the war it had only 200."

The decimation continued after the war with extensive poaching and illegal logging.

Restoration efforts

But hopes for the park's revival have returned in recent years, thanks in large part to the efforts of the Gorongosa Restoration Project, an initiative led by retired American IT entrepreneur Greg Carr, aiming to bring the fragile ecosystem back to its former glory.

In 2008, Carr's foundation signed a 20-year contract with the Mozambican government to rejuvenate and protect the park's diverse ecosystem, as well as create a thriving ecotourism industry that would benefit communities in the area.

Key to the restoration efforts is the documentation and studying of life in Gorongosa -- a process that started with the scientific expedition in mid-April.

Read this: Could horn sale end rhino slaughter?

Naskrecki says the information recorded and collected, which will be presented in its entirety in a report later this year, will help guide restoration efforts in the park. It will also provide proof that Gorongosa is still a biodiversity hotspot that needs to be protected from industrial development, such as mining.

"Every single species we found, every orchid, every katydid, every frog is a powerful argument for maintaining the protective status of this area," says Naskrecki

"The main point, however, is not that we found unusual, rare, or new species, but that we found so many of them and in thriving populations. All this indicates that Gorongosa National Park is successfully recovering from the damage caused by the 17 years of civil war, which left many of its species decimated.

"The small animals ... may seem insignificant compared to lions and elephants, which are also recovering nicely, but they are very good indicators of the health and richness of the Gorongosa ecosystem."

@highlight

New species discovered by researchers in Mozambique

@highlight

Scientists carried out first major biodiversity study in Gorongosa National Park

@highlight

Frog that can't hop and "Chewbacca bat" found in the park

@highlight

The forest was ravaged by years of conflict and poaching