(CNN) -- To the litany of challenges that confront India's path to a better life, we can now add subdued economic growth as a result of the global financial crisis.

A banana vendor stands on a flooded street as he waits for customers in Amritsar, India, on August 13.

After three spectacular years of 9 percent-plus annual growth, India will reach just 6.3 percent next year, according to the latest forecast by the International Monetary Fund in early November. The Reserve Bank of India is forecasting a more optimistic 7.5 to 8 percent.

While 7.5 percent may still sound a good result, it is barely enough for the economy to keep pace with the 10 million-plus young people who will join the Indian job market in 2009.

India's major shortcomings in infrastructure, education, health care and environmental protection are well known, as are the constant problems of corruption, poor governance, rural poverty, communalism, domestic terrorism, child labor, discrimination against women and natural disasters such as floods and earthquakes.

But at least in recent years India could point to a strong economy as the platform on which it was making its push for higher living standards, social modernization and economic reform. Since May 2004, when Prime Minister Manmohan Singh and Finance Minister P. Chidambaram took on the reins of government, India's economy has had a charmed run.

Strong growth in business sectors such asinformation technology, pharmaceuticals, automotive, financial services and retail have coincided with a better performing agricultural sector, and a housing and consumption boom driven by easier credit.

India's young working men and women -- more than half the country's 1.15 billion people are aged 25 or less -- have shown a much greater propensity to spend, compared to their thrifty, risk-averse parents and grandparents.

This willingness to go into debt rather than save has seen a massive rise in sales of consumer goods such as mobile phones, flat screen TVs, refrigerators, household utensils, motorcycles and cars. The same goes for spending on services, from tourism to healthcare to self-improvement.

Now the halcyon days appear to be over, as the international credit crunch flattens demand everywhere. Already the downturn is seeing job losses in sectors such as aviation, financial services, retailing and export industries, as companies tighten their belts and put expansion plans on hold.

The government admits things will get tougher, with Singh telling the nation on October 20 that "we must be prepared for a temporary slowdown in the Indian economy."

Earlier that day, the Reserve Bank of India cut its key repurchase (short-term lending) rate by 100 basis points to 8 percent, saying it needed to ease the pressure on India's credit markets and maintain financial stability. It followed that with another cut to 7.5 percent on November 1.

RBI Governor Dr. D. Subbarao noted the global downturn could be deeper and the recovery might take longer than earlier expected. "Consequently, the adverse implications through trade and financial channels for emerging economies, including India, have amplified," he said.

Economists and analysts have welcomed the central bank's moves, which have included a 350-basis point reduction in the cash reserve ratio -- the amount of money Indian banks must keep on hand -- between July and November.

Tushar Poddar, head of Asian economic research at investment bank Goldman Sachs, said the RBI's October 20 action was "well ahead of market expectations" and showed a bias towards growth and financial stability, against inflation.

Goldman Sachs had earlier cut its growth outlook for the 2009-10FY to 7 percent and has warned the figure could go lower if the international financial turmoil continues over the next few months.

But Poddar believes that India's export drive -- which has seen exports triple since 2003 to about $163 billion in 2007-08FY -- may not suffer too greatly.

In a recent study, he found that about two-thirds of India's exports go outside the United States and the European Union (the two trade areas most affected by the downturn) to China, Southeast Asia, West Asia and Africa. While Indian exports would slow, "the downside is limited," he said. A lower Indian rupee would also help.

Foreign investment is slowing in line with the downturn. Morgan Stanley's India economist Chetan Ahya noted recently that "adverse global circumstances" are weighing on India's ability to attract overseas money. Unless there is a dramatic turnaround in the global credit markets, Ahya believes capital inflows could slow to $40-50 billion in the year ahead, compared with $110 billion in 2008.

On the broader political front, India has to deal with a range of internal and external risks that include domestic communalism-cum-terrorism and the constant threat of conflict with Pakistan over the disputed Kashmir territory.

Afghanistan, Bangladesh, Myanmar, Nepal and Sri Lanka all add to a difficult neighborhood, while India's relations with China are cool at best, even as trade ties grow. Territorial disputes linger from the 1962 border war between the two.

That helps explain why India was named recently by Hong Kong-based Political and Economic Risk Consultancy (PERC) as the Asia-Pacific country with the highest political and social risk for 2009.

A report by PERC in late October assessed 16 countries in the Asia Pacific region, and assigned India the highest risk rating of 6.87, ahead of Thailand with 6.28. China was seventh with 5.33, behind Malaysia, Indonesia, the Philippines and Cambodia.

PERC cited uncertainties surrounding India's coming general election -- due to be held by May 2009 -- along with rising communal violence and incidents of terrorism.

"The biggest risk is that a deterioration in political and economic conditions in neighboring Pakistan could aggravate social unrest in India further, and hurt national security," it noted.

But it said India's underlying attractions to foreign investors should remain, "no matter who wins the next election.

Prime Minister Singh, with six months of his government to run, is putting on a brave face. "It is when India is challenged that the Indian people rise to the occasion and convert the challenge into an opportunity. There is no place for fear," he told the nation late last month.

Geoff Hiscock writes on Indian business and is the author of "India's Global Wealth Club" (2007) and "India's Store Wars" (2008), both published by John Wiley & Sons.

@highlight

India's economic growth will slow in 2009, most economists project

@highlight

Nation's young population has shown willingness to go into accrue debt to spend

@highlight

Infrastructure, corruption, health and education worries remain economic hurdles

@highlight

India faces political, social risk in 2009, according to Hong Kong-based group