Johannesburg, South Africa (CNN) -- When celebrated film composer Hans Zimmer agreed to create the soundtrack for Disney's 1994 animated film "The Lion King," he knew there was only one person he wanted to work with -- South African singer and songwriter Lebo M.

Award-winning Zimmer, whose illustrious body of work includes scores for mega-hits such as "Gladiator," "Pirates of the Caribbean" and "The Simpsons," had already collaborated successfully with Lebo on "The Power of One," a 1992 drama set in South Africa.

"By the time he [Zimmer] had committed to what became 'The Lion King,' there were other people hired that I replaced ... because Hans was reluctant to continue without me in the project," remembers Lebo.

For Zimmer, however, there was still one big problem: finding Lebo in his hometown of Soweto.

"They looked all over," says Lebo with a smile on his face. "At that time there was no iPhone, the world was not here, you know? To find somebody in Soweto, good luck!"

After a long search, Zimmer eventually tracked Lebo and asked him to fly to Los Angeles immediately.

Read: Africa's Hollywood music man

Lebo put his stamp on the movie; his credits include choral arranger and conductor but to most "Lion King" fans he is famous for delivering the powerful vocal sequence in the opening moments of the film.

The duo's collaboration earned them a Grammy while Zimmer was awarded an Oscar for Best Original Score. The movie also turned out to be a roaring success, winning two Academy Awards and three Golden Globes, as well as becoming the highest grossing hand-drawn film in cinema history

"We had created a formula with Hans that puts together Eurocentric orchestration with African voices and African big drums," says Lebo. "We created a very unique soundtrack -- it's still my very favorite soundtrack."

Lebo's arrangements captured the spirit of Africa, in tune with the politics of the time in his home country.

"When Simba takes over Pride Land, to me is not an animation," he explains. "The lyrical inspiration around that is visualizing Nelson Mandela becoming president at the same time when Simba takes over Pride Land," he adds. "It's a personal journey for me, this project."

Born in Johannesburg in 1964 as Lebohang Morake, Lebo grew up during the height of apartheid. Gifted with a natural musical talent, he left school at the age of nine to start performing at local night clubs. The young musician, who idolized soul legends such as Marvin Gaye and The Commodores, soon started making a name for himself, becoming the youngest singer to perform at The Pelican Club in Soweto, aged 13.

Two years later, his talent was recognized by a local U.S. ambassador who arranged for Lebo to apply to the Duke Ellington school of music in Washington, D.C. Lebo's unique musical intuition led him to Los Angeles where, after a tough spell where he lived on the street and found himself working in car washes and fast food chains, he managed to establish himself as a Hollywood-based musician.

Read: Healing a wounded nation through music

Lebo's first big break came when the 1987 South African-themed movie "Cry Freedom" was nominated for an Academy Award. Lebo was asked to assemble a choir to perform at the Oscars. Their act received a standing ovation and people in the film industry took notice.

More projects followed suit but in the early 1990s Lebo decided to go back to his apartheid-free home country and reunite with his family. He later returned to the U.S. to work with Zimmer on "The Lion King."

While making the movie the pair wrote so much music that an executive at Disney decided to put out a second album, "Rhythm of the Pride Lands." Film, theater and opera director Julie Taylor heard it and approached Lebo about collaborating on a Broadway adaptation of "The Lion King."

Following in the footsteps of the movie, the musical has gone on to become a long-running hit, amassing awards and spawning several productions across the world.

Lebo says that it is the combination of the African spirit with a global story line that has made the show such a success.

"I think the authenticity and the raw African-ness of 'The Lion King' is a bigger selling point than any other product that has ever been on Broadway or on stage, done with a world-class quality approach," says Lebo, who is determined to keep the show's feel authentically African by making sure that all international productions feature South African performing in them.

Read: Afrobeats going global

"In the last 15 years we've hired well over 250 South Africans, unknown, that come from raw townships, rural areas and suburbs that are spread around the world where 'The Lion King' is and there are probably more than eight productions of 'The Lion King' outside of New York and that for me has given me the opportunity to give back," says Lebo, who is currently working on his first-ever tour.

His advice to the young people of his continent is to embrace their African identity.

"I think the biggest challenge for us South Africans specifically, is how do we continue to define ourselves in a global community as part of the world community?" he says. "That's the hardest thing to do right now -- to tell young people in Nigeria, in Johannesburg, in Ghana, that the African in you is your ticket to Hollywood versus the hip-hop African American wannabe in you," he adds.

"You are a commercially viable product in the world and you can play and be commercially successful like anyone else but self-identity defines you."

@highlight

Lebo M conducted and sang on the movie The Lion King

@highlight

His arrangements won him a Grammy and he is currently working on his first ever tour

@highlight

The South African advises young people in the continent to embrace their identity

@highlight

"The African in you is your ticket to Hollywood," he says