(CNN) -- As the leader of Malaysia's reform -- or reformasi -- movement, Anwar Ibrahim has spent much of the past decade in court defending himself against sodomy charges.

Once one of former prime minister Mahathir Mohamad's closest political allies -- and viewed by many as his heir apparent -- the 64-year old grew up in the politically-charged environment of post-independence Malaysia.

He made his name as a student activist in various Muslim youth groups in Kuala Lumpur in the late-1960s, as the country reeled from the protracted Communist insurgency of the Malayan Emergency.

Arrested in 1974 in student protests against rural poverty, Anwar was sentenced to 20 months in jail. Despite his firebrand reputation, he later confounded liberal supporters in 1982 by joining the conservative United Malays National Organization (UMNO) led by Mahathir.

At the time, Mahathir's ability to bring Anwar on board was seen as a master political stroke, effectively neutralizing a potentially powerful political opponent who risked joining the opposition Parti Islam or PAS.

Anwar found not guilty of sodomy

He moved quickly through the political ranks throughout the 1980s, heading several ministries until he became deputy prime minister and the favored lieutenant of Mahathir in 1993.

But by the end of the 1990s, the relationship had begun to sour as Anwar became increasingly vocal about what he saw as widespread nepotism and cronyism within the Malaysian government.

Protectionist policies set up by Mahathir also came under fire from Anwar, who supported the International Monetary Fund's recovery plan for Malaysia following the 1997 Asian Financial Crisis.

Anwar instituted an austerity package that cut government spending by 18%, cut ministerial salaries and put major infrastructure projects on hold. These mega-projects had been the cornerstone of Mahathir's development strategy and his opposition further strained the relationship. Mahathir, as prime minister, reversed several Anwar decisions.

Nevertheless, the tough medicine of the IMF package meant Malaysia emerged from the crisis sooner than its neighbors. It is currently moving away from manufacturing as a base for its economy, and is now a world center of Islamic banking and knowledge-based industries.

In 1998, Anwar was fired from the cabinet amid police reports he was under investigation on charges of sodomy -- an illegal act in predominantly Muslim Malaysia. Anwar denied the allegations.

Appearing in court with a black eye from a beating while in police custody- an injury that then Inspector General of Police Rahim Noor later admitted in a royal commission he had personally administered -- Anwar pleaded not guilty.

After a two-year trial, which also involved corruption charges, Anwar was found guilty and sentenced to nine years in jail for sodomy and six years, served concurrently, for corruption.

In December 2004, Anwar was cleared of the sodomy charges, and in 2006 he announced his bid to run for parliament in the 2008 elections after the expiration of a ban from public office related to his earlier conviction. In the 2008 elections, the opposition seriously dented the ruling Barisan Nasional coalition's majority, handing it one of its worst election results since independence in 1957.

In what the Malaysian media had dubbed "Sodomy 2.0," the opposition leader -- just months after the 2008 elections -- was again charged with sodomy on the basis of allegations from his aide Modh Saiful Bukhari Azlan who claimed Anwar had repeatedly sexually assaulted him.

Anwar dismissed the charges as a sham, saying they were concocted by the ruling coalition in an effort to discredit him.

Anwar has consistently claimed that the charges were trumped up and the last desperate act of a government fighting for its political survival. The government, for its part, has denied any involvement in the case against Anwar.

"The fact that the same plot that was hatched in 1998 is being repeated reflects a certain bankruptcy and lack of creativity on their part," Anwar told CNN in 2010.

"They must still believe some segment of the Malay-Muslim electorate, who will likely determine the outcome of the next General Election, will be alienated by these charges. I doubt that is the case."

After a nearly three-year trial, a Malaysian court Monday found Anwar not guilty of the charges against him after the judge said there were questions over whether DNA evidence had been contaminated.

Information Minister Rais Yatim hailed the verdict as a victory for Malaysia's judiciary, showing that it was free from government influence. With the government expected to call elections in the coming months, Anwar said he was ready to start campaigning again and challenge the ruling coalition's 50-year hold on power.

Anwar has brought together a diverse group of opposition parties, including a conservative ethnic Malay Islamic party, a secular party mainly representative of ethnic Chinese and Indian minorities and his own multiracial party.

At the heart of Malaysia's reform movement is the call for a multiracial alternative to the political status quo in the South East Asian nation.

Malaysia's controversial policy of bumiputra -- a Malay term which means literally means "son of the soil" -- favors the ethnic Malay majority, providing them with preference in employment, business, education and housing.

While proponents say the radical affirmative action campaign -- which was instituted in the early 1970s in response to anti-Chinese riots in Malaysia in 1969 -- has lifted many urban Malays into the middle class, critics say that Chinese, Indian and the indigenous Orang Asli have been excluded from the political process.

While problems with bumiputra were among the election issues, allegations of government cronyism and nepotism are now high on the list of voter concerns.

Dubbed the post-reformasi generation, educated young Malaysians in their 20s and 30s have been leaving the country to take up opportunities overseas. The brain drain is now a serious problem for the coalition government which has embarked on economic reforms, but is accused of doing little to reform the public service or education.

According to Herizal Hazri, the Malaysian program director for The Asia Foundation, Anwar's acquittal will give a boost to the speed of reform.

"Anwar still represents the reform agenda," he said. "The anti-corruption drives and drive towards good governance also illuminate a more welcoming view of as to how ethnicities should be treated in Malaysia."

He said both the opposition and the government were pursuing reforms, swinging the attention of the reform movement towards problems of corruption rather than issues of ethnicity and race.

One of the unintended consequences of the Anwar case, he added, was that Malaysia's British-based legal system had emerged as an independent force in a political structure that critics charge has been compromised by decades of cronyism.

"I would have to say that for once I am proud of a Malaysian institution," Hazri said. "The court has been strong enough to make a decision outside of politics and it needs to be applauded.

"The court made its decision based solely on the facts of the case. Today is a victory for the Malaysian judicial system and I hope that it heralds a bright new future," he said.

@highlight

Anwar has spent more than a decade fighting sodomy charges

@highlight

The one-time student activist was once Mahathir's right-hand man

@highlight

The opposition leader dented the ruling party's majority at elections in 2008

@highlight

Anwar has led a reform movement that has targeted social and political reform