(CNN)They may just have fled a war zone, but Syrian children on recess at the Zaatari Refugee Camp in Jordan aren't so different from kids elsewhere. Boys run around, wrestle and laugh outside a school comprised of tidy portable buildings on flat, rocky desert. Nearby, girls dressed in pink with bows in their hair hold hands and huddle around a book. Kids are resilient wherever they are.

Unfortunately, even with the hardships of living in a camp, these kids are still some of the lucky ones. After all, at least half of Syrian refugee children aren't even in school. Indeed, if Syrian refugees were a country, they would have the lowest rate of educational enrollment in the world. And, without access to quality education, children here are at risk of not having the skills they need as adults.

All this means that Syria is facing a lost generation.

Why is all this happening? Because the civil war is destroying Syrian society. The United Nations announced earlier this month that Syrians are now the largest refugee population in the world -- more than 7.5 million Syrians are displaced internally, while another 3.2 million are registered refugees in neighboring countries. That's nearly half of Syria's total population.

And while Lebanon, Turkey, Jordan, Iraq and Egypt have been remarkably generous hosts, the influx is so large that it's changing some countries' demographics, with refugees comprising at least 20% of Lebanon's population, 10% of Jordan's, and 10 to 20% of border areas in Turkey, according to the State Department and U.N. Meanwhile, more than 80% of the refugees reside in urban areas, not camps, and so rely on urban services, placing high demands on schools.

All this is leaving education in crisis across the host countries. While each country officially allows Syrian children access to the public education system, barriers remain, including school space shortages, having to learn new languages, transportation, the need for children to work for their family's survival, and bullying. In addition, many are putting off school in the belief that their return to Syria is imminent.

This creates very real risks to the quality of education for both host country nationals and Syrian children. The presence of refugees has meant crowded classrooms and constrained budgets, and it leaves teachers managing students who are at different levels. Continuous investment in these countries' education systems is therefore important so that the quality of education doesn't fall backwards.

Sadly, there's no end in sight for Syria's civil war. And even when peace is re-established it will take years before many Syrians can return to their homes, given the destroyed infrastructure and residual tensions within society. This isn't unique to the current situation: In protracted refugee crises around the world, the average time until refugees can return home is 17 years, according to the United Nations.

The responsibility for providing formal K-12 education for refugees lies primarily with the host governments, some of which are taking loans to cover the deficits. But while much of the international assistance response has so far been humanitarian, responding to urgent needs, what's needed now is a transition toward development planning, in which longer-term, sustainable solutions for education and other sectors are planned and resourced. This means investing in building capacities of host country governments to provide education to these additional people in the future. Donor funding will dry up over time, and the host governments will need systems to manage the additional children they must educate.

Moving forward, host countries and the international aid community should prioritize investment in access to quality education, with additional attention to building infrastructure to expand school spaces, understanding and addressing other barriers to access, developing transportation options, improving data systems, expanding school monitoring and support, and providing teacher training about refugee needs in the classroom. This will also constitute an investment in the longer-term education development needs of the host countries, meaning they'll benefit, too.

The suffering that has taken place in Syria since the civil war started in 2011 has been almost unimaginable. But by investing in the country's future in this way, the international community can help ensure education isn't another casualty of the war. And perhaps help lay the foundations for a brighter future.

@highlight

Shelly Culbertson: At least half of Syrian refugee kids not in school

@highlight

Education is in crisis across the host countries, she says