One of the most common questions a pregnant woman gets asked: "Is this your first?"—suggesting there were more or will be more.

But how many children you choose to have has a fundamental influence on your capacity to juggle the 21st century work-life balance. More kids simply demand more resources: energy, money and time. This is an aspect of family life that doesn't get discussed much.

If our increasingly wired lives leave us starved for time and more scattered in our attention, having an only child can be a path to freedom. According to the National Center for Health Statistics, single-child families have almost doubled in number since the 1960s. And yet, our public conversation hasn't caught up to this increasingly common reality.

Those who choose to have one child are often confronted with not so subtle snooping on the part of neighbors and friends. Infertility problems? Marriage on the rocks? Too career focused? We simply assume people are having multiple children unless we learn otherwise.

In some ways, multiple children are the "American dream" story of the work/family debate. Just as the Horatio Alger tale urges us that no matter where we come from, we can work our way up the ladder one rung at a time (ignoring systemic and structural factors), the superwoman tale pretends that there are no limits to a mother's resources (ignoring, well, the realities of the space-time continuum.) There's always more room in the womb and more time in the day; as long as she's got a smartphone and a big heart.

But in a new book, "One and Only: Why Having an Only Child, and Being One, is Better Than You Think," journalist Lauren Sandler isn't buying it. She writes, "One of the central myths of America is that we can engineer a life without tradeoffs."

She counters all the stereotypes of only children—selfish, lonely, maladjusted—with a range of convincing research, explores the environmental arguments for keeping families small, and also looks at the evidence that children from one-child families tend to achieve more and, as a result, can contribute more to society. Just a few examples: Condi Rice, Alicia Keys and Chelsea Clinton are all only children.

The important questions center around our assumptions about family, what makes us happy, fulfilled and loved. In other words, how do we recognize our full range of choices as parents? "Is happiness the result of finding purpose and meaning? Is it the absence of depression?" Sandler contends that "it has a lot to do with having the freedom to live the life you want to live, whether that means five kids, or one, or none at all."

It is what we know in our heart of hearts, even when we're fully ensconced in the myth—sucking down a smoothie while driving our kid to school, rescheduling a doctor's appointment, and trying to read the notes for the morning's meeting all at the same miserable moment. It is related to the work-life balance issues that Anne-Marie Slaughter and Sheryl Sandberg touched on.

We are human, and as such, we have limits. Whether you scale back your job, scale back your social time, scale back your self-care, scale back your child care assistance, or scale back your family size—something's gotta give.

Admitting that isn't just a smart strategy for a saner life. It cuts at the core of one of modern women's most stubborn, self-defeating beliefs -- that unless we are everything to all people, we are nothing, that our worth is tied up in our limitless capacity (at least when it comes to caring for others), that we don't actually deserve to live a selective life and take or leave a number of energy-sucking pursuits.

It's not that we have to choose to parent just one child if we want to be sane in contemporary society, but that we owe it to ourselves, our partners and even our potential progeny, to consider other possibilities.

Women, in particular, need to slough off socialized norms and think in a fresh, free, way about the kind of life that will really make our families -- and ourselves -- healthy and fulfilled.

@highlight

Courtney Martin: Women often get asked if they have multiple children or plan to do so

@highlight

Martin: How many children you choose to have has a huge impact on your work-life balance

@highlight

She says a new book by Lauren Sandler presents good reasons for having just one child

@highlight

Martin: Living a happy life is about the freedom to choose if you want to have children or not