(CNN) -- The price of silverware just got a whole lot more expensive.

But can $134 million and the royal seal of approval of the Duchess of Cambridge, Kate Middleton, bring the coveted America's Cup back to British shores for the first time in history?

"This is about righting a wrong," said Ben Ainslie, the most successful Olympic sailor of all time, as he revealed the British team he hopes will defeat billionaire Larry Ellison's reigning U.S. champions.

"We've never won it. We have a huge maritime history. We have to bring this thing home."

In the 163 year history of the race, Britain has never won the prestigious silver trophy. Adding insult to injury, the first competition took place on its shores in 1851.

Will the "Auld Mug," as it is affectionately known, finally return to its birthplace in the next edition of the race in 2017?

Thanks to that hefty budget -- partly spent on designing high-tech boats capable of slicing through the water at 95 kilometers per hour -- Britain's challenge is not to be taken lightly.

Rule Britannia

Glamor to the bid was provided by the Duchess, who joined Ainslie on the manicured lawns of London's Maritime Museum for the official launch on a sweltering summer morning.

A keen sailor herself, the Duchess went head-to-head against her husband Prince William in a yacht race during their recent tour of Australia and New Zealand -- emerging victorious 2-0.

It's hoped she'll not only pass on some of that winning spirit to Ainslie's team, but also add the type of international lustre so attractive to the world's richest investors.

Money matters

Around 40% of the $134 million budget has already been raised, with Ainslie and his board now on the hunt for big commercial sponsorship.

It's a huge investment -- and one they're touting as the advertising chance of a lifetime.

"If you could be the brand that brings the America's Cup back to Britain, I think that's a phenomenally powerful thing to be associated with," said Charles Dunstone, chairman of the racing team and co-founder of British phone retailer The Carphone Warehouse.

"We certainly wouldn't say it has to be a British company," he added. "But I think it needs to be someone who has business interests and is supportive of Britain."

Ellison's Oracle

The team will need deep pockets to be a serious contender against reigning champions Oracle Team USA -- owned by tech billionaire Larry Ellison, the fifth wealthiest person in the world according to Forbes.

Ainslie is under no illusions about the challenges ahead. He was part of Ellison's 2013 winning team, helping them to a thrilling comeback against Emirates Team New Zealand.

"Standing on that podium it did cross my mind that this would be more satisfying with a British team," said 37-year-old Ainslie.

"This isn't Larry Ellison's budget, so we have to be very focused with the money we have," he said, adding that the multimillion dollar pot would go towards design, logistics, and a world class crew.

And if anyone is up to the mammoth task of taking on Ellison, it's got to be Ainslie.

"They say Ainslie has the Midas touch -- I'm not sure about that, but I have seen him time and time again achieve the impossible," said Olympic gold medalist and CNN's Main Sail presenter Shirley Robertson.

"That said, he's also no stranger to the monetary might of Ellison and what that can achieve."

Daring design

This is not a competition based on brute strength alone, and part of Britain's success will come down to the clever design of their vessel.

Gone are the days of heavy yachts with single hulls and white billowing sails.

Today's multihulls are like airplanes on water, sitting high above the waves, with crew members wearing wetsuits, carry oxygen tanks, and communicating via radio.

Combined with advancements in TV coverage -- thrilling angles, graphics and on board cameras -- last year's Cup coverage breathed new life into a notoriously unfriendly spectator sport.

"Finally here was a format the public seemed to absolutely love," said Dunstone.

"People who had never talked about sailing before, never had any interest in it, suddenly became absolutely captivated by the Cup."

Britain's best bet?

Of the six crew members revealed, four hail from Britain and two from New Zealand -- including three times America's Cup winner Jono MacBeth.

The New Zealander was quick to point out that Ainslie was "the type of bloke who always gets in the first round of beers," and you get the feeling this isn't just an assemblage of world class athletes, but close friends hoping to make history together.

"I remember as a kid watching these amazing boats racing," said Ainslie, who grew up in Cornwall, on England's picturesque south west coast.

"It's just something that hit me, and I had this burning ambition and desire to be part of the America's Cup team -- and ultimately part of the winning British America's Cup team."

How true that turns out to be, we'll soon find out.

Timeline: 162 years of America's Cup yacht design

Insight: Aussie wine tycoon to challenge Team USA

Images: Daredevil sailing photographer on the perfect shot

@highlight

Britain has never won the America's Cup -- could that change?

@highlight

Sailing star Ben Ainslie launches $134m challenge against U.S. champions

@highlight

Duchess of Cambridge, Kate Middleton, gives royal seal of approval

@highlight

Modern multihulls are feats of engineering, slicing through waves at 95kph