(CNN)A bar owner arrives to find his bartender still drunk, sleeping on a floor littered with empty beer bottles and cans.

The band arrives, carrying a beaten-up car door.

The intoxicated bartender, struggling to consciousness, is incapable of walking a straight line, yet he takes to a tightrope strung across the bar to do tricks to impress the cute female vocalist.

This isn't a a scene from a wild Cambodian bar.

It's the opening act of "Khmer Metal," a show by the Phare Cambodian Circus in Siem Reap, the departure point for exploring dazzling Khmer archaeological sites such as Angkor Wat.

After a day scrambling ruins in the sticky heat, most tourists spend their nights dining on Khmer barbecue while downing cold one-dollar beers on Pub Street.

But increasingly, visitors are opting for a taste of contemporary Cambodian culture, everyday life and entertainment under the big top at the city's new circus.

CNNGo in Cambodia

Performing arts wiped out by the Khmer Rouge

Seeing a circus in Siem Reap isn't such a strange idea.

Carvings at temple ruins dating back as far as the 6th century vividly illustrate the country's circus tradition, depicting circus artists performing for ceremonies and festivals.

In the 1960s, King Norodom Sihanouk encouraged a revitalization of the circus, only to see it die in 1975 when Pol Pot's brutal Khmer Rouge abolished all forms of art, culture and creative expression, and murdered artists.

After the Vietnamese occupation sent the Khmer Rouge fleeing into the jungle, eight young Cambodians who'd been in a refugee camp on the Thai border decided to help rebuild their country by reviving the arts and culture scene.

In 1994, the group established Phare Ponleu Selpak (PPS), a "Beacon for the Arts," and opened a school for visual and performing arts, including circus skills, in a place that needed it most: poverty-stricken Battambang.

Near the Thailand border, the small city was a magnet for repatriating refugees, including orphans, most suffering post-traumatic stress.

PPS rescued disadvantaged children from the street, troubled homes and trafficking by providing free food, education, training and jobs.

While the school is flourishing in Battambang, where some 1,400 students are enrolled, PPS decided to raise its shiny red big top tent and launch a program of shows starring students and graduates in Siem Reap.

Cambodia's most popular tourist destination, Siem Reap had 1.24 million foreign tourists visit in the first seven months of 2013, making PPS's mission to reap profits and become self-sustainable more achievable.

Mike's Burger House: Phnom Penh's In-N-Out-inspired fast food joint

Distinctly Cambodian show

Phare is no ordinary circus, but an edgy, alternative, down-to-earth, all-singing-and-dancing Cambodian circus in the tradition of Cirque du Soleil.

A contemporary circus without animals, the cast of talented young Cambodian performers are accomplished in acrobatics, contortion, aerial ballet, balancing, tightrope walking, fire dancing, vaulting, juggling, music, dance, drama, mime and comedy.

Their show, "Khmer Metal," about love, life and rock 'n' roll, is set over the course of one night in a crazy bar and it's edge-of-the-seat stuff.

A cocktail-sipping customer in a miniskirt and high heels does an elbow stand on the table, folding her legs over her back and head with ease to shoot a bow and arrow at a balloon with her feet.

A moneyed, muscle-bound customer in skinny white jeans, who has had his iPad stolen, takes to the bar, doing some impressive hand-balancing moves on beer taps to grab her attention.

In between these daring feats and complex tricks, bar staff and customers break into choreographed dance numbers as the band performs Cambodian rock songs, incorporating an array of samples, from heavy metal to hip hop, traditional Khmer folk music to 1960s Cambodian pop.

10 meals every visitor to Cambodia should try

Show draws from folk traditions

While "Khmer Metal" is thoroughly modern in its setting and storytelling, the group's "Eclipse" show is steeped in tradition, drawing from folk stories, religion and popular beliefs to tell the story of a bullied hunchback, rejected by villagers, who seeks divine intervention from an angel-like Apsara, the celestial maiden who graces Angkor temple walls.

Wearing the simple black garb of rural peasants and using few props, the artists perform elaborate acrobatics and audacious stunts, forming human towers to strike Apsara poses, doing somersaults in flight and executing an impressive aerial strap routine.

In between acts, they do a spirited, high-energy dance to the upbeat rhythms of the traditional xylophone, guitar and drums.

As clever as it is, it's ultimately uplifting fun, the energy and enthusiasm of the artists contagious.

What also makes Phare special is that it's distinctly Cambodian -- the music, dance, settings, themes and stories provide an insight into Cambodian culture and everyday life difficult to experience scrambling about ruins -- or drinking beers on Pub Street.

Phare Cambodian Circus

Tickets (adults/kids $15/$8) available for daily 7:30 p.m. shows from 7p.m. at Phare Cambodian Circus, Komay Road, Siem Reap and from local travel agents.

Backyard Travel offers a two-day, behind-the-scenes Phare Circus Experience for $482 including rehearsals, dinner at Phare Café, the show, meeting performers afterward, a cruise to Battambang to visit the PPS school, meals, hotels and transfers.

Photographs by Terence Carter

@highlight

Phare is an edgy, all-singing-and-dancing circus in the Cirque du Soleil tradition

@highlight

It was established in 1994 in Battambang to help disadvantaged kids

@highlight

The history of Cambodia's circus tradition dates to the 6th century

@highlight

Some 1,400 students are enrolled at the school in Battambang, a small rural city near the Thai border