(CNN) -- Another round of nuclear talks ended late Thursday in Vienna. Nothing good, bad or even surprising has publicly emerged from the two-day talks between Iran and the P5+1 countries.

Given the overall trajectory of the nuclear talks in recent months -- to external viewers a dreary process of back and forth, bluster and stalling despite a shared desire to continue talking -- two outcomes appear more or less certain.

First, the much-anticipated November 24 deadline for a permanent deal will not be met.

Second, the talks will continue and the negotiating teams need to decide whether they need three months, six months -- or any other length of time -- to try to reach a final deal.

Given the high stakes, and the reality that there are no alternative means of moving forward other than continuing talks, all sides are apparently buckling down.

The head of the Iranian negotiating team called the Vienna talks "serious" and "helpful."

That was a more uplifting assessment than those that followed the October 15 Vienna meeting between U.S. Secretary of State John Kerry and Iranian Foreign Minister Javad Zarif.

Earlier in the week, an Iranian foreign ministry spokesperson said that while "90%" of the work toward a permanent deal had been completed, "important, sensitive and hard" steps still needed to be tackled.

In other words, there is still no agreement on two key issues: The scope of Iran's enrichment program and how and when to end sanctions on Iran as part of a deal.

On these two key issues, each side has been trying to outmaneuver the other as part of an increasingly public war of words.

The Iranians have been particularly quick to react to some reports in the West that Tehran can compromise on the scale and timing of the removal of the sanctions.

Earlier, Reuters news agency claimed that Iranian officials had informed them that the leadership in Tehran "would be satisfied with removing crippling U.S. and European Union energy and banking sanctions imposed in 2012," which have been the most damaging

Tehran has dismissed that claim, insisting it wants a compromise that would see all sanctions imposed on it lifted -- not just a suspension or partial removal.

To Western negotiators, this Iranian stance is a non-starter unless Tehran is willing to make more compromises on the scale of its enrichment program. Iran presently has about 19,000 centrifuges, of which 10,000 are estimated to be in operation.

The West would like to see the number of operating centrifuges substantially reduced although there is uncertainty about its specific bottom-line on this question.

By all accounts, the P5+1 states themselves do not appear to have agreed on a target for Iran to meet, which means Tehran has been able to continue maneuvering around the issue. The Russians and the Chinese -- the two non-Western states in the P5+1 grouping -- are presumably more flexible on that front.

Tehran's counter-offer has been to suggest swapping Iran's older-generation centrifuges for more advanced ones that produce more enriched uranium at a faster rate.

However, this is not considered by the West to amount to a concession by Iran, as it ultimately does not reduce the amount of enriched uranium Tehran will continue to have at its disposal. Iran's access to enriched uranium has always been at the heart of concerns about its nuclear program.

In other words, seeking to navigate around these two key stumbling blocks -- the question about the size of Iran's enrichment program and a timetable for removal of sanctions -- continues to keep the negotiating parties apart.

What is also very evident is that neither side wants to walk away from the talks. There is no good alternative and not extending the talks beyond November 24 would essentially mean the collapse of a diplomatic formula. It is a formula in which both the Obama administration in the United States and the government of President Hassan Rouhani in Iran have invested massively, hoping for a major groundbreaking return.

As U.S. Undersecretary of State Wendy Sherman put it this week, the ongoing negotiation "is a puzzle with many interlocking pieces." But after a year of negotiations and eight rounds of meetings, it has become very clear that there are two critical pieces to this puzzle.

Perhaps with more focus and determination, a solution can be reached. That is why an extension of the talks beyond November 24 seems to make sense to all parties involved.

@highlight

The latest nuclear talks between Iran and the 5+1 countries failed to reach a deal

@highlight

Alex Vatanka says the November 24 deadline for an agreement is unlikely to be met

@highlight

Issues are the size of Iran's nuclear program, timetable for sanctions removals, he says

@highlight

Neither side wants to walk away, so the deadline must be extended, Vatanka says