One year ago, a Tunisian street vendor set himself on fire, igniting a storm of protest that toppled his country's oppressive government in less than a month. The anger swiftly spread, as activists and bloggers, organizing through social media platforms like Twitter, Facebook and YouTube, set off a season of revolution that is still shaking the Arab world. Yet as the first anniversary of  that event approaches, a new threat to digital activism is looming -- in the United States.

On Thursday the House of Representatives is expected to vote on the Stop Online Piracy Act, which would force social media platforms to pro-actively monitor and censor users to prevent them from posting words or images that might violate copyright.

Website operators who fail to do so could be blacklisted and prosecuted. The bill and  its Senate counterpart, the Protect IP Act, would empower the attorney general to block allegedly infringing websites based anywhere on Earth.

The drafters of both bills do not mean to stifle online dissent and activism. Their goal is to protect intellectual property, especially  from piracy by websites overseas. The problem is that the bills' legal and technical solutions are very similar to mechanisms that  authoritarian regimes  use to censor and spy on their citizens.

Our organization, Global Voices Online, is an international network for citizen media. We  support the protection of intellectual property; many members of our community earn all or part of their living by creating copyrighted work. We worry, though, that the Stop Online Piracy Act and Protect IP Act will inflict broad unintended damage on digital activists living under repressive regimes as well as restrict speech freedoms at home.

Even existing copyright law is abused in attempts to stifle criticism and public debate. Take the case of Trevor Eckhart,a security researcher who wrote a critical blog post last month about a little-known software program called Carrier IQ, which runs on millions of smartphones and logs information about users' activities.

Rather than address Eckhart's claims, Carrier IQ responded with legal threats, accusing him of copyright violation because his analysis included copies of its manuals, even though the manuals were  publicly available on the company's own website. After the nonprofit Electronic Frontier Foundation came to Eckhart's defense, the company withdrew its threats and apologized.

If the Stop Online Piracy Act becomes law, online speech like Eckart's will be more vulnerable to censorship. Those seeking to abuse copyright law to stifle criticism will be further empowered. To comply with the Stop Online Piracy Act, Eckart's service provider would have had to actively monitor what he was posting to prevent him from violating copyright. If there is doubt about whether a post is or isn't "infringing," website  operators will be under pressure to avoid legal problems just by blocking or deleting it -- even if there is a good chance a court of law would eventually rule that it is protected speech.

In countries whose judicial systems are less independent and where legal defense for bloggers is rare, abuse of copyright law to stifle activism is much easier. The Russian government last year used a crackdown on software piracy as an excuse to confiscate activists' computers.  The Chinese government used copyright claims to crack down on critics of the 2008 Beijing Olympics who sometimes used modified images of the Olympic mascots in their critiques.

"In China 'copyright' is one of many excuses to crack down on political movements," a Chinese blogger, Isaac Mao, told us. "If a new law like SOPA is introduced in the U.S., the Chinese government and official media will use it to support their version of 'anti-piracy.'"

Amendments could narrow or eliminate some of the bills' most dangerous features. Congress could pass a better, though still problematic, bill. Yet even these efforts fail to address the  deeper problem: that some members of Congress are seeking to regulate the global Internet for the benefit of the U.S. entertainment industry.

At the same time, members of both parties in the House and Senate (including some sponsors of both bills) have expressed impassioned support for global Internet freedom, sometimes chastising the executive branch for not doing enough.  Last week Rep. Christopher Smith, R-New Jersey, introduced a new version of the Global Online Freedom Act, which aims to punish companies that sell censorship and surveillance equipment to authoritarian regimes or support the suppression of online dissent around the world. In recent years, Congress has repeatedly allocated funds for tools that help Internet users  get around those surveillance regimes.

It is thus only reasonable to expect that Internet-related legislation should be consistent with Congress' repeated commitment to uphold and protect rights of Internet users globally.

Contributors to Global Voices on all continents face increasingly sophisticated surveillance and censorship. Several are in jail right now because of  their online activities, and others are in exile. Passage of the Stop Online Piracy Act or Protect IP will send a loud signal to governments everywhere that it is fine to monitor and censor citizens' online behavior to catch and prevent "infringing activity," which too often means political and religious dissent. The  result will be a world even more dangerous and difficult for bloggers and activists than it already is.

@highlight

Ivan Sigal and Rebecca MacKinnon say Congress is mulling bills to stop online piracy

@highlight

Laws would make social media platforms proactively police for copyright violations, they say

@highlight

They say drafters mean to protect copyright, but effect will be to stifle dissent

@highlight

Writers:  Laws should reflect Congress' stated aim to protect rights of Internet users globally