(CNN) -- Imagine you served for one year with the U.S. Army in Iraq. Imagine you served an additional tour in Afghanistan a year later.

And imagine being injured in that last tour after a roadside bomb exploded from beneath a trashcan as your Humvee rolled by. Your buddy sitting next to you was killed. After you left the Army and returned home, you had trouble focusing. You had headaches and issues with your vision. You realize you returned with what might be a Traumatic Brain Injury. And maybe Post-Traumatic Stress Disorder, too.

Imagine you also have two kids younger than 7 who haven't seen you very much for the last half decade. Imagine you're struggling to find a job. You've got a lot on your plate. And you're understandably stressed.

You don't want to let down your family. And you don't want to be viewed as weak or a wimp by your buddies.

Opinion: Why women are less free after Iraq War

You summon the courage to overcome the stigma, and you go to your local Department of Veterans Affairs to get some help. You file a claim for disability benefits to get the care and compensation you've earned and the support you need to keep your family afloat financially. You're hopeful.

Now imagine waiting 600 days before you get an answer from the Department of Veterans Affairs. 600 days.

600 days of staring at your mailbox. 600 days of phone calls to check in. 600 days of bills piling up. 600 days of disappointment.

Sounds crazy, right? Well, for thousands of veterans nationwide, it's real life.

If you are a young vet who's filed a claim with the Department of Veterans Affairs in New York or Los Angeles, you will wait an average of 600 days. And you're not alone.

More than 900,000 veterans of all generations are stuck in a bureaucratic logjam that, in 2013, is the almost too absurd to believe. After 10 years of war, three VA secretaries, and an increase in the overall department budget of 40% since 2009, an incredible 97% of veteran's claims are still on paper.

Yep, paper.

America has soldiers in Nevada piloting drones remotely that can strike a target thousands of miles and two continents away, but 97% of our veterans' benefits claims are still on paper.

Earlier this month, the Center for Investigative Reporting released a leaked internal VA document that showed the entire world what veterans nationwide have known for years: the VA backlog problem is even worse than reported.

The VA has reported that the average claim wait time was 273 days. For the first claim filed, it's longer: 316 to 327 days. In Los Angeles, that figure is 619. In New York, it's 642. In Indianapolis, it's 612 days. And vets with first-time claims in Reno, Nevada, wait 681 days.

The VA has testified that it has hired 3,300 new claims processors, but it has failed to report that, because of staff turnover, the net increase in processors is only 300 since 2010. And, in Chicago; Waco, Texas; and Oakland, California, the overall number of claims processors has gone down.

Since the internal documents were leaked last week, we've yet to see a public response from VA Secretary Eric Shinseki or from the commander in chief.

Some 2.6 million men and woman answered the call to serve in Iraq and Afghanistan. But now, a decade later, President Barack Obama is not answering their calls for help. And the public still doesn't seem to get it.

That's why this week I'm joining veterans from across America as we take our stories to Washington.

Hans Blix: Why invading Iraq was a terrible mistake

Veteran leaders from some 22 states are converging on the Capitol to "Storm the Hill," where we'll be pressing elected officials to confront and solve the backlog. You can see their faces and read about their stories at the Iraq and Afghanistan Veterans of America website, www.IAVA.org. They are an amazing group of men and women (and one dog) that have overcome tremendous obstacles. And now, they're taking on another one: the VA backlog.

Just like we've been trained, we won't quit until the job is done. No matter how long it takes, we'll keep fighting.

Our brothers and sisters deserve support for their sacrifices. And every single American should stand with us to #EndTheVAbacklog once and for all.

Ten years after the start of the Iraq War, there are a lot of folks who say they support the troops. Now is the time for them to show it.

The opinions expressed in this commentary are solely those of Paul Rieckhoff.

@highlight

Paul Rieckhoff: Afghanistan, Iraq veterans can wait 600 days or longer for claim response

@highlight

He says after 10 years of war, 97% of claims are still on paper, a logjam that hurts vets

@highlight

He says VA says it has hired processors, but high turnover keeps number low

@highlight

Rieckhoff: Veteran leaders in D.C. to "Storm the Hill," get officials to deal with backlog