I enjoyed having tea with Teru Yamada one Sunday afternoon recently.

It felt like visiting an elderly relative in my native London, except that the 78-year-old widow lives in a cramped prefabricated housing complex about 37 miles (60 kilometers) from the crippled Fukushima Daiichi nuclear plant in north-eastern Japan.

She was one of thousands of people displaced by the devastating earthquake and tsunami that struck the region last March.  Like other survivors, her family moved in to temporary housing, where the Red Cross helped them to settle in with a package of household electrical appliances including a rice cooker, TV and refrigerator.

I had visited her twice before during my work with the Red Cross, which had taken me to Japan five times since the disaster.

In the week that followed the massive earthquake, I was based in the busy Japanese Red Cross office in Tokyo dealing with the huge number of requests for information from the international media. The questions followed a familiar pattern: What were the main needs? Was the situation improving? How were people coping with the nuclear danger?

Each day I relayed reports from Japanese Red Cross President Tadateru Konoe, who was out in the worst affected areas assessing the situation. He described what he was seeing as comparable to the flattened ruins of Osaka and Tokyo during World War II.

But amid the chaos, I recognized that the elderly were perhaps the most vulnerable and needed constant support to prevent them from being isolated and neglected in the aftermath.

It was during my third trip to Japan that I first met Teru at her temporary housing complex. She had recently visited the home she had been evacuated from, which was inside the mandatory 12-mile (20-kilometer) exclusion zone that surrounds the quake-damaged Fukushima nuclear plant.

Journey inside Japan's nuclear exclusion zone

She told me how she managed to retrieve a photograph of her husband, who died just months before the tsunami, ad well as his spirit tablet -- common sight in homes in many Asian countries as a place where the spirits of ancestors reside. It was a moving sight as she lit a stick of incense and bowed before his portrait.

When I visited her again in January it was heartening to see her in more cheerful spirits. She had been keeping herself busy making elephants out of toweling, part of a community project set up by a local non-profit organization.

Yet it soon became clear that life for her remained full of ups and downs. In October, she, her daughter and grandson were allowed another visit to their old home.

Living with the aftermath of Japan's tsunami nightmare

"I felt very disappointed," she recalled. "The grass had grown so long around the family home, a herd of cows nearby was running wild and it was very sad to see them."

Despite Teru's initial cheerfulness, the emotional strain began to show and she broke down in tears. She said she missed life in her village. "I was born there and married someone from only four kilometers away and spent my whole life there," she said.

However her daughter remains stoical. "Sometimes I tell myself that I must stop thinking of myself as a disaster survivor or victim," she said.

Witness to disaster: Japan's tsunami

Further north, in the coastal town of Otsuchi, Tomokazu Sato paced over the concrete foundations that are all that remain of the house where he grew up until the age of 18. "It still doesn't seem real; I can hardly believe this has happened," he said.

His grandmother lost her life when the tsunami swept in. "She was in the house by herself, because my mother had just gone up the hill to renew her driving license," he recalled.

As Sato stood in the road in front of the empty space where his house once stood, he showed me a photograph of himself age 20, together with three of his best friends, all dark suited, at their coming of age day celebration to mark the legal passage into adulthood -- when young adults can do things like vote and purchase alcohol.

"The guy on the right lost his mother and sister, the guy on the left's father and elder brother are still missing," he said. Sato explained that the fourth member of the group died in a car accident eight years ago. "His grave has been washed away."

In the nearby town of Yamada, where the Japanese Red Cross is handing over six school buses to local schools, we sit down with a couple of students from a local school.

The two 13-year olds radiate a calmness and cheerfulness that's reassuring in kids so young.

A local education department official told me that parents here are still suffering from stress as a result of the disaster, and are passing on this unease to their children.

When I asked Kaito and Nao about their parents, Kaito said his father has a job provided by the local government in an oyster fishing cooperative. But he said his father remains anxious about when the authorities will make a decision on the location of new permanent homes.

Nobody seems to have a clear idea how long they will have to spend in the temporary housing and many of the decisions on reconstruction have yet to be taken.

Nao said it is difficult getting a proper night's sleep in the temporary housing. "You can hear people snoring and shutting doors in the nearby houses," he said.

But what are the two youngsters' hopes for 2012?

"I just hope there will be no more earthquakes," said Nao.

"I hope that more shops will open in our town so it will gradually be a bit brighter," added Kaito.

@highlight

Francis Markus worked for the IFRC in Japan after the March 11 earthquake and tsunami

@highlight

Recognized the elderly were perhaps the most vulnerable of the survivors

@highlight

Many had been evacuated from area around quake-damaged Fukushima nuclear plant

@highlight

Much frustration over when they will be able to move from temporary housing complexes