Cap Haitien, Haiti (CNN) -- Haiti's government appeared Tuesday to have lost control of Cap Haitien, where demonstrators angry over what they see as the United Nations' role in starting the ongoing cholera epidemic controlled many of the streets for a second consecutive day.

At the airport in the country's second-largest city, commercial flights were suspended Tuesday. Police were not wearing uniforms in an apparent attempt to elude the wrath of Haitians, who had torched at least one police station on Monday.

The only way to get from the airport into town was by motorcycle. Barricades composed of burning tires and vehicles blocked cars from traveling on many of the roads.

As the sun set, smoke from the many fires mixed with tear gas fired by peacekeepers, and hovered over the city.

The office of Prime Minister Jean-Max Bellerive had said early in the day that it was sending a delegation of government ministers by helicopter from the capital city of Port-au-Prince to Cap Haitien in an attempt to orchestrate a return to order, but by nightfall they were not visible.

In Cap Haitien, at least one demonstrator was killed in riots Monday by a U.N. peacekeeper.

At a hotel, guests were hunkered down, unwilling to brave the chaos of the streets.

The focus of the the Haitians' ire centers on their contention that the cholera outbreak blamed for more than 1,000 deaths was started when untreated sewage from a Nepalese contingent of peacekeepers entered the water supply.

That assertion has been denied by the United Nations.

Protesters have demanded that the U.N. forces pull out of Haiti.

Cap Haitien is in Haiti's North Department, which has had the nation's highest rate of cholera deaths. Of the 1,578 people hospitalized in the department from cholera, 119 have died. The 7.5 percent death rate is the nation's highest, according to figures released Tuesday by the Ministry of Public Health.

The U.N. stabilization mission in Haiti charged that the riots may be politically motivated in advance of elections set for November 28.

"The way in which the events unfolded leads to the belief that the incidents had a political motivation, aimed at creating a climate of insecurity on the eve of the elections," the U.N. mission, known by the acronym MINUSTAH, said in a statement Tuesday.

"MINUSTAH calls on the population to remain vigilant and not let itself be manipulated by the enemies of stability and democracy in the country," the statement said.

Imogen Wall, a spokeswoman for the United Nations, said at least one U.N. warehouse has been looted and that a flight that was to have carried cholera supplies intended for Cap Haitien was suspended.

"Cap Haitien is very serious for cholera right now," she said. "You can't run cholera response in this atmosphere."

In the town of Hinche, northeast of the capital, about 400 demonstrators protested the peacekeepers, six of whom were injured, said Vincenzo Pugliese, a spokesman for MINUSTAH.

"This is a situation that began with a child who was in agony with cholera," said Lesley Voltaire, a former minister of education and presidential candidate who was campaigning for the upcoming elections. "They were calling ambulances and MINUSTAH but nobody came. The kid died in front of many people and made the people furious."

Voltaire insisted the protests were spontaneous. "The Nepalese [peacekeepers] are their target," added Voltaire, who said he was stranded at a local hotel overnight after the riots erupted on Monday and the airport shut. "People believe the cholera came from Nepal."

In Quartier Morin, a municipality in the Cap Haitien arrondissement, a protester was killed after he was hit by a peacekeeper who fired in self defense, the U.N. said. An investigation is underway.

The cholera outbreak, which was confirmed last month in northwest Haiti, has killed 1,034 of the 16,799 people who had been hospitalized with the disease, the Ministry of Public Health reported.

It has been confirmed in seven of the country's 10 departments.

So far, the government has been keeping track of the outcome only for those patients who have sought treatment in hospitals.

"We are now trying to ramp up the collection of data from the communities so that we can get a more realistic figure," Deputy Special Representative and Humanitarian Coordinator Nigel Fisher told reporters Monday at the United Nations in a teleconference call from Port-au-Prince. "We expect to have, once that data comes in, a significant increase in recorded cases."

But counting the deaths that occur in the community will be difficult, said Pan American Health Organization spokesman Dan Epstein.

He noted that care is being provided by "tons of NGOs," each with their own hospitals and health centers. "We're trying to integrate everything so we have one main source of information for Haiti, and that's a real challenge."

The government was trying to halt the spread of rumors and to educate the populace via radio and television programs about how to stem the spread of the disease, which experts say is relatively easy to treat through oral-rehydration therapy, and to prevent, through good hygiene.

Both are often in short supply in much of Haiti, the hemisphere's poorest country. Its already fragile infrastructure was worsened during last January's earthquake, which killed more than 200,000 people. Since then, more than 1 million people have been living in makeshift camps in and around the capital.

Still, many of the camps are equipped with latrines and most people in the camps are getting clean, chlorinated water, Fisher said. "Our concern has been, I must say, less for the camps than it has been for the slums," he added, citing the Cite Soleil slum in the capital as an example. It has neither latrines nor access to clean water, ripe conditions for the spread of the disease. "It is moving more rapidly in the slums than in the camps," he said.

Despite the dire conditions and the mounting death count, he said, "the government strategy, which we support at the moment, is to look at ways in which the (November 28) elections can go ahead -- even with the situation of cholera."

Planning has begun on how to disinfect polling booths between voters, he said. The situation has gone far beyond one of health or sanitation, he said. "It's an issue, obviously, of national security."

Efforts are under way to get 10,000 to 12,000 more "cholera beds" in place, and plans are being put in place to transport the sickest people to treatment centers, which some residents don't want, he said. "One of the demonstrations in Port-au-Prince was against the transport of sick people from a triage center to a cholera treatment center," he said.

The government has asked Haiti's mayors to handle the disposition of bodies, but city authorities need help on how to do that, he said.

The team leader in Haiti for the U.S. Centers for Disease Control and Prevention's anti-cholera effort said the agency determined that the strain of the bacteria is found not only in South Asia but elsewhere. "This is not an uncommon strain," Dr. Jordan Tappero told CNN in a telephone interview from Port-au-Prince. "It's around the world."

He described the bacteria, orginally found in the Artibonite River in the country's northern region, as "like a hitchhiker," having arrived in Haiti through contaminated food, water, or in an infected individual who may have had no symptoms.

"Trying to figure out who did it and what country they came from, I think, is extremely challenging to do, probably not possible," Tappero said. "What we should focus on, as we have been, is preventing deaths."

Those prevention efforts include training health care workers, few of whom have experience treating patients who may be losing up to a liter of water per hour. "It requires some training" to manage them well, he said.

The goal, he added, is to get mortality to less than 1 percent, "and we're not there yet." Indeed, as of Tuesday, the death rate among hospitalized patients with cholera was 3.9 percent nationwide, according to the Ministry of Public Health.

The United Nations, which has appealed to international donors for $164 million in aid, said it anticipates as many as 200,000 Haitians will be sickened with cholera over the next six to 12 months.

Symptoms of the acute, bacterial illness, which is caused by drinking tainted water, can be mild or even nonexistent. But sometimes they can be severe: leg cramps, profuse watery diarrhea and vomiting, which can cause rapid loss of body fluids and lead to dehydration, shock and death.

CNN's Tom Watkins contributed to this story.

@highlight

NEW: Haiti's government appears to have lost control of Cap Haitien

@highlight

NEW: Haitians blame the Nepalese contingent of peacekeepers

@highlight

NEW: The Centers for Disease Control and Prevention says it's likely impossible to pinpoint the source

@highlight

MINUSTAH charges the riots may be intended to spread unrest ahead of the elections