(CNN) -- Amid our vacations, fireworks and barbecues Wednesday, it's easy to forget that we are actually commemorating the signing of the Declaration of Independence. The most famous phrase from that document is one of our nation's founding values: "All men are created equal." As it happens, this July Fourth week brings two significant victories for that value that are worth celebrating.

Most Americans are probably not aware that since 2011, more than two dozen measures have passed that will make it more difficult for some eligible citizens to vote, denying them the opportunity to participate equally in our democracy. Too often, it appears that politicians are trying to manipulate voting laws to save their jobs and pick their voters, rather than allowing all voters to choose their politicians.

The good news is that the public, the courts and some elected officials have fought these new restrictions in several states, including Ohio, Maine, Missouri and, just Tuesday, Michigan.

Another view: Voter ID laws are common sense

To the surprise of many -- at the urging of good government and voting rights groups, several editorial pages and many of Michigan's citizens -- Gov. Rick Snyder vetoed a package of restrictive voting laws in that state. One of the bills would have restricted voter registration drives.

Under that bill's proposed rules, the League of Women Voters of Michigan, which has conducted voter registration drives for decades, would need to attend mandatory, state-approved training sessions. But the law did not say how widely those trainings would be available. The law also would have required volunteers to sign an intimidating form threatening them with criminal prosecution for vaguely defined offenses. (In May, U.S. District Judge Robert Hinkle stopped a similar requirement in a Florida law, saying this can have "no purpose other than to discourage voluntary participation in legitimate, indeed constitutionally protected, activities.")

Also this week, the state of Florida confirmed it will likely not resume its purge of the voter rolls, which gained national notoriety and could have kept thousands of eligible citizens from voting in November.

Florida Gov. Rick Scott claimed the purge was necessary to get noncitizens off the registration rolls. Of course, if a state confirms that noncitizens are on the rolls, it should take appropriate steps to remove them. But that is not what the Sunshine State was doing. Rather, the state created a list rife with errors that many local election officials warned from the start was inaccurate. This flawed list was used to send purge notices to hundreds of eligible citizens, disproportionately Hispanic and members of other minority groups. Among them was Bill Internicola, a Brooklyn-born 91-year-old WWII veteran, who said he was "flabbergasted" when he received such a letter.

Another view: Economic policies will discourage Hispanics, not voter ID laws

Last week, the same judge who stopped part of Florida's registration law scolded the state for the "major flaws" in its purge, which was "likely to have a discriminatory impact" on the tens of thousands of newly naturalized citizens in the state each year. Moving forward, Florida must create strict and uniform criteria for developing purge lists, as suggested in the Brennan Center's 2008 "Voter Purges" report, one of the first systematic examinations of the chaotic and largely unseen world of purges.

Sadly, the news isn't all good. The Brennan Center estimates that 16 states have passed restrictive voting laws that have the potential to affect the 2012 election. These states account for 214 electoral votes, or 79% of the total needed to win the presidency.

Elections should not be decided by politicians who manipulate voting laws for partisan gain. Improving our elections need not come at the expense of our shared value that all citizens should have the opportunity to participate in our democracy. If we truly want to make our election system better -- and get past the voting wars seen in Florida, Michigan and across the country -- the first step is to modernize voter registration, which could add more than 50 million eligible voters to the rolls, permanently.

Even though voter files are kept on computers, citizens must fill out paper forms to register, and can be dropped from the rolls due to errors or address changes. Modernizing registration would use digital technology to enable citizens to register and stay registered to vote, and to update their registration online.

In recent years, at least 21 states have moved forward to automate voter registration at Department of Motor Vehicle offices, a step supported by officials from both parties. Experiences in the states demonstrate that this increases accuracy and registration rates, minimizes the potential for fraud and saves money.

All eligible citizens should have the opportunity -- and responsibility -- to vote. The right way to honor our Founding Fathers is to ensure their bold ideals of equality of opportunity are upheld. Let's make our election system better, and reject measures that restrict access to the polls.

The opinions expressed in this commentary are solely those of Lawrence Norden.

@highlight

Lawrence Norden: Since 2011, more than two dozen restrictive voting measures have passed

@highlight

Fortunately, some states have rejected them, as Michigan did Tuesday, says Norden

@highlight

Florida will probably not resume its notorious purging of voter rolls, he says

@highlight

Norden: Modernizing voter registration could add 50 million eligible voters to the rolls