Washington (CNN) -- What a difference.

Barack Obama assumed the presidency four years ago on a day full of history and hope. The second time around there is less hype, far lower expectations, and no illusions about the capital's political climate.

"I just want things to work," then President-elect Obama told CNN in an interview days before taking office in 2009.

To revisit that conversation is to be reminded that on many of the big issues on the original Obama agenda, Washington did anything but work -- or at least work together.

Obama's address: Full text

His signature first-term achievement -- health care reform -- was accomplished despite near unanimous Republican opposition. Many other priorities he listed just before taking the oath of office four years ago are still waiting for serious attention - or progress -- as he begins term two.

"The deficit levels I'm inheriting -- over $1 trillion coming out of last year -- that is unsustainable," the president-elect said in his final interview before the 2009 inauguration. Yet deficits in each of his first four years topped $1 trillion.

More of his first inaugural wish list: "Let's get a handle on Social Security. Let's get a handle on Medicare."

Four other priorities for Obama's next four years

Deficits, Social Security and Medicare are now carrying over to the second-term agenda. So does immigration. New to the list is a promise to push an assault weapons ban and other gun controls.

What do all of these have in common? They are issues ripe for confrontations with Republicans, especially at a time the GOP's conservative base is determined to reassert itself.

Yet that wish list also puts the president at odds, to varying degrees, with members of his own party. Liberals, for example, vow to resist any major Medicare changes. Centrist and conservative Democrats, especially those with tough re-election prospects in 2014, are hardly rushing to embrace new gun controls.

Inaugural poet: My story is America's

Not to mention a varied and unpredictable portfolio of international challenges -- from a volatile Middle East to evolving economic and security challenges in an Asia increasingly defined by China.

And then there is this: the ticking clock of any president's second term. How long will it take before the lame duck debate begins in earnest?

Second term priorities

"They won't have more than a year, 18 months tops," said the veteran Republican strategist Mary Matalin, who in addition to her deep campaign experience served as a top adviser to President George W. Bush and his vice president, Dick Cheney.

Her own experience in the second Bush-Cheney term shapes her early take on the political climate as Obama begins his fifth year in office: "With the six-year itch midterm and a 2016 open primary looming, it will be all positioning all the time."

As in the first four years, the strength of the American economy will determine more than anything else how much room the president has to advance his top priorities.

A unified voice rises from a divided place: Mr. President, please fix America

Education. Science and technology advances. Critical infrastructure investments. Top Obama adviser David Axelrod lists those as first-term priorities that, in his view, not only carry over to the next four but will shape whether the second Obama term is a success.

"How do we position the American economy for the 21st Century?" is Axelrod's one sentence take on the president's second-term challenge.

A tale of two terms

Obama's preparations included a recent session with presidential historians to discuss not only the climate he faces, but the historical differences for past presidents given the opportunity to serve a second term.

President Obama is the fourth of the last five presidents to get a second term. The others - Ronald Reagan, Bill Clinton and George W. Bush - all had major events that undermined their political standing.

For Reagan it was Iran-Contra. Clinton had the gift of a booming economy, but any thought of making progress on major generational challenges, like Medicare and Social Security, were sidetracked by the Monica Lewsinsky scandal and the impeachment saga.

Obama in select company

Bush began his second term with opposition to the Iraq war on the rise, and was further damaged by the deeply held view that his administration failed to properly respond to Hurricane Katrina.

To Matalin, a fierce Republican critic, a major early second-term challenge for Obama will be to change what she sees as a political reflex that has undermined his ability to work with GOP leaders in Congress.

"Second terms exacerbate both strengths and weaknesses," she said. "If you are humility challenged, self-reverential and self-righteous like Obama, you get even more hubris and demonize rather than debate your opponents."

Biden on Obama at start of second term: 'In simpatico'

Obama aides bristle at suggestions he is responsible for the trust deficit with the GOP; they say Republicans made a decision very early on in the first term to oppose virtually every Obama initiative. In their view, the burden is on the GOP in term two to show a more cooperative tone and mindset.

Matalin also raised an operational challenge for second-term presidents: high turnover in senior positions, from the White House staff to key Cabinet positions.

"Anyone who hasn't left is exhausted," she said. "Anyone who is new is not top drawer."

Obama's second-term priorities

@highlight

At the start of his second term, Barack Obama has major issues left undone from his first

@highlight

Deficits, Social Security and Medicare are carrying over into his second-term agenda.

@highlight

Education. Science and technology advances also are issues that may shape next four years