As investigators search for clues to what happened to Malaysia Airlines Flight 370, the answer to one question may prove key: Why did the transponder in the Boeing 777-200ER stop transmitting information?

The fact that it happened at all is astonishing to John Nance, a broadcast aviation analyst and veteran pilot. "It is hard to conceive of a situation in which a triple seven would lose all ability to have its transponder on and the crew would not find some way to communicate," he told CNN.

A senior Malaysian air force official said Tuesday that the plane traveled hundreds of miles in the opposite direction from its original destination, and had stopped sending identifying transponder codes before it disappeared from radar screens.

Suggestions that the plane veered off course and that its transponder was not working raise questions about a hijacking, but a catastrophic power failure or other problem might also explain the anomalies, analysts said.

Here are some of the options:

Turned off intentionally

Kit Darby, a longtime pilot, said Tuesday it was not clear whether the transponder was turned off intentionally. A power failure would have turned off the main transponder and its backup, and the plane could have flown for more than an hour with such a power failure, the president of Aviation Information Resources told CNN's Wolf Blitzer.

But Nance expressed doubt that that could have been the case. The electrical system aboard the plane is so robust and the transponder draws so little power that it would be one of the last pieces of equipment to go dark, even after a catastrophic event like an engine explosion or a breach of the cabin and rapid decompression, he said.

"I'm in a head-scratching mode," Nance said. "The most likely probability is that a human hand turned that off. Then you get into the logic tree of who and why and there aren't that many channels in that tree."

He added, "This is beginning to look very, very much like a hijacking."

A former Federal Aviation Administration safety inspector agreed. David Soucie, author of "Why Planes Crash," cited the redundant electrical, charging, battery and communications systems on Boeing 777s. Much had to go wrong for the aircraft to lose its transponder and then to veer off course, he said, adding that it stands to reason "that someone forced those pilots to take control of the aircraft and take it off course."

Turning off a transponder requires a deliberative process, said Peter Goelz, former managing director of the National Transportation Safety Board. "If someone did that in the cockpit, they were doing it to disguise the route of the plane," he told CNN. "There might still be mechanical explanations on what was going on, but those mechanical explanations are narrowing quickly."

Questions and answers

'Patchy' radar

Alastair Rosenschein suggested that a pressurization problem may have been to blame. If the plane lost pressure and the pilots failed to don their masks within a few seconds, "they would become unconscious," the aviation consultant and former British Airways Boeing 747 pilot told CNN. "The aircraft would continue on the last heading."

If that happened, the plane may have crashed in the middle of the Indian Ocean, nowhere near where the search is going on, he noted.

How does he explain the loss of the transponder signal?

"It is possible that, even with the transponder putting out a signal, the radar controllers didn't notice it, pay attention to it or receive it," he speculated. That would be rare, he acknowledged, but so too is the disappearance of a jetliner.

And radar is "pretty patchy" around there, he said.

The transponder broke

The mechanics of the device may have been at fault, said Kirk Fryar, president of Sarasota Avionics, which sells the devices. "They're not supposed to break, but they do break," he told CNN. "Sometimes the transponder itself could be off frequency, not sending the right pulse."

The boxes are located in the cockpit, within reach of the pilot, copilot or both, he said. Each is equipped with an on, standby or off mode.

And there is often more than one. "Boeing would have at least two transponders," he said. "What happens is sometimes you're flying along and, say, your transponder breaks and reports the wrong code or wrong altitude, air traffic control will go, 'You need to turn it off because we're getting erroneous readings,'" he said.

And, if one were to break, the pilot or copilot would have to flip a switch to replace it, something that a pilot stressed during an emergency might not do.

An antenna malfunction may also have been to blame, but that would be unlikely on a Boeing, which undergoes routine maintenance checks, Fryar said.

See more of our coverage on missing Malaysia Airlines Flight 370

Flying below the radar

Flying below the line of sight of the air traffic controller is another way for a transponder to stop identifying a plane. "The higher you are, the better sensitivity you're going to have to air traffic control," he said.

That would be improbable during a routine flight from Kuala Lumpur to Beijing, the itinerary that the Boeing jet was on when it fell off radar early Saturday.

He too cited the possibility that it was turned off intentionally. Why might that have happened? To escape detection. Fryar recounted when he and his flying instructor flew into airspace over Denver without having communicated with air traffic control.

"He goes, 'Oh, my God, we're going to get in trouble,' flew 500 feet off the ground, turned off the transponder. They can't find you, basically." Thirty miles later, he switched it back on and the two completed their flight without incident.

CNN Law Enforcement Analyst Tom Fuentes said Tuesday he was not persuaded by any of the theories: "There's still as many possibilities out there, maybe more, now that we know about the transponders being off and the length of time that plane flew in the air without them. It still leaves mechanical, terrorism (and) other issues as much in the air as they were before."

History

Transponders have been around since World War II and commonly used in general aviation since the late 1960s, said Fryar.

It supplemented military radar, which was unreliable -- unable to distinguish a flock of birds from a plane, he said.

A transponder for use in general aviation would typically cost from $2,000 to $7,000; versus $20,000-$30,000 for a commercial airliner.

There's nothing fancy about the technology. An air traffic controller sends out a radar sweep that contains a microwave pulse requesting information; the transponder decodes the request and sends back that information -- identity of the aircraft, its location, altitude and speed.

Primer:

Q. What information does a transponder send, and who does it send it to?

A transponder is a radio transmitter in the cockpit that works with ground radar. When the transponder receives a signal from a more sophisticated ground "secondary" radar, it returns a squawk code with the aircraft's position, its altitude and its call sign. It is constantly being radar pinged, helping air traffic controllers on the ground determine the airplane's speed and direction, too.

Q. What does "squawk" mean?

It's a four-digit identifying code that the pilot enters into a transponder for each flight. It helps air traffic control recognize each plane.

Q. Why are transponders necessary?

Primary radar is more basic, effective only at seeing the radar reflection of objects. It paints targets, displaying them with a blip on a screen. The bigger the object, the bigger the reflection. Transponders enhance the reflected signal and provide the additional information for air traffic control.

Q. Is there a way to use it to indicate a problem on board the aircraft?

There are codes for different emergencies. For a hijacking, it's 7500. For communications failure, 7600. Emergencies are 7700.

Q. How do you turn off a transponder?

There is a switch that you would move from "ON" or "SBY" (standby) or "ALT" (altitude). You could also pull the circuit breaker for the transponder in the cockpit.

Q. Why would you turn off a transponder during a normal flight?

There could be several reasons. One reason could be when airplanes get close to each other (perhaps they are approaching an airport). Air traffic controllers may then request pilots to turn the transponders off or to standby. Also, if the transponder is sending faulty information, the pilot might want to turn it off. Planes are still visible on primary radar until they get below the radar's coverage ability.

@highlight

"This is beginning to look very, very much like a hijacking," says John Nance

@highlight

"Mechanical explanations are narrowing quickly," says former safety board managing director

@highlight

Transponders: "They're not supposed to break, but they do break"