(CNN) -- Even from the moment they were set down in the Declaration of Independence, Thomas Jefferson's immortal words "all men are created equal" have always been awkward and challenging.

They're not awkward and challenging because they're incorrect. On the contrary, they're some of the truest words ever put to paper. Instead, they're awkward and challenging because -- for a nation built by slaves, where only a fraction of the population owned land and even fewer could vote, where an entire gender was held at bay for centuries -- these words were the sand in our collective eye that urged us, always, to be better, fairer and more decent to one another.

Stephen Douglas, Abraham Lincoln's opponent in the historic debates of 1858, asserted that the Declaration was a contract between Englishmen only. That excluded not only African-Americans and Hispanics but also the Italians, the Swiss, the Asians -- almost anyone but Douglas and a few select friends.

Lincoln retorted, "Why, according to this, not only negroes but white people outside of Great Britain and America are not spoken of in (the Declaration). ... The French, Germans and other white people of the world are all gone to pot along with the judge's inferior races. I had thought the Declaration promised something better."

Though he lost that race to Douglas, a greater triumph awaited Lincoln. On his way to his presidential Inaugural, Lincoln stopped in Philadelphia's Independence Hall and said, "I have never had a feeling politically that did not spring from the sentiments embodied in the Declaration of Independence."

We are now 237 years into the history of the document that Lincoln so cherished, and even today, Jefferson's words are still awkward and challenging. We are still realizing the potential of "all men are created equal." Equality has come slowly.

Less than a hundred years ago, women were finally constitutionally guaranteed the right to vote. Just five years ago, Hillary Clinton became the first woman to make a serious run at the presidency. This March, the Violence Against Women Reauthorization Act was approved. Some opposed it or obstructed it because of a provision that would give Indian tribes authority by their own people to bring to justice a perpetrator of violence against a woman. There was also opposition to extending the law to apply to LGBT people and immigrants. Yet despite that opposition, the law finally passed.

This week, the U.S. Senate at long last approved a law that has been before Congress in one form or another for decades. The Employment Non-Discrimination Act is a simple bill that would outlaw workplace discrimination on the basis of sexual orientation and gender identity, protections that are extended to all Americans on the basis of race, age, religion and other categories.

The fact that this law does not already exist for the LGBT community will come as a surprise to many Americans. Eighty percent of the public believes that it is already against the law to fire, or refuse to hire, someone because of their gender orientation or identification. As Americans, we trust that Jefferson's words already apply to everyone, but that dream is not realized.

Now, the Senate has brought us one step closer to that goal, offering sweeping bipartisan endorsement to this bill that is supported by broad majorities of Democratic, independent and Republican voters alike.

But once again, it appears that the House of Representatives is prepared to stand in the way of progress.

Speaker John Boehner said he will probably kill the bill by refusing to bring it to a vote. Boehner's office is offering three key arguments for stopping this civil rights legislation dead, and each one is more phony than the last.

He's called it a job killer. (Why, then, have more than 100 major corporations -- many in the Fortune 500 --endorsed it? And why is the Chamber of Commerce neutral?)

He's said it will increase frivolous lawsuits. (Only if you believe that being able to challenge your boss if he or she fires you strictly because you're gay is "frivolous.")

And his staff has said this problem is already addressed by existing law. (This one's just flat-out phony, and they know it. More than half the states in the country lack these protections.)

Contrast Boehner to another Republican, Illinois Sen. Mark Kirk, who used his first floor speech since suffering a stroke in 2012 to address the issue of workplace discrimination. His speech was halting, but he felt compelled to speak because he "so passionately" believes in equal rights for all.

"I think it's particularly appropriate for an Illinois Republican to speak on behalf of this measure," Kirk said. "In the true tradition of Everett McKinley Dirksen and Abraham Lincoln, men who gave us the 1964 Civil Rights Act and the 13th Amendment to the Constitution."

Even now, in 2013, there are those in our society who, like Douglas more than a century and a half ago, cling to a narrow and incomplete view of Jefferson's immortal words and would prefer for only some of us to be granted the full light of equality. But today I still have hope that folks like Kirk on both sides of the aisle, as well as the broad majority of Americans who support this bill, will stand up, like Lincoln before them, and once again expand the circle of liberty to include everyone.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Senate passed a law that would end workplace discrimination against gays

@highlight

Donna Brazile says the GOP might thwart the bill in the House

@highlight

She says the Declaration of Independence's stance on equality rings loud and true

@highlight

Brazile: Congressional Republicans should extend equality to all people