(CNN)Serbian forces committed egregious violent acts against ethnic Croatians in the early 1990s, but they don't equate to genocide, a U.N. court ruled Tuesday.

The 153-page ruling from the International Court of Justice means that modern-day Serbia will not have to pay restitution to Croatia, which in 1991 split from what was then Yugoslavia. The decision relates only to the two national governments' responsibility to one another, not the culpability of any individuals for targeting members of an ethnic group. Such individual cases are handled by the International Criminal Tribunal for the former Yugoslavia (ICTY), another U.N. court.

"Croatia has not established that the only reasonable inference that can be drawn from the (Serbians') pattern of conduct ... was the intent to destroy, in whole or in part, the Croat group," the International Court of Justice (or ICJ) ruled. "... It follows ... Croatia has failed to substantiate its allegation that genocide was committed."

In addition to dismissing Croatia's case that its citizens had been victims of genocide, the ICJ also rebuffed Serbia's counterclaim that Croatian forces had committed genocide against its own citizens.

This all relates to what happened in the 1990s, in the bloody aftermath of Yugoslavia splintering into separate nations. Many of the most horrific allegations have been levied against those aligned with the Yugoslavia government -- the closest equivalent to what is now the Republic of Serbia -- for its actions in Kosovo and Bosnia.

In fact, several Serbians have been charged with genocide, though none yet specifically tied to actions inside Croatia. They include Radislav Krstic, sentenced to 46 years after the ICTY convicted him in relation to a five-day slaughter of up to 8,000 Muslims in the town of Srebrenica in what's been called the worst atrocity in Europe since World War II.

Former Yugoslav President Slobodan Milosevic became the first sitting head of state to be indicted by a U.N. tribunal when he was charged with 66 counts for crimes against humanity, genocide, and war crimes, though he was found dead in his cell before his years-long trial in front of the ICTY finished.

Ex-Bosnian Serb leader Radovan Karadzic is still on trial for two genocide charges and nine others related to ethnic violence during the breakup of Yugoslavia in the 1990s. When Ratko Mladic's own trial on 11 counts of genocide, war crimes and crimes against humanity opened in 2012, the former general -- who is accused of orchestrating a horrific campaign of ethnic cleansing -- showed no remorse, even appearing to threaten victims in court.

Yet even as such individual cases push forward, courts have been reluctant to hold governments involved in the conflict directly responsible for genocide.

In 2007, for instance, the International Court of Justice acquitted Serbia of committing genocide in Bosnia and Herzegovina. But, in the same ruling, the U.N. court did find Serbia guilty of failing to prevent genocide in Srebrenica.

Tuesday's ICJ ruling relates specifically to what Serbian forces did in Croatia between 1991 and 1995.

The violence began when Serbian troops went into Croatia ostensibly to aid armed ethnic Serbians trying to create their own autonomous states there. The U.N. court considered reams of evidence, from both sides, about what happened in the years that followed.

And some of what happened, the U.N. court ruled, was consistent with genocide.

For example, the ICJ found Serbian and allied forces responsible for a "large number of killings" that disproportionately affected Croats, "which suggests that they may have been systematically targeted." The forces also "injured (ethnic Croatians) and perpetrated acts of ill-treatment, torture, sexual violence and rape (that contributed) to the physical or biological destruction of the protected group," according to the court.

Croats were singled out in other less lethal ways, like restricting their movement to create "a climate of coercion and terror" and spur them to leave, the ICJ said.  The court didn't find sufficient evidence, however, to implicate Serbian forces on other grounds, like depriving Croatians of food and medical care.

But even if some of the acts could fall under the umbrella of genocide, there must be evidence of intent -- that the forces went in aiming to destroy a group of people -- in order for these actions to be labeled genocide under the so-called Genocide Convention, which dates to 1948.

That was not proven, in the eyes of the International Court of Justice.

"In view of the fact that dolus specialis has been established by Croatia," the court said, using the legal term for a specific intent, "its claims of conspiracy to commit genocide, direct and public incitement to commit genocide and attempt to commit genocide also necessarily fail.

"Accordingly, Croatia's claim must be dismissed in its entirety."

@highlight

A U.N. court finds that Serbian forces did commit large-scale killings, other violent acts

@highlight

But there's not enough evidence showing intent to commit genocide, the court rules

@highlight

The same court dismisses Serbia's counterclaim that Croatia committed genocide