(CNN) -- Funny thing about fish: You can see right through them in their infancy and watch their organs develop.

That gave scientists looking into the aftereffects of 2010's Gulf of Mexico oil spill the chance to watch the growing hearts of large commercial species like tuna and amberjack after exposing them in laboratories to oil collected from the undersea blowout. The results ranged from abnormal heartbeats in fish exposed to low concentrations of oil to "severely malformed and malfunctioning hearts" at high levels, said John Incardona, an environmental toxicologist from the National Oceanic and Atmospheric Administration.

Incardona is the lead author of a NOAA-led study published Monday that warned those heart defects could lead to widespread losses of popular deep-sea fish in the gulf. He and his colleagues exposed bluefin tuna, yellowfin tuna and amberjack embryos to concentrations of oil "that mimicked what happened in the Gulf of Mexico," he said.

Even where the volatile compounds in oil made up as little as one millionth of a gram per liter, some fish ended up with heart problems, they reported.

"Those fish would in all likelihood survive the immediate effects of oil exposure, but would also probably end up with a milder heart malformation that could reduce their aerobic performance -- which for fish, means swimming," Incardona said.

Fishermen hauled in more than 1,500 tons of tuna and amberjack across the gulf in 2012, according to NOAA catch statistics. Scientists have already tracked a sharp decline in bluefin tuna, but the findings may spell trouble for other big fish as well, Incardona and his colleagues reported.

How extensive any losses may be is still under study, but estimates may come "in a few months," said Barbara Block, a Stanford University biologist and co-author of Monday's study.

The spill struck at a time when fish were spawning, with their embryos and larvae floating on the surface of the gulf. Since bluefin tuna in particular take eight years or more to grow up, the "the trickle-down impact of this oil spill will take a long time to manifest upon the population on a level that one could see," Block said.

The study was published in the peer-reviewed journal Proceedings of the National Academy of Sciences on the 25th anniversary of what had been the worst U.S. oil spill -- the 1989 Exxon Valdez disaster in Alaska. It's one of the "key studies" commissioned by the federal government to gauge the damage left behind by the Deepwater Horizon disaster, NOAA official Tom Brosnan said.

"It's one of the most difficult aspects of this oil spill to the particular population that we're talking about," Block said. But since bluefin have been extensively tagged electronically, both before and after the spill, "those data sets exist, and they're currently being explored to get answers to those questions."

Millions of barrels of crude poured into the gulf after the April 2010 explosion that sank the drill rig Deepwater Horizon off Louisiana and killed 11 workers. Well owner BP has already paid $43 billion in cleanup, restoration costs and fines for the 2010 blowout, and an ongoing federal court case in New Orleans could add several billion more on top of that.

BP immediately disputed Monday's findings.

"The paper provides no evidence to suggest a population-level impact on tuna, amberjack or other pelagic fish species in the Gulf of Mexico," the company said in a written statement. "The oil concentrations used in these lab experiments were rarely seen in the gulf during or after the Deepwater Horizon accident. In addition, the authors themselves note that it is nearly impossible to determine the early life impact to these species. To overcome this challenge, it would take more information than what's presented in this paper."

But Fernando Galvez, an environmental toxicologist at Louisiana State University, said the samples to which the embryos were exposed were "environmentally realistic." The effects seen in individual fish "have very strong indications for population-level impacts," he said.

"You mess up the heart, you mess up the ability of species like this to do simple functions like swim to catch its prey," said Galvez, the co-author of a 2013 study that pointed to similar problems among fish in coastal marshes hit by oil. BP also disputed those findings.

Opinion: After 25 years, Exxon Valdez oil spill hasn't ended

More about oil spills

Halliburton pleads guilty in 2010 Gulf oil spill case

@highlight

Study: Gulf oil exposure causes "severely malformed' hearts in tuna, amberjack

@highlight

The report may spell trouble for big, deep-water commercial fish

@highlight

The research is part of the damage report after the 2010 Deepwater Horizon spill

@highlight

BP says the oil levels used in the study "were rarely seen in the gulf"