Phoenix, Arizona (CNN) -- On Tuesday, an American Airlines flight carrying 154 passengers slid off a runway while landing in torrential rain in Jamaica, stopping just short of the Caribbean Sea. The impact severely damaged the aircraft -- which broke into three separate pieces -- and caused the Boeing 737's engines to shear off the wings. Thankfully, there were no fatalities; 91 people were taken to hospitals where they were evaluated and most were released.

On Wednesday, a Ryanair flight skidded off the runway in Scotland, coming to a stop 30 yards from a busy road. Amazingly, there were no injuries.

These incidents bring to mind a series of high-profile commercial aviation accidents that occurred earlier this year.

In January, the world watched in awe of the U.S. Airways "Miracle on the Hudson." In February, the nation mourned the fatal crash of a Continental Airlines flight over Buffalo and took note of a Turkish Airlines crash in Amsterdam where nine were killed and dozens more injured.

With these incidents capturing headlines, some passengers are asking, "Is commercial aviation safe?"

The answer is an unequivocal yes for two reasons. First, accidents are infrequent. According to the International Air Transport Association, there is one accident for every 1.2 million flights.

Second, most aviation accidents are survivable. The National Transportation and Safety Board reports more than 80 percent of all commercial airline accidents are survivable. In fact, you are 15 times more likely to be involved in a fatal automobile accident than a fatal commercial airline accident.

The reason: Most commercial aviation accidents occur on take-off or landing -- when aircraft are closer to the ground flying at relatively low speeds. Because the aircraft in these survivable accidents are still close to the airport, pilots often have more maneuverability to land the aircraft safely.

In contrast, non-survivable aviation accidents occur when a catastrophic event takes place in the course of a flight, such as a serious mechanical failure, major structural failure or mid-air collision.

The key to surviving a commercial aviation crash is remaining conscious during "the golden time" -- the critical 90 seconds immediately following impact. In a survivable crash, fatalities occur not only from the impact of the aircraft hitting the ground, but more frequently from smoke inhalation and fire when passengers cannot escape the aircraft quickly.

Passengers can take certain steps to protect themselves in the event of a crash. The first step is to keep your seatbelt buckled at all times -- even when the flight is not experiencing turbulence. The precious seconds it takes to secure a seatbelt when an impact is pending may be too late.

The second common step to protect yourself in the unlikely event of a commercial airline crash is to familiarize yourself with the safety features of the aircraft.

While frequent fliers may ignore the pre-flight safety briefing, understanding how to properly operate safety restraints, locating the nearest emergency exit and following the flight crew's instructions in an emergency is critical. Decisions that are made in the seconds following impact can mean the difference between life and death.

Another important factor in improving your chances of surviving a commercial airline accident is properly adopting the "brace position" when instructed by crew. The brace position stops your body from flying forward and striking the seat or interior in front of you which could result in a serious head or neck trauma.

Those injuries could render you unable to escape the aircraft during the critical 90 seconds. The seats in commercial airliners are engineered to optimize safety. The distance between seat rows and the pitch of seatbacks are all designed to keep passengers secure during an impact.

Aircraft manufacturers, airlines and the Federal Aviation Administration are constantly identifying new ways to make commercial air travel safer. To that end, a new FAA regulation took effect in October requiring the airframe and seat structure of all newly manufactured commercial airliners flying in the United States to safely absorb a crash of up to 16Gs (16 times the force of gravity).

This is an update to the current 9G standard that has been in effect since the 1950s. Airlines are taking a number of measures to comply with this new regulation including adjusting the distance between seat rows and altering the pitch of seatbacks.

One of the ways airlines are complying with the improved seating safety regulation is by installing a technology AmSafe developed to make survivable accidents even safer: the industry's first seatbelt airbag.

It is exactly what it sounds like -- an airbag located in the lap belt of an aviation restraint. In a survivable impact, the airbag inflates in less than 90 milliseconds, moving away from the passenger to fill the space in front of them, protecting their head and torso. Aviation seatbelt airbags are designed to protect against head injuries; if passengers remain conscious they have a greater chance of safely evacuating the aircraft.

While some people question the safety of commercial aviation, the safety statistics still hold. Flying in a commercial airliner is safer than driving to the grocery store in your automobile.

But the industry must not stand still. Through passenger education, improved safety standards and the application of new technologies, everyone involved in commercial aviation must remain dedicated to improving safety any way they can.

The opinions expressed in this commentary are solely those of Bill Hagan.

@highlight

Air crashes are extremely rare, says Bill Hagan, and 80 percent are survivable

@highlight

He says passengers can take several steps to increase their chances of surviving

@highlight

He says new rules require that airframes and seats be made to withstand stronger forces