(CNN) -- When change comes, it comes all of a sudden, leaving only a remembrance of the past, a previous present, as its memorial.

A moment as sudden as British Prime Minister Harold Macmillan's realization that there was a "wind of change blowing through this continent, whether we like it or not" prior to the granting of independence to so many African people 50 years ago. It is this wind that now blows again over Africa.

This time it is less political than economic but it will be just as permanent and just as shocking. And this time, it will not be awkward majors from disbanded colonial battalions muttering into their beer, it will be our well-meaning liberals that will be left behind, lumpen in its wake like a broken Luddite army.

This change will not happen because of a million posters showing our babies starving with flies in their eyes or the perpetual funds raised for mosquito nets as a panacea against our ineffective drainage systems. Though the lives of many millions were saved by campaigns such as these. It will come as swift as our Tunisian Spring, a revolution sprung by social media, and as insistent as the ringtone of our mobile phones.

Read this: Latest African gold rush - hotels

Between 2000 and 2012, mobile penetration grew in Africa from 1% to 54%. Some predict that by 2014, 69% of mobiles on the continent will have internet access. This virtual infrastructure, plus the commodity boom, has meant that 7 out of 10 of the world's fastest growing economies including, yes, Ethiopia, the poster child of our Live Aid generation, are not in Asia but in Africa.

This does not mean change will be evenly spread; it won't. The rapid urbanization and consequent youth unemployment will cause great hardship for many. The lack of administrative infrastructure to deal with this will ensure taxes are not collected and the facilities left to cope with this are not built or are built in the wrong place. Aid will continue to be a necessary feature of Africa

But despite this the realization has come that Africa is not poor but inestimably rich. And that the outright despicable, as well as our supposed friends, have been writing cheques off our backs since the day they granted an indentured independence. History will show that Africa gave more than it ever received - it is the true donor nation.

Yet despite this, Africa is throwing off its 300-year yoke. Much as China did. China, too, suffered its post-colonial period, drunk on nationalism and at best neglected by its dictators. And in many ways, Africa's growth patterns mirror those of the new China's.

In 2010 China ranked first in exports to the world market, with merchandise export sales of more than $1.5 trillion and a world market share of 10.4%. In 1998, China had less than 2% of the world market. Africa has presently 3% but with 15% of the world's population, 60% of world's uncultivated arable land and a fast-growing proportion of the world's discovered valuable natural resources, Africa's potential for growth over the next 10 years is greater than China's over the same period.

Read this: Africa's skyscraper cities

Charles Robertson, Global Chief Economist of Renaissance Capital, estimates that Africa's GDP will increase from $2 trillion to $29 trillion in today's money by 2050. Africa will produce more GDP than the combined economies of the U.S. and Eurozone do today.

In 2007, I co-hosted with the then Ghanaian president John Kufour, a dinner for 50 of the African presidents and explained how these changes would come. Back then, these words floated like fairy tales but they are becoming commonplace now in investment circles: Africa is Rising.

Last week, I returned with my Made In Africa Foundation, this time to the African Development Bank (AfDB) during its annual general meeting, in its 50th Anniversary year, to ensure that as this growth happens it benefits not just everyone else in the developed and the BRIC economies but Africans as well and in a fundamental and equitable way.

That's why I invited John Legend, Mos Def and Isaiah Washington, Youssou N'Dour and Akon to come along too, to advocate for the AfDB's audacious $68 billion PIDA plan to transform the continent in building railways, roads, clean water supplies and those things we take for granted -- the basic infrastructure of communication and trade to enable worthwhile lives for all our people.

The AfDB's plan is to raise funds through a guarantee backed by the African nations: Africa helping Africans -- the ultimate trade-not-aid policy. As Mos Def said to the philanthropist Kola Aluko, one of Nigeria's richest men: "It's about self-sufficiency and about how Africa can benefit itself, having benefited so many nations through its natural resources, history, culture and its people and now it's about a fair exchange and what Africa can do for itself."

Watch: Made in Africa Foundation

I mixed these great talents from the diaspora and Africa in amongst the finance ministers, bankers and entrepreneurs. This is what a designer looks for: the harmony in contrasts. They find their common desire to make it happen -- one group bringing this solution to the global audience, giving it transparency and encouraging investment, and the other group implementing it. That's why I set up Made In Africa Foundation with the support of a fast-growing Nigerian business, Atlantic Energy.

The message is quite simple: A small group of nations cannot forever benefit from keeping the majority of nations and people in a state of weakness. The peoples and continents of the world are not separate, they are part of the same social and economic system: a system that must return to balance and harmony. But this balance can only occur when Africa itself realizes that it is time for Africa.

The opinions expressed in this commentary are solely those of Ozwald Boateng.

@highlight

Ozwald Boateng says Africa is in the midst of an economic boom

@highlight

He addressed bankers at the African Development Bank annual meeting

@highlight

Boateng is advocating for AfDB plan to spend $68 billion on Africa's infrastructure