(CNN) -- These days, it's impossible to overstate the popularity of games for social networks, with Facebook titles like "Pet Society," "Happy Aquarium" and "Zoo World" all boasting massive followings.

To cynics, popular games such as Zygna's new "FrontierVille," which recently racked up 20 million users in just 36 days, may seem like simple carbon copies of earlier hits -- most obviously "FarmVille," which once touted four times as many players.

Not so, argue industry insiders, who maintain that imitation is both the sincerest, and most sensible, form of flattery available to today's game designers.

"Zynga certainly uses a formula for its games," says Libe Goad, editor-in-chief of Games.com. "'FrontierVille' takes elements of 'FarmVille,' including harvesting and helping neighbors, and then adds elements from more traditional strategy games to it. Since [the company] is notoriously metrics-driven, I predict that they will stick to this formula... It seems to be working well for them."

It's a sentiment clearly echoed by Wade Tinney, CEO of Large Animal Games, makers of popular Facebook, MySpace and Bebo outings like "Bumper Stars" and "Lucky Strike Lanes."

"Certainly there are some play mechanics that reappear in 'FrontierVille,' but I'd expect that from any game developer," he says. Arguing that "FarmVille" was "basically a rip-off" of earlier title "myFarm" anyway, Tinney counters that "FrontierVille" is "a step in the right direction" for the company because it offers a more original take on an existing formula.

The idea of recycling core game mechanics isn't really a big deal -- witness the number of military-themed shooters on the market for PCs and consoles, Tinney said. "If something works well, why not keep using it?"

"Games in general, including board games, sports, video games and more, tend to use successful mechanics over and over again, just like movies have formulaic plots," concurs Brenda Brathwaite, creative director at lolapps.com. "It reduces risk and takes advantage of existing player knowledge."

But Brathwaite believes the practice of recycling game concepts, while appealing to profit-minded companies, also has the potential to backfire.

"In casual games, players not only want, but need to have some kind of idea how to play a game when they first [try] them, and these common paradigms provide context," she says. "The key, however, is to innovate on them or introduce a completely new mechanic. The potential downside is that players can get tired of the same old patterns over and over again."

In FarmVille, players manage a virtual farm by planting and harvesting virtual crops and raising livestock. FrontierVille transplants this concept to the wilderness, where players fell trees, clear brush, find arrowheads and build a Western-themed homestead.

Some outspoken critics say that enough is enough already.

"There will always be some players who want more of the same," says Joel Brodie, founder of casual game reviews site Gamezebo.com. "I think the majority of game players online, however, have a short attention span and always want to be challenged."

"Some companies are releasing very innovative games," he says. "Examples include 'Lucky Train' (create and send trains between friends), 'Office Wars' (create an army of office workers and fight away) and 'Growing Diary' (a chance to relive your life as a 5- year-old).

"I think the bigger question is whether companies that take such risks are rewarded with success on Facebook. 'FrontierVille' in one hour is making more money and driving more game traffic than all the innovative games combined."

For those seeking the next big thing, experts agree that social games are just scratching the surface when it comes to pushing creative boundaries. "Social game makers are just getting warmed up," says Games.com's Goad, citing Playfish and its swashbuckling title "Pirates Ahoy!" as a prime example.

"Nobody's run out of ideas," agrees Brathwaite. "In fact, I think we're seeing more diversity of topics in social games than we're seeing in the traditional game market. Because of [social gaming's] nature and shorter development cycles, though, we're also more able to see the 'me too' clones way faster."

@highlight

Zygna's "FrontierVille" recently racked up 20 million users in 36 days

@highlight

Tinney: "FrontierVille" is "a step in the right direction" for the company

@highlight

"Social game makers are just getting warmed up," says Games.com's Goad