(CNN)From the buzzing message boards on local social networking site Red Social de Cuba, to the hip campus of the University of Havana, young residents of the island are riding a wave of optimism following the historic announcement of a new deal with the U.S. on December 17.

"I hope for new investments in different areas of our economy," says Pepe Nieto, a young, privately-employed graphic designer in Havana. "That means more work, more advertising. Everybody who is ready to work hard will benefit."

Across social media, mooted upgrades to Internet infrastructure are causing as much excitement among young Cubans as a new iPhone launch would among their counterparts across the Florida Straits.

A beleaguered workforce needs some good news. Public sector wages are at around a quarter of 1989 levels at roughly $22 a month, national growth has slowed to 1.2%, and traditional allies such as Venezuela and Russia have their own economic problems, limiting the value of their support.

The agreement between Presidents Obama and Castro offers a timely boost, although reforms are piecemeal. Restrictions on business dealings and banking have been eased, while the remittance limit to Cuba has quadrupled. But lifting the U.S. embargo -- in place since 1961 -- would still need Congressional approval.

Cuba's economy Minister Marino Murillo has already revised growth estimates up for 2015 up to 4%. Part of this will come through traditional industries such as tobacco and rum, which should perform better as the new rules allow U.S. visitors to import limited amounts.

But private business can yield greater dividends. Even before the U.S. deal, the amount of privately employed people -- cuentapropistas -- had risen to around 500,000, from just 150,000 in 2006. This growth had been matched with lay-offs in the state sector.

"I think the Cuban government concluded that outlawing small business was just pushing it underground, forcing people to buy goods and services illegally," says professor Arch Ritter, a specialist in the Cuban economy at Canada's University of Carleton. "For the convenience of everyday life (private business) was necessary, and it has been remarkably dynamic."

Ritter expects tourism to offer major opportunities:

"When travel for Americans becomes regular, there could be a tourism tsunami. In anticipation those in the hotel business are renovating old hotels, building new hotels and retirement homes, and low-cost apartments. This could see a big construction boom around tourism that spreads to areas like food and car rentals."

To fully grasp these opportunities, the Cuban government would likely be forced into greater commercial liberalization.

With fewer restrictions and greater investment, agriculture could expand its capacity and serve international markets. Through its favorable climate, Cuba can become "a winter garden for North America," Ritter believes.

The island also boasts an advanced biotech industry that is vital to the nation's economic strategy, as well as its own high standards of healthcare. But to build its exports the government must consent to international testing and standardization.

Although President Raul Castro has shown greater flexibility on private business than his predecessor -- brother Fidel -- a more fundamental shift in approach would help the new generation of entrepreneurs.

"The Cuban government should provide a stronger legal basis for private businesses, giving them the same rights and duties as for the non-private companies", says graphic designer Nieto. "Without that, I think there will not be any serious economic growth."

Evidence of such a fundamental shift can be seen in the port town of Mariel, site of the Cuban Missile Crisis. A "special economic zone" has been created, with the backing of Brazil, allowing tax-free foreign investment in industries such as mining and manufacturing.

"There are major real estate projects that the government would like to see, there could be billions of dollars of investment," says Johannes Werner, editor of the Cuba Standard, the island's only dedicated financial media. "But there has been a lot of insecurity around foreign investment -- the greatest being the U.S. embargo."

"The Obama announcement sends the signal to investors that it's OK to move ahead, as well as telling them that U.S. investors may be here soon so be ready before their competition arrives."

Improved Internet infrastructure is a deal-breaker for this new vision of the Cuban economy. Grand-scale projects will not be sustained by a connection on the strength of satellite signals and a single fiber-optic cable from Venezuela.

The U.S. has made a priority of co-operation on this issue, although these plans are viewed with skepticism, based on previous American efforts to subvert the government through social networks as well as open suggestions that the liberalization of the economy could help overthrow Castro's regime.

"The problem is that the Obama proposal prioritizes private enterprise over the state economy with the idea being to strengthen capitalism on the island," says Rosa Miriam Elizalde, editor of the loyalist Cuba Debate news site. "This contradicts our society that has tried to defend and protect social access to our resources... If American intentions is to impose capitalism here through seduction it will not be successful."

While the leaders of both nations have declared a commitment to co-operation with respect for ideological differences, it remains to be seen whether the decades-old phoney war will continue by other means.

An isolated pariah, or bread basket of North America? Cuba's path is open.

@highlight

Cuba has new opportunities following historic deal with U.S.

@highlight

Economic liberalization already occurring with 500,000 privately employed

@highlight

Biotech, tourism, and agriculture could boom, Internet should be dramatically improved

@highlight

The new alliance will not remove mutual suspicion