(CNN)Christianity was born in Bethlehem, in what's now the West Bank. It took root among people like the Assyrians, who flourished in ancient Mesopotamia. It soon found a home in places like modern-day Turkey.

In other words, Christianity traces its past squarely to the Middle East.

But do Christians have a future there?

Recent headlines provide ample evidence for skepticism. It's hard to ignore the depravity of ISIS beheading 21 Egyptian Christians on a beach in Libya. Nor can one shake off stories of women and children among the 262 Christians captured by ISIS in Syria, one of several horrors faced by Christians in that nation and neighboring Iraq.

They're not just feeling the heat from Islamic extremists: Just this week, police in Jerusalem said they suspected radical right-wing Israelis were to blame for defacing a Greek Orthodox seminary in Jerusalem with slurs maligning Jesus.

All this strain, all this chaos has shrunk the percentage of the Middle East's once-sizable population of openly practicing Christians.

While no one is saying what's happening -- especially given the savagery of ISIS -- isn't alarming, that doesn't make it surprising. The Middle East has changed a lot since the first millennium A.D. for Christians. It has also changed a lot over the past century: The percentage of Christians relative to the Mideast's overall population has gone from 13.6% in 1910 to 4.2% in 2010, and it's expected to drop even further, according to religious demographers Todd Johnson and Gina Zurlo.

"What we're seeing right now," said Baylor University historical theologian Philip Jenkins, "is the latest phase of something that has been going for 100 years, pretty much."

This isn't to say Christianity itself is dying out.

It is growing in places like Africa, Asia, South America and -- believe it or not -- some of the most dogmatic, restrictive nations in the Middle East.

This is thanks to migrants who travel from places like the Philippines and Africa to oil-rich countries where Islam is a state-sponsored faith. According to the World Religion Database, places like Qatar and Bahrain have seen their Christian ranks surge from basically nothing a century ago to 10% and 13% of their respective populations.

Some of these countries are relatively permissive. The United Arab Emirates lets Christians do most everything but evangelize, for example, and Bahrain has top Christian and Jewish officials.

On the other end of the spectrum is Saudi Arabia, which doesn't allow the practice of anything but Islam. Religious police in Saudi Arabia try to make sure that's the case. David Curry, whose nonprofit group Open Doors USA helps persecuted Christians in more than 60 countries, calls Saudi Arabia's control on religious matters "complete."

"You're not allowed to go to church, you're not allowed to have a Bible, you're not allowed to think for yourself," Curry said.

Yet that hasn't stopped Christians from coming for a simple reason: jobs. They'll likely keep coming, with the World Religion Database projecting Saudi Arabia will have more than 1.5 million Christians by 2025.

And they don't necessarily stop believing and professing their faith once they cross the border.

"There are home churches (where people are) practicing their faith in private," says Zurlo, who helps manage the database and is assistant director of the Center for the Study of Global Christianity. "... Some of them come as guest workers, but they see themselves as missionaries."

Still, such migrant workers are in the shadows and under threat of deportation, and more, if caught praying openly or communally. They haven't been in the Middle East long, and there's no guarantee any one of them will stay long, either.

That's in contrast to other Christian communities that have been in the Middle East for centuries.

They're people like Assyrians, whose ancestors were part a cradle of modern civilization. They began converting to Christianity within years of Jesus' death and have kept the faith despite the growth of Islam in their homeland and, most shockingly, the Assyrian genocide of the 1910s and early 1920s.

Now those Assyrians in Iraq and Syria are under fire again.

Last August, ISIS militants overran Qaraqosh, a historic Assyrian community of about 50,000 people and Iraq's largest Christian city. And in recent days, the terrorist group stormed Assyrian villages in northeastern Syria, taking some 262 people hostage, said Assyrian Human Rights Network founder Osama Edward. Others fled for their lives, including about 600 taking refuge in St. Mary's Cathedral in al-Hasakah, Syria.

"We pray, we pray all the time," Romel David, who has 12 relatives thought to be among those kidnapped, told CNN affiliate KCRA. "What we've heard is it was like a sea of black uniforms marching through all the villages, burning down the churches, desecrating the crosses and wreaking havoc."

ISIS has targeted other Christians in the region as well, like those in Mosul, Iraq, who were told last July to convert to Islam, pay a fine or face "death by sword." Curry calls ISIS' actions against Christians "genocide." Yet it shouldn't obscure the fact that, even before this group's emergence, the number of Iraqi Christians was on the decline.

Some of that's due to a weak Iraqi central government and general instability. Christians might also be hurt by their historic affiliation with the Baath Party, once led by deposed Saddam Hussein (with the Syrian branch led by embattled President Bashar al-Assad). Another factor is the rise of militias and politicians who make Islam more central to their missions, to the exclusion of others.

Curry, from Open Doors USA, said Iraq had about 1.5 million Christians just over a decade ago. That number is now under 150,000, something that he attributes to family influences, government actions, communal pressure and targeted violence from militant groups.

"In 10 years from now," Jenkins added, "I expect Christians in Iraq will be gone."

A Pew Research Center report released this week found that, in 2013, that Christians faced harassment in 102 countries. Muslims got similar treatment in 99 nations, and Jews faced harassment in 77, a seven-year high.

Five of the 18 countries with "very high government restrictions on religion" were in the Mideast, according to the same study. That means that groups like Christians have a tough time in that region, but it's not the only place nor are they the only ones persecuted. And there isn't anything novel about people of one faith being pitted against another.

Still, even when strife involves people from different religions, that doesn't mean the discord is all about faith. It can also be about power, with leaders using religion in part to curry popular support and lure recruits. Jenkins notes a "combination of religious hatred and organized crime" is particularly dangerous, as when hostages are held for ransom or "tax" revenues are solicited from minorities. When this happens, any "other" group -- Christians included -- can become a target.

ISIS and its leader, Abu Bakr al-Baghdadi, are prime examples. Religion for them is almost a means to an end, as a way to create a sense of superiority, rationalize violence and spawn an "us vs. them" mentality while reaping rewards and amassing territory, said John Esposito, the founder of Georgetown University's Prince Alwaleed Bin Talal Center for Muslim-Christian Understanding.

"You appeal to religion both to legitimize what you're doing and to mobilize people," Esposito said.

So what can be done about Christians' plight in the Middle East?

Some of it likely can't be helped, according to Zurlo. With or without ISIS, their number will continue to fall -- something the Massachusetts-based religious demographer asserts is "not very unusual in the history of Christianity."

"Christianity has a serial nature: It goes in an area and it thrives, then it (declines)," Zurlo said. "It thrived in the Middle East for a very long time."

According to Esposito, one key to slowing this drop or, at least, to making life easier for those Christians who want to be in the Mideast is changing the Muslim world. A vast majority of Muslims denounce extremists like ISIS, but there are still enough who join such groups because they're angry at their government or others and do not feel they have any better outlet or purpose. When that happens, it's bad for Christians.

"To prevent the recruits, you have to get at the root causes," said Esposito, a former consultant to U.S. and other governments. "And even if you wipe out ISIS, unless those conditions change, you're going to have other groups that emerge."

@highlight

Christianity has long roots in the Middle East, starting with the birth of Jesus

@highlight

Expert: Their numbers have fallen in recent decades and should continue to fall

@highlight

There are exceptions, like migrant workers flooding Gulf states like Saudi Arabia