(CNN) -- Riots broke out in central Myanmar on Wednesday, authorities said, as police struggled to stop groups of Buddhists from setting fire to mosques and Muslims' homes.

The violence comes after a state of emergency was declared last week in the area where clashes between the two communities first broke out, leaving at least 40 people dead.

In Natalin township, rioters destroyed eight houses, 12 shops and one mosque, police said.

In nearby Zigon township, 40 houses and one mosque were destroyed, they said.

Police said they fired rubber bullets at rioters there. Some people were injured and admitted the hospital.

The riots prompted new restrictions.

Officials put dusk-to-dawn curfews in place in Natalin and Zigon, state-run TV reported late Wednesday, raising the total number of townships where a curfew is now imposed to nine.

Officials on Tuesday put curfews in place in the townships of Gyobingauk, Okpo and Minhla, the New Light of Myanmar, a state-run newspaper, said.

Police had reported arson attacks on Muslim properties in those three townships in recent days.

U.S. authorities have issued a warning to U.S. citizens in Myanmar amid the unrest that began last week in the city of Meiktila, in the central Mandalay region, and spread to other towns.

The situation has fueled fears in the commercial capital, Yangon, prompting stores to close in a popular shopping district Monday.

The U.S. Embassy told U.S. citizens to avoid the Mingalar Market and Yuzana Plaza part of Yangon, the same area where the stores were shuttered.

U.S. warns citizens in Myanmar amid deadly sectarian unrest

A state of emergency

During the clashes in Meiktila, which were reportedly set off by a dispute between a Muslim gold shop owner and two Buddhist sellers, rioters set fire to houses, schools and mosques, prompting thousands of residents to flee their homes.

The government declared a state of emergency in the city Friday, allowing the military to help reinstate order. But as the situation there appeared to calm, authorities reported arson attacks by groups of Buddhists in other towns in the region over the weekend.

The unrest highlights the fragility of ethnic relations in Myanmar, also known as Burma, as it emerges from decades of military repression. Authorities have released thousands of political prisoners and pursued peace talks with rebel groups in the past two years.

President Thein Sein, who has overseen the country's initial moves toward democracy, vowed Monday "to take action against those who led the violence and got involved in it and to expose those who flamed the conflict under the pretext of religion," the New Light of Myanmar reported.

The U.N. humanitarian agency says that the Myanmar government estimates that more than 12,000 people have been displaced by the unrest.

"They're barricaded in schools and in a monastery," said Ashok Nigam, the U.N. resident coordinator in Myanmar. "They're currently receiving humanitarian assistance provided by the government."

A Buddhist monk was reported to be among those killed when the violence initially erupted in Meiktila last week. But Win Htein, an opposition lawmaker for the area, has said that he believes the majority of the victims were Muslims.

"Most of the Muslims' houses were destroyed and burnt down," he said Tuesday. "Very few are left."

Authorities have found dozens of bodies amid the wreckage left by the riots.

Police confiscated weapons such as swords and machetes from groups of Buddhists -- some of them monks -- who were roaming the streets last week, officials said.

Win Htein said Tuesday that the situation was improving in Meiktila, but that he was concerned that some young Buddhists were "organizing their own security" despite government warnings not to carry weapons.

Tensions persist between Buddhists and Muslims

Growing insecurity

Unsubstantiated rumors of unrest in other parts of the country such as Yangon are spreading via text messages and social media, stoking fears among residents.

"People are feeling totally insecure, totally not safe," said Aye Chan Naing, the founder of Democratic Voice of Burma, an independent news website based in Chiang Mai, Thailand, less than 200 kilometers from the border with Myanmar.

In one example, Si Thu, a Buddhist employee of the United Nations who lives in a mainly Muslim neighborhood of Yangon, said Tuesday he was moving his family to stay at a relative's home elsewhere in the city.

"I can't think of any political or religious aspects now," he said. "I only know about how to protect my family."

The New Light of Myanmar suggested that such rumors are being "circulated by those with ill will who want to harm peace and stability."

The clashes in Meiktila and elsewhere have drawn expressions of concern from U.N. and U.S. officials.

The sudden boiling over of tensions between Buddhists and Muslims in central Myanmar follows sectarian troubles that killed scores of people in the west of the country last year.

Those clashes, in Rakhine state, took place between the Buddhist majority and the Rohingya, a stateless ethnic Muslim group.

Most of the victims in that unrest were Rohingya. Tens of thousands more were left living in makeshift camps, and many of them have since joined those who attempt each year to flee to Thailand and Malaysia in flimsy boats.

CNN's Kocha Olarn, Dana Ford and Elizabeth Joseph contributed to this report. Journalist Pho Wai Lin also contributed.

@highlight

NEW: Four dozen homes and two mosques are destroyed, police say

@highlight

NEW: Myanmar imposes more curfews to try to prevent attacks on Muslims

@highlight

At least 40 people have been killed in clashes between Muslims and Buddhists

@highlight

President Thein Sein has vowed to take action against those responsible