Ramtha, Jordan (CNN) -- Syrian forces waged a brutal crackdown Friday on demonstrators, with witnesses saying dozens of people have died in the latest in a series of military actions aimed at suppressing civilian dissent that has been heavily criticized by the United Nations and human rights groups.

The violence occurred as thousands of villagers across Syria rallied to show support for residents of the southern border city of Daraa who have been living under siege since government forces attacked earlier this week. The Syrian unrest, which began in Daraa in March after teens were arrested for scribbling anti-government graffiti, escalated in recent days after demonstrators emboldened by weeks of protests called for the ouster of President Bashar al-Assad.

The human rights group Syrian Human Rights Information Link said 64 demonstrators were killed Friday by Syrian forces in violence across the country, while witnesses told CNN more than two dozen people were killed Friday in clashes.

CNN has not been granted access into Syria and is unable to independently verify witness accounts. CNN has spoken with witnesses, some of whom have also reported what they see via social networking sites and posted homemade videos. Reports also have been compiled by human rights organizations.

Nineteen people, including four soldiers, were reported killed and more than 50 were wounded in Daraa when government forces opened fire on protesters from neighboring villages who tried to enter the city near the Jordanian-Syrian border, according to witnesses who spoke with CNN.

The state-run Syrian Arab News Agency, SANA, said four soldiers were killed and two others were kidnapped when "an armed terrorist group raided a military point in Daraa" on Friday.

Security forces would not allow residents in Daraa to attend prayers and snipers were stationed on rooftops, according to witnesses. Bloated bodies remained uncollected in the streets, their relatives afraid to retrieve them, they said. Shortages of water, power, electricity and food were common complaints.

A resident of Daraa, arriving in the Jordanian city of Ramtha about 10 minutes away, said people there were praying inside their homes. A group of about 500 would-be protesters who had set out after noon prayers to demonstrate against the government dispersed when army soldiers shot into the air, he said.

Before Friday's violence, the military crackdown in Daraa that began Monday had already left 50 people dead and the humanitarian situation was worsening, he said.

Six people were killed in clashes near the western Syria city of Homs, a doctor at the Hospital of Welfare and Social Services told CNN. Among the dead was an 11-year-old boy who had been shot in the head, the doctor said.

About 150 people formed a human chain around the Homs hospital to try to protect it, the doctor said.

In other parts of Syria, witnesses reported that two tanks had opened fire on demonstrators in the al-Khalidiya and heavy gunfire was heard in Talbeesa.

SANA, the Syrian news agency, said army units were trying to restore calm to the city by "hunting and confronting" extremist terrorist groups.

SANA accused international and Arabic-language television networks of broadcasting "poisonous propaganda" regarding the number of deaths, which they put at 70 civilians and 78 army and police.

Among the videos posted online Friday was a grainy, shaky one that purports to show bodies piled into a vegetable refrigerator in Daraa.

People can be heard trying to identify bodies -- at one point someone is heard asking in Arabic: "Who is he?" And in the background, people can be heard praying. It is impossible to tell how many bodies are in the room, or the cause of death -- but several appear to be young males. CNN is unable to verify that the video was shot in Daraa Friday,

The Syrian government has come under intense criticism by from Western governments, the United Nations and human rights group for its violent crackdowns.

Syrian and international human rights organizations have put the toll at more than 450 people dead and about 1,800 wounded since the crackdowns began.

On Friday, the United States imposed sanctions against top members and elements of the Syrian regime of President Bashar al-Assad responsible for overseeing the recent violence against protesters.

The United Nations Human Rights Council also convened a special session in Geneva, Switzerland, to address the violence. The session was convened at the request of the United States and was backed by 15 other member countries.

The council's deputy high commissioner said the recent violence has painted "a disturbing picture" of Syria.

Since mid-March, that picture has included "the widespread use of live fire against protesters; the arrest, detention and disappearance of demonstrators, human rights defenders, and journalists; the torture and ill-treatment of detainees," Kyung-wha Kang, deputy high commissioner, said in a statement of minutes released by the UNCHR.

Kang said additionally there have been reports of "the sharp repression of press freedoms and other means of communication; and attacks against medical personnel, facilities and patients."

She said that "any official ordering or undertaking of attacks against the civilian population can be held criminally accountable" and that widespread or systematic attacks "may amount to crimes against humanity."

But Faysal Khabbas Hamou, Syria's representative to the UN's Human Rights Council, said he was astonished at the convening of a special session of the council.

According to the minutes of the session, Hamou said Syrian security forces "had maximized the use of self restraint" and made moves toward reform, including abolishing the decades-old state of emergency. He blamed "vandals" for the violence, saying they had been engaged in acts of violence and that 60 officers and enlisted personnel had been killed.

"What would the countries that had convened this special session have done if such acts occurred in their own countries?" he asked.

The Russian Federation's representative at the special session, Mikhail Lebedev, predicted that the human rights situation in Syria would improve. He said the crisis must be resolved internally.

CNN's Arwa Damon and Jomana Karadsheh, both in Ramtha, Jordan, and Tracy Doueiry contributed to this story.

@highlight

NEW: Witnesses say dozens are killed in Syria clashes

@highlight

NEW: A human rights agency puts the one-day death toll at 64

@highlight

NEW: A video purports to show bodies

@highlight

11-year-old boy, four soldiers among the dead