(CNN) -- Leadership is a choice. Pure and simple.

When you assume a position of authority, either formally as a manager or informally as a team leader, you make the choice to lead. Management is the discipline of getting things done right. Leadership is the art of doing what is right for good of the organization. In other words, management is execution; leadership is inspiration.

Inspiration emerges from purpose, knowing what you do and why you do it. Organizational purpose emerges from the vision, mission and values of an organization.

Apple is fine example of a purposeful organization. Its leadership under Steve Jobs at the helm was focused on producing well-designed products, easy to use as tools of productivity or means of entertainment. Everyone in Apple has been focused on this mission. You could say much the same about the Ritz-Carlton hotel chain. Everyone from top to bottom, and that includes maids and wait staff, knows how to deliver a superior guest experience.

Among the ways leaders instill purpose in an organization, according to research conducted my book, Lead With Purpose, Giving Your Organization a Reason to Believe in Itself, is through communicating the vision, tying customer benefits to employee contributions, and linking work to results.

Creating a purposeful organization is not easy. It takes the commitment of senior leaders who hold themselves accountable for delivering on the corporate mission. A fine example of this is Vineet Nayar, CEO of HCL Technologies, a global IT services company headquartered in Delhi.

As Nayar wrote in his book, Employees First, Customers Second, "The role of the CEO is to enable people to excel, help them discover their own wisdom, engage themselves entirely in their work, and accept responsibility for making change." Toward that end, Nayar regards himself as a servant of his organization one who holds himself accountable for putting individuals and teams into positions where they can excel.

Purpose is especially necessary in tough times. As Roger Webb, President of the University of Central Oklahoma, told me an in an interview: "If people don't feel the purpose, and don't feel the goal and [know] that they are accomplishing things and moving forward, then depressing news can really bring people down."

While purpose is the spark that sets up the vision -- where an organization is headed -- and defines its mission, it becomes inert if not practiced. So a leader must "connect the dots" between what an employee does and why it matters to the organization.

A key example of this is Ford Motor Company. Under the leadership of CEO Alan Mulally the organization has transformed itself from a struggling company to one that has become the most admired automaker. Key to this has been the One Ford plan, which is the relentless focus on creating cars and trucks that complement the Ford brand globally. The beauty of this imperative is not the words; it's the action steps.

Employees throughout Ford understand the responsibility they have to deliver on One Ford. If you work in manufacturing you understand that decisions and actions you make complement Ford's ability to build world-class products. Or if you work in marketing, you know how your marketing plan for the Focus complement the strategic imperative. Put in other way, purpose becomes personal.

Specificity is critical to purpose. I have developed two questions that managers can ask themselves to ensure that they are using purpose as a lever to effect positive results. The first, is asking oneself if you are teaching your staff about a purpose. Secondly, ask if you are ensuring your staff follow through on the shared purpose.

Answers to these questions will enable the leader to provide his team with a goals. Ways to deliver on this will include briefings from senior management but it will more importantly involve having conversations about what the team is doing and why it matters. Stories about what is working or what is not can greatly contribute to a greater understanding of purpose.

Leadership is a choice for individuals to make, but the leader must provide his or her team with clear direction founded on purpose and understanding.

@highlight

John Baldoni believes leadership is a decision

@highlight

He cites both Apple and Ford as two companies who have successful leaders

@highlight

He says a leader must "connect the dots" between what an employee does and why it matters to the organization.