(CNN) -- All entrances to the Okefenokee National Wildlife Refuge are closed through the holiday weekend as firefighters continue to battle a 10-week-old blaze that has burned well over half the 400,000-acre preserve.

Jason Curry, a spokesman for the federal Incident Management Team, said the preserve will be shuttered to the public indefinitely -- at least until authorities, likely with major help from the weather, get it under control. The group is trying to corral what is being called the Honey Prairie Complex Fire.

"Mother Nature is in charge, with both the cause of the fire and the resolution to it," he said.

Lightning first sparked a fire on April 28 and it has been burning, in some form, ever since -- consuming about 268,000 of the refuge's 402,000 acres.

National Weather Service meteorologist Coleen Decker noted that there's no immediate relief in sight.

"We are looking forward to dry conditions, with relative humidity near 30 to 35% (and) temperatures slightly above normal at 95 degrees," she said of the upcoming forecast for the region. "We are not expecting significant precipitation until Tuesday."

Centuries ago, the Native Americans called this area Okefenoka, meaning "Land of the Trembling Earth," according to the refuge's website. Currently, this large swath of territory in south Georgia and north Florida -- which includes cypress forest, lakes and islands, in addition to marsh -- is home to more than 400,000 species of animals including alligators, Sandhill cranes and red-cockaded woodpeckers.

While the threat has been ongoing, closures of certain once public parts of the park picked up last month. That includes the June 9 suspension of all boating from Kingfisher Landing, the June 13 closure of the Suwanee Canal Recreation Area and all hiking trails near the east entrance, and the June 16 closure of Stephen C. Foster State Park.

While the Okefenokee is best known for its swamp, this moisture has done little to prevent further destruction. One major reason is that the region is in the third year of a drought, significantly decreasing water levels in the region.

Another complication is the terrain: The swamp makes it hard for bulldozers and engines to penetrate into certain areas. Curry said six helicopters and 76 fire engines have been assigned to fight the blaze.

"Accessibility is a problem, and you don't want to upset the water flows," the spokesman said of the sensitive environmental area.

As Curry noted, wildfires are nothing new to the swamp, helping shape the terrain, clear out loose debris and provide good conditions for some vegetation.

"Fire is part of how the swamp forms and continues to do its thing," he said. "It has been part of the swamp for longer than we've been around."

Authorities' primary focus continues to be making sure that the blaze does not engulf any properties surrounding the refuge, something that Curry said was not imminent but could happen at any moment, with a sudden and strong wind shift.

The fire has had minimal impact on wildlife, said James Burkhart, fire information officer for the refuge.

Turtles and the estimated 10,000 to 12,000 alligators are able to burrow into watery peat beds or below river banks.

Burkhart, who worked for more than 30 years as a ranger at the refuge, said a 2007 wildfire was more problematic because of higher sustained winds. Since 1988, a cycle of droughts have contributed to swamp fires, he added.

Once visitors are allowed back in, they will be able to enjoy vistas not available for years, Burkhart told CNN. A special treat is seeing wintering Sandhill cranes from mid-November to February, he said.

Recent thunderstorms have dropped several inches of rain. But while such sporadic rains may help temporarily slow the fire, nothing has stopped it yet. That will require a significant and notable weather change, most likely in the form of a massive and sustained rainfall.

"It's likely going to take a major weather event -- in other words, rain with a name," said Curry, referring to a hurricane, tropical storm or depression.

Burkhart said the Okefenokee Swamp symbolizes the ideal environment.

"It's a complete natural ecosystem," he said. "It operates completely on its own."

CNN's Phil Gast contributed to this report.

@highlight

A wildfire that began April 28 is still raging in the Okefenokee National Wildlife Refuge

@highlight

Some 268,000 of the park's 402,000 acres have burned and there's no clear end in sight

@highlight

All entrances to the refuge have been closed indefinitely, a fire spokesman says

@highlight

The official says it will likely take a major weather event, like a hurricane, to douse the fire