(CNN) -- A nasty collision during a kickoff in 1997 left Kevin Turner seeing stars.

The former Philadelphia Eagles fullback, who spent eight seasons battering through defensive lines in the National Football League, said the hit left him wondering where he was.

Still, the team's medical staff looked him over and eventually sent him back out to play, he said.

"The doctor looked in my eyes," Turner recalled in a statement delivered by his attorney in response to questions from CNN. "He then told me to remember these words, either four or five simple, basic words."

But the task proved daunting.

"It was the weirdest thing ever and most frustrating because at the time I was clamoring to get back into the game," said Turner. "I was really trying so hard. And I remember it being just the most frustrating thing ever."

By the second half, he'd remembered.

"I went back in the game after halftime and played the rest of the game," he added in the statement to CNN.

A little over a decade later, the former Eagle is battling the debilitating effects of amyotrophic lateral sclerosis, often known as ALS or Lou Gehrig's disease.

He said his doctors have told him that "there's no cure, you're going to die within two to 10 years, and get your affairs in order."

Since the diagnosis, Turner has lost most of the use of his hands and arms. He's also agreed to submit his brain to scientific study following his death.

Whether Turner's disease, and those like it, can be linked to the consequences of repeated head trauma is the subject of growing research and the focus of mounting litigation against the NFL.

Turner is one of hundreds of former NFL players and their families currently suing the league for alleged negligence, claiming that it didn't do enough to mitigate the risks despite what many say is an inherently dangerous sport.

His attorney, Stephen F. Rosenthal -- whose Miami-based firm represents 137 other players and their families who've filed a class-action suit against the league -- said Turner has likely suffered from undiagnosed concussions. He accused the league of deliberately withholding information deemed critical to player safety.

"At no time did the NFL inform Plaintiff Turner that he risked severe and permanent brain damage by returning to play too soon after sustaining a concussion," the lawsuit states. "The NFL's failure was a substantial cause of his current injuries."

Stars such as former quarterback Jim McMahon, as well as running backs Jamal Lewis and Dorsey Levens, have filed similar lawsuits in states across the country.

Attorneys representing Lewis and Levens accuse the league of having used a "hand-picked committee of physicians" to misrepresent evidence of the effects of head trauma, particularly concussions.

"We do believe the NFL knew and had that available information with them for many years now," said attorney Mike McGlamry.

The league denies the claims and released a statement saying it "has long made player safety a priority and continues to take steps to protect players and to advance the science and medical understanding of the management and treatment of concussions."

"The NFL has never misled players with respect to the risks associated with playing football," the statement added. "Any suggestion to the contrary has no merit."

A spokesman for the Philadelphia Eagles, regarding Turner's allegations, referred CNN to the league's statement.

On Sunday, the NFL is expected to air a multimillion-dollar commercial during the Super Bowl that details the history of the league and emphasizes player health and safety.

The league has in recent years also made strides to strengthen rules that govern on-the-field conduct while adding sideline medical staff -- unaffiliated with the teams -- to more independently evaluate injured players.

In 2005, the league banned the practice of tackling a player by using his shoulder pads, a move commonly referred to as a "horse-collar" tackle, after concluding it commonly resulted in injury.

It also strengthened a 1979 rule prohibiting players from using their helmets to butt, or "spear," players during a tackle -- a rule that critics often complained had lacked enforcement.

Players like Steelers' linebacker James Harrison have since been dealt hefty and repeated fines for helmet-first tackles.

Critics, meanwhile, say the league should have made the changes years ago and have called for more protections.

Part of the issue, noted a former Atlanta Falcons linebacker, is a sports culture that largely encourages behavior out-of-step with the recognized risks of head trauma.

It's exacerbated when coaches, even at the high school level, say "'Oh, you just got your bell rung. Get back out there and play,'" noted Coy Wire. That attitude, he added, can contribute to the risks of long-term brain damage.

A recent study conducted at Boston University's Center for the Study of Traumatic Encephalopathy found evidence of a condition called chronic traumatic encephalopathy -- a dementia-like brain disease -- had been found in the brains of 14 of 15 former NFL players. Their cases shared a common thread -- repeated concussions, sub-concussive blows to the head, or both, according to the study.

Many of those named in the recent claims, meanwhile, describe a range of common symptoms that include headaches, sleeplessness and dementia. But whether the league can be proven liable for alleged mistreatment of players, who often acknowledge the risks and likely also suffered head trauma during their high school and collegiate years, is expected to be the source of a drawn-out legal battle involving a growing number of plaintiffs.

Still, family and friends close to the players are often left to deal with the gritty aftermath of day-to-day living once the bright lights of prime time fades.

Teresa Foley, the wife of former New York Jets quarterback Glenn Foley, who is named in the class-action lawsuit, said she'd like to organize a support group.

"We're all going through the same thing," said Teresa Foley. "It'd be great for all of us to be able to just sit down and talk together."

She says her husband, a 41-year-old New Jersey native selected in 1994 by the Jets, has faced bouts of depression and severe memory loss since his retirement from the league more than a decade ago.

"I sent him to the supermarket a couple of months ago with a list of a few things," said Teresa Foley. "He went with the list. But he forgot what he had to get, and also forgot that he had a list."

The former quarterback returned home empty-handed.

"It's getting scary," she said. "We had a conversation last night and he doesn't even remember it today.

"I just want some place where my husband can go to get help."

Part of the claim, the former players' attorneys say, would be used to establish a fund for former players.

Earlier this week, a panel of judges ruled that mounting claims against the league -- including class-action lawsuits filed in New York, New Jersey, Florida, Georgia and California -- will be consolidated in a federal court in Philadelphia.

@highlight

Former Philadelphia Eagles' fullback Kevin Turner confronts ALS

@highlight

Hundreds of former players have filed lawsuits against the NFL

@highlight

The league has denied the claims and rejects allegations of mistreatment

@highlight

The NFL is expected to air a commercial on Super Bowl Sunday about player health