(CNN) -- Pizza joints, sushi bars, "British" pubs, curry houses and Thai restaurants rule in Cyprus's sprawling resort areas, far outnumbering humble Cypriot places.

But you can find true indigenous dining in urban parts such as Limassol, Larnaca or Nicosia if you follow groups of determined-looking Cypriots around lunch or dinnertime.

The search is easier if you head for the hills, to smaller villages with fewer visitors.

Either way, you'll find menus that blend flavors inherited from Greece, Venice, Turkey and the Middle East.

Spices such as cumin, cinnamon and coriander enrich many dishes.

Cypriot cooks also use lots of wild and foraged ingredients, including greens such as kapari (wild capers), the tiny snails called karaoli and game including rabbit, hare and partridge.

1. Meze time

A meze meal is a great way to sample the best of Cypriot food at one sitting.

Meze isn't unique to Cyprus -- the tradition of serving a generous array of small savory dishes is common all over the eastern Mediterranean and the Middle East.

But many of the individual meze dishes you'll find in Cyprus are peculiar to the island.

A typical meze table begins with dips such as tahini, pickles, stuffed vine leaves and cold bean salads.

Grilled halloumi cheese will likely follow, along with spicy sausages such as loukanika, often simmered in red wine.

Then comes more meat -- grilled on the spit, skewered or barbecued over charcoal. Pork gets top billing, but lamb and chicken play supporting roles.

A meze that mixes fish and meat is heresy, so if you have a yen for something maritime, you must seek out a taverna that specializes in seafood.

Here, the platters will be piled with fried or grilled red mullet, whitebait, shrimp, fried baby squid and octopus or cuttlefish simmered in red wine and spices.

Tip: pacing is essential. It's all too easy to eat your fill from the first round, leaving no room for dishes to follow.

A great meze comprises at least 20 dishes -- it should take all evening to polish them off.

Top places to spend a meze evening include 7 St George's Tavern (Yeroskepos, Paphos; +357 2696 3176; reservations essential) in Geroskipou, just a few kilometers from downtown Paphos.

In Nicosia, many residents say the lountza and haloumi at Mezostrati (Evagorou 31; +357 2266 2727) are the best in town.

2. Karaoli yahni

The tiny wild snails called karaoli emerge in vast numbers with the autumn rains.

They're especially common in the Akamas peninsula, the island's wild western tip, where they're gathered by the bucket-load and served simmered in tomato sauce.

A good place to try them is at Kouppas Stone Castle (Neo Chorio, Akamas; +357 2632 2526) in the old fashioned stone village of Neo Chorio, five kilometers south of the fishing harbor at Lakki.

3. Koupepia

Tender young vine leaves are at their best in spring, when they're used to wrap minced lamb or pork and rice to make this typical snack, served hot or cold.

In winter, cabbage leaves are used instead of vine leaves.

4. Poikilia

A glass of Cypriot wine or zivania (grape spirit) should rarely be served alone. It usually comes accompanied by an assortment of savory dishes -- poikilia.

Among the best are cold cuts such as tsamarella (sun-cured goat thigh), hiromeri (pork thigh marinated in wine, then pressed and wood-smoked) or pastourma, Cyprus's take on salt beef.

5. Afelia

Cypriot food isn't all about small plates -- hearty eaters will be more than satisfied.

Pork plays a leading role in traditional cuisine, and afelia can claim to be the country's signature dish.

Lean chunks of pork are marinated in red wine, flavored with cumin, cinnamon and coriander, then simmered in a clay casserole until meltingly tender.

6. Sheftalia

Sheftalia are herb-flavored sausages of minced pork or lamb, which often anchor a meze platter but are also served as a meaty main course.

Esteemed for its sausages is Agrino (Lofos village, 12 kilometers north of Limassol; +357 2581 3777), the gourmet restaurant at Apokryfo, a boutique hotel in a hill village above Limassol.

7. Kolokasi

A dish unique to Cyprus, kolokasi (taro) has been grown here since Roman times.

Chunks of taro root are simmered with chicken or pork in a sauce of caramelized tomatoes, onions and celery, spiked with lemon juice and served with olives and radishes.

It's also often made without meat for the Lenten fast.

8. Oktapodi krasato

You're never far from the sea in Cyprus and seafood restaurants abound.

Many are mediocre, serving farmed and frozen fish to unwary tourists.

For something distinctively Cypriot, there are places offering dishes such as oktapodi krasato -- chunks of tenderized octopus spiced with coriander and cumin and simmered in red wine.

Zephyros (Piyale Pasa 37, Larnaca; +357 2465 7198), where the seafood comes straight from the little harbor right next door, is a good choice.

9. Vegetarian dishes

The Cypriot menu is meat-heavy, but -- because devout Orthodox Christians eschew meat during Lent -- there are plenty of veggie options, including anthous (courgette flowers stuffed with rice and feta cheese) and louvi me lahana (black eyed beans served cold with wild greens, oil and lemon juice) and dips, such as tahini.

Vasiliki (Digeni Akrita 28a, Nicosia; +357 2234 9803; lunch only) has a good array of dips, pulses, salads and other vegetarian dishes.

10. Ravioles

Ravioles are part of the culinary legacy left by the Venetians, who ruled Cyprus from 1489 to 1571.

Similar to Italian ravioli, these pasta parcels are stuffed with haloumi cheese, then simmered in chicken broth.

Delicious, and filling, they're especially good at Erinias restaurant (Archbishop Kyprianos 64A, Nicosia, +357 224 22860).

11. Pasteli

And so to sweet things.

Anogyra is the place to find sticky toffee called pasteli that's still made the old way from the juice pressed from the carob bean. It's known as mavros chrysos ("black gold").

The Pasteli Museum (daily, 8 a.m.-5 p.m.; +357 2522 2357) tells the story of carob growing in Cyprus, and you can sample and buy pasteli and other carob items in the nearby Pasteli Factory (+357 2522 1500).

CNN On the Road series often carry sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Cypriot cooking blends flavors from Greece, Venice, Turkey and the Middle East

@highlight

But fast food joints far outnumber indigenous eateries in the resorts

@highlight

You can find the real deal in the hill villages -- a meze meal provides up to 20 little dishes to try