Northern Lebanon, near the Syrian Border (CNN) -- A young mother with 6-month-old triplets, a laborer still fearful of reprisals, a preacher whose wife was shot dead at an illegal border crossing, wounded in hospitals, a man living in a converted classroom -- these are among the 5,000 or more Syrian refugees living in Lebanon.

"For many of them, it's like, if they get detained, they're dead," said Nadim Houry, deputy director of the Middle East and North Africa division of Human Rights Watch, about the plight of Syrians who are still in their country. "And I've heard from many people who say, 'I'd rather take my risk, you know, escape, maybe die on the road escaping as opposed to getting detained and being tortured.'"

Pressure mounts for international response

Most Syrians who succeed in making their way to Lebanon take up residence with relatives or find modest shelter in the working-class neighborhoods where rents are low.

Im Walid, a Syrian refugee, told CNN that she knows her husband would join the Syrian revolution if they were to return, so she plans to remain here. Counting their triplets, they have six children. They're routinely sick and work is scarce, but somehow, the family has managed to scrape by, she said. The hardest part, she said, is being away from the rest of their family in Syria.

Today, many Syrians -- the activists, the organizers, those who are being sought by the Syrian government and those who are wounded -- find their way to Lebanon by fleeing through illegal crossings. In some places, only a thin finger of water separates the two countries. But that passage can carry risks.

Abdul-Rahman Al Akari knows them too well. The Sunni Muslim preacher, who was once jailed on charges of fomenting unrest in Syria, moved to Lebanon a few months ago with Rabia, his 24-year-old wife and mother of three. But she missed her family and returned to Syria to visit. When she tried to cross illegally back into Lebanon, a Syrian security agent -- aware that her husband was being sought by Syrian authorities -- fatally shot her, according to Abdul-Rahman.

Some of the wounded in hospitals here say they might risk a return to Syria through similar illegal crossings in order to rejoin the revolution. Regular border points are out of the question for them, they say.

Should the world intervene in Syria?

Though life in Lebanon is not easy, many Syrians say they left their country for their children, and that the decision to go was a matter of life or death.

Abu Mohammed says he took his family out of Syria eight months ago, fearing for the safety of his five children. Fear, he said, is rooted deeply in everyone living under the current regime in Damascus.

"I fled because the army and thugs entered our village and bullets were pouring like rain," he old CNN. "It was either stay and die, or leave."

He still looks over his shoulder, even in Lebanon.

Ahmed found shelter in a dim, converted classroom in Lebanon a few kilometers from the border. He and his seven children survive on handouts, for which he is grateful.

When those handouts arrive, they bring brief moments of relief for Ahmed and, for his children, even joy -- when toys are involved.

But the growing tide of Syrian refugees is not a happy one. For many, there is the pain of lost loved ones and the depression of not knowing when, if ever, they will go home.

@highlight

Thousands of Syrian refugees are living across the border in Lebanon

@highlight

Abdul-Rahman Al Akari says his wife, a mother of 3, was killed at an illegal crossing

@highlight

For thousands of Syrians, the decision to flee was a matter of life and death

@highlight

Some of the wounded in hospitals say they might risk a return to rejoin the revolution