Oak Creek, Wisconsin (CNN) -- The FBI will investigate Sunday's rampage at a Sikh temple in a Milwaukee suburb as a "domestic terrorist-type incident" that left at least six people and the gunman dead, the town's police chief said.

Another three people were wounded, including the first officer to respond to the scene, Oak Creek Police Chief John Edwards said. A second officer returned fire, killing the suspect, according to the chief.

All three wounded -- one of whom was shot in the abdomen and chest, another in the extremities and face and the third in the neck -- were in critical condition Sunday night at Milwaukee's Froedtert Hospital, the hospital said in a statement.

Terror, tragedy for tight-knit Sikh community

The congregation's president was among the wounded, his nephew said.

And another man told the CNN affiliate WTMJ, "Nobody's angry here. We're just confused. Was this a random act? Was this directed at us because of the way we look?"

Authorities have not identified the gunman by name, though Thomas Ahern, a spokesman with the ATF's Chicago division, described him as a white male roughly 40 years of age. No connection has been established between the shooter and the temple, he added.

Like other officials, Ahern said authorities have not determined a motive, adding "we are a long way away from that right now." Teresa Carlson, special agent in charge at the FBI's Milwaukee division, said late Sunday that investigators are still assessing whether this "might be an act of domestic terrorism, no motive has been determined at this time."

The Sikh religion originated in northern India around 1500 and has about 25 million followers, 700,000 of them in the United States, according to the Sikh American Legal Defense and Education Fund.

Sikhs tout equality, service to others

Because of their customary beards and turbans, Sikh men are often confused for Hindus or Muslims -- and have been the targets of hate crimes since the September 11, 2001, attacks on New York and Washington, said Surinder Singh, a spokesman for the Guru Nanak Mission Society of Atlanta.

Several Sikh leaders and members recalled Sunday the killing of a Sikh man in Arizona in apparent retaliation for the attacks that had been carried out days earlier by the Islamic terrorist group al Qaeda, as well as other less severe crimes targeting the group over the past decade.

Community continue to blend in and stand out

"There's always an apprehension and a sense of fear that this kind of incident will take place anywhere, anytime," said Rajwant Singh, chairman of the Sikh Council on Religion and Education.

Sunday's attack occurred about 10:30 a.m. (11:30 a.m. ET), when temple members were reading scriptures and cooking food in preparation for the main Sunday service and community lunch, said Kanwardeep Singh Kaleka, a member of the congregation and the nephew of its president.

Kaleka was not at the temple at the time of the shooting, but helped police interview witnesses in the aftermath. He said members described the attacker as a bald, white man, dressed in a white T-shirt and black pants and with a 9/11 tattoo on one arm -- which "implies to me that there's some level of hate crime there."

A law enforcement official briefed on the investigation confirmed the shooter was wearing a white T-shirt and did not have a bulletproof vest.

Kaleka said the gunman started shooting in the parking lot, "then entered into the temple and proceeded to open fire."

"It seems the few casualties that have been divulged to me have been the equivalent of priests, the holy leaders of our people," he said. "My uncle is one of the administrators of the temple. It's mainly those individuals who have been targeted or shot. Maybe it's because the ladies were fortunate enough to dodge it out, but so far most of the people I've heard have been shot and killed were all turbaned males."

Police searched the suspect's home, "a short distance" from the temple, on Sunday evening, according to a law enforcement source with direct knowledge of the investigation. A single 9mm semi-automatic pistol believed to have been used by the gunman was found at the scene, along with the wounded officer's weapon, the source said.

Initial reports were that there may have been multiple attackers, but police found no indication of another gunman, said Bradley Wentlandt, the police chief in nearby Greenfield.

The Oak Creek temple, or gurdwara, opened in 2007 and has a congregation of more than 350. Family members gathered outside told WTMJ that survivors were being taken to a nearby bowling alley so they could be interviewed by police.

"Our dear ones and near ones are injured and hurt, and we are trying to find out what happened," said Darshan Dhaliwal, a congregation leader.

Congregation president Satwant Kaleka was shot and wounded when he attempted to tackle the gunman, his son, Amardeep Kaleka told WTMJ. His mother -- who hid in a closet during the violence -- was too distraught to talk, he said.

State Rep. Josh Zepnick said many members of the Milwaukee area's Sikh community are among his constituents and described himself as being "torn to shreds" by the attack.

"It's a very peace-loving community that has successfully integrated and assimilated into the metropolitan Milwaukee area," Zepnick told WTMJ.

And state Rep. Mark Honadel, whose district includes the temple, called the attack "craziness."

"Unfortunately, when this type of stuff hits your area, you say to yourself, 'Why?' But in today's society, I don't think there's any place that's free from idiots," Honadel said.

The American branch of the World Sikh Council, meanwhile, said Sunday was "a troubling day, not only for Sikh-Americans, but also for all Americans."

Sikhs in U.S. and India react to the rampage

"We urge all to pray for the victims, their families and friends, and the surrounding community," the group said. "We also express our gratitude towards the law enforcement authorities for their prompt and effective response to the situation as it unfolded."

National and state political leaders -- including Gov. Scott Walker -- also offered condolence after the killings, which came two weeks after a massacre at a Colorado movie theater that left 12 dead and dozens more wounded.

Presumptive Republican presidential nominee Mitt Romney called the slaying "a senseless act of violence and a tragedy that should never befall any house of worship."

And from the White House, President Barack Obama said the United States had been "enriched" by Sikhs, "who are a part of our broader American family."

"My administration will provide whatever support is necessary to the officials who are responding to this tragic shooting and moving forward with an investigation," Obama said.

Rajwant Singh, from the Sikh Council on Religion and Education, put the onus on politicians, the media, academics and non-profit leaders to educate Americans about diverse groups and act "to lessen this kind of rage." He called it a tragedy Sikhs, growing up in the United States feel as if they don't belong in this country after incidents such as this.

"Everybody should feel at home," he said. "This nation belongs to everyone."

CNN's Ted Rowlands, Marlena Baldacci, Matt Smith, Steve Almasy, Greg Botelho, Shawn Nottingham, Carol Cratty, Susan Candiotti and Deborah Feyerick contributed to this report.

@highlight

NEW: No link has between found between the suspect and temple, an ATF spokesman says

@highlight

NEW: Sikhs have a constant "fear that this kind of incident will take place," a Sikh leader says

@highlight

The suspect is described by witnesses as a white man, 40, wearing a white t-shirt

@highlight

He killed 6 people before being killed by a police officer, authorities and witnesses say