(CNN) -- The crowd of farmers in the Nile Delta's Sharqiya Province cheered loudly whenever the neatly groomed candidate came out with a new promise.

Jobs! Schools! Better social services! A better future!

He smiled broadly as the cheering swelled, wiping the sweat off his brow with a white handkerchief. He wore a freshly pressed white shirt with an open collar, under a well-cut blue blazer. He was the picture of authority and self-confidence.

Afterward, one of the farmers brushed off the other contenders in the presidential election as posers.

"There is no one else," he told me. "The other candidates don't care about Egypt. They've been hired!"

His candidate, Hosni Mubarak, easily won the election, back in September 2005, though there is little doubt it was rigged in his favor.

It was another "historic" election, the first multi-candidate presidential election ever, though the challengers never had a chance against an incumbent backed by the vast resources and lack of scruples of the Egyptian state.

Today, Mubarak is under armed guard albeit in a luxury wing of a Cairo hospital, awaiting the verdict from his trial in early June.

Much has changed since the last presidential election, but much remains the same. Mubarak came from the military, and the military, in the form of the Supreme Council of the Armed Forces (SCAF), still runs the country.

While SCAF has tried to talk the talk of the new era, all of its members rose through the ranks of the Egyptian military with the blessings of Hosni Mubarak. According to the U.S. State Department cables posted on the Internet by Wikileaks, midlevel Egyptian army officers referred to Field Marshall Mohamed Hussein Tantawi, the head of SCAF, as "Mubarak's poodle."

SCAF has overseen the process that led to this presidential election, in which Egyptians had the opportunity to choose their president from among 13 candidates on the ballot (although two pulled out of the race).

Since Mubarak stepped down on February 11, 2011, SCAF has stumbled from one crisis to another, reacting with violence and brutality against protesters, but often ceding ground when Tahrir Square filled and passions boiled.

SCAF has pledged to hand over executive power to a civilian president by the end of June. In theory, Egypt is on the cusp of monumental change.

These are heady days in Egypt. Everyone seems to be pontificating on politics, comparing candidates, pondering platforms. The election is everywhere. The airwaves are full of it, Facebook and Twitter are abuzz with it, the streets are festooned with posters and banners.

On the surface it seems so different from the predictable, managed, officially sanctioned politics of the Mubarak years.

But the choice facing Egyptians is, actually, little changed. Under the old regime, Hosni Mubarak made it clear he was the champion of the status quo, holding back the Islamist tide, led by the then-banned but tolerated Muslim Brotherhood.

In this election, voters can choose the status quo -- with some lip service to post-revolutionary reality -- in the form of former foreign minister and later Arab League Secretary General Amre Moussa or ex-civil aviation minister and briefly prime minister Ahmed Shafik.

Or they can opt for a new Islamic order, either with the full-on Muslim Brotherhood candidate, U.S.-educated Mohamed Morsi, or the Islamic-lite candidate Abdelmonen Abol Fotoh.

Add to the mix Hamdeen Sabahy, a Nasserist who appeals to the leftists and the nationalists. In recent days Sabahy's numbers have been rising, perhaps as a backlash against the paucity of choices among the front-runners.

The establishment -- the bureaucracy, the military, the intelligence services and the business community -- clearly doesn't want to see the Islamists come to power.

Tuesday, the semi-official Cairo daily, Al-Akhbar, ran an ominous page-three story with the headline: "Beware of a military coup: the future will be frightening if the Brotherhood reaches the summit of power."

The source of this disturbing headline was none other than former vice president and veteran intelligence chief Omar Suleiman, quoted in the London pan-Arab daily Al-Hayat. He painted a grim picture of the Brotherhood setting up a revolutionary guard, along the lines of Iran, to fight against the Egyptian military. The military, he warned, does not know how cunning the Brotherhood can be.

Another Cairo daily ran banner headlines warning that if either of the Islamist candidates wins it would be "Apocalypse Now" -- A Mosaic plague of catastrophic proportions will descend upon Egypt, with a breakdown in security, violence, kidnapping, thuggery and theft, massive capital flight, political isolation, unemployment, poverty, and illness. On top of all that, once the Islamists have power, the paper predicted, they will murder all their political opponents.

Those who are opposed to the Brotherhood tend to see them as forked-tongue Taliban in ties, eager to impose Islamic law, force women to cover up, and ban alcohol. But for Egyptians struggling with rising prices and low wages, the Brotherhood offers the promise of a better future. Indeed, the view is not so grim among those who have received only the crumbs off the status quo's table.

Gamal, a bank clerk living in the old Cairo district of Sayida Zaynab, will be voting for Mohamed Morsi of the Brotherhood.

"The health system is in bad shape, as is education," he says. "Conditions for people in Egypt are very, very bad."

In the Nile city of Beni Suef, farmer Ashour Darwish attended a crowded Muslim Brotherhood rally, eager to hear Morsi speak. He supports the Brotherhood, he told me, because they are champions of what matters to him: "justice, transparency, implementation of Islamic law, the plight of the poor farmers, and unemployment."

The Brotherhood's political wing, the Freedom and Justice Party, won more than 40% of the seats in Egypt's lower house of Parliament in recent elections. After being hounded by the police and intelligence agencies for decades, they are finally free to operate, and aren't shy about flexing their muscles.

Jihad Haddad, a young Brotherhood member, sees no reason why the group should be shy about its power.

"We came by the vote of the people and by the choice of the people," he says. "What we really want is application of real reform policies on the ground, and we can't have that opportunity if we are out of executive power."

It would be rash at this point to make any predictions of who will actually win that executive power. The Muslim Brotherhood is a formidable organization that can mobilize its supporters and ensure a high turnout. They did it for the parliamentary elections and they'll doubtless be able to do it this time as well.

But the prospect of both the legislative and executive branches dominated by the Brotherhood worries many.

Magdi Zaki works in the Finance Ministry, and voted for the Brotherhood. But he feels they are novices in power, grandstanding on live broadcasts from the parliament, but doing little else. "They have no political background," he says dismissive contempt, like a seasoned theatre critic dismissing a flop.

Polls of potential voters have been all over the place, but they do show that a majority of Egyptians have yet to make up their minds. They debate the choices in taxis and buses, in the subway, in cafes, over breakfast, lunch and dinner, over Twitter and on Facebook, changing their minds between meals.

One seasoned veteran of Egyptian politicsâ€”who requested anonymityâ€”chuckled over the fickle nature of the voters, and puts it this way: "This is the first time I've ever had people ask me, 'Who do you think is going to win the presidential election?' I honestly have no idea."

@highlight

Much has changed since the last presidential election

@highlight

Some unchanged: Mubarak came from the military, military still runs Egypt

@highlight

Election presented varied choices: Islamists, leftists, former regime members