(CNN) -- The snow-covered mountains tower above the sub-tropical beach, a stunning vista by any standards -- but what sets Sochi apart from other seaside resorts is its sheer scale of concrete and steel.

It's a grand project that Vladimir Putin hopes will transform an ailing region of Russia and make a bold statement of intent, using sport as the fulcrum -- much in the way that China did with its Olympics in 2008 and Qatar hopes to do with soccer's World Cup in 2020.

At a reported $50 billion and rising, Russia's first Winter Olympics will be the most expensive in history -- topping the eye-watering $40 billion Beijing Summer Games.

"I've heard it's the world's largest construction site right now, and I can see that," says U.S. Olympic Committee official Patrick Sandusky.

One of the six new stadiums will be used solely for the opening and closing ceremonies.

"This is quite a national project, not a regional one," says Sandusky, who was part of a U.S. delegation to Sochi last November.

"You can sense that this is very much on the happening agenda for President Putin and the federal government beyond just the organizing committee and the regional area of Sochi. This is a big project for Russia."

Spiraling costs

With a year to go before the 2014 Winter Games, much of the Black Sea city is still a mass of scaffolding.

"The noise of construction is everywhere," reports CNN's Phil Black from Sochi, which he describes as "a rundown Soviet-era resort town crippled by terrible traffic."

Costs have spiraled since Russia was awarded the Games in 2007, and the stakes are high as the Kremlin makes an ambitious flexing of financial muscle that will also include hosting soccer's World Cup in 2018.

On Thursday, Putin visited Sochi to see how construction was progressing and unhappy with ballooning costs and that the ski jump facility is two years behind schedule and is still unfinished, reportedly promptly sacked vice-president of Russia's Olympic Committee Akhmed Bilalov.

"Part of the investment that Russia has made is not only what the world will see in Russia, but also they're building a winter paradise that they hope to showcase through the Olympic broadcast and attract tourism in the future," says 2010 Vancouver champion Bill Demong, who competed at a Nordic combined skiing test event in Sochi last weekend.

"They have not only connected to Sochi to the mountains by rail, but also Sochi to the rest of Western Europe."

Vladimir Putin's spokesman admitted the enormity of the task ahead.

"It's a huge challenge, especially for President Putin because he uses this Olympics as a good opportunity for boosting the economy and developing this region of Sochi," Dmitry Peskov told CNN.

It is opening up a resort city where temperatures reach 40C in summer, and will be as warm as 10-15C by the sea when the Olympics take place from February 7-23 next year -- with organizers already stockpiling snow due to sporadic falls, Black says.

Much of the expense is due to the lack of existing infrastructure at the resort, which is an hour and a half's flight south-west of Moscow near the border with Georgia and the disputed territory of Abkhazia.

Unlike the last Winter Games in Vancouver, which was integrated within the city, Sochi has had to start from scratch -- new roads, rail, hotels, as well as an improved power grid.

"I was impressed with the scale of the project and what they are doing there," says Sandusky.

"Uniquely it's a summer resort town in Russia traditionally, not a winter destination, although they have had skiing there a while. The juxtaposition of the Black Sea with the mountains behind is quite stunning in its beauty."

The Olympic events will be split between the mountain resort of Krasnaya Polyana and a purpose-built Olympic Park in the city, connected by a 45-minute high-speed train line.

Criticisms

As with any major project, there have been problems.

Human Rights Watch put out a report the day before the "year to go" milestone claiming that workers have been exploited by the construction companies. CNN contacted organizers for comment but has not received a response.

Last year's high-profile alpine skiing test event -- the Winter Olympics' glamor sport -- was marred by criticisms of the course.

"They're pretty inexperienced there, they never held the World Cup so it was really rough and really hard," three-time Olympic silver medalist Ivica Kostelic told CNN's Alpine Edge show.

"We had huge jumps and after three days of training, I went for a slalom combined run and I'm skiing down and I feel like something popped in my knee like 'crack' and I didn't feel any pain so I just carried on skiing, but later I found out that my meniscus was broken."

Despite such concerns, most skiers have come out in favor of the venue, designed by former skiing great Bernhard Russi.

"The hill itself is amazing but the way they set the course last year was not ideal," says U.S. Olympic hopeful Travis Ganong.

"I think they learned a lot from that World Cup and I think they'll open up the course a little bit and make it more like a downhill. It was very turny and a lot of guys didn't like that.

"They didn't ask for feedback but they heard a lot of it from racers and the coaches, and I think they're listening, so hopefully we'll have a more open, faster downhill set for the Olympics."

Ganong says North American skiers might find Sochi more familiar than their European counterparts.

"In the Alps they don't get the same kind of snow. Sochi has the mountains like you get in the Alps but the snow that you get in the U.S. and Canada -- it's pretty amazing," he says.

"The downhill course is very challenging and it demands the best skier in the world to perform on that day to win. I don't think you'll see some unknown people doing well, at least in the downhill. It'll take solid skiing from a very good skier to win."

Sports mad president

Winning medals is also among the top goals for Russia's sports-mad president, who attended a figure skating test event in Sochi in December.

"It was exciting," says American skater Charlie White, who won the Sochi Grand Prix Final with his dance partner Meryl Davis.

"We had heard reports all week that he was there, not there, so in our five-minute warm-up we heard loud applause and we were able to glance up at the videotron at the top and saw that the video was on him.

"It's a big deal to be able to perform for such an important figure. It's great that he cares to come and watch. I can't imagine how nervous I'd be in front of President Obama."

White and Davis won silver at Vancouver, and the 2011 world champions are coached by Russian Marina Zueva.

"A lot of successful coaches here in the States have come out of Russia and what they have been able to create in the past six or seven years has been really impressive," added White.

"For us it's exciting because at the Olympics there's going to be even more buzz. They have had teams who have been able to set a new standard for ice dance, they've had multiple teams like that."

Collaboration

While Russia has a rich pedigree in skating, it is still catching up when it comes to alpine skiing. So much so the Russians have are working with the U.S. -- despite the countries' long years of Cold War opposition.

"We actually have a partnership with the Russian team where we train with them a little bit and share training space and hill space," says Ganong.

"Their team is definitely building and gaining momentum. I'm not sure where they'll stack up for the Olympics but they're definitely getting stronger."

The Sochi complex is geared towards spectators, according to Demong, whose Nordic combined event will start and finish at the same stadium -- which will be adapted between the staging of the jumping and cross-country skiing disciplines.

"The cross-country course is fairly short, 2.5 km, and will loop through the jump stadium twice -- about half the course is visible from the stands," says Demong, adding that a lack of snow was promptly dealt with by event organizers, who had it trucked in.

"It's a very modern setup, it's a very competition-oriented venue. It's going to be great for an Olympic venue and for international event-hosting for years to come."

While Americans flocked across the border to Canada four years ago, numbers traveling to Russia will no doubt be lower -- but the intrigue is building, Demong says.

"I think this will be a new defining moment for, say, the American public who don't travel here often or never have -- it will be a window into Russia that will define Americans' perspectives for years to come," he says.

"I think that perspective has been acknowledged by the organizing committee, and they're taking it very seriously, not only in the choice of venues but also in what they're tackling right now -- it's probably one of the most massive construction projects in history."

@highlight

Russia will host the Winter Olympics for the first time next February

@highlight

It will spend more than $50 billion on the most expensive Games in history

@highlight

Test events have been held in recent months despite large amount of work to be done

@highlight

U.S. athletes impressed by the facilities in mountain venues and seaside stadiums