(CNN) -- President Barack Obama has done the right thing by asking Congress to authorize the use of force against Syria to punish President Bashar al-Assad for using chemical weapons on his own people.

I say that even as someone who has been a sharp critic of the administration's Syria policy and an outspoken advocate of intervening in various ways to try to protect the millions of innocent Syrians whose lives are at risk, prevent the conflict from destabilizing the region and support members of the Syrian opposition who share our values.

The president, as he announced in May, is trying to steer this nation back to a world in which we are not permanently at war and we do not turn to our military as the weapon of first resort in any international crisis.

The Framers of our Constitution wanted to ensure that the decision to send our young men and women into battle could not be taken lightly. Both Democratic and Republican presidents have steadily chafed at those restraints over the course of the decades since World War II as traditional wars and formal declarations of war have faded away. George W. Bush's proclamation of a "war on terror," authorized by Congress, put this nation in a state of permanent emergency in which the commander in chief has had extraordinary powers.

Opinion: GOP shouldn't bail out Obama's floundering foreign policy

That is unhealthy and dangerous for a democracy. A former constitutional law professor, Obama understands that although he has a limited reserve of power that could allow him to act alone, his power will be far greater with Congress. The constitutional framework is designed be a check in the best sense -- to require our leaders to make their case to the American people, to act on the basis of reasoned arguments about the nature of American interests that will stand up far beyond the White House Situation Room.

And the American people should back him on this decision, for three reasons.

First, we are protecting ourselves and our allies. We cannot afford to live in a world in which nations can use chemical weapons with impunity. The taboo against chemical weapons is particularly strong, for good reason. Dying by the breath we need to live holds a particular terror. The parents of the children whose shrouds we see could not protect them even with their own bodies, like human shields from a bullet or a bomb.

The United States stood by when Iraq used chemical weapons first against Iran and later against its own people, to our shame. But we must not make that mistake again. Chemical weapons are the weapons of the weak against the strong, which is why al-Assad, has been driven to use them repeatedly, according to U.S. intelligence, when his back is against the wall, as it is now in Damascus. Should chemical weapons proliferate, they will be the weapons of choice for terrorists.

Opinion: Obama, ignore the polls on Syria

Second, striking Syria now will be a strike to protect the Syrian people, even if partial and belated. It will not end the massacres carried out with conventional weapons. But weapons of mass destruction are just that: weapons of mass destruction. A chemical attack that kills 1,000 today can kill 10,000 tomorrow and 100,000 the day after that.

Third, the president is asking us to do, as a nation, what a leader has to do. In his 2008 inaugural address, Obama called for a new era of responsibility in this country, "a recognition ... that we have duties to ourselves, our nation and the world." We have those duties not because the United States has some unique role or mission in the world, but because we are the world's most powerful nation. Other nations take their cues from our action or inaction, whether we want them to or not.

If we do not act, we are signaling that the world has suddenly become a far more permissive and dangerous place, that taboos can be broken, and that despite the pious words of the international community, leaders can do whatever they like within their own borders.

If we lead, other nations that take their responsibilities seriously as great powers will join us. A Russian veto may prevent the U.N. Security Council from authorizing our action in advance, but a majority of the members of the council will not vote to condemn the strikes after the fact.

It is now time for Congress to step up to its responsibility. The bargaining has already begun. But the use of force after the use of chemical weapons, with the world watching, is no place for partisan politics as usual.

Opinion: Obama's irony, McCain's agony

Unless a clear majority of Congress opposes any action, it is incumbent on all those members who favor some use of force to craft a compromise that gives Obama the power to use both force and diplomacy as president and commander in chief to restore the chemical taboo and do whatever he can to reach a political settlement in Syria.

The opinions expressed in this commentary are solely those of Anne-Marie Slaughter.

@highlight

Anne-Marie Slaughter: Obama right to go to Congress about using force in Syria

@highlight

Slaughter: A world in which nations use chemical weapons with impunity is too dangerous

@highlight

She says striking Syria now will be a strike to protect the Syrian people, even if belated

@highlight

Slaughter: It's time for Congress to step up to its responsibility and support Obama