Durham, North Carolina (CNN)President Obama's nomination of Loretta Lynch to become the country's first African-American woman attorney general is a historic pick.  Her confirmation, however, is now taking on new historical relevance as her wait for a confirmation vote by the full Senate drags into its sixth month.

The period between the Senate Judiciary Committee's vote to confirm and the full Senate vote -- which in Lynch's case has not been scheduled -- has lasted longer for her than for any attorney general nominee in recent history. By the time the Senate returns from Easter recess on Monday, it'll have been longer than the eight previous nominees for the job -- combined.

Lynch, currently the U.S. attorney for the Eastern District of New York, cleared the committee February 26 by a vote of 12-8, with Republican Sens. Orrin Hatch of Utah, Lindsey Graham of South Carolina and Jeff Flake of Arizona joining Democrats in sending the nomination to the full Senate.

Obama nominated Lynch to replace Attorney General Eric Holder on November 8, after Holder had announced plans to leave the post weeks earlier.

Hundreds of miles from Washington, longtime residents of Durham, North Carolina, were beaming with pride.  Lynch's family moved to the city when she was a child.  Her parents, married for 60 years, still live there.  They watched the announcement on television

"That was encouraging but I knew then that we had a fight on our hands," said Lynch's father, the Rev. Lorenzo Lynch.  "I've been in politics most of my life. I know that nothing is certain, and I know that nothing is easy."

Lorenzo Lynch, 82, is a retired Baptist preacher and was active in the civil rights movement of the 1960s.  He ran, unsuccessfully, for mayor of Durham in 1973.

For the next round of his daughter's "fight," he traveled to Washington in late January to attend his daughter's confirmation hearing before the Judiciary Committee.

"I heard a lot at that hearing that I've heard since childhood.  That is the presupposition of the mindset," Lorenzo Lynch said.  "The dual system or the dual treatment."

When asked to provide specific examples, Lorenzo Lynch deferred to the state branch of the NAACP and E. Lavonia Allison, a Durham activist who has known Loretta Lynch since the family moved to Durham.

"I don't want to think about the epidermis, but some people are thinking that way," Allison said, suggesting that Lynch's confirmation vote has been delayed because Lynch is African-American.

"When it has taken so long, when it has been so different from any other person who has been nominated ... how else can we interpret that it is so different?" Allison said.

In March, Rep. G.K. Butterfield, D-North Carolina, chairman of the Congressional Black Caucus, said, "I think race certainly can be considered as a major factor in the reason for this delay, but it's also the irrationality of the new Republicans."

Sen. Dick Durbin, D-Illinois, evoked imagery of the segregated South in criticism of Republicans, saying Lynch had been "asked to sit in the back of the bus when it comes to the Senate calendar."

Durbin was harshly criticized by Arizona's Sen. John McCain.

"I deeply regret that the senator from Illinois chose to come here yesterday and question the integrity and motivation, mine and my Republican colleagues," McCain said on the Senate floor.  "It was offensive and unnecessary, and I think he owes this body, Ms. Lynch and all Americans an apology," McCain added.

"I thought he should be commended," Lorenzo Lynch said.  "I think that's a poetic description of what has happened and poetry, like most language, is limited but it does have wings ... to carry a point."

Giuliani pushes for Lynch confirmation

Senate Republicans adamantly deny the delay in scheduling a vote on Lynch's nomination is because she is African-American.

Many point out that Lynch, if confirmed, will be replacing the country's first African-American attorney general who was confirmed by an overwhelming margin.

Instead, Republicans and Democrats say the delay is part of an ongoing partisan battle.  For some, it's part of a fight over a human trafficking bill that has stalled in the Senate.  For others, the delay is retaliation for President Obama's 2014 executive actions on immigration.

On the eve of Holder's announcement of his plans to leave the Department of Justice, the political number crunchers at FiveThirtyEight.com predicted that whoever the President nominated would "likely face at least a moderately tough confirmation hearing in the Senate."

Some of Lynch's supporters across North Carolina have organized to convince the state's two Republican senators to support Lynch's confirmation.  In March, several dozen North Carolina women, led by the NAACP, traveled to Washington to meet with their senators, Richard Burr and Thom Tillis.

Reportedly, the meeting lasted nearly an hour and was very cordial.

At a news conference at the Washington Press Club, the group blasted the senators for opposing the nomination.

"Senator Burr and Senator Tillis, it is time for you to act like you have some sense.  It's past time.  You have embarrassed the state of North Carolina," Allison said after the meeting.

For their part, Burr and Tillis released a statement after the meeting: "While we remain concerned with Ms. Lynch's stated desire to lead the Department of Justice in the same manner as Eric Holder and will not be supporting her nomination, we are grateful that the group came to Washington to talk about this issue and exchange ideas.

Weeks later, the NAACP organized protests outside the senators' offices in Raleigh, Charlotte and Wilmington.

"I think there is a much deeper analysis," said North Carolina NAACP Branch President Rev. William Barber II.  "I believe if she had been Clarence Thomas, she would have been confirmed."

"Because of her courage, her character and her commitment to the law and to the enforcement of the laws of this land, particularly the 14th and 15th amendments to the Constitution, and because her consciousness was shaped in the crucible of the civil rights movement -- that is what they fear," Barber said.

Obama turns up the heat on Loretta Lynch confirmation 'limbo'

Lorenzo Lynch says he carried his daughter to several civil rights marches on his shoulders.  He admits that he did not think that much of the recent progress of African-Americans was possible when he was fighting for equal rights.

Now, his small living room is filled with stacks of loosely organized newspaper stories about his daughter's nomination and photos of his visit to the White House.

Lynch admits that he's never told his only daughter that he's proud of her, although he's sure she knows it.  He plans to change that, soon, regardless of the outcome of her pending nomination.

@highlight

The nomination of Loretta Lynch as U.S. attorney general was announced in November

@highlight

She would be the country's first African-American woman attorney general

@highlight

But as her confirmation process drags on, her supporters wonder why