Pope Francis has expressed his intention to visit the United States next year for a major meeting of the Roman Catholic Church, CNN Vatican analyst John Allen said Friday, citing Vatican sources.

The pope would attend the eighth World Meeting of Families, which has been held every three years since the late Pope John Paul II convened the first such gathering in 1994. The Vatican announced in February that the meeting will be held September 22-27, 2015, in Philadelphia.

"The World Meeting of Families has traditionally been attended by the Holy Father," Kenneth Gavin, a spokesman for the Philadelphia Archdiocese, said in a statement. "We are planning as if Pope Francis will be with us and have no indication that he will not attend. It is important to note that reports circulating widely today regarding the Holy Father's presence are not official."

A visit by Francis, the first pope from Latin America, would resonate with the nation's growing Latin American population.

"The Hispanic population is growing in the United States, and with the vast majority being Catholic, having the first pope from Latin America come to visit will be very exciting," said Bishop Thomas Paprocki of Springfield, Illinois.

Roberto Suro, a professor of public policy at the University of Southern California, said a U.S. visit by the Argentinian pope would be symbolically powerful for Latinos -- many of whom have slipped away from the Catholic church for evangelical sects.

"Latino Catholics have probably seen themselves less reflected in the hierarchy than their numbers might mirror," Suro told CNN.

"There are more Latino bishops now than a few years ago, but the American hierarchy still reflects the old Catholic church dominated by the Irish and, to a certain extent, Italians and other people of European origins," he said. "Having a Latin American pope who is going to be speaking native Spanish to Latinos in the United States will be the first time they see themselves reflected so powerfully in the church hierarchy."

Allen told CNN that the idea of the family has been a major concern for the church around the world, especially in light of the growing push for legal recognition of same-sex marriage.

After Pope Francis met with French President François Hollande Friday, a Vatican statement said the two leaders discussed "the family" and "bioethical issues." Hollande signed a gay marriage law in May 2013.

In July, Pope Francis said he will not "judge" gays and lesbians, including gay priests, signaling a shift from his predecessor and hinting at a possible change in the Church's approach to historically marginalized groups. "If someone is gay and he searches for the Lord and has good will, who am I to judge?" Francis said in a wide-ranging news conference aboard the papal plane.

The General Assembly of the United Nations generally meets in September, leading to speculation that Francis might combine the Philadelphia trip with a stop in New York to address the U.N., according to Allen, a correspondent for the National Catholic Reporter.

"As far as I know, he's never visited the United States, and as shepherd of the universal church it will really be beneficial for him to have a greater understanding of the flock here, and for people here to get to know our Holy Father," Paprocki said.

While Vatican officials told Allen that Francis has expressed a desire to attend the Philadelphia meeting, no firm plans have been made. The Vatican does not confirm the dates of papal trips until shortly before they happen.

"One of his challenges is that he doesn't speak as many languages as his predecessors," Paprocki said. "Blessed John Paul II and Pope Benedict could come to the United States and quite easily speak in English. Pope Francis is not quite as comfortable or proficient in the language."

In 2012, Pope Benedict XVI indicated that he planned to attend the 2015 meeting in Philadelphia, which at the time was hosting a high-profile church sex abuse trial.

President Obama is planning to meet the Pope on March 27 at the Vatican.

Pope Emeritus Benedict XVI visited the U.S. for the first time in April 2008, when he held a Mass at Nationals Park in Washington with an estimated 46,000 in attendance. He also met with Bernie McDaid, Olan Horne, and Faith Johnston, three victims of sexual abuse by clergymen.

During the five-day visit, the pope also delivered a speech at United Nations General Assembly, celebrated Mass at St. Patrick's Cathedral, and prayed at ground zero in lower Manhattan before leading a Mass at Yankee Stadium in front of 60,000 people.

The late Pope John Paul II also visited the United States, including speeches before the General Assembly of the United Nations in New York in 1979 and 1995.

Obama to visit Pope Francis in March

French President meets with Pope Francis amid scandal

@highlight

Pope Francis expresses desire to visit United States next year

@highlight

Pontiff would attend the eighth World Meeting of Families in Philadelphia

@highlight

A visit by the first Latin American pope would resonate with nation's Latinos