(CNN) -- Train the brain. Until recently, this phrase made me picture Neo from "The Matrix" proclaiming "I know kung fu" after he had martial arts abilities uploaded into his brain.

But what if we really could harness technology, Neo-style, to help train our brains to better cope with everyday stress?

For many of us, the days seem to pass in one anxiety-ridden blur after another. Mental health professional increasingly agree that these daily sprints, accompanied by a soundtrack of endless beeps, chirps and vibrations emitting from various devices, set off our stress systems, keeping us in a persistent and physiologically damaging state of fight-or-flight.

"The way we live our lives now is like running marathons," said Dr. Leslie Sherlin, a neuroscientist and chief science officer of Neurotopia, a company that provides brain training to athletes. "And in some ways, that's great, but you can't run marathons all the time."

Keep that pace, says Sherlin, and at some point, you will burn out. You may also suffer from a weakened immune system that can lead to an increased risk of disease.

Most of us have received some kind of formal instruction about diet, exercise, the birds and the bees. So why aren't we training our brains to better manage stress?

Some of the most compelling training to help prepare people to better handle stress is going on right now with athletes and soldiers.

For these two distinct groups, performance under high stress is a must (albeit for very different reasons). But the technologies being used to train them could benefit the rest of us as well.

Technology could help us reduce stress, too

Training athletes for the field

I became interested in the way athletes train for peak performance in high-stakes environments last year, when I interviewed Michael Gervais, a sports psychologist who works with Sherlin to train elite athletes to perform optimally during high-stress competition. Gervais and Sherlin work with athletes from the NFL, NBA and NHL as well as Olympians, golfers and many others.

What Gervais told me then was that the key to high performance was a disciplined mind. While not exactly news, the methods Gervais and his colleagues use to teach mental discipline were quite interesting. They were using older Eastern disciplines like mindfulness, presence, meditation, deep breathing and neurofeedback.

As part of their training, Gervais and his colleagues hook up athletes to electrodes and perform a baseline qEEG: a quantitative electroencephalogram. They use the results to create an individualized brain map.

The map helps these sports psychologists assess and quantify mental aspects of performance like focus, decision speed, reaction time and stress regulation.

Once the brain is mapped, the psychologists conduct half-hour neurofeedback sessions to teach athletes how to reach optimal brain wave patterns. In a typical session, the athlete will sit before a large screen as sensors monitoring electrical activity in his or her brain are placed on the scalp.

The athlete then focuses on achieving desirable brain wave patterns that, in turn, influence what happens on the screen. It's bit like controlling a video game with only your thoughts. The version I saw involved cars racing through a desert.

The training is meant to teach athletes how to respond quickly to stressor stimuli, how to focus during stressful situations, how to recover from errors and finally how to shut down and still their minds when it's all over.

These sports psychologists have collected a proprietary brain bank of assessments over years of working with elite athletes. They use the brain bank to identify optimal brainwave patterns associated with the highest levels of performance.

According to Sherlin, it takes roughly 15 to 20 neurofeedback sessions for elite athletes to learn some of these techniques. (Probably about 30 for you and me, he says.)

Your questions about stress, answered!

Originally developed as a technique to measure brain activity in NASA pilots during flight simulation exercises, neurofeedback has shown promising initial results for helping retrain the brainwaves of children with ADHD and autism and people suffering from chronic migraines. In one study, student eye surgeons were trained to significantly improve their surgical skills by regulating their own brainwave activity.

The method is being examined in a diverse number of other contexts, including to help relieve symptoms of chemotherapy-induced nerve damage. Controlled, randomized trials will help validate these promising starts.

The kind of training that the athletes working with Gervais and Sherlin receive is not available to most of us right now, but it may be in our near future.

A few weeks ago, Sherlin's company, Neurotopia, began beta-testing a dry (no goo in your hair) sensor, mobile headphone and tablet system that purports to do the same kind of assessment and training as the older model. At least in theory, this might make the product accessible to the rest of us.

Training soldiers for the battlefield

A conversation with Dr. Albert "Skip" Rizzo, psychologist and research professor at the University of Southern California Keck School of Medicine, is like a lesson in applied science fiction, with your mind reeling from "Star Trek" to the original "Total Recall."

Except Rizzo's jaw-dropping efforts are not fiction, nor are they "on the horizon." They are here, now.

In a collaboration between the military, Hollywood and USC's Institute for Creative Technologies, where he serves as the associate director for medical virtual reality, Rizzo and his colleagues have developed cutting-edge gaming and virtual reality technologies to serve the clinical needs of soldiers.

One project, Stress Resilience in Virtual Environments (STRIVE), helps train service members to have better resilience and emotional coping skills in realistic virtual-reality combat scenarios before they are exposed to the real stresses of combat.

A second project, called Virtual Iraq (there is also a Virtual Afghanistan), helps soldiers returning from combat work through their trauma by donning a helmet geared with video goggles, earphones and a scent machine, and revisiting the scene in a virtual reality setting, complete with sound and smell. Both STRIVE and Virtual Iraq (and Afghanistan) are based on exposure therapy, which has been effective in the treatment of post-traumatic stress disorder.

The problem with PTSD is that the person often avoids anything that reminds them of the trauma, and this avoidance begins to generalize to everyday things, says Rizzo.

"It's a snowball cascade effect. The things that evoke the fear and anxiety are no longer directly tied to the original trauma but generalized to the outside world. You see people with PTSD who will no longer leave their house, and if they do, they're a nervous wreck."

The idea, says Rizzo, is to re-create the stressful environment in a doctor's office, to help the patients confront and challenge the trauma and to give them the tools to better cope emotionally with what happened.

Both of these technologies require specialists and a clinical setting, but SimCoach, a "virtual human" designed for interactive use on the Internet, does not.

Though at this point, SimCoach is targeted toward active-duty military personnel, veterans and their families, it may also have wider utility for everyday stress and anxiety.

SimCoach users can select one of several avatars to talk to when they are feeling stressed out. The virtual human coaches can serve as an "online companion for anyone who may be too introverted to seek help, someone who may not want to reach out to a clinician or who may feel stigma about seeing a therapist," said John Hart, program manager at the Institute for Creative Technologies.

"SimCoach is not a doc-in-the-box, and it's not going to make a diagnosis," Hart observed. Nor is it meant to replace human interaction.

What SimCoach does do is help those suffering from stress and anxiety symptoms begin the conversation about what they may be going through. It may also provide users with more information about what they may be experiencing, suggest local facilities where they can go for care and perhaps even walk them through breathing exercises or stress reduction techniques.

Hart summed up what I find most compelling about SimCoach: "Here we are, sitting on a mountain of valuable information about what to do when you're stressed or feeling depressed. You can see how SimCoach can help people access the right information when they need it."

Imagine the possibilities! An interactive virtual-reality source for information on stress, anxiety and PTSD -- the precursor, perhaps, to a real-life version of "Star Trek's" Emergency Medical Hologram Doctor.

Home sweet home

I recently attended a conference in Portugal. As I made my way through customs at Philadelphia International, a customs agent asked me what I did for a living.

"I write," I said, "mostly about stress."

He stared me down for few moments before saying in a low, gruff tone: "If you really want to understand stress, then you need to spend a day with us here."

And here's the thing: Regardless of what we do, most of us are feeling that same way about our runaway lives. The genie is out of the bottle, and there is little likelihood of us ever going back to a simpler time (if there ever was such a thing).

So, yes, let's discuss technology addiction, always being "on," tech fasting and the need to design devices and apps for greater serenity. But let's also consider how to harness some of these technologies to help us move easier in this new world, Neo-style.

Is personalized medicine a myth?

@highlight

Experts are mapping elite athletes' brains to determine optimal brain wave patterns

@highlight

Neurofeedback may be able to retrain the brainwaves of children with ADHD and autism

@highlight

STRIVE and SimCoach are two programs being used to help soldiers returning from war