(CNN) -- It's the season of brackets, beer and, of course, basketball.

Duke Blue Devils fans cheer on their team at the ACC Tournament in Atlanta, Georgia.

Come mid-March, the country falls sick with college basketball fever, and the NCAA Tournament is all the talk. As men's college basketball comes to a close with the last game April 6, fans are anxiously watching to see who will claim victory in this year's national championship game.

More than a century after James Naismith invented basketball at a YMCA training school in Massachusetts, the sport continues to captivate millions of fans.

Over the years, college basketball has sparked great dedication among its fans, from those who camp out for three months for a ticket to those who attended games before they could read.

CNN, with the help of experts at the NCAA, chose a handful of basketball towns filled with great fans, rich traditions and history that make these places worth a visit.

1. Duke University in Durham, North Carolina, and the University of North Carolina in Chapel Hill

College basketball is deeply rooted in North Carolina culture, thanks to the success of the men's teams at the University of North Carolina and Duke University. The epic rivalry between Duke's Blue Devils and North Carolina's Tar Heels draws in so many fans that some sports experts say it is partly responsible for reviving the waning college basketball viewership in the first half of this decade.

Visitors will find that Duke basketball fans don't shower their support only on game day. At Duke University -- seeded No. 2 in the East -- student fans, dubbed the Cameron Crazies, are so eager to snare one of the 1,200 first-come-first-serve spots in the Cameron Stadium student section that they camp out for up to three months for the infamous North Carolina-Duke matchup.

The grassy tenting area outside the basketball arena, known as Krzyzewskiville, is named after Coach Mike Krzyzewski, who has been named National Coach of the Year 12 times.

"It's so easy to become enthralled with the culture of Duke basketball," said Joel Burrill, a senior who headed up the tenting efforts this year.

Outside the stadium, visitors will discover plenty of Blue Devil spirit off-campus in Durham, a former tobacco town. Satisfaction Restaurant and Charlie's Pub & Grille are among the favorite hot spots where visitors will discover student and local fans watching the games.

About a 20-minute drive from Durham is the historic town of Chapel Hill, home to the University of North Carolina, which was seeded No. 1 in the South this year. The school has a strong record of basketball success, appearing in more than 40 NCAA tournaments. It is also the college team of professional basketball legend Michael Jordan.

Adam Lucas, publisher of Tar Heel Monthly, has been decked in baby blue Carolina gear since he was a child. He even skipped school so he could attend the games with his parents, both Tar Heel alums.

"It's not just a sport," he explained. "It's the number one thing talked about during this part of the year. You'll have trouble holding a conversation in Chapel Hill in March if you don't know the basics of Carolina basketball."

If visitors can't get one of the coveted tickets to watch the game in the Dean E. Smith Center, aka the Dean Dome, there is plenty to do in the quaint city of Chapel Hill. Visitors can walk to Franklin Street, the heart of town, where eateries, shops and sports bars are ready to embrace UNC fans.

They can also visit the 8,000-square-foot Carolina Basketball Museum, located on campus, which holds more than 450 interactive displays, memorabilia and photos documenting a basketball program that began more than a century ago.

2. The University of Kansas in Lawrence

To understand the fan devotion for the defending national champions and a Midwest No. 3-seeded team this year, one must make a trip to Allen Fieldhouse in Lawrence, Kansas. The Jayhawks' indoor arena is old-school -- smaller than most college basketball stadiums -- built in the 1950s and named in honor of revered former Coach Forrest C. "Phog" Allen. In 1952, "Phog" led the men's basketball team to its first NCAA victory.

The energy from thousands of fans in Allen Field House is contagious. In addition to the "Rock Chalk Jayhawk" chant, KU students are famous for their clever antics against the other teams, particularly their longstanding rivals at the University of Missouri.

But if you can't get a ticket during the regular season, check out the Booth Family Hall of Athletics, a 26,000-square-foot museum adjacent to the stadium. The museum, which opened about three years ago, houses artifacts and information about the history of KU athletics, including the men's basketball team.

Visitors can head to colorful Massachusetts Street, the main drag in downtown Lawrence. The street is lined with plenty of restaurants and bars catering to Jayhawks followers on game day. When Kansas beat Memphis to clinch the national championship last year, more than 100,000 fans poured into the street, university officials say.

"People who come [to Lawrence] never want to leave," said Jennifer Sanner, a 1981 alumna and editor of Kansas Alumni magazine. "And if you're a basketball fan, that's all the better."

3. Indiana University in Bloomington, Indiana

Sure, the Hoosiers didn't have a stellar season after going 6-25, and they didn't make it to the NCAA Tournament. After Kelvin Sampson resigned as coach in February over allegations that he had violated NCAA recruiting standards, the team lost many of its top players.

Despite this, college basketball in Bloomington, Indiana, remains sacred, devout Hoosiers fans say, and they believe that the men's team will be back in full force over the next few years.

Indiana University has one of the top basketball programs in the country, winning five NCAA championships. The team was led for many years by hot-tempered but incredibly successful coach Bobby Knight.

If you are lucky enough to get a ticket to see the Hoosiers play at their stadium, Assembly Hall, you will find droves of student fans. Assembly Hall holds one of the country's largest student sections, holding more than 8,000.

Officials at Bloomington Indiana Visitors & Convention Bureau say basketball game days flood local restaurants and bars with students and local fans. The games tend to sell out, so be prepared to explore Bloomington.

Most fans head to Kirkwood Avenue near campus and drop by Nick's English Hut, where the walls are covered with Hoosiers athletic photographs and gear, or Yogi's Grill and Bar to watch the game.

"Basketball is a religion in this state," said Zach Osterman, the men's basketball columnist at the university's student newspaper, the Indiana Daily Student. "It goes way back before Bobby Knight. It's what people do up here."

4. Marquette University in Milwaukee, Wisconsin

There is no football team at Marquette University in Milwaukee, Wisconsin. That means students and alumni are even more dedicated to the men's basketball team, they say.

Marquette may be a Jesuit university with just over 11,000 students, but it boasts one of the highest attendance rates at basketball games in the country. Students at Marquette don't pitch tents like at Duke, but the games are so popular, some will bring their sleeping bags 10 hours before the game to get the best seat in the house

"It's such a great feeling to know you can walk anywhere in the city when you have a Marquette shirt on a basketball day and people will talk to you about basketball," said Sarah Dembkowski, a sophomore at the university. "It gives this city a bonding feeling."

Although the West region No. 6-seeded Golden Eagles lost to the University of Missouri in the tournament last week, a trip to the Bradley Center, where the Marquette men's basketball team plays (and where the NBA's Milwaukee Bucks play) is well worth the visit.

Marquette students, called the Superfans, are famous for their peculiar behavior, dressing up in costumes to support their team and distracting opponents with oversized cutouts of celebrities' heads.

On campus are several bars, including the Union Annex, that tout cheap beer pitchers and food specials for fans. Just several blocks from the university is downtown Milwaukee. On Water Street, where most of the fans crowd on game day, visitors can hang with the locals and enjoy a hub of sports bars, taverns and restaurants.

5. Gonzaga University in Spokane, Washington

Gonzaga University officials call it the "Gonzaga Effect": This small private school in Spokane has qualified for the NCAA tournament for the 11th straight year. The Gonzaga Bulldogs men's basketball team is an obscure team that seems to emerge from thin air each March. This year, the team entered the tournament seeded No. 4 in the South region.

"There have been a lot of one-and-done schools, who make a splash and disappear, but we've been able to sustain it," said Dale Goodwin, a spokesman for the university.

Fans in "the Kennel Club" at Gonzaga go wild for basketball despite the school's smaller size. For more than 17 years of the Kennel Club's existence, the Bulldogs have won more than 75 percent of their games, including over 90 percent during the past eight seasons, according to the Gonzaga athletic department.

Visitors will be delighted to watch the games in the school's arena, the $25 million McCarthey Athletic Center, which opened in 2004. Before the opening, the basketball team was playing in a glorified high school gym, university officials said.

On Hamilton Street near the university, visitors will want to head to Jack & Dan's Tavern, which belongs to John Stockton, a former NBA and Gonzaga player. The Bulldog, which claims to have the best burgers in town, is also a popular hangout during the games.

Meanwhile, the school is preparing to host the NCAA first- and second-round men's basketball tournament next March.

The town of Spokane, tucked into eastern Washington, is excited to welcome visitors. A single event will probably bring in $2.75 million, according to the Spokane Regional Convention & Visitors Bureau.

@highlight

Men's college basketball will end with NCAA championship game April 6

@highlight

Some Duke students camp out for three months to get a game ticket

@highlight

Last year, 100,000 fans poured into downtown Lawrence, Kansas, after KU's victory

@highlight

Games at these basketball towns are so popular that they usually sell out