Another Washington political showdown took shape Tuesday as the House of Representatives passed a Republican plan that would extend the payroll tax cut and speed the process for government approval of the Keystone XL oil pipeline.

The bill, approved on a 234-193 vote largely on party lines, now goes to the Senate, where it was unlikely to pass due to strong opposition from Democratic leaders. And the White House says President Barack Obama will veto the plan if it reaches his desk, setting up further brinksmanship with Congress scheduled to leave Washington for its holiday recess at the end of the week.

"This Congress needs to do its job and stop the tax hike that's scheduled to affect 160 million Americans in 18 days," White House spokesman Jay Carney said in a statement after the vote. "This is not a time for Washington Republicans to score political points against the president."

The impasse involves a convergence of major issues, including the payroll tax-cut extension and a spending bill that must pass in order to keep the government funded after Friday.

Obama and Senate Majority Leader Harry Reid, D-Nevada, agreed that Congress must not go home for the holidays without extending the payroll tax cut that saves working Americans an average of $1,000 a year, White House spokesman Jay Carney told reporters.

Without spelling out a specific order of necessary steps, Carney made clear that Obama wants Congress to approve both a payroll tax plan and the broad government spending bill.

Senate Republican leader Mitch McConnell of Kentucky characterized the Democratic stance as a threat to delay action on the spending plan until a compromise is reached on the payroll tax cut measure. That could cause a government shutdown after Friday, McConnell warned.

Carney, however, insisted that Congress has plenty of time to act on all of the outstanding measures, and called for a payroll tax extension free of the pipeline provision.

Earlier, Speaker John Boehner and other House Republican leaders told reporters that the payroll tax measure to be voted on later in the day had bipartisan support and would create jobs while also preventing a tax increase for American workers next year. When the vote came, 10 Democrats joined 224 Republicans voting for the bill, while 14 Republicans joined 179 Democrats voting against it.

Asked about opposition by Senate Democrats who say they will reject the House measure, Boehner said: "The Senate will have to do whatever they have to do."

The pipeline, which is currently in limbo as the State Department considers objections from environmentalists, would bring oil from Canada's oil sands in northern Alberta to Texas.

More on the pipeline showdown

The State Department recently said its decision on the Keystone XL pipeline would be delayed until 2013 to allow examination of environmental issues raised by critics, a move Republicans labeled as political, to put off the issue until after next year's presidential election.

House Majority Leader Eric Cantor, R-Virginia, said the payroll tax cut measure does exactly what Obama has been calling for by providing tax protection for working class Americans while creating new jobs through the pipeline project.

Rep. Jeb Hensarling, R-Texas, offered a colorful take on what will happen if  Reid blocks the House plan, as threatened.

"If Sen. Reid wants to hold up the jobs bill, he will go on Santa's naughty list," Hensarling said.

Reid and other Democrats argue the pipeline project requires more study and should not be fast-tracked as part of a political calculation by Republicans.

On Tuesday, Reid said Republicans must compromise with Democrats instead of trying to push through proposals intended to appease conservatives in their caucus.

"Speaker Boehner had to add ideological candy coating to his bill to get rebellious, rank-and-file Republicans on board," Reid said, adding: "They are wasting time catering to the tea party when they should be working with Democrats on a bipartisan package that can pass both houses."

The House GOP proposal would both change the process and shorten the time frame for the government to approve the proposed pipeline from Canada to Texas.

But Monday, the State Department said that would make it impossible for it to complete needed environmental, national security and safety studies.

"In the absence of properly completing the process, the department would be unable to make a determination to issue a permit for this project," the State Department said in a written response to questions about the measure.

Boehner dismissed the State Department's warning later Monday, saying the pipeline had been under review for three years and, "All the work has been done."

"The only thing arbitrary about this decision is the decision by the president to say, 'Well, let's wait until after the next election,'" Boehner said. "The American people want jobs, and this is as close to a shovel-ready project as you're ever going to see."

The House GOP measure extends the payroll tax cut for one year and renews aid for the unemployed, while cutting back the maximum length of jobless benefits from the current 99 weeks to 59.

The bill also allows states more flexibility in distributing unemployment assistance, permitting states to require those applying to submit to drug tests or show they are pursuing a high school degree, if they don't have one. The bill would also avoid a scheduled cut in pay for Medicare physicians for two years, a provision known as the "doc fix."

To pay for the bill, GOP leaders use a series of spending cuts, including freezing pay for federal employees and members of Congress, eliminating a child tax credit for those in the United States illegally, and increasing Medicare premiums for those who earn more than $80,000 annually.

The pipeline issue is just one part of the problem for Senate Democrats who disagree with "central elements" of the GOP bill, including the length of the unemployment insurance extension, the proposed cost offsets and the weakening of some environmental regulations.

Carney said Tuesday the spending cuts go deeper than levels agreed to in August in the deal negotiated by Congress and the White House to raise the federal debt ceiling.

Democrats led by Obama have been pushing for the payroll tax cut extension; Republicans initially opposed the plan but have now signed on. However, the parties are at loggerheads over how to pay for it as well as the political optics over who should get credit, as an election year approaches.

As a way to garner support from reluctant conservative Republicans, who voiced concerns about the impact of the payroll tax cut on Social Security, GOP leaders insisted on keeping the provision aimed at moving toward approving the pipeline project within 60 days.

Senate Democrats have begun working on a new bill of their own after Republicans blocked progress on their previous proposals that included a surtax on income over $1 million.

Meanwhile, in the other big bill Congress needs to get done before funding expires, House Appropriations Chairman Hal Rogers told reporters off the House floor Monday that negotiators have worked out a deal on the year-end spending bill that wraps nine remaining bills into one package.

The Kentucky Republican said there are some "policy riders" in the deal, but he declined to get into any specifics on which ones, saying he wants the staff to finish writing the legislation before he talks about any details.

But Rogers said it is taking some time to "cross the T's" so the bill would not be posted online Monday night, which puts off the House vote to Thursday at the earliest. Rogers was confident the House would pass the bill, saying, "We'll get it done by" Friday.

According to two senior House Republican leadership aides, Reid has told Boehner he would hold up the spending bill until both sides negotiate a compromise on the payroll tax cut bill.

Asked about a potential government shutdown, House Democratic Whip Steny Hoyer of Maryland said Congress may need to pass a short-term spending measure to prevent a shutdown if the parties fail to reach agreement on the various unresolved issues, including the extension of both the payroll tax cut and unemployment benefits.

Carney also said Tuesday that a continuing resolution on spending is a possible short-term solution to provide more time to work out a deal on the payroll tax measure.

@highlight

"Congress needs to do its job and stop the tax hike," the White House says

@highlight

The bill now goes to the Senate, where it is unlikely to pass

@highlight

Republicans are linking the payroll tax to a controversial oil pipeline from Canada to Texas

@highlight

Democrats accuse Republicans of playing politics with a tax cut they traditionally support