Washington (CNN) -- The Supreme Court wavered like the tides Wednesday in an unusual dispute over whether owners of private waterfront property were unfairly deprived title to land that touches the ocean.

It was unclear from the one-hour public session which way the justices might go on the case.

At issue is whether courts, by reinterpreting state law, can deprive deed holders of their traditional shoreline rights, amounting to a "judicial taking" of property.

Florida officials said that when the state deposited tons of new sand on eroding shorelines, the replenished land became government property, essentially creating a strip of public beach between the landowners' property and the ocean.

Several residents along the nearly seven-mile stretch of reclaimed land near the resort town of Destin protested, saying their oceanfront property line extends to the water, a practice they say has been endorsed in prior state courts for more than a century.

The lawyer for the homeowners called it a "land grab" by the local government. Kent Safriet told the high court that what had been a beach stretching 200 feet to the water has become a 75-foot stretch of public beach, between the property line and the water's edge.

"People pay a lot more for beachfront homes for that reason," instead of property with beach views, said Justice Antonin Scalia.

"You didn't lose one inch," Justice Stephen Breyer said about the homeowners who sued. "All you lost was the right to touch the water. But the [state] court here says you in effect have that right because you can walk right over it and get to the water."

The state says nearly 200 miles -- about a quarter of the state's 825 miles of beaches -- have been restored in an area prone to hurricanes and heavy storms churned up in the Gulf of Mexico and the Atlantic Ocean. And officials say that since such "emergent" land does not take away property, it is not considered eminent domain, in which the government would have to compensate the private owner.

Property rights along the water -- known as littoral ownership -- have long been a tricky matter. In most coastal states, beachfront property is split between the government and private owners. The dividing line has traditionally been the mean high water line (MHWL), a flexible border that depends on shifting sands and tides. The state usually owns the property seaward of the MHWL.

The homeowners who sued -- who had just six of the 448 parcels included in that replenishment project -- created a group called Stop the Beach Renourishment Inc. Local environmental groups, and some other homeowners in the neighborhood, say the plaintiffs appear to be "looking a gift horse in the mouth"-- benefiting from taxpayer-paid restoration but claiming ownership of the artificial beach.

The Florida Supreme Court ruled in favor of the state, prompting the high court appeal.

The area along Florida's Panhandle is known for its dramatic crystal white sands. Destin, a popular beach town, calls itself the "world's luckiest fishing village."

Safriet told the court the difference between beachfront and "beach view" -- from an aesthetic and financial point of view -- is tremendous, when property values are considered. "It was a wholesale transfer of rights as well as the deed," he said.

But Breyer said state law was generous to the private owners, saying no permanent structures, or anything that would spoil the right of peaceful enjoyment of their property, could be placed on the reclaimed land.

"Now, if they put a noisy hot dog stand that keeps you up at night, doesn't that violate the statute?" he asked.

Justice Sonia Sotomayor went further, saying that a boat or even a floating hot dog stand could sit just offshore, in a foot of water, and the private owners might not be able to do anything about it since it remained public property.

"No different than what exists today, before the legislation, which is if the hot dog vendor wanted to sit in a foot of water, it could have," she said. "So none of your actual use rights, pleasure rights or anything else has been changed" by the reclamation project, she said.

Justice Samuel Alito, leading the strongest voice among his conservative colleagues, suggested the state court made "a fundamental change in Florida property law to extend these concepts of [natural sediment erosion or addition] to things that are done by the state.

"Does that mean the state could come in and knock down the house and say this is an artificial avulsion?" he asked, referring to environmental damage done by a severe storm.

He then took the hot dog hypothetical further.

"Suppose a city decided it wanted to attract more students who were going to the beach in Florida for spring break, and so therefore it decided it was going to create a huge beach in front of privately owned homes. Under the decision of the Florida Supreme Court, I don't see anything that would stop the city from doing that," he theorized, saying such an event could even be televised. "As a practical matter, doesn't that have a real effect on the value of the property?"

The case has not yet risen to the level of public outcry from the high court's separate 2005 ruling, which said the government had the power under eminent domain to take private homes and give them to private developers, in the name of improving downtrodden neighborhoods. That provoked widespread criticism and led several states to reform their eminent domain laws.

Property rights advocates, supported by a range of conservative and libertarian legal groups, back the homeowners in the beach dispute.

Environmentalists, along with a majority of states and the Obama administration, back Florida.

Justice John Paul Stevens was not on the bench for the morning arguments. No explanation has yet been given for his absence, but the 89-year-old justice may have recused himself because he owns beachfront property in the state.

The justices will decide whether courts, apart from legislatures or the executive branch, have the power through a ruling to create a private property "taking," something historically prohibited by the Constitution. It is an issue they have been pondering, but never really tackling, for decades. Until now.

The case is Stop the Beach Renourishment v. Florida Dept. of Environmental Protection (08-1151). A ruling is expected by spring 2010.

@highlight

The U.S. Supreme Court held a one-hour public session Wednesday on shoreline rights

@highlight

Florida says that when it put new sand on eroding shorelines, that land became state's

@highlight

Private landowners, however, say their property lines have always extended to the ocean