WASHINGTON (CNN) -- Is Congress capable of doing anything right?

It's a question worth asking as Democrats and Republicans threaten for the third time this year to shut down the federal government. Americans faced the same prospect during spring budget talks and the summer debt ceiling debate. Now it's happening over what was expected to be passage of a routine bill to fund Washington through mid-November while replenishing disaster relief funds.

Friday is the latest deadline to avoid a partial shutdown. The Federal Emergency Management Agency -- tasked with helping states hit hard by Hurricane Irene, Tropical Storm Lee, and a series of recent wildfires and tornadoes -- will likely run out of money even sooner.

The details have differed with each threatened shutdown, but the basic plot remains the same. Democrats want to spend more while Republicans are using a series of statutory deadlines to force an agenda of spending cuts. The two sides have proven incapable of compromising until the last possible second.

Meanwhile, analysts warn that the repeated partisan brinksmanship is undermining consumer and business confidence, and may help bring on a double-dip recession.

Congress bickers and you suffer. They brawl; your 401(k) falls.

To make matters worse, there's no one villain to blame. If you want to know why Congress is repeatedly taking Washington to the brink and raising the country's collective economic anxiety, you have to look at a number of factors. Some are political, others perhaps psychological.

We have a "political system that looks manifestly broken," Democratic Treasury Secretary Tim Geithner said last week.

"The gridlock and partisanship in Washington right now is disgusting," Sen. Scott Brown, R-Massachusetts, said Monday. "It's unacceptable for Congress to add more uncertainty to the marketplace by threatening another government shutdown."

Jon Krosnick, a professor of political science, communications, and psychology at Stanford University, highlights what psychologists refer to as a "diffusion of responsibility" -- a diminished sense of individual blame when a person acts as part of a much larger group.

"When people are told by the leadership of a group to do something, and lots of others are doing it as well, people feel less guilt in doing it," he says in reference to the hyper-partisan "us versus them" culture of Capitol Hill. "In fact, they might feel more guilt if they don't follow orders."

People in every corner of the country are disgusted. Congress' approval ratings are abysmal -- hitting a record low of 14% in an August CNN/ORC International Poll.

Can't we all just get along? Or at least not inflict pointless pain on ourselves? Barack Obama's campaign slogan was "Yes We Can." But the sad truth is -- no we can't. At least not judging from Congress' performance since the midterm elections.

There are a number of explanations for Congress' behavior. None of them bodes well if you're hoping for more cooperation among Washington's power brokers.

Start with the politics. Some experts say this year's repeated Capitol Hill showdowns reflect a political culture where the vital center has collapsed. Once upon a time, legislators known as liberal Republicans and conservative Democrats roamed the halls of power. Those days are pretty much gone.

Today's congressmen and senators -- particularly on the tea-party-infused Republican side of the aisle -- are more fearful of primary than general election challenges. Growing numbers of federal elected officials are more worried about tending to a political base screaming for radical change than appealing to independent or crossover voters.

This is especially true in the House, where districts are drawn with scientific precision to be overwhelmingly Democratic or Republican. Now more than ever congressional elections are a general election incumbency racket. The GOP landslide of 2010? Eighty-five percent of House incumbents won another term, according to the Center for Responsive Politics. And that was the lowest percentage since 1970.

The changing rules of the political game have policy consequences. Congressmen seeking a long political career are probably better off catering to the wishes of their party's most extreme activists, not some vaguely defined middle-of-the-road voter.

"Some Republicans are ideological purists," said Adam Sheingate, a political science professor at Johns Hopkins University. But "others are running scared, fearful they could lose a primary challenge to a more extreme candidate."

Second, for all the talk of a growing independent electorate, there's evidence that voters themselves are more polarized. The rise of a more partisan, fragmented media may play a role in this development. More choice in news may be good, but it often comes at a cost of viewers and readers seeking affirmation of their opinions rather than a challenge to their world views.

In that kind of an environment, analysts note, elected officials are more likely to be punished than rewarded for compromising with the other side.

Third, a growing number of congressmen and senators -- especially those backed by the tea party -- are ideological true believers. If economic damage is inflicted by repeatedly taking the country to the brink, it may be seen as unfortunate but necessary in order to start turning the country in the right direction.

"There's a surgery metaphor here," says Krosnick. "I have to cut you open to get the cancer out. And any surgery has risks."

Wendy Schiller, a Brown University political scientist, says that "the fight now is really about dismantling the New Deal and the Great Society. It is about finishing what Ronald Reagan promised to do, but never really accomplished."

Schiller argues that "there is a genuine belief among tea party Republicans that if you shut the government down, all the non-essential things that the federal government does go away, but the essential things -- such as Social Security and defense -- keep flowing. So you strip the federal government to its bare essentials and see how it runs."

Tea partiers, Schiller says, "may be hoping that the American people actually accept a stripped-down federal government, and the pendulum on federal spending finally turns their way. Of course, as in (the government shutdown of) 1995, that can backfire and simply remind voters how much they need most of what the federal government provides."

Fourth, some congressional Republicans may be calculating that a disgusted, alienated electorate is more likely to blame the incumbent party when they go to the polls in 2012. And while Republicans control the House, the incumbency label is usually tied to the party that controls the presidency.

"People are more unhappy with the Republicans than with the president," Krosnick says. Indeed, only 33% of Americans held a favorable view of the GOP in an August 5-7 CNN/ORC International survey -- a lower favorability rating than that for either President Obama or the Democratic Party as a whole.

But a lot of congressional Republicans "believe they have to do whatever is necessary to get Obama out of office" and bring about major change, Krosnick argues.

"It's to their benefit to be able to communicate that government is stalled, inefficient, and unable to do anything on the average person's behalf," he says. "So they may decide that they're willing to take a hit in public opinion right now if they think Obama will end up taking the hit in 2012."

Do members of Congress feel a sense of guilt for engaging in behavior that may be adding to the country's economic woes?

"They may very well feel guilty or conflicted," Krosnick says. "No matter what they say publicly, it'd be hard to imagine the folks in Congress who are taking this approach and forcing these repeated confrontations aren't feeling somewhat conflicted if the result is some form of economic pain."

But any sense of guilt is likely mitigated -- particularly on the Republican side of the aisle -- by the creation of "shared strategy" and "sense of mutual confidence" for rank-and-file members, Krosnick claims.

Krosnick also argues that there's a degree of separation between Capitol Hill and the rest of the country that makes it easier for some congressional officials to take steps that may be exacerbating the country's economic pain.

"You've got to work hard to convince people that the economic hit they just took is the direct fault of Washington," he says. "They may draw a connection between Washington and the broader economic outlook in the country, but they rarely tie Washington to their personal financial situation.

As for members of Congress, he adds, burning ideological imperatives can trump reports of economic distress among people they don't know and interact with rarely -- if ever.

If the prognosis is grim, it may be worth remembering a line from that old congressional critic, Will Rogers.

"We cuss Congress," Rogers said. "But they are all good fellows at heart, and if they wasn't in Congress, why, they would be doing something else against us that might be even worse."

@highlight

Congress is threatening the third potential government shutdown this year

@highlight

The political turmoil may be contributing to the country's economic problems

@highlight

Congressmen believe they may benefit from the repeated showdowns, analysts say

@highlight

Congressmen feel less guilt when they act as part of a group, one analyst argues