(CNN) -- The declining dollar, surging oil prices, and exploding growth across the Persian Gulf are causing inflation levels to rise. Kuwait has already abandoned the dollar. And some analysts say the rest of the GCC may have to do the same to fight inflation. But do the Gulf banks agree? And how far do they think switching to a basket of currencies will bring down prices?

Qatar and the U.A.E. registered the highest inflation levels at 10 percent this week. In Oman, inflation was running at almost 4 per cent and 2.8 percent in Saudi Arabia.

Strong growth across the region, fueled by surges in oil prices have been a major factor. Supply has been struggling to keep up with demand in the growing economy, causing bottlenecks in supply which drives inflation.

Ahmed El Shall, CFO of Dubai Bank said the building boom in the U.A.E. is another "primary cause" of inflation. Rents are on the rise, causing other prices to climb. "If you consider that 36 percent of the inflation measure is made up of housing, you realize the inflation rate for the U.A.E. is 10 percent and above simply because rents have been increasing above 10 percent per annum," he told CNN.

But the other factor at play has been imported inflation via a weak U.S. dollar.

Last week, in response to the sub-prime mortgage crisis, the U.S. Federal Reserve cut interest rates by 0.5 point to 4.75 percent in order to save the nation's economy from a slow down.

Because currencies in the Gulf Co-operation Council region including Saudi Arabia, the U.A.E., Qatar, Bahrain and Oman are pegged to the dollar, their exchange rates also decline. This means prices of imports from non-dollar areas have increased, causing inflation.

With currencies pegged to the dollar, banks in the region must also follow the Fed's lead with their interest rates. This is another driver for inflation because lower rates drive investment. But to soften the blow, U.A.E. and Qatar kept rate cuts to a minimum and Saudi Arabia and Oman decided not to budge at all.

Rising prices are beginning to take their toll across the region. Dubai is now one of the most expensive cities in the world. Expats, with investments and bills to pay at home, are especially feeling the pinch of a weak exchange rate.

As prices rise, the debate intensifies about whether countries in the GCC should review their dollar pegs and link instead to a basket of currencies.

As analysts argue, when these countries first decided to peg to the dollar, oil prices were low and the U.S. currency strong. Today the opposite is true. Fitting to a basket, they say, would better reflect the GCC's modern economic situation.

Kuwait was the first country in the GCC to jump ship. In May it ditched the dinar's peg and moved to a basket of currencies.

But, as Shall told CNN, the Kuwait revaluation is yet to show an effect. "My understanding is that so far it hasn't really shown any improvement in inflation. To the contrary, it suffers in the exact same way Qatar and the U.A.E. suffer."

Qatar's central bank governor, Abdullah Al-Thani, told reporters and bankers last month that they were taking measures to control prices and rents to decrease inflation. But the dollar peg would remain, he said.

Saudi Arabia's refusal to cut interest rates with the Federal Reserve has prompted more speculation that it was preparing to break its dollar currency peg.

But the Kingdom has continued to deny this. Saudi bank, SABB, also "firmly" believes the Saudi riyal will not be revalued. "An expected change in the currency regime will take place only if the dollar weakens at an alarming rate and is sustained over the medium term," it said in a recent report.

Excessive speculation about devaluation, "could cause observers to overlook the GCC growth story," said the report. "The Kingdom's competitive advantage, in petrochemical exports for example, is not being affected, as most are priced in dollars." E-mail to a friend

@highlight

Inflation rises across region with highest levels in Qatar and the U.A.E.

@highlight

Strong growth, rising rents and weakening dollar fuel inflation increases

@highlight

As prices rise, debate intensifies about the region's currency pegs to the dollar