Montevista, Philippines (CNN) -- Bent over amid the wreckage of her family's home, Jane Bucani, 17, leafs through the sodden remnants of her school yearbook, trying to see what memories she can salvage.

Her mother, Rosal, picks among the jumble of debris where her kitchen used to be. The broken appliances strewn across the floor are the only indication that this was where she would cook for her five children.

And they are some of the more fortunate ones.

Up and down the poor, remote Compostela Valley region on the southern Philippine island of Mindanao, families like the Bucanis are trying to come to terms with what hit them.

Thousands of flimsy houses have been ripped to shreds. Scores of people are dead. Hundreds more are still missing, swept away in flash floods that roared down from the hills.

In some places, mudcaked corpses line the streets, covered with cloths and palm leaves. Distraught relatives wail and tug at one another's clothes.

Rescuers struggle to aid Philippines storm victims

The merciless force that tore apart lives in the valley and elsewhere in eastern Mindanao was Typhoon Bopha, known locally as "Pablo," the strongest tropical cyclone to hit the island in decades.

Rosal Bucani, 48, who lives in the town of Montevista, said she had never experienced anything like it. She didn't hear the warnings to take refuge in evacuation centers.

Many of those who did failed to heed them. The area is sheltered from the worst of the weather by mountains, they figured. And besides, the big typhoons that slam into the Philippines every year never come this far south, especially not this late in the year.

But Bopha did. And it brought savage winds that uprooted entire banana plantations in low-lying areas, and relentless rain that unleashed torrents of rocks and mud down the mountainsides where shanty-dwelling miners dig for gold.

The epicenter of the devastation appears to have been in New Bataan, a town about 20 kilometers (12 miles) southeast of Montevista and close to the steep mountains.

The flash floods hit it head-on Tuesday, washing away families huddled in their homes and soldiers stationed in a compound in the town.

Large parts of New Bataan and many of the people who lived there are now buried under mud, fallen trees and rubble, said Arnaldo Arcadio, an emergency response program manager for Catholic Relief Services, a humanitarian group.

"The mood is really gloomy," he said Thursday after visiting the town, where 90% to 95% of the houses are believed to have been destroyed or damaged.

At least 142 people from New Bataan have died -- 110 of whom hadn't been identified as of Friday morning -- Philippine authorities say.

And with more than 340 others still unaccounted for in the town, the grim math of natural disasters suggests the death toll will rise further.

Residents who evaded death now lack food, shelter and, most of all, drinking water, since the nearest source is 5 kilometers away, according to Arcadio.

"They are just trying to survive," he said, noting that the knee-deep mud in many places made it difficult to get around, with several areas of the town completely inaccessible.

Philippine President Benigno Aquino III will visit New Bataan on Friday to assess the damage and oversee the distribution of relief goods, the official Philippine News Agency reported.

"I have Mindanao on my mind, especially the number of people missing," Aquino said Thursday. "I am hoping these people will be found safe and sound."

The president said he is saddened that some families will spend the holidays in evacuation centers because their homes were destroyed.

Rescue workers have been struggling to reach many of the worst affected areas in Compostela Valley and the neighboring Davao Oriental region. Landslides have blocked roads and knocked out power and communications.

Bopha raked across Mindanao and several other Philippine islands before moving off into the South China Sea.

It has caused at least 418 deaths in the country, left about a quarter of a million homeless and affected more than 5 million people overall, the National Disaster Risk Reduction and Management Council, the Philippines' emergency management agency, reported Friday morning. Some 383 people are missing and 445 are injured, the agency said.

The typhoon arrived just ahead of a sinister anniversary on Mindanao. A year ago, Tropical Storm Washi drenched northern areas of the island with heavy rain, setting off flash floods and landslides in the middle of the night that destroyed entire villages.

Washi, dubbed "Sendong" in the Philippines, killed more than 1,200 people and left painful memories in the hardest hit areas, Cagayan de Oro and Iligan City.

The approach this week of Bopha, a far more powerful storm than Washi, had residents fearing fresh devastation. Local authorities took preemptive action, relocating thousands of people to evacuation centers and setting up emergency supplies.

But in the end, northern Mindanao was spared the worst of Bopha's fury. It was the less prepared communities of Compostela Valley and Davao Oriental, further south and east, that bore the brunt.

An ethnically mixed area, the Compostela Valley was inhabited by a multitude of tribes until the 20th century, when a logging boom brought waves of migrants from further north in the Philippines.

The timber trade, and later the mining industry, changed the geological and demographic landscape, stripping away the forests and driving many tribes into the hills.

The valley is also known for its rich, fertile plain, where rice, corn, bananas and coconuts are grown.

But on Thursday, the headline of the Philippine Star, a national newspaper, gave it a new, grim title: "Valley of the dead."

If you are there, share your story

CNN's Liz Neisloss reported from Montevista, and Jethro Mullen reported and wrote from Hong Kong. Elizabeth Joseph and Michael Pearson also contributed to this report.

@highlight

At least 418 people have died as a result of Typhoon Bopha, Filipino officials say

@highlight

That includes 142 people in the town of New Bataan, the government reports

@highlight

Some residents in the remote area didn't hear warnings, others ignored them

@highlight

Survivors are in desperate need of water, food and shelter, a relief worker says