(CNN) -- Patrick Vieira knows what it takes to win football's greatest prize -- and the former France star believes Africa is close to claiming a historic first World Cup title.

Only three teams from the continent have ever reached the quarterfinal stage of the tournament -- Cameroon in 1990, Senegal in 2002 and Ghana in 2010 -- yet none have made it to the last four.

Despite high expectations, first sparked by Pele's prediction in 1977 that "an African nation will win the World Cup before the year 2000," there have been a series of disappointments.

Undoubted talent has often fallen foul to ill-discipline on the pitch, arguments off it, ego problems, administrative issues and sheer bad luck.

Cameroon, Ghana, Ivory Coast, Nigeria and Algeria will all be hoping to overcome these hurdles in Brazil this time and perhaps go even further than their predecessors.

And Vieira, who helped France to World Cup glory on home soil in 1998 -- coming on as a substitute to set up Emmanuel Petit's goal in the shock 3-0 final win over Brazil -- is convinced it will not be too long before an African champion is crowned.

"I believe (they can) and I really hope they will win the World Cup in the near future because I think that will help African football to develop even better, even more," says Vieira, who was born in Senegal but moved to France as an eight-year-old.

"And when you look at how many big names African football has produced in the last few years, it's unbelievable," he told CNN.

Those big names include the likes of Samuel Eto'o, Didier Drogba and Yaya Toure, who would all love nothing more than to add a World Cup winners' medal to their lengthy list of honors in Brazil.

But while Cameroon and Ivory Coast have such world-beaters among their ranks, Vieira feels they will need to be at the top of their game to avoid past disappointments.

Quality

Ivory Coast has earned the nickname "the chokers" -- cruel given the quality of opposition the nation has faced -- after a talented set of individuals struggled to perform when it counted most, failing to make it out of the group stage in both the 2006 and 2010 World Cups.

"You need quality. When you look at the African national teams individually, they are really talented so they've got talent," Vieira says.

"But I think to be in the World Cup, you need your talented players to be at their best because the quality will make you win, the quality will make the difference.

"Quality will make the player make the difference at the right time when your team needs you. You may just go on to create one chance and you need to score the chance to go to the next round."

Vieira, though, believes that for talented players to flourish they must be in a team that has togetherness and unity.

Cameroon lacked in that department during its disastrous 2010 campaign, where the "Indomitable Lions" had been expected to do well in the first World Cup held on African soil.

Eto'o threatened to snub the competition after being criticized by compatriot Roger Milla, himself a former World Cup star for Cameroon.

And when he did turn up, the four-time African player of the year -- who had just won the European Champions League for the third time, on this occasion with Inter Milan -- struggled in South Africa after not being used in his customary striker's role.

Arsenal's Alex Song, meanwhile, found himself on the bench and coach Paul Le Guen was forced to quit after the team failed to register a point for the first time in six appearances at the finals.

"I would say togetherness (is important), and I think if you want to do well in the championship, in the World Cup, the team has to be together," Vieira says.

"It has to fight for the same objective and I believe that togetherness will make them go to the end."

Unity

Togetherness certainly played a role in France's 1998 win. Aime Jacquet's squad was seen as representing a new France, with Vieira born in Senegal, Marcel Desailly from Ghana, Lilian Thuram from Guadeloupe, Zinedine Zidane's family hailing from Algeria, while others were of Polish and Armenian descent.

"We had the players from all around the world and I think we showed the diversity of the French national team, we showed what the diversity of the French people are," Vieira says. "We showed to the French nation what France is really."

If an African side's unity can ever be questioned then it could be argued that it has been a result of African football's structural failings.

The Federation Camerounaise de Football temporarily suspended Eto'o from playing for the national team in 2011 for instigating the boycott of a friendly in Algeria over unpaid bonuses.

Emmanuel Adebayor, meanwhile, has criticized the Togo Federation in the past for its poor organizational skills, blaming the governing body for his late return to English club Tottenham following the 2013 African Cup of Nations.

"The only problem in Africa is our leaders, who do not respect us," Eto'o told the Confederation of African Football's (CAF) official website. "Until we are respected, other (continents) will never have any consideration for us."

Vieira adds: "I think what African football needs is better organization, better structure, and I think after that we'll help the players to be more professional when they're coming to play for their national team ... I think the structure around these players is not strong enough and I think if we don't have that, it will take time (for an African nation) to win the World Cup."

The man in charge of African football -- CAF president Issa Hayatou -- however, feels the structures put in place by his confederation and its member associations should allow for a nation or two to go far in Brazil.

"I do not see why Africa cannot have one or two of our representatives reach the semifinals or even the final," he told CAF's official website.

Discipline

Two representatives from Africa reaching the semifinals or final would make for huge progress, given that there has never been more than one at a time to reach the knockout stages.

That statistic could well have been banished in 1998 had Cameroon's players kept their heads when it mattered most.

The Indomitable Lions picked up three red cards in just three games, including two in the final group clash against Chile -- a match they drew, when victory would have been enough for a place in the second round alongside Nigeria.

"I would talk about discipline (as being vital if an African team wants to win the World Cup)," Vieira says. "Discipline and sacrifice, so that means you have to concentrate on your objective, you have to concentrate on what you have to do for the months to get at your best, and be at the peak of your game."

Focus

Hand-in-hand with discipline often comes focus -- something Nigeria lost for a split-second in 1994, denying the team a quarterfinal spot, long before Senegal and Ghana's heroics.

The Super Eagles were just two minutes away from becoming only the second African team to reach the last eight at their debut World Cup, but let a 1-0 lead slip against Italy before conceding again in extra-time.

"(You must) focus on your objective because when you are in the World Cup, you can get your head a little bit all over the place," Vieira says.

"And I think it's important for you to get focused on your objective, focused on what you want to achieve as a team."

Luck

Having all these ingredients is no guarantee for success, however, as at a major international tournament the winning team often needs a little luck along the way.

Ghana found this out the hard way after a run to the last eight of the 2010 World Cup that captured the imagination of much of Africa -- but was brought to an end in the most controversial of circumstances.

With the Black Stars' quarterfinal clash against Uruguay destined for penalties with the scores tied at 1-1 and just seconds remaining, Dominic Adiyiah saw his goal-bound header cleared off the line by Luis Suarez's hand.

Suarez was sent off for his actions -- and widely condemned by the world of football afterwards -- but the damage had already been done as Asamoah Gyan missed the resulting spot-kick, before Uruguay went on to win the ensuing penalty shootout.

Luck was not on the side of Algeria in 1982, either. With the Desert Warriors having already played their final group game, West Germany knew that a one- or two-goal win over Austria would take the neighboring nations through to the second round at the expense of the debutant team.

After 10 minutes, West Germany took the lead, before the two teams proceeded to kick the ball around aimlessly for the rest of the match.

"You need luck, because you will not win the best competition if you do not have luck. But the luck, you have to provoke it to make it happen," says Vieira.

"I think when you look at all the African teams who are playing in the World Cup, they lack one of the five ingredients (quality, togetherness, discipline, focus or luck).

"So hopefully they will have built it all up in the last few weeks so they will get to the first game where the togetherness, the quality of the players, the focus, and of course the luck at the end (is all there), because luck is very important."

@highlight

Patrick Vieira believes an African nation will one day win the World Cup

@highlight

An African nation has never advanced past the quarterfinal stage

@highlight

Vieira, born in Senegal, won the World Cup with France in 1998