Washington (CNN) -- Well, that turned ugly fast.

A move that the White House hoped might herald a happy welcome home for U.S. Army Sgt. Bowe Bergdahl, a soldier held captive for five years by the Taliban in Afghanistan, quickly turned into a nasty and largely partisan fight when he was exchanged for five militants being held in Guantanamo Bay.

A political tsunami ensued with allegations from both sides of the aisle of politicizing national security, questions about whether Bergdahl is a deserter and criticism of his family.

"I'm never surprised by controversies that are whipped up in Washington. That's par for the course," President Barack Obama said Thursday during a news conference at a meeting of G7 leaders in Brussels.

Surprising? Perhaps not.

But the force of the vitriol, backlash and backpedaling is an example of how sensitive issues can quickly turn volatile in a hyper-partisan Washington climate, political analysts said.

"When, all of a sudden, you've got Republican congressman who previously were calling for this, criticizing the administration for leaving this man in captivity for five years, or praising his release, and then deleting those Tweets? That really belies the politics. That exposes the naked, ugly politics behind this controversy," said John Avalon, a CNN political analyst.

Politics, raw and unpleasant, is what defines Washington now, political analysts said.

"It's to be expected because it's a potent mix of partisan environment where the rhetoric is very heated," said Julian Zelizer, a Princeton University historian and CNN contributor. "Combine that with a very controversial decision. Put those things together and you expect this kind of thing to happen."

However, it's important to wade through the rhetoric and get to the issues at the core, said David Rothkopf, editor of Foreign Policy magazine.

Behind the "the arm-waving and typical Capitol Hill vs. White House gamesmanship," there are pertinent questions about why the administration didn't tell Congress about the prisoner swap plan, if such a trade was a good one and whether the White House should have struck a more solemn tone about Bergdahl's release when there were questions about desertion, Rothkopf said.

"The Bergdahl situation has produced exactly the same kind of whirlwind of invective and overheated, highly politicized commentary that just about everything else does in Washington," Rothkopf said. "The trick in this case, as in all others, is to somehow discount all that and get to the underlying truth. Real issues regularly get obscured by all the invective and defensive spin."

And everyone involved is in heavy "defensive" spin mode.

Who was swapped for Bergdahl?

I was for it before I was against it

Former Vietnam prisoner of war and 2008 GOP presidential nominee Sen. John McCain, criticized the trade of Bergdahl for the Taliban commanders quickly.

"This decision to bring Sergeant Bergdahl home, and we applaud that he's home -- it's ill-founded, it's a mistake and it's putting lives of American servicemen and women at risk," the Arizona Republican told reporters.

However, in February, McCain seemed in an interview with CNN to back a swap.

"Obviously, I'd have to know the details, but I would support ways of bringing him home and if (an) exchange was one of them, I think that would be something I think we should seriously consider," he said at the time.

McCain has said his message has been consistent.

Then there are lawmakers who deleted their initial "welcome home" Tweets to Bergdahl as the controversy over his release spiraled into ugliness.

Democrats, including the President, Senate Majority Leader Harry Reid and House Minority Leader Nancy Pelosi, said Bergdahl is being used as a political football.

"If Barack Obama cured cancer, Republicans would attack him for putting oncologists out of work," Democratic strategist Paul Begala told CNN.

But even some Democrats, such as Senate Intelligence Committee Chairman Dianne Feinstein, criticized the administration's end run around Congress in securing Bergdahl's release but defended the decision.

Confusing messages from the White House

The White House story on when and how top leaders on Capitol Hill were informed about the release has added to the confusion, political analysts said.

The initial Rose Garden announcement was quickly followed by apologies to such top Democrats as Feinstein for being kept out of the loop.

Then came more explanation about the critical timing of Bergdahl's release, which the administration has said was tied to his declining health and the pending withdrawal of U.S. combat troops from Afghanistan.

Hillary Clinton wanted tougher deal for Bergdahl

Meanwhile, the criticism outside of Washington has grown louder and less polite.

A group of soldiers from Bergdahl's unit in Afghanistan accused him of desertion. Their claims -- not confirmed by the Pentagon, which is investigating -- responded to how Bergdahl was lauded by the White House as a hero when there were questions about his disappearance. Those soldiers said several troops were killed in efforts to find him, another claim the military has not confirmed.

Republican strategist, Richard Grenell, who BuzzFeed reported helped get the soldiers' side of the story out to such media outlets as the New York Times, worked on former Massachusetts Gov. Mitt Romney's 2012 presidential campaign.

Grenell declined to comment on his efforts to CNN.

In the meantime, the rancor has even begun to impact Bergdahl's family and community.

Fox News Channel host Bill O'Reilly said Bergdahl's father, who wears a long beard, "looks like a Muslim," and their hometown of Hailey, Idaho, called off a welcome home rally after fears of backlash over the controversial nature of the soldier's release.

"Emotions are running very high on this case," said CNN senior political analyst David Gergen. "Among the military personnel and veterans, my sense is it has less to do with the trade for the five militants than the celebratory qualities that the administration initially displayed toward Bergdahl. The message they got was this was a hero coming home. And that totally misreads the military mentality on this issue."

Celebrated at first, Bergdahl's release raises questions

How big a terror risk are former Guantanamo prisoners?

Bergdahl 'life' video shown, Senators still skeptical

CNN Senior White House Correspondent Jim Acosta contributed to this report.

@highlight

Rhetoric over Army Sgt. Bowe Bergdahl's release has turned rancorous

@highlight

Partisan fight over the controversial deal is another example of Washington infighting

@highlight

Supporters and opponents of the prisoner swap have both been inconsistent on the issue

@highlight

The narrative of Bergdahl's release is an especially thorny issue for members of the military