(CNN) -- Sunday's parliamentary election in Greece delivered a crushing blow to New Democracy and Pasok, the two dominant parties that have ruled the country for the last 37 years. In the coming weeks, expect uncertainty, shifting alliances and growing frustration as a new political landscape struggles to emerge from the wreckage of the old.

As the main backers of Greece's second bailout and the harsh austerity measures that accompanied it, New Democracy and Pasok saw their combined share of votes plunge, as angry voters punished them for two years of wage and pension cuts and rising taxes. Pasok, in particular, which won a landslide election in 2009 and made the fateful decision to seek the financial assistance of euro zone partners and the International Monetary Fund in 2010, saw its support collapse.

Coming in second at the polls was Syriza, a left wing party fiercely opposed to privatization, public sector spending cuts and labor market reform. The other four parties that garnered enough parliamentary votes, ranging from the unreconstructed Communists to the pro-Nazi thugs of Golden Dawn, are also opposed to further austerity.

What will happen next will depend on the ability of the frontrunners to form a coalition government made up of pro-European forces that will meet the conditions set by Greece's official creditors for the disbursement of further funds.

These conditions include the adoption of spending cuts worth 11.5 billion euros for 2013-2014 by next month, as well as quick progress in privatization and the opening up of closed professions, two areas in which neither the former nor current prime minister made any significant headway.

Antonis Samaras, head of New Democracy, said initially that his party was willing to lead a coalition government with the aim of keeping Greece in the euro zone and amending the policies of the loan agreement so that they could promote growth. But he has relinquished the mandate to form a government after talks broke down with the leaders of other parties, including Syriza, Pasok and the Democratic Left.

Syriza, the real winner in the election, has made it clear that it plans to reject the new loan agreement and come to a new understanding with Greece's euro zone partners. This position makes it hard for it to take part in a national unity government that would include New Democracy or Pasok.

At this point, it appears more likely that the parties will fail to form a coalition and Greece will be led down the treacherous path to new elections in June. This would entail a delay in the adoption of a new package of spending cuts, which in turn will mean that the next installment of the loan, due in August and worth up to 29 billion euros, will also be set back.

A political stalemate will delay both recapitalization of the Greek banks and repayment of more than 6 billion euros owed by the government to private contractors. The consequence is that Greek businesses, including healthy ones, will be deprived of much-needed oxygen.

In a country that is in its fifth consecutive year of recession and with an economy expected to shrink by more than 5% this year, this mess will cause any green shoots of recovery to wilt and die.

However, the victory of Francois Hollande in the French presidential election has sent a breeze of hope throughout the euro zone. Many expect, perhaps too optimistically, that France's new leader will convince Angela Merkel of Germany to temper her obsession with austerity in the European economy. It is hoped that she may give her consent to the issuing of euro bonds to promote infrastructure investment, complement the recently agreed fiscal compact with pro-growth measures and perhaps, less realistically, accept a plan to allow the European Central Bank to lend directly to fiscally troubled countries.

From Greece's vantage point, these are positive developments. But they will all be for naught unless the Greek political system can form a viable government that will implement the commitments it has undertaken -- properly amended in ways that Greece and its lenders can agree on -- and set the foundations for the transformation of the Greek economy to allow it to benefit from any improvement in Europe's prospects.

It is a tall order. And Greek politicians have shown little evidence of their ability to shoulder it. But the future prosperity of Greece, as well as the stability of the European Monetary Union, depends on their success.

The opinions expressed in this commentary are solely those of Yannis Palaiologos and Theodore Pelagidis.

@highlight

Parliamentary election in Greece delivered a crushing blow to the two dominant political parties

@highlight

Yannis Palaiologos and Theodore Pelagidis: Expect uncertainty and frustration

@highlight

Palaiologos, Pelagidis: If parties fail to form coalition, businesses, economy will suffer

@highlight

They say that the future of Greece depends on the ability of its politicians to come together