The U.S. Supreme Court will rule Thursday on the constitutionality of the sweeping health care law championed by President Barack Obama, in a hotly awaited decision that is bound to divide the country.

The stakes cannot be overstated:  what the justices decide will have an immediate and long-term impact on all Americans, both in how they get medicine and health care, and also in vast, yet unknown areas of "commerce."

Five scenarios: Health care options before the justices

According to a poll released Tuesday, 37% of Americans say they would be pleased if the health care law is deemed unconstitutional by the Supreme Court.

Twenty-eight percent would be pleased if the Affordable Care Act is ruled constitutional, the NBC News/Wall Street Journal survey showed, compared to 35% who said they would be disappointed if the court came back with that outcome.

But nearly four in 10 Americans surveyed said they would have "mixed feelings" if the justices struck down the whole law. The survey of 1,000 adults was conducted June 20-24.

The real people behind health care reform

Previous surveys have indicated that some who oppose the law do so because they think it doesn't go far enough.

The polarizing law, dubbed "Obamacare" by many, is the signature legislation of Obama's time in office.

Mitt Romney, the presumptive Republican presidential nominee, told supporters in Virginia on Tuesday: "If Obamacare is not deemed constitutional, then the first three and a half years of this president's term will have been wasted on something that has not helped the American people."

Romney, whose opposition to the law has been a rallying cry on the stump, continued: "If it is deemed to stand, then I'll tell you one thing. Then we'll have to have a president -- and I'm that one -- that's gonna get rid of Obamacare. We're gonna stop it on day one."

Speaking to supporters in Atlanta Tuesday, Obama defended his health care law as the way forward for the American people.

Opinion: Aging boomers need health care law

"They understand we don't need to re-fight this battle over health care," he said. "It's the right thing to do that we've got 3 million young people who are on their parent's health insurance plans that didn't have it before. It's the right thing to do to give seniors discounts on their prescription drugs. It's the right thing to do to give 30 million Americans health insurance that didn't have it before."

White House spokesman Jay Carney told reporters Tuesday that the administration is "confident that the Affordable Care Act is constitutional, in keeping with decades of precedent under the Commerce Clause. We continue to implement the law accordingly, and we are ready for the Supreme Court's decision, whatever it may be."

In its ruling Thursday, the nation's highest court could rule the whole law constitutional or unconstitutional, or strike down certain portions of the law while letting other provisions stand.

The Supreme Court heard three days of politically charged hearings in March on the 2010 Patient Protection and Affordable Care Act, a landmark but controversial measure passed by congressional Democrats despite pitched Republican opposition.

The challenge focused primarily on the law's requirement that most Americans buy health insurance or pay a fine.

Supporters of the plan argued the "individual mandate" is necessary for the system to work, while critics argued it is an unconstitutional intrusion on individual freedom.

All sides preparing for political fallout from health care decision

Four different federal appeals courts heard challenges to parts of the law before the Supreme Court ruling, and came up with three different results.

Courts in Cincinnati and Washington voted to uphold the law, while the appeals court in Atlanta struck down the individual mandate.

A fourth panel, in Richmond, Virginia, put its decision off until penalties for failing to buy health insurance take effect in 2014.

The Patient Protection and Affordable Care Act passed Congress along strictly partisan lines in March 2010, after a lengthy and heated debate marked by intense opposition from the health insurance industry and conservative groups.

When Obama signed the legislation later that month, he called it historic and said it marked a "new season in America."

While it was not the comprehensive national health care system liberals initially sought, supporters said the law would reduce health care costs, expand coverage and protect consumers.

Health care's big four issues: What the justices are tackling

The law establishes a staged series of reforms over several years, including banning insurance companies from denying coverage to people with pre-existing conditions, forbidding insurers from setting a dollar limit on health coverage payouts, and requiring them to cover preventative care at no additional cost to consumers.

It also required individuals to have health insurance, either through their employers or a state-sponsored exchange, or face a fine beginning in 2014.

Supporters argue the individual mandate is critical to the success of the legislation, because it expands the pool of people paying for insurance and ensures that healthy people do not opt out of buying insurance until they needed it.

Critics say the provision gives the government too much power over what they say should be a personal economic decision.

Twenty-six states, led by Florida, say individuals cannot be forced to buy insurance, a "product" they may neither want nor need. And they argue that if that provision is unconstitutional, the entire law must go.

The Justice Department countered that since every American will need medical care at some point in their lives, individuals do not "choose" whether to participate in the health care market.

Congress ready for high court's health care decisions -- then it gets tricky

The partisan debate around such a sweeping piece of legislation has encompassed almost every traditional hot-button topic: abortion and contraception funding, state and individual rights, federal deficits, end-of-life care, and the overall economy.

During arguments on March 27, Justice Anthony Kennedy said the law appeared to "change the relationship between the government and the individual in a profound way."

Chief Justice John Roberts argued that "all bets are off" when it comes to federal government authority if Congress was found to have the authority to regulate health care in the name of commerce.

Liberal justices, however, argued people who don't pay into the health system by purchasing insurance make care more expensive for everyone.

Timeline of the health care law

"It is not your free choice" to stay out of the market for life, Justice Ruth Bader Ginsburg said during arguments.

"I think the justices probably came into the argument with their minds made up. They had hundreds of briefs and months to study them," said Thomas Goldstein, publisher of SCOTUSblog.com and a prominent Washington attorney, though he conceded that "the oral arguments (in March) might have changed their minds around the margin."

The law, which helped spur the creation of the conservative tea party movement, is likely to be a centerpiece of the presidential election campaign.

The legislation signed by Obama reached 2,700 pages, nine major sections and some 450 provisions.

The first lawsuits challenging the health care overhaul began just hours after the president signed the measure.

Basics: Health care reform issues

@highlight

The Supreme Court decision on health care will come Thursday

@highlight

The Affordable Care Act was passed in March 2010 along partisan lines

@highlight

The law requires individuals to buy health insurance or face a fine