(CNN) -- It's the kind of thing that seems to happen every day to innocent grandmas, teens and toddlers when they pass through the airport: Savannah Barry, a 16-year-old Type 1 diabetic, uses an insulin pump that can malfunction when exposed to technology used in airport screenings. When she passed through the Salt Lake City airport for a flight home to Denver in May, she asked for a pat-down, but Transportation Security Administration workers directed her to pass through a scanner. Her parents weren't there -- she was on a school trip -- but she trusted TSA agents to guide her.

But the pump makers could no longer guarantee that Savannah was receiving the correct amount of insulin after it passed through the scanner, and it had to be replaced.

Savannah's story became another milestone in travelers' collective loathing, annoyance and exasperation with the 50,000-person agency charged with protecting the nation's transportation systems. Travel industry watchers say the mood toward the TSA isn't at its worst right now, but it's at risk of getting there. Ten years since the agency's creation -- and nearly 11 since the last major act of terrorism aboard a U.S. plane -- travelers still detest the TSA.

While the TSA doesn't count grumbles as fliers remove their shoes or leave behind oversized shampoo bottles, the number of complaints received by phone or e-mail has decreased, according to TSA data. The numbers this year are lower than in recent years past: 1,294 complaints total in March, the most recent month for which data are available. That's down from a peak of 4,027 in May 2004, the highest number since the TSA began to track and release complaint data eight years ago.

Perhaps the most maligned parts of TSA security often get the lowest number of complaints. Screening procedures drew 1,960 complaints since January 2010, and security checkpoint processing time got 2,484 complaints since then.

Travelers' stuff, it turns out, is the source of most complaints.

Since the start of 2010, the highest number of complaints -- 18,196 -- related to damage claims for checked bags, problems for which airlines and the TSA share liability. (It's also the area that experienced the biggest decreases in recent complaint tallies.) In second place, at 10,187, were complaints about treatment of personal property at security checkpoints.

The mood toward the TSA isn't good, but it was worse in late 2010, when the TSA began to deploy full-body scanners and pat-downs in airports, said National Geographic Traveler's ombudsman and consumer advocate, Christopher Elliott.

Back then, some declared "We won't fly" or rallied behind the idea of National Opt-Out Day, which called for passengers to request pat-downs instead of going through the scanners on the busiest travel day of the year. (In the end, Opt-Out Day didn't disturb lines.) That November, a USA Today/Gallup poll found that 57% of adult fliers were bothered or angered by security pat-downs, while 42% felt that way about full-body scans. The outrage spawned a social media-fed genre of viral videos and stories about poorly handled TSA scans -- like Savannah Barry's -- and grope-y pat-downs.

Fliers weren't happy then, Elliott said, and he thinks the tension is bubbling again.

"People trust them until something happens, until they get a screener that makes them take their pants off or frisks them in a way they think is too invasive," he said. The TSA is "under pressure from Congress to do more with less. There are questions about the safety of the body scanners. There have been numerous misunderstandings between passengers and the (screeners). All those things add up."

Air rage: Passengers 'quicker to snap'

Unofficial complaints about the TSA go way beyond frustration over wrapped holiday gifts and suspicious baked goods. Critics say it's ineffective, inconsistent and unconstitutional; that it's not actually making travelers safer and creates a false sense of security; that its officers are poorly trained, its equipment unsafe and its methods embarrassing.

In May, an inspector general's report said the TSA wasn't adequately tracking or fixing airport security breaches.

New this week, some complain it costs fliers too much. After 10 years with a security fee of $2.50 for passengers, the TSA wants to offset rising costs by boosting it to $5 for each leg of a trip.

TSA officials said they're trying to help their relationship with travelers by clearing up security do's and don'ts in a mobile app and allowing some direct contact through "Blogger Bob" Burns.

The agency wants to shorten waits and reduce invasive security checks by expanding PreCheck, a program that puts passengers who share more personal information on a fast-track through security screenings; it will be in 35 of the country's largest airports by the end of the year. For now, users are mostly frequent fliers invited to join, but the TSA said PreCheck will open up to military personnel, kids and people ages 75 and older.

Airline squeeze: It's not you, 'it's the seat'

But does the TSA need to win any government agency popularity contests? Does it make a difference if its customers don't like it or if they trust it at all?

A difficult relationship with travelers might mean the TSA misses out on useful observations that could be shared by roughly 50 million passengers who pass through airport checkpoints every month. New York law enforcement has successfully relied on people's observations and ingrained the idea in the public through the Metropolitan Transportation Authority's now-familiar slogan, "If you see something, say something." The Department of Homeland Security launched its own ad campaign with the slogan last year, although it wasn't aimed specifically at customers who come into contact with the TSA.

"The TSA had never really gotten the kind of traction we needed with our customers," former TSA Administrator Kip Hawley wrote in his book, "Permanent Emergency: Inside the TSA and the Fight for the Future of American Security," published in April. "Gaining the willful participation and support of the public would give us access to the largest and most dynamic network out there."

Security technologist Bruce Schneier said he's not aware of data that link security to the relationship between the agency and its customers -- but it's a good question.

"I believe the TSA is having a credibility problem," he said. "If you hate something, you're going to have a worse time doing it. If people don't trust something and hate it, then it goes less well."

A study published in Security Journal last year found that passengers in the United Kingdom had a higher opinion of whole-body scanners after they were presented with unbiased information about them, including risks and sample images. They found them fast and less intrusive than pat-downs. Not informing passengers about scanners can open the door to misinformation and critics, the study's authors said, and hurt the long-term acceptance and legitimacy of airport security.

What will make customers happy, though, depends on their complaints.

Schneier said he'd be happier if the TSA ran airport security that looked more like it did before September 11, 2001, before liquid bans, body scanners and shoe removal. He calls the TSA's best-known processes "security theater" but said there's no political will to eliminate it.

"Everyone complains about the TSA, but nobody really wants to be on the hook for getting it wrong," he said.

The golden days of air travel: How glorious were they?

Elliott, the consumer advocate and author of "Scammed: How to Save Your Money and Find Better Service in a World of Schemes, Swindles and Shady Deals," said he'd feel better about the TSA if it eliminated its Visible Intermodal Prevention and Response, or VIPR, teams at train stations and NFL games and instead stuck to airport security. When he's in line to fly, he wants better explanations about TSA procedures and to know that more money is steered toward intelligence instead of "unconstitutional" scans and pat-downs.

"It's a matter of using billions of dollars in a smarter way," he said. "There's always going to be people that say, 'If you take a step back, you're going to create the next 9/11.' Those are paranoid voices, and they're always going to be there. I have to listen to the rational voices that say we've gone too far."

The Barry family in Denver wants TSA agents trained so everyone with a medical device or condition can make it through security checkpoints safely, said Sandra Barry, whose daughter's insulin pump was replaced after its ill-fated trip through Salt Lake City's airport.

Barry said they respect that TSA officers are highly trained and low-paid and "have an important job to do." She can even understand why security officers wanted to send Savannah through the scanner: It was busy, scanners are quick, and the public usually isn't thrilled about security agents patting down teenage girls.

But the Barry family isn't flying again until they're confident their kids -- both of whom have Type 1 diabetes -- will have pumps that work beyond the checkpoint. Insulin pumps can cost $8,000 to $10,000, Barry said, and it can be hard for pump users to switch back to injections. The family will be driving to their summer vacation destinations this year.

The agency said last month that it would respond directly to the Barry family and that it regularly works with disability and medical condition advocacy groups to adapt screening procedures.

Indeed, Barry said, they spoke with TSA officials on a conference call this week and are reviewing a proposal they hope will make flying easier for diabetics. So far, Barry said, the TSA has been slow but responsive.

"We could be their best advocate. This could be a total turnaround and nice PR for them," Barry said. "Right now, our relationship is really amicable, and we'd like to keep it that way."

@highlight

Complaints to the Transportation Security Administration have dropped

@highlight

Industry observers say tension is bubbling, but feelings toward TSA were worse in 2010

@highlight

Security technologist Bruce Schneier: "I believe the TSA is having a credibility problem"