(CNET.com) -- The HP Pavilion Media Center TV m8120n is proof positive that quad-core processing is ready for mass consumption. This $1,150 entertainment-minded desktop serves up Intel's Core 2 Quad Q6600 CPU, a quad-core chip that up to this point we've seen only in much higher-end systems meant for gaming.

While HP's own Pavilion Slimline or Apple's Mac Mini might be better fits for most people looking for a PC to pair with their plasma, the m8120n is a great buy if you need a high-end PC that can do pretty much everything outside of gaming.

This fixed-configuration retail PC serves up a host of audio and video connections, plenty of hard drive space, more memory than we were expecting, and integrated Wi-Fi -- all inside a functional and good-looking case. The result is a surprisingly powerful media PC; you won't find a better performer for less. Only its lack of a next-gen optical drive prevents a higher recommendation. We're also not thrilled with the amount of shovelware.

Aside from its black exterior, the m8120n is similar in design to the Pavilion Media Center m7780n we reviewed at the start of the year (HP moved to its current Media Center chassis in the spring).

We turned on the system and looked over the components, expecting to find a few incremental upgrades from the previous models. Instead, we were shocked to find not only a quad-core processor but also 3GB of fast 1,066MHz memory -- 1GB more than we anticipated. A quick scan of our quad-core reviews confirmed our suspicion: this is by far the cheapest quad-core PC we've reviewed.

HP is able to keep the price down in large part by not going after gamers with this system (the preloaded trial offers -- shovelware -- also help subsidize the cost of the PC). Instead of putting money toward a powerful but pricey graphics card, HP uses a low-end Nvidia GeForce 7350LE TurboCache card. It borrows resources from the main system memory when it needs more than its 128MB of dedicated video RAM, but it's more than capable for everything but supplying suitable 3D framerates as our tests show.

Beneath the graphics card is a TV tuner card that features an NTSC tuner, an over-the-air ATSC HD tuner, and an FM tuner. It allows you to connect it to your cable box or grab over-the-air channels via an HD antenna (which you'll need to supply yourself). The m8120n uses Vista Home Premium, which includes the Media Center shell. You can use it as your subscription-free DVR front-end to watch, pause, and record TV.

It also lets you access other media files--photos, music, videos--via the included Media Center remote. A slick, slim wireless keyboard is also included, but it lacks a mouse control nub or ball, which means living-room use will require mousing on your thigh, the arm of the couch, or coffee table if it's something you can't control with the remote.

A pair of 320GB hard drives provides ample storage out of the box, and you can add more via the Personal Media Drive bay on the front panel that can accept HP's external hard drives. The drives come in 160GB, 300GB, and 500GB capacities and require no wires to connect -- just slide them into the slot. They also feature a USB port should you need to connect them to another PC. Aside from that, there isn't much room for expansion. All four memory slots are occupied, as are both PCI slots. You can easily get rid of the modem card if you need a free PCI slot, however, and there is an available x1 PCI Express slot.

Beneath the 15-in-1 media card reader conveniently located across the top of the front panel are two 5.25-inch drive bays. We were hoping HP's hybrid Blu-ray/HD DVD drive would occupy one of the two slots, but, alas, we discovered a LightScribe DVD burner that might have excited us two years ago. Then again, it's probably too much to ask for that hybrid drive at this price.

The Pavilion Media Center m8120n is a fixed configuration retail model, but you can customize a similar model on HP's site. The hybrid drive adds $760 to the cost of the system plus a necessary yet reasonable $130 graphics upgrade. Alternatively, you can configure the online model with a $200 HD DVD-ROM drive if you want to watch next-gen discs but not write to them. By comparison, the hybrid drive writes to Blu-ray and only reads HD DVD.

The lack of a next-gen optical drive is disappointing on this type of PC because it offers so much media-consuming goodness. In addition to the TV tuner, the Pavilion Media Center m8120n serves up useful AV ports on the front panel. Along with the usual FireWire, USB, headphone, and microphone connections, the system gives you composite and S-Video ports along with two RCA audio ports.

The front panel ports make it a snap to connect a camcorder or other video device should you have the PC tucked into your home theater setup where getting to the back-panel ports may prove difficult. Back-panel ports of note include digital audio in and out. The integrated Wi-Fi also increases its living-room appeal because it lets you connect to the Internet without running Ethernet all over your house. And for such a powerful PC, the system is remarkably quiet.

About its power. The advantages of a quad-core processor are obvious when you compare the results of the Pavilion Media Center m8120n with two dual-core systems, the $1,470 Gateway DX430X and the $1,499 Velocity Micro ProMagix E2035, on our Photoshop and Cinebench tests. The m8120n completed our Photoshop CS2 benchmark 7 percent faster than the Velocity Micro system and 19 percent faster than the Gateway. The difference in performance is far greater on our Cinebench test that taxes multiple CPUs; the m8120m enjoyed a huge 69 percent advantage over the Velocity Micro and a 75 percent lead over the Gateway.

Our Multitasking test provides a good glimpse of overall application performance under a typical workload. The Pavilion Media Center m8120n's showing on this test is particularly impressive when you consider that it easily outpaces a Gateway PC that costs a few hundred more. While Dell's original XPS 710 cost nearly five times more than the m8210n when we reviewed it in November 2006, it's used here by comparison to show what the scores of an overclocked, high-end, quad-core gaming PC look like. Also note that the Dell XPS 710 was running Windows XP, which isn't nearly as demanding as Vista.

HP backs the Pavilion Media Center m8120n with an industry-standard one-year part-and-labor hardware warranty (software support ends after 90 days). Toll-free phone support and live chat are available 24-7. One piece of preloaded software we do appreciate is HP's Total Care Advisor, a suite of support tools that can help you schedule updates and backups and diagnose and repair problems.

The included printed materials are thorough and clearly written, from the huge, full-color start-up poster to the lengthy Getting Started manual. E-mail to a friend

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

The HP Pavilion Media Center TV m8120n retails for $1,150

@highlight

It boasts a quad-core Intel processor and outstanding overall performance

@highlight

No next-gen optical drive on this retail model, little room for future expansion