(CNN) -- If you plan on watching the Super Bowl Sunday, there is one aspect of the game that can be predicted with absolute certainty:

You'll be bombarded with instant replays so continuously that you'll stop noticing they're there.

I'm not referring to the occasional replays that determine whether an official on the field has made the right call. Those usually come at dramatic junctures.

The instant replays that will wash over you are the routine ones we've all become accustomed to in every televised sport: the rebroadcast, usually in slow motion, of the play that has just occurred. The block that cleared the way for a 30-yard gain, the catch made in traffic just before the defenders level a receiver ... we take it on faith that as soon as a play has ended, we'll likely see it from a different angle again (and again ... and again).

A case can be made that instant replays, while an enjoyable tool for watching sporting events, have worked their way into the wider nonsporting world in ways that are far from beneficial. In the context of the streets and homes of the United States, they are not an unmixed blessing.

There was a time when instant replay had never been seen by American sports fans. If you watched a game on television, you had to pay pretty close attention. If you missed the touchdown run, the buzzer-beating basket, you weren't going to see it again before the game concluded. This made for a lot of dead air between plays.

Then, on Dec. 7, 1963, during the Army-Navy football game, a CBS sports director named Tony Verna, using newly available videotape technology, showed an Army touchdown for a second time right after the runner crossed the goal line. Broadcast lore has it that play-by-play announcer Lindsey Nelson, not wanting viewers to be confused, yelled into his microphone: "This is not live! Ladies and gentlemen, Army did not score again!"

What happened in the ensuing years, you know about. Instant replay became an integral part of sports broadcasts. If a game were to be telecast today without instant replays, it would appear incomplete and unsatisfying. Viewers would become frustrated.

As instant replay became so ubiquitous on sports telecasts, a subtle shift occurred in everyday life. We had become used to seeing everything that transpired on athletic fields shown over and over; if we didn't see the big play the first time, it didn't matter, because we knew we'd be seeing it again right away. And before long, we began to demand the same thing from life itself.

Technology obliged. Instant replay capability became available to all of us. The ramifications of this, it can be argued, have turned out to be complicated and less than ideal.

Moments have ceased to be momentary.

Life has turned into dress rehearsal.

First came home-video cameras; people at family gatherings began to pop the tapes into VHS playback machines as the parties were still in progress, reliving celebratory toasts while the guests still had the drinks in their hands, scrutinizing themselves on screens before memories had even begun to form.

Camera phones took this into new territory; every person with a phone became as powerful as Tony Verna in that CBS control room, able without delay to immediately transmit moving pictures to networks of acquaintances, or to public video-posting sites, for viewing by anyone in the world.

On one level it's a marvelous development, endlessly fascinating.

Yet there is this nagging feeling that real life has been converted into a series of moments that are no longer expected to be here and gone, but instead are regarded as first run-throughs: performances that will be witnessed repeatedly, on demand.

When you habitually view the world through the lens of a digital camera, knowing that it will take only seconds for you to transform something that has not yet happened into something that, in theory, will live forever, you inadvertently are accomplishing something else: You are altering, devaluing, the meaning of "now."

We cease paying quite so much attention to what's taking place around us, to savoring it, because we have become conditioned to believe that there is nothing that won't come around again in rerun -- probably within minutes. Knowing that the odds are slim that if we miss something we'll really miss it, we don't focus as sharply. The replay, paradoxically, seems more authentic than the original act.

There's no going back; Tony Verna may or may not have been aware of what he started during that Army-Navy game in 1963, but what commenced that day was the beginning of the end of the concept of here-and-gone. Security cameras are mounted in so many places today that, on city streets and in stores and office buildings, you're on stage more constantly than Milton Berle or Lucille Ball ever were in the early days of television. Your every movement is being recorded just as precisely and diligently as those of the wide receiver who stretches to put the football over the goal line in the Super Bowl.

For all that has been gained with this, something essential has started to drift away:

The idea that a moment is a moment, transitory and somehow more precious because it's never coming around again.

These days, you can't be sure that it will ever leave.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

On Dec. 7, 1963, a television sports director introduced the instant replay

@highlight

Bob Greene says that event changed sports broadcasting -- and more

@highlight

He says people expect that every moment of their lives can be replayed

@highlight

Greene: Something was lost when the "here and gone" nature of reality vanished