Newtown, Connecticut (CNN) -- Many questions remain 31 days after a school massacre in Newtown, Connecticut, shocked the nation. But what's clear is that the pain remains powerfully visible throughout the community. And the force of that anguish is loud enough to echo throughout Washington's halls of power.

As authorities investigate why 20-year-old Adam Lanza gunned down 27 people, including 20 children, there's no clear consensus in Newtown about how to move forward. But many residents are calling for stricter gun control, including a ban on so-called assault weapons and high-capacity magazines, used in many mass shootings.

Newtown police Chief Michael Kehoe told NBC that he favors a ban on assault weapons and restrictions on high-capacity ammunition magazines.

Emotions remain raw. "There is still a lot of pain, a lot of grief," said Rick Scinto, a deacon at St. Rose of Lima Roman Catholic Church, which lost nine of its youngest members at Sandy Hook Elementary School. He acknowledged that the pain "might not ever go away."

Read more: Connecticut governor orders review of gun laws

Down the street from the school, at a place where a makeshift memorial once stood, a bouquet now marks the spot.

The memorial has been dismantled, composted and preserved for a permanent memorial.

Hanging from an overpass, a huge banner filled with signatures reads, "We are with you, Newtown." The banner is a gift from Tucson, Arizona, where a mass shooting two years ago killed six people and seriously wounded then-Rep. Gabby Giffords.

Sandy Hook students returned to class this month in the nearby town of Monroe, at Chalk Hill Middle School, while investigators comb the crime scene.

Chalk Hill has been outfitted with rugs and furniture that would be familiar and comforting to Sandy Hook students. Security measures have also been increased, with more cameras and locks.

What will Newtown do with the school itself? Some have proposed tearing down the scene of the unspeakable crime and transforming it into something positive.

"I don't want to see the land and the building stay empty and broken," one parent said during a town hall meeting Sunday night. "I want to do something with it, whether it be a memorial park" or "a new safer school with top security."

The tragedy is so profound that recent polling suggests it may have shifted public opinion and re-energized discussions about how far the Second Amendment should extend.

The family of 6-year-old victim Noah Pozner has contacted the White House to discuss gun laws and potential reforms.

In Washington, the Newtown tragedy has largely set a new tone -- and triggered a new battle.

The nation's largest gun lobby is gearing up for one of its most potent challenges in years. "We are mobilizing for a fight," said National Rifle Association President David Keene.

A federal task force led by Vice President Joe Biden -- which met with the NRA, gun control advocates and numerous other groups -- is set to deliver recommendations to President Barack Obama on Tuesday.

Obama openly shed tears in the shootings' aftermath and has vowed to make curbing gun violence a "central issue" at the start of his second term.

"There is no single answer," said Biden, who in 1994 helped pass an assault weapons ban that expired a decade later.

Biden has publicly mentioned homing in on things like universal background checks and reviews of mental health policies as part of his possible recommendations to decrease gun-related deaths.

'Criminals and madmen'

But Keene said his meeting last week with the vice president left him "disappointed," with little perceived ground for compromise.

"We will not allow law-abiding gun owners to be blamed for the acts of criminals and madmen," the NRA said in a statement after the meeting.

The group is preparing a new ad campaign to fend off certain gun regulations.

Governors in states like Connecticut, New York and Colorado have called for tighter restrictions and extensive background checks during firearms sales. Other states like Alaska, Arizona and Montana have sought to pass legislation that would exempt them from stricter federal regulations.

"The gun issue will be prominent in a lot of states," said Bill Pound, executive director of the National Conference of State Legislatures. "Whether there will be action taken is another question. If experience is any guide, there will be far more bills introduced than enacted."

The city of Burlington, Vermont, sought to get tougher on the kind of weapon used in the Sandy Hook shootings, passing a resolution that could lead to a ban on certain rifles and high-capacity magazines.

Sandy Hook Promise

In Newtown, a group of residents plan to mark the month that has passed by unveiling a grass-roots campaign to prevent similar tragedies.

The group calls itself the Sandy Hook Promise, formerly Newtown United. It aims to "identify and implement holistic, common sense solutions that will make our community and our country safer from similar acts of violence through education, outreach and grass-roots discussion," according to its website.

"It is unfortunate that we need tragedies to address problems," said Brookings Institution fellow John Hudak, who grew up roughly 10 miles from Sandy Hook. "It has been true across the world in responses to terrorism, in the improvement of disease prevention, in the testing of pharmaceuticals and even in the growth and development of democracy."

Interactive: Remembering the victims

Regulations and Legislation

After Newtown, several congressional lawmakers promised to introduce tougher gun-control measures. On the first day of the new session, lawmakers in the House of Representatives introduced nearly a dozen bills related to gun violence.

Rep. Carolyn McCarthy, D-New York, has sponsored legislation that would require background checks for all gun sales -- including at gun shows -- and ban online sales of ammunition.

In the Senate, one such bill is the Fix Gun Checks Act, which attempts to address the "gun-show loophole" and requires criminal background checks for all firearms sales, rather than just licensed dealers.

Sen. Richard Blumenthal, D-Connecticut, announced that he planned to introduce legislation requiring background checks to purchase ammunition.

"Ammunition is now the black hole in gun violence prevention," he said, pointing to laws on bullet sales that permit exchanges without background reviews.

Some are pushing for a new ban on "assault weapons" to include other types of military-style weapons and those with high-capacity magazines.

The NRA opposes such a ban, saying it won't help and infringes on Second Amendment rights.

In Connecticut, Gov. Dannel Malloy last week bluntly rejected the notion, espoused by the NRA, of putting more guns in classrooms as protection.

All states except Illinois allow at least some limited ability to carry a concealed weapon in public, often requiring "good cause" by an individual before a permit is issued.

Four states -- Vermont, Arizona, Alaska and Wyoming -- do not require any permit for a concealed weapon.

Gun sales surge, buybacks gain popularity

December set a record for the number of background checks for gun buyers during a single month, according to the FBI. It's an indictator of the rising sales of firearms.

And yet gun buyback programs have also gained popularity in Newtown's aftermath, with events springing up across the country, at times privately sponsored.

Tell us: Would your gun fall under the '94 weapons ban?

School safety

After the shootings at Columbine High School in Littleton, Colorado, in 1999 and at Virginia Tech in 2007, calls for more school security sounded as the public sought to find ways to prevent mass violence from reaching students.

After the Newtown massacre, a similar phenomenon got under way as schools added cameras, locks and ran extra drills. And yet most schools already have some form of a functioning crisis plan, noted Kenneth Trump, a school security consultant.

"I don't believe we need to throw out the book of best practices on school safety," he said. "I think we do need to focus our resources, times and conversation back on the fundamentals."

In their effort to protect both patients and the public, health advocates are calling on legislators to take a closer look at the nation's mental health care system in the wake of the Newtown tragedy.

And a glance at the numbers offers some insight into the extent of the issue.

One quarter of adults suffer from a "diagnosable mental disorder in a given year," while 6% of U.S. adults have what can be considered a "serious mental illness," according to the National Institute of Mental Health.

Research conducted at the Centers for Disease Control also indicates that 3.4% of noninstitutionalized adults suffer from "serious psychological distress" in a given month.

Read more: Newtown opens eyes to other gun violence against young people

@highlight

A month after the Newtown school massacre, the town still grieves

@highlight

Residents plan to mark the day by unveiling a grass-roots campaign

@highlight

Police chief and mayor support stricter gun control laws

@highlight

Many governors have called for tighter gun restrictions