Atlanta (CNN) -- The Cherokee Nation had difficulty electing its principal chief, so much so that members called in the Carter Center to observe the most recent vote and judge whether it was free and fair. We normally observe elections only in politically troubled countries abroad but believe that the contentiousness and fundamental voting rights issues at stake -- and not just for the Cherokees -- justified this exceptional mission.

Simmering beneath the election process all along has been the crucial issue of voting rights for the former slaves known in the tribe as Freedmen, who are Cherokee citizens of African origin and who have had to fight in the courts to be able to vote.

Cherokees, formerly of Georgia and now mostly in Oklahoma, number about 300,000, 56,000 of whom are registered voters. About 15,200 turned out for an election in June. After four attempts to certify the winner in the contest between incumbent Principal Chief Chad Smith and challenger Bill John Baker, the Cherokee Supreme Court set a rerun vote vote for September 24, which the Carter Center observed.

In March 2007, a referendum â€” in which only 8,700 ballots were cast -- denied tribal citizenship to anyone who did not have at least one ancestor on the 1867 U.S. government's Dawes List of ethnic Cherokees. Most of the disenfranchised were the nearly 3,000 Cherokee Freedmen. U.S. authorities had deemed their ancestors not ethnic Cherokees but among the 5,000 survivors of the 17,000 expelled from Georgia and sent on the "Trail of Tears" to Oklahoma. Dawes had listed them separately as full members of the Cherokee nation.

The Freedmen defied the exclusion, claimed their full rights and voted in June. But in August, before the rerun, the Cherokee Supreme Court issued a second ruling, affirming that the March referendum was constitutional. Smith had championed the 2007 referendum and, not surprisingly, praised the affirmation of Supreme Court, whose members he had appointed. Because of that, many believed the court ruling was rooted more in political opportunism -- to assure more votes for Smith over Baker -- than legal principles.

The Freedmen fought back. Their legal counsel appealed to Washington District Judge Henry Kennedy to stay the Cherokee Supreme Court ruling September 20, and this, along with a decision by the U.S. Department of Housing and Urban Development to freeze $31 million in much-needed housing funds, succeeded in restoring the Freedmen's voting rights in the September 24 runoff.

When the Cherokee Nation appealed to The Carter Center to observe this election, we saw a likelihood of another very close election between two increasingly bitter factions competing for control of a Cherokee administration with rapidly growing assets: up 243% since 2002, mostly because of casino gambling. Last year, the administration had revenues of about $420 million.

But what made this election far more significant than a contest for political power and wealth was the voting rights of the Freedmen.

Democracy's defining principle is inherent equality. The terrible history of forced oppression and forced relocation has produced a deeply flawed Cherokee democracy, one further threatened by the attempt to restrict citizenship to ethnic Cherokees, a flagrant affront to the principle of inherent equality.

We observed the voting September 24 and the additional five days allowed at the election commission's headquarters in Tahlequah, Oklahoma, with the final voting October 8. The elections commission declared Bill John Baker the winner in an election The Carter Center deemed to be transparent and an accurate reflection of the will of the Cherokee people, including the Freedmen.

The Cherokee election is significant because the vote was credible, and more important, for the rejection of ethnic nationalism as a route to democratic development.

The opinions expressed in this commentary are solely those of John Stremlau.

@highlight

John Stremlau: Cherokee Nation called in Carter Center to observe its election for chief

@highlight

Adding to power struggle was the right of Freedmen (black Cherokees) to vote, he says

@highlight

Freedmen, Cherokee members of African origin, fought and finally won right to vote

@highlight

Stremlau: Restricting voting rights to ethnic Cherokees is an affront to democracy