Lagos, Nigeria (CNN) -- Home to some 70 million Muslims, Nigeria is stepping up efforts to capitalize on the growing popularity of the one of the world's fastest-growing financial sectors: Islamic banking.

Earlier this year the Central Bank of Nigeria announced a final set of regulations which introduced Islamic banking to the country.

CNN's Christian Purefoy discussed the sector's potential with Hajara Adeola, managing director of Lotus Capital, one of the groups helping to pave the way for Islamic finance in Nigeria.

Adeola says there is a growing appetite for this form of banking.

"It is working in Nigeria and there is a lot of interest in doing Islamic banking, in West Africa in particular," she says.

Spread across the Middle East and other parts of the world, a slew of Islamic financial institutions have been offering interest-free services that advocates say can provide a more sustainable alternative to conventional banking practices.

The industry, which exists in more than 50 countries, is estimated to be worth around $1 trillion and has the potential to eventually be worth $5 trillion, according to ratings agency Moody's.

Charging and paying interest is not allowed in Islamic finance because it is prohibited under Sharia law. Instead, if a bank is providing finance for an infrastructure project, for example, the bank and customer agree to share the risk of investment and divide any earnings.

"One of the most well known (principles) is the lack of interest or usury, so you can't own a return simply for having money -- which is what interest is," Adeola says. "You would have to somehow employ that money into productive use and then you can earn a return on that money."

Islamic banks are not allowed to trade in financial risk areas or deal in mortgage-backed securities or credit-default swaps. Investing in Islamically unacceptable businesses such as alcohol and cigarette makers, casinos and adult-entertainment companies is also forbidden.

In June, Jaiz Bank International became the first group to be allowed to open a Shariah-compliant bank in Nigeria after gaining an approval in principal from the country's Central Bank.

Adeola believes Nigeria has the potential to become one of the largest Islamic banking sectors in the world.

"It is a huge market," she says. "There's about 70 million Muslims in Nigeria. Research shows approximately 30% of the Muslim population typically would be interested in Islamic finance and if you look at the projection they made for the size of the market, it is really quite tremendous -- and that's just the domestic."

But the Central Bank's decision has met opposition from some Christian leaders in Nigeria, who argue that the move could increase religious violence in a country whose population is almost evenly divided between Muslims and Christians.

According to a VOA news report in mid-July, the Christian Association of Nigeria said the introduction of Islamic banking could stir up religious tensions at a time when security forces are fighting Islamic fundamentalists who want an independent state in northern Nigeria ruled by Islamic law.

But Adeola says that Islamic finance is not a threat and can appeal to the country's Christian community as well its Muslims.

"Islamic finance is universal," she says. "There is nothing about it that offends anyone or offends their faith or their principles. If anything, there are many Christians who like to invest with us because it's also in line with their own ethical values."

Christian Purefoy and Teo Kermeliotis contributed to this report

@highlight

Nigerian authorities have introduced regulations introducing Islamic banking

@highlight

Islamic banks do not charge interest because it's prohibited under the Sharia law

@highlight

Islamic finance can appeal to Christians as well, says Hajara Adeola of Lotus Capital