Atlanta, Georgia (CNN) -- Superjumbo, the world's largest passenger plane, has finally conquered the world's busiest airport.

Korean Air kicked off its double-decker Airbus A380 service this week from Seoul to Atlanta, which celebrated Friday with a spectacular ceremony.

Shortly after touching down, Flight 035 slowly taxied to its specially modified gate under a towering arch of water cannons. Atlanta's Hartsfield-Jackson airport, which handled some 95 million passengers last year, is now the seventh U.S. airfield able to handle this ginormous aircraft.

But nearly six years after the Superjumbo entered service, it's unclear whether bigger is necessarily better.

Atlanta's airport spent about $30 million in passenger fees for runway, taxiway and jetway modifications, which enabled Bumshick Ehm -- one of Flight 035's approximately 350 passengers -- to easily exit the aircraft after a 13-hour, 7,100-mile nonstop journey.

Vine video of the Korean Airlines A380 taking off Friday

Ehm was returning home to Atlanta with his 3-year-old daughter after visiting family in Seoul. "Inside, when you're flying, it really doesn't feel that different from any other plane," said Ehm, 33. "But when you see it from the outside, you're reminded how huge it is."

More floor space and quieter engines

Air travel is projected to explode in the coming decades. Airlines are looking to freshen their fleets, while aircraft makers are pitching their new planes as the wave of the future. The A380 boasts quieter engines and lightweight construction to save fuel. And it's roomy -- with 50% more floor space than its competitor, the relatively new Boeing 747-8, which seats 400 to 500 passengers.

#ATL24: Behind the scenes at the world's busiest airport

More than four decades after the original 747 Jumbo Jet, it's hard for any giant airliner to avoid comparisons to the enormously successful icon.

Korean Air has taken some of the Superjumbo's floor space and created a "Celestial Bar" lounge hosted by a bartender. Also aboard is a "duty-free showcase" where passengers can shop for cosmetics, perfumes, liquor and accessories. Upstairs, they can find luxurious Kosmo First Class suites and lie-flat sleepers spaced 6 feet apart.

First class takes up the forward part of the lower floor with economy filling up the rear. Upstairs, it's all business class, offering comfy seating but less privacy. "The cabin is really modern," Ehm said. "I liked the duty-free shop, and the lounge made me feel like a VIP."

A cruise liner in the sky

"The reality is that if you're on the upper deck, you don't know there's another deck below you," says Brett Snyder of Crankyflier.com. Â "And if you're on the lower deck, it's like sitting on a 747."

In 2007, at the A380's American coming out party at New York's JFK airport, the plane was compared to a cruise liner in the sky.

But the A380's reputation hit a rough spot in 2011 when a taxiing Air France Superjumbo clipped a smaller plane at JFK so hard it turned it 45 degrees.

Clearly Boeing didn't think bigger is always better. In the 1990s Boeing briefly partnered with Airbus to collaborate on a new wide-body four-engine airliner before backing out.

Instead, Boeing chose to build on its previous success. The newest version of the 747 -- the 747-8 entered service in 2011 with room for 51 extra passengers than its previous version -- falls short of A380's capacity, although it is longer.

Boeing's new 747 warmed the hearts of countless aviation geeks who still crush on the plane's distinctive front bulge. And it's not just geeks who like it. A recent poll of 1,000 fliers by airfarewatchdog.com showed Boeing's 777 and 747 beating out the A380.

Both Boeing and Airbus have suffered through mechanical problems with new aircraft -- the A380 with wing cracks and the 787 Dreamliner with overheating batteries.

Seven U.S. airports can land the A380

Nonetheless, after two years in business, Boeing's 747-8 has received more than 100 orders. Snyder points out that Boeing's 787 Dreamliner, which seats up to 300 and has been in service for two years, has surpassed 900 orders. Compare that to the A380, which has been in service six years and has yet to crack 300.

So now Atlanta joins six other American cities where travelers can fly the A380: Miami, Houston, New York's JFK, Washington's Dulles, Los Angeles and San Francisco.

Is the A380 opening new routes? Not really, says Snyder, although the Superjumbo has "enabled airlines like Emirates to put more seats on existing routes at a lower cost."

The 787, however, is opening new routes that traditionally haven't worked because of cost issues or range limits, he says, including United's from San Francisco to Chengdu, China. Â Or British Airways' from Austin, Texas, to London.

In the end, which will dominate long-distance flight? Will we regularly soar above the clouds in four-engined, double-decker hotels? Or will travelers prefer single-floor planes with two engines and fewer perks?

For Ehm and his daughter as they come to the end of their trans-Pacific journey, that's not really at the top of their agenda. They're just glad to be home.

@highlight

Atlanta's becomes 7th U.S. airport where the giant A380 airliner can land

@highlight

The A380 seats up to 853 passengers compared with Boeing 747-8's 400 to 500

@highlight

The Superjumbo has 50% more floor space than any other airliner

@highlight

Are bigger airliners better? Passengers, airline experts weigh in