"Do the Republican and Democratic parties do an adequate job of representing the American people, or do they do such a poor job that a third major party is required?"

A record 60% of Americans now yearn for a third major party, according to Gallup. Independents, unsurprisingly, are most likely to favor a third party, but a majority of self-described Republicans say yes, too. But what do they mean by that "yes"?

Obviously, they mean many different things. Some yearn for a third party representing the Michael Bloomberg center: fiscally conservative and socially liberal like the New York City mayor.

But here's a caution about third parties in American history: They are much more likely to arise on the fringes of the political system, not the center. America has seen third-party efforts by socialists and segregationists; by right-to-lifers and libertarians.

This is why you now hear so much "third party" talk coming from tea party Republicans rather than (as you might expect) the party's subordinated pragmatists. The sensible center is much more likely to exert itself inside existing parties, as Dwight Eisenhower did for Republicans in the 1950s and as Bill Clinton did for the Democrats in the 1990s.

Pragmatists want to change the GOP so that it can win elections and govern effectively. Tea party Republicans prefer to express their principles regardless of consequences, which is why the Pew survey in September found that 71% of them favored a government shutdown even though nearly 40% of them expected that shutdown to have a "major" impact on the economy.

Third-party threats frighten Republican leaders. They remember that Ross Perot's independent challenge badly hurt George H.W. Bush's re-election campaign in 1992.

Canadian conservatives were locked out of power for nearly 15 years by a party split in the 1990s. British Conservatives fear that a rise in support for the United Kingdom Independence Party could drain support from Britain's Conservative-Liberal governing coalition.

Yet politics is a complicated business, and it's not always true that a party is weakened by the departure of its most extreme supporters.

Consider, for example, the case of the Democratic Party in the election of 1948. That year, the Democrats faced two groups that bolted.

To protest President Harry Truman's turn to support civil rights, southern Democrats coalesced as a "States' Rights" party and nominated South Carolina Gov. Strom Thurmond for president.

Left-liberal Democrats angered by Truman's tough Cold War foreign policy created an "American Labor" party and nominated former vice president Henry Wallace.

Together, Thurmond and Wallace took almost 5% of the vote in 1948. Thurmond carried four Deep South states and 7% of the Electoral College.

Yet Truman survived. In fact, there's a reasonable argument that Truman was actually helped by these third- and fourth-party challenges.

In 1948, African-Americans remained very much a swing constituency. Hundreds of thousands of black Americans had moved north and gained voting rights in the 30 years between 1917 and 1948. As a group, they tended to prefer the New Deal policies of the Democratic Party, but they deeply distrusted that party's Southern white supremacist wing.

Truman was a card-carrying member of the Sons of Confederate Veterans who had adopted the civil rights cause late in his career. Could he really be trusted? Truman's willingness to face down Thurmond convinced many Northern blacks that he could be. He carried an estimated 77% of the black vote in the North, and those votes provided the margin of victory in the three crucial states of California, Illinois and Ohio. Those three states provided 73 electoral votes in total, and they were each won by Truman with a margin of less than 1%.

Meanwhile, the Wallace challenge helped Truman with more conservative voters. Truman had initiated the Marshall Plan and the Berlin Airlift, yet some questioned whether the Democrats were tough enough on communism -- an important question among voters of eastern European origin in states like Wisconsin and Michigan.

With Wallace vehemently denouncing Truman as too tough on the Soviet Union -- sometimes in speeches that echoed  the editorials of the newspaper of the American Communist Party -- Truman gained the same kind of political cover on his right flank that Thurmond had provided him on his left.

The result, everybody knows.

Right now, tea party extremism contaminates the whole Republican brand. It's a very interesting question whether a tea party bolt from the GOP might not just liberate the party to slide back to the political center -- and liberate Republicans from identification with the Sarah Palins and the Ted Cruzes who have done so much harm to their hopes over the past three election cycles.

It's worth repeating over and over again. Add Todd Akin in Missouri and Richard Mourdock in Indiana, Sharron Angle in Nevada and Ken Buck in Colorado, Christine O'Donnell in Delaware and Joe Miller in Alaska -- and you have half a dozen Senate races lost to the GOP by extremist nominations.

Maybe the right answer to the threat, "Shut down the government or we quit" is: "So sad you feel that way. Don't let the door hit you on the way out."

@highlight

David Frum: Tea party extremism contaminates the Republican brand

@highlight

He cites a Gallup poll saying that 60% of Americans favor creation of a third party

@highlight

Most of the time, third parties are formed by the extreme wings of the parties, he says

@highlight

Frum: If the tea party bolts the GOP, it would be a positive sign for Republicans