(CNN) -- From ambitious teens taking on the world and tech pioneers breaking boundaries to maverick slum dwellers dreaming big and trailblazing innovators tackling social problems, CNN's African Start-Up has been following the efforts of the continent's innovative and determined entrepreneurs to make their business dreams become reality.

Indeed, all across the continent, a growing wave of grassroots self-starters are taking risks and defying obstacles to bring their money-making ideas to life. Armed with a can-do attitude and hopes of striking it big, they're navigating a conundrum of challenges to pursue opportunities at a time when many African countries enjoy unprecedented levels of economic growth.

"The entrepreneurial landscape in sub-Saharan Africa is absolutely excellent," says Mike Herrington, executive director of Global Entrepreneurship Monitor (GEM) and professor at the University of Cape Town in South Africa. "It's on the increase because Africa, at last, has been emerging and the economies are booming -- several countries are starting to really increase entrepreneurial activity and move to opportunity entrepreneurship, rather than necessity entrepreneurship," he adds. "Opportunities abound and a positive spirit is emerging amongst the population of these countries."

So, Africa's entrepreneurial spirit is alive and thriving -- but how does it compare to the rest of the world?

Earlier this year, GEM published its annual report looking at the state of entrepreneurship globally. It found that sub-Saharan Africa is the region with by far the highest number of people involved in early-stage entrepreneurial activity (TEA), with Zambia and Nigeria leading the world rankings.

It's a woman's world

Africa also leads the world in the number of women starting businesses, with almost equal levels of male and female entrepreneurs. In fact, in countries like Ghana, Nigeria and Zambia the women outnumber the men.

Overall, the continent has a much higher proportion of female entrepreneurs compared to other regions, with Nigeria and Zambia (both 40.7%) coming on top and countries like the United States (10.4%), the UK (5.5%), Norway (3.6%) and France (3.1%) lagging far behind.

According to Herrington, the main reason for this is because women in Africa "need to earn an extra income" to be able to afford "to send their children to school."

Getting off the ground

Yet, does the high number of both male and female entrepreneurs tell the whole story? And do these impressive figures translate to sustainable startups that are able to grow and provide employment to the continent's young population?

In its analysis, GEM groups countries into geographic regions, but also according to their development stage: factor-driven, efficiency-driven and innovation-driven, each suggesting an increasing level of sophistication in the operation of the economy (see fact box on the left).

Most African nations surveyed are placed into the factor-driven stage, where early-stage entrepreneurial activity rates tend to be higher than the rates of owner-managers in established businesses (running more than three and a half years).

In other words, "a high entrepreneurship rate does not necessarily mean the creation of a lot of jobs," explains Herrington. "Those countries with low GDP per capita tend to have a very high entrepreneurial rate, because the larger corporations are not taking up a lot people to provide them with the so-called formal employment," he adds.

Calling it a day

Similarly, the continent might be buzzing with startups, but how long do these last?

According to GEM, the rate of business discontinuance tends to decrease as economic development increases. As a result, countries like Malawi and Angola that see many new businesses also experience high numbers of people abandoning their efforts after failing to make profits.

"The discontinuance of businesses in the factor-driven economies is very high," says Herrington, citing "the lack of education, market research and access to funding" as the main reasons.

Fearless entrepreneurs

There are several factors hindering the survival and growth of small businesses in Africa -- little government support, bureaucracy and lack of financial backing to cite a few more. Yet, all these constraints do little to prevent the continent's budding entrepreneurs from trying their luck.

True, entrepreneurs might be optimistic by nature, but nowhere else in the world is this key drive toward success as present as in Africa.

The continent's entrepreneurs boast the lowest levels of "fear of failure," with just 24% responding that it would stop from starting a business and seizing business opportunities. In countries like Zambia, Uganda and Malawi the figure drops to as little as 15% -- compare that to countries like the UK (36.4%) and the United States. (31%).

All you need is confidence

It's no surprise then that African entrepreneurs are also the most confident in the world in their ability and skills to start a business. In comparison, people in Malawi feel twice as self-assured about launching a startup as those in the UK.

Likewise, sub-Saharan Africa claims the top five spots for countries where people see good opportunities for starting a business and feel positive about entrepreneurship.

Herrington says that it's these qualities, coupled with a need for better education and a focus on moving entrepreneurs from necessity to opportunity, that will drive the continent's development.

"Africa is going to have to rely on small businesses (SMEs) to provide the bulk of the employment," he says. "In a lot of countries the SMEs contribute more than 50% of the GDP and more than 50% of employment, so if you're going to employ people in Africa and other developing countries it's SMEs are the ones that are going to provide that."

@highlight

Experts say Africa has to rely on small businesses to provide employment

@highlight

The continent has the highest rates of early-stage entrepreneurship in the world

@highlight

It's a leader for female entrepreneurship, says Global Entrepreneurship Monitor

@highlight

Yet countries with many new startups also see high levels of discontinuance