Berlin, Germany (CNN) -- Thousands of people joined world leaders in the German capital Monday to remember the night 20 years ago when a euphoric wave of people power swept away the Berlin Wall and consigned the Cold War to history.

In scenes calmly mirroring the events of November 9, 1989, crowds thronged through the center of the once-divided city, joining German Chancellor Angela Merkel in a symbolic re-enactment of the first crossing of the breached Wall.

"It was worth fighting for," Merkel said, after crossing the Bösebrücker bridge on Bornholmer Strasse, the checkpoint where people first poured across the frontier.

Merkel, the first former East German to lead the reunified country, was accompanied by Soviet leader Mikhail Gorbachev and Polish ex-president Lech Walesa as she kicked off events to celebrate the demise of the iconic structure and remember the darker sides of the communist regimes behind it.

"It is not only a day of celebration for Germans. It is a day of celebration for the whole of Europe," Merkel said.

Merkel was joined by Britain's Gordon Brown, France's Nicolas Sarkozy and Russian President Dmitry Medvedev in a series of events, including solemn tributes and boisterous music concerts.

At the climax, a line of 1,000 giant dominoes was knocked over along a 2-kilometer strip where the Wall once stood --representing the domino effect the structure's collapse had in ending communism across Eastern Europe.

Memorials were to be held for the 136 lives lost of those who tried to eascape through the barrier that cut Berlin in two -- many in the so-called "death strip" at the heart of the Wall's fortifications.

Read more in our Autumn of Change special report

Thousands of people gathered at the Brandenburg Gate, the symbol of reunified Germany which once stood at the center of the no man's land between East and West Berlin.

Rock acts including Bon Jovi joined the festivities, echoing the popular music of the late 80s which soundtracked the cold night when rigid communist control gave way to an exhilarating tide of people clamoring for freedom.

Testament to the powerful legacy of the Wall's collapse have been the vivid memories recounted by many of the dramatic and emotional events before and after the fall.

"It was a circus-like atmosphere, people were enthused and exuberant and thrilled to see the Wall coming down," said David Paul Noel of Maryland, who was working for the U.S. State Department in Germany at the time.

Former CNN correspondent Richard Blystone, who watched the Wall collapse was struck by the difference in appearance of each side of the Wall

"On the west side, there was all this graffiti and dirty words, and names of rock groups and 'down with that' -- all the chaos of a pluralistic society," he said. "On the eastern side, it was clean and white, just so sterile."

Though dominated by nostalgia, Monday was also an opportunity to assess progress in a reunified Germany and democratized Eastern Europe, with many airing concerns that the world still has lessons to learn from the events of 1989.

With many in Germany feeling the economic, social and psychological divisions once demarcated by the Wall, Merkel said Monday that the country had yet to fulfil promises made when East and West reunited in 1990.

"Germany unity is not yet complete," Merkel told public broadcaster ARD earlier.

At an event in Berlin on Sunday, U.S. Secretary of State Hillary Clinton called for renewed global action to liberate those still living under repressive regimes.

"Our history did not end the night the Wall came down," Clinton said. "It began anew. And this matters not only to tens of millions of Europeans, and to the United States, but to people everywhere."

She added: "To expand freedom to more people, we cannot accept that freedom does not belong to all people. We cannot allow oppression, defined and justified by religion or tribe to replace that of ideology.

"We have a responsibility to address conditions everywhere that undermine the potential of boys and girls and men and women that sap human dignity and threaten global progress."

CNN's Barry Neild contributed to this story

@highlight

Angela Merkel leads ceremonies to mark 20 years since collapse of Berlin Wall

@highlight

Thousands of people converged on symbolic Brandenburg Gate in center of Berlin

@highlight

Merkel says Germany still has far to go in its unification process