American warplanes pounded extremist Sunni fighters in northern Iraq on Saturday in what officials described as an effort to defend minority Yazidis "being indiscriminately attacked," strikes that came just as President Barack Obama warned of an extended air campaign against the terror group.

The series of airstrikes began with a mix of fighter jets and drones that targeted militants firing on Yazidis near the town of Sinjar, where fighters with the Islamic State, formerly known as the Islamic State of Iraq and Syria, forced tens of thousands into hiding on nearby Sinjar Mountain.

The airstrikes were the first in the Sinjar area since Obama authorized targeted attacks to protect Americans and Iraqi minorities from an ISIS advance threatening the Kurdish regional capital of Irbil.

News of the latest round of airstrikes came as Obama declined to provide a timetable for U.S. airstrikes and humanitarian aid drops in Iraq.

"I don't think we're going to solve this problem in weeks," the President told reporters in televised remarks, while at the same time reiterating a vow that no U.S. combat troops will join the fight.

Given that Iraqi security forces still need time to ramp up and Iraqi politicians need space to form to form a more inclusive government to whittle Sunni support for ISIS, "this is going to be a long-term project," Obama said from the White House South Lawn.

The airstrikes on Saturday began at about 11:20 a.m. ET, with the targeting of two ISIS armored personnel carriers (APCs) firing on Yazidis, according to a statement released by the U.S. Central Command. Another two rounds of airstrikes were carried out about 20 minutes later after more ISIS vehicles, primarily APCs, moved into the area, the statement said.

A fourth round of airstrikes was carried out more than three hours later when U.S. aircraft struck another ISIS armored vehicle, it said.

At the same time, health and civil defense officials said U.S. warplanes targeted ISIS fighters near the town of Makhmur, where the group has been launching attacks on the outskirts of Irbil.

The Pentagon declined to comment on the claims by Iraqi health and civil defense officials in Mosul, who told CNN the airstrikes killed at least 16 of the fighters.

'Running out of time'

Meanwhile, the UK and France has said it will join the United States in humanitarian airdrops for hundreds of thousands of Iraqis on the run ahead of a brutal ISIS advance.

On Saturday, the United States carried out another round of airdrops. Three cargo aircraft -- supported by U.S. fighter jets -- dropped 3,804 gallons of fresh drinking water and 16,128 ready-to-eat meals, the military said.

But a United Nations official said airstrikes and humanitarian airdrops aren't enough for the estimated 40,000 minority Yazidis, who are trapped on Mount Sinjar and hiding from ISIS fighters who have said they will kill the group.

Only about 100 to 150 people a day have been able to be airlifted by Iraqi security forces off the mountain, said Marizio Babille of UNICEF.

"We are running out of time for thousands who can obviously not be reached by these airdrops," he said, adding that UNICEF is appealing for the international support to open and secure "a humanitarian corridor over land."

Dozens, including 60 children, according to UNICEF have died on the mountain where the Yazidis are battling extreme temperatures and a lack of food and water.

American planes also have twice dropped food and other supplies to thousands of Yazidis, members of a minority group that fled to a northern Iraqi mountain after ISIS militants overran their town, Obama said Saturday.

U.S. aircraft are poised to strike ISIS militants who have surrounded the mountain, Obama said. Any such strikes would support Kurdish forces' efforts to free the Yazidis, he said.

The airstrikes have ramped up America's involvement in Iraq where ISIS is seizing control of towns and key infrastructure even as it celebrates its own slaughter along the way.

The United States has hundreds of military personnel in Iraq, including advisers sent in recent weeks to coordinate with Iraqi and Kurdish military officials in response to the ISIS rampage. The USS George H.W. Bush and other Navy ships also are in the region.

Obama indicated Saturday the United States' interests in targeting ISIS went well beyond protecting U.S. personnel and Iraqi minorities.

"My team has been vigilant ... about foreign fighters and jihadists gathering in Syria and now Iraq, who might potentially launch attacks outside of the region against Western targets and U.S. targets," he said. "So there's going to be a counterterrorism element that we are already preparing for and have been working diligently on for a long time now."

Obama: Iraq's ethnic groups need to unite

Asked Saturday if Obama felt ISIS had been underestimated, the President said the advance of the Sunni Islamic extremists has been "more rapid" than intelligence officials and policymakers, both inside and outside Iraq, had predicted.

But he said ISIS' advance was made possible in part by the lack of an inclusive and functioning Iraqi government.

The government forces, "when they (were) far away from Baghdad, did not have the incentive or the capacity to hold ground against an aggressive adversary," Obama said.

To secure their country, Iraqis will need to build an inclusive government, Obama said, in an apparent dig at Prime Minister Nuri al-Maliki's Shiite-dominated government.

Iraq's Sunni minority have bitterly complained of being marginalized and cut out of the political process by al-Maliki's government.

The height of that marginalization coincided with months of deadly sectarian fighting throughout the country, and preceded ISIS' rout of Iraqi security forces in Mosul, Iraq's second-largest city, earlier this year.

Michael Rubin, a Middle East analyst with the conservative American Enterprise Institute, cautioned Saturday that even if al-Maliki's government would have been more inclusive, ISIS still would have been a problem.

"No matter how magnanimous Maliki could have been in an ideal world, it would have meant nothing to ISIS, many of whose members aren't even Iraqi. Sometimes there's no magic diplomatic formula," Rubin, a Pentagon official under former President George W. Bush, told CNN.

One unanswered question, according to James Jeffrey, the U.S. ambassador to Iraq from 2010 to 2012, is what the United States would do if the Iraqi government and moderate elements can't muster the political and military capability to take on ISIS in Iraq and Syria.

Map: Where is ISIS?

Militants using U.S.-made weapons

Even as the airstrikes were under way, there was news that ISIS militants captured Iraq's largest hydroelectric dam, just north of Mosul, Iraq's second-largest city. According to a senior Kurdish official, the militant fighters have been using U.S.-made weapons seized during fighting from the Iraqi army, including M1 Abrams tanks.

There had been conflicting reports about who controlled the dam on the Tigris River, with heavy fighting under way between ISIS fighters and Kurdish forces, known as Peshmerga. U.S. officials have warned that a failure of the dam would be catastrophic, resulting in flooding all the way to Baghdad.

In other fighting, an Iraqi airstrike killed 45 ISIS fighters and injured 60 Friday in the northern town of Sinjar, the country's state-run National Media Center said.

ISIS militants have executed people who don't share their fanatical interpretation of Sunni Islam.  The group posts videos of its savagery to the Internet.

One shows a Christian man forced to his knees, surrounded by masked militants, identified in the video as members of ISIS. They force the man at gunpoint to "convert" to Islam. Then, the group beheads him.

Another shows ISIS militants placing severed heads on spikes to strike terror in the population.

@highlight

U.S. cargo planes carrying out another airdrop of water and food, the military says

@highlight

A series of airstrikes targets ISIS fighters attacking Yazidis, officials say

@highlight

The airstrikes are the first in the Sinjar area since ISIS forced thousands to flee

@highlight

No timetable for U.S. airstrikes in Iraq, Obama says