ATLANTA (CNN) -- To a degree some may find hard to swallow, science is proving the old adage "you are what you eat."

Americans eat corn in the form of chips but also consume it in the ubiquitous high fructose corn syrup.

Proteins and fats in your food are incorporated into your body and brain with potentially profound effects on your health and even your behavior.

Todd Dawson, a plant biologist at the University of California-Berkeley, can test a strand of hair to determine how much corn is in your diet or mine by looking for a form of carbon found in corn.

"We are what we eat with respect to carbon, for sure. So if we eat a particular kind of food, and it has a particular kind of carbon in it, that's recorded in us, in our tissues, in our hair, in our fingernails, in the muscles," Dawson says.

Dawson tested a strand of my hair: 69 percent of the carbon came from corn.

This may seem high, but it is typical for Americans.

"We're like corn chips walking because we really have a very, very large fraction of corn in our diets, and we actually can't help it because it's an additive in so many of the foods we find on the market shelves," Dawson says.

Foods like ketchup, salad dressing, soda, cookies and chips all contain corn, usually high fructose corn syrup.

"I think where the danger comes in with corn is that much of the corn grown now in North America is going into making high fructose corn syrup," Dawson says. "So it's not that corn per se is bad, but it's the sweetener made from corn that gets into many of the foods that Americans are probably consuming too much of, and we now see that showing up as obesity and heart disease and potential for type 2 diabetes."

To be fair, researchers say we're eating too much of all kinds of sugar, not just high fructose corn syrup.

And the Corn Refiners Association points out that "many parts of the world, including Mexico and Europe, have rising rates of obesity and diabetes, despite having little or no high fructose corn syrup in their foods and drinks."

Europeans eat a diet with far fewer processed foods and corn-based sweeteners. Dawson tested his own hair after three months in Italy: 5 percent corn.

Americans also eat an extraordinary amount of soybean oil, another key ingredient in most processed foods. Checking labels during a recent trip to the grocery store I found soybean oil in everything from tortilla chips to fruit syrup.

Dr. Joseph Hibbeln at the National Institutes of Health estimates that soybeans, usually in the form of oil, ­ account for an astonishing 10 percent of our total calories in the United States.

In recent years, a form of soybean oil has been the primary source of trans fats, which raises levels of LDL, or bad cholesterol, in our bodies and is thought to contribute to heart disease.

Our bodies need a balance of omega-6 fatty acids like soybean oil and omega-3 fatty acids like fish oil, Hibbeln says. Over the last century, our diets have shifted almost completely to omega-6 fatty acids.

"It's quite likely that most of the diseases of modern civilization, major depression, heart disease and obesity are linked to the radical and dramatic shift in the composition of the fats in the food supply," Hibbeln says.

Our brains are composed of fatty acids, and an absence of omega-3 fatty acids can actually change our behavior, according to Hibbeln.

Hibbeln's research suggests diets containing omega-3 fatty acids found in fish reduce depression, aggression and anger, while improving mental well-being.

Quite literally, food for thought. E-mail to a friend

@highlight

Biologist: 'We're like corn chips walking'

@highlight

Soybeans account for 10 percent of calories in U.S., NIH doctor says

@highlight

More omega-3 fatty acids in diet can improve mental health, he says