Time named Pope Francis its person of the year Wednesday after nine months of a papacy that has brought accolades from reformers, raised fears among conservatives, and drawn widespread adulation from people around the world for his man-of-the-people ways.

"He took the name of a humble saint and then called for a church of healing," Time wrote in its announcement.  "The septuagenarian superstar is poised to transform a place that measures change by the century."

Following him in the top five were NSA leaker Edward Snowden, gay rights activist Edith Windsor, Syrian President Bashar al-Assad and Republican Sen. Ted Cruz of Texas.

The top 10 also included Amazon founder Jeff Bezos, singer Miley Cyrus, U.S. President Barack Obama, Iranian President Hassan Rouhani and Kathleen Sebelius, secretary of health and human services.

The new pope "comes at a time when the church seemed to be needing a huge burst of new energy," Time contributor Howard Chua-Eoan said in a video announcing the magazine's decision.

The magazine's international editor, Bobby Ghosh, said Francis' contributions in his short time in office have changed the church's image as well as its substance.

"He's changed perceptions of the church from being this out-of-touch institution to one that is humble and merciful," Ghosh said. "He's changed the focus of the church from being focused on doctrine to becoming more about service. And he's changed the tone in which the church speaks to one of compassion. It's all about the poor. This is the church as it used to be in its -- arguably its best period in the past. And Francis seems to be bringing that back."

He has also opened up church finances and addressed controversial issues other popes have shied away from discussing publicly, Ghosh said.

"He's talking about homosexuality, about giving women a bigger say in the church. These are things that are very, very important. They're not just words. He's actually following them up with action," Ghosh said.

The Vatican welcomed Time's selection, while making it clear the man so widely recognized for his humility didn't seek the award and didn't want its light to shine on him but on the mission of the church.

"We think that the declaration of the Pope as the man of the year is a positive sign. because it is a very prestigious declaration, given to a man that announces the love of God and the peace for all," the Rev. Federico Lombardi told reporters. "And the Pope does not look for honors, but he is happy if his message -- his message of the love of good -- is received and understood. And then, in this sense, he can be happy of this declaration."

A pope of many firsts

Francis, formerly known as Cardinal Jorge Bergoglio of Argentina, is known as a humble man, a capable administrator and -- as expected of a new pope -- a man of great faith.

He is also a man of many firsts: the first non-European pope in the modern era, the first pontiff from South America, and the first Jesuit to be elected head of the Roman Catholic Church.

In his first public act, the new pope broke with tradition by asking the estimated 150,000 people packed into St. Peter's Square to pray for him, rather than blessing the crowd first. He later controversially washed the feet of a young woman at a juvenile prison in Rome in a ceremony that's traditionally been restricted to men.

In a recent letter to the church, he admonished leaders to focus on helping the poor and broken above all else.

"I prefer a Church which is bruised, hurting and dirty because it has been out on the streets, rather than a Church which is unhealthy from being confined and from clinging to its own security," he wrote.

And he has revitalized an ancient church office dedicated to aiding the poor. Francis appointed a new head of the office of the Vatican Almoner, instructing him to spend his time outside the Vatican looking for people to help.

"You can sell your desk," Francis told the new almoner, Archbishop Konrad Krajewski, Time reported. "You don't need it. You need to get out of the Vatican. Don't wait for people to come ringing. You need to go out and look for the poor."

Francis has also stirred controversy among some conservatives for trying to steer the church away from focus on social issues such as contraception, abortion and same-sex marriage. In what has been seen as a conciliatory tone toward homosexuals, he has said he was in no position to judge gays.

Pope's past

Francis, 76, was born in Buenos Aires on December 17, 1936. The son of an Italian immigrant, he trained as a chemist before deciding to become a priest.

He was ordained by the Jesuits in 1969 and became co-archbishop of Buenos Aires in 1997, then sole archbishop of that city one year later. He was made a cardinal in 2001 and was president of the Argentine bishops conference from 2005 to 2011.

As cardinal, Francis clashed with the government of Argentine President Cristina Fernandez de Kirchner over his opposition to same-sex marriage and free distribution of contraceptives.

He was runner-up in the 2005 papal conclave, behind then-Cardinal Joseph Ratzinger, according to a profile by CNN Vatican analyst John Allen published by the National Catholic Reporter.

The new pope brings together the first and the developing worlds, Allen wrote. Besides his Italian roots, Francis studied theology in Germany.

His career coincided with the so-called Dirty War in Argentina, which lasted from 1976 to 1983. It is estimated that as many as 30,000 people were killed or disappeared during the country's military dictatorship.

The church was seen by some as not having done enough in that period. In a complaint filed three days before the 2005 conclave,  Francis was accused of complicity in the 1976 kidnapping of two liberal Jesuit priests, Allen wrote. Francis reportedly denied the charge.

He is known for his simplicity and has a reputation of being a voice for the poor.

Full profile

@highlight

Francis has "changed perceptions of the church," Time's international editor says

@highlight

Vatican calls honor "a positive sign" that brings attention to issues of faith

@highlight

Francis is the first non-European pope in the modern era and the first from South America

@highlight

Pope Francis is known for his simplicity and has a reputation of being a voice for the poor