(CNN) -- Judy Warzenski didn't realize how bad her father, Donald's, memory had gotten until he turned to her sister Joyce and asked, "Where's the girl who was sitting next to you?" He did not recognize Joyce as his own daughter.

This Thanksgiving, Warzenski and her younger siblings will eat Thanksgiving dinner with their father in a private dining room at a nursing home in Pennsylvania. Moving her father there in October was an agonizing decision.

"It's really very upsetting to me," said Warzenski, 62, of central New Jersey. "I promised him I would never do this. I promised him I would never put him in a nursing home, which I've come to realize is an unrealistic promise."

Warzenski, who had commented on a previous CNN dementia story, is one of many baby boomers who must watch their loved ones suffer from Alzheimer's, the most common form of dementia. The condition, which robs people of their memory and thinking skills, necessitates tough decisions about caring for people as their minds slowly slip away.

"Often, the baby boomers are thrust into the position of caring for a loved one with dementia because that loved one declines and needs 24-hour supervision," said Laura Wayman, a dementia care specialist and author of "A Loving Approach to Dementia Care."

iReport: Who's at your Thanksgiving table?

'Generation Alzheimer's'

The Alzheimer's Association says that unless a treatment or cure is found, Alzheimer's "will become the defining disease of the Baby Boom Generation" or, as the association calls it, "Generation Alzheimer's." Currently, there is no proven method to fully stop the progression of symptoms or reverse them.

Approximately 10 million baby boomers will develop Alzheimer's, according to estimates from the Alzheimer's Association. Of those who reach the age of 85, nearly one in two will get it.

Most people with Alzheimer's begin experiencing symptoms after age 60, according to the National Institutes of Health. Only 5% of people with the condition start showing signs of it before age 65; this is called early-onset Alzheimer's. Symptoms can even begin in the 30s, 40s or 50s, and in some cases there is a clear genetic link.

Can hormone therapy help protect the brain?

Many of the boomers taking care of loved ones with dementia have children of their own, forcing them into a "sandwich generation" situation that comes along with a lot of financial strain.

Some caregivers are resistant to asking for help, but it's essential that they have a support network, Wayman said. The caregiver's own health, finances, income and employment may suffer. Wayman's own mother died of a heart attack while caring for Wayman's father.

"They feel like they should be able to take care of this person, and they can't do it by themselves," she said.

More than 15 million Americans are providing unpaid care for a person with dementia, according to the Alzheimer's Association. That care amounts to $210 billion in unpaid hours. And 80% of home care for people with dementia comes from family members.

Living with Alzheimer's

Bill Carey, 54, of Ferndale, Michigan, is one of those with early-onset Alzheimer's who is still able to articulate and understand what's happening. He is the third person in his family to receive a diagnosis of Alzheimer's.

Carey has known he has the condition for about nine years, as he wrote in the comments on a previous CNN story. A spinal tap confirmed that he has high levels of a protein associated with Alzheimer's. His speech is still coherent, but he had to give up his job as an apartment manager because he was making mistakes: for example, he could no longer handle adding up the amounts on rent checks.

"Even with simple arithmetic, my brain just shuts down," he said. "It's like there's nothing there."

Alzheimer's called 'defining disease' of baby boomers

But Carey isn't sitting by idly. He goes to a local support group with others who are in the early stages of Alzheimer's. They talk about the things that they remember and share coping techniques. He also takes the medications Aricept and Namenda, designed to slow the progression of symptoms, and they appear to be working. To keep his mind challenged, he does jigsaw puzzles on his computer.

Carey's domestic partner, Larry Stowell, sorts out his medications, handles Carey's finances and has "been extremely supportive" overall, Carey says. The two will spend Thanksgiving alone. Although Carey doesn't cook as much as he used to, he is charge of the turkey.

"I haven't set fire to the house yet," Carey said. "I'm sure Larry will tell me when I reach that point."

Caring for a wife

Others are still in their 50s and further gone. Mike of Massachusetts writes in an e-mail that he is "Feeling as if I've lost my wife and had her replaced by a child who looks like her."

His wife, Sally, is only 51 and has dementia. The couple is unsure whether it is specifically Alzheimer's, but she may get further testing to find out.

"I feel as if we can't really talk seriously about anything anymore, and I have to make all of the decisions in our lives," Mike said.

Mike asked that his wife's name be changed and that their last name not be used. He requested to be interviewed over e-mail instead of the phone so that his wife would not overhear and get upset.

Their adult daughter lives with them and helps out. Mike is also looking into adult day care and is trying to get friends to take Sally out of the house now and then so he can have some respite.

Mike says the two are rarely physically intimate anymore.

Mike and Sally are not going to be celebrating Thanksgiving on Thursday. Mike has to work that day, and Sally cannot cook. She can no longer operate a shower, plug in a hair dryer or use a dishwasher, Mike says.

Report: Yearly cost of Alzheimer's tops $200 billion

What to do for Thanksgiving

Wayman offers these tips for spending Thanksgiving with a person with dementia:

• While preparing the food, reminisce about past Thanksgivings. But don't ask, "Do you remember when ..." something happened, since you don't know how much has been forgotten. Instead, try starting your memories with "Wasn't it fun when we ..."

• Limit the number of guests at the meal. You might even want to have two different Thanksgiving meals if there are a lot of people who would want to come. People with dementia have trouble processing and tracking information, so if there a lot of people, they may have extra difficulty following a conversation.

• Make sure there is a place for the person with dementia to rest if he or she feels overwhelmed.

• Fill your home with pleasant, traditional, soothing aromas. Put a couple of teaspoons of vanilla in a baking pan to make the kitchen smell like desserts baking. Cooking the meal may also produce smells that are familiar to your loved one with dementia.

• Incorporate the person with dementia in food preparation as appropriate, perhaps by stirring a mixture or setting a table. But safety is the priority: Wayman knows a family whose mother with dementia went to get the turkey from the oven but fell and burned herself.

And after

Although Warzenski feels bad about her father having to be in a nursing home, he doesn't say that he needs to go home. Instead he might say, "I need to get my car," she says.

Warzenski is grateful that he is safe and won't hurt himself in the middle of the night. He does not appear to be aware that he's in a facility. At this point, she just wants him to be comfortable.

"For him to pass would be a blessing to him," Warzenski said. "He was a police officer. If he ever realized what had become of him, he would be mortified."

New research offers tips for Alzheimer's caregivers

@highlight

About 10 million baby boomers will develop Alzheimer's, the Alzheimer's Association says

@highlight

More than 15 million Americans are providing unpaid care for a person with dementia

@highlight

Don't begin conversations with people with dementia with "Do you remember ..."

@highlight

Instead, try saying "Wasn't it fun when we ..."