There are photos of bodies with limbs torn from their sockets and others showing people with their eyes gouged out -- even shots of people being crucified.

But with crises in the Middle East and eastern Ukraine, does the world still care about Syria, one of the deadliest conflicts in history?

The opposition Syrian Observatory for Human Rights reported 1,600 deaths in just 10 days in July and more than 115,000 people killed since the beginning of the uprising against President Bashar al-Assad's regime in March 2011.

A spokesman for the United Nations secretary-general said officials have had issues getting reliable numbers but may have updated figures this month.

"The U.N. may stop crunching the numbers, but the people who are being killed still count," said Oubai Shahbandar, senior adviser to a Washington-based Syrian opposition coalition.

There are reports of militants crucifying people in public and images smuggled out of Syria that appear to show them raising their victims' severed heads on poles.

Those gut-wrenching photos come from a man known only as "Caesar," who testified before the U.S. House Foreign Affairs Committee on July 31.

Caesar described himself as a Syrian military defector tasked by al-Assad's regime with taking photos of killed detainees. He said he smuggled about 50,000 photos of those bodies out of the war-torn country.

The White House said the images of brutalized bodies were "suggestive of torture and killing on an industrial scale by the Assad regime."

Committee Chairman Rep. Ed Royce, R-California, and ranking Democrat Rep. Eliot Engel of New York said they were floored by the photos.

"We want to look away. But we must not," Engel said.

"We will never forget the Syrian people," Royce said.

But advocates argue that we've already forgotten.

Shahbandar said that if the international community doesn't pay attention to what is happening in Syria, it is letting both al-Assad's regime and the Islamic State -- formerly known as ISIS -- get away with crimes against humanity. The Islamic State has taken over several cities as it seeks to create an Islamic caliphate that encompasses parts of Iraq and Syria.

"There is a real concern that the daily slaughter being perpetuated by the Assad regime has suddenly become accepted by the international community as the new normal," Shahbandar said.

The conflict continues to spread throughout the country, threatening to spill over its borders.

On July 28, a fuel depot in Tripoli, the capitol of Libya, was set ablaze during fighting between two rebel groups. The fire continued to burn out of control aafter firefighters were forced to abandon attempts to extinguish the blaze as conflict over the nearby airport intensified.

Sunday, at least eight Lebanese soldiers were killed and an additional 20 were wounded amid clashes with insurgents who crossed the border from Syria into Lebanon, according to Lebanon's official National News Agency.

U.S. Attorney General Eric Holder said in July that Americans need to take the threat of the Islamic State seriously, voicing concerns that the group's impact could reach the West.

How did so many in the international community let the nearly 3½-year struggle in Syria slip from the front of their minds? Al Tompkins of the Poynter Institute journalism school says it could be because there's a lot going on in the world right now.

"There are half a dozen big international stories going at the same time," Tompkins said. "The biggest are what's going on with Hamas and Israel, then you've got airplanes being shot out of the sky in Ukraine. The Syria story has been going on and on and on."

But just because a story is forgotten does not mean it's less important, Tompkins argued.

This disappointed one of the U.N.'s own groups, an internal commission headed up by Paulo Pinheiro that has been looking into human rights violations in Syria.

"What we are insisting is that if accountability is not dealt in this conflict, this is disrespect for the victims, for the civilian population that are paying the brunt of this conflict," Pinheiro said.

In May, the U.N. Security Council vetoed a referral to the International Criminal Court, which could have been a first step in bringing those responsible for human rights violations in Syria to justice.

Attention is slowly starting to shift back to Syria.

After Pinheiro's group's testimony last week, the Security Council condemned getting oil from "terrorist groups" from Syria and Iraq and said it believed that money from these sales fueled the strengthening of the Islamic State.

The Security Council also authorized shipment of humanitarian aid into Syria without its government's approval.

U.S. Secretary of State John Kerry announced last week that the United States is giving an additional $378 million to help bolster aid for Syrians.

Tompkins said that seeing people like Caesar come forward with pictures to put a face on the suffering has helped bring the story back to life.

"A story without photographs is a story that gets lost," Tompkins said. "As long as there is an image to keep that narrative moving, you stay on the front page."

Five reasons the West should worry about Syria and Iraq

News overload pushes aside Libya, Syria, China, Nigeria

@highlight

Syrian military defector shows graphic images of detainees to U.S. Congress

@highlight

Opposition spokesman fears Syrian killings are "the new normal"

@highlight

U.S. lawmakers say Syrian people will not be forgotten