RIVERDALE, Georgia (CNN)  -- In his darkest moment, Kenneth Brown lost it all. His wife and kids, the housebroken dog, the vacation home on Cape Cod all vanished when he was sent to prison for an arson in 1996.

Kenneth Brown, a former inmate, learned to meditate during his nine years in prison.

Trapped in his gloomy cell and serving a 20-year sentence that felt like an eternity, Brown, then 49, found himself stretched out on the floor. He was silent. His eyes were shut. His body did not move.

Brown, a man raised as a Baptist and taught to praise the Lord and fear the devil, was meditating.

"I try to focus on the space between two thoughts, because it prevents me from getting lost," said Brown, who discovered meditation, yoga and Buddhist teachings three months into his sentence.

"This helped me stay on track and get me through prison," he said.

Eastern religions encompassing meditation techniques have captivated hippies, 20-somethings and celebrities like actor Richard Gere. But since the 1960s, the art of meditation also has found a growing number of unlikely followers behind prison bars.

The inmates say meditation -- an ancient practice that develops mental awareness and fosters relaxation -- is teaching them how to cope in prison.

"Mostly, the people in Buddhist community are going into the prisons, providing programs, and word of mouth gets from one inmate to another," explained Gary Friedman, communications chairman for the American Correctional Chaplains Association. "It's a break from all the hustle and noise of the prison environment."

There is no group tracking the number of inmates converting to Buddhism or engaging in meditation practices. But programs and workshops educating inmates about meditation and yoga are sprouting up across the country.

Meditation can help the convicts find calmness in a prison culture ripe with violence and chaos. The practice provides them a chance to reflect on their crimes, wrestle through feelings of guilt and transform themselves during their rehabilitative journey, Buddhist experts say.

In the past five years, books like the "Prison Chaplaincy Guidelines for Zen Buddhism" and "Razor-Wire Dharma: A Buddhist Life in Prison" have emerged.

"This is transformative justice, as opposed to punitive," said Fleet Maull, founder of the Prison Dharma Network, one of the largest support networks helping inmates learn meditation and Buddhist teachings.

Since its inception in 1989, Prison Dharma Network has grown from one person -- Maull -- teaching Buddhist principles to more than 75 member organizations corresponding with 2,500 individuals, many of them inmates.

For the past seven years, Maull's group has taught a weekly meditation class in Boulder County Jail in Colorado.

Some inmates follow Zen Buddhism, a practice that originated in China, and meet weekly to focus their minds. Others practice Vipassana, a Buddhist practice founded in India, which consists of completing hundreds of hours of meditation in a short period of time.

Buddhism has gained momentum in the United States over the past 25 years, becoming the third most popular religion in America behind Christianity and Judaism, according to the 2008 report from the the Pew Forum on Religion and Public Life. About 1.7 million Americans call themselves Buddhists, and many of them are converts, the study said. According to the American Religious Identification Survey in 2008, there were 1.2 million self-identified Buddhists.

Some inmates, like Brown, may not label themselves official Buddhists, but they meditate, practice yoga and follow Buddhist principles on truth, responsibility and suffering.

The practice of meditation seeped into the heart of the Bible Belt in 2002. The Donaldson Correctional Facility, a maximum-security prison in Alabama, was notorious for violence. But a group of male inmates, including several murderers, completed a Vipassana meditation retreat that required more than 100 hours of meditation in 10 days.

One inmate, who was featured in the 2007 documentary "The Dhamma Brothers," said Vipassana was harder than the 8½ years he had spent on death row. More than 120 men in Donaldson have gone through Vipassana at least once.  Watch a clip of "The Dhamma Brothers" »

"They don't feel so close to exploding," said Jenny Phillips, director of the film. "They aren't afraid to have conversations with people and to express themselves. They aren't always on edge."

Critics, including some prison officials, doubt that meditation works. They worry that it may be a tactic to convince parole boards to lighten a sentence.

In areas that are heavily Christian, some wardens are uncomfortable with introducing Eastern religions. Alabama prison authorities were initially skeptical about meditation but next year will designate an open dormitory for inmates going through Vipassana, said Ron Cavanaugh, director of treatment for the Alabama Department of Corrections.

He said corrections officers have seen lower levels of violence among Donaldson inmates who meditate.

In California, a state where the swollen prison population has resulted in dangerously overcrowded prisons, teaching conflict management is critical, said Anne Seisen Saunders, a Zen Buddhist instructor who was raised Christian.

Her Prison Meditation Project, based near San Diego, began a decade ago in one prison yard. Today, the program has expanded to five prisons, with an average of 20 inmates participating in each location.

Last week, the autumn sky transformed from a deep purple to light blue outside Kenneth Brown's meager studio apartment. Inside, Brown sat on his bed, barefoot and deep in concentration, in front of a makeshift altar holding books a photo of the Buddha. Traces of incense billowed in the air.

Brown, now 62, resides in Georgia to be near his family. He says he was wrongfully convicted of arson. In 2005, a Massachusetts appeals judge reduced his sentence from 20 years to nine.

His body was motionless, his eyes closed and the palms of his hands facing upward.

These days, Brown's practice of mediation helps him tackle the challenges of being unemployed with a felony record. The college graduate has been rejected from jobs catching stray dogs and cleaning hotel rooms.

But he's got a lot to be thankful for: His daughters, his grandchildren -- and meditation, he said.

"I finally feel at peace."

@highlight

Programs across the country educate inmates about meditation and yoga

@highlight

Meditation has helped reduce violence in Alabama prison, official says

@highlight

"They don't feel so close to exploding," documentary director says

@highlight

Buddhism is third most popular religion in United States