WASHINGTON (CNN)  -- Most Saudi Arabia citizens interviewed in a poll oppose terrorism and want closer ties with the United States. But many Saudis remain opposed to making peace with Israel, according to what researchers call an unprecedented survey of the kingdom.

People sell traditional items at a Saudi market. A poll indicates Saudis have turned against Osama bin Laden.

Ten percent of Saudis have a favorable view of the al Qaeda terrorist network, according to a survey by Terror Free Tomorrow, an international public opinion research group based in Washington.

Fifteen percent said they have a favorable view of al Qaeda's leader, Saudi exile Osama bin Laden, the poll found.

"I think that the people of Saudi Arabia have so overwhelmingly turned against bin Laden, al Qaeda and terrorism in general that nine out of 10 of them look at all three unfavorably," the group's president, Ken Ballen, said Monday.

Though the desert monarchy's ruling family has close ties to the United States, it was also the home of 15 of the 19 suicide hijackers behind al Qaeda's September 11, 2001, attacks on New York and Washington.

The kingdom also has been the target of a spate of al Qaeda attacks since the 2003 invasion of Iraq, and the origin of a large share of the Islamic militants implicated in suicide bombings in Iraq.

Pollsters questioned 1,004 Saudi adults in Arabic between November 30 and December 5, according to the group. The survey had a sampling error of plus or minus 3 percentage points.

Saudis also have a better opinion of the United States than in other countries in the Muslim world, with 40 percent saying they view the U.S. favorably. That compares to 19 percent in Pakistan, according to a poll taken by the same group in August, and 21 percent of Egyptians, according to a May survey by the Pew Research Center.

CNN terrorism analyst Peter Bergen said a spate of al Qaeda attacks on Saudi targets starting in 2003 appeared to have turned the Saudi public against the group.

"The results, while a little surprising, seem fair enough considering the circumstances," he said.

But while the poll was encouraging, "It's not all Kumbaya," he added. Bergen said a "substantial minority" of Saudis -- 30 percent -- support fighting against U.S. and coalition troops in Iraq, and 52 percent would support Saudi Arabia's development of nuclear weapons.

Most Saudis oppose al Qaeda, the survey suggests, and it also found limited support for two other groups the United States has branded terrorist organizations -- Hamas, the Palestinian Islamic movement that rules Gaza, and Hezbollah, Lebanon's Iranian-backed Shiite Muslim militia that fought a monthlong war with Israel in 2006.

"Finally, some good news," Ballen said.

Thirty-three percent of Saudis viewed Hezbollah favorably, compared to 42 percent unfavorably. When asked about Hamas, 37 percent had a positive response, while 38 percent viewed the group unfavorably.

But Ballen said the survey shows the Saudi population is now one of the most pro-American in the Muslim world, with 69 percent of those surveyed supporting close ties between Riyadh and Washington.

"We had done a limited survey there about a year and a half ago and found very strong anti-American attitudes, so I was quite surprised by the results," he said.

The withdrawal of U.S. troops from Iraq was seen as the most important step in improving U.S.-Saudi ties by 85 percent of those surveyed. Most Saudis said they opposed their countrymen fighting in Iraq and favored helping the United States reach an end to the nearly five-year-old war there.

Support was also strong for increasing visas for Saudis to come to the United States, with 74 percent calling that a step that would improve their opinion. And 71 percent favored a free-trade pact between Washington and Riyadh, while 52 percent said a U.S.-brokered peace treaty between the Israelis and Palestinians would be an improvement.

Saudi King Abdullah is the leading advocate of an Arab League proposal that would normalize relations with the Jewish state in exchange for an Israeli withdrawal to the frontiers it held before the 1967 Mideast War.

But his support for a comprehensive Mideast peace "definitely does not carry over at all," Ballen said: Thirty percent of Saudis support a peace treaty, even if it resulted in the establishment of a Palestinian state, the survey found.

"He's not backed by his own citizens on that," Ballen said.

Saudis expressed support for a free press and free elections, though 79 percent also said they continued to support an absolute monarchy -- and 15 percent supported the recent sentence of 200 lashes and six months imprisonment of a 19-year old Shiite woman for being with a male acquaintance before she was gang-raped by seven men.

Abdullah announced Monday the woman would be pardoned.

Despite the kingdom's somewhat forbidding reputation among Westerners, Ballen said those contacted were far more receptive to pollsters than most Americans. The poll's response rate was 61 percent, compared to 10 to 15 percent for most U.S. surveys. E-mail to a friend

@highlight

Survey: 10 percent of Saudis polled have a favorable view of al Qaeda

@highlight

Poll interviewing 1,004 Saudis says most are opposed to peace with Israel

@highlight

The numbers reflect a more positive feeling toward the U.S. than Pakistan has

@highlight

15 of the 19 September 11, 2001, hijackers were Saudi nationals