WASHINGTON (CNN)  -- The Supreme Court offered unanimous support for police Wednesday by allowing drug evidence gathered after an arrest that violated state law to be used at trial, an important search-and-seizure case turning on the constitutional limits of "probable cause."

The Supreme Court unanimously gave police broader powers to search for and seize evidence.

"When officers have probable cause to believe that a person has committed a crime in their presence, the Fourth Amendment permits them to make an arrest, and to search the suspect in order to safeguard evidence and ensure their own safety," Justice Antonin Scalia wrote.

David Lee Moore was stopped by Portsmouth, Virginia, officers five years ago for driving his vehicle on a suspended license. Under state law in such incidents, only a summons is to be issued and the motorist is to be allowed to go. Instead, detectives detained Moore for almost an hour, arrested him, then searched him and found cocaine.

At trial, Moore's lawyers tried to suppress the evidence, but the state judge allowed it, even though the court noted the arrest violated state law. A police detective, asked why the man was arrested, replied, "Just our prerogative."

While some of the justices expressed concern about that level of discretion at oral arguments in January, their 9-0 ruling raised few such doubts.

"The arrest rules that the officers violated were those of state law alone," Scalia said. "It is not the province of the Fourth Amendment to enforce state law."

The state had argued an arrest is constitutionally reasonable if officers have probable cause to believe a suspect has committed a crime. "This standard represents the best compromise between the needs of the citizens and the duty of the government to combat crime," Stephen McCullough, Virginia's deputy solicitor general, had told the high court.

But Moore's attorney, Thomas Goldstein, called an "extreme proposition" the idea that it would be reasonable "to go out and arrest someone for a non-arrestable offense and not only do that, but having committed that trespass at common law, to further search them."

There has been widespread judicial confusion over how such police searches should be handled. Some lower courts had ruled that when state arrest law is violated, the Constitution provides a remedy in the suppression of any evidence resulting from the arrest and a related search.

But the justices agreed with the majority of courts that said constitutional requirements are satisfied when an officer has probable cause to make an arrest, even if some provision of state law was violated in the process.

Justice Ruth Bader Ginsburg wrote a concurring opinion suggesting Virginia change its law to make driving on a suspended license an arrestable offense.

During arguments, Ginsburg spoke for several colleagues when she pointed out that if a summons had been issued in Moore's case, any incriminating evidence would have been excluded. "Would you explain the logic to saying that when the police violate state law, then the evidence can come in, but when they comply with state law, it can't," she asked.

The ruling means Moore's original jury conviction and 3-½ year prison term will stand. E-mail to a friend

@highlight

Case involves Virginia man stopped for driving with suspended license

@highlight

Instead of issuing ticket, police detained him and searched his car

@highlight

Arrest violated state's law, but trial judge allowed evidence of drugs

@highlight

Justices ruled that officers had probable cause for search