Vilseck, Germany (CNN)  -- U.S. soldiers interrogated by the Army in the 2007 murders of four Iraqi detainees blamed a military policy they said made it too hard to detain suspected insurgents, a CNN investigation has found.

Soldiers questioned in the killings said the sergeant in command of their detachment ordered the suspected insurgents killed because Army rules made it too difficult to hold them.

"They're gonna be right back on the streets," one soldier put it.

CNN obtained an extraordinary 23½ hours of Army interrogation videotapes that detail the March 2007 executions of the prisoners by three sergeants who were attached to Alpha Company, 1st Battalion, 18th Infantry Regiment.

The tapes show one of the sergeants confessing to the crime, as well as agents from the Army's Criminal Investigations Division telling soldiers involved in the crime that the military's reputation was at stake.

On one tape, an Army interrogator compares the potential fallout from the slayings to the scandal over the treatment of inmates at Iraq's Abu Ghraib prison, telling a soldier, "This is gonna be ugly, 'cause it is."

"Just like them knuckleheads who were stacking naked prisoners in the pyramids at Abu Ghraib," the interrogator says. "We walk down the streets, and that's a shame we all carry. And I had nothing to do with that.

"I don't know about you, but I wasn't at Abu Ghraib, but I can tell you half the time I'm walking down the streets, that's what people think when they're lookin' at us: 'Oh, there's those damn Americans that abused those poor prisoners.' "

He added, "Frat boys get abused worse during pledge week in college than that crap. But it's what the media made of it. What the hell do you think they're gonna make of this?"

The soldiers, who were based in Schweinfurt, Germany, were videotaped in January 2008 during the Army's investigation into what happened at a Baghdad canal the previous March. On the tapes, soldiers blamed the Army's policy of detaining prisoners for the frustration that led to the shootings.

By all accounts, the incident began after soldiers from the company were fired upon. The soldiers went to a house where they found four Iraqi men and a small weapons cache.

The men were loaded into the back of a Bradley fighting vehicle. But instead of being taken to the detainee housing area, they were driven in a convoy of 13 soldiers to the canal and killed, according to trial testimony and other documents in the case.

Pfc. Joshua Hartson, who has since left the Army because of a serious injury, recalled a conversation he had with 1st Sgt. John Hatley, who was in charge that day.

"My first sergeant comes up to me, and pulls me away from everybody, then he asked me if we take them to the detainee facility, the 'DHA,' that they're gonna be right back on the streets doing the same thing in a matter of weeks," Hartson told CNN. "He asked me if I had a problem if we take care of them, and I told him no."

Hartson and other soldiers interviewed by CNN said Hatley was frustrated by the Army's rules for evidence required to hold Iraqi detainees. Hartson was not charged and received immunity for his testimony.

The three sergeants who killed the detainees were convicted of premeditated murder and conspiracy in a military courtroom in Germany earlier this year. All three are serving their sentences at the U.S. military prison at Fort Leavenworth, Kansas.

Hatley received a life sentence that was later reduced to 40 years; Sgt. 1st Class Joseph Mayo, who had pleaded guilty to the charges, and Sgt. Michael Leahy, a medic, are serving 20-year terms. Hatley and Leahy are appealing their convictions, while Mayo is seeking a lighter sentence.

Hatley and Leahy were found not guilty of killing an injured Iraqi in a prior incident.

CNN obtained the 23½ hours of interrogation videos, which include Leahy's confession. The Army, citing an ongoing investigation, refused to release the Leahy tapes after CNN requested them under the Freedom of Information Act.

However, CNN obtained those tapes and others in which other soldiers who were at the canal were also questioned about their knowledge of what happened.

On the tapes, Leahy is asked by an Army interrogator where he shot the Iraqi detainee.

"It was in the back of the head," Leahy said. "I guess in the back of the head."

Leahy admits he fired two shots, but killed only one detainee. The interrogators press him about who killed the fourth Iraqi.

"Like, my arm went up to the right, and I fired again. I'm pretty sure I didn't hit anybody, but I'm not gonna say that because I don't know for sure. I wasn't even looking when I shot the second time. My arm just went to the right."

Leahy finally admits on the tape that his bullet struck the second detainee, but said Hatley fired two more shots that killed the man.

Besides Hatley, Leahy and Mayo, two other soldiers received prison sentences but have since been released. The other soldiers at the canal that day were not charged, and received immunity for testifying.

The tapes, and the investigative case file obtained by CNN, reveal how the soldiers believed the policy for taking in and holding detainees was not working, and was the reason for the murders.

"Seems like, even if you do your job and take these guys to the detainee center, they just come right back," Leahy said on tape. "The same [expletive] guys shooting at you."

CNN obtained a copy of a January 9, 2005, memo, marked "draft," that imposed detailed standards for evidence soldiers needed before taking in suspected insurgents in Iraq. The memo was written by Maj. Gen. William H. Brandenburg, who oversaw detainee operations at the time.

"Failure to follow these regulations may result in acquittal or premature release of detainees," the memo states.

Brig. Gen. David Quantock, who now holds that position, told CNN the rules specified in the memo were in effect through the end of 2008.

"Before the memo was written, a person could just bring a detainee to our facility," Quantock told CNN. "We could take them in with little or nothing."

The memo states that "circumstances permitting," evidence of criminal activity should include "photographs of the physical evidence," "photographs of the detainee at the crime scene or place of capture," as well as "photographs of the detainee next to the evidence."

Other evidence should include a sketch of the crime scene, all physical evidence of the crime, and "statements written by first-hand witnesses to the criminal activity."

Sgt. Daniel Evoy, who was at the canal but not charged, said on one of the interrogation tapes that getting two statements from Iraqi witnesses was nearly impossible.

"It's pretty hard to get somebody to give us a sworn statement unless they're pretty bad guys. So what we normally do is we pick them up, drive them around a little bit to scare them and then drop them off somewhere," Evoy said.

Quantock said Iraqi witnesses were preferred, but not required.

In documents obtained by CNN, an Army intelligence officer attached to Alpha Company said "statements from U.S. service members were not accepted as proof of insurgent activity" and that the detention facility "required at least two witness statements from Iraqis."

Frank Spinner, Leahy's attorney, told CNN that soldiers are not trained to be police officers who collect evidence.

"As it was, they had to take off their soldier helmet, put on their cop hat, take them to a civilian sort of police station and show evidence that these were people that were shooting at them and if there wasn't enough evidence then they were gonna be released on the street," Spinner said.

"But soldiers aren't trained to be cops, and they're not trained to collect evidence and they're not trained in the ways of civilian criminal prosecutions."

Hatley did not testify at his trial. But in a letter from prison to CNN, Hatley wrote "the guidelines established for detaining and prosecuting the enemy has extensive flaws. Furthermore, the enemy is well aware of these flaws and consistently exploits these to facilitate their release.

"I challenge you to imagine the frustration felt after being engaged in firefights for several hours with the enemy and capture them only to have them released 2-3 days later because you're being told the holding area needs more information on them," he wrote.

According to the U.S. military, 76,985 detainees have been released out of the 87,011 captured during the Iraq war.

"We've repeatedly found ourselves fighting the same enemy again and again," Hatley wrote.

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

CNN obtained an extraordinary 23½ hours of Army interrogation videotapes

@highlight

Tapes detail March 2007 executions of four Iraqi prisoners by three sergeants

@highlight

Tapes show one of the sergeants confessing to the crime

@highlight

Watch Saturday, Sunday at 8 and 11 p.m. ET; read blog posts: Abbie Boudreau; Scott Zamost