WASHINGTON (CNN) -- President-elect Barack Obama could reverse some of President Bush's most controversial executive orders, including restrictions on embryonic stem cell research, shortly after taking office in January.

President-elect Barack Obama may overturn many of the executive orders that President Bush implemented.

Two other executive orders from Bush -- one dealing with a so-called "gag" order on international aid organizations regarding abortion, the other with oil and gas drilling on federal lands -- also are receiving increased scrutiny.

Obama's transition team is reviewing hundreds of Bush's executive orders, according to John Podesta, Obama's transition co-chair.

New presidents often use executive orders to put their stamp on Washington quickly. Unlike laws, which require months to complete and the consent of Congress, presidents can use their executive authority to order federal agencies to implement current policies.

"Much of what a president does, he really has to do with the Congress -- for example, budgeting, legislation on policy -- but executive actions are ones where the president can act alone," said Martha Kumar of the White House Transition Project, a nonpartisan group established to help new presidential administrations.  See what orders Lincoln, Franklin D. Roosevelt, other presidents issued »

Obama is expected to use his executive authority to reverse Bush's order limiting the types of embryonic stem cell research that can receive federal tax dollars.

Advocates for those suffering from a host of diseases -- including diabetes, Parkinson's disease and spinal cord injuries -- are eagerly awaiting the Bush-era restrictions to be lifted.

"We have every reason to believe -- if not on Day One, then in the very near future -- they will be issuing an order rescinding this policy," said Amy Comstock Rick, president of the Coalition for the Advancement of Medical Research.  Watch how Obama could reverse Bush »

In August 2001, Bush barred the National Institutes of Health from funding research on embryonic stem cells other than that using 60 cell lines existing when he signed the executive order.

Researchers say the ban has limited their progress and want the opportunity to create new stem cells from human embryos. Many conservatives, however, object to the destruction of human embryos because they believe it ends a human life.

On his campaign Web site, Obama said he supports the creation of new stem cells from embryos created for in vitro fertilization treatments that would otherwise be discarded.

But White House spokeswoman Dana Perino on Monday suggested that the incoming Obama administration should consider keeping Bush's policy in place.

"Unfortunately, the president's position on stem cells has been misconstrued over the years, with the suggestion that President Bush put a ban on research for embryonic stem cell research. That is not true," Perino said. "The president made a very important choice after a lot of careful deliberation."  Watch Obama's ambitious agenda »

Other controversial Bush measures Obama is expected to overturn are related to abortion and family planning.

U.S. State Department officials and family planning groups such as Planned Parenthood said they expect Obama to overturn the "Mexico City" policy, first instituted by the Reagan administration. The policy prevents taxpayer dollars from funding groups that perform or promote abortions overseas.

President Clinton dropped the order, but Bush re-implemented it and expanded the policy to ensure State Department funding does not go to family planning organizations that even counsel about abortion.

An Obama administration also could overturn the Bush administration policy of banning funding to organizations such as the U.N. Population Fund that operate in countries that practice forced sterilization, including China, which adheres to the "one child" policy.

Podesta said his team also is reviewing Bush's order that lifted restrictions on oil drilling on fragile federal lands in Utah. Environmental groups decried Bush's decision when he opened the lands to exploration this month, and Podesta called the decision a "mistake."

One set of executive orders that may take longer to overturn pertains to detainees at the Guantanamo Bay, Cuba, military prison.

Obama has said he wants to close the prison, but Denis McDonough, a senior adviser to the incoming Democrat, said Monday that no decisions have been made about what to do with the prison's 255 inmates.

"There is no process in place to make that decision until his national security and legal teams are assembled," McDonough said.

Reversing Bush's executive orders would be an immediate way for Obama to show that a new era has begun in Washington, said Jonathan Turley, a George Washington University law professor.

"Until President Obama gets rid of all these executive orders, he'll be sharing his presidency with his predecessor," Turley said. "Now that's a particularly obnoxious thought for an administration that was elected for change."

CNN's Elise Labott, Edvige Jean-Francois, Jim Acosta and Scott J. Anderson contributed to this report.

@highlight

Reversing executive orders would allow Barack Obama to put stamp on presidency

@highlight

Obama vowed in campaign to lift President Bush's restrictions on stem cell research

@highlight

Obama also may reverse oil drilling decision, "gag order" on family planning groups

@highlight

Orders to close Guantanamo Bay, Cuba, military prison will take time, aide says