(CNN) -- Congress is reaching a point where it will no longer be able to function at all. Over the past two years, some members of the Republican Party have ramped up the partisan wars on Capitol Hill. They are threatening to bring the legislative process to a standstill.

For many years, journalists and scholars have lamented the rise of partisan polarization on Capitol Hill. The number of moderates has vastly declined and the number of bills that receive bipartisan support has greatly diminished. The usual culprits range from the advent of the 24-hour news cycle to changing demographics.

But now observers are starting to note that both parties are not equally to blame, especially in recent years.

In their new book, "It's Even Worse Than It Looks," Thomas Mann and Norman Ornstein -- two of the most prominent talking heads in Washington, known for their balanced view and proclivity toward moderation -- say that the Republican Party is to blame.

"The GOP," they wrote in a Washington Post op-ed based on the book, "has become an insurgent outlier in American politics." Mann and Ornstein trace the partisan style back to the emergence of Newt Gingrich and Grover Norquist in the 1970s, when the two men promoted a style of slash-and-burn, take-no-prisoners politics that has remained integral to the strategy of congressional Republicans.

There is always a certain amount of nostalgia in American politics. The notion that Congress used to be a better place is one of the staple arguments in public rhetoric. But there are times when things are worse than usual.

While both parties have played roles in the growth of polarization since the 1970s, since 2007 congressional Republicans have been taking the partisan wars to new extremes in several areas.

The first is with the kind of brinksmanship budgetary politics that has now become normative. Last week, House Speaker John Boehner once again threatened that Republicans would not vote to increase the debt ceiling unless Democrats agreed to certain tax and spending policies sought by the GOP. Republicans have used this tactic repeatedly in the past few years, each time bringing the nation closer to the brink of default.

This is no way to decide on a budget or to handle the nation's debt. Holding the debt ceiling hostage to win political battles has undermined international confidence in the U.S. political system. It has also created an unhealthy atmosphere where politicians are willing to take great risks with the goal of winning certain legislative battles. There need to be some limits to what legislators are willing to do in the pursuit of victory.

The second way Republicans push the envelope of partisanship is with the filibuster. As political junkies know, use of the filibuster has greatly increased since the 1970s. Both parties have been guilty. A tool once reserved for high-profile legislation such as civil rights became a normalized tool of combat making the Senate a supermajoritarian body on almost every decision.

Senators don't even have to filibuster anymore. They can simply raise the threat and that brings the discussion to an end. Senators have also employed additional tactics such as anonymous holds, whereby senators can secretly prevent action on a bill and nobody can know who was responsible.

But the number of filibusters by Republicans has escalated, and they have been far more willing to use the tactic than their opponents. Since 2007, the Senate Historical Office has shown, Democrats have had to end Republican filibusters more than 360 times, a historic record.

Finally, there has been a much sharper shift to the right within the Republican Party than there has been to the left in the Democratic Party. Here, too, the data is rather clear.

In January, political scientists Kenneth Poole and Christopher Hare concluded, based on their close analysis of the roll call vote, that "in the last few Congresses, the overlap has vanished; that is, the most liberal Republican is to the right of the most conservative Democrat."

Last week, the political-science blog The Monkey Cage pointed out that Sen. Richard Lugar's political positions have changed little since he entered the Senate in 1977, and yet: "In his first term in Congress, Sen. Lugar was the 23rd most moderate Republican in the Senate; in the most recent term (through 2011), he was the fifth most moderate."

As Lugar's recent primary loss shows, Republican activists are now targeting any member of the party who can be tagged as centrists, and they are pushing their caucus farther to the right, making compromise almost impossible.

The current hardening of these procedural wars has some resemblance to the 1950s, when Southern committee chairmen, who were then the kings of Capitol Hill, used their power in the House and Senate to prevent any kind of progress on issues such as civil rights or health care.

Although a series of events allowed for a huge legislative breakthrough in 1964 and 1965, the Southern committee chairs regained power after the 1966 midterm elections and continued to assert their power in the closed rooms of Capitol Hill. The situation reached a boiling point in the 1970s, when in the aftermath of Watergate, reformers transformed the system by weakening committee chairs, empowering party leaders and opening up the legislative process through sunshine rules and more.

It could be that Republicans will take things so far that we may reach one of those rare moments when congressional reform happens. If reform does not happen, and these trends continue, the nation will be left with an inoperative legislative process that can't handle the problems we face with the economy, social problems and foreign policy.

This is a situation that should be of equal concern to the right, left and center. Without a functional Congress, the nation's government will not be able to live up to the challenges of the day.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Congress is reaching a point where it will no longer be able to function

@highlight

Observers are starting to note that both parties are not equally to blame, Zelizer says

@highlight

Since 2007, Democrats have had to end Republican filibusters over 360 times, a record

@highlight

Zelizer: Republican activists now target any party member who can be tagged as centrist