London, England (CNN) -- The idea that Shakespeare did not write the works attributed to him didn't surface until 1856, 240 years after he died. Until then no one even suggested he might not have done so.

The theory originated with an American woman, Delia Bacon, who spent a night in Holy Trinity Church, Stratford-upon-Avon trying to summon up the courage to open Shakespeare's grave, apparently in the odd hope that its contents might help her case. She gave up with the morning light, and died not long afterwards in a lunatic asylum.

Since then however the theory has spread, to such an extent that now at least 77 people have been suggested as the author of the works attributed to Shakespeare -- including such absurdities as Queen Elizabeth I and Miguel Cervantes, author of "Don Quixote."

For some time Francis Bacon was the leading candidate. He was supplanted by the poet and dramatist Christopher Marlowe, whose death in 1593, when Shakespeare's writings were just starting to appear, is one of the best recorded events in English literary history.

The current favorite is Edward de Vere, seventeenth Earl of Oxford, who died in 1604, whereas Shakespeare's plays go on appearing until 1613. An absurd story about him, suggesting that he was both the son of Elizabeth I and her lover, father by her of the Earl of Southampton as well as the author of Shakespeare, is told in the new film "Anonymous," directed by Roland Emmerich and starring Vanessa Redgrave as the Queen.

The theory flies in the face of a mass of historical evidence. Shakespeare is mentioned as the author of his poems and plays by at least fourteen contemporary writers. His name appears on the title pages of some 34 editions of plays and poems by him. Anecdotes about him as a writer are told by his contemporary playwright and poet Ben Jonson.

In 1623 appeared the great First Folio edition printing 37 of his plays. It has a long poem in praise of Shakespeare written by Jonson, which refers to him as the Swan of Avon (the name of the river of his town of birth). In Holy Trinity Church, Stratford-upon-Avon there is a monument to Shakespeare with inscriptions comparing him to great figures of antiquity and praising him as a writer.

In spite of all this and more, conspiracy theories about him constantly emerge in the press and elsewhere. Most of them come not from scholars of literary history but from amateurs.

Many scholars have remained aloof from the debate, though I, who have spent most of my life studying, editing, writing about and teaching Shakespeare, have taken part in numerous discussions and media debates of many kinds over the years. James Shapiro, of Columbia University, published an excellent book, Contested Will, about the subject last year -- fascinatingly investigating the psychology of some of the better-known doubters, such as Sigmund Freud and Mark Twain.

Disturbingly, the topic has spread to universities. It is now possible to take courses in the authorship of Shakespeare at Concordia University, Vermont and Brunel University, England. Even more disturbingly the makers of the film are distributing to schools in America a study guide intended to sow seeds of doubt in the minds of schoolchildren.

The Shakespeare Birthplace Trust is the oldest organization devoted wholly to the man and his work.

We are energetically pursuing a campaign to defend Shakespeare's name, and have enlisted the help of many high profile figures, including the Prince of Wales, and a string of British actors and writers.

We are about to launch a free e-book refuting the theory that Shakespeare didn't write his works -- we profoundly hope that when you read it you will be completely convinced that Shakespeare of Stratford-upon-Avon (1564-1616) is the author of the great plays and poems which carry his name round the world.

@highlight

New film 'Anonymous' claims Shakespeare did not write works attributed to him

@highlight

Wells: Claims Shakespeare was a fraud fly in the face of historical evidence

@highlight

Classes questioning authenticity of Shakespeare now taught at university