(CNN) -- Night had fallen when the men heard the sounds on the mountain. First it was a chime, then a recitation of verses, followed by the crackle of wood burning. They scrambled to the summit to see what was happening.

There, seated with his palms together and facing west, was their friend. Flames leapt around the peaceful man, engulfing him. It was just as he'd intended.

The year was 527.

This story of Daodu, a Buddhist monk, is told in James Benn's "Burning for the Buddha: Self-Immolation in Chinese Buddhism." Benn, an associate professor of religion at McMaster University in Ontario, Canada, writes that the act of setting one's self on fire dates back in Chinese Buddhist tradition to the late fourth century.

But no matter how old, self-immolation still leaves people horrified, riveted and moved.

The popular uprising that led to the toppling of Tunisia's government began after Mohamed Bouazizi, an unemployed 26-year-old college graduate, ignited himself in protest and died earlier this month. Since then, a wave of self-immolations has rolled through North Africa, with other incidents in Egypt, Algeria and Mauritania.

"There's something so primal, so dramatic. ... It's meant to be noticed," said Carolyn Marvin, a professor who's specialized in freedom of expression at the Annenberg School of Communications at the University of Pennsylvania. It seems to "demand some kind of reparation."

Though the history of self-immolation may run more than 1,500 years deep, the Western world woke up to it in the 1960s. The iconic June 1963 image of Thich Quang Duc, a Vietnamese Buddhist monk, surrounded by flames in a busy Saigon intersection was seared into Western consciousness.

He was protesting the persecution of Buddhists by the South Vietnamese government, and his actions are often seen as having helped spark the regime's overthrow later that year.

Others followed his example, not just in Vietnam but in the United States, too.

In March 1965, an 82-year-old woman, Alice Herz, protested the ongoing Vietnam War by setting herself on fire on a Detroit, Michigan, street corner. Norman Morrison, 31, ignited himself eight months later outside the Pentagon, beneath the office window of Defense Secretary Robert McNamara. The following week, Roger Allen LaPorte, 22, did the same in front of New York City's United Nations building.

In other countries, too, self-immolations have played a part in political and social movements.

There was Jan Palach, a 20-year-old student who in 1969 very publicly set himself on fire in Prague, Czechoslovakia, protesting Czech apathy five months after the Soviet occupation. Homa Darabi, a 54-year-old woman, did it in Iran in 1994 to demonstrate for women's rights after the Islamic Revolution. And a group of five burned together in 2001 at Tiananmen Square in Beijing, China, though three survived and the motivations are a matter of debate.

See more images of provocative political protests

People have reportedly self-immolated in response to Communist regimes in Romania and Hungary, taxes in Sweden, the kidnapping of children by Chilean police. It's been done in Italy to protest the Catholic church's condemnation of homosexuality, in India to protest a film screening, and in the United Kingdom after an asylum claim was rejected.

The list of locations, and reasons, goes on.

But beyond political or social motivations, can faith inspire someone to burn themselves alive -- as it apparently did for Daodu in 527?

Of the well-known U.S. cases, which represent a diversity of backgrounds, it's next to impossible to say.

Herz, the 82-year-old Vietnam protester, was an immigrant of Jewish descent and had reportedly spent time in an internment camp during World War II. Morrison, who died outside the Pentagon, was a Quaker. LaPorte, who protested in flames in front of the United Nations, was a former seminary student and a member of the Catholic Worker Movement

In other cases, self-immolation has been more clearly linked to religious belief. Though outlawed in India for nearly two centuries, some Hindu communities practiced the ritual of sati -- in which a widowed Hindu woman would throw herself, or be thrown, on her husband's funeral pyre.

In Buddhism, the subject of self-immolation is controversial, said Robert Sharf, the chair of the Center for Buddhist Studies at the University of California, Berkeley.

"Many (Buddhist) schools strongly condemn suicide," he said, "but at the same time, in East Asia, self-immolation has been practiced on and off for well over a thousand years."

Like most religions, he said, the canonical literature is so vast that, if you dig deep enough, you can find teachings to fit your needs.

Enter the Lotus Sutra, considered one of the most significant Buddhist scriptures in East Asia. There's a small passage in one chapter that speaks of a Medicine King, one with great spiritual and moral wisdom.

"The Sutra tells us that as an offering to the Buddha and to display his insight that the body is not a permanent, unchanging self, he poured fragrant oil on himself and allowed himself to be burned by fire," wrote Buddhist monk, author, teacher and peace activist Thich Nhat Hanh is his book, "Peaceful Action, Open Heart."

"This is a quite radical demonstration of his freedom and insight, one that was made out of a very deep love," he wrote.

And it was this part of the Lotus Sutra that Vietnamese monks and nuns pointed to when it came to self-immolation in the 1960s.

But people don't burn themselves to death "simply because the Lotus Sutra says to do it," emphasized UC Berkeley's Sharf. "While it is an extreme and contentious practice, some Buddhists regard it as the ultimate form of self-sacrifice, justified in times of social crisis to bring about political transformation."

As for the recent self-immolations in North Africa, As'ad AbuKhalil said they are about sought-after change, not about religion.

"Western media still highly exaggerate the role and influence of Islam in political behavior and actions (and even violence by) Arabs and Muslims," said AbuKhalil, a political science professor at California State University, Stanislaus, and a blogger for a site called The Angry Arab News Service.

"The Tunisian uprising is clearly a secular event, and the Islamists have no role whatsoever in it. Not all actions by Arabs are derived by Islamic notions and principles."

He said there's "no basis in Islam for self-immolations" and that the practice came from "Asian non-Muslim societies." What's happening now "reveals not an attempt to express oneself Islamically, so to speak, but to express oneself in an act that draws attention and sympathy and shows the outrage experienced by the oppressed Arab population."

Marvin, the Penn communications professor, echoed his sentiments.

"These young men represent a fairly dispossessed class," she said. "It's as if they're offering up all that they have, their bodies, on behalf of the needs of their group."

Though the intentions of those who ignite themselves cannot always be known, some trends can be surmised -- especially when those who act don't succeed in dying.

CNN's senior international correspondent Nic Robertson wrote in late November about a surge in female self-immolation cases in Herat, Afghanistan.

"They had set fire to themselves, so oppressed and desperate were they to escape abusive bad marriages," he wrote. The number of cases "had doubled in the past year," a doctor told him.

Some stories of self-immolations have become iconic. They, like the case of Bouazizi, seemed to galvanize others and force change.

But not all do.

In the United States, decades past Vietnam, at least two additional cases are thought to have been, at least in part, politically motivated, although the mental states of those who acted have been questioned.

Malachi Ritscher, 52, lit himself on fire near a downtown Chicago, Illinois, expressway in 2006. The musician and activist was said to be protesting the war in Iraq, but he was also reportedly a recovering alcoholic who battled depression.

Ten years before Ritscher set himself ablaze, a middle-aged woman did the same on Penn's campus in front of an outdoor sculpture of the peace symbol, Marvin said. She was Kathy Change.

"She was a very tall, willowy woman who would dance," across the campus," Marvin said. "She left a suicide note. And the saddest part of it was she had this idea that if she burned herself it would stop everyone in their tracks, and everyone would be good to each other."

Paul Root Wolpe, the director of Emory University's Center of Ethics in Atlanta, Georgia, was a sociology professor at Penn at that time.

In a letter he wrote to the student paper, The Daily Pennsylvanian, Wolpe -- who would later be asked to speak at Change's memorial service -- challenged students to not simply write her off as "deranged."

"She was the 'Dancing Lady' who often floated through campus waving a banner, spouting some vague references to love and political change. She was one of those characters who bring color to a college campus -- hard to ignore, but easy to dismiss -- and her final protest had the same character," he wrote.

"Let us, for a moment, give her the respect of taking her act seriously. What is it you would sacrifice your time and effort -- if not your life -- for?"

@highlight

Self-immolations are in the news, after Tunisian's act spawns others in Africa

@highlight

In the Chinese Buddhist tradition, the practice dates back more than 1,500 years

@highlight

Westerners woke up to it in the 1960s, after monk ignited self on Saigon street

@highlight

People across globe have since self-immolated, but not always to the same effect