(CNN) -- What do you tell a worried parent when their concerns are confirmed, that their child has been diagnosed with a food allergy?

I'm in this position regularly as I work with families who are receiving this often unexpected news for the first time. Unfortunately, food and skin allergies are becoming increasingly more common in American children, according to a recent report from the Centers for Disease Control and Prevention.

I'm also a parent who was on the receiving end of this food allergy diagnosis regarding my own child. Admittedly, it was difficult to hear. I had my fingers crossed as I braced and prepared for the news.

Nonetheless, it was still a huge blow. Our allergist was particularly kind as he informed me that my child was allergic to both peanuts and tree nuts, reminding me, "Mom, you are not to blame." Of course I knew this, but it was helpful to be reminded that afternoon. You may even come to depend on your allergist as a friend.

These food allergy evaluations are really a partnership, and more is involved in the diagnosis than doing a quick and easy test. Understanding the types of reactions your child has to certain foods, the timing of eating the food in relationship to these reactions, your child's personal history and the family history: all of these components are critical to helping develop a successful food allergy survival lifestyle.

I also have personal experience with food allergies. A lifetime, actually. I was born severely allergic to fish.

Three decades ago, when I was a young person, the outlook on food allergy within the community at large was vastly different than it is now. Food allergy and anaphylaxis were not recognized as a major public health concern; the education and advocacy that surrounds this issue today simply didn't exist.

Instead, food allergies were considered vague and very mysterious, and hardly anyone was prepared for allergic reactions to foods. There were no safety guidelines in any restaurants, and many ignorantly thought that severely food allergic people were "hysterical" or that they simply didn't like a certain food. Epinephrine injectors were thought to be primarily used to treat bee stings.

I made countless visits to emergency rooms, wondering if I would make it. No one thought to have me carry an auto-injector or rescue medication at all, and so each and every allergic reaction spiraled out of control. I was forever covered with itchy eczema patches. I developed wheezing. I almost died too many times to count.

Because of my history, I was determined with my daughter's diagnosis to provide a "normalized" and non-panicked environment where the allergy doesn't define her and there is ample awareness and support.

Here's what I do when a parent comes to me: First, I just listen. I take in their experience of challenges, the hurdles at school and at birthday parties, the scorn and disbelief from some, and ultimately their worst fears.

Next, we take action: I remind parents that food allergies are a proven source of stress, and I'm completely honest that the early adjustment period can be extremely difficult. I reinforce, though, that what might seem like a huge amount of work in the beginning quickly becomes familiar and easier.

Currently, there is no cure for food allergies, so early recognition and management of allergic reactions are important measures to prevent serious health consequences. Strict avoidance is by far the most effective means of surviving successfully with this medical condition.

It's important for a parent to ensure that your household is allergy-safe for kids. Once a doctor has confirmed your child has a food allergy, you should immediately clear every item he or she can't eat from your pantry, refrigerator and freezer.

It's also a good idea to thoroughly clean and sanitize your cooking utensils, oven, stovetop and cookware. Why? Keeping unsafe items out of your food storage and preparation areas will reduce opportunities for cross-contamination.

Cross-contamination is the cooking or serving of different foods with the same utensils and surfaces. Food allergens can be transferred via unwashed hands or utensils, preparation surfaces, fryer vats and even garnishes.

Also, be certain to carefully check soaps, lotions, cosmetics and toiletries for potentially allergenic items, because they can easily end up on little hands and mouths.

Don't assume that friends and family will remember to avoid reaction-causing foods after you've told them about your child's allergy. They don't live with your child's food allergy every single day and aren't in the habit of checking every label every time. You may need to remind them every once in a while, and in the meantime, teach your child that when they're unsure about a food, they need to say, "No, thank you!" until everyone is used to the food allergy diagnosis.

As parents are learning more about the child's allergic reaction symptoms, I suggest they bring family members or caretakers to doctor appointments. That can be vital in getting everyone onto the same page.

Above all else: I remind parents to always keep allergy medications nearby and up to date. Both over-the-counter antihistamines and prescribed epinephrine auto-injectors have an expiration date, after which their effectiveness diminishes.

At first, this allergy diagnosis can feel insurmountable. You think everything will be dramatically restricted, but day-to-day family life can still be wonderful and "normal" once you adjust to the little steps involved in protecting your family member from certain foods.

@highlight

CDC: Food allergies are on the rise in American children

@highlight

Clear out any foods from the pantry to which your children have allergies

@highlight

Be careful of cross-contamination when cooking