(CNN) -- The "West" and the majority of the Muslim world appear to have divergent views on two things about the Syrian civil war: the centrality of the conflict and what constitutes the "worst case scenario." For the West, the prospect of al Qaeda or other Islamist militants prevailing is a nightmare. But for many Sunni Muslims, the nightmare is already here.

Two years ago, I cautioned that given Syria's religious, sectarian and ethnic cleavages, and the minority Alawite regime's preference for brutally suppressing the majority Sunni population rather than placating it by accommodating its Arab Spring-inspired demands for reform, the turmoil there could morph into a protracted war pitting a ruthless dictator against an armed insurrection that could be usurped by Islamist militants. That scenario come to fruition -- but that's not all.

The war in Syria has divided the Arab world, inflamed sectarianism across the Muslim world, revived al Qaeda and even turned into a juncture where the West and the Islamic world went in seemingly opposite directions.

Unless the international community recognizes the repercussions of this conflict and makes ending it its top priority, these fissures will continue to deepen, leaving many relationships in tatters and the international institutions mandated to maintain peace looking ineffectual.

Faced with such a grim reality, the wide spectrum of players involved in the conflict will continue to resort to violence and to view the conflict through a zero-sum framework that will only add to the suffering of the beleaguered people of Syria.

More than 100,000 people have died in the conflict, which has turned millions more into refugees.

Assad's forces have had the temerity to capture their atrocities on camera, and these hours of gut-wrenching footage have proved a treasure-trove for al Qaeda and other Islamist militants.

They have capitalized on Assad's brutality to construct a Jihadist narrative that, unlike other places where Islamist militants had tried to establish a foothold, has resonated with many Muslims around the world.

The onslaught against the Sunni majority turned Syria into the favorite destination of militant Islamists worldwide. It has provided al Qaeda, which boasts not one but two affiliates there -- the Islamic State of Iraq and al-Sham (ISIS) and the al Nusra Front -- an opportunity to rebrand itself and given its recruitment efforts a shot in the arm.

While estimates vary, analysts agree that thousands of Muslims from places as varied as Kuwait, Chechnya, Morocco, Belgium, Pakistan, Saudi Arabia, France, and even the U.S. have traveled to join the fighting in Syria, and the inflow is continuing.

Other individuals have donated thousands of dollars to support the armed opposition which, by all accounts, is slowly becoming dominated by Islamists of varying degrees of militancy.

As the secular Free Syrian Army (FSA) continues to be plagued by internal divisions, it is the Islamists who are taking the fight to Assad. Some, especially the al Qaeda affiliates, have even attacked the FSA and driven them out of areas they fought long and hard to control.

While regional players like Iran, Turkey, Saudi Arabia, Qatar, Iraq and Hezbollah appear to be treating the conflict as a defining moment in the history of the region that could determine its political trajectory for years, the West, with the US at its helm, seems to be losing interest.

Even more worrisome for many in the Middle East, recent reports in the American media suggest U.S. officials are increasingly viewing the prospect of Islamist militants displacing Assad or controlling large swathes of Syrian territory as a "nightmarish" outcome.

Continuing carnage

But for many of the roughly 1.3 billion Muslims around the world, especially the majority Sunnis -- estimated to be around 85% -- exactly who ousts Assad is immaterial. If it is the Islamists, or even the terrorists of al Qaeda, then so be it.

To them, the nightmare is what's happening now; practically nothing could be worse.

Last week, 72 prominent Saudi clerics issued a statement calling on Muslims around the world to support a recently formed Islamist coalition in Syria known as the "Islamic Front." The good news is that the Front does not include the two al Qaeda affiliates, and the clerics did not call on Muslims to travel to Syria.

However, the characterization of the conflict as a "Jihad," or holy war, is a troubling development, given that the Saudi government prohibited its Imams from delivering politically-charged sermons and that its highest religious authority issued an edict enjoining Saudis not to go to Syria, and that doing so would contravene the religious sanctions of Jihad.

While it's not surprising that the war is proving irresistible to hardened militants who have fought in Iraq, Afghanistan and elsewhere, it is disconcerting that it is also attracting recent converts to Islam from the West, underage boys who are traveling without their families' knowledge and even some women: the case of a Saudi woman who announced her triumphant arrival in Syria on Twitter last week sheds light on the powerful gravitation force of Syria amongst the religiously devout.

But it is not only the devout or the militant who are heeding the call. In one video, a militant Saudi who joined the fighting in Syria holds back tears as he proudly boasts that he has encountered "mujahideen" there who confided in him that they did not know how to pray.

In the minds of some Sunni Muslims around the world, the trepidation that the West is voicing over the prospect of Al Qaeda or other militant Islamists coming to power in Syria and the implications of such a scenario for religious and ethnic minorities is read as tacit acquiescence to what they see as a "genocide" -- a term the usually-reserved Saudi foreign minister has been using lately -- against their Sunni brethren. To them, the West is saying "better the Sunnis than the minority Christians, Alawites, Shia and Druze."

This perception has already led to a serious rift between Saudi Arabia -- the leader of the Sunni world -- and the U.S.

In a strongly-worded statement explaining why it was declining a coveted two-year seat on the United Nations Security Council a few weeks ago, Saudi Arabia cited the continuing carnage in Syria as one of the main reasons why it felt the international body was not fulfilling its mandate. It also accused the world of standing "idly" by.

These two divergent assessments must be reconciled. The truth is that Assad and al Qaeda are two ugly faces of the same coin.

The sooner the international community realizes that, the sooner the only viable option becomes clear: both of them have to go.

Read more: Polio threat stalks Syrian refugees in Lebanon
Read more: U.N. confirms use of chemical weapons in Syria
Read more: Islamic Front deals blow to Syria's rebel alliance

The opinions expressed in this commentary are solely those of Fahad Nazer.

@highlight

Prospect of al Qaeda or other militants prevailing in Syria is a nightmare for West

@highlight

But Fahad Nazer says for many Sunni Muslims, the nightmare is already here

@highlight

Attacks on Sunni majority have turned Syria into favorite destination for militants: Nazer

@highlight

Assad and al Qaeda are two ugly faces of same coin, he says -- both must go