Washington (CNN) -- House Republicans unveiled a $1.5 billion border funding package Wednesday to address the situation on the southern border, almost $1 billion dollars smaller than the version introduced by Senate Democrats on Tuesday, and less than half of what President Barack Obama requested.

But strong opposition from congressional Democrats to policy changes House and Senate GOP members want to attach to a bill combined with conservative pushback from those Republicans who don't want to give Obama any more money means getting anything through Congress is an uphill battle.

House Speaker John Boehner criticized the Obama administration for sending what he believes were mixed signals about its position on altering a 2008 immigration law that allows children from Central America to remain in the United States until they have a hearing.

Immigration fast facts

"The administration ought to get their act together," Boehner told reporters after the closed- door meeting with House Republicans. "You know they made indications that they were for changes to the 2008 law that helped bring this problem on, and yet now they're opposed to it. Without trying to fix the problem, I don't know how we actually are in a position to give the President any more money."

Opinion: GOP, show you care about kids at the border

Boehner sent Obama a letter on Wednesday pointing to recent public comments by the President and other administration officials in support of getting additional legal authority, but said that now congressional Democrats have "backpedaled and voiced unswerving opposition to any changes at all."

"Frankly, it is difficult to see how we can make progress on this issue without strong, public support from the White House for much-needed reforms, including changes to the 2008 law," Boehner wrote.

Prospects for border legislation in doubt

Changing 2008 law at center of plan

A House Border Working Group set up by Boehner released a series of policy recommendations it believes are needed to stem the influx of illegal crossings.

The centerpiece of their plan was reversing the 2008 law to make it easier to deport unaccompanied children fleeing countries like Honduras, Guatemala and El Salvador. Instead of children being allowed to remain in the United States until they receive a hearing -- something that can take months or more than a year -- most children will be returned home quickly.

Those who maintain that they face threats of sexual abuse or violence will stay in U.S. custody and get a hearing within seven days.

Immigration crisis a political conundrum

That plan mirrors a bipartisan bill introduced last week by Democratic Rep. Henry Cuellar and GOP Sen. John Cornyn, both of Texas.

The working group also wants to deploy the National Guard to the border to assist border patrol agents dealing with humanitarian needs, establish a set of metrics to measure how well federal agencies are securing the border, and expand the number of judges who can more quickly determine whether claims of persecution from those coming into the U.S. from Central America are legitimate.

Many of the recommendations from the group are expected to be added to the funding proposal outlined by House Appropriations Chairman Hal Rogers. The House plan uses left over funds from various federal programs to cover the price tag. Senate Democrats argue the emergency spending bill doesn't need to be offset.

Rogers insisted the change to the 2008 law is a critical component of Congress' response, saying, "If we don't change the '08 law, the costs of dealing with the problem go up at least $1.3 billion that HHS [Department of Health and Human Services] would need to continue to house the people that continue to flood across."

The witches' brew: Desperation, hope and children on the border

Not much support from Democrats

Senate Democrats released their border funding proposal on Tuesday -- a $2.7 billion package that does not include any policy changes. But it's unclear that proposal can pass.

House GOP leaders planned to huddle after meeting with their rank and file members to discuss what details they would put in a final legislative package. They recognize that their pared-down package won't get many Democratic votes.

Besides Cuellar, only one House Democrat has signed onto the bill to change the 2008 law. House Democratic Leader Nancy Pelosi has said she opposes it and argued any significant changes to immigration laws need to be handled separately.

The No. 2 House Democrat, Rep. Steny Hoyer of Maryland, told reporters that GOP leaders shouldn't expect much support for their plan.

Hoyer said Cecilia Munoz, a top White House aide on domestic policy, told him the White House is pushing for a border bill without any policy provisions attached, but the administration is open to discussing changes to the 2008 law on a separate track.

For Boehner getting the 218 votes needed to pass a border bill mostly with House Republican votes is proving to be a big lift.

Republican Rep. Mo Brooks of Alabama told reporters he opposed giving more than $1 billion to the administration and instead suggested spending $20-30 million to pay for one-way plane tickets to send all of the children crossing the border back to their home countries.

Playing the blame game

Blasting Obama's handling of the crisis, an exasperated Brooks said the administration is giving families coming from Central America "free goodies, free food, free clothing, free health care, free transportation, free entertainment." He added, "Right now the president of the United States is the world's sugar daddy and that has to stop."

But North Carolina GOP Rep. Richard Hudson told reporters the growing problem means Congress should act, and he hoped something would pass before the recess.

Referring to the short amount of time left before Congress leaves for its August break, Hudson said, "I think we need to deal with this issue, we can't let it linger another five weeks."

Both parties acknowledge some federal agencies housing and providing medical care for the tens of thousands of children coming across the border are scheduled to run out of money next month.

Since Congress controls the purse strings, House Republicans realize that if they don't pass a bill they'll get blamed for the situation getting worse.

"I think if you don't do something the administration and the Democrats in the Senate are going to say -- well they're going to try to offload this problem onto Republicans and say it's due to our failure to act," Oklahoma GOP Rep. Tom Cole said Wednesday.

Boehner declined to commit to holding a House vote on a GOP bill before the end of the month, but said "I'd like to act, we've got a humanitarian crisis on the border that has to be dealt with."

Texas GOP Rep. John Carter, a member of the border working group, warned that if the House and Senate failed to reach a deal on a border bill, "another 50,000 unaccompanied minors will come across our border."

@highlight

House Republicans offer plan far less costly than Democrats, Obama

@highlight

Some in GOP caucus balk at spending any money except to send children home

@highlight

Number two Democrat in House tells Republicans not to expect much support from them

@highlight

House Speaker John Boehner won't commit to a vote before August recess