A top U.N. official arrived in Damascus on Tuesday in an attempt to "draw attention to the deteriorating humanitarian situation in Syria," the United Nations said.

Valerie Amos, the U.N.'s under-secretary-general for humanitarian affairs and emergency relief coordinator, is on a three-day trip to Syria and Lebanon.

"The humanitarian situation in Syria has further worsened in recent weeks as fighting has spread in Damascus and to Aleppo and other cities," the United Nations said. "Two million people are now estimated to have been affected by the crisis, and over one million have been internally displaced."

She met with Prime Minister Wael al-Halaki, Syrian TV reported.

In Aleppo, the line between life and death is thin

In Lebanon, Amos will meet with families who fled Syria and will talk with the government and humanitarian agencies about how to best support the refugees, her office said.

Across Syria, the reports of relentless bloodshed mount by the hour.

At least 70 people were killed Tuesday, the Local Coordination Committees of Syria opposition group said. The toll included 10 children and three women.

Syria said the assistant director of the Health Directorate in Daraa was "assassinated" by "an armed terrorist group" Tuesday. Attackers  waited for Dr. Ma'moun al-Zoubi at the garage of his building "and opened fire on him, causing his martyrdom," the state-run Syrian Arab News Agency (SANA) reported.

In recent days, fierce shelling in and around dissident strongholds has aggravated the humanitarian crisis, opposition activists said.

In the Homs suburb of Rastan, residents pleaded for intervention "to break the siege of the disaster-stricken city, which has no access to any of life's essentials including bread, water, baby formula or electricity," the LCC said.

Syria said authorities "arrested dozens of terrorists" in Aleppo and destroyed seven cars equipped with machine guns. Armed forces also killed and injured "terrorists" in an area called al-Kura al-Ardiya, SANA reported.

Foreign ministers of Islamic countries have agreed to suspend Syria from the Organization of Islamic Cooperation, ahead of the group's two-day emergency summit this week.

The Syrian civil war is a key topic on the agenda of the summit, which opens Tuesday in the Islamic holy city of Mecca, Saudi Arabia.

Read more: Syria expected to dominate Islamic summit

"There is an agreement to support the Syrian people, and standing by their side, we are agreeing on freezing the membership of Syria until it retains its balance," Tunisian Foreign Minister Rafiq Abdul Salam said, according to the official Saudi Press Agency.

The heads of state must approve the suspension before it can take effect.

Meanwhile, a Syrian presidential adviser was scheduled to visit China on Tuesday, the Chinese Foreign Ministry said. China, along with Russia, has repeatedly vetoed attempts at the U.N. Security Council to take stronger action against Syrian President Bashar al-Assad's regime.

A spokesman for the ministry said Bouthaina Shaaban, al-Assad's political and media adviser, will meet with Chinese Foreign Minister Yang Jiechi.

"To promote the political solution to the Syria problem, China has always actively balanced its work between the Syrian government and the opposition to urge Syria to put to practice (former Arab League and U.N. envoy Kofi) Annan's suggestions and advice by the U.N. Security Council -- immediately cease fire and all violent actions, protect civilians and resolve the crisis through talks," the spokesman said.

"China is also considering inviting members of the Syrian opposition to visit," the ministry said in a statement.

The United States, meanwhile, lifted sanctions against the former Syrian Prime Minister Riyad Hijab, who recently broke with the regime.

"Recent civilian and military defections from the Assad regime are further indications that the government is crumbling and losing its grip on power," David S. Cohen, under secretary for terrorism and financial intelligence at the U.S. Treasury, said in a statement. "The United States encourages other officials within the Syrian government, in both the political and military ranks, to take similarly courageous steps to reject the Assad regime and stand with the Syrian people."

While the war rages on, Syrian rebels claimed one of their biggest achievements yet Monday -- the shooting down of a military jet.

Struggling to define the Syrian opposition

Video posted by the rebel forces shows a jet framed in a cloudless sky being shot at, catching fire and falling out of frame.

"A MiG warplane shot down in Mouhassen!" says an excited man off-camera, citing a location in Deir Ezzor. "God is great!"

The government denied the jet was shot down, blaming the crash instead on a "technical failure." It said that the jet fighter was on an "ordinary training flight" and that the pilot ejected safely.

The search for the pilot was still under way late Monday, according to SANA.

A few hours after the rebels made their claim, the opposition LCC posted a video showing what it said was the pilot, whom it identified as Col. Mufeed Mohamad Suleiman. No identification card was shown.

The man, dressed in civilian clothes and surrounded by armed men, called on other military officers to defect. He said the rebels had provided first aid for the bruises on his face that he suffered in the parachute jump.

A man who identified himself as a rebel captain said the pilot would be treated as a prisoner of war.

CNN cannot independently confirm the authenticity of either video.

A report Monday from opposition activists underscored the difficulty in resolving the Syrian crisis. It said that Syrian forces in Damascus had publicly executed at least 10 people in one town, and that residents were unable to reach the bodies because "regime forces have been firing at anything that moves," the LCC said.

The Syrian crisis has claimed roughly 17,000 lives since it erupted last year, U.N. Secretary-General Ban Ki-moon said last month. Opposition activists have put the toll at more than 20,000.

Regional group votes to suspend Syria; rebels claim downing of jet

@highlight

Valerie Amos met with Syria's prime minister, Syrian TV says

@highlight

At least 70 people have been killed across Syria on Tuesday, opposition says

@highlight

Officials vote to suspend Syria from the Organization of Islamic Cooperation

@highlight

A Syrian envoy was visiting China on Tuesday; China considers inviting opposition