Melissa Harris-Lacewell is associate professor of politics and African-American studies at Princeton University. She is the author of the award-winning book, "Barbershops, Bibles, and BET: Everyday Talk and Black Political Thought" and writes a daily blog titled The Kitchen Table.

Melissa Harris-Lacewell says Eric Holder's speech fell short of calling for real action against racism.

PRINCETON, New Jersey (CNN) -- On Wednesday, Attorney General Eric Holder marked Black History Month with an address at the Department of Justice. Holder clearly and courageously acknowledged the history of American racism.

He forthrightly argued that, "to get to the heart of this country, one must examine its racial soul." Because public officials so rarely discuss race, Holder's was an unusually bold statement.

But ultimately, Eric Holder's discussion of race in America was a failure. It failed because Holder spoke more like a grade school principal than like the attorney general of the United States. He framed our nation's continuing racial work as a struggle to feel comfortable, be tolerant, and have "frank conversations about racial matters."

I appreciate the sentiment, but I would prefer Holder use the Department of Justice to sue those who illegally discriminate against racial minorities rather than holding encounter sessions in the lunchroom.

February's celebration of black history is important because it reminds us that America's bitter racial legacy is not about name calling and hurt feelings; it is about structures of inequality codified in law and supported by government action.

Black men and women risked their lives to gain the right to vote, to live where they chose, to educate their children in the best public schools, and to end segregation in transportation and public places.

Black political history is the story of a battle against structures. Unfortunately, too many of those structures still exist. As attorney general, Eric Holder is charged, in part, with eliminating those violations of law that still create systematic racial inequality.

In Holder's optimistic portrayal of modern America, we are a nation fundamentally altered by Brown v. Board of Education; a country that has "done a pretty good job melding the races in the workplace;" and a nation whose biggest racial obstacle is making our weekend socializing as congenial as our workweek happy hours.

Maybe Holder doesn't realize that in many cities and towns the public schools are more segregated today than they were 40 years ago. A recent report from the Chicago Urban League found that African-American children in the city are almost exclusively educated in schools that are more than 85 percent black.

These vastly predominantly black schools have fewer resources, fewer extracurricular activities and fewer experienced teachers than their white counterparts.

Children from these schools are more likely to drop out or end up incarcerated than to enroll in college.

Segregation is no longer the law of the land, but America's children continue to be educated in separate and unequal schools. We can't talk our way out of unequal schools.

Holder's perspective that black and white workers get along easily in the workplace reflects a shocking disregard for contemporary employment realities. African-Americans continue to suffer from extraordinary employment discrimination at every stage of hiring and promotion and in every sector of the job market.

For example, my Princeton University colleague, sociologist Devah Pager, has demonstrated that white men with criminal records are more likely to be considered for a job than black men with no criminal past.

I am deeply concerned that the leader of the Department of Justice seems to believe that our workplaces need dialogue, discourse, and understanding rather than fair hiring practices, equal pay, and transparent promotion procedures. We can't talk our way out of employers who refuse to interview a job candidate if the name on the résumé "sounds black."

Holder discussed weekend segregation as if it is just a matter of personal recreational choice: White folks go off to NASCAR and black people prefer to watch basketball. But the reason Americans do not share racial vocabulary or opportunities for interracial dialogue is because of deeply entrenched racial residential segregation.

We don't spend our weekends together because we don't live in the same neighborhoods. Housing segregation is not just a matter of personal choice. Some real estate agents steer black families away from predominantly white neighborhoods. Some property owners refuse to rent to black families. Both of these acts are illegal.

In fact, the National Fair Housing Alliance documents hundred of thousands of acts of housing discrimination each year and has repeatedly criticized the Department of Justice for failing to adequately pursue and prosecute the vast majority of these cases. We can't talk our way out of residential segregation.

As a teacher, I am deeply committed to interracial dialogue. I try to use my classroom as a site of conversation, deliberation, and debate about race. I do this because, as a teacher, dialogue is the most powerful weapon I have in the fight to build a better America.

Eric Holder has something more. He has the law. I don't want my attorney general to scold me about having conversations; I want him to tell me the lawsuits he plans to file against those who continue to practice educational, employment, and housing discrimination.

I appreciate Attorney General Holder for taking up a conversation on race, but it is not enough. The time for talking may come, but today is a day for action.

The opinions expressed in this commentary are solely those of Melissa Harris-Lacewell.

@highlight

Melissa Harris-Lacewell: Eric Holder's speech was ultimately a failure

@highlight

She says it was courageous for the attorney general to talk about race

@highlight

Rather than seek racial dialogue, she says, Holder should have called for action

@highlight

Harris-Lacewell: Discrimination is rampant and needs to be addressed