(CNN) -- You cannot look away from the twin disasters befalling the people of Syria and Iraq. That is what President Barack Obama has realized.

More than three years after an uprising to topple Syrian dictator Bashar al-Assad spun into a devastating civil war, Obama is asking Congress for $500 million to help arm and train the moderate Syrian opposition.

It is late. More than 150,000 Syrians have already died. It's a staggering number. And the situation is only getting worse.

Now Iraq, too, has become a battleground for sectarian conflict, threatening to create an even larger regional catastrophe. Competing groups and battling ideologies are at war, and the most extreme are fighting vigorously and making gains.

There's no question that this is the most complicated of conflicts. Three-dimensional chess does not begin to describe it. But there is also no question that all the wrong people are winning. That's partly because those with moderate ideology have not received any support while others are bolstered by outside backers.

Al-Assad, whose downfall seemed all but certain, receives military support from Iran and ground forces from Hezbollah, Lebanon's Iran-allied Shiite militia, which has helped him turn the tide in the battlefield. Obama threatened to intervene after al-Assad used chemical weapons, but backed away after a chemical disarmament deal, but al-Assad continues to slaughter civilians by the thousands.

The rebels seeking to topple al-Assad, meanwhile, are deeply divided and are fighting each other. Moderates have lost ground to Islamist extremists, who receive support from Persian Gulf donors. Extremists are also divided. The Nusra Front, an al Qaeda arm in Syria, has broken with ISIS, the Islamic State in Iraq and Syria.

It is ISIS, whose brutality even al Qaeda considers excessive, that has swept across the Syrian border into Iraq.

The more fanatical the group, the better it is doing. The radicals' advances attract more support and make their ideology more appealing, which strengthens their numbers. And groups like ISIS, now flush with cash, have no intention of stopping their expansion.

Now the war in Syria has spilled in the worst possible way into Iraq, not only threatening the survival of that country but creating the very real possibility that a radical Islamist state of the most extremist kind could take root across both Syria and Iraq, creating a base of operations for attacks on U.S. allies, with Jordan first in line, and for terrorist training and planning.

There's no question that finding "moderates" is a very difficult task. And it's certainly true that Obama's plan to start arming the moderate opposition is risky. The weapons could fall into the wrong hands, as they have in the past, and stepping even indirectly into a sectarian war is a perilous proposition.

But this conflict has made even the most pessimistic prediction appear hopelessly optimistic. Some experts are calling this Middle East crisis the most dangerous one in 40 years. The scale of human suffering is staggering, and the stakes for long-term global stability enormous. The West's decision to stand on the sidelines has allowed the worst outcome to materialize. And it is morally indefensible.

The Iraqi quandary now makes it all even more complicated. The United States does not want to take sides in a Sunni-Shiite war. America's interest is a return to peace and victory for those -- in Syria and Iraq -- who would protect human rights and rule of law.

Washington is sending 300 advisers to work with the (mostly Shiite) Iraqi army. Now it will help arm the (mostly Sunni) moderate opposition in Syria. It is walking gingerly, projecting its nonsectarian position, as it should.

The turbulent Middle East may look like a distant, foggy disaster area, but it has a history of sending ripples that reach close to home, changing life for people in other parts of the world.

Already the war in Syria has attracted fighters from Western countries, from Europe and the United States. Syria and now Iraq are becoming training grounds for would-be terrorists.

European security agencies are sounding panicked about what this means for terrorism at home. "The threat of attack has never been greater," one European counterterrorism official said. FBI director James Comey said thousands of Europeans have traveled to Syria to fight with Islamists. Dozens of Americans have joined them. An American suicide bomber -- from Florida -- blew himself up in Syria recently.

Some of those violent jihadists with American and European passports, which allow them to travel easily almost anywhere, are returning home. A French citizen just back from Syria has been charged with killing four people in Brussels' Jewish Museum.

Bomb threats, like one a few days ago in Amsterdam, are being treated extremely seriously. The Dutch intelligence service says Dutch jihadis are returning to the Netherlands, bringing dangerous ideological baggage, determined to commit attacks on the West and radicalize Dutch Muslims.

British Prime Minister David Cameron calls the terrorist threat from Syria "the biggest risk we face."

As counterterrorism officials in the United States and Europe try to prevent attacks, the fighting in Syria and Iraq is destroying lives, creating a generation of traumatized people who may seek revenge, perpetuating this conflict and threatening to tear apart the Middle East.

Millions have been forced to leave their homes. Refugee camps are overflowing. Each individual in Iraq or Syria who has left home, each child who has been displaced by the war, has endured experiences we can scarcely comprehend.

It may be easier to look away, to say the problem is just too complicated, and that it's not ours to deal with. But the humanitarian, strategic and security ramifications have become impossible to ignore. Obama discovered he cannot look away. Neither should we.

@highlight

President Obama is asking Congress for $500 million to aid Syrian opposition

@highlight

Frida Ghitis: Obama realized he cannot ignore the twin disasters in Syria and Iraq

@highlight

She says the brutal ISIS has swept across the Syrian border into Iraq, creating havoc

@highlight

Ghitis: The violence opens the possibility that radical extremists will spread in the region