Atlanta, Georgia (CNN) -- Turn back time, more than 90 years, to a cold case that won't gather dust.

It's a classic whodunit, starting with the rape and murder of a 13-year-old girl and ending in a lynching. It was grist for a prosecutor's political aspirations, a case that was appealed all the way to the country's highest court and a story hotly debated in the national press.

At the center of it all was Leo Frank, a northern Jew who'd moved to Atlanta to supervise the National Pencil Company factory. When the body of Mary Phagan, a white child laborer, was found in the basement, law enforcement homed in on Frank. He was tried and convicted, based on what most historians say was the perjured testimony of a black man, and sentenced to death. But when the governor commuted his sentence in 1915, about 25 men abducted Frank, 31, from the state prison and hung him from a tree in Marietta, Georgia.

Considered one of the most sensational trials of the early 20th century, the Frank case seemed to press every hot-button issue of the time: North vs. South, black vs. white, Jew vs. Christian, industrial vs. agrarian.

In the years since, it has inspired numerous books and films, TV programs, plays, musicals and songs. It has fueled legal discussions, spawned a traveling exhibition and driven public forums.

Who murdered Mary Phagan? What forces were behind the lynching of Frank? Why should we still care?

Answers to these questions, or theories, keep coming.

"Leo Frank was not a good ole Southern boy. He was different and not ashamed of being different," said Ben Loeterman, whose new documentary, "The People v. Leo Frank," will air Monday on PBS. "The test of us as a society is not necessarily how we treat the best among us but how we treat the most questionable."

Mixed in with ongoing analysis of the Phagan-Frank story are the descendants of those involved, people who learned of their connections differently and carry these legacies forward in unique ways.

The accused

"The story goes that no one in my family talked about it," said Cathee Smithline, a 62-year-old great-niece of Frank.

Frank was the one who handed Mary Phagan her check when she stopped by the factory on April 26, 1913, Confederate Memorial Day. The night watchman, Newt Lee, would find the body and call police early the next day.

Smithline, of Wyckoff, New Jersey, was 16 when she first heard about the case. Her mother sat her down, told her a story about what a man in the South had been through, said it was based on her uncle and handed over a book: "A Little Girl is Dead."

It turns out Smithline's mother got the news in her teens, too, when her boyfriend turned to her after seeing "They Won't Forget," a 1937 Hollywood film. "You know that's about your uncle," he said.

She'd grown up hearing Uncle Leo died of pneumonia, and after asking family about it, the truth was revealed, followed by the words, "We will never talk about this again," Smithline said.

"I think it was a family embarrassment," she said. "My grandmother [who died when Smithline was 1] was very close to her brother. It cannot be easy to tell someone your brother was lynched and why."

The first victim

Mary Phagan Kean was 13 when the story hit her. She was in a South Carolina classroom, and her name stopped short a teacher taking attendance.

"Mary Phagan, you say?" she recalled the teacher asking, peering up from his list. He wanted to know if she was related to a girl with that name who died in 1913. Confidently, she told him she wasn't. But the boys on the playground taunted her anyway, telling her she was reincarnated from a dead girl.

Traumatized, she asked her father about her name. "He turned whiter than white," she remembered.

Mary Phagan had been her grandfather's little sister. He only wept when asked about her. When Mary Phagan Kean's family moved back to Marietta, questions about that name never stopped.

"I went on a campaign," said Kean, 55, who sought out every article and piece of information she could find. "I did that for years and years and years."

The consensus of historians is that the Frank case was a miscarriage of justice. Crime scene evidence was destroyed, they say. A bloody hand print was not analyzed. Transcripts from the trial vanished.

Frank's conviction was based largely on the testimony of a janitor, Jim Conley, who most came to see as Phagan's killer. He'd written notes found with the body, but said they were dictated to him. The prosecutor, Hugh Dorsey, used race in his argument, saying a black man couldn't be smart enough to come up with such stories.

Witnesses would come forward to say Conley was seen carrying the body and washing out a bloody shirt. Conley's own attorney, William Smith, came to believe in Frank's innocence, scrawling a note to that effect on his death bed nearly 35 years later.

Conley, who appeared in the press for petty crimes over the years, eventually disappeared.

Dorsey, the prosecutor, had political aspirations riding on this win.

"A conviction of just another black guy wasn't going to do anything for his career," said Sandy Berman, the archivist at The William Breman Jewish Heritage Museum in Atlanta who created the traveling exhibit, "Seeking Justice: The Leo Frank Case Revisited."

Two years after Frank's lynching, Dorsey was elected governor of Georgia.

But the story was interpreted differently by Kean, who wrote "The Murder of Little Mary Phagan," and stands by this conclusion: "Leo Frank was guilty as sin. He was a sexual pervert."

Kean often visits her namesake's grave in Marietta. She's not the only one. She says she's struck by the teddy bears people leave there.

The governor

Elizabeth Slaton Wallace couldn't be prouder of her heritage. At 81, she's the great-niece of the late Georgia Gov. John M. Slaton, the man who commuted Frank's death sentence to a life sentence, believing Frank's innocence would be proved and, in doing so, ruined his political career.

The Georgia National Guard was called out to protect the governor after his decision prompted a rabble-rousing newspaper publisher to call for the lynching of both Frank and Slaton.

Frank had been moved to the state prison in Milledgeville, Georgia, where an inmate slashed his throat. He survived, but weeks later about two dozen Marietta men came into the prison, with no resistance from officials, and abducted Frank in the dark of night.

By dawn, he was hanging from a tree in Marietta. Photographs of his dangling body and the crowds who gathered there adorned souvenir postcards.

"Leo Frank was a Jew and a Yankee Jew at that. He was railroaded. Uncle Jack knew that," said Wallace, who lives in Atlanta.

She can't explain why the story persists to this day. But throughout her life she's witnessed the kindness of the Jewish community, especially toward her father, who was named for the late governor.

"The Jewish community could never do enough for my father," said Wallace, who recalled being in a Jewish-owned store with her parents in the 1980s. "They could have given us the shop."

As grateful as they were to Slaton, Frank's lynching left Georgia's small Jewish community frightened. Many left the state; those who stayed kept a low profile. For decades, they only spoke of Frank in hushed tones.

The lynching party

The lynching of a white man can hardly be compared to what happened in the black community in the South. But this case, the only lynching of a Jew on American soil, was the culmination of a state-sponsored conspiracy, historians say.

While Georgia Jews remained quiet, so did those who were involved in Frank's killing, said Steve Oney of Los Angeles, California, who wrote the authoritative book "And the Dead Shall Rise: The Murder of Mary Phagan and the Lynching of Leo Frank." It would be about 80 years before members of the lynching party were publicly, and not just secretly, known.

"They were not liquored-up yahoos," said Oney, a journalist, editor and Atlanta native who spent 17 years researching his book. "These were smart, deliberate people -- from good, prominent families."

They included a former governor, a former mayor, a U.S. senator's son, a judge, lawyers, a state legislator and business owners. One of the 25 or so men was Cicero Dobbs, the grandfather-in-law of Roy Barnes, a Georgia lawyer and politician who is a former governor himself and will be running again in 2010.

Barnes and his wife, Marie, never knew Dobbs, who owned a taxi company in Marietta and likely provided transportation to the prison where Frank was held. Oney broke the news about the family connection to them.

"Marie's parents didn't know. It was never mentioned," Barnes said. "On death beds, people confessed. It was just that powerful."

Barnes, who is featured in the new documentary, said it's important to keep the story alive and learn from it.

"It's a terrible blot on our history," he said. "How we keep it from happening again is to never forget."

@highlight

Mary Phagan's murder in 1913 spawned an Atlanta trial that's still talked about today

@highlight

Leo Frank was convicted, later lynched by mob of respected community leaders

@highlight

Case hit hot buttons: North vs. South; Jew vs. Christian; black vs. white

@highlight

Story continues through new books, films and descendants from all sides