(CNN) -- In the wake of the shooting rampage at the Washington Navy Yard on Monday that left 13 dead, we have seen the resurrection of an all-too-familiar debate: Did violent video games make the killer do it?

Reports suggest that the gunman, Aaron Alexis, played quite a bit of violent video games. Friends have said to reporters that his heavy game use, described as up to 16 hours at a time, may help explain his actions.

Just as quickly, video game fans have jumped to defend the violent first-person shooting games. "Don't Blame Violent Video Games for Monday's Mass Shooting" said the headline of an Atlantic op-ed.

The problem is that people are looking for a yes-or-no answer about the role of video games in violence, when there is none. Violent video games alone likely didn't cause Alexis to go on his rampage. But these games aren't harmless, either. Recent reports suggest he may have been mentally ill and had anger control issues. But it isn't hard to believe that video game use may have been a contributing factor.

My colleagues and I found that typical college students who played violent video games for 20 minutes at a time for three consecutive days showed increasingly higher levels of aggressive behavior each day they played. If that's what happens to typical college students, how might someone like Alexis react to playing for 16 straight hours? What if he does this for months or years?

Other researchers have found similar results. My colleagues and I conducted a comprehensive review of 136 articles reporting 381 effects involving over 130,000 participants around the world. These studies show that violent video games increase aggressive thoughts, angry feelings, physiological arousal (e.g., heart rate, blood pressure), and aggressive behavior. Violent games also decrease helping behavior and feelings of empathy for others. The effects occurred for males and females of all ages, regardless of what country they lived in.

Despite the evidence, many people still deny violent media effects for a variety of reasons that I summarized in a Psychology Today piece.

Alexis was not the first mass killer to have an obsession with violent video games. Adam Lanza, who killed 26 children in an elementary school in Newtown, Connecticut, was also said to be a fan of first-person shooting games. Other killers have been found to be avid players.

The effects of these games go beyond making players more aggressive. In our research, we found that people who played first-person shooting games were more accurate than others when firing a realistic gun at a mannequin -- and more likely to aim for and hit the head.

Police haven't released details of the Navy Yard shootings, but it is possible that Alexis was a more accurate shooter because of the time he spent playing video games. That's an inconvenient fact that you don't often hear defenders of the games talk about.

But the argument I hear most often is that video games can't be dangerous because millions of people play these games without becoming violent. No doubt, most players don't become violent. That's because they come from good homes, aren't victims of bullying, don't have mental health issues, and don't have many of the other risk factors for violence.

But what about players who already are predisposed to violence? Killers like Aaron Alexis aren't typical. They have a lot going against them, such as mental illness. Violent video games are just one more factor that may be pushing them toward violence.

We don't have a lot of control over many of the factors that can contribute to violent behavior. But we have some control over violent video games. We can make it more difficult to get access to them. We can strengthen our laws against teens acquiring these games. Parents can keep the games out of their homes and help their children avoid them at friends' houses.

As a society, we should do all we can to make violent rampages like the one in Washington less likely, even if we can't stop them entirely. Controlling the use of violent video games is one step we can take to help protect our society from violence.

The opinions expressed in this commentary are solely those of Brad Bushman.

@highlight

Aaron Alexis killed 13 people at Washington Navy Yard on Monday

@highlight

Brad Bushman: Does playing violent video games contribute to aggression?

@highlight

He says violent games alone may not push people to kill, but they aren't harmless

@highlight

Bushman: Playing video games can make players more aggressive