(CNN) -- What I first noticed when arriving in Baku, beyond the world's tallest free-standing flag pole, was the oil derricks in the Caspian Sea, visible from western hotels steadily rising along the coast.

Where other cities might dress the skyline to lure visitors to the beach, or to take a boat cruise, Azerbaijan is all about its energy wealth.

The country of eight million people benefits from having started early in the oil game -- in 1846 the country drilled the first oil well in the world -- but all that is well known, as is the country's push to extract more oil off shore in the Caspian.

Country profile: Azerbaijan

What should become more well-known is the country's attempt to diversify away from oil and focus more on natural gas. To the ever expanding gratitude of Western Europe, Azerbaijan is close to tripling the amount of natural gas processed through its BP facility south of Baku.

Soon the owners of the Shah Deniz natural gas lease in the Caspian will choose from a host of competing pipeline consortiums to bring more natural gas to Western Europe. Most importantly, it means more gas heating rooms in Romania and Germany that does not come from Russia.

As one of the most potent symbols to me of the rising energy wealth, seaside luxury homes are being built directly across the street from the vast BP oil and gas refinery south of Baku.

From the front bedroom the new owners will overlook ever more derricks. From the back yard, it is the refinery. Still, I saw more than a dozen of these little palaces under construction.

So, what else can Azerbaijan do to move away from oil?

Information technology is one of the bigger pushes. If you look at a map of the country, you can see why IT, software and social media companies are reputably looking to set up regional hubs there.

Firstly, students are learning English, which is the international language of technology. Secondly, many still speak Russian. The legacy of the former Soviet Union means workers can not only communicate easily with neighboring Russia, but also with potential customers in Kazakhstan and Uzbekistan -- two fast growing countries in the region.

Add to that two obvious connections: language with Turkey and ethnicity with Iran. If you are setting up a regional company, Baku would be one of the first places you would have to study.

Azerbaijan's economy does of course suffer from some of the leftovers of the Communist era. The roads outside Baku are terrible. There are also simmering tensions with neighbor Armenia (not seen on maps whenever I looked at one around the city) and the region is not stable when you add in Georgia, Southern Russia and Chechnya.

Azerbaijan is also using its money to reinvigorate the fishing industry, once it has cleaned up the Caspian. It is also building a vast complex, the size of Monaco, of new housing, shops and hotels near the port called White City. It's a tip of the hat to what Baku used to be known as when it produced half the world's oil -- the Black City.

One day, Baku might even become a tourist attraction. Thousands of people will be flocking here next year when the country's hosts the European Song Contest finals.

Test your knowledge of Azerbaijan

These fans will see a brand new convention center, a new museum in the shape of a rolled up carpet to capture the country's love of making carpets and exporting them around the world, a massive new embankment ringing the Caspian giving people a chance to walk nearly the length of the city, and explore the amazing Old City -- one of the finest in the world and mostly unknown outside the Caucasus.

Then, if, and it's a big if, the International Olympic Committee chooses Baku over Istanbul, Doha, Madrid and Tokyo to host the 2020 Summer Games, the world will awake to the rise of Azerbaijan.

Baku must be seen as a long shot, but it was put to me by several people, that like the Games themselves, it is more important to take part in the process than to necessarily win. Baku wants to be seen on a world stage and is learning what steps to take for its growing economy and wealth to be noticed far and wide.

@highlight

Baku, capital city of Azerbaijan is reveling in its energy wealth

@highlight

Concerted efforts made to diversify national economy away from oil

@highlight

Is tripling amount of natural gas produced and moving to encourage IT sector

@highlight

City is bidding to host Olympic Games in 2020