Macon, Georgia (CNN) -- Bettye Webb-Hayes won't ever forget the day her son posed a question that stopped her in her tracks.

"Mom," the fourth-grader asked, "am I white?"

It was a question she had never asked her own parents. It was something you didn't talk about in the days of the segregated South -- especially when your mom was white and your father was a mix of African-American and Native American. She went to the black schools of Macon, Georgia. Now, her son was asking probing questions.

"Why would you ask me that?" she said.

"Because everybody at school calls me a honky," said the young Cordell, a light-skinned African-American.

Twenty-seven years have passed since that conversation. Bettye and her son recently traveled back to Macon to face something that's been omnipresent their whole lives: the coming together of white and black.

They returned for a one-of-a-kind 50th high school gathering. The classes of 1959, once segregated by race as well as gender, sat down together for the first time in history.

Ruby Dean Dupree Mayes arrived two hours early for the festivities. She didn't sleep the night before.

"It's like waiting for Santa Claus to arrive. I'm so excited," said Mayes, who drove more than 330 miles from Tennessee to attend.

Mayes went to Ballard-Hudson High, the city's black high school, whose most famous students include singers Otis Redding and Little Richard. She came this day "to celebrate and commemorate."

"I could not pass this event up," she said. "I never dreamed of this moment -- just the realization of knowing that we had come together, at last."

As the 1959 graduates arrived, they welcomed one another. Many first greeted people of their own race. Some hadn't seen particular classmates in the 50 years since they earned their diplomas. Gradually, they began mixing and mingling.

There was a commonality -- a need to come together for their children, their grandchildren and the generations to follow. Discuss the past, while moving forward in the present.

Separated now by 'personal choice'

It sometimes takes a son to see things in a new light.

The idea for the meeting began four years ago, when a son told his father: "Dad, think about how many friends you missed getting to know."

Those were the words of Wyatt Johnson, a public school teacher in Santa Cruz, California. He and his father, Tom Johnson, were enjoying a father-son trip to Macon in 2005 to rediscover their roots.

Tom Johnson is the former head of CNN and was once the publisher of the Los Angeles Times. He's traveled the world and left his own mark along the way. Yet despite all his accomplishments, there was something he'd never done: reach out to the African-Americans of Macon from 1959, the ones he never knew because of segregation.

An idea was born. He wrote to graduates of the black school, Ballard-Hudson; the white girls' school, Miller; and the white boys' school, Lanier. "We all have deep personal memories of our high school experiences that will remain with us forever," he wrote. "We had lived in a separate black and white world in Macon. ... It is a different world today. We no longer are separated, except by personal choice."

One white graduate responded with hate mail, a reminder that racism still exists.

But on a day in early October, more than 200 people gathered at a Goodwill banquet hall. There was no shouting, none of the in-your-face name-calling seen in recent health care town hall meetings across the country.

Here, there were tears, hugs and handshakes. Often, talk of grandkids took center stage at the 16 roundtables. They talked about race and the segregated past that prevented such closeness a half-century ago.

"You'd think we'd have grown up together," said Alice Bailey, a Ballard-Hudson grad.

"We still have a gift, and that's a gift of time," Johnson said. "Blacks and whites together, we can do something to make the world better."

They took out notepads. They scribbled ways to take action. They began making a to-do list of 59 things for the Classes of 1959. Their goals range from building a home for Habitat to Humanity to writing letters to service men and women from Macon serving in war. They'd love to persuade the one who sent the hate mail to attend the next gathering.

They also want to set an example for the elders of other Southern cities. "I'm glad we've left the past behind," said Michael Cass, the 1959 class president of Lanier.

The daughter of one those in attendance stood and took the microphone. "Today, you have inspired me so much," she said.

Many in the crowd reached for tissues.

Linda Carstarphen Gugin said her whole life had been leading to this moment. "It was the most amazing thing," she said. "It was just like almost immediate bonding between people."

As the class president of Miller, she'd carried guilt for the last 50 years for not speaking out against segregation.

"I have tears about this," she said, crying.

For Bettye Webb-Hayes and her son, the gathering underscored why the question "Mom, am I white" could be asked in one era and not another.

Listening to his mother and her childhood friends, Cordell said, he was struck by how segregation was "was so transparent to them at the time they were living through it. It was a way of life, so they didn't acknowledge its existence."

"I find it interesting how human nature teaches you to accept things that are -- and some people question the reality, and other people don't."

His mother did test the reality of segregation on one occasion. Bettye and her sister went into a Woolworth's department store in Macon. They sat at a counter for food.

The white waitress looked at them skeptically. She couldn't tell whether they were white or black. She grabbed a black cook for his input. "Those are the Webb girls," he said.

The two were kicked out.

Webb-Hayes giggles about the story. She's proud she tried to break the rules. "I think she really would've served us if she thought she could have gotten away with it."

Watch Bettye tell story of her dad and 'stupid' Elvis

It was in 1963 when Webb-Hayes realized just how wrong the segregated South was. She marched in Washington, D.C., with Martin Luther King Jr. that year. "It was almost like you were listening to God speak in person."

Years later, Bettye -- the girl who was sent away from the Woolworth's counter -- would eat Thanksgiving dinner with President Jimmy Carter. Webb-Hayes was the music teacher for Amy Carter, the president's daughter.

Her motto throughout life: "Just do the very best you can."

She calls the gathering of the segregated schools "unbelievable." If it's the last trip of her life, Webb-Hayes, 68, feels her life's journey is now complete.

"I was glad to meet new friends today."

A special thanks to Bright Blue Sky Productions for its help on this report.

@highlight

Students from former segregated schools of 1959 unite in Macon, Georgia

@highlight

"I never dreamed of this moment," says Ruby Dean Dupree Mayes

@highlight

Michael Cass: "I'm glad we've left the past behind"

@highlight

The group hopes to set example for elders of other Southern cities