(CNN) -- The capture of Ahmed Abu Khatallah could be compared to a large group of trappers quietly snaring rare and dangerous prey.

For days, Army Delta Force commandos, the FBI and U.S. intelligence agencies lay in wait for one of the alleged masterminds behind the deadly September 11, 2012, attack on the U.S. Mission in Benghazi, Libya.

Then over the weekend, they lured Abu Khatallah to a point south of the eastern city and nabbed him. U.S. officials said he did not put up a fight. Not a shot was fired.

But Abu Khatallah had a reputation for hiding out in the open, relaxed and self-assured.

In an interview with CNN's Arwa Damon last year, he said he was ready to talk to U.S. investigators but "not as an interrogation."

He will now have that conversation, just not on his own terms.

Where he is now

Abu Khatallah is on the USS New York heading to the United States, a U.S. military official said. After he was captured Sunday, he was put on the U.S. Navy ship in the Mediterranean and was interrogated by the FBI-led High Value Detainee Interrogation Group, or HIG.

Taking him by sea, rather than by air, allows investigators "maximum time to question him," U.S. officials said.

But the sea transport is largely being done for logistical reasons. It's difficult for the U.S. to find countries in the region that will allow their territory to be used to transfer prisoners captured in operations such as this.

Libya called the capture of Abu Khatallah by the United States a "kidnapping."

The U.S. action was a violation of Libyan sovereignty and was carried out without informing Libyan officials, the Libyan government said.

There was already a Libyan arrest warrant for Abu Khatallah, but Libyan Justice Minister Salah Marghani said an arrest had not been made because of the deteriorating security situation in the Benghazi area.

Abu Khatallah should be tried by a Libyan court, the justice minister said. He called the United States a country friendly to Libya but said it must discuss such operations with Libya beforehand.

The Libyan government said it expects the United States to guarantee Abu Khatallah's safety and rights, especially when it comes to a fair trial.

Where he is headed

When he arrives, Abu Khatallah is very likely headed to a federal trial.

That's what the Obama administration wants, a position at odds with some of the President's Republican critics.

Sen. Lindsey Graham of South Carolina wants to postpone criminal prosecution to give interrogation more time.

"We should have some quality time with this guy. Weeks and months," he said. "Don't torture him, but have some quality time with him."

Arizona Sen. John McCain wants to see Abu Khatallah in the U.S. military prison in Guantanamo Bay, Cuba.

"Where else can you take him to?" McCain said

Gitmo may be out of the question. It's a prison the Obama administration has been trying to shutter. And no detainees have been added there since the President took office, said national security spokeswoman Caitlin Hayden.

Where he will be tried

The administration boasts that past prosecution of terrorism suspects in civilian courts has had a nearly 100% conviction rate.

Aspiring Times Square bomber Faisal Shahzad, the so-called underwear bomber Umar Farouk Abdulmutallab, radical cleric Abu Hamza al-Masri, and al Qaeda propagandist Sulaiman Abu Ghaith were all convicted and sentenced in U.S. courts.

Hundreds more were as well, according to Washington lawmakers on armed services committees.

Many of them are locked away at the "Supermax" prison in Florence, Colorado.

By contrast, there have been a mere handful of Guantanamo convictions.

The prosecution of the confessed mastermind of the September 11, 2001, attacks, Khalid Sheikh Mohammed, has hit one snag after the next and is still in the pretrial phase.

Human Rights Watch weighed in on Wednesday, asking for Abu Khatallah to be provided access to a lawyer and to appear promptly before a judge.

The U.S. "is obligated under international law, regardless of the manner in which Abu Khatallah was taken into custody, to provide him due process protections and a fair trial," the group said.

It is possible that the Libyans lack the capability to arrest some suspects or provide a fair trial, but the Obama administration should provide the legal basis for why it made the arrest without alerting the host country, the group said.

What his defense is

Abu Khatallah says he was directing traffic in Benghazi when fighters attacked the U.S. mission with mortars and rockets that night.

The building burned. Ambassador Christopher Stevens and IT expert Sean Smith died of smoke inhalation. More than 30 Americans were evacuated.

Early the next morning, attackers assaulted a second U.S. facility, killing two former U.S. Navy SEALs working there as security contractors: Tyrone Woods and Glen Doherty.

Abu Khatallah was at the U.S. mission during the first attack. But he chalks that up to happenstance.

"I didn't know where the place was," he said. "When I heard, we went to examine the situation. When we withdrew and there was shooting with medium guns, and there were RPG's in the air and people panicked, we tried to control traffic."

But a New York Times investigation describes his role as less than nonchalant, reporting that Abu Khatallah helped lead the onslaught.

U.S. investigators have collected evidence, and the accused will be tried on three charges in federal court that include killing while attacking a federal facility, and conspiracy and material support of terrorism.

"We retain the option of adding additional charges in the coming days," U.S. Attorney General Eric Holder said.

What the political ramifications are

The word "Benghazi" has had the ring of Washington partisan politics from day one -- literally.

With the 2012 presidential election just two months away, a Republican candidate issued a statement criticizing Obama just hours after the attack.

With the prospect of former Secretary of State Hillary Clinton running for the White House in 2016, Benghazi remains a sore spot that opponents have continuously prodded.

Last year, House Republican leaders released a 46-page report on Benghazi, in which they accused Clinton of slashing security at the U.S. compound there.

They also accused the Obama administration of a politically inspired cover-up when former U.N. Ambassador Susan Rice, now Obama's national security adviser, blamed the unrest on spontaneous protests against an anti-Muslim video made in America.

On Tuesday, Clinton told CNN in a televised interview that she's "very pleased" that special forces captured Abu Khatallah.

But she was met with a new potential critic, the mother of one of the men who died in the attack.

Pat Smith delivered a message to Clinton through CNN, demanding answers about security concerns at the Benghazi mission that preceded the attack.

Clinton said that she is still looking for those answers herself.

Hiding in plain sight: Captured Benghazi suspect an enigma

Benghazi attack time line

Lawmaker: If CNN can interview Khatallah, why can't FBI?

CNN's Tom Cohen, Michael Martinez, Evan Perez and Barbara Starr contributed to this report.

@highlight

NEW: Abu Khatallah is being held on the USS New York

@highlight

Terror suspect Ahmed Abu Khatallah did not put up a fight when captured

@highlight

He is to face trial in federal court

@highlight

His capture may have political ramifications in Washington