The sun is not yet up over the desert, but already 50 horses and riders are gathered at Qatar's Endurance Village in Al-Wakra, half an hour's drive from the capital Doha.

They are gathered to compete in a 120-kilometer (74.5-mile) endurance race, the likes of which are held here most weeks. Masked riders gaze steely-eyed into the desert as their horses crest their necks and paw the ground, eager to get the race under way.

The starter counts down in Arabic, and the horses and riders surge over the starting line, galloping into the pitch-black desert with their high-held tails streaming behind them.

Hot on their heels a fleet of Land Cruisers hares after them across the sand, the glare of their headlights creating a moving oasis of light.  These are the support vehicles from which the owners, trainers and managers can observe the race in progress and shout instructions.

Today, the horses will complete laps of a 30 km (18.6 miles) course, stopping for checks at the end of each lap.  Any horse deemed unfit to continue the race will be eliminated at each check point.

They will travel at speeds of up to 40 km per hour (25 mph) for around eight hours. Of the 50 who started the race, fewer than a quarter will complete it.

Most of the horses are pure-breed Arabians who are revered in Islamic culture, prized for their beauty, intelligence and, above all, their endurance.

It was the Arabian horse that formed the genetic blueprint for the modern racehorse, with every modern thoroughbred tracing its DNA to just three "original" oriental stallions imported to the UK in the 18th century.

Some say the Arabian horse was a gift to mankind from Allah. The ancient breed is supremely well-adapted to the unforgiving desert terrain of the Middle East.

Many of these animals are ex-racehorses, gradually trained and brought up to fitness to compete in endurance races.

Although the sport is ancient in its origins, today's races are as professional as they are competitive, with horses conditioned to the peak of fitness and subject to rigorous veterinary inspections both during and after the race.

At each stage's completion, the horses are doused with water and their heart rates measured. A team of veterinarians inspects each horse thoroughly before it is allowed to continue the race. The number of competitors is gradually whittled down until only the very fittest are left to contest the final laps.

Endurance is taken seriously in this part of the world: many of the horses are owned by members of the Qatari and Dubai Royal families. One such owner is Sheikh Maktoum, ruler of Dubai.

His son Sheikh Rashid is a champion endurance rider in his own right who is competing here today.

"I've been riding since I was 11 years old and doing endurance since 2006," he said during an inspection.

"Some people in my family are more into flat racing (his father owns one of the most important thoroughbred racing operations in the world), some are more into endurance racing.  I actually started with polo but then I was attracted by endurance and I loved it. Hopefully I will be doing it for the rest of my life."

Unfortunately for Sheikh Rashid, he and his striking grey horse are eliminated after the penultimate lap.  But is it one of his compatriots from Dubai who claims first place in a sprint finish with another rider.  They are among only a handful of riders to complete the grueling course.

The enduring appeal of such a sport is easy to understand; physically and strategically demanding, it is also an expression of the extreme respect with which horses -- particularly Arabian ones -- are treated in this part of the world.

Muslims were told that if they treated these precious horses with love and respect, they would be handsomely rewarded, both in their earthly life and beyond.

While the winning rider accepts this congratulations from the crowd, his horse -- a magnificent chestnut with the dish-shaped face and high tail carriage characteristic of the breed -- is handed to a team of grooms to be looked after.

With a last look back over his shoulder as he is led away, the horse flares his nostrils and whinnies, a final call to the desert from whence he came.

@highlight

The ancient tradition of desert racing continues in the United Arab Emirates

@highlight

The 50 horses and riders set off, completing laps of the 30-kilometer course

@highlight

The horses are given thorough medical checks after each lap to ensure they are healthy

@highlight

Only a handful of the horses competing make it to the finish line in Qatar