(Financial Times) -- Warren Buffett has teamed up with one of Brazil's richest men to serve up the biggest takeover of the year, agreeing to take US ketchup maker Heinz private in a $28bn deal.

The deal, which is the fourth-largest food and beverage acquisition of all time, underscores the rising tide of dealmaking around the world and has raised the hopes of bankers that merger and acquisition activity will accelerate.

The cash deal, which has been approved by the Heinz board, has brought together Mr Buffett's Berkshire Hathaway with 3G Capital, a private equity firm backed by Brazilian billionaire Jorge Paulo Lemann, which led the 2010 leveraged buyout of Burger King.

Berkshire, a conglomerate with more than 70 businesses amassed over four decades by Mr Buffett, has been seeking large deals to put its $48bn cash pile to work.

Teresa Heinz not a big winner in Buffett deal

Berkshire and 3G will contribute $4bn of equity each, and Berkshire will buy another $8bn to $9bn of preferred stock paying a 9 per cent coupon, according to people familiar with the transaction.

Mr Buffett told CNBC on Thursday that he was "ready for another elephant so if you see one walking by just tell me", suggesting he remains on the lookout for further acquisitions of similar scale.

Investors said the involvement of 3G in a Berkshire deal was unusual, and pointed to the challenge Mr Buffett, who last year said he passed on two potential $20bn deals due to price, faced in finding companies to buy.

Known as the "Sage of Omaha" for his investment success, Mr Buffett has historically left existing management in place, preferring good businesses with what he calls a "moat", a persistent competitive advantage, to prospects for a turnround.

Mr Buffett said executives at 3G would be the "operational guys" at Heinz if the deal was finalised.

After Thursday's acquisition by Buffett and 3G, James Mackintosh pulls up a list of similar stocks for those who missed Heinz (and its 20% share price pop).

In a sign of the rising prominence of 3G and Brazilian dealmakers, Mr Lemann suggested buying Heinz to his friend, Mr Buffett, in December.

Does Warren Buffett still hate private equity?

The two men met while serving on the board of Gillette, and Mr Lemann played a major role in the 2008 takeover of beer maker Anheuser-Busch by InBev. He now sits on the board and Berkshire is a large shareholder in the combined company.

Heinz said shareholders would receive $72.50 a share from Berkshire and 3G, a 20 per cent premium to Wednesday's closing share price. Shares in the group were trading at the offer price at lunchtime in New York.

Shares of other food companies in the sector also rose amid speculation that the Heinz deal could trigger a wave of mergers.

The bid values Heinz at $28bn, including $5.1bn of net debt, and is subject to shareholder and regulatory approval, the company said. In addition to the buyers' cash, JPMorgan and Wells Fargo have committed debt financing for the deal, Heinz said.

John Kerry, US secretary of state, owns $3m of Heinz stock and up to $750,000 of Berkshire stock, according to the Center for Responsive Politics. He is married to Teresa Heinz Kerry, heir to her late husband H. John Heinz III.

The proposed deal is the latest in a series of recent takeovers and trumps the $24bn leveraged buyout offer by Michael Dell, along with Microsoft and Silver Lake Partners, to take private the computer maker he founded three decades ago.

Last year the value of global M&A deals fell, and investment banking fees slumped. So far this year the total value of deals globally is up 14 per cent on the same period last year at $269.3bn, according to data provider Thomson Reuters.

Analysts at RBC Capital Markets said the Heinz deal could trigger a pick-up in M&A activity in the food sector, but noted that Heinz's purchase price appeared relatively high and financial buyers would generally have more limited synergy opportunities.

The company's performance has improved following pressure from billionaire investor Nelson Peltz, who in 2006 took a stake in the company and joined its board. Mr Peltz has pushed Heinz to slash costs and invest in marketing.

Mr Buffett said he would not pay more than the $72.50 a share on offer.

© The Financial Times Limited 2013

@highlight

Warren Buffett teams up with Brazilian billionaire to buy U.S. ketchup maker Heinz

@highlight

Brazil's Jorge Paulo Lemann is main backer of private equity firm 3G Capital

@highlight

Buffet's Berkshire Hathaway conglomerate looking to put $48 bn cash pile to work

@highlight

Buffett: 'ready for another elephant' and on lookout for more acquisitions