Hong Kong (CNN) -- When the pepper spray came out, the students only had moments to react.

Kason, a wiry 23-year-old engineering student, was at the front of around 2,000 young protesters on a highway when he was hit -- but what he remembers most is the way protesters cooperated with one another.

"Give umbrellas to the people in the front," he heard people yelling.

"The word spread like wildfire," recalls Kason, who declined to give his last name.

Within moments, the crowd passed hundreds of umbrellas forward so that the most vulnerable protesters could shield themselves. High above on an overpass, onlookers opened their umbrellas and parachuted them down to waiting hands.

"The cooperation was incredible," he says.

Hong Kong protesters passionate but gullible

That night, police fired 87 tear gas rounds into the crowds of unarmed students â€” including Kason, who says protesters stuck together even as explosive blasts of stinging smoke blanketed the streets. Luckily, he wasn't injured.

"We yelled to each other, 'Go slowly, and look after others," he says. "We relied on each other to get out safely."

In a city whose people have often been accused of being self-centered and materialistic, a palpable spirit of mutual aid has captured Hong Kong's democracy movement.

Shaken and outraged by the police's use of force Sunday, tens -- if not hundreds of thousands of Hong Kongers have organized a movement that has stunned even activist leaders with its sophistication and size.

Coordinating themselves via Facebook, Google spreadsheets, and group messaging apps, citizens have set up a system of first aid stations, supply lines, rest areas, and barricades that now spans five major occupation sites.

And the umbrella, unarmed students' method of defense against pepper spray and tear gas, has turned into an iconic international symbol of peaceful resistance.

Meanwhile, police have staged a dramatic withdrawal. leaving protests largely undisturbed. As a result, the civil disobedience movement has turned into what feels like a self-governed street utopia.

Early each morning, demonstrators stroll up and down, handing out free buns and drinks to their bleary-eyed companions. As the day progresses, they clean up trash and sing songs.

Newcomers arrive every hour. "Before Sunday, people were numb, hopeless. But after the tear gas, we all came out to support each other," says Kason.

Cindy Chu, a retired 60-year-old nurse, decided to help after she heard students were tear gassed. "I was outraged at how casually the government could hurt young people."

Now, she uses her medical skills to care for protesters, some of them who suffer symptoms of heatstroke after consecutive days of sitting in the humid heat.

"Democracy means we don't just care about ourselves, but we care about everyone around us," she says.

Hong Kong Chief Executive C.Y. Leung: Raw emotion 'will get us nowhere'

"We're trying to understand each other"

A few blocks away, a 54-year-old democracy supporter surnamed Choi is volunteering at his church to provide a resting place, fully stocked with snacks, drinks, air conditioning, and TV for anyone in need â€” even those on the other side.

"The people who support the government might feel very hurt. We want to pray with them, we want to calm their hearts.

"Our religion tells us to love our enemy, and we want to respect them even though we have different opinions."

But even democracy supporters disagree with each other.

What you need to know about the protests

While sitting on an occupied highway on-ramp, a small group of protesters, including Kason, debate whether protesters are getting too relaxed. One, a college student, worries police want protesters to "soften and let their guard down" in order to come in and forcibly evict everyone.

Another, a middle-aged man, says he dislikes how some protesters are hosting barbecues and soccer games â€” accusing them of making the movement seem unserious.

"Besides, if tear gas hits the barbecue flame, it could be really dangerous," he says.

Kason disagrees, believing the protest ought to be "joyful." But, he points out, these discussions are exactly the sort of thing Hong Kong desperately needs.

"I just met those guys, but I know them better now. We have different ideas, but we're finding a way to accept each other," he says. "Democracy isn't just about voting for our next leader. It's about seeing the equality of others.

"We're trying to understand each other, and in that process, we're coming to understand ourselves."

@highlight

Hong Kong police fired 87 tear gas rounds at unarmed students, enraging the public

@highlight

Citizens have responded by flocking to protest sites

@highlight

The movement has turned into what feels like a idealistic, self-governed street utopia

@highlight

Democracy is about "seeing the humanity of others," says protester