LONDON, England (CNN) -- A blossoming of cinematic creativity has swept Argentina in recent years, bringing about a second golden age of film.

Pablo Trapero's latest movie "Lion's Den" stars Martina Gusman (left) and was in competition at Cannes.

In Argentina, the renaissance marks a return to form for a cinematic tradition that was prolific and highly successful until creativity was stifled by a succession of military regimes that began with the ascendancy of Juan Peron in the 1940s.

A revival occurred after the country returned to democracy in 1983 as filmmakers focused on life under the military dictatorship -- Luiz Puenzo's "The Official Story" (1985) won an Oscar for Best Foreign Language Film.

But an economic malaise ensued, turning off the taps to film financing. An economic boom in the 1990s quickly turned unstable, resulting in a crippling financial crisis earlier this decade that plunged Argentina into its worst recession ever.

Out of the chaos, a new group of Argentina filmmakers emerged. The leaders of the so-called "New Argentine Cinema" have become critical contributors to the wider Latin American film movement that has captivated international critics and audiences alike.

What's fueling New Argentine Cinema?

Argentina's economy has recovered remarkably since its collapse in 2001, and the national film institute, Instituto Nacional de Cine y Artes Audiovisuales (INCAA), has been keen to foster the industry's development.

The combination of cheap production costs and a flourishing artistic community has made Buenos Aires a hub of creativity. Already one of the most cosmopolitan cities in South America, the city is attracting everyone from local bohemians to big Hollywood names.

Francis Ford Coppola, the most recent notable to tap into the vibrant scene, opened an Argentine unit of his Zoetrope production company last year to film his Buenos Aires-set family drama "Tetro," which is anticipated to be released next year.

What movies are creating buzz?

Pablo Trapero's "Lion's Den" about a woman who gives birth and raises her child in prison was nominated for the Palme d'Or at Cannes this year. Trapero is best known for his depiction of ordinary people. He gained acclaim with "Crane World" (1999) -- a gritty look at Argentina's working class -- and is widely considered one of Argentina's leading directors.

Also in competition at Cannes this year was "The Headless Woman" from the ever subtle Lucrecia Martel. The film focuses on a woman's guilt after a hit-and-run accident and like Martel's other works, offers up a dose of social criticism. Martel burst on the scene with her first movie "The Swamp" (2001), winner of the Alfred Bauer Award at the Berlin International Film Festival.

Lucia Puenzo stirred debate with "XXY" (2007), an exploration of adolescent sexuality centered around the life of a teenage hermaphrodite. The daughter of award-winning Luiz Puenzo, Lucia took home the Critic Weeks Grand Prize at Cannes last year. Are you excited about Argentine cinema? What is your favorite movie or director?

Enough with the dramas -- who makes Argentines laugh?

Daniel Burman has cited Woody Allen as one of the auteurs he most admires, and the influence is quite clear in his work, in which his identity as a Jew in Argentina figures prominently.

"Waiting for the Messiah" (2000), "Lost Embrace" (2004) and "Family Law" (2006) make up the trilogy of films about fatherhood for which he has gained praise. The young director's latest film "Empty Nest" (2008) takes a touching and comedic look at married life.

What's this I hear about a Hollywood in Argentina?

You're referring to Palermo Hollywood. No, it's not a Las Vegas casino but rather a neighborhood in Buenos Aires where many film and TV studios are based. A bohemian spirit distinguishes the neighborhood from its more polished cousin to the south, Palermo Soho.

Once occupied by desolate factories and warehouses, the area is now humming with activity. An abundance of hip lounges, cafes and trendy restaurants keep the buzz going all day and through the night.

How does Argentina figure in the Latin American film scene?

As the Latin American film renaissance has gained stride, filmmakers across the region have become more interested in collaborating on projects.

The end of military dictatorships which ruled Latin America in the 1970s and 1980s "created really interesting national cinemas that blossomed a little bit everywhere but also created a correlation between directors from different countries," Brazilian director Walter Salles told CNN earlier this year.

Salles works frequently with Argentine directors. He co-produced Trapero's "Lion's Den" and Julia Solomonoff's "Sisters" (2005). Meanwhile, Eduardo Constantini Jr, of the philanthropic Constantini family in Argentina, recently launched a fund with the Weinstein Co. aimed at backing Latin American movies. He is also behind The Auteurs, an "online movie theater" where Web users can watch and discuss film.

Is this boom going to run out of steam?

The renaissance in Argentina has been building for some time, but it's only just hitting its stride now. Earlier films were mainly art house successes but now with the spotlight shining on Latin America cinema, Argentine films may start to connect more with international audiences.

The country continues to attract productions, and there is a vast pool of talent that is being groomed to lead the next generation of auteurs. More than 12,000 undergraduates are currently studying film directing, scriptwriting and technical production, according to the INCAA.

Five other must-see Argentine films

1. "The Night of the Pencils" (Hector Olivera, 1986) 2. "Nine Queens" (Fabian Bielinsky, 2000) 3. "Son of the Bride" (Juan Jose Campanella, 2001) 4. "The Dog" (Carlos Sorin, 2004) 5. "The Holy Girl" (Lucrecia Martel, 2004)

@highlight

The filmmakers of New Argentine Cinema are winning acclaim worldwide

@highlight

Vibrant Buenos Aires has attracted big names like Francis Ford Coppola

@highlight

Everything you need to know about the directors and movies creating buzz