(CNN) -- New laws in Nigeria and Uganda, plus reports throughout the continent of extortion, murder, so-called "curative rape" and abuse of LGBTI (lesbian, gay, bisexual, transsexual and intersex) -- and their allies -- are deeply concerning to many people, in and outside of Africa.

While Africa is not alone in this apparent trend, the vehemence of some of the homophobia, and the way it is being linked to pan-African struggles against Western imperialism, is striking.

Not surprisingly, many people now view Africa as the most homophobic continent in the world. It is commendable that so many want to help in the fight against state-backed repression of sexual rights.

Before rushing in, however, let's keep four things in mind.

First, Africa is not a country. It is 54, 10 of which have signed the 2008 United Nations declaration recognizing sexual orientation and gender identity as human rights, including two which had originally opposed it but switched sides in 2011 (Rwanda and Sierra Leone).

Consenting male adult homosexual acts are legal in 14 African countries, while female-female sexuality is largely ignored outside a handful. In 2004, Cape Verde joined South Africa in decriminalizing sodomy while Botswana and Mozambique have made discrimination in the workplace on the basis of sexuality unlawful.

The country of South Africa has one of the most progressive constitutions in the world for protecting human rights and was a co-sponsor of the United Nations' 2011 initiative to develop global strategies to end violence and discrimination against sexual minorities.

One can be skeptical about international human rights statements and the reliability of the police and courts, especially for the poor majority. But important symbolic victories have been won in recent years across Africa, and in some cases policy reforms have been substantive.

While not highly publicized, for example, many states now provide some health education, anti-retroviral medicine and other services to men who have sex with men (condoms in prison and the like).

There has been an explosion of culturally sensitive scholarship by an emerging generation of African researchers that undermines homophobic claims.

Gay-friendly art, literature, theatre, and films have also flourished. One of Kenya's best-known authors, Binyavanga Wainaina, publicly acknowledged he was gay just this year, joining a growing list of political, religious, and cultural figures in Africa who have spoken out forcefully against homophobia.

Second: homophobia in Africa is real and dangerous, but appearances can be deceiving. Many of the factors contributing to the recent homophobic turn in African politics have their roots outside of Africa.

Homophobes today often cite "family values" as a traditional reason Africans hate homosexuality, and it is true that there was a strong culture of extended families to help folks survive in often harsh environments. Yet the African philosophy of "uBuntu" meant keeping families together even when members strayed from the heterosexual, married, and fertile ideal.

This meant tolerance accommodation with sexual difference as long as discretion was maintained. Enforced celibacy or abstinence, adultery, impotence, erotic preference for the same sex ... all these things were known and understood as part of the diversity of the world to which humans, ancestors and the yet-born could adapt.

Islam as traditionally practiced in Africa was also relatively accommodating to the fact that individuals sometimes strayed from the ideal moral behavior. The family could be maintained through all of that by using discretion and appropriate rituals, prayers, sacrifice and/or compensation.

Colonialism, Christianity and capitalism messed much of this up. The British in particular were almost systematic in their introduction of laws that criminalized male-male sex acts. European missionaries denounced them with the threat of eternal hell-fire. Families were meanwhile broken apart to serve the labor needs of the colonialists. Africans were taught that they had no history and no culture of value, indeed, maybe they were not even quite human.

Political independence unfortunately did not solve this ideological hangover. On the contrary, since the 1980s especially, bad governance and economic turmoil have left much of the population of Africa frustrated. We in the West should not forget our role in creating the present shambles in so many African countries, whether through assassinations, bribery, or more subtle economic thumbscrews.

The "Washington consensus" around neo-liberal structural adjustment was particularly devastating to families and social safety nets. In this context (rich getting richer, poor poorer), there is a widespread hunger for scapegoats and for simplistic solutions.

Third, mainstream faiths have not been very good at addressing Africans' need for spiritual meaning after so many decades of economic and political malaise. The American Christian Right has by contrast been very active, and well-funded, in stepping in to fill that void. There is compelling evidence that American evangelicals have been instrumental in promoting Africans who will spread the homophobic message, including ghost writing speeches and advising on the Anti-Homosexuality Bill in Uganda.

A similar "homophobia international" may be happening in Muslim-majority countries where the Islamic Right is gaining ground over traditional Sufi beliefs. In a place like Nigeria, where sectarian violence is a looming threat to the stability of the nation, homophobia is one of the few points of agreement for canny politicians to calm the sectarian waters. In a place like Uganda, which some see acting as a mercenary for American geopolitical schemes in the region, denouncing the West's so-called social imperialism is an easy way to cover complicity in a resurgent real imperialism on the continent.

Finally, let us not forget that homophobia is not yet dead and buried in the West before we jump on our high horses. Maybe we can help our friends in Africa and ourselves by supporting African LGBTI in their efforts to strike at the Western roots of "African homophobia."

A federal court case in Massachusetts bears watching, in which Uganda activists are suing an American Pastor" who is charged with persecuting homosexuals.

Their triumph in that case will surely be a bigger blow for the global cause of human rights than cutting off aid or imposing other sanctions on African people.

Read more: Uganda's president signs anti-gay bill into law

Read more: How American evangelicals may be responsible for Uganda's anti-gay law

Read more: Did Pastor promote homophobia in Uganda?

Read more: Ugandan President: Being gay not a right

Read more: Ugandan tabloid prints list of 'homosexuals'

The views expressed in this commentary are solely those of Marc Epprecht.

@highlight

This week Uganda passed a bill that could mean life in prison for "aggravated homosexuality"

@highlight

Marc Epprecht says the vehemence of some of the homophobia in Africa is striking

@highlight

But he says Africa is a continent and its countries differ in their attitudes to homosexuality

@highlight

The West has played a role in creating homophobia in Africa, Epprecht says