Conventional wisdom has it that President Barack Obama's campaign four years ago was a political masterpiece. Yes, the Republican brand was in the toilet; the economy had cratered; his real opponent, George Bush, was a political pariah; and the country despaired for a new direction. Still, we recall the Obama campaign as a crushing force, brilliantly harnessed, riding the tide of history.

So why is his re-election campaign such a mess?

Team Obama has turned the candidate of hope and change into a ferociously political animal. They've discarded their most valuable asset, his stature. The outsider who flew above the hated, polarized politics of red and blue now does nothing but campaign and polarize. The Obama who was "one of us," apart from Washington, is increasingly and, to his detriment, "one of them."

We first picked up this change in sentiment a few weeks ago in our Purple Poll of 12 key swing states when we asked independent voters who "is just another politician?" Obama edged out Romney by 4 points.  The candidate of soaring ideals has tumbled to Earth, muddied and mired in politics. Yet Team Obama has proved it can still effect change: Consistently, they make their situation worse.

This past week, the Obama who supported gay marriage when running for Illinois legislature, then flipped against it as candidate for president, flopped once more to serve his re-election. The president's reversal did not just evolve. Its politics became transparent.

Though same-sex marriage was not "right" earlier, it suddenly became a matter of conviction. With the Democratic Convention approaching, the president needed to energize his base and defuse the likelihood of a platform war over same-sex marriage.  Miraculously, at that moment, he found the courage to do the most politically useful thing.

Many of us who support the president's new position still found the politics as subtle as neon.  The maneuvering became the message.  The latest CBS/New York Times Poll reveals 67% of those interviewed said the president made his decision "for political reasons." Less than a quarter of voters believe he acted on principle.

Americans have started to connect a swarm of dots, revealing politics as the pattern.  Even when this president crosses oceans, Americans see him putting politics first.

Recently, in perhaps the most damning YouTube moment yet in a presidential race, Barack Obama was captured putting domestic politics ahead of foreign policy.  He was caught on an open microphone, telling outgoing Russian Prime Minister Dmitry Medvedev that he would be more amenable to Russian interests on the issue of missile defense if he survived the November elections. "This is my last election," Obama said. "After my election, I have more flexibility."

The president's mask slipped. The politician beneath was revealed.  Voters, including the president's core female supporters, got to see what they had only suspected: Obama's priorities aren't necessarily theirs.

While our economy was melting down, Obama spent his first two years compulsively advocating a health care plan. While moms struggle to stretch their family budget and fill the gas tank, Obama's crusading for birth control and same-sex marriage.  And now, as storm clouds from Europe's exhaustion and California's failure begin to roll into our heartland, trapping our economy without exit, the president offers tacit acknowledgment that this is the best he can do:  His campaign is about everything but what will save us.

The latest CBS/New York Times Poll says 50% of voters believe the president is doing a good job.  The problem?  They don't think it is the job he should be doing.  Only 43% of Americans are voting for him.

Republicans have never been able to paint Obama as a flip-flopper, despite a litany of evidence.

Candidate Obama supported "pay as you go budgeting," but the economic meltdown excused him from his commitment, allowing him to propose a decade of trillion-dollar deficits. He spent a trillion dollars on health care, but explained it was a practical strategy to save money. In the same moment, he has urged both expensive stimulus and deficit reduction. Still he has been excused, as a practical man, with long and short-range fiscal tools on his workbench.

He reviled the Bush tax cuts and the "tired and cynical philosophy," behind them. Then he pragmatically extended them, calling his pirouette a "substantial victory for middle class families" who would otherwise have suffered a tax increase.

The Obama running for re-election is for everything and nothing at once, a creature of calculation. His oratorical skills are seen not as gifts that elevate him above the elite political class, but tools that enshrine him as its leader. Obama has become what he came to Washington to change:  He is politics.

There is a good chance the Obama campaign is about to disintegrate, if only briefly. Obama is about to walk through "the valley of death," where candidates lose their way and are tested on an arid march. In this familiar story, the campaign that could do no wrong can do no right: Pundits who have predicted an Obama victory reverse course and insist Romney is a sure bet.

Republicans should restrain their exuberance.  The race will certainly tighten again if this president fixes a fundamental and possibly fatal political mistake:

Obama is asking America to be a polarized, angry country, where we are at war with each other, tearing at our own throats.  Romney is asking us to be a country at peace with itself.

Unless Obama changes course, he will not make it through the valley.  This is a race Romney wins.

@highlight

Alex Castellanos: Why is Obama's team running such an inexpert re-election campaign?

@highlight

The latest CBS/New York Times poll says only 43% of voters would vote for Obama today

@highlight

Obama's reversal on same-sex marriage was obviously political, says Castellanos

@highlight

Castellanos: Obama "is for everything and nothing at once, a creature of calculation"