(CNN) -- Even as the head of the Young Republicans at Samford University, Weathers Veazey didn't have a lot of time for politics this primary season.

Immersed in tough pre-law classes at the conservative Baptist university in Birmingham, Alabama, she barely paid attention to the nonstop political ads that ran on TV during the state's presidential primary.

"Classes are all-consuming for college students," Veazey said. "We don't have a lot of time to watch TV."

What would have caught her attention? Ads sent directly to her smartphone. "I would definitely have clicked on an ad texted to me," she said. "That's a perfect way to reach college students. We always have our cellphones in our backpacks or in our hands."

That's what digital political guru Vincent Harris was counting on when he sent the campus conservative-themed text ads for former House Speaker Newt Gingrich before the Alabama primary. He says his ads typically said things like "Stop Obama's War on Religion" or "Newt Gingrich: a Man of Faith." Some were as simple as "Bulldogs for Gingrich," with a clickable "Help the Campaign" button.

"In the industry, Yahoo will tell you that a 0.2 or 0.3% click-through rate for ads is considered successful," Harris told CNN. "With the Samford campaign I created, those ads were getting a 4% click-through rate. That meant the people we needed to mobilize were seeing our message. It was an enormous success."

Political advertising has gone mobile this election season, which means you're likely to see more political ads texted to you, particularly if you live in a swing state.

"These are sophisticated online campaigns that consider mobile an essential element of what they are doing," said Kate Kaye, who wrote the book "Campaign '08: A Turning Point for Digital Media." "The last time around it was much more of a -- well, 'novelty' might not be the right word. They were much more in an experimental mode."

In the 2008 presidential campaign, Barack Obama's digital team generated headlines when he announced his running mate via a text message. There was even more mobile organizing going on quietly behind the scenes, according to Kaye.

Obama's digital team sent out early voting reminders to supporters' phones. Texts pointed people to the nearest voter registration drive. His campaign even bought ad space in some swing states on 1-800-FREE411. That meant when people called requesting a number for the nearest pizza delivery, they first had to listen to an Obama ad.

Chris Newell, who ran mobile efforts for Hillary Clinton's 2008 presidential run, says its text-messaging campaign debuted two months before Obama's did.

"While the Obama people run a sophisticated campaign now, we think they were sitting on the fence about texting until they saw Hillary pull out her phone at an event in New York, and there -- live on TV -- she told voters that's how they could reach her now," said Newell, who now runs ImpulsePay, a mobile payment site in the UK.

Newell admits the campaign was still learning back then how to most effectively use the technology. One important lesson, which still holds up today, is that the most effective texts help the campaign feel more personal.

"We learned, 'Hello, will you please vote for me?' wouldn't work," Newell said. "What does appeal is, 'I need your help,' or 'Help get this message out,' or 'What do you think of this issue?'"

Newell said the text campaigns generated thousands of volunteers. He reports about 30% of the people who received the texts clicked on them.

Sometimes, though, old-fashioned technology can't keep up with demand. Newell said the Clinton campaign once sent a text that asked people to join a conference call to discuss a certain issue. Thousands jammed up the lines, but the call only allowed 2,000 people in.

"The flip side is, politicians saw the power of this kind of advertising right there, and they saw this as an immediate way to mobilize thousands of volunteers," he said. "They were sold."

Zac Moffatt, digital director for presumptive GOP presidential nominee Mitt Romney, says mobile devices are now so powerful that he can do a lot more with a mobile campaign than he could back in 2008. He says 10% of Romney's advertising budget was spent on digital efforts during the 2012 primary season.

"Screens are so much larger and we can send a much more dynamic message to people now," said Moffatt. Romney was the only candidate in the 2012 primaries with a mobile-specific campaign site, he said. Moffatt also designed a mobile ad campaign to heavily target people involved in the Iowa caucuses.

"We sent these ads with a click-to-call button to find out where the closest caucus was," he said.

"I think we use mobile a little bit differently than the other campaigns. We built the site for what we call the 'Google moment of truth' when people are using their phones to search for an answer about the campaign," he added. "Our mobile site is really stripped down. It is simpler, but we think provides a better user experience."

A spokeswoman for Obama's re-election campaign says the campaign doesn't discuss its mobile strategy. But Obama, who drew acclaim for his savvy use of digital media in 2008, is once again using mobile tools such as text messaging to communicate with supporters. People who download the Obama 2012 mobile app on their GPS-enabled devices if they opt in are essentially allowing the campaign to track their location, which could let strategists target messages to voters in certain areas.

But in 2012, voters don't even need to opt into campaigns to receive these kinds of political texts. Technology is so advanced that campaigns can target anyone who has enabled geolocation services on their smartphone, and pinpoint their location within a three-yard radius, said Harris, who also ran digital operations for Texas Gov. Rick Perry during the 2012 primary campaigns.

Many people, he said, don't even realize they've made their cell phone findable, although they've downloaded apps like Fandango or Yelp to help them locate the nearest movie or restaurant.

For a conservative client, Harris will target phones on conservative campuses, as he did with his Samford University campaign. Or if his candidate in Plano, Texas, wants to get his message out to one particular neighborhood, Harris will set the text to ping only phones in the local Panera restaurant at lunchtime, for example.

His latest trick? Target people who have downloaded apps that are philosophically in keeping with a conservative message. For the Perry campaign in Iowa, he sent an ad to everyone in the state who had downloaded a Bible app.

"Folks who got those texts were signing up to support Perry at a fantastic conversion rate," said Harris, who heads Harris Media, a digital marketing firm. "That's a very successful campaign, I can tell you."

Overall, mobile outreach seems to be connecting with voters. After the 2010 midterm elections, a Pew Research Center poll found more than a quarter of the American adults they surveyed had used their mobile phones to learn more about, or even to participate in, the elections.

And as phones become more sophisticated, the number of people who learn about elections on their phones is sure to grow.

"There is no excuse as to why candidates are not doing this," Harris said. "It's that easy."

@highlight

Campaigns are increasingly targeting voters in specific locations with text-message ads

@highlight

You're likely to see more political ads texted to you, particularly if you live in a swing state

@highlight

A Rick Perry strategist texted ads to smartphone owners who had downloaded a Bible app