(CNN) -- The 1980 cult-classic film "The Shining" could very well get a sequel now that Stephen King has published his long-awaited followup to the 1977 novel.

"Doctor Sleep" picks up with Danny, the clairvoyant boy at the center of "The Shining," as a middle-aged man still in possession of his disturbing psychic powers.

King's agent says Warner Bros. owns the movie rights to the sequel, just as it did the original film directed by the late Stanley Kubrick. Our sources in Hollywood say the studio is in the very early stages of developing a possible sequel to the film.

It will be a tough act to follow.

Kubrick's adaptation of "The Shining" (which King reportedly never liked) continues to fascinate -- and terrify -- viewers more than three decades after it first hit theaters. This year alone has seen several examples of its persistent hold on the imagination including the release of "Room 237," a documentary exploring claims by a variety of theorists that Kubrick deliberately inserted coded symbols and meanings into his film; a major exhibit on Kubrick at the Los Angeles County Museum of Art featuring a unique gallery devoted to "The Shining"; and the public display of an elaborate recreation of "The Shining" by sculptor Howard Senft.

One reason "The Shining" continues to hold power over audiences is that it rewards multiple viewings, says artist and set designer Patti Podesta. "It has so many issues going on simultaneously that I think people find things in it over and over again," she said.

'The Shining' by the numbers

Podesta, who also designed the Kubrick exhibit at the Los Angeles County Museum of Art, offers a number of reasons for the film's ongoing appeal.

"There are these really striking images: the blood flowing from the elevators," she said. "Jack Nicholson (who plays Jack Torrance), a great performance by him, and the strange relationship between he and Shelley Duvall (who plays Wendy). It has this issue about couples going on (in it)."

A movie about couples -- that is only one of many ways to understand "The Shining." In fact, the movie may have produced more possible interpretations than any other film.

"Most movies work on two levels," said filmmaker Rodney Ascher. "Just maybe 'The Shining' works on five."

Ascher directed the documentary "Room 237," which explores the growing number of theories -- advanced by critics, historians and enthusiasts -- to explain what Kubrick "really meant to say" with "The Shining." These observers (obsessives, others call them) are convinced Kubrick inserted certain motifs and images into the film to direct the discerning eye towards the real theme of his work.

Theory No. 1: "The Shining" is really about the extermination of the American Indian.

Evidence: Dialogue not found in Stephen King's novel suggests that the Overlook Hotel was built over a Native American burial ground. Kubrick used Calumet baking powder cans, with their distinctive headdress logo, in the Overlook's larder.

Theory No. 2: the Freudian interpretation. Danny and his father are in competition for Wendy's attention/affection. Jack wants to kill Danny; Danny ends up, in effect, killing his father.

Evidence: In one scene, Wendy and Danny watch the movie "Summer of '42," the story of a schoolboy in love with an older married woman. "It's kind of a loaded scene for a little boy to be watching with his mom," Ascher noted.

Theory No. 3: "The Shining" is Stanley Kubrick's apology for having faked the Apollo moon landing footage.

Evidence: Danny wears a sweater emblazoned with an image of the Apollo 11 rocket. And Kubrick changed the pivotal Room 217 in the original novel to Room 237 in the movie. The moon, at certain points of its orbit, is 237,000 miles away from the Earth.

Okay, this one is kind of out there, and it presupposes that the moon landing footage people watched in 1969 indeed was faked and that Kubrick created the phony footage at NASA's request.

Theory No. 4: "The Shining" is really about the horrors of Nazi Germany, an interpretation advanced by historian Geoffrey Cocks, a professor at Albion College.

Evidence: Jack Torrance types his magnum opus on a German-made Adler typewriter.

"I'm a German historian, and so I know that Adler means 'eagle' in German," Cocks said. "I had some research on Kubrick and knew that he had a tendency in his films to refer to eagles as a symbol of state power, and so it seemed to me that this typewriter was significant. It was not a choice simply of having any old typewriter."

Cocks said Kubrick was extremely well-versed in the history of World War II and wanted to direct a film about the Holocaust but ultimately decided to tackle the subject indirectly through "The Shining." Another clue to that theme is the repeated visual reference to the number 42, Cocks said.

"The first time we see 42, it's on the sleeve of a jersey that Danny is wearing, and it's when he's having his first vision of the Overlook (Hotel), and that vision consists of ... the elevator doors slowly opening and oceans of blood slowly pouring out," Cocks said. The Overlook Hotel "is associated with mighty and obscene power, and the other references to 42 in the film therefore arguably -- and I think convincingly -- constitute a pattern of reference to the year 1942, which was the deadliest year of the Holocaust."

Other observers have studied the film's slow dissolves frame by frame in a search for clues about what Kubrick intended to say. Another theorist played the film backward and forward simultaneously, superimposing the footage in an effort to detect hidden meanings.

So what did Kubrick have to say by way of explaining "The Shining"?

Not much.

"He wasn't the kind of guy to talk about the themes or the symbolism in his movies," Ascher noted.

Cocks added that Kubrick "thought that if you simply told people what you were thinking or what they should think, that it wouldn't mean very much to them (anymore)."

Senft, a Denver-based sculptor who is such a "Shining" fan that he re-created the major characters out of silicone, discounts the elaborate theories meant to explain the film.

"I don't know if I buy all of them," Senft said. "I think (Kubrick) might have been throwing some stuff in there to mess with us."

He instead takes the film at something closer to face value.

"To me, it's just like the best horror movie ever made," he said. "Ever since I was 11 years old, when I (first) saw it, it's just something that's just kind of stuck with me. I can't turn it off when it's on. It's just mesmerizing."

Devotion like that means any sequel to the film will have an impossible time living up to the original, especially as Kubrick is unavailable to direct it. Cocks doubts a sequel could compare favorably to the original.

"I don't think we'll see a type of thoughtful and artistic production that Kubrick could have made," he said. "He was among the greats among filmmakers, who ranks with (D.W.) Griffith, (Orson) Welles and (Charlie) Chaplin ... so, no, I don't have great optimism that the sequel will measure up in any way to Kubrick's 'The Shining.' "

@highlight

Stephen King has published a sequel to his book "The Shining"

@highlight

Devotees continue to seek out hidden meanings in the film

@highlight

Historian says "The Shining" was about Nazi Germany