(CNN)Holding onto the rails of a cage, we descend lower and lower into the coal mine. It is pitch dark, hot and humid. Every now and then a spray of water drizzles on us.

The two-minute ride down seems much longer than that.

Once we reach the bottom of the shaft, we begin a 3.5 kilometer walk underground to the site where miners are excavating coal.

For almost an hour, we trudge through the slush, the light from our safety helmets the only illumination underground. Our protective clothes and faces quickly develop a black layer of coal dust.

Coal is a polluting fossil fuel, which currently powers more than 60% of India. The government produced 462 million tonnes of it last year and is targeting a billion tonnes by 2019.

Typically, the coal that burns in power plants across India is of poor quality, therefore more harmful. India is already the world's third highest emitter of greenhouse gases.

So why is India so hungry for coal?

Coal is abundantly available in India, which has the world's fifth largest reserves. That's still not enough to feed the country's hunger for the fuel.

Rapid industrialization and rising demands from the power sector are primarily leading to coal shortages, says Leena Srivastava, an analyst at the Energy and Resources Institute in New Delhi.

India resorts to imports to plug the gaps.

For the current financial year, national demand for thermal coal to produce energy has been estimated at 551.6 million tonnes, authorities say. Of it, at least 84.7 million tonnes is being met through imports, coal minister Piyush Goyal told the Indian parliament in December.

The state-run monopoly Coal India Limited (CIL) accounts for more than 80% of the output.

Prime Minister Narendra Modi's plans for future privatization of this crucial industry faced resistance recently, when CIL workers stopped work in January.

The two-day strike -- the biggest of its kind in four decades -- not only severely limited the ability of the companies to meet their production quotas, but forced the government to go slow on reforms.

Around 300 million Indians still live in darkness, without access to electricity. That's the entire population of the United States. Coal remains an economical way to provide power, a cheaper fuel than several other sources.

For now.

Aware of international pressure to reduce its greenhouse gases, India is trying to ramp up alternative energy options.

Blessed with months of sunlight, it's giving solar energy a big push. The current government has announced plans to produce 100 gigawatts of solar energy by 2022. Compared with the three gigawatts India produced last year, it seems ambitious.

But Anand Prabhu Pathanjali, a renewable energy campaigner for Greenpeace India, believes it can be done.

"By making the policy regulations more  transparent and increasing investments on infrastructure this megafigure of 100GW can definitely be pulled off," he says. However, in order for it to happen, policy makers, regulators, solar companies, roof-top owners and off-grid users must cooperate.

India is also moving ahead with a civil nuclear deal with the United States. Progress was made when U.S. President Barack Obama visited New Delhi last month but it will take years for nuclear energy to power India in a significant way.

It's a balancing act for Modi, who has to manage international pressure regarding climate change on the one hand, and domestic pressure at home to illuminate lives and homes in India.

Deep underground, miners work around the clock, seven days a week to power the country. It's hoped in the future, newer, greener technology will be in place to spare the environment and share the load.

@highlight

India has the world's fifth largest coal reserves, but not enough to feed demand for fuel

@highlight

Amid pressure to reduce emissions, the country is trying to ramp up alternative energy options

@highlight

Around 300 million Indians still live in darkness -- equivalent to the entire U.S. population