Washington (CNN) -- When House Minority Leader Nancy Pelosi announced that she would seek to keep her leadership role she stood flanked by a cheering phalanx of her female colleagues.

Pelosi, who prior to the Democratic Party's loss of the House in 2010 served as its first female speaker, sandwiched her announcement between pointed comments about the Democratic agenda and how she sees her party's policies as helpful to women. Pelosi said she would vie to keep her leadership role "in order to continue work on empowering women."

But as even Democrats exult an election which saw, for the first time in history, women and minorities net the majority of House seats on their side of the aisle and a record 16 Democratic seats in the Senate, political experts warn against premature celebration.

Pelosi to run again for Democratic leader

An increase in the number of women does not automatically translate into increased political power.

Democrats may have been able to woo female voters and throw tremendous support behind getting women elected to office, but that "doesn't mean that is how they govern," said Jennifer Lawless, director of the Women & Politics Institute at American University.

"Moving forward in the direction that will improve women's social, economic and political autonomy takes time," she said -- time and the type of power that House Democrats currently lack.

New U.S. House: Women and minorities to the left; white men to the right

Democrats are the minority in the House and do not have control of that chamber's most powerful committees. That means they have far less control over the types of legislation that comes out of those committees.

And even within the Democratic House caucus, women are far outnumbered and outranked on some of the most powerful committees.

"The most traditional measure (of political power) would be leadership positions, not just ranking positions on key committees but any membership on these committees," Lawless said.

There is only one Democratic woman, Rep. Shelley Berkley of Nevada, on the powerful House Ways and Means committee, which oversees tax writing, revenue and entitlement programs. There are other male lawmakers ahead of her with seniority to serve as ranking member.

The ranking Democrats on the Appropriations, Budget, Education and the Workforce and Energy and Commerce committees are also all men. New York Rep. Louise McIntosh Slaughter, one of the longest-serving women in Congress, is the ranking member on the House Rules Committee.

While the Senate has a greater share of women in leadership positions, there are no Republican women in top leadership roles.

There are also other questions of whether women indeed have an equal place at the political table, Lawless said.

Lawless added that there are questions, like who is sponsoring significant pieces of legislation? Who are the most outspoken members regarding women's issues? Are women leading the discussions on the fiscal cliff?

With their big political win, the new American electorate has arrived

Those questions will perhaps best be answered when the new Congress convenes in January.

However, with such dramatic demographic and ideological differences in the House â€” women and minorities make up the majority on the left, white men are the majority on the right â€” Congress is likely headed for more partisan gridlock, said David Wasserman, House editor for the Cook Political Report.

For example, "It will be more difficult to pass a bill to address the debt," he said.

The two parties and their newly remade majorities also will likely be at loggerheads on such issues as entitlement spending, immigration and health care reform, political experts say.

In the upcoming policy debates, the Republican side of the aisle will find it tougher to utilize their dwindled female corps to reach out to their Democratic compatriots, political experts say.

"For Republican women it was a bad night," Michele Swers, a Georgetown University professor of American government, said of Election Night.

In the House, a number of Republican women lost races including Saratoga Springs, Utah, Mayor Mia Love, a Mormon of Haitian descent and rising Republican Party star who was given a high-profile speaking role at the Republican National Convention in August. Others, such as tea party favorite and former presidential candidate Rep. Michele Bachmann, R-Minnesota narrowly kept their seats.

The majority of the Republican-held House seats are occupied by white men.

Rep. Cathy McMorris Rogers of Washington, the GOP's top woman in the House, was elected Republican Conference Chairman on Wednesday, despite the fact that Wisconsin Rep. Paul Ryan, Mitt Romney's running mate, threw his support behind Rep. Tom Price of Georgia.

"They're somewhat limited," Lawless said of the GOP leadership's ability to put forth women on key issues. "Only 10% of the Republican Congress is women. To the extent they want to be inclusive, it's not as if there's dozens and dozens of women who can speak for them. The lack of numbers hurts."

@highlight

Democrats cheer gains of women, but experts say power is not yet among them

@highlight

There are few women in either party who hold key roles on powerful House committees

@highlight

True test will be increase in leadership roles, sponsoring legislation, political experts say