LONDON, England (CNN) -- So often it starts with just a provocative word, and in my case it was three ... "Black and Blue". A phrase more commonly used to describe bruising and pain had been used as the title of an autobiography by Chelsea's first black footballer, Paul Canoville.

Paul Canoville endured horrendous abuse in the 1980s as Chelsea's first black footballer.

I was sold on it even before I'd opened the front cover, the book's description hinted at an incredible story of a young footballer who had managed to fulfil his dreams, against all the odds.

But Canoville's dream was often a nightmare, he suffered horrendous abuse from both his own team's supporters, as well as opposition fans, and it took him years to finally become accepted by "his own."

This was back in 1982 -- and his experience wasn't entirely unique. The few players who "looked different" in the 1970s and 80s were regularly subjected to vile abuse from the stands, monkey chanting and the humiliation of being targeted by supporters throwing bananas and other pieces of fruit.

I'm fortunately too young to remember seeing any of this stuff at football grounds. By the time I started going regularly to games in London in the late 80s much of this had died down and now it's very, very rare in the UK. Campaign groups like "Kick It Out" have helped eradicate much of it at sporting arenas, where at the very least it is deemed socially unacceptable.

But Canoville's story was an eye-opening, jaw-dropping window into the past and I was keen to meet him. To sit with Paul in the seats at Chelsea's Stamford Bridge ground and re-live his torment was a sobering assignment, but I was impressed with his strength and philosophy.

He's taken some hard knocks in his life, drug addiction and cancer to name but two, but he never let the bigots cool his passion for the game. Tragically, it was a serious knee injury that forced him out of football in 1987.

The fact that Paul is still an active campaigner against racism tells you something though -- there's still work to be done. But whatever problems linger in the UK -- it's nothing compared to continental Europe and beyond.

Using Canoville as the cornerstone for our investigation, we looked at Spain and Italy; two high-profile footballing nations, where it's said that attempts to tackle racism are 30 years behind the UK. Why is that? And has there been any serious attempts to deal with it? Is enough being done to tackle racism in sport? Have your say

We talked to some of the biggest names in the European game Samuel Eto'o, Zinedine Zidane and the UEFA President Michel Platini to get their thoughts.

Of course it's not just football that suffers, earlier this year Formula One's first black racing driver Lewis Hamilton was on the receiving end of racist abuse while testing in Spain. There was uproar in the British media, but for some reason the Spanish press seemed less excited.

In some top-level, win-at-all-costs professional sports, it seems as though racism has almost become an acceptable barb with which to jibe your opponent. Increasingly, there are examples of racism within international cricket; India and Australia have been the latest to clash. Sledging has always been cutting and personal, but it seems in some cases that a mark is being overstepped. Or is it all just a big misunderstanding?

We sent a reporter to the heartland of the game, India, to see if racism really is a problem and if so, to find out what is being done. How are children being raised in the game, and are insults -- of whatever nature -- considered acceptable to those who will one day represent their country on the international stage?

We have also looked at the situation in South Africa - a nation which has for so long struggled with racial tension -- to see whether steps to integrate blacks into historically white teams are working. Can quota systems ever work? Or are they counter-productive, leaving everyone with a bad taste in the mouth?

Perhaps the rainbow nation can look towards the U.S. for inspiration? For some, "Negro" sporting leagues are still in living memory, but a glance at the NBA for example would suggest that integration has been successfully achieved.

The dark past is never far away though -- only this year a golf commentator caused a furore by suggestion that Tiger Woods rivals should "lynch him in a back alley."

Our investigation therefore covers four continents and many different sports, hearing from those that have suffered racism and those who have helped to tackle it. Can it ever be beaten, or merely suppressed? Is sport a barometer of social attitudes or a platform to initiate wider change? Are racist abusers in sport genuinely prejudiced or merely looking for an edge?

These are hard very questions to answer, but we hope to at least shed some light on the matter and get a debate going in our series, both on-air and online.

I hope you find it is as stimulating to ponder as it was for us to produce.

@highlight

CNN considers issues of racism in sport in a one-week special

@highlight

Series includes features on Paul Canoville, Chelsea's first black footballer

@highlight

Football stars Samuel Eto'o, Zinedine Zidane tell us about their experiences

@highlight

Formula One, golf, cricket also come under spotlight