San Diego, California (CNN) -- Billionaire Warren Buffett has been thinking about the inequities in the U.S. tax system at least since June 2007. I know this because, during PBS' Democratic presidential debate in which I served on a panel of journalists, I asked the eight Democrats, including Barack Obama, what they thought of comments Buffett had made about the unfairness of a tax system where his secretary paid a higher percentage of her income in taxes than he did.

I asked Obama if he agreed with Buffett that the rich weren't paying their fair share, and what he would do about it.

"There's no doubt that the tax system has been skewed, " Obama answered. "But I think this goes to a broader question, and that is, are we willing to make the investments in genuine equal opportunity in this country?

"People aren't looking for charity, and one of the distressing things sometimes when we have a conversation about race in America is that we talk about welfare and we talk about poverty, but what people really want is fairness," he said. "They want people paying their fair share of taxes."

I'll co-sign the last part. People should pay their fair share, and that clearly isn't happening. It's true that, at the macro level, the wealthiest people collectively pay most of the taxes in this country. But it's also true that, at the micro level, individual taxpayers in the upper income brackets often take advantage of tax laws that allow them to pay a lower percentage of their income in taxes than everyday Americans.

This doesn't make the wealthy bad people. But it does make for a bad system. It's no wonder that public opinion polls consistently show that Americans want the rich to pay more.

This week, a Gallup Poll found that 70% of respondents favor raising taxes on some corporations by eliminating certain tax deductions and 66% favor increasing income taxes on individuals earning at least $200,000 a year and families earning at least $250,000.

Now, under what it is being called the Buffett Rule, the White House wants to give people what they want. Framing it as an attempt at deficit reduction, the administration is proposing a new minimum rate for people earning more than $1 million a year, all to help make sure they pay at least the same percentage of their income as middle-class Americans.

Predictably, conservatives reacted with howls of protest and accused Obama of engaging in class warfare. Obama responded, "This is not class warfare. It's math."

Actually, it's neither. It's election year gimmickry that stands no chance of going anywhere with a Republican-controlled House of Representatives. Obama knows that, and that's why he considers it safe to propose such a plan now rather than in the first half of his administration when the House was in the hands of Democrats.

Why didn't he propose it then? I think it's because it might actually have become law, and then the Democrats would have owned this new tax policy and have had to answer to voters in future elections. This way, Obama gets to excite the base in time for his re-election campaign with a proposal that won't go anywhere, without having to pay a political price.

As for the Buffett Rule itself, it isn't a bad idea. But it isn't a particularly good one either. The current system, the one Buffett complains about, is inequitable. But the Obama plan would just flip the inequity so the wealthy pay more. We would go from overburdening the middle class to putting the burden on the rich. That would preserve the progressive tax rates, but it wouldn't be progress.

The answer lies in a third way: a fairer, flatter tax that lets all Americans pay the same percentage of their income in taxes. Maybe it would be 15%. Or 17%. Or 20%. The specifics aren't as important as the concept.

About 15 or 20 years ago, you could hear support for that idea from conservative Republicans like the late Jack Kemp, the former congressman and 1996 GOP vice presidential nominee, and billionaire Steve Forbes, who ran for president in 1996 and 2000. Fiscal conservatives liked a flat tax because they thought it was wrong to punish overachievers who earn a lot of money with confiscatory tax rates, and they saw it as a way of making the tax system more equitable.

Conservatives were right back then. Yet, they're wrong now to defend the current system. The White House doesn't have the right solution. But there is no point in denying the problem.

The opinions in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette: Gallup Poll finds majority favor raising taxes on corporations and the rich

@highlight

"Buffett Rule" would set minimum tax rate for people earning more than $1 million a year

@highlight

Navarrette says this is an election gimmick because Obama knows it won't pass

@highlight

Navarrette: In a fair system, everyone would pay the same percentage of income in taxes