Hefei, China (CNN) -- The murder trial of Gu Kailai, the wife of a recently deposed top official in the Chinese Communist Party, has begun in the eastern China city of Hefei, local officials said Thursday.

Gu and a family aide, Zhang Xiaojun, are accused of poisoning Neil Heywood, a British businessman who was found dead in the southwestern Chinese metropolis of Chongqing in November.

The trial is the latest phase in the fall from grace of the prominent family of Bo Xilai, Gu's husband, who until earlier this year had appeared destined to join the elite committee of leaders at the top of China's ruling party.

The saga has become the most sensational Chinese political scandal in recent years, creating an extraordinary set of challenges for the central government as it prepares for a once-in-a-decade leadership transition later this year.

Heywood, a 41-year-old British citizen, was found dead in a hotel in Chongqing, the city where Bo was the Communist Party chief. But the trial is taking place in Hefei, in Anhui province, more than 1,200 kilometers (750 miles) east of Chongqing, where lingering support for Bo and his family remains.

"This is definitely more than a criminal trial," said Wenran Jiang, a professor of political science at the University of Alberta. He added that the process is being closely watched for signs of what might happen to Bo, who is being investigated for "serious discipline violations" after being removed from his Chongqing and party posts.

Gu's family had wanted to hire two prominent Beijing lawyers to represent her, but Chinese authorities have chosen two local attorneys to form her defense team, a family friend told CNN on Wednesday.

The family is sending one of the attorneys -- along with another well-known Beijing attorney -- into the courtroom as observers, with the approval of the court, said the friend, who asked not to be named because of the sensitivity of the case.

The cards appear to be stacked against Gu and Zhang, who are at the mercy of a Chinese court system that has been criticized by human rights advocates as being little more than a tool of the country's powerful state security apparatus.

"In this trial, frankly speaking, nobody believes that it's a totally independent judiciary and it will be judged just on the merits of the case," Jiang said. "It has been managed by the most senior level of leadership at every step."

The defendants haven't seen their relatives since they were arrested in early April, a friend of Gu's family said last week. Bo has not been seen in public since he was stripped of his titles.

When the murder charges were announced last month, Xinhua, the state-run news agency, reported that "the facts of the two defendants' crime are clear, and the evidence is irrefutable and substantial." If convicted, the two could face the death penalty.

The Xinhua report said that Gu and the couple's son, Bo Guagua, had "conflicts" with Heywood "over economic interests." It alleged that Gu and Zhang had poisoned the Briton because Gu was worried that he was "threat to her son's personal security."

International media reports have speculated about the nature of Heywood's work in China and his ties to the Bo family. He had lived in China for more than a decade and was married to a Chinese woman. Among the companies he advised was a consulting firm founded by former officers of the British spy agency MI6.

Bo Guagua, 24, said in an e-mail Tuesday that he had submitted a witness statement to the defense team for his mother.

"I have faith that facts will speak for themselves," wrote Bo, who graduated from Harvard's Kennedy School of Government in May. He previously attended Oxford, graduating in 2010.

His illustrious education is an indication of the influence and ambitions of his family, which is now engulfed by scandal.

As the son of Bo Yibo, one the "eight immortals" of the revolution that created modern China, Bo Xilai was considered a strong contender for promotion into the Standing Committee of the party's Politburo, whose nine members decide how to run China.

He stood out as one of China's most dynamic and controversial politicians, notably for his populist policies in Chongqing that promoted Chinese Communist culture and aimed to crack down on organized crime.

Gu is also descended from a revolutionary hero: Maj. Gen. Gu Jingsheng, a prominent military figure.

Fluent in English, she is a lawyer who took a leading role in a legal battle in the United States involving several Chinese firms. She eventually won the lawsuit for the Chinese companies and later wrote a book about it.

As well as being involved in her most notable professional triumph, the United States has also played a role in her undoing.

The case she is now facing may never have come to light had it not been for an extraordinary series of actions by Wang Lijun, Bo's longtime lieutenant.

Officials had quickly blamed Heywood's death on excessive alcohol consumption, and his body was cremated without an autopsy.

But on February 6, Wang, the former police chief who had run the anti-crime push in Chongqing that helped to build Bo's reputation, sought refuge at the U.S. Consulate in nearby Chengdu.

He wanted political asylum and apparently feared for his life. Media reports and online posts have claimed that he had clashed with Bo after suggesting that Heywood had been poisoned amid a business dispute with Gu.

He gave information about Heywood's death to U.S. officials before he left the consulate and was taken into custody by Chinese security forces. The British government was made aware of Wang's comments and made a formal request to the Chinese authorities to investigate the case on February 15.

A month later, Xinhua announced that Bo had been removed as party secretary of Chongqing. And less than a month after that, Gu and Zhang were arrested.

The case has forced the Communist leadership to confront allegations of wrongdoing by a high-ranking member in an unusually public way, according to Douglas Paal, a top China analyst at the Carnegie Endowment for International Peace in Washington.

"The disruption of his departure from office and his wife's crimes have made it difficult to present a facade of unity to their people," Paal said.

That united front has been key to ruling China for 2,000 years, he said. The current generation of leaders has been particularly sensitive to maintaining it since 1989, when the party hierarchy split over how to deal with the pro-democracy demonstrations in Beijing's Tiananmen Square.

CNN's Jaime A. Florcruz, Jethro Mullen, Jason Kessler and Matt Smith, and journalist Peter Shadbolt contributed to this report.

@highlight

The trial gets under way in the eastern city of Hefei, officials say

@highlight

Gu Kailai and a family aide are accused of murdering a British businessman

@highlight

Gu's husband, Bo Xilai, is a former top official who has been stripped of his posts

@highlight

The defendants haven't seen their families since April, a friend says