LONDON, England (CNN) -- In Russia, a country often associated with consumption of mass amounts of vodka, men have an average life expectancy of just 60 years -- one of the lowest in Europe.

Men in Russia have an average life expectancy of just 60 years.

Life expectancy for Russian men is well below that of western European countries like Germany, where men have an average life span of 77 years, according to World Health Organization figures.

"The biggest health problem facing Russia is the very high level of mortality among working aged men," says Martin McKee, an expert in Russian public health at the London School of Hygiene and Tropical Medicine.

A new dynamism appears to be taking hold of Russia as it aims to raise its prominence on the world stage. Despite having benefited from a boom in commodities prices before the global economy hit the skids, health indicators like life expectancy have shown marginal improvement.

Life expectancy for men has stagnated for quite some time, and a major culprit has been high levels of alcohol consumption. Since the breakup of the Soviet Union, alcohol and tobacco use have risen, as Russians have struggled to adapt to economic change, health experts say.

The transition from a system of state ownership to a market-oriented economy has not been easy for many Russians, according to Mireia Jofre-Bonet, a health economist at City University London.

When the Soviet Union fell and the state disappeared, unemployment soared, and a significant portion of the population was pushed into poverty, she told CNN.

Research suggests that those most vulnerable to alcoholism tend to be men with the lowest levels of education and the unemployed.

A typical 18-year-old in the West has a 90 percent probability of reaching retirement age, but for young men in Russia the odds are reduced to 50 percent, says McKee.

Alcoholism tends to be less of a problem among Russian women -- who have a higher average life expectancy of  73 -- but they face an equally worrisome health threat.

There has been a big increase in smoking among women, who are being targeted by tobacco companies, says McKee. Traditionally, rates of smoking among Russian women have been very low, but now, he says, almost 30 percent among those under 30 smoke.

"Ten years of adjusting to a new regime created lots of stress," says Jofre-Bonet. The resulting rise in alcohol and tobacco abuse have led to ailments like heart disease and cancer.

Besides chronic conditions, epidemics of infectious disease, including tuberculosis and HIV/AIDS, have added to the country's health woes.

In the 1990s, Russia experienced a resurgence of tuberculosis, considered a disease of poverty. Since then the growth of new cases has slowed, but strains of the disease that can't be treated with the usual drugs continue to pose a serious public health threat.

Meanwhile, the number of people living with HIV in Russia has more than doubled since 2001. While largely confined to injecting drug users, HIV remains a challenge.

Lack of needle exchange programs has curbed efforts to combat the spread of the disease, says Annabel Kanabus, director of international AIDS charity AVERT. "The crisis is still going on. Efforts at prevention are not really working."

The Russian government is attempting to tackle its health challenges. The alcohol problem improved briefly in 2006 after federal restrictions were applied to the sale of non-beverage alcohols, such as aftershave, which are commonly drunk, McKee says.

But he added, there is a major challenge in ensuring that law is enforced everywhere. And while the Kremlin has invested in upgrading technical equipment in recent years, facilities are still not well equipped to deal with high levels of chronic conditions such as high blood pressure.

The economic downturn isn't helping. Anxiety levels are rising as a result of soaring unemployment, and the government doesn't have enough funds to meet the needs of the health system.

"There is no money. It's a big mess," says Jofre-Bonet. "The health care system cannot pay for what it needs and there is a lot of corruption in the way of under the table payments for medicines or doctors that legally people should get for free."

@highlight

Russian men face startlingly low average life expectancy of just 60 years

@highlight

Alcohol and tobacco use contributing to rise of heart disease and cancer

@highlight

Health facilities not equipped to deal with high levels of chronic conditions

@highlight

Tell CNN what you think about Russia and its resurgence