Bangkok, Thailand (CNN) -- The commercial heart of Thailand's capital is still at risk of flooding, with the next 10 days likely to be crucial in the battle to keep dry.

So far the Central Business District, or CBD, has been shielded by a series of flood defenses backed up by huge pumps which suck the floodwater seeping down from the north of the city into the canals. From here the water is funneled into the main Chao Phraya River, where officials say it then fans out toward the sea.

Floods in Thailand have killed more than 500 people since July, affecting about a third of the nation's 77 provinces. The country of 67 million is also home to electronics manufacturing and automotive companies that have had to stop production because of the flooding, causing a ripple effect through the industry.

According to Seri Supparathit, a water engineer who has acted as consultant for the government during the crisis, Bangkok's central business district will survive the watery onslaught as long as the pumps keep working.

"If we can maintain the system for the next 10 days, then we can keep the CBD free from floods," he said.

"But if the pumps break down, we could see more major flooding. We don't know the condition of the pumps."

Supparathit added that China and Japan have now provided pumps as well as valuable expertise.

The pumping stations are the front line in this war against the filthy torrent. The giant pumps sit at the side of canals on the fringes of central Bangkok, acting as the boundaries between the dry land on one side and the flood-hit city on the other. The business

Aside from the huge volume of water, those manning the pumps 24 hours a day have their hands full clearing out huge amounts of debris floating into the system and threatening to clog it up. It's back-breaking work as city workers carry baskets full of foul-smelling rubbish to the convoy of trucks pulling up nearby.

"The system hasn't broken yet," said one of the workers optimistically when asked how the pumps were holding up.

According to Bangkok's Irrigation Department, this year's devastating floods in northern Thailand created an estimated 14 billion cubic meters of run-off. The Bangkok Post quoted spokesman Boonsanong Suchatpong as saying about three billion cubic meters of this water is in the Chao Phraya River, with 3.5 billion cubic meters in the fields in the central provinces north of Bangkok.

The rest, he said, has penetrated flood walls and inundated many parts of the capital -- with depths of up to three meters (9.8 feet) reported in northern districts, such as Rangsit and Lumlukka. But with about 400 million cubic meters of water being drained into the sea every day, the floodwater could be drained out of the capital in 11 days, he said.

Despite this optimism, the Bangkok Metropolitan Administration is throwing up more flood barriers to protect the center of the city. A system of half-ton sandbags known as "Big Bag" dikes stretching 6 kilometers (3.72 miles) is almost complete along the main Rangsit Muang Ek road, which snakes out to the north of Bangkok.

But Supparathit warned that some angry residents in the worst-hit areas of northern Bangkok have been destroying flood barriers because they feel their districts have been sacrificed to protect the CBD. "Upstream the flood level is three meters, while further downstream it is less than 0.5 meters (1.6 feet)," he explained. "So the people upstream say this is unfair for them." He said these people needed better information from the government.

Earlier this week, Prime Minister Yingluk Shinawatra appealed for people to consider their actions.

"Please don't destroy the big-bag dike and other barriers," Yingluck wrote on her official Facebook page. "Please think about the overall benefit so we can get through this problem together."

"But what should we do?" asked Romeo Romei, a factory owner from Rangsit. "We are just left to deal with water that is going nowhere."

Many Bangkok residents opted to to defy government advice to evacuate and remained behind to protect their homes. As a result they are worried about tainted water, disease and sanitation, as massive piles of garbage stack up around them.

Tide marks on the walls of many of their houses in this part of the city show that the water level has dropped only slightly in almost a month, which suggests the 11-day prediction for the floodwaters to drain out of Bangkok may be ambitious.

"It will take at least a month," said Supparathit of Thailand's worst floods in 50 years. But that of course depends on those mighty pumps.

@highlight

A series of flood defenses are preventing flooding in Bangkok's central business district

@highlight

Thailand's worst flooding in 50 years has devastated outlying parts of the capital

@highlight

Angry residents in north Bangkok say neighborhoods sacrificed for "CBD"

@highlight

Residents: Predictions that floodwater will be drained from Bangkok in 11 days too optimistic