(CNN) -- A quick tweet or Facebook post could put you behind bars in the Philippines under a new cyber law, according to activists.

The Cybercrime Prevention Act of 2012 came into effect Wednesday despite widespread protests among netizens, journalists and free speech activists. "Reaction has been overwhelming. This is quite unprecedented," said Carlos Conde of Human Rights Watch in Manila. "I haven't seen this kind of uprising from the online community in the Philippines. This is a setback for one of the most social-media savvy countries."

The Philippines had a steadily rising 28 million internet users in 2011, approximately 30% of the population, according to the World Bank, placing it among the top 20 nations for internet use. Before the law came into effect, the Philippines was ranked the most "free" in Asia, according to the 2012 Freedom House report on internet freedom. The Philippines ranked sixth globally, after the United States, Australia and other European nations.

The new law addresses an array of content and computer-related offenses, including cybersex, child pornography, unsolicited commercial communications and identity theft. The act also states that there will be "special cybercrime courts manned by specially trained judges to handle cybercrime cases."

Critics of the law, who are calling it the "new martial law online," are against a provision that criminalizes libel.

"The law is so vague in many respects; it is being interpreted in many ways -- comparing 'liking' something on Facebook to an investigative exposÃ© -- the law has to be clear," Conde said. "It's almost like an afterthought -- the libel portion was put there haphazardly." Existing libel laws of the Philippines were dubbed "excessive" by the United Nations in October 2011.

Local news organizations and civil rights groups mobilized to file a petition against the law, which they believe "establishes a regime of cyber authoritarianism." The petition has sought a restraining order against enforcement of the new law.

"You never know what's going to trigger these libel offenses...[the law] goes against overall freedom of press and expression. It is motivated by personal experiences -- they don't like what you say and then you are penalized for it," said Gayathri Venkateswaran of the Southeast Asian Press Alliance.

Other points of the new law have been contentious, such as the "take-down" provision, which enables the Department of Justice to order removal of defamatory content without due process.

The Philippines government, in a statement, acknowledged the questions over the "constitutionality of certain provisions of the Act" but also called on "critics of the cybercrime Act to speak out against online vandalism and bullying with as much vigor and passion as they expressed in their objections to certain provisions of the law."

The new law "is quite good ... except for the item on libel," said Jacques DY Gimeno, a contributor to the Freedom House report. "At least the government is now dealing with cybercrime.

"Self-censorship will go up, internet users will have a sense of needing to police themselves," she added.

On the future of the cybercrime law, Gimeno said, "It will probably be modified because it is so unpopular. People are taking note of the legislators who voted for the law; to pacify voters they will amend to mask the actual intention."

@highlight

A new tough law on cybercime came into effect Wednesday in the Philippines

@highlight

Comes despite protests among netizens, journalists and free speech activists

@highlight

The Philippines has been ranked the most "free" internet nation in Asia

@highlight

Critics of the law are against provisions that criminalize libel