(CNN)Like many 23-year-olds, Alain Nteff has big dreams.

What sets him apart from most, however, is what he's actually trying to achieve: wiping out maternal mortality.

The Cameroonian entrepreneur is the co-founder of Gifted Mom, a mobile health platform that uses low-cost technology to help mothers and pregnant women access medical advice in out-of-the-way, rural communities.

His invention landed him an invitation to the World Economic Forum in Davos this year, where he was one of this year's Global Shapers, a group of 20 to 30-year-olds who are tipped for future leadership roles. He was also the youngest participant.

The seed for the Gifted Mom idea was planted in 2012 when Nteff, then a 20-year-old engineering student, visited a hospital in rural Cameroon where his friend Conrad Tankou was doing his medical practice. There he witnessed several mothers and newborns die from conditions that could have been predicted and managed with proper antenatal care. Nteff was deeply affected by what he saw, and together with Tankou started thinking of ways in which they could use their skills to tackle the issue of maternal and infant mortality.

"I'm passionate about using technology to solve problems in my community, and I just saw it as an opportunity to apply my engineering to solve one of the world's biggest and oldest problems," says Nteff.

Low-cost, far reach

His answer was to create an SMS service that expectant and new mothers could register for to receive advice about their health, including why it's important to have regular check-ups: "We realized that there was a need to create a low cost channel to educate women on when they should go for antenatal care and when they should take their babies for vaccination," says the entrepreneur.

Initially only eight women signed up, but through word-of-mouth the reputation of Gifted Mom grew, and today the service has 2,100 subscribers across the whole country.

Registering is easy -- a woman just has to text MOM to 8006 to receive a call back and get help signing up. Or, she can text a particular health question to the same number and get a reply from a doctor. Gifted Mom works with the Mobile Alliance for Maternal Action, a USAID-backed movement that uses mobile technology to improve maternal health in the developing world, and a team of medical doctors led by Tankou to find answers to the queries.

"The SMS we sent to the first pregnant woman was special -- she said that when she read it she felt so much joy, and she was telling me 'I feel now that somebody's got my back,'" says Nteff.

There is a one-off subscription fee of less than one dollar, but all subsequent messages which include alerts for when vaccinations for newborns are due, are free. In order to include the roughly 17% of Cameroonian women who are illiterate, the Gifted Mom team are also developing voice technology in four widely spoken traditional languages.

Last September, Nteff was named the grand prize winner of the $25,000 Anzisha Prize, a pan-African award celebrating entrepreneurs aged 15-22 who've come up with innovative ways to solve problems in their communities, or have launched successful businesses in their areas.

"The message I am trying to send out with my team is that the problem of maternal and infant death is not a woman issue -- it's a humanitarian issue," he says. "Everybody should take [it] seriously -- we all have mothers, we all have sisters, and it's not just a problem for women or girls.

Game of odds

Improving maternal health has been one of U.N.'s Millennium Development Goals, and while the maternal mortality ratio has dropped by 45 % between 1990 and 2013, a woman's odds for survival dramatically depend on where she delivers her baby.

In the developed world, the risk of dying during pregnancy or childbirth is one in 3700, but in Sub-Saharan Africa that number jumps to one in 38 -- nearly a hundred times more. Cameroon has particularly bad odds for expectant mothers, with over 590 maternal deaths per 100,000 live births which is one of the highest ratios in both Africa and the world.

Around 64% of new mothers in the country don't receive any medical check-ups after delivering a baby according to the World Health Organization. Alain Nteff thinks that this could be because women living in remote communities with no hospitals and health centers often don't know what steps they need to take to ensure that they and their newborns are healthy.

"Our mission is really to create a world of mothers who are gifted. A world that is free of maternal and infant death -- a world of gifted moms," he says.

More from African Start-Up

Read this: How to start a booming biz with $10

Read this: Catch a ride on a bamboo bike

@highlight

Gifted Mom is a mobile health platform which uses low-cost technology to help mothers and pregnant women access medical advice

@highlight

It was started by the 23-year-old Cameroonian entrepreneur Alain Nteff

@highlight

Gifted Mom sends pregnant women and mothers alert for vaccinations, checkups and answers their medical queries

@highlight

A woman is nearly 100 times more at risk of dying during childbirth or pregnancy in Africa than in the developed world