Pushing her meal cart into the hospital room, a research assistant hands out tall glasses of reddish-pink liquid, along with a gentle warning: "Remember, you guys have to finish all your Kool-Aid."

One by one, young volunteers chug down their drinks, each carefully calibrated to contain a mix of water, flavoring and a precisely calibrated solution of high fructose corn syrup: 55% fructose, 45% glucose.

The participants are part of an ongoing study run by Kimber Stanhope, a nutritional biologist at the University of California, Davis.  Volunteers agree to spend several weeks as lab rats: their food carefully measured, their bodies subjected to a steady dose of scans and blood tests. At first, each volunteer receives meals with no added sugars. But then, the sweetened drinks start showing up.

For the final two weeks of the study, volunteers drank three of the sweet concoctions daily -- about 500 calories of added sugar, or 25% of all calories for the adult women in the study. Within just two weeks, their blood chemistry was out of whack. In one striking change, the volunteers had elevated levels of LDL cholesterol, a risk factor for heart disease.

While force-feeding junk food may sound extreme, this controlled diet is not so far from the real world. A 20-ounce regular soda contains 227 calories, according to the U.S. Department of Agriculture (USDA). That single drink is more than 10% of the total calories an adult woman needs to maintain a healthy weight, according to USDA diet guidelines. Meanwhile, about 1 in 4 Americans gets at least 200 calories a day from sugary drinks. These numbers, along with work like Stanhope's, gives ammunition to doctors and public health officials who say soda should be treated as public health enemy No. 1.

"Soft drinks and sugar-containing beverages are the low hanging fruit in public health today," says Dr. David Ludwig, director of the New Balance Foundation Obesity Prevention Center, at Children's Hospital in Boston. "Many children are consuming 300 calories per day or more, just in sugar-containing beverages. Compare the challenge of giving up three glasses of sugary beverages, versus getting them to do two hours of moderate physical activity."

"If you switch from Coke to water, that's easy," says Elizabeth Mayer-Davis, a professor at the University of North Carolina and a recent president of the American Diabetes Association. "You don't have to make big complicated changes in how you cook, and shop, and all that. And the number of calories you can save, can be substantial."

Related story: Are sugar substitutes worse than the real thing?

Some in the soft drink business say their product has been unfairly singled out. "Consumption of added sugars is going down," says Karen Hanretty, Vice-President of Public Affairs for the American Beverage Association. "Soda consumption has declined, even as obesity has increased. To say that sugar is solely responsible for obesity, doesn't make sense."

Coca-Cola has adapted to meet consumer demand, says Rhona Applebaum, the company's Vice President and Chief Scientific Regulatory Officer. More than ever, she says, those consumers choose low-sugar products. Today, Diet Coke and Coke Zero make up 41% of Coke's North American soda sales, up from 32% a decade ago. "Our products are part of a balanced, sensible diet, and they can be enjoyed as a valuable part of any meal, including snacks," says Applebaum.

Buried in the flood of horror stories about America's obesity crisis, are a few hopeful signs. Not only is sugar consumption going down, but obesity rates among girls and women have actually stayed flat since 1999, according to Cynthia Ogden, a scientist with the Centers for Disease Control and Prevention (CDC). For boys and men, those levels have increased only modestly since around 2006, Ogden says.

Coincidentally or not, the leveling off of obesity coincides with a drop in the amount of soda that Americans consume. Consumption of soda -- both regular and diet -- has fallen by 17.3% since 1998, according to Beverage Digest.

Eatocracy: How I kicked my Coke habit

Of course soda isn't the only concern. An 8-ounce glass of fruit punch or apple juice has nearly 130 calories. The same glass of chocolate milk has more than 200 -- a solid 20 percent of all recommended daily calories. Overall, added sugars -- which includes both natural sugar, and high fructose corn syrup -- make up about a sixth of all calories taken in, according to USDA figures. Somewhat more than a third of those sugars come from soda and other drinks.

That's why most people who take a hard look at American diets say that cutting out sweetened drinks, is the first step for anyone struggling with weight or diabetes.

"If we create the assumption that doing one thing will reduce the epidemic [of obesity], we're making a mistake," says Dr. William Dietz, director of the CDC's Division of Nutrition, Physical Activity, and Obesity. "But within the dietary side, we have to focus on where the biggest action is."

The action, says Dietz and others, lies with sugar and its close cousin, high-fructose corn syrup (HFCS). Most sweet drinks, including nearly all soda in the United States, use HFCS.

Not everyone agrees they're equivalent. While most studies show that table sugar and HFCS play an equal role in weight gain, some research suggests that HFCS -- which usually contains 10% more fructose than sucrose -- is more likely to change the body's metabolism, in ways that can increase risk for cardiovascular disease and diabetes.

But most scientists say the differences are subtle. That includes even Stanhope, whose work has focused on comparing the effects of fructose and other sugars. In terms of advising patients or making public health policy, she says, there isn't much difference. "I think we really, at this point, need to treat them all alike."

"Are sweetened drinks the only reason we have epidemics of obesity and diabetes? No, they're not," says Mayer-Davis, the past ADA president. "But sometimes the easy answer, is the answer."

@highlight

About 1 in 4 Americans gets at least 200 calories a day from sugary drinks

@highlight

Although soda consumption has declined, U.S. obesity has increased

@highlight

Many experts say cutting sweetened drinks would fight obesity or diabetes

@highlight

Soft drink industry says their product has been unfairly singled out