(CNN) -- I'm writing about some changes we need to make in the wake of the horrible school shootings in Sandy Hook.

Now stop. Take two deep breaths.

Stop. Don't race to the bottom of the screen to leave a comment repeating the same statements you've made after every such shooting in your life.

We have the same conversation each time. We say things that alienate our friends on Facebook. Or we get affirmative agreement from our family members. And nothing changes.

Here's the good news: There are specific, meaningful policy guidelines we can adopt as a country that nearly everyone agrees with across the political spectrum. We'll never eliminate unexpected violence, but a small number of changes could save thousands of lives.

Will Newtown change America's attitude toward guns?

I've shared two key ideas with more than half a million people across a variety of social networks online in recent days, and even over this incredibly stressful weekend with such passionate feelings behind everyone's words, I've heard nearly universal consensus on implementing these two changes.

1. Mental health screenings before gun purchases. Because everyone in America will have health coverage next year, we can ask for a simple, straightforward clean bill of mental health before a person can buy a gun. Just like we ask drivers to take an eye test before hitting the road, we should do the same when someone wants to buy a gun. The most passionate target shooters, hunters and self-defense enthusiasts I know all agree: There are often warning signs in the boys and young men who usually carry out these acts of mass violence, and broadly implemented tests could reduce the number of them who have access to guns, without affecting any of the hundreds of millions of safe, responsible gun owners in America.

While law enforcement officials say that the guns used in Newtown had been bought legally by Adam Lanza's mother, there are instances when rampage shooters have acquired guns illegally. And we are talking here about areas for broad agreement. A place to start. Which brings us to the second key idea.

2. More accountable gun distribution and retailing. Since the earliest days of our country, guns have been relatively readily available, and there's no need to compromise that to improve the safety of our gun distribution infrastructure. Instead, we can look at weak points in gun distribution through which guns go from legal manufacturers to illegal use.

Gun shows that require only a brief in-person event with no live-fire training to qualify for a purchase permit, or that allow bulk purchase of weapons disrespect the care and dedication with which most gun owners teach themselves and their children. Again, a few simple changes requiring proof of real safety, such as shooting lessons before buying a weapon just makes common sense, not only to prevent irresponsible gun distribution, but to ensure that future generations of gun owners obey the traditions of the hundreds of years of millions of thoughtful, smart gun owners in America.

Lawmakers seem prepared to take on gun control

Now stop.

If you're like most Americans, you already have some canned response ready. You want to talk about a slippery slope or how guns don't kill people, people do. Or you want to rant about how barbaric and foolish gun owners are and how the Second Amendment was written in a totally different period in history.

Two deep breaths.

We've all heard all this before. When you fall back into those tired cliches, you put us back in the cycle where no progress happens. You put us back into a cycle where the responsible gun owners who don't mind some minor changes to encourage upholding the American tradition of safe shooting get stuck feeling defensive against the condescension of people who've never fired a gun.

You put us back into a cycle where hundreds of millions of thoughtful opponents of the proliferation of lethal weapons in the hands of unstable people are forced to stand in disbelief as people tell them that these kinds of tragedies are somehow inherently American and thus can't be prevented.

When I shared these two simple ideas with about half a million people across a few social networks, at first people responded out of habit, with extremists ranting about fantasies of armed insurrection against the government or of hundreds of millions of guns being melted down.

Analysis: Guns and the law

But once they read what we're actually saying, hundreds of people, from across the political spectrum, came together and agreed on these principles, that a few simple ideas can make a big difference. I've seen gun-owning Obama voters in the hip hop industry who agree with prominent Romney supporters in the financial industry who would never bring a gun into their home, with all in favor of a few common-sense guidelines.

We know we can fix things because we've made huge progress already. America is a far less violent country that it used to be. Violent crime overall is lower than it has been in decades. The reality is, the overwhelming majority of Americans kids are safe. But dozens of our kids are shot every week, so we have to do better. And just as we've made so much progress on so many intractable problems, we can fix this one, too.

Step away from the usual rehearsed responses. Stop demonizing your fellow Americans, your fellow countrymen who love their kids as much as you do.

Instead, start. Start with two simple ideas.

And start by talking to someone who disagrees with you overall on all the big issues around guns and violence in our society, and see if you can't agree on these two points. We won't solve the whole problem, but at long, long last, we'll make a small bit of meaningful progress, and will have a policy that our representatives across the political spectrum can unite behind.

The opinions expressed in this commentary are solely those of Anil Dash.

@highlight

Anil Dash: People revert to old arguments on gun control, but there are 2 areas of agreement

@highlight

He says in social network chats people agree: gun buyers should have mental health test

@highlight

He says other area of agreement includes examining gun distribution channels

@highlight

Dash: Stop demonizing the other side of the issue; just start with these two simple ideas