(CNN) -- Violence swept across Syria on Friday, with at least 43 people reported killed in another bloody day of confrontation between government forces and demonstrators calling for political change.

Reliable numbers were difficult to come by. CNN bases its figures on reports from witnesses. Amnesty International, citing local human rights activists, reported that at least 75 people were killed in Friday's protests. The Syrian government does not permit CNN to report from inside the country.

The killings occurred in several flashpoint regions as thousands of Syrian protesters defiantly marched after Muslims' weekly prayers in a display of mass discontent toward the government.

Violence ripped through the Damascus suburbs of Douma, Moademy, and Zamalka, and other cities -- Homs, Harasta, and Izraa. The state-run news agency reported demonstrations and clashes, citing injuries but no deaths.

Human rights groups and witnesses told a different story. "Today, they have killed so many people. There are so many people injured and people have been kidnapped," Wissam Tarif, a human rights activist, told CNN. "They are acting as an armed gang, not as security forces."

The violence prompted international condemnation, with British Foreign Secretary William Hague calling the killings "unacceptable," and calling on Syrian security forces "to exercise restraint instead of repression, and on the Syrian authorities to respect the Syrian people's right to peaceful protest."

Before Friday's marches, Amnesty International and Human Rights Watch said the death toll had exceeded 200 since the demonstrations began in mid-March.

Human rights groups had been urging the government to refrain from cracking down on peaceful turnouts during the Facebook-inspired outpouring dubbed "Great Friday."

A witness in Douma said eight people died and approximately 25 were wounded when security forces fired on several thousand protesters. Riot police and secret police comprised the security forces and a sniper on a hospital roof was seen taking shots at people. Pellets and lethal rounds were used, the witness said, as people chanted for the downfall of the regime.

A doctor in the Damascus suburb of Moadamy said six people were killed and dozens wounded when security forces fired in an "indiscriminate and disproportionate manner" on thousands of demonstrators. The doctor, a pediatrician, said it was difficult taking the wounded to the hospital. Syrian security forces had set up checkpoints across the area and were preventing anyone from entering or leaving the suburb.

Five people were killed in the Damascus suburb of Zamalka, a witness said.

An opposition leader in Homs said 12 people died and dozens were wounded when security forces fired on demonstrators. Protesters raced from the main streets for cover in smaller streets and alleys where they waited for the situation to calm. A witness said one of the dead was a 41-year-old demonstrator who was shot in the neck.

Tarif said security forces fired on demonstrators from the southern city of Izraa who were trying to join protesters in nearby Daraa, killing nine and wounding others. Two people in Izraa reported seeing an assault on demonstrators and many casualties.

An activist in Harasta in the south said 2,000 to 3,000 people met with a fierce crackdown by security forces, and heavy gunfire could be heard over the phone as the witness spoke. Three people have been killed and nine wounded, the source said. In protest, demonstrators burned down a police station.

In Daraa, where the protests got their start last month, people shouted "dignity and freedom!"

Activist Razan Zaitouneh in Damascus said security forces in the suburb of Sit Zainab fired on demonstrators who were tearing down a statue of Hafez al-Assad, the president's late father and the former ruler of Syria.

She said three people were wounded when security forces opened fire in Hasaka in the northeast.

Witnesses reported demonstrations in the capital, Damascus, where people chanted slogans and tear gas was fired amid a moderate security presence.

Amateur video obtained by CNN purportedly shows demonstrations in Homs, Damascus, Banias, Kiswah, and Qamlishi. CNN cannot independently confirm the authenticity of the material.

The Syrian Arab News Agency said a "limited number of demonstrators" came out on Friday in the Damascus area, Hama, Deir Ezzour, Hasaka, Daraa, and Banias. It said security forces settled "scuffles that erupted between demonstrators and citizens" in Hama, Harasta, al-Hajar al-Aswad, and Hasaka.

Demonstrations have been a daily occurrence across Syria for weeks and huge rallies have been common in the authoritarian state after Friday prayers across the predominantly Muslim nation. As people gathered to express their grievances toward the government, they've frequently been greeted with force from police.

Friday's turnouts came a day after President Bashar al-Assad lifted the country's 48-year-old state of emergency and abolished the state security court, both of which were key demands of the demonstrators.

The emergency law permitted the government to make preventive arrests and override constitutional and penal code statutes. The security court was a special body that prosecuted people regarded as challenging the government.

Al-Assad's decrees on Thursday included recognizing and regulating the right to peaceful protest. They also extended the period that security forces can hold suspects in certain crimes.

But Human Rights Watch says the decrees don't "address the extensive immunity that Syrian law provides to members of its security services."

It urged al-Assad to undertake more change, such as releasing political prisoners and those arrested for participating in peaceful protests, order probes in security force violations, ensure detainees gain "prompt access to a lawyer," and amend repressive provisions of the penal code.

It said the government, which is controlled by the Baath Party, should "enact a political parties' law in compliance with international human rights norms." Such a law would allow the establishment of independent political parties.

Hague urged the government to address the citizenry's "legitimate demands."

"Political reforms should be brought forward and implemented without delay," he said. "The Emergency Law should be lifted in practice, not just in word."

Tarif also said that "lifting the emergency law is a big joke while the security forces have impunity.

"This is going to become worse. Remember, tomorrow are the funerals," he said.

U.S. President Barack Obama issued a statement in which he condemned "in the strongest possible terms" the use of force by the Syrian government against demonstrators.

"This outrageous use of violence to quell protests must come to an end now," he said. "The Syrian people have called for the freedoms that all individuals around the world should enjoy: freedom of expression, association, peaceful assembly, and the ability to freely choose their leaders. President Assad and the Syrian authorities have repeatedly rejected their calls and chosen the path of repression."

He accused Assad of "blaming outsiders while seeking Iranian assistance in repressing Syria's citizens through the same brutal tactics that have been used by his Iranian allies."

Obama added, "The United States will continue to stand up for democracy and the universal rights that all human beings deserve, in Syria and around the world."

In separate statements, U.N. Secretary-General Ban Ki-moon and the spokesman for France's Ministry of European and Foreign Affairs condemned the violence.

CNN's Joe Sterling, Arwa Damon, Nada Husseini and Salma Abdelaziz contributed to this report

@highlight

NEW: U.N. Secretary-General Ban Ki-moon joins chorus of international condemnation

@highlight

"This is going to become worse," a human rights official predicts

@highlight

"Great Friday" deaths reported in Homs, Izraa, Harasta and Damascus suburbs

@highlight

Human rights groups have urged Syria not to use violence to suppress protests