London (CNN) -- Two key executives in Rupert Murdoch's media empire resigned Friday, and their former boss added public relations muscle as he began a series of apologies in the phone-hacking scandal.

Out are Rebekah Brooks, chief executive of News International, and her predecessor in the job, Les Hinton, who most recently served as chief executive of Dow Jones, publisher of The Wall Street Journal.

Hinton wrote Murdoch that he had seen reports of actual and alleged misconduct when he was executive chairman of News International, which operated the now-defunct News of the World.

"The pain caused to innocent people is unimaginable," Hinton said in a letter provided by Dow Jones. "That I was ignorant of what apparently happened is irrelevant and in the circumstances I feel it is proper for me to resign from News Corp., and apologize to those hurt by the actions of the News of the World."

For his part, Murdoch began a campaign of contrition and reform Friday, apologizing to the family of a murdered British teenager whose voicemail allegedly was hacked by staffers of News of the World.

"As the founder of the company, I was appalled to find out what happened," Murdoch said after speaking with relatives of Milly Dowler, 13, who went missing and was later found dead. "Of course I apologized."

Murdoch will offer a broader apology to those whose privacy may have been violated by journalists in an ad that is to appear in newspapers Saturday.

Police in the United Kingdom have identified almost 4,000 potential targets of phone hacking. There were also allegations that News Corp. reporters may have bribed law enforcement officers.

Some of the claims Brooks faces relate to the News of the World's alleged hacking, while she was editor, into Dowler's mobile phone account.

Staffers were accused of intercepting messages in search of news. They then allegedly deleted messages to keep Dowler's mailbox from filling up, giving her family and friends false hope that the schoolgirl was still alive.

The family's attorney, Mark Lewis, said the family will seek "legal remedies" after their ordeal.

"They were suffering private grief," Lewis said. "People were intruding into it."

Murdoch appeared humble and sincere during the meeting, Lewis added. "He apologized many times."

Murdoch's News of the World, a 168-year-old tabloid that was Britain's biggest Sunday newspaper, folded over the weekend in the wake of accusations that its reporters illegally eavesdropped on the phone messages of murder and terrorism victims, politicians and celebrities.

"We are sorry for the serious wrongdoing that occurred," Murdoch will say in Saturday's ad. "We are deeply sorry for the hurt suffered by the individuals affected."

"The News of the World was in the business of holding others to account. It failed when it came to itself," according to text of the ad provided by News International, which will also express regret for not acting more quickly "to sort things out."

Murdoch will say in the ad that he realizes that apologizing is not enough and he pledges concrete action.

British Prime Minister David Cameron has been among those publicly decrying the hacking, blasting Murdoch's company Wednesday as he launched a high-powered investigation into the nation's press.

Yet he has his own ties to the scandal, given his relationship with Andy Coulson.

Coulson quit as News of the World editor in 2007, after his former royal editor and a private detective were convicted of conspiracy to hack into royals' voicemails. But even while offering his resignation, he claimed to be unaware of the crimes and he was not charged at the time.

Months later, Coulson joined up with Cameron, then the Conservative Party leader. After last year's election, Cameron rose to prime minister -- and took Coulson with him, as his communications director.

Coulson worked from Downing Street through January, when he resigned as Cameron's spokesman when the scandal blew up afresh.

Cameron hosted Coulson overnight in March at Chequers, the prime minister's country estate, a Downing Street source said Friday. The aim of the invite, added the source, was to thank his former communications director for his work on Cameron's behalf.

Then, earlier this month, Coulson was himself arrested in connection with claims of phone hacking and corruption dating to his days as the News of the World editor.

After the arrest, the prime minister took full responsibility for hiring Coulson. But while not denying this personal connection, Cameron has maintained public pressure against News Corp.

This is just one of a flurry of dizzying developments related to the scandal in recent days. News Corp., which has been at the center of the storm, has hired the firm Edelman to handle its public relations and prominent U.S. attorney Brendan V. Sullivan Jr. to help navigate.

One brick to fall Friday was Brooks, who had been under pressure to step down. A chief executive of News International, she was News of the World editor at the time of some of the most serious allegations against the newspaper.

"As chief executive of the company, I feel a deep sense of responsibility for the people we have hurt, and I want to reiterate how sorry I am for what we now know to have taken place," Brooks said in a statement through News International.

"I have believed that the right and responsible action has been to lead us through the heat of the crisis. However, my desire to remain on the bridge has made me a focal point of the debate."

She said that the focus on her is "detracting attention" from endeavors to fix the problems and that her resignation gives her more time to fight the allegations against her.

Cameron believes that Brooks' resignation was the right decision, a Downing Street spokesman said. Opposition Labour leader Ed Miliband said he was pleased she had "finally taken responsibility for the terrible events that happened on her watch, like the hacking of Milly Dowler's phone."

Former Deputy Prime Minister John Prescott, who says police now tell him his phone was hacked 44 times, also welcomed Brooks' resignation.

"She seems to be the center of all of it, and yet she keeps saying 'Not me' -- that seems to be the common line at News International," he said, adding that her resignation is "a decent step towards getting better and decent reporting in this country."

Prescott described Murdoch as a "spider in the middle of this web" and said it was "about time we took him on rather than running away from him."

Campaign group Hacked Off, which has been calling for a full inquiry into alleged phone hacking by News of the World, said: "The key issue is not however whether Rebekah Brooks is in work, but whether she lied to Parliament, told the full truth to the police or was engaged in a massive cover-up. That is what we want. The victims want to know."

James Murdoch, Rupert's son and chairman of News International, thanked Brooks for "her 22 years of service to the company" and said he understood her decision to resign.

"She has been one of the outstanding editors of her generation and she can be proud of many accomplishments as an executive. We support her as she takes this step to clear her name," he said in a statement.

"We will follow this up in the future with communications about the actions we have taken to address the wrongdoing that occurred," he said.

A day before she resigned, Brooks agreed to attend a hearing before British lawmakers Tuesday into the phone-hacking scandal. However, she said her answers might be limited by ongoing police and judicial inquiries.

James and Rupert Murdoch confirmed late Thursday that they would also appear at the July 19 hearing before the Culture, Media and Sport Select Committee, after initially declining to attend.

In Friday's statement, James Murdoch said he and his father would speak to the committee "directly about our determination to put things right. The company has made mistakes. It is not only receiving appropriate scrutiny, but is also responding to unfair attacks by setting the record straight."

Tom Mockridge will replace Brooks, News Corp. said Friday. Mockridge is a former newspaper journalist who has been the chief executive of Sky Italia since 2003.

Murdoch said Mockridge is an "outstanding executive with unrivalled experience across our journalism and television businesses."

Meanwhile, the FBI is investigating News Corp. after a report that employees or associates may have tried to hack into phone conversations and voice mail of September 11 survivors, victims and their families.

Murdoch's News Corp. encompasses Fox News, The Wall Street Journal, the New York Post and Harper Collins publishers in the United States. News International -- a British subsidiary of News Corp. -- owns the Sun, The Times and The Sunday Times in Britain.

CNN's David Wilkinson and Carol Jordan contributed to this report.

@highlight

NEW: PM Cameron hosted an embattled ex-editor at his estate, a source says

@highlight

The chief executive of Dow Jones is resigning

@highlight

Rupert Murdoch apologizes to family of murdered teenager

@highlight

The media giant says he is sorry for hurt suffered by those affected