(CNN) -- San Francisco's lesser-known bridge unveiled a new look Tuesday night. As part of a unique art project celebrating its 75th anniversary, the West span of the Bay Bridge has been outfitted with 25,000 LED lights that will display a variety of undulating designs nightly for the next two years.

Organizers say it is the world's largest light sculpture.

"Light has a very universal quality, almost anyone can see it and have some response to it. It's operating on a very primal level," said artist Leo Villareal, who has been working on the project for the past two and a half years. He says his goal with the Bay Bridge installation was to create a "digital campfire."

The utilitarian grey bridge cuts a striking figure in the bay and transports 250,000 cars a day, but it has never been a tourist attraction like the nearby Golden Gate bridge. The Bay Bridge, which opened just six months before the Golden Gate in November 1936, can't compete with its neighbor's iconic touches: epic views, vivid orange paint job and art deco detailing.

San Francisco officials hope the Bay Lights project will change that perception and boost tourism to the area. They estimate 50 million people will see the lights, and that the influx of tourists over the next two years will generate $97 million for the local economy. The project's overall cost is $8 million, $6 million of which has already been raised by organizers.

The Bay Bridge lights will fire up nightly at dusk and turn off at 2 a.m. every night until 2015. The energy-efficient lights cost $30 a night to power for those seven hours.

Villareal, who has works the Museum of Modern Art in New York CIty and the National Gallery in D.C., said one of the earliest mock-ups of the Bay Lights project was a one-minute computer animation. He worked with Ben Davis, producer Amy Critchett and a team of employees, volunteers and city departments to blow up those those tiny pixels into a huge computerized light sculpture.

The final result is 25,000 LED lights strung up along the 1.8-mile stretch of bridge connecting San Francisco and Treasure Island. The individual lights are spaced 12 inches apart and each one can be set to one of 255 brightness levels. The designs Villareal created and programmed to flicker across the bridge don't include any images or text, and the sequence won't ever repeat itself.

"What people will be seeing are abstract sequences which are inspired by the kinetic activity around the bridge," said Villareal. "It's not literally traffic or the water or any of those sorts of things."

The designs were also inspired by Villareal's previous experiences in the Bay Area in the 1990s, when he worked in a research lab in Palo Alto and attended the Burning Man festival.

The result is an open-ended piece of art that Villareal calls highly subjective. Lights might dim slowly from the edges or shapes will unexpectedly dart across the surface like comets. The movements are playful, relaxing and unpredictable.

"You can imagine anything you want in these lights. For me, it's the mustache," said San Francisco Mayor Ed Lee, who sports a signature tuft of hair on his upper lip. Lee was on hand for the opening ceremony, along with California Lieutenant Governor Gavin Newsom.

While designing the sequences, Villareal had to address practical issues like safety for passing boats and drivers on the bridge, as well as artistic considerations such as making sure the animations were viewable from up close, below the bridge, and as far away as Twin Peaks, where the bridge can been seen on fog-free nights.

After obtaining permits and securing funding, trimming the bridge was the final daunting step of the project. Teams worked from 11 p.m. to 5 a.m. over the past few months to install the fiber optic network, choosing late night hours in order to have minimal impact on bridge traffic. They used custom clips to hang the lights on 300 vertical spans, mounting some lights as high as 500 feet. Locals have caught peeks of the final product over the past couple of months as producers tested the lighting system ahead of the big debut.

On Tuesday, the hard work finally paid off as crowds of onlookers braved rain, cold winds and a few rogue waves to see the light display's first official showing. Artist Carolyn Tillie and her husband brought chairs, picnic food and wine to the show. Others accessorized outfits and even bikes with blinking lights to celebrate the occasion.

Mayor Lee predicted an extended lifespan for the project, saying the city will want to keep the display longer than its two-year engagement. He hopes it will help give San Francisco the reputation as a location for world class art.

Relieved to finally hit the On button for the project after years of work, Villareal isn't thinking that far into the future at the moment. "We'll cross that bridge when we get to it," he said.

@highlight

San Francisco's Bay Bridge was has been trimmed in 25,000 LED lights for a new art project

@highlight

The light sculpture will display unique animations nightly for the next two years

@highlight

Two years in the making, the Bay Lights project is expected to bring in millions of tourists