Damascus, Syria (CNN) -- Syria's brutal conflict between regime and rebel forces is creeping closer and closer to nervous residents in the areas of Damascus still under government control. But in some suburbs of the capital, all-out war is already here.

Snipers swap shots around the clock in Tadamon, a district in southern Damascus. The front line here has been static for months now, but fighting has increased recently as the government has won back neighboring districts and opposition fighters have fled to this area.

"It is pretty much every day that they try to attack our positions. It happens in the mornings, the afternoons, the evenings and at night. When we see them, we shoot," one Syrian soldier told CNN, never taking his eyes off the battle-scarred swath of no man's land visible through his sniper scope.

The battle for the suburbs of Damascus will be key to deciding the outcome of the civil war in Syria. Much of the southern and eastern ring around the capital has fallen into the hands of rebel forces, often led by Islamist brigades, but the Syrian army is slowly winning back turf -- often at a high cost for both sides.

The front line in Tadamon has gone back and forth between the rebels and the military for a long time. The commander in charge, who would only let us identify him as Abu Saleem, took us through a street that runs parallel to the front.

"We call this the lifeline," he said. "We used this street to move around and resupply when the rebels nearly broke through. It was vital to holding on to this area."

Most of the residents have fled the buildings near the front line, but only a few yards away life continues at almost a normal pace. Children play in the streets, shops are open and cars edge along debris-littered streets.

"We had to leave our houses a few times because the fighting came so close," one local woman said. "But the military was able to hold the opposition fighters up and things have become more calm recently."

Syrian President Bashar al-Assad has made winning back the outskirts of Damascus a main priority. While Syrian soldiers in Tadamon are merely holding the line, in other districts, the army is on the offensive. Regime forces recently won back the district of Sbeneih south of the capital and have also made gains in Yarmouk, the district just west of Tadamon.

Abu Saleem, the commander in charge of taking back Tadamon, says there are many foreign jihadists among the rebels his forces have encountered.

"The fighters from foreign countries are leaders," Saleem said, "Especially from places like Libya, Chechnya, Afghanistan, and Pakistan. We hear from our sources inside that there are many foreign fighters there."

One opposition leader in the Eastern Ghouta region around Damascus who calls himself Abu Kareem called the army's siege of rebel-held areas "genocidal."

"We are facing a severe shortage of medicine and all medical supplies," Kareem told CNN. "They are basically non-existent. We have gone back to the stone age."

Rebels say the Assad regime is trying to starve the civilians still stuck in contested areas. There have been reports and videos on social media of severely malnourished children and people eating leaves to survive. A photo that surfaced on Twitter in the past week allegedly shows residents of one Damascus subrub killing the lion at the local zoo for food.

But the government claims the opposition is keeping aid convoys from reaching the districts under siege. International aid groups have blamed both sides of using access to food as a weapon.

When asked what Syria's military was fighting for, Abu Saleem, the commander in Tadamon, insisted it was about more than simply preserving Assad's rule.

"This is not a battle of good against evil," he said. "This is the battle of a secular state against Islamist ideals. We want to preserve Syria as a diverse society."

The soldiers in Tadamon say they are placing little hope in the Syrian peace talks scheduled to take place in Geneva, Switzerland next January. Right now they can't see beyond the mostly deserted streets of a neighborhood that both sides are reducing to rubble.

@highlight

Syrian regime forces are battling rebels for control of suburbs surrounding Damascus

@highlight

Battle for control of southern, eastern areas of capital could be key to outcome of civil war

@highlight

Rebel leader says "genocidal" government siege is taking suburbs "back to stone age"

@highlight

Regime says rebels are blocking aid convoys from reaching civilians in contested areas