(CNN) -- If you lose a leg, insurance will likely cover the cost of your prosthesis. If you lose your arm, it's the same. Even if you lose your ability to perform sexually, more than likely your Viagra is covered.

But if you start to lose your hearing, far too often you are on your own.

If hearing loss were officially considered a disability, it would rank as the largest disability class in the country. Some 37 million people suffer from hearing loss, according to the Centers for Disease Control and Prevention, and that number will only grow as the population ages.

Yet most private medical insurance doesn't cover the cost of hearing aids. While the Department of Veterans Affairs often pays for them, in most cases Medicare, which covers many more people, does not.

The Affordable Care Act expanded coverage to include newborn hearing screenings when it passed in 2010, but that was the single preventive-care expansion related to hearing problems. It would take an actual act of Congress to change it further.

Only 19 states require that health benefits plans in their states pay for hearing aids; most cover children only, according to the American Speech-Language-Hearing Association. Only three states require coverage for both children and adults.

When private insurance does pay, it typically covers the cost of an exam to assess hearing loss, and that's about it.

The devices are expensive, sometimes costing in the $1,000 to $6,000 range -- and that's per ear. Perhaps this explains, at least in part, why 75% to 80% of adults with hearing loss do not get hearing aids, according to a recent study done by Virginia Ramachandran, a senior staff audiologist in the Division of Audiology of the Henry Ford Hospital in Detroit. Her study showed the only group that consistently got hearing aids had insurance that paid for them in full.

Hearing aids are considered elective, much like plastic surgery or liposuction. But unlike those cosmetic procedures, life without hearing can have devastating effects. It can leave people feeling isolated or depressed and may even lead to serious illnesses like dementia. It can put their safety at risk.

"It's really an invisible disability," said Laura Hansen, owner of Assist2Hear, a Littleton, Colorado-based hearing assistance company. She got involved in the profession after seeing her father struggle when he started losing his hearing. No one was there to really advocate for him, she said.

"You know, I think it stays invisible in part because of our culture," she said. "My parents' generation kind of accepted their hearing loss as just a way of life, and they didn't want to fuss with the technology, but ultimately they ended up isolating themselves."

Audiologist Virginia Ramachandran would agree.

"People don't always perceive that they need (hearing aids), because hearing loss comes on gradually. Usually they are the last person to know. Eventually, though, we all go through this," Ramachandran said.

We start losing our hearing as early as our 20s, but most people aren't aware of it -- or they're in denial.

"Maybe it's because it makes people think about their mortality, or it makes them feel old," Ramachandran said. "I had one 90-year-old patient who came to me and when I confirmed they did have hearing loss, they said, 'I don't understand what could have caused this.' I had to tell them as we mature, this is a natural part of the process."

Most people Hansen talks to are surprised that hearing aids aren't typically covered by insurance. She said she thinks that will change as her baby boom generation gets older and needs them more.

"Unlike our parents' generation, we are not afraid to complain. I do think you'll see a lot more pressure on the government and on private companies to pay for more," Hansen said.

But until then, don't expect to see this change any time soon. "There are 35 other mandated benefits you have to cover," said Susan Pisano, vice president of communications for America's Health Insurance Plans, a professional association that represents the health insurance industry. "To add something else -- especially with the high cost of health care, which will only continue to go up -- it is going to be a hard argument to make."

Where the argument might get easier is with children. "Hearing devices are an absolute necessity for children," Ramachandran said. "They are still developing speech and language, so they need to hear. Older people do need them, but they have an advantage over children with hearing loss. They already have experience with language, and their brain can sometimes fill in the gap with words they don't always hear. Children don't have that experience, and untreated hearing loss will severely hurt their development."

Jocelyn Ross knows that worry all too well. Her daughter Alyssa, born in 2009, is one of the 13,000 or so children born in the U.S. each year with congenital hearing loss. It is one of the most common sensory birth defects.

In South Carolina, where the Ross family lives, roughly 4% of infants fail the newborn hearing screening, according to Ross. Yet none of them receive any help under the state's public health law. Ross is trying to change that. She founded Let South Carolina Hear and helped persuade a state legislator to introduce a bill this year that would cover at least part of the cost. The legislation didn't make it through this session, but Ross is hopeful it will pass someday.

She needs to be. Ross says each of her daughter's behind-the-ear hearing aids cost $2,500. The devices require constant adjustment and will need to be replaced every few years as Alyssa grows older. If Ross lived in neighboring North Carolina, at least some of the cost of Alyssa's devices would be covered, but because she lives in South Carolina, that cost comes out of her pocket.

"This is a major life function, especially for children," Ross said. "I don't want her to have any limits, and with the devices she can do anything she wants to do. This is an expense that would be hard for anyone, but you do what you have to do." She says she worries, though, about the families that can't find that $2,500, and wonders what happens to their children, because she's seen how much hearing aids have transformed her daughter's life.

"Even when she was 2, she would point to her ears if the batteries got low," Ross said. "She only takes them off when she wants to go to sleep. She wants very much to be a part of the world, and she needs them to do this -- and so do so many others."

Have you experienced hearing loss? How do you feel about this? Please share your perspective with us in the comments below.

@highlight

75% to 80% of adults with hearing loss don't get hearing aids

@highlight

Hearing aids cost from $1,000 to $6,000 per ear

@highlight

Most private insurance companies and Medicare don't pay for them

@highlight

Almost everyone has some hearing loss over time