(CNN) -- From buying expensive caskets and tailoring new clothes to slaughtering animals and organizing a massive feast, little expense is spared in South Africa's elaborate funeral celebrations.

Here, as in other communities across Africa, the financial and social resources invested in funerals are matched by no other rite of passage.

"In the west, marriages are often the biggest life-cycle events. In Africa, it's funerals by far," said professor Michael Jindra, co-editor of "Funerals in Africa: Explorations of a Social Phenomenon."

Jindra explains that such large events, designed to pay respect to the dead and honor one's roots, also provide a kind of "social glue" for communities in many African societies: They are at the heart of social and cultural life, with status concerns, succession issues and family bonds also at stake.

Yet, honoring those who've passed away can also exact a huge financial toll on the already emotionally vulnerable relatives.

In South Africa, bereaved families often have to spend significant amounts to host lavish funerals and burial ceremonies. They are expected to host and feed extended relatives who visit from all over the country and can stay for weeks. Other costs include slaughtering a cow or a goat to honor the dead, renting hearse tents and arranging transportation to the burial ground for mourners.

"In many areas, a lot of people spend a lot of money on funerals. Sometimes, it's out of choice for reasons of status, but other times, it's simply out of the social pressure, and it is certainly putting burdens on people when they don't have a lot of money," said Jindra.

A 2009 report by economists Anne Case and Alicia Menendez found that the average price tag for an "honorable" funeral in South Africa between 2003 and 2005 was about 3,400 rand ($415), which is equivalent to 40% of the average annual household expenditure.

The report said that funeral expenses leave surviving family members vulnerable to future hardship, with spending on items such as food and clothes significantly lower following the funeral. Children in households that experienced a death are also less likely to be enrolled in school, while adults are much more likely to report problems such as symptoms of depression and periods of anxiety.

"The costs of food are enormous. The coffins are extremely expensive," said Case. "A family might spend as much money on a coffin as they will spend on their children's school fees for all of the period that their children are at school."

In Ghana, where funerals are often boisterous events of great size and importance, families tend to channel vast amount of resources and time in the memorials. One example is ordering custom-built coffins in just about any design shape that either are symbolic or reflect the deceased's profession.

Ghana's incredible coffins: Fish, bananas and buses

In Kenya, a 2004 study published in the Journal of Human Development found that 63% of households that declined into poverty in rural areas cited heavy funeral costs as a reason.

In Cameroon, Jindra says, people at times would opt for saving money for a funeral instead of contributing for medical costs while a person is still alive.

"People know that these funerals can be so expensive that they'll actually save money for that and spend it on that rather than health expenses that could actually keep the person alive longer," he said.

A financial instrument that has evolved in South Africa to help people prepare for funerals are savings clubs or accounts that pay out only upon death. Individuals usually belong to a burial society or pay weekly or monthly installments for insurance that guarantees that some expenses incurred for their funerals will be paid for by the insurer.

However, most times, the funds from these plans are not enough, forcing families to turn elsewhere for assistance.

"The households are really left scrambling," said Daryl Collins, co-author of "Portfolios of the Poor: How the World's Poor Live on $2 a Day" and director at Bankable Frontier Associates.

"The lion's share is paid for by the relatives, but what's hidden underneath that is that, oftentimes, what comes from the relatives is not quite enough, so there's quite a bit of borrowing from either friends or money lenders," she added.

As a result, nearly a quarter of households have no choice but to borrow money, according to Case and Menendez's study, with money lenders charging exorbitant monthly interest rates of 30% or more.

Reuben Naran, who built the Kings and Queens funeral parlor in Johannesburg to help fellow Zimbabweans bury their dead back home, says that funerals are creating a big financial burden for poor households.

"It costs you, you go and borrow money, you have to pay back to repay the money after the funeral, so it means your life will be affected most probably for the whole year for a single death," said Naran.

Inside his parlor, a relative of a deceased man agrees: "It is expensive because we have to donate. Each and every member of the family has to donate so that we can manage to take him home."

@highlight

Funerals in South Africa create a big financial burden for poor families

@highlight

Expenses include buying coffins, providing food and arranging for transportation

@highlight

The costs of funerals are shared by the relatives but they're still difficult to bear

@highlight

In many cases, families turn to money lenders to cover the costs