(CNN) -- Latinos, immigrants and Native Americans experience "a pattern of human right violations" in the American Southwest under U.S. immigration policies, Amnesty International said in a new report.

A two-year study focusing mostly on Arizona and Texas found that "communities living along the border -- particularly Latinos and individuals perceived to be of Latino origin, and indigenous communities -- are disproportionately affected by a range of immigration control measures, resulting in a pattern of human rights violations," Amnesty International said.

The report cited the failure of federal and state laws to respect immigrants' right to life and found that U.S. citizens of Latino descent and Native Americans are subjected to "discriminatory profiling by federal, state and local law enforcement officials, that result in their being disproportionately targeted for police stops and searches."

Other breaches of international human rights standards occurred in the access to justice for immigrant survivors of crime and in accountability for state officials and private individuals accused of abusing immigrants' rights, the group said.

"All immigrants, irrespective of their legal status, have human rights. Amnesty International's report shows that the USA is failing in its obligations under international law to ensure these rights," the report said.

The group's report, which urged a suspension and a federal review of all immigration enforcement programs, was criticized and dismissed by U.S. officials.

"Amnesty International's report is based almost entirely on either outdated information or anonymous anecdotes that can be neither investigated nor resolved," Department of Homeland Security spokesman Matt Chandler said.

"Moreover, the report does not offer thoughtful, actionable recommendations for improvement but instead calls for the wholesale suspension of immigration enforcement programs nationwide," Chandler said.

Federal and state authorities disputed the report's accusations of racial profiling and other findings.

"The Amnesty International Report makes a rather general statement of criticism toward all law enforcement in Southern Arizona," said Bart Graves, spokesman for the Arizona Department of Public Safety. "The Arizona Department of Public Safety does not take part in racial profiling."

Texas state police refer cases to the Border Patrol or Immigration and Customs Enforcement when there is a "reasonable suspicion that a person is in violation of a federal immigration law," said Tom Vinger, a spokesman for the Texas Department of Public Safety.

"The state of Texas does not have immigration laws. However, DPS officers do arrest criminal aliens, regardless of country of origin, when they violate state laws," Vinger said in a statement.

The federal Secure Communities initiative was designed to prevent racial profiling by having the fingerprints of every person arrested and taken into custody checked against FBI criminal records and federal immigration records, Chandler said.

That initiative reduces "the risk of discrimination or racial profiling because the program applies to all who are arrested and booked for a crime, including U.S. citizens and legal permanent residents," Chandler said.

The Amnesty International report said monitoring and accountability of immigration and law officers who practice discriminatory profiling is "lacking," and those officials are "rarely held to account, with the result that such practices have become both commonplace and entrenched," the report said.

FBI statistics show that bias crimes against Latinos have increased 40% from 2003 to 2007, and about 56% of bias victims don't file police reports because they often believe police won't help them, Amnesty International said.

"The fact that local law enforcement officials are used to implement federal immigration programs has exacerbated this problem. Those who do decide to report crimes may still be denied access to justice because law enforcement officials see them not as the victims of crime, but as criminals," the report said.

"Immigrant victims of crimes such as human trafficking and domestic violence also face obstacles when attempting to access justice and remedies, while the proliferation of recently enacted state laws in Arizona and other states across the country obstructs immigrants' ability to access education and essential health care services," the report added.

But the federal government said that under a new Immigration and Customs Enforcement policy, officers exercise "appropriate discretion to ensure victims and witnesses to crimes are not penalized by removal," Chandler said. The federal agency also developed a policy to protect victims of domestic violence and other offenses and to ensure the crimes are prosecuted, Chandler said.

The rights group criticized U.S. border policy for pushing undocumented immigrants to use deadly desert routes as a way to enter the country. Amnesty International reported as many as 5,287 migration deaths along the border from 1998 to 2008.

"Increasingly, state laws and local policies are creating barriers to or discouraging immigrants from accessing their rights to education and essential health care services, impacting their U.S. citizen children," the report said.

At the same time, the U.S. government has reported that 14,500 to 17,000 people are trafficked into the country for sexual or labor exploitation, and while the federal government offers so-called T-visas for such trafficking survivors, only 6% of such visas were actually utilized in 2009, Amnesty International said.

The report also recommended that the U.S. Customs and Border Protection should consult with the 26 Indian nations along the border and respect and facilitate the use of tribal passports, identification papers and immigration documents for travel across the international lines.

For example, the Tohono O'odham nation straddles both countries, including 76 miles of the international line, with 28,000 members in Arizona, the report said. The tribe uses identity cards listing one of five districts to which a U.S.-born member belongs, while the cards for members born on the Mexico side list "ND" for "No District," the report said.

Customs and Border Protection said it is working with tribes to develop forms of identification, and as of January, the federal government has approved six of 12 tribes' memoranda of understanding to develop tribal identification that is valid for crossing the border, Chandler said.

Of the six, two tribes, the Kootenai of Idaho and the Pascua Yaqui of Arizona, have fully approved Enhanced Tribal Cards that are accepted as documents to enter the United States, Chandler said.

@highlight

Amnesty International studies human rights violations on the U.S.-Mexico border

@highlight

Latinos, immigrants and Native Americans are subject to racial profiling, group says

@highlight

The group criticizes the lack of access to justice for immigrant survivors of crime

@highlight

Federal, Arizona officials dispute the report, saying it's outdated, anecdotal and generalized