(CNN) -- Rights groups are warning of a backlash against activists in Sri Lanka following a landmark United Nations resolution calling for an international inquiry into abuses at the end of the country's civil war.

The U.N.'s Human Rights Council passed a resolution Thursday calling for a "comprehensive investigation into alleged serious violations and abuses of human rights" allegedly committed both by Sri Lankan government forces and the separatist Tamil Tigers in the final stages of the country's brutal 26-year civil war.

The resolution -- the Council's third directed at Sri Lanka in recent years, but the first explicitly calling for an independent probe -- tasked the U.N.'s Office of the High Commissioner for Human Rights with conducting the investigation. Sponsored by countries including the United States and Britain, the resolution was supported by 23 members of the 47-member Human Rights Council, with 12 opposed and 12 abstentions.

In comments on a government website, Sri Lanka's President Mahinda Rajapaksa said his government rejected the resolution, saying it did not help efforts at national reconciliation. The government would press ahead with its own healing process by pursuing recommendations made by its Lessons Learned and Reconciliation Commission, he said.

A bloody end

The Sri Lankan civil war ended in May 2009 with the crushing defeat of the Tamil Tigers in their heartland in the north of the island.

According to a report by a panel appointed by U.N. Secretary-General Ban Ki-moon, government troops were responsible for abuses including the intentional shelling of civilians, summary executions, rape, and blocking food and medicine from reaching affected communities. One report estimates up to 40,000 Tamil civilians may have been killed in the war's final stages.

The Tigers similarly stand accused of abuses, including using child soldiers, deploying civilians as human shields, and killing those who tried to escape.

The Human Rights Council resolution also expresses "serious concern" at conditions that rights organizations claim persist in Sri Lanka -- including the intimidation of activists, disappearances and torture.

Sri Lanka's government has consistently denied the allegations against it, and claims it faces a renewed threat of Tamil separatists regrouping in the country's north. This week, it banned the Tamil government-in-exile and 15 other Tamil groups operating in the U.S., Britain, Canada, Australia and Norway, accusing them of committing and supporting terrorism.

Amnesty International's representative to the U.N. in Geneva, Peter Splinter, told CNN that the move would add to a climate that made it difficult for NGO staff, journalists and others interacting with Tamil groups, as it could render them vulnerable to anti-terror laws.

"The consequences of that is that anyone dealing with those organizations will be subject to accusations of cooperating with terrorism --- that brings them within the parameters of a rather draconian piece of legislation, the Prevention of Terrorism Act," he said.

'Culture of impunity'

Rights groups have welcomed the U.N. resolution, with David Griffiths, Asia-Pacific deputy director at Amnesty International, saying it brought "new hope for the thousands of victims of abuses in Sri Lanka," and presented the country's government with the opportunity "to restore some international credibility by cooperating with the investigation."

But they say that Sri Lanka appeared to be responding to the increased international scrutiny by demonstrating a renewed determination to crack down on dissent.

Fred Carver of the UK-based Sri Lanka Campaign for Peace and Justice said the recent arrests of prominent human rights activists Ruki Fernando and Rev. Praveen Mahesan under anti-terror laws highlighted the "culture of impunity" in which the government was operating.

Shortly after Fernando was released after more than two days of detention last month, he told CNN he believed his arrest was part of "a deliberate attempt to intimidate and suppress any form of dissent, criticism or challenge, and clearly not allow people outside Sri Lanka to know what's happening inside the country." Fernando, who Carver said had since been instructed by the government not to speak with media, said the security personnel questioning him seemed interested in whether he was sharing information with people behind the U.N. resolution in Geneva.

Splinter said the crackdown on activists and civil society figures appeared calculated to send a message to potential witnesses not to cooperate with the U.N. inquiry, which was scheduled to deliver an oral report to the Human Rights Council in September, and a written report in March.

He said Sri Lanka's refusal to cooperate with the probe would likely not prove an issue, as similar commissions of inquiry into abuses in Syria and North Korea had progressed without the involvement of those governments. A crucial consideration, though, would be safeguarding the protection of witnesses, as even those in the diaspora would likely have family members remaining in Sri Lanka who could be vulnerable to potential retribution, he said.

READ MORE: Are Sri Lanka's 'anti-terror' arrests an attempt to intimidate activists?

@highlight

The U.N. has moved to launch an international inquiry into alleged abuses in Sri Lanka's civil war

@highlight

Rights groups warn Sri Lanka is responding to scrutiny with a hard line on dissent

@highlight

Some advocates say recent arrests seem intended to discourage testimony

@highlight

Sri Lanka has banned Tamil groups operating in the West, accusing them of terrorism