It took years and a good bit of detective work by art experts and scientists to unveil a painting hidden underneath Pablo Picasso's 1901 masterpiece "The Blue Room."

Using infrared technology, experts at The Phillips Collection in Washington discovered a portrait of a bearded man wearing a jacket and a bow tie, his face resting on his hand, with three rings on his fingers.

Curators and conservators there have been working with a team of experts from the National Gallery of Art, Cornell University and the Winterthur Museum in Delaware to analyze the painting and try to identify the mystery man in the work.

"This painting 'The Blue Room' is very important in (Picasso's) early work. It's considered an early Blue Period painting," Patricia Favero, associate conservator at the Phillips, said of the period early in the artist's career when he produced often melancholy, mostly monochromatic paintings in shades of blue. "To find this painting underneath -- which we think was painted in the same year, just earlier in the year and it's completely different in style -- it gives us some insight into Picasso's development over the course of that year."

Picasso's Blue Period was an experimental time during which the young artist was trying to figure out his style, Favero explained. Understanding more about the work that lies underneath this famed masterwork and others will help art historians learn more about Picasso's development as a young artist.

"It just gives us a whole other body of work to look at," she said.

"The Blue Room" has been part of The Phillips Collection since 1927. For decades, experts have wondered whether the painting might hide another work. A 1954 letter from a conservator working with Duncan Phillips, the museum's founder, noted a difference in the texture of the paint and his suspicion that there might be a painting underneath.

Technology played a key role in uncovering the hidden portrait. When the painting was loaned to The National Gallery of Art in the 1990s, the gallery X-rayed the painting, revealing an image underneath.

It wasn't until 2008, when more advanced infrared technology was available, that the Phillips was able to take a clearer picture, revealing the bearded mystery man.

Picasso's grandson raffles off painting to save ancient city

"We've had infrared technology since the '50s or even before, and in the '90s we had fairly decent infrared technology, but the technology has certain improved over the last 10 or more years," Favero said. "The technology had improved such by 2008 that in our small lab, here with our little camera, we were able to get the image that you see."

The Phillips enlisted the help of scientists and Picasso experts who have been working since then to analyze the pigments and understand the different palettes of the painting and to confirm that it was painted by Picasso, Favero said.

The team hopes to figure out who the man was, but because the portrait was painted early in Picasso's career, before he began keeping records, identifying the subject could be difficult.

"This is turn of the century Paris. This is presumably in Montmartre where Picasso had the studio, and the challenges are if there's no documentation existing to tell us -- a letter, even a drawing with an inscription -- the challenge is to find a picture," Favero said. "I'm not sure what other documentation exists in terms of papers letter other drawings. We've enlisted the help of other art historians and art experts to help us with that."

Picasso has been known to paint over his work before, possibly to save money or to paint over a work that had not sparked buyer interest.

"It was a period in his life when he was broke and he needed to repurpose canvasses," The Phillips' associate curator Susan Frank explained. "Picasso is an artist who worked so quickly and had so many ideas that reusing these canvasses to capture a current idea was part of his process."

"The Blue Room" is part of a tour to South Korea until early 2015. The Phillips is planning an exhibition around "The Blue Room" in 2017.

16 artist hangouts you can still go to

Ryan O'Neal can keep Farrah Fawcett portrait, jury says

Owner of art collection suspected to contain Nazi loot dies

U.S. stops sale of Picasso painting valued at $11.5 million

@highlight

Pablo Picasso's "The Blue Room," a 1901 masterpiece, is painted over a portrait of a man

@highlight

Suspicions of a hidden painting swirled for years, but technology had not caught up

@highlight

Experts are trying to figure out who the bearded man in the painting is