Washington (CNN) -- For Amanda Ihnat, a millennial and a conservative, Sen. Rob Portman's change of heart on supporting same-sex marriage was a much-needed â€” albeit tardy turnaround.

For fellow conservative Peter Konetchy, a baby boomer, the Ohio Republican's switch signals a decided lack of principles.

The two divergent views illustrate the kind of challenges facing the Republican Party as it undergoes a major makeover after losing the 2012 presidential election.

The party is trying to figure out how to embrace and capitalize on the youthful energy of young members like Ihnat while not alienating long-standing members like Konetchy.

Last year, a poll by the Pew Research Center found the percentage of Republicans between 18 and 29 who opposed same-sex marriage dropped to 30% from 48% in 2004. Among those 50 to 64, the percentage also dropped, but less dramatically -- 78% to 68%.

"Slowly, we are seeing a movement among some that identify as conservative that same-sex marriage is going to become a reality down the road," said Craig Rimmerman, professor of public policy and political science at Hobart and William Smith Colleges and author of "From Identity to Politics: The Lesbian and Gay Movements in the United States."

"They are realizing that there are other issues that are much more important to them worth fighting," he said. "Younger people who consider themselves conservatives just don't care. And these younger conservatives are more concerned with the state of the economy and whether they are going to have a job when they come out of school."

CNN Exclusive: One conservative's dramatic reversal on gay marriage

The generational split was especially stark at the Conservative Political Action Conference just outside of Washington on Friday.

Some younger conservatives like Ihnat warmly greeted the news that after Portman's 21-year-old son, Will, told his parents that he was gay, Portman came to the conclusion that same-sex marriage "is something that we should allow people to do."

Ihnat said that as a college student, she has a "liberal stance" on the issue.

"I think it is great for someone to come out and say they are in support of gay marriage. ... The party kind of needs to be more welcoming and involved, so I think it is a good step."

However, many older Republicans didn't share Ihnat's sentiments.

"I think it means that he has no principles, to be honest with you," said Konetchy, 58. "He can support his son and love his son, but you have (to decide) something is either right or wrong."

Nationally, polls have shown growing support for same-sex marriage.

A recent survey from Quinnipiac University found that 47% of those polled support same-sex marriage while 43% oppose it. The poll also indicates a wide partisan divide on the issue with Democrats supporting same-sex marriage at 65%, Independents 50% and Republicans 23%.

Same-sex couples can now legally marry in nine states and the District of Columbia.

The president and the nation have evolved on same-sex marriage

"We've grown up with gay men and women being out of the closet. We have gay friends. It's not as shocking as it is for boomers," Amy Holmes, a CNN political contributor and conservative commentator said recently. "Older conservatives recognize that a lot of younger conservatives are more socially liberal."

An upcoming, internal report by the Republican National Committee is expected to point to the wide popularity gap between Democrats and Republicans with women, minorities and young votersâ€”three critical voting blocs that helped President Barack Obama win re-election.

The report comes as the U.S. Supreme Court considers two politically charged same-sex marriage cases. One involves the federal the Defense of Marriage Act, which defines marriage as between a man and a woman and was supported by Portman. The other appeal involves a California law banning gay marriage.

But when it comes to same-sex marriage, the Republican Party will still face opposition from many members.

"These latest, sudden changes in opinion are classic examples of caving in to political pressure," Tim Wildmon, president of the American Family Association, said in a statement.

Portman called fellow Ohioan and House Speaker John Boehner to inform him of his revised position according to a Boehner spokesman.

"Senator Portman is a great friend and ally and the speaker respects his position, but the speaker continues to think that marriage is between a man and woman," said Michael Steel, Boehner's spokesman.

Top Republicans sign brief supporting same-sex marriage

Hours after Portman announced that he had reversed his position on same-sex marriage, former House Speaker Newt Gingrich said he would not second-guess him. But he's not entirely embracing Portman's change of heart, either.

Portman told CNN's Dana Bash that he wanted all of his children to experience the "joy and stability of marriage" that he and his wife have had for 26 years. This includes "our son, who is gay."

Will Portman tweeted Friday that he is "especially proud of my dad today."

Gingrich acknowledged on CNN's "Starting Point" that when an immediate family member reveals that he or she is gay, there are typically three responses.

"You can say, 'I believe my principles so much, I'm kicking you out.' You can say, 'I still believe in my principles, but I love you.' Or you can say, 'Gee, I love you so much, I am changing my principles,'" Gingrich said. "Rob picked the third path. That's his prerogative."

The former presidential candidate stands by his own belief that a marriage is between a man and a woman, and argued the traditional definition will stay in place "no matter what politicians" do.

"I don't think they have the power to change what is a religiously inspired definition," Gingrich said.

Former Pennsylvania Sen. Rick Santorum, a social conservative who ran for president in 2012, said Portman's about-face was personal and doesn't reflect the party's broader direction on social values.

"I'm not too sure the rationale behind what Senator Portman's doing is something that has broad application to the base," Santorum told CNN. "The fundamental principles that attach to the institution of marriage really haven't changed as a result of that personal story. We need to look at what's right, what's right for the American public and more importantly, what's right for children. So we need to try and fight for those things."

Rimmerman said it will be up to younger conservatives who support same-sex marriage to help change views within the GOP.

"It's going to take younger conservative voters to send a message to their party elders that that message is unacceptable," he said.

Some on the right, however, applauded Portman's decision.

Gregory T. Angelo, executive director of the Log Cabin Republicans, said in a statement "if there was any doubt that the conservative logjam on the issue of civil marriage for committed gay and lesbian couples has broken, Senator Portman's support for the freedom to marry has erased it."

"(His) evolution on this issue highlights how personal it is for Americans -- whether they're the junior senator from Ohio or your next-door neighbor, all Americans have a gay friend, colleague or family member, and understand them to be as deserving as their straight counterparts of the inalienable rights of life, liberty, and the pursuit of happiness that are the promise of the United States," Angelo continued.

CNN's Steve Brusk, Ashley Killough, Dan Merica, Paul Steinhauser Shannon Travis and Deirdre Walsh contributed to this report.

@highlight

Some conservative millennials more accepting of same-sex marriage, polls, experts say

@highlight

GOP will have to work to consider younger, socially liberal and older, conservative positions

@highlight

Desire for inclusiveness may influence GOP views on same-sex marriage

@highlight

NEW: Rick Santorum says Portman's about-face doesn't reflect GOP's broader direction