(CNN) -- One of the most high-profile appointments President Obama will make in his second term is the director of the CIA. Here's a tip for the president: The time is ripe for the first woman to head the agency.

Choosing a woman isn't just about narrowing the intelligence community gender gap. It's also about drawing from the whole pool of talent to ensure the best national security apparatus and responding to Americans' apparent desire for more women in government. Here are the Top 10 reasons President Obama should name a woman as the next CIA director.

1) It would inspire more women to enter the fields of foreign policy and intelligence. The intelligence and foreign policy community is predominantly male. According to a 2009 report published by Women in International Security, women comprise about 13% of the Senior Intelligence Service, and between 21% and 29% of key agencies that grapple with national security matters, like the U.S. Department of State and U.S. Department of Defense. That should be rectified.

2) The November 6 elections showed Americans want to see more women in senior government positions. Women make up 20% of the Senate, a historic high. Overall, the next Congress will have almost 100 women.

3) Women at the CIA are increasingly playing significant behind-the-scenes counterterrorism roles.  Women were instrumental in the hunt for Osama bin Laden. Mike Scheuer, the first chief of the CIA's first unit focused on tracking bin Laden, has noted that female intelligence analysts were integral in the first captures of senior al Qaeda leaders after 9/11. In his book "Manhunt," al Qaeda expert and CNN national security analyst Peter Bergen writes, "The prominent role that women played in the hunt for bin Laden was reflective of the largest cultural shift at the CIA in the past two decades."

Bergen: Tough choice for Obama on Petraeus' successor

4) Appointing a woman could assist on the public relations front. The reputations of the intelligence and defense communities have been somewhat tarnished by
events surrounding the resignation of CIA Director David Petraeus and the investigation of Gen. John Allen; a big change at the top could help.

5) It's a high-profile moment to appoint a woman as director. Pop culture reflects today's obsession with national security and intelligence issues. Media coverage of Petraeus' resignation and the attacks on the Benghazi consulate have fueled this interest. The movies "Argo," "Skyfall" and the upcoming "Zero Dark Thirty" about the hunt for bin Laden, as well as Showtime's "Homeland," have fed into the fascination with spying. Too bad the most-watched woman in national security, "Homeland's" protagonist Carrie Mathison, is fictional.

6) Motivating more women to join the community is a national security issue: Staying safe in a world with increasingly complex and transmuting threats requires intelligence leaders to recruit the best and brightest; tapping half the population isn't enough.

7) More women in senior intelligence and national security positions could have a positive impact in unanticipated ways. In general, diversity can help temper group-think, generate innovative problem-solving, bring new issues to the agenda and change meeting dynamics for the better.

8) Plenty of women are qualified for this role. Some examples: former Rep. Jane Harman, head of the Woodrow Wilson Center and former ranking Democrat on the House Intelligence Committee; Janet Napolitano, secretary of Homeland Security; Sen. Dianne Feinstein, chairwoman of the Senate Intelligence Committee; Hillary Clinton, secretary of state; Condoleezza Rice, former secretary of state; Anne-Marie Slaughter, former director of policy planning at the State Department; MichÃ¨le Flournoy, former under secretary of defense for policy and Frances Townsend, former homeland and counterterrorism adviser to President Bush and a CNN contributor, to name a few. Of course, many other senior women with less name recognition from within the intelligence community would be excellent candidates.

9) Women hold the top post in many other countries and it's time for the United States to catch up. Women hold the highest office, as president or prime minister, in Switzerland, Denmark, Germany, Iceland, Argentina, India, Australia, Brazil, Jamaica, Trinidad, Liberia and many other countries. Great Britain, Israel, Finland, France, Turkey, Pakistan, and many others have had women serve in those positions. The United States is still behind on this front and has another four years before this even becomes a possibility.

10) Once a woman is appointed to a top position, it opens the door to others with immense talent. Since President Clinton appointed Madeleine Albright to serve as the first female U.S. secretary of state, Condoleezza Rice and Hillary Clinton followed.

In a recent New Yorker article titled "The CIA's Next Leader," Steve Coll writes: "The United States has never had anyone but white men run the (CIA), the Pentagon, or the FBI -- an increasingly absurd and shameful record." A woman at the helm of the CIA wouldn't simply make another crack in the intelligence glass ceiling, it could effectively shatter it.

The opinions in this commentary are solely those of Tara Maller.

@highlight

Tara Maller says President Obama should appoint a woman as head of the CIA

@highlight

She says it would inspire more women to join an agency dominated by men

@highlight

Maller: Americans want more women in government, and many women are highly qualified

@highlight

It's time for a change as women play more and more prominent roles in intelligence, she says