(CNN) -- Of the four to five billion injections given each year in India, at least 2.5 billion are unsafe, according to one study. In some cases, that means they are administered using unsterilized second-hand syringes that could be contaminated with a blood-borne disease such as hepatitis or HIV.

A simple change to the way syringes are made could dramatically reduce those figures and save thousand of lives each year, according to David Swann of Huddersfield University, in England. His design for a new kind of syringe that changes color after it has been used was nominated for an INDEX: Award.

"1.3 million people (globally) a year die from unsafe injection practices," Swann says, quoting WHO figures. "It accounts for over 30% of hepatitis A and B cases and 5% of HIV cases."

He explained that in India it is common for scavengers to hunt through landfill sites looking for old syringes that they can clean up and sell to clinics.

"When you compare a sterile syringe just out of its packaging with a syringe that's been washed, how do you determine the difference?" he said. "We conceived an intelligent ink that, if exposed to air by taking it out of the package or if the package is breached that would activate it and turn it red."

Read this: Tiny computer takes prize at design awards

The ABC Syringe is impregnated with an ink that's sensitive to carbon dioxide and then sealed in a protective atmosphere so that it remains transparent until it is ready for use. After the seal is broken, the shell of the syringe starts to turn a dark red, alerting both doctors to the risk that the syringe may already have been used.

Swann's intention is that the introduction of the ABC syringe should be accompanied by a public information campaign so that patients would also associate a red syringe with danger and would be able to insist on sterile equipment.

"We had to be really quite clever in looking at technologies that cost next to nothing, and modified-air packaging is one of those technologies," Swann said. "It only adds 1% to the retail price, so on a two-and-a-half pence (four cents) syringe it becomes quite an interesting proposition."

According to Swann's calculations, if the ABC syringe is used for 5% of injections administered in India, after five years it will have prevented more than 700,000 infections and saved $130 million in medical costs.

Watch this: Life-saving device brings hope to India

Denis Maire, who works for the World Health Organization's health systems and innovation taskforce, said the ABC Syringe could help to make injections safer.

"Anything that can contribute to decrease the reuse of syringes is worth considering and cost is certainly a major factor," he said. "The great advantage of this concept is that not only health care workers but also patients can have a visual appreciation on the safety status of the device. In my view this could be a good deterrent for practitioners to reuse."

However, he noted that it would be possible for unscrupulous doctors to override the visual warning if their patients did not know the meaning of the color change. He also said that the one-minute delay before the syringe turned red may not be long enough.

"How would you distinguish good and bad syringes if the injections are not practised inside this lap of time?" he said. "It could create confusion and render the concept ineffective."

Ravi Naidoo, a member of the INDEX Award jury and the managing director of Design Indaba, an agency that aims to put creative ideas into practice, said that working with the international medical community would help to turn the prototype into a viable product.

"This innovation speaks to the endless possibilities of design, creativity and innovation in addressing real-world issues," he said. "In addition to being cost-effective, which will ensure the accessibility of the solution, it also allows patients to take charge of a critical issue â€” great example of empowerment through smart design."

@highlight

Scavengers in India clean old syringes from landfill sites and sell them to clinics

@highlight

New syringe design changes color after use if it is contaminated

@highlight

The 'intelligent ink' is projected to prevent more than 700,000 infections in five years