Simferopol, Ukraine (CNN) -- U.S. President Barack Obama and Ukrainian interim Prime Minister Arseniy Yatsenyuk had strong words for Russia on Wednesday as Washington again warned Moscow there will be consequences if it doesn't remove its troops from Crimea and Kiev said that it will "never surrender."

But Yatsenyuk also said after his meeting with Obama at the White House that Ukraine, a former Soviet Republic, wants to be good friends with Russia.

"We will continue to say to the Russian government that if it continues on the path that is on, then not only us but the international community ... will be forced to apply a cost to Russia's violations of international law," Obama told reporters. "There is another path available, and we hope that (Russian) President (Vladimir) Putin is willing seize that path."

Yatsenyuk -- who took over after the ouster of Viktor Yanukovych, the pro-Russian former president of Ukraine -- said that Ukraine is fighting for its freedom.

"We fight for our sovereignty, and we will never surrender," he said. Later he added that he wanted to be clear that Ukraine "is and will be a part of the Western world" but still a "good friend and partner of Russia."

At a meeting of an international affairs think tank called the Atlantic Council in Washington, Yatsenyuk further explained.

"We still want to have a free (and) equal partnership with Russia. And you can't do it having a military incursion. We do not consider a military option as the best option on how to fix this crisis," he said.

Even as the leaders met earlier pro-Russian forces were tightening their grip in Crimea ahead of a secession referendum denounced by the West.

Well-armed men have effectively isolated the Crimean peninsula, which has an ethnic Russian majority, from the rest of Ukraine.

Tensions flared Wednesday at a Ukrainian military base in Novoozernoye, in western Crimea. A CNN team saw Ukrainian forces load and cock their weapons as what appeared to be Russian soldiers moved in on the base and placed a heavy machine gun at the gates. The Russian troops pulled back.

Yatsenyuk first met U.S. Secretary of State John Kerry before heading to the White House and later met with members of the Senate Foreign Relations Committee.

He will go to New York on Thursday to address the United Nations Security Council. The Ukrainian delegation will also meet with Congress, the World Bank and the International Monetary Fund while in Washington, in an indication of international support for Ukraine's fledgling government.

Yatsenyuk's visit comes as breakneck preparations are under way for a Sunday referendum in Ukraine's Black Sea peninsula -- to be held largely in secret -- and tensions persist around Simferopol, Crimea's capital.

Flights to Crimea from Kiev, Istanbul and several other cities have been suspended for the rest of the week, with only those originating from Moscow landing.

Crimeans will be able to choose between two alternatives when they vote: Do you support reuniting Crimea with Russia, as a subject of the Russian Federation? Or, do you support the restoration of the 1992 Constitution of the Republic of Crimea and Crimea's status as a part of Ukraine?

The Crimean Electoral Commission was delivering referendum ballots to regional administrative buildings, according to the body's head, Michail Malishev.

The new pro-Russian government on the peninsula in Ukraine's southeast said Tuesday that if the voters opt to join Russia, the first step will be to declare Crimea an independent and sovereign state. Then it will apply to join the Russian Federation.

Crimea's representatives have already approached Moscow with their idea. Russian leaders have greeted them with open arms.

Diplomatic pressure

Russian-speaking troops wearing no identifying insignia have Crimea firmly under their control. Many believe that they belong at least in part to Russia's military, an assertion Moscow has repeatedly denied. Russia says they are local "self-defense" forces.

There has been an international outcry over Crimea's push for separation and warnings that the referendum won't be recognized in Kiev or elsewhere.

Efforts to exert diplomatic pressure on Moscow continued Wednesday despite little sign that Russia is listening.

Kerry said he would meet Friday in London with Russian Foreign Minister Sergey Lavrov, to continue discussions on the situation in Ukraine.

Meanwhile, French President Francois Hollande told Putin, in a phone call that the referendum planned in Crimea "has no legal basis."

Hollande urged Putin to "do everything to prevent the annexation of Crimea to Russia," saying that such a move would be unacceptable to the international community.

In a different tone, a statement from the Kremlin said Putin and Hollande had agreed to continue discussions, and France's foreign and defense ministers would travel to Moscow next week.

U.S. military presence

CNN has learned the Obama administration is expected to announce Thursday a Pentagon plan to keep the aircraft carrier USS George H. W. Bush in the Mediterranean Sea longer than planned to help reassure NATO allies in the wake of the Russian invasion of Crimea.

One official said U.S. military assets in the region are being reviewed for "what stays, what goes, what gets moved around." Although the U.S. effort with Russia focuses on diplomatic initiatives, the military part of the equation was discussed in depth at a White House meeting Tuesday, the military official confirmed.

Asked about the decision to keep the aircraft carrier in the Mediterranean, a senior administration official said not to expect much more muscle-flexing, or additional military steps, between now and Sunday's referendum in Crimea.

G7 tells Russia to back off

The G7 -- the world's leading industrial powers without Russia -- and leaders of the European Council and Commission issued a strongly worded statement calling on Russia to "cease all efforts to change the status of Crimea contrary to Ukrainian law and in violation of international law."

The statement urged Russia to immediately halt actions supporting the referendum.

"Any such referendum would have no legal effect. Given the lack of adequate preparation and the intimidating presence of Russian troops, it would also be a deeply flawed process which would have no moral force. For all these reasons, we would not recognize the outcome," it said.

It warned that the annexation of Crimea could have "grave implications" for the legal order protecting the sovereignty of all states. "Should the Russian Federation take such a step, we will take further action, individually and collectively," it said.

The G7 nations -- the United States, Canada, France, Germany, United Kingdom, Italy and Japan -- had already suspended preparations for a planned G8 summit in the Russian city of Sochi in June in response to Russia's actions in Ukraine.

World stage

The peninsula in the Black Sea, with a population of just over 2 million people, has stepped into the spotlight of the world stage.

The West has been preparing sanctions and at the same time telling Moscow that there is a way out of an economic and diplomatic showdown: Talk to Ukraine's new government and don't intervene militarily.

Moscow has denounced the events that led to Yanukovych's ouster as an illegitimate coup and has refused to recognize the new Ukrainian authorities.

Yanukovych, currently in Russia, insists he is still the legitimate leader of Ukraine and has vowed to return to Kiev "as soon as the circumstances allow."

He fled Kiev on February 22 after three months of protests against his decision to scrap a trade deal with the European Union and embrace closer ties with Russia.

Putin has said his government has the right to protect ethnic Russians living there.

Unarmed military and civilian observers from the Organization for Security and Co-operation in Europe are now on the ground in the city of Donetsk, in eastern Ukraine, the regional security bloc said via Twitter. The team was repeatedly turned back from entering Crimea by armed men.

A report by the OSCE observer team said that although it was prevented from entering Crimea, its "observations produced significant evidence of equipment consistent with the presence of Russian Federation military personnel (in the vicinity of) the various roadblocks encountered."

The evidence included Russian pattern uniforms and equipment without identifying patches, as well as trucks bearing license plate numbers associated with Russia's Black Sea Fleet, the observers said.

"This report adds to our deep concerns and clearly suggests direct involvement by the Russian Federation and its agents in preventing impartial, unarmed observers from doing the work they are supposed to do," U.S. Ambassador to the OSCE Daniel Baer said. "Russian encouragement of and support for illegal checkpoints is unhelpful."

Meanwhile, the United Nations said assistant secretary-general for human rights, Ivan Simonovic, had canceled a visit to Crimea -- primarily because of the logistical challenges at Simferopol airport and because he had been informed by authorities that he could not be received.

Aid package clears early hurdle

Eight U.S. senators, led by Arizona Republican Sen. John McCain, are scheduled to travel to Ukraine in coming days.

Meanwhile, the Senate Foreign Relations Committee approved a package of loans and aid for Ukraine on Wednesday, along with sanctions against Russia for its military intervention. The measure, which now heads to the full Senate, also includes the approval of long-delayed reforms at the International Monetary Fund.

The aid package includes $1 billion in loan guarantees from the United States as well as $50 million to boost democracy-building in Ukraine and $100 million for enhanced security cooperation for Ukraine and some of its neighbors.

The full Senate will vote on the package after the chamber returns from a recess.

"It always takes time to make good things," Yatsenyuk said Wednesday night, adding that his country praised the United States for its support.

Russia: 'Absolutely legitimate'

Russian officials have compared Crimea's potential departure from Ukraine to Kosovo's secession from Serbia after many years of bloody civil war with its former neighbor.

Western governments recognized the separation over bitter opposition from Serbia and its historical allies in Moscow.

In a written statement, the Russian Foreign Ministry cited it as a precedent for the "absolutely legitimate" Crimean vote.

"The Russian Federation will respect the results of the free vote of Crimea's people during the referendum," it said.

INTERACTIVE: Comparing military forces

CNN's Nick Paton Walsh reported from Simferopol, as did journalist Nadjie Femi. CNN's Laura Smith-Spark wrote from London and Steve Almasy and Ben Brumfield wrote from Atlanta. CNN's Anna Coren in Simferopol, Alla Eshchenko and Fred Pleitgen in Moscow, Tim Schwarz in Kiev, and Clare Sebastian in Crimea contributed to this report. CNN's Kevin Liptak, Damien Ward, Shirley Henry, Harrie Reekie, Richard Roth, Stephanie Halasz, Marie-Louise Gumuchian and Matt Smith also contributed.

@highlight

Ukrainian interim Prime Minister praises U.S. for aid package

@highlight

G7 nations issue strongly worded warning to Russia to halt its actions in Crimea

@highlight

Pro-Russians tighten their grip of security measures ahead of Sunday referendum

@highlight

U.S. ambassador to OSCE cites indications Russian forces are directly involved in Crimea