(CNN) -- African art has long been about more than just tribal masks and traditional carvings, and now contemporary African artists are being recognized globally.

The Johannesburg Art Fair recently showcased the works of 400 African contemporary artists, attracting more than 10,000 visitors. Organizer Ross Douglas told CNN there had been an explosion of interest in African art in recent years.

"Africa has always had a strong tribal art and a strong craft component, and that will always stay, he said.

"But that doesn't mean there can't be a contemporary market existing alongside that, and if you look in South Africa at the contemporary market in the last four or five years, it's absolutely exploded.

"If you look at the number of young black artists doing well, making a living, it's extraordinary. Five years ago it just didn't exist."

But the attention being bestowed on contemporary African art is a relatively new phenomenon. Auction house Bonhams says its New York sale last month was the first commercial auction dedicated solely to contemporary African art in the United States, and it says the UK's first auction only took place last year.

While auction house Phillips de Pury's Africa art sale and exhibition will take place on May 15 in New York. The sale will include works of contemporary art, photographs, design and editions which reflect the spirit of the continent.

Somali sisters journey from civil war to New York fashionistas

Giles Peppiatt, director of African art at Bonhams, said these kinds of sales were still too rare. "In some ways it's remarkable -- here we are in 2010 and this is the first auction of its type in New York," he told CNN. "It's never been done before. Actually I was very surprised by that,"

But he says he's not surprised by the growing interest in African art. Bonhams says the auction has generated considerable buzz. Prince Yemisi Shyllon, who has an extensive collection of Nigerian art, was one of those in attendance.

Shyllon told CNN, "I don't promote Nigerian art in terms of the value. I promote in terms of the benefits and the joy it can confer to the world."

But monetary value is unavoidable at an art auction. About half of the 140 pieces at the Bonhams auction sold, with prices ranging from $1,000 to $92,000. The value of African art could increase as international interest develops and the buying pool expands.

"At the moment the majority of the collectors are people who have an interest or contact with Africa," said Peppiatt. "We aren't yet seeing these people buying these works without that connection.

"Look at the other markets -- no one buys a van Gogh because he's Dutch or because the buyer's Dutch. It doesn't matter where the artist was born or what nationality he was. But I think with the African art it still does matter. It hasn't yet broken into the international market."

Ghana's beads back in vogue

While the rest of the world is catching up with African art, the artists themselves continue to push artistic boundaries.

South African Lawrence Lemaoana was one of the artists exhibiting at last month's Johannesburg Art Fair. His work is all about challenging the traditional.

"I look at the ideas of stereotypes, and the idea of men sewing and the idea of how that's a feminine activity ... [and ask] how do we subvert that into something that's really not feminine? So I am sewing and I am making artwork that's quite edgy," Lemaoana told CNN.

"Artists are not limited to painting and traditional ways of making art. There are other possibilities of speaking a language and finding new and innovative ways of communicating."

Nkepile Mabuse, Isha Sesay and Mark Tutton contributed to this report

@highlight

Market for contemporary African art has exploded in the last five years, says expert

@highlight

U.S. held its first auction of contemporary African art last month

@highlight

Artists at Johannesburg Art Fair are pushing the boundaries