University Park, Pennsylvania (CNN) -- The Penn State football coach who alerted head coach Joe Paterno in 2002 that he'd seen a former defensive coordinator sexually assault a boy -- an allegation authorities didn't learn of until years later -- was placed Friday on indefinite leave, the school's interim president said.

With that, Mike McQueary became the latest casualty in a scandal that began with last week's arrest of the man he allegedly witnessed commit the crime. The arrest set off a chain of events, including the ouster of the university's president and of longtime coach Paterno, a move that sparked on-campus riots after it was announced Wednesday.

McQueary in recent months told a grand jury that, when he was a graduate assistant, he saw Jerry Sandusky, now 67, sexually assault a young boy at the campus' football complex. He said he reported the incident to Paterno, who alerted Athletic Director Timothy Curley, Pennsylvania Attorney General Linda Kelly said earlier this week.

Neither Paterno, 84, nor McQueary is criminally charged. Kelly has said that the alleged failure of Curley and Gary Schultz, the university's senior vice president for finance and business, to tell authorities about McQueary's abuse claim "likely allowed a child predator to continue to victimize children for many, many years."

On Friday, acting President Rodney Erickson announced that he and newly named Athletic Director Mark Sherburne had decided to put McQueary on administrative leave. A day earlier, the school athletic department said McQueary would not coach in Saturday's game against Nebraska due to "multiple threats" against him.

"It became clear that Coach McQueary could not function in this role, under these circumstances," Erickson said of the decision.

Sandusky, the football team's defensive coordinator between 1977 and 1999, was taken into custody Saturday for allegedly sexually assaulting children.

Sandusky, who is free on $100,000 bail, disputes the 23-page grand jury summary of graphic testimony describing the alleged crimes between 1994 and 2009, his attorney, Joseph Amendola, has said. On Friday, the lawyer told CNN that a rock had been thrown through a window at Sandusky's home.

The scandal has stirred an uproar and a flurry of action over how Penn State athletic and administrative officials handled the matter.

Erickson said Friday that he'll appoint an ethics officer to report directly to him. He added that he wants to encourage openness and dialogue among the school's 96,000 students so that they do not hesitate to report such allegations.

"Never again should anyone at Penn State -- regardless of their position -- feel scared to do the right thing," he said.

Earlier, he announced the creation of a committee to review sexual abuse allegations at the school -- an inquiry that its chairman, Kenneth Frazier, promised Friday would be "rigorous, objective and impartial." State Education Secretary Ronald Tomalis will serve as vice chairman, it was announced at a board meeting.

Erickson's predecessor was Graham Spanier, who initially had voiced support for Curley and Schultz and later was removed from office by a unanimous vote of the board of trustees.

A senior Navy official told CNN on Friday that, "based on the events this week at Penn State, Navy officials are reviewing" Spanier's membership on the board of advisers at the Naval Postgraduate School in Monterey, California.

The 18 members of the federal advisory committee are nominated to four-year terms. A recommendation to renominate Spanier had been in the works, but will likely be pulled back, the Navy official said.

Meanwhile, students held a candlelight vigil Friday night on the University Park campus -- the same place where, two days earlier, others rioted after the university's trustees fired Paterno. The vigil is one of several efforts aimed at bringing attention to child sexual abuse.

"We are just as horrified, if not more, than a lot of people," said senior Kyle Harris, 21, a vigil organizer. "We want to make an impact. We want to show these kids we care."

Friday's event, which began at 9:30 p.m., included comments from a sex abuse victim, musical performances and a moment of silence as the clock struck 10 p.m. at the campus' Old Main building.

The Foundation to Abolish Child Abuse is planning its own vigil between 4 and 6 p.m. Saturday in support of victims/survivors of childhood sexual abuse.

Warning signs of sexual abuse

Michael Gillum, the psychologist for the person referred to as "Victim 1" in the Pennsylvania grand jury report, told CNN's Anderson Cooper on Friday night he was "stunned" that so many individuals, after witnessing or hearing allegations about Sandusky, did not come forward sooner.

The report says that Gillum's patient was "11 or 12 years old when he met Sandusky through The Second Mile Program in 2005 or 2006." The Second Mile is a charity Sandusky founded to help troubled youths.

The youth had been a houseguest at Sandusky's home in Centre County, Pennsylvania. "During the course of the multi-year investigation, the grand jury heard evidence that Sandusky indecently fondled Victim 1 on a number of occasions, performed oral sex on Victim 1 on a number of occasions and had Victim 1 perform oral sex on him on at least one occasion," the report said.

Gillum said that people should understand "the powerful differential between the victim and the perpetrator," adding that "the more status the perpetrator has ... the more difficult it is for the victim to come forward, and, in particular, expect to be believed."

Anxiety, depression and fear of being found out are common among sex abuse victims, especially when the cases go public, the psychologist said.

"Even though he's a hero (for speaking up), it's not necessarily something that everyone understands and appreciates," Gillum said.

The victim's mother told ABC's "Good Morning America" earlier Friday that she first got an inkling that something had happened when her "son started acting out" -- behavior that school counselors had dismissed as a "puberty thing."

Eventually, he told her he wanted to look up information on sexual "weirdos." She said she asked him why, and he told her he wanted to see if Sandusky was mentioned.

"I said, 'Well, why would you look him up?' And he said, 'I don't know, he's a weirdo.' And I preceded to ask him if there was something he needed to tell me, and at that point, he didn't indicate anything."

Read the grand jury presentment. Warning: graphic content (PDF)

Years later, when they had a "heart-to-heart" conversation, the woman said her son said he "didn't know what to do."

"You just can't tell Jerry no," the boy said, according to the mother.

The accusations may extend beyond Pennsylvania. Authorities in San Antonio, Texas, said they are investigating the possibility that Sandusky may have committed sex crimes in 1999 when Penn State played in the Alamo Bowl. "Victim 4" in the grand jury report was identified as a member of Sandusky's family party for the bowl game.

Opinion: Ethical lesson of Penn State scandal

Sandusky is accused of sexual offenses, child endangerment and "corruption of a minor" involving eight boys, most or all of whom he met through The Second Mile, prosecutors said.

His involvement with The Second Mile, the charity he founded, provided him with access to "hundreds of boys, many of whom were vulnerable due to their social situations," the grand jury said. The former coach is said to have engaged in fondling and oral and anal sex with boys over at least 15 years, the grand jury's summary of testimony says.

Curley and Schultz are criminally charged for failing to report the alleged abuse. Instead of reporting the 2002 shower incident to authorities, Curley and Schultz banned Sandusky from having children from The Second Mile visit the football building, Kelly said.

With a record of 8-1, Penn State is ranked atop the Big Ten and is ranked No. 12 in the country, potentially in position to play in a premier Bowl Championship Series contest. The team faces the 19th-ranked Cornhuskers in a game set to begin at noon Saturday at Beaver Stadium.

Erickson said Friday that it would "not be fair" to cancel Saturday's game, given that "our student-athletes weren't involved in this situation" and thus don't deserve to be penalized. On Friday night, the school issued a statement urging attendees not only to wear blue to raise awareness of child abuse, but to donate to Prevent Child Abuse Pennsylvania and the Pennsylvania Coalition Against Rape.

Erickson said Friday that extra security would be in place for the contest, which the school said would mean "strict" enforcement on policies regarding bags being taken into the stadium. "I hope and I believe we will see the best of our students tomorrow," Erickson said. "They understand that Penn State is really in the spotlight."

CNN's Joe Sterling and Barbara Starr contributed to this report.

@highlight

Psychologist of alleged victim notes "power differential" between the accuser, accused

@highlight

Penn State asks fans at Saturday's game to wear blue and donate to charities

@highlight

Penn State Assistant Coach McQueary is on indefinite leave

@highlight

Former coach Jerry Sandusky is accused of sexually assaulting kids between 1994 and 2009