Editor's note: Leslie Sanchez, a Republican who was director of the White House Initiative on Hispanic Education from 2001 to 2003, is the author of a forthcoming book, "You've Come a Long Way, Maybe: Sarah, Michelle, Hillary and the Shaping of the New American Woman." Sanchez is CEO of the Impacto Group, which specializes in market research about women and Hispanics.

Leslie Sanchez says Michelle Obama's fashion choices have helped create a positive image for the first lady.

(CNN) -- In just 200 days, Michelle Obama has put her own stamp on one of America's most unusual political positions -- the unelected, undefined job of being first lady. And the way she's done it? It's largely through the fashion choices she's made.

Each of her predecessors has brought a unique perspective and personality to the east wing of the White House, helping to shape how the nation views the president and how the world views the nation.

The use of fashion and image as a political strategy is an underrated factor. While Washington's political cognoscenti debate the successes and failures of the young Obama presidency, one half of Washington's newest power couple fine tunes fashion as a political strategy -- and it's working for her.  See photos of Michelle Obama's fashion »

The fashion authorities who are gathered this week in New York for Mercedes-Benz Fashion Week, more than seven months into the Obama presidency, are watching Michelle Obama's redefinition of the role of first lady with professional and personal interest.

The contemporary standard for the job was set decades ago by Jacqueline Kennedy, who had both a high sense of fashion and the style to pull it off. Carl Sferrazza Anthony, the historian at the National First Ladies' Library, points out that Mrs. Kennedy wanted to be well-dressed, liked European style and had American designers copy it. She even went as far as to personally design her own outfits on three important state occasions, including her famous White House dinner for Nobel laureates, while letting other designers take the credit.

The comparisons between Mrs. Kennedy and Mrs. Obama are as apt as the comparisons between their husbands. Michelle Obama comes across as feminine yet strong, professional and, unlike Mrs. Kennedy, approachable. She's a thoughtful presence on the national stage, but it's a very different kind of style from what we associate with Jackie Kennedy, who displayed a style of wealth, youth and glamor to an adoring middle class.

Mrs. Obama, on the other hand, is portrayed as a take-charge woman who is sensitive to today's economic realities. Not stylish in her own right, she blends advice from her noted advisers to appear independent and progressive, yet "in touch."

But while Jackie was high fashion, Michelle Obama is trendy but traditional. And that approachability extends to her personal style as well, her advisors having absorbed the lesson that the first lady's style is all too easily linked to her husband's presidency. Ronald Reagan's opponents used his wife Nancy's interest in fashion and her intent to look like the wife of a president, rather than mimic the school-marmish attire of her predecessor, as a gateway through which to attack the president.

Mrs. Reagan's wardrobe choices, especially her designer Adolfo dresses, were used to make her husband seem insensitive to the poor and hungry. Mrs. Obama has avoided making the same mistake during the worst economic times in recent memory.

She seems to have made a calculated decision to avoid that trap by focusing on emerging designers, like Jason Wu for her inaugural gown or choosing to wear trendy, off-the-rack clothes like the J. Crew gloves, sweater and skirt she chose for her husband's inauguration.

And whatever the style mavens have to say about that, it produces political benefits. J. Crew's shares jumped 10 percent within 24 hours after the nation saw her in its clothing, which prompted NBC's Conan O'Brien to suggest the president consider wearing a Buick.

As Women's Wear Daily media reporter Stephanie Smith says, this child of Chicago's South Side has become "the biggest celebrity in the world." Forbes lists her among the "Most Powerful Women," and there's no doubt she's expanding the boundaries of perceptions surrounding the role of a "traditional" first lady, balancing her visits to homeless shelters and military bases with taking part in her children's soccer games.

As The New York Times reported, Mrs. Obama "pointedly controlled her look on the covers of People, Essence, More and O, Oprah Winfrey's magazine. Editors at Essence, who suggested colors, styles and accessories, said her staff did not call to acknowledge their overtures. ... Lesley Jane Seymour, the editor-in-chief of More... said Mrs. Obama refused to wear anything other than her own clothes for their October cover. 'She wanted none of that. She was creating the cover. She was creating the image. There's definitely a will of steel there.'"

According to Anthony, the general public's fascination with Michelle Obama spills over and helps the administration. To him, everything the media and the public criticize or praise is visual. "It's not anything she's saying or doing. That's perhaps somewhat tactical. If she's unpopular based on her clothes choices, the White House can say it's really not of importance."

IMG executive Fern Mallis, the creative inspiration behind New York's Fashion Week, says "most first ladies have always been on a pedestal of expensive, elegant clothing, of couture evening gowns. It's something that people can't really relate to." This was especially true during the Kennedy years. Even if most American women wanted Jackie's dresses, Anthony points out, they could not buy them. These clothes were not only too expensive -- they weren't even available at the high-end stores. They were one of a kind.

Mrs. Obama, because she has made fashion "more democratic," says style expert Robert Verdi, has made her own impact on a world full of elites and -- let's face it -- snobs. Mrs. Kennedy, he says, "was very contemporary and up-to-the-moment in fashion. But fashion at that time as not democratic. There was no Zara, no J. Crew, no Banana Republic. It was not accessible; it was exclusively aspirational."

On balance, though, Michelle Obama has shown a feminine but bold approach to her style by rattling the image of what a "Washington" first lady must look like. For other professional women and moms, the impact may not be purely imitation, as was the case with Jackie Kennedy, but rather the timely embracing of a new image of a modern, professional woman.

Whatever it is, it's clearly by design. The push-pull of knowing fashion and appropriately wearing fashion may take Mrs. Obama longer to manage. Though a risk-taker and eager to highlight the equivalent of "mom and pop" designers, she, like many women, is still safely wearing styles others create rather than something new we could aspire to. Still -- whatever the implications for fashion -- on a political level, the first lady's approach is working.

The opinions expressed in this commentary are solely those of Leslie Sanchez.

@highlight

Leslie Sanchez: Fashion choices are important strategy for a First Lady

@highlight

She says Michelle Obama has wisely chosen image of a modern professional

@highlight

She says other First Ladies have communicated an elite and expensive image

@highlight

Sanchez: Michelle Obama's style fits the times Americans live in