(CNN) -- When Katy Wilson was born with Down syndrome, doctors told her mother that the infant likely would never walk or talk.

Katy Wilson says she wants her athletic successes to surprise people and give them hope.

She sure showed them.

Wilson, now 29, has won two international gold medals in the Special Olympics for her gymnastic abilities. She turns cartwheels for her floor routine and does acrobatics on the balance beam.

She also goes on public speaking tours.

"Most of all, I love doing speeches because I want them [the audience] to be surprised just how good my speeches are," she said by phone.

Wilson's story -- and countless other stereotype-bending stories like it -- is possible in part because of the dogged vision of Eunice Kennedy Shriver and the Special Olympics organization she founded more than four decades ago.

Shriver, who died Tuesday, started the organization as a sports camp for special-needs kids and adults in her backyard in Maryland in 1962. The camp, in part, was inspired by the life of Shriver's sister, Rosemary Kennedy, who had an intellectual disability.

The Special Olympics has grown from that small camp into a global organization that helps 3 million athletes with Down syndrome, autism and other intellectual disabilities compete for medals in an array of sports.

Her legacy will live in the stories of hope and against-the-odds success she made possible through the Special Olympics.  See photos of Eunice Kennedy Shriver »

"She helped forever alter how people with intellectual disabilities are viewed and treated and respected," said Amie Dugan, a spokeswoman for the Special Olympics. "This is a population that 40 years ago they were beyond marginalized. They were disenfranchised from society.

"It was considered the status quo ... to put them in an institution and never think about that again. And she changed all of that. She brought them out into the light."

An estimated 200 million people in the world live with intellectual disabilities. That population was largely unseen and voiceless in 1968 when Shriver stepped to the microphone to announce the start of the first Special Olympic Games at Chicago's Soldier Field.

"In ancient Rome, the gladiators went into the arena with these words on their lips," she told the 1,000 athletes in the stadium. "'Let me win, but if I cannot win, let me be brave in the attempt.'"

In 2007, the most recent Special Olympics World Summer Games were held in Shanghai, China. More than 7,000 athletes competed.

The sports competitions are held in the winter and summer on four-year intervals, just like the Olympic Games; people from countries as far-flung as Tunisia, Rwanda and Sri Lanka participate in events that include skiing, volleyball and track and field.

Before the program, people with intellectual disabilities were only told what they could not accomplish, said David Tolleson, executive director of the National Down Syndrome Congress.

"Special Olympics emphasizes what folks can do, and it does it in a manner that's fun and exciting and it offers a sense of community both within the family of those with developmental disabilities as well as with the greater community at large -- the volunteers who come in and have some of their misconceptions or preconceptions cast aside when they realize how much people with developmental disabilities truly are capable of," he said.

The program continues to expand its global reach, but in many places, people with intellectual disabilities lack basic human rights, said Dugan.

Thomas Webb, a Joseph P. Kennedy Jr. Foundation fellow who studies public policy and intellectual disability, said it's still a challenge in the United States to integrate people with disabilities into mainstream society.

No one knows all of the solutions, but Shriver and the Special Olympics have had "significant impact" on peoples' lives, he said.

Coming from the athletic Kennedy family, Shriver realized the wide-ranging benefits of sports, said Dugan.

"It's just a fun way to bring people with intellectual disabilities and their non-disabled peers together," she said, "because everyone enjoys competition and fun and exercise and getting out there."

The fun translates into experience that helps Special Olympians build communities of friends and succeed in the workplace, advocates and athletes said.

Melissa Stokes, 26, started playing sports with the Special Olympics when she was 8. She now is a volunteer Special Olympics ski coach in the Denver area and works as an assistant at the Special Olympics of Colorado office.

"We're like a little family," she said of her ski team.

She added: "Because we have special needs doesn't mean we can't do stuff. We can still accomplish a lot."

More than half of Special Olympians in the U.S. are employed, according to the organization, compared with an estimated 10 percent of the intellectually disabled population at large.

Jeanne Wilson, the mother of the gymnast with Down syndrome , started tearing up when she recounted the moment she saw her daughter -- whose future once looked so uncertain -- standing atop an awards podium with a gold medal draped around her neck.

"It was just amazing because that really gave her confidence. And I don't think people realize how much it means to a young person who you might have thought did not have a future or might not ever have a chance to walk," she said. "To see her doing a routine on balance beam or a floor routine is pretty amazing."

Katy Wilson, who lives in Gainesville, Georgia, continues to train as a gymnast. She also goes bowling with a group of Special Olympians most Fridays. They call themselves the Alley Kats, and Wilson describes the bowlers as some of her best friends.

"I love bowling because it is so much fun being out there being able to have friends," she said. "It's exciting to do bowling because I get a lot of scores."

When she's not in training, Wilson works at a steakhouse as a hostess.

"I get their coffee, I get their bread, I get their drinks, I do the silverware, I sweep up, I do the hostess," she said. "Oh, I love the job because everybody's so nice to me, especially the managers, they give me hope and they're so excited to have me there and I'm so happy to be there with them."

As a global ambassador for the Special Olympics, Wilson tours the country telling people about her life story. She says she hopes it reminds them that everyone can succeed with a positive attitude.

She grew up watching her sister do cartwheels as a cheerleader.

She modeled her life in her sister's image, but she forged a life that's all her own.

@highlight

Eunice Kennedy Shriver started Special Olympics in her backyard in 1962

@highlight

Special Olympics has grown into a global organization that helps 3 million athletes

@highlight

An estimated 200 million people live with intellectual disabilities worldwide

@highlight

Says one athlete: "Because we have special needs doesn't mean we can't do stuff'