(CNN) -- Jeff Kepner just wanted to hold his 13-year-old daughter's hand again.

The nine-hour operation completed on Monday was the first double hand transplant in the United States.

The 57-year-old Augusta, Georgia, resident underwent the first double hand transplant in the United States on Monday at the University of Pittsburgh Medical Center.

On Friday he remained at the transplant intensive care unit.

He is "very stable, awake and alert, and he's talking with us," said Dr. W. P. Andrew Lee, who led the nine-hour surgery. "He is having good circulation in the transplanted hands." Kepner shows no signs of transplant rejection, Lee said.

The patient was groggy, but asked more questions about the operation as he started feeling better, said his wife, Valarie Kepner.

He is expected to remain in the intensive care unit for a week, said Lee,  chief of the division of plastic surgery and professor of surgery and orthopedic surgery at the University of Pittsburgh Medical Center.

In 1999, Kepner lost both hands and feet to a strep infection. As the bacterial infection spread throughout his body, it stopped blood flow to his limbs and shut down his liver and kidneys. While most strep infections are mild, in some cases the bacteria can destroy muscles, fat and skin tissue and cause toxic shock syndrome.

At the time, Kepner's daughter was only 3 years old. "She doesn't remember her dad any other way but this. We looked through pictures and we can't find one of him holding her hand. That's one thing she was looking forward to -- that she's going to be able to hold her dad's hand again."

The infection came at a time when Kepner had just earned a degree in pastry arts.

"He was a good cook all the way around. I worked full time," his wife said. "I was spoiled, because when I came home dinner was on the table. He did it very well."

For the last decade, Kepner adjusted to prosthetic limbs. He drove his teenage daughter, Jordan, to school and worked part-time at Borders bookstore. But he could no longer cook.

Although he could do some of the basic tasks, Kepner said her husband could not perform activites that required fine motor skills. She had to help him in the shower and help him get dressed.

"He would be on my schedule, that's why this [the hand transplant] would give him a whole level of independence," she said.

With his new hands, Kepner hopes to perform small tasks such as changing a light bulb and using a remote control.

"I'm looking forward to his cooking," his wife said. "I'm looking forward to him doing the things he wants to do when he wants to do them."

Kepner initially had doubts, especially since it was an elective procedure.

"The two points that changed his mind as we talked was, No. 1, the independence he wanted to gain," his wife said.

The second point was that they believed there were fewer risks with this particular  surgery. The Kepners knew a double hand transplant meant Kepner would have to take drugs to suppress his immune system for the rest of his life (like any transplant, the recipient's immune system could attack the new organ as a foreign object). But for this surgery, the Pittsburgh doctors would also transplant bone marrow from the donor to reduce the amount of immunosuppressants Kepner would have to take. According to the doctors, the bone marrow cells could re-educate the immune system so it wouldn't reject the hands.

Despite the risks, Lee said hand transplant recipients regain much of their autonomy.

"They can perform activities of daily living -- the simple things you and I take for granted such as personal hygiene, brushing our teeth, combing our hair," Lee said. "When you don't have either hand, you are often completely dependent on another person, a family member or in Mr. Kepner's case his wife, for a lot of very basic activities during the day."

On January 22, Kepner signed up to be a candidate for the medical center's clinical trial for hand transplants. He had to pass a screening process, which included a physical and a psychiatric evaluation of his coping skills, his expectations and his understanding of the transplant.

Three months later, Kepner received the call. There was a donor whose hands matched Kepner's skin color, gender and size.

After getting permission from the donor's family, the surgeons removed the donor's hands extending midway to the elbows. A team of surgeons attached arteries and veins, repaired tendons and nerves and set the bones for both hands. The surgery involved 27 bones, 28 muscles, three major nerves, two major arteries, multiple tendons, veins and soft tissue.

Kepner still cannot feel with his new hands, Lee said.

"We really don't expect him to [now]," Lee said. "The nerves grow at a speed of one inch per month, and there are many inches between the mid-forearm to the fingers."

After Kepner leaves the intensive care unit, he is expected to begin three months of physical therapy to gain mobility in his joints, wrists and fingers.

"Based on the results of hand transplants performed so far around the world, just about everyone regains protective sensation, which is the ability to distinguish between hot and cold and feel a pin prick," Lee said.

While it's difficult to predict how much movement and sense of touch Kepner will have in his new hands, Lee said, "We are optimistic he will regain protective sensation and even more than that."

More than 32 patients have received hand transplants. Some of these recipients in the United States and Europe have lived with their new hands for more than a decade.

@highlight

Former pastry chef received double hand transplant Monday

@highlight

Jeff Kepner lost both hands and feet after fighting strep infection 10 years ago

@highlight

Doctor says Kepner shows no signs of rejection