Washington (CNN) -- The Supreme Court gave an Alabama death row prisoner another chance Wednesday to appeal his conviction after a mailroom mistake and other circumstances initially left him unable to pursue further claims in court.

At issue was whether a missed deadline to file a key appeal provided justification to grant Cory Maples a second chance, when the error was not the inmate's fault and the result would mean a punishment as serious as lethal injection.

The justices' 7-2 ruling was a setback for the state, and the inmate's case now goes back to lower courts.

"The uncommon combination of mishaps in Maples' case, we hold, provide just cause to excuse the procedural lapse in state court," Justice Ruth Bader Ginsburg wrote for the majority.

The compounding series of errors and negligence involved both state officials and the private attorneys once representing him.

The prisoner's new legal team, supported by some civil rights groups, argued the criminal justice system was being turned on its head by potentially allowing prisoners to suffer the consequences of their lawyers' mistakes or incompetence.

But state attorneys countered that long-established rules on filing often complex paperwork must be strictly enforced to ensure that all parties -- including the courts -- get a proper chance to hear the claims in an orderly fashion. And the state says that in this case, Maples' initial appellate attorneys were from a blue-chip law firm in New York.

Maples was convicted in the 1995 murder of two companions, Stacy Alan Terry and Barry Dewayne Robinson II, with whom he had been drinking heavily. Court records showed that Maples took a .22-caliber rifle in his Decatur, Alabama, home and shot both men twice in the head, execution-style. He later confessed to police but offered no explanation for the crimes.

He was convicted, and the jury recommended the death sentence by a vote of 10-2.

After the conviction, two attorneys from the law firm Sullivan & Cromwell, working on behalf of Maples for free, filed a motion in an Alabama court claiming ineffective assistance by the trial defense. The chain of errors may have begun when the appellate lawyers did not list the name of their firm in the papers filed in Alabama.

When that court later sent two copies of its ruling denying the motion to the New York-based attorneys, the mailroom inexplicably sent them back unopened. The envelopes were labeled "Return to Sender -- Left Firm" and "Return to Sender -- Attempted Not Known."

Both lawyers had, in fact, left the firm, but no notice of new legal representation at the same firm was given to either the court or to Maples himself. A local lawyer in Alabama not heavily involved in the appeals also received the initial ruling, but he, too, did not follow up to ensure that the New York lawyers continued the necessary filings.

By the time the mix-up was discovered, apparently thanks to inquiries by the inmate's mother, Maples' window for appeals had run out.

The local judge was not sympathetic, saying the county clerk was not required to follow up or investigate why the key documents were sent back without acknowledgment.

"How can a circuit court clerk in Decatur, Ala., know what is going on in a law firm in New York, N.Y.?" Morgan County Circuit Judge Glenn Thompson asked in his ruling.

Subsequent state and federal courts also refused to grant Maples another chance to file his appeals, saying the 42-day deadline was standard and non-negotiable.

But the high court's majority spread the blame on both the state and, especially, Maples' attorneys.

Ginsburg noted attorney "negligence" alone rarely gives inmates a second chance in court to contest their convictions. But the court majority said this case presented an "extraordinary" set of facts, including that Maples was "abandoned" by his lawyers.

"They did not inform Maples or the Alabama court of that reality," Ginsburg wrote. "Through no fault of his own, Maples, an inmate on death row, was left unrepresented at a critical time for his state habeas petition. Moreover, he lacked any clue that he had better fend for himself."

The majority was also tough on the state's refusal to give Maples a break in light of these circumstances.

Justice Antonin Scalia disagreed. "If the interest of fairness justifies our excusing Maples' procedural default here, it does so whenever a defendant's procedural default is caused by his attorney," not the state, he said. "That is simply not the law -- and cannot be, if the states are to have an orderly system of criminal litigation conducted by counsel."

Justice Clarence Thomas joined in the dissent.

This high court victory for Maples does not mean he will eventually receive the new trial he is seeking. Because so much of the facts and testimony of the various parties remains in question -- particularly the actions of the county clerk and the in-state attorney for Maples -- lower state and federal courts could be wrestling with this case for years.

Sullivan & Cromwell employs about 800 lawyers, charges premium client rates, and does significant pro bono work on behalf of a variety of indigent prisoners. The firm is more than 130 years old.

Among the 34 states with the death penalty, Alabama alone does not automatically give all its 200 or so current capital inmates taxpayer-funded legal assistance to file papers challenging their convictions, sentences and lethal punishment. Big out-of-state firms like Sullivan and Cromwell often step in and tackle the usually long and expensive appeals process.

Lawyers for Maples say that missed deadlines, whatever the reasons, have occurred before and that some flexibility should be built into the system, especially when it involves crucial issues like habeas corpus and the death penalty.

"It's really an almost unthinkable situation, and anyone, even the most ardent supporters of capital punishment, ought to be concerned about the result in this case and should not want a decision allowing a man to be executed in these circumstances, because that can only erode public confidence in the system of capital punishment," attorney Gregory Garre, who is now working on the case, told CNN in a recent interview.

Garre is from the Latham and Watkins law firm, hired to represent Maples before the Supreme Court in the new round of appeals.

The case is Maples v. Thomas (10-63).

@highlight

An "uncommon combination of mishaps" justifies allowing an appeal, the court says

@highlight

Cory Maples was unable to pursue appeals after a series of mistakes

@highlight

Justice Scalia, in dissent, says the ruling imperils the "orderly system of criminal litigation"