ISIS militants have brought their hardline version of Islam to wide areas of Syria and Iraq, imposing brutal laws and killing people who they deem "unbelievers."

Their bloodthirsty advances have sent hundreds of thousands of refugees streaming across the borders into neighboring countries, like Turkey, increasing the risks of instability there.

But the recent expansion of U.S. airstrikes against ISIS into Syria, as well as a call by a leader of the extremist group for attacks against Western citizens, has raised questions about how far the militants' reach extends beyond the Middle East.

With anti-terrorist raids in Australia, the beheading of a French citizen in Algeria and reports of ISIS sympathizers in Indonesia, here's a look at the countries that could be affected.

The United States

No sign of attacks being planned

U.S. officials have repeatedly said that they have no information to suggest that ISIS is planning an attack on the U.S. homeland at the moment.

But the group recently called on devotees around the world to carry out attacks against people in the United States and other Western countries.

After the U.S. and Arab partners began airstrikes against ISIS targets in Syria this week, the U.S. Department of Homeland Security issued a bulletin warning law enforcement agencies to be on heightened alert for "lone-wolf" terrorist attacks on U.S. soil, a U.S. law enforcement official told CNN.

Officials said that law enforcement agencies receive similar bulletins on a fairly regular basis as a precaution.

'Al Qaeda's playbook'

Security analysts say the calls for lone-wolf attacks in the United States are nothing new.

"It's taking a page out of al Qaeda's playbook," said Robert McFadden, a senior vice president at the Soufan Group, a security consultancy.

The United States has in recent years experienced homegrown attacks that were apparently motivated by extremist Islamic views, including the Boston Marathon bombings and the Fort Hood shootings.

But a number of attacks in the U.S. in recent decades were committed by lone wolves -- people with no known link to any terrorist organization -- such as Timothy McVeigh, who bombed the federal building in Oklahoma City in 1995, or Joseph Andrew Stack, who flew a small plane into an Austin, Texas office building that housed IRS offices in 2010.

Guarding against individuals acting on their own is extremely difficult, experts say, as there are no orders coming down through organizations.

"Almost all the time it's not there," McFadden told CNN. "So that ingredient makes it so much more tough to combat these kind of things and root that out."

Other group targeted

U.S. authorities are also trying to monitor the more than 100 American citizens who have traveled to Syria to fight for armed groups there, including ISIS.

The Americans who have come to harm at the hands of ISIS are James Foley and Steven Sotloff, journalists who were abducted in Syria and beheaded by the militant group in recent weeks.

While U.S. officials say they have no knowledge of any planned attacks by ISIS in the United States, they have suggested that Khorasan, a separate terrorist group that was also hit in the airstrikes on Syria, was actively plotting against U.S. and other Western targets.

The Philippines

The Philippine Islamist militant group Abu Sayyaf has tweeted what it calls a warning letter to the governments of Germany and the Philippines, threatening to behead one of two German hostages.

The group wants a ransom and demands that Germany stop supporting the U.S.-led offensive against ISIS in Iraq and Syria.

"Pay a 250 million pesos ransom ($5.6 million) to free the hostages and meet the second condition," the letter says.

The second condition: "The German government needs to stop supporting the U.S. in the killing of our Muslim brothers in Iraq and Syria, especially (ISIS) militants."

"We have warned you. Delay: 15 Days," the groups says in Tagalog, the language spoken by some Filipinos.

The group sets an October 10 deadline. It also posted a photo of the hostage.

A spokeswoman for the German Foreign Ministry told CNN, "The German government has set up a crisis group in the Foreign Ministry to deal with this situation."

She declined to be identified because of ministry regulations and would not give any further information.

Australia

Anti-terrorism raids

Earlier this month, Australian police carried out large-scale raids after investigations suggested suspects were planning "a random attack on individuals."

Authorities say they have foiled plans to kidnap a member of the public, behead the victim and drape the body in an ISIS flag. One man arrested in the raids was formally charged with conspiracy to commit terrorism.

Prime Minister Tony Abbott suggested that "quite direct exhortations" were coming from an Australian citizen overseas who has a "quite senior" role in ISIS.

Days earlier, Australia had raised its terror threat level from "medium" to "high."

On Tuesday, Australian police shot dead an 18-year-old terrorism suspect who had stabbed two police officers at an arranged meeting. The teenager had raised concerns after being seen at a shopping mall in recent days with what appeared to be an ISIS flag, police said.

New law brought in

Australian lawmakers voted Wednesday to introduce tough new laws that would make it a criminal offense to travel to places where terrorist groups are active.

Civil liberty advocates have criticized the speed at which the new legislation has been brought in, calling for the Australian public and members of Parliament to be given more time to have their say on the legislation.

Australia supports the U.S.-led campaign of airstrikes against ISIS. It has sent warplanes and military personnel to the region.

France

Hostage beheaded in Algeria

ISIS' recent call for attacks against Western citizens singled out what it called "the spiteful and filthy French" for punishment.

French planes have taken part in airstrikes against ISIS positions in Iraq, but Paris says its forces won't be involved in bombing raids on Syria.

A video posted online Wednesday showed the beheading of Herve Gourdel, a French citizen who was kidnapped in Algeria over the weekend.

The video shows armed men who claim to belong to Islamist militant group Jund al-Khilafa -- or Soldiers of the Caliphate -- in Algeria. They pledge allegiance to ISIS leader Abu Bakr al-Baghdadi.

French President Francois Hollande said the attack won't affect France's role in the fight against terrorism. "France will never give in to blackmail, to pressure, to barbaric acts. Quite to the contrary, France knows what is expected," he said.

Concerns about foreign fighters

Mehdi Nemmouche, the French citizen accused of the deadly shooting at Belgium's Jewish Museum in May, recently spent a year in Syria and is a radicalized Islamist, according to French officials.

Prosecutors say that when police arrested Nemmouche in France, they also seized a Kalashnikov rifle wrapped in a flag bearing the ISIS insignia.

U.S. intelligence officials estimate that more than 2,000 Europeans have flocked Syria to fight with extremist groups there. They say it's unclear precisely how many of them have joined ISIS.

The U.N. Security Council on Wednesday passed a resolution aimed at tackling the threat posed by foreign fighters who seek to join ISIS and other terrorist organizations.

United Kingdom

ISIS captives

British Prime Minister David Cameron has said he's recalling Parliament on Friday to seek approval for the United Kingdom to take part in the airstrikes against ISIS in Iraq.

"The U.N. Security Council has now received a clear request from the Iraqi government to support it in its military action against ISIL," Cameron said Wednesday from U.N. headquarters in New York, using another term for ISIS. "So it is right that Britain should move to a new phase of action."

ISIS has already beheaded one of the British hostages it's holding, aid worker David Haines. It has also threatened the life of another, altruistic taxi driver Alan Henning, and used a third, John Cantlie, to deliver the group's message in videos.

Threat level 'severe'

British authorities announced in late August that they had raised the threat level from international terrorism from "substantial" to "severe." That means that officials judge that a terrorist attack is highly likely but there is no intelligence suggesting that one is imminent.

"The increase in the threat level is related to developments in Syria and Iraq where terrorist groups are planning attacks against the West," Home Secretary Theresa May said at the time. She made no mention of ISIS in the statement.

There are also concerns in Britain about the possibility of the return of radicalized citizens who have traveled to Syria to fight, accentuated by the apparent London accent of the executioner in the videotaped executions of Foley, Sotloff and Haines.

British Muslim leaders have repeatedly condemned the actions of ISIS.

"These extremists in Iraq and Syria claim to be acting in the name of Islam. But there is nothing in our faith that condones such behavior," Shuja Shafi, secretary general of the Muslim Council of Britain, said after the killing of Haines.

Indonesia

Report sees risk of influence

Analysts say ISIS' high-profile extremism has gained it a small following in Indonesia, the world's most populous Muslim nation.

The support in Indonesia increases the risk of violence there, potentially directed at foreigners, according to the Institute for Policy Analysis of Conflict, which is based in Jakarta.

"The overall capacity of Indonesian extremists remains low, but their commitment to ISIS could prove deadly," said Sidney Jones, director of the institute.

The danger is that Indonesians fighting in Syria and Iraq will return home with "the training, combat experience, and leadership potential now lacking in Indonesia's extremist community," the institute said in a report on ISIS in Indonesia.

But the report said that many Muslims in Indonesia have strongly rejected ISIS' actions.

"ISIS has triggered a bigger backlash than ever seen before in the Indonesian Muslim community, suggesting that support will stay limited to a fringe of the radical fringe," it said.

President calls for broad approach

Indonesian President Susilo Bambang Yudhoyono on Tuesday called for a comprehensive approach to tackling the ISIS threat, the national news agency Antara reported.

"This is not only the responsibility of the military forces but also the police, diplomats, religious figures and civilians," Yudhoyono said in a speech at the U.S. Military Academy in West Point. "Indonesia, for instance, has conducted deradicalization programs by engaging religious figures to fight extremism."

But the report from the Institute for Policy Analysis of Conflict warned that Indonesian authorities still have a lot of work to do.

"It is cause for concern that inmates of high security prisons continue to be among the most active propagators of ISIS views and teachings," the report said. "Indonesian prison management has improved in recent years, but there is a long way to go."

@highlight

American officials say there is no sign that ISIS is planning an attack on the U.S. homeland

@highlight

Analyst: ISIS' call for lone-wolf attacks in the U.S. is a move from "al Qaeda's playbook"

@highlight

An Algerian group pledging loyalty to ISIS' leader beheads a French citizen

@highlight

Australian police have carried out anti-terror raids and shot dead an 18-year-old suspect