(CNN) -- If Barack Obama had previewed his inaugural speech before the November election, would he have been able to give it in January? Apparently, our president did not think so.

From the first days of his re-election campaign until as recently as a month ago, President Obama described himself "a pretty practical guy" who is "not driven by some ideological agenda."

Dispensing with that fiction in his inaugural address, he's been commended for finally and honestly revealing himself. No longer is Barack Obama a national Rorschach test in which anyone can see anything. He has staked his ground: President Obama is an unabashed advocate of the old-fashioned American left. That's not good news for Democrats who have trekked with him to the end of an ideological limb.

Obama's inaugural statement displayed "a sweeping liberal vision," the Los Angeles Times wrote. Andrew Coyne headlined it, "The Most Full-throated Defense of Liberalism Since FDR." Historian Doris Kearns Goodwin called it "a powerful defense of collective action, of government." Chris Matthew's "Hardball Blog," not known for restraining its lefty enthusiasm, did not disappoint: "Liberalism is back! President Obama's inaugural address revealed a liberal vision -- a full-throated defense of progressive policy."

Poor old Bill Clinton. Obama's long-delayed public confession of collectivism was not only a rejection of Reaganesque individualism. It was a repudiation of Clinton's New Democrats. Clinton's moderation was useful camouflage during the campaign but only to return Obama to the Capitol steps, unburdened by another election, free to reignite "the era of big government." Perhaps at this point, we should believe him: Barack Obama is George McGovern with a jump shot. As David Brooks noted, his liberalism was "on full display." His duplicity was, as well.

Obama's post-partisan pragmatism, he has confirmed with his inaugural address, was only a useful political contrivance. Blinded by the nobility of his intentions, this president has grown comfortable with deception. He does what is best for the American people, even when it requires that he misleads them. Obama's approach has become the cynical politics he supposedly came to Washington to change.

Zelizer: Obama, think big for State of the Union

In his forceful January speech, Obama trumpeted his mission. It is not to leave office as Ronald Reagan, who renewed a failing economy and restored our nation's confidence. Obama's calling is a moral one. The worst recession since the great Depression will have to wait. His mission, inherited from Abraham Lincoln and Martin Luther King, is equality, not revitalization.

Yet even as he prepares for Tuesday's State of the Union address, Obama twists and stretches. What he wants is what we need, he tells us. Redistribution's side effect, he pledges, will be a more prosperous America.

"Our economy succeeds and our economy grows," he says, "when everybody is getting a fair shot and everybody is getting a fair-shake and everybody is playing by the same rules. Because I believe that is a growth agenda -- not just an equity agenda, not just a fairness agenda -- that is a growth agenda."

As he drives, he pits the destitute passengers in his car against the rich, Hispanics against Anglos, women against men, telling them inequality is their worry. They fight and claw, unaware they are speeding towards a precipice, oblivious to the common danger that makes their differences pale.

As long as this president has a Democratic Senate and a veto pen, there will be no deficit reduction, no serious control of entitlements. A government we cannot afford is not Barack Obama's problem. It is his solution. Why would Obama reduce entitlements that redistribute wealth when they force the social change he sees as his legacy? Redistributing wealth, not creating it, is Obama's signal intent.

Democratic administrations in our largest cities and states -- from Detroit to Washington, D.C, from California to Obama's home state of Illinois -- have tested this president's old social justice agenda. It has produced a record of relentless economic failure. Yet for this liberal man, economic malaise may just be the price of social justice.

And the shock, in my mind, is not his commitment to compulsory redistribution, but that a leader so young has such old ideas. He is a man from America's past.

Barack Obama is old-school. He believes in top-down planning, not bottom-up incentives. He sees government as an industrial machine, though he lives in the age of the network. He trusts political and artificial imperatives from Washington, not natural and organic choices by ordinary Americans.

His answer to irresponsive, ineffective, unaffordable old government is not reform, but to produce more of it. Obama's bright young smile cloaks archaic ideas, ill-suited for today's global economic race.

We have been on this road before. We know where it takes us:

1. Obama will leave office a hero.

2. He will leave his party a wreck.

Barack Obama has calculated he will never get on Mount Rushmore working with Republicans in Congress to fix a broken economy. Their prescriptions and his are incompatible. In the president's view, growth requires money for expansive new government programs. He knows he will never get that money from the Mr. Potter's who run the House of Representatives.

His moral vision, however, is a bargain: It requires no funding. From Lincoln, to King, to Obama: In this noble cause, not the struggle for economic renewal, he will shape how he's remembered. His legacy will be The Equal Deal, not a better one.

His party will not share his good fortune. In Obama's first term, in 2010, he ignored the nation's economic crisis, moved left, and gave Americans health equality. Republicans swept the House of Representatives. Obama is now replicating that pattern.

When this charismatic leader leaves town, he will have returned the Democratic Party to its McGovernite past, leaving it wedded to old, slow, big, dumb, inflexible Industrial Age government. He will leave behind a party that embodies economic stagnation, shackled to the challenges it ignored, and mistrusted with America's checkbook.

Democrats have crawled out on a fragile, ideological limb with Barack Obama, a branch loaded with debt and the burden of a sagging economy. It will snap long before they find another Clinton to move their party back to the center, where they can safely renew themselves and rebuild.

Democrats he will leave behind should strap on their life preservers: Your president's interests and yours have diverged. Look at the Republican Party George W. Bush left behind after serving two terms.

Obama's supporters believe otherwise. They trust their new left-tilting majority will be sustained by an "emergent Democratic coalition," a confederacy of liberals, unions, government workers, black and Hispanic Americans, supplemented by young, single Carrie Bradshaws.

They may be right: Unless Republicans wake up and provide a palatable alternative, even a mistrusted, out-of-date, ideologically extreme Democratic Party will have no effective opposition. Only when Republicans move beyond "No" and offer an optimistic agenda of bottom-up growth and prosperity for all Americans, can they emerge from their visionless wandering. Are Republicans tired enough of losing to begin to rejuvenate themselves?

Marco Rubio will not just give the response to President Obama's State of the Union address Tuesday night; he will give the nation its first glimpse of an alternative to the antiquated, top-down Democratic Party Barack Obama will leave us.

Tuesday night, we'll see the future. Let the best party and America win.

The opinions expressed in this commentary are solely those of Alex Castellanos.

@highlight

Alex Castellanos: After election, President Obama revealed his liberal core

@highlight

He says post-partisanship and Clinton-style moderation are out

@highlight

Obama won't make serious concessions on entitlements, can't win over House, he says

@highlight

Castellanos: Obama will declare moral victory, but Democrats will lose ground politically