(CNN) -- I'm reading a terribly sad book these days. It's a book that I thought would uplift me during the doldrums of second-year medical school, and renew in me a sense of hope. It's called "The Audacity to Win," and it's a memoir of Barack Obama's 2008 presidential campaign.

When I'm finished with my patient write-ups at night and get into bed, the book returns me to a time when politics inspired millions and speeches could take your breath away. The election turned out to be a landslide, and news anchors paused to reflect on the historic nature of the hour.

My classmates cried with joy, and my parents saved every newspaper they could find. A young team of visionaries was headed for the White House, and the nation was ready for change. During Obama's transition to office in 2008, he had an 82% approval rating. There was something in the air.

And then I close the book. Cutting to the present is a rude awakening, like snapping out of a dream. It's hard to remember those days of optimism -- they seem a distant memory, a sad reminder of opportunities gone by. Change indeed happened, in the years since I cast my first ballot. It was simply nothing I could have imagined.

I credit Obama with great and varied accomplishments, from the passage of the Affordable Care Act to our military exit from Iraq, the end of "don't ask don't tell," to the killing of Osama bin Laden. Moreover, I believe that partisan obstructionism has upended too many efforts to push our nation forward: immigration reform, a public option for health care, and closing the base at Guantanamo Bay, among others. But, after the countless times in which I have found myself defending the Obama administration to colleagues and peers, I've reached a limit to the explanations that I can provide. I've reached a point of political despair.

Republican obstructionism cannot explain allowing the bugging of foreign leaders, nor having drones strike innocent children overseas. It cannot explain having the National Security Agency collect data on the private lives of Americans, nor prosecuting whistle-blowers who reveal government wrongdoing. It cannot account for assassinating Anwar al-Awlaki, an American citizen, without a trial, nor shirking public funding and spending limits during presidential campaigns.

It cannot justify the findings of a report that says the White House's efforts to silence the media are the "most aggressive ... since the Nixon Administration".

And, most recently, it cannot excuse the failure to design a simple website more than three years since the Affordable Care Act was signed into law.

I don't know if this is what I should have expected. If, at 18 years old, I was supposed to figure out that governance may contradict the political campaigns that precede it. Obviously, elective office isn't a predictable course, as the opposing political party and random events, such as the Newtown massacre, will shape our public conversation. Yet, of all of the examples that I have listed above, they largely seem to be of the administration's own choosing. That is what troubles me most of all.

I voted for Obama again in 2012, but not because I was excited by his candidacy. Mitt Romney presented a confusing and unrefined alternative who could not seem to lock down his policies or his positions. I felt that a second term for Obama, free from the pressures of future elections, would fulfill the hope that we had heard of for so long.

Still, as Obama's approval rating sank below 45% this week, returning to 2008 through that book has become that much harder. It makes me yearn for the many promises that disappeared.

This week I was reading the portion of the book describing how Obama suffered a huge loss to Clinton in the Pennsylvania primary. At a post-mortem campaign meeting, he told his staff that they needed to get back on track and stay true to the purpose of their cause. " 'I want us to get our mojo back,' he said. 'We've got to remember who we are.' "

It's five years later, Mr. President, and I couldn't agree with you more.

The opinions expressed in this commentary are solely those of Nathaniel Morris.

@highlight

Nathaniel Morris: I voted for President Obama twice, sharing hope in possibility of change

@highlight

He says Obama has had worthy efforts thwarted by GOP obstructionism

@highlight

Morris: Obstructionism can't excuse Obamacare website woes, drone attacks

@highlight

Morris: Obama's 2008 campaign memoir is a sad reminder of what might have been