A Senate report delivered a scathing indictment Tuesday of torture policies that officially ended when President Barack Obama came into office, but another holdover from the Bush-era war on terrorism is keeping Obama tethered to the previous administration.

Nearly six years after Obama signed an executive order on his third day in office to begin the process of shutting down the Guantanamo Bay detention camp in Cuba, 136 prisoners remain in military custody on the U.S. naval base, despite the release of six more prisoners just this week. About 100 have been released since 2009.

Obama may have ended the CIA's torture program, but his administration has yet to come close to shutting down Guantanamo, which has become an international symbol of U.S. abuses in the post-9/11 war on terror.

And the torture report's release prompted a nearly 13-year detainee of the notorious prison to recount the severe mistreatment he endured, writing in a CNN Opinion column that the report is "just the start of what Americans have to accept happened in their name."

Samir Naji al Hasan Moqbel, a Yemeni man accused of serving in Osama bin Laden's security detail, described conditions at Guantanamo that included the repeated, seemingly incessant interrogations he faced at the hands of U.S. officials.

Also on this story: My treatment shames American flag

The abuses alleged by the prisoner are similar to those outlined in the Senate report, which focused on the interrogations of detainees held in secret overseas facilities in the years after the September 11, 2001, terrorist attacks on New York and Washington.

Naji listed sleep deprivation, humiliation and beatings -- abuses similar to those described as "tantamount to torture" in a 2004 International Committee of the Red Cross report leaked to The New York Times.

Naji also described the painful force-feeding he has been subjected to as he and as many as 100 other prisoners have engaged in hunger strikes to protest their continued detention without charge.

CNN could not independently verify the claims made in Naji's editorial piece. When contacted by CNN, the National Security Council said it would not comment on individual claims such as Naji's.

The abuses asserted by Naji were also suffered by other detainees at Guantanamo, said Tom Wilner, an attorney who has represented Guantanamo detainees in two cases that went before the U.S. Supreme Court.

"Cold cells, uncomfortable positions, beating them up, making them pee in their pants, the sexual taunting -- it was all within the range of what was done to many of them," said Wilner, who represented 12 Kuwaitis detained in Guantanamo from 2002 to 2004.

Guantanamo Fast Facts

His clients also spoke of the pornography room that Naji mentions in his column, Wilner said. Naji said he was forced to view pornographic images of women and men, as his interrogators stripped him of his clothes.

"I've heard worse. I've heard that they had women come in and touch them, which for Muslim men is a terrible thing," said Wilner, who has visited Gitmo 14 times.

An international human rights legal group representing Naji and several other Guantanamo detainees contends that the abuses were common.

"Almost every one of my clients has reported identical treatment to what Samir details in this piece," said Alka Pradhan, counterterrorism counsel for Reprieve US, an international human rights nongovernmental organization headquartered in London.

Reprieve represents a total of 10 Guantanamo detainees, including nationals from Yemen, Pakistan, Tunisia and the United Kingdom, Pradhan said. Pradhan, however, wasn't involved in the preparation of Naji's op-ed, which is written in Naji's words, she said.

Some of the abuses continue, Pradhan charged.

"They are still in freezing cells, they still have problems with food, and they are still being treated roughly or hit by the guards," she said.

"Recently, this past summer, (the detainees) had incredibly invasive genital searches" whenever they left their cells to receive a phone call or meet with their attorneys, said Pradhan, who has visited Gitmo three times.

"Some of them felt they were being penetrated," she said of the searches. "It's just that the torture continues in different forms, but as long as the government applies this secrecy to Guantanamo Bay, we won't find out until years after the fact."

Guantanamo Bay: What happens when detainees held for years get out?

Guantanamo detainees -- of which there have been nearly 800 -- were allegedly tortured at the site, drawing widespread international condemnation from human rights and civil liberties advocates who decried the interrogation techniques and the U.S. authority to detain the suspected terrorists without charges.

Nearly all Guantanamo prisoners are being held without charges, and while about half of those are considered high-level threat detainees, the remainder were determined to be low-level threats by a task force of top U.S. intelligence and law enforcement agencies. Those in the latter group could gain their freedom, provided security conditions could first be met in their host countries.

Security concerns have set back and stalled the shuttering of the notorious facility, and the release of Guantanamo prisoners has drummed up serious opposition in Congress on both sides of the aisle.

In December 2010, Congress amended the annual defense budget bill to prevent the transfer of any Guantanamo detainees to the United States. That defeated the Obama administration's plans announced a year earlier to try several Guantanamo detainees involved in the 9/11 terrorist attacks in U.S. federal court.

Among those, Khalid Sheikh Mohammed, a mastermind of the 2001 World Trade Center attacks, was slated to be flown to New York to face trial in federal court.

ISIS Fast Facts

The 2010 legislation also banned Obama from using federal funds to build a detention facility to house the Guantanamo detainees on U.S. soil under existing authority.

U.S. officials have defended the indefinite detention of suspected terrorists without trial or charges as legitimate under laws of war, saying that Congress' 2001 Authorization for Use of Military Force against al Qaeda allows the United States to detain those enemy combatants until the fight against al Qaeda -- and associated groups like ISIS -- ends. It is of course unclear when that fight could or would reach an official conclusion.

But members of Congress continue to oppose the release of Guantanamo detainees -- even those considered low-level threats -- because of the risk that they could engage in terrorism against the United States.

About 17% of the total of 620 detainees released from Guantanamo -- most during President George W. Bush's presidency -- have since engaged in terrorist activities, according to the September 2014 semiannual report from the director of national intelligence. Another 12% are suspected of engaging in terrorist or insurgent activities.

Even if all the detainees recommended for release by the interagency task force are transferred out of Guantanamo, about 69 detainees would remain, according to The New York Times.

"So we're stuck with Guantanamo," Pradhan said. "Now, we're in a hole.

"I tend to be a pessimist about it. No matter what the President continues to say, I don't think this is his priority anymore," she added.

Those detainees include Mohammed and a handful of others slated for trial under the military commission system, as well as dozens who are considered serious high-level threats but could not be tried and convicted -- and that legal limbo is the ultimate conundrum Obama faces as he looks to make good on a long-overdue campaign promise to close the facility before his term ends.

And while just four Guantanamo detainees were released under Leon Panetta's 2011-2013 tenure as defense secretary, Obama renewed his commitment to closing the prison in 2013. Since then, 30 prisoners have been transferred to other countries under Secretary of Defense Chuck Hagel's tenure, The New York Times reported.

Those included five mid- to high-level Taliban militants who were released from Guantanamo this spring in exchange for the release of U.S. Army Sgt. Bowe Bergdahl, who was being held by Taliban forces in Afghanistan.

And the specter of ISIS has stoked more fears in Washington that former detainees could attack the United States or Americans abroad if freed.

Case in point: The U.S. military released Abu Bakr al-Baghdadi, who was captured in 2004 and held at Camp Bucca, a U.S.-run prison in Iraq. He was released later that year.

He went on to become the leader of ISIS and is the self-declared caliph of the so-called Islamic State.

@highlight

The U.S. needs to find a destination for Guantanamo's 136 prisoners to shutter facility

@highlight

About half of the detainees held without charges are considered high-level threats

@highlight

Security concerns and a ban on bringing detainees onto U.S. soil have stalled the closure