Cleveland, Ohio (CNN) -- Last week, Libya's former leader, Moammar Gadhafi, was killed, apparently by rebel forces. When he was captured, he was by all accounts alive, with a gunshot to the arm.

But the official autopsy report indicated that Gadhafi died of a gunshot wound to the head. Now, the United Nations High Commissioner for Human Rights, Amnesty International, Human Rights Watch and even U.S. Secretary of State Hillary Clinton are calling for an outside investigation into the circumstances of Gadhafi's death, and the International Criminal Court has asked to inspect his body.

Was the killing of Gadhafi a war crime?

There are several competing versions of what happened to Gadhafi. Unfortunately, the Libyan doctor who conducted the autopsy has not disclosed whether the forensic evidence indicated that he suffered the head wound in a crossfire, as leaders of Libya's interim government have claimed, or at close range. The latter would obviously suggest that Gadhafi was murdered after he was taken into custody.

Since this was the closing chapter of an internal armed conflict dating back to February, the situation was governed by the international laws of war as codified in the 1949 Geneva Conventions. Under these rules, it is a war crime to kill a combatant after he has been disarmed and taken into custody, except after a fair trial. Such a summary execution is to be distinguished from the killing of Osama bin Laden, which occurred during his capture and amid the fog of battle.

Will the International Criminal Court (ICC) get involved?

Since the situation in Libya has been referred to the ICC by the U.N. Security Council, the ICC has jurisdiction over crimes against humanity and war crimes in Libya since February 2011. Under this grant of authority, the ICC's jurisdiction extends not only to Gadhafi and his troops, but also to the anti-Gadhafi forces and leaders of the national transitional government.

The ICC has indicted Gadhafi, his son Saif al-Islam and the head of the secret police but has so far not focused on the acts of anti-Gadhafi forces. That's because the ICC's governing statute guides the prosecutor away from isolated acts toward large-scale atrocities, providing that "the Court shall have jurisdiction in respect of war crimes in particular when committed as part of a plan or policy or as part of a large-scale commission of such crimes."

That focus could change, however, if evidence emerges of a policy of widespread retaliatory killings by anti-Gadhafi forces, and if the ICC concludes that Gadhafi's death was a part of that policy. To prevent the ICC from taking further action, the new Libyan authorities have announced that they are undertaking their own investigation into Gadhafi's death. Under the ICC statute, the international court must defer to domestic investigations unless there is evidence that such investigations are a sham.

Gadhafi's was not the only mysterious death in Sirte last week. Human Rights Watch has reported evidence of the apparent murder of 53 people, believed to be Gadhafi supporters, in a Sirte hotel that came under the control of anti-Gadhafi fighters. Many of the bodies were reportedly found shot in the head with their hands bound behind their backs. This latest atrocity suggests that the new Libyan authorities should not be trusted to investigate the death of Gadhafi on their own.

What does this mean for the new Libyan government?

At present, leaders of the new government are promising early elections and a quick transition to democracy. To gain international financial assistance, the new government needs to prove its commitment to basic human rights. Lingering concerns about extrajudicial killings will set back that effort.

An international commission of inquiry, launched by the U.N. Human Rights Council and headed by former ICC President Philippe Kirsch of Canada, is investigating reports of extrajudicial killings, torture and other crimes in Libya. This is an appropriate body to examine the circumstances of Gadhafi's death. Cooperating with the Kirsch Commission would be an important first step on the road to proving that the new Libya can be a nation pledged to the rule of law.

The opinions expressed in this commentary are solely those of Michael P. Scharf.

@highlight

Michael Scharf: Gadhafi taken alive but died with bullet to head; rights groups want investigation

@highlight

He says Geneva Conventions say that killing combatant after he's been disarmed a war crime

@highlight

Transition government promises probe; this limits international court 's options, he says

@highlight

Scharf: To get global aid, a new Libya must show it can properly address extrajudicial killings