Jerusalem (CNN) -- A Palestinian turned himself in to Israeli authorities Thursday to say he was responsible for one of two incidents in which vehicles smashed into Israelis a day earlier, the Israeli military said.

Though the motives weren't immediately clear, the incidents were the latest in a series of vehicles striking pedestrians in Israel and the West Bank as the long-taut tensions between Israelis and Palestinians worsened in recent months, agitated in part by killings and a seven-week Israeli-Gaza conflict earlier this year.

They also came amid days of outrage and clashes in Jerusalem over the status of one of the holiest sites in Judaism and Islam -- the Temple Mount, known by Muslims as Haram al-Sharif, or the Noble Sanctuary.

The man who surrendered Thursday said he was the driver who rammed into an Israeli military post Wednesday near Al-Aroub in the West Bank, injuring three Israeli soldiers, the Israeli military said. The driver fled after the incident.

The injured soldiers were taken to Jerusalem's Hadassah Hospital. All three are in moderate condition, said Dr. Asher Salmon, the hospital's deputy head. Earlier, Israeli police spokeswoman Luba Samri said one was in critical condition.

Earlier Wednesday, a Palestinian man drove a van into pedestrians at a rail station in eastern Jerusalem, killing an Israeli border police officer and injuring 13 other people, police said.

Police shot and killed that driver, identified by Israeli authorities as a member of the Islamist Hamas movement, Samri said.

News of the driver's killing ignited fierce clashes between Israeli security forces and Palestinian youths at the entrance of an eastern Jerusalem Palestinian refugee camp where the suspect lived, according to witnesses.

No motive was immediately released, but Hamas supported the hitting of the Jerusalem pedestrians in a text message to the news media: "Hamas blesses the action. What is happening in Jerusalem is pushing us to prepare for war."

Israeli police spokesman Micky Rosenfeld called the incident "a terrorist attack."

Wednesday's developments came on the heels of two hit-and-run incidents that happened in Jerusalem and the West Bank last month.

On October 22, a Palestinian man rammed his car into commuters waiting at a light rail stop in Jerusalem, killing a baby and wounding several other people, Israeli police said.

Palestinian state news reported that a 5-year-old girl died on October 19 after an Israeli settler deliberately ran over her as she returned home from kindergarten near a village to the north of Ramallah in the West Bank.

Clashes at Jerusalem holy site

Wednesday's pedestrian crashes also came against a backdrop of days of unrest over the Temple Mount, or Haram al-Sharif.

Israeli police on Wednesday clashed with Palestinian youths at the holy site, leaving more than 15 people injured, according to paramedics with the Red Crescent.

It was just the latest round of unrest there since activist Rabbi Yehuda Glick was shot and gravely wounded last week after championing more Jewish rights at the site, where Jews can currently gather, but not pray. Israeli police shot and killed a suspect in Glick's shooting.

Glick's October 29 shooting helped to ratchet up tensions in Jerusalem and prompted Israeli authorities to close the holy site for one day -- a move that a spokesman for Palestinian Authority President Mahmoud Abbas called a "declaration of war."

Recent tension at the holy site

Some of the recent tension centers on the Temple Mount/Haram al-Sharif and Glick, who has argued that Jews must have a place of worship there. Such a Jewish prayer right is a sensitive issue for Muslims, who suspect a plan to expel them from the site.

A spokesman for the military wing of Hamas said Wednesday that the site's al-Aqsa Mosque "is the detonator needed to ignite a volcano in the face of the cowardly and treacherous occupier."

"We salute the heroes of the mujahideen of Hamas," Abu Abiada said in a message posted on the military wing's website.

Since Muslims began construction at the site in the seventh century, Haram al-Sharif, now controlled by an Islamic trust, has been an almost constant source of tension between Muslims and Jews. Jordan controlled the site for a time until 1967, when Israel seized eastern Jerusalem.

With its golden dome overlooking Jerusalem, the site is said to have hosted sacred events in the Jewish, Muslim and Christian religions.

Jewish tradition holds that the Temple Mount contains Mount Moriah, where Abraham, the Hebrew patriarch, is said to have nearly sacrificed his son -- under God's orders -- before an angel intervened. Later, Israeli King Solomon constructed the first Jewish temple on the mount, including the Holy of Holies, a room that kept the Ark of the Covenant.

At the foot of the Temple Mount, the 62-foot-tall Western Wall, or Wailing Wall, stands. Once supporting the courtyard of the ancient temple, Jews gather there now to hold religious services, to pray or to slip notes into its cracks.

For Muslims, the Noble Sanctuary contains one of the most sacred sites in Islam: the al-Aqsa Mosque.

Muslims believe that the Prophet Mohammed was carried on a flying steed from Mecca to the site during his miraculous Night Journey, said Muqtedar Khan, an expert on Islam and politics at the University of Delaware.

CNN's Michael Schwartz reported from Jerusalem. CNN's Jason Hanna reported and wrote in Atlanta. CNN's Tal Amir, Daniel Burke, Tim Lister, Kareem Khadder, Greg Botelho, Talal Abu Rahma, Erin McLaughlin and Ralph Ellis contributed to this report.

@highlight

Israeli military: A man who says he struck soldiers has turned himself in

@highlight

A vehicle struck an Israeli military post in the West Bank, injuring three, the military says

@highlight

That came hours after a van struck pedestrians in Jerusalem, killing one and injuring 13

@highlight

The incidents came amid rising tension over killings, status of holy site