Atlanta (CNN) -- Song Byeok had every reason to be pleased with his success. A gift for drawing led to a prestigious career as a propaganda artist and full membership in North Korea's communist party.

Then the food shortages started.

Like tens of thousands of other North Koreans in the mid-1990s, Song made forays across the Tumen River to find food in China. Despite witnessing a better material life across the border, he says, he never doubted that North Korea was culturally superior. He never considered leaving his homeland for anything more than food.

"I was a believer. I saw North Koreans as pure," Song said. "And we needed the Great Leader to protect us from outsiders."

Today, Song paints in Seoul, South Korea, his art haunted by his former whole-hearted belief in the North Korean regime. Song's paintings chronicle a personal, often agonizing journey from child-like allegiance to the country's founder and "Great Leader," Kim Il Sung, and his son, "Dear Leader" Kim Jong Il, to Song's life today as a contemporary artist.

In his former life, he would paint boyish-looking soldiers with heroic features across an entire side of a factory to inspire workers with the same patriotism he believed in.

His current paintings explore themes of freedom while skewering his former devotion to North Korea's leaders. He paints children in military uniforms, their heads bowed and eyes closed. His trademark work shows Kim Jong Il's face atop Marilyn Monroe's famous film pose on a sidewalk grate, holding down her skirt as it billows around her hips.

The painting created a stir in South Korea, where American Greg Pence saw it and raised funds on Kickstarter to exhibit Song's work this winter in Washington and Atlanta.

Song is passionate and sometimes brooding when discussing North Korea but gracious and open about his deeply personal passage from propaganda artist to painter who anguishes over oppression in North Korea.

Obama: North Korea will achieve nothing with provocation

Song's journey to disbelief began the moment he watched, helpless, as his father was caught in a current during a river crossing to China and drowned. Song was halfway across when his father was swept away; he swam back but was unable to rescue him. Despondent, Song searched for his father's body along the riverbank but was captured by North Korean border guards.

Despite his rank as a party member, getting caught meant questioning and torture by North Korean guards to confirm that he was not working for the South Koreans or the foreign missionaries based in China who proselytize among defectors.

"There were no exceptions," he said. "All who are caught are investigated."

In North Korea, a brutal choice

The torment of not recovering his father's remains was much greater than the broken teeth and beatings, Song said. The beatings were so harsh, he said, he was close to death, and he believes that he was released so he would not die in custody.

More than bones, the guards' treatment broke Song's belief in the regime. He describes the moment he left jail as if a veil had been lifted: He saw the world with a new clarity. As he hobbled through the streets, wondering how he'd get home, he decided he wanted a different life. He decided to defect.

In a country of 25 million, only about 20,000 have defected and settled in South Korea, according to the South Korean government. There are no precise figures for how many defectors live in hiding in China; estimates from governments, researchers and non-governmental organizations vary from 25,000 to more than 400,000.

"When people are picked up in China and repatriated, they face prosecution back in North Korea if they are believed to have met with South Koreans or missionaries," said Marcus Noland, a North Korea specialist at the Peterson Institute.

China labels North Korean escapees "economic migrants" and forcibly returns them despite accounts of torture and execution. So those hoping to defect must make their way across China to a third country.

Of those North Koreans interviewed in China, only about one in 10 say they left because of a longing for freedom, according to W. Courtland Robinson, a public health expert at Johns Hopkins University who has studied the issue for more than a decade.

The vast majority who leave give the same explanation Song did for his pre-defector forays into China during the famine: the search for work or food.

"The (North Korean) system is so integral to who you are," Robinson said. "People generally don't say 'I am frustrated, and I want out.' "

Song's paintings explore that theme: a devotion to serving North Korea's leaders so strong that citizens view it as part of their identity.

"Flower Children" shows a gaggle of smiling, uniformed schoolgirls waving and holding North Korea's standard reading primers, "The Story of Kim Jong Il's Childhood" and "History of Kim Il Sung."

The girls exude childish charm, but some faces show a weariness that only comes with age, and their eyes are all closed. Their shoes have holes.

"They believe they are happy," Song said. "They believe they are so much better off than the rest of the world because of their two leaders, who are like two suns."

Song can still recite some of the pages from those reading primers, and he remembers walking to school in similar shoes.

Such memories inspire him to paint, he says, and he hopes people find his interpretations of those memories compelling.

"Tumen River" is done in classical Chinese style. At first glance, with its brushed mountain landscape, the painting looks like it could be from the Tang Dynasty. On closer inspection, its subtleties portray North Korea's crippling poverty. Peasants work fields with oxen while nearby, a broken-down tractor rusts. Soldiers fish for their dinner downstream from women doing laundry by hand.

In the hills above the river are billboards common throughout North Korea, with phrases such as "All Glory To Our Nation's Agricultural Independence" and "All Glory to Our Nation's Great Strength." Near the billboards, peasants dig for edible roots, which are commonly steamed in a kettle before being eaten.

"The past and the present of North Korea are the same," Song said. "There is no progress."

Despite the large and absolute devotion of most North Koreans to their government, Song is optimistic about their future under Kim Jong Un, who recently inherited the country's reins after his father, the Dear Leader, died.

In a nation where every decision flows from the top, a change of leadership can transform everything.

"Kim Jong Un will want to try something new," Song said. "You can not change the nature of youth."

If Kim Jong Un allowed the population access to television, websites and radio from Seoul, with its opulent lifestyle, change would be inevitable, and the emotional connection to the government would gradually wither, Song believes.

Meanwhile, being caught with foreign media can mean public execution or three generations of your family being sent to prison camp. So few people outside the party elite dare to smuggle radios or DVDs from China.

But if those punishments were ever removed, Song says, North Koreans would probably lose their devotion to the regime as quickly as their Japanese neighbors stopped worshiping their emperor after World War II.

It would take only a clear view of the poverty and oppression in their life to spark cataclysmic demands for change, Song says. The spectacular failure of its command economy has made North Korea one of the poorest nations on Earth. By one plausible account, teenage defectors of the past decade are 5 inches shorter and 25 pounds lighter than their South Korean counterparts.

"I feel a great deal of anger now that I understand the problems" in North Korean society, he says. "I never felt it when I was there."

@highlight

Once a propagandist, defector Song Byeok now paints satirical works about North Korea

@highlight

His paintings dwell on miseries of life in his homeland, joy of the freedoms he found in the South

@highlight

From a country of 25 million, only about 20,000 North Korean defectors live in the South

@highlight

Song is optimistic new leader Kim Jong Un will be an agent for change