WASHINGTON (CNN) -- After a losing presidential campaign, it became clear to Edward "Ted" Kennedy that his true calling was to help shape the country's political future from the U.S. Senate.

The turning point came in 1980 when Kennedy unsuccessfully challenged President Carter in the Democratic primaries.

But Kennedy's loss was not necessarily such a bad thing, a top political historian notes.

"I think partly it related to that time when he, after 1980, he realized that he was not going to be president of the United States ... and that being a United States senator was a pretty important and powerful job in which he could do good," said Stephen Hess, author of "America's Political Dynasties."

Kennedy, 77, had represented Massachusetts in the U.S. Senate since his 1962 election when he was chosen to finish the unexpired Senate term of his brother, John F. Kennedy, who was elected president in 1960. The Massachusetts governor appointed Democrat Benjamin A. Smith to the seat following John Kennedy's presidential win.

Political observers have said that Smith was a mere seat warmer until Ted Kennedy turned 30 -- the required age to become a U.S. senator.  Watch how the youngest Kennedy brother carried on the family torch »

"It's quite remarkable for a person who got there in 1962 at age 30 with no greater qualification for the office than his brother was president of the United States and the voters of Massachusetts respected that name," Hess said.

And after nearly 50 years, Hess said Kennedy -- the patriarch of the first family of U.S. Democratic politics -- has truly "made a substantial mark."  Learn more about Kennedy's funeral arrangements »

Deemed by many as the "Lion of the Senate," Kennedy was considered one of the most effective legislators of the past few decades, especially in his ability to cross party lines to get legislation passed.

In 2001, Kennedy helped President Bush craft and pass education legislation with the No Child Left Behind Act. While facing some criticism from his party, Kennedy pushed ahead on an issue close to his heart.

"Kennedy realized how much more you could do when you engaged the opposition party and wanted to make the compromises or the agreements that could keep the peace on legislation," Hess said.

Kennedy, Hess added, was good at coalition building because he was an engaging person who "owned the Senate."

Ted Sorensen, a speechwriter for President Kennedy, said that Ted Kennedy's legacy in the Senate "is comparable and consistent with the legacy of his entire family for generations."

That legacy, in addition to popularity among fellow senators, might be the reason why he had major roles in the passage of the Civil Rights Act of 1964, the Voting Rights Act of 1965, the 1990 Americans With Disabilities Act, the 1993 Family and Medical Leave Act and the Kennedy-Hatch law of 1997.

In 1994, Kennedy was instrumental in helping the Clinton administration with its plan to overhaul health care. The legislation, maligned by Republicans and conservatives, later failed.

Fifteen years later, he continued his fight for comprehensive health care alongside the nation's first black president, Barack Obama.

Kennedy, an early supporter of Obama's presidential campaign, seemingly handed the torch down to Obama before the "Super Tuesday" Democratic primaries by likening the senator from Illinois to his brother, the late president.

But the man who spent much of his career helping others to get better health care, civil rights and education, now faced his own personal medical struggle -- the Kennedy patriarch had brain cancer.

As that news broke in 2008, his colleagues on both sides of the aisle not only prayed for his recovery but also honored Kennedy's legacy.

Sen. Dick Durbin, D-Illinois, released a statement saying, "Ted Kennedy has spent his life caring for those in need. Now it's time for those who love Ted and his family to care for them and join in prayer to give them strength."

Sen. Orrin Hatch, R-Utah, said that while he "sparred a lot" with Kennedy, he knew "firsthand what a formidable fighter he is, and I know that he will do all he can to battle this disease."

Sen. John McCain, R-Arizona, called Kennedy "a legendary lawmaker, and I have the highest respect for him. ... When we have worked together, he has been a skillful, fair and generous partner." iReport.com: Share tributes to Kennedy

McCain and Kennedy often worked together on legislation throughout the years -- most notably on overhauling the nation's immigration laws. Many observers said they believe legislation on the issue progressed as far as it did because Kennedy's name was on it.

But it has not always been an easy political road for Kennedy.

After a July 18, 1969, party for those who had worked on his late brother Robert's presidential campaign, Kennedy drove his car off a bridge on Chappaquiddick Island, Massachusetts. Although he managed to escape, his passenger, Mary Jo Kopechne, drowned.

Kennedy did not report the incident immediately and later pleaded guilty to leaving the scene of an accident.

The incident not only created a firestorm of controversy about the clout of the Kennedy family but also raised questions about the senator's honesty and judgment. The accident is something that opponents would use in future campaigns.

But through it all, Kennedy survived politically and went on to become one of the longest-serving senators in U.S. history.

@highlight

Edward "Ted" Kennedy had been U.S. senator from Massachusetts since 1962

@highlight

Kennedy was considered one of the most effective legislators

@highlight

A hallmark was the senator's ability to work across party lines, colleagues say