Washington (CNN) -- The Supreme Court unanimously ruled against the National Football League over its exclusive contract with an apparel maker in one of the most important sports law cases in decades.

In a 9-0 decision Monday, the justices said the league can be considered 32 separate teams, not a single business.

The court allowed a lawsuit against the league to continue, saying the licensing of intellectual property "constitutes concerted action" that is not part of the broad antitrust protection enjoyed by professional baseball. Such protection allows individual teams to act as one business when making a host of financial decisions, including marketing their logos and trademarks.

The outcome could affect other sports franchises with similar limited antitrust exemption, as well as businesses that have cooperative networks, such as credit card companies.

The National Basketball Association, the National Hockey League, the National Collegiate Athletic Association, NASCAR, professional tennis and Major League Soccer backed the NFL in its appeal, seeking similarly broad antitrust protection.

"Decisions by NFL teams to license their separately owned trademarks collectively and to only one vendor are decisions that 'deprive the marketplace of independent centers of decisionmaking,' " Justice John Paul Stevens wrote for the court, "and therefore of actual or potential competition."

The case involves a lawsuit from American Needle Inc., an Illinois-based sports apparel maker that was one of several companies with long-standing contracts with NFL Properties, a separate corporate entity that develops, licenses and markets the intellectual property of each team.

But in 2001, the league entered into an exclusive 10-year contract with Reebok to manufacture hats, jackets and other clothing featuring team logos. American Needle is no longer able to negotiate with individual teams.

Some fans have complained that the prices on such gear have skyrocketed in the absence of competition from other apparel makers. A Baltimore Ravens "replica jersey" with the name of star quarterback Joe Flacco, for example, now is listed for $108 on the team's Web site.

American Needle complained that the deal violated a 120-year-old antitrust law designed to limit cartels and monopolies, and to foster fair competition in the marketplace. The key section of the law bans business rivals from conspiring to blunt competition or hurt consumers, by either increasing prices or limiting choices.

"The court vindicated the position of American Needle," said Glen Nager, attorney for the company. The ruling reinstates the firm's lawsuit against the NFL.

Nager said the result of the Reebok deal was that the league's 32 teams "put all of their intellectual property under the control of a single licensee, Reebok, and prices [went] up by 150 percent."

"The case has to go forward, and American Needle is entitled to its day in court," Nager added. He said he was not surprised by the unanimous decision.

The ruling overturned of a 7th U.S. Circuit Court of Appeals decision that the league was one, not 32.

Baseball is the only sports league that enjoys complete antitrust protection. The NFL has long sought similar status.

The dilemma is acute because of the unique nature of pro sports, including American football and its 32 teams. Those teams, including top apparel sellers the Dallas Cowboys and the Pittsburgh Steelers, compete against each other on the field and off -- for victories, for players and for their own brands.

But the league maintains unilateral rules and structure that all teams must follow to ensure parity and an equal playing field. The NFL negotiates national television contracts and deals with the players' union through collective bargaining.

The league says trademark licensing primarily benefits the on-field competition.

"A sports league produces a single entertainment product," the league told the high court, "a structured series of athletic competitions leading to a championship, that no member club could produce on its own."

But American Needle countered that the structure does not erase the fact that "the teams are separately owned and controlled profit-making enterprises. They are actual and potential competitors in numerous areas, including the licensing of intellectual properties."

The Obama administration supported neither side, saying the league can be considered a single business in some areas but not others.

Stevens noted that the ruling will not completely hamstring the league.

"Football teams that need to cooperate are not trapped by antitrust law," he wrote. "The fact that NFL teams share an interest in making the entire league successful and profitable, and that they must cooperate in the production and scheduling of games provides a perfectly sensible justification for making a host of collective decisions. But the conduct at issue in this case is still concerted activity under the Sherman Act."

The ruling throws the dispute back to the lower federal courts to sort out the parameters of a possibly reworked licensing agreement that presumably would favor American Needle.

Retail sales of NFL-licensed merchandise in the United States and Canada was about $3.2 billion in 2007, according to the trade journal Sports Licensing Report. The combined total for football, baseball, hockey, basketball and soccer is more than $9 billion annually.

Among those backing the league are credit card companies, fearing that a ruling against the NFL could set a precedent that would hurt the federation of banks that constitutes the credit card network for companies like Visa and MasterCard.

Workers' rights groups feared that a win for the sports league could have boosted its power in other off-field activities, perhaps giving owners immunity from lawsuits in areas like television rights, video-game licenses, franchise relocation and possibly athlete salaries.

Unions also expressed concern that the current legal fight could lead to labor unrest and possible player strikes, since the leagues might be protected legally from accusations owners conspired to keep down salaries. Athletes say salaries, free agency rights and pensions could also have been affected by a ruling against them. The NFL Players Association backed American Needle in the high court appeal.

The case is American Needle v. National Football League (08-661).

CNN Radio's Bob Costantini contributed to this report.

@highlight

American Needle says NFL deal with Reebok violates antitrust law

@highlight

Court says licensing of intellectual property is not part of antitrust protection

@highlight

Manufacturer's lawsuit against league can continue

@highlight

Outcome of case could affect other sports franchises