After Vic Huo graduated from fashion design school in 2007, she landed four jobs as an apparel designer for Chinese brands. The first three jobs, she quit. At her last job, she was fired.

Huo's career problems stem largely from the fact that she says her bosses encouraged her to more or less copy international designs rather than to create her own. Management perceived anything too unique to be too much of a business risk: As Chinese consumer tastes still tilt overwhelmingly towards the mainstream, anything off-kilter simply may not sell.

"They just want to copy from the other brands," the 26-year-old said. "They are scared of the creative."

Now Huo says she does not know what to do. Chances of working for an international brand seem slim. She would like to launch her own label, yet funding for independent fashion lines is hard to come by and there's no guarantee the country's brand conscious consumers will buy anything without a famous international label printed ostentatiously on a shirt, bag or other piece of clothing.

"Designers always want to follow their own hearts," Huo said. "But they have to consider the market needs."

No doubt China's once almost non-existent fashion industry is on the verge of exploding. New domestic brands pop up seemingly everyday. Chinese models, like Liu Wen, who has shot campaigns with Calvin Klein, Dolce & Gabbana and Estee Lauder, are increasingly becoming a hot commodity on foreign runways while domestic designers, such as Richard Wu, who debuted mainstream VLOV menswear brand at the Mercedes-Benz Fashion Week this week in New York, are piquing the interest of the international fashion elite.

But for grassroots designers, the fashion landscape is still largely difficult. Aside from money, independent designers say they struggle with coming up with original concepts that represent modern Chinese style.

"In order to establish a foundation, it is important to slow down and look back," Qiao Qiao, who founded her womenswear brand One by One with only 40,000 yuan (about $6,000) in Shanghai in 2003, said. "The problem is every time they [designers] stop and look back, they resort to the period of the Cultural Revolution's style."

The style during the Cultural Revolution, a period between 1966 and 1976 when millions lost their lives in the midst of political violence, was overtly drab. Men and women wore dark colored clothing. Anything remotely stylish was banished as art, music and intellectual endeavors were perceived as bourgeois and thus a threat to the State.

A Cultural Revolution aesthetic, so to speak, has had a resurgence in China in the form of kitschy t-shirts, bags and caps, which can be found in a number of artsy boutiques in Shanghai, Beijing and elsewhere. However Qiao Qiao points out that over the past half-century, after China reopened its doors to the rest of the world in 1978, all other influences have been predominantly from the West.

The archives of ancient China must be opened to find new inspiration, the designer said. She points to American designer Rick Owens, whose avante-garde clothes draw influence from dynastic times, as an inspiration: "He is very successful," she said. "But that should be the work Chinese designers do, and yet we cannot surpass him."

Chen Ping, founder of the Pari Chen womenswear brand, is one domestic designer who is trying to slow down and look way back to the country's deeply rich history for inspiration. It has not been easy. Before starting her own fashion label in 2008, Chen said she sat at home "totally depressed."

"There was a huge gap between my ideal and the practice and the work. I lost my orientation in the business," she said, adding that the market, especially younger segments, cared only about fast fashion rather than fashion as an art form that reinvigorated cultural beauty from the past.

Now with no store, no employees, little money and a studio located in an apartment building amidst farmland outside of Shanghai, Chen is struggling to survive. During a good month, she sells maybe around half a dozen of her pieces, which feature flowing swaths of silk and chiffon meant to mimic calligraphy or attire worn by scholars during the Song Dynasty.

"There are many designers who want to do things quickly," she said. "From my perspective, it is important to have a certain amount of time to accumulate your style."

The situation is not so bleak for everyone, especially those who have turned to the internet, specifically Taobao, the country's largest e-commerce platform which is home to countless grassroots stores selling everything from wrenches to  iPhones.

Around three years ago, Wei Fu Ying launched her Wing Free brand on the shopping site. Akin to H&M or Topshop, Wei's vintage-inspired designs are hip and chic, targeting teenagers and twenty-somethings. She sells up to 300 pieces of her clothing per day. She is optimistic about her future but tempered on the overall future of homegrown design.

"For those who are really talented, they should just go abroad and they will be recognized," Wei said. "Here, the industry is more based on contacts, relationships and publicity. It is a bit like an illusion."

There are some who are trying to support the local industry, especially those whose designs are more haute couture than high street hip. In Beijing, for example, Hung Huang, a TV host known as the "Oprah of China," has opened a boutique called Brand New China, or BNC. The store features work from select Chinese labels. It's neighbors include famous foreign brands such as Commes de Garcon, Versace and Balenciaga.

Chinese celebrities are also helping to drum up demand for homegrown style, according to Annie Wang, an advisor to the Beijing Media Group, which publishes a number of newspapers and magazines. Actress Fan Bingbing wowed global audiences at this year's Cannes Film Festival when she wore a stunning red gown embroidered with white cranes from  up-and-coming domestic designer Bo Kewen.

The celebrities "want to represent China," Wang said. "The whole black tie and Western style is not the Chinese tradition at all, that is why I see there is a market for China to have local designers who know the flavor of the Chinese. But whether this will become a big market in China or not, I don't know. I can only say it is possible."

@highlight

China's fashion industry is expanding at a rapid pace

@highlight

But for grassroots designers the landscape remains largely difficult

@highlight

Many say they struggle to create original concepts that embody modern Chinese style