(CNN) -- A blast from the steam whistle on a cherry-red locomotive sends a gathering of locals on a platform scuttling with delight in the town of Durán, Ecuador.

It's a sound many in this town on the tropical Pacific plain haven't heard in years.

Some never have.

A restored, century-old steam locomotive grinds slowly out from its rail shed.

Vapor from its smokestack hangs in the humid air surrounding Durán Station.

In a few days, that vapor will crystallize in the freezing temperatures of the Ecuadorian Andes as the throwback Tren Crucero threads its way past giant snow-capped peaks into the realm of condors, volcanoes and Andean legend.

Great steam train revived

Trains in Ecuador have been virtually moribund since the late 1990s.

"Strong winter rains of El Niño in 1982 destroyed a stretch of the railroad between Huigra and Bucay," says Slav Ivanov of Ferrocariles del Ecuador, the train's operators. "Further damage occurred during El Niño floods during the 1990s."

‪By 2008, only about 10% of the Ecuadorian train network was operational.

Since then, the Ecuadorean government has spent some $280 million revamping the national railway. ‬

The flagship of the railway's renaissance is Tren Crucero, a revamped luxury steam train operating a new cross-Andean service between Guayaquil and the capital of Quito (at 2,849 meters the highest capital city in the world).

Tren Crucero -- literally "cruise train" -- follows a 453-kilometer (282 mile) narrow-gauge line originally constructed between 1897 and 1908 along Ecuador's Andean spine.

The railway was built to connect Ecuador's two major cities: Quito in the Andes and Guayaquil along the Pacific.

Now as then, it's one of the most thrilling railway journeys in the world.

Today's luxurious four-day, three-night journey targets foreign tourists and affluent Ecuadorians.

Tickets cost $1,200 for adults ($952 for children) and include all hotels and excursions en route.

The train's newly purchased carriages, built in Madrid, are pulled by restored steam locomotives.

The oldest dates to 1900 and was engineered by American manufacturer Baldwin of Pennsylvania.

One of the locomotive's engineers is 52-year-old Edgar Garces, a 28-year employee with Ecuador's national railway company.

"I didn't think I'd see the cross-Andean train running again in my lifetime," he says.

Few others did.

Tourism revamps trains, communities

Ecuador's government wants Tren Crucero to boost economically depressed communities along its route through tourism.

From Guayaquil into the Guayas coastal plain, abandoned settlements such as Casiguana testify to the economic malaise.

This former orange-growing village was deserted when the railway's demise severed its trade link to Guayaquil.

Further up the line, in Yaguachi, 75-year-old Alejandro Diaz-Lopez waits track-side for Tren Crucero, plucking his guitar and singing ballads about the train.

"I sing a song for the train; for the president; for the tourists who now bring our community money," he says.

Tren Crucero's most exhilarating section is a series of precipitous switchbacks that enable the train to ascend 2,945 meters (9,662 feet) in just 56 kilometers (34 miles) around a mountainside called the Devil's Nose.

By 1908, this hazardous section had taken four years to build and contributed to more than 4,000 deaths among workers, including 2,730 Jamaican laborers.

At Alausi, a town of largely Quechua indigenous inhabitants, 30-year-old Rosita Logrono sells beautiful hand-knitted llama wool garments at the station's newly created souvenir bazaar.

"Before the railway returned I only had part-time work and couldn't send my children to school," she says. "Since the trains returned life is much better."

Avenue of the Volcanoes is highlight

The journey to Quito passes 10 volcanoes along the so-called Avenue of Volcanoes.

The highest point (3,609 meters/11,480 feet) comes on day three at Urbina, where a new visitor's center has been built.

Here, the last iceman of Chimborazo greets passengers.

Balthasar Uscha, 69, has cut ice from Chimborazo volcano's flanks for 50 years; at 6,310 meters (20,100 feet) Chimborazo is Ecuador's highest mountain.

Taking into account the planet's equatorial bulge, Chimborazo's summit is further from the Earth's core than Everest.

Uscha's glacial ice once chilled the drinks of coastal dwellers.

But refrigeration has put the ice cutters out of business.

He says he represents the last survivor of his profession.

Last stop, but not the end of the line

Tren Crucero passengers disembark each night and stay in local hotels.

The final night's accommodation is La Cienaga, a glorious Spanish hacienda built 1695.

The great naturalist, Alexander von Humboldt, who stayed here 1802, coined the term "Avenue of Volcanoes."

The hacienda is located within view of snow-capped Cotopaxi; at 5,879 meters (19,300 feet), it's one of the highest active volcanoes in the world.

The final day begins at Latacunga.

The city has been destroyed on three occasions by eruptions from Cotopaxi, which historically erupts about every century.

Now overdue, the last eruption to destroy Latacunga was in 1904.

Thoughts of such calamities, however, are far away.

As the train rumbles into its last stop at Quito, only the bright sun of restoration shines on the rails and the faces of disembarking passengers, thrilled to have completed one of the great -- and largely undiscovered -- journeys in the world.

The 280-mile journey from Quito to Guayaquil takes four days and three nights (with stops and hotels included), crosses Ecuador's Andes and passes from moorlands through cloud forests to tropical coastal landscapes; $1,270 adults, $952 children.

For more information, schedules and tickets on Tren Crucero, visit Ecuador by Train.

@highlight

By 2008 only 10% of Ecuador's train lines were operational

@highlight

Ecuadorean government has spent $280 million revamping national railway network

@highlight

Its flagship Tren Crucero follows a 453-kilometer line along Andean spine

@highlight

Highlight is the Avenue of Volcanoes