(CNN) -- Now the Democrats are stepping into the spotlight. With the Republicans packed up from their stormy convention in Tampa, Florida, and back on the campaign trail, the Democrats gather in Charlotte, North Carolina, to explain to Americans why their candidate is a better choice in November.

Like Republicans, Democrats must use this high-visibility media opportunity to outline their arguments for the fall. Although President Barack Obama is more of a known commodity than GOP candidate Mitt Romney after three and a half years in the White House, there is still a lot of work for Democrats to do in the coming days.

Outside of his strong favorability ratings, polls continue to show that Obama is extremely vulnerable as a result of the slow economic recovery. With so much of the workforce struggling with unemployment and unstable jobs, Romney has a fighting chance.

Many Americans are unhappy with what the Democrats have offered. They don't feel that they are better off in 2012 than they were in 2008.

At their convention, Democrats need to lay out a series of arguments if they are to strengthen their chances of victory. Obama's personal popularity is not enough under these conditions. Democrats must offer a straightforward, ringing defense of what their president has been able to accomplish.

Opinion: Can Obama convince voters to turn to him again?

With Republicans talking about failed leadership, Democrats must seek to show this is not the case. Too often, Democrats have been on the defensive, explaining away the shortcomings of Obama's legislative legacy or blaming congressional Republicans for the fate of his initiatives.

Obama has sometimes been reluctant to tell his side of the story, often responding to Republican criticism rather than laying out his understanding of what has happened. If Democrats are to do well, the president will have to do more than blame President George W. Bush or congressional Republicans, or just warn about what a Romney-Ryan White House would do.

For example, Obama could do more to explain how his economic stimulus played an important role in stabilizing economic conditions and investing funds in important programs that will shape the nation's future. In his new book, "The New New Deal", Time correspondent Michael Grunwald argues that the stimulus created over 2 million jobs, prevented a more dire economic collapse, and resulted in billions of dollars being spent on clean energy projects (with the failure of the solar energy company Solyndra really being atypical), information technology projects (such as rationalizing health care billing), education programs, and more.

Obama must also make a stronger case about what his health care bill will achieve -- such as allowing people under 26 to retain health insurance under their parents' coverage and preventing companies from denying benefits to those with pre-existing conditions.

He will need to connect his programs to a broader economic strategy, explaining how programs like health care -- which the administration argues will lower overall deficits and lower the cost of premiums for individuals and business -- will be important to a robust economic future.

In general, Americans like government when they are asked about specific policies but don't like government in the abstract. For Obama, the lesson is that the more he talks about his record with specifics, the better he will do.

Democrats must also offer a bolder defense of government as a necessity for strong economic growth. Democrats continue to be hesitant and reluctant to mount a defense of government. Still seeing themselves as living in the Ronald Reagan era, they try to rebut the charge that they are anti-market.

Opinion: Young voters, don't give up on Obama

In his keynote address to the Republican convention, New Jersey Gov. Chris Christie argued that "Our ideas are right for America and their ideas have failed America." Democrats will need to respond. Recently, Obama sloppily tried to explain how governments have been essential to businesses, but said this in a way that opened him up to attack for being anti-business, leading to the GOP mantra of "I built this!"

In a fascinating new book entitled "To Promote the General Welfare: The Case for Big Government," a group of historians shows how important government has been in almost every area of American life, from our information networks, to our schools, to our transportation, to our homes. In a chapter about housing, the historian Tom Sugrue writes that "federal housing policies remade the whole landscape of America. Most important, they made possible the rapid expansion of suburbia."

Without a strong government, private markets can't thrive. The two go hand in hand. The point is not to say that business people are not responsible for their success, but, rather, that the best business people need a strong foundation on which to build their projects.

One can't run a successful store if police don't protect the shop from thieves, if roads are not built and paved so that customers can reach their destination, if tax incentives are not in place to alleviate some of the costs that the owner must shoulder.

The last argument that Democrats, and especially President Obama, must make is that he has not given up on his vision of changing the way that politics works. When Obama ran in 2008, Americans were excited about the possibility of a politician who would transcend the old politics and devote political capital to fixing a broken process.

But in Mitt Romney's acceptance speech, the Republican candidate asked, "If you felt that excitement when you voted for Barack Obama, shouldn't you feel that way now that he's President Obama?"

Obama must respond. His promise was not just one of bipartisanship, but a promise to look seriously at the flaws in our political system. Unfortunately, Obama abandoned many of those goals.

Even worse, as a result of both parties walking away from the public finance system that came out of the Watergate scandal, and a series of court decisions, the 2012 campaign has turned into an orgy of campaign contributors, on both sides of the aisle, funneling millions of dollars into advertising. There is so much unregulated money floating around this campaign that it seems likely to produce a major scandal.

We're living in a political atmosphere comparable to a film where viewers can clearly see something bad is about to happen, but the characters remain oblivious to what surrounds them. While a speech about change won't work, because Obama now represents the status quo, he and other Democrats should talk about one or two specific ideas for dealing with the hurricane of money that has hit our political shores.

John King: To win, Obama must make history again

Even if many Americans still don't like Mitt Romney, and the tea party Republicans make it hard for the GOP to appeal to the center of the electorate, Democrats, with this economy, have a million points of vulnerability. They need to offer Americans something more than the status quo, something more than an alternative to what Democrats call radical conservatism. They need to offer Americans policies they can believe in.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Democrats hold their political convention this week in Charlotte, North Carolina

@highlight

Julian Zelizer says it's vital that Democrats respond to the charges made by the GOP

@highlight

He says Obama can't rely on blaming Bush or warning what a Romney White House would do

@highlight

Zelizer: Obama should strongly defend his record, including stimulus, health care law