(CNN) -- Plaid feels right for this fall, when the wooly weave of Scottish tartans is likely to show up on store shelves.

It appeared in the fall runway collections of designers like Marc Jacobs, Michael Kors, Louis Vuitton and Tory Burch. It's no surprise: From Chanel's famous tweeds to Alexander McQueen's voluminous gowns to Tommy Hilfiger's preppy sportswear, the interplay of colors and crossing lines in a tartan weave allow designers to communicate a range of emotions. Think of the outrageous punk statements from Vivienne Westwood or the staid, aristocratic panache from Ralph Lauren.

"You can expect to see plaid on just about everything," said Jasmine Snow, the accessories editor for Seventeen Magazine. While stores are always filled with plaid in the fall, she said, this year, coats, long pencil skirts, shoes and already otherwise-printed shirts are getting the plaid treatment for crowds of all ages.

"Red and black buffalo plaids are the hottest right now," she said, and teens especially will be looking for unique plaid combinations for the once-again trendy grunge look.

But then again, plaid has been on trend for a long, long time.

Plaid's long history

In fact, it's been around since at least 1500 BC, according Patrice George, an assistant professor of textile development for the Fashion Institute of Technology. That's the age of the oldest surviving piece of plaid in the world.

"As soon as people learned to weave, they figured out that if you put different colored yarns in the two directions the yarn went, you got an interesting crossing (pattern)," George said. "Color combinations became associated with power and status. In the 16th and 17th centuries, the Scottish highlanders really developed this into a system, and that's where we get the tartan concept."

Tartan is a plaid woven in wool, designed in Scotland that identifies different clans, aspects of Highland society and political allegiance.

Centuries ago, Scottish men used yards of tartan to wrap around their bodies, keeping them warm on the windy mountainsides. That piece of woven wool was called a pledd -- it's where the word plaid comes from, George said. Modern Americans often use "plaid" and "tartan" interchangeably, she said, although "plaid" is also the word for a check weave that's not an official tartan.

But fashion designers and plaid enthusiasts have Queen Victoria to thank for its popularity, said Patricia Campbell Warner, a historian and University of Massachusetts Amherst professor emerita.

Because Queen Victoria was so enamored of Scotland and Scottish tradition, she adopted tartan in her own clothing, and made it quite formal, Warner said. The bold blacks, reds, blues and greens used in many clan tartans today come from the Victorian era, she said, when chemical dyes became widely available. Before then, tartans were made from naturally dyed wool, which is drab in comparison.

"What Queen Victoria did, people copied," Warner said. "Tartan went into high fashion with women's dresses from the middle of the 19th century, on."

Fashion has always followed the "trickle-down theory," Warner said: When the highest echelon of any society does something, everyone else follows.

And nobody copied Queen Victoria's penchant for plaid better than the Americans, Warner said.

An American tradition?

Americans are known to look to Europe for fashion inspiration -- it's an old habit. In colonial times, Americans were well connected with their families in Britain. It took only six weeks to get to the colonies by boat, Warner said, and the latest fashions and fabrics were often sent to American women by their relatives.

As the United States and Canada grew, Americans of Celtic heritage helped to establish tartan's place on the continent.

During the late 1880s, one Scottish immigrant trader was known to share his clan's tartan with Native Americans in exchange for buffalo hides, said George of the Fashion Institute of Technology. The pattern of red and black check (which became a favorite of lumberjacks, cowboys and hunters) was a big hit, she said, and soon became known as "buffalo plaid."

The Pendleton Company in Oregon was also responsible for the homogenization of tartan and plaid in the United States, she said. Around the turn of the last century, the wool weaving mill served people living in the West, who mainly wore plaid shirts and leather pants during the frontier development of the 1880s and '90s.

Pendleton "started weaving traditional Scottish plaids but then they also started making up their own," George said, using "more American" colors like browns, golds and greens. Pendleton plaids went on to became associated with genteel country lifestyles -- say, a weekend in Vermont or a gentlemanly ranch in Montana.

The very idea of a tartan has also left footprint on North America. Many U.S. states, branches of the military, universities and institutions have their own tartan. National Tartan Day, a holiday dedicated to Scottish-Americans, is celebrated on April 6. You can make your own tartan on the Web and it will be internationally recognized as such.

There's even a museum dedicated entirely to tartan in Franklin, North Carolina.

Jim Akins, who proudly claims Scottish heritage on both sides of his family, spends his retirement volunteering at the museum. He enjoys pointing out examples of his family tartans to visitors.

"People see me in a kilt and they automatically think, 'OK, he's Scottish,' but when this voice came out," he said, of his thick Southern accent, "you could see the surprise on people's faces."

He regularly wears a kilt to church or even shopping with his wife.

"I think it's great that people would wear tartan, regardless of whether it's a shirt or a kilt," he said. "It's the most comfortable garment that you'll ever wear."

@highlight

Many fashion designers incorporated plaids into recent fall and winter collections

@highlight

The earliest plaids have been around since at least 1500 BC

@highlight

Queen Victoria helped to popularize the look of Scottish tartan