(CNN) -- Even as gaming begins to challenge television as a leading mass entertainment medium, the industry continues to struggle with the serialized model that's made broadcast programming a nightly must-see for many.

But a new breed of episodic games, designed to be enjoyed in short, sequential spurts, is looking to make its mark on home entertainment -- one bite-sized, downloadable installment at a time.

Phoenix Online Studios' "The Silver Lining," a free, fan-made tribute to Sierra's classic "King's Quest" fantasy adventures, kicks off July 10 for the PC. The classically styled "point-and click" puzzle-solving tale offers players the first chance to revisit with hero King Graham since 1998's middling "Mask of Eternity."

Future episodes will also be complimentary and are due for release throughout 2010. But beyond the fact it's a homebrew labor of love that single-handedly resurrects a dormant cult classic, the title is also significant for several reasons.

It points to growing signs of life for the once-popular adventure genre, which fell on hard times during the mid-'90s, following the rise of first-person shooters and action-oriented outings. Debuting with the approval of license holder Activision, the game also illustrates the potential ability of homebrew titles to rekindle public interest in even the hoariest old series.

But most importantly, following other successful running properties such as "Sam & Max" and "Tales of Monkey Island" (other classic adventures enjoying an unexpected resurrection), it points to episodic games' growing viability in a digital world.

"All platforms are now moving towards episodic content -- we're seeing it on the PlayStation Network, Xbox Live, WiiWare and even the iPhone and iPad," says Cesar Bittar, producer/designer on "The Silver Lining."

"Just like a TV show, it keeps you coming back. We feature a new setting in every episode, with new characters, new puzzles and new adventures, while at the same time moving forward the underlying plot that ties it all together."

It also makes good business sense, explains Bjorn Larsson, CEO of Legendo Entertainment, whose episodic arcade air combat series "Pearl Harbor Trilogy" debuts for $7 on WiiWare as of July 5.

"The episodic model allows us to charge less, focus on higher quality per title and better respond to player feedback between releases," he says. "With boxed products, it's either go big or go home -- there's no room for risk. Episodic lowers barriers to entry for both developers and customers, and lets game makers take more chances."

But outside of a few breakout success stories such as "Half-Life 2: Episode 1," the field of episodic game publishing largely remains an unknown quantity. Several prominent earlier releases, including "American McGee's Grimm" and "Majestic," failed to attract a significant audience despite backing from Turner Broadcasting and Electronic Arts, respectively.

But I'd argue that these titles predate streaming game delivery's rise to mainstream prominence and the economic downturn, which has forced value-minded shoppers to turn online for smaller, more affordable gaming experiences.

With marquee outings such as "Sonic the Hedgehog 4" due for release in multiple chunks, and massive multiplayer online games already wooing fans with episodic updates, this approach may yet persevere.

"Even blockbuster games are becoming more episodic in nature," says Larsson. "It just so happens that we call updates for titles like 'Grand Theft Auto IV' and 'Alan Wake' downloadable content (DLC) instead."

@highlight

"The Silver Lining" is a free, fan-made tribute to Sierra's "King's Quest"

@highlight

The game points to growing signs of life for the once-popular adventure genre

@highlight

"All platforms are now moving towards episodic content," says producer/designer