(Health.com) -- Progress in the fight against obesity, heart disease, and several other public-health scourges all but ground to a halt in the past year, although as usual a person's chances of being in good health varied widely by location, according to the latest state-by-state rankings of the nation's health.

As they have in the past, northeastern states dominated the top of the rankings, while states in the southeastern United States were clustered at the bottom. Vermont -- with its low rate of infectious disease, high use of early prenatal care, and relative lack of violent crime -- was deemed the healthiest state for the second year in a row, followed by New Hampshire, Connecticut, Hawaii, and Massachusetts.

The picture was far less bright across the nation as a whole, however. Increases in obesity, diabetes, and the percentage of children living in poverty are eroding the nation's health, and the gloomy economic situation is likely only compounding these problems, say public health experts who contributed to the report, known as America's Health Rankings.

Health.com: The 10 most depressing states in the U.S.

"The economy, the despair that so many Americans are feeling, the anxieties, the tensions -- all of those things certainly could be leading people to make inappropriate behavioral choices," says Reed Tuckson, M.D., the chief of medical affairs for the Minneapolis-based health insurer UnitedHealth Group and a board member of the affiliated foundation that helped compile the rankings.

For instance, Tuckson says, eating a healthy diet -- a challenge during the best of times -- requires even more thought and planning when families and individuals are on a tight budget. "In a world where there's a $1 cheeseburger available 24 hours a day, seven days a week, everywhere, many people may be making those choices too often," he says.

Health.com: States that consume too much fast food

The United Health Foundation has been publishing the annual state-by-state rankings since 1990, in conjunction with the American Public Health Association (APHA) and the Partnership for Prevention, a coalition of government, business, and nonprofit organizations dedicated to health promotion.

The report collects data on 23 health and socioeconomic measures from the Centers for Disease Control and Prevention, the Census Bureau, and several other federal agencies. The measures include straightforward yardsticks of disease -- such as rates of diabetes, obesity, poor mental health, and deaths due to cancer and heart disease -- with data on societal factors known to influence health, such as the percentage of the population with health insurance or a high school diploma.

Between 1990 and 2000, the overall health of the nation according to these combined measures improved by an average of 1.6% each year. After 2000, however, the upward trend slowed to 0.5% annually -- and this year there was no improvement at all.

Health.com: U.S. cities with the worst air pollution

"We really have had some stagnation in our health improvement over the last year," says Georges Benjamin, M.D., the executive director of the APHA, a professional organization for public health experts. "One year a trend doesn't make, but it's something to think about."

The current report is based on figures from about a year ago, so it likely captures the early part of the economic downturn, Benjamin adds.

At the other end of the scale from Vermont, Mississippi was again the unhealthiest state in the nation -- a spot it has held for the past decade, thanks in part to high rates of obesity, childhood poverty, and preventable hospitalizations. Alabama, Arkansas, Oklahoma, and Louisiana rounded out the five least-healthy states.

Health.com: The 50 fattiest foods in the states

The percentage of Americans who are obese rose from 26.9% to 27.5%, and the percentage of those with diabetes also edged upward, from 8.3% to 8.7%. If these trends continue, Tuckson says, one in five adults will have diabetes by 2050.

Childhood poverty also is on the rise. Roughly 22% of U.S. children now live in poverty (which the Census Bureau defines as a four-person, two-child family making less than $22,113 a year), up from 16% a decade ago. And although children are more likely to have insurance coverage today than in the past, the opposite is true among adults, according to the report.

There are some glimmers of good news, however: The percentage of American adults who smoke fell from 17.9% percent to 17.3% percent, for instance, and the number of preventable hospitalizations dropped from 82.5 to 68.2 per 1,000 Medicare enrollees.

Health.com: The 10 states most addicted to smoking

Efforts to improve health in this country must focus on prevention, and should be tailored to individual states and communities, Benjamin says.

"Physical activity, nutrition, and tobacco: If we could get people focused on those three, we could take a huge bite out of the chronic disease epidemic," he says. "This is not an infinite list of things that people have to address."

Copyright Health Magazine 2011

@highlight

As they have in the past, northeastern states dominated the top of the rankings

@highlight

Vermont has low rate of infectious disease, high use of prenatal care and lack of violent crime

@highlight

Mississippi was again the unhealthiest state in the nation, a spot it's held for a decade