One state has found a way to significantly reduce teen pregnancy rates. But is its solution realistic for the rest of the United States?

Colorado's teen birth rate dropped 40% between 2009 and 2013, the Colorado Department of Public Health and Environment announced this week, in part due to a program that provides long-acting contraception to low-income women.

Colorado's Family Planning Initiative provided funding for 68 family clinics across the state to offer around 30,000 intrauterine devices and implants to young women at low or no cost. An IUD is a small T-shaped device that is inserted into the uterus by a doctor. They're either wrapped in copper or contain hormones, which kill sperm and make the uterine lining too thin for egg implantation. Because IUDs stay in place for five to 10 years, they're easier to comply with than taking daily birth control pills.

An anonymous donor funded the $23 million initiative, which also provided training, outreach and technical assistance to clinics statewide.

The state health department conducted a study, to be published in the fall issue of Perspectives on Sexual and Reproductive Health, to analyze the program's impact. It found that the low-cost IUDs were a significant factor in the state's overall decrease in teen births.

The percentage of young women receiving IUDs and implants quadrupled in participating clinics, according to the study. From 2008 to 2012, Colorado went from having the 29th lowest teen birthrate in the nation to having the 19th lowest.

Written by health department staff members, the study says the decline in births from young women served by these clinics accounted for about 75% of the overall decrease in the state's teen birthrates.

St. Louis, Missouri, implemented a similar program in 2007, providing 10,000 teenage girls with their choice of free birth control. A year later, the teen pregnancy rate in Missouri was significantly lower than the national average. Colorado's study included more women over a longer period of time, demonstrating the possible longer-term implications of providing free birth control.

The teen birthrate overall in the United States is at a record low, according to the Centers for Disease Control and Prevention. In 2009, the national teen birthrate was 13.5 births for every 1,000 teens; in 2013, preliminary data put it at 12.5 -- a drop of about 7.5%.

In 2010 alone, Colorado saved $42 million on health care costs associated with teen births, thanks to the program, according to a press release from the governor's office.

"Our Colorado Family Planning Initiative has helped thousands of young women who weren't ready to have children avoid pregnancy with affordable, safe and effective contraceptives," said Dr. Larry Wolk, department executive director and chief medical officer.

Seven out of 10 teen pregnancies in Colorado are unplanned, which can carry health risks for both the mother and child and increases the rate of elective abortions. The health department said that teen abortion rates during the study time period also decreased 35%.

Colorado's funding for the initiative only runs through 2015, so despite its very promising results, its future is uncertain. While the program's success is certainly encouraging, it would be difficult to implement in other states due to the substantial cost.

But the study authors say the initiative serves as a model for family planning coverage under the Affordable Care Act.

"By showing the effectiveness of long-acting, reversible contraceptives, we're providing the evidence needed for health plans ... to cover family planning services," said a spokesman for the Colorado health department.

Study: IUD may carry higher risk for breast cancer in certain women

Study: IUDs, implants vastly more effective than the pill

Study: '16 and Pregnant' led to fewer teen births

@highlight

Teen births in Colorado dropped 40% in the last 5 years

@highlight

Privately-funded program provided IUDs at little or no cost to low-income women

@highlight

Nationally teen births dropped about 7.5% in the same time period