(CNN) -- Your daughter's favorite doll is lost, and she won't stop crying. What if you could replace it in 20 minutes?

Your spatula breaks in the middle of dinner prep. Why not just whip up a new one?

Believe it or not, this stuff is possible. We are in the middle of a self-manufacturing revolution, thanks to innovations in 3-D printing.

3-D printers have been around for years, but only now are they finally becoming more affordable for the general public. While more popular printers such as the MakerBot Replicator 2 and the Cube have been known to cost more than $1,000, the Buccaneer is a new 3-D printer that successfully reached its goal on crowd-funding site Kickstarter this year and will be available for consumer purchase this fall for under $400. That's less than some iPhones.

Not only are 3-D printers more affordable, but they are getting even better at printing, too. Many are starting to accommodate materials other than the standard plastic filament, enabling 3-D experimenters to print with wood, metals, cookie dough and more. These advancements are making it easy and fun to use 3-D printers to create everyday products, such as home decor, jewelry, toys and even running shoes.

Can you envision a future Christmas where you print all your gifts instead of shop for them? It could soon be reality in even the most tech-averse household, and it might just end up saving the craftier among us lots of time and money. Why buy a $50 vase when you can print one for $2?

Purchasing new cookie cutters seems silly once you realize you can customize your own online and print them in 15 minutes. You can even turn sentimental photos into 3-D printed goods, making for a personalized gift on birthdays and anniversaries.

So how do these printers work? First, you'll need to install a software program onto your computer that can configure the 3-D file for whatever you are going to print. Creating 3-D files can be as easy or as complex as you like.

You can either download free 3-D designs from various websites (such as Thingiverse) and send them straight to print, download a basic 3-D design that you can then tweak with slight customizations or use 3-D modeling software such as AutoCAD to create your designs from scratch.

New gadgets such as the MakerBot Digitizer can even take a 360-degree scan of any product you may already have in your home, then convert it into a 3-D design so that you can clone it with your 3-D printer. This is a great way to replace objects that might be worn or slightly broken.

Once your printer receives the 3-D file, it begins printing, first left to right (just like with your inkjet), then upward to build a third dimension. You have a cartridge for your plastic just like you have one for your ink on a standard home printer.

If you aren't yet ready to own a 3-D printer, you can still start 3-D printing without one. New companies such as Shapeways enable you to upload 3-D designs or browse among a marketplace of products from other designers, then print the goods for you and ship them to your home. Or if you'd like to try a whole new 3-D printing concept in general, sign up to be one of the first to demo the 3Doodler, a pen that lets you draw products into reality.

One of the coolest parts of this new industry is just how customizable printed products can be. A Japanese company called FabCafe can turn a quick scan of your body into a 3-D gummy bear-like version of yourself. Or you can use the same technology to create a mini-action figure of yourself. Think of all the possibilities for children to have their own toys replicated after themselves, or for brides and grooms to have the ultimate custom cake topper. The possibilities are endless.

"If you can think it, you can print it" might just be the new saying of our time.

@highlight

3-D printing has come a long way in quality, and printers are less expensive now

@highlight

Everyday household items such as cookware and vases can be replicable in-house

@highlight

Crafters might find 3-D printers useful for gift-making and decor