(CNN) -- There is no doubt that the three recent fatal shark attacks in Western Australia involve great white sharks. This species is known to inhabit the shallow waters along this coast and are known to migrate south around this time of the year to the seal colonies on the southwest coast.

While they may stay around seal colonies -- their natural prey -- for months, they are not noted for sitting off a beach waiting for food to turn up. They are mostly individual, transient, inquisitive animals that will investigate objects in the water.

Swimming, surfing or diving alone near aquatic animals (including seals and dolphins) far from the beach early in the morning or late in the evening may well attract a curious shark and increase the risk of encountering one.

As the population increases and water-related activities become more popular, the number of people who go into the water every day also increases. But the chance of encountering a shark still remains very low.

American killed in shark attack off Western Australia

Most Australians understand the risk when they enter the ocean.

Over the past 50 years, only one person has been killed by a shark each year in Australia on average, compared to the 87 people who drown at Australian beaches on average each year, according to Surf Life Saving Australia (SLSA). Therefore, the hysteria in the media surrounding a shark attack seems disproportional to other fatal incidents.

Historically human-shark interactions predominantly occurred in the summer months. But in recent decades, swimmers, surfers and divers are continuing to pursue these activities outside of the traditional summer season because of improvements in wetsuit technology.

This is reflected in the occurrence of shark attacks throughout the year since the 1950s; particularly for surfers, snorkelers and SCUBA divers who can enter the water at any time of the year and extend the time they spend in the water in areas that, in earlier decades, were likely to be too cold for recreational purposes. In the past 20 years, 49% of all shark-attack victims were wearing a wetsuit.

There have been 26 attacks recorded in the cooler months (May-August) during the past two decades, resulting in six fatalities compared with 15 incidents -- resulting in four fatalities -- during the same months in the previous 20-year period.

There is no suggestion that wetsuits in themselves are the cause of an attack, but rather that their use has allowed people to extend their time in the water, increasing the risk of encountering a shark.

The frequency of attacks also reflects the popularity of water-based activities in harbors, estuarine areas and rivers, with people more likely to encounter species such as bull sharks, which have a propensity to inhabit shallow nearshore coastal areas, bays, harbors and rivers in summer months.

In the vast majority of cases, sharks involved in an attack on humans do not stay around the area and can swim 80 to 100 km away by the next day. Unfortunately other sharks may later swim into the area and may be blamed for the attack. Hunting down and killing sharks on suspicion of being responsible is unjustifiable.

However, if the animal can be identified and has not left the area, it would be appropriate to remove it. But once the animal swims away it would be almost impossible to know which shark was responsible.

Shark attacks are a reality of entering the ocean, but it is worth emphasizing that they are very rare events.

Even If you do encounter a shark, the chances of being attacked are very small.

@highlight

A scuba diver became the third fatality from a shark attack in as many weeks

@highlight

Authorities believe the man was killed by a great white off the Australian coast

@highlight

West: Shark encounters more likely, as water-based activities become more popular

@highlight

But he says many more people drown on average off Australian beaches