(CNN)"This is where it all started," says Rizal Tandjung, gazing out over a sandy shoreline lapped by dying breakers.

Almost 40 years old, Tandjung is one of Bali's surfing pioneers.

Picking up his first board at the age of eight, he's now a professional surfer, owner of multiple surf shops and president of a clothing company, Hurley Indonesia/Bali.

We're standing on Kuta Beach, a five kilometer stretch of white sand that's one of the most popular tourist areas on the Indonesian island of Bali.

Once a small fisherman's village, today's Kuta is anything but quiet.

Large commercial airplanes cruising into Ngurah Rai International Airport fly over the heads of surfers. Beach loungers are scattered down the shore as far as the eye can see, fighting for space with the multiple surf schools catering to tourists with "Endless Summer" dreams.

Tandjung walks us over to a little hut on the beach where we meet Made Switra, a surf shop owner, painter and leisure surfer who also grew up in Kuta.

"He's the one, the first generation, the first kid from the fisherman village to surf," says Tandjung.

Switra, tanned from all those hours in the water, sits with one leg propped up as he fiddles with his fishing pole.

"I started surfing from a fisherman boat. They had wood from a chair, so I started kind of boogie boarding with that and then found a few boards left from Westerners," Switra says.

Bali a late arrival to global surf scene

Switra and Tandjung are part of the breakthrough generation of Indonesian surfers.

Despite Bali being an obvious surf paradise, with its consistent waves and welcoming warm water, it wasn't until the late 1960s and 70s that it made its way onto the global surfing map.

Hawaii, Australia and California were the three big players.

But with the 1971 documentary "Morning of the Earth," Bali finally got its recognition, as scenes of Uluwatu's barreling waves caused surfers around the world to grip their wax in excitement.

With that recognition, Indonesian surfers eventually moved into the sport -- but not before overcoming some cultural taboos.

"Indonesians believe that the ocean is very, very dangerous and the sea god is going to take you away," explains Tandjung.

Many kids of his generation grew up not knowing how to swim, he says. Even today, some fisherman still can't.

Tandjung and Switra were viewed as rebels when they began surfing, ignoring their family's objections and defying any fear, he says.

Today, that societal unease is slipping away and fishermen see surfing as a business opportunity.

Using their boats to take surfers out to further breaks inaccessible from the shore -- such as a popular set of reef waves near Kuta's airport runway -- has led families to accept that surfing can pay the bills.

Jason Childs, a surf photographer based in Bali, has seen the evolution of surfing culture here.

"Life's too good and they know it," he says.

"They surf with the best surfers on the best waves on a daily basis."

Though Indonesian surfers have been gracing the pages of international surf magazines for about a decade, Childs believes it takes a certain fire in their bellies to get out of their comfort zone and to the next level.

Childs can't recall the first time he photographed Tandjung, but believes it must have been when he was about 16 years old.

He points out that Tandjung is not Balinese but Chinese Indonesian, so it's been even harder for him to be accepted into the local surf scene here.

"It's made him have to work harder."

And it's paid off, with Tandjung paving the way for future surfers.

Will a Balinese surfer ever top the podium?

Nowadays, hardcore surfers head for Padang Padang in Bali's southern Uluwatu area.

Filled with high-speed waves, it has some of the best -- and most dangerous-- surf in Bali.

Just to the left of the rock enclosed beach are those world-famous barrels.

Tandjung has taken us here for a practice session leading up to the big annual Rip Curl tournament, which he's been chasing every year since its inception in 2004.

In tow is Tandjung's son, Varun, a name which means "god of the sea."

Varun and his friends beg to go out and try the big barrels.

The boy finally gets his wish and paddles out side by side with Tandjung, even getting to catch a few waves in between world-renowned pros like Bethany Hamilton.

Childs figures this new generation of Balinese surfers -- boys and girls -- is the best yet to come out of Bali, but it still could be another 20 to 30 years before a Balinese tops the surfing world.

But they'll find their way there with style and grace, he says.

"It's not very often you see an ugly Balinese surfer," says Childs.

"If you could build a surfer, the Balinese are close to perfect. They can jump to their feet effortlessly. They're beautiful to watch."

MORE 11 of the world's most unusual surf spots

@highlight

Bali's popularity among surfers grew with 1970s release of "Morning of the Earth" documentary

@highlight

Pro surfer Rizal Tandjung was one of the first locals to defy cultural norms and take up the sport

@highlight

Surf photographer Jason Childs says Indonesian surfers need to take things to the next level if they want to top the podium