(CNN) -- Anthony Sullivan was a young Australian with Robert Redford looks. Richard Adams emigrated from the Philippines as a child and became an American citizen. The two met in Los Angeles, fell in love and got married in Boulder, Colorado -- long before any state legalized same-sex marriage.

County Clerk Clela Rorex issued the gay couple a marriage license at 11 a.m., April 21, 1975.

Nothing in the Colorado marriage code mentioned same-sex marriage, and Rorex signed licenses for six couples before the district attorney advised her to end to them. But the licenses were never rescinded.

Sullivan and Adams believed their marriage was legal and embarked on a decades-long struggle to attain permanent resident status for Sullivan.

They became the first gay couple to sue the federal government for recognition of their marriage, effectively launching a movement that helped lead to the Supreme Court's ruling a year ago that struck down the Defense of Marriage Act, which defined marriage as between a man and a woman.

But even now, a year after that historic ruling, Sullivan, 72, remains in America, undocumented.

In April, he filed a motion for the government to reopen his case and grant him a green card.

Federal immigration law says a U.S. citizen or green card holder can sponsor a spouse so that they can remain together in America. But because of DOMA, the law did not afford that right to binational gay couples.

After DOMA's demise, about 40,000 such couples became eligible for immigration rights. Previously, they were forced to choose between love and country -- and many of them lived in exile to be together.

"The DOMA ruling completely changed the landscape," said Michael Sisitzky, an attorney with Immigration Equality, an organization that has been working with same-sex binational couples for two decades.

It was a watershed moment, and within one week of the ruling, Immigration Equality heard from 1,500 couples seeking help. That's more than the total number of inquiries the group got the year before, Sisitzky said.

"It was as if a light switch had gone off," he said. "LGBT couples go through the same process now as straight couples."

A year after DOMA, these couples choose both love and country

However, some people, like Sullivan, have been left behind, said his attorney, Lavi Soloway, a gay rights lawyer who helped found Immigration Equality.

Six months before the DOMA ruling, Sullivan's spouse died. Soloway said gay and lesbian widows and widowers are fighting to get their marriages recognized even though they no longer have a spouse who can sponsor them for a visa.

Sullivan hopes that the U.S. Citizenship and Immigration Service will allow him to live in the United States, as he has done for the past 40 years, legally.

"Common sense says that my petition should be accepted. Decency also says it should be accepted," Sullivan said. "At the moment, I am just living my life day to day. "

A license and a letter

At 29, Sullivan left home in Sydney, Australia, and was in the middle of an around-the-world trip when he stumbled upon Adams at a gay bar called The Closet in Los Angeles. It was Cinco de Mayo, 1971.

The two agreed to meet for a date the next day at Greta Garbo's star on Hollywood Boulevard. Soon after, they knew they wanted to spend the rest of their lives together.

But Sullivan was on a tourist visa in the United States. He was not permitted to work. He would have to leave the country when his visa expired. They began to think about ways they could stay together.

There was no country in the world then that allowed immigration rights for same-sex partners, nowhere they could go. Sullivan remained in the country -- illegally.

Then, on television one day, they heard the most incredible news: a Colorado clerk had issued a marriage license to two men. Sullivan and Adams immediately made plans to fly to Boulder.

Rorex, the Boulder County clerk, was 31, wore her skirts short and her hair long. She'd joined the National Organization for Women and was swept up in the movement for equal rights. She surprised even herself by winning the clerk's race.

She'd been on the job only three months when a couple from Colorado Springs -- David McCord and David Zamora -- showed up wanting to get married. After she learned from the district attorney that nothing in the marriage code referred to gay marriages as illegal, Rorex granted the two men their wish.

She did not know any gay people; she'd grown up in the small town of Steamboat Springs, Colorado, before it became a skiing haven. Her world was pretty insular.

But she felt in her gut it was the right thing to do.

Sullivan and Adams showed up in Boulder, got a license and then were married in a church that supported gay rights. The first thing Adams did when they returned to Los Angeles was to petition what was then the Immigration and Naturalization Service (INS) for permanent residency or a green card for Sullivan.

They could finally envision a future together in the United States.

But suddenly, after their marriage made headlines, their private lives had become very public. Newspapers ran stories about them. Phil Donahue invited them on his daytime TV talk show.

Soon, they began to feel the sting of homophobia.

Sullivan's mother wrote him a letter disowning him. "Perversion is bad enough," she wrote, "but public display, never. ... I can endure no more."

A woman in the audience of "Donahue" told Sullivan: "I think we should give you a lottery ticket and send you back to where you came from."

Worst of all was a letter from the Department of Justice that arrived in the mail in November 1975. It contained only one sentence explaining a denial of a green card: "You have failed to establish that a bona fide marital relationship can exist between two faggots."

The INS followed up with a second letter that said the green card petition was denied on the grounds that neither party was able to perform female functions in a marriage.

It was inconceivable to Sullivan and Adams that anyone in government would use such language, especially that other "f" word. They filed the first lawsuit in America that sought recognition from the federal government for a same-sex marriage.

But after years of legal wrangling, the 9th U.S. Circuit Court of Appeals ruled against the couple in 1985. The opinion, written by future Supreme Court Justice Anthony Kennedy, affirmed that marriage was between a man and a woman.

Sullivan and Adams had lost. They tried to appeal to the Supreme Court but the justices refused to hear their case.

Sullivan had exhausted every avenue available to him. He had a limited number of days left to voluntarily leave America before authorities would deport him to Australia.

If he and Adams wanted to remain together, they had no choice but to leave the country. They felt like refugees because of their sexual orientation. There still wasn't any nation that recognized same-sex marriages, so Sullivan and Adams headed for Europe, where they had friends.

They boarded TWA Flight 760 for London, leaving everything behind. For Adams, it was especially painful to separate from his mother and sisters.

The couple floated around Europe like paupers for 11 months and eventually got fed up and returned to the United States by way of Mexico. Back then, crossing the border was easier, and Sullivan got through by passing as an American.

Sullivan resumed life in Los Angeles under the radar of immigration authorities. In a way, it was a relief to live in hiding, away from the spotlight.

In other ways it was painful. Sullivan's mother and brother died. Without documents, he could not travel and attend their funerals in Australia.

The couple also had returned to an America reeling from the AIDS epidemic. They watched their friends get sick and die.

They lived quietly, all the time fearing that Sullivan could, at any moment, get picked up by immigration agents.

Bittersweet victory

In 2010, Adams was diagnosed with lung cancer. By then the gay rights movement had gained momentum and it seemed as though states were falling like dominoes on the question of same-sex marriage.

Soloway, the couple's lawyer, knew there was a chance the Supreme Court would strike down DOMA. That's what he told Sullivan and Adams when he visited them on December 15 and encouraged them to go to Washington state and get married there -- just in case the government refused to recognize their Colorado license.

They decided to marry again, except they would see it as an affirmation ceremony. Instead of "death do us part," they planned to say, "as long as there is love."

They never made it to Washington. Adams died the next day. He was 65.

Several newspapers ran his obituary. He and Sullivan were, after all, pioneers in the struggle for gay rights in America.

When DOMA was struck down a year ago on June 26, Sullivan watched the news with his dog Jasper. He thought it ironic that Kennedy was the swing vote. In Sullivan's eyes, the justice had redeemed himself for the decision he'd handed down all those years ago.

The ruling was a victory for gay couples but bittersweet for Sullivan. He wished Adams were there by his side to witness history.

"It was a grave injustice he didn't live to see that day," Sullivan said.

When Adams died, Sullivan's first inclination was to walk away from it all, to return to Australia. But he realized that America was home now. That's why he has asked immigration authorities to reconsider his petition for permanent residency.

"I should be allowed to continue my life here," he said, "even though it's in a state of widowerhood."

Recently, he attended the premier of a new documentary, "Limited Partnership," which chronicles his relationship with Adams and his battle to gain permanent residency. It will be shown in San Francisco on the first anniversary of the DOMA ruling.

It was tough for Sullivan to sit through the film and see himself on the big screen. But he has no regrets.

The U.S. government may not have recognized his marriage as legitimate, but for 41 years, he was a participant in a love story. It was the kind of love that many never experience. A love like Romeo and Juliet's.

"They never managed to separate us," he said.

Love had won.

Follow CNN's Moni Basu on Twitter

@highlight

Australian Tony Sullivan married Richard Adams, a U.S. citizen, in 1975

@highlight

No country in the world recognized same-sex marriage then

@highlight

Sullivan overstayed his tourist visa and lived under the radar in order to be with his love

@highlight

One year after DOMA was struck down, Sullivan is trying again for permanent residence