(CNN) -- The Oka boys are a true band of brothers. All seven served in the military, yet they fought on opposing sides.

"We were seven brothers -- seven soldiers," says 91-year old Chikara "Don" Oka, a World War II veteran now living in a retirement home in Los Angeles. "Five of us for the United States and two against us because they were stranded in Japan" when the war came. They're all American citizens born here in the United States.

In the 1920s, Oka's parents operated a migrant labor hotel in Castroville, a farm town in central California. But their dreams of riches never materialized, and the entire family returned to Japan.

In 1937, three of the older brothers -- Isao, Masao and Don -- returned to the United States in search of a better life. They worked in the wholesale produce business, and Don enrolled at Otis Parsons Art Institute in Los Angeles, hoping to be a fine artist.

Then on December 7, 1941 the Japanese bombed Pearl Harbor and the brothers' dreams were put on hold. They received draft notices, and while many of their fellow Nisei -- second-generation Japanese-Americans -- were being booted out of the Army, classified as enemy aliens, the brothers found their niches.

"All of us served -- three of us at first for MIS (the U.S. Army's Military Intelligence Service, as Japanese language specialists), and two younger ones (Teiji and Takeo) for the Japanese navy and army. The youngest ones were stuck in Japan but too young to serve. After the war, Terumasa (Ted) and Hidekazu (Dan) came back as United States citizens, and when the Korean War started, they volunteered also with the MIS."

"Don" Oka's memories of war are still vivid. Clutching a crumbling photo album, he peels back pages filled with fading photographs and hand-drawn cartoons of his Army life. The stories spill out like the loose pages in his album.

Perhaps Oka's most vivid memory is also his most poignant.

On Christmas Eve, 1944, he remembers running for cover while his younger brother Takeo -- a pilot -- dive-bombed an American camp on Tinian Island in the Marianas.

"I remember the attack", Oka says, "because I was on Tinian, and here comes a plane. I look up in the sky, it was at night, and I saw those planes in a searchlight and they were shooting. I could hear the bullets coming down, and we rushed out."

As Takeo Oka returned to his base in Japan, he was shot down. The wreckage and his body were found on an island near Iwo Jima

"I knew he must have been serving because he was at the age, but I didn't know until it was all over and I came back and found out he died" Don Oka says. "I was just hit so hard that I didn't feel right."

Oka picks up two photos from his tattered album. In one photo, Takeo is seated, wearing his Japanese Imperial Navy uniform and gripping a samurai sword. The other is a photo of Takeo's grave marker in the family's village, Okayama near Hiroshima.

"What a waste," Oka says. "I wish he [Takeo] were alive."

By 1945, Japan was losing its grip in the Pacific. Takeo's younger brother, Teiji, was conscripted into the Japanese army. He was on a troop ship sailing with hundreds of recruits toward Okinawa as reinforcements. The ship was attacked and sunk by American planes. Teiji Oka was wounded and died several years later.

Isao Oka, the oldest brother, was to ship out with the celebrated 442nd Japanese American Regimental Combat Team to Europe. Two days before, he heard the question, "Who speaks Japanese?"

He answered simply, "I do!" and was also transferred into the MIS.

Isao Oka served in the Philippines and became known as the "voice of American propaganda." Using shortwave radio, he broadcast Japanese music and read news and commentaries whose goal was to demoralize Japanese soldiers throughout the Pacific islands and urge the citizens of Japan to surrender.

On July 27, 1945, a day after it was released, he broadcast the Potsdam Declaration -- the terms of Japan's World War II surrender.

"I don't know how the reception was, but I was really happy the war was over" he says.

Masao, the second-oldest brother and last of them drafted, saw occupation duty in two of Japan's major cities, Kobe and Osaka.

For Don Oka, the third-oldest brother, service wasn't always so metropolitan. On Tinian Island, he said, "I saw bodies everywhere" after a nine-day Marine battle there in 1944. Eight thousand Japanese were killed. By comparison, the 2nd and 4th Marine divisions lost 328 men. Hundreds of Japanese troops held out in the jungles for months.

Around the camp's perimeter, he saw starving Japanese soldiers scavenging for food. He'd yell, in Japanese: "War is over around here! Many Japanese have surrendered and are in camps under our care. Please come out and surrender!"

"Maybe my Japanese was bad ... they didn't come out, " Oka says.

The following summer, the B-29 bomber Enola Gay flew from Tinian airfield to drop the first atomic bomb on Hiroshima.

As part of his duties on Tinian, Oka was asked to start a school for hundreds of Japanese and Korean children.

With the war in the Pacific over, Oka helped Marines in occupied Japan. They scoured the countryside for the wreckage of downed American bombers and their missing servicemen.

They never found survivors.

Oka was with the first U.S. Marine unit to meet Japanese civilians in the Shimonoseki region on the Japanese island of Kyushu.

"I was a little frightened," he says of his initial contact with the Japanese civilians -- worried about perceptions that he, a Japanese-American, was consorting with the enemy. To his relief, he discovered that his shared heritage and translation skills, coupled with a respectful Marine presence, calmed everyone's fears.

The war in the Pacific ripped apart nations and families, and it divided loyalties. But Don Oka is pleased with all of his brothers' achievements.

"I'm kind of proud," he says of their military service. "But at the same time, I really hate war from the beginning."

He adds: "Those brothers of mine didn't hate me. I didn't hate them. We were brothers. We were just called to do the job, and we did it."

@highlight

All seven Oka brothers served in the military: some for the U.S. and some for Japan

@highlight

Three were in the U.S. Army during World War II

@highlight

Two who were left behind in Japan fought against the United States during the war

@highlight

Two others stuck in Japan were too young to fight; they served on U.S. side during Korean War