LONDON, England (CNN) -- Have at least $68,000 to spare? If so, you may be in the running to join an exclusive group of individuals who have had their complete genome sequenced.

Bidding for an eBay auction for whole genome sequencing service begins at $68,000.

Starting Friday, the non-profit X Prize Foundation and private firm Knome are auctioning a whole genome sequence on eBay.

The highest bidder will walk away with a full readout of their gene map, along with a complete interpretation of their genetic details.

Hopes that genome sequencing will help usher in a new era of individualized health care have been rising ever since the first human genome sequence was completed in 2003.

The genome is a map of all the DNA in the human body. It serves as a blueprint for physical and behavioral traits as well as susceptibility to diseases.

If genetic sequencing can be made more widely accessible, it has the potential to have a profound impact on health care, said George Church, a professor of genetics at Harvard Medical School who worked on the Human Genome Project.

The auction will run for 10 days and bidding begins at a cool $68,000. Proceeds will go to the X Prize Foundation, an educational institute that provides cash incentives to encourage innovation.

The launch of the auction on Friday coincides with DNA Day, which marks the day when the double helix structure of DNA was discovered as well as the completion of the first human genome sequence.

There are about 1,600 known genes that influence an individual's health and the health of their offspring, according to Church, who is also a co-founder of Knome.

Besides identifying risk of diseases, sequencing can also determine an individual's potential reaction to certain drugs and pick out those that may be ineffective or even toxic.

He believes personal genomes eventually will be integrated into preventive care one day. But genomics today is like the personal computers in the 1970s.

Would you pay to have your genome sequenced? How much? Send us an iReport with your views

"This is a time of rapid transition where tools are being developed and people are deciding whether they want to be early adopters or not," he told CNN.

For now, complete human genome sequencing is still out of reach for most consumers. Cambridge, Mass.-based Knome charges $99,500. The company has attracted at least 20 customers since it was started in 2007.

The winning bidder will be invited to attend a roundtable discussion where Knome's scientists will review the winner's analysis. The winner also gets a private dinner with Church.

To be sure, the cost of technology has fallen rapidly from the $3 billion it cost to sequence the first human genome in 2003. But it's still cost prohibitive to incorporate complete sequences into medical research and care.

Genomics plays a critical role in the move towards personalized medicine, according to MaryAnn Guerra, executive director of the life sciences prize group at X Prize. But the cost of technology is limiting wide-range research studies which could help shed more light on how to interpret genetic information.

"If we can drive this technology to be at a price point where you can do more studies and apply it more broadly, the more the data will have an impact on individuals," she told CNN.

In the aim of speeding up the sequencing process and lowering costs, X Prize is offering $10 million to the first team to successfully sequence 100 human genomes in 10 days for $10,000 per genome or less.

However, predicting disease is a tricky business, and there is still much to be understood, researchers say. Recent studies suggest that many diseases are the result of variations of several, rather than just a single, gene.

Much more research needs to be done before genetic testing can be applied to personalize medicine, according to David Goldstein, who heads the Center for Human Genome Variation at Duke University.

"Right now we need to understand how the genome of patients is changed in disease," he said. "We don't understand how genomes of people with epilepsy or autism or schizophrenia differ. We are still at the research phase."

@highlight

Bidding for auction of whole genome sequencing begins at $68,000

@highlight

Launch of auction on Friday coincides with DNA Day

@highlight

Personal genomics may transform health care, but costs still prohibitive

@highlight

Much more needs to be done to unravel mystery of genome, experts say