(CNN) -- Teams in Uganda are trying to track down anyone who came into contact with patients infected with the Ebola virus, which has killed at least 14 people there this month, authorities said Monday.

"This is very, very important, to trace every contact and to watch them for an incubation period of 21 days," World Health Organization spokesman Gregory Hartl said.

The teams -- consisting of officials from Uganda's ministry of health, the U.S. Centers for Disease Control and Prevention and the WHO -- are part of an aggressive approach to try to stamp out the outbreak of the highly infectious virus.

Ugandan President Yoweri Museveni spoke on state and private television Sunday urging his countrymen to be cautious.

"I therefore appeal to you to be vigilant. Avoid shaking of hands; do not take on burying somebody that has died from symptoms which look like Ebola. Instead, call the health workers to be the ones to do it. And avoid promiscuity because these sicknesses can also go through sex," he said.

This month's outbreak in western Uganda initially went undetected because patients did not show typical symptoms, Health Minister Dr. Christine Ondoa told CNN on Sunday. Patients had fevers and were vomiting, but did not show other typical symptoms, such as hemorrhaging.

The Ebola virus is a highly infectious, often fatal agent spread through direct contact with bodily fluids. Symptoms can include fever, vomiting, diarrhea, abdominal pain, headache, a measles-like rash, red eyes and, at times, bleeding from body openings.

But diagnosis in an individual who has only recently been infected can be difficult since early symptoms, such as red eyes and skin rash, are seen more frequently in patients who have more common diseases, according to the U.S. Centers for Disease Control and Prevention.

Uganda's Ministry of Health declared the outbreak in Kibaale district Saturday after getting confirmatory results from the Uganda Virus Research Institute identifying the disease as Ebola hemorrhagic fever, Sudan strain.

The fatality rate for those infected with that strain is about 65%, Hartl said.

"One can recover, but there's no medicine that can help one recover, so you just have to pray that your own body is strong enough," he said.

Patients with symptoms of Ebola infection had been reported early in the month in Kibaale district.

Some people delayed seeking treatment, in part, because they believed that "evil spirits" had sickened them, according to a report from district health authorities.

"This caused civil strife among the community, requiring police intervention to quell the animosity," the Health Ministry said.

An emergency team of 100 volunteers was undergoing training Monday to help spread the word in vulnerable communities about the disease and its transmission, the Uganda Red Cross Society said in a statement.

Medecins Sans Frontieres, also known as Doctors Without Borders, was helping set up an isolation center at Kibaale's hospital.

National health authorities say that in addition to the 14 deaths, at least six other people have been infected. Nine of the deaths were from a single household in the village of Nyanswiga, according to WHO.

A medic who had treated other victims is among the dead, Ondoa said.

Officials were trying to determine the extent of the outbreak, CDC spokesman Tom Skinner said Sunday. The Atlanta-based organization was sending about five people to join CDC staffers permanently based in Uganda, he said.

"These outbreaks have a tendency to stamp themselves out, if you will, if we can get in and ... stop the chain of transmission," he said.

In Kibaale, a national task force has been mobilized in an effort to stem the outbreak.

As of Monday, two people with the virus remained hospitalized in stable condition, said WHO. One was a 38-year-old woman who had attended to her sister, the medic who died, and the other was a 30-year-old woman who had helped bury another victim.

Though both patients had symptoms that included fever, vomiting, diarrhea and abdominal pain, neither had shown signs of hemorrhaging, the ministry said Sunday.

One patient suspected of being infected with the virus ran away from a hospital Sunday morning, but was tracked to her home and returned to the hospital in Kibaale, Catherine Ntabadde, a spokeswoman for the Uganda Red Cross in Kampala, told CNN in a telephone interview.

"The concern is where she could have gone to when she ran away," she said.

Health officials urged the public to report any suspected cases, to avoid contact with anyone infected and to wear gloves and masks while disinfecting bedding and clothing of infected people.

Officials also advised avoiding public gatherings in the affected district.

The WHO did not recommend any travel or trade restrictions be applied to Uganda because of the outbreak.

The U.S. Embassy in Kampala issued an emergency message for U.S. citizens that said the outbreak appeared to be centered in Nyamarunda Sub County, Kibaale district, although one suspected victim is reported to have traveled to Kampala for treatment at Mulago Hospital, where he died on July 22.

It urged avoiding contact with dead animals, especially primates, and refraining from eating "bushmeat."

An Ebola explainer

CNN's David McKenzie, Tom Watkins, Nick Valencia, David Ariosto, Nana Karikari-apau, Jennifer Deaton and Miriam Falco contributed to this report.

@highlight

NEW: Ugandan president calls on residents to be cautious

@highlight

Tracing every possible contact with Ebola patients is "very important," WHO says

@highlight

The Ebola virus killed at least 14 people in midwestern Uganda this month

@highlight

The virus is a highly infectious disease spread through contact with bodily fluids