Atlanta (CNN) -- A young girl bravely stood to ask the Dalai Lama's doctor a question, and he gave her an unusual answer.

Dr. Tsewang Tamdin, a world-renowned expert in Tibetan medicine, visited Emory University in Atlanta on Monday as part of his effort to reach more American medical practitioners. He wants to develop collaborative projects between the Tibetan medicine system, which is more than 2,500 years old, and Western medicine.

The little girl told Tamdin she suffered from asthma. She wanted to know if there was anything in Tibetan medicine that could help her get better.

Tamdin, who spoke through a translator for the hourlong lecture, immediately switched to English. In a gentle, almost too-soft tone, he explained what might help.

Inhalers doctors prescribe for asthmatics works well, he said, and told her to continue using one if she does already. The inhaler, though, treats the symptoms only. Tibetan medical practice, he explained, ultimately aims to get to the root cause of the problem.

"While others might consider the holistic practice of Tibetan medicine 'alternative medicine' or a kind of side practice, I would like for others outside of our system to consider the Tibetan healing system full-fledged healing," Tamdin said. "Tibetan medical knowledge has tremendous potential to add to modern medicine."

Tibetan practice teaches that people get sick when a person's physical, psychological and spiritual well-being are out of balance.

To restore balance, Tamdin recommended diet and exercise changes for the girl. He encouraged her to get proper rest and to get exercise that encouraged deep breathing, such as skipping or cycling.

He also suggested eating three or four white raisins a day. There is a property in the fruit that helps breathing, he said. But perhaps the biggest sacrifice for a child was his advice to avoid cold foods -- particularly, he said, ice cream.

Another patient who came to him with asthma symptoms would get a completely different diagnosis, Tamdin said. Each patient's disease is treated differently from the next. That's in large part because traditional Tibetan medicine is grounded in Buddhist philosophy. In his training to become a physician, Tamdin also studied Buddhist tradition and astrology.

American and Tibetan doctors have some practices in common. If Tamdin were to have a longer consultation with the girl, he said he would perform familiar diagnostic tests. He would examine her urine sample and take her pulse, but he also would ask questions that would be the more familiar terrain of a psychologist. He tries to find out if a person is angry or anxious or if someone is becoming too self-centered.

"Tibetans believe in our interconnectedness," said Geshe Lobsang Negi, a former monk who is now director of the Emory-Tibet partnership. "When we lose that perspective -- that we are a kind of little speck that is infinitely connected with the rest of the world -- when we see ourselves as the solid, fixed, all-important center of the universe, we call that ignorance, and that means we are vulnerable to illness."

This whole person approach to Tibetan medicine is being analyzed by a number of research studies in the United States. An NIH-funded study is examining the impact that compassion meditation can have on alleviating depression.

Compassion meditation is a Tibetan Buddhist mind training that asks a person to examine why they feel a certain way about someone and then to develop feelings of love and empathy for a number of people that will grow with more practice to include even people they normally dislike.

Studies have shown the medical effectiveness of meditation overall. A 2003 study of mindfulness-based meditation showed enhanced antibody production after someone receives a flu vaccine. Another study from that same year found cancer patients who were trained in mindfulness-based stress reduction showed a boost in their immune system.

And a study this year from Carnegie Mellon University showed mindfulness-based meditation has a far-reaching influence on both psychological and physical health. Mindfulness means being present and in the moment, and observing in a nonjudgmental way.

Negi's 2008 study of compassion meditation showed a reduction in stress-induced immune and behavioral responses. Several other studies under way are looking at the impact of Tibetan treatments on certain viral illnesses and on hepatitis.

Tamdin believes ignorance is at the root cause of all illness.

"If you think about this, it makes sense," Negi said. "For instance, if you believe you are the center of the universe and someone has something you want, you may become jealous and believe you deserve what that person has."

"You may become so jealous," he added, "you don't sleep at night and you will be stressed. Medical tests have shown there is a biochemical change in your body created by a release of a stress hormone. In Tibetan medicine, it is important to recognize the role the mind can play on our own physical well-being."

Tamdin said that modern medicine treats symptoms, but said a patient will never get better if they fail to attend to psychological issues.

"If one does not gain this understanding of selflessness, they won't be able to overcome their ignorance," he said. "One way to look at it is to watch the bird and its shadow. It may fly and fly high into the sky, but it continues to leave a shadow on the surface of Earth. As long as you have ignorance within you -- even though you are enjoying good health -- there is always a shadow of sickness falling upon you. From this ignorance arises three mental poisons: attachment, hatred and delusion." All those will affect energy, he said.

In addition to actual medicine and dietary changes, a Tibetan doctor may also prescribe the patient practice more kindness and compassion toward others -- or that they practice more compassion meditation.

Western medicine is reluctant to accept the Tibetan medical idea that some unexplained illnesses may ultimately be caused by someone's karma or even by evil spirits. The language Tibetan doctors use to suggest that good health is based on the balance of bile, phlegm and wind may seem a little too foreign to modern medicine practitioners.

But the holistic approach to a patient's health -- treatments that involve diet, behavior, prescription of medicine and contemplative practices -- may continue to appeal to physicians after they see demonstrated proof that these kind of therapies work.

"The Tibetan tradition has evolved over 2,500 years," Negi said. "It has a rich tradition that has helped the health of people for many many years.

"His holiness the Dalai Lama was the first to say that these things we believe in should be subjected to scientific tools so we could better understand the human condition overall and help us to better deal with the situation of our own well-being."

@highlight

Tibetan medical experts want more collaborative projects with modern medicine

@highlight

Tibetan doctors sometimes prescribe kindness and compassion to cure illness

@highlight

Tibetan compassion meditation may lower stress-induced immune responses

@highlight

The Dalai Lama wants more scientific testing of Tibetan traditional medicine