(CNN) -- What was a somber mood following convicted cop killer Troy Davis' execution Wednesday night turned to disgust and outrage by morning.

Casey Anthony was a trending topic Thursday because so many people had taken to Twitter to express their dismay over Anthony being deemed innocent in the death of her daughter while Davis is executed.

"Casey Anthony is offered a book deal, Troy Davis is only offered his last meal. Wake up America, our justice system is screwed," came a tweet from the handle JamesKlynn.

Another, from TRizzleComedy, read, "If the Troy Davis situation has taught us anything today, its that Casey Anthony should've been black."

A jury found Anthony not guilty of murder in July, whereas a jury and several judges on appeal have determined that Davis killed Savannah, Georgia, police officer Mark MacPhail in 1989. Spencer Lawton, Davis' prosecutor, has said the case withstood every legal challenge but couldn't win the battle of public opinion.

Race has been a major factor in people's perception of the case, with many claiming Davis was railroaded because he was black. It also has raised questions about the fairness of the death penalty and whether it is more often applied to African-Americans than whites.

While assertions that the U.S. executes more blacks than whites are incorrect -- the country has executed 263 more white people than black people since the death penalty's 1976 reinstatement -- inequalities exist when a murder is interracial.

According to the Death Penalty Information Center, 15 white defendants have been executed for the murder of black victims, but 246 African-Americans have been executed for killing whites.

It's just one of many factors that have Davis supporters and death penalty opponents -- often one and the same -- demanding that capital punishment be re-examined in this country.

Former President Jimmy Carter, who along with Archbishop Desmond Tutu and Pope Benedict XVI was among the most influential voices calling for clemency, said as much in his statement after Davis' lethal injection.

"If one of our fellow citizens can be executed with so much doubt surrounding his guilt, then the death penalty system in our country is unjust and outdated. We hope this tragedy will spur us as a nation toward the total rejection of capital punishment," Carter wrote.

Certainly, the death penalty is an issue for which American support has flagged and spiked in the decades since the U.S. Supreme Court reinstituted it, but Americans have largely supported it since the 1930s, according to Gallup.

The only exception, according to the polling agency, is 1966, when 47% of Americans said they opposed it, compared with 42% who backed it. Since the country began performing executions again, critics have been heavily outnumbered, with opposition never topping 32%, Gallup says.

Support jumped to 80% -- compared with 16% against -- in 1994, and a poll last year showed a 64-29 split, with 6% expressing no opinion, Gallup reported.

Some of those who favor executions as a criminal deterrent flocked to CNN to post their thoughts on Davis' death.

"Justice served," wrote dplandy, while SuperSlim32 wrote, "But he was a good guy when he wasn't pistol whipping people or shooting them in the face."

The latter is a reference to a jury also finding Davis guilty of two aggravated assault charges: that he shot a man outside a pool party in Savannah before striking a homeless man with his pistol. It was the pistol-whipping that prompted MacPhail to respond to the Burger King parking lot where he was killed.

Some CNN commenters defended the police work and prosecution that led to Davis' conviction and execution. One, fitat50, even said, "The reason some people care about him is because they are sheep."

Added DTiger901, "How about you just read the facts concerning the case...like that there were 34 witnesses against him..some of whom knew him before the cold blooded murder then identified him. Oh wait, you would never take the time to read the case you just want to jump on the 'he's innocent bandwagon.' "

But some death penalty supporters, like commenter marciavolk, said there was too much doubt to administer the ultimate punishment. The commenter further said that the death penalty is "administered arbitrarily" and that the "long-standing discrimination against minorities in the south (yeah it's still there)" played a role in the decision to execute Davis.

"We will never know if Troy Davis was or was not guilty of the crimes he was charged with and that alone should have prevented him from being executed," marciavolk wrote.

Another commenter, jangar, took issue with the evidence in the case, which has been in question since seven of nine witnesses recanted or changed their original testimony from the 1991 trial. As Amnesty International and others have pointed out, Davis' supporters also have problems with the lack of physical evidence and the investigation's failure to produce the .38-caliber pistol used in the slaying.

"As we have seen over the years eye-witness testimony a lot of times is unreliable," jangar wrote. "People say they saw something, convince themselves they really did see something, and then determine they could have been mistaken; but with physical evidence -- gun, body, video tape -- the evidence is there in front of you and can be tested for DNA."

The divergence of sentiments regarding Davis' death was apparent around the globe. While right-wing legal analyst and author Ann Coulter wrote a Thursday article headlined "Cop Killer is Media's Latest Baby Seal," the NAACP slammed the Georgia Board of Pardons and Paroles' refusal to intervene.

"There is too much doubt to proceed with an execution. No amount of deliberation will change the fact that the case against Mr. Davis has too many holes," President Ben Jealous wrote.

The European Union, the French Foreign Ministry and Germany's junior minister for human rights joined Jealous in denouncing the execution, with the EU saying that America must abolish capital punishment "to protect human dignity."

In the U.S., protests were not limited to Jackson, Georgia, where the state has been electrocuting or lethally injecting death row inmates since 1983.

In Washington, more than a dozen people were arrested outside the White House during a protest organized by Howard University.

Matt Tapie, 32, a CNN iReporter from Alexandria, Virginia, and doctorate candidate at Catholic University, said he joined the demonstrators there. He was busy writing his dissertation Wednesday but said he knew he had to participate. He said he was appalled by the final outcome.

"We can see how much further we have to go in a country where we have an African-American president ... but an African-American in Georgia can be executed," he said.

In Chicago, David Manning, 31, who had not been following the case, was taking photographs in the city when he ran across forlorn protesters in "I Am Troy Davis" T-shirts leaving a protest in Daley Plaza after the execution.

"What struck me was the looks on their faces as they walked away," the iReporter said. "They looked very frustrated and down."

@highlight

Many claim race played a major role in decision to refuse clemency for Troy Davis

@highlight

Former President Jimmy Carter hopes execution prompts rejection of death penalty

@highlight

Ann Coulter writes article headlined, "Cop Killer is Media's Latest Baby Seal"

@highlight

European nations call on U.S. to abolish capital punishment "to protect human dignity"