(CNN) -- For centuries, it has enchanted visitors with its fortified walls, pointed arches, towers, ornamental flourishes, carvings, and spectacular gardens.

The Alhambra, a fortress and palace in the Spanish city of Granada was begun in the mid-13th century by the Nasrid Emirs of Granada, the last Muslim rulers in Spain.

Further palaces and Christian chapels were added to the complex in the centuries since, making it a fascinating mix of cultures and histories.

Full of mysterious nooks and crannies as well as grand spaces, the Alhambra attracts around two million visitors a year, according to the Patronato de la Alhambra in Spain, the organization that looks after the complex.

Now a sustainable tourism effort from the Patronato de la Alhambra, the World Monuments Fund and others is taking the Alhambra into the 21st century, using technology to bring previously hidden areas of the complex to light.

Entitled "The Hidden Alhambra," the project aims to expand the site for tourists, with an app. It will allow visitors to virtually explore delicate, closed-off areas on their iPhones, or on specially designed portable electronic tablets, as well as opening up new routes to related areas outside the complex.

"It is a site that gets many visitors, we can say that it's a major tourist destination," said Maria del Mar Villafranca, director of the Patronato de la Alhambra.

"For many years now, we have worked with a model that limits access to a certain number of visitors per day," she explained, saying "Hidden Alhambra," is designed to further take the pressure off "fragile zones."

Hidden areas that the application will bring to light include an underground space beneath the palace of the Holy Roman Emperor Charles V, as well as storage areas, towers and pavilions, according to Norma Barbacci, Program Director for Latin America, Spain, and Portugal at the World Monuments Fund.

"(Visitors will) be able to see images and video (on their iPhones) and get all kinds of information about these specific sites that are not open," she said.

"They are not able to walk down the stairs into the silos for example, but they can be close to them and get a lot of information," she continued.

The app is currently being developed and augmented reality features have not been ruled out, said Barbacci. The first phase of information-gathering for the application, namely photographing the various sites, is being undertaken, according to Villafranca. They are aiming to have the app ready for the public by summer 2012.

Virtual visitor experiences are an increasingly popular way of making delicate historic monuments accessible, said Barbacci.

"Once the technology began to improve, then we started looking at this as a way of promoting knowledge and caring for a building without trampling all over it," she said.

But it's not all virtual work: The World Monuments Fund is also contributing $300,000 to the conservation of the Oratorio del Partal, an elaborate mid-14th century chapel built during the reign of Yusuf I.

The conservation effort will include work on the roof, carved wood ceiling and decorative plaster work and will be incorporated into the "Hidden Alhambra" application.

"It's a very important part of the Alhambra, for its symbolic value being a part of the oldest area of the complex," explained Villafranca.

It is part of a long-term plan of conservation works to other fragile areas of the complex that, she hopes, will make more and more of it accessible to visitors -- and continue to pique their interest in it.

@highlight

App will make closed-off areas of Moorish palace accessible to tourists

@highlight

App a "sustainable tourism" development, says World Monuments Fund

@highlight

Around two million people visit Alhambra each year, says Patronato de la Alhambra

@highlight

Area to be broadened for tourists and preserved for future