Another debris field, another new and so-far futile focus in the search for Flight MH370.

More than three weeks after the Malaysia Airlines jet disappeared, one thing has been made clear: the ocean is full of garbage, literally.

"It isn't like looking for a needle in a haystack," Conservation International senior scientist M. Sanjayan said of the difficulty in finding the Boeing 777 aircraft. "It's like looking for a needle in a needle factory. It is one piece of debris among billions floating in the ocean."

"One piece of debris among billions"

Environmentalists like Sanjayan have warned for years that human abuse of the planet's largest ecosystem causes major problems for ocean life and people that depend on it.

With the world's eyes now scouring Asian waters for any trace of the plane that was more than 240 feet long and weighed more than 700,000 pounds, the magnitude of the ocean debris problem has become evident.

New Search: Nothing Yet

Two objects floating in the southern Indian Ocean, including one nearly 80 feet long, initially were called the best lead to date when a satellite detected them last week.

So far, though, search planes have yet to find them or any other plane debris, with speculation mounting that the larger item was a shipping container lost at sea.

No definitive records exist, but estimates for how many containers go overboard range from about 700 to as many as 10,000 of the roughly 100 million that the World Shipping Council says get shipped each year.

Most ocean garbage comes from land

Lost containers are only a minor part of the problem. While ship waste also adds to ocean pollution, most of the garbage comes from land, Sanjayan said.

More than a third of the world's 7 billion people live within 60 miles of an ocean coast, and their waste inevitably reaches the water -- either deliberately or indirectly.

Estimates from various sources, including the Japanese government, indicate that more than 10 million tons of debris -- including houses, tires, trees and appliances -- washed into the sea in the 2011 tsunami.

No answers yet as ships, planes search vast stretch of Indian Ocean

In addition, discarded plastics -- including countless bags like the kind routinely provided by retail stores and fast food restaurants until a movement in recent years to decrease their use -- form huge, churning garbage fields in the rotating currents of ocean gyres. One in the north Pacific is estimated to be at least 270,000 square miles, or an area larger than Texas.

Sanjayan said the plastic breaks down in the saltwater to form a kind of "plastic soup" that gets ingested by marine life. Millions of sea turtles die from the plastic each year, he said, and one in 10 small bait fish has plastic in its stomach.

That happens in the same waters that provide roughly 15% of the animal protein consumed by people.

The world's "toilet"

"The world does use the ocean as its toilet, and then expects that toilet to feed it," Sanjayan noted.

Many island nations and coastal cities lack infrastructure sophisticated enough to deal with all the waste produced, he said. In addition, much of that waste -- such as plastics -- now is so durable that it lasts for decades or longer in any environment.

Sanjayan cited Dhaka, Bangladesh, as an example. Considered the fastest growing city in the world, the capital of 15 million people could expand to more than 20 million people in the next decade, according to the United Nations.

Such growth far exceeds the capacity to deal with the garbage and sewage, Sanjayan said, adding: "All that waste in countries like that -- low-lying, prone to flooding -- periodically flushes into the ocean."

LIVE: Latest updates on the missing Malaysia Airlines jetliner

If this is the debris of Malaysia Airlines Flight 370, what happens next?

Difficulties may hamper Flight 370 search

Opinion: Search for MH370 highlights need for trust, unity in Asia

@highlight

Ocean debris diverts searchers for the missing Malaysia Airlines jetliner

@highlight

For years, environmentalists have warned about increasing garbage in the ocean

@highlight

Most ocean debris, such as countless plastic bags, comes from land

@highlight

Scientist: plane search seeks "one piece of debris among billions"