(CNN) -- Last year, we learned that the Great Recession had come to an end. It ended in June 2009, the experts said. But, for many Americans, the declaration had little meaning and was of little solace. Unemployment is still high and economic hardship is commonplace.

During 2010, six CNN iReporters followed someone they knew in their community to get a measure of how the economy was affecting people's lives.

They related stories of perseverance, reinvention, doubt and success.

'Feed your spirit'

In February, Bruce Pollard, after more than 25 years on the job, was forced into an early retirement. The 58-year-old from Houston, Texas, was given a severance by his company, which helped provide some stability.

See all the stories on CNN's Economy Tracker

By March, he was still looking for a job. As he searched, his wife, a psychologist who used to work one day a week, began working more.

Meanwhile, Pollard took on more of the work around the house. "You think when that when you go away for five days a week and come back, that things just happen around the house," he said. "They don't."

His severance pay came to an end in September. Pollard picked up work as a consultant once a week in addition to occasional substitute teaching gigs. However, he had two kids in college and another on the way to college. And he had to plan for retirement.

He needed another job, but the experience of unemployment had changed his perspective.

"The main thing I think I've discovered, kind of later in my career, is that there are two things you want to do when you look for a job," he said. "You want to feed your family, for sure. But you also want to feed your spirit."

As 2010 came to a close, the consulting contract was renewed and expanded, and other consulting engagements were becoming possible, Pollard said. But he appears to be a changed man when it comes to his work.

"I'm definitely not going to be working full-time for another company," he said. "I'm always going to be working by myself as a contractor under a company name, which is my own."

'That extra leap'

As 2010 began, Michael Andrews -- who lives in Bowie, Maryland, with his wife, Danielle, and a 4-year-old son -- faced a dilemma.

The 33-year-old college administrator and his family wanted to move from their townhouse to a single-family home. They first had to sell the current one. But the price of their house fell with the collapse of the housing market.

"The cost of our home is such that we can't really leave until it flips back around to some kind of profit," he said in December 2009.

Andrews, who describes himself as an optimist, was also frustrated with limited job opportunities. "I think that when times are as rough as they are right now in the economy, you really have to rely on yourself to take that extra leap," he said.

And so he did. He created Five Mikes, an entrepreneurial project based around his motivational speaking engagements. He entered the search for an advice guru for ABC's "Good Morning America" and reached the semifinal stage.

And, by the fall, Andrews got a new job at his university and transitioned to a new office.

Ultimately, Andrews and his wife decided to stay put and not sell their Baltimore townhouse. Yet the year was "awesome," he said.

He is, however, humble about the good fortune that has come his way.

"Some people are really, really suffering, and I'm happy that our family isn't necessarily on that level," he said. "But if either my wife or I lose our job, we could be one of those people.

"We're just one mishap away."

'Life halted'

Ask Jamie Smith about 2010, and she'll tell you about mishaps. Well, frankly, she may use other words.

Toward the end of October 2009, Smith, who lives in Bentonville, Arkansas, was laid off when her newspaper merged with a competitor.

She began collecting unemployment benefits, looked for other jobs, searched for freelance writing opportunities and decided to create a public relations company.

Then, in April, she ruptured her appendix, complications developed, and she had to spend two weeks in the hospital. "Life halted," she said.

Her unemployment benefits ran out midsummer but were renewed because of a federal extension. "I have mixed feelings about that, but I don't talk politics, so I won't," she said.

The search for another job stretched into the fall. "It's very interesting when you're changing careers and you're trying to make jobs skills translate in an obvious way," she said. "You know you can do it, but you have to express that you can do it."

As October rolled around, she was still without a job, marking the longest stretch of time she was unemployed in her working life.

She finally received some good news in November. She got a part-time job that could become a full-time job, she said. It also gives her time to develop her freelance opportunities.

'Roll with the punches'

Guy Daniels has been a tattoo artist for 16 years. He owns Expressions Ink, a tattoo parlor in Wausau, Wisconsin. Heavily reliant on the disposable income of his customers, he was a bit nervous when the year started.

"I've seen a lot of customers lose their jobs," he said.

Walk-in traffic was down, and gift certificate sales were smaller than in previous year. But as the weather warmed, business picked up, especially around the time people started receiving their tax refunds.

"People are more spontaneous with their money at tax time," he said. "It's like Christmas for us."

But sales were again down when winter returned. "As a business owner, you do get tired of (the ups and downs), but you gotta feed your family, so you roll with the punches," he said.

Growing small is the key to success in today's economy, and the at times turbulent year made him a smarter businessman, Daniels said. He cut back on expenses whenever possible and put money into the business when he could.

"I think it made me plan a lot more for the future," he said.

An ambitious plan

Growth was very much in the plans for 2010 for David and Susan Nethero, owners of Intimacy, a specialty bra company.

With 11 stores already in existence, the Atlanta, Georgia-based couple looked forward to their biggest expansion -- the opening of five stores -- in a single year since they launched the company 18 years ago.

"We're feeling very strong and very bullish," Susan Nethero said.

By June, the Netheros had opened two new locations -- in New York and Los Angeles -- and were preparing to open a second store in Los Angeles. Susan credited increased marketing and a popular customer referral program as two main contributors to the company's success.

By the end of the year, Intimacy opened all five new locations across the country.

"Despite the recession, we were able to grow our company by just under 30 percent this year, which is really phenomenal," David Nethero said.

'You never know'

Kathy Kirkpatrick, a small-business owner in New York, would probably not describe herself as "bullish." She owns Life Café, which has two locations: one in the East Village and another in Brooklyn.

The troubled economy of the past few years has made her pragmatic and cautious. In the more than 20 years that she has run her business, 2008 was the worst economy she'd ever seen, she said.

"The recession has made me cautious of the eggs I do have in my basket," she said. "I don't have the time in front of me to take any more risks like I used to. I have to be realistic."

Spring, when tourists frequent the café, saw a boost in business, but it was down in relation to years past. The summer was a mixed bag. It was a record month in May and an "all right" June, but July "tanked big time," she said.

And, the quiet streets of winter didn't help. Sales floundered in October and November, she said.

But two decades in business teach you lessons in survival. Kirkpatrick brought in a new chef. She also began a digital and social media strategy to get the word out about the café.

It seems to be having an effect. During a conversation late last year, Kirkpatrick said that it had managed to stop the plunge in sales and that business had picked up.

"The only thing I hope is that while we're moving forward in a positive way, something else doesn't show up around that corner that makes it all tumble down," she said.

"You never know."

CNN's Curt Merrill contributed to this report.

@highlight

CNN iReporters followed people in their communities to get a measure of the economy

@highlight

Their stories tell of reinvention, resilience, persistence

@highlight

See all their stories on CNN's Economy Tracker