Gilroy, California (CNN) -- A trip to the grocery store used to send James McQuoid into a panic.

When the Iraq War veteran heard a child crying, he remembered kids screaming in Fallujah. Coins jingling in the register reminded him of ammunition carried around a soldier's neck. He would be in a store aisle, but not remember how he got there.

The movements and sounds put his mind back in Iraq, back in a war zone.

Calling it "a mesh of realities" McQuoid said "it's enough to make your mind fracture."

McQuoid, 27, has post-traumatic stress disorder, a severe anxiety disorder commonly characterized by flashbacks, nightmares and a heightened state of alertness. Of the more than 2 million U.S. troops deployed to Iraq and Afghanistan since October 2001, it's estimated that one in five is likely to be afflicted by PTSD or major depression, according to the RAND Corp.

These are often referred to as invisible wounds, and for veterans like McQuoid, the suffering runs deep.

By the time he returned home from his second combat tour six years ago, McQuoid was having nightmares every day. He had a hard time communicating with his wife. Paranoid of everything, he isolated himself.

"I'd stay in my house all the time," said McQuoid, who was in the Marines from 2003-2007. "Windows were blacked out. I had cameras on the outside so I could monitor the surrounding area. ... The outside scared the hell out of me."

Fortunately, things started to change for the better about a year ago when he was matched with his service dog, Iggie, through Operation Freedoms Paws. The nonprofit, started by Mary Cortani, helps veterans train their own service dogs in northern California.

"It's hard enough to come out of the service and get back into civilian life," said Cortani, who served in the Army from 1975-1984. "But now they have an injury that people don't understand. They have to find a way to balance what they're feeling, what they've experienced, with everyday life."

"Service dogs are but one tool, but they're a very important tool, in the healing process for our veterans."

Dogs can be trained to assist veterans in a variety of ways. For example, Iggie wakes McQuoid from nightmares, turns off lights and helps create space between McQuoid and others in public places. The dog also helps McQuoid keep his anxiety level down in stressful situations.

The veterans "are taught to focus on the dog, read the dog's body language, not to worry about the environment," said Cortani, 55. "If they start to have a panic attack because they're getting overwhelmed or the anxiety is so strong, they'll actually stop and kneel down and hug the dog."

Through her program, Cortani can match veterans with dogs from shelters or rescue groups. Then she helps them train the dog.

"When a veteran trains their own service dog, there are immediate benefits right off the bat," she said. "They have a mission and a purpose again. It gives them something to focus on and to complete. It gives them a sense of security and safety. ... They know they're not alone. They've always got their buddy at the end of the leash."

There are many groups across the country that provide veterans with service dogs, but the methods in which they work vary. Typically, organizations breed, raise and train dogs before pairing them with veterans, a process that can take months or years. Some, like Cortani's group, use a train-the-trainer approach.

Do you know a hero? Nominations are open for 2013 CNN Heroes

Cortani started training dogs more than 30 years ago while she was in the Army, and she translated that to civilian life, where she runs a canine obedience school. It was only recently that she started focusing on war veterans.

In 2009, she received a call from a Marine who had been waiting more than a year for a service dog. He was looking for a trainer who would help him train his Rottweiler puppy instead.

Cortani did extensive research about PTSD and service dogs, and in January 2010 she started working with the young veteran to train the dog for his individual needs.

Within a month, two other veterans contacted Cortani, and she matched them with dogs from shelters.

"The more veterans that started asking for help, the more I realized this is what I was supposed to do," she said.

Since then, Cortani and her group have worked with more than 70 veterans from all over the United States.

"I connect with these veterans because I am a veteran," she said. "I understand the military culture. I understand, to a certain extent, what they've gone through even though I haven't walked in their shoes."

Cortani has personally worked with every veteran and dog that has gone through her training program, which lasts at least eight months and can take as long as a year.

"The dog is with them 24 hours a day, seven days a week. It's a constant," she said. "Every day, everything is a training opportunity. They get to work and move forward. So as they progress, they see the success."

For McQuoid, training Iggie has given him the opportunity to build a strong bond.

"Just like your combat buddies watch your back, this dog has got to have that same kind of trust," he said. "And that trust isn't something that's built up in a short amount of time."

To participate in Cortani's program, veterans must be under some form of professional treatment for their disabilities and they must provide a prescription or doctor's letter stating they'll benefit from a service dog. Before they start training, Cortani spends several hours getting to know the veteran, which helps her find them the right dog with the right temperament.

"I try to get a sense of ... who they are, what they're struggling with ... what they liked to do before they got injured," she said.

Operation Freedoms Paws, which runs on donations and community support, provides veterans with vests, leashes, collars, bowls, food and initial medical care and vaccines for the dog. The training is also free.

After a veteran has completed the program, Cortani follows up with them weekly for the first 90 days, and then at least once a month for a year. But she said a lot of the veterans stay in touch even after that.

"You start to see them getting their confidence back, communicate differently," she said. "They venture out. And they're beginning to participate in life again. In some cases, they're actually able to go back to work. They're able to communicate with their families ... have a conversation with a stranger."

McQuoid said that because of Iggie, his nightmares have decreased and he's able to take his family out to restaurants and movies.

"Without Iggie, I would still be in my house ... probably divorced from my wife and very estranged from my son," McQuoid said. "And everything would continue to just fall on me until eventually I either decided it was time to end it and die, or just give up."

Recently, Cortani started a mentoring program to teach some of the veterans how to train new participants. Ultimately, she hopes to employ these veterans in several new locations throughout the country.

"My life is blessed every day that I get to spend time with these amazing men and women who've served our country," she said. "Being able to help them find that joy back in their life ... it's priceless."

Want to get involved? Check out the Operations Freedoms Paws website at www.operationfreedomspaws.org and see how to help.

@highlight

War veterans often struggle with invisible wounds such as post-traumatic stress disorder

@highlight

Service dogs can help them overcome their struggles and avoid anxiety attacks

@highlight

CNN Hero Mary Cortani has assisted dozens of veterans in finding, training their dogs

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes