(CNN) -- Can ideas get you high?

My approach to creating content is focused on pulling people out of their intellectual comfort zones. I'm interested in presenting ideas in unique ways that challenge people to question their assumptions.

My mode of presentation is short-form video -- basically I create fast cut, impassioned "idea explainers" that explode with enthusiasm and intensity as they distill how technology is expanding our sphere of possibility.

I want big ideas to have aesthetic relevance. I want to tickle people's intellectual sensibilities and instill a sense of wonder. I think big ideas should get people high!

My short videos, which I call shots of philosophical espresso, are trailers for these ideas. They are not a substitute for a book or academic paper -- they are instigators. My work is simply another way for wider audiences to engage with these ideas.

My goal is for those who might not be inclined toward heady discourse to find a way still to connect to these ideas.

Psychologist Nicholas Humphrey coined the term "the biological advantage of being awestruck" to describe his theory on why our unique ability to be enthralled was, somehow, biologically selected for in a Darwinian sense. He believes this quirk of our consciousness imbues our lives with a sense of cosmic significance that over the course of history has resulted in a species that works harder not just to survive but to flourish and thrive. To "awe" gives us a "raison d'etre." A reason for being. You can learn more about Humphrey's idea in my video "A Movie Trailer for Awe."

Humphrey says being enchanted by the magic of experience, rather than being just an aid to survival, provides an essential incentive to survive.

"We relish just being here," he says. "We feel the yen to confirm and renew, in small ways or large, our own occupancy of the present moment, to go deeper, to extend it, to revel in being there, and when we have the skill, to celebrate it in words. ..."

As pop philosopher Alain De Botton wrote in "The Art of Travel," "There is an urge to say: I was here, I felt this, and it matters!"

And this sense of cosmic awe continues to manifest itself in the age of technology, as Erik Davis wrote in his book "TechGnosis":

"Collectively, Human societies can no more dodge sublime imaginings or spiritual yearnings than they can transcend the tidal pulls of Eros. ...

"We are beset with a thirst for meaning and connection that centuries of skeptical philosophy, hardheaded materialism cannot eliminate. ... Today we turn to the cosmic awe conjured by science fiction, or the outer-space snapshots of the Hubble telescope as it calls forth our ever-deeper, ever-brighter possible selves."

Terence McKenna, in his book "Food of the Gods," wrote about the origins of human language: this unique, often ecstatic expression of consciousness that bursts forth as morsels of meaning encoded as vocal patterns.

He believes the origins of language stem from our early use of psychedelic compounds, which caused a sort of "ontological awakening" of our species and thus acted as an early catalyst for religion, cosmic feelings of awe and a desire for transcendent experiences.

These experiences, to borrow the words of Tim Doody, re-contextualize oneself as a marvelous conduit in a timeless whole, through which molecules and meaning flow, from nebulae to neurons and back again. Early shamans, Davis wrote in "TechGnosis," became ecstatic technicians of the sacred.

Regardless of whether you buy McKenna's theory, he does provide a compelling case for the relationship between "cosmic, out-of-body euphoria" and the cognitive leaps to which it can give rise.

Some of our greatest poets, scientists and other thinkers have attributed some of their greatest inspiration to the use of these psychedelic chemicals and their resulting out-of-context perspectives.

But it's not necessarily the chemicals themselves I'm interested in, but rather what they do to our sense of perspective and our reference points. My focus is the subjective experiences they seem "to occasion."

Tom Robbins explains:

"The plant genies don't manufacture imagination, nor do they market wonder and beauty -- but they force us out of context so dramatically and so meditatively that we gawk in amazement at the ubiquitous everyday wonders that we are culturally disposed to overlook, and they teach us invaluable lessons about fluidity, relativity, flexibility and paradox. Such an increase in awareness, if skillfully applied, can lift a disciplined, adventurous artist permanently out of reach of the faded jaws of mediocrity."

In my mind the key idea here is that of being forced out of context. We don't necessarily require psychedelics for this, although they might offer a shortcut.

What we require is a bold new attitude and a sense of humility that accepts the ambiguity of many of our so-called truths, habitual thought patterns and cultural reality tunnels. By accepting the need to constantly de-condition our thinking to approach the world with new eyes, we can reconnect with our sense of awe and wonder.

As Michael Pollan wrote, "In order to see things as if for the first time, we must remember to forget." Bucky Fuller used to say "dare to be naive." Oftentimes, our sense of what we think we know is precisely what prevents us from approaching situations free of prejudice.

"Banality is a defense against being overwhelmed," Pollan wrote in his book "The Botany of Desire."

This makes perfect sense to me: In a world where disruption is the new normal, and technological change is happening at an exponential rate; a world where we are bombarded with media messages, and where "attention" is the new limited resource, it seems easier to recoil away from all the mindblowingness going on, and instead look for reasons to be bored. The mundane can be quite comforting for those terrified of leaving their comfort zone.

And this where I think my work serves the purpose of infecting people with wonderment. My short videos are "digital psychedelics" meant to "de-center" the self, dwindle the broadcast of the ego and provide people with a long view, "big picture" perspective on humanity, technology and how their symbiosis might make a dent in the cosmos.

As Alan Harrington wrote in "The Immortalist": "We must never forget we are cosmic revolutionaries."

The opinions expressed in this commentary are solely those of Jason Silva.

@highlight

Filmmaker Jason Silva makes short kaleidoscopic videos on how ideas interrelate

@highlight

He says he aims to show how technology is expanding our sphere of what is possible

@highlight

Silva: Big ideas should instill a sense of wonder in people as if they're high on drugs