PHUKET, Thailand (CNN) -- Raddled by allegations of corruption and mismanagement by inept authorities, the Thai holiday island of Phuket looked destined within a few years to have its once-beautiful beaches destroyed by the side-effects of mass tourism.

Since the 2004 tsunami made Phuket even more of a household name around the world, tourism boosters have catered to sharply increasing numbers of visitors, with the island's overwhelmed infrastructure deteriorating rapidly.

Bliss for many tourists became a sunbed on the beach where they could alternately loll and dip all day long and be serviced by locals bringing coconut juice or a cocktail, or perhaps even a delicious tiger prawn sandwich.

Such pleasurable indulgence proved exceedingly popular, and some beaches eventually succumbed each tourism high season under a colorful sea of sunbeds.

Along the foreshores at many beaches, illegal businesses sprang up and grew. Beach clubs predominated, but a visitor could spend hours in a beauty salon on the sand or even buy a time-share property.

A constant stream of vendors left tourists little time to snooze. Paradise was evaporating, if it hadn't already.

Then an odd and unexpected event happened.

On May 22, Thailand Army chief General Prayuth Chan-ocha assumed control of the country in a military coup following months of political deadlock between opposing sides.

Within 72 hours of taking control, soldiers were on the holiday island, bearing promises to save the beaches and berate the administrators accused of contributing to the island's simultaneous ride and slide towards increased popularity and ruin.

A few months on, and Phuket continues to shake off the effects of decades of corruption that have been plaguing the island since the 1970s, when the first backpackers discovered the brilliance of the island's gleaming west coast beaches and locals discovered a new source of income.

Until recently, tales of mafia-connected taxi drivers ruling Phuket made regular headlines, whether it was for charging ridiculously high fares that were six times those of the capital, Bangkok, or forcing passengers to pay double -- not just for the trip to their destination, but also for the cabbie's ride alone back to his base.

In more extreme cases, drivers threatened violence against those who attempted to use alternative transportation options, as was reported in Phuketwan.

Soldiers on the beach

Today, all that is changing, due to the arrival of khaki and camouflage-clad soldiers.

They tromped Patong, Phuket's main west coast beach, enforcing the message that the hedonistic days of lazing on sunbeds were at an end, along with the vendors' privateering ways.

Sand was making a comeback.

Though many Western countries have condemned Thailand's latest coup, it may just have saved Phuket from further decay -- also producing some useful social outcomes for similarly troubled holiday destinations in other parts of the country.

All beaches in Thailand are public space by law. The prohibition of private business operations on these public beaches is without exception, but has been ignored on Phuket and some other tourism destinations.

Restaurants and beach clubs illegally encroached onto the beaches, right down to the high-water mark in some places, too many deriving private profits by ignoring the law and doing as they pleased.

Because Phuket is 860 kilometers south of Bangkok, administrators posted by the central government seemed reluctant to interfere.

Phuket locals interpreted the concept of public beaches as meaning anyone could use them, so first they added sunbeds, then built thatch and bamboo bars on the shore fronts.

Over the years, entrepreneurs joined in, expanding the venues into large restaurants and beachclubs.

Some businesses grew to the water's edge. There was no enforcement by authorities to force them off the beach.

Once the army took charge, though, local mayor Ma-Ann Samran, of Cherng Talay, says he began receiving daily visits from officers in civilian clothes.

He had no hesitation in admitting he eventually acted to save the beaches in his district out of fear.

''I was genuinely scared,'' Ma-Ann said. ''The Army let me know I had to act.''

After decades of local ''law'' being applied, the Army transformation came at great speed, within days of the May 22 coup.

Graders toppled beach clubs and restaurants, while the sunbeds and umbrellas were carted off in pickup trucks, banned forever.

Tourists on all Phuket beaches now sit on towels.

Taxi clampdown

What happened with the alleged bullying that taxi drivers were accused of, was even more remarkable.

Present-day Phuket police commander Major General Praveen Pongsirin found the army to be perfect allies to conclude his covert months' long investigation of the island's ''mafia.''

In June, more than 100 taxi and tuk-tuk drivers were arrested and charged with alleged intimidation and extortion, according to police.

Local officials who allegedly sponsored the bullies were also arrested, police officials said. These include the Mayor of Karon municipality and his two deputies, plus the chief engineer and the senior officer, who remain on bail facing six charges apiece.

When they appear in court, they'll have the opportunity to enter their pleas. They have denied the charges. No court date has been set.

Anti-money laundering officers have conducted raids and more arrests have been promised. Investigations into illegal activities at Phuket airport have also been launched.

The major general said: ''Phuket wasn't like this 15 years ago. As the power of the taxis grew, so did their greed and arrogance. The only laws they recognized were their own laws.''

Administrators posted by Bangkok came and went on Phuket periodically, perceiving all the problems, but powerless to seriously fix them.

''The administrators were all able to see what ailed Phuket when they first arrived,'' Major General Praveen said.

"But the longer they stayed, the more they integrated with the lawless locals and the more blind they became.''

The army takeover, though, brought to the island the one organization in Thailand that is large enough to confront the taxi drivers and end corruption on, and abuse of, the beaches.

The message from the army's Major General Somchai Ponatong on arrival was blunt but effective: ''I told the local authorities to do their jobs. The novel idea appears to be working.''

Backhanders and corruption were previously considered the most efficient way for anyone to get anything done on Phuket, according to experienced expat investors and some local businesspeople.

Investigations are now underway into resorts suspected of encroaching on national park land, led by the Public-sector Anti-Corruption Commission.

Villas dot the hillsides, well above height restrictions. On Phuket, regulations stipulate constructions can be no higher than 80 meters above sea level.

Now, says Major General Somchai, complaints are being listened to and acted upon, without regard to the degree of influence Thailand's resident ''big people'' have always had under civilian governments.

''Enforce the law,'' the major general tells his officers, ''free from favor."

''By November [start of the tourism high season] we will have made Phuket safe, clean and appealing to everyone,'' he says.

Coup, what a difference it's made here.

MORE ON PHUKET: Phuket's coolest cafes and coffee shops

MORE ON PHUKET: Insider Guide to Phuket

Alan Morison is journalist based in Phuket and founder of the regional news and information site, He is a frequent contributor to CNN and a former CNN employee. He and fellow Phuketwan.com journalist Chutima Sidasathian face a continuing trial over criminal defamation and Computer Crimes Act charges brought by the Royal Thai Navy for re-publishing a 41-word section from a Pulitzer prize-winning report from Reuters on the Rohingya boatpeople. The charges, strongly criticized by rights groups and mentioned in passing in the US State Department's Trafficking in Persons Report, predate the military takeover in Thailand.

@highlight

The Thai military is cleaning up Phuket's beaches

@highlight

A crackdown on taxis is now underway in response to years of alleged illegal practices, abuse and misuse

@highlight

"'I told the local authorities to do their jobs. The novel idea appears to be working," says military official