(CNN) -- The National Labor Relations Board's general counsel said Wednesday that McDonald's is an employer.

This might not seem like surprising news, but the NLRB directive has the potential to shake up an industry that profits handsomely by shifting responsibility for workers onto franchisees.

Before, if there were a labor violation in a restaurant, McDonald's could just say: "Well, take it with up with the franchise boss. It's not our problem."

The fast-food industry's modern-day sharecropping model often results in wage theft and unfair labor practices, but -- with corporate parents skirting responsibility for conditions they actually control -- leaves low-wage workers holding the bag. This is also common practice in other contracted sectors like agriculture, janitorial, garment and construction.

Across our economy, some version of corporate outsourcing, like franchising, is increasingly the norm. Other methods of outsourcing are multiple layers of contractors, using staffing or temp firms to supply workers, and misclassifying employees as independent contractors. The companies thus distance themselves from the labor aspects of their businesses and in so doing, attempt to skip their accountability for front-line workers elsewhere.

While this restructuring of employment arrangements may be the reality of work today, it doesn't have to -- and should not -- spell the end of living wage jobs or business responsibility for the work and workers these corporate giants control.

Placing responsibility where it should lie, as the general counsel's decision does, is an essential ingredient of a sustainable economy in which people who work for a living can earn a decent living.

Fast-food jobs are not simply rites of passage for teens, they are real jobs families rely on to get by. Seventy percent of fast food workers are adults 20 or older, more than a quarter are raising kids, and one-third have post-high-school education. Yet, despite industry growth and rising profits, fast-food jobs are among the country's lowest-paying. Average front-line hourly pay is $8.69, with many jobs paying at or near minimum wage.

Many fast-food workers get only part-time hours even though they need full-time work. Roughly 87% receive no employer-provided health benefits, and more than half of the families of front-line workers must rely on taxpayer-funded safety net programs to make ends meet. These conditions have fueled fast-food worker strikes in every corner of the country and protests around the globe.

Earlier this year, workers in Michigan, New York and California filed class action lawsuits against McDonald's Corp. and its franchisees, seeking back pay for alleged wage theft. These lawsuits name McDonald's as a defendant because of strong evidence that it exerts substantial control over the operations of the franchise restaurants, leaving them little room to make decisions.

In particular, the fast-food giant owns all real estate in its franchised restaurants and charges high rents and royalty fees. It imposes take-it-or-leave-it franchise agreements on franchisees, among other things, requiring them to install company-supplied computer software that tracks data about sales, inventory, and labor costs.

These tight controls and oversight can make it difficult for franchisees to run profitably: A 2007 franchiser-commissioned study found that franchisees had higher default rates on Small Business Administration loans than non-franchisees.

When companies like McDonald's intervene to such an extent in operations, they should be held responsible along with their franchisees for operations that are not above board. But too many of these corporate parents evade responsibility.

Holding lead companies like McDonald's accountable will not portend the death of franchising, as the International Franchise Association argues. It simply means that corporations that exercise sufficient control over franchised operations cannot feign ignorance or disclaim responsibility for franchisees' illegal acts, especially when those acts flow from the business model the lead company imposes.

The more realistic and balanced arrangement for all stakeholders -- the corporate parent, franchisee, front-line workers, consumers and the economy overall -- requires that McDonald's and other outsourcers ensure that their franchised operations operate as law-abiding businesses that treat workers fairly.

At its most basic level, such accountability means ensuring that franchisees understand what the law requires. But it also means that when a franchisee cheats workers of wages they have earned, the workers should have recourse against the corporate parent as well.

Too much is at stake for our economy and our society to allow companies like McDonald's to use franchise and outsourcing agreements that seek to maximize control and profits for them, while absolving them of responsibility for workers and their livelihoods. In holding McDonald's jointly liable with its franchisees, the general counsel's decision seeks to put an end to this charade.

@highlight

NLRB just ruled McDonald's is an employer and must take responsibility for workers

@highlight

Writers: The fast-food industry often hands over responsibility for workers to its franchisees

@highlight

Writers: This means it's immune from problems with workers at their restaurants

@highlight

Writers: Now if franchisee cheats, workers have recourse against corporate parent