(CNN)Picking through the rubble of war-damaged buildings in combat zones, looking for enemies, survivors, booby traps or worse is one of the most dangerous jobs in the military.

To take the dirt and danger out of mopping up operations, a Pentagon agency is developing a surveillance robo-hawk that could fly through the detritus of the urban combat jungle at 45mph.

The Defense Advanced Research Projects Agency (DARPA) -- already famous as the maker of some of the U.S. military's more far-fetched war robots -- aims to develop autonomous drones small enough to fit through an open window.

Speeding through unstable buildings or threatening indoor spaces at 20 meters per second, the unmanned aerial vehicle would obviate the need for physical entry that puts troops or civilian response teams at risk.

Part of a military brief called the Fast Lightweight Autonomy program, the study is looking at developing new algorithms to allow a small UAV operating without a remote pilot and without use of GPS waypoints to navigate stairways, corridors and other obstacles.

"Birds of prey and flying insects exhibit the kinds of capabilities we want for small UAVs," said Mark Micire, DARPA's Program Manager. "Goshawks, for example, can fly very fast through a dense forest without smacking into a tree.

"Many insects, too, can dart and hover with incredible speed and precision.

"The goal of the FLA program is to explore non-traditional perception and autonomy methods that would give small UAVs the capacity to perform in a similar way, including an ability to easily navigate tight spaces at high speed and quickly recognize if it had already been in a room before."

Ultimately, the agency says the algorithms developed in the program could enhance other types of unmanned missions, including underwater environments where GPS systems don't work.

"Urban and disaster relief operations would be obvious key beneficiaries, but applications for this technology could extend to a wide variety of missions using small and large unmanned systems linked together with manned platforms as a system of systems," said Stephanie Tompkins, director of DARPA's Defense Sciences Office.

The aim of the program would be to take the grunt work out of repetitive tasks where fatigue can mean the difference between life and death.

"By enabling unmanned systems to learn 'muscle memory' and perception for basic tasks like avoiding obstacles, it would relieve overload and stress on human operators so they can focus on supervising the systems and executing the larger mission."

Miniaturizing drones that could negotiate indoor environments has also been a focus of the U.S. military.

Its Army Research Laboratory, known as ARL, in Adelphi, Maryland, are currently working on a project to develop robotic surveillance insects with wings just 3-5 centimeters in length.

The wings are made of lead zirconium titanate, known as PZT, a material that flaps and bends when a small voltage is applied.

"We demonstrated that we can actually create lift," said Dr Ron Polcawich who heads the team. "So we know this structure has the potential to fly."

Powered by tiny ultrasonic motors that measure just 2 to 3 millimeters, the team has also designed a millipede-like robot that simulates crawling when voltage is applied to the PZT material.

While the team has shown that the project works in principle, Polcawich said that it may take a further 10-15 years of research before the Army has a fully functional robotic surveillance insect.

He said that more research would be needed to establish algorithms that would allow a robotic insect to stabilize itself.

More collaboration with other institutions -- Harvard University, for instance, has a "robo-fly" project three-times larger than the ARL's robotic insect -- would be necessary to make a fully working prototype.

Polcawich said the smaller the mechanical device, the more intricate are its aerodynamic problems.

In a gust of wind a fly "doesn't instantaneously stabilize itself," Polcawich said. "It will tumble, tumble, and then stabilize itself."

Creating this type of artificial intelligence or "cognitive ability" would take time, he said, and a number of different systems must be integrated to develop a robot that functions like an insect.

Read more from Make, Create, Innovate:

Digital nose on a chip can sniff out cancer

Meet the world's first 1,000 mph car

Out of juice? Try a cardboard battery

@highlight

A Defense agency is working on a surveillance robotic hawk that could fly through an urban combat jungle at 45mph

@highlight

The study is looking at developing new algorithms to allow a small UAV to operate without a remote pilot

@highlight

The algorithms developed in the program could enhance other unmanned missions, including marine environments