When Nailah Winkfield took her daughter to Children's Hospital & Research Center in Oakland, California, for a tonsillectomy, she thought it would be a short stay.

"When I walked her into that hospital, she was perfectly fine," Winkfield told CNN's Piers Morgan. "There was nothing wrong with her. She had no health problems."

After the December 9 surgery, Jahi McMath, 13, woke up and asked her mother for a popsicle. But a short time later, the teen started bleeding from her mouth and nose. Winkfield watched in horror as Jahi went into cardiac arrest.

Doctors later declared Jahi brain-dead and told Winkfield they were going to take her off life support. Her parents are fighting the hospital's decision, asking for just a little more time.

"The big question is, 'How in the world did this happen?' " said CNN senior medical correspondent Elizabeth Cohen. "You're talking about a tonsillectomy, right?"

Tonsillectomy is the third most common surgical procedure performed on children in the United States, according to the American Academy of Otolaryngology, after circumcision and ear tubes.

While not as common in adults, tonsillectomy joins the list of other common surgical procedures, such as appendectomy, cholecystectomy (gallbladder removal) and cesarean section.

But just because these surgeries are routine doesn't mean they're 100% safe. There's a reason the consent form you sign at the hospital is so detailed. While your surgeon may have successfully performed this particular procedure thousands of times, each patient is different. Your risk doesn't change because the person who was on the operating table before you survived.

"The complications are very rare," said Dr. Albert Wu, director of the Center for Health Services and Outcomes Research at Johns Hopkins Bloomberg School of Public Health. But "uncontrollable bleeding can happen in almost any surgery. In extreme cases, you can bleed out."

In general, Wu said, the most common post-surgery complications are bleeding, infection and damage to nearby tissue. During a tonsillectomy, for example, surgeons are removing the tonsils, two oval-shaped pads, near the back of the throat. To do so, they must cut or burn away the tonsils, which could lead to a small artery being nicked. Usually surgeons will stop the bleeding by cauterizing it, Wu said, but some people don't clot well.

A 2003 study of more than 14,000 tonsillectomy and adenoidectomy patients in Germany examined the post-operative complications for these surgeries. (An adenoidectomy removes the patients' adenoids and is commonly done alongside a tonsillectomy.) Bleeding occurred in about 3% of the patients; five needed a blood transfusion.

Another study done in Europe in 2004 that included more than 33,000 tonsillectomy patients found about 1.3% were delayed in being discharged or returned to the hospital in the 28 days after surgery. Eight patients received a blood transfusion. One death was reported during the study period.

The statistics are slightly higher for other common surgical procedures. A study of 1,254 laparoscopic cholecystectomies done in the Netherlands found complications in 12% of the patients. Yet the risk of death is still low; a 1996 meta-analysis found the mortality rate for gallbladder removal was between .086% and .74%.

Certain patients are at greater risk during general surgery than others, Wu said. Patients with pre-existing conditions such as heart, lung or liver problems are more likely to suffer from complications or die.

"The stress of surgery can be too much for you to be able to maintain (your body's) equilibrium," Wu said.

Obese patients are also at greater risk. A small study published in 2012 showed severely obese children undergoing tonsillectomies had an increased risk of complications during their surgeries.

But what if the patient's body isn't at fault? What if it's the surgeon who messes up?

Medical errors kill more than 200,000 people every year in the United States, according to a study published in September.

Add them all up and "you have probably the third leading cause of death" in the country, Dr. Peter Pronovost, senior vice president for patient safety and quality at Johns Hopkins Hospital, told CNN during a 2012 investigation into common medical mistakes.

10 shocking medical mistakes

Wu said patients should tell their surgeons "everything that they know about themselves," including their past experiences with surgery and anesthesia, whether they have any allergies, and if they're prone to bruising or heavy bleeding.

"The question people should always ask is, 'Do I need this surgery?' " Wu said. "In some cases not having surgery is riskier than having the surgery ... but for many, many things, the surgery is quite discretionary. You have a choice."

@highlight

Jahi McMath, 13, was declared brain-dead after a tonsillectomy

@highlight

Tonsillectomies are the third most common surgical procedure for U.S. children

@highlight

Complications are rare, but uncontrolled bleeding can happen

@highlight

Patients should ask themselves if they really need the surgery, expert says