Giglio, Italy (CNN) -- Rescue workers -- who had suspended their underwater search of the Costa Concordia after the cruise ship moved, making it too risky for divers to operate -- resumed searching Friday night on the upper part of the ship, the Italian coast guard said.

Rescue workers previously suspended their search when sensors on board the vessel measured movement, Massimo Maccheroni, of the Coast Guard general command, told CNN.

"When this happens all rescue forces have to leave the ship, (so as) not to put their lives in danger," he said.

Underwater searches will not resume until Saturday, the Italian coast guard said.

The authorities are now assessing their options. One possibility being considered is an attempt to anchor the vessel to the rocks off Giglio island using chains.

But, warned Maccheroni, "It's very difficult. The Concordia weighs 110,000 tons and it's like a 300 meter-high skyscraper in an horizontal position."

Italian authorities are considering when to call off the search for survivors and start the recovery operation, which would mean salvage workers can start emptying the ship's huge fuel tanks.

Coast Guard Captain Cosimo Nicastro said that preparation for the fuel removal operation is underway, though it has not started yet. A vessel with a huge tank still needs to come to the island to store the fuel. This will happen in the coming days, he said.

At least 11 people are known to have died in the disaster, and 21 are still missing, according to the Italian Crisis Unit.

A week after the ship ran aground off the Tuscan coast, it appeared increasingly unlikely that any survivors will still be found aboard the ship.

On Friday, more relatives of the missing passengers arrived on the island.

"It's terrible, we spend all day with relatives of those that have someone still missing and of those that have been identified," Giglio Vice Mayor Marco Pellegrini said.

A little bar located on the harbor was drawing a bit of business selling hot drinks and coffee.

A private boat carrying French, Italian and Peruvian relatives of the dead and missing, chartered by the Italian authorities, sailed from Porto Santo Stefano on the mainland Friday lunchtime, to Giglio.

Cook: Captain ordered dinner after crash

A spokesman for the mayor of Giglio said the families had scattered flowers on the water by the wreck site.

Also on the boat was Susy Albertini, the mother of a missing 5-year-old Italian girl, Dayana Arlotti. The girl's father, Albertini's ex-husband, William Arlotti, is also unaccounted for.

"Dayana was very happy and excited for this trip," said Davide Veschi, lawyer for Susy Albertini. "She packed all her nicest clothes last Thursday. We know from other passengers that she was wearing a life vest but her father no. They are not experienced swimmers. Susy tried to reach the father's mobile many times that night, but nobody answered."

Eight of the dead have so far been named -- four French passengers, a Spanish passenger, and Italian and one crew member each from Hungary and Peru.

Criticism from both Costa Cruises and the authorities has focused so far on Capt. Francesco Schettino, who is under house arrest and facing possible charges of manslaughter, shipwreck and abandoning ship.

His lawyer, Bruno Leporatti, spoke to Sky Tg24 on Friday, urging people to reserve judgment on the captain until they have all the facts.

"Obviously, before we can talk about responsibilities, we need to make sure that there is a series of facts that are corroborated. Until now we only have one fact: the fact that the ship Concordia hit a rock. What were the causes of the collision: a wrong maneuver? A missing sign on the sea maps? High speed? A sudden change of route? Improvised route? I am not able to determine this," Leporatti told the Italian news channel.

"It will be the technical examinations that will in their entirety clarify the dynamic of the events," Leporatti reportedly said.

Further doubt was cast on Schettino's leadership late Thursday when a cook from the ship told a Filipino television station that the captain ordered dinner for himself and a woman at about 10:30 p.m., less than an hour after the collision.

"We wondered what was going on," cook Rogelio Barista told GMA Network. "At that time, we really felt something was wrong. ... The stuff in the kitchen was falling off shelves and we realized how grave the situation was."

However, a Moldovan woman Domnica Cemortan, 25, who also works for the Costa cruise line but said she was on the Concordia as a passenger, defended the captain in a TV interview.

"I've heard in Russian media that the captain left the ship first, or among the first. But this is not true," she said.

"I'm a witness -- I don't know if I'm invited to testify in the court or not, but as a witness I can say that I left the deck at 11:50 p.m. following an order from the captain who told me to go to the third deck to get into a lifeboat that could take more people."

Cemortan said she had gone to the deck to help translate the captain's orders after hearing a coded announcement that raised the alarm for crew members.

Coast guard records published Thursday by an Italian newspaper added to the pressure on Schettino and his officers, suggesting authorities first became aware of the crash from a friend of the mother of a passenger about 15 minutes after the ship hit rocks.

The Coast Guard identified the ship in trouble and contacted it, asking if there were problems on board, at 10:14 p.m. -- more than half an hour after the 9:41 p.m. collision -- according to a Coast Guard log published in the newspaper La Repubblica.

The ship responded that it was experiencing a "black out," according to the log and said the crew believed it could solve the problem in a short time. The log does not indicate which crew member was speaking.

What appears to be the audio of that first radio call between the Costa Concordia and the Coast Guard was broadcast on Italian media Thursday.

A Coast Guard official is heard to ask: "What kind of a problem is it? Just something with the generator? The police of Prato have received a phone call from the relatives of a sailor who said that during the dinner everything was falling on his head."

The unidentified crew member responds: "We have a black out and we are checking the conditions on board."

"The passengers say they have been told to put on the life vests, is this correct?" the Coast Guard then asks, to which the crew member repeats the same answer, before promising to keep the Coast Guard updated.

In Schettino's hometown of Meta di Sorrento, residents were standing by the cruise ship captain.

A spray-painted sheet left hanging outside the home where Schettino is under house arrest says, "Captain, don't give up."

"It looks like the only one responsible is the captain. That's what everyone on the outside think," Mayor Paolo Trapani said. "But in this village, people know he cannot be responsible for everything. It's not like journalists want to portray it."

The decision to give up the search for survivors is expected to come by the weekend, when the weather is forecast to deteriorate.

Declaring the operation to be recovery rather than rescue would allow salvage experts to start pumping fuel out of the ship, potentially averting an environmental catastrophe. The ship was carrying about 2,300 tons of fuel when it hit rocks.

Prosecutors have accused the captain of piloting the ship too fast to allow him to react to dangers, causing the shipwreck, according to legal papers.

Judge Valeria Montesarchio's initial ruling found Schettino changed the ship's course, steering too close to shore and causing the ship to hit a rock.

Costa Cruises chairman Pier Luigi Foschi earlier this week placed the blame for the wreck squarely on the captain, saying it was his choice to deviate from frequently traveled routes.

There were roughly 4,200 people on the Costa Concordia when it ran aground -- about 3,200 passengers and 1,000 crew members, the vast majority of whom made it off the ship safely.

CNN's Dan Rivers, Hada Messia, Livia Borghese and journalist Barbie Nadeau contributed to this report.

@highlight

NEW: Search operations resume on the upper part of the vessel

@highlight

NEW: The captain's lawyer talks to an Italian news channel

@highlight

Underwater searches were suspended when the ship moved

@highlight

Relatives of some of the victims scatter flowers from a boat at the wreck site