(CNN) -- Crashing waves. Windy bluffs. The mystique of the high seas and whatever lies beyond: Seaside places possess a dramatic allure that's naturally attractive to storytellers. Maybe that's why so many famous writers have chosen to live, work and set their fiction by the ocean.

Or maybe they just liked the beach in summertime.

Whatever the case, if you're fond of literature as well as lounging, consider following in one of these writers' footsteps. Whether you gravitate toward heat and palm trees or windswept north Atlantic dunes, some writer has put their stamp on a seaside spot to suit your tastes.

Here are five places where inspiration hangs in the salty air.

Monterey County, California: John Steinbeck

The region that John Steinbeck immortalized in "Tortilla Flat," "Cannery Row" and other works is one beautiful place to see the Pacific. Its sunny vistas are in contrast with Steinbeck's characters and their harsh struggles, but several sites ensure that the ghost of Tom Joad is not forgotten.

Start, as Steinbeck did, in Salinas, where his birthplace and boyhood home on Central Avenue has been preserved as The Steinbeck House. Tours for the public run on select Sundays in the summer (suggested donation $10); the restaurant is open Tuesday through Saturday for lunch featuring Salinas Valley produce.

The places where masterpieces are born

Down the street, the National Steinbeck Center provides an in-depth look at the Nobel Prize winner's life and work, with interactive exhibits, artifacts and film screenings ($14.95 adults; $5.95 children). About 20 miles away in Monterey, stroll along Cannery Row to Steinbeck Plaza and absorb the atmosphere of this street -- called Ocean View Avenue until it was renamed for Steinbeck's book -- where Lee Chong, Mack and the others hatched their schemes.

Unwind with a visit to Asimolar State Beach in Pacific Grove, where the Steinbeck family owned a summer cottage.

Key West, Florida: Ernest Hemingway

Ernest Hemingway spent most of the 1930s in Key West and got a lot of writing done. This, despite the distraction of spectacular sunsets, water-based activities and ubiquitous drinking. He was lucky to live in a stately, palm-fringed house that remains a tranquil oasis to this day.

Five trips for crime fiction lovers

Tour the Hemingway Home ($13 adults; $6 children) and see the splendors that temporarily tamed his wanderlust. Star attractions include a sparkling pool and large collection of six-toed cats, some descended from one the author owned.

For a fuller taste of his life by the Gulf, organize a fishing charter and do battle with a marlin. Once you've perused "To Have and Have Not," Hemingway's novel set in Cuba and Key West, stop for a drink at Captain Tony's Saloon (the original Sloppy Joe's). The spot was a favorite of the author's and is said to be the inspiration for Freddy's in the book.

Nantucket, Massachusetts: Herman Melville

"Moby-Dick" was published in 1851, but it wasn't until the following year that Herman Melville got around to visiting this island prominently featured in his magnum opus. Nantucket's reputation as the whaling capital of the world impressed Melville from afar. Ishmael, the book's narrator, considers it "the most promising port for an adventurous whaleman to embark from." Today Nantucket is known principally as a summer getaway, but whales remain a big (pun intended) part of the tourist draw.

Brick and mortar: Best indie bookstores

Bring a copy of "Moby-Dick" and dig in to Chapter 14, "Nantucket," on your arrival. Revisit Melville's own experience as a summer tourist by checking into the Jared Coffin House -- called Ocean House when Melville stayed there -- for a bed and breakfast ($180-$560 in peak season). Just down the block, learn more about whaling tales that fascinated the author at the Nantucket Whaling Museum ($20 adults; $5 children). Then, mount your own obsessive search for the beast with a 6-hour whale-watching cruise ($155 per person). Cruises run three times a week during summer, with sightings guaranteed.

Prince Edward Island, Canada: L.M. Montgomery

Countless young people have grown up captivated by "Anne of Green Gables," L.M. Montgomery's 1908 novel set in this Canadian maritime province. Travelers drawn by Anne will find the island -- with its distinctive red soil, rolling farmland and pristine beaches -- equally captivating. They'll also find its tourism industry based heavily on the book's continued popularity.

Whether you arrive by air, ferry or the 8-mile bridge from New Brunswick, head for the North Shore. There you'll find Prince Edward Island National Park, home to sandy beaches and a series of Green-Gables related attractions in and around Montgomery's home town of Cavendish. Check out the farm that inspired the story ($7.50 adults; $3.75 children) and, separately, the site of Montgomery's own home ($4 adults; $2 children). Then spend some time in Avonlea Village ($70 per family; two-day admission) for a taste of the old-fashioned life; daily events include wagon rides, pig racing and samplings of raspberry cordial and homemade ice cream.

Cornwall, England: Daphne DuMaurier

Stories like "The Birds" and "Rebecca" earned Daphne DuMaurier her reputation as a dark writer, expert at creating a sense of foreboding. But the landscape that fed her imagination encompasses some of the most pleasant and beautiful scenery in the United Kingdom. Today, the southwest corner of England, particularly Cornwall, is deeply associated with her vivid fiction.

Top spots in Europe for 2013

Spend at least one night at the Jamaica Inn (about $130-$175). Its history as a hideaway for 18th-century smugglers inspired DuMaurier to pen her novel "Jamaica Inn," and there's now a "Smuggler's Museum" on site, including a Daphne DuMaurier Room full of memorabilia. Come in May and you can drop by The Fowey Festival of Words and Music, inspired by DuMaurier's memory and offering dozens of events, from concerts to cruises (tickets range from about $7.50-$23).

If the beaches are chilly, try your hand at sailing -- a favorite pastime of the ill-fated Mrs. de Winter -- with a 5-day course at the Fowey Harbour Sailing School (about $735; tel. 44-78/999-62414).

@highlight

Add a bit of literary history to your summer beach getaway

@highlight

On spectacular Prince Edward Island, find L.M. Montgomery's Anne of Green Gables

@highlight

Check out Hemingway's home -- and cats -- in Key West

@highlight

Find John Steinbeck's inspiration in Monterey