(CNN) -- Thousands of people who fled fighting in the eastern Democratic Republic of Congo are crossing back into rebel-held territory because they say conditions at refugee camps are intolerable.

A crowd of refugees gathers at the entrance to a USAID center near Goma in the Democratic Republic of Congo.

With no food, water or sanitation in the camps, people have decided that it is worth the risk to return to their homes, even though rebels killed and raped many people just last week, residents told ITN's Jonathan Miller, who is near the city of Goma.

Many of their villages have been looted and emptied of people by the rebels, they said.

Roads were filled with people returning to rebel-held territory, carrying their belongings on their heads or on their backs.

However, others, fearful of fresh violence, continued to leave their homes, overwhelming aid centers.  See photos of the refugee camps »

Aid groups were expected to travel into the Congo's rebel-held territory on Sunday to help tens of thousands of people displaced by the latest bout of rebel fighting.

On Saturday, aid groups delivered food and water to a refugee camp north of Goma, traveling through a narrow "humanitarian corridor" the rebels established following a cease-fire with government forces that the rebels announced Wednesday.

British Prime Minister Gordon Brown said the international community cannot allow Congo to become "another Rwanda," where 800,000 died during a 1994 genocide.

Western diplomats shuttled between Goma -- the scene of some of the worst fighting -- and Kigali, in neighboring Rwanda, to meet with leaders in order to get a peace process back on track.  Watch the diplomatic efforts »

"The immediate needs are obvious," said British Foreign Secretary David Miliband and French Foreign Minister Bernard Kouchner in a joint statement Sunday.

"We saw them yesterday. The cease-fire last Wednesday needs to be bolstered," Miliband and Kouchner said. "The humanitarian needs for food, shelter, water and health care must be met through universal provision and secure routes for delivery."

The cease-fire seemed to be holding Sunday, but both sides appeared to be massing troops near the cease-fire line.

Government soldiers flew in from the capital Kinshasa and deployed in the jungle, and rebels were out in force on their side of the line.

ITN reporter Miller heard intermittent firing from the hills that mark the line where the two sides face off only a few hundred yards apart. A small contingent of United Nations troops in the area donned flak jackets and helmets in response.  Watch report on gunfire near cease-fire line »

Miller said it was not clear if the two sides were firing at each other.

The latest fighting broke out on October 24 when Congolese rebels led by renegade Tutsi General Laurent Nkunda launched renewed attacks in the eastern province of North Kivu.

It came days after a tenuous week-old U.N.-brokered cease-fire between rebels and government forces fell apart.

The fighting between Nkunda's rebels and Congolese army regulars displaced thousands of civilians almost immediately, the United Nations said.

Many of the displaced fled to Goma, the capital of North Kivu, which borders Rwanda and Uganda.

Nkunda is the leader of the National Congress for the Defense of the People. His rebel forces declared a cease-fire late Wednesday after four days of fighting.

The fighting is based on ethnic grievances.

Nkunda says he is fighting to protect his Tutsi community from attacks by Rwandan Hutu rebels.

During the 1994 genocide in Rwanda, the country's Hutu majority killed 800,000 Tutsis and moderate Hutus, according to the United Nations.

When Tutsis came to power in Rwanda, many Hutus crossed the border into Congo.  They were afraid to return home, fearing they would be targeted for revenge by Tutsis, so they remained in the jungles of eastern Congo, where they preyed on local residents.

In May 2005, it was reported that Rwandan Hutu rebels in eastern Congo carried out hundreds of summary executions, rapes, beatings and kidnappings of Congolese civilians in the province of South Kivu, according to GlobalSecurity.org.

Nkunda, a Tutsi, has repeatedly blamed the Congolese government for failing to protect the Tutsis from attacks by Rwandan Hutus.

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

There is no food, water or sanitation in the refugee camps

@highlight

Aid groups expected to travel into rebel-held territory in DR Congo

@highlight

British PM warns world cannot allow Congo to become "another Rwanda"

@highlight

Four-day old cease-fire announced by the rebels seems to be holding