(CNN) -- Prom night sends most teen girls on a dizzying quest for the perfect dress, accessories and hairstyle to make their ensemble complete.

On her prom night, Jennifer DeFreece was harried by one simple detail: "I just wanted eyebrows for my prom pictures."

When she was just a baby, DeFreece was diagnosed with alopecia totalis, an autoimmune disease that results in the total loss of scalp hair. By her 1st birthday, she'd lost all of her hair.

"I was like Charlie Brown," says DeFreece, now 33 and living in Northridge, California.

Alopecia is nondiscriminatory. It can occur in men and women at any age and is a strictly physical disease, but sufferers say it's also a disease of the spirit, exacting a devastating emotional toll in this world of silky shampoo commercials and Rapunzel fairy tales.

For those who experience it, particularly women who often self-identify with the color and style of their locks, it's about learning to manage the disease and not be defined by it. They choose a way to self-present: wig, no wig, clean shaven or a little of each.

DeFreece ventured into wearing wigs in kindergarten as the childish innocence of her peers grew more inquisitive and uncensored. She continued to do so throughout junior high. At the time, the wigs available were "very obvious," she says. Before then, being bald never seemed taboo; it was her normal.

Then came sleepover age: A girl insisted DeFreece put a housecoat over the pillow where she would rest her head. To that girl, baldness was gross. In those years, DeFreece says she became more shy and hyperaware about what made her different.

"I hated it. I would wish that my hair would grow back," DeFreece says.

In high school, when she realized people might make fun of her anyway, she took one a giant leap toward self-awareness: She decided to ditch the hairpiece and embrace the beauty of bald.

Brave middle schooler tells peers she's bald

"I thought, 'Let them make fun of somebody with a medical condition, let's see what happens,' " she says. The response was mature: People backed off and even stood up for her.

Learning to value yourself and not your hair

According to the National Institute of Arthritis and Musculoskeletal and Skin Diseases, a big part of the coping process is about "learning to value yourself for who you are, not for how much hair you have or don't have."

Sue McHale is a psychology lecturer at Sheffield Hallam University in England, and has extensively researched the psychological toll of the disease, including co-authoring the book, "Coping with Alopecia."

"Baldness, for whatever reason, is associated firstly with aging and secondly with illness," McHale said in an e-mail. "So society is automatically shocked or fearful of this."

McHale's co-researcher and husband, Nigel Hunt, has alopecia universalis, the rarest form of the disease, one that results in total loss of body hair. (The most common form of alopecia is alopecia areata, which causes the hair to fall out in patches.)

When McHale found there was hardly any psychological research done on the disease, they dug in.

"It opened up a floodgate of responses and many said that they felt no one had been listening to them for years," she says. It was no longer just a physical diagnosis.

She says their research found that there was a perception from both sexes that it was worse for women; that it seemed more acceptable for men to appear bald. However, both men and women with alopecia aren't opting to go bald -- "it is forced upon them, so in that way, they respond to it very much in the same way," she says.

Those who are balding or are born with a hairless pate can experience embarrassment, hopelessness, hastiness for a "quick fix," and, if a wig wearer, the fear that others might find out that their hair actually isn't their own.

She found a man who didn't care about hair

For Lauren Crawford, 29, that feeling came to a head on a first date in high school. After a few previous dates didn't handle her diagnosis so well, she decided to lay it all out on the table that very first night, warning him that she had something to confess.

"'If you want to walk out the door, that's OK,'" she remembers saying.

"Oh thank God," her date responded. "That's it?!"

Crawford, of Macomb, Michigan, has been married to the man to whom she made that first-date confession for five years.

Crawford, like DeFreece, received a diagnosis early on in life -- at 3 -- but didn't see more serious aspects of the disease, especially psychologically, until her senior year in high school.

"I didn't think anything of it," she says. Seeing a bald woman wasn't out of her realm of experience; her grandmother was going through chemotherapy at the same time.

As her hairline changed rapidly in her teen years, she sought solace in scrunchies and scarves. When those no longer did the job, she and her mom went wig shopping.

Her friends at the time started to call her "Baldy" and tugged at her hair. She admits feeling like she would never get married and never have kids. Now, she has both -- and an unforeseen career as a hairdresser.

"I always had a creative eye for hair; I was always creative in hiding my bald spots," says Crawford, who wears a wig every day, calling it "an accessory."

For other women, Crawford has become an unlikely ally. She recounts how a woman came in heartbroken as the effects of chemotherapy laid her scalp bare. Crawford took her wig off and showed her true self; they wept together and talked through the change.

"It's just hair," she remembers saying.

'For me to walk out bald, it's so hard'

Vanessa McWilliams, 30, of Calgary is in a more transitional period -- often forgoing the wigs that were her safety blankets for more than 20 years.

"I love who I am, but at the same time, for me to walk out bald, it's so hard because there's so much trauma growing up," she says, recalling jabs such as "baldy" throughout her teenage years.

With the new hairless territory, she says she had to adapt to the occasional awkward moment of a stranger approaching her because they think she's sick.

"You're healthy! There's nothing wrong with you, but society still has to look at you. It's so hard to hear there's nothing wrong with you. The mentality of it is still a mental battle. It's really tricky," she says.

Unlike DeFreece and Crawford, who were too young at the time of their diagnosis to comprehend the condition, McWilliams didn't receive her diagnosis until adolescence.

"From the date that I found my first bald spot (at age 9) until I was 17, I had a really big hatred for the word 'alopecia' and everything that it put me through," she says.

McWilliams now operates Confident Curls, a mobile wig boutique specifically geared toward women who are coping with hair loss.

Her epiphany: She's lived with this every single day and knows first-hand what people in the same situation need.

"I wish at 9 years old I had known that it was OK. It's so simple. ... Everyone is dealt something they have to struggle with," McWilliams says. "Now, I know it isn't the worst thing that could happen to me."

But there's always work to do.

DeFreece calls those less-than-pretty-feeling days, as all people have, "an alopecia day." There are also upsides: "People will always remember you, and you can use that as an advantage," she says.

She has met a network of women through organizations such as the National Alopecia Areata Foundation (DeFreece attends its annual conference every year) and social media, which has helped her adjust.

When they get together, their lack of hair isn't the glaring beacon it is to others.

"I'm not just Jennifer the bald girl. I'm Jennifer the marketing major. I'm Jennifer from California," DeFreece says.

@highlight

Alopecia physically affects the hair follicles, but the emotional toll is often overlooked

@highlight

Many women with alopecia opt to wear wigs, hats or scarves on a daily basis

@highlight

When and how to share an alopecia diagnosis with loved ones can be stressful