Russia showed no signs of backing down Monday even as world leaders threatened sanctions and sternly rebuked the country for sending troops into Ukraine.

At an emergency U.N. Security Council meeting to discuss the unfolding crisis, Ukraine's envoy asked for help, saying that Russia had used planes, boats and helicopters to flood the Ukrainian peninsula of Crimea with 16,000 troops in the past week.

"So far, Ukrainian armed forces have exercised restraint and refrained from active resistance to the aggression, but they are in full operational readiness," Ukrainian Ambassador Yuriy Sergeyev said.

As diplomats at the meeting asked Russia to withdraw its troops and called for mediation to end the crisis, Russian Ambassador Vitaly Churkin insisted his country's aims were preserving democracy, protecting millions of Russians in Ukraine and stopping radical extremists.

He said ousted President Viktor Yanukovych remains Ukraine's elected leader and has asked Russia to send troops.

The Russian envoy read a letter from Yanukovych at the U.N. meeting, describing Ukraine as a country "on the brink of civil war," plagued by "chaos and anarchy."

"People are being persecuted for language and political reasons," the letter said. "So in this regard, I would call on the President of Russia, Mr. Putin, asking him to use the armed forces of the Russian Federation to establish legitimacy, peace, law and order, stability and defending the people of Ukraine."

U.S. Ambassador Samantha Power said Russia's claims about the situation in Ukraine are untrue and warned that sending military forces "could be devastating."

Yanukovych, she said, abandoned his post last month and was then voted out of office by Ukraine's democratically elected parliament.

"Russian military action is not a human rights protection mission," Power said. "It is a violation of international law."

Earlier Monday, global stocks slipped on fears things could get worse, and diplomats grasped for a way to stop the situation from escalating.

British Foreign Secretary William Hague called the situation Europe's most serious crisis of the still-young 21st century.

And U.S. President Barack Obama said the United States is examining a series of economic and diplomatic steps to "isolate Russia," and he called on Congress to work with his administration on an economic assistance package for Ukraine.

Tensions mount

In Crimea, more Russian troops arrived, surrounding military posts and other facilities and taking effective control of the peninsula from Ukrainian authorities. What they planned to do next remained unclear.

Analysts told CNN the apparently growing presence of Russian troops in Crimea means there's a risk the tense standoff could escalate.

"There are lots of unintended consequences when you have armed men staring at each other in places like you do in Crimea," said Michael McFaul, the former U.S. Ambassador to Russia. "So I think we all need to be very vigilant and worry about the worst case scenario, because it's no one's interest ... to see all out civil war in this country in the heart of Europe of 50 million people."

Putin's moves into Ukraine come as the Russian leader struggles to deal with a political crisis in the neighboring country that didn't unfold as his government hoped, according to Russia analyst Jill Dougherty, formerly CNN's Moscow bureau chief.

"Putin has been trying to figure out what to do. So now he's taking these steps," Dougherty said. "And I think that he probably thinks that they're carefully calibrated. But he really is playing with fire."

In one ominous incident, a Ukrainian Defense Ministry spokesman said the commander of Russia's Black Sea fleet boarded a blocked Ukrainian warship and issued a threat.

"Swear allegiance to the new Crimean authorities, or surrender, or face an attack," he said, according to the spokesman, Vladislav Seleznyov.

But a spokesman for the Russian Black Sea Fleet said there are no plans to storm Ukrainian military units in Crimea, according to the state-run Interfax news agency.

And one Crimean official has reportedly described the situation there as quiet.

Despite the assurances, stocks fell around the world, with Russian stocks leading the way as investors parsed the day's developments. Markets declined in Asia, Europe and the United States, where the benchmark Dow Jones fell 153 points Monday.

State Department spokeswoman Jen Psaki said Monday that sanctions against Russia weren't just possible, but likely.

Ukraine's shaky new government has mobilized troops and called up military reservists.

In Kiev, interim Prime Minister Arseniy Yatsenyuk, who has accused Moscow of declaring war, vowed that his West-leaning government would not give up the region.

"Nobody will give Crimea away. ... There are no grounds for the use of force against civilians and Ukrainians, and for the entry of the Russian military contingent," he said. "Russia never had any grounds and never will."

A strange scene: Somewhat polite standoff in Crimea

If judged by the numbers, Ukraine's military loses war with Russia

Worried West

The tensions have worried the West, and Russia's G8 partners have condemned Moscow's military buildup in Crimea. The world's seven major industrialized powers also suspended preparations for the G8 summit in Sochi, Russia, in June.

Their finance ministers announced some economic support for cash-strapped Ukraine.

"We are also committed to mobilize rapid technical assistance to support Ukraine in addressing its macroeconomic, regulatory, and anti-corruption challenges," the finance ministers said in a written statement.

U.S. Secretary of State John Kerry, due in Kiev Tuesday, said several foreign powers are looking at economic consequences if Russia does not withdraw its forces.

The United States has suspended upcoming trade and investment talks with Russia due to the events in Ukraine, a spokesman for the U.S. trade representative said Monday.

Obama said Monday that Russia should consider international condemnation of its military moves in Ukraine, adding that "over time, this will be a costly proposition" due to sanctions and isolation that will result if the situation continues or worsens.

Kerry will offer Ukraine a "specific" package of U.S. economic aid when he travels to Kiev for talks Tuesday, Obama said.

German Chancellor Angela Merkel's office said Putin had accepted a proposal to establish a "fact-finding mission" to Ukraine, possibly under the leadership of the Organization for Security and Co-operation in Europe, and to start a political dialogue.

How is the rest of the world reacting?

East vs. West

Ukraine, a nation of 45 million people sandwiched between Europe and Russia's southwestern border, has been in chaos since Yanukovych was ousted on February 22 after bloody street protests that left dozens dead and hundreds wounded.

Anti-government demonstrations started in late November, when Yanukovych spurned a deal with the EU, favoring closer ties with Moscow instead.

Ukraine has faced a deepening split, with those in the west generally supporting the interim government and its European Union tilt, while many in the east prefer a Ukraine where Russia casts a long shadow.

Nowhere is that feeling more intense than in Crimea, the last big bastion of opposition to the new political leadership. Ukraine suspects Russia of fomenting tension in the autonomous region that might escalate into a bid for separation by its Russian majority.

Ukrainian leaders and commentators have compared events in Crimea to what happened in Georgia in 2008. Then, cross-border tensions with Russia exploded into a five-day conflict that saw Russian tanks and troops pour into the breakaway territories of South Ossetia and Abkhazia, as well as Georgian cities. Russia and Georgia each blamed the other for starting the conflict.

Moscow has defended its parliament's approval of Putin's use of military force to protect its citizens in the Crimean Peninsula, an autonomous region of eastern Ukraine with strong loyalty to Russia.

But Ukraine's ambassador to the U.N. says Russia's reasoning for a possible invasion is fake.

"There is no evidence that the Russian ethnic population or Russian-speaking population is under threat," Sergeyev told CNN.

The Russian parliament, or Duma, is also considering a law that would allow for the annexation of Crimea, according to the parliament's website.

"Now they are trying to create new legal basis to prove annexation of the territory they're now occupying," Sergeyev said.

MAP: How Ukraine is divided

@highlight

The United States suspends bilateral trade talks with Russia

@highlight

Ukraine envoy: Russian has sent 16,000 troops into Crimea

@highlight

Russia says Yanukovych asked them to send troops

@highlight

Former Ukraine PM asks "all the world" for help in stopping Ukraine from losing Crimea