Almaty, Kazakhstan (CNN) -- Representatives from six world powers and Iran wrapped up an inconclusive day at the negotiating table Friday in Kazakhstan after attempting to break the deadlock over Iran's controversial nuclear program.

When negotiators from the six-nation diplomatic bloc last sat down with Iran's envoy in the Kazakh city of Almaty in February, they delivered what they characterized as a "fair and balanced offer" to defuse tensions over the Iranian nuclear program.

"We are waiting to see how Iran responds to the proposal we put on the table," Michael Mann, a European Union spokesman, told journalists shortly after negotiations resumed on Friday.

By the end of the day, however, at least one Western diplomat expressed disappointment on the day's progress.

"We had a long and substantial discussion on the issues, but we remain a long way apart on the substance," said a Western diplomat, on condition of anonymity.

Instead of delivering the "concrete response" Western governments had expected, Iran announced it is making its own proposal to the negotiating parties. Iran's deputy chief negotiator said the offer is based on a previous PowerPoint presentation that the Iranian delegation submitted during a round of talks in Moscow in June 2012.

"The Islamic Republic of Iran proposed a practical method to implement the Moscow plan in a smaller scale," Ali Baghery said in a statement issued to journalists Friday. The offer, he said, was aimed at establishing "a new bedrock of cooperation."

Questions fly around any plan to attack Iran

Details of last February's offer from the six countries represented across the negotiating table from Iran have not yet been made public.

EU foreign policy chief Catherine Ashton described the offer as a "very clear and concise proposal" for confidence-building measures.

Last month, technical experts from Iran and the so-called "P5+1" countries, which consist of the United States, France, Britain, Germany, China and Russia, met for more than 12 hours in Istanbul to discuss the proposal.

Painful sanctions

The P5+1 governments are demanding that Iran come clean about its nuclear program, which they suspect includes covert development of nuclear weapons.

Iran consistently denies those charges, arguing it is only enriching uranium and building nuclear reactors for peaceful civilian energy needs.

But those arguments have failed to prevent Western governments from imposing draconian sanctions that are crippling the Iranian economy. Oil exports have plummeted over the past several years, as has the value of Iran's currency.

Washington has vowed it will continue to put pressure on Tehran.

"As long as Iran does not take concrete steps to address the concerns of the international community about its nuclear program, the dual-track process continues. And that pressure only will increase if Iran does not begin to take concrete steps and concrete actions," said a senior U.S. administration official in a telephone briefing to journalists this week. The official spoke on condition of anonymity.

Lost revenue, foreign investment

Iran argues that as a signatory to the Nuclear Non-Proliferation Treaty, development of nuclear technology is an inalienable right.

On the eve of the talks in Kazakhstan, Iran's top nuclear negotiator, Saeed Jalili, repeated this position in a speech given at a university in Almaty.

"It is the right of the Iranian people to peaceful nuclear energy and most importantly to enrichment," Jalili said.

A report recently published by the Carnegie Endowment for International Peace concluded that sanctions are unlikely to force Tehran to give up its nuclear program.

The report, titled "Iran's Nuclear Odyssey," highlighted the fact that Tehran's quest for a nuclear program has been going on for more than half a century, beginning under the rule of the pro-American shah, Reza Pahlavi, and continuing under the revolutionary Islamic republic that overthrew him.

"The program's cost -- measured in lost foreign investment and oil revenue -- has been well over $100 billion," Carnegie said.

CNN's Saad Abedine contributed to this report.

@highlight

NEW: "We remain a long way apart on the substance," a Western diplomat says

@highlight

Iran lays out its own proposal to envoys from six world powers at Almaty talks

@highlight

Negotiators have been waiting to hear Iran's response to a proposal from February

@highlight

World powers suspect Iran's nuclear program includes covert development of weapons