Not so long ago, Costa Rica was a backpacker's game.

Other than a few business-class hotels in the capital of San José and a handful of isolated luxury properties scattered about the scenic hinterlands, travelers could expect little in the way of genuine comfort while exploring one of the most beautiful and eco-conscious countries on the planet.

Over the past decade, however, Costa Rica's fastest-growing crop has been a collection of opulent hotels and resort communities, complemented by marinas, golf courses, gourmet restaurants, hot springs and other world-class facilities.

The tag attached to most deluxe properties is usually something like "ecolodge" or "ecoresort," which may conjure visions of dreadlocks, granola and recycled hemp-fiber sheets.

Don't be fooled.

Yes, most of the country's destinations are green; Costa Rica's Sustainable Tourism Program rewards environmentally friendly properties with one to five "leaves" and copious free publicity.

But Costa Rica's new upscale properties are as elegant and comfortable as any in Latin America.

Here are the best regions and stays for putting a little service and Chardonnay into your sand and scenery.

Gulf of Papagayo

Costa Rica's posh spot is Papagayo, a sparkling strand of beaches in the northwestern Guanacaste Province.

Once better known for sabaneros (cowboys) and fine horses, Papagayo Peninsula has been developed into Central America's premier luxury destination.

It even has its own international airport (LIR) just minutes away in the regional capital of Liberia.

Lavish rental properties, excellent restaurants and bellowing howler monkeys might convince you to stay put for your entire vacation. But it's worth leaving the luxury (and wildlife) to see some of the region's outstanding national parks and festive beach communities.

Accommodations are led by the exquisite Four Seasons Papagayo, the top pick in a scenic region that boasts Costa Rica's best resorts, golf courses, spas and white-sand beaches.

5 reasons to visit Easter Island

Manuel Antonio

Rolling jungle hills surround tiny Manuel Antonio National Park, considered Costa Rica's most beautiful, as well as its original upscale destination.

It's also one of the most wildlife-rich regions in the world, which means you're certain to spot several species of monkeys, sloths and tropical birds, among other animals.

Excellent restaurants, sparkling nightlife, art galleries and an array of adventure tour operators make it a honeymooner's choice.

When traveling in high season (December through February), make reservations well in advance, and be prepared for crowds.

Among numerous upscale hotel choices, the prestigious Arenas Del Mar Beachfront & Rainforest Resort has received the Costa Rica Tourist Ministry's Five Sustainability Leaf Award along with its top Five Star Award for luxury and comfort. Within walking distance of the national park, the gorgeously landscaped property is an attraction in its own right.

Arenal

Until 2011, Arenal Volcano was Costa Rica's most active volcano.

Alas, for area entrepreneurs, the lava flows that graced so many tourism brochures have mellowed to mere puffs of smoke.

On the upside, you can now get excellent deals on the region's dozen or so five-star properties, the best of which are known for their spectacular hot springs.

The gold standard is Tabacón Grand Spa and Thermal Resort, with world-class rooms and restaurants, as well as a river of steaming natural water, which feeds extravagant gardens and spas.

A close runner-up is the Springs. It features a dozen cascading pools and whimsically decorated rooms.

No matter where you stay, virtually all area hotels will arrange day trips to the many hot springs pouring from Arenal's slopes, a must while you're in Costa Rica.

Santa Teresa

On the tip of Nicoya Peninsula, the wide white-sand beaches of Santa Teresa have become a playground for celebrities, jet-setters and vanguard surfers.

You'll need to take a ferry or small plane to the isolated spot (often voted Central America's most beautiful beach), where an array of luxury boutique hotels and condo rentals await.

The fabulous oceanfront Florblanca and Latitude 10 are full-service resorts that won't disappoint.

Tamarindo

Costa Rica's most famous beach town is growing up, its scruffy surf shacks and beach bars now complemented with excellent restaurants and attractive accommodations.

Despite complaints that paving the roads and erecting high rises have compromised Tamarindo's authentic local flavor, the surfing is still awesome, and the neighboring beaches of Las Baulas National Marine Park, known for nesting sea turtles, have remained pristine.

Tamarindo's top-end options are well-established, such as the sprawling The Westin Resort & Spa Playa Conchal and plush rental properties at Reserva Conchal.

But there are other interesting options, including the romantic Los Altos de Eros, which gets high marks for its attentive staff, and the golf resort at nearby Hacienda Pinilla resort, which sits astride three miles of superb shoreline.

The cloud forests

An escape from lowland heat and humidity, Costa Rica's mountains and volcanoes are topped with misty cloud forests, where temperatures hover between 12 and 20 C (53 to 68 F) year-round and visitors will find a number of outstanding mountain lodges.

Some travelers may want to skip Monteverde, Costa Rica's most famous cloud forest (aka "crowd forest").

Lodges such as Villa Blanca Cloud Forest Hotel and El Silencio Lodge and Spa offer access to quieter, private wildlife reserves.

Others such as Finca Rosa Blanca and Xandari Alajuela are located on coffee plantations and have beautiful trails good for wildlife viewing.

The imaginative Peace Lodge, La Paz Waterfall Gardens is a unique spot with lots of wildlife to watch from gorgeous jungle positions.

Los Sueños

An hour from San José and the country's international airport, Los Sueños Resort and Marina is Costa Rica's best value for luxury digs.

Anchored by the graceful Los Sueños Marriott, surrounded by scores of extravagant rental properties, an adorable marina area and one of the country's best golf courses, Los Sueños offers almost everything you'd want from a tropical vacation, albeit without the hassle of actually seeing Costa Rica.

By "almost everything," it's worth mentioning that there's no real beach, hence the spectacular collection of swimming pools.

7 luxury vacations in Mexico

@highlight

Costa Rica's luxury offerings are among the best in Latin America

@highlight

The options include beach and forest stays

@highlight

Famed beach town Tamarindo has sharpened up for the luxury seeker