Iraqi officials insisted Tuesday they were holding on to a key oil refinery while making gains elsewhere against militant fighters.

The deputy prime minister for energy affairs, Hussain al-Shahristani, denied media reports that militants had taken the Baiji oil refinery, saying that security forces are still fighting militants at the site.

The state-run Iraqiya news agency also claimed that security forces still controlled the refinery.

Iraqi special forces killed the militant who led the attacks against the refinery, who goes by the name of Abu Qutada, Iraqiya said. Airstrikes also killed 19 militants, the news agency reported.

The reports run contrary to earlier statements to CNN by Iraqi security sources who said militant fighters believed to be from the Islamic State in Iraq and Syria, or ISIS, had seized the refinery.

The Baiji refinery, in northern Salaheddin province, is a crucial resource because it refines much of the fuel needed for domestic consumption. Long lines have already formed at many gas stations across the country.

Crisis in Iraq: Latest developments

U.S. officials say they think ISIS now has as many as 10,000 fighters in Iraq and Syria -- including those who have broken out of prisons -- and loyalists who have joined the fight as the group has advanced, several U.S. officials have told CNN in recent days.

It is unknown, officials say, exactly how many are in Iraq because it's not clear how many go back and forth across the Syrian border and how many loyalists have joined ISIS as it took over various towns.

The group is functioning as an "increasingly capable military force," one official said. But questions remain about whether the group may become stretched too thin as it tries to hold on to its growing territory.

Iraq's military spokesman, Maj. Gen. Qassim Atta, said that security forces had regained control of two key border crossings after briefly losing them to the militants.

In a briefing in Baghdad aired on state TV,  Atta said Iraqi forces, aided by Sunni tribes, retook al-Walid, which connects Iraq with Syria -- as well as the Trebil border crossing between Iraq and Jordan.

He also said that all towns between Samarra and Baghdad, 80 miles (129 kilometers) to the south, are in the hands of Iraqi security forces.

The al-Qaim border crossing, which is some 217 miles (350 kilometers) to the north of al-Walid, remains under the control of militants.

On Monday, a spokesman for Iraq's counterterrorism service told CNN that two senior ISIS figures -- an Algerian militant named Abu Omar al-Baghdadi and Abu Hafsa, the self-styled governor of Tikrit -- were killed late Monday in airstrikes in Tikrit, the hometown of former Iraqi leader Saddam Hussein.

The spokesman, Sabah Al-Nouman, offered no evidence of the deaths.

CNN cannot independently confirm any of the claims.

Meanwhile, in Kirkuk, gunmen killed the head of the city council. Munir Kafili died when they opened fire on his car as he drove.

Kerry arrives in Irbil

U.S. Secretary of State John Kerry visited Irbil on Tuesday to discuss with Iraqi Kurdish President Massoud Barzani and other officials how Kurds can help the central government tackle security and political challenges.

As the two men sat down to meet, Barzani said, "We are facing a new reality and a new Iraq,"

On Monday, Barzani said in an exclusive interview with CNN's Christiane Amanpour that this may be the time for Kurds to push for their long-sought independence -- saying "Iraq is obviously falling apart."

"And it's obvious that the federal or central government has lost control over everything," Barzani said Monday. "Everything is collapsing -- the army, the troops, the police."

Barzani's exclusive interview with Amanpour

Irbil is the seat of the Kurdistan regional government. Iraqi Prime Minister Nuri al-Maliki's Shiite-dominated government is accused of fostering sectarian tensions by marginalizing the country's Kurd and Sunni Arab minorities.

In an interview Tuesday with CNN's Jim Sciutto, Kerry praised Kurdish leaders for their "organized and focused and disciplined leadership," saying it has resulted in economic vitality.

"The rest of Iraq ought to look like this," he said.

In the interview, Kerry didn't mention Kurdish independence. But he said forming a new government that represents the interests of all of Iraq's ethnic and religious groups is a crucial precursor to whatever action the United States might take to intervene in the crisis unfolding there.

"The key is, if you don't have a viable government that is a unity government that is not going to repeat the mistakes of the last few years, whatever we might choose to do would be extraordinarily hampered," Kerry said. "It would be very difficult to be successful if you were just engaged in some kind of military activity, because there's no ultimately just a military solution there."

He rejected any notion that failure to intervene militarily in Iraq, or before that in the war in Syria -- where ISIS has gained much of its strength -- has led to the current crisis.

"... You've got to have a holistic, comprehensive approach, and the President is trying, as we are, I am, whether or not Iraq is prepared to be part of that," he said.

The United States is expected to have about 300 military advisers in Iraq. On Tuesday, 90 arrived from outside the country, said Pentagon spokesman Rear Adm. John Kirby. They will join the 40 other U.S. troops already in Iraq, who were working at the embassy in Baghdad and have been reassigned.

The advisers are expected to assess the situation on the ground and then "advise and assist" Iraqi military forces as they counter the threat from ISIS militants, Kirby said.

Kerry's comments came amid news reports claiming the United States had launched drone strikes in Iraq. Kirby denied the reports in a statement Tuesday, saying that "no such action has been taken."

While the U.S. weighs what steps it will take, some Iraqis told Sciutto that they would welcome back U.S. troops three years after their departure.

"America will not accept the presence of al Qaeda and (ISIS) in the region because that will impact on the Middle East region and the Arab states. It will have an effect on America, too," resident Ammer al-Shamri said.

"Therefore, I think there is a solution in Kerry's bag to solve the crisis."

Destination unknown: Will Kurds use oil to break free from Iraq?

Western-born jihadists rally to ISIS's fight in Iraq and Syria

@highlight

Militants, who may number up to 10,000, are "increasingly capable," U.S. official says

@highlight

Fight for Baiji oil refinery continues, deputy prime minister for energy affairs says

@highlight

John Kerry visits Irbil to speak with Kurdish leaders about the Iraq crisis

@highlight

The U.S. is "extraordinarily hampered" without a new Iraqi government, Kerry says