Just 18, Hamad al-Tamimi says he was a religious studies student in Riyadh, Saudi Arabia, before jihadists influenced and recruited him online.

Now he's in the hands of Iraqi authorities, accused of being an ISIS fighter captured in Iraq's west.

Al-Tamimi is one of numerous foreign fighters believed to have swelled the Sunni extremist group's ranks in recent months.

On Thursday, the CIA made a startling announcement: The number of people fighting for ISIS may be more than three times the previous estimates.

And among their ranks are foreign fighters -- those such as al-Tamimi.

A dramatic rise

Analysts and U.S. officials initially estimated there were as many as 10,000 fighters, including those freed from prisons by ISIS and Sunni loyalists who joined the fight as the group advanced across Iraq.

But now ISIS, which calls itself the Islamic State, can "muster between 20,000 and 31,500 fighters across Iraq and Syria," a CIA spokesman told CNN on Thursday.

"This new total reflects an increase in members because of stronger recruitment since June following battlefield successes and the declaration of a caliphate, greater battlefield activity and additional intelligence," the spokesman said.

Rear Adm. John Kirby, a Pentagon spokesman, said Friday that the increased estimates won't alter how the United States approaches ISIS, a group that he insisted "nobody has underestimated."

"The 20,000 to 31,500 estimate doesn't necessarily change ... our estimate or (Defense Secretary Chuck Hagel's) belief that this is going to be a long-term struggle," Kirby said.

Kirby added," We're not just simply about degrading and destroying ... the 20 to 30,000 (ISIS fighters). It's about degrading and destroying their capabilities to attack targets, particularly Western targets. It's about destroying their ideology."

Colorado teen pleads guilty in plan to join ISIS

'There are many nationalities'

Al-Tamimi -- known by his nom de guerre, Abu Walid --  says he traveled from Saudi Arabia to Kuwait in July, and from there on to Turkey, a main route for jihadists into Syria.

Handlers who met him in Syria took away his passport and phone, he says. He estimates he then spent a week with some 270 fresh fighters.

"There are many nationalities," he says. "From Norway, from America, Canada, Somalia, Korea, China, Turkmenistan, Tajikistan, Uzbekistan, Egypt, Libya, Tunisia, Lebanon and other European countries such as Germany and France."

A CIA source told CNN this week that more than 15,000 foreign fighters, including 2,000 Westerners, have gone to Syria.

It was not immediately clear how many have joined ISIS and how many are with other groups opposed to the Syrian government.

The foreign fighters come from more than 80 countries, the CIA source said.

Bergen: When Americans leave for jihad

Flow of fighters

Mowaffak al-Rubaie, a former Iraqi national security adviser and now a member of parliament, told CNN that thousands of Iraqis were recruited after ISIS militants seized control of the northern city of Mosul in June.

"Young Iraqis as young as 8 and 9 years old with AK-47s, they are recruiting and brainwashing with this evil ideology," he said -- in the same way as al Qaeda in Iraq sought to recruit them in the past, but on a far bigger scale.

Al-Rubaie says he believes that Iraqis and Syrians probably constitute more than 70% of ISIS fighters.

They add sizable bulk to the number of foreign fighters.

"These foreign fighters, when we squeeze them in Iraq and in Syria, they will permeate, they will infiltrate, they will cross the borders to Turkey, to Lebanon -- they have already started doing that and into Jordan, and Saudi Arabia is not very far," he said.

He warned that Persian Gulf nations are "not immune" from the threat they pose. "I believe they should work very hard with us -- intelligence and cutting the oxygen from the terrorists, stopping the money, stopping the traveling of these terrorists, the young men, coming from Saudi and (Gulf nations) and North Africa."

Canadians have joined ISIS to fight --- and die -- in Syria

In the cross hairs

Recognizing the threat that ISIS poses, President Barack Obama laid out a plan this week to "dismantle and ultimately destroy" ISIS, including authorizing airstrikes.

Would-be jihadists such as al-Tamimi will now be firmly in the sights of the United States.

There's also been a strong diplomatic push in recent days. U.S. Secretary of State John Kerry on Thursday met with Gulf leaders in Saudi Arabia seeking to enlist regional support for a coalition. On Friday, he traveled to Turkey to meet leaders there.

The White House has picked retired Gen. John Allen to lead the international effort against ISIS, Kerry announced Friday. Deputy Secretary of State Brett McGurk will be deputy special envoy, Kerry said.

Coordinating ISIS coalition familiar ground for Allen

Kerry also announced another $500 million in humanitarian assistance for the crisis in Syria, with $50 million of it going to Turkey.

Turkey has seen more than 1 million refugees enter from Syria and has felt the effects of the crisis strongly, Kerry said.

Obama on Wednesday vowed to go strongly after ISIS.

"I have made it clear that we will hunt down terrorists who threaten our country, wherever they are," he said.

"That means I will not hesitate to take action against ISIL in Syria as well as Iraq," he said, using another acronym for the group, the Islamic State of Iraq and the Levant. "This is a core principle of my presidency: If you threaten America, you will find no safe haven."

A spokesman for Iraqi Prime Minister Haider al-Abadi welcomed Obama's speech, saying the responsibility to fight ISIS is an Iraqi one, but there is a need for the international community to help.

The Iraqi Prime Minister on Friday said that French President François Hollande confirmed that France will strike ISIS targets in Iraq.

Two Iraqi politicians contacted by CNN -- a Shiite and a Sunni -- agreed that international help is needed to fight the terror threat.

"We welcome any international cooperation at any level to end ISIS in Iraq, but these actions must be done quickly as ISIS have begun to grow large and threaten all regional countries and the Western world," said Mohamed al-Tamimi, a spokesman for Sunni Deputy Prime Minister Saleh al-Mutlek.

Shiite lawmaker Khaled al-Asadi said the United States has not done as much as it can.

"Considering the size of the terrorism threat we face, we don't feel the scope of their support has yet matched that threat and much more will definitely need to be done," he said.

On Friday, Kirby -- the Pentagon spokesman -- said the destruction of ISIS will require more than just airstrikes.

"It is going to require partners on the ground to take back and hold the territory that this group has tried to obtain and maintain. It is also going to take the ultimate destruction of their ideology," he said.

The jihadist training

None of those he met after heading for Syria used their real names, al-Tamimi says in an Iraqi Defense Ministry video. "From Germany, I knew Abu Hamza, and from Britain one named Abu Dawoud, and from America one named Abu Ibrahim," he says. All, like him, were young.

After 22 days at a religious indoctrination camp, the Saudi says, he had to swear allegiance to ISIS leader Abu Bakr al-Baghdadi. Next followed military training at an air base in Raqqa, an ISIS stronghold in Syria.

After a short time fighting in Aleppo, Syria, the order came to move across the essentially nonexistent border into Iraq, where ISIS fighters battling Iraqi forces near the Haditha Dam -- the scene of recent U.S. airstrikes and Iraqi ground operations -- needed reinforcement.

And here, less than two months after his journey began, his short-lived jihad came to an end.

Al-Tamimi says he just wants to go home. But fighters like him returning -- bringing their extremist ideology with them -- is what many nations now fear the most.

France: Dangerous man arrested

One such example may be that of Frenchman Mourad Fares, arrested Thursday in Paris on his return from Turkey.

France's Interior Ministry described him as "a particularly dangerous individual, with close ties to the jihadist terrorist movements ISIS and Al-Nusra Front, whose role would be crucial in recruiting young French, in Toulouse and Strasbourg, and in their departure to Syria."

He went to Syria in July 2013, the ministry said, and Turkish authorities arrested him August 16.

But one of his older brothers, speaking to France Info radio, said Fares was "no kingpin," although he did help others cross the Turkish-Syrian border.

The brother, whose name was not given by France Info, said Fares was the one who decided to return because he had had enough.

"He had left Syria a month earlier and was in Turkey. He decided by himself to call the French Embassy, saying, 'I am Mourad Fares, I want to come home.' He paid for his plane ticket; he was escorted by the Turkish authorities to the airport. He was not handcuffed at the Istanbul airport, he got on the plane by himself and was awaited in Paris," he said.

Fares was no extremist despite his decision to go to Syria, his brother said.

"I believe he was fed up with violence. They all left in order to fight (Syrian President) Bashar al-Assad, but as we speak, it is a war of everyone against everyone. I don't think people find their place there."

@highlight

Pentagon spokesman: Higher ISIS estimate doesn't change military approach

@highlight

ISIS can "muster between 20,000 and 31,500 fighters" across Iraq, Syria, the CIA says

@highlight

The White House says retired Gen. John Allen will lead international effort against ISIS

@highlight

Iraqi Prime Minister: French President says France will strike ISIS targets in Iraq