After Sunday's commuter rail derailment next to the Hudson River in New York killed four passengers and injured scores more, observers are once again ready to assail the backwards state of the nation's rail infrastructure. How could Americans let something like this happen in the 21st century in one of the nation's greatest global cities?

The train was going a shocking 82 mph when it should have been traveling at 70 mph, slowing to 30 mph into the curve at Spuyten Duyvil station in the Bronx.

The engineer of the train said he was "in a daze" at the time of the accident. Don't we have technologies that can prevent trains from gathering and maintaining such speed at dangerous curves --  or technologies that can automatically deploy the brakes if they do?

If these technologies exist, and we know they do, are we simply not investing properly in our trains and tracks and signaling systems?

Surely there will be an outcry about the sad state of New York's Metropolitan Transportation Authority funding, and the funding of the nation's rails and infrastructure networks as a whole. Much of the developed world has invested heavily in high-speed rail and yet the United States, with a massive market for long-distance intercity rail travel, has not even scratched its surface.

Our governors have balked at support for high-speed links, channeling federal subsidies instead to more politically popular state projects like roads, highways and bridges -- leaving high-speed intercity travel a dream and our regional rail systems an uneven patchwork of service.

But the lessons of the Spuyten Duyvil derailment won't be known for some time, and they likely aren't so simple as more investment.

For a start, the technology that could have potentially prevented the fatal derailment -- positive train control, or PTC, is already being deployed on freight lines across the country. Mandated by the Rail Safety Improvement Act of 2008, tens of thousands of track side devices are being connected to rail signals and switches to communicate wirelessly with retrofitted locomotives up and down the country's major rail thoroughfares.

Engineers operating trains with PTC systems will be told and shown in real time exactly where and how much they need to slow down, based on the curvature of the track, on congestion and on the train's speed, weight and length. Failure to respond to the computer data will result in automatic deployment of the train's brakes.

Widow says train crash victim was 'pure goodness"

Its nice to think that entirely new systems incorporating new and faster cars would make derailments disappear into the history books, but they probably won't. Although the absence of high-speed technologies in this country means that rail travel is not an attractive option for certain long-distance journeys and contributes to higher levels of pollution and road congestion in places, it doesn't really make rail travel any less safe. Indeed, countries with high-speed rail have roughly the same rate of derailments and crashes as we do -- often with far more serious consequences.

Take China for example. Within five years of announcing its extraordinary $250 billion investment in 7,500 miles of high-speed rail, the country opened its first high-speed line. The same year, 2008, a horrific train crash on the Beijing to Quindao bullet train line claimed 70 lives.

Three years later, in 2011, a signal failure along one of the new high-speed rail routes out of the capital claimed another 40 lives and injured 192 -- leading to public outrage and questions about the integrity of the nation's entire high-speed rail program.

Europe's investments in its intercity networks are typically older and more established than those of China -- but they are not immune to rail tragedy either.  Despite extensive and popular programs of high-speed rail, both Spain and France have had their share of train accidents.

Video footage of a 2013 derailment in northwest Spain, just outside Santiago de Compostela, displays an eerie resemblance to Sunday's Hudson Line accident. A passenger train rounded a bend at roughly twice the speed it should have, coming off the rails adjacent to a station and killing 78 people. The problem was apparently not mechanical -- it was human error.

Does any of this mean we should be complacent when an incident as tragic as Sunday's happens? Of course not. We should leave no stone unturned in identifying the cause of the crash. If it is ultimately attributed to an equipment failure, we should and will likely see a renewed call for greater capital investment on the part of the MTA -- and perhaps even legislative action to support it.

But we shouldn't be naïve enough to think that more investment in our rail network in the form of newer or faster equipment necessarily makes the network safer. That investment must be smarter for it to really save lives.

Although unions across the transportation world typically balk at its introduction, increased automation is often the answer to transportation safety problems. The train control systems being deployed are likely to reduce the risks of accidents like that witnessed on Sunday dramatically -- much the same way automation in planes and cars has reduced pilot errors in the sky and made road driving safer. But even the most sophisticated vehicle control systems in the world will not protect us completely from human error -- for that we have only ourselves to blame.

@highlight

Kate Ascher: After deadly train derailment in New York, people lament state of U.S. rail system

@highlight

Ascher: Technology that might have prevented accident is being deployed on freight lines

@highlight

Ascher: Horrific rail crashes in China, Spain, France show high-tech isn't safer

@highlight

More investment won't make trains completely safe, she says. It won't stop human error