London (CNN) -- If you've ever found yourself in your local supermarket agonizing about whether the organic apples will be a more nutritional and greener choice than the cheaper non-organic ones, you're probably not alone.

A new study reveals organic foods are not necessarily healthier than non-organic food

Year on year the organic food market grows as consumers look to make a greener and -- often thought -- more nutritional choice. A report by the UK's Soil Association revealed that consumers there spent a record $3.7 billion on organic products in 2006, that's more than 20 percent growth on 2005 spending on organic goods including food, drinks and health and beauty products.

It's a similar story in the U.S. where -- according to the Organic Trade Association -- supermarket chains like Whole Foods have helped the organic food and beverage market grow from around $1 billion in sales in 1990 to around $20 billion in 2007. Total sales for organic food and non-food products in the U.S. are expected to surpass $25 billion this year.

However, one possible spanner in the works for the organic sector could be the results of a new study by the University of Copenhagen which revealed that organic foods contained no more nutrients than non-organic foods grown with the use of pesticides.

Researchers studied five different crops -- carrots, kale, mature peas, apples and potatoes -- which were cultivated both organically (without pesticides) and conventionally (with the use of pesticides) and found that there was no higher level of trace elements in the food grown organically.

Study leader Dr Susanne Bügel said: "No systematic differences between cultivation systems representing organic and conventional production methods were found across the five crops so the study does not support the belief that organically grown foodstuffs generally contain more major and trace elements than conventionally grown foodstuffs."

This study -- published in the latest edition of the Society of Chemical Industry's (SCI) "Journal of the Science of Food and Agriculture" -- is the first to assess the nutritional value of organic fruit and vegetables. It should be noted that the study does not make conclusions about the comparative levels of pesticides or chemicals in conventionally and organically grown food or the health effects of consuming such chemicals.

The study results could be seen to support the idea that shopping organically is a lifestyle choice.

When the idea of organics being a lifestyle choice was floated in 2007 by then UK environment secretary David Miliband it drew fierce reaction from proponents of organic food, including the Soil Association, which represents organic producers.

He told the UK's Sunday Times newspaper in January 2007 that organic food represented a lifestyle choice consumers could make and suggested that the use of chemicals and pesticides in non-organic foods didn't necessarily mean they were of inferior quality.

So if organic foods aren't necessarily more nutritional, are they better for the environment?

According to the Intergovernmental Panel on Climate Change, traditional agriculture accounts for around 11 percent of global greenhouse gas emissions each year, and the nitrous oxide found in fertilizers contributes most to these emissions.

Even still, in 2006 the UK's Manchester Business School assessed the environmental impacts of food production and consumption and concluded that there isn't a clear cut answer to whether the environmental impact is greater on a trolley full of organic food compared to a trolley full of non-organic food.

Not so, was the response from the Soil Association. Do you believe organic food is more nutritional?

It countered that: "Overall, organic farming is better for tackling climate change than industrial agricultural methods. As well as lower average energy use, organic farming also avoids the very large nitrous oxide emissions from fertilizer manufacture."

"Additionally, organic farming builds up soil carbon, removing it from the atmosphere. Organic farming also supports more local food marketing, reducing food miles."

While the jury might still be out about whether organic farming is, on the whole, better for the environment, there is little doubt that it's a booming industry which is starting to catch on in other parts of the world.

The United Nation's Food and Agriculture Organization estimates that organic farming now accounts for around 4.1 million hectares in Asian countries like India, China and Russia.

In India where the Green Revolution in the 1940s helped transform it into an agricultural hub, organic farming is slowly expanding in specialist areas like tea and spices. Perhaps an indication of the potential of the organics market there is that the Prince of Wales is looking to expand his organic food business to the sub-continent by the end of 2008.

With a mandate of sustainability, The Energy and Research Institute (TERI) in India developed an organic farm in the small village of Supi in Uttarakhand in 2002. Here, local farmers are given the know-how and technical skills to develop their own organic enterprises.

"Local farmers are involved in cultivating oregano, parsley, thyme, peppermint, rosemary, rose geranium, artimisia, stevia, lemon grass, and several other herbal and medicinal plants," TERI's Madhu Singh Sirohi told CNN.

The herbs are commercially available to hotels and restaurants in the area and Hilton Hotel executive chef Kuntal Kumar was so impressed with the quality, he's authored an organic cookbook which makes use of the herbs.

Chef Kumar told CNN that organic fruit and vegetables only make up around 14,000 tons of the two million tons of food produced by India's agricultural industry, but that measures like the "Original Organics Cookbook" would help with wider awareness.

"Our approach is two pronged; firstly we are trying to build awareness about organic farming which is in its infancy in India and secondly we are trying to build awareness within the culinary industry in India."

Kumar is sold on the superior taste, color and texture of the organic foods he uses in his kitchen, and he says the response from diners has been overwhelming.

"The response has been very positive; they are overwhelmed that we are going so close to nature and that their food is fresh from the farmland to the table."

With increased consumer awareness perhaps it won't be long before the choice between the organic and non-organic apples will be played out in markets across India.

@highlight

New study finds organic foods are not necessarily more nutritious

@highlight

The organics market in U.S. to exceed $25 billion in sales this year

@highlight

Organic farming is becoming more popular in countries like India