Ukraine's armored vehicles rolled Wednesday, but its attempt to take back eastern towns from pro-Russian militants seemed to stall.

In Donetsk, six armored vehicles sent into the nearby city of Kramatorsk in the morning later showed up carrying Russian flags in Slaviansk.

Russian Ambassador to the EU Vladimir Chizhov told CNN's Christiane Amanpour those Ukrainian soldiers "preferred to switch sides and join the people." Ukraine's Defense Ministry said the vehicles had been seized by militants.

In Slaviansk, north of Kramatorsk and about 100 miles from the border with Russia, pro-Russian militants now appear to be firmly in control of the town, according to CNN's Nick Paton Walsh on the ground.

On the diplomatic front, President Obama told CBS News that Russia faces new sanctions.

"What I've said consistently is that each time Russia takes these kinds of steps that are designed to destabilize Ukraine and violate their sovereignty, that there are going to be consequences and what you've already seen is the Russian economy weaker, capital fleeing out of Russia," Obama said.

NATO Secretary General Anders Fogh Rasmussen said Wednesday the alliance had agreed on a package of further military measures to reinforce the Western military alliance's "collective defense" in light of the events in Ukraine.

"We will have more planes in the air, more ships on the water and more readiness on the land," Rasmussen said, speaking after a meeting of NATO ambassadors in Brussels, Belgium. He stressed that NATO backs a political solution to the crisis and urged Russia to stop destabilizing Ukraine.

Meanwhile, U.S. Secretary of State John Kerry arrived in Geneva in preparation for talks on Thursday with the Russian and Ukraine foreign ministers and a representative of the European Union.

In the cities of east Ukraine, the atmosphere seemed more relaxed than it was a few days ago, with many residents apparently welcoming the presence of pro-Russian forces and their seized military vehicles.

At the same time, on the road toward Slaviansk, CNN's Phil Black encountered a heavily fortified and well organized police checkpoint and saw signs of a large military buildup. Attack helicopters passed overhead while armored vehicles and troop carriers rumbled by.

But despite the heightened military activity, there has so far been no effort to move into the town itself, he said, where the pro-Russian protesters are digging in and consolidating their power.

The unrest is a major test for the new interim government, as it seeks to hold Ukraine together ahead of elections scheduled for next month and to avoid bloodshed.

Infographic: A divided Ukraine

Putin: 'Brink of civil war'

The dramatic scenes in eastern Ukraine come a day after armored columns rolled through the farmland of eastern Donetsk province, proudly flying Ukrainian flags as residents watched and wondered what might come next.

Putin warned then that the escalating conflict in Ukraine "essentially puts the nation on the brink of civil war."

Although Ukraine has been more subdued in its characterization -- no doubt in part because of concerns that Russia might use violence as a pretext to intervene directly -- it's clear that the leadership's patience is wearing thin.

After days of urging pro-Russian militants to vacate buildings they have seized, on Tuesday they sent in troops.

Ukraine's acting President Oleksandr Turchynov, announcing what he called an "anti-terrorist operation" to restore order to the country's east, said its aim was to "stop attempts to tear Ukraine to pieces."

Some success followed; the President's office said Ukrainian special forces had taken control of the airfield in Kramatorsk by the end of the day. Witnesses had reported hearing gunfire and the sound of aircraft apparently coming from the airfield.

But the latest events in Donetsk province suggest the government strategy may be losing momentum.

Nearly 30 armed people seized the mayor's administration building in Donetsk city on Wednesday, spokesman Maksim Rovinskiy said. They are demanding federalization and a new law that  paves the way for a local referendum, Rovinskiy said, adding that there had been no violence.

In addition, two Ukrainian soldiers, one of them an officer, have been taken hostage by "extremists," the Ukrainian Defense Ministry said Wednesday.

The soldiers were seized Tuesday near the town of Krasny Luch, in the Luhansk area, as they tried to fix a military vehicle by the roadside, the ministry said. It is working to secure their release.

Some locals gathered near Kramatorsk airfield Tuesday evening to see for themselves what was going on -- and to voice their unhappiness over the actions of the interim government in Kiev, which took power after pro-Russian President Viktor Yanukovych was ousted following weeks of street protests.

Breakaway Transnistria

Russia's state ITAR-Tass news agency reported that authorities in Moldova's breakaway Transnistria region had asked Russia to recognize the enclave as a sovereign independent state.

CNN goes inside Transnistria -- a region caught in a time warp

The request put forward by Transnistria's separatist parliament was addressed to the Russian Federation Council and President  Putin.

But Chizhov said Russia did not plan to annex Transnistria "or any other territory in any other place of the world."

It was not immediately possible for CNN to independently confirm the report.

"Transnistria does not legally differ from the Crimea, and the process of reunification with Russia should be held on the Crimean scenario," Itar Tass quoted lawmaker Vyacheslav Tobuh as saying.

The report said a delegation of lawmakers from Transnistria would travel to Moscow on Thursday.

Until now, Russia has officially recognized Transnistria as being part of Moldova. Landlocked Transnistria is far from Russia, wedged between Moldova and Ukraine, with about 30% of its population ethnic Russian.

Diplomatic efforts

The West has repeatedly called on Russia to withdraw some 40,000 troops that NATO says it has massed near Ukraine's border. Moscow insists they are merely conducting military exercises.

Asked if Russia was likely to be angry about NATO ground defense measures, Gen. Philip Breedlove, NATO's supreme allied commander in Europe, told reporters: "It will be very hard to see them as anything except for defensive measures, and they will be measures designed to assure our allies."

On Wednesday, a bipartisan congressional delegation announced plans to travel to Ukraine next week to meet with Ukranian officials. In the group will be House Foreign Affairs Committee Chairman Ed Royce, R-California, and Reps. Eliot Engel, D-New York; Ted Poe, R-Texas; David Cicilline, D-Rhode Island;  Alan Lowenthal, D-California; Lois Frankel, D-Florida;  Jim Gerlach, R-Pennsylvania; and Mike Quigley, D-Illinois.

Lavrov: 'They are spreading lies'

The pro-Russian uprising in Ukraine's east follows Moscow's annexation of Crimea, a move that emboldened other pro-Russian Ukrainians in the country's east. Russia has said it reserves the right to intervene to protect the rights of ethnic Russians in the region.

But Foreign Minister Sergey Lavrov, speaking Tuesday in Beijing, rejected accusations from the West that Russia is fomenting the unrest and supporting the militants.

"They make up lies to justify their aggressive plans. They are spreading lies, things that Russian Federation intended or not intended to do, alleging that Russia organized it all," he said.

"I have never heard such nonsense. What it means is to refuse one's own people the right to express their opinion and protest against lawlessness and discrimination."

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

@highlight

Obama says Russia may face new sanctions

@highlight

NATO chief announces "further military measures to reinforce our collective defense"

@highlight

Conflicting reports on Ukrainian soldiers switching sides

@highlight

Russian President Vladimir Putin warns Ukraine is "on the brink of civil war"