Washington (CNN) -- Are American Crossroads and Crossroads GPS comparable to labor unions and MoveOn.org? Democratic activists scoff at the question. But Steven Law, Crossroads' CEO, says yes.

"American Crossroads was conceived as an answer to the hundreds of millions of dollars that unions and MoveOn.org and other groups on the left have been spending for years to support Democrats," Law said.

"So we started American Crossroads because we thought there ought to be a way for us to try and level the playing field."

Adam Ruben, political director for Moveon.org, says it's a fundamentally different approach to political engagement.

"Their money is secret. It comes in seven-figure chunks. That gives them a fundamentally different role in our democracy," Ruben said, explaining that Moveon.org's average donation is $28. "A group that exists for ultra-rich people to essentially buy elections is counter to the American democratic tradition."

The labor unions that invested the most in the 2010 elections say they collectively spent $177 million on political activities (the American Federation of State, County and Municipal Employees: $93 million; the Service Employees International Union: $44 million; the National Education Association: $40 million). In the same cycle, the top three Republican outside spending groups spent $147 million on political activities (American Crossroads and GPS: $71 million; the U.S. Chamber of Commerce: $50 million; the American Action Network: $26 million).

In terms of dollars spent, labor unions are competitive. But it's worth looking at the differences between the groups and how that affects their disclosure laws.

American Crossroads and Crossroads GPS are divided because one is public and one is private. American Crossroads, the super PAC, can raise unlimited amounts but has to declare its donors. It can make hard-hitting, explicitly political ads.

The private arm is Crossroads GPS, a 501(c)(4) organization that doesn't have to disclose its donors. This group has to live by different rules. More than half of its ads can't be explicitly political; they have to promote a specific issue. Since GPS is private, the IRS is the only government agency that monitors its activity.

Labor unions raise money for political spending through voluntary contributions from members to their PACs and use money from their general fund that comes from dues. They are not required to report all their political spending to the Federal Election Commission. But the Bush administration's Department of Labor passed far-reaching rules requiring that they disclose all their political giving, so their election-related activities are public.

But those aren't the only differences.

Labor union representatives argue that the two Crossroads groups spend their money overwhelmingly on ads, not on get-out-the-vote efforts and advocating for safer work environments, which, union representatives argue, enhance democracy.

Representatives from Crossroads say they are experimenting with new ways to get out the vote online and through technology but acknowledge that it doesn't approach the boots-on-the-ground power the unions have. GPS also spends money supporting other groups that share its less-regulation/lower-tax agenda, which they believe also contributes to society but from a different political perspective.

Still, union representatives scoff at any comparison on principle.

American Federation of State, County and Municipal Employees political director Larry Scanlon said, "Karl Rove has taken advantage of campaign finance loopholes to create a shadowy network of front groups that can raise and spend unlimited, undisclosed funds to promote anti-worker candidates and an issue agenda that attempts to silence the political voice of working people.

"Conservative groups like Crossroads outspent liberal ones by a 2-1 margin in the 2010 cycle and are poised to spend even more in 2012. In contrast, everything AFSCME spends on behalf of its 1.6 million members is above board and disclosed. We will never match what the corporate interests and wealthy individuals spend, but we have the facts on our side, and we have real live people, not Mitt Romney's 'corporate people,' on our side."

But Law maintains that Crossroads is "very open" about its activities.

"We're very proud about what we do. We pursue what we're doing ethically; we have a strong agenda of good policies we think are good for the country, and we want to be very open about how we're doing it and what we're doing and where we're doing it," Law said.

That 2-1 spending figure is based on a study by Open Secrets.org at the Center for Responsive Politics. Open Secrets gathers its numbers only from reports to the Federal Election Commission, which does not capture all election spending.

"Labor unions are allowed to engage in a variety of politics-related activities that don't meet the definitions of what gets reported to the FEC," Open Secrets said. "The numbers on OpenSecrets.org could be more conservative than what the unions themselves say they spent."

Paco Fabian, spokesman for Change to Win, a coalition of labor unions, disagrees. "The comparison is laughable. You have, on the one hand, a handful of billionaires and corporations fund Crossroads and Crossroads GPS. They are the voice of the 1 percent. On the other hand, you have millions of workers coming together and supporting a handful of unions, the voice of the 99 percent. Union members have ensured that all American workers labor under safe conditions, with fair pay and benefits for a hard day's work. That's why we have weekends."

Super PACs and 501(c)(4)s are not limited to the right. Democrats have them, too.

There's a crop of new Democratic super PACs: Majority PAC, House Majority PAC and Priorities USA, which as of last filing had not been able to raise nearly the money the Republican PACs have.

Law is unfazed by the criticism, saying, "Nobody thought that was controversial when they're helping Democrats. You know, now we're leveling the playing field somewhat, and obviously Democrats are upset about that."

This is the first presidential election since the Supreme Court ruled in Citizens United that corporations can make unlimited gifts to all of these groups, making it a test run for a potentially new era of big money in politics.

The next filing deadline for the FEC is January 31, so we'll learn more about how much money has been raised then -- at least for those groups that have to report.

@highlight

How does labor union political activity square up with super PAC?

@highlight

Union representatives oppose comparison on principle

@highlight

Election could be a test run for new era of big money in politics