(CNN) -- As we tuck ourselves into bed at night, little do we realize that we have the chance to get some extra work done while we sleep.

The unconscious mind has long been appreciated as a well of creativity from which some of our greatest artworks, scientific discoveries and inventions have been dredged up. But studies show it is also a powerhouse when it comes to processing unwieldy amounts of information.

When making complex decisions that require us to weigh multiple factors, some researchers believe we can benefit from learning to combine our conscious deliberations with unconscious processing.

The idea that we only use a small percentage of our brain's capacity is "completely ridiculous," according to Maarten Bos, who researches decision making and the unconscious mind at Harvard Business School. "We use our brain the whole time," he says.

We tend to consider the time we spend sleeping, for instance, as a mentally inactive period. But sleep is associated with better memory performance, and "slow-wave" sleep in particular has been shown to enhance our ability to make mental connections and integrate unassociated information.

This sort of mental heavy-lifting during sleep could be useful for discovering creative solutions to problems and could potentially help combining factors in a way that allows us to make decisions, says Bos.

See also: Work skills for the 'conceptual age'

"We sleep a quarter to a third of our lives," Bos says. "Just imagine how great it would be if you can use that time, in a way that's not disrupting us.

"Many people don't like their job, but if you are wrestling with something and you can, without laying awake, help your mind process information, that would actually be pretty awesome."

According to Unconscious Thought Theory, the conscious mind is good at arranging information in accordance with rules, and performing precision maneuvers such as those involved in arithmetic. But compared to the unconscious, it is "low capacity" -- we can only consciously think about a certain number of factors at any one time -- and more likely to be bamboozled by irrelevant factors.

In comparison, the unconscious is good at synthesizing large amounts of information, and privileging important considerations over trivial ones.

In an experiment conducted by Loran Nordgren (Kellog School of Management), Bos and Ap Dijksterhuis (Nijmegen University), a group of subjects were asked to choose the best out of 12 apartments, and given six rules to abide by (rent must be no more than $2,000 a month, must allow dogs), in making their choice.

Those given four minutes to consider their decision chose apartments that fit with the rules 75% of the time but selected the best apartment just 29% of the time.

Those who deliberated for two minutes and then were distracted for two minutes chose a rule-abiding apartment 44% of the time, but identified the apartment with the best aggregate of attributes 58% of the time.

This may sound deeply mysterious, but most of us are probably familiar with the feeling of having arrived at a decision by unconscious means.

"Say you want to buy a house," Bos explains. "You walk in and the house just feels right. This is the place where you think you want to live. There may be factors that are not easily verbalized, and that's where your unconscious mind comes along."

Maybe the real estate agent is diffusing the scent of freshly baked cookies in your direction. Maybe you are just tiring of looking at open homes. But Bos's research suggests that some instincts are the result of the unconscious having correctly identified the best option.

Bos explains you can actively use this kind of intuition as a decision-making tool.

"You start with taking in all the information. Then, you distract yourself. Then, whatever feels right, that's the (option) you go with," he explains.

"But after that, you check the facts. One house might feel really right when you're there, but it might be built on toxic waste."

See also: Micro managers: Learn to trust your people

A growing body of research suggests that cognitive biases consistently cloud our judgment, and that we consistently overestimate our analytical prowess.

Psychologist Daniel Kahneman, who won the Nobel Prize for Economics in 2002 and authored last year's "Thinking Fast and Slow," has explored how our conscious thought processes are susceptible to being disrupted by irrational, subconscious influences.

He famously distinguished between two modes of thinking: System 1, which is "fast, automatic, effortless, associative, and difficult to control or modify", and System 2, which is "slower, serial, effortful, and deliberately controlled ... relatively ï¬‚exible and potentially rule-governed".

"We think that's incomplete," Bos says, "because there's also a slow, unconscious process, and that's what we're talking about."

"Gut decisions are really fast and influenced by all kinds of things, like stereotyping, or liking the first or last thing you see," he explains. "There's a difference between those, and a slower, more deliberate process that happens subconsciously."

@highlight

The unconscious can help make complex decisions, scientists say

@highlight

While sleeping, our ability to make associations is enhanced.

@highlight

"Unconscious Thought Theory" says the unconscious is good at synthesizing large amounts of information