(CNN) -- A proposed mosque and Islamic center in Murfreesboro, Tennessee, is dividing the city about 35 miles southeast of Nashville, Tennessee. Residents are battling about whether the center should exist, and if not, why not.

The Islamic Center of Murfreesboro currently resides in the southwest part of town. The center purchased a new 15-acre site just a few miles to the east in November for $320,000, according to its website, with plans to build on the property.

Proponents of the mosque allege the opponents are displaying religious intolerance, while people fighting the mosque say zoning concerns and worries about Islamic radicalism are their chief concerns.

Several hundred opponents marching from a middle school to a courthouse faced off against roughly the same number of counter-protesters Wednesday.

The rhetoric was heated. Protesters bore signs with slogans such as "MOSQUE LEADERS SUPPORT KILLING CONVERTS."

"In Islam, a mosque means 'We have conquered this country,'" one man told CNN affiliate WTVF. "And where are they? They're in the center of Tennessee. They're going to say, 'We have conquered Tennessee.'"

Despite the polarizing debate, the march was nonviolent. Murfreesboro Police spokesman Kyle Evans said Thursday that "no reports of any kind" were filed.

Kevin Fisher, who led the protest, said opponents are "going to contend every brick that's laid."

"We're going to keep marching, attending meetings," Fisher said. "There may be legal stuff coming down the road at some point."

Fisher said he's mainly concerned about water quality, soil contamination and traffic flow on the nearby Bradyville Pike, which he says is a dangerous highway.

"This has nothing to do with racism or religious intolerance at all. It's about a difference of opinion, and in America that's OK," said Fisher, an African-American who said he has experienced racial intolerance in his life.

"Religion. Race. These are just code words ... used to distract from the real issues," he said. "If Home Depot was burying bodies in the water supply ... I would be equally concerned."

The water and soil concerns stem from the Islamic center's burying a body on the new property "without a casket or proper embalming," Fisher said.

Doug Demosi, the Rutherford County Regional Planning Commission Director, said Thursday the center had permission before interring the body and it doesn't appear any state regulations were violated.

"Generally, religious organizations are exempt from some rules," Demosi said.

The center does not have approval for future burials and the planning commission has no plans to allow a cemetery on the grounds, Demosi added.

Claire Rogers, the spokeswoman for the group that organized Wednesday's counter-protest, Middle Tennesseans for Religious Freedom, disputed Fisher's assertions.

"No one marches to a courthouse to deliver a petition based on traffic concerns," she said.

The Facebook page for Rogers' group says, "We, as tolerant and loving community members, come together to defend the right of any member of our community to worship and express his, her, or their faith no matter the religion. We will not stand idly by while Muslim people in our community are represented falsely and assaulted on a psychological level."

While some of the marchers may have been inspired to protest by the water, soil and traffic concerns, "from signs being held and things supporters said, it was evident that was not the driving force. It's a result of Islamaphobia and misinformation about local Islamic community," Rogers said.

Fisher said his "group of concerned citizens" is focused on stopping the new facility from being built. He has filed a grievance against the Rutherford County Regional Planning Commission, claiming that commission failed to provide adequate public notice on the internet when it was considering the Islamic Center of Murfreesboro's site plans. Demosi said the commission has been cleared of any violation of open meeting requirements.

Demosi said that since the Islamic Center offered site plans for approval that didn't involve rezoning, the commission only was legally bound to post a notice in a general circulation newspaper, which it placed in the Murfreesboro Post. The commission has placed its notices in the Murfreesboro Post for the past two years, after years of posting them in Murfreesboro's larger Daily News Journal, Demosi said. He said the change was made in an effort to save taxpayer dollars.

Demosi admitted the commission didn't make any mention on its website of plans to discuss the Islamic Center at its May 24 hearing, and said he wasn't sure why that information was never posted online. But he said internet postings are a "courtesy we haven't been doing all that long," not a legal requirement.

"We followed our protocols and feel that we did it according to the letter of the law," Demosi said.

But Jay Heine, campaign manager for Republican Congressional candidate Lou Ann Zelenik, said that the commission didn't do its due diligence scrutinizing the Islamic center's funding and ties, rushing the process through.

Earlier this week, Zelenik called for a "clean accounting and thorough investigation" of individuals involved with funding the proposed Islamic center and expressed concerns that one of the center's board members had hate speech on his MySpace page and supports Hamas, which the United States has designated a terrorist group. CNN affiliate WTVF reported that Islamic leaders said a board member has been suspended while they investigate the hate-speech claims.

"Lou Ann was on the planning commission until she ran for Congress. These are things she herself would have looked into more," Heine said.

Zelenik is running in the August 6 primary. On the Democratic side, candidate Ben Leming, a U.S. Marine and veteran of the Iraq war, has criticized Zelenik's position on the mosque, saying she and other local leaders are using fear to divide the community.

"What do we have to be afraid of? During my deployments around the world, I have worked, trained, and broken bread with Muslims. ... The people that want to build a house of worship in Murfreesboro are not the enemy," he was quoted as saying in a June 18 story published in the Daily News Journal.

Repeated calls to the Islamic Center of Murfreesboro were not immediately returned Thursday.

A statement on the center's website said that 95 percent of the money for the project was raised locally, in middle Tennessee, in a three-month period.

"This is the first step in multistage endeavor process that may last up to several year[s] based on our community's growth and the fundraising," the website said.

The long-term plans for the new Islamic Center call for a buildout to 52,000 to 53,000 square feet, but the first phase would be less than 10,000 square feet, Demosi said. He said that because of the relatively small initial size of the center, he didn't believe traffic impact would be as bad as Fisher expected, but added, "In 20 to 25 years it may be worse and we can re-assess."

Murfreesboro's population has spiked in recent years. It grew about 33 percent, from 68,816 people to 92,559, between 2000 and 2006, according to the U.S. Census Bureau. In 2000, about 5 percent of Murfreesboro's populace was foreign-born -- almost twice the average in the state of Tennessee, the Census Bureau said.

Rogers said the population influx may have sparked some xenophobia on the part of some residents, but she said it "helps enrich" the college town. Murfreesboro is home to Middle Tennessee State University, which has an enrollment of 25,188, according to the university website.

@highlight

Islamic Center of Murfreesboro wants to change location, build a mosque

@highlight

Proponents of the mosque say opponents are displaying religious intolerance

@highlight

People fighting the mosque cite zoning concerns, worries about radicalism