New Delhi (CNN) -- Every morning at the crack of dawn, residents of a New Delhi slum gather by the railway tracks to do what most would only do in private -- go to the toilet.

One by one, they arrive with water bottles in hand. Some try to hide, while others are less coy.

Many seem unfazed by the trains that rumble past, blaring their horns, warning people to move off the tracks.

This has been shop owner Mukhesh's morning routine for the past 40 years.

"I guess I do get embarrassed but what can I do?" Mukhesh asked with a shy grin.

India's vast railways system, which carries some 11 million passengers a day, is often called the lifeline of India.

But one government official has dubbed it something else. "The Indian railway is really the world's biggest open toilet," said Jairam Ramesh, Minister of Rural Development, at a recent bio-lavatory launch.

"Nearly 60% of the people in the world who defecate in the open belong to India, we should be ashamed of this," he said.

Kalaiselvi, 24, was embarrassed to talk about it.

In search of a better life, she left her village in southern India and moved to New Delhi a year ago. Little did she know she'd be struggling to find the most basic of facilities in the country's capital.

'Not a single toilet here," she said. "I really feel very ashamed, men and women (go) nearby, it's really difficult conditions."

She said she only goes before sunrise at 4 a.m. and then after sunset at 7 or 8 p.m.

Both Mukhesh and Kalaiselvi live in a settlement colony with 3,000 people, just minutes away from New Delhi's Commonwealth Games Stadium and a major five-star hotel.

The neighborhood is typical of most Indian slums, small, one-room houses crammed with all the trimmings of modernity -- satellite television, refrigerators and air coolers -- but not a single household has a toilet.

According to the World Health Organization, open areas are the only toilet option for an estimated 625 million Indians. A recent government census showed nearly half of India's households do not have a toilet, but more people own a mobile phone -- 53.2% of Indians have a mobile phone compared to 46.9% with lavatories.

Kalaiselvi couldn't build a toilet even if she wanted to; there are no sewage drainage lines at her area.

"Out of 7,935 towns in India, only 162 have sewage treatment plants," said Bindeshwar Pathak, founder of Sulabh International -- an NGO working to provide low-cost environmentally friendly toilets to India's poor for more than 40 years.

Now Pathak has an innovative and simple solution that has helped transform the lives of millions of Indians.

It's called the Sulabh Shauchalya, or Sulabh toilet, and it's based on a two-pit system. Both pits are attached to one latrine, but when one pit is being used, the other does the composting. No concrete is used and the soil naturally turns waste into fertilizer over time.

It can be set up for as little as US$15 and it also only requires one liter of water to flush, while normal septic tank latrines require some seven to 10 liters of water.

Sulabh International has built some 1.2 million household toilets and 8,000 public toilets across India. Pathak says the Indian government has made 50 million toilets based on the two-pit design. He's also taken the technology to 14 other countries in Africa.

In a village in the Mewat district of Haryana, just under 62 miles (100km) from New Delhi, Sulabh has built a two-pit toilet in every household.

"Before we used to go to the jungles and we used to get bitten by mosquitoes and flies and get sick. Since the toilets arrived, everything has changed, it's much cleaner and a lot better, said Shakuntala, a local resident.

It's something the villagers of Mewat take pride in -- they keep their toilets clean and say they feel like they have finally progressed.

"Mobiles phones are very useful, but with a toilet I feel we have more dignity. I only have one mobile phone but I have two toilets now," Shakuntala said proudly.

@highlight

World Health Organization: Open areas the only toilet option for millions in India

@highlight

Most Indian slum housing lacks basic facilities such as toilets

@highlight

Sulabh International working to provide cheap, sustainable toilets for millions