(CNN) -- It might not be on everyone's travel radar, but Iran has a well-worn tourist circuit, encompassing attractions in the ancient cities of Shiraz and Isfahan.

For those wanting to get off the beaten path, the country has a wealth of lesser-known destinations that rival the stunning beauty and historical significance of their more famous counterparts.

Here are five of the best:

Rudkhan Castle

Hidden in the humid green forests of Iran's northern Gilan province is Rudkhan Castle, a medieval military fortress whose origins predate the rise of Islam in Iran.

Few foreign tourists have visited the site, which is a popular attraction among Iranians.

Work started on the castle during the Persian Sassanid era, between A.D. 224 and 651. Followers of the Ismaili sect (the infamous "Assassins" or "Hashashin") are believed to have renovated and completed the fortress during the late 11th to 12th centuries.

The hike up to the castle, which is situated along two peaks of a verdant mountain, takes more than an hour, prompting many locals to call Rudkhan the "Castle of a Thousand Steps."

After you've made the trek back down, it's worth stopping off for food on the drive back on the main highway toward Rasht, the capital of Gilan province. Try a northern Iranian lunch at the exquisite Pich restaurant (Pich Restaurant, Rasht to Anzali Highway, Khomam Beltway; +98 132 422 7554; Pichrestaurant@yahoo.com.) The "Torsh" kabob -- tenderloin marinated in pomegranate paste, walnuts and garlic -- is a particularly appetizing regional specialty.

Bekhradi Historical House

This 400-year-old inn built in Persia's Safavid era features four tastefully decorated multiroomed guest suites and is the oldest house to be restored in Iran.

Its renovation and artistic restoration took local interior designer and restoration specialist Morteza Bekhradi five years to engineer and complete.

Peppered with stained-glass windows and original artwork from the Safavid and subsequent Qajar eras, the house sits between two gardens replete with fruits and wildflowers.

The house's furniture was designed by Bekhradi using wood from the chenar (plane) trees that line the streets and historic gardens of Isfahan.

The designer says he sought to stay true to the setup of the original home, which he says is believed to have belonged to a Safavid-era aristocrat.

Even the traditional heavy Iranian wooden doors lining the entryways of the upstairs suites belonged to the original house and were restored using chenar wood.

Doors throughout the rest of the historical residence, which boasts an intricately decorated traditional "hojreh" room for cooling and relaxation, are chenar-wood replicas of Safavid originals.

To date, most guests have discovered the inn only by word of mouth, and even local Isfahanis are only just beginning to learn about this hidden gem.

Bekhradi Historical House, 56, Sonbolestan Alley, Ebn-e-Sina St, Shohada Sq, Isfahan; +98 31 34482072

Soltaniyeh Dome

A UNESCO World Heritage site in the northwestern province of Zanjan, the mausoleum of Oljaytu at Soltaniyeh is topped by one of the world's largest domes.

Built between 1302 and 1312 in Soltaniyeh, the capital city of the Mongols' Ilkhanid Dynasty, the monument is a mausoleum for Il-khan Oljeitu, the Ilkhanid's eighth ruler.

Though much of the structure's exterior coloring and tiles have faded through the centuries, the intricate brickwork, tilework and vibrant designs inside the mausoleum have remained largely unscathed.

The unique double-shelled structure of the Soltaniyeh Dome is also believed to have influenced the design of India's Taj Mahal mausoleum.

Interesting factoid: Oljeitu was born to a Christian mother and baptized as Nicholas. He later became Buddhist and then converted to Islam.

He intended for the Soltaniyeh Dome to house religious artifacts, but after clerics banned him from doing so, he decided to make the monument his own tomb.

Visits to the dome are worth sidetracking to Zanjan for a lunch of classic Iranian dizi, or lamb and chickpea soup, at Carvansarai Sangi (Zanjan, Iran; +98 241 326 1266), an ancient pit stop that's been converted into a popular local restaurant.

Laleh Kandovan Rocky Hotel

About 30 miles outside the northwestern city of Tabriz lies the troglodyte village of Kandovan.

People here live in cone-shaped caves cut out of volcanic rock at the foot of Mount Sahand, a dormant volcano.

Nestled within the 800-year-old village, the Laleh Kandovan Rocky Hotel has been literally hand-carved into the rocky landscape, with each of the luxury hotel's 16 modernized rooms encompassing a cave, or "karaan."

According to local lore, mineral water sourced from Mount Sahand, long valued throughout Iran for its medicinal properties, originated in the biblical Garden of Eden.

Guests of the hotel can take a relaxing soak in this precious liquid. If there's a spa tub in the room, the mineral water gets pumped in directly.

Laleh Kandovan Rocky Hotel, Kandovan Rd, Kandovan; + 98 412 323 0191

Toghrol Tower

Toghrol Tower is a Seljuk-era monument situated in the city of Rey, on the southern outskirts of Iran's capital city, Tehran.

Often overlooked by visitors who tend to stick to the higher-income northern and central areas of the Iranian capital, Rey is the oldest county in Tehran province and is speckled with historical monuments, including a 500-year-old Safavid-era bazaar.

The tower is said to serve as the mausoleum for Seljuk king Toghrol Beg, who established Rey as a major administrative center of the Seljuk Dynasty until its destruction by Mongol armies in the early 13th century.

From the tower, it's a quick ride into the heart of Tehran's Armenian quarter to round off the trip with a cup of coffee and Armenian pastries at the historic Cafe Naderi (Hotel Naderi and Cafe, Jomhuri Eslami Avenue, Tehran; +98 21 66 701 872), a haunt frequented for decades by Iran's greatest writers and intellectuals.

Roshanak Taghavi is a journalist based between Washington and the Middle East. Follow her on Twitter at @RoshanakT.

@highlight

Explore Rudkhan Castle in Iran's northern Gilan province

@highlight

Stay in a hard-carved rock hotel in the troglodyte village of Kandovan

@highlight

See the spectacular Soltaniyeh Dome in the northwestern province of Zanjan