(CNN) -- As tensions in Ferguson, Missouri, have bubbled, one official after another has taken the lead, grappling to figure out how to stop it from coming to a boil.

First, it was the police chief who took charge and stumbled. Then, the governor entered the picture and brought on a Ferguson son to head security. The feds have also stepped in, with Attorney General Eric Holder stopping by Wednesday to check up on their investigation.

Here's a look at the players who have shaped the city's response to the death of Michael Brown, an unarmed black teenager, at the hands of a white police officer.

WHO:

Ferguson Police Chief Thomas Jackson

What he did:

From the start the chief said his department -- which handed off the local investigation to St. Louis County -- would release information as it received it. It would be a slow process, he warned.

How it played out:

From the beginning the chief was slammed for just how slow that information came out.

The big one was the identity of the officer. It took six days before the name -- Darren Wilson -- was revealed. Cops said it was because he received death threats. Critics denounced the delay as a PR stumble that coincided with another one -- the release of a video that police said showed Brown robbing a store minutes before he was shot.

Critics lambasted the disclosure of the video as character assassination. The chief said he had to do it.

Jackson was also criticized for his department's response to the protests in the days immediately after Brown's death.

As the demonstrations grew more heated, police used on the crowd tear gas, pepper bullets and what looked like stun grenades. Some police rolled into action sitting on an armored personnel carrier.

How it was received:

"You're in trouble when your SWAT team is on the front line of dealing with a civil disturbance," said retired Lt. Gen. Russell HonorÃ©, a CNN analyst.

Jackson said police had to protect themselves and that some of the protesters were throwing fire bombs.

WHO:

Ferguson Mayor James Knowles

What he did:

The young mayor has tried to tell people unfamiliar with the town he has lived in his whole life that it's not the crucible of racial tensions it appears to be to those outside the city limits.

"I've lived here 35 years. There's always been a strong African-American presence," he told CNN. "We've never seen this kind of violence, never seen this kind of frustration or tension between the races."

How it played out:

The mayor has kept largely out of the spotlight, letting other officials take care of news conferences and major public appearances. Instead he's gone on one-on-one interviews and given updates on how his town reacted.

How it was received:

His low profile may be helping him to avert criticism over actions taken since Brown's shooting, but Knowles has been in the line of fire with other officials over the disproportionate number of white officers on the police force of his majority African-American town.

He has defended the imbalance, telling the St. Louis Post-Dispatch that every time a position frees up for a new officer that the city rushes out to find an African-American to fill it.

Ferguson is less successful at getting such recruits than neighboring departments, which are better at recruiting and offer higher salaries, he said.

He has also come under criticism for a racial imbalance in the city council, where five of six members are white. Knowles, first elected in 2011, told the Post-Dispatch that he ran for election unopposed.

WHO:

Missouri Gov. Jay Nixon

What he did:

First he stayed out things, and when he did go, he visited the neighboring town of Florissant, not Ferguson. Then he made the decision to bring in the highway patrol.

How it played out:

Poorly. The violent protests were getting more violent and police were drawing more criticism for its tactics. And the media, local and national, was asking: Where's the governor?

The Washington Post wrote: "A week ago, Jay Nixon was a Democratic governor with a promising political future. Today, he's a guy with a rocky recent past."

Once Nixon stepped into the fray, he didn't go to the shooting scene and was accused of avoiding ground zero.

How it was received:

Attendees interjected at a meeting Nixon held at a local church to announce a controversial curfew. They demanded he charge Wilson with murder. They accused law enforcement of triggering nightly violence with militaristic tactics.

WHO:

Missouri State Highway Patrol Capt. Ron Johnson

What he did:

When it seemed like the situation in Ferguson was doomed to grow out of control, the governor wrested oversight of the security force and gave it to Johnson, a Ferguson native. And at first it seemed the captain had turned the tide.

He walked with protesters, turned a news conference into a community forum, seemed like a good guy who was a bridge between community and government.

On Sunday, Johnson appeared at a church rally in support of the Johnson family. With a solemn and pained expression, he said he was sorry to the parents, and he explained that he, too, was the father of a black son who wears saggy pants and has tattoos. "My baby," he called his boy.

How it played out:

Johnson has been open with the public as he has been trying to calm the uneasiness in the air. And even as tension still permeates the town, residents feel a little better because they know the captain will be out there. He's one of them, and they can ask him their questions.

How it was received:

Well -- except for minor hiccups.

Johnson was welcomed with open arms last week.

But security forces under his command have lobbed tear gas and stun grenades at rowdy protesters, who toss rocks and Molotov cocktails at them. That may have soured some of the initial sentiments.

CNN's Jake Tapper echoed the frustrations of many.

"Absolutely there have been looters, absolutely over the last nine days there has been violence, but there is nothing going on in this street right now that merits this scene out of Bagram (Afghanistan). Nothing."

WHO:

Attorney Malik Shabazz

What he did:

He's the national president and founder of Black Lawyers for Justice. He has been trying to help the community stay away from rowdy elements, who he says are not from Ferguson.

He told CNN on Tuesday that he came to Ferguson as a "man and a father figure." He felt confident that he and others could have a good influence on young men.

How it played out:

Shabazz insists "provocateurs" from outside the community have caused the problems. He accused them of being planted in the crowd to make demonstrators look bad and turn public opinion in favor of the police.

"We can't allow this movement to be destroyed," he said.

On Monday, when rocks and tear gas canisters flew, he was out with a bullhorn urging people to keep calm.

How it was received:

Despite Shabazz' efforts on behalf of Ferguson protesters, he has a very controversial past.

The former leader of the New Black Panther Party is a black supremacist, with a history of anti-Semitic remarks, according to the Southern Poverty Law Center, a civil rights group that guards the rights of minorities and monitors hate groups.

Shabazz has often railed against white people, calling them inherently evil, the SPLC said.

WHO:

U.S. Attorney General Eric Holder

What he did:

The first black U.S. attorney general will visit Ferguson on Wednesday. He's checking up on the Justice Department's civil rights investigation into the shooting. He said he'll also meet with community leaders.

The FBI has about 40 investigators in Ferguson, Holder wrote in a letter to the people of Ferguson. He says: "We hope that the independence and thoroughness of our investigation will bring some measure of calm" to the city.

How it's playing out:

Holder wrote that the investigation had already made good progress, but indicated it was not going to wrap up anytime soon.

How it's being received:

It's hard to tell yet. In civil rights issues, he is considered President Barack Obama's ambassador. Some people get nervous when they see him coming. Under Holder, the Justice Department has intensified its scrutiny of police departments, launching 20 investigations of police practices and alleged discriminatory enforcement patterns in the past five years.

That's more than twice the number of such probes in the previous five years.

WHO:

St. Louis County Prosecuting Attorney Robert McCulloch

What he did:

He's been the county's top prosecutor since 1991 and has been easily re-elected five times. This year, he actually had a challenger in his primary, which he handily won just a few days before Brown was killed.

After Gov. Nixon replaced the St. Louis County Police with the Missouri State Highway Patrol for security last week, McCulloch said the initial law enforcement response to the shooting was excessive.

McCulloch told CNN affiliate KMOV that the governor had "no legal authority" to make such a move.

How it's playing out:

McCulloch steps before a grand jury Wednesday with the assignment of making his case against Wilson. He has eyewitness accounts of Brown's shooting as well as Wilson's own account of what happened.

Beyond that, much of the evidence is not yet ready, and a CNN legal analyst said it could take a long time for crime labs to process it.

How it's being received:

Critics have said he could be biased in favor of the man he is tasked with prosecuting. He's the son of a cop who was killed at work 50 years ago. His mother was a clerk for the St. Louis Police Department, and three relatives were also with SLMPD.

He would have been an officer too, but cancer took one of his legs.

Missouri State Sen. Jamilah Nasheed and 26,000 other people have signed a petition calling for McCulloch to be removed from the case -- and a special prosecutor assigned.

Governor Nixon has refused to do so.

Complete coverage of Ferguson shooting and protests

Read more about the flash point in the Heartland at CNN.com/US

@highlight

Several leaders have tried to help ease tensions in the wake of the death of Michael Brown

@highlight

The list starts with the police chief whose officer shot Brown on August 8

@highlight

On Wednesday, a prosecutor's team will seek to present the facts of the case to a grand jury

@highlight

Even the U.S. attorney general has stepped into the response effort