(CNN)  -- Fantasy role-playing takes a staggering step forward as "Dungeons & Dragons: Daggerdale" lurches along with uneven visuals and spotty artificial intelligence but a combat system that is easy to learn and even easier to use.

The first D&D electronic game (Bedlam Games, Atari) that features use of the new Fourth Edition rules from Wizards of the Coast, "Daggerdale" allows players to create and develop a character from first level, much like the classic tabletop version of D&D.

Ability scores, hit points, attack and damage rolls are all part of making up your character, but without the use of any dice.

There are four base characters: male human fighter, male dwarven cleric, female elven rogue and male halfling wizard. You cannot mix and match: no female elven fighters or male human rogues.

Each race and class has its own bonuses and class abilities to help perform their actions.

The adventure begins in a dwarven mine overrun by goblins. As with any D&D campaign, the story builds from there into a rousing battle with a major enemy at the end.

There are major quests that help move the main plot along and minor quests that offer opportunities to earn more gold and experience points. Experience points are the backbone of character development, allowing for increased abilities, powers and weapons.

Only one quest can be tackled at a time. Once you start one, you need to complete that mission before moving on to the next. This often results in a lot of back and forth through some of the same areas.

Gold and weapons can be gathered from fallen enemies or from barrels that seem to be everywhere and in every setting. Improved weapons, armor, rings, amulets and potions can also be purchased from local merchants.

Sounds like a typical D&D game, right?

Visually, the game conveys the fantasy setting well. The dwarven mine appears foreboding but doesn't quite reach the creepy darkness it could have. A jail also is well-lit when it could have been a better mood-setter with some lighting adjustments.

A mini-map in the upper right-hand corner was very helpful in pointing to merchants, non-player characters who might send you on quests and the locations of those quests. A larger map was easily accessible using the character menu.

Player characters appear different as they don different armor and hold different weapons. Enemies look unique from type to type (e.g., a minion looks different from a controller) and can be readily identified by appearance alone.

Each enemy has a small box above its head that lists out what it is, what level of power it possesses, how many hit points it has and other information.

Of course, in a traditional tabletop D&D game, these things would be hidden so players wouldn't be able to target weaker foes first in order to whittle down the opposing forces.

The information box would sometimes appear if the enemy were hidden around a corner, thus ruining any surprise that could have occurred. There were also instances in which there would be an info box but no enemy.

Enemy artificial-intelligence was also hit and miss. Although the overall tactics of groups of enemies was good (minions charged as their archers and magic-users pinged from afar), they would also stand in place as I lobbed fireball after fireball at them. Those battles were less than epic.

However, combat was pretty good all in all, and that's where I thought the game shined over its table-top counterpart.

I played through the single-player campaign as the halfling wizard, and switching from normal weapons to spells was incredibly easy.

All four buttons on the controller can be mapped directly to weapons, spells or potions. There are four more locations that can be used by pressing the left trigger button (Xbox 360) or the L2 button (PS3) and then utilizing the standard buttons.

Spells had cool-down times after casting, so you could either stand there and get pounded or find another way to attack as you powered back up. As I increased in levels, more spells became available so I could fire off spell after spell in a cycle.

Action was quick and intense. Battles didn't last very long against weaker opponents and were appropriately longer against stronger opponents. There are some "boss" battles before the final conflict, and those required some use of tactics (run-and-gun) to be successful.

My biggest gripe about the game has to do with when those tactics fail and you die.

In single-player mode, there are healing potions you can carry with you to regain hit points. There are also clerics in the settlements who will heal you for free.

However, there are occasions during a quest when an enemy gets some really good hits in, and, in the heat of battle, you lose track of your hit points, and you die. Here is the gripe: No matter what stage you are at in the quest, you have to restart it from the beginning.

There are no checkpoints during the quest. There are no "save and reload" points other than in between quests.

Although this is very much like the table-top version of the game (dead is dead, after all), it was insanely frustrating from a video-gaming standpoint.

On more than one occasion, I completed a rather lengthy fight, defeated multiple big bad guys and got killed on the way back to the quest-giver (having forgotten to heal myself on the way).

This was particularly maddening during the climactic battle, in which you have to defeat multiple high-level characters in rapid succession.

Get through some but lose in the last one? Too bad.

If playing with a party of characters is more your speed, there is a co-op mode that allows for up to four players to combine talents toward the common good. The enemies are stronger, and the loot gets better with more people.

Completing the game's main quests can be done in less than four hours (a good length for a D&D campaign), but doing all the side quests will add some time to your play.

Overall, "Daggerdale" was enjoyable but a bit buggy. The story and combat were good and made for an exciting experience. The spotty visuals and enemy AI weighted down the overall fun, but not enough to make me want to stop playing.

Is it good enough to live up to the D&D name? Depends on how much actual roleplaying you like to do.

There is little to none to be had here. Interactions with other non-player characters happen largely in grunts and subtitles. No dialogue exists other than during cut-scene cinematics.

It won't replace your tabletop game, but it might give you some good ideas how to run your next campaign while allowing you some enjoyment along the way.

"Dungeons & Dragons: Daggerdale" is available now on the PC and through the Xbox Live Arcade and the PlayStation Network. It is rated T for Teen. This review was done playing the Xbox Live Arcade version as a halfling wizard in the single-player campaign.

@highlight

"D&D" has uneven visuals and spotty artificial intelligence

@highlight

Video game is much like the table top version of D&D

@highlight

Completing the main quests can be done in less than 5 hours