(CNN) -- Iraqis in Diyala province sarcastically call it "the whale."

A new report says a half-built prison in Khan Bani Saad, Iraq, will probably never be used.

The "skeletal, half-built" shell of a maximum-security prison in Khan Bani Saad "will probably never house an inmate" even though the United States spent $40 million on the now-halted $73 million project.

Marred by "poor security and weak subcontractor performance," the project is among several examples of Iraqi rebuilding problems cited in a just-published history by the Special Inspector General for Iraq Reconstruction.

Titled "Hard Lessons: The Iraq Reconstruction Experience," the report says the massive reconstruction initiative was marked by waste and failures caused by "blinkered and disjointed" pre-war planning -- and was pursued amid deteriorating security.

"Why was an extensive rebuilding plan carried out in a gravely unstable security environment? asked Stuart W. Bowen Jr., the special inspector general for Iraq reconstruction, whose oversight jurisdiction covers $50 billion in U.S. funds appropriated by Congress for Iraq.

"This question underscores an overarching hard lesson from Iraq: Beware of pursuing large-scale reconstruction programs while significant conflict continues."

The report, released Monday, comes at a much less violent stage of the Iraqi conflict. The peaceful provincial elections across the nation Saturday reflected strides in political reconciliation and improvements in the performance of Iraqi security forces.

But American commanders continually warn that the security gains are fragile and could be undermined by insurgents.

The report says the U.S. government "had neither the established structure nor the necessary resources to carry out the reconstruction mission it took on in mid-2003."

It weaves interviews, facts and vignettes detailing the use of a "sea of taxpayer dollars" from mid-2002 through autumn 2008.

"Hard Lessons" also looks to the future. It stresses the importance of developing "an agreed-upon doctrine and structure" for reconstruction "so that the United States is ready when it next must intervene in a failed or failing state."

The first of several principles mentioned for such operations: "Security is necessary for large-scale reconstruction to succeed."

After U.S. forces toppled the Saddam Hussein regime in 2003, it was "unprepared and ill-equipped to deal with what came next: a 'post-conflict' environment torn by violence, looters, criminals, a nascent insurgency; a governmental system in a state of complete collapse; and an economy that had slipped into idle and then switched off."

The raging Iraqi insurgency, crime and sectarian fighting "informed and complicated every decision" in funding such tasks as infrastructure building, security force development, job creation, economic reform and governance.

"The U.S. reconstruction management structure was overwhelmed by the challenges of building in a war zone," the report said.

The program was marked by frequent changes in reconstruction strategy, "turbulence" caused by personnel turnover and "poor integration" of work by various U.S. government agencies. This was the result of "weak unity of command and inconsistent unity of effort."

A lack of "interagency debate" took its toll when the U.S.-led Coalition Provincial Authority administered Iraq from May 2003 to June 2004.

The report cites the agency's "momentous orders" of disbanding Iraq's military and removing members of Saddam's ruling Baath party from top government positions, a process called de-Baathification.

"Had these issues been fully discussed by the war Cabinet and within the CPA, the United States might have acted differently. Instead, the U.S. rebuilding program was left to deal with the instant loss of many of the Iraqi technocrats it would later need.

"It also had to build entirely new Iraqi security forces, a task that would ultimately consume more than half of all U.S.-appropriated reconstruction dollars," the report said.

Through "trial and error," the reconstruction program matured under successive U.S. ambassadors to Iraq John Negroponte, Zalmay Khalilzad and Ryan Crocker, and the U.S.-led "surge" and its "complementary civilian effort" led to a "new era" -- security strides and "a more secure reconstruction environment."

And reconstruction became "more Iraqi-driven and Iraqi-funded" than it had been in 2003. Although there has been progress, "the United States still struggled in late 2008 to make Iraq's reconstruction a success."

The program generally met its goals in developing the Iraqi security forces, but did not do so "on the infrastructure front," the report concluded.

Electricity and oil output are lower than the goals set five years ago by the CPA.

"Successful project completions in the key water and health sectors fell far short of hopes," the report said. There were "egregious examples of fraud," but the amounts represented a small percentage of the overall reconstruction efforts, and the number of those "involved was relatively low."

However, the waste "grossly overburdened" the program. "The overuse of cost-plus contracts, high contractor overhead expenses, excessive contractor award fees, and unacceptable program and project delays all contributed to a significant waste of taxpayers' dollars," the report said.

The report gives examples of waste, including the Khan Bani Saad prison project, which it describes as "perhaps the single greatest project failure in the U.S. reconstruction program."

Bowen, who has been special inspector general for Iraq reconstruction since October 2004, previously served as the CPA's inspector general.

He has had a longtime association with former President George W. Bush, serving in several capacities under his presidency, the Bush-Cheney transition team and Texas governorship.

@highlight

New report cites failures in massive Iraq reconstruction initiative

@highlight

Shortcomings largely caused by waste and poor pre-war planning, report says

@highlight

Report says violence in country posed huge barrier to reconstruction projects

@highlight

U.S.-led "surge" helped usher in more successful era, report says