(CNN) -- The news of Lebanese Prime Minister Najib Mikati's resignation spurred fierce weekend clashes in his hometown, the coastal city of Tripoli.

Residents lobbed rockets and fired bullets at one another Saturday, leaving at least three people wounded, state news agency NNA reported.

The city is home to both Alawite and Sunni Muslims, and sectarian tensions have worsened in recent months as the civil war in neighboring Syria rages on.

The Alawites support Syrian President Bashar al-Assad. The Sunnis want his ouster.

The Lebanese government has remained officially neutral in the conflict -- even as it has firmly, but quietly, supported al-Assad.

And Mikati, while a Sunni, led that effort.

His departure, therefore, comes at a sensitive time for Lebanon.

Analysts say the longer the Syrian conflict rages, the more destabilized Lebanon will become.

Deadlock prompts resignation

Mikati announced the resignation of his government Friday after he said he could not negotiate a breakthrough on two fronts:

-- Preparations for the country's June parliamentary elections

-- Extending the term of the head of Lebanon's internal security forces.

The group to blame in both cases is Hezbollah, a powerful Shiite political party that has links with the al-Assad government and dominates Lebanon's government.

In the case of election preparations, lawmakers have been unable to come to an agreement on an election law.

In the second instance, Hezbollah distrusts Maj. Gen. Ashraf Rifi, the security forces head. Rifi, like Mikati, is a Sunni.

"The prime minister cannot work in such conditions. He needs to respect the constitution," his spokesman, Fares Gemayyel, said.

Complicated politics

Politics in Lebanon is complicated as it constantly struggles to maintain a balance among its religious and ethnic sects.

By law, the prime minister must be a Sunni Muslim, the parliamentary speaker a Shiite, and the president a Christian.

Mikati became prime minister two years ago, after Hezbollah brought down the previous unity government.

Since then, he has maintained a balance between pro- and anti-al-Assad factions. His government, says Middle East expert Chris Phillips, was more interested in keeping Lebanon from getting dragged into the conflict.

But in recent months, he has been at odds with Hezbollah.

And the latest issues brought the tension to the surface.

The Syrian connection

The major concern for Lebanon is that Syria's troubles will reopen the wounds of Lebanon's 15-year-long civil war, which ended in 1990.

Aside from its southern border with Israel, Lebanon is entirely surrounded by Syria, and was considered part of "greater Syria" until the end of World War I.

It became an independent country in 1943 but has been strongly influenced by Syria both politically and militarily for much of the time since.

Syrian troops were deployed in Lebanon between 1976 and 2005, primarily in the north -- ostensibly at first as peacekeepers to help stop Lebanon's long civil war -- but maintained a significant presence long after the fighting stopped in 1990.

This all changed in 2005 after former Prime Minister Rafik Hariri was killed by a car bomb in Beirut.

Anti-al-Assad elements in Lebanon accused the Syrian government of being behind the attack, and popular protests -- along with international pressure -- forced the Syrian military to withdraw from the country.

Since then, Lebanon's two most prominent political blocs have been sharply divided in their attitude toward Syria: the ruling pro-Syria alliance led by Mikati and a group of anti-Syrian factions led by Saad Hariri, son of the assassinated former prime minister.

In addition, thousands of refugees have poured into Lebanon since the conflict in Syria began.

Costly uncertainty

In this climate, any instability in Lebanese politics can only exacerbate the spillover from the Syrian war.

"Now it is important for dialogue to begin for a salvation government to be established during this difficult period," Mikati tweeted after submitting his resignation.

United Nations Secretary General Ban Ki-moon also called on cooler heads to prevail.

"At this challenging time for the region, the secretary-general calls on all the parties in Lebanon to remain united behind the leadership of President (Michel) Sleiman," a statement from his office said.

CNN's Salma Abdelaziz contributed to this report.

@highlight

His departure comes at a sensitive time for Lebanon

@highlight

Mikati says he couldn't negotiate a breakthrough on two fronts

@highlight

Lebanon constantly struggles to maintain a balance among its sects