(CNN) -- The crackdown on protesters after the police shot and killed Michael Brown in Ferguson, Missouri, highlighted that more and more, police departments possess sophisticated weapons and equipment originally designed for the battlefield. Federal anti-terrorism funding is a major driver of this trend, but once police departments have this equipment they use it -- even if it's not against terrorists.

What few people understand is that police increasingly make use of sophisticated surveillance equipment as well. NSA-style mass surveillance technologies are making it possible for local police departments to gather information on each and every one of us, on a scale never before been possible.

One key area in which the government is amassing large pools of data is location tracking, particularly of automobiles. You might think that location data isn't sensitive. After all, when you're out in public other people can see you. But that's not the right way to think about it. 

Most Americans drive everywhere. Most can't go to a therapist, a church, a gun range, a bar, or a casino without driving. And when all of that information about where we go is amassed into a large database stored by a government agency and held for months, or years, that's a sensitive collection of information. History has shown that once the government has access to massive pools of data, it's just a matter of time before it's abused -- for political retribution, or even simple voyeurism.

An important driver of this trend toward mass surveillance of Americans' movements is the automatic license plate reader. They sound innocuous -- and if they were used in a limited and appropriate manner, they would be innocuous. These devices snap a photo of every passing license plate. 

If all the police did was check the captured plates against lists of cars associated with people wanted for crimes, there would be no problem. But in the era of cheap data storage, police are increasingly using the technology to amass vast pools of data tracking where people have been over time—and hanging onto it for months or even years.

The question is not whether law enforcement agents should be permitted to use license plate readers: The question is how they should be permitted to use them. You can agree that license plate readers are useful for identifying wanted criminals who are driving around, but disagree that the government should amass vast pools of data about everyone, given that most of us are not criminals. 

This technology can be abused -- and it has been abused. In New York, police in cars equipped with plate readers drove by mosques to record each attendee -- a major burden on the freedom of religion that many of us hold dear. In the UK, the police put the plate number of activist John Catt, in his late 80s, on a hot list because he'd attended a large number of lawful protests. (He was known to sketch the protesters.)

Federal funds are being spent to push this equipment out across the country, a process that often bypasses the role that traditional elected representatives once played because the police no longer need funds from the city council. And the technology is more powerful year over year as the cost of computer processing plummets and storing data becomes a trivial matter. The presumption has flipped. Police departments once asked themselves: Why keep this data? But now data storage is so cheap that they ask: Why not keep it?

One of the most pernicious aspects of how police departments have adopted surveillance technologies—which is really deciding how much privacy people should enjoy—has been the lack of public debate or even knowledge that these technologies are being adopted. Because police departments can get funding from the federal government, often there is no need to involve local legislative bodies, let alone the public, in the process.

Sometimes this lack of notice has led to a backlash. In Seattle, the mayor instructed the police department to terminate its drone program and return the drones to the vendor after the public learned that the drones had been acquired. 

The public wants in on the debate about surveillance—and democratic values suggest that we ought to have this opportunity. But in the main, we know far too little about which cities and towns around the country are using powerful surveillance technologies. The time to fix this is now.

@highlight

Catherine Crump: U.S. police getting surveillance equipment and anti-terror weapons

@highlight

Crump: Government amasses data by location tracking, especially of cars

@highlight

Crump: It's as if a cop with perfect memory was following you wherever you go

@highlight

She says the public should know about monitoring and it should be justified