Sanaa, Yemen (CNN) -- A violent crackdown by Yemeni authorities has left dozens dead at protests, witnesses and medical officials said Monday.

Bloody violence raged Monday in the capital, Sanaa, triggering a new wave of international pressure on Yemen. The United States and the United Nations called for an end to the violence.

An official with the human rights group Amnesty International said Yemen is on a "knife edge" and the situation could spiral into a civil war.

Officials from the United Nations and the Gulf Cooperation Council were in Sanaa, hoping to help organize a peaceful transfer of power.

Thirty-one people were killed Monday in clashes in Yemen, 28 in Sanaa, and three in Taiz, according to medical officials.

On Sunday, at least 26 protesters were killed and more than 550 were wounded -- hundreds of them by gunshots -- when security forces fired live bullets and tear gas at a massive demonstration in the city, a medic said. The death toll was expected to rise because some were in critical condition, witnesses said.

"The situation is getting very tense," said a resident of downtown Sanaa who asked not to be named for safety reasons. "We can hear gunshots, explosions, RPGs (rocket-propelled grenades) constantly."

"This now seems more like a military fight, and we're really worried this could become a civil war. We're really worried it could spread all over," the resident said.

The U.S. Embassy in Yemen issued a statement saying the United States "regrets the deaths and injuries of many people" in the protests Sunday. "In this tense situation, we call upon all parties to exercise restraint. In particular, we call on the parties to refrain from actions that provoke further violence."

The U.S. government remains hopeful for a peaceful transition, the statement said.

U.N. Secretary-General Ban Ki-moon's office said he is "gravely concerned" and "calls on all sides to exercise utmost restraint and desist from provocative actions. He strongly condemns the excessive use of force by government security forces against unarmed protestors in the capital Sanaa, resulting in scores of people killed and many more injured."

"Yemen is on a knife edge," Philip Luther, Amnesty International's deputy director for the Middle East and North Africa, said in a statement issued Monday.

"Those who have been protesting peacefully for change are increasingly frustrated by the political deadlock. Meanwhile, eruptions of violence point to a growing risk of civil war. The Yemeni authorities must stop the use of excessive force before the violence spirals out of control."

The Yemeni government has repeatedly denied accusations of excessive use of force, and said the government is committed to establishing a peaceful transfer of power. Yemeni officials have said forces cracked down on those committing acts of violence during protests.

State-run Saba News Agency said Monday that "militias, armed gangs of the Muslim brotherhood, and the Al Ahamar gang and al Qaeda snipers" had attacked parts of the capital, even hospitals.

"The attack on security personnel and civilians continued Monday, resulting in casualties," Saba reported.

Amnesty International said that since February, 200 people have been killed and more than 1,000 have been injured in protests in Yemen "as security forces have repeatedly used excessive force, including by firing live ammunition at peacefully gathered protesters."

A video on YouTube Monday purports to show the body of a 10-month-old child killed by gunmen in Sanaa. According to a medical team in Change Square, the baby was inside his father's vehicle when a stray bullet hit him in the middle of the forehead.

U.N. envoy to Yemen Jamal Benomar and Gulf Cooperation Council Secretary General Abdul Latif al-Zayyani arrived in Yemen on Monday, Saba reported. They will be discussing a GCC proposal for transferring power, the agency said.

The proposal, backed by the six Arab nations that make up the council, was put forward in May. It would allow Yemen's embattled President Ali Abdullah Saleh to transfer his executive powers to Vice President Abd Rabo Mansou Hadi within 30 days. According to the proposal, Saleh would then formally resign.

Saleh initially indicated he would go along with it, but then refused to sign.

The ongoing violence is stepping up pressure for a transition.

On Monday, troops were seen shooting randomly at protesters as demonstrations continued throughout the capital on almost every street, witnesses said.

All roads leading to Change Square, where thousands have been conducting a seven-month sit-in to call for the resignation of Saleh, remained closed Monday.

Saleh, who is recuperating in Saudi Arabia from a June attack on his palace, has vowed to return to Yemen to finish his term.

The state-run Saudi Press Agency said Saudi King Abdullah met Monday with Saleh, who expressed gratitude for the medical care. The king wished "all our brothers in Yemen will overcome the current crisis," SPA reported.

The uprising in Yemen is part of the so-called Arab Spring, in which protesters seeking political reforms have taken to the streets in many countries throughout the Middle East and North Africa.

CNN's Mohammed Jamjoom and journalist Hakim Almasmari contributed to this report.

@highlight

The Yemeni government says gangs and al Qaeda snipers attacked the capital

@highlight

"We're really worried this could become a civil war," a resident says

@highlight

The U.N. secretary-general condemns "excessive use of force" by Yemen

@highlight

A YouTube video purports to show a 10-month-old baby shot in the forehead