Abuja, Nigeria (CNN) -- A Shabbat service is underway at the Ghihon Hebrew Research synagogue in the Jikwoyi suburb of Nigeria's federal capital territory.

Fourteen year-old Kadmiel Izungu Abor heads there with his family. They walk alongside stray goats on a road covered in red dust and potholes, lined with open sewage. They are nearly 20 kilometers away from the modern multi-story office buildings and sprawling mansions in Nigeria's capital city of Abuja.

About 50 people gather in the synagogue. They pray from the Siddur, they read from the Torah and as they chant, Abor's mellow alto begins to rise.

In a country of 162 million people tensions often lead to violent uprisings between Christians and Muslims and being part of the religious minority can be an issue. But Abor wears his kippah and his identity with pride.

"I am a Jewish Igbo," he says.

The Igbo are one of Nigeria's largest ethnic groups with population estimates ranging from 20 to 50 million. Abor is convinced that the Igbo's ancestors were Jews.

"The son of Yaakov, Jacob, [was] Gad and I learned that he was among those people who went out of Israel to exile," Abor says. "So from there he had a son called Eri and a son gave birth to a son called Aguleri and that's how the Igbo race began."

From generation to generation, some Igbo have passed down various versions of a migration story framed around Jacob, a patriarch of Judaism. A popular version of the narrative holds that Gad, the seventh son of Jacob, had three sons who settled in present-day southeastern Nigeria, which is predominantly inhabited by the Igbo. Those sons, Eri, Arodi and Areli (as mentioned in the book of Genesis), are said to have fathered clans, established kingdoms and founded towns still in existence in southeastern Nigeria today, including Owerri, Umuleri, Arochukwu and Aguleri.

Read More: The forgotten story of Zambia's Jewish settlers

Eze A.E. Chukwuemeka Eri, the king of a community in Aguleri, claims he presides over the throne of Gad's son, Eri.

Wearing a white shirt with the Star of David stitched on the front, King Eri points to a calendar on the wall of his palace that lists the names of his 33 predecessors. He has no doubts that Eri is his ancestor. He has even acquired land to establish an educational center for the study of Jewish culture.

"Israelites and Igbos are brothers," he says with a broad smile.

King Eri, like many, claims that the Igbo are the Jews of West Africa. They believe they are descendants of at least one of Israel's lost tribes. In the eighth century B.C. the Assyrians invaded Israel's northern kingdom forcing 10 tribes into exile. Historians say it is not unlikely that these tribes migrated westward to Africa.

Throughout history, large populations of dispersed Jews also became "lost" through forced conversions and cultural assimilation.

"There is evidence that is scientific that the Igbos descended from the people that evolved in Israel," says Remy Ilona. He began investigating the stories from his youth more than a decade ago.

"When I grew up I heard, like virtually every Igbo here, that the Igbo people came from Israel," the Abuja-based lawyer says. His field work in Nigeria, Chad, Niger and Mali led him to conclude that Igbo and Jewish culture are not just similar, but "identical."

In his latest book, Ilona draws parallels between Igbo rituals and customs and those practiced by Jews. Shared traditional practices include circumcising male children eight days after birth, refraining from eating "unclean" or tabooed foods, mourning the dead for seven days, celebrating the New Moon and conducting wedding ceremonies under a canopy. Some historians have noted that the Igbo were practicing these customs before their exposure to the Bible and missionaries.

Daniel Lis, from the Institute for Jewish Studies, University of Basel, Switzerland, is one of the foremost researchers on Jewish identification among the Igbo. He says there has been a clear continuity of Jewish identity among the Igbo. "It's not just something that happened yesterday," he says.

The Swiss-Israeli anthropologist says that Igbo-Jewish identity can be traced back to the 18th century. Cross-cultural comparisons have been documented by people ranging from George Thomas Basden, the influential Anglican missionary and ethnographer who proposed that the word "Igbo" evolved as a corruption of the word "Hebrew," to Olaudah Equiano, a freed Igbo slave living in 18th century British society.

The oral stories and historic notations of cultural resemblances between the Igbo and the Jews have proven compelling enough to lure a diverse array of people to southeastern Nigeria.

See also: CNN Belief Blog

Michael Freund, an American Jew based in Israel, is planning his first trip to Nigeria to get a first-hand look at the culture of the Igbo.

"I've read about them but of course there is nothing like actually hearing the stories of the people themselves," he says.

Discovering "lost" Jewish communities around the world is what Freund does.

He is the founder and chairman of the independent non-profit organization Shavei Israel. According to its media spokesperson Arik Puder, Shavei Israel is the only organization in Israel that focuses on finding descendants of the legendary lost tribes.

He says the Israeli government does not recognize ethnic communities in various countries claiming to be descendants of lost tribes.

"They cannot prove that they have a Jewish grandfather or grandmother," Puder says. "But they do have an interesting story."

Freund says he has received numerous letters and emails from Nigerians trying to connect to Israel. But with a rising number of groups around the world attempting to link their ancestry to the ancient Israelites, he is aware that some of those claims are "wishful thinking." He hopes that the future will yield strong genetic evidence to help the search for the lost tribes.

"As DNA technology improves there will be a growing stock of scientific evidence which can perhaps buttress the claims of an Israeli ancestry," he says.

A 2012 documentary called "Re-Emerging: The Jews of Nigeria" featured the country's Jewish community.

The film featured Rabbi Howard Gorin. He retired from the congressional rabbinate in 2012 after 32 years as the spiritual leader of a Jewish congregation in the U.S. state of Maryland. Gorin has played a significant role in the rise of Judaism in Nigeria since his first trip to the country in 2004.

"I embrace them and support them as brothers and sisters," he says. He ships books on Judaism to synagogues in Nigeria.

Watch video: Lagos megacity

More support comes from groups like Kulanu, a New York-based non-profit group. Kulanu assists emerging Jewish communities around the world, like the one in Nigeria. But most of the Igbo who practice Judaism were not born to a Jewish mother and have not converted according to halakhah, Jewish law, so many Orthodox Jews would not recognize them.

Even among Igbo people, the claim to be Jews elicits strong criticism. One critic, Catherine Acholonu, attributes Jewish identification among the Igbo as a result of Christianity brought by missionaries, since most Igbo people are Christians.

"Everybody is excited to say they belong to the people of the Bible because the Bible is reigning -- it's in," says Acholonu, a prominent researcher on Igbo history and culture.

In her award-winning book "They Lived Before Adam" Acholonu proposes that Igbo civilization is older than that of the Israelites.

She feels that Igbo people are whitewashing their history and diminishing the value of their own culture by attempting to link their heritage to the Jews.

Peter Agbai, who says he is a "proud Igbo man," strongly disagrees.

He started practicing Judaism in 1991 after leaving the Methodist church. He says that the more he followed the commandments in the Torah, the more he realized that he was doing what his parents had always done as followers of traditional Igbo culture and spirituality.

"I have seen that the traditions of our people are similar to those in the Bible," says the 66-year-old, making references to aspects like ritual bathing and polygamy.

Agbai is one of the founders of the Ghihon synagogue. He plays an important role as a spiritual leader in Abuja's community of Igbo Jews. He attended Abor's bar mitzvah last year, an experience that Abor says made him feel like a man, and feel closer to the Jewish culture.

He wants to go deeper into Orthodox Judaism and take a pilgrimage to the Holy Land.

"I want to live in Israel," Abor says. He hopes that there, he will get a better understanding of his forefathers.

@highlight

Among the Igbo people of Nigeria exists a small group of practicing Jews

@highlight

Jewish Igbos believe they are descendants of 'lost tribes' of Israel who settled in Nigeria

@highlight

Some draw many parallels between Jewish and Igbo customs

@highlight

Others claim Igbo civilization is older than that of the Israelites