(CNN) -- Long a pillar of Hosni Mubarak's three-decade rule over Egypt, Omar Suleiman now sits at the top of the pyramid as its de facto president.

Under pressure from street demonstrations calling for his ouster, Mubarak named his veteran spymaster to the long-vacant vice presidency in late January. Suleiman quickly became the face of the government's reform pledges, announcing talks with opposition leaders and promising swift reforms.

But Mubarak's February 1 announcement that he would step down when his term ends in September failed to satisfy the crowds in Cairo's Tahrir Square and other cities. Attacks on demonstrators by pro-government crowds in the following days failed to dislodge the demonstrators, whose ranks were bolstered when thousands of workers in several industries went on strike Thursday.

After a day of intense speculation, Mubarak repeated that he would remain in office to serve out his term -- but he announced that he was delegating power to Suleiman, who quickly urged Egyptians to go home and get back to work.

"We call upon you to unite, and to think rationally and to look forward to the future," Suleiman said in a televised speech that followed Mubarak's.

But the vice president, whose agents are among the fingers of Mubarak's iron hand, wasn't seen as much of an improvement by opposition figures.

"Mubarak is only one part of this regime," human rights activist Gigi Ibrahim, one of the Tahrir Square protesters, said. "People have been here for 17 days, and they are not for Suleiman either. Mubarak has lost all legitimacy, and now him handing over the power to the vice president is as illegitimate as Mubarak being in power."

And in Alexandria, protesters met the announcement with chants of "No to Mubarak, no to Suleiman."

A former general who trained under both the United States and Soviet Union during the Cold War, Suleiman took over Egypt's Mukhabarat intelligence agency in 1993. He is credited with leading Mubarak's efforts to crush an Islamic insurgency in the 1990s. That earned him the ear of Western intelligence officials thirsting for vital information about regional terrorist groups, and he became a key intermediary in Israeli-Palestinian peace talks.

"He is basically your main go-to guy in Egypt," former Deputy CIA Director John McLaughlin said. Suleiman has been "helpful in many arenas," including the Israeli-Palestinian peace process. McLaughlin said.

A 2006 cable from the U.S. Embassy in Cairo, disclosed by the WikiLeaks website in January, called intelligence collaboration with Suleiman "probably the most successful element" of the U.S. relationship with Egypt. But that relationship is "a little like being in bed with the Mafia," author Ron Suskind told CNN's "Parker Spitzer."

"If someone knocks on your door at night and you disappear, Omar Suleiman is probably behind it," said Suskind, whose 2006 book "The One Percent Doctrine" detailed the Bush administration's post-9/11 counterterrorism policies. "He is a feared man, and certainly not a man with any legitimacy when it comes to rule of law or any of the principles we prized in America."

In 2002, al Qaeda captive Ibn al-Shaykh al-Libi "was tortured rather dramatically" by Suleiman's agents, Suskind said, yielding a "confession" that Iraq had trained the terrorist group in the use of chemical and biological weapons. His assertion was a key point in the Bush administration's arguments for the 2003 invasion of Iraq, but he recanted it once back in U.S. hands.

That sort of history leaves an opening for critics to question U.S. support for democratic change in Egypt, Suskind said.

"The fact is, we are allied with the people they're trying to overthrow, and right now the United States hasn't done much to separate those bonds," he said.

Suleiman had long been mentioned as a possible successor to Mubarak, along with the aging ruler's son, Gamal. A 2007 U.S. cable called his loyalty to Mubarak "rock solid," and some analysts viewed his vice presidential appointment as a way for Mubarak to make a graceful exit.

Suleiman is even credited with saving Mubarak's life. On a state visit to Ethiopia in 1995, Mubarak was to have traveled in a normal vehicle but Suleiman insisted that the president's armored Mercedes be flown in from Cairo.

Accounts of an assassination attempt on Mubarak vary but it's believed that Suleiman was sitting next to Mubarak when a hail of bullets pinged off the car. The bond forged that day cemented their relationship.

But Suleiman's attempts at dialogue with opposition parties were derided by protesters, and the Obama administration criticized the talks for including too few opposition groups. Vice President Joe Biden told Suleiman on Tuesday that Egypt needed "immediate, irreversible progress" toward meeting protesters' demands, and leading opposition figure Mohamed ElBaradei said Suleiman and Mubarak "are twins."

"This is an act of deception at a grand scale," ElBaradei said.

Nathan Brown, a professor of Middle Eastern politics at George Washington University, said Mubarak's Thursday speech did him little good. Not only was it too little, too late, he said, but his announcement that he was ceding power to Suleiman was buried in an "incredibly patronizing" speech.

"Had he done this a couple of weeks ago, it actually may have done something," Brown said. But now, he said, "All the constitutional, legal tools are in their hands, and it doesn't' do them any good. So I don't think they're sure what to do."

CNN's Matt Smith, Saad Abedine and Moni Basu contributed to this report.

@highlight

Omar Suleiman, the former intelligence chief, now wields most power in Egypt

@highlight

An opposition leader dismisses him as Mubarak's "twin"

@highlight

Suleiman has had close ties with U.S. officials