(CNN)Just about every day on Facebook, I see posts by parents asking for advice related to their children. Granted, many of my friends are parents, but I imagine you see similar posts when you log on as well.

And pretty much every time I read one, I wonder about the pluses and minuses of a world in which many parents now head to their social networks to make parenting decisions.

Sure, getting advice on how to get a toddler to sleep through the night or how to deal with a fussy eater makes sense and seems relatively harmless. But is there something creepy about picking a baby name based on Internet responses or deciding on a punishment based on the opinions of followers?

Last year, an expectant father created a website, NameMyDaughter.com, allowing anyone on the Internet to suggest and vote on a baby name for his daughter.

10 signs you might be addicted to your smartphone

Thankfully for his child, who was born in April, he and his wife reportedly did not go with the winning name of "Cthulhu." Instead, they chose the second place name, Amelia.

My question: How is Amelia or any other child named by strangers online going to feel when they learn the origin of their name?

"I am sure the child will be happy to know that her name was approved of by thousands of strangers she will never meet," said Vicki Hoefle, author of the book "Duct Tape Parenting: A Less is More Approach to Raising Respectful, Responsible, and Resilient Kids."

"Can you imagine the outrage an adult would have if, say, a guy crowdsourced whether he should propose or not?" asked Hoefle, a mom of five who has spent the past two decades working with families on parenting.

Asking not just your followers but random strangers to choose a name for your child is no doubt one of the more extreme examples of crowdsourced parenting, but what about deciding discipline based on social media responses or asking for help with deeply personal issues such as a child's depression or anxiety, or a case of bullying, or a child's exploration of sex?

Replace the 'sex talk' with the 'tech talk'?

In conversations over email with parents across the country, I found a real split in opinions about whether using social media to help parent is positive or inappropriate.

Put mom of four Janeane Davis in the positive camp. She said that since many of us live far away from our parents and friends, "social media crowdsourcing is a quick way of getting a lot of opinions and ideas at one time."

Davis, founder of the blog Janeane's World, said she only crowdsourced for her children once.

"I asked people how they got their sons to behave better at home and school. I did get some good ideas. I tried one of them, and it worked," said Davis, who said she'd do it again.

Louise Sattler, a mom of two grown children in Los Angeles, also believes crowdsourced parenting is OK in certain cases.

"We use to call it getting advice during coffee klatches," said Sattler, a school psychologist, educational consultant and owner of a business providing sign language instruction.

28 web abbreviations parents should know

Pam Moore, host of the blog Whatevs, believes there is an age limit on when it's no longer OK to discuss a child's behavior on social media and ask for help regarding that behavior, even though she admits she's not quite sure what that key age is.

"Whether it's tantrums in kindergarten or wetting the bed at age 9 ... I believe children still have the right to some privacy about their lives," said Moore, a mom of two who writes about motherhood, marathons and life in Boulder, Colorado.

"I think that if you aren't sure whether to post something about your kid on Facebook, ask yourself how the child (and you) would feel if he or she ever came across it at the age of 12. If you wouldn't want him or her to see it on your timeline, then it's probably not a great idea to post it on Facebook."

There are things that happen within the family that do not need to be aired in public, said Tracey Koch, a mom of two and nurse practitioner who works with teens in Lewiston, Idaho.

Chances are, your teen has sexted

"I think you are risking your child essentially shutting down if you publicly discuss punishment over social media. The postings are too easily shared, and information spreads too widely."

Beth Engelman, a mom of a 9-year-old in Chicago, agrees. She also thinks parenting by crowdsourcing, which can lead to a multitude of suggestions, can be overwhelming and make parents feel less secure about their own instincts.

"I think the ease in which parents can go to social media often chips away at their confidence to trust their gut," said Engelman, co-founder of the blog Mommy on a Shoestring.

"The more you are reliant on others to help you make decisions, the less confident you feel making decisions on your own."

Another issue, said educational psychologist, consultant and parenting coach Lori Day, is when parents rely on social media, when they should instead be talking to professionals such as a teacher, pediatrician or child psychologist.

Teen 'like' and FOMO anxiety

Day notes that people may too often view the advice of some followers and friends, especially popular bloggers who have a large digital footprint, as experts, when in fact they don't have any expertise on the issues at hand.

"It's not necessarily about what your credentials are because you could be one of those really wise parents that has really good advice, but sometimes the way I see it articulated, it's almost as if the person is a psychologist and they're in positions that they really don't know about and they aren't educated on, they have no work experience on, and that gets me worried," said Day, author of "Her Next Chapter," a book about mother-daughter book clubs.

"That's when parents really need to be seeking out professional help."

Separated at birth, reunited on Facebook

Hoefle, whose newest book "The Straight Talk on Parenting" will be released in April, encourages parents to see themselves as "the true experts in their children's lives," not their thousands of friends and followers on Facebook and Twitter.

"By answering just a few questions, they can begin to see clearly the strategy that will work best for their children and one that they can actually implement to get the kind of long-term sustainable change they are looking for."

When do you think crowd sourced parenting is a bad way to go? Share your thoughts with Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

Asking for parenting advice via social networks can be harmless, but it can also be invasive, Kelly Wallace found

@highlight

Sharing disciplinary problems, emotional issues or developmental issues may be cause resentment for children

@highlight

"I believe children still have the right to some privacy about their lives," said parenting blogger Pam Moore