(CNN) -- Most of us can appreciate that the world is an ancient place and that a lot has changed in the almost 4.6 billion years since it took its shape.

It's not easy to have a feel for the amount of time that has passed, but grappling with deep time helps you understand why an atmospheric carbon dioxide concentration (CO2) of 400 parts per million (ppm) is meaningful.

Deep time is geologic time and the scale needed to fathom the evolution of life, mountains, oceans, and Earth's climate.

Climate, one must note, is not weather. Weather is experienced day to day. Climate occurs on longer scales: the tropics are hot and wet; Antarctica is freezing and miserable.

If you wanted to consider the climate of the whole planet you would need to consider its temperature. Without greenhouse gases the world would be a much colder (~30˚C or 65˚F colder) and lonelier place.

All of us have felt the greenhouse effect because water vapor is a greenhouse gas and when summer humidity is high you just can't get any relief. Even at night when the sun is gone, water vapor keeps radiating the heat. Dry desert nights are just the opposite, with temperatures falling fast when the lights go out.

CO2 works the same way as water vapor. More CO2 radiates more heat, increasing the average temperature and turning more surface water into water vapor, which radiates more heat. This is an example of a positive feedback and positive feedbacks push temperatures higher than CO2 alone.

Global climate models tell us that doubling CO2 will lead to a global temperature increase between 2 and 4.5˚C (that's 3.6 to 8˚F), reflecting the climate sensitivity to CO2.

Since 400 ppm marks a 43% man-made CO2 rise (from 280 to 400 ppm in ~200 years), we should soon expect 1˚C (1.8˚F) of warming if low-end estimates of climate sensitivity are correct.

Well, a 1˚C (1.8˚F) global temperature increase is close to what we've already measured, but full warming is not expressed overnight or even over decades because the world is mostly a cold ocean that helps ameliorate immediate warming by taking up heat.

Also, man-made atmospheric particles could be masking up to 0.5˚C (0.9˚F) of the potential temperature rise. With this in mind, we expect temperatures to further increase even if CO2 stopped rising, and so it's not alarming to assume that climate sensitivity might be higher than the belief of an optimist.

So, how much CO2 is too much? This is where deep time helps frame our expectations of things to come. First, as far as we know, the rate of our CO2 rise is unprecedented in Earth history.

That's saying something, isn't it? During the well-known glacial-interglacial cycles that occurred in the last one million years, CO2 fell to a cold 180 ppm and back up to 280 ppm.

Those changes took thousands to tens-of-thousand of years, so, 400 ppm not only breaks that record, but it breaks it in record time. When climate scientists say that they are worried about 2 to 5˚C (3.6 -- 9˚F) of global warming, keep in mind that global temperature was, at most, 4 to 5˚C (7.2 -- 9˚F) colder during the last ice age when miles of ice piled up on land and pushed enough dirt to make Long Island.

Small numbers, like 4˚C (7.2˚F) of cooling can mean big things, but that's not where we're headed any more. Now we're headed deeper into the past. At best, CO2 levels are similar to 4 million years ago when global temperatures were 3 to 4˚C (5.4 -- 7.2˚F) higher, and there was little-to-no ice on Greenland, and sea levels were at least ~~20 m (65 feet) higher.

Even if we were to resolve to live in the warmth of the relatively recent past, the nagging problem is that atmospheric CO2 levels will continue to rise and stay around for a very, very long time without intentional intervention and/or a surprising technological innovation. CO2 is increasing at about 3 ppm per year and we will be arriving at a minimum CO2 concentration of 700 ppm by year 2100 if nothing is done.

In terms of our history, that places us somewhere beyond 35 million years ago when there was no permanent ice on the poles and sea level was over 200 feet higher than today. Add more CO2 to the mix and we step back towards peak temperatures 50 million years ago when CO2 is estimated to have been about 1000 ppm and sub-tropical plants and crocodiles inhabited the poles.

There's lots of uncertainty when trying to reconstruct ancient climates and the factors that produced them, but having some sense of the past informs us in the same way as knowing the history of our grandparents and the potential inheritance of future ailments.

Deep time tells us that we are traveling forward to a world that is an extraordinary warm and different place, something Earth scientists refer to as a greenhouse world. Hopefully we will resist the urge to take the trip, but if we don't, I know a few people who would be happy to study how it all went down.

The opinions expressed in this commentary are solely those of Mark Pagani.

@highlight

Mark Pagani: CO2 level in atmosphere portends major changes

@highlight

He says research on the past shows the dangers of high levels of greenhouse gases

@highlight

Today's CO2 levels comparable to time when Greenland had little ice, sea was 65 feet higher

@highlight

Pagani: With more CO2, we hark back to when crocodiles and sub-tropical plants inhabited the poles