(CNN) -- When I was a federal prosecutor, I had some sleepless nights. On a few occasions, it was after I had lost at trial; I would lie in bed and think of what I did wrong.

Other times, though, my sleepless hours came after I had won a trial or gotten what I wanted at sentencing. The haunting question was always the same: What if I was wrong?

Some might consider that admission a sign of weakness or a lack of resolve, but in retrospect, I see those nights as ones in which I was fully human. The cost of being wrong as a prosecutor is almost unthinkable. This is especially true in a capital case, such as the recent and tumultuous end game in the Troy Davis case in Georgia. Davis' final appeals to the state of Georgia were denied, despite the fact that seven of the nine witnesses against him had recanted their stories. His last hope, the U.S. Supreme Court, denied his application for a stay of execution on Wednesday night, sealing his fate. He was executed shortly after 11 p.m.

The meaningful cases in law almost always involve a clash of virtues. School prayer cases, for instance, sometimes balance two virtues reflected in the Constitution itself: The guarantee of free exercise of religion, and a bar on the establishment of a state religion.

In the Troy Davis case, what virtues were in conflict?

On the side of execution without further delay, the virtue upheld is that of "finality of judgment." That is, once a verdict and judgment are rendered, it should be difficult to upset. Victims' family members sometimes see a promise in that judgment, and finality renders a certainty to the process that some see as promoting deterrence of crime.

Congress, in passing bills such as 1996's Anti-Terrorism and Effective Death Penalty Act (which strictly limited the ability of someone like Troy Davis to receive relief by petitioning for a writ of habeas corpus), sought to promote this value. The Supreme Court has also repeatedly cited "finality of judgment" as an important value in cutting off appeals.

Other than the mention of capital punishment itself, it is hard to see much support in the Constitution for the virtue of finality.

On the other hand, those seeking to delay the execution of Davis for reconsideration of the evidence promoted other virtues: deliberation and mercy. Unlike "finality of judgment," these virtues are firmly rooted in the Constitution itself and the core values of Americans.

Deliberation is a predominant central virtue promoted by the Constitution. That document requires that in criminal cases, there be an initial appearance, indictment by a grand jury, representation by counsel and the right to not only appeal a conviction but to petition for habeas corpus. All of these slow down the process. Above all, our Constitution expressly mandates "Due Process," even when that process produces delay and uncertainty, as it is bound to do. Deliberation is what makes us civilized, and when it fails, we fail profoundly.

A second virtue, mercy, is also an explicit part of the Constitution. The federalists insisted on the inclusion of the pardon power, for example, for the express reason that it gives the system some outlet for this core virtue. (In Davis' case, it is the Georgia Board of Pardons and Parole that had the power to grant clemency).

The first signer of that Constitution was George Washington, who then lived out the virtues of that Constitution as president. He was literally the commander-in-chief; when the Whiskey Rebellion arose in western Pennsylvania, he personally led the army to quell the rebels, astride a white horse. Just as importantly, living out the constitutional virtue of mercy, he pardoned those rebels who were sentenced to hang for treason.

The Troy Davis case shows us a truth: We have wandered too far from our own best virtues.

If we are to err, let it be on the side of deliberation and mercy, rather than the unsettling finality we have seen pursued by the state of Georgia. Should we choose those better virtues, we might all sleep better.

The opinions expressed in this commentary are solely those of Mark Osler.

@highlight

Mark Osler: Courts considering Troy Davis case had to balance values

@highlight

He says the argument to proceed was the virtue of "finality of judgment"

@highlight

He says conflicting values relate to due process and the virtue of mercy

@highlight

Osler: We should err on the side of further deliberation and of mercy