(CNN) -- Counting was under way Sunday in Myanmar's first election in 20 years, a poll that critics say is aimed at creating a facade of democracy.

Polls closed Sunday and officials results were not immediately available, though critics say that the outcome was all but certain to be favorable to the ruling military junta.

Riot police roamed streets in the city of Yangon, the former national capital that is also known as Rangoon.

Election workers for the Union for Solidarity and Development (USD) had campaigned in the countryside, where many rural residents didn't know how to vote. The party is supported by the governing junta of mostly of ex-military members.

"These are our candidates for this region," a USD election worker told one resident. "It is not important to put down the name of the party, but the people have to know our symbol and make their mark right here."

Because many citizens in rural areas know so little about the political process, election workers said they also had to show people how to vote.

"I am not just campaigning for our party," the election worker said. "I am educating the people on how to vote. Many people don't know how to vote."

Their word is very influential -- especially in rural areas, where most people in the nation live.

"I don't know anything about the election," one woman said. "If someone tells me what to vote, I will follow that guideline."

Opposition parties like the National Democratic Force (NDF) are complaining that a lack of money is keeping them from running and campaigning in most areas of the country. An NDF representative said the party will only contest in about 15 percent of constituencies.

Several residents said they did not expect any change as a result of the election.

"Nothing will change after the election," a farmer said. "The government is not trying to convince us. We don't matter to them because we are poor."

Not that it seems to matter to him.

"I don't care who will be elected," he said. "I don't know whom I will vote for because I have no knowledge of politics."

Government critics say the election is a sham, and Nobel Peace Prize-winning democracy activist Aung San Suu Kyi has rejected voting in the elections, her lawyer said.

The National League for Democracy, Suu Kyi's party, announced in March that it would not participate. A new law forced the NLD to choose between honoring Suu Kyi as its leader and risking the party being declared illegal, or ejecting Suu Kyi from the party and contesting the elections.

"Since NLD is not participating in this coming election, she doesn't want to vote," her lawyer Nyan Win said in October.

Suu Kyi's party won a landslide election victory in 1990, but the military junta rejected the results. This year, the generals refused to allow international monitors to oversee the election and recently overhauled Myanmar's constitution in a way critics say is aimed at tightening the regime's grip.

The constitution now requires more than 100 military nominees in parliament. Myanmar, also known as Burma, has been under military rule since 1962.

In October, the military regime rejected international monitoring of Sunday's elections.

"Since we have many experiences in election, we don't need experts on this issue," said Thein Soe, chairman of the election commission.

"And since we have all ambassadors who are representing their countries, we don't think we need to invite any special group to observe the election since all the ambassadors are here and can watch it on election day," he added.

U.S. President Barack Obama strongly criticized the elections in a statement Sunday.

The elections, he said, "were neither free nor fair, and failed to meet any of the internationally accepted standards associated with legitimate elections. The elections were based on a fundamentally flawed process and demonstrated the regime's continued preference for repression and restriction over inclusion and transparency."

Opinion: Why the U.S. must not give up on Myanmar

One of the biggest flaws was the imprisonment of more than 2,100 political prisoners, who were denied the opportunity to participate, Obama said. The biased electoral commission left opposition candidates sidelined, he said, and the junta has denied registrations for some ethnic parties and canceled the vote in certain ethnic areas.

U.S. Secretary of State Hillary Clinton also criticized the country's rulers on Sunday.

Speaking during a visit to Australia, Clinton said the country was holding "flawed elections that once again expose the abuses of the military junta." And in a statement issued later Sunday, she said the generals "missed an opportunity to begin genuine transition toward democratic governance and national reconciliation."

"Burma's leaders must come to realize -- after five decades of sustained internal conflict, economic mismanagement, and international pariah status -- that Burma needs a better way forward, a way that does not rely on suppression but rather strives to create a truly democratic and prosperous future for the Burmese people," Clinton said. The United States continues to insist on the "immediate and unconditional release of all political prisoners," including Suu Kyi, and will maintain its sanctions against leading members of the regime, she said.

Suu Kyi has spent most of the past 20 years under house arrest, and the regime recently passed a law that made her ineligible to run because of a court conviction. The Nobel laureate has called the law unjust.

A Myanmar court convicted Suu Kyi in August 2009 for breaching the terms of her house arrest after American John Yettaw swam uninvited to her lakeside house in Yangon and briefly stayed there. In February, a court rejected her appeal for release.

Suu Kyi's current house arrest is due to end in mid-November, but her lawyers are skeptical that the military junta will release her. Her supporters have said her latest conviction was a way to remove her from the election campaign.

@highlight

Obama says voting was not free or fair

@highlight

Voting ends in Myanmar's first election in 20 years

@highlight

Election workers for the ruling junta's party showed people how to vote

@highlight

Opposition parties say they don't have the money to campaign effectively