(CNN) -- A charity that raised close to $27 million to help animals worldwide spent nearly all of that money on fund-raising expenses paid to a direct-mail company.

In addition, CNN found that the charity, SPCA International, misrepresented one of its programs called "Baghdad Pups" on its tax filings and hired an officer for that program with a questionable background.

In 2010, SPCA International owed $8.4 million to Quadriga Art LLC and its affiliated company, Brickmill Marketing Services, according to publicly available Internal Revenue Service 990 tax records.

Quadriga Art is one of the world's largest direct-mail providers to charities and nonprofits. It is the same fund-raiser hired by two veterans charities that spent tens of millions of dollars for its services -- triggering a Senate investigation last month into whether one of the charities should retain its tax-exempt status.

That charity, Washington-based Disabled Veterans National Foundation, collected nearly $56 million in donations over the past three years yet paid Quadriga Art more than $60 million in fees, according to a CNN investigation into the charity's tax records.

The other veterans charity, National Veterans Foundation, raised more than $22 million in donations over the past three years to help veterans yet spent about $18.2 million to pay Quadriga Art, according to IRS 990 forms.

The animal charity SPCA International is still in debt to Quadriga Art, according to a spokeswoman for the direct-mail firm, adding that's part of the charity's "aggressive strategy" to build a broad donor base.

"That resulted in an expected high cost in the beginning of their acquisition program," said the spokeswoman, who declined to be named. She called SPCA International's efforts a "successful strategy."

Business tactics questioned

There's no question that a charity needs to spend money to raise money, according to Bob Ottenhoff, president of the charity watchdog group GuideStar. But he said that SPCA International's tax records raise "a number of red flags."

"No. 1, there is an enormous amount of money going into fund-raising," Ottenhoff said. "It's not unusual for a nonprofit to fund-raise. In fact they need to fund-raise. But this organization has an enormous amount of fund-raising costs, certainly relative to the amount of money being spent."

Of the $14 million raised in 2010, SPCA International reports it spent less than 0.5% -- about $60,000 -- in small cash grants to animal shelters across the United States. It also said it spent about $450,000 -- about 3% of the total raised in 2010 -- to bring back animals from Iraq and Afghanistan as part of its "Baghdad Pups" program.

On its website and its tax filings, SPCA International describes "Baghdad Pups" as a program that "helps U.S. troops safely transport home the companion animals they befriend in the war zone."

Yet the charity admitted that only 26 of the nearly 500 animals transported to the United States from Iraq and Afghanistan were actually service animals. The rest were stray animals, said Stephanie Scott, the charity's communications director.

And those 26 service animals were not attached to military K-9 units but belonged to Reed Inc., a private contractor that built roads in Iraq and Afghanistan.

To highlight the work of the "Baghdad Pups" program, spokeswoman Terri Crisp appeared on CNN's sister network, HLN, last year with "Ivy" and "Nugget," two former bomb-sniffing dogs she said were abandoned.

"As the military pulls out and there's not as great a need to have these dogs, there's a surplus," Crisp told HLN. "These contractors don't know what to do with them so these are the dogs that are falling through the cracks and they need homes desperately."

She said it's "unthinkable" that the military contractors do not return the dogs back to their countries of origin.

"And that's why SPCA International is trying to put a spotlight on this so these dogs are not overlooked," Crisp said.

But a spokesman for Reed, the contractor that employed the dogs, told CNN that the animals had been given secure new homes out of the war zone in Kurdistan and that Crisp had suddenly shown up "out of the blue" asking to take them to the United States.

When asked about those comments, SPCA International spokeswoman Scott told CNN the charity had "not heard that from Reed before" and said the dogs had been removed from "an uncaring environment in Iraq."

Questions raised about charity's management

It is not the first time questions have been raised about Crisp or charities with which she has been involved.

Crisp once headed a California-based animal rescue charity, Noah's Wish, that reached a settlement agreement in 2007 with the state of California. The California attorney general investigated whether contributions for "rescuing and caring for the animal victims of Hurricane Katrina" were used for that purpose.

In that settlement agreement from the summer of 2007, Crisp agreed not to "serve as an officer, director or trustee or in any position having the duties or responsibilities of an officer, director or trustee, with any non-profit organization for a period of five (5) years from the date of the execution of this Settlement Agreement."

Yet in a filing with the North Carolina secretary of state's office last year, SPCA International named Crisp in its list of officers and directors.

Crisp did not admit any wrongdoing in the California settlement, but the charity agreed to return $4 million in donations to California officials out of the $8 million raised by Noah's Wish.

When asked about the settlement agreement, SPCA International's Scott said, "We do not believe Terri Crisp is in violation of her settlement agreement in her capacity working for SPCA International."

Pierre Barnoti, who founded U.S.-based SPCA International in 2006, also has a questionable record as a charity manager.

Three years after he founded SPCA International and became its president, Barnoti was fired as the Montreal SPCA's president after leaving the Canadian charity deeply in debt to Quadriga Art, according to Nicholas Gilman, Montreal SPCA's executive director.

Gilman said that the Montreal SPCA still owes Quadriga Art nearly $2 million and that the American fund-raising company has a lien on the Montreal organization's headquarters building.

Barnoti told CNN he is fighting his dismissal and, when asked why he was fired, he responded, "It's not finished yet so there's no point in discussing something that still is ongoing."

He also defended Crisp, saying, "She is there under the bullets trying to save dogs and cats and bringing them back to the American soldiers who befriended them."

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

SPCA International raised nearly $27 million to help animals worldwide, tax records show

@highlight

Nearly all of that money was spent on fund-raising expenses, records show

@highlight

The charity also misrepresented its "Baghdad Pups" program

@highlight

It said the program resettled soldiers' companion animals, but most were strays