(CNN) -- Hawaii's Garden Isle, Kauai, may appear to run on a different clock than the rest of the world -- unless you happen to glance at those 24 timepieces lining the west wall of the island's Lihu'e Airport departure lobby in three neat rows.

Then, for however many seconds you wish to suspend your whole notion of time, it's the exact same hour, minute and second everywhere on the planet.

In Belfast and Bhopal.

Rio de Janeiro and Reykjavik.

Mogadishu and Santo Domingo.

And according to several other location-specific clocks straying from the usual Tokyo-Paris-New York scheme.

"When you look at these clocks it's a little bit odd," says Parker Croft, a Kauai-based architect, farmer and the creator of "Time for One World," an international art exhibit that aims to dispel, however momentarily, the whole divided (and delusive) notion of multiple times around the globe.

Inspired by Einstein ... and Y2K

Launched at Vermont's Burlington International Airport, the exhibit was conceived by Croft while working as a college professor in New England.

"It was 1999, shortly before the millennium change, and I was fascinated by that whole Y2K furor going on," recalls Croft. "It led me into researching what time is really all about and how -- as Einstein poignantly put it -- time is 'man's most pervasive illusion.'"

The world's time zones, notes Croft, are "currently based on political borders and outdated views of travel, commerce and communications. Divisions that are often illogical."

To address the point, the architect designed an alternative artistic model of a single, shared 24-hour cycle worldwide, which "challenges us to relax our preconceived notions of structures that are contrived and artificial."

One universe. One world. One time.

In Croft's model, time would be re-calibrated biannually on the equinoxes (fall and spring).

Leap Year adjustments would be replaced by a brief semi-annual time stoppage (about three hours), a "free time" recess dedicated to a worldwide celebration of humanity and relationships.

Can you imagine that?

Could John Lennon even imagine that?

Wounded Knee, Hiroshima, Falkland Islands represented

The overall effect of 24 oddly labeled clocks evoking universal time "can be unsettling for some -- even threatening," says Croft.

In fact, the curious clocks of Kauai serve to achieve the opposite. To unite and embrace.

"We are a planet that is joined in the beat of a single heartbeat," says Croft. "And that heartbeat is best appreciated when it's recognized and celebrated."

Travelers glancing at the distinctive Lihu'e Airport clocks, installed more than a decade ago (the installation is on long-term loan to the Lihu'e Airport, says Croft, but isn't necessarily permanent) have plenty to get their time-addled heads around before their flight departs.

There are no numbers on the clocks, which are divided into 24-hour faces instead of twelve, with each clock displaying the exact same time in perfect sync.

Then there are the 24 locations labeled below each clock -- selected from 24 separate 15-degree segments of the Earth's surface, and all associated with important historical events.

Ross Ice Shelf.

Falkland Islands.

Bikini Atoll.

Watts.

Not your typical wall clock reference points.

Auschwitz is written in Polish.

Hiroshima in Japanese.

Tiananmen Square in Mandarin.

Non-Sioux speakers will wonder where the clock labeled Cankpe O (Wounded Knee) refers to -- which is just the point.

Some references should be obvious enough (Chernobyl).

Others, like San Francisco (Summer of Love?) or Ahmedhabad (hint: Gandhi) or Injinoo may require personal interpretation or the services of Google.

Which is also the point.

"The inspiration for independent research is an important part of this mission," notes Croft. "The viewer's participation is critical."

A world without leap year

In a world as troubled and triumphant as this one, sliced into manufactured time zones that accentuate distance over connection, the presence of 24 perfectly synchronized world clocks beating as one in a small South Pacific airport might, at the very least, give travelers a moment's pause.

And beyond that?

Are there fans of Croft's suggestion to just stop time for three hours in the spring and fall?

"I don't think anyone takes it that seriously as a proposal," says Croft with a laugh. "But there are certainly fans of the art installation who take the notion of stopping to celebrate humanity quite seriously.

"Personally," he adds, "I think it would be a big improvement over New Year's Eve."

@highlight

Kauai's Lihu'e Airport is home to a unique collection of world clocks

@highlight

Each clock shows the time in locations with historic significance

@highlight

The installation is brainchild of a former university professor and current architect