(CNN) -- Surging rivers in the Czech Republic, Germany and Slovakia caused widespread flooding Wednesday in the region.

Heavy rains had swelled the Elbe, Danube and Vltava rivers over the weekend, along with smaller rivers and tributaries.

The flooding prompted the evacuation of about 25,000 people in Germany and about 20,000 in the Czech Republic, where about half of the country's regions were under a state of emergency, officials said.

Eight people have died as a result of the floods in the Czech Republic, fire service spokeswoman Nicole Zaoralova said.

Read more: Floods bring misery to central Europe

"The situation is still critical in the city of Usti," she said. "We are expecting the situation on the River Labe (Elbe) in the northern Bohemia region of Ustecko to become worse during the day. The river has not peaked yet, and the levels are rising."

More heavy rain was predicted for the weekend.

After it passes through Usti nad Labem, the Elbe crosses into the eastern German state of Saxony; German cities downstream such as Dresden were expecting the surge to arrive within two days.

The river was expected to crest Thursday or Friday near Dresden and Meissen at about 9 meters (30 feet); its average level is 2 meters, said CNN meteorologist Brandon Miller.

The crest will push northwest along the Elbe for the next several days but should peak below 2002 flood levels, he said.

The floods are thought to be the worst since August 2002, when swaths of Germany, the Czech Republic, Austria, Slovakia, Russia and Romania were submerged.

Mud clearing

A state of emergency has been declared in about half the regions of the Czech Republic, the European Emergency Response Center said.

The Czech fire service was moving heavy equipment to regions at risk, Zaoralova said.

In some areas of southern Bohemia, the focus was shifting to cleanup, with equipment deployed to clear mud.

Nearly 23,000 firefighters, including volunteers, were deployed across the Czech Republic, she said.

CNN iReport: Floods in Prague through a volunteer's eyes

The Vltava River had peaked in Prague, where waters were receding, but the fire service was monitoring the waters to clear any debris that could damage the capital's historic landmarks.

An excavator was moved onto the centuries-old Charles Bridge to protect it.

Volunteer efforts

Saxony appeared to be the most vulnerable area Wednesday, after river levels dropped slightly in much of Bavaria, to the south.

Warnings were in place around the rivers Elbe, Lausitzer Neisse, Mulde, tributaries of the upper Elbe, Black Elster, Spree and White Elster, according to the German meteorological service.

Danny Arguello, an international business student in Dresden, told CNN iReport that he was impressed by the outpouring of support as volunteers tried to protect the city.

"The participation around the whole town is just amazing," he said.

Volunteers were cooking food, moving sandbags and helping with other flood preparations, he said.

Water remained high on the Danube between Regensburg and Passau, in southern Bavaria, the meteorological service said.

In Passau, where the Danube is joined by two other rivers, levels broke a 500-year-old record Tuesday.

During a visit to affected areas Tuesday, German Chancellor Angela Merkel promised to deliver 100 million euros (more than $130 million) in emergency aid.

The German military has been aiding evacuation and flood defense efforts.

A fireman and a laborer died Saturday in Germany's southwestern state of Baden-Wuerttemberg, the state's Interior Ministry said.

A third man jumped into rushing flood waters in what the Interior Ministry said was an apparent suicide.

Two men who were clearing storm debris died in Austria in separate incidents, Austrian Interior Ministry spokesman Karl-Heinz Grundbock said. Three other people were missing, two of them swept away by rivers.

Floods and landslides prompted an emergency declaration in three Austrian regions, and a number of railways and roads remained blocked, the European Emergency Response Center said.

However, with water levels receding, the situation was improving.

Menace moves downstream

The Danube was threatening Slovakia too.

Waters had reached flood stage in the capital, Bratislava, and were expected to rise for the next day or two.

"We expect the situation in Slovakia to become critical on Thursday, when the Slovakian portion of the River Danube is expected to peak," said Silvia Jancovicova, a spokeswoman for the Slovakian fire department.

"We are currently preparing anti-flood barriers, and planning for the possibility of evacuation of some areas in Bratislava."

No flood-related deaths had been reported there, she said.

Also at risk was the southeastern Slovakian city of Kosice, where the mayor declared a flood emergency.

The flooding follows rains in the region over the weekend that fell on ground already saturated by a wet spring.

CNN's Sarah Brown and Victoria Eastwood contributed to this report.

@highlight

NEW: 13 people reported dead across the Czech Republic, Germany and Austria

@highlight

NEW: About 25,000 people displaced in Germany, 20,000 in Czech Republic, officials say

@highlight

The swollen Danube River threatens cities in Slovakia

@highlight

A cleanup operation has begun in southern Bohemia