Paris (CNN) -- This weekend I hosted part of the Global Summit of Women in Paris, set up by a Washington-based organization devoting its time to trying to further women's causes in the world.

From politics to business, leaders of countries and industries gathered to share their views on women's empowerment and how to harness their sisters' contribution to society.

Providing able and ambitious women with the tools for a successful career isn't just the right thing to do, it's good for business, as some of the biggest economies are finally beginning to grasp.

After two decades spent in the financial doldrums, Japan -- one of the most socially conservative societies on the planet -- is now counting on its hidden female potential to help drag the country out of its 20-year slump.

In Europe, thanks to the formidable commitment of EU commissioner Viviane Reding, among others, female participation has increased sharply.

But to really take hold, moves to mobilize women into the workforce will require more than the usual one-term parliamentary pledge. They need generational commitments, major shifts in the cultural mind-set and years of adaptation.

What's more, the prescription should not be the same for all countries.

Women in the developing world face a myriad different pressures from those in Europe and the U.S. They also have different priorities. So getting a local perspective is key.

While it's generally true that education is key to unlocking potential, girls are already doing better than boys at school in many parts of the globe.

But the glass ceiling remains an ever-present stumbling block.

Two-time President of Finland Tarja Halonen believes offering practical childcare options (for countries that can afford to do so) is the first step in helping to prevent women feel they have to choose between kids and a career.

Having powerful female role models also gives them encouragement to overcome the bias and stigma many working mothers face.

President of Malta Marie-Louise Coleiro Preca -- only the second woman to hold the post -- says the stereotypes of women as purely mother and wife material must be smashed while children are in the classroom. She believes the self-belief needed to succeed comes at a tender age.

It's fair to say that the choice between having a family and a future in work isn't always a binary one. Indeed, in today's day in age more women than ever before have managed to achieve both.

But, as Coleiro Preca points out, not all women have the luxury of choosing between staying home to raise their offspring and going out to work in a job they enjoy.

In some nations the lack of access to contraception prevents them from planning when they want to start a family. In others, women who want to take time out to raise their children, find themselves forced by their circumstances to have to take on a job they may not want.

"The reality is if you are poor you don't have a choice," she says. "So we need to think of better ways to serve these women as well."

Coleiro Preca believes that having more women in positions of power politically gives governments the sensitivity and empathy to look out for the marginalized.

One area where much has been achieved in a relatively short period of time is in the corporate sector.

Quotas forcing boards to bring on more women have done much to smash sexism in the clubby male world of capitalism.

Reding has spearheaded EU moves to make company boards 40% female.

But legislature for the very top of an organization can paint an artificial picture of the demographic further down the pay scale.

Women workers were particularly hardly hit during the rounds of layoffs in 2008, and an alarming number of them remain underemployed four years on -- stuck in jobs that are either part-time or lower paid than before.

Women make all sorts of contributions to society in ways that aren't just related to work and money. They play the vital role of raising the next generation.

But for those who also covet a rewarding career, we owe it to them to get the balance right.

READ MORE: The best country for women entrepreneurs is.....

READ MORE: Why we need to be smarter about quotas

@highlight

Nina dos Santos was a host at the Global Summit of Women, where she met business and political leaders

@highlight

She says countries are starting to discover how valuable able and ambitious women are in the workforce

@highlight

Yet still women face a myriad of issues including a lack of childcare and dearth of role models in senior roles

@highlight

Those in developing countries face far different issues to those in developed nations