(CNN) -- A new study by Pew Research Center finds that, more and more, married mothers are earning more than their husbands -- about 23%, up from 4% in 1960. That's nearly one in four families. And although men say they support equality, they are struggling with this new reality.

Take Mina and Rich. They had been married for five years when Mina was appointed dean of admissions at an elite liberal arts college across the country. The couple decided that Rich, a busy attorney in private practice, would take some time off to stay home with their two children, who were 1 and 3, until they decided whether the new town, and her new job, would be a long-term fit.

The new arrangement worked out well, at least at the start. But a few months into her new job, Mina wondered if Rich was really as happy as he insisted he was. She wondered the same about herself.

Although Rich was home all day, he still often expected Mina to cook dinner. Laundry piled up. He hadn't made an effort to make friends or form any connections outside the house. "I began to worry about our marriage for the first time ever," Mina told me. "As if I'd forced some change on him. He'd become a different person."

Although most men say they support -- even welcome -- the idea of a dual income household and equality in marriage, evidence shows that men whose wives earn more may actually be suffering on a number of levels. And that although the social pressure that once discouraged women from working outside the home has given way, the pressure on husbands to be the primary earner remains.

Samantha and Andrei were both struggling artists when they met. But when they decided to start a family, at least one of them needed a full-time job. They decided it would be Samantha, who had sidelined in real estate for a few months after college. Turns out, she was very good at selling houses.

Although Samantha's job afforded Andrei the ability to continue with his art, he seemed to grow more discontent by the week. He began to see a therapist, who suggested that he try antidepressants.

"I kept having to tell myself that not having to go out and sell houses was a good thing," he told me. "It sounds horrible, in fact. I was not jealous of her at all. And yet, she was the reason we could afford to pay our mortgage, or go on vacation. She was the one who made life possible for our daughter. And that was hard to accept, even when I could recognize I was thankful I didn't have to make the sacrifices she was making."

Andrei's feelings are entirely common. In "Breadwinner Wives and the Men They Marry," Randi Minetor writes that many unemployed or under-earning men feel wounded by what they see as their diminished status. Their self-esteem can suffer. This can eventually lead to feelings of resentment toward their spouse â€” sometimes conscious, but often unconscious â€” even if a guy has purposely opted to stay home, take time off, or willingly embark on a less fruitful career.

A recent study of more than 200,000 men conducted by Washington University's Olin Business School and published in the Personality and Social Psychology Bulletin found that men whose wives are the primary earner are about 10% more likely to require medication to combat such issues as insomnia, anxiety and erectile dysfunction.

Research conducted at Cornell and presented at the annual meeting of the American Sociological Association, meanwhile, found that men who earn significantly less than their female partners are five times more likely to cheat than those in relationships where incomes are more comparable.

But the answer, of course, isn't for women to revert to their traditional roles of cooking, cleaning and tending to the children while the man of the house is off bringing home the bacon. As more and more women rise to powerful positions in the workplace, the incidence of female breadwinners will continue to grow.

Husbands of these wives who may be experiencing feelings of depression and low self-esteem would be wise to have an honest conversation with their spouse, and themselves, to find out what's really bothering them. Oftentimes, it may not be the fact that their spouse earns more, but that their spouse may have less time to spend at home, or may be neglecting other areas of the relationship.

For those men who are considering following a less career-oriented path, it's important for the couple to make a decision together. Neither member of the couple should feel as if they were forced into a decision, or "trapped."

Keeping dialogue open between partners helps reinforce the fact that although the man is not working, or is earning less, he is still an equal partner. In the case of stay-at-home fathers, it's important for men to counter any issues of isolation and boredom by making sure they maintain friendships and interests outside the house.

Eventually, through hours and hours of conversations with Mina and many ups and downs at home, Rich came to not only accept his role as stay-at-home dad, and the lesser earner, but also to enjoy the opportunities it afforded him.

He was able to coach their son's soccer team, and he never missed a ballet recital. Once the kids began school, he reopened his private law practice part-time, taking only those cases that truly interested him. "I'd been worried he was becoming a different person, and he did become one," Mina told me. "But turns out different was better. At least for us."

The opinions expressed in this commentary are solely those of Peggy Drexler.

@highlight

A Pew study finds that in one in four families, mothers make more than fathers

@highlight

Peggy Drexler: Men say they support equality, but are struggling with this new reality

@highlight

She says husbands feeling low self-esteem must talk it over with spouse to find real reasons

@highlight

Drexler: It's important if a man is not working or is earning less, he is still an equal partner