(CNN) -- The struggle for women's rights against the backdrops of the Arab Spring and democratic progress in Africa will be recognized by this year's Nobel Peace Prize on Saturday, at a ceremony unlikely to repeat controversy seen last year.

Liberian President Ellen Johnson Sirleaf, and Leymah Gbowee, a social worker and peace campaigner from the same country, will share the prize with Tawakkul Karman, an activist and journalist who this year played a key opposition role in Yemen.

The three, chosen "for their non-violent struggle for the safety of women and for women's rights to full participation in peace-building work," will be honored in Oslo, Norway, during a program of events that culminates on Sunday in a star-studded concert.

All three will be interviewed by CNN's Jonathan Mann, a veteran of Nobel Peace Prize ceremonies, shortly after they receive their medals and $1.5 million in cash. The interviews and concert, hosted by actors Helen Mirren and Rosario Dawson, will be broadcast live online and mobile on CNN.com.

Acts performing at the concert include David Gray, Jill Scott, rock band Evanescence and country duo Sugarland.

Johnson Sirleaf, a 73-year-old Harvard graduate whose political resilience has earned her the nickname "Iron Lady," became Africa's first democratically-elected female president in 2006, three years after decades of civil war ended.

Crediting women with ending the conflict and challenging the dictatorship of former President Charles Taylor, she declared a zero-tolerance policy against corruption and made education compulsory and free for all primary-age children.

Gbowee, 39, led a women's movement that protested the use of rape and child soldiers in Liberia's civil war. She mobilized hundreds of women to force delegates at 2003 peace talks to sign a treaty - at one point calling for a "sex strike" until demands were met.

Read more about this year's Nobel Peace Prize winners

Although Karman, 32, emerged as an icon of change as Yemen was swept up in the tumult of the Arab Spring, the mother-of-three has long been active in campaigning for women and human rights.

Karman, the first Arab woman to win the Nobel Peace Prize -- and one of its youngest recipients -- founded the rights group Women Journalists without Chains, and emerged as a key figure in protests against President Ali Abdullah Saleh's regime.

While Johnson Sirleaf's Nobel achievement has stirred anger among Liberian political opponents who claim recent elections were rigged in her favour, this year's Nobel Peace Price is unlikely to attract the level of controversy seen in 2010.

China and more than a dozen other countries, including Russia, Saudi Arabia and Iran, boycotted the event over the decision to award the prize to Chinese dissident Liu Xiaobo, a key figure in the 1989 Tiananmen Square protests.

Read more about the Nobel Peace Prize

Liu, who is serving an 11-year-sentence in a Chinese prison for what the government called "inciting subversion of state power," was not allowed to travel to Norway to accept the prize, which China denounced as a "political farce."

Awarded almost every year since 1901 (it has been halted during times of major international conflict) the Peace Prize has a history of contentious laureates.

Previous winners include former U.S. Secretary of State Henry Kissinger, who won alongside Vietnamese revolutionary Le Duc Tho (who declined the award), and the late Palestinian leader Yasser Arafat, who won jointly with Israeli President Shimon Peres and former Israeli Prime Minister Yitzhak Rabin.

In 2009, the prize was awarded to U.S. President Barack Obama despite the fact he had spent less than one year in office. Two years earlier, former U.S. Vice President Al Gore was a joint recipient in recognition of work highlighting climate change.

â€¢ Just hours after officially receiving the Nobel Peace Prize, this year's three co-laureates sit down with Jonathan Mann for an hour-long special interview. The interview will broadcast live on CNN International and CNN.com on Saturday at 1600 GMT (11 am ET) and repeated on Sunday at 0300 GMT (10 pm ET Saturday).

â€¢ The concert in honor of the Nobel prize winners will be broadcast on CNN.com on Sunday between 1900-2000 GMT (2pm-3pm ET) and 2030-2130 GMT (3.30pm-4.30pm ET).

@highlight

Three women to jointly receive the 2011 Nobel Peace Prize

@highlight

Prize recognizes non-violent struggle of safety of women and women's rights

@highlight

Prize winners to be honored with a concert on Sunday hosted by Helen Mirren