Scotland will remain part of the United Kingdom -- along with England, Wales and Northern Ireland -- following a historic referendum vote.

By 55% to 45%, a majority of voters rejected the possibility of Scotland breaking away and becoming an independent nation.

Shortly afterward, Alex Salmond, the Scottish first minister and leader of the pro-independence Scottish National Party, announced his resignation from both posts, effective in November.

Salmond said he was proud of the campaign for independence, and that now was the time to hold the UK leadership to its promises of shifting more autonomy to Scotland.

"We now have the opportunity to hold Westminster's feet to the fire on the 'vow' that they have made to devolve further meaningful power to Scotland," he said in a statement. "This places Scotland in a very strong position."

UK Prime Minister David Cameron welcomed Scotland's decision in a televised statement outside 10 Downing Street, saying it was a clear result.

"Like millions of other people, I am delighted," he said.

Cameron said he would have been heartbroken to see the United Kingdom broken up -- but paid tribute to the efforts of both sides in the campaign.

"We hear you," he said to those who voted for independence, adding this was an opportunity to change the way people in the United Kingdom are governed, and "change it for the better."

His government has delivered on devolution in the past and will deliver on it again, Cameron said.

A "new and fair settlement" will be created for Scotland and for the other countries of the United Kingdom, he said.

Salmond accepted defeat in an earlier televised statement  -- and urged the rest of the pro-independence camp to do the same.

He thanked Scotland "for 1.6 million votes for Scottish independence" and said the turnout -- which electoral officials said was 84.6% from an electorate of more than 4.2 million -- was one of the highest in the democratic world for any such vote.

Queen Elizabeth II said the outcome of the vote will be met with a range of emotions, but was hopeful "that these emotions will be tempered by an understanding of the feelings of others."

"Now, as we move forward, we should remember that despite the range of views that have been expressed, we have in common an enduring love of Scotland, which is one of the things that helps to unite us all," the Queen said in a statement.

Sigh of relief

The final result in the referendum was 1,617,989 votes in favor of independence from the United Kingdom to 2,001,926 against.

This means the pro-union camp won by a margin of 55.25% of the vote to 44.65% -- a much wider gap than opinion polls in the final days leading up to the vote had suggested.

The result means the main political parties in Westminster -- and many people across the United Kingdom and Scotland -- can breathe a collective sigh of relief that the threat of a breakup of a centuries-old union is over. However, many on the "Yes" side will be bitterly disappointed.

The referendum was closely watched around the world, particularly in nations like Spain, whose Catalonia province is home to a vocal independence movement.

U.S. President Barack Obama welcomed the result and praised the Scots "for their full and energetic exercise of democracy."

"Through debate, discussion, and passionate yet peaceful deliberations, they reminded the world of Scotland's enormous contributions to the UK and the world," Obama said in a statement Friday morning. "We have no closer ally than the United Kingdom, and we look forward to continuing our strong and special relationship with all the people of Great Britain and Northern Ireland as we address the challenges facing the world today."

NATO Secretary General Anders Fogh Rasmussen also welcomed the news that the United Kingdom, a key member of the defense bloc, would remain united.

Investors liked what they saw. The pound was firm against the U.S. dollar and the euro, after recovering much of the ground lost earlier this month when surveys suggested Scotland was on the brink of abandoning the union.

Stock markets also rose, with shares in Scottish companies doing particularly well.

Darling: 'Unity over division'

Salmond, who heads the governing Scottish National Party, hailed the political engagement seen in Scotland during the campaign and appealed for unity going forward.

"Today of all days, as we bring Scotland together, let us not dwell on the distance we have fallen short. Let us dwell on the distance we have traveled and have confidence that a movement is abroad in Scotland that will take this nation forward, and we shall go forward as one nation," he said.

Salmond has previously said that if the "Yes" campaign lost the referendum there would not be another vote on independence in a generation.

Labour lawmaker Alistair Darling, who led the pro-union campaign in the Scottish referendum, hailed the result Friday but said that the message that the people of Scotland want change must be heard.

"The people of Scotland have spoken," he said."We have chosen unity over division and positive change rather than needless separation.

"Today is a momentous result for Scotland and also for the United Kingdom as a whole -- by confirming our place within the union we reaffirm all that we have in common and the bonds that tie us together. Let them never be broken."

He gave a commitment that the political changes promised by the Westminster parties -- involving the devolution of more powers to Scotland -- would be kept.

Darling also called for the country to unify after debate that "has created some fairly deep divisions in our country," and a campaign "that has both energized but at times divided" the Scottish people.

"Those divisions now need to be addressed and that requires leadership," he said, promising to play his part.

Scottish teens face historic vote

Clegg: Radical package of powers

Deputy Prime Minister Nick Clegg, whose Liberal Democrats are in a coalition government with Cameron's Conservatives, said he was "absolutely delighted" by the result.

"But a vote against independence was clearly not a vote against change and we must now deliver on time and in full the radical package of newly devolved powers to Scotland," he said.

"At the same time, this referendum north of the border has led to demand for constitutional reform across the United Kingdom as people south of the border also want more control and freedom in their own hands rather than power being hoarded in Westminster."

Labour Party leader Ed Miliband also hailed a "historic achievement" in keeping the union together.

He promised change across the United Kingdom in a speech to supporters in which he looked forward to the general election battle due next May.

The first of the 32 councils to declare all went to the "No" campaign, as did the capital, Edinburgh, which voted overwhelmingly to stay in the union. Fife and Aberdeenshire also voted "No."

Glasgow delivered a solid win for the independence camp but the lead was not big enough to overturn the "No" camp's overall majority. Dundee, North Lanarkshire and West Dunbartonshire were the only other councils to vote "Yes."

Political fallout

Scotland has had a devolved government since 1999, meaning many, but not all, decisions are made at the Scottish Parliament in Holyrood, Edinburgh.

As opinion polls showed the lead held by the "no" vote shrinking fast in the days leading up to the referendum, the leaders of all three main parties in Westminster responded with the promise to give major new powers over tax, spending and social welfare to Scotland if it stuck with the United Kingdom.

Now the party leaders face the challenge of pushing those changes through a possibly rebellious Parliament on a tight timetable.

The process of handing over those new powers will start from Friday, Cameron said in a speech in Aberdeen earlier this week, with draft legislation expected as soon as January. "This is a timetable that is now agreed by all the main political parties and set in stone and I am prepared to work with all the main parties to deliver this during 2015," he said.

Although Scotland has chosen to stick with the union -- staving off potential calls for his resignation -- Cameron will still face political fallout over the vote.

Critics have accused him of complacency during the long months of campaigning when Salmond's "Yes Scotland" campaign was laying the groundwork for its late surge. Cameron's longtime Labour rival, former Prime Minister Gordon Brown, is credited by many with bringing the vital energy that eventually carried a lackluster "No" campaign to victory.

Critics have also accused Cameron and the other main party leaders of giving away too much in a last-ditch effort to keep Scottish voters on board.

It remains to be seen how the promise to give greater powers also to England, Wales and Northern Ireland will be borne out.

Cameron will also likely face difficult questions over his own leadership in the run-up to a general election due to take place next May.

@highlight

Queen says she hopes "emotions will be tempered" by understanding

@highlight

Final results give pro-union camp 55% of the vote to 45% for independence camp

@highlight

Scottish first minister, who also leads pro-independence party, to resign both posts

@highlight

"We hear you," Prime Minister David Cameron says, vows to change UK for the better