(CNN)You could be forgiven for thinking that Italy's second city is all about fashion and finance.

But go beyond the banks and boutiques and Milan offers a world of subterranean secrets, surreal meals and -- when its party scene gets too much -- silence.

Above all, Milan offers an experience of Italy that sometimes feels very un-Italian.

Here are a few things to know before you go.

1. All roads lead away from Rome

Rome might be Italy's eternal city, but it has an intense rivalry with Milan.

While Rome is the seat of political power, Milan has the banks, the stock exchange and, of course, Italy's power houses of style.

Romans have been known to say the best thing about Milan is the train back to Rome.

But that doesn't stop them having the time of their lives partying here.

2. Restaurants often close early

Milan is a northern city -- it doesn't move to the Mediterranean beat of other parts of Italy.

Restaurants away from the boutiques and clubs can stick to rigid opening hours and may be unwilling to serve you lunch after 1.30 p.m., or dinner after 8.30 p.m.

The Milanese are known to be extremely punctual, so if you reserve a table, it's best to get there on the dot.

3. Less espresso, more long coffee

If you're bored with chain store coffee, Milan will be heaven

But don't expect to the strong, bitter, pungent taste of Italian espresso.

Milanese tend to drink their coffee quite long, with added water.

This is no doubt to help them linger over the amazing array of pastries and cakes the city has to offer.

Panettone, Italy's traditional Christmas desert loaf, was invented in Milan

Sant'Ambroeus (Corso Matteotti; +39 2 76 00 05 40) is one of the oldest pastry shops in town.

4. Happy hour is aperitivo hour

Milan rules when it comes to laid back lounges, wild cocktails and gourmet bar snacks.

The city is known for its love of the "spritz" -- a blend of prosecco, soda and a fruity Italian aperitif by the name of Aperol.

Basso Bar (Via Plinio 39; +39 2 29 40 05 80) is the birthplace of Negroni Sbagliato -- a happy accident created when a busy barman mixed a Negroni cocktail with spumante instead of gin.

At the Armani Bamboo Bar (Via Manzoni 31; +39 2 88 83 87 03) traditional Italian dishes have been turned into cocktails.

The Caprese Mary mixes vodka, tomato juice, basil and mozzarella, while the distinctly fishy Cacciucco Experience features swordfish broth and anchovy cream.

At Pavé (Via Felice Casati 27; +39 2 94 39 22 59), the rhubarb cocktails are served alongside fancy finger food.

5. Eating can get experimental

Milan isn't scared of tinkering with the tried and trusted Italian dining experience.

Bianca's (Via Panizza 10; +39 2 45 40 90 37) offers a Tarte Tatin of caramelized apples, foie gras dipped in Marsala wine and chocolate crumble.

Its Puntarelle salad dressing is made of vinegar and house-made raspberry sauce.

At Cinc's  (Via Formentini 5; +39 2 36 55 02 57) there's a rice pie with a topping made of cinnamon melted in warm cream and mixed with Parmesan.

The Risotto Acquerello at Don Carlos (Via Manzoni 29; +39 2 72 31 46 40) is cooked in Gorgonzola cheese, pears and licorice.

6. It's not just about the F-words

Yes there's the fashion and finance.

But Milan is also a city with a rich Roman and Spanish heritage -- even if some if it lies buried from view.

Deep beneath Milan's Duomo cathedral lies a maze of underground galleries, some dating to the 4th century.

Visitors can join guided tours inside this subterranean world (Viale Romagna 46; +39 2 36 56 56 94).

As well as lending its name to a formidable looking orthopedic brace back in the 15th century, Sforza Castle (Piazza Castello 1; +39 2 88 46 37 00) stands as a potent symbol of Milanese grandeur.

Piazza Vetra, where witches were burned to death, offers a spookier side to the city.

And there's always "The Last Supper."

The Leonardo Da Vinci masterpiece that, for better or for worse, inspired Dan Brown can be seen at Cenacolo Vinciano (Piazza Santa Maria delle Grazie 2).

7. Navigli rules the night

Navigli is the city's most stylish district, the pulsing heart of Milan's party scene, where the young, hip and effortlessly cool hang out at bars and restaurants lining a network of canals.

Among the best places to eat is Eppol (Via di Porta Ticinese 65; +39 2 36 79 82 90), home of the odd-sounding ham and whiskey club sandwich.

Once you're partied out, you can hit the dreamy quiet of Milan's Quadrilatero del Silenzio.

Art historians at Milano Guida offer tours of this "silent" neighborhood's mosaics, weird statues, secret gardens swarming with flamingos, and quirky architecture that includes a huge, ear-shaped door bell.

Silvia Marchetti is a freelance journalist and writer based in Italy.

@highlight

Restaurants off the beaten track might be unwilling to serve you dinner after 8.30 p.m.

@highlight

Milanese tend to drink their coffee long, with added water, rather than espressos favored elsewhere in Italy

@highlight

Milan's chefs aren't afraid of tinkering with the tried and trusted Italian dining experience