(CNN) -- According to the conventional wisdom, lame duck presidents can't do very much. The popular image is that they are killing time, maybe grabbing a beer with the locals, until the new guy or gal comes to town.

There are many reasons why the lame duck period is so daunting. Presidents can't scare their opponents with the threat of what they will do in or after the next election, while opponents are prepared to double down in their obstruction to destroy the legacy of the White House and prevent a departing president from making gains that will benefit his party.

For voters, gone is the thrill of the original election. Now they are well aware of all the president's flaws and failures. At the same time, members of the president's party in Congress are reluctant to take any more big risks for their leader given that he will soon be goneâ€”and hopefully they will not.

But the truth is that a lot can happen in the final years of a presidency. The notion that this is dead political time doesn't hold water. While all the obstacles facing presidents in the lame duck period are very real, there are a number of factors that can allow a president to make significant progress at this key moment.

A crisis is the most important factor. Stuff happens in politics, and sometimes a crisis creates a window of opportunity for presidential action even when Congress has been gridlocked for long periods. When major crises occurâ€”whether economic, humanitarian, natural or national security--presidents can find that public pressure is so great for government action they can twist and turn Congress into action.

This has happened many times. Most recently, President George W. Bush was able to implement the surge in Iraq when his policies in 2007 seemed to be failing. Even though the public had turned against him and Congress came under Democratic control in 2006, the Iraqi civil war created room for action. When the bottom fell out of financial markets in fall 2008, Bush was also able to push through the TARP program that bailed out the banks and restored some stability to financial markets.

On the surface President Obama faces a crisis in the Middle East and Eastern Europe that will further drag him down. This weekend he reached out to Israeli Prime Minister Benajmin Netanyahu to try to encourage efforts for peace in the Middle East. Many people are skeptical that the president will have much luck achieving any kind of breakthrough.

But if Secretary of State John Kerry can manage to broker a cease-fire, combined with some broader accord that stabilizes the situation in the Middle East, this could be considered one of the President's greatest triumphs.

And if Obama can bring international pressure to bear on Russia and its allied rebels to a point that President Vladimir Putin backs off from his aggressive path, this too could prove to be a credit to the President's record.

On domestic policy the multiple court decisions that continue to raise questions about the Affordable Care Act could create an opportunity for President Obama to go back to Congress to fix and strengthen the legislation.

International diplomatic pressure is a force that can operate outside the normal political cycle. Sometimes actions by foreign leaders can emerge to provide huge opportunities for effective leadership.

This was certainly the case with Mikhail Gorbachev, who pushed hard to complete negotiations over the Intermediate-Range Nuclear Forces Treaty in 1987 even as President Ronald Reagan faced intense push-back from the right. The result was that Reagan regained his standing after the disastrous impact of the Iran Contra scandal and in 1987 signed an agreement that is considered one of his most important achievements. Today, with world events so chaotic, President Obama would be eager and receptive to any new voice that emerges from the tumult to help achieve peace.

Midterms can also push elected officials toward agreements. Voters can shift the political winds in Washington. If Republicans do extremely well in 2014, as conservatives hope, the results could embolden the GOP and perhaps frighten Democrats into deals on issues like border control.

If Democrats do better than expected, holding back the traditional losses that usually take place, they could end up causing fear among Republicans that they need to make some deals or they will do even worse in the 2016 election. President Obama could use that kind of leverage to push through the immigration reform plan that has eluded him.

When the GOP only scored meager gains in the 1998 midterm elections, which came at the height of the effort to impeach President Bill Clinton, Republicans came out fearful that they had gone too far and were losing ground as the party of extremism. In Clinton's final years he was able to reach some deals with the Republican Congress on deficit reduction that bolstered his own standing.

Finally, part of how the lame duck period unfolds will depend on how much political risk President Obama is willing to take to get things done, either through executive action or the legislative process. It is possible that in these final years a president can lose some of the inhibitions that shaped his time in office to take a chance on bold moves that upset his own party.

In 1968, when President Lyndon Johnson was trying to get a 10% tax surcharge through Congress that would help finance the Great Society even while continuing the war in Vietnam, congressional conservatives insisted on steep spending cuts that were intolerable to liberals.

After announcing in March 1968 that he would not run for re-election, Johnson agreed to the cuts and obtained the revenue he needed. In 1980, after having lost to Ronald Reagan, Senate Democrats agreed to a series of compromises on legislation to protect 100 million acres of land in the Alaska wilderness, realizing they would get a much worse deal after Reagan was in the White House, to pass a bill that became a landmark of environmental protection.

As his second term begins to wind down, President Obama could, for instance, continue to move aggressively by using executive orders to achieve more progress on climate change. He could also return to discussion of some kind of deal on Social Security and Medicare that he has been talking about for years, even though it would certainly anger the base of his party. He could tackle some issues, like urban poverty or campaign finance reform, that he has mostly put aside since taking office.

So watch out for the lame duck period: President Obama's supporters should be a little more optimistic about what can happen in the next few years; while his opponents shouldn't be so confident that they will rule the roost.

History shows that the next few years could be a highly creative and significant period in Obama's presidency. Just when things seem most desperate, presidents have sometimes found the space they need in the closing months of their term to make gains.

Join us on Facebook.com/CNNOpinion.

@highlight

Popular image is that lame duck presidents are powerless, just serving out their term

@highlight

Julian Zelizer: Lame ducks actually can accomplish things, by responding to crises

@highlight

Don't write off the chance of Mideast breakthrough by President Obama, he says

@highlight

Zelizer: Circumstances can create powerful opportunities for change