(CNN) -- A death row prisoner in Georgia has not proven his innocence, a federal court ruled, according to papers released Tuesday.

Troy Davis faces execution for the killing of a Savannah, Georgia, police officer in 1989. He has always said he did not kill Officer Mark MacPhail.

The Supreme Court granted a stay of execution for him two hours before he was set to die in 2008, and another federal court later granted him another stay as he fought to overturn his conviction.

The Supreme Court last year ordered a lower court to look at the evidence again.

But the U.S. District Court for the Southern District of Georgia has now found Davis has not exonerated himself.

"Mr. Davis vastly overstates the value of his evidence of innocence. ... Some of the evidence is not credible and would be disregarded by a reasonable juror. ... Other evidence that Mr. Davis brought forward is too general to provide anything more than smoke and mirrors," the court found.

Davis can still appeal to the 11th Circuit U.S. Court of Appeals, and if that fails, to the Supreme Court again.

His sister, Martina Correia, said Tuesday afternoon she had not yet had a chance to discuss the decision with Davis, who is sitting on death row at Baldwin State Prison in Hardwick, Georgia.

She spoke to him a couple of days ago, she said, but they did not discuss the impending decision.

"Of course, we're very disappointed," she said. "Troy's innocent, so we're going to keep fighting. We're going to appeal this decision."

She said she and the lawyers were still reading the court's decision, so she wasn't prepared to discuss the next step in her brother's defense strategy.

Witnesses claimed Davis, then 19, and two others were harassing a homeless man in a Burger King restaurant parking lot when the off-duty officer arrived to help the man.

Witnesses testified at trial that Davis then shot MacPhail twice and fled.

But since his 1991 conviction, seven of the nine witnesses against him have recanted their testimony. No physical evidence was presented linking Davis to the killing of the policeman.

Supreme Court Justice John Paul Stevens ordered a federal judge in August 2009 to "receive testimony and make findings of fact as to whether evidence that could not have been obtained at trial clearly establishes petitioner's innocence."

Stevens, who has since retired, said the risk of putting a potentially innocent man to death "provides adequate justification" for another evidentiary hearing.

Davis' case has had a dramatic series of ups and downs. He was granted a stay of execution by the Supreme Court two hours before he was to be put to death. A month later the justices reversed course and allowed the execution to proceed, but a federal appeals court then issued another stay.

Davis filed an "original writ of habeas corpus," which allowed him to bypass lower federal courts and make his appeal directly to the high court.

What's unusual about Davis' case is that such action is hardly ever successful.

The Supreme Court often discourages claimants from maneuvering around the lower courts whose job it is to handle such appeals.

In his dissent, Justice Antonin Scalia noted that the Supreme Court had not granted similar relief "in nearly 50 years."

In June 2009, Davis supporters delivered petitions bearing about 60,000 signatures to Chatham County, Georgia, District Attorney Larry Chisolm, calling for a new trial.

Chisolm is the county's first African-American district attorney. Davis is also African-American.

The Georgia Pardons and Parole Board held closed-door hearings and reinterviewed the witnesses and Davis himself in 2008. The panel decided against clemency.

Prominent figures ranging from the pope to the musical group Indigo Girls have asked Georgia to grant Davis a new trial.

Amnesty International has also backed a new trial for Davis.

Other supporters include celebrities Susan Sarandon and Harry Belafonte; world leaders such as former President Jimmy Carter and former Archbishop Desmond Tutu; and former and current U.S. lawmakers Bob Barr, Carol Moseley Braun and John Lewis.

CNN's Bill Mears and Eliott C. McLaughlin contributed to this report.

@highlight

NEW: Troy Davis's sister says she is disappointed and will keep fighting

@highlight

The evidence Davis presented is "not credible" or "smoke and mirrors," court finds

@highlight

Davis faces execution for killing an off-duty police officer in 1989 but says he is innocent

@highlight

He was convicted in 1991 but witnesses have since recanted their testimony