(CNN) -- The Rev. Martin Luther King Jr.'s words, written in April 1963 from a jail cell in Birmingham, Alabama, ring as true today as they did then:

"Injustice anywhere is a threat to justice everywhere. We are caught in an inescapable network of mutuality, tied in a single garment of destiny. Whatever affects one directly, affects all indirectly."

This is a profound part of the testimony of black history in America. What King knew was that the fullest potential of our nation will never be achieved until all Americans have the ability to access the freedom, justice and equality that we so proudly proclaim.

I am keenly aware that it was the courage of countless Americans confronting the bigotry, disadvantage and institutional biases of the past that blazed a trail allowing my family to thrive. My ancestors worked hard and sacrificed for their success, yet, but for the collective struggle of those dedicated to a more just and inclusive America, they would not have succeeded.

Sen. Tim Scott: I have lived the power of the American Dream

This generation can never fully repay those who struggled to build a better America -- the names and faces at the center of Black History Month who changed the course of our collective American history. But we can honor them by paying it forward, by working to create tides that lift more boats.

Because we remain a country falling short of its highest ideals. There is work to do. We can all do better, achieve more as a nation, if we dedicate ourselves to continuing to address our persistently painful inequality of opportunity and justice.

For example, in health care and education we have made much progress, but racial disparities and cyclical poverty highlight our nation's unfinished business. And it's a reality that hurts all Americans.

Black patients overall receive a lower quality of care than white patients. African-Americans are far more likely than white Americans to use hospitals or clinics as their primary source of care, and about 20% of African-Americans lack any consistent source of health care.

Meanwhile, only 54% of African-Americans graduate from high school, compared with more than three quarters of white and Asian students.

So what do we do to fix this?

The Affordable Care Act is clearly an important step in providing affordable, quality health care for all Americans -- a step that prioritizes lifesaving preventive care.

We need to make smarter investments in our schools, and that includes investing where it can make the most difference -- by providing every child with access to a high-quality pre-k program.

Closing the classroom achievement gap also means acknowledging that education starts in the home.

Providing for better health and better education is a powerful way to break the momentum of poverty, allowing people to reach their potential.

And if we want to do more, we have to strengthen families.

That, of course, means advancing initiatives such as paid family leave, so parents don't have to choose between taking care of a sick child or parent and keeping their job. It also means doing more to help first-time, at-risk moms through proven programs that provide them and their children with home nurse care.

But we also must acknowledge that one of the most important determinants of social mobility and achievement is whether or not a child comes from a two-parent household. Clearly, we need to be doing more to support single parents, but there are also strategies to encourage parents to stay to together.

Reforming America's broken criminal justice system is near the top of the list.

As the former mayor of Newark, I witnessed countless families torn apart when one parent went to jail for a nonviolent drug offense. That incarceration kicked off a chain reaction of events that impacted not only the person incarcerated, but their entire family: divorce, long-term joblessness and poverty.

Our failed criminal justice system has become our country's greatest civil rights and civil liberties challenge. The U.S. incarcerates a greater percentage of its population than any other nation in the world, and the corrections system costs taxpayers about $70 billion a year.

And again, we see the black community suffering more than other groups: African-American offenders on average receive sentences 10% longer than white offenders for the same crimes, and they are 20% more likely to be sentenced to prison. More than 60% of the prison population is comprised of racial and ethnic minorities.

We need to think creatively about how to fix problems, not just lock people up and look the other way, hoping for a different outcome. We need to think differently about why we punish, how we punish and for how long we punish. We need to think about how to keep families together, make communities safer and save taxpayer dollars.

When faced with this array of problems, it is easy to despair. But I am filled with hope, and, particularly during Black History Month, draw inspiration from those who tackled and overcame the challenges of the past.

Yes, challenges still exist, even as we celebrate how far we've come. The question now is, how will we meet them?

The answer to that question will ultimately define this generation's legacy. Let's rise to this challenge. The future success of our nation depends upon us resolving to carry on the struggle that has brought us this far.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Sen. Cory Booker.

@highlight

Sen. Cory Booker says racial disparities and poverty are among America's unfinished business

@highlight

Booker: We remain a country falling short of its highest ideals

@highlight

Booker: A failed criminal justice system has become our greatest civil rights challenge