(CNN) -- With construction cranes and steel skyscrapers dominating the skyline of Luanda, the capital of Angola, it is hard to overlook how far the southwestern African country has come since the end of its brutal civil war in 2002.

Over the last decade, the oil-rich nation has emerged from the wreckage of a 27-year vicious conflict to become today one of the major economic players in the continent.

As the country, sub-Saharan Africa's third-largest economy, heads to the polls Friday for its second peacetime elections, a new generation of post-war youth, many of whom have no direct memories of conflict, will cast their ballots for the first time.

"There's a new generation coming, emerging in the scene," says Markus Weimer, coordinator of the Angola Forum at Chatham House. "New generation, new ideas and new demands on the government which is very interesting and that is one of the reasons why these elections are so important."

New constitution

Friday's elections will only be Angola's third poll since the lusophone country gained independence from Portugal in 1975 -- elections in 1992 were abandoned midway and led to an outbreak of further violence, while the 2008 parliamentary vote was won by the ruling MPLA party with a landslide 82%.

Under the terms of a new constitution approved in 2010, the leader of the party that wins Friday's parliamentary vote will automatically become Angola's president.

"This is the first time since 1992 that the President will have a democratic mandate," says Weimer.

Watch: Angola's growth

Nine political parties and coalitions, including MPLA's civil war enemy UNITA, are running on Friday's elections, when more than nine million voters will go to the polls to elect the 220 members of the National Assembly.

Analysts expect MPLA to win again with a sizeable majority, allowing incumbent President Jose Eduardo dos Santos, who's been in power since 1979, to have five more years in office.

Opinion: Is oil-rich Angola a development success?

They note, however, that the ruling party's margin of victory will be smaller than in 2008.

"I think that the last elections where MPLA won the 82% of the vote is unlikely to be repeated," says Weimer. "That was a 'freak' sort of result that had many historical and social reasons -- the war, demographics, etc. -- but I think this is now going to drop."

Electoral process

In 2008, UNITA accused MPLA of rigging the elections after gaining 10% of the vote. The opposition party has also been complaining about irregularities since the start of the current election campaign, arguing that the MPLA controls the state media and undermines the electoral process.

While both the Southern African Development Community and the African Union have sent a team of election observers in Angola, the European Union has decided not to deploy a mission in the country -- in contrast to the 2008 poll.

"That could be a serious deficit," says Weimer, adding that "legitimacy is the most crucial issue" of Friday's vote. He notes that the ruling party has the most to lose if the poll is seen as illegitimate, both within the country and abroad.

"If these elections are fine and everything goes smoothly, then it will send a signal to the world that Angola is not just a country that is run by one person, but actually institutions than can provide stability," says Weimer.

Economic boom

The long-serving Dos Santos, who turned 70 on Tuesday, has maintained peace and political stability in the country since 2002, presiding over Angola's post-war economic growth and rebuilding efforts.

Greased by growing oil revenues and China's credit lines of billions of dollars, Angola's economy rocketed by an average annual growth of 17% from 2004 to 2008 before falling to single-digit figures after the 2008 crisis.

Watch: Angola's economic potential

Angola is the second-biggest oil producer in Africa, turning out more than 1.9 million barrels per day, and boasts an expanding investment portfolio in its former colonial master, Portugal, and other parts of Africa.

Tasked with rebuilding the country after decades of fighting, the government has pumped vast sums in recent years to repair a shattered infrastructure as well as build hospitals, universities and sports centers. Currently, it also allocates over 30% of its budget to social spending.

Sharing the oil wealth?

But despite the heady financial data and the progress made since 2002, Angola still remains one of the most unequal societies in the world. The country, which has a population of some 18 million people, ranks 148th out of 187 countries in the U.N.'s Human Development Index.

This year the economy is expected to expand by 8.2% but critics say the billions of dollars from oil revenues have failed to close the stark gap between a tiny wealthy elite and the millions of poor living without access to electricity, water supply and sanitation.

Next to the sleek skyscrapers and luxury apartments in Luanda, which was last year named as the world's most expensive city for expats, ramshackle shantytowns and crowded slums spread for miles toward every direction, housing millions of people living on less than $2 a day.

"The MPLA and this government has not developed the country. It's made lots of projects and has pulled in a lot of investments but nothing has actually trickled down," says Paula Cristina Roque, an Angola expert at Oxford University.

"We haven't seen peace dividends of the nature that we need to see to actually cut back the poverty levels in the country," she adds.

Corruption further exacerbates discontent among the population, with Angola ranked 168th out of 183 countries on Transparency International's 2011 Corruption Perceptions Index.

Calls for economy diversification

Last year, Angola's mining sector, dominated by oil, accounted for nearly half of the country's GDP.

But, with the petroleum sector providing jobs for 1% of the population, many have long been calling for the country to take more bold steps to diversify its economy to create jobs and help people lift out of poverty -- unemployment has been averaging an estimated 26% in the last five years.

"Whatever the Angolan economy does, it needs to create jobs, it needs to sustain itself beyond oil," says Roque.

"They absolutely need to diversify and very quickly."

New generation

Amid such a background, a number of small but consistent demonstrations have taken place in Angola since last year, revealing a growing frustration over the economic hardship still experienced by many in the country.

Over the last few months, civil war veterans have taken to the streets to demand overdue subsidy payments while parts of disgruntled youth and civil rights activists have also staged rallies to voice their concerns over the lack of jobs and opportunities.

Roque says the injection of a dynamic post-war youth into Angolan politics could shape the country's politics on Friday and beyond.

"People are no longer willing to give them [the government] a blind mandate," she says. "They're actually now wanting more accountability and we've started seeing that in every way...The fear barrier has been lifted in Angola."

@highlight

Angola is heading to the polls Friday for its second peacetime elections

@highlight

A new generation of post-war youth will vote for the first time

@highlight

Incumbent President Jose Eduardo dos Santos is expected to win

@highlight

The oil-rich country's economy is booming but inequality remains