The war on terror. Same-sex marriage. Voting rights. Financial scandals. Fast and Furious.

Attorney General Eric Holder's six-year tenure as the nation's chief law enforcement officer has been marked by an activist agenda and political confrontations on a range of legal, policy, and criminal matters.

"I've always liked this job. I've had some days that have been better than others," Holder told CNN's Justice Correspondent  Evan Perez last November. He hinted then that his remaining time in office would give him "the ability to focus on issues now that really matter to me."

Some of those things were sentencing reform for drug offenders and community policing outreach in the wake of the recent shooting of unarmed Missouri teenager Michael Brown.

For the 63-year-old Bronx native, it was his way to carve out a modern civil rights legacy that had the blessing of his good friend and confidante, President Barack Obama.

Holder will announce resignation

Ordered civil rights probe for Ferguson

Holder's response to the August shooting of Brown, an African-American, in the St. Louis suburb of Ferguson may be the lasting memory many Americans will have of this attorney general.

He ordered a broad federal civil rights probe of that city's mostly white police department, and this week spoke in personal tones about the level of mistrust many racial minorities have toward police.

"Will we yet again turn a blind eye to the hard truths that Ferguson exposed?" he said Tuesday. "Or will we finally accept this mandate for open and honest dialogue?"

The nation's first African-American attorney general has offered both unqualified support for local law enforcement while suggesting a "remake" of how it deals with many citizens of color.

"There has been no greater ally in the fight for justice, civil rights, equal rights and voting rights than Attorney General Holder," Myrlie Evers-Williams, widow of civil rights icon Medgar Evers, told CNN after news broke of Holder's decision to step down.

Obama and Holder hone their messages on race-tinged issues

Critics: 'Good riddance'

But critics of the Holder Justice Department have their own bitter memories of his tenure, especially on Fast and Furious, the gun trafficking controversy that led to him becoming the first sitting Cabinet member to be held in contempt of Congress.

The Bureau of Alcohol, Tobacco, Firearms and Explosives launched Operation Fast and Furious out of Arizona to track weapon purchases by Mexican drug cartels. However, it lost track of more than 1,000 firearms that the agency had allowed straw buyers to carry across the border, and two of those lost weapons turned up at the scene of the 2010 killing of U.S. Border Patrol agent Brian Terry.

Republican lawmakers had long demanded documents on the operation that Holder refused to turn over, launching a major fight over executive privilege.

"Good riddance Eric Holder," tweeted Rep. Jeff Duncan, R-South Carolina, after the Thursday announcement. "Your disregard for the Constitution of the United States will not be missed."

Who might replace Eric Holder?

Long-lasting legacy

Holder's legacy will be felt for years. In the coming months, the Supreme Court is poised to decide the constitutionality of same-sex marriage, an issue that was largely driven on a national scale by the attorney general.

He has repeatedly cited the Obama administration decision in 2011 to quit defending the Defense of Marriage Act, which eventually led to the June 2013 Supreme Court ruling striking down parts of the law requiring the federal government to deny recognition of legal same-sex marriages.

That strategy has led to state bans being toppled in rapid succession in the past year. Gay rights groups say Holder's leadership to make it easier for gays and lesbians to legally wed across the United States is seen by many activists as the civil rights issue of the new millennium.

"I believe we must be suspicious of legal classifications based solely on sexual orientation," Holder said this spring. "And we must endeavor -- in all of our efforts -- to uphold and advance the values that once led our forebears to declare unequivocally that all are created equal and entitled to equal opportunity."

Voting restriction laws

Holder also recently made a public push to fight what he calls "restrictive state laws" over the ability of voters -- especially minorities -- to cast ballots.

The Justice Department has sued Texas over its voter identification regulations, and a federal appeals court is hearing oral arguments Thursday over North Carolina's law limiting same-day registration and early voting.

Such an approach made Holder arguably one of the most controversial attorney generals in recent memory.

"With Eric Holder's departure, the nation can begin to heal. His was the most divisive tenure of any attorney general I can recall, tearing the country apart on racial and partisan lines," said Ilya Shapiro, a senior fellow at the libertarian Cato Institute. "By not just pushing but breaking through the envelope of plausible legal argument, Attorney General Holder has done his all to expand federal (especially executive) power and contract individual liberty beyond any constitutional recognition. Eric Holder will not be missed by those who support the rule of law."

Changes in sentencing guidelines

Perhaps the issue closest to the attorney general's heart was working to change sentencing guidelines to give prosecutors more flexibility in certain non-violent criminal cases. He and his aides have been pushing for rehabilitation instead of warehousing of prisoners, and getting rid of the disparity in the way the justice system deals with defendants charged in cocaine and crack cocaine crimes.

He is joined in that effort by Sen. Rand Paul, R-Kentucky, and other conservatives who have similar views on expanded individual rights.

But Holder's moves to use administrative memos to make effective changes before Congress passes new laws have also generated criticism.

Former Attorney General Michael Mukasey told CNN's Jake Tapper recently that he generally agreed with "the goal of getting rid of mandatory minimums... But the way to do that is to pass a law, not to say you're going to disregard the law."

Iowa Sen. Charles Grassley, the ranking Republican on the Judiciary Committee and a frequent Holder critic, has similarly criticized the Obama administration for taking action without waiting for Congress.

Holder endorses shorter sentences for drug offenders

Efforts on national security

On the national security front, Holder has been unsuccessful in his desire to close the Guantanamo military prison, where mostly Muslim terror suspects and other "enemy combatants" are being held, over the strong objections of many nations and  international human rights groups.

His department cites the successful prosecution of dozens of terror suspects in the civilian criminal justice system.

Holder this month also announced a program to try to thwart recruitment by extremist groups such as ISIS, attempting to involve social and mental health workers as well as religious leaders and police to spot radicalization early.

It was an effort to blend community outreach programs with stepped-up government surveillance, especially toward young Americans who would be willing to go overseas and join terror groups, including in Syria.

Despite those efforts, authorities say more than 100 Americans have traveled in recent years to join groups involved in the Syrian civil war. More than a dozen are believed to have joined ISIS, which calls itself the Islamic State.

"I think it's just a matter of time before they start looking outward and start looking at the West and at the United States in particular," Holder warned this summer, referring to ISIS recruitment efforts.

Balancing security and freedom

Many legal and security experts see a mixed record for the administration's efforts to balance security and freedom in a post-9/11 era. There has been criticism over the failure to prevent the leak of sensitive national security information by former NSA contractor Edward Snowden, who disclosed a secret, sweeping government program to gather millions of Americans' phone "metadata" records without their permission or knowledge.

When discussing his civil rights efforts, Holder often mentions his sister-in-law, who in 1963 made history as one of the two black students who integrated the University of Alabama under federal armed guard.

A portrait of a Justice Department prosecutor who stood watch on the university steps that day hangs in Holder's personal office in a fifth-floor corner of the Justice Department headquarters -- named for Robert F. Kennedy, another one of his heroes.

In a May speech, Holder talked about his role as both a defender of justice and a guardian of safety and security -- and how he approached that often-competing challenge.

"In recent years, thousands of Americans, the pride of our nation, have given their lives -- and deal even today with the scars of war -- so that hopeful, striving people who live continents away could proudly hold up their purple fingers after voting in a truly democratic process," he said. "America is now 50 years from Freedom Summer. And we must not countenance, within our own borders, practices that would make it difficult or impossible to exercise the right for which so many have given so much."

@highlight

Eric Holder served as attorney general for six years

@highlight

Critics are happy to see him go, say he disregarded Constitution

@highlight

Supporters say he advanced civil rights