(CNN) -- Feet stumbling in the pitch darkness over the uneven ground we make our way with a group of women to one of the bathrooms in the Zaatari camp.

"There is no light, if we come in here there could be a guy hiding or something." one woman says.

None of them want to be identified. They carry fear of the regime with them, even as they seek refuge across the border in Jordan.

But "safety" is a relative term. For Syria's female refugee population, it has meant trading fear of death in their homeland for fear of something many consider to be worse: rape.

There have been various stories of sexual harassment and rape in Zaatari camp -- teeming with masses who continue to stream across the border.

This dark underbelly of crisis has led to a disturbing growing phenomenon: "sutra" marriages, or marriages for protection.

Families who feel like they are unable to safeguard their female family members, their daughters, are marrying them off to protect them.

In a culture where conserving honor is central, everyone says they had no other choice.

In one trailer we meet 13-year-old Najwa. She curls back in the corner next to her husband, 19-year-old Khaled, and her mother, hardly saying a word.

Najwa is the youngest of three, her two older sisters in their late teens are also recently married.

"I swear I wasn't able to sleep, I was afraid for the girls." Her mother tells us. "I swear to God, I would not have let her get married this young if we were still in Syria."

"There were rapes," Khaled adds.

We approach the culturally delicate subject of sex with a vaguely worded question about the age difference and plans for children.

"It's okay, I do not want children now," Khaled says. "I will make it up to her, I will make up for not having a (wedding) party."

Ruwaida dresses brides inside Zaatari -- a business she had back home in Syria. She says that marriage at 13 was rare in Syria, but here she sees it more and more frequently.

Across the board, even for what should be a joyous occasion there is always sorrow. When the brides are children themselves, it's even worse.

"I feel like I have a child between my hands and she is having to take on a responsibility bigger than she is." Ruwaida says. "I feel like her life is over, her life is ending early."

The same fears exist for those families living outside the camp. On a tour with the Syrian American Medical Society (SAMS) we meet 14-year-old Eman. She has such a sweet young face, flushed with exhaustion as she cradles her baby.

"I wouldn't have gotten married, it's because of the situation." She speaks softly, her eyes filled with regret and pain well beyond her years.

"I told my son not to consummate the marriage, but he didn't listen," her mother-in-law whispers.

She too was wed for protection.

More: Forced to marry at age 14

Farrah Sukkar, herself a Syrian refugee and SAMS volunteer, estimates there has been an increase of 60% in young teen marriages. The added worry not just because of the young age of the girls, but medical as well. Many are having children before their own bodies are fully developed.

The SAMS team goes house to house in Amman and other areas of Jordan trying to determine what aid refugees need, but also to pinpoint vulnerable cases.

One woman we meet has 13 children. Two of her daughters are teenagers and she's so afraid of leaving them at home alone that she hasn't been able to leave the house to vaccinate her baby.

Despite their best efforts, Syria's neighbours like Jordan can't handle the influx of refugees. Aid organizations are running out of funding.

More: Saying no to child marriage

Predators also lurk in areas where refugees are known to gather looking for humanitarian aid. Their desperation is palpable, with aid agencies both local and international unable to meet the needs, and they will latch on to anyone who promises help.

Mariam and her 10-year-old daughter were at a hospital providing free care for refugees when she overheard a man on the phone talking about free housing for refugees. She and the other women there clamored around him, thinking their prayers had been answered.

The man loaded three cars with women, including Mariam and her daughter. She quickly felt that something was wrong.

At their destination, a house in the city of Zarqa, a 45-minute drive from the capital, she refused to enter.

Another man came out, and pointing to her, told the driver, she recalls him saying: "Why did you bring me this one? You brought me an old lady. Then he pointed to the other ladies and asked, 'are you married?'"

Mariam began to feel increasingly terrified as she began to piece together exactly what this house was and asked the man for a glass of water, leaving her alone on the patio. She peered through the window.

"All the girls were scantily dressed." She remembers, her hands twisting nervously. "And I saw two men come in and pick two girls and walk out."

Horrified, she managed to flee with her daughter and the other women with her.

The international community may be unwilling or unable to end the conflict in Syria. But there is a solution to preventing the exploitation of the Syrian female refugee population: more aid.

"We left Syria to escape death and we found something worse than death" Mariam says, hugging her daughter close. "If we had stayed in Syria to die it would have been more honorable. There death is fast, here it is slow."

More: Child bride: 'I was sold for $1,000

How to help: Combat child marriage and barriers to education

@highlight

Syria refugee crisis has led to growing phenomenon: marriages for protection

@highlight

Various stories of sexual harassment and rape in one camp in Jordan

@highlight

Families unable to safeguard daughters marry them off to protect them

@highlight

Syria's neighbours like Jordan can't handle the influx of refugee