(CNN) -- The winner of Australia's election, Tony Abbott, on Saturday pledged to form a competent and trustworthy government after he defeated Prime Minister Kevin Rudd.

"I can inform you that the government of Australia has changed," the conservative challenger told supporters. "For just the seventh time in 60 years the government of Australia has changed.

"I now look forward to forming a government that is competent, that is trustworthy, and which purposely and steadfastly and methodically sets about delivering on our commitments to you, the Australian people."

READ MORE: Tony Abbott: Australia's next leader

Although final results had yet to come in, Rudd said he had telephoned Abbott to concede defeat. "As prime minister of Australia, I wish him well in the high office of prime minister of this country," he said at a party meeting in Brisbane.

Rudd was conciliatory in his speech and accepted his share of blame. "Tonight is the time to unite in the great Australian nation," he said. "Because whatever our politics may be, we are all first and foremost Australian."

"I know that Labor hearts are heavy across the nation tonight. And as your prime minister and as your parliamentary leader of the great Australian Labor party, I accept responsibility. I gave it my all, but it was not enough for us to win. I'm proud that despite all the profits of doom, that we have preserved our federal parliamentary labor party as a viable fighting force for the future."

According to the Australian Election Commission, Abbott's Liberal-National Coalition won 86 seats in the House of Representatives, against Labor's 57. Any group that wins 76 seats or more can form a simple majority.

The Coalition win ends six years of Labor Party rule under Rudd and Julia Gillard who deposed each other in successive leadership challenges.

READ MORE: Best Australian election gaffes

Before the vote, commentators said the Australian electorate had tired of the apparent disunity within the Labor Party, and were looking for change. "Rudd's had his turn," one voter told the Australian Broadcasting Corporation (ABC) on polling day.

Rudd's return fails

Back in June, Rudd's Labor colleagues had hoped he'd bring the same magic to the polls demonstrated in 2007 when he defeated the former Liberal leader John Howard.

However, the early lift Rudd brought to the election race quickly faded, and in the final days of the campaign the Labor leader was vowing he'd fight to the end.

Rudd kept a low profile on election day, prompting speculation about when he would turn up to vote.

When he finally arrived at a polling station in Brisbane, hecklers shouted slogans slamming the government's plan to send asylum seekers for offshore processing.

"Hey Kevin we're talking to you, not PNG, not Nauru," they shouted.

OPINION: Australian parties in 'race to bottom' on asylum seekers

What about Syria?

The focus of this election was very much on domestic issues, including the economy, education and broadband Internet services. The international quandary over the scale of any military response to the use of chemical weapons in Syria seems to have been set aside, for now.

Abbott has indicated that, as Australian prime minister, he'd take a cautious approach to any involvement in foreign conflicts.

"I just think we need to be very careful in a situation like this cause we can easily make a bad situation worse by acting precipitously," Abbott told the ABC.

"I don't think we should be getting above ourselves here. We are a significant middle power but no more," he added.

It's the economy...

In the final days of the campaign, Rudd tried to win over voters with the promise of more jobs, painting Abbott's planned budget cuts as a sure way to send the economy into recession.

In a bid to emphasize his government's economic credentials, Rudd seized upon the latest GDP figures released earlier this week showing an annual growth rate of 2.6%.

"As of this year, since we came to office in 2007, the Australian economy is 15% bigger than it was," Rudd said. "I draw to your attention the fact that the British economy has shrunk 3% over that time."

Under Abbott, the government would find billions of dollars in budget cuts, including slashing $4.5 billion (US$4.1 billion) from foreign aid over the next six years. Money saved would be spent on infrastructure projects including motorway upgrades, in a decision slammed by aid groups.

"We are a strong OECD country, yet we are fast becoming the least generous when it comes to reducing global poverty," said Norman Gillespie, the CEO of UNICEF Australia.

Paired with Abbott's budget cuts is a generous maternity plan pitched to female voters despite opposition from big business and from within his own party. Mothers would be given up to $75,000 (US$68,490) for six months' maternity leave at a total cost of $5.5 billion (US$5.01 billion) each year.

Other key issues, alternatives

Aside from business, the two main candidates were separated by their views on same-sex marriage. Rudd is firmly for it, Abbott, a former Catholic seminarian, insists that marriage should be between a man and a woman.

However they were much closer on the issue of asylum seekers. Both main parties advocate sending people who arrive by boat to offshore processing centers where most, if not all, would be potentially resettled if found to be refugees.

READ MORE: Australian parties in 'race to bottom' on asylum

Other winners, losers

WikiLeaks founder and the leader of the WikiLeaks Party, Julian Assange, failed in his long distance bid for a seat in the Australian Senate.

Assange, who co-ordinated his campaign from the Ecuadorean Embassy in London where he's been holed-up for fear of arrest and extradition, said under the circumstances he was happy with the outcome.

"I think it's a great result. The party was registered in July -- three months ago. It's had its leader and primary candidate stuck in an overseas embassy for 400 days in a foreign country, nine hours time difference and with an international banking blockade against it," Assange told the ABC.

He said the WikiLeaks Party, which earned about 1% of the votes in the state of Victoria, would survive to contest the next election.

Meanwhile, reports suggested another outspoken leader of his own party, Clive Palmer, was on track to win a Senate seat.

The mining billionaire, perhaps best known outside Australia for his plans to build a replica of the Titanic, founded his Palmer United Party just four months ago. On Sunday, he claimed that preferences from his party helped secure Abbott's win.

Other parties vying for votes included the No Carbon Tax Climate Sceptics Party, the Voluntary Euthanasia Party, the Sex Party, the Australian Fishing and Lifestyle Party and the Australian Motoring Enthusiast Party. None of them recorded a strong showing.

@highlight

Tony Abbott pledges competent and trustworthy government

@highlight

Australian Prime Minister Kevin Rudd concedes election defeat

@highlight

Win ends Labor's six years in power under Kevin Rudd and Julia Gillard

@highlight

Voting is compulsory in Australia, fines issued for people over 18 who fail to do so