(CNN) -- The port-city of Kochi, on India's west coast, isn't known for its arts scene.

Nestled amid Kerala's famously stunning backwaters (travel writers have long loved touting the streams that snake through the rural countryside as the quintessential bucket-list endeavor), the city is more readily defined by its breathtaking backdrop.

From today and for the next three months, that will change, as the world's culture vultures descend into Kochi to attend one of India's first international arts festivals: the Kochi-Muziris Biennale.

Even since Venice introduced the world to the biennale in 1895, the word has been symbolic of a city's cultural ascendency. Often, biennales demonstrate a region's savvy through showcasing the direction the contemporary arts scene will go in coming seasons.

Kochi has something a little different planned. Rather than focusing on the future, this biennale's theme centres very much on Kochi's history.

In particular, it will put a spotlight on Muziris, India's answer to Atlantis. Muziris was a prosperous trading hub that from the first century B.C. that supplied the world with everything from spices to precious stones.

The city drew traders from as far as Rome, Greece and China. It was active up until the 14th century, when it mysteriously disappeared under the sea -- perhaps by a flood or tsunami.

Excavations just outside Kochi a few years ago unearthed pottery, coins and various other artefacts that link the region to the Roman era, and suggest that, at last, Muziris has been found.

The biennale founders have adopted the fallen port as a theme for the event, and in previous months, a legion of local and international artists have picked over the city for inspiration for their projects.

Many pieces will involve found art. Alex Mathew, a Kerala-born sculptor, is designing a piece with abandoned anchors, while Vivan Sundaram, India's leading installation artist, is creating a 400 square-foot reconstruction of Muziris using terracotta shards unearthed at the excavation site.

He will both physically throw water on the installation, and incorporate video of flowing water, to represent the destruction of the city.

"It's about a certain fragility of this quiet, thriving port town, of which little is actually known," he says. The hope is that they'll draw attention not only to Kerala's artistic heritage, but to its historic one as well.

In many ways, Kochi makes a lot of sense as the destination for the country's first biennale. Kerala seems to have birthed a large proportion of artists over the years, including K.C.S. Panicker, considered by many the father of Indian abstract painting, and Raja Ravi Varma, one of the first Indian artists to gain notoriety outside the subcontinent.

"Just why Kerala produces so many artists seems to be a very popular question," notes Dorrie Younger, co-founder of the Kashi Art CafÃ©, the city's first gallery.

"It's most likely due to a combination of a high standard of living, the political climate, tolerance for opposing ideology, and a long history of foreign visitors."

Riyas Komu, one of the organisers for the festival, also gives credit to Kerala's political climate.

"There's a long tradition of activism here, and there's always been a very vocal dialogue between political parties. For artists, the most important thing is that they have the capacity to be argumentative."

One of the participants, Ubik, is a Kerala-born artist who has since relocated to Dubai. On a recent research trip to the area, he discovered the extent that politics has shaped his paintings.

"Growing up, I'd always see communist propaganda messages all over the walls. It's an aspect that's seeped into my work, and strangely enough, it only now kind of makes sense to me. I do a lot of text-based paintings, and I was always quite curious about where that came from. Now I know."

See also: Evolution of the Asian art market

Like many artists that hail from the region, Ubik hasn't stayed put. He notes that one reason Kerala's artists seem to flock to other countries is a lack of museums and galleries.

"Most of the art market is focused on [Mumbai] and Delhi. That's just where it is, commercially speaking. From what I know, I don't think Kerala really has the infrastructure for that," he notes.

Lacking traditional arts spaces, the organisers have done something quite unique; they've commissioned heritage houses throughout the area to host the work, including an old Dutch dockyard, a former 17th century military bungalow used by the Dutch East India Company and a 19th century British gentleman's club.

Komu is also hoping that the biennale will bring the necessary infrastructure for a budding Keralan arts scene.

"We're building an architecture where a biennale can grow," he explains. "Traditionally, India has failed to take on projects like this. Hopefully, the Kochi-Muziris Biennale will change people's minds, and they'll start to have philanthropic ideas, and to invest in arts and culture for the next generation."

@highlight

The Indian city of Kochi will host India's first ever international arts festival

@highlight

The Kochi-Muziris Biennale will run for three months and display works by Indian and international artists

@highlight

Lacking traditional arts spaces, the organizers have commissioned heritage houses throughout Kochi to host the festival