(CNN) -- As one of the warmest cities in Russia -- a country with no shortage of snowy terrain -- Sochi seems an unusual place to host the Winter Olympics.

But that's not all that's notable about it.

It's also the latest hot spot for dacha-seeking oligarchs -- and President Putin.

Plus it has gay bars (despite President Putin).

And Cossacks.

Not necessarily in the gay bars, though.

1. Anyone who's anyone (or who can afford it) has a dacha there

The infamous Russian who put the "Russian Riviera" city on the map wasn't quite the hair-shirted leader you might expect.

Communist dictator Joseph Stalin popularized Sochi after building a summer dacha -- Russian vacation home -- here in the 1930s.

In the years since, the destination has become a summering spot for a succession of Russian politicos -- all the way up to President Putin, who has two dachas in Sochi.

Sochi dachas have also become increasingly in demand from the ultra-rich so-called oligarchs who divided up much of the Russian economy among themselves with the downfall of the Soviet Union.

The popularity of the resort among the wealthy and powerful has led to criticisms that it's become unaffordable to the ordinary Russians who flocked to the city after its establishment as a vacation spot in the 1950s.

You can tour the dacha that launched the locale, complete with a wax version of the "Man of Steel," avuncular pipe in hand.

Stalin's Dacha, Kurortny Prospekt 120, Khostinsky District; +7 (862) 267 05 02; tours - $10 -- by appointment

2. The Sochi Olympics aren't actually happening in Sochi

The Sochi Olympics aren't taking place in Sochi proper, which technically consists of one 32-square-kilometer district called Tsentralny.

Instead, athletes are competing in Adler, an area within Greater Sochi just north of Georgia's breakaway territory, Abkhazia.

A coastal cluster of venues south of Sochi proper house the Central Olympic Stadium and rink sports including ice hockey, curling and figure skating.

Outdoor events such as skiing and bobsleighing are being hosted within the Krasnaya Polyana resort area, about 50 kilometers away in the Western Caucasus Mountains.

3. Restaurants and bars will be smoke-free

In Russia, you're never far from a cigarette lighter.

Back in October, that was a lucky strike for the Olympics when a man whipped one from his pocket and quickly replenished the Olympic flame, which had blown out in the wind.

But the Sochi Olympics have committed to a smoke-free event, making it the 12th Games to do so.

This will be a trial in a country still in love with smoking -- nearly 60% of adult males and 40% of the total adult population admitted to smoking regularly in 2012, according to the World Health Organization.

The sale of cigarettes and smoking itself have been banned inside any Sochi Olympic venue, with the exception of specially marked smoke zones.

Smoking is also forbidden at bars and restaurants within the Olympic Park -- a step ahead of the nation.

Russia barred smoking in public spaces including airports and train stations last June, and will expand the ban to include cafÃ©s, bars and restaurants in June 2014.

It will also impose a minimum price (so long $2 packs), all in an effort to quell smoking-related deaths in Russia, which totaled 400,000 in 2012.

4. Sochi has gay bars

There are no gay people in Sochi, according to mayor Anatoly Pakhomov.

Curiously enough, however, there are gay bars -- at least one that's out of the closet, that is.

Sochi's Cabaret Mayak, catering to both gay and straight clients, features a midnight show by transvestite cabaret singers.

Despite homosexuality being a federal crime in Russia until 1993, Sochi was a gay hub during Soviet times for its relaxed beachfront vibe and distance from major metropolises within the Iron Curtain.

In July, President Putin signed into law a ban on "gay propaganda," criminalizing the spread of information on "nontraditional sexual relations" among minors.

He's since lowered his sword, saying gay people will be welcome at the 2014 Olympic Games but adding in a January 17 comment to a group of Olympic volunteers: "Please leave the children at peace."

Cabaret Mayak, Sokolova ul. 1, Khostinsky District; +7 (988) 238 30 40; open daily, year round; 21+

5. Sochi trained Russia's first space monkeys

It's a symbol of the 1960s Cold War space race etched into our collective imagination: a monkey, in full astronaut attire, manning a spacecraft.

Leading the way in Russia's monkey-manned space technology?

Sochi, of course.

Russia's first space monkeys, Abrek and Bion, were trained at a Sochi "apery" for their seven-day mission in December of 1983.

The Monkey Nursery Center (Vesyoloe 1, Adler District; + 7 (862) 241 62 39; call for tours -- $7) is open to visitors curious to tour the training and testing facility, or just hang with 2,700 apes.

6. Cossacks patrol the streets

Their tall lamb's wool hats, emblazoned coats and flamboyant dance style have earned Cossacks a place in the world's vision of Russia, with help from Russian literary icons Leo Tolstoy and Alexander Pushkin.

Now, the once feared horsemen who secured the frontier for Russian tsars have joined forces with police patrolling Sochi.

Russia and the Cossacks have a patchy history.

After centuries as allies of Russia, the east Slavic people suffered harshly under the communists for their opposition to the Red Army.

But since the collapse of the Soviet Union, Cossacks have gradually returned to popular favor in Russia.

Echoing the mid-19th-century Caucasian War when Cossacks served as border guards, current governor Aleksandr Tkachev of Sochi's Krasnodar region hired a thousand fur-clad Cossacks to help to secure the Olympic Games.

Cossacks make up only a small fraction of the approximately 40,000 security forces at the Olympics.

7. It might not be vodka in that shot glass

Russia's toasting rules are complicated.

What, or whom, to toast changes with each clink, but one constant remains: vodka.

In Sochi, however, vodka is often swapped for its fruitier Caucasian counterpart, chacha, a Georgian pomace brandy, often distilled like moonshine (so if you aim to taste, you're advised to look for safer, bottled varieties).

Similar to Italian grappa, chacha takes on the flavor of the grape skins and walnut shells often infused with the liquor.

Georgian lore claims chacha has healing qualities, easing earaches and indigestion.

Just like vodka.

8. The cuisine may be Armenian and Georgian

Sochi, which underwent multi-ethnic colonization in the 19th century, may technically be all-Russian now, but its food remains diverse.

With Armenians accounting for 20% of the city's population, and close proximity to Georgia, Sochi offers an impressive sampling of cuisine beyond the dill and sour cream of traditional Russian fare.

You'll find authentic Armenian at kitschy Amshensky Dvor (Krasnoflotskaya ul. 15, Adler District; +7 (862) 295 51 21; open daily, year round) part of the largest private museum of Caucasian artifacts and history. Chefs make wood-fired lavash bread and clay-pot stews.

A Georgian favorite is Ne Goryuy (Riversky per. 6-Ð° Sochi Khostinsky District; +7 (918) 406 41 04; open daily, rear round), known for its chakhokhbili -- chicken in garlic sauce -- and its quiet location off the seashore.

9. Sochi overlaps with a UNESCO World Heritage Site

Olympics visitors can enter the Caucasian Biosphere Reserve, a UNESCO World Heritage Site that partially overlaps with Sochi National Park in the Western Caucasus.

The Yew and Boxwood grove -- the biosphere spot most easily accessible from Sochi -- features 1,000-year-old trees and plant relics from prehistoric times.

One of the largest protected areas in Europe, the preserve has around 30 endemic mammals including the Caucasian bison and the Persian leopard, currently being reintroduced to the region and also a mascot for the Sochi Olympics.

Yew and Box Grove, Khosta District; +7 (862) 262 16 42; open daily, year round

@highlight

Sochi has gay bars -- despite Putin

@highlight

Cossacks are on street patrol

@highlight

You might find chacha in your vodka glass -- a bit like grappa

@highlight

Cigarette-loving Russians have to butt out for the Games