Washington (CNN) -- "They deserve a vote."

President Barack Obama made that impassioned argument toward the end of his State of the Union message on Tuesday, using a strong emotional appeal to hammer home his plea for a vote in Congress on several gun control measures.

He drew on the spirit of Hadiya Pendleton, the Chicago teenager who was shot dead just a week after performing during the president's inaugural weekend celebration.

Her parents were sitting next to first lady Michelle Obama in the House gallery.

"They deserve a vote," Obama called out again.

He called on the image of former Rep. Gabrielle Giffords, who was wounded by a gunman two years ago in Arizona.

"Gabby Giffords deserves a vote," he said.

But in using passion to push Congress toward action, did the president go too far? And will it work? It might.

South Carolina Sen. Lindsey Graham, a leading Republican and tough Obama critic, told CNN's Jim Acosta that he would not block a vote on gun control in the Senate.

"No, let's vote," Graham said. "I don't disagree with the president to have a debate. Let's vote. Let's find something we can agree on."

West Virginia Democratic Sen. Joe Manchin, a gun enthusiast, also said he would not get in the way of a vote.

"I won't block a vote on anything, whether I support it or not," he said.

Whether Obama's plea is taken as an effective tactic that will help spur legislative action or is seen as a cheap, emotional ploy designed to push through a one-sided agenda depends on where you fall in the debate, political experts say.

What Obama said Tuesday night

"That's the way to do it. If you don't do that it's not going to happen," said Alan Lizotte, dean and professor at the State University of New York at Albany's School of Criminal Justice.

"You bring the families in, you bring in Giffords and it makes the case this needs to do be done," Lizotte said.

In perhaps the most passionate part of his speech, Obama was also sending a message to voters, who polls have shown are divided over changes in gun law.

"Each of these proposals deserves a vote in Congress. If you want to vote no, that's your choice. But these proposals deserve a vote," Obama said.

"Because in the two months since Newtown, more than a thousand birthdays, graduations, and anniversaries have been stolen from our lives by a bullet from a gun," he said.

Obama pressed on as people stood and applauded and some wiped away tears. One woman clutched a photo of a shooting victim.

Graham to Obama: Stop 'cheerleading' for gun laws

Gun control advocates are hoping to capitalize on that emotion.

MomsRising, a grassroots organization for mothers, plans on delivering a Valentine's Day petition with more than 150,000 signatures aimed at urging the National Rifle Association and members of Congress to "to stop blocking commonsense gun regulations."

"Sandy Hook was a wakeup call for many moms across the nation. ... Moms are so upset by the current state of our gun policy and continue to be upset," said Kristin Rowe-Finkbeiner, executive director and co-founder of the group.

The nation's gun lobby and other gun rights advocates said they will work hard to ensure that legislation is considered without the type of emotion on display during the State of the Union address.

"What I want from my legislative policy makers is a serious adult discussion, emotions are very strong and it's not what you want to make decisions on. We did that after 9/11 and we ended up with the Patriot Act," said Richard Feldman, who served as regional political director for the NRA during its rise to power in the 1980s and is president of a gun rights group, the Independent Firearm Owners Association.

NRA President David Keene was similarly put off by the president's approach.

Complete coverage of the gun debate

"The one thing that sort of upsets me a little bit is the president is trying to use emotion to force things through before they are rationally debated, argued and examined and that's a mistake because that's the way you get to bad policy," Keene told CNN following the president's speech.

"There are going to be votes on some of these things. Some of these things may have more support than others and some of them may drop along the way as we head to the final days of this confrontation on second amendment rights," he said.

Gun rights advocates are also using emotional appeals to make their point.

"Hurricanes. Tornadoes. Riots. Terrorists. Gangs. Lone criminals. These are perils we are sure to face-not just maybe. It's not paranoia to buy a gun. It's survival," the NRA's executive vice president Wayne LaPierre wrote in an op-ed published Wednesday by the conservative news website, The Daily Caller.

"It's responsible behavior," he continued. "And it's time we encourage law-abiding Americans to do just that."

Congress is preparing to consider such measures as a ban on the manufacture of new high-powered assault weapons, cracking down on straw purchases of guns for those who can't pass background checks, curbing gun trafficking and expanding background checks.

House Speaker John Boehner has said he has no plans to bring any measure up for a vote until the Senate acts first.

Republicans oppose any assault weapons ban and rural-state Democrats facing tough re-election fights are unlikely to support it as well, meaning that proposal has little chance of passing Congress.

There is some bipartisan support for expanded background checks, especially to keep guns out of the hands of people with mental illness. A number of lawmakers may also support limiting the size of ammunition magazines.

The top Democrat in Congress, Senate Majority Leader Harry Reid of Nevada, has a good rating from gun rights groups and has said he would work to ensure that a variety of proposals are brought to the floor for consideration.

Gun focus shifts from ban to checks and trafficking

To that end, the emotional nature of the president's address could help Democrats who are in a difficult position on Obama's push for Congress to at least vote on tougher gun laws.

The call places pressure on congressional Democrats, particularly in the House who may find that support of tougher gun laws could make it hard for them in the 2014 mid-term election. But bucking the party could anger the Democratic base.

"I think that the emotional appeal in the State of the Union speech can be important for elected officials who have to appeal to a jurisdiction that is not overwhelmingly Republican," said Daniel Webster, director of Johns Hopkins Center for Gun Policy and Research.

"I have some confidence that there will be support in the Senate, including from several Democrats in states with large populations who are gun owners, for passing universal background checks, funding to encourage better reporting to the NICS (National Instant Criminal Background Check System) mental health disqualifications, and measures to strengthen laws that can be used to prosecute and deter illegal gun trafficking," Webster said.

However getting such legislation past the House is another matter.

"I am less optimistic about these things in the House because the Republican party has so few moderates, most are in safe gerrymandered districts, and the NRA provides critical funding and grassroots resources," Webster said. "But I suspect that the party will take a hit politically if they have a deaf ear to the country's cry for much needed reforms."

Gun violence plans: What's in the works

CNN's Jim Acosta contributed to this report

@highlight

Some embrace President Obama's appeal for gun control vote; others turned off

@highlight

Two key Senators say they won't block effort to bring proposals to a vote

@highlight

Gun control advocates aware emotionally charged environment works for them; gun rights groups see differently

@highlight

Lawmakers in tough districts must consider both emotion and logic when casting votes