Washington (CNN) -- "I'm going to appoint Thurgood Marshall to the (Supreme) Court."

This monumental, unexpected bombshell from President Lyndon Johnson -- spoken in private in the summer of 1965 -- set in motion a history-making drama, revealed for the first time in newly public audio tapes.

In secret recordings and transcripts made exclusive to CNN, Johnson laid out a politically crafty plan that was years in the making to groom Marshall as the first African-American on the high court. It was part of a broader White House strategy to implement the president's civil rights agenda, something he openly hoped would cement his legacy and strengthen the Democrats' base.

Marshall was unaware of all this when Johnson first called him on July 7, 1965. Marshall, then a federal appeals court judge in New York, had been summoned from lunch. The president, a master persuader, wastes little time making his point:

"I have a rather big problem that I wanted to talk to you about," he says. "I want you to give it some real thought because it's something that I have thought about for weeks, and I think that we can't think of how it affects us personally. We've got to think about the world, and our country."

"Yes, sir," Marshall replies, the usually verbose judge unable to get many more words in the conversation.

Johnson then makes the pitch: "I want you to be my solicitor general."

"Wow," is all Marshall can say, clearly in disbelief.

"I want the top lawyer in the United States representing me before the Supreme Court to be a negro. And be a damn good lawyer that's done it before. So you have those peculiar qualifications." He adds, "I want to do this job that [Abraham] Lincoln started, and I want to do it the right way."

Leaving the security of a lifetime job on the bench for an uncertain political post -- where he could be fired at any time -- at first concerns Marshall, who asks for a day or two to think about the offer. But minutes later, he is sold. "The answer's 'yes.' "

'Do it for the people of the world'

Then the president offers a tantalizing hint of bigger things to come.

"Nobody will ever know I talked to you. If you decide that you can do it, I think you ought to do it for the people of the world. ... And if there's not something better, which I would hope there would be, that you would be more amenable to, there'll be security for you because I'm going to be here for quite awhile," he says confidently.

That "something," as later conversations that Johnson has with top aides reveals, is a Supreme Court appointment. It would come two years later in 1967. The solicitor general spot would be a mere prelude to a bigger stage.

The tapes are being released by the Miller Center at the University of Virginia, which is analyzing and transcribing secret White House tapes from the Franklin Delano Roosevelt to the Richard Nixon years.

This latest disclosure comes as Justice Marshall is receiving a fresh burst of attention, thanks to a new play on his life starring award-winning actor Laurence Fishburne. His amazing transformation into the civil rights icon is stunning. HBO will air the play Thursday, videotaped from a performance this past summer at Washington's Kennedy Center.

Fishburne told CNN his is an honest portrayal. "It's all there," he said of Marshall, whom he never met. "I mean, we deal with his flaws and we deal with his strengths. We deal with his history; we deal with his disappointments as well as his victories. So, it's all there. It's all there in the show. Warts and all."

Building on an already strong legacy

Marshall had already cemented his legacy as a pioneering NAACP lawyer who won 29 of the 32 cases he argued before the justices, his future colleagues. That included Brown v. Board of Education, the landmark ruling ending segregation in public schools. By the time of his government appointments, Marshall was in his mid-50s and itching for new challenges.

Less than two weeks after his new job offer, Johnson secretly makes clear he wants more for Marshall. On July 20, 1965, the president tells economist and informal adviser John Kenneth Galbraith about a pending Supreme Court vacancy that will ultimately go to Johnson friend Abe Fortas. But Johnson is already laying the groundwork for the next court seat.

"I'm going to appoint Thurgood Marshall to the (Supreme) Court," LBJ says flatly. "Not to succeed him (current Justice Arthur Goldberg), but after he's solicitor (general) for a year. After he's solicitor (general) for a year or two, the first vacancy I have. I haven't told anybody that, and I don't want you to, but I brought him here."

Johnson mentions how Southern Senate Democrats held up Marshall's 1961 appointment to the federal appeals bench for months. The president now believes with Marshall's proven skill as a legal advocate, he would make a good solicitor general, arguing cases on behalf of the federal government before the high court.

"At the end of a year or two," in his new job, Johnson predicts, "no one can say that he's not one of the best-qualified men that has ever [been] appointed. And then I'm going to appoint him" to the high court.

Going to Marshall for advice

With a relationship established, Johnson was not shy about calling on his new solicitor general for some practical political advice. Marshall is asked to suggest names of other black leaders suitable for top administration posts, including agency heads and ambassadorships. The solicitor general suggests Whitney Young, Franklin Williams and Roy Wilkins.

Marshall, despite being among just a handful of top black officials in the administration, appears slightly uncomfortable seeming to speak for all African-Americans in a purely political context.

"You got any suggestions, things we ought to be doing in this Negro field that we're not? I see that they say they're getting very disillusioned with Johnson," says the president, referring to himself in the third person.

"Well, I'm going to get together with some of them within the two-week period and try to find out what's going on," replies Marshall. "I'm having great difficulty in finding out what they want."

That comment may reflect the internal divisions among many in the civil rights movement over direction and strategy in the wake of passage of the Civil Rights Act, Voting Rights Act and the Rev. Martin Luther King's "I Have a Dream" speech just a few years earlier.

But it is clear from this conversation that LBJ is using Marshall's grooming for the Supreme Court as the model he will use to boost other outstanding African American candidates to senior government positions.

By October 1966, some in the Johnson circle had begun quietly offering trial balloons in the press over whether Marshall might be a suitable justice. One U.S. News & World Report writer suggested he would not.

"Did you see the column today by David Lawrence?" Johnson asks Nicholas Katzenbach, his former attorney general. "He's got a mean -- saying that Thurgood's not the best-qualified man. That's the net of it."

In a later conversation, Johnson's reveals Marshall remains on his mind, and he reaches out to key lawmakers and civil rights leaders for their advice.

"I want to build him up where he's impenetrable when he becomes a Supreme Court justice," says the president. But he adds the future nominee knows nothing of this. "I've never told him I'm going to appoint him, and don't know that I am. But he's damn sure going to be qualified."

Opportunity knocks for Johnson

When Justice Tom Clark announced his retirement, the president was ready to make his move.

On June 13, 1967, just moments before he separately calls Marshall to be his nominee, Johnson tells Attorney General Ramsey Clark -- whose father Marshall was about to replace -- of his plans. He dismisses whispers from some in Washington that Marshall is not ready to sit on the nation's highest court.

"He doesn't fit the mold. He's not a Yale man and that kind of stuff, you know," says Clark helpfully. "Just a big, easy-going, very humane-type person. He doesn't change his behavior to suit other people. Doesn't wear striped pants. I think it's a combination of those two factors" the public will embrace.

The two men discuss how the Senate Judiciary Committee will treat Marshall, who will be ultimately confirmed later that summer.

The day after the historic 69-11 Senate vote, Marshall's wife, Cecilia, known as Cissy to her friends, calls the president personally to thank him.

"Now that I have stopped trembling a little, and now that we're more or less legal, I thought I'd like to call you and thank you again so much for the faith you have shown in Thurgood and so much that you have done for everybody."

Johnson replies in a sweet, soft voice, "Well, I know he'll be very worthy of it, and I know that both of us will be proud of him."

Marshall served on the Supreme Court until 1991. He died in early 1993.

@highlight

Secret tapes of President Lyndon Johnson released exclusively to CNN

@highlight

Tapes reveal president's long-term aspirations for Thurgood Marshall

@highlight

Johnson carefully laid out a path for Marshall to join Supreme Court, tapes show

@highlight

LBJ on Marshall: "I want to build him up where he's impenetrable"