(CNN) -- When Iraq war veteran Angela Peacock is in the shower, she sometimes closes her eyes and can't help reliving the day in Baghdad in 2003 that pushed her closer to the edge.

Sgt. Angela Peacock is seen in 2004, after she returned to the United States from duty in Iraq.

While pulling security detail for an Army convoy stuck in gridlocked traffic, Peacock's vehicle came alongside a van full of Iraqi men who "began shouting that they were going to kill us," she said.

One man in the vehicle was particularly threatening. "I can remember his eyes looking at me," she said. "I put my finger on the trigger and aimed my weapon at the guy, and my driver is screaming at me to stop."

"I was really close to shooting at them, but I didn't."

Now back home in Missouri, Peacock, 30, is unemployed -- living in a friend's home in North St. Louis County without a lease and paying minimal rent.

She points to the Baghdad confrontation as a major contributor to her struggles with drug abuse and post-traumatic stress disorder, or PTSD. She says she's one step away from living on the street.  See details on vets, including homeless »

Shortly after her discharge in 2004, Peacock said, she developed an addiction to pain pills. After her husband left her, she was evicted from her apartment, which she said made it impossible for her to obtain a lease or a mortgage.

She spent the next few years "couch surfing" from friend to friend, relative to relative.  Watch how Los Angeles helps its 15,000 homeless vets »

"I could be kicked out of this house at any time," she said.

Experts say that Peacock's profile is similar to that of many female veterans returning from the wars in Iraq and Afghanistan. In fact, the rate of female homeless vets is increasing in the United States, according to the federal government and groups that advocate for homeless people.

The U.S. Department of Veterans Affairs defines PTSD as a type of anxiety that affects people who've experienced a particularly traumatic event that creates intense fear, helplessness or horror.

"You're sitting on your couch and you hear a car go down the street, and you think it's going to come through your house -- so you kind of catastrophize things automatically," Peacock said. "That's stuff normal people don't do, but if you're in a combat zone on convoys all the time, you can't help but do that."

People in Peacock's life "just don't get it," she said, "so you just isolate."

PTSD can trigger depression, experts say, leading to job loss and a rapid downward spiral toward homelessness. Many times, these newly homeless women also have children to care for, advocates say.

Making matters worse, Peacock and other returning vets from Iraq and Afghanistan have been hammered by a struggling economy and skyrocketing unemployment rates.

The jobless rate for post-9/11 veterans is higher than the overall U.S. rate and has nearly doubled in the past year to 11.3 percent, according to the Bureau of Labor Statistics.

In addition, about 1.5 million veterans -- 6.3 percent -- had incomes below the federal poverty line, according to a 2005 congressional analysis of census figures.

With the U.S. Army now at 15 percent female, and more women providing supporting roles in combat zones, female vets are becoming homeless at a faster rate than men, said Department of Veterans Affairs spokesman Pete Dougherty.

Conservative estimates count about 131,000 homeless veterans in the United States, most of them from the Vietnam War era. The VA has pinpointed 3,717 homeless veterans of Iraq and Afghanistan, but the nationwide total could be as many as twice that -- about 7,400, he said.

The VA estimates about 10 percent of all homeless veterans are women, making the estimated number of homeless Iraq-Afghanistan female veterans about 740. Dougherty said that number is rising.

Peacock blames her PTSD on many incidents during her time in the military, including "a bunch of small near misses, like sniper fire on a convoy, and waiting for somebody to throw an IED over, and the constant fear that I'm going to die."

She also says she was raped by a noncommissioned officer while deployed in South Korea in 2001.

She said that on the advice of a soldier who outranked her, she never officially reported the rape. "He said if you tell, they're going to put you on trial and make you look like a party girl," she said.

Peacock said the Army reached out to her to investigate the rape accusation, but she refused to cooperate because she didn't think the investigation would do any good. CNN.com contacted the Army about Peacock's story and has not yet received an official response to her allegations.

Known in the ranks as MST, military sexual trauma is another factor homeless advocates point to as a possible cause for PTSD.

To fight the problem, some communities are developing outreach systems to catch homeless women vets before they fall too far. Tracking veterans and determining early on when they've lost jobs and are about to lose their housing has met with some success, said Steve Berg, vice president of programs and policy at the National Alliance to End Homelessness.

At-risk vets would get immediate assistance, said Berg, such as help negotiating with a landlord or finding a new job or short-term financial assistance. iReport.com: Ask a veteran about his or her greatest concerns

Another idea that has had some success, according to Berg, is called the rapid rehousing approach -- identifying veterans when they first show up at a homeless shelter. "If you help them get right back into housing, you get better results than if you let people stay homeless for a long time and then try to fix them," Berg said.

Now heading the VA is Eric Shinseki, the Army four-star general who retired in 2003, shortly after angering some Bush administration officials by telling a Senate panel that more troops were needed to pacify Iraq after the invasion.

Shinseki has vowed to end homelessness among veterans within five years.

Funds totaling $75 million from the VA and the Department of Housing and Urban Development in 2008 made vouchers available for 10,000 units of permanent housing for homeless vets in all 50 states.

Shinseki has announced another $75 million in June aimed at providing another 10,000 homes.

"They're good programs," Berg said, "but they don't have a big enough capacity."

Theoretically, if $75 million a year gets 10,000 veterans off the streets and into homes, it could be possible to house all 131,000 homeless veterans with about $975 million, Dougherty said.

The Senate is considering legislation to provide care and services for homeless veterans with children. Cosponsored by Sen. Patty Murray, D-Washington, the bill would authorize $50 million in VA special needs grants over five years.

Peacock, who has no children herself, says she's been sober for three years. Determined to "heal her demons," she says she's working on a 12-step addiction program and receiving hourlong sessions each week with a VA therapist.

Peacock also said she takes part in a VA vocational rehabilitation program that has provided her with a dog she named GI Joe. "Well -- his name was already Joe -- I added the 'GI,' " she laughed.

Eventually, she plans to return to college, become a "transpersonal psychologist" and help others with PTSD.

"It's like spiritual psychology," Peacock explained. "You explore your place in the world and your place in life."

Her plan is "to save myself first, and then I can help somebody else."

"I'm getting there," Peacock said. "It's kind of slow, but I'm clean and sober and I have a new support circle and I'm in my hometown again. It's definitely better, and I'm not done yet."

@highlight

VA: Percentage of homeless female veterans growing faster than male veterans

@highlight

Female Iraq war vet blames wartime trauma for her PTSD and near-homelessness

@highlight

Unemployment among post-9/11 vets has nearly doubled, to 11.3 percent

@highlight

VA secretary vows to end homelessness among vets in five years