(CNN)If you were the lucky recipient of a bunch of fragrant roses this Valentine's Day, it's likely that they came from Kenya.

The country is the third largest exporter of cut flowers in the world, accounting for around 35% of all sales in the European Union. Famed for being long-lasting, Kenya's roses, carnations and summer flowers are also popular in Russia and the U.S. where last week several growers showcased their blooms at the World Floral Expo in Los Angeles.

The event is one of the industry's largest and gathers over 80 exhibitors from across the world, with several Ethiopian growers also representing the African continent alongside Kenya.

The country's flower power is attributed to its sunny climate, which enables high-quality blossoms to be grown year-round without the need for expensive-to-run greenhouses. Kenya also has excellent transport links to Europe, and from there, the rest of the world through Nairobi airport, which has a terminal dedicated specially to the transport of flowers and vegetables. This means that delicate floral cargo which is perishable in nature can be shifted from growers to consumers swiftly.

More than 500,000 people in the country depend on the trade according to the Kenya Flower Council, with roughly half of the country's 127 flower farms concentrated around Lake Naivasha, around 90 kilometers northwest of Nairobi.

"Naivasha is a big center because it's a freshwater lake and it is not very far from Nairobi, which makes transport easy," says John Kihia, technical director of Floralife Africa, a company which provides hydration, transport and storage for the cut-flower industry. "People have been growing flowers there for a long time so there is a skilled labor force in place," he adds.

Activists have expressed concerns over the environmental impact that the booming trade could inflict on the lake, but local farmers have been working with the WWF in order to make sure that water levels are not affected: "It's about putting together a strong business case about why it's good for growers to save water and ways to manage that," says Drew McVey, WWF technical adviser who calls the collaboration "a story of success."

Naivasha Lake's location 1,884 meters above sea level is particularly fertile ground for medium-sized roses which are often found in the floral sections of EU supermarkets, whereas farms in higher altitudes yield bigger blooms popular in Russia: "It's a consumer preference. In Moscow people will buy a single rose, so if it's bigger it naturally looks more spectacular, whereas in the UK they buy bunches more often," says Kihia.

Big business

Horticulture has been one of the top foreign exchange earners for Kenya, and the flower industry alone raked in around $600m last year, exporting 124,858 tonnes valued at around $507m in 2013.

Nearly two thirds of exports are destined for Holland, where they are resold to florists through auctions which present a safe avenue into the market for less seasoned growers: "If you sell through an auction and you have a good quality product, people will be competing for your flowers which will give you a better price," Kihia says.

While Europe remains the biggest destination for Kenyan flowers due to its relative geographic proximity and good transport links, this has left producers vulnerable to turmoil on the continent, such as the recent recession.

"It has had an impact on the sector and we have experienced a slowdown in demand, which slows down business," says Jane Ngige, CEO of the Kenyan Flower Council. Kenyan exports also suffered when in October of last year the EU imposed import taxes on cut flowers from the country, but the levy was lifted on Christmas Day allowing Kenyan producers to storm Valentine's Day sales.

Jane Ngige says that the industry is now exploring other markets such as Australia, Canada and Japan, and adds that direct flights from Nairobi airport play a crucial role in helping the Kenyan flower business take off globally: "A direct flight to the destination is key owing to the fact that this is fresh produce and it needs to get to the end user quickly in order to guarantee quality. It also makes it less expensive," she says.

Kenyan growers are now lending their floral expertise to neighboring Rwanda by partnering with the country's government to create a 35 hectare flower park 60 kilometers from Rwanda's capital Kigali.

It's hoped that the park will eventually produce three million stems per year and kick-start Rwanda's floriculture sector, which could pump more than $200 million into the country's economy by 2017.

Editor's Note: Each week, Africa View explores the trends, figures and initiatives shaping Africa. From education and energy to technology and innovation, it showcases topics and influential sectors driving countries on the continent.

@highlight

Kenya is one of the biggest flower exporters in the world

@highlight

Around one in three flowers sold in Europe come from the country