(CNN) -- The earthquake and tsunami in northeastern Japan on March 11 last year took an estimated 19,000 lives, caused the evacuation of about 300,000 people, and set off the worst nuclear accident since Chernobyl. The meltdowns of the Fukushima Daiichi reactors ended Japan's plans to produce half of its electricity through nuclear energy.

Flotsam from 2011 Japan tsunami reaches Alaska

All of Japan's remaining reactors are offline, and experts believe that strong anti-nuclear feelings will keep them from restarting for some time. Beyond Japan's shores, the crisis has pushed Germany, Italy and Switzerland to end their commitment to nuclear power. Fukushima has given U.S. nuclear regulators four important lessons given a tendency to downplay the far-reaching consequences of disasters and outdated ways of preparing for them.

First, we know from multiple disasters that people who live far from predetermined evacuation zones will move themselves and their families to places where they feel safe. We saw this during the Three Mile Island scare when 200,000 people in Pennsylvania -- far more than the 3,500 people advised to leave -- departed en masse from the area.

These "shadow" evacuations cause gridlock and delays, impeding the evacuations that are actually necessary. Many of the evacuees never return. About one-fifth of foreigners in Japan, many living as far as 180 miles away in Tokyo, have yet to return after the exodus following the Fukushima meltdowns. Beyond simply relocating in the short term, anxiety about nuclear contamination caused many Japanese mothers to permanently take their children out of Fukushima prefecture, leaving husbands with local jobs behind. Policy makers must factor in such behaviors when planning for accidents at nuclear power facilities.

Next, Fukushima illuminated the heart-rending choices faced by first responders to disasters. As the scope of the 3/11 disaster became apparent, some Tokyo Electric Power Co. workers left the site of the nuclear power plant to help their own families flee the disaster. We saw a similar situation in post-Katrina New Orleans, when New Orleans police officers evacuated with their families as floodwater rose.

Of course, many first responders put their responsibilities to their communities and their posts ahead of their own self-interest. One Japanese mayor stayed at city hall helping to evacuate others rather than returning to his own home to search for his wife, who had been swept away by the tsunami. Planners must take into account the impossible choices thrust upon those on the front lines and factor in their own families' well-being.

Third, Fukushima has underscored the ways in which formal evacuation plans are "fantasy documents." Lee Clarke of Rutgers University pointed out long ago that documents prepared by firms operating complex and potentially hazardous facilities have to turn unknown risks into known risks for their regulators. Such plans -- which local residents may not read closely if they read them at all -- are produced to ensure that utilities follow the law.

The Indian Point reactor, not even 35 miles away from downtown Manhattan, runs regular evacuation drills for people who live within 10 miles of the plant. But drawing a 10-mile circle around a nuclear facility on a map does not contain fallout at that boundary.

Many observers protested when a French official running the country's nuclear watchdog agency downplayed the consequences of the approaching Chernobyl radiation in a TV interview. He seemed to imply that the health effects of the radioactive cloud from the May 1986 meltdown had stopped at the border, as if it lacked the proper visa for entry.

Radiation from the Fukushima meltdowns spread to the town of Iitate, well outside the 20-mile boundary set up by the Japanese government. All but 100 of the town's 7,000 residents have since moved out.

Experts continue to debate the size of safe zones in nuclear accidents. The Nuclear Regulatory Commission has agreed to evaluate the possibility of establishing a 50-mile emergency evacuation zone around nuclear power plants in the United States. This is because the NRC itself recommended that U.S. citizens in Japan evacuate from a 50-mile zone around the Fukushima reactors soon after the accident.

Past analyses showed that more than half of the population of the United States lives within 50 miles of a nuclear power plant. (Check your zip code at this site to see how far you live from one.) A 50-mile zone would require that millions of Americans be informed of their possible evacuation in the case of an accident, an outcome which would undoubtedly increase anti-nuclear sentiment.

Finally, the meltdowns in Fukushima have punctured any "100% safe" myths that had survived Three Mile Island and Chernobyl. Engineers and planners need to show humility when talking about risks to an ever-more-skeptical public; this is especially true in highly complex and interconnected nuclear facilities, which Charles Perrow of Yale University recognized as susceptible to "normal accidents."

For some, nuclear power's promise of a stable, carbon dioxide-free power source is worth any risks from accidents and the problem of nuclear waste storage. For others, Fukushima represents the third accident in an industry that has little room for error. We ignore these lessons and underestimate the potential consequences of the next disaster at our peril.

The opinions expressed in this commentary are solely those of Daniel P. Aldrich.

@highlight

Daniel Aldrich: The Fukushima meltdowns reveal flaws in nuclear disaster planning

@highlight

Huge evacuations caused gridlock, he says, and first responders left for their families

@highlight

Aldrich: a 10-mile evacuation radius is a "fantasy"; at least a 50-mile radius is needed

@highlight

Aldrich: Half of America lives within 50 miles of a plant; we can't dismiss the risks