(CNN) -- Fine Arabic calligraphy and street art may seem worlds apart, but for artist eL Seed, they're one and the same thing.

eL Seed, a 31-year-old French Tunisian artist, has just used his distinctive style of Arabic street art, which he calls "calligraffiti," to decorate the tallest minaret in Tunisia with a verse from the Quran that tackles intolerance.

The mural, on the Jara Mosque in eL Seed's hometown of Gabes is 47 meters tall, 10 meters wide and covers two sides of the minaret, his biggest artwork to date.

eL Seed said he was reacting to clashes between hardline Islamist Salafists and artists at an art fair in Tunis in June that showed works the Salafists believed was insulting to Islam.

Tunisia has experienced the resurgence of ultra-conservative Islamist groups since since the revolution that ousted president Zine al-Abidine Ben Ali in 2011.

eL Seed said he believed both the artists and the religious extremists were showing intolerance and he wanted to bring a message of tolerance.

"My goal was to bring people together, which is why I chose these words from the Quran," said eL Seed. "I like graffiti because it brings art to everyone. I like the fact of democratizing art.

"I hope it will inspire other people to do crazy projects and not to be scared."

eL Seed, who was born and raised in France by a Tunisian family, grew up speaking Tunisian dialect. He did not learn to read or write Arabic until his late teens and discovered a renewed interest in his Tunisian roots.

He began experimenting with street art both in France and Tunisia at the age of 16, and gradually increased the scale of his work. He said street art has boomed in Tunisia since the revolution.

"Street art is not new to Tunisia, but it was much more small scale before the revolution," he said. "I would do a wall in a community and people in the neighborhood would come along and help me.

"In the beginning I would work when no-one was around, but as I got more well-known, people would invite me to decorate their walls."

Also on Inside the Middle East: Syrian artists fight Assad regime with satire

After the revolution in January 2011, street art was possible on a bigger scale, he said.

"Before the revolution art in Tunisia was quite bourgeois, but if you put big pieces of art on walls it is for everyone," said eL Seed, now living in Montreal, Canada.

"The revolution pushed people to be more creative because before they were scared -- and now they have more freedom."

Exactly a year after the start of the protests against President Ben Ali which sparked uprisings across the Arab world, eL Seed took on his first large-scale mural to celebrate Tunisia's revolution.

In the city of Kairouani, he painted a giant mural with a passage from a Tunisian poem he intended as a message of hope to all those engaged in struggles against tyranny, corruption, and injustice.

The wall he used had been used during the revolution to voice dissent during the revolution, he said, adding that six others spontaneously joined him to help with the mural.

eL Seed wrote on his website: "The wall on which we painted had actually been used to voice dissent and commentary throughout the protests. Folks painted freely on this wall and would discuss current opinions and the changing state of Tunisia.

"This wall, however, was painted over not long after the ousting of Ben Ali: Those revolutionary words no longer able to conjure the memories of defiance and dignity. In this sense, the mural creation became a public memorial commemorating these words and their meaning."

Also on Inside the Middle East: W hat happened to Tel Aviv's tent city?

For his recent projects, eL Seed worked with a community organization Al Khaldounia, which obtained authorization for his murals. He was sponsored to do the minaret mural by Barjeel Art Foundation in the United Arab Emirates.

In his earlier works, he simply asked people if he could paint on their walls.

eL Seed chose his nickname as a tag for his grafitti at the age of 16 while studying a French novel "Le Cid."

"My teacher said 'le cid' comes from the Arabic word 'el sayed' which means 'the master, the man'. So I was 16 years old and I said to myself ' I am the master, the man' so I called myself 'eL Seed.'"

eL Seed has a solo exhibition opening at Gallery Itinerrance in Paris 13 on October 12.

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN, writer Catriona Davies: @catrionadavies and digital producer Mairi Mackay: @mairicnn.

@highlight

eL Seed painted tallest minaret in Tunisia with passage from Quran that tackles intolerance

@highlight

Artist's work combines Arabic calligraphy and street art to form his distinctive "calligraffiti"

@highlight

Says he was reacting to clashes between hardline Islamist Salafists and artists

@highlight

Street art has boomed in Tunisia since the revolution, says eL Seed