(CNN) -- It may not be the coughing, sneezing passenger next to you on your next flight who is spreading disease, it could be the airport you just took off from.

Researchers at the Massachusetts Institute of Technology's Civil and Environmental Engineering department looked at the 40 largest U.S. airports and figured out which ones would be the most likely to spread a disease in the event of an outbreak in the cities they serve.

They factored in passengers' travel patterns, the airports' geographic locations, interactions between airports and even passenger waiting times for their study, published July 19 in the journal PLoS ONE.

One of the surprises in their findings was that an airport's ranking on the researchers' list was not necessarily tied to its size or busyness.

While John F. Kennedy International Airport in New York and Los Angeles International Airport were first and second on the list, respectively, Honolulu International Airport ranked third, even though it carries only 30% as much traffic as Kennedy.

The researchers said that's because of Honolulu's place in the air transportation network: in the Pacific Ocean, with many connections to distant, large, and well-connected hubs.

Though Hartsfield-Jackson Atlanta International Airport ranks first in the number of flights, it was eighth on the researchers' list of potential disease spreaders. Boston Logan International Airport ranked 15th.

Following Kennedy, Los Angeles and Honolulu on the list are San Francisco International Airport, Newark Liberty International Airport, Chicago O'Hare International Airport, and Washington Dulles International Airport. Atlanta, Miami International Airport and Dallas/Fort Worth International Airport round out the top 10.

Public health crises of the past decade, like SARS in 2003 or the H1N1 flu pandemic in 2009, have highlighted how easy it is for diseases to spread around the world, including through air travel.

But existing models, the researchers said, look only at the final stages of an epidemic and the places that ultimately develop the highest infection rates.

The researchers say the new model can help determine ways to contain an infection in a specific area, and can also help public health officials made decisions about treatment and vaccines in the early days of a contagion.

"We are currently capable of modeling with some detail real disease outbreaks, but we are less effective when it comes to identifying new countermeasures to minimize the impact of an emerging disease," said Prof. Yamir Moreno of the University of Zaragoza, who studies complex networks and spreading patterns of epidemics.

"The work done by the MIT team paves the way to find new containment strategies" because it allows a better understanding of the patterns characterizing the initial stages of a disease outbreak, he said in a comment on the research.

The SARS outbreak spread to 37 countries and caused about 1,000 deaths. The H1N1 "swine flu" pandemic killed about 300,000 people worldwide.

@highlight

The list measures how likely airports are to spread diseases in an outbreak

@highlight

Researchers looked at the airports' locations, connections and waiting times

@highlight

Honolulu ranked third on the list, above busier airports like Atlanta