Washington (CNN) -- With his budget approved by the House, Paul Ryan is turning his attention to Iowa to headline a high-profile Republican event that will only fuel speculation he's laying the groundwork for a potential presidential run in 2016.

Lawmakers approved the Wisconsin Republican's 2015 spending plan on Thursday. But there were notable conservative defections, making his appearance at Friday's Lincoln Dinner in Cedar Rapids more interesting.

The question that confronts Ryan is whether his budget, dubbed the "path to prosperity," will help pave a path for him to compete in the early contest state in two years. Or will it prove a political liability when Republicans choose their next White House nominee?

Ryan's role as the chief fiscal expert in the GOP is the main reason he was tapped as Mitt Romney's running mate in 2012, and remains his main calling card in a potential national campaign.

Since Republicans took control of the House in 2010, top GOP leaders have deferred to the Budget Committee chairman to construct the party's blueprint to address the growing national debt.

He has shepherded four budgets through the House and brokered a deal with Democrats last fall to avoid another government shutdown and possible default on the nation's credit limit.

Ryan budget details

Some say not aggressive enough

But that resume has not won over some tea party groups who believe Ryan isn't' being aggressive enough about slashing the size of the federal government.

The group of fiscal conservatives in the House introduced an alternative budget that balances the federal budget in four years, instead of the 10 years in Ryan's plan.

Former 2008 Republican vice presidential candidate Sarah Palin, who previously backed Ryan's budgets, called this version "a joke."

In all, a dozen Republicans voted against his bill, a mix of conservatives who wanted the swifter cuts and moderates in competitive seats who may be worried about political fallout.

"I don't think it helps him at all," Tammy Kobza, Iowa State director for the Eagle Forum, a conservative group, told CNN when asked if Ryan's record crafting GOP budgets could be a basis for 2016 presidential campaign in Iowa.

Kobza isn't ready to endorse any GOP candidate in the next presidential race yet, but she says there are other activists who will attend Friday's dinner who share her view that Ryan isn't conservative enough to win the party's nomination.

"Paul Ryan seems like a very nice man, someone I'd love to have like a next door neighbor," Kobza said, but she grouped him in with "Washington Republicans" who she said "have no clue what's going on in real world America."

Jim Carley, President of Save Our American Republic (SOAR), a conservative grassroots group in Iowa, said he supported most of what Ryan had in previous proposals, but he admitted he hasn't focused on the details of Ryan's latest plan.

Ryan's dilemma

Iowa conservatives

He told CNN that conservatives in Iowa are determined to get the federal budget in balance, and although he understands it may take some time, "you're going to have some people that are never happy."

Texas Republican Sen. Ted Cruz, who has been making his own trips to Iowa to drum up interest in a likely presidential campaign, told CNN he is "a fan" of Ryan's. But he said voters in Iowa would have to decide about the political consequences of his budget.

When pressed on whether he backs Ryan budget blueprint, Cruz declined to answer, saying his focus was on the Senate.

But some Iowa Republicans say Ryan's willingness to tackle tough issues appeals to conservatives there who are especially concerned about the nation's debt.

Iowans hold the lowest credit card debt in the country, according to Transunion.

"There is a tremendous amount of affection among Republicans I talk to, especially with the small business and donor community," former Iowa GOP Chair Matt Strawn, who is not affiliated with any potential 2016 candidate, said of Ryan in a phone interview. "They appreciate he isn't just saying no, he's attempting to demonstrate that he's a solution oriented conservative."

Ryan's Poverty push

Other issues energize voters

Republican activists and strategists say right now Iowa voters are energized about issues other than cutting federal spending.

The backlash to the National Security Agency's surveillance program is pulling people toward Kentucky GOP Sen. Rand Paul, who has seized on the issue, and is tapping into his father Ron Paul's infrastructure in the state.

And the base's continued zeal to roll back Obamacare is something that Cruz has highlighted during his visits to the state. But these same Republicans also say the kitchen table issues that Ryan's budget addresses will generates enthusiasm among caucus goers when the election comes around in 2016.

"Iowa Republicans like somebody who is put forward serious proposals." Tim Albrecht, a former aide to GOP Gov. Terry Branstad, told CNN.

He believes Ryan's budget will be an asset and shows "he's a thoughtful, smart leader, unafraid to make tough decisions and put together tough proposals that don't necessarily endear him to the east coast elite."

Albrecht suggests that it's time though for Ryan to move beyond the spreadsheets and the numbers in the budget plans and demonstrate how his proposals will work in people's lives.

"If he can explain to Joe Citizen how it helps them help their pocketbook then he'll be successful."

Ryan well known

Veteran Iowa Republican Sen. Chuck Grassley told CNN that he expects Ryan to have a "good following" when he visits the state.

He pointed out that some "economic conservatives and libertarians" within the Iowa GOP may not be exactly on the same page with Ryan's approach, but said these groups "don't necessarily disagree with him but it's a matter of emphasis for them."

Republicans agree that Ryan is well known in the state from the 2012 campaign and it helps that he comes from neighboring Wisconsin, and shares Iowans love of the outdoors.

But Friday's visit is only Ryan's second to the state since the 2012 presidential campaign,. Paul, Cruz, former senator and 2012 GOP candidate Rick Santorum have been to the state more often, and GOP strategists say if serious about running for president Ryan needs to start spending more time cultivating support there.

Democrats aren't waiting until 2016 to put Ryan's budget proposal front and center in the November midterms.

While congressional Republicans insist the fallout from Obamacare will help them regain control of the Senate and increase their majority in the House, Democrats believe Ryan's budget is key to their election prospects this fall.

They say its proposed spending cuts and changes to entitlement programs are issues that will energize their base which has been deflated because of the series of problems with the health care law.

Dems to highlight Ryan budget

Democratic Sen. Chuck Schumer has called the focus on the Ryan budget this spring "a turning point" and a "gift" to Democrats.

In Iowa Democratic Rep. Bruce Braley, who is running to replace retiring Democratic Sen. Tom Harkin of Iowa, told CNN the Ryan budget will be a major focus as he talks to voters.

"No matter who my opponent is going to be they've all been out at public meetings talking about where they stand on these issues - and where they stand on these issues is not very different from what's contained in the Paul Ryan budget. They're going to have to own up to whether they stand behind this philosophy of governing," Braley said.

Democratic Sen. Mary Landrieu of Louisiana may be one of the most vulnerable candidates seeking re-election this fall, and points out that her likely opponent, GOP Rep Bill Cassidy, has repeatedly voted for Ryan's budgets.

"I most certainly plan to point out how my opponent has advocated to raise the retirement age to 70. I most certainly plan to point out how some of the proposals in that budget undercut the support for the middle class in Louisiana so I think there are just any number of things," Landrieu told CNN.

Another Senate Democrat facing a tough race, Alaska Sen. Mark Begich, said "elements" of the Ryan budget will play prominently in his race.

He told CNN that those Republican candidates vying to defeat him have already linked themselves to the "pretty draconian cuts" to education and entitlement programs that he believes will alarm voters in his state.

Dems to focus on Ryan budget

Could attacks strengthen Ryan?

But Iowa Republicans believe that attacks from Democrats could strengthen Ryan going into 2016.

"If anything the howls coming from Democrats are an asset," Strawn told CNN, adding, "even those conservatives who would want to see more cuts, quicker, when they see Ryan being attacked, those Republicans and conservatives will rally."

While three House Republicans competing for the GOP nomination for a Senate seat in Georgia opposed the Ryan bill, seeking to show conservative primary voters they wanted deeper cuts, GOP Senate Leader Mitch McConnell, who is battling his own tough re-election campaign in Kentucky, said earlier this week he supported it.

"My personal view is - I think the Ryan budget is a step in the right direction," McConnell said Tuesday. He also indicated that most Senate Republicans backed the plan.

Grassley maintains that it's too early to tell which potential GOP candidate has an edge with potential 2016 Iowa caucus-goers, and he said based on discussions with Republicans "of all stripes" in the state Ryan is on equal footing with others in the field.

But referring to some of the other potential Republican candidates who have executive rather than congressional experience, Grassley said right now there is an "anti-Washington feeling which I think gives some edge to governors."

@highlight

Ryan headed to Lincoln Day dinner in Iowa

@highlight

Ryan's budget, "path to prosperity, or path to presidency?"

@highlight

Sarah Palin calls new Ryan budget "a joke."