(CNN) -- About three quarters of American public libraries currently lend out e-books, and in the past year libraries have seen a sharp growth in e-book borrowing. Still, well over half of U.S. library card holders don't know whether their local public library lends e-books, according to a new Pew report.

Pew also found that 12% of all Americans age 16 and older who read e-books have borrowed an e-book from a library in the past year -- and they're generally pretty happy with the experience. Two thirds of them characterized their library's selection of e-book titles as "excellent," "very good" or "good."

Of course, there are occasional hitches. Some library patrons reported waiting lists for popular e-books, or that the library e-book wasn't offered in a format compatible with their device.

Earlier this year, Pew research found that about one in five U.S. adults have read an e-book in the past year, and that e-book users tend to read over 30% more books per year than people who only read printed material.

If e-books encourage people to read more, that's good for public libraries -- which have a core mission to foster literacy and community engagement with information, culture and civic life.

Also, lending e-books allows libraries to potentially serve more patrons beyond the hours and walls of their branches. Eventually this might lead to smaller collections of printed books on library shelves, but it also could free up space to meet growing community needs for meeting rooms and computer labs.

Money is a top concern for public libraries. Lately most have been facing an especially severe budget crunch. This is motivating some libraries to making acquiring e-books a higher priority.

According to Pew: "A number of librarians report that some funds for purchasing printed books have been shifted to e-book purchases. Others' libraries have cut back on other media purchases, such as CD audiobooks, to free up funds for purchases of e-books."

Even though libraries have options to get many e-books for free, lending out many of the most popular titles definitely costs money. And this recently got considerably more expensive for libraries.

Publishers have historically sold e-books to libraries (or to distributors such as Overdrive) at prices roughly equivalent to the retail hardcover price. However, in March, one of the largest U.S. publishers, Random House, suddenly increased its library pricing for e-books by as much as 300%.

This was a big blow to libraries, which consider lending current bestsellers to be a critical service. Random House is the only major publisher to make e-books of its entire catalog available to any public library for unrestricted lending. The other "Big Six" publishers either refuse to allow libraries to lend out their e-books (at least their "front list" of current bestsellers), or they require libraries to periodically pay to re-license e-books.

Publishers have largely resisted e-book library lending because they're concerned it might undermine their own e-book sales. Why would consumers buy e-books if they can get them for free at the library?

But evidence indicates that publishers may not have much to fear from library e-book lending -- just like they haven't been hurt by library lending of print editions of current bestsellers.

Pew found that nearly half of all Americans who have read a book in the previous year purchased their most recent book. Only one fourth borrowed their most recent book from a friend; 14% borrowed it from a library. Furthermore over half of e-book users who also hold library cards told Pew that they prefer to buy -- not borrow -- their e-books.

Among the library patrons who are currently borrowing e-books, only one-third say they generally prefer to buy e-books; 57% generally prefer to borrow them. But, interestingly, slightly more library e-books borrowers told Pew that when they want to find an e-book, the first place they look is an online bookstore -- not the library.

At least one major publisher is warming up to library e-book lending. Last week, Penguin announced a pilot program to allow public libraries in New York City and Brooklyn to lend out its e-books via 3M's Cloud Drive service. This is notable because last November Penguin pulled its books from Overdrive.

The community role of public libraries is evolving, and libraries are seeking ways to better meet the needs of people who are especially in need of their services. Pew found that people who live in households with an annual income of less than $30,000, rural dwellers, and seniors are least likely to have a library card.

Pew asked people who don't already borrow library e-books whether they might avail themselves of library programs that would prepare them for using e-books. Nearly half said they would be "very" or "somewhat" likely to borrow an e-reading device that came loaded with a book they wanted. About a third would be at least somewhat likely to take library classes on how to download e-books onto handheld devices (including smartphones), or classes on how to use an e-reader or tablet computer.

Pew also noted: "Those most interested in these services include some groups that librarians are especially eager to reach. African-Americans, Hispanics, and those who live in lower-income households are more likely than others to say they would be interested in borrowing pre-loaded e-reading devices and take classes about how to use the devices and download books."

Clearly, public libraries have more work to do with spreading the word that they have e-books to lend. It also wouldn't hurt if the process of borrowing a e-book were less clunky at many libraries.

To find out whether your public library lends out e-books, check their website or ask a librarian. Or conduct a library search on Overdrive.com.

You'll need a library card, of course -- so if you don't already have one (more than 40% of Americans don't), borrowing free e-books might be a good reason to finally visit your public library and get a library card.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Many Americans don't know whether their public library has e-books, a new Pew report says

@highlight

Those who use e-books read 30% more books per year than those who don't

@highlight

If e-books encourage people to read more, that's good for public libraries

@highlight

However, library e-book acquisition has been complicated by higher publisher prices