One person dies every 19 minutes from a prescription drug overdose in the United States.

In an effort to combat "misuse and abuse," the Food and Drug Administration is proposing new restrictions that would change regulations for some of the most commonly prescribed narcotic painkillers on the market.

The FDA's latest proposal would specifically affect hydrocodone combination pills, also known as opioids, which combine hydrocodone with less potent painkillers such as acetaminophen. One example is the drug Vicodin.

Currently labeled as Schedule III drugs, these opioids would, if the reclassification proposal is accepted, be labeled as Schedule II.

This means patients would have to have a written prescription from a doctor -- instead of a prescription submitted orally over the phone -- to access the drugs. And refills would be prohibited; patients would have to check in with the doctor to get another prescription.

A Schedule II classification would also put manufacturing quotas in place for these hydrocodone products. Pure hydrocodone is already a Schedule II substance.

Drugs are categorized into one of five "schedules" by the Drug Enforcement Administration based on "whether they have a currently accepted medical use in treatment in the United States, their relative abuse potential and their likelihood of causing dependence when abused." Other drugs, such as Adderall and morphine, are also labeled as Schedule II.

"When you wonder why your dentist gives you 40 hydrocodone for a toothache, or your knee doctor prescribes far more than he should, that's because they're under the impression that it's not addictive as Percocet," Dr. Andrew Kolodny, president of Physicians for Responsible Opioid Prescribing, told CNN in January when an FDA advisory panel first urged the administration to recommend tighter restrictions.

"That's completely false."

In an online statement posted Thursday, the FDA said it "has become increasingly concerned about the abuse and misuse of opioid products, which have sadly reached epidemic proportions in certain parts of the United States."

Approximately 80% of the world's pain pills are consumed in the United States, according to 2011 congressional testimony from the American Society of Interventional Pain Physicians. Since 1999, sales of prescription painkillers in the United States have quadrupled. So have the number of fatal poisonings from prescription painkillers. Almost twice as many people abuse prescription drugs as the number of people abusing cocaine, heroin, hallucinogens and inhalants combined, the DEA says.

Report: States failing to curb prescription abuse

"Truth is, it is easier for a doctor to write a prescription than to explore other effective options to combat pain," CNN chief medical correspondent Dr. Sanjay Gupta wrote in an editorial. "And it is easier for patients to take those prescription pills than to search for alternatives themselves. Both those things must absolutely change."

The FDA argues it did not come to its decision lightly, saying it conducted a "thorough and careful analysis of extensive scientific literature, review of hundreds of public comments on the issue, and several public meetings" in an effort to ensure that future drugs are "properly prescribed and appropriately used by the patients who need them most."

The FDA's proposal is scheduled to be submitted to the Department of Health and Human Services by early December, but the DEA has the final decision on whether to reclassify the drugs. A spokesman for the DEA told CNN it would be premature to speak about the FDA's recommendation at this time.

In September, the FDA took another step to reduce painkiller abuse with new labeling regulations, which are set to go into effect at the end of this year. Currently, the labels on the drugs say they are for "the relief of moderate to severe pain in patients requiring continuous, around-the-clock opioid treatment for an extended period of time." The new labels will say the drugs should be used only when "alternative treatment options are inadequate."

The FDA said it hopes the changes will result in a larger conversation about pain management between patients and doctors.

@highlight

FDA wants new restrictions on common narcotic painkillers that contain hydrocodone

@highlight

Patients taking them would have to follow up with their doctors more often

@highlight

The agency is concerned about abuse and misuse of the drugs