(CNN) -- Imagine you're about to travel to a foreign land. You've heard it can be a mighty dangerous place, but you have to go there -- you have no choice. You don't know exactly where the threats lurk, and you don't speak the language. Wouldn't it be nice to have a guide?

Nurse Susan Gonzalez stopped a hospital nurse from giving her father a drug to which he is allergic.

In many ways, a hospital is like that foreign land, and the guides that know the terrain are the nurses.

As many as 98,000 people die in U.S. hospitals each year as a result of medical errors, according to an Institute of Medicine report. Some 99,000 people die each year from infections acquired in the hospital, according to data from the Centers for Disease Control and Prevention.

Vigilance is key, says Cindy Sellers O'Brien, president of the mid-Maryland chapter of the Emergency Nurses Association. "The patients that do better are the ones that take an active role in their health care. They have the better outcomes [because] they take more ownership."

The American Hospital Association agrees that patients play a crucial role. "While we are striving for perfection in the way we deliver care, we know we fall short of that mark -- but patients can help us get better," says Nancy Foster, AHA's vice president for quality and patient safety policy. "They can -- and should -- ask questions when something does not seem quite right."

The consequences of medical errors are especially devastating for children, according to the Joint Commission, which accredits hospitals nationwide. This week the commission released tips for keeping your child safe in the hospital, noting that according to its figures, one in 15 hospitalized children is harmed by medication errors. A study out last week from the University of Michigan found that nearly two-thirds of parents reported they felt the need to watch over their child's hospital care to make sure no one made any mistakes.

Given the dangers lurking in hospitals, we asked several nurses to give us their suggestions about what steps to take to protect yourself and your family.  Watch more on avoiding hospital mistakes »

1. Bring in a list of the medications you're taking

This is one of the most important things you can do to ensure your safety, according to a survey of 731 nurses by Consumer Reports. It's best to have the list in your wallet in case you're taken to the emergency room.

Rita Kobert, a nurse in Fredericksburg, Virginia, who has a seizure disorder, told Consumer Reports she learned this lesson long ago. "If I fall from a seizure ... and have to go to the hospital, I already have a printout of medications," she said.

2. Make sure the hospital gets your name right

Last year, Michelle Waddy, a freelance pediatric nurse practitioner in Roanoke, Virginia, suffered a drop in hemoglobin and needed four units of blood immediately. "The emergency room nurse entered my name on the computer wrong. I was given blood under another patient's name," she wrote to us.

Waddy says she caught the error, but the hospital continued to use the wrong name. "Luckily they had to get my blood type before I was given blood, or I wouldn't be telling this story."

3. Ask about every medication they give you

Nurses say to double-check the name, dosage, and timing of every medicine you receive in the hospital.

Susan Gonzalez, a nurse in Austell, Georgia, caught a medication error just in time. She was visiting her father in the hospital when a nurse came to give him an intravenous medicine. "I asked them, 'What are you hanging?' " she said. The nurse answered it was ampicillin, an antibiotic. "I was like, 'My dad is allergic,' and they said, 'Oh, you're right.' That could have been a fatal outcome."

4. Make sure everyone washes hands

In the Consumer Reports survey, 26 percent of the nurses reported observing hand-washing lapses.

"It seems like a simple little thing, but doctors and nurses pick up a lot of nasty germs and then transmit them to other patients," Dr. Howard Blumstein told Consumer Reports. Blumstein is a vice president of the American Academy of Emergency Medicine and practices in North Carolina.

Since it can be an uncomfortable conversation, Consumer Reports has a list of ways to ask a doctor or nurse to wash up.

Here's advice on preventing hospital infections from the American Hospital Association, the American Medical Association, and the National Patient Safety Board.

5. If you think something's wrong, don't back down

O'Brien, the nurse from Maryland, said she had to fight to stop her mother from receiving a dangerous medication during an emergency visit to the hospital.

She says her mother, who had breast cancer, was supposed to receive a dose of a steroid called Decadron before her chemotherapy sessions. She said someone in the hospital made a mistake and wrote in her mother's chart that she was supposed to receive Decadron every twelve hours.

O'Brien begged the nurses to take her mother off the 12-hour schedule of Decadron, explaining that she was a diabetic and it could hurt her heart. Within 10 minutes of talking to the nurse, her mother experienced chest pain and had a heart attack, O'Brien recalls, adding that her mother survived.

O'Brien says don't give up if you think something's wrong. "You don't need to be aggressive, nasty, and mean. Be convincing and confident," she said.

CNN's Sabriya Rice and Jennifer Pifer Bixler contributed to this report.

@highlight

Medical errors kill up to 98,000 U.S. hospital patients a year

@highlight

To cut back on potential for mistakes, vigilance is key, says nurse

@highlight

Ask about every medication the hospital gives you

@highlight

If you think something is wrong, don't back down