(CNN) -- It's 10pm when the young men dressed in wetsuits rock up at Munich's hippest hangout.

There's already a line of people waiting to get in. But it's not a cutting-edge bar or restaurant drawing the huge crowds -- it's a river.

Welcome to the surreal world of urban surfing, where innovative thrill-seekers ride the waves of inner-city rivers.

Munich's Eisbach River -- located in the heart of the German city -- is one of a growing number of urban surfing spots around the world. From China's industrial ports to land-locked Switzerland's stunning waterways, CNN takes a look at this mesmerizing -- and often dangerous -- extreme sport.

German ingenuity

Munich may be 500 kilometers from the coast, but that hasn't stopped a thriving surfing community springing up around its legendary Eisbach River.

For more than four decades, surfers have been riding the one-meter waves gushing beneath a six-lane highway rumbling with traffic.

Even late at night, surfers can be found queuing up to jump in, with onlookers lining the bridge to catch a glimpse of the action below.

The river, which runs through the city's picturesque English Gardens, is just 12-meters wide. But despite the small space, Eisbach is no easy ride, with only experienced surfers allowed to dive in.

"I'd surfed the ocean for five years, but river surfing is a totally different sport with a different movement," said Quirin Stamminger, editor of Eisbach River surfing zine.

"It's flowing so fast -- around 25 square meters of water per second. The wave is formed by fast water crashing into slow water. This creates the undercurrent which forms the tube."

Taming the Silver Dragon

Think "surfing hotspot" and it's unlikely China's Qiantang River springs to mind.

But not only is the 460-kilometer river home to an annual festival attracting the best surfers from around the world, it's also the site of a rare wave phenomenon that has been mesmerizing tourists for centuries.

Each autumn, a massive tidal bore -- a wave that travels against the current -- surges up the river. At nine-meters high and traveling at 40 kilometers per hour, the "Silver Dragon," as it is known, is the largest tidal bore in the world and so powerful that only a small number of hefty commercial boats are allowed on the river at the same time.

Watch: Aussie champ -- 'Surfing can be feminine'

Now a group of American surfers has launched an annual festival on the river, using jet skis to reach the bore which pounds through the city of Hangzhou.

Towering skyscrapers can be seen looming behind the daring surfers as they ride the murky Silver Dragon.

"Hundreds of thousands of people flock to Hangzhou during the Fall Equinox -- known as the Moon Festival -- every year to stand on the banks and watch this natural phenomenon barrel past," said Glenn Brumage, business director Wabsono International, a company promoting boardsports in China.

"The cityscape, the hundreds of thousands of people lining the banks, the exclusivity and just the fact that it's China all adds to the drama, excitement and allure of surfing the Qiantang."

No ocean? No problem

A small European country with no coastline hardly sounds like the destination of choice for surfing enthusiasts.

But landlocked Switzerland -- with its snow-capped Alps -- is proving to be the ideal training ground for a new generation of surfers.

"We don't have any beaches, but we do have a culture of board riding," said Tino StÃ¤heli, president of the Swiss Surfing Association.

"We have snowboarding in winter, with many riders wanting to do a similar sport in summer."

Many villages in the country sit by a river flowing with icy water from the dramatic mountain range.

An increasing number of surfers are now taking the plunge, with festivals held on the Reuss River flowing through the picturesque village of Bremgarten in the north of the country.

Waves reach around one-meter in the pretty river. But be prepared to wait your turn -- on a nice day up to 40 people can be seen queuing for more than 30 minutes to ride the deep blue water.

@highlight

No ocean? No problem. Innovative boarders are surfing city rivers

@highlight

Munich's Eisbach River attracts young thrill-seekers late into night

@highlight

China's "Silver Dragon" is world's largest tidal bore

@highlight

Land-locked Switzerland is home of snowboarders-turned-surfers