(CNN) -- As election 2012 heats up, the question of how corporations will figure into the first presidential election post-Citizens United is a hot topic.

This week, both Pepsi and Coca Cola renounced their membership in the American Legislative Exchange Council, giving us a hint of what corporate accountability might look like this election year. The companies quit the trade group, which had been pushing restrictive voter ID laws, after being targeted by prominent African-American progressive group Color of Change.

With the controversial 2010 Citizens United decision, the Supreme Court declared the corporate expenditure ban unconstitutional, holding that independent expenditures could not be constitutionally limited in federal elections, and implicitly that corporations could give unlimited amounts to other groups to spend, as long as the expenditures were made independently from the supported candidate.

The president criticized the move in his State of the Union address that year, and a poll shortly after the decision demonstrated that 80% of Americans, from both sides of the aisle, opposed the ruling. Subsequent polls show consistent concern about the amount of corporate money being spent in our political system. The soda giants' announcements indicate that corporate fallout in 2012 may extend well beyond ad spending enabled by Citizens United.

Social media has enabled consumers to register opinions with unprecedented speed and visibility and, in the ever-competitive marketplace, companies are responding in real time. Coca-Cola announced it would leave ALEC a mere five hours after Color of Change went public with its complaint. Pepsi followed suit on Thursday.

At issue are two hot-button topics: voter suppression and the "stand your ground" law that has been invoked as defense in the February shooting death of Trayvon Martin. Both are timely and relevant, both disproportionately affect the African-American community and both were hatched in closed-door sessions at ALEC meetings.

ALEC is not a new group; it predates the Citizens United decision by almost four decades. ALEC brings together corporations, conservative think-tanks and Republican legislators to collaborate on model legislation generally introduced through state houses. The voter ID laws at the center of the controversy have passed several state houses and face challenges from the Justice Department for racial bias. An estimated third of African-Americans do not hold state registered identification, so would be prevented from voting under these laws.

Voting rights advocates claim these laws would effectively keep millions of Americans from the polls. Yet studies show that voter fraud is exceedingly rare and where it does exist, it is not likely to be remedied by instituting ID laws.

This sharp protest against ALEC laws comes on the heels of the institution being spotlighted for its role in the stand your ground legislation at the center of the Trayvon Martin tragedy. Stand your ground was unveiled by the National Rifle Association at a 2005 ALEC gathering and since the initial meeting, 24 states have passed the law.

News: NRA's role with ALEC

Americans generally co-exist peacefully with the corporations whose activities pervade our daily lives. There is a mutually recognized symbiotic relationship. But, at a time when American confidence in government is at an all-time low, voters have little tolerance for displays of affinity between elected officials and powerful corporate interests.

Early on in the Republican primary, presumed nominee Mitt Romney was skewered for a response to a question at the Iowa State Fair, where he proclaimed, "Corporations are people." This is a sentiment almost 60% of Americans disagree with, and it reinforces that Romney's history of wealth and corporate elitism put him out of touch with the common concerns of most Americans and casts doubt on where his loyalty would lie if elected.

Coke and Pepsi are hardly the first to face the wrath of disgruntled citizens. In 2010, Target Corp. came under intense fire after Minnesota campaign disclosure laws revealed that it had given a contribution on behalf of Republican gubernatorial candidate Tom Emmer. Emmer was known as a social conservative who opposed civil rights for gay and lesbian people and opposed immigration reform. Weeks of backlash followed, included demonstrations at more than 1,000 Target stores nationwide, hundreds of thousands of petition signatures and an intense social media campaign.

In the race to command the marketplace through brand loyalty, the corporations' own marketing strategies can make them vulnerable to consumer backlash. Target had positioned itself as the family friendly, all-American department store. It was a place people could feel good shopping after Wal-Mart became a target for its union busting. Similarly, "Have a Coke and a Smile" doesn't fit as a slogan for a company involved in robbing Americans of their democratic right to vote. Color of Change is a perfect emissary to Coke. The company established a dedicated marketing group for African-Americans in 2006 and just this year promoted a campaign targeting black teens to celebrate Black History Month. So, Color of Change represents a critical business demographic and its concerns must be taken seriously.

Republican leaders have and will continue to cry foul about these kinds of efforts. However, as 2012 unfolds, we'll see more of them. These campaigns have become the embodiment of democratic principles in a country where consumer choices matter and the government is seen as too close to corporate interests.

This power of the pocketbook has the potential to invigorate the free market by investing more people in its outcome and to crowd-source our cultural norms by reflecting the values of a diverse country. This is something all Americans should embrace.

The opinions expressed in this commentary are solely those of Ilyse Hogue.

@highlight

Ilyse Hogue: Coke bowing out of ALEC shows how accountability looks in election year

@highlight

She says American Legislative Exchange Council pushed voter ID, "stand your ground" laws

@highlight

She says in post-Citizens United world, people don't tolerate mix of corporations, politics

@highlight

Hogue: Look for more consumers to seek democracy amid corporate influence