Cairo (CNN) -- Egypt's ruling military council Tuesday expressed "great regret" to Egyptian women over recent attacks on female demonstrators by military police and vowed to hold accountable those responsible.

Days of clashes around Cairo's Tahrir Square were stoked by the weekend beating of a woman by military police officers, prompting a "Million Women" march on Tuesday. In a statement issued on its Facebook page, the Supreme Council of the Armed Forces called for calm and said it is willing to discuss any proposal "that might help in achieving stability and safety for Egypt."

"The Supreme Council express its great regret to the great women of Egypt for the violations that took place during the recent events, in the demonstrations that took place at the parliament and the ministers' council, and reassure its respect and appreciation for Egyptian women and their right in protesting and their active positive participation in the political life," it said.

The statement added, "All legal measures have been taken to hold accountable all those responsible for these violations."

Egypt's capital remained engulfed in tension Tuesday as security forces and protesters clashed and demonstrators at the "Million Women" march railed against the regime and assaults on citizens.

Meanwhile, Egypt's capital remained engulfed in tension as security forces wielding batons, firearms and tear gas attacked defiant protesters Tuesday on the fifth consecutive day of clashes the square, witnesses told CNN.

Sherif Barakat, a businessman, heard machine gun fire early in the morning and saw the unrest from the balcony of his home above Tahrir Square. He saw security forces charge, firing tear gas and beating people with batons.

"Both sides exchanged rock-pelting until the military withdrew," he said. "They kept the protesters at bay far from the epicenter of the clashes at Sheikh Rihan Street close to the Ministry of Interior for two hours until they reinforced the cement wall erected two days back with more blocks, then they withdrew."

Nazly Hussein, an activist, said the forces stormed the square before dawn with a "startling" amount of firepower.

"I noticed protesters are not too scared of the firepower," Hussein said. But at the same time, "they are terrified from getting caught and tortured."

Ahmed Hamdi, a field medic, claimed that two people -- a doctor and a student -- were shot and killed. But Adel Al Dawi, a Health Ministry spokesman, could not confirm the casualties.

"It usually takes several hours before we get the official casualty report from the morgues or the hospitals. I know of five people who suffered gunshot wounds during the attack and were transferred to hospitals," Al Dawi said.

Demonstrators and security forces have been battling since Friday in Tahrir, the epicenter of the uprising that brought down Egyptian President Hosni Mubarak earlier this year. At least 14 deaths in the latest spate of violence were confirmed as of Monday.

Several hundred women kicked off the "Million Woman" march, billed to highlight regime violence against female demonstrators.

It started in Tahrir Square, moved through nearby streets and grew to as many as 1,500 to 2,000 people, both men and women outraged over the treatment of all protesters.

Many held up pictures of abused people, and called for regime change. Men vigilant about assaults formed a protective ring around the female marchers.

"I am here to violently condemn the attacks on Egyptian men and women by the Egyptian Army," said Ragia Omran, a human rights activist at the march. "We will not be quiet. We will not let this happen again and we will continue to voice out our anger against this military junta that is killing this country."

The march occurred as shocking images of brutality that went viral across the Internet intensified the crisis in Egypt, the world's most populous Arab nation. One video that sparked outrage showed a military police officer stomping on a woman's exposed stomach over the weekend. Protesters on Tuesday held placards with images of that woman.

Navi Pillay, the U.N. high commissioner for human rights, released a statement Monday condemning what she called "vicious" and "brutal" assaults recorded over the weekend.

"The ruthless violence being used against unarmed women protesters is especially shocking and cannot be left unpunished," Pillay said.

Another video showed Islam Abdel Hafiz, a boy allegedly shot by the military. Field medics attempted to remove the bullet from his motionless bleeding body before transferring him to the hospital.

Al Dawi said he visited the boy in the operating room and met his parents.

"I hope he survives, as the bullet seems to have caused some serious internal damage," Al Dawi told CNN.

Protesters are now demanding that the ruling Supreme Council of the Armed Forces swiftly hand authority over to an elected civilian government. Egypt has been conducting parliamentary elections and the military has said it plans to transfer power after elections are completed next year.

There have already been two rounds of voting for the lower house of Parliament, and voting for the upper house will begin at the end of January and go into early March. There are plans for the election of a president in June.

Newly elected Parliament members, intellectuals and academics weighed in on the violence Monday. The 40 demonstrators held a sit-in in front of the Supreme Court. They demanded that officials involved in the killing of protesters be tried, and they called for the military to hand over authority to civilians on January 25, the anniversary of the Egyptian revolution.

Meanwhile, the Egyptian Revolutionary Alliance, an opposition bloc of secular and religious parties, held a news conference to display images and testimonials about the violence, an event that served as a refutation of a Monday news briefing by the military. The alliance has not taken part in the election.

"Our press conference challenges the press conference announced by the military yesterday which was an utter joke, with all the blatant lies and fabrications it contained. That presser displayed their arrogance and continued mismanagement of the interim period that has led us to the crisis of witnessing dead people everyday," said alliance member Rami Shath.

The military displayed videos of young boys who confessed that they received money from men who asked them to throw Molotov cocktails and rocks at security forces and burn government buildings such as the Cabinet. Many journalists attending the news conference applauded Gen. Adel Amar after his speech.

"The military fabricated these videos and forced the young boys to give these testimonials. They also invited local military correspondents loyal to the establishment that were seen clapping away after the press conference, which was broadcast live on state TV. It is a propaganda move to bury the revolution and portray us as paid thugs with no political horizon," Shath added.

Activists have filed complaints about senior government officials to the Egyptian prosecutor's office. Adel Saeed, the official spokesman of the general prosecutor, told CNN that two judges from the appeals court have been appointed to investigate the "intricate details" of the clashes and file a report to the prosecutor and the Justice Ministry.

"There are protesters and activists dying every day," Noor Noor, the son of presidential candidate Ayman Nour, told CNN Tuesday. The son filed a report under his own name against Field Marshal Mohamed Hussein Tantawi, commander-in-chief of the armed forces.

"Someone has to be accountable. The Supreme Council of the Armed Forces has failed to govern the interim period on both the military and political level," Noor said.

Monday was the fourth day that pro-democracy demonstrators battled Egyptian security forces.

The United Nations' Pillay said she believes the individuals involved in the assaults must be arrested and prosecuted.

"These are life-threatening and inhuman acts that cannot possibly be justified under the guise of restoration of security or crowd control," Pillay said. She called for an impartial and independent investigation into "all instances of abuse and violent repression against protesters."

@highlight

NEW: Egypt's military expresses "great regret" to women over the violence

@highlight

Marchers angered at the violence stage a protest

@highlight

A field medic claims two people were shot dead

@highlight

The prosecutor's office is probing the violence