Hours after President Barack Obama said the fatal shooting of an unarmed African-American teen in Florida requires national "soul searching," a lawyer for the man at the center of an investigation said the shooting had nothing to do with race.

"I asked him, 'Are you a racist? Do you have anything against black people?' and he said 'No'," George Zimmerman's legal adviser Craig Sonner told CNN.

Sonner said Zimmerman and his wife served as mentors to two teenage children of an African-American woman. Though funding was cut for the program, the couple continued their efforts on their own, taking the 13-year-old girl and 14-year-old boy on outings to a mall, a science center and a basketball game. They also helped in a fundraiser for an African-American church, the lawyer said.

"I do not believe that's the indication of a person who's a racist," Sonner said. "I don't see anything that indicates to me that he's a racist."

Trayvon Martin, 17, died February 26. Police say he was shot by a neighborhood watch volunteer in Sanford, Florida, who said he was acting in self-defense. Martin was unarmed, carrying a bag of Skittles candy and an iced tea, according to police.

Although a grand jury is scheduled to convene April 10 to look into the case, authorities have declined to arrest Zimmerman, sparking a national debate over Florida's "stand your ground" deadly force law amid concerns about racial profiling.

The family of Zimmerman, a white Hispanic, said he has been wrongly described as a racist.

Obama spoke out publicly Friday for the first time on the matter. "When I think about this boy, I think about my own kids," Obama told reporters in response to a question. "And I think every parent in America should be able to understand why it is absolutely imperative that we investigate every aspect of this and that everybody pulls together -- federal, state and local -- to figure out exactly how this tragedy happened."

Obama praised Florida Gov. Rick Scott's decision to create a task force to review the "stand your ground" law and said that it would be important to "examine the laws and the context for what happened as well as the specifics of the incident."

"But my main message is to the parents of Trayvon," Obama said.

"I think they are right to expect that all of us as Americans are going to take this with the seriousness it deserves and we will get to the bottom of exactly what happened," he said.

And he obliquely addressed the racial component of the case, saying it struck home for him because, "If I had a son, he'd look like Trayvon."

The teenager's parents, Tracy Martin and Sybrina Fulton, said in a statement that it was "humbling" that Obama had talked about their son. "The president's personal comments touch us deeply and made us wonder: If his son looked like Trayvon and wore a hoodie, would he be suspicious, too?"

Martin was wearing a hooded sweatshirt the day he was killed.

The case unfolded when Zimmerman, who was patrolling his gated community, saw Martin walking in the neighborhood. Zimmerman called 911 and reported what he described as a suspicious person. Moments later, several neighbors called the emergency number to report a commotion outside.

Police arrived to find Martin dead of a gunshot wound.

Authorities say they have not charged Zimmerman because they have no evidence to contradict his story that he shot in self-defense.

Sonner told CNN that Zimmerman was injured on the night of the killing.

"I believe that his nose was broken; he sustained injury to his nose and on the back of his head he sustained a cut that was serious enough it probably should have had stitches," Sonner said.

But by the time Zimmerman reached a doctor, "there was an option not to stitch it up because it had already started healing, is my understanding," said the lawyer, who has talked with his client only by telephone.

Sonner said the injures "were from Trayvon Martin, I assume."

The lawyer said he and Zimmerman had not discussed what happened the night Martin was shot, though he said that Zimmerman has talked with authorities -- unaccompanied by counsel -- whenever they have asked him to do so.

Sonner said he has advised his client to keep a low profile. "I believe his life is in danger," said Sonner.

"This case is spinning out of control," he said. "I hope there's a way to rein things in so it doesn't become an issue of a racial battle. I hope that things come back so that there can be a time for justice and for healing and not for just skipping the whole judicial process and going straight to sentencing."

Police have taken the gun used in the shooting and are holding it as evidence, he said.

"Whatever transpired that night, it's unfortunate that there's a young man in the prime of his life that was left dead," Sonner added.

Opinion: What every black mother fears

Neighbors call watch leader caring, polite

Case sparks dialogue on racial inequality

Heated debate has erupted over whether Zimmerman used a racial slur during the 911 call, which was released this week.

Did shooter use a racial slur?

A top CNN audio engineer enhanced the sound of the 911 call, and several members of CNN's editorial staff repeatedly reviewed the tape but could reach no consensus.

The case has prompted a Justice Department investigation, which is in the fact-finding stage.

Whether Zimmerman used such language before shooting Martin is key, according to CNN senior legal analyst Jeffrey Toobin.

"It's extremely, extremely significant, because the federal government is not allowed to prosecute just your ordinary, everyday murder," he said. "Two people fighting on the street is not a federal crime. However, if one person shoots another based on racial hostility, racial animus, that does become a federal crime."

Photos: Million Hoodie March

A special prosecutor appointed by Gov. Scott, Angela Corey, said Friday that her office can charge Zimmerman, clear him or send the case to the grand jury.

Rallies and protests also continued Friday.

Congressional staffers rallied in an event dubbed "Hoodies on the Hill" organized by several staff organizations, while students walked out of classes at six Miami-area high schools to protest police handling of the case and demand changes in Florida's law.

At Southridge High School in Southridge, students lined up on the football field to form the initials, "T.M."

Miami-Dade County Public Schools issued a statement saying Martin's mother asked students to focus instead on signing petitions, attending rallies and praying.

"Our most important mission is to provide a safe learning environment for students, and so we are asking them to respect the wishes of Trayvon's mother by celebrating his memory not through walkouts, but through reflection and civic participation," Superintendent Alberto Caralho said.

Students walk out in protest over shooting death

Demonstrations were planned over the weekend in South Carolina and Virginia and Monday in Sanford and Atlanta.

Shooting renews debate over 'stand your ground' laws

Amid the protests and calls for reform, some Florida lawmakers said it was time to revisit the 2005 "stand your ground" law, which eliminated a long-standing provision requiring people facing danger outside of their homes to first attempt to retreat before meeting a threat with force.

Toobin: Does Florida law let killers go free?

Since the law's adoption, the number of justifiable homicide rulings in Florida has nearly tripled, according to the state Department of Law Enforcement.

"We foretold that this would happen while we debated this law and a lot of us voted against it," Florida state Rep. Christopher Smith told CNN on Friday. "They turned a blind eye to it. But now that America's looking at Florida, now people are starting to react and starting to really recognize what we were saying back in 2005 in the Florida House."

But a co-sponsor of the law, Sen. Dennis Baxley, R-Ocala, said the law was not at fault. He credited the statute for a "serious decrease" in violent crime.

Baxley said it is up to the grand jury to decide whether any laws were broken, but left no doubt where he stands. "Quite frankly, anyone who steps out in a pursuit in a confrontational mode with a firearm? That's not a self-protection act. You've initiated something."

He said one good outcome of the killing may be clarification over how the law ought to be applied. "Maybe we do need some direction," he said. "Maybe we need to give direction to Crime Watch."

Police chief steps aside 'temporarily'

The incident has damaged relations between the Sanford Police Department and the city's African-American residents, City Manager Norton Bonaparte said Friday.

"We have to start from ground zero," he said.

The depths to which community relations had sunk was underscored by the arrest Friday of a 68-year-old Melbourne Beach white man for allegedly threatening to harm  Bill Lee, who stepped down "temporarily" on Thursday as Sanford's police chief. "You and your family deserve to be hunted down and shot like a dog, just like Trayvon Martin," says the e-mail that led to the arrest. "Your entire police department is nothing more than a collection of incompetent, bigoted, unprofessional a**holes."

@highlight

"I believe his life is in danger," Zimmerman's lawyer says

@highlight

Obama says nation must do some soul-searching over shooting

@highlight

Special prosecutor not sure grand jury will be necessary in case