(CNN) -- The African elephant, one of the world's most majestic animals, is in danger. In the early 1900s, 5 million elephants roamed the African continent. Then the ivory trade drove them to the brink of extinction, with 90% of African elephants killed for the ivory in their tusks.

In 1989, the world reacted, imposing a ban on the international trade in ivory passed by the U.N. Convention on International Trade in Endangered Species. Elephant populations stabilized. But today, driven by growing demand for ivory ornaments and carvings in Asia, particularly in China, elephant poaching has returned with a vengeance.

The largest slaughter in one year since the 1989 ban was passed happened in 2012, with up to 35,000 elephants killed. This adds up to nearly 100 a day. Tens of thousands are killed every year. Without action, the day may come when this magnificent creature is known only in history books.

Estimates say if elephants continue to be slaughtered at today's rates, the creatures could be extinct in a decade. Not only do elephants die. The wildlife rangers who try to protect them from poachers are being killed.

The illicit trade in ivory -- "white gold" -- is a billion dollar industry, and because it is illegal, it tends to attract some very bad actors. It is blood ivory: Al-Shabaab, a wing of al Qaeda based in Africa that is responsible for continued instability in Somalia, is known to finance its operations through the poaching of elephants. Al-Shabaab raises an estimated $600,000 a month through the ivory trade. The Lord's Resistance Army, another terrorist group infamous for forcing children to fight in its ranks, also engages in poaching and trafficking of elephant ivory.

Stopping the ivory trade has become not only a matter of conservation but one of national security and international stability.

Last year, the United Nations issued a report warning that elephant poaching is the worst it has been in a decade, while ivory seizures are at their highest levels since 1989. Last summer, President Barack Obama issued an executive order recognizing that the poaching of protected species and the illicit trade in ivory has become an international crisis that the United States must take a leading role in combating.

Saving elephants and other threatened species is a cause that cuts across partisan lines and international boundaries. We all have a part to play.

It starts in our personal lives.

The ivory trade prospers because there is a demand for luxury goods fashioned from it. As consumers, we should never buy products made with ivory and should encourage others to be mindful that their purchases are not illegally sourced through trafficking. And we should continue to shine a spotlight on the problem of illegal poaching and the threat it poses to African elephants and other species.

There are actions our government can take, as well. As co-chairman of the U.S. Senate International Conservation Caucus, I have worked with my colleagues on both sides of the aisle to educate members of Congress on these ongoing problems and introduce legislation that authorizes proven conservation programs and directs resources to the international effort to dismantle the machinery of illegal poaching.

The Conservation Reform Act is part of this effort. If passed, it would streamline and increase the effectiveness of our existing international conservation efforts. I am also working to reauthorize the Saving Vanishing Species Stamp, which raises funds for the protection of threatened animals and their habitat at no cost to the U.S. taxpayer.

Over the years, we have watched as the actions of a few shortsighted, malicious and greedy people have nearly destroyed whole species. If we act now, we can make sure that the African elephant doesn't become another sad entry on a long list of animals we can never bring back.

The opinions expressed in this commentary are solely those of Rob Portman.

@highlight

Rob Portman: The world almost killed off elephants completely before the ban on ivory in 1989

@highlight

Portman: Poaching has returned with a vengeance, fueled by demand for ivory in China

@highlight

Ivory trade raises money for a wing of al Qaeda and Lord's Resistance Army terrorism

@highlight

Portman: Tens of thousands of elephants killed a year; we need to strengthen legislation