Ankara, Turkey (CNN) -- A top Turkish official apologized for the "police aggression" that fueled nationwide protests against Prime Minister Recep Tayyip Erdogan as trade unions threw their weight behind the demonstrations Tuesday.

The 240,000-member KESK confederation of public-sector workers called for a two-day strike to protest what it called the "fascism" of Erdogan's ruling Justice and Development Party. The protests began over plans to replace an Istanbul park with a new development, but spread nationwide after a heavy-handed crackdown by police.

After chaotic scenes in the streets Monday that continued late into the night and sent tear gas wafting through the air, the situation was relatively calm Tuesday in Istanbul's Taksim Square, near the park where the protest movement began, and in the capital Ankara.

Riot police around Ankara's central Kizilay Square brought in armored vehicles topped with water cannon in a show of force Tuesday evening, but the demonstrations throughout the day were calm.

The protests have morphed into larger complaints against Erdogan, who has led Turkey for 10 years. His critics call him paternalistic and authoritarian, accusing him of accumulating more and more power and growing less tolerant of dissent. In Istanbul, the crowds have been chanting "Tayyip resign" -- referring to Erdogan -- and "shoulder to shoulder against fascism."

What's driving unrest and protests in Turkey?

Deputy Prime Minister Bulent Arinc apologized Tuesday "for the police aggression against our citizens who were involved in the initial protests and acted with environmental concern," Turkey's semiofficial Anadolu news agency reported. He said security forces had been ordered to only use gas in self-defense.

"They are doing a hard job. When they are executing their jobs, they may sometimes use extraordinary, even excessive, use of force. But they wait in a passive mode unless something comes from the other side," Arinc said.

And he added, "I don't think we owe an apology to those who caused destruction on the streets and who interfered with people's freedom."

The Turkish Medical Association said that at least 3,195 people were injured in clashes Sunday and Monday, with 26 in serious or critical condition. Most of the injuries were in Istanbul.

Read more: Turkish protesters decry 'unprecedented violence'

One protester, Mehmet Ayvalitas, died of his injuries, the medical association said. And the governor of Hatay in southeastern Turkey said that a 22-year-old man, Abdulah Comert, was killed with a firearm by unknown people during demonstrations late Monday, Anadolu reported.

Erdogan's opponents appear determined to continue the demonstrations despite the prime minister's comment Monday that he expects the situation to return to normal "within a few days." Erdogan, who left the country Monday on a four-day trip to North Africa, has responded by dismissing the demonstrations as the work of "extreme elements" and marginal groups.

"My smart citizens will recognize this, then they will give them the right lesson," he said Monday.

The protests began after plans were made to raze Gezi Park, the last green space in central Istanbul, and replace it with a replica of 19th-century Ottoman barracks. The development would contain a shopping mall.

Despite economic boom, Erdogan targeted by protests

What began as a sit-in by a handful of angry residents quickly grew into a larger protest. Riot police moved in, using tear gas and pepper spray. Protesters responded by hurling bottles, setting up barricades, blocking bulldozers and burning trash in the middle of the street.

Then, outraged by the behavior of security forces, demonstrators began attacking police.

International groups including Amnesty International have criticized the police response as excessive. In Ankara on Sunday night, a CNN crew witnessed authorities roughing up at least one protester. One police officer kicked a CNN videographer, CNN's Nick Paton Walsh reported, and a CNN crew in Istanbul on Sunday also witnessed bloodied protesters.

The protests have spread to 67 of Turkey's 81 provinces, according to Anadolu. While Erdogan has maintained a defiant tone, Turkish President Abdullah Gul sounded a conciliatory note Monday, saying "the messages sent in good faith have been received."

Opinion: Is Turkey on the verge of a meltdown?

Hugh Pope, a senior Turkey analyst with the International Crisis Group, called the protests "completely unprecedented" and said Erdogan was caught off guard. Most demonstrators, Pope said, are "overwhelmingly ordinary people" who simply want their voices heard.

"However, there are other demonstrators who are somewhat more opportunistic in the left-wing factions who normally don't get much in the way of airtime in Turkey and are camped on Taksim Square," Pope said.

Erdogan has defiantly praised his government's accomplishments in overseeing a decade of strong economic growth in Turkey. His party has won the past three elections, most recently securing 49.95% of the vote in 2011.

"What you have is essentially a large group of Turks who feel alienated from this government, in power for 10 years," said Richard Haass, a Middle East analyst at the Council on Foreign Relations in Washington.

"It's increasingly a one-party country. All the politics happen within it. The opposition is weak, divided, feckless," he said. "You have a lot of people in Turkey who feel both alienated and intimidated by the government, and this is the way they decided to push back."

CNN's Ivan Watson and Talia Kayali contributed to this report.

@highlight

NEW: Riot police move water cannon to Ankara square

@highlight

Deputy prime minister apologizes for police aggression in initial protests

@highlight

Public-sector unions join demonstrations against Erdogan

@highlight

He says the demonstrations are the work of "extreme elements"