(CNN) -- Pakistanis headed to the polls Saturday for what could be a historic vote in terms of establishing the country's democratic bona fides as well as determining its future as it faces an array of issues from high unemployment to overpopulation and terrorism.

This year's election has been hailed as one of the most democratic to date for a nation that for much of its 66-year existence has had military rulers.

According to the Election Commission of Pakistan, there will be 36 million new voters among the 86 million registered to vote. Plus, more than double the number of candidates will be women, with 161 running versus the 64 who contested the 2008 poll, according to U.N. Women.

Yet the economic, political and security situation in Pakistan isn't especially stable.

Beyond high inflation and poverty rates, Pakistan has also seen spurts of violence, in some cases engineered by Islamic extremists.

Since April, the Taliban in Pakistan has killed dozens of people in attacks on the three main political parties. Many urban voters and parties regard resurgent fundamentalism as one of the biggest threats to Pakistan.

More than 600,000 security personnel have been deployed nationwide to safeguard the election, Information Minister Arif Nizami said Friday. Pakistan's army, which helped deliver 650 tons of ballots to polling stations, will have 75,000 troops out around the country, a military spokesman said.

The governing Pakistan People's Party is led by Bilawal Bhutto Zardari, the son of assassinated former prime minister and party leader Benazir Bhutto. But in an indication of the danger facing politicians, Bhutto Zardari won't be out for Saturday's vote because of security threats, according to Pakistan's Dawn newspaper.

While his party became the first civilian government to complete a full five-year term -- the three governments after the death in 1988 of military strongman Zia ul-Haq were all brought down by the army -- its legacy is a deeply fractured country with a faltering economy.

The PPP's main opposition comes from the Pakistan Muslim League-N, led by one of the country's leading industrialists and richest men, Nawaz Sharif. He's been prime minister twice before and was overthrown in a coup and exiled when Gen. Pervez Musharraf seized power in 1999.

Viewed as a religious conservative, his party -- Pakistan's second largest -- believes it would have won elections in 2008 had the assassination of Bhutto not given a massive boost to the ruling PPP.

Another contender for leadership is Imran Khan, the former star cricketer and heartthrob who leads the Tehreek-e-Insaf (Movement for Justice) party.

Not in contention is Musharraf, who returned in March from four years of self-imposed exile to take part in the elections. But he's been banned by a court from taking part in politics and his party, the All Pakistan Muslim League, has announced a boycott.

Musharraf and his allies weren't the only ones upset with Pakistan's leadership ahead of the election. The New York Times "strongly protested" the expulsion of its Islamabad bureau chief -- an order that Declan Walsh received at 12:30 a.m. locally, at his home.

The Committee to Protect Journalists joined the Times in slamming the move, with its Asia program coordinator Bob Dietz writing that the move suggests "a need to intimidate foreign and local journalists."

"The expulsion of Declan Walsh shows just how much the authorities fear independent media coverage," said Dietz.

CNN's Shaan Khan contributed to this report.

@highlight

Several parties jockey for leadership as Pakistanis head to polls

@highlight

Pakistan's struggling economy is beset by high unemployment, poverty

@highlight

Security is also a problem, especially given threats from Islamic extremists

@highlight

600,000 security personnel and 75,000 troops deploy for elections, officials say