(CNN) -- An Indiana school district might appeal a summary judgment that said it violated two students' First Amendment rights by punishing them for posting racy photos to social networking sites, the district's lawyer said.

The female students, then both rising sophomores, took a series of photos featuring "phallic-shaped rainbow lollipops" at several sleepovers during summer 2009. None of the photos were openly accessible to non-friends or those who did not have a photo-sharing password.

The pictures got into school officials' hands after a parent printed them and complained to the district's superintendent that they had caused "divisiveness" on the plaintiffs' volleyball team.

The opinion, which District Judge Philip Simon issued on August 10, said the Smith-Green school district in Churubusco, Indiana, did not have the right to temporarily bar the two students from extracurricular activities, require them to go to counseling and apologize to the district's all-male coaches board.

The opinion does not identify the students, as they are both minors. Regardless they are the butt of several jokes throughout Simon's 38-page explanation of his decision.

"Let's be honest about it: the speech in this case doesn't exactly call to mind high-minded civic discourse about current events," Simon writes.

Churubusco High School's code of conduct says activities in or out of school that could "dishonor" the school are punishable, but the opinion questions the policy's constitutionality.

Erik Weber, general counsel for Smith-Green schools, said the district does not see the code as being unconstitutional.

"There's a judgment that's been rendered by the court. It's respected because it's rendered by a judge, but it doesn't mean that the school is going to agree with that and settle the litigation at this point," Weber said. "It's an unsettled area of the law, and I don't think this is going to be the final say on how social media and the school environment intertwine."

A decision on a portion of the school's defense is still pending, Weber said. Another Indiana district recently won a case that granted it immunity from paying damages under the 11th Amendment, which grants such immunity to states. That district is defending the decision in an appellate court. Weber said the Smith-Green district will wait on that case's outcome, and consequently the decision for its own case, before deciding whether or not to appeal.

The American Civil Liberties Union is representing the students. Ken Falk, legal director of the ACLU's Indiana chapter, said just because schools have access to information about students' behavior outside school does not mean they have the authority to discipline that behavior.

"What schools have to recognize is there is that line and the type of stuff that my friends and I in high school did -- I'm in my late 50s now -- the school never knew about," Falk said. "Now, of course, with social media, the school and school personnel can easily find out. But that doesn't change the calculus."

Simon's opinion disagreed with the district's arguments that the photos should not be considered protected speech. The ruling says they do not count as obscene or child pornography because they contain no nudity and had a high probability of being understood as humorous by their intended teenage audience. Additionally, the court opinion holds the situation up against landmark Supreme Court speech-in-school cases, applying them with the added variable of social media.

One of the major issues in the case was whether the girls' pictures qualify as a substantial disruption to school operations, which would then not be protected speech. Simon's opinion said the photo shoots, conducted off school property without portraying any school insignia and not shared with the wider school community, were not such a disruption.

"A student cannot be punished with a ban from extracurricular activities for nondisruptive speech," the opinion says.

As schools and courts grapple with determining where a school's authority ends online, more First Amendment cases like this one will crop up, said Catherine Ross, a professor at The George Washington University Law School and author of the forthcoming "The Troubled First Amendment in Our Public Schools."

"Traditionally, one could talk about a kind of geographical analogy with speech in schools," Ross said. "It was fairly clear what speech took place in school and what speech took place out of school."

New tests are starting to emerge to determine whether online speech takes place "in" school, such as determining whether the person who created the speech made it available at school. Without such distinctions, "the school would become almost a police state that could reach out and discipline students for what they do anywhere," Ross said.

"If we are going to delegate decision-making authority to school officials, as we have to, since I don't think we want the courts running the schools, then we have to hold them to a high standard," she said.

Ross said there are some very clear-cut examples of online behavior that constitute disturbances in school. Cyberbullying, for example, interferes with a student's education.

Though Ross said she agreed with Simon's opinion, she said the digs and jokes that pervade the document should not belittle the importance of the students' decision to pursue the case.

"These two girls and their families stood up for First Amendment rights," Ross said. "And while the judge makes a few comments at their expense, the only way we preserve rights is when people are willing to fight for them. So whatever misjudgment these girls showed in their so-called bad behavior, for society this is very productive litigation, because it protects the rights of other students, as well."

@highlight

Teenagers posed with "phallic-shaped rainbow lollipops" and posted the photos online

@highlight

Parent brought print-outs of the photos to the superintendent

@highlight

School suspended girls from sports, sent them to counseling, asked them to apologize

@highlight

Indiana district judge found the school had violated the students' First Amendment rights