Charleston, South Carolina (CNN)Thirty years or so ago, the synagogue in Washington DC where I was attending Yom Kippur services received a bomb threat. As we evacuated the building, I was concerned that people didn't seem to be taking it seriously.

I was visiting from Europe, where terrorism was a fact of life, and I was scared.

Throughout the 1970s and 1980s in Europe, and even beyond, far-left and far-right extremists, the IRA, radical Palestinians, and a variety of other groups carried out thousands of terror attacks, big and small, that left thousands dead or injured.

Jewish, Israeli -- and American -- sites were targets of some of the most notorious attacks: from the massacre of Israeli athletes at the 1972 Munich Olympics, to plane and cruise ship hijackings, to attacks on airports, synagogues, and simply places where Jews congregated, such as the Jo Goldenberg kosher deli in Paris, where six died and 22 were wounded in a bloody attack in August 1982.

In Rome, where I lived for parts of the 1970s and '80s, we tended to avoid certain streets where El Al and U.S. airlines had their offices.

The first big story I helped cover as a young reporter was a bloody attack at the city's Fiumicino airport in December 1973. A dozen years later, the daughter of friends was killed in another Palestinian attack there. The main synagogue in Rome has been under tight guard since Palestinian attackers threw hand grenades and sprayed machinegun fire at worshippers after services in October 1982, killing a toddler and wounding dozens.

I don't want to discount the gravity and horror of recent terror attacks against Jewish targets in Europe, such as in Copenhagen and Paris. I just want to add some perspective.

Many things have changed over the decades. Post-Cold War power vacuums and Middle East upheavals have given rise to radical Islamism and globalized Jihadist terror networks whose message, fanned out via the internet and social media, strikes a chord in disaffected youth.

To be sure, Jews are being targeted. But it is important to recognize that Jews are being targeted as part of a violent campaign against western democracies and western values in general. Today's victims of Islamist terror include Christians and Muslims as well as Jews. In the Middle East and Africa, women, children, students, and cultural heritage -- history -- are also directly targeted.

In some ways, today's Jihadist terrorists can be seen as harnessing various types of terrorism we saw in earlier decades: the anti-Jewish/anti-Israel terrorism of radical Palestinian groups and the anti-establishment, even anarchistic terrorism of homegrown groups whose aim was to sow fear and destabilize society as a means to bring down the system.

Anti-Semitism takes many forms. Criticism of Israel is legitimate (and sometimes necessary), but it can, and sometimes does, cross the line.

This isn't new either, however. Jews in Europe have been regarded -- and scapegoated -- as surrogates for Israel for decades.

In 1967-68, after Israel defeated Arab states in the Six-Day War, Poland's communist regime staged an "anti-Zionist" campaign that forced most of the remaining Jews out of the country. At least 13,000 Jews emigrated, according to Dariusz Stola, who is now the director of the Museum of the History of Polish Jews. Other experts put the figure as high as 20,000. This was -- and remains -- by far the most widespread episode of anti-Semitism in post-Holocaust Europe.

Twenty years later, in 1988, a report by the Anti-Defamation League warned that a significant number of anti-Semitic incidents in the United States now reflected "a politically-related anti-Israel component."

A JTA news report at the time quoted ADL National Director Abraham Foxman as noting that the phenomenon was new in the United States, but "it's been a common occurrence in European countries." Particularly worrisome, the report said, were Israel-related anti-Semitic incidents on college campuses. Sound familiar?

After the Holocaust, it was common to view Jews in Europe as sitting with their suitcases packed, just in case.

But -- unlike Poland's "anti-Zionist" campaign -- terrorism did not prove an existential threat to Jews and did not prompt a mass exodus.

Nor should -- or will -- it now.

The Nazis, followed by Communist rule in half of the continent, almost succeeded in making Europe Judenrein.

Following the most recent terror attacks, Jewish and European national leaders have made clear that this is not an option. Moreover, despite the terrorist threat, European governments have refused to budge in their defense of democratic values.

It is wise to be on guard, of course, and there is indeed ample cause for alarm -- even fear.

But we should also be on guard against something else -- against a facile temptation to cry wolf that can all too easily distort alarm into alarmism -- and fear into fear-mongering.

@highlight

Ruth Ellen Gruber says the victims of today's Islamist terror attacks include Christians and Muslims as well as Jews.

@highlight

She says terrorism in the 1970s and '80s did not prove an existential threat to Jews or prompt a mass exodus, and nor should it now.