It's been 21 years, and John Moore still eagerly leans against his passenger window to watch the landscape pass by as the train he commutes on every day roars over the Moodna Viaduct in Cornwall, New York.

The green hills and vibrant leaves just below the elevated track make the trestle one of the prettiest scenes on the 57-year-old's trip. For more than two decades, the senior business analyst has been traveling about 67 miles for work from his home in Cornwall to lower Manhattan. His total commute time is 2½ hours each way.

It may seem like a lengthy commute, but Moore says he prefers this mode of travel.

"Compared to a bus or a car, it's much more spacious and comfortable," he says. As soon as Moore boards, he can start work, or socialize with the friends he's made on the train over the years, or even stretch out his legs and spend a few hours reading a novel.

Moore is not the only one dedicated to passenger rail. There has been a 51% increase in ridership from 2001 to 2013 on Amtrak rail lines alone, according to Jim Mathews, the president of National Association of Railroad Passengers. More business travelers, students and people from the Northeast, Midwest and Western United States are turning to trains for their work and vacation travels.

Matt Hardison, a spokesman for Amtrak, the national rail operator, says the longstanding rumors from the 1980s that passenger rail is dying have changed. In the past 10 to 15 years, rail travel has seen a significant rise in ridership. "Rail has seen a real renaissance in the last decade," he says. "It's been a great time to be here. People are turning to rail for inter-city travel."

From October 2012 to September 2013, "Amtrak welcomed aboard nearly 31.6 million passengers, the largest annual total in its history," according to its website. Some rail stations are brimming at capacity, Hardison says. For example, Pennsylvania Station in New York sees 650,000 passengers a day buzzing through. The Northeast Corridor, Amtrak's busiest railroad, has more than 2,200 trains operating on the Washington-Boston route each day.

Related: Libraries are dying? Think again

Hardison attributes the shift toward train ridership to the increase in traffic throughout many metropolitan cities in the United States. "In the Northeast, there's congestion on the streets because of cars and buses and there's even congestion at airports." He says people in many of America's busiest cities are looking for alternative ways to travel more efficiently.

For Moore, traveling via train not only reduces commuting stress, but it also allows him and his wife, Maureen, to live in a more serene environment that is far away from the fast-paced city lifestyle. "We moved to Cornwall specifically because I could take a train to work. It allowed us to live more than 50 miles outside the city and still commute comfortably to work every day," he says.

Rediscovering freedom in travel

The portrayal of trains as an old-fashioned mode of transportation isn't a realistic reflection of the hundreds of thousands of people who use them daily, according to Mathews, NARP's president. "The community that travels on trains travel for many reasons. One is just for nostalgia. But there are a lot of people who travel from D.C. to New York and you won't find a lot of those people traveling for nostalgia," he says. "They are in suits and ties, where time is money, and they can work for 2½ hours."

One of those in a suit and tie was Vice President Joe Biden, who for decades traveled by train between Washington and his home in Wilmington, Delaware, while he served on the Senate.

Although a growing number of people are commuting daily by train like Biden once did, there are also those who prefer to ride trains for leisurely travel to see more of the landscape and to relax.

Jack Donachy says he and his wife, Barbra, are among those people. Donachy says they're restless souls always seeking a new adventure. Recently, they moved to Mongolia to teach English. But throughout their lives they have had an affinity for trains, riding the Skunk Train in Northern California and traveling via rail throughout Japan and Europe.

Donachy, 55, fondly remembers a train ride he took in Japan during spring 1981. He had just been honorably discharged from the U.S. Navy after serving out his enlistment. He was traveling by train from Yokosuka, where he was stationed onboard the USS Blue Ridge, to Narita International Airport.

"I had a window seat and was allowing my mind to wander with the rhythm of the train. Suddenly, a switch flipped inside my head and I realized that even though I'd spent the last two years in Japan, I was seeing -- really seeing -- the country for the first time," he says.

Related: See why travelers are craving vintage theme parks

Zooming past the newly planted rice fields, schoolchildren in uniform, and homes tucked away against hillsides, he was inspired to come back to explore the country.

"I don't think I would have had that experience, that sudden 'connected-ness' with the country, had I been riding any other mode of transportation. There is something incredibly liberating and thought-inducing about being on a train," he says.

In fact, Donachy went back to school to receive a degree in creative writing and headed back to Japan, where he lived for seven years, immersing himself in the country's beauty and culture.

Donachy says the draw for him and his wife to travel by train is independence. "The true luxury is freedom," he says. "There are no seat belts and for most of the journey you are free to walk around, or have a glass of this or that, or read, or go to the dining car for something to eat, or simply stare out the window and allow thoughts to wander."

That freedom is a rare commodity in today's travel culture, Mathews says. "We let airlines treat us really badly. Whether you have to sleep curled up in a ball because you got bumped from your flight or they lost your luggage along the way, we roll with it. But we don't let trains do that to us," he says.

Mathews says because trains are not readily incorporated in aggregated discount travel sites like Kayak and Priceline.com, the average traveler does not realize trains are a transportation option that can be cheaper and more accommodating than taking a flight.

"I think if people stop flying over our country and start seeing our country and how large it is and how beautiful it is, they'll get it," he says. "It's hard to have a train ride across the country and leave that and not be a patriot."

@highlight

In the past 10 to 15 years, passenger rail has seen a resurgence in ridership

@highlight

Nearly 31.6 million passengers, a record, boarded Amtrak trains in 2013

@highlight

Rail comeback led by increase in train travel in Northeast, Midwest and Western U.S.