(CNN) -- U.S. President Barack Obama on Wednesday again called for Russia to de-escalate the situation in Ukraine and warned of further isolation and "costs" if Moscow doesn't respond to the West's call for a change of course.

The United States and Europe are united in their support for Ukraine, including the need for economic assistance, and in their efforts to isolate Russia for its intervention in Crimea, Obama said, speaking at an European Union-U.S. summit in Brussels, Belgium.

He left the door open for diplomacy to resolve the situation but said Russia would face increasing isolation and deeper sanctions if it engages in further incursions into Ukraine.

"If anyone in the Russian leadership thought the world wouldn't care about their actions in Ukraine or that they could drive a wedge between the European Union and the United States, they clearly miscalculated," Obama said.

The United States and Europe recognize that sanctions could have wider global implications, especially for those countries reliant on Russian oil and natural gas, Obama said. But discussions are under way on making it easier to export U.S. natural gas to Europe, as well as on other trade issues, he said.

Russia's intervention in Ukraine's Crimea region has sparked the biggest East-West confrontation since the end of the Cold War.

And at a later speech in Brussels, Obama said Russia's annexation of Crimea must be met with condemnation -- "not because we're trying to keep Russia down, but because the principles that have meant so much to Europe and the world must be upheld."

Meanwhile, Moscow's massing of troops near Ukraine's eastern borders has worried the interim government in Kiev and caused ripples of concern in other former Soviet republics that now belong to the EU and NATO.

NATO's top commander has voiced worries that Russian troops could roll into Moldova's separatist region Transnistria, on the opposite side of Ukraine, and Russia fought a brief war with the former Soviet republic of Georgia about five years ago.

Russia gearing up for next move, U.S. says

A new U.S. intelligence assessment concludes that a Russian incursion into eastern Ukraine is more likely than previously thought, CNN has learned. U.S. officials believe the Russian buildup gives Moscow the ability to move rapidly into Ukraine without the United States being able to predict it when it happens.

Two Obama administration officials described the classified assessment to CNN but declined to be identified due to the sensitive nature of the information. The officials emphasize that nothing is certain, but in the last three to four days, there have been several worrying signs.

"This has shifted our thinking that the likelihood of a further Russian incursion is more probable than it was previously thought to be," one official said. The Russian buildup is reminiscent of Moscow's military moves before it went into Chechnya and Georgia in both the number of units and their capabilities, the official said.

Crimea is currently separated from the rest of Russia by a strait that links the Black Sea and the Sea of Azov. U.S. officials believe Russia might decide to go into eastern Ukraine to establish a land bridge into the territory by moving toward the Ukrainian cities of Kharkiv, Luhansk and Donetska.

Russian forces are currently positioned in and around Rostov, Kursk and Belgorod, according to U.S. intelligence information. The estimated 30,000 troops are "significantly more" than what is needed for the military exercises Russia says it has been conducting, and there is no sign the troops are making any move to return to their home bases.

They include large numbers of motorized units that are capable of moving quickly, and additional contingents -- special forces, airborne troops, air transport -- appear to be at a higher state of mobilization in other locations in Russia, according to the intelligence assessment.

Additional intelligence suggests that more Russian forces are "reinforcing" the border region, according to both Obama administration officials. Russian troops already in the border region include air defense artillery and wheeled vehicles, and all the troops are positioned for potential military action.

U.S. military and intelligence officials have been briefing Congress on the new assessment. As a result, Republican members of the House Armed Services Committee late Wednesday sent a classified letter to the White House expressing concern about unfolding developments.

An unclassified version obtained by CNN says committee members feel "urgency and alarm, based on new information in the committee's possession." The committee says there is "deep apprehension that Moscow may invade eastern and southern Ukraine, pressing west to (Transnistria) and also seek land grabs in the Baltics."

Gen. Philip Breedlove, head of the U.S. European Command and military chief of NATO, noted the Russians had sufficient forces to move into Moldova. But Obama warned Russia on Wednesday that it faces a united front in the West.

'Serious consequences'

Speaking alongside Obama, European Council President Herman Van Rompuy also struck a note of unity, saying Europe and the United States "have a strong and coordinated position" on Ukraine.

Russia's annexation of Crimea is "a disgrace in the 21st century, and we will not recognize it," he said.

Europe also stands by Georgia and Moldova, Van Rompuy said, and has brought forward the signing of association documents with them to June, bringing the prospect of closer ties to Europe.

Jose Manuel Barroso, president of the European Commission, said the United States and EU "are working together to make sure that actions that are unacceptable will bear serious consequences."

Russia insists its actions are legitimate and denies having used its armed forces in Crimea, saying the troops that took control of key installations there were local "self-defense" forces.

Russia also insists the government in Kiev is illegitimate because ousted President Viktor Yanukovych, a close ally of Moscow's, was forced out in an armed coup. Yanukovych's ouster followed months of street protests sparked by his decision to ditch an EU trade deal in favor of closer ties to Russia.

In an interview Tuesday with PBS, acting Prime Minister Arseniy Yatsenyuk said Ukraine is struggling to maintain a fighting capability after it was "deliberately dismantled" under Yanukovych. He said his government ceded Crimea without a shot to demonstrate to the world that Russia was the aggressor, he said. But if Moscow moves against another portion of Ukraine, "We will fight."

Moscow tightens grip

The United States and EU are seeking to exert pressure on Russia through a combination of sanctions and diplomatic isolation.

An EU-Russia summit has been canceled, and the G7 group of leading industrialized countries has excluded Russia from what was the G8. The G7 will meet in June in Brussels, instead of attending a planned G8 summit in the Russian city of Sochi.

But Moscow has so far doggedly pursued its own course, even as Western leaders have denounced its actions as violations of Ukraine's sovereignty and a breach of international law.

Russia has cited the need to protect ethnic Russians within Ukraine from ultra-nationalists and "fascists" as a justification for intervention on Ukrainian soil.

Hundreds of supporters and paramilitary militia members came out into the streets of Ukraine's western city of Rivne on Wednesday as a funeral was held for a prominent far-right activist, Oleksandr Muzychko, better known as Sashko Biliy.

He was killed late Monday in what the Ukrainian Interior Ministry said was a shootout with police in Rivne. Ukrainian lawmaker Oleksandr Doniy, whose constituency is in Rivne, gave a different version of events, saying the activist was dragged into a car and then shot.

Muzychko, a leader of Right Sector, a far-right group prominent in the recent anti-government protests, was wanted "for his criminal background and illegal carrying of weapons," the ministry said.

Amid the heightened tensions, the Russian Foreign Ministry on Wednesday accused the Ukrainian border service of refusing to let air crew off Aeroflot jets for rest periods after landing in Ukraine. Aeroflot is the Russian national carrier.

This "breaks the international acts in compliance with flight safety requirements," the ministry said in an online statement.

Crimea, Russia ties

Crimea belonged to Russia until 1954, when it was given to Ukraine, which was then part of the Soviet Union. The region has a majority ethnic Russian population and other historic ties to Russia.

A large majority of its population voted in favor of joining Russia in a controversial referendum 10 days ago. Russian lawmakers in turn swiftly voted to absorb the Black Sea peninsula, where Russia has a major naval base, into the Russian Federation, and President Vladimir Putin signed the treaty into law.

Is Russia done after Crimea?

Opinion: How Obama can save the day

CNN Money: Recession warning for Russia

CNN's Barbara Starr, Marie-Louise Gumuchian, Victoria Butenko, Alexander Felton, Radina Gigova and Boriana Milanova contributed to this report.

@highlight

NEW: U.S. sees Russian push into Ukraine as "more probable" than before

@highlight

NEW: Russian buildup is "significantly more" than needed for exercises, U.S. report states

@highlight

Obama: Russia "miscalculated" on Ukraine if it thought world wouldn't care

@highlight

The crisis in Ukraine is expected to dominate the U.S.-EU summit