(CNN) -- It's a truth of the digital age. When a person is plucked from obscurity, for good reasons or bad, the first thing curiosity-seekers do is turn to the Web.

Facebook or Twitter. LinkedIn or Tumblr. We expect social media to shed light on a person's personality, especially when, as in the case of Colorado shooting suspect James Holmes, we're trying to explain the unexplainable.

As it turns out, 24-year-old Holmes, who stands accused of killing 12 people and wounding dozens more during a shooting spree at a movie theater Friday, appears to have left virtually no digital footprint. Media and law enforcement investigating the shootings have found no traces of him online, aside from a possible account on Adult Friend Finder, a romantic meet-up site, according to police.

Former colleague shocked that Holmes is theater shooting suspect

It's impossible, of course, to draw broad conclusions about his mindset based on the fact that he didn't share online. But Holmes' lack of an online presence has emerged as a piece of the puzzle for people looking for answers.

"We could ask the same questions about the lack of Web presence that we could for anyone who isolates themselves. Was he socially isolated in all senses?" asked Dr. Pamela Rutledge, director of the Media Psychology Research Center.

"We know that social isolation can amplify the negative consequences of stress and increase the risk of developing psychopathology. Some research has shown that social isolation actually delays the positive effects of activities found to be emotionally beneficial, such as exercise. ... What we don't know is what caused Holmes to have such a break with reality."

Whatever his reasons, the lack of an online presence puts Holmes squarely in the minority among his peers.

About 81% of 18- to 29-year-olds in the United States use social media at least occasionally, said Lee Rainie, director of the Pew Research Center's Internet & American Life Project.

And surveys show that college students like Holmes, who was a graduate neurosciences student at the University of Colorado, are even more likely to use the sites.

But Rainie says it would be a mistake to draw a direct line between his decision to eschew social networking and a mindset that led to the alleged violence.

"It's not the norm for someone of this age to have such a limited presence, in any form: no blogs, no profile on a photo-sharing site and things like that," Rainie said. "But it's also a mistake to think the everyone in this age cohort is living every minute of their lives with social media. That's not the case."

Massacre suspect spooked gun range manager

The survey didn't ask respondents for specific reasons that they choose not to engage online. But Rainie said Pew has heard numerous reasons, from concerns about wasting time to privacy concerns to simply preferring face-to-face interaction.

In a Pew survey from November, two-thirds of respondents (67%) said that staying in touch with current friends is a major reason they use social media, and half gave similar importance to connecting with old friends. Only 3% said that finding a romantic partner was a major reason for their of digital networking tools.

"It's certainly an interesting element of his life that (Holmes) had such a limited digital presence," Rainie said. "But it's not necessarily the case that this means anything about the quality of his social world."

Dr. Tomas Chamorro-Premuzic, a professor of business psychology at University College of London, has studied the impact of Internet use on mental health. He too says it's impossible to nail down its significance at this point but listed a set of possibilities, from a sense of isolation to distaste for Facebook as an emblem of "the status quo" to something perhaps even more sinister.

"He (possibly) did not want to have any reputation other than for what he was planning to do, like someone who saves himself for the big stage or a single lead role," Chamorro-Premuzic said.

Similar attacks in the recent past have, in some cases, painted a different picture.

Jared Lee Loughner, charged in the January 2011 shootings in Tucson, Arizona, that killed six people and wounded congresswoman Gabrielle Giffords, was active on MySpace and YouTube, among other online networks.

Anders Behring Breivik was 32 when he killed 69 people, mostly teenagers, at summer camp in Norway in July 2011. Breivik was a prolific blogger who was active on Facebook, Twitter and other sites. He posted a video to YouTube only hours before his shooting rampage.

By contrast, reporters looking into the mindset of Seung-Hui Cho, the 23-year-old student who killed 32 people and wounded 25 others in an April 2007 massacre at Virginia Tech, found almost no traces of him online.

Shooting survivors recount Colorado movie theater horror

The lack of a digital footprint for Holmes has created some unpleasantness for an unexpected group: people who share his relatively common name, live in the area of the shooting and do have a Web presence.

"It amazes me how insensitive, heartless and just plain old IGNORANT some people are in this world," a different James Holmes, this one a fitness instructor who, like the suspect, lives in Aurora, wrote on his Facebook page. "In the last 24 hours I have received hate mail, racist remarks, and sexual advances. I have over 400 friend requests in which a quarter of those are ppl mocking the real killer to gain attention and this was all AFTER the identity of the real killer was revealed ..."

James P. Holmes, who lives in the Denver area, left a similar note on Facebook, albeit in a more wry tone.

"I am not a 24-year-old gun-slinging killer from Aurora, I am a 22-year-old book-slinging mass eater from Littleton ... ," he wrote. "James Holmes happens to be a pretty common name, surprisingly, so try not to jump the gun. Regards, A different guy named James Holmes."

With few, if any, conclusions to draw, Rutledge said the most interesting observation about society as a whole may be how surprised we are that the suspect did not use social media.

"It's a testimony to how normal participating in the social media world is when we look at the lack of presence as an anomaly," she said. "(We wonder,) 'What's wrong with this guy that he's not at least on Facebook?' "

Grief counselors offer solace amid tragedy

Analysis: Why gun controls are off the agenda in America

Victims of Colorado massacre remembered with poignant stories

CNN's Brandon Griggs contributed to this report.

@highlight

James Holmes, the Colorado shooting suspect, has no social media presence

@highlight

Psychologists say it could suggest isolation, resentment toward society

@highlight

81% of 18- to 29-year-olds are on social networking sites, Pew says

@highlight

Others with the same name are being harassed on Facebook