(CNN) -- Bangkok remains on edge after tens of thousands of anti-government protesters "shut down" the Thai capital Monday in an effort to force caretaker Prime Minister Yingluck Shinawatra to step aside and postpone elections planned for February 2.

The showdown is the latest chapter in a divisive political conflict that has convulsed the country since 2005 and shows no signs of a resolution.

Who are the protesters and what do they want?

The protesters insist they are not opposed to democracy but want wide-ranging reform to clean up Thai politics and root out corruption before elections are held. Their slogan is: "Reform before elections." They ostentatiously festoon themselves in red, white and blue -- the colors of the Thai flag -- and have adopted the practice of loudly blowing whistles to drive home their message to the government: "Get out!"

Are you there? Send us your photos and experiences but please stay safe.

The self-styled "whistle mob" is overwhelmingly drawn from two groups in society -- the wealthier residents of Bangkok, the middle and upper classes, and Thais from the south of the country, who have traveled to the capital to join the protests. Their apparent leader, Suthep Thaugsuban, is a southern Thai political strongman who has long been among the most powerful powerbrokers in the Democrat Party.

The protesters have adopted much of the symbolism of recent political protests elsewhere in the world, wearing Guy Fawkes masks and calling their planned shutdown of the capital "Occupy Bangkok." But there are significant differences from global protest movements against the "one percent" -- the Thai protesters draw their support from wealthier members of society, and are staunchly elitist, royalist and nationalist. They also support the country's military, which has a habit of launching coups to overthrow elected governments. Many protesters have openly called for a coup to kick out Yingluck.

They argue that poorer Thais, particularly in the rural northeast of the country, are uneducated and sell their votes to the highest bidder at election time, allowing wealthy political strongman Thaksin Shinawatra -- brother of the current prime minister -- to dominate the country even though he fled abroad in 2008 to escape a corruption conviction.

How much popular support do the protesters have?

Supporters of the whistle mob insist they represent "the people" and have made inflated claims about the number of protesters who have joined mass rallies over the past two months, saying several million Thais have regularly taken to the streets to demand political change.

In fact, they represent a minority of Thais, and this is their problem. In every general election held in Thailand since 2001, the Democrat Party has been trounced by political parties controlled by Thaksin, and the same outcome is virtually certain if the February vote goes ahead.

Thaksin's ability to dominate electoral politics thanks to his huge support from the urban and rural poor has caused immense resentment among wealthier residents of Bangkok, who believe they should be the people calling the shots. Besides the class divisions fueling the political conflict, there are also regional faultlines -- the relatively wealthy provinces of southern Thailand staunchly back the Democrat Party, while support for Thaksin is highest in the north and northeast. Rich Thais object to having their electoral choices drowned out by the votes of the masses, and southern Thais object to losing out in every election to the votes of the more populous, but poorer, north and northeast.

Opponents of the protesters include the pro-Thaksin "Red Shirt" movement and also progressive pro-democracy Thais in Bangkok who have held several candlelight vigils calling for peace and have adopted the slogan "Respect My Vote." They argue Thailand's divisions can only be healed by embracing democracy, and say canceling the February election would be a disastrous step backwards.

Several commentators have drawn parallels between the whistle mob and the Tea Party movement in the United States. Both groups have overwhelming support in some parts of the country and among some social groups, but are unable to win national elections at the ballot box, and so have increasingly adopted disruptive tactics in response.

What's going on behind the scenes?

One reason the Thai conflict can often appear so bewildering is that an important element of the story is routinely left out. One of Thailand's most sacred taboos forbids discussion of the royal succession when the ailing 86-year-old King Bhumibol Adulyadej passes, and the country's draconian lÃ¨se majestÃ© law imposes long jail sentences on those who discuss uncomfortable facts about the monarchy.

The royal succession is absolutely central to the ongoing conflict that has engulfed Thailand since 2005. Although Thailand is nominally a constitutional monarchy in which the palace has a purely symbolic role, in fact the king controls a vast royal fortune conservatively estimated at more than $30 billion and wields enormous influence.

Thailand has long been dominated by an oligarchy of immensely wealthy families connected to the palace through intermarriage and through business deals with the Crown Property Bureau, which manages royal wealth. The Thai establishment fears the rise of a new political and business elite revolving around Thaksin, which would spell the end of the dominance of the old elite.

Will there be violence?

Unfortunately this seems possible. Several people have been killed and wounded in recent weeks, and the casualty toll is highly likely to rise significantly after the Bangkok blockade gets under way.

Both sides in the conflict between Thailand's old establishment and the new elite allied to Thaksin have sought to provoke chaos and bloodshed in recent years. The aim is to provoke a harsh crackdown from the other side that creates the impression it has lost legitimacy and become tyrannical. Opponents of Thaksin blockaded Bangkok's airports in late 2008 and succeeded in toppling the government. Thaksin's supporters occupied the center of the capital in April and May 2010, and Thaksin has been widely accused of funding an illegal militia that worsened the mayhem -- though he has emphatically denied supporting violence.

The latest protest will use tactics from the same playbook. By paralyzing Bangkok, the movement's leaders hope to push the Yingluck administration into adopting a heavy-handed response, or to stir up violence among the government's Red Shirt supporters. They then intend to exploit the chaos to declare the government is unable to govern with legitimacy, and to provide a pretext for the conservative military to launch another coup. They know that they cannot win the February elections, so they will do all they can to prevent the polls from taking place.

If they succeed, this will further inflame the resentment of poorer Thais who believe their electoral aspirations are routinely ignored by the establishment. If they lose, they will almost certainly become even more disruptive in the months and years ahead, until the unacknowledged succession struggle plays out.

Either way, the prognosis for Thailand is depressingly bleak.

The opinions expressed in this analysis are solely those of the author.

@highlight

Bangkok lock down the latest chapter in a divisive political conflict that has convulsed Thailand

@highlight

The protesters insist they are not opposed to democracy but want wide-ranging reform

@highlight

They are drawn from wealthier residents of Bangkok and Thais from the south of the country

@highlight

They argue poorer Thais, particularly in rural northeast, are uneducated, sell votes to highest bidder