(CNN) -- Manned space missions bring with them a plethora of challenges to keep astronauts alive and healthy, especially on long-duration space missions. Astronauts need to breathe, eat, drink, excrete their food and drink, and be kept free of infections to stay healthy enough to do their job. The key to an astronauts' wellbeing has been found, somewhat contradictorily, to be a group of tiny organisms -- bacteria.

You might think of space as a germ-free environment, but microbes can be carried to space inside human gut flora as well as in food and water and once up there, can be expelled by humans in their breath.

According to NASA, immune systems weaken during space flight, making the impact of infection even greater.

What's more, the weightless microgravity environment of space can alter bacteria as they grow. Recent work by Cheryl Nickerson and her team from Arizona State University and her NASA collaborators discovered that certain bacteria become more virulent in space, meaning they become better at causing disease.

"Salmonella bacteria become more potent, virulent and are more able to cause disease," says Nickerson. "They also become more resistant to factors such as the acid in your stomach." Nickerson's group is investigating a range of bacteria found in food, water and our gut flora, including Salmonella typhimurium, a common cause of food poisoning and diarrhea, and Pseudomonas aeruginosa, which is a known water contaminant.

'War with microorganisms'

As astronauts spend longer periods of time in space, their increased exposure to recycled air and water is likely to affect their risk of infection.

Mark Ott is one the people in charge of crew health at NASA and focuses on keeping microbes at bay. "We're at a constant war with microorganisms because they adapt," he says. "The stressful environment of spaceflight affects them and under stress your immune system also functions less effectively and we have to take precautions for this." Reduced immunity can cause some bacteria, such as Pseudomonas aeruginosa, to cause illness despite normally being carried by many of us with no effect.

"However, not all microorganisms are bad and so the key is to understand how they change and impact us," explains Ott, who also found that the infectious bacteria Staphylococcus aureus, which causes a range of symptoms from boils to food poisoning, may not increase in virulence like Salmonella in microgravity.

By understanding the changes in Salmonella and other disease-causing bacteria in microgravity, Nickerson hopes to not only keep crew healthy but also help humans down on Earth through the development of drugs and vaccines.

"Infections are becoming harder to treat; we have no vaccine for Salmonella food poisoning and it remains [one of] the leading cause of bacterial food-borne illness worldwide," states Nickerson.

Spaceflight opens up a new world of research that can't take place on Earth and Nickerson has unmasked key changes in the behavior of genes in the bacteria which aren't usually seen under gravity. "Vaccines are about identifying targets and in microgravity the bacteria have unmasked themselves and revealed secrets to help develop therapeutics."

Sustaining life in space

The research is in its early stages but it's just one example of how bacteria are being investigated by space agencies. Far from just a health hazard, bacteria could be used to help sustain astronauts in space, as a source of food and oxygen.

"The major advantage to using bacteria is the size of them," explains Christophe Lasseur, coordinator of life support research and development at the European Space Agency (ESA). "For space missions the mass of oxygen, food, and water is high and not compatible with current launch technologies. A crew of six to Mars would need over 30 tons."

Lasseur directs the MELLiSSA programme at ESA, which aims to develop a regenerative life-support ecosystem for use on board spacecraft. "We need to recycle everything for an ecosystem that can sustain human life," says Lasseur. The team wants to recycle 80% of all mass on board, including carbon dioxide, which can become toxic if allowed to build up.

Key algae and bacteria can mop up carbon dioxide and in turn release oxygen to enable astronauts to breathe. "We have approached this molecule by molecule, first oxygen, then water and now food, which is more complex," says Lasseur.

The chosen range of bacteria not only utilize carbon dioxide but can also harness other human waste products, such as urine and feces -- a win-win given their growth results in food for the astronauts.

Eating bacteria grown on urine may not sound like a delicacy, and it isn't, which is why psychology also comes into play. "Our most advanced work is using spirulina as this has been used as a protein source for many centuries and in many countries, making it much more psychologically acceptable," explains Lasseur. Spirulina is a cyanobacterium found in many salt water lakes and is consumed readily by lake communities. The edible bacterium is also marketed as a health supplement.

In the search for bacteria that feed on our food waste, Lasseur's team discovered a hidden gem that has an additional medical benefit -- helping to fight cholesterol.

"We were looking for bacteria which use a lot of carbon and nitrogen as there's a lot of this in waste disposal," states Lasseur. The resulting use of Rhodospirillum rubrum led to a nutritious product found to produce significantly lower levels of cholesterol in mice and will soon be marketed by spin-off company EzCOL BV, which is in talks with big pharma. This bacterium has been by-passed in favor of more nutritious alternatives for consumption by astronauts but the research to get there has borne beneficial fruit for those of us not venturing up into space.

As for the astronauts, Mars missions could be a reality in the, albeit distant, future. And when the day comes, crews could depart feeling confident of reaching the red planet well fed, watered and free of infection.

@highlight

A key challenge of manned space missions is keeping crews healthy

@highlight

Bacteria such as Salmonella become more virulent infections in space

@highlight

The properties of bacteria in space can be harnessed to develop vaccines against them

@highlight

Bacteria could provide food, drink and oxygen on board spacecraft