(CNN) -- Wacho Yayo and his wife Dawe are used to seeing the plants shrivel around them, the earth crack and their cattle die. Every time a drought has hit this elderly couple's village in northern Kenya they have had to rebuild their lives all over again.

"The last drought was bad," 69-year-old Wacho says. "During the drought time there wasn't even any water to drink. There was no food. The animals had nothing to eat. And there was only dust blowing. I felt very bad and I was very bitter. I wanted to run away but there was nowhere to run."

The searing heat spread across the Horn of Africa last June, destroying livestock, ruining lives and decimating entire communities. When the heavy rain clouds eventually arrived in northern Kenya the people in the Darche village, near the town of Marsabit, came out of their homes and danced.

'We couldn't even eat the seeds': Drought affecting millions

By then Wacho and Dawe had lost 10 of their 15 cows, but they danced too. They knew they would struggle to support their nine children without these animals but this drought was different -- for the first time in their lives Wacho had taken insurance out on some of their cattle.

Shortly before the first leaf wilted from the heat, an insurance promoter had come to their small village offering livestock insurance. It was a new initiative that has been trialed in this part of Kenya. Wacho was skeptical -- he'd never heard of insurance and he wasn't sure that he would ever see his money again. After talking it through with Dawe he eventually decided to sign up and pay a premium for a few of his cows -- he couldn't afford to cover them all.

"This insurance is good," he says, sitting on a stool outside his home, his surviving cattle listlessly tied up behind him.

Once the rains came 650 herders eventually received compensation for the loss of thousands of animals. Wacho and Dawe did not get enough to buy new cows but they did manage to buy some goats.

This initiative is run by the Nairobi-based organization, the International Livestock Research Institute (ILRI). It is one of a growing number of micro-insurance schemes being rolled out in Africa. Backed by British and U.S. government development departments and the World Bank, there are plans to expand this project across northern Kenya and into southern Ethiopia.

Some farmers chose not to join the insurance initiative. Others could not afford the premiums.

Siko Hirdo lives just across the mud track from Wacho and Dawe. Like Wacho he relies on his cows to support his family but when the insurance man came to visit Siko decided to prioritize paying the school fees. He lost 11 of his cows and has struggled to support his 11 children ever since.

"We were faced with a severe drought and we had a lot of problems," he says. "Now we know the importance and value of insurance. I am now ready to insure my livestock."

Elephants and livestock battle for water in East Africa

When drought hits such remote and vast areas it is impossible to count all the dead animals, so this initiative uses satellite images to quantify the loss of foliage in each area. This then determines who should be compensated and by how much.

One of the biggest challenges of introducing insurance in remote rural villages is the lack of knowledge and understanding. This is where insurance promoters like Edin Ibrahim come in. As a farmer himself Ibrahim knows all about being ravaged by drought.

"Over 80%of our population are illiterates. Understanding this insurance issue was just too hard," he explains. "But with the time and with the information in the language they understand and the values and importance, now they are getting it and catching up."

"Micro-insurance for agriculture is something that farmers in the rest of the world have had access to for sometime," says Challiss McDonough from the World Food Programme.

"African farmers, the poorest and smallest scale farmers are only just beginning to have access to and their ability to do that can really help the agriculture sector to grow and become more productive."

WFP and Oxfam America have their own micro-insurance initiative for agriculture in Ethiopia and it's now being expanded into Senegal. McDonough warns that insurance by itself isn't a magic bullet so it's important to combine insurance with other forms of risk management, including access to credit and savings.

Nearly 400 million people in Africa live below the poverty line, and most of them depend on agriculture for their livelihoods, so vulnerability to climate-related shocks is a constant threat to their food security and well-being, the WFP warns.

Kenya's Turkana people facing climate catastrophe

Back in Darche, Fatuma Galgallo stands out with her small frame consumed by a large Christmas jumper. Unlike Wacho, Dawe and Siko, she has chosen not to restock her herd.

"I am very bitter about the drought," she says. "I was about to die of hunger and I lost all of my livestock, I had no shelter and no husband. I had a lot of animals but I only bought insurance for two cows and I had to borrow money to afford it. Now all our animals are dead."

Her cattle were insured but she has had enough of drought and, from the look on her face it's clear she has had enough of struggling. She was compensated but she used the money to build herself a mud-walled, corrugated iron-roofed home instead. It's small but she is clearly proud of it and her neat little garden at the front.

Across from Fatuma's new home someone else's animals feast on the lush green grass. The rains are here now but further down the hill the new foliage covers the bones of the animals who did not make it.

Wache Yayo's memories of drought may fade but, like these bones, they will never disappear. If his years have taught him anything it's that insurance or not, drought will happen once again in this climate of extremes.

@highlight

Vulnerable communities across the Horn of Africa have long been scarred by drought

@highlight

Insurance is becoming an important way of protecting and compensating those affected

@highlight

Nearly 400 million people in Africa live below the poverty line, and depend on agriculture

@highlight

Lack of understanding is one of biggest challenges of introducing insurance in villages