(CNN) -- Nursing school seemed like a good idea to Tracy Kidd, but not just because she was interested in medicine.

Tracy Kidd, 37, just started nursing school. Nurses are high in demand, despite the souring economy.

Kidd, 37, and her husband recently took a massive pay cut -- the painting business they own in Mesa, Arizona, once brought in about $70,000 a month. Now they're lucky to get $800 a month. They have moved in with Tracy's father because their house was foreclosed on.

"I knew that nurses are always needed, and I didn't want what just happened to us to ever happen again," said Kidd, who started a licensed practical nurse (LPN) program two weeks ago that will allow her to work while finishing her registered nurse (RN) degree.

Kidd's logic squares with the numbers: While industries such as manufacturing have had decreasing job openings, there continues to be a deep need for health care positions such as nurses, physician assistants, pharmacists and primary-care physicians.  See how health job openings compare with other industries »

With the unemployment rate at 8.1 percent and thousands of Americans getting laid off every day, the employment landscape looks bleak. But some experts say there are many job opportunities in the health care sector.

Nursing

The number of nurses usually goes up when the economy goes down, said Beverly Malone, CEO of the National League for Nursing. Irrespective of this recession, the number of nurses has been growing anyway because of high demand.

Nearly 182,000 new students in 2006-2007 entered prelicensure RN programs, which prepare students to sit for the RN licensing exam, according to the National League for Nursing. This represents a 9 percent increase over the previous year.

There are about 2.9 million nurses eligible to practice, with 2.6 million in the workforce, she said. As of May 2007, a registered nurse in the United States earned on average $62,480 per year, according to the U.S. Department of Labor's Bureau of Labor Statistics. View a map of jobs and unemployment in the U.S.

At the associates level, a student usually takes at least two years to earn a degree, while a Bachelor of Science in Nursing takes at least four years.

Nurse educators are in huge demand, in part because they earn less than practicing nurses, Malone said. A master's degree is required for these positions, and sometimes a doctorate.

Physician assistants

Jobs for physician assistants have also stayed steady, as these medical practitioners help offset the national physician shortage, said Cindy Lord, president of the American Academy of Physician Assistants. Like doctors, physician assistants see patients individually, diagnose conditions, and in some cases even write prescriptions. They must at least have telecommunication with a physician, because they are technically working in a team.

Employment for physician assistants is projected to grow much faster than average because health care institutions increasingly use these practitioners to contain costs, according to the Bureau of Labor Statistics. Rural and inner-city clinics are especially good for job opportunities, the bureau said.

The average salary for a new graduate from a physician assistant program -- which takes an average of 27 months to complete -- is $75,000 to $80,000 per year, she said. Those who have been practicing longer or specialize in specific fields earn around $90,000, she said. To get into a program, many schools require at least two years of college and some health care experience, and college-level biology, chemistry and math courses are sometimes necessary before matriculation. Visit CNNhealth.com, your connection to better living

Satisfaction with the profession is high -- one survey found that 88 percent of physician assistants would choose that career again, Lord said.

"I would do this over a hundred times," she said. "The privilege and honor of practicing medicine is very rewarding."

The hospital scene

Hospitals say they are still hiring, although there are fewer openings now than normally.

Massachusetts General Hospital has fewer vacancies now than at any point in the last 10 years, as well as the lowest turnover, said Jeff Davis, senior vice president of human resources. That's because people who have jobs don't want to leave them, he said.

Still, there are about 400 openings available at the hospital, which has about 20,000 workers including physicians.

Nursing jobs are available, and the more skill a job requires, the more it's in demand at Mass General, he said.

People looking to change careers can take accreditation courses to become X-ray technologists or professionals involved in patient care, but the more skills you can get, the better, Davis said.

With the population of Massachusetts aging, more people are likely to utilize the health care system. Davis said he would encourage people to become registered nurses or physical therapists in response to that demand.

The UCLA Health System in Los Angeles, California, has fewer openings than last year or the year before, but is still hiring, said Robin Ludewig, director of recruitment. Some of these positions do not require much formalized training.

Positions in demand include clinical lab scientists, which requires a four-year degree and an internship. Sterile processing technicians, who prepare surgical equipment, are also needed, and can get training in community colleges.

"It doesn't really matter how the economy is. People still get ill," she said.

For anyone interested in changing careers to health care, experts recommend exploring courses at local community colleges and vocational schools. Some schools offer short courses in medical terminology to get things started.

With talk of reforming the health care system, it is uncertain how those changes would affect the health care job market. Still, there will always be a need for skilled individuals to practice medicine, experts said.

A recent CNN/Opinion Research Corp. poll showed that 9 percent of Americans think health care is the most important issue facing the country. The telephone poll of 1,019 adults had a sampling error of plus or minus 3 percentage points.

As for nursing student Kidd, she says she's optimistic about her future, and recognizes that life has its ebbs and flows.

"We just happen to have caught ourselves in a bad situation," she said. "My husband and I, we're not stupid people. We just really were victims of the economy."

@highlight

Despite recession, there continues to be a deep need for health care workers

@highlight

The number of nurses in the United States continues to grow

@highlight

Some positions in demand do not require much course work

@highlight

Massachusetts General Hospital has about 400 jobs open