(CNN)  -- Opponents of health care reform have reached the brink of intellectual bankruptcy. With no original ideas or solutions, they've now resorted to bringing out a tried-and-tested bogeymen in a last-ditch attempt to derail much-needed legislation.

Of course, I'm talking about trial lawyers.

Somehow, the fringes of the GOP have made health care about trial lawyers and medical malpractice. Instead of focusing on how to fix our broken health care system, opponents of real reform would rather limit the legal rights of injured patients. Talk about misguided priorities.

Medical negligence affects real people. The Institute of Medicine found, 10 years ago, that up to 98,000 people die every year from preventable medical errors, and countless more are severely injured. This is like two 737s crashing every day for an entire year. If air travel were this unsafe, would we blame the passengers or the airlines?

But instead of working to create a better, safer health care system, some have decided that casting injured patients aside is an easier route to go. Last time I checked, this bill is supposed to be about health care, not bargaining away people's rights.

Tort law changes are not a new or novel idea. Forty-six states have passed some kind of tort reform -- our research finds about 36 of them have some sort of cap on damages  -- yet costs have continued to skyrocket.

Instead of saving money for consumers, tort reform has served as a sop to the insurance industry, allowing them to make record profits off the backs of doctors and patients. On average, doctors' premiums are actually higher in states that cap the amount of damages patients or families can receive, compared with states without such caps, according to the Medical Liability Monitor.

Just look at Texas and California, frequently mentioned as "models" for tort reform despite having the most Draconian anti-patient laws in the nation.

Both states impose caps on damages, a cruel and unjust way to value one's life. A patient who has been disfigured, blinded, or lost a limb is worth almost nothing under their respective state laws.

The same applies to children, the elderly, and homemakers -- because they don't have any "lost wages," the cost of bringing a case is almost equal to the maximum amount they can recover, putting justice out of reach.

And how is health care in Texas and California today? They both lead the nation in the number of uninsured, according to the Kaiser Family Foundation, and have the most expensive health care markets,

It hasn't lowered costs or covered the uninsured, but prevented people injured through no fault of their own from seeking justice. Hardly a "model" the rest of the nation should follow.

The health care bill passed by the House (Section 2531) provides states with incentive payments for instituting certain malpractice pilot projects; caps on damages or attorney's fees do not apply, as they have clearly been miserable failures for patients in California, Texas, and elsewhere.

But that won't stop health care reform opponents in the Senate from proposing similar ways to limit patients' legal rights, even though it's been shown time and again to not lower costs, cover the uninsured, or improve patient safety.

Lawmakers should ask families devastated by medical negligence what they think about so-called "tort reform." Blake Fought, 19, had just recovered from an illness and was ready to go home when a nurse improperly removed his central line IV.

Because of the improper procedure, bubbles of air entered Blake's brain, heart and blood vessels. In front of the nurses and his own parents, who were there to take their son home, Blake asphyxiated and died.

Or ask the Gourley family, whose son Colin has cerebral palsy from negligence that happened during his birth. He could not speak until he was 5, and has been through numerous surgeries because of orthopedic issues.

After a jury determined that Colin was a victim of medical negligence, caps in that state cut his verdict to a quarter of what he will need. Colin will be forced to rely on state assistance for the rest of his life.

What's surprising to many is that there are hardly any medical negligence suits in the first place -- less than 1 percent of the whole civil docket.

While up to 98,000 people die every year from medical errors, and countless more are injured, only one in eight ever files suit. A 2006 Harvard study found that 97 percent of claims were meritorious, debunking the idea there's an influx of "frivolous" suits. It's perplexing why this one issue -- making up only half a percent of all health care costs --  serves as red meat for such rabid health care reform opponents.

But when one doesn't have substantive, constructive solutions to fixing health care, it's easier to create straw men and cast aspersions.

If you want to put the trial bar out of business, start with decreasing the number of unnecessary deaths and injuries from preventable medical errors. Not only will that lower costs and lead to healthier patients, but also mean fewer people seeking legal recourse. Instead of limiting the rights of injured patients, institute safeguards to ensure their health and well-being in the first place.

Next time you hear a baseless attack on trial attorneys or calls for "tort reform," remember what health care is all about: patients. And restricting patients' legal rights won't make anyone safer or healthier, nor will it lower costs or cover the uninsured. It's just another desperate distraction in a debate that has seen its fair share of off-the-wall rhetoric and political theater.

With all the deaths each year from preventable medical errors, this is not a topic that warrants foolishness and nonsense. There is simply too much as stake.

The opinions expressed in this commentary are solely those of Anthony Tarricone.

@highlight

Tarricone: Health bill foes using scare tactic of tort reform to stop needed change

@highlight

Institute of Medicine finds up to 98,000 people die each year from medical errors, he says

@highlight

Tarricone: Harvard study found 97 percent of claims meritorious, debunking suits are "frivolous"

@highlight

He writes: Instead of limiting injured patients' rights, take steps to ensure their health