(CNN) -- Payday lenders aren't the most scrupulous of operations. Preying on the desperation of people who don't have enough money to make it to their next payday, these lenders dole out short-term loans with exorbitant interest rates, forcing already cash-strapped customers deeper into debt. And while many have tried to reform the payday lending industry, we're still awaiting the right answer.

Ram Palaniappan has a new approach. He wants to solve the problem at its root, by eradicating the payday altogether.

According to Palaniappan, the real culprit here is the very concept of the payday. The way he sees it, there's no reason people who already have done their work should have to wait several days, or even weeks, to get the money they've rightfully earned. So, in May, Palaniappan launched ActiveHours. The Palo Alto startup, which recently raised $4.1 million, makes an app that allows hourly workers to immediately access pay they've already earned, without having to wait for their employer's standard pay cycle.

What's more, there are no fees. Instead, ActiveHours makes money on tips, asking users to pay what they want. "We're trying to build something that's completely aligned with the consumer, unlike what people are used to today in typical financial services, where it's, in some ways, adversarial," he says.

Palaniappan is far from the only entrepreneur who sees opportunity in creating an alternative to the payday loan. LendUp, for instance, has raised $64 million to offer loans with lower interest rates that become cheaper over time. ZestFinance, launched by an ex-Googler, is similar. But even these players still rely on fees, both for profit and protection. In this demographic, after all, there tends to be a high rate of delinquency, so even the most upstanding lenders typically account for those losses upfront. But with its no-fee model, ActiveHours is a radical departure.

It's also riskier. The company is betting that when given the choice, its customers -- already struggling financially -- will still pay for the service it provides. "Some people look at the model and think we're crazy," Palaniappan says, "but we tested it and found the model is sufficient to building a sustainable business."

Unlocking the Money You've Already Earned

This is not Palaniappan's first financial services company. In 2004, he launched RushCard, a startup that allowed people without access to a traditional bank account to get their paychecks loaded onto a prepaid ATM card. The goal was to offer the so-called "under-banked" an alternative to going to Western Union or other check cashing businesses, which take a large cut of every transaction.

While Palaniappan was working at RushCard, though, he learned that an employee working in the call center had recently taken a payday loan. He immediately wrote her a personal check and told her to pay it off as soon as possible. "I didn't want anyone who worked for me to have to use payday loans," he says. That's when he realized that there should be an easier way for employees to unlock the money they'd already earned.

When he left RushCard in 2012 after selling it to a private equity firm, he began experimenting with ways to automate such a service. It's a complex process that requires verifying who an employee is, where he works, how much he's worked, and what his hourly wage is. Then there's the equally difficult process of integrating with banks to deposit and withdraw funds from each user's existing bank account.

Palaniappan and several of his RushCard team members spent about a year developing the technology and launched the app publicly in May. Back then, ActiveHours was handling transactions for employees from 100 different employers. Today, it's 250 employers, including the likes of Best Buy, Starbucks, and even major banks like Wells Fargo and Bank of America.

How It Works

Employees can sign up for Active Hours on their own, providing their bank account number. They use the app to upload a photo of their electronic time sheets (paper time sheets aren't allowed). ActiveHours knows which systems are used by most employers, so it uses a photo of the system to verify the timesheet is real and checks the hours logged against past deposits made into the user's bank account.

ActiveHours also uses geolocation to ensure the user was at work when he took the photo. Once a user has been approved, he can see how much money he's already earned and transfer any percentage of it into his bank account. ActiveHours essentially gives the user a cash advance and deposits it into the user's account the next day.

When payday rolls around, ActiveHours withdraws the same amount from the user's account. And at the end of it all, users can opt to pay ActiveHours a couple bucks -- or nothing at all.

Unusual as that may sound, Palaniappan isn't the only one who believes in the concept. ActiveHours has caught the attention of Ribbit Capital, a financial services investment firm that typically only invests in late stage companies. According to Micky Malka, founder of Ribbit Capital, what Palaniappan and his crew are building is so special, though, the firm was compelled to join ActiveHours' seed round. "It's a very powerful concept," Malka says. "As we move into this on-demand economy, your payroll should be the same way."

The Threat of Abuse

Still, not everyone is as convinced. According to Adair Morse, assistant professor of finance at UC Berkeley's Haas School of Business, ActiveHours is a smart idea that's meeting a very real need for low cost alternatives to payday loans. And yet, she says, ActiveHours may be overly vulnerable to abuse. Although people are only borrowing money they've already earned, Morse says it's still possible that when ActiveHours tries to withdraw money from a user's account on payday, the money will already be gone.

Then, there's the fact that ActiveHours relies on donations, meaning it's susceptible to what economists call the free rider problem. "People assume someone else is better able to step up and contribute," she says. "This whole idea of donations sounds great, but we're talking about people who are constrained. They don't have savings. They have debt." And, if the donation model doesn't work, Morse points out, ActiveHours reserves the right to change its fee structure at any point.

But Palaniappan says that, so far, such abuses have not been a major issue. The bigger problem, he says, is convincing people ActiveHours isn't just another payday lender tricking people into a cycle of debt. "People aren't used to the model, so they think it's too good to be true," he says. "They're judging us with a standard that's completely terrible. What we're doing is not too good to be true. It's what we've been living with that's too bad to be allowed."

Read more from WIRED:

What Exactly Is in McDonald's Famous French Fries?

Why Your Best Thinking Always Seems to Happen in the Shower

People Around the World Pose With Everything They Eat in a Day

Creepy Photos of Russia's Crumbling Communist Architecture

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

New service lets workers access pay they've already earned, before payday

@highlight

Instead of charging fees or interest ActiveHours allows users to pay what they want

@highlight

The service is only available to hourly workers