(CNN) -- As Faith Gonsalves walks through the dusty streets of a slum on the outskirts of New Delhi, she passes pigs rummaging through piles of trash, and colorful saris hanging out to dry. In a nearby doorway, a girl and a boy sit with furrowed brows.

The 26-year-old is on her way to a makeshift classroom, where she runs regular music workshops for the community's children. Once inside, the expressions on the faces of her skinny pupils couldn't be more different than those worn by the pair outside. The children sing, their bright eyes fixed on Gonsalves, as three musicians accompany them with a ukulele, keyboard and rhythm eggs.

India is home to some of the richest but also some of the poorest people in the world. The country has the sixth-largest population of billionaires worldwide, and yet more than 300 million Indians, or around a quarter of the population, lives on $1.25 or less a day, according to the World Bank.

The children who live in the low-income communities of New Delhi's sprawling metropolis have more worries than most -- poverty, malnutrition, disease -- but above all, says Gonsalves, they feel an overwhelming sense of powerlessness.

In 2008, Gonsalves founded Music Basti, an arts education program that seeks to inspire New Delhi's underprivileged children to share their dreams and aspirations through music, and teaches them important life skills that they may not get from formal schooling.

"Music is a really powerful way of communicating and it's a really powerful equalizer," she says. "It also brings with it a whole host of learning and developmental benefits -- whether it's learning math and rhythm, learning language and singing, or learning how to work together with other children."

Over the last six years, the program has worked with at least 600 young people -- children who, Gonsalves says, would never have a chance otherwise to hold a public platform or stand on a stage.

Her goal is to raise awareness of the importance of creative learning for children's development, especially for the so-called "at risk" children, such as orphans, abuse victims, and beggars, that Music Basti supports.

More than 200 musicians and artists have contributed to the program, and yet persuading teachers to make a long-term commitment to working with these communities can be as challenging as raising funds, Gonsalves says.

"Music and arts are often relegated from the education system as much as the people we work with and the communities that live on the fringes of the city," she says.

But attitudes in New Delhi are gradually changing, and with them, the lives of the children are transforming too.

"The biggest positive change that we see in the children, and the communities that we work in, is ... how learning music and performing music gives children a sense of achievement but also of confidence, and that goes a huge way in many other aspects and areas of their lives."

Last year, the students wrote and recorded an album, and held a concert in the center of Delhi in front of 500 people. Around 170 children are taking part in the program this year.

Music has played an important role in Gonsalves' own life. She grew up listening to her mother sing old folk songs, and her brother is now a professional pianist. Gonsalves was heavily involved in music at school and as a student at Delhi University. Her deep belief in the transformative power of music is the source of her passion for the work she does now.

"Seeing the program in action, it's always deeply encouraging and deeply motivating, especially to see children enjoying the process of learning, not being afraid by it," she says.

"But it also reminds me that we have a really long way to go in trying to take this model of education to many, many more children in our city, but also in our country."

@highlight

Faith Gonsalves, 26, founded a music and arts program for underprivileged children in Delhi

@highlight

Gonsalves: Music is a powerful tool for children's development; raises awareness of poverty

@highlight

Delhi's formal education system has gaps when it comes to music and arts, she says

@highlight

In six years, at least 600 children and 200 musicians have participated in the program