Editor's note: In our Behind the Scenes series, CNN correspondents share their experiences in covering news and analyze the stories behind the events. Here, CNN's Jaime FlorCruz writes about press freedoms covering the Olympics.

Journalists surf the Internet at the main Olympics press center in Beijing.

BEIJING, China (CNN) -- For many overseas reporters now in Beijing, covering the Summer Games has turned into an Olympian task.

We go through tedious security checkpoints to cover events and conduct interviews even as we deal with bureaucratic and linguistic barriers. But we face one particularly irritating issue: China's limits on Internet access.

Despite Beijing's earlier promise to allow open reporting and unfettered access to information, Internet access remains erratic and unpredictable. "It's so counter-intuitive to find the Internet restricted, even if only selectively," one western journalist told me in Beijing.

Last week, colleagues working in the Media Press Center faced a blank computer screen whenever they clicked on sites deemed sensitive to the Chinese authorities -- like Amnesty International and Falun Gong.

That is attributed to China's sophisticated filter system, also known as the "Great Firewall."

Why the paranoia? Pro-democracy activists, as well as advocates for Tibet independence and the spiritual group Falun Gong, have Web sites carrying information and views that the Chinese authorities deem "subversive."

These sites reinforce Beijing's worst fears about cyberspace.

China has groomed "Internet police" to patrol its networks and is constantly upgrading software to filter sites. Under Chinese law, using the Internet to "harm national interests," "spread rumors" or "leak state secrets" is punishable by stiff prison terms.

Journalists and politicians alike cried "foul" but other critics turned their criticism on the International Olympic Committee (IOC.)

When Beijing submitted its Olympic bid seven years ago, the Chinese promised: "There will be no restrictions on journalists in reporting on the Olympic Games."

The U.S. Congressional-Executive Commission on China, which monitors human rights and rule of law issues in China, has compiled documents that show that International Olympic Committee agreements with the Chinese government, from the start, were based on abiding by China's domestic laws.

Those laws, the commission says, give authorities a lot of "wiggle room" to define actions that might "endanger state security" or "disrupt social order."

Chinese regulations, for example, include a "service guide" for the foreign media. That guide notes the regulations apply to "the coverage of the Beijing Olympic Games and the preparation as well as political, economic, social and cultural matters of China by foreign journalists, in conformity with Chinese laws and regulations."

China's "Provisions on the Technical Measures for the Protection of the Security of the Internet," which went into effect in 2006, note the regulations are aimed at "promoting the sound and orderly development of the Internet and safeguarding the state security, social order and public interests."  Learn more how China monitors the Internet »

Last week, foreign journalists discovered Internet access to Web sites such as Amnesty International or sites with Tibet in the address were still restricted. After a media uproar, China seems to have relented.

Foreign Ministry spokesman Liu Jianchao said: "If there are some needs to adjust on the Chinese side, we will do that."  Amnesty International's site, for example, has been accessible since August 1.

However, the site of Falun Gong remains taboo. Andrew Lih, a new media expert based in Beijing, says that "unblocked sites are still subject to the sophisticated keyword blocking system of the GFW (the Great Firewall of China.)"

China has also tightened its grip on other media sources. The English version of Time Out, the monthly listings and entertainment guide, has been told to close.

Freelance journalists are finding it hard to renew Chinese visas and accreditation for smaller, niche publications have become virtually impossible. Even a writer from Saveur, a food magazine, was denied a visa.

Last Tuesday, relations between journalists and Chinese authorities soured again after police in the frontier region of Xinjiang roughed up and detained two Japanese reporters who were sent to cover a suspected terrorist attack. They suffered minor injuries and their equipment damaged during the scuffle.

"This is utterly unacceptable any time," says Jonathan Watts, president of the Foreign Correspondents' Club of China. "It's particularly reprehensible just days before the Olympics at a time when China has promised complete media freedom."

The incident has prompted a rare apology from the local police, who also offered to pay for the damage and medical bills.

@highlight

Internet access remains erratic for journalists in Beijing covering the Olympics

@highlight

Many sites about Tibet and spiritual group Falon Gong are deemed "subversive"

@highlight

China promised no restrictions on journalists when it bid for the Games

@highlight

Documents show IOC agreements were based on China's domestic laws