(Southern Living) -- On a bright Big Bend afternoon in far-west Texas, I steer myself along a high-desert, two-lane highway, tufts of dried-up tumbleweed thistle packed like snow against barbed-wire fences. The sky above opens up its cobalt tent; the space beneath stretches as far as an ocean.

Rugged landscapes and wide-open spaces inspire artists and visitors in West Texas.

U.S. 90 leads me through the Davis Mountains and ocotillo-and-cactus flats to Marfa, Alpine and Marathon, a string of three Big Bend towns just 60 miles apart. Here they live as siblings in a remote, starkly beautiful landscape as mysterious to me as Mars.

"Driving from Dallas, we often joke, 'Who would put a town out here? And who would live in it?'" says Marfa wood artist Camp Bosworth. "And we realize, well, us."

Far-off inspiration

It's hard to believe inspiration can come in so far-off and austere a place, but it's all around you. Marfa, Alpine and Marathon sit along U.S. 90 like hitching posts. On first glance, the three are all Mayberrys of another era. Marfa's one blinking red light; the Alpine Dairy Queen and Big Bend Saddlery; Marathon's three blocks of storefronts facing the railroad.

But I visit in search of the defining quality that draws people 400 miles west of San Antonio to live and to visit. I'm looking for the real towns, what makes them so alluring and freeing, to "slow down and see," as Bosworth describes. As one New York transplant to Marfa tells me, "Good things come with space."

Vintage and vogue

Bosworth introduces himself on my first night in Marfa at the opening of a gas-station-turned-folk-art-gallery called Yard Dog. The two rooms of Yard Dog glow in the pitch-black stillness of the nearly 2,000-person town. Inside, the scene teems with locals, some who look like Willie Nelson, some like Brooklyn hipsters, all toasting yet another gallery émigré. Bosworth, who moved to the Big Bend eight years ago, wears a canvas Carhartt jacket and black designer eyeglasses, a stylish mix of rancher and Warhol seen all over Marfa. We step outside.

"Out here you can just breathe," he says, referring to the whole Big Bend, where Texas leans toward the Rio Grande and Mexico reaches back. "That constant push to do is gone. And instantly at night, there are a million stars. In the openness you suddenly feel creative." SouthernLiving.com: Marfa Travel Planner

True cowboys ride bikes

In Marfa, vintage bicycles replace horses. Bosworth himself owns more than 10 throwback Schwinns and Flyers. After a night's sleep at the Thunderbird Hotel, a motor court revamped with minimalist looks (and record players), I rise early and pedal through town on a hotel bike. I pass the high school, the silver water tower, and the pinkish 1886 Presidio County courthouse -- all signs of Big Bend normalcy.

Large cherry red letters mark one gorgeous white building -- JUDD -- near Maiya's, a sleek Italian cafe, and down from the hacienda-like Hotel Paisano. I stop near the single flashing signal by Marfa Book Company and Marfa Public Radio, where NPR programs mix with station manager Tom Michael's local news and interviews.

Food Shark

Late morning, the Food Shark, an aluminum-body gourmet lunch truck, rolls into town and parks near the tracks, where honey-colored benches and tables sit under the farmers market pavilion. Jack the dog roams around while folks buy Mediterranean dishes from the Food Shark, manned by a friendly couple, Adam and Krista.

Savoring open space

From my chickpea Marfalafel basket, it's off to the Chinati Foundation, a former army base filled with art installations by Donald Judd and his contemporaries. Judd, whose work has had tremendous influence on modern sculpture, began buying land south of Marfa and buildings in town in the 1970s for preservation purposes as well as his own use. He savored Marfa's open space.

High desert inspiration

Of the highway town trio, Alpine is the busy one, where outliers visit for dry cleaning, a pharmacy, an Amtrak pickup station or the largest grocery. Alpine's thriving liberal arts university Sul Ross State looks down on the town, which, like its neighbor communities, lives at nearly mile-high elevation. Sweet aromas in the mountain-fresh air pull locals to Judy's Bread and Breakfast, where folks pass the paper over homemade cinnamon rolls. Even as a passerby, I get warm looks that say pull up a chair. SouthernLiving.com: Alpine Travel Planner

Makin' it rattle

A block down Holland Avenue at Kiowa Gallery, the spirited Keri Artzt greets me at the door, as colorfully dressed as the walls in her place. "You don't come to Alpine for a mall fix," Peggy Martin, a nine-year employee, says. "But we can make it rattle if we need to." In a town of painted murals -- I see several driving from Kiowa to the Big Bend Saddlery -- Alpineers draw from the same creative wellspring as do its sister towns.

Listen to the music

As the sun curves to its peak, Alpine steals a few hours from winter, and guitar-maker Michael Stevens wipes a bead of sweat off his brow. Living on 10 acres just south of town, his workshop window faces uninterrupted miles of native grasses and wispy clouds. His completed instruments, shiny and perfect, hang inside. You'd swear laser-guided machines made the guitars. The craft is astounding.

Jackrabbits can talk

Back in town, comic strip artist Chris Ruggia opens his small studio with pleasure. "Jack," his cartoon ode to the ecology of the vast Big Bend wilderness, stars kangaroo rats, jackrabbits and coyotes. "It's such an emphatic region," the quiet man says. "As an artist, you really respond to it." Guided by biologists from The Nature Conservancy and Sul Ross, interpreters from Big Bend National Park and his own wandering eye, Ruggia's more than 40 "Jack" online episodes bring art and the landscape side-by-side.

Long way home

In the couple of days I've spent traveling around these three towns, I've found the rolling drive between places to be quite calming. Peggy Martin at Kiowa Gallery said I would. "This is a healing place," she says, "because people have time." From Alpine, I tune into KRTS-FM:93.5, the region's community station, letting the midday classical hour play sound track to the passing miles of sage brush, desert willow and limestone rises.

Welcome to Marathon

Thirty miles flash by as a cello player finishes a piece that sounds like strings singing through the radio. Marathon (population 455) is by far the smallest of the three. For days, people in Marfa and Alpine have mentioned two mainstays in Marathon over and over: the Gage Hotel and photographer James Evans. SouthernLiving.com: Marathon Travel Planner

Worth a thousand words

"The landscape is like a relative now," Evans tells me, lounging on a leather chair in his highway photo gallery. Window-size, silver gelatin prints of his "800,000-acre backyard," as he calls Big Bend, hang in the serene, wood-planked room. Evans lights up when I ask about the vistas surrounding us, where the onetime Gage Hotel cook has spent 20 years documenting the region.

"When I first go back, I usually start on old River Road," he says about his journeys from Marathon into the rough country. He describes a flashing creek photographed by moonlight on a 30-minute exposure, much the way Ansel Adams shot Yosemite; floating through the Santa Elena Canyon; and how he hikes to spots by dusk so he can wake up there. "I could shoot this area forever."

Whispering memories

This brief moment with Evans is telling. The photographer's eyes drift off. His voice softens. And he's gone away somewhere miles from this room. His 60,000 photos of the Big Bend must carry countless memories, unspoken things that act as muse and healer both.

I find myself remembering this as night falls over Marathon. A fire crackles in my Gage Hotel room, while the fountain in the courtyard slowly begins succumbing to a sinking chill. Outside, I stand in the cold, looking up over the adobe walls at a sky full of stars, believing these places have whispered to me as well.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright 2009 Southern Living magazine. All rights reserved.

@highlight

The towns of Marfa, Alpine and Marathon sit along U.S. 90 like hitching posts

@highlight

"Good things come with space," says a New York transplant to west Texas

@highlight

Of the highway town trio, Alpine is the busy one