(CNN) -- Monday will be a day of mourning for the slain schoolchildren of Newtown, Connecticut. Then what? Some are urging President Barack Obama to lead a national campaign for tighter control of firearms.

Bad idea. If the president -- any president -- inserts himself into the gun debate, he will inevitably polarize it. Supporters of the president will rally, but opponents of the president will become more obdurate. Because the president has many items on his agenda, and often needs the votes of Democrats from districts where pro-gun feeling runs strong, his opponents will probably outlast him.

Presidential leadership on guns will most likely fail for another reason, one that comes from a darker and grimmer place in American culture.

I've written before at CNN about the paradoxes of American gun ownership.

Here's one more such paradox: Obama has done literally nothing to restrict the (large and growing) rights of gun owners. President Bill Clinton signed two important pieces of gun control legislation and issued many restrictive executive orders; Obama has not so much as introduced even one.

Yet the election of Obama has triggered an angry reaction among gun owners fiercer than anything seen under Clinton. Between 1960 and the late 1990s, there occurred a gradual decline in the percentage of American homes that contain a gun, from about one-half to about one-third.

(This trend is at least partly explained by the decline of hunting as a sport. In 2011, about 6% of Americans aged 16 or over went hunting even once in the year. )

In 2009, however, that trend away from guns abruptly went into reverse. Gun buying spiked in the Obama administration, pushing the share of households with a gun all the way back up to 47%, near the 1960 peak, even as crime rates tumbled to the lowest levels ever recorded, making guns less necessary than ever to self-defense. Black Friday 2012 set a one-day record for gun sales.

What's going on?

People who buy guns for self-defense do not look only to the statistics for information about the dangers they face. They are guided by their own perceptions, and often their own misperceptions. By the numbers, Obama's America is probably the safest America ever.

But in the imaginations of millions of people, Obama's America is threatened by social instability. For many, the president himself is the leading symbol of the changes they fear. The more the president leads the campaign for gun control, the more hopeless that campaign will be.

Instead, progress to more rational gun laws must be led from outside the political system. Look at the success of the campaign against drunken driving.

In 1980, 13-year-old Cari Lightner was struck and killed by a drunken driver. That driver had recently been arrested for another driving under the influence offense, but he remained on the road to kill again. Cari's mother, Candice, threw herself into the cause of stopping drunken driving. A powerful organizer, she founded a group, Mothers Against Drunk Driving, that not only changed laws at the federal and state level, but also changed the larger cultural context.

Forty years ago, the hugely popular entertainer, Dean Martin, made giggling jokes about being drunk at the wheel. Today, in millions of American homes, workplaces and restaurants, "friends don't let friends drive drunk" has replaced "one for the road."

This is the model for the future campaign against dangerous weapons.

That campaign should be led from outside the political system, by people who have suffered loss and grief from gun violence. Only that way can the campaign avoid being held hostage by the usual conflict of parties -- Democrats who fear that gun control will lose them rural congressional districts; Republicans who exaggerate for partisan gain exactly what gun control would mean.

Gun control should no more mean the abolition of guns than Mothers Against Drunk Driving abolished the car. Guns are part of the cherished American culture of the outdoors. In many parts of the country, a deer rifle literally puts meat on the table.

In other parts, a revolver in the bedroom dresser drawer is the frightened spouse's last defense against an abusive partner, or the gay urban homesteader's final protection against violent bigots. Guns can be souvenirs of heroic moments on faraway battlefields, mementoes of national history, or art objects of great beauty.

It's harder to imagine why any civilian would need a semiautomatic weapon. Still, it's a free country, and gun ownership is one of the freedoms specifically cited in the Constitution. Responsible gun owners have a right to their guns. The challenge for the grass-roots gun-safety movement of the future is to focus on the danger posed by irresponsible owners. The goal should be less to ban particular classes of weapons -- such a goal puts the law in a race against technology, a race the law will likely lose -- and more to change the rules defining who may keep a gun.

Prospective gun owners should be required to take serious training and pass a safety exam before qualifying for a license. They should be screened for mental illness and histories of violence, very much including domestic violence. They should be required to buy insurance against the harm done by wrongful use of their weapons, and if that insurance proves expensive -- well, too bad. People apprehended in possession of an unlicensed weapon should face severe sanctions.

At the same time, we also need to pay attention to the role of mental health professionals in averting such horrors like the Newtown massacre. In a survey of mass killings published in 2000, The New York Times observed: "They give lots of warning and even tell people explicitly what they plan to do."

Yet it's exceeding difficult in this country to compel treatment of the mentally ill, even as they prepare to commit the worst crimes. The Associated Press reported this disturbing story on October 1:

"Andrew Engeldinger's parents pushed him for two years to seek treatment for what they suspected was mental illness, but even though he became increasingly paranoid and experienced delusions, there was nothing more they could do.

"Minnesota law doesn't allow people to be forced into treatment without proof that they are a threat to themselves or others. Engeldinger's parents were horrified last week, when their 36-year-old son went on a workplace shooting spree that led to the deaths of a Minneapolis sign company's owner, several of his employees and a UPS driver. Engeldinger then killed himself."

It's important to ensure that guns are kept out of the hands of people like Engeldinger. It's also important to expedite the process by which family and friends can require them to accept treatment.

Such measures might not produce immediate results, but like the campaign against drunken driving, would steadily enhance gun safety and raise higher the obstacles to the obtaining of weapons by people likely to misuse them.

As with any public safety measure, the goal is not absolute security. We'll never reduce the toll of crime, accident and general human mayhem to zero. But after the seventh mass killings of this single year 2012, isn't it about time that we tried to reduce the toll at least somewhat?

The politicians can't or won't. But one of the many, many families bereaved in this year of random violence -- maybe they will be moved to follow for the victims of gun crime the lead Candice Lightner established for the victims of reckless driving?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: What happens after the mourning is over?

@highlight

He says a presidential-led effort on gun safety will likely fail for political reasons

@highlight

It would be better if campaign were modeled on MADD, with victims' families leading, he says