Washington (CNN) -- Flush with re-election vigor, President Barack Obama called Friday for House Republicans to immediately pass a bill already approved by the Senate that would maintain current tax rates for middle-class Americans while increasing taxes of wealthier citizens.

In his first public comments since winning Tuesday's vote, Obama expressed openness to negotiate with Congress on how to deal with pending tax hikes and spending cuts that create the so-called fiscal cliff facing the economy at the end of the year.

However, he also repeated his longstanding demand that Republican opponents to any kind of tax increase relent to the will of the White House and the Senate -- and now the American people -- in letting tax rates increase on income over $250,000.

Nobody in either party wants the middle class, identified as families making less than $250,000 a year, to see taxes increase at the end of the year when lower rates set during the administration of former President George W. Bush will expire, Obama said.

"That makes no sense. It would be bad for the economy," he told a White House gathering of what aides described as middle class Americans. "Let's extend middle class tax cuts right now. Let's do that right now. That one step would give millions of families, 98% of Americans, 97% of small businesses, the certainty that they need going into the new year."

Noting the Senate previously passed a bill to extend the tax cuts to the middle class, but not income over $250,000, Obama said: "All we need is action from the House."

"I've got the pen," he said, reaching into his pocket to hold one up as the crowd applauded. "I'm ready to sign the bill right away. I'm ready to do it."

The president also announced he invited congressional leaders from both parties to the White House next week to launch talks on finding a solution to the fiscal cliff, as well as consensus on how to strike a comprehensive deal to reduce the nation's chronic federal deficits and debt.

Separately, a bipartisan group of senators known as the "Gang of Eight" will reconvene next week to "assess where they are" in working out a bipartisan compromise on a long-term deficit agreement, a Senate aide told CNN on Friday. The group's previous talks have yet to bring a breakthrough.

The gang of eight includes Democrats Mark Warner of Virginia, Dick Durbin of Illinois, Michael Bennet of Colorado and the retiring Kent Conrad of North Dakota, along with Republicans Saxby Chambliss of Georgia, Tom Coburn of Oklahoma, Mike Crapo of Idaho, and Mike Johanns of Nebraska.

Opinion: Leave crisis to Congress

Long and tough negotiation

While offering to consider unspecified reforms to costly entitlement programs sought by Republicans, Obama' s initial salvo in what will be a long and tough negotiation signaled he was unwilling to back down on the tax issue that was a central theme of his election campaign.

"On Tuesday night, we found out that the majority of Americans agree with my approach and that includes Democrats, independents and a lot of Republicans across the country, as well as independent economists and budget experts," the president said. "That's how you reduce the deficit; with a balanced approach so our job now is to get a majority in Congress to reflect the will of the American people."

What's in the fiscal cliff?

Obama and House Speaker John Boehner are positioned as the lead negotiators in a showdown between Democrats and Republicans over the issue identified by voters as a top priority: reducing the chronic federal deficits and debt considered a threat to economic prosperity and national security.

Boehner, R-Ohio, signaled a willingness to deal on Friday but also maintained hard-line GOP opposition to any tax increase.

"Raising tax rates will slow down our ability to create the jobs everyone says they want," Boehner said at a news conference, noting that higher taxes on the wealthy will hit small business owners.

Later, however, he said that "everything on the revenue side and on the spending side has to be looked at."

Boehner also called on Obama to take the lead in offering a workable plan that Republicans can accept but stopped short of providing details, saying: "I don't want to limit the options available to me or limit the options that might be available to the White House."

Asked if tea party conservatives or others in his caucus might oppose an agreement they don't like, Boehner responded: "When the president and I have been able to come to an agreement, there has been no problem in getting it passed here in the House."

The brewing political showdown in Washington left U.S. financial markets unconvinced the two sides would resolve their differences and come to an agreement.

Analysis: Obama has limits on debt deal

All three U.S. stock indexes ended the week more than 2% lower due to investor concerns about the fiscal cliff's potential impact on the sluggish economy.

Markets and American business are also concerned that brinksmanship on the deficit could influence the deadline for raising the nation's debt ceiling and eventually hamper the government's ability to pay its bills.

The fiscal cliff comprises two main elements: Tax cuts from the administration of President George W. Bush will expire on December 31, triggering a return to higher Clinton-era rates for everyone.

In addition, $1.2 trillion in mandatory across-the-board budget cuts -- known in legislative parlance as the sequester -- will take effect next year unless Congress finds a way to offset that amount in the federal budget. The automatic cuts were intended to motivate legislators to work out an agreement instead of letting the sequester ever actually occur.

Republican leverage weakened by election results

Boehner's leverage in negotiating a deal got weakened by the election that returned Obama to the White House, broadened the Democratic majority in the Senate and slightly narrowed the Republican majority in the House.

While the election resulted in another split Congress like the current session that has become a symbol of legislative dysfunction, both sides have signaled a possible new openness to an agreement that was unreachable in the past two years.

In the final days of the campaign, Vice President Joe Biden referred to private talks with members of Congress on the pending fiscal impacts of expiring tax cuts and mandatory budget cuts. This week, Boehner called on Obama to work with him to complete a comprehensive deficit reduction agreement -- the "grand bargain" that eluded them last year.

Boehner says GOP willing to compromise on fiscal cliff

Both Boehner and Obama were held back from a deal back then because of pressure from their respective bases, retiring Republican Rep. Steve LaTourette of Ohio told CNN.

"The 'no-tax pledge' people in the Republican Party yanked Boehner back and the 'don't you dare touch the middle class' entitlement people in the president's party pulled him back, and as a result those talks collapsed," LaTourette said.

Boehner said this week that a comprehensive agreement won't happen by the end of the year in the lame-duck session of Congress. He proposed that the two sides use that time to set up a framework for substantive negotiations when the new Congress comes in next year while taking short-term steps to avoid the fiscal cliff.

Durbin, the No. 2 Democrat in the chamber, said such a timetable could work.

"We have a chance in the lame duck to at least start the process, and I think there's a chance to rally bipartisan support," he said. "These are basic issues we can work out, and the president is in a position to do that."

Both sides agree the best outcome would be a broad deal addressing the overall need for deficit reduction, including reforms to the tax system and entitlement programs such as Social Security, Medicare and Medicaid.

However, they remain far apart on exactly how to forge such an agreement.

Obama campaigned on having wealthy Americans contribute more to deficit reduction efforts, and White House spokesman Jay Carney said Friday that the president will veto any package that extends the Bush tax cuts for income over $250,000.

"We can't just cut our way to prosperity," Obama said Friday. "If we're serious about reducing the deficit, we have to combine spending cuts with revenue and that means asking the wealthiest Americans to pay a little more in taxes."

Boehner and Republicans oppose raising taxes on anyone, and instead back a broad reform of the tax system that would lower rates further for everyone while eliminating some deductions and loopholes.

While Boehner said this week that his side was open to increasing revenue from such reforms, he made clear that such increases should come from resulting economic growth instead of higher tax rates.

In essence, Boehner proposed the kind of tax reform championed by failed Republican presidential challenger Mitt Romney, whose plan was criticized by Obama and many economists for being unrealistic in assuming that the combination of closed loopholes and economic growth would equal the lost revenue of tax cuts.

Obama's victory gives him new leverage in the budget battles after Republicans forced the president and Democrats into prolonged and sometimes bitter showdowns in the last two years.

One top Democrat with close ties to leaders on Capitol Hill and the White House said that the imminent expiration of the Bush tax cuts means Obama "doesn't have to do anything and everyone's taxes go up," which is a GOP nightmare.

Such an increase would affect personal income tax, the estate tax, dividends and capital gains taxes.

In addition, some officials are hinting the feared sequester cuts don't have to be implemented right away in the new year, giving at least a few months for a deal to be worked out.

Obama, Boehner stand ground on fiscal cliff

CNN's Jessica Yellin, Ted Barrett, Joe Sterling and Allison Brennan contributed to this report.

@highlight

President Barack Obama says his election victory shows America backs his plan

@highlight

House Speaker John Boehner says all options on spending and revenue are open

@highlight

While both sides signal a willingness to deal, differences on details remain

@highlight

The nation faces tax hikes and steep spending cuts at the end of the year