(CNN) -- In a move aimed at boosting mental health treatment, Health and Human Services Secretary Kathleen Sebelius on Friday announced new rules that will put teeth in a 2008 mental health equity law.

The Mental Health Parity and Addiction Equity Act, signed by President George W. Bush, requires doctors and insurers to treat mental illness the same as physical illness.

Sebelius made the announcement to applause at the Rosalynn Carter Symposium on Mental Health Policy in Atlanta.

The move "finally puts mental health and behavioral health on equal footing," Sebelius said.

On paper, the law made mental health more accessible, but there has been virtually no enforcement of it, said Dr. Jeffrey Lieberman, president of the American Psychiatric Association and a Columbia University psychiatrist.

"Up to now, the law has not been complied with," Lieberman said. "Companies have only sort of adhered to it."

Insurance companies often cover mental illness in a more limited fashion than physical illness. Now the rule will require insurers to charge similar co-payments regardless if the treatment is for physical or mental health. Deductibles and doctor visits would also be equitable, and there would be parity in outpatient services and residential treatment.

"Many private insurers gave nothing. Some provided benefits, but they were limited and inadequate," Lieberman said. The law, the new rules and provisions of Obamacare combined will ensure mental and physical illness would be covered similarly.

America's Health Insurance Plans (AHIP), the professional association that represents the health insurance industry, said it has long supported the act and has worked to implement its requirements in an affordable and effective way.

"We appreciate that the final rule enables patients with mental and behavioral health conditions to continue to benefit from the innovative programs and services health plans have pioneered," AHIP's President and CEO Karen Ignagni said in a statement.

Opinion: Wipe out the stigma of mental illness

For example, insurance companies can no longer authorize a 30-day hospital stay for a stroke and only a two-day stay in the hospital for someone who has had a psychotic break.

In addition, people with pre-existing mental conditions like attention deficit hyperactivity disorder or depression will no longer be denied insurance coverage -- and under Obamacare, a mental illness diagnosis will no longer trigger a potential loss of coverage.

About one in four adults suffer from a diagnosable mental disorder in a given year, according to the National Institute of Mental Health. Sebelius pointed out that twice as many people die from suicides as homicides.

The "incredibly important law, combined with the Affordable Care Act, will expand and protect behavioral health benefits for more than 62 million Americans," Sebelius said. "People who either have insurance coverage now and have no mental health coverage or where the Affordable Care Act fills in those gaps for people who have no insurance at all, they will be able to access affordable care with mental health and substance abuse benefits."

She called it "the largest expansion of behavioral health benefits in a generation."

That is, if there are enough providers to deal with the potential influx of new patients.

"The not-so-good news is you are eligible for treatment now, but often the services are not available," said Carolyn Reinach Wolf, an attorney who specializes in cases involving mental illness.

Surveys show there are only about 50,000 psychiatrists in the United States. According to the APA, that number is already too few to care for the existing number of people seeking treatment.

And trends for the profession don't sound promising, according to the association. Enrollment in psychiatry programs is down, and over half of the profession is 55 or older which means they are nearing retirement age.

Often, Wolf said, psychiatrists and psychologists don't take insurance, and patients struggling with mental illness or the families who care for them are too overwhelmed to have to process the paperwork themselves.

"Mental illness is not curable. It is a chronic lifetime illness and it requires a tremendous amount of resources to get them into treatment and to monitor that treatment. It is a huge cost to manage that care," Wolf said. Insurers still have to make money, which is difficult with this kind of ongoing, expensive treatment, she said.

Now that the final rules have been announced, Lieberman argues there needs to be "more transparency and means of enforcement. Or how do you know private insurers will comply?"

Friday's announcement applies to private insurance. The rules do not apply to people on Medicaid because the Obama administration has already given states guidance on how those plans should be meeting requirements set out by the 2008 law.

Reframing the gun control debate: Is mental health the next focus?

The Georgia setting for Sebelius' announcement seems particularly appropriate as an acknowledgement of former first lady Rosalynn Carter's long efforts to destigmatize mental illness.

Carter is the author of a handful of books on the topic, and the Mental Health Systems Act was passed in 1980 in large part due to her advocacy. The law provided more funding for community-based care and created a system of prevention services and an advocate system for those who struggle with mental illness.

That law also had a parity provision that was never enforced, Sebelius said Carter had told her. "Finally, in 2013, we are achieving this," she said.

CNN's Caleb Hellerman and Trisha Henry contributed to this report.

@highlight

Mental Health Parity and Addiction Equity Act was signed into law in 2008 but not enforced

@highlight

Insurance companies often cover mental illness in a more limited fashion than physical illness

@highlight

Kathleen Sebelius' announcement applies only to private insurance

@highlight

HHS secretary to unveil new rules at Rosalynn Carter Symposium on Mental Health Policy