U.S. Secretary of State John Kerry on Thursday would not say the United States is at war with ISIS, telling CNN in an interview that the administration's strategy includes "many different things that one doesn't think of normally in context of war."

"What we are doing is engaging in a very significant counterterrorism operation," Kerry told CNN's Elise Labott in Jeddah, Saudi Arabia. "It's going to go on for some period of time. If somebody wants to think about it as being a war with ISIL, they can do so, but the fact is it's a major counterterrorism operation that will have many different moving parts."

Kerry made a distinction between ISIS and terror groups operating in Somalia and Yemen.

"ISIL is an animal unto itself," he said. "And it is significantly such a threat because of the foreign fighters that are attracted to it -- which you don't see in Somalia or ... Yemen." Most importantly, Kerry said, ISIL has attracted a "significant coalition" that is determined to go and destroy it.

Kerry, in Jeddah for meetings with Arab leaders to enlist regional support for a coalition to defeat ISIS, defended the administration's insistence that the 2001 authority to go after al Qaeda and affiliates applies to ISIS. He insisted that, despite the split between jihadist groups, the origin of ISIS as an al Qaeda affiliate is enough to consider them connected.

"This group is and has been al Qaeda," Kerry said. "By trying to change its name, it doesn't change who it is, what it does."

Asked how much of the interpretation lets Congress get away from a vote on going after ISIS -- a scenario lawmakers would like to avoid in an election year -- Kerry responded "none."

Kerry said the opposition battling the regime of President Bashar al-Assad in Syria has been outgunned and outmanned, but the administration believes that equation can change "if they receive proper training, if there are recruits that come in, and if it grows over a period of time."

The regime's legitimacy could never be restored, Kerry said.

"It is going to be our policy to separate (al-Assad), who is mostly in the western part of Syria, in a certain corridor from the eastern part of Syria, which he doesn't control," Kerry said. "ISIL controls that part. So it is clearly ... not a very difficult task to target ISIL."

The talks in Jeddah come a day after U.S. President Barack Obama outlined a plan to "dismantle and ultimately destroy" the Sunni extremist group that has seized a swath of territory across Iraq and Syria.

Videotaped beheadings, including two murders of American journalists, have led to the push for a broader counterterrorism mission, including possible airstrikes in civil war-torn Syria. But the United States has ruled out sending American troops for a ground offensive.

On Thursday, Kerry met with Saudi Foreign Minister Prince Saud al-Faisal in Jeddah before wider talks with other regional leaders.

Asked whether Saudi Arabia supports the extremist expressions of the Wahhabism version of Islam espoused by some terror groups, Kerry told CNN that the nation is "deeply committed to the effort to terminate ISIL."

"They have never funded the kind of effort you're talking about with respect to ISIL," Kerry said, adding that a significant part of the counterterrorism effort will include stemming fundraising for terror groups.

After Saudi Arabia, Kerry will visit Turkey and Egypt for meetings with senior officials, state department spokeswoman Jen Psaki said.

In a statement after Obama's prime-time speech Wednesday, Kerry said the President's strategy would succeed "because doing it with allies and partners isn't just smart, it's strong."

Kerry said his travels through the Middle East and Europe over the coming days were an effort to "meet a unifying threat with a unified response."

While American leadership is "indispensable," he said, "we cannot destroy this group on our own. Defeating this common enemy calls for a common cause, and we're taking it on to succeed together."

Obama spoke Wednesday with Saudi Arabia's King Abdullah, a senior administration official told journalists. "The Saudis made very clear that they support this mission, they will join us in this mission," the official said.

The backing of Sunni-dominated nations such as Saudi Arabia, Jordan and Turkey will lend support to any campaign to contain the spread of ISIS.

Turkey's capacity or willingness to act may be limited by the fact that ISIS continues to hold 47 Turkish hostages seized from the northern Iraqi city of Mosul.

So far, Shiite-majority Iran has played the biggest role on the ground in northern Iraq, where its militias have been helping Iraqi forces.

ISIS, which now calls itself the "Islamic State," has said it is bent on creating an Islamic "caliphate" in Iraq and Syria where harsh Sharia law governs every aspect of life.

Iraqi leader: 'Everybody's on board'

Baghdad was the first stop on Kerry's tour, where he met with Iraq's new Prime Minister Haider al-Abadi.

In a joint news conference with Kerry on Wednesday, al-Abadi said the international community had a responsibility to help defend Iraqis from the threat posed by ISIS.

He also said Iraqis had worked hard recently to form an inclusive government where "everybody's on board" to fight the militants.

In a separate news conference, Kerry said the U.S. was already coordinating with some 40 other nations to provide humanitarian, military and other assistance to Iraqis to fight ISIS.

The United States has so far launched more than 150 airstrikes to weaken the militants in Iraq, Kerry said.

Syria airstrikes

Obama said Wednesday that 475 more U.S. military advisers will head to Iraq, raising the total of American forces there to 1,700 for a mission originally described as limited.

He also shifted $25 million in military aid to Iraqi forces, including Kurdish fighters in the north combating the ISIS extremists. The aid could include ammunition, small arms and vehicles, as well as military education and training, State Department spokeswoman Marie Harf said.

It's not clear how soon U.S. forces will launch operations in Syria.

Senior administration officials who briefed reporters before Obama's speech on condition of not being identified said airstrikes against ISIS targets in Syria would occur "at a time and place of our choosing."

"We're not going to telegraph our punches by being specific about the time and nature of the targets," one official said, adding that "we will do that as necessary as we develop targets."

'Very difficult, long road'

Kerry met with Jordan's King Abdullah II in Jordan before leaving Thursday morning for the Saudi seaside city of Jeddah, where he was scheduled to meet with the leaders of half a dozen Persian Gulf states.

In addition to support for a military campaign against ISIS, administration officials said the United States would be looking to its Gulf allies to crack down on ISIS funding and stop the flow of foreign fighters, both seen as the lifeblood of the jihadist group.

The United States also wants Sunni Arab states, particularly Saudi Arabia, to counter ISIS by helping to persuade other Sunnis to eschew its ideology.

"It's going to be a very difficult, long road to get there, but it's something that the region and our partners in the Gulf can play a really important role in," a senior State Department official traveling with Kerry said.

"And there's a number of different ways that they can do that, both in terms of just their relationships, in terms of their encouragement, in terms of their financial contributions, in terms of lifting the burden that the government here has."

After Saudi Arabia, Kerry will travel to Paris to attend an international conference on Iraq, State Department spokeswoman Jen Psaki said.

Obama will chair a meeting later this month at the U.N. General Assembly, where the global strategy is expected to be hammered out.

Kerry: 'Broad coalition' of nations will help fight ISIS

Al Qaeda battles ISIS for global jihadist leadership

@highlight

Strategy has "things that one doesn't think of normally in context of war," he says

@highlight

He says President Obama's strategy to quash ISIS with the help of allies will succeed

@highlight

"Doing it with allies and partners isn't just smart, it's strong," Kerry says of Obama's plan

@highlight

After talks in Jeddah with Persian Gulf leaders, he will go to Paris for an Iraq conference