(CNN) -- The president's pick for CIA director -- John Brennan -- is one of a handful of U.S. officials who understands America's covert drone campaign inside and out.

Nearly everyone else is in the dark about the whos, wheres and whys of the program, including most members of Congress. But Brennan is also one of the few U.S. officials who's stood in front of a public audience and tried to explain the targeting of terrorists outside recognized battlefields. And while overseeing a massive use of lethal force, Brennan is also known inside the administration as a moderating voice in the fight against terrorism.

The fact is, Brennan's personal views are as opaque as the drone campaign itself. He may assume leadership of the CIA and decide a clandestine agency should not conduct what is an obvious military operation (a stance I and many others would fully support); after all, a veteran of the CIA may believe the agency should get back to gritty intelligence gathering.

CNN Explains: U.S. drones

Or, maybe Brennan believes that when it comes to the fight against al Qaeda, the public and its Congress should trust the executive office to protect the American people by whatever means it sees fit.

One way or the other, this week's Senate confirmation hearings should be an opportunity to bring Brennan's views out of the shadows, along with the basic attributes and justifications of the covert drone campaign. The man, the machine and the policy are inextricably linked.

Bergen: John Brennan, America's drone warrior

U.S. officials have consistently claimed that offering too many details about the covert drone program could threaten national security. Fair enough; some classification for national security is understandable. But the secrecy surrounding covert drone use is unduly excessive and not in keeping with the transparent government President Barack Obama promised.

Since the bulk of Brennan's hearing will be behind closed doors, the Senate Select Committee on Intelligence has no reason to shy away from asking tough questions about the drone program. It matters that Congress is there to represent the American people. On their behalf, Congress has a duty to ensure the use of lethal force beyond our borders is being considered and carried out responsibly, with due consideration for the harm it may inflict on civilian populations.

Talk Back: Should U.S. be able to kill American terrorist suspects without trial?

Senators might ask a very basic question to Brennan, one that is seldom clearly answered by the administration: "What impact is the drone campaign against al Qaeda and its associates having?"

This is a fundamental question of accountability any U.S. official involved in setting or carrying out counterterrorism policy should be able to answer. That answer may describe a dwindling kill list, but it must also put forward facts about what impact drones are having on civilians living under them.

U.S. armed forces in Afghanistan and Iraq learned that the positive or negative impacts of an operation on the local population are an important metric of mission effectiveness. Commanders worked hard to reverse anti-American sentiment caused by a seemingly callous U.S. attitude toward civilian deaths and injuries. In the case of counterterrorism operations, palpable anger toward America would be antithetical to the goal of decreasing the number of terrorists and those who support their cause.

As it stands, it's unclear whether anyone, including Brennan, knows what negative consequences are emerging on the ground because of remote drones.

Rather, claims of low civilian casualties and drone precision capabilities paint a picture of extreme effectiveness in taking out terrorists while sparing civilians. It's true that a drone is precise, meaning it will hit what it is aimed at -- a building, a bunker or a person. But there are valid concerns about whether the target hit is the right one.

Opinion: When are drone killings illegal?

Remote drones likely rely on sources that may be questionable such as video and cell phone intercepts to identify a target. Civilians may be mistakenly targeted as combatants and counted as such because there are no ground troops to conduct a battle damage assessment, interview witnesses or properly identify bodies.

Civilians may also get caught up in so-called "signature strikes" in which operators target individuals based on behavior, not on known identity. This is legally questionable but also has real ramifications for civilians living under drones.

If a civilian in Pakistan doesn't know what behavior makes him a target for U.S. drones, he cannot fully protect himself and his family. If a drone harms his family, even mistakenly, our research shows they won't receive an apology, explanation or any help from the United States. Certainly there will be no love lost for America.

Any deaths and injuries are compounded by psychological trauma, displacement and fear and suspicion among neighbors. One Pakistani told us, "We fear that the drones will strike us again. ... My aged parents are often in a state of fear. We are depressed, anxious and constantly remembering our deceased family members."

Gen. Stanley McChrystal, the former commander of international forces in Afghanistan, recently noted, "What scares me about drone strikes is how they are perceived around the world. ... (T)he resentment created by American use of unmanned strikes ... is much greater than the average American appreciates. They are hated on a visceral level, even by people who've never seen one or seen the effects of one."

The drone program needs to come out of the shadows, with explanations about who is a civilian, who is a target, and how drone operators distinguish between the two.

The CIA should get out of the drone operation business, handing it over to the Defense Department, which has a culture of learning lessons, accountability to Congress and a new openness about civilian protection after 10 years of war in Afghanistan and Iraq.

Drone operators should be trained in civilian protection best practices, and any civilian harmed should receive recognition and help for their losses, in accordance with the values American policymakers have espoused about humanity even during times of war.

The Senate may confirm Brennan as head of the CIA. It should also confirm where he stands on government accountability for lethal force and the CIA's role in the remote drone program.

The opinions expressed in this commentary are solely those of Sarah Holewinski.

@highlight

John Brennan's confirmation hearing is a chance to ask about drone program, author says

@highlight

Sarah Holewinski: Brennan is one of a few officials who knows full story on drones

@highlight

She says senators need to ask about damage drone program does to civilians, U.S. reputation

@highlight

Holewinski: CIA should hand over drone program to Defense Department