(CNN) -- The recent NATO summit in Newport, Wales was initially meant to prepare the alliance for the post-Afghanistan era and pooling of resources at the time of defense cuts, known in NATO lingua as "smart defense."

However, as often happens, the summit agenda was hijacked by more current and dramatic developments: the rise of ISIS in Iraq and Russia's push into Ukraine. Both these developments have reminded NATO that its core business -- the defense of its member states -- needs to be returned to the center of the alliance's agenda.

Russia's annexation of Crimea and continued push into the south-east of Ukraine -- a NATO partner country -- has inevitably provoked fear amongst Ukraine's neighbors, all of whom have relatively fresh memories of Russian domination.

These countries -- Poland and the Baltic states in particular -- made sure that the Ukrainian crisis would be at the center of the Newport agenda.

This happened in two ways. The Central East European allies asked for measures that would reassure them by confirming NATO's engagement in the face of Russian aggression. In addition, the show of solidarity with Ukraine became a major focus of the summit, which was attended by Ukrainian President Petro Poroshenko.

The outcome of the Newport summit has met these allies' expectations, at best, halfway.

The biggest change came in the rhetoric and positioning of the alliance's key members. Until very recently, NATO has prioritized its partnership with Russia, taking great care not to offend it.

When in 1997 the Alliance started the process of taking in new members from Central and Eastern Europe, it mollified Moscow by setting up a separate Russia Council and signing a partnership agreement that excluded the presence of a major Western force in new member states.

Russia's actions in Ukraine have made the pretense of partnership ridiculous and as much was acknowledged by NATO states in Newport. On his way to the summit, U.S. President Barack Obama paid a visit to Estonia where he delivered a Reaganesque speech pledging full solidarity with the Baltic states.

Meantime German Chancellor Angela Merkel condemned Russian aggression in Ukraine and reasserted the viability of NATO's collective defense measures.

Overall, the rhetoric of partnership with Russia -- which has dominated past meetings -- disappeared in Newport where it was replaced by the rhetoric of facing-up to an adversarial Russia.

However, whilst NATO leaders were strong in words, the decisions they took in response to the Russian threat were at best modest.

At the height of crisis during the Cold War the U.S. presence in Western Europe reached more than 277,000 troops.

By comparison the U.S. said earlier this month that it had 57,000 active service members in Europe. Of these only a very small number are based in Poland and the Baltic States.

Decisions taken in Newport have not changing these facts in a meaningful way. Whilst NATO announced a creation of a spearhead force, consisting of a Rapid Reaction Force, frequent exercises and logistical centers, this initiative will not change the strategic balance in Central and Eastern Europe.

The units contributing to the rapid-reaction force will remain within the states that designate them, meaning their availability will be subject to political approval.

The exercises that would bring together U.S. and European troops are meant to be frequent or even "persistent" but their scope will remain small.

The logistical centers that are meant to be based in Poland and the Baltic states are perhaps the most concrete of the approved measures. If developed they would commence integrating Central and Eastern Europe into the NATO infrastructure.

Overall, the reassurance measures for Central and Eastern Europe are not game-changers, but they are going in the right direction and could suggest a beginning of rebalancing of the current vastly unequal situation in the region.

However, as far as Ukraine itself is concerned the summit offered Kiev close to nothing. The announcement that NATO would spend 15 million euros ($19M) on military aid to Ukraine did not impress the Ukrainians nor the Russians.

NATO's decision to allow individual members of the alliance to sell arms to Ukraine has not changed anything, not least because since then a number of states have rushed to deny they intended to sell anything to Ukraine whilst the unstable situation there continues.

In other words, after the summit Ukraine continues to be on its own vis-a-vis belligerent Russia.

NATO's failure to send a clear signal to Russia by supporting Ukraine represents in itself a grave threat to the alliance's Central East European members -- who may be next on the list of potential Russian targets.

@highlight

A NATO summit in Wales last week took place amid crises in Iraq and Ukraine

@highlight

Ukraine's neighbors ensured its conflict was on the agenda, Marcin Zaborowski says

@highlight

Past rhetoric of partnership with Russia was replaced by talk of facing an adversary, he says

@highlight

But in the end, Zaborowski says, the summit gave Ukraine little to combat a belligerent Russia