Amid growing foreign policy crises, President Barack Obama is encouraging Congress and the country to focus on issues here at home -- namely how to improve the livelihoods of working families. On Monday, the President and first lady Michelle Obama will hold a Working Families Summit in Washington, which highlights economic issues affecting American families at home and in the workplace.

"Every single day, there are conversations around the kitchen table where people are trying to figure out, this child care is costing so much, I'm not sure that we're going to be able to make our mortgage at the end of the month," the President said to Kate Bolduan of CNN's "New Day." "There are folks who are saying, 'Little Johnny is sick, but if I don't show up at my job, because I don't have paid family leave, we're not going to be able to pay the electricity bill.' "

Bolduan sat down with the President on Friday to discuss how he plans to achieve his administration's goal of a "21st-century workplace that works for all Americans."

Here are the five things we learned from our sitdown with the President:

1. The goal of the summit is ...

"... to lift up the conversation that everybody is already having individually and let people know you're not alone out here," Obama said.

The President said he believes "good, strong, healthy families" are the foundation of our society. But today, according to Obama, those working families are struggling to get by as parents are having difficulty juggling their obligations at home and work.

"And if that's the case, it's not just about giving lip service to it," he said. "We've got to reduce the stresses on families. And I think if you ask most families around the country, 'What's the biggest stress?' It has to do with financial pressures and time pressures that are constantly encroaching on them."

2. President Obama's three priorities at the Working Families Summit:

Priority one: Paid family leave

According to a survey from the United Nations' labor agency, of the 185 countries and territories with readily available information, only three do not provide paid maternity leave. And, you guessed it, the United States made that list. The other two countries are Oman and Papua New Guinea.

"Paid family leave, we're the only advanced country on Earth that doesn't have it," the President said. "It doesn't make any sense. There are a lot of countries that are a lot poorer than we are that also have it."

But the President said paid family leave isn't just a women's issue, as he reflected on his days of becoming a new working dad.

"One of the most precious memories that I'll ever have is when my first daughter, Malia, was born," he said. "I was lucky enough that my schedule allowed me to take that first month off. And staying up until 2 in the morning and feeding her and burping her creates a bond that is irreplaceable."

Right now in the United States, employees can take 12 weeks of unpaid leave under the Family and Medical Leave Act. Employers can choose to provide paid leave, but less than half do. According to a 2012 survey from the Department of Labor, 48% of employees who went on leave received full pay, while 17% received only partial pay.

"We have unpaid family leave right now, but for a whole lot of families, it means they can't use it because they just can't afford it," Obama said.

Lerner: Is paid family leave bad for business?

Priority two: Workplace flexibility

The President said he's pushing for workplace flexibility to give parents the opportunity to become more involved in their children's lives and education.

"We always say that we want parents involved in our kids' education," he said. "There are millions of families out there who can't even imagine taking time off to go to a parent-teacher conference."

This type of workplace flexibility is a practice that he and the first lady believe will improve employee morale and motivation.

"When we knew that employers had our backs and were willing to give us flexibility to look after family, that made us want to work harder for that employer," he said. "Even if it meant taking work home with us, if it meant coming in on Saturday to replace the time we had taken off on Tuesday. And that, I think, has been the experience of a lot of employers."

Priority three: Child care

Obama administration officials say they are focusing on the issue of child care at Monday's summit. White House Senior Adviser Valerie Jarrett cited a survey that found that over a three-month stretch, 29% of working parents had a child care emergency.

"What happens if you've got to leave in the middle of the day? If you are a low-wage worker and you leave, you could lose your job," Jarrett said in an interview on MSNBC's "Morning Joe."

"We don't do a very good job providing high-quality, affordable child care, and there are a lot of countries, a lot of our competitors do it," Obama told Bolduan. "That means that it's a lot easier for women to be in the workforce and not have to make choices that ultimately mean they're, in some cases, getting paid less or having less opportunities. And it also means, by the way, that our kids are more likely to thrive."

3. Add to that list:

Equal pay for equal work.

Women now make up more than half of the country's primary or co-breadwinners. But the Obama administration says those women are still earning less than their male counterparts. A 2013 Pew Research Center study said women earned 84% of what men earned, according to an analysis of hourly wages of all workers.

"We've done some things administratively on that front. I always say that shouldn't be a women's issue because I always wanted Michelle to make sure that she was getting paid fairly because when she brought her paycheck home, that went into the overall pot to help us pay our bills," the President said.

4. What the President is going to do about it:

Obama says he has full faith that these best practices of offering paid family leave and workplace flexibility will garner a more productive and competitive economic landscape.

"For companies who are offering paid family leave, who are offering flexibility, their workers are more productive, more loyal," he said. "There's lower turnover and ultimately, they're going to be more profitable."

Monday's summit is just one step toward his second-term agenda of improving these domestic issues.

"I'm going to be taking some action, a presidential memorandum directing every federal agency to be very clear to their employees that it is my view that offering flexibility where possible is the right thing to do. We don't want people having to choose between family and work when you've got an emergency situation," Obama said.

But Republicans have been critical of what they perceive as initiatives that are derived solely from the President's midterm election strategy of mobilizing women to turn out to vote. With Democrats holding the upper hand on women's issues, the Working Families Summit plays into the party's strength, leading administration critics to wonder if this is just about playing politics.

"I've got a strong, successful wife, who I remember being reduced to tears sometimes because she couldn't figure out how to juggle everything that she was doing. And I've got two daughters that I care about more than anything in the world," the President said. "And so this is personal for me. And I think it's personal for a lot of people."

"This is not just a women's issue. This is a middle-class issue and an American issue," he continued. "And to the extent that we want to have this conversation outside of politics, I'd welcome a bipartisan effort with ideas coming from the private sector and from Republicans, from Democrats and from nonprofits and the faith community about how we make sure that we're supporting families and reducing their stress."

5. His tips on parenting:

With Bolduan's first baby on the way, she asked the President for some parenting advice.

"You know, you're going to do great," Obama said. "Michelle and I talk about this. And kids are more resilient than you realize. You give them unconditional love and then you give them some structure and some rules. And they usually turn out really, really well. And they'll bring you a lot of joy."

Some of those structures and rules fall directly in line with the President's second-term agenda, by homing in on the issue of minimum wage. Both the President and the first lady told Parade magazine that they worked minimum-wage jobs -- an experience they want for their daughters, Malia, 15, and Sasha, 13.

"I think every kid needs to get a taste of what it's like to do that real hard work," Michelle Obama told Parade.

"We are looking for opportunities for them to feel as if going to work and getting a paycheck is not always fun, not always stimulating, not always fair. But that's what most folks go through every single day," President Obama added.

Malia Obama is turning 16 on July 4, a milestone marked by her getting her first job on a Steven Spielberg set as a production assistant and soon prepping for her driver's license. Obama reflects on the years gone by, raising his girls in the White House.

"We were pretty big believers in, as soon as they could understand words, you start giving them some assignments: Eat your peas, pick up the toys off the floor. And by the time they're 16, they turn out pretty good, although they don't always give you as much time with them as you want," he said.

Offenheiser: Why raise minimum wage?

@highlight

CNN's Kate Bolduan sits down with the President to talk about working families

@highlight

President Obama and first lady Michelle Obama are hosting a summit on the issue

@highlight

The President wants to see paid parental leave and more flexibility for working parents