(CNN) -- Not long ago, I was in Pennsylvania coal country speaking with college students about the power of entrepreneurship and how everyone needs to take some risk these days or risk being left behind. During the Q&A, a hand shot up. "I'm wondering how what you're saying applies to me," a young man said. "I don't have a big idea. I don't have connections. And I don't live in Silicon Valley."

I said the first thing that came to mind. "Don't worry. You don't need a hoodie to be an entrepreneur!" Afterward, I was haunted by his question -- and disappointed by my glib response.

When I first started helping entrepreneurs in the 1990s, the word "entrepreneur" was not popular. It was a rarefied word that applied only to founders of the fastest-growing (or fastest-failing) enterprises. And at the risk of pointing out the obvious, those leaders were mostly young, male and in tech.

Today entrepreneurship doesn't just mean starting a tech company, as valuable as that may be. It means undertaking any bold venture -- from selling crafts out of your basement to improving your neighborhood to proposing a new initiative in your corporation. The techniques involved in sharpening your idea, facing down critics, recruiting boosters and handling setbacks apply in almost every realm of work.

Entrepreneurship, defined as a nimble, creatively destructive, optimistic force, has become the go-to problem-solving technique of the 21st century.

But that's also created a problem. The word "entrepreneur," once underused, is now overused. We have "social entrepreneurs," "intrapreneurs," "mompreneurs," "kidpreneurs." What we need is a new lexicon. In my book, "Crazy Is a Compliment," I propose four categories, or species.

1. Gazelles

These are classic entrepreneurs -- those who start new businesses and aim to become hot phenomena. Think of Google, GoPro or Spanx. "Gazelle" was a term that economist David Birch came up with in 1994. It describes high-growth businesses whose sales double every four years. Though just 6% of companies fit this model, this miniscule group accounts for nearly all private sector job creation. Like the animal, gazelle entrepreneurs are fast-moving and high-jumping.

2. Skunks

The term "intrapreneur," coined in the 1970s, refers to innovators within large corporations. Though the word remains clunky, the idea of encouraging employees to be more independent and creative has become an urgent cry.

The "topple rate" of big companies, a metric that gauges how often they lose their leadership position, more than doubled between 1965 and 2008. Pretending your job is safe and your company is stable leaves you dangerously exposed. If you think risk-taking is risky, being risk-averse is often riskier.

Even if your company continues to thrive, your ability to survive in it depends on your capacity and willingness to innovate. Job security these days depends on the same qualities that make good entrepreneurs -- agility, imagination, persistence and execution. As Michael Dell told me, "There are the quick, and the dead." Adapt from within or be forced to adapt from without.

Become a skunk. I've adopted this term from Lockheed Corporation, which during World War II set up a secret division to build fighter jets. It was called Skunk Works. The message: entrepreneurs operating within large corporations go out of their way to stink up the joint.

3. Dolphins

For the past decade, there's been abundant chatter that the social sector must become more entrepreneurial. Nonprofits need to employ more business techniques. Philanthropy needs more metrics. Despite this, too many organizations continue to lag behind the age of disruption. What they need are more dolphins.

Dolphins are contrarians in the nonprofit or public sector who are willing to buck convention and agitate for change. Why dolphins? Because they're smart, social and among the few altruistic animals. But they're not pushovers: harm a dolphin's pod and watch out! Today, even causes for which there are no compelling private-sector solutions are ripe for entrepreneurial shake-up. Dolphins are the ones making the waves.

4. Butterflies

The last group that needs to be more entrepreneurial are small-scale or lifestyle entrepreneurs -- plumbers, yoga instructors, bakers, craft makers. 40% of American adults have now spent part of their careers working on their own. As Jay-Z put it, "I'm not a businessman; I'm a business, man." I call this species butterflies, because butterflies are varied (there are at least 17,500 types) and driven by freedom and individualism.

At first glance, this group would hardly seem candidates for the skillset of ground-breaking change-makers.

Do you really need to be disruptive when you're selling homemade cheese at the farmer's market? The answer: You do, because your competitor probably has an in at Whole Foods, accepts credit-card payments with a Square reader and just launched a vibrant web business. Etsy, the online arts and crafts hub, now has over a million "makers" selling goods directly to consumers. Even butterflies need to spread their wings wider.

Today, nearly two decades after I first started mentoring entrepreneurs, innovators of all types are popping up everywhere. They aren't waiting for changes to happen to them, they're making changes happen every day.

Whatever your passion, pick one of these species and start writing your story -- or risk being an ostrich, with your head stuck in the sand.

@highlight

Linda Rottenberg: Back in the 1990s, the word "entrepreneur" was not popular

@highlight

Rottenberg: Entrepreneurship today means starting a firm or taking on any bold venture

@highlight

She says with the term being overused, there are four ways to differentiate entrepreneurs

@highlight

Rottenberg: Are you a Gazelle, Skunk, Dolphin or Butterfly?