Analysts are right to assess the level of national preparedness to climate change -- but well-intentioned efforts to rank countries can inadvertently sow hopelessness among those considered to be ill-prepared.

A recent University of Notre Dame Global Adaptation Index (ND-GAI) ranks Norway, New Zealand, Sweden, Finland and Denmark as the world's best prepared nations. At the bottom of the adaptation index lie Democratic Republic of Congo (DRC), Central African Republic, Eritrea, Burundi and lastly Chad.

The report says that the highest ranked countries "face moderate exposure to climate change, but they have good capacities to deal with the potential climate risks, including high access to amenities such as electricity, sanitation and clean drinking water. In general, they are also less dependent on natural capital, are better prepared for natural disasters and practice good governance."

Such preparedness assessments focus on existing conditions and capabilities and fail to account for emerging technological opportunities that might be easily adapted by those with the least access to conventional infrastructure and capabilities.

This narrative overlooks the fact these same countries have also developed a wide range of local capabilities that enable them to adapt to major natural disasters as illustrated by the case of the Sahel region.

As argued by Simon Batterbury (University of Melbourne, Australia) and Michael Mortimore (Drylands Research, UK), Sahelian adaptation to drought is "a combination of skill and technique, both learned and invented, and has been combined with deliberate efforts by households and communities to reduce their vulnerability."

The authors conclude that the lessons of Sahelian adaptation offer strong indications of the ability of communities to adapt to the challenges of future climate variability and uncertainty. Their adaptation "should be facilitated rather than driven from the outside," they conclude.

The challenge is to strengthen local capabilities through endogenous technological innovation in fields such as energy, agriculture, health and environmental management. But doing so will require acknowledging the pro-active, creative and innovative capabilities of local communities.

Harnessing technology

The second important element of innovation is the capacity of the less resource-endowed communities to harness emerging technologies and put them to creative uses. In the 1970s, Africa was written off as a region for technological innovation and was defined as destination for low and simple devices dubbed "appropriate technology."

The celebrated story of the widespread usage of mobile phone has rebranded the continent as a place where emerging technologies can find novel and unanticipated uses. The invention of mobile money transfer in Kenya is a good example of an African response to poor banking infrastructure.

The global mobile money market is currently valued at $15 billion and is projected to $278.9 billion by 2018, growing at an estimated annual rate of 82.4%. The importance of this African creation lies in its global impact. The carbon footprint of mobile phones relative to landlines has yet to be calculated. When this is done it will add a new dimension to Africa's contributions to the use of climate-smart technologies.

Similar examples of technological leapfrogging are evident is countries such as DRC which is listed as among the least capable of adapting to climate change. The country, which is about the size of Western Europe, had the same length of paved road network as Rwanda, which is about 80 times smaller.

The rapid expansion of road networks and economic growth in DRC resulted in urban traffic chaos. The country, through the work of women engineers, has responded by leapfrogging to the use of robot technology to control traffic in Kinshasa.

Alternative energy resources

There are other areas of direct relevance to climate change that African economies could provide leadership. The first is renewable energy. Advances in solar and wind energy technology (and the associated smart power management systems) are making renewable energy competitive with fossil fuels. Their widespread adoption is likely to favor poor nations in the tropics that are not committed to traditional energy infrastructure.

Access to information on emerging technologies often limits Africa's leapfrogging capabilities. This is being remedied by the expansion of technical education and internet connectivity. Future efforts to adapt to climate change will be guided by emerging African strategies that seek to focus on leveraging technological innovation for sustainable development.

Comparing the preparedness of countries to climate change helps to focus attention on the need for concerted national adaptation strategies. But failing to account for the adaptive potential of all nations can create despair among the poor and complacency among the rich.

It is possible that some of the ideas that might help the global community to adapt to climate change might come from the poor.

Read this: Why small nations must unite for climate revolution

Read this: Island paradise seeks beach-goers

More from Marketplace Africa

@highlight

ND Gain Index: Many African countries are least prepared for climate change

@highlight

Among the lowest ranked were Chad, Burundi, Eritrea, CAR and the DRC

@highlight

The annual index ranks countries "based on their vulnerability to climate change..

@highlight

...and their readiness to adapt to the droughts, superstorms and natural disasters that climate change can cause"