For years, the protocol for treating possible concussions on a football field has been this: After a player takes a hard hit to the head, a coach or trainer examines him to assess the severity of the impact and his readiness to return to the field.

But a visual inspection only reveals so much. What if there were data that could help detect concussions in real time?

Now there are. A wave of new technology, embedded in football helmets, aims to measure the force of on-field collisions and send alerts when a player's health may be in danger.

"We want to protect players as best we can," said Thad Ide, head of product development and management at Riddell, the United States' leading maker of football helmets, which has embraced these new head-impact systems.

"It's a way of keeping your players healthy. You can keep your star player healthy, and keep your star player playing more," he said. "That's the way I'd look at it if I was a coach."

Head injuries in football have become a hot-button issue in recent years, from youth leagues to the NFL. Thousands of former pro players -- many with dementia, Alzheimer's disease, Parkinson's disease and other brain disorders -- have sued the NFL, claiming the league knew about the long-term health risks associated with head trauma.

Riddell, whose helmets were worn by two-thirds of NFL players last season, was named as a defendant in many of these lawsuits.

Meanwhile, more parents are voicing concerns about letting their sons play football amid a study suggesting that high school athletes are more vulnerable to concussions than older players.

"Ten or 15 years ago concussions weren't thought of the same way as they are now," Ide said. "They're being taken much more seriously ... and not just shrugged off as 'being shook up' on the field."

Seeing an opportunity, manufacturers are producing a growing list of products marketed as "head impact sensors," small devices that fit inside the helmet and trigger a warning when a player sustains an especially hard blow.  These products have names like Shockbox, Battle Sports' Impact Indicator and Reebok's CheckLight, and they're pitched as an extra set of eyes on the playing field.

Now Riddell is looking to incorporate such sensors into the helmet itself. The company's newest helmet, the SpeedFlex, is the first designed from the ground up to include a polymer-film lining that develops a charge when impact pressure is applied.

The helmet's crown contains a flexible panel that compresses upon impact, reducing the force of collisions. Meanwhile, the helmet can be fitted with sensors -- Riddell's InSite system, launched last year -- that send wireless alerts to handheld devices on the sidelines, telling coaches when a player has sustained an unusually forceful hit, or series of hits, to the head.

When equipped this way, the helmet is "an information-gathering tool," said Ide, who tests helmets at Riddell's lab in Rosemont, Illinois, outside Chicago.

A Riddell spokeswoman said the SpeedFlex helmet will hit the market this summer in time for the 2014 football season.

Such impact-sensing technology is not without controversy, however.

Tests of head-impact sensors, conducted last year before CNN cameras, have suggested potential problems. Some helmets fitted with the sensors failed to register alerts even after being dropped from five feet or higher, an impact that could easily cause a concussion. Doctors have expressed concerns that inaccurate sensors could give players a false sense of security.

"These technologies can be useful if used cautiously, as long as you don't overinterpret what they mean," Dr. Jeffrey Kutcher, director of the Michigan NeuroSport clinic, said last year. "It could be really dangerous to rely on this too much."

Riddell and other manufacturers are quick to point out that their products don't diagnose concussions or any other injury. They say their devices do give coaches and trainers additional criteria that can help in determining whether a player should come out of a game.

Ide believes the SpeedFlex helmet will have additional safety benefits.

"It could help identify players that are striking their head too often. A lot of multiple-impact alerts probably means a player is using their head more than they should, and there's probably an opportunity to coach them not to do that," he said.

"And that in the end can protect them better. It can make the game safer."

@highlight

"Smart" football helmet can send alerts when a player sustains a hard hit

@highlight

Helmet, by Riddell, is coming for the 2014 football season

@highlight

It joins a growing list of products marketed as "head impact sensors"

@highlight

Head injuries in football have become a hot-button issue in recent years