Camden, Maine (CNN) -- Facebook updates and YouTube videos are becoming more important to global affairs than governments, Iceland's president said this week.

"This so-called social media has transformed our democratic institutions in such a way that what takes place in the more traditional institutions of power -- congress, ministries, even the White House or the presidency and the cabinet in my country -- has become almost a sideshow," Olafur Ragnar Grimsson, Iceland's president, said in an interview with CNN on Thursday at the PopTech conference here in coastal Maine.

"I know it's a strong statement, especially coming from someone who spent most of his life within those institutions. But the power of the social media is, in my opinion, transforming the political process in such a way that I can't see any chance for the traditional, formal institutions of our democratic systems to keep up."

The statement comes after years of hardship for Iceland, which suffered the collapse of its financial system in 2008 and a massive 2010 volcano eruption that shut down international travel in the region. The country saw widespread political protests during this period, leading Grimsson to say Iceland was the example that Egyptians and now the global Occupy Wall Street movements followed.

Grimsson, an even-spoken figure with Bill-Clinton hair and a charming Nordic accent, said protests organized by social media and technological developments are healthy for society, whether or not that offers him much in the way of job security.

He sees technological development as a way to move Iceland forward after tragedy.

"Reading was always important to people in Iceland and a literary creativity," he said. "Somehow, with the digital revolution, this interest was transported over to computers, websites, mobile phones and so on. So Iceland now ranks among the top countries in all of these areas, and it has brought forward a new generation of people who are creating companies in these fields."

The country has rebounded significantly since the 2008 meltdown, he said, and that's because Iceland bucked the advice of the international community and decided not to bail out the banks and financial institutions that helped create the foreclosure crisis.

"We are coming out of this crisis earlier and more effectively than I think anyone, including ourselves, could have expected. Iceland is now serving as an interesting example of how you can get out of a very deep financial and economic crisis."

Iceland's unemployment rate dropped to 5.9% in the third financial quarter of this year, down from 8.5% earlier this year. The United States' unemployment rate is higher, at 9.1%, but Iceland's unemployment rate is still up compared to pre-crisis levels, which hovered around 2% to 4 % in 2006 and 2007.

A creative spirit helped the country recover, as former bankers found new jobs in other industries that are, on the whole, more helpful for the country, he said.

"One of the lessons is that if you want to grow your economy towards the creative direction of the 21st century, a big banking sector, even if it is successful, is in fact bad news," he said.

Iceland is also trying to develop itself as a hub for Internet traffic.

Grimsson says new data centers -- the computer warehouses that essentially house the Internet -- are coming to Iceland because they can be powered by clean energy, and because the country is a smart linking point between North America and Europe.

Underwater broadband cables connect the island nation to both of those continents.

"The climate in Iceland is such that if you want to cool the storage center, to put it simply, you open a window," he said, "whereas 40% of the data center's running costs in other locations is spent on air conditioning. So the operation is much cheaper in Iceland."

He's also using the Internet to promote tourism in his country.

A video posted on the site Vimeo shows the president sitting behind a wooden desk and inviting anyone who will listen to come to his house for "delicious pancakes."

"It's a great idea because it also displays that the essence of Icelandic society is openness and friendliness," he said. "It's one of those countries that's still assuming that anyone who come comes as a friend until proven otherwise, whereas most of the world is moving in a different direction -- assuming everyone is a threat, until proven otherwise."

The offer for presidential pancakes, by the way, is still on the table for those who act fast; and he'll serve them just the way his grandmother did, "with cream and jam."

"I'm not going to open a pancake restaurant," he said, laughing. "I'm just going to do it on a smaller scale."

@highlight

Iceland's president: Social media is more powerful than government

@highlight

President: "I can't see any chance for traditional ... institutions to keep up"

@highlight

Olafur Ragnar Grimsson also hopes to develop Iceland as an Internet hub

@highlight

The country is courting data centers, which house the Internet