It sounds like an episode from a 1980s TV police drama: A wealthy businessman claims he was framed for two Miami murders allegedly ordered by Colombian drug lord Pablo Escobar.

Nearly 30 years ago, international food importer and newspaper owner Krishna "Kris" Maharaj, a British citizen, was living the good life in South Florida. He had owned luxury cars and horses that raced against thoroughbreds held by Queen Elizabeth II.

Then, in October 1986, police arrested Maharaj in the shooting deaths of his business partners Derrick Moo Young and his 23-year-old son Duane.

Despite having an alibi, Maharaj was charged with murdering the Moo Youngs because they allegedly had cheated him out of more than $400,000. He was found guilty and sentenced to death -- a penalty that was later reduced to life in prison.

And there Maharaj has remained for 27 years.

Then, in April this year, a Florida judge granted Maharaj a chance that could open the door to freedom.

Florida 11th Judicial Circuit Judge William Thomas held a hearing in November to determine if new evidence from Maharaj's lawyers "undermines confidence in the verdict," according to court documents. Defense attorneys also must establish that the new "evidence would probably produce an acquittal or less severe sentence on retrial."

Maharaj's lawyers said evidence suggests that the murders were committed by former members of Escobar's infamous drug cartel.

In the late 1970s and early '80s, Escobar cashed in on the exploding popularity of cocaine in the United States, according to reporter Mark Bowden, author of "Killing Pablo." Leading the Medellin Cartel, Escobar was responsible at one point for almost 80% of Colombia's cocaine exports, making him the seventh richest man in the world, Bowden told CNN.

Escobar was killed in a rooftop shootout with authorities in 1993.

According to a motion filed in January by Maharaj's attorneys, a "Colombian drug cartel member confirmed that the Moo Young murders were committed at the behest of Pablo Escobar."

"The Moo Youngs were laundering money for the Colombian cartels," the defense motion said. "This is what precipitated their murders." An ex-cartel member confirmed that "Maharaj was not involved in the murders of the Moo Youngs, and that they had to be eliminated because they had lost Colombian drug money," according to the defense motion.

"We've got several Colombian cartel people to say, 'We did the murders,'" Maharaj defense attorney Clive Stafford Smith told CNN on the phone in June.

Read the full defense motion document

The defense team also alleges Florida prosecutors covered up evidence in the 1987 trial that could have proved Maharaj's innocence.

Although prosecutors said they stand by the decades-old case, in a June e-mail to CNN, a state attorney spokesman wrote, "Now that we are re-engaged in litigation on this matter, it would be inappropriate for us to be commenting at this time."

Prior to the hearing, strongly worded arguments flew back and forth via filed court documents. In January Assistant State Attorneys Penny Brill and Sally Weintraub wrote that a defense motion for the new hearing was based on "hearsay and inadmissible evidence."

"None of [the potential witnesses named in the defense motion] have any first hand knowledge, provide no admissible testimony or evidence and only attempt to further the nonsensical and wholly speculative theories of the defense," the prosecution document said.

"The only thing that is obvious to anyone who really looks at these fantastical allegations by the defendant is that they are empty and have no substance," wrote the prosecutors.

Read the full prosecution document

Now aged 75, Maharaj has been in poor health, Smith said, although he seems to have improved.

"When we got this hearing, and when we started learning about these Colombian witnesses who were corroborating his innocence, Kris really cheered up," said Smith. "I think he's now trying to walk more and not use his wheel chair and so forth."

Local TV news video at the November hearing showed Maharaj in the courtroom appearing upbeat. He offered a thumbs-up to family members and other supporters.

Defense attorney Ben Kuehne said the "circumstances of this crime were not as presented to the jury by the prosecution," reported Miami TV station WTVJ. Prosecutor Brill reportedly countered, "I haven't heard one thing from the defense that indicates that this is admissible evidence."

In the wake of the hearing, Judge Thomas is expected to set a court date when he could issue a ruling.

But the odds are stacked against Maharaj. The burden of proof is high. Florida's Supreme Court has already upheld his conviction.

Derrick Moo Young's daughter was asked in 2007 about continued efforts to exonerate Maharaj. "It's all been hashed out before," she told the Miami Herald. "It's a waste of tax dollars."

Prosecutors' evidence against Maharaj is significant.

Police found Maharaj's fingerprints in the guest room at Miami's Dupont Plaza hotel where the shootings occurred. Maharaj says he was there for a meeting, but he departed before the Moo Youngs were killed. Nineteen fingerprints found at the crime scene have never been identified, according to the defense motion.

Maharaj told CNN's "Death Row Stories" that he left the hotel and drove 25 miles to Fort Lauderdale to have lunch with one of his newspaper employees. The employee signed an affidavit as an alibi witness. The restaurant manager, Ron Kisch, told "Death Row Stories," he remembered seeing Maharaj having lunch that day.

"It doesn't seem like there's any way possible that he could have killed people at 12 o'clock  and then been in for lunch sometime between 12 and 2," Kisch said. Five other witnesses came forward saying Maharaj was with them on the day of the murders, "Death Row Stories" reported.

Across the hall from the murder scene at the time of the killings, said the defense team, was a Colombian hotel guest named Vallejo Mejia.

Police briefly questioned Mejia at the time, according to defense documents. He was a "longtime money launderer who was frequently in Miami," the documents said. More recently, defense lawyers said in the documents, they had been "able to establish that [Mejia] was a senior cartel operative."

During his entire imprisonment, Maharaj's wife Marita has been working to keep her husband's confidence high, said Smith. It's important to her that Maharaj believes he will eventually be exonerated. "She is his rock," Smith said. "They talk every day on the phone ... and she goes to see him every Sunday."

Earlier this year, Marita wrote in the New Statesman, "I pretend to myself that Kris is traveling. When I have five minutes on the phone with him in the evening, I pretend to myself that he is talking to me from a trip, not from a cell."

Smith sees Maharaj quite often lately at a medium security correctional facility outside Miami. Authorities allow them to sit together at a table in a largely empty room with a guard watching nearby.

"I don't think there's a case that's quite as absolute as Kris'," said Smith. "I mean we've got an alibi  — we've got everything. It's just really shocking."

Smith admits he's become "obsessed" with freeing his client -- partially because of guilt. "I've represented the guy for 20 years and I failed him. And it really makes you think, 'How on Earth could you lose a case like this?'"

Virtually penniless, Maharaj faces financial challenges as well as health issues. "If he gets out, he'll probably go back to Britain and set up another business," said Smith. "Kris is fairly unstoppable."

@highlight

After 27 years in prison, lawyers claim new evidence could free ex-millionaire

@highlight

Kris Maharaj's lawyers say he was framed for a drug-money hit ordered by Pablo Escobar

@highlight

Prosecutors say Maharaj shot and killed a father and son in a Miami hotel