Syria may be embroiled in a brutal three-year civil war, but that's not stopping the government from holding controversial presidential elections this week.

The election, which has been branded a sham by the West and by the Syrian opposition, is widely expected to return President Bashar al-Assad to power.

CNN International Correspondent Frederik Pleitgen has reported from inside Syria numerous times during the conflict, which has left an estimated 150,000 people dead. He breaks down the key questions ahead of Tuesday's election.

Why is it happening now?

The government says Syria's new constitution stipulates that presidential elections must be held now. The regime says it shows the country is moving forward and that it is the first time a president will be elected by the people rather than appointed. The opposition says the election is a fraud, that voting will be rigged and that the poll serves only to cement Assad's power.

Who are the other candidates?

The other two candidates are relative unknowns. One is Maher Hajjar, an entrepreneur and member of parliament. He keeps out of the limelight and has not been heard from much. Hajjar's election posters declare that "Syria is with Palestine," which seems like a very narrow slogan. Other than that it is unclear what he would change should he win.

The more intriguing candidate is Hassan Nouri, a former economics professor and cabinet minister who told me he had to resign because he was too critical of Assad's government. Nouri studied at the University of Wisconsin and still refers to himself as a Badger. He says the election is an uphill battle for him, but feels he is making headway. His main message is economic. He is for market liberalization and fighting corruption in government and in the private sector. But when it comes to fighting Syria's civil war, Nouri says he wouldn't do anything differently -- and much like Assad, he refers to the regime's three-year assault on the opposition as "fighting terrorism."

Are they for real?

It's very hard to tell whether Assad's opponents are for real. They certainly don't seem to stand much of a chance, but Hassan Nouri says he is fighting. We talked to many people on the streets of Damascus and Homs, and many had never heard of the other two candidates. But as far as the campaigns are concerned, both of them are very present. There are many Hajjar and Nouri election posters up in Damascus, even though there are a lot more for Bashar al Assad's re-election. Assad's campaign slogan is "unity" and he is trying to portray himself as a reluctant leader who is only running for office again because the people want him to. One of his election posters declares, "It is not your choice, the people have chosen you."

It is hard to imagine that either candidate has a chance against Assad, but their campaigns certainly do not look like they are being repressed.

What should we look out for?

The big threat is that there could be widespread violence on election day. The opposition says the poll is a sham and that it will be a major target. Early voting at the Syrian embassy in Beirut had a massive turnout, but will that be replicated inside the country? If the turnout is high, that would indicate people in the areas where voting is possible take it seriously -- and opposition candidate Nouri says the election can't be considered valid if turnout is lower than 50 percent.

Will the election be monitored?

Syria's Deputy Foreign Minister Faisal al Mekdad told me there won't be any monitors from the U.S., the EU, or the OSCE, but he did say that monitors from "other countries" will be present. Mekdad said the presence of monitors would also depend on the security situations in certain parts of the country.

What percentage of Syrians will be able to vote?

It's almost impossible to say. Nearly 3 million Syrians have been forced to flee the country and more than 6.5 million are internally displaced. It will obviously be difficult for them to vote. Large swathes of Syria's north and northeast, as well as some places in the south, are not under government control and there will be no election in those areas. There are some who say people could leave those areas and come over to the government side to vote, but that seems pretty utopian. Voting will be possible in government-controlled areas, but it is not clear what percentage of the population actually still resides in these places.

Is it dangerous to vote?

It is dangerous to vote in certain places. In areas along the Syrian coast like Tartus and Latakia it will not be too dangerous because they are firmly under the control of the government. But elsewhere there will be major security concerns as voters will be weary of the threat of car bombs and shelling at polling stations within range of rebel mortars.

What will change?

It is not clear what, if anything, will change as a result of this election. The agreement signed in Geneva earlier this year called for an inclusive body to govern Syria through a transitional period. The Syrian opposition and the West say the transitional period means that Assad must resign -- but while the regime acknowledges that institutions must be reshuffled to accommodate the opposition to some degree, it says Assad must stay at the helm.

If Assad wins the election as expected, the prospect of him stepping down as part of a deal would seem even less likely than it does now. Why would someone "elected by the people" leave his post? That would be the argument coming out of Damascus. And the fact Assad now has the upper hand militarily in most places makes it even less likely he'll step down any time soon.

@highlight

President Bashar al-Assad widely expected to be returned to power in Tuesday election

@highlight

West and Syrian rebels say large swathes of war-torn country won't be able to vote

@highlight

Nearly 3 million have fled Syria; another 6.5 million have been internally displaced by war

@highlight

Opposition presidential candidate says election only valid if at least 50 percent of country votes