(CNN) -- The Penn State scandal was just starting to reach a rolling boil last month when the Department of Education announced that it would be investigating the school for a possible violation of the Clery Act. A quarter century ago, Jeanne Clery was asleep in her Lehigh University dorm room when she was raped and killed by an intruder.

The act came about after Clery's parents discovered that more than three dozen violent crimes had been committed on the campus over the three years before their daughter's murder; yet administrators didn't see fit to disclose this information. In 1990, Congress passed the Jeanne Clery Disclosure of Campus Security Policy and Campus Crime Statistics Act, requiring that schools that receive federal funds report crime statistics and make timely warnings to the campus community about crimes that pose a threat to students and employees.

Often it takes a tragedy to establish or improve public policy.

So it is that the recent flurry of high-profile child sex abuse scandals will surely trigger change and reform. We can start here: suspending the statute of limitations in these types of cases.

Laws vary among states, but in most cases, when victims reach a certain age, perpetrators can no longer be charged with these crimes, nor can the accusers seek remedies in civil court. The statute of limitations in New York for bringing civil claims for child sex abuse is five years after it was reported to police or five years after the victim turns 18 . That was also the standard for criminal prosecutions, until it was lifted altogether in 2008 for first-degree rape, aggravated sexual abuse and course of sexual conduct against a child.

In Pennsylvania, the criminal statute of limitations extends until the victim reaches the age of 50. But child sex abuse victims must file civil suits before they turn 30 -- and the law was enacted in August 2002, so survivors who turned 20 before the law was enacted are barred from suing their perpetrators.

How does this apply to the recent cases in Penn State and Syracuse? If a victim of Jerry Sandusky was born before 1982, he is likely time-barred from bringing action against the disgraced former Penn State football coach. (Given that it was in 1977 that Sandusky established the Second Mile Foundation -- the organization through which, prosecutors allege, he cultivated relationships with victims -- this is significant.)

In Syracuse, despite finding the allegations to be credible, prosecutors have already declined to pursue criminal sex abuse charges against former assistant basketball coach Bernie Fine. Why? Because the men accusing Fine of molestation in the 1980s are well into adulthood, and the statute of limitations has long since lapsed.

There are various reasons why we have statutes of limitations for crimes, other than the worst felonies, and for torts. Memories fade. Witnesses die. Evidence goes bad. We want to encourage plaintiffs to bring suit as quickly after the alleged injury as possible. Potential defendants should be able to get on with their lives without worrying about getting charged or sued for acts alleged from long ago. If anyone could sue anyone at anytime it would further clog an already congested legal system. In most cases, this all makes sense.

Not so for child sexual abuse. The very nature of the crime is predicated on secrecy and shame and manipulation. It often takes years, decades even, for victims to grasp what has happened: that an adult, often a trusted authority figure or a family member, did horribly wrong by them.

Regardless of the guilt or innocence of Sandusky or Fine, the obvious complexity and ambiguity of the relationships they had with their accusers, as well as the intense public fallout in the wake of the allegations, offer graphic examples of why alleged victims might feel disabled well into adulthood. Shutting the door on accusers only serves to arm the molesters with still another advantage in what is already an unfair fight.

Tammy Lerner knows this first hand. Now 41, she maintains that, as a young girl growing up in Union County, Pennsylvania, she was raped by a favorite relative.

Conflicted, ashamed, scared to risk fraying the tapestry of her tight-knit family, she held it as a deeply guarded secret. In the late '90s, she felt that she could no longer stay quiet.

As it turned out, several of her cousins claimed to have had similar experiences. Together, they went to the local prosecutor, only to be told they had been time-barred. "It was just that he wasn't brought to justice," says Lerner, who went on to found the Foundation to Abolish Sex Abuse, Inc. "When he wasn't charged and there could be no civil case, he couldn't be named publically ... Worse than injustice for victims is the paralysis and guilt that we feel over not being able to spare a new generation of kids the horrors of abuse that we experienced as children."

Over the objections of numerous groups -- insurance lobbies, teachers unions, Roman Catholic clergymen-- some states have decided to suspend the statute of limitations for these crimes, a tacit recognition of the unique dynamics of child sex crimes. Delaware recently suspended the statute of limitations for two years, creating a window for those previously time-barred to come forward. More than 100 alleged victims emerged.

In California, a similar suspension spurred more than 300 lawsuits, some dating back to episodes from the 1950s. "It's clear that it can take a long, long time before victims are ready to confront abuse and everything that can come with it," says Marci Hamilton, a law professor at Cardozo Law School and a lawyer for one of the accusers in the Sandusky case. "It's just wrong to have [policy] that favors the predator."

A vast body of research indicates that the effects of childhood sexual abuse often span a lifetime. The opportunity to seek justice should last just as long.

The opinions expressed in this commentary are solely those of Jon Wertheim.

@highlight

Jon Wertheim: Charges of sex abuse can't be pursued once victims reach certain age

@highlight

But abuse depends on secrecy and shame, he says, so victims often take years to reveal it

@highlight

Prosecutors won't bring case against Bernie Fine because accusers are too old, he writes

@highlight

Wertheim: In Sandusky case, alleged victims cannot sue after the age of 30