(CNN) -- When I was a teenager and in my early twenties, I always discussed with my most trusted friends what it might be like to live in a free world. We were locked behind the Iron Curtain and none of us believed we would live to see the fall of the communist dictatorship. My father used to say: "Every dictatorship will fall one day because it is inhuman, it is not natural. But communism is here for a long haul. We are not going to see it in our life times." Thank God, we were all wrong.

Life in Czechoslovakia was not free. My first political experience dates to August 1968. I was five when Czechoslovakia was invaded by Soviet troops. I remember soldiers in the streets, my mother crying, my father hitting a wall with his fist in frustration and my grandfather helplessly pacing in a living room.

It did not get much better after that. My father had to fight for his job as a university professor after he was reported to the communist authorities for calling his students "ladies and gentlemen" instead of "comrades."

I remember my mother getting up early to stand in a line for beef bones to make soup. I also remember how she would worry when my dad was late from work, wondering if he had he been arrested for being overheard telling a political joke or making a sarcastic comment about people waiting in line for toilet paper.

I saw some of my brightest fellow students kicked out of university for publicly expressing political opinions -- young lives ruined. I also remember my frustration as a young mountain climber that I was not allowed to travel to the Alps or anywhere else west of the Curtain.

I was lucky though. My parents managed to create a microcosm of relative normalcy in our home. They traveled on occasional business trips to the West and smuggled banned books by Vaclav Havel, Alexander Solzhenitsyn or George Orwell back to Czechoslovakia, an act that could have landed them in prison. I listened to Voice of America on the radio with my father every morning and evening -- quietly, so the neighbors couldn't hear us and report us. On my 15th birthday I got my first wristwatch and a translation of the inauguration speech of John F. Kennedy.

In 1987 I landed a job as a producer of music programs on Czechoslovak Television in the city of Ostrava, earning about $60 a month. I was excited at first. I was working with Czechoslovak rock bands and pop stars. But from the beginning, my enthusiasm was eroded by numerous censors overseeing my work. They were mostly people who had no idea about TV or music, but had studied Marxism-Leninism and were employed to watch for "ideologically harmful" content. And in rock 'n' roll they saw plenty of it.

Once, after months of negotiations, I managed to get a contract with a British company that allowed me free access to clips of music videos by international artsits. It was the first contract of its kind in the history of Czechoslovak television but when I went triumphantly took it to my boss, I was yelled at and called "a propagator of imperialism." My argument that songs by INXS, New Order or Tina Turner were not political fell on deaf ears. Two-thirds of the songs never made it to air.

Through my job I was meeting and befriending a lot of amazing people. Talented artists, but also semi-legal bands, dissident bands or dissidents themselves. I felt that the mood in the society was changing. There had been occasional small anti-government demonstrations since 1988. More and more people were speaking out against the regime. A lot of banned bands performed illegally in private garages, summer cottages and even publically under false names. Still, I could not imagine the communists losing power.

In June 1989, after a concert of Psi Vojaci, a group banned by authorities, I was approached by its singer to sign a petition linked to a pro-reform manifesto co-authored by Vaclav Havel that called for the release of all political prisoners, for freedom of the press, freedom of religion, for democratization of the society.

I was aware that whoever signed the petition was professionally doomed. Singers had their albums pulled from the stores, writers had books pulled from bookstores and libraries, others lost jobs. Still it took me only a few minutes to sign it. I made a decision that I could no longer be friends with opponents of the regime and work for it at the same time. It was a professional suicide but I felt it was my only choice. I did not tell anyone that I had become a signatory.

A couple of months later my mother called me at my office in hysterics. "They read your name on Voice of America! Did you really sign it? Why did you ruin your life?"

A couple of months later I lost my job and in October 1989 I began my one-year mandatory military service. Besides military training we had to undergo intensive political education and watch the news on government-run TV. This is how I learned about the astonishing events in Hungary, Berlin and Bulgaria. Was it really collapsing? Would it ever come to Czechoslovakia as well?

Then came the brutal crushing of a peaceful student demonstration in Prague on November 17. When our military commanders took away TV sets from our political classrooms, I knew that this was serious. After 48 hours in an information vacuum I finally managed to get in touch with my friends in Prague who told me that theaters and schools were on strike in protest over the clampdown. The next morning, during a military base assembly, I ignored a yelling commander, to stand before hundreds of soldiers and declare a 24-hour hunger strike in support of actors and students. The whole base followed.

The same day the base doctor, a friend, signed me into his ward with "pneumonia." I was OK, but being declared sick exempted me from military training and enabled me to use the doctor's office to make phone calls.

The biggest worry in Prague at that time was that the communists would use the army to suppress growing unrest in the country. These fears prompted me to write a petition declaring that we -- the conscripted soldiers who made up the most of the Czechoslovak military -- would never turn our weapons against citizens of Czechoslovakia. I soon started to collect signatures.

In the evening I was faxing signed sheets to opposition leaders in Prague. We were very well organized. Visiting soldiers got copies of the petition and took it to their bases and units.

After we had collected all the signatures we could at the base I was stationed at, my doctor friend sent me for a fake lung examination to one of the biggest military hospitals in Czechoslovakia in Ceske Budejovice. There, hundreds more soldiers signed. It was obvious that no one had an appetite to fight for the communists.

In less then a week we collected thousands of signatures. News from Prague was also encouraging. The whole country was on strike and up to one million people were demonstrating next to the city's castle, demanding the resignation of the communist government and the politburo of the Communist Party.

The night after my return to the base from Ceske Budejovice I was summoned by the commander's office. It was 2 a.m. and the room was full of top brass.

"Did you write it?" one colonel asked me pointing at the petition.

"Well, it has my name on it, doesn't it?" I replied.

"We want you to publicly recant it," he continued. I refused and tried to tell them that the regime's time was up and that they had better realize it now.

"If we would shoot you here, nobody would ever know," another colonel threatened.

"Before I came here I called my friends to say that I was coming to meet with you. They will start looking for me if I disappear." I was bluffing filled with fear.

"Get out of here!" they shouted, finally concluding the meeting.

On November 24 the communist government resigned. Soon afterwards Vaclav Havel became the new president of Czechoslovakia. A couple of weeks later one of my commanders woke me up in the morning. "Pack your stuff and go home," he said.

"What?" I replied. "Are you kicking me out?"

"Whatever," he said. "Just pack your stuff."

In Prague, I was asked to join the new government to join a committee looking at reforming of the Czechoslovak military. I turned down the offer. I wanted to resume my work in television.

At my station, I was greeted by the same people who kicked me out: "My hero. I owe you an apology. The Communist Party was deceiving me all these years. But now, I know better. I changed."

I felt sick to my stomach. But then, communism in any country did not enhance people's characters. It deformed them. Everybody tried to survive as best as they could, sometimes compromising their own values and dignity. I do not know how that person feels today. Perhaps there is even shame and regret.

When I look back I do not regret being born in a communist country. Yes, we were deprived of freedom and many other things. But it was an intense life experience which taught me to appreciate what I have later in my life. I also feel privileged that I lived through and participated in some of the most important and exciting historical events of the 20th century. The only regret I have is that my father indeed did not live to experience it. He died of cancer in 1982.

@highlight

CNN producer Tomas Etzler was in Czech military in 1989

@highlight

Etzler launched petition to ensure military would not attack anti-communist protesters

@highlight

Etzler was threatened by military top brass because of his involvement