(CNN) -- International aid workers scrambling to get into Haiti face a series of obstacles, from an airport that is already overwhelmed to blocked roads and a lack of communication, electricity, food and water.

And, as if that weren't enough, they will encounter a serious crime problem,  a veteran disaster relief specialist told CNN.

"Security now in this particular crisis has already been raised as a major, major issue," said Paul Sherlock, a senior humanitarian representative for Oxfam.

"If you'd been in Haiti 25 years ago, even in Papa Doc's time, it was a pretty nasty dictatorship, and lots of people were killed. But infrastructure and services worked better then than they do now," he said.

Francois "Papa Doc" Duvalier was president from 1957 to 1971.

"It was safer to use public transport then than it was last year, certainly in terms of crime," he said.

"Over the last 10, 15, 20 years, the gangs and the drug culture have taken hold of Haiti, and that is why over the last four to five years, the United Nations has been trying to administer security in the capital and all the provincial cities as well," he said.

Nongovernmental organization workers "have not been using public transport or taxis because of the security risk they face. International aid workers certainly didn't."

Aid workers on their way to Haiti now are not sure how to ensure their safety, he said.

Some are "probably using U.N. military as escorts, but many NGOs are uncomfortable using any military escort. They have been going to the police, but I don't know, after what has happened, whether the police are in any better position to provide it."

Security isn't the only thing that has deteriorated in Haiti over the past few decades.

The Organization for American States put it starkly when launching a development project for its poorest member: "There is no national building code in Haiti."

When the devastating earthquake hit the Caribbean nation Tuesday, many concrete structures simply crumbled. Days after the quake, there is no clear idea how many people are dead, or how many are trapped in the rubble, still alive.

Even before the tremors slammed Haiti, it was a difficult place to live.

"People are building very close to each other on land that may not be supportable for buildings," said Bill Canny, director of emergency operations for Catholic Relief Services.

"A lot of squatters build illegally. Perhaps some 2 million people have built on land where there is no legal document that they own it.

"Building codes are not enforced in Haiti, so contractors can build as they wish, cut corners," he said.

And safe housing was not the only concern.

"Haiti is on a short string for fuel," Canny told CNN by phone, minutes before boarding a plane for Haiti. "There have been shortages for the last six months. If a single ship is slowed down, the whole country begins to suffer a shortage."

Fuel powers not only the national electrical grid -- such as it is -- but also "thousands of generators that provide energy to hospitals, homes and businesses," Canny said.

Food and water are also a problem.

"Haiti has a tremendous shortage of good drinkable water," said Canny, who lived there for three and a half years until just two months ago.

"There are some companies that provide cleansed water in bottles. If those companies have been crippled, you will have a shortage of potable water, if you don't already.

"We also saw in the flooding in 2008 that after four or five days, if you do not have foodstuffs coming in by port, plane and by road, there will be shortages," said Canny, noting that Haiti produces only about 45 percent of its food needs.

Haitian Ambassador to the United States Raymond Joseph told CNN on Thursday that his country's communication system was heavily damaged, so he had not received much new information about the situation there.

"The major thing is that help is starting to arrive, but we have a problem with the roads," he said in a phone interview from Washington. "Now we are asking for help from the U.S. government to clear the roads, so the first groups ... the Marines are bringing heavy equipment."

Athena Kolbe of the University of Michigan did a survey last summer of nearly 1,000 households in three highly populated neighborhoods of Port-au-Prince, Haiti's capital.

Just over half the people in those neighborhoods had access to electricity -- when it was available at all -- the survey found.

Most used public or private water kiosks as their main source of drinking and cooking water, and most used shared pit latrines rather than bathrooms, Kolbe found in her study for the Small Arms Survey. Few families had water piped into their homes.

More than nine out of 10 used charcoal for cooking; the others used gas.

Adults had an average of just over two and a half years of formal schooling.

Eighty percent of Haiti's 9 million residents live under the poverty line. More than half -- 54 percent -- live in abject poverty, according to the CIA Factbook.

In 2008, four tropical storms damaged the transportation infrastructure and agricultural sector, on which two-thirds of Haitians depend, mainly as subsistence farmers.

Haiti's infrastructure was among the world's worst even in the best of times, Joseph said Tuesday.

"It was a catastrophe waiting to happen," Joseph said shortly after the earthquake. "Sadly, it has happened."

CNN's Alanne Orjoux and Tom Watkins contributed to this report.

@highlight

Housing, food, electricity, reliable transportation were in short supply before earthquake

@highlight

Growing influence of gangs, drug culture have destabilized security in Haiti

@highlight

It is unclear who aid workers can turn to as escorts in the country

@highlight

"It was a catastrophe waiting to happen," Haitian ambassador to the United States says