When a building is on fire, every second counts for the first responders rushing to the scene. A computer-savvy firefighter in North Carolina is hoping a bit of futuristic wearable technology and clever programming can help save time and lives.

Patrick Jackson has developed an app for Google Glass, Google's experimental head-mounted computer, which feeds important information directly to the eye-line of firefighters in an emergency.

"I'll hear a little notification and can look up into the top corner of my vision and see a map of where it is. I see the location of the incident and what type of call it is," Jackson said.

By routing information directly to Glass, the app can save firefighters from having to stop what they're doing in order to reach for a radio, smartphone, tablet or computer. Jackson plans on adding even more useful data in future versions, like information on specific buildings including blueprints, potential building hazards and contact information for owners. A firefighter might be able to say an address out loud or simply look at a building with the Glass camera to retrieve information.

Glass can also record the first video of a situation when crews arrive. That early documentation will be important to fire investigations down the line.

For now, Glass isn't compatible with the oxygen masks firefighters wear on the ground, so the app is more for external personnel. Jackson's Glass stays behind in the truck.

People like Jackson who are finding genuinely helpful uses for the device might help Glass gain more widespread acceptance. Google Glass has struggled with its public image since Google first made it available to a limited group of developers in April.

The device's ability to snap photos and record video and audio has raised privacy concerns from regular people and even members of Congress. Its use in social situations and public venues has led to etiquette questions. The device hit a legal speed bump when a woman in California was cited for wearing Google Glass while driving. Her case was later dismissed when the court didn't find enough evidence that the device was turned on.

There's even an unfortunate epithet just for the people who wear Google Glass regularly: glassholes.

That's not what Jackson saw when a group of skydivers demonstrated Google Glass at the annual Google developers conference in 2012.

"They had a video of some guy diving out of a blimp wearing Glass and riding a bike into the conference," Jackson said. "Right then I started thinking about uses for the firefighter."

A self-taught programmer, Jackson first started tinkering with computers when he was 7 and later spent a year studying computer science in college before transferring to the University of North Carolina, Asheville, for an environmental management and policy program. He became a firefighter and didn't do much with computers for another decade.

Then, about four years ago, he purchased a smartphone and was inspired to start programming again.

"Since then I've taught myself way more than I ever knew about programming. I've developed an Android app, an iPhone app and a Glass app," Jackson said.

His first project was the Android app Firefighter Log, which similarly routed key information directly to the smartphone, including text messages from fire and EMS dispatchers, streams of emergency radio feeds, and location information for fires and nearby hydrants. Jackson says more than 20,000 people have downloaded the apps.

To get his hands on Google Glass, Jackson submitted his idea to Google's IfIHadGlass competition. He raised money to cover the cost of the hardware through an Indiegogo campaign and received the device in September.

Fire departments don't all have the funding necessary to upgrade to the latest technology, but many are seeing the potential to save money and become more efficient at the same time. Jackson's own Rocky Mount Fire Department recently installed iPads in its vehicles. The tablets cost significantly less than the laptops they're replacing and can show the same information, such as call notes, fire hydrant locations, maps and dispatch information.

"You don't need a big laptop with a hard drive and all this on it," Jackson said.

Other fire departments across the United States have expressed interest in Jackson's Google Glass setup. One wants to take it to the next level and link a thermal imaging camera to Glass customized to work with oxygen masks. Then firefighters could have partial vision through smoke and darkness.

Other fire departments and researchers also are experimenting with wearable technology, thanks to a recent availability of affordable wearable sensors that can track vitals and environmental factors like air quality and temperature.

The Wearable Advanced Sensor Platform, or WASP, can track a firefighter's location as well as physical data such as heart rate, breathing and activity levels in real time. A Belgium finalist for Microsoft's Imagine Cup created a system that combines location sensors and augmented reality glasses to help firefighters move around buildings when there is minimal visibility.

When he's not fighting fires or perfecting his app, Jackson is working on another possibly life-saving use for Google Glass: an app to help administer CPR. Using the built-in accelerometer in Glass, the app can measure how fast someone's chest compressions are and instruct the person to go faster or slower.

@highlight

A firefighter has developed a Google Glass app to help first responders save time

@highlight

The app displays dispatch and location information on its head-mounted screen

@highlight

Wearable technology could soon help firefighters navigate when there's low visibility