(CNN) -- While North Korea's recently departed leader Kim Jong Il will probably be most remembered for his pompadour, jumpsuits and relentless pursuit of nuclear weapons, the world must never forget the legacy of anguish and terror he left for millions of his people.

The North Korean regime is built on fear: fear, according to reports of defectors, that disloyalty and even minor infractions against the Kim family's cult of personality will lead to a death sentence working in one of the North's gulags, mining uranium on starvation rations while your family struggles to survive just outside the wire.

There is fear that the secret police will shut off the electricity to your house and burst in to extract the DVDs or VCRs you were secretly watching to learn about the outside world; fear that border guards will not accept your bribe or might catch you bringing a Bible back from China, the punishment for which is being bound by wires poked through the ears of other prisoners and marched off to slave labor; fear that you are in a province suspected of disloyalty by Pyongyang and that you might be allowed to slip from malnourishment to starvation when the harvest comes up short again.

It has been surprisingly difficult to confront North Korea on these human rights abuses. The regime claims that all of its citizens live in a worker's paradise and that Western or South Korean criticism is only aimed at confrontation and war, which Pyongyang will meet with fire and destruction. American, Japanese and South Korean governments have all at one time or another decided that pressure on human rights might distract from diplomatic negotiations over the more dangerous threat from the North's nuclear weapons program --which is, of course, one of the reasons the North wants nuclear weapons.

The South Korean political left has also slowed pressure on human rights because they have traditionally seen criticism of the North as an excuse by past conservative military governments to restrict civil liberties in the South. Those episodes are happily behind us in today's democratic South Korea, but the memories and ideological fissures linger. And China is a major obstacle, resisting pressure on the North on human rights because of fears it may increase refugee flows across the Yalu River, which runs along its border with North Korea.

Still, the information gets out. Satellite images show huge prison camps containing as many as 200,000 prisoners. Defectors like Kang Chol-hwan have written about life (if it can be called that) within the Yodok camps in his book "The Aquariums of Pyongyang." Americans and other foreigners have also opened a window to the suffering of the North Korean people, including Mike Kim, a young Tae Kwon Do expert who opened a string of martial arts studios in China as cover to help North Koreans defect. His book, "Escaping North Korea," is a stunning story of tragedy and heroism.

There is also more that the United States and other countries can do as a matter of policy. First, we should remain consistent in highlighting the North's record in all diplomatic discussions, including with the North Koreans. Second, we should put more international pressure on China to allow the U.N. High Commissioner on Refugees to visit North Koreans in China and to stop refoulement (the forced repatriation of North Koreans against their will).

Third, we could increase the number of North Korean defectors we accept in the United States and use our diplomatic leverage with third countries like Thailand and Mongolia to ensure that North Korean defectors have the ability to safely make their way to the South. Fourth, we should not link food aid to political negotiations, and should insist only that we have adequate monitoring to ensure food gets to those desperate North Koreans who need it.

Finally, while we are not well positioned to force a collapse of the regime and must appreciate that its demise would present the danger of loose nukes, we must nevertheless prepare with our allies for massive humanitarian assistance in the event that collapse does happen. That scenario would bring risk, but also great hope for 23 million suffering North Koreans.

The opinions expressed in this commentary are solely those of Michael J. Green.

@highlight

Michael Green: Kim Jong Il should be remembered for a regime built on anguish, terror

@highlight

He says North Koreans deemed disloyal face imprisonment, starvation, torture, death

@highlight

He says regime's nuclear capabilities have kept confrontation over rights at bay

@highlight

Green: West must press on rights, help defectors, be ready to aid citizens if regime fails