(CNN) -- One of the busiest travel weeks of the year is upon us.

With the uproar over the Transportation Security Administration's new airport security measures reaching a fever pitch, CNN has put together a short Q&A to separate fact from myth and answer basic questions about what to expect if you're flying this holiday season.

Q) What exactly are the new TSA rules?

A) When you arrive in the airport security checkpoint, you will be directed to either a traditional metal detector or one of the new advanced imaging technology (AIT) machines. Passengers directed to the AIT machines can instead opt for an "enhanced" pat-down.

Q) Will the checkpoint look very different when I arrive?

A) No. The only noticeable difference may be the presence of the AIT machines, which are larger than metal detectors.

Q) Does every airport have the AIT machines?

A) No. There are approximately 400 AIT machines installed in 69 airports nationwide. The rest of the country's roughly 450 commercial airports still only use metal detectors.

Q) Does everyone go through the AIT machines?

A) No. As noted above, most airports in the United States don't have the AIT machines yet. And even if your airport has them, you may still be asked to go through a metal detector instead.

Q) What sorts of images do the AIT machines show?

A) They show a somewhat blurred outline of the passenger's body. Clear facial features are not shown.

Q) Is anyone exempt from the AIT machines?

A) Yes -- working pilots.

Q) Is advanced imaging technology dangerous?

A) There are actually two types of advanced imaging technology -- backscatter X-ray technology and millimeter-wave technology.

Backscatter technology has raised concerns among some experts because it uses small doses of ionizing radiation. Radiation experts say millimeter-wave technology poses no known health risks.

The TSA says travelers are exposed to less radiation during an AIT scan than they would from two minutes of an airline flight. In other words, according to the TSA, it's safe.

Q) Is the use of advanced imaging technology a violation of my rights?

A) It depends who you ask. Several lawsuits have been filed. One public interest research group is seeking a suspension of the body scanning program, arguing that the measures violate the Fourth Amendment and the Privacy Act, among other laws.

Courts, however, have traditionally given wide leeway for airport screening under the Fourth Amendment, according to Adam Winkler, a UCLA law professor who specializes in American constitutional law.

Q) Does everyone get the new enhanced pat-down?

A) No. Fewer than 3 percent of the flying public are subjected to the enhanced pat-down, according to the TSA. Pat-downs are used primarily on passengers who set off either the AIT machine or the metal detectors, and those who opt out of the AIT machine. A few randomly selected passengers will be subjected to a pat down even if they clear the metal detector or AIT machine.

Q) What's included in the enhanced pat-down?

A) The TSA doesn't provide an exact description of the new pat-down procedure. Passengers subjected to the screening, however, have indicated that TSA representatives have probed their entire body, including the posterior, crotch, and chest.

Q) Why is the enhanced pat-down necessary?

A) "It just makes good security sense," the TSA says on its website. "The weapons and other dangerous and prohibited items we've found during pat-downs speak to this."

Q) Am I going to be subjected to a pat-down in front of fellow passengers?

A) You can request to have the pat-down conducted in a private room with a passenger witness of your choosing.

Q) I have a metal implant in my body. Am I more likely to require a pat-down?

A) No. In fact, if you go through an AIT machine, you may be less likely to require a pat-down. A metal detector will be set off by the presence of metal inside the body -- potentially leading to a pat-down. The AIT scans the exterior of the body, and should therefore not detect the presence of metal inside the body.

Q) Are kids exempt from enhanced pat-downs?

A) Children under the age of 12 requiring additional screening will receive "a modified pat down," according to the TSA.

Q) What happens if I refuse to go through a complete screening?

A) Passengers who refuse complete screening won't be allowed past security and could face civil penalties, according to a TSA statement.

Q) Will all airports have the new AIT scanning machines in the future?

A) That's the goal.

CNN's Alan Silverleib and Marnie Hunter contributed to this report

@highlight

The new rules require passengers to go through a regular metal detector or a new AIT machine

@highlight

If you set off the detector or machine -- or refuse to go through them -- you will get an "enhanced" pat-down

@highlight

The new advanced imaging technology machine is generally considered safe

@highlight

Only 3 percent of the flying public will likely need an enhanced pat-down