HONG KONG, China (CNN) -- The United Nation's International Maritime Organization (IMO) has gathered this week in the shipping hub of Hong Kong to draw up new rules on ship recycling.

Ship-breaking yards in Bangladesh are responsible for pollution and health problems.

As the delegates meet in the city's Convention and Exhibition center overlooking the harbor, many of the vast container ships that glide past them will end up 1,500 miles away on the beaches of south east Bangladesh.

India, Pakistan and Bangladesh take 80 percent of end-of-life ships, according to the NGO Platform on Shipbreaking, but critics of the U.N. convention being discussed fear the problems of pollution and poor working conditions these countries experience through badly regulated shipbreaking will not be properly addressed.

Lee Adamson, the IMO's spokesperson, is confident the convention will be "a tremendous step forward in terms of health and safety for workers in the industry and for protection of the environment from end-of-life ships. It will set standards where none previously existed."

But those standards don't go far enough for lawyer and head of the Bangladesh Environmental Lawyers Association, Rizwana Hasan. She has been trying to clean up the dirty and dangerous industry through the law courts since 2003.

Her passion and persistence led to a Bangladesh High Court ruling in March this year finally forcing the government to tighten its regulations of the trade. It has also brought her the Goldman Environmental Prize in April and increasing international attention.

"Now I have an international connection, my opponents are taking me more seriously as a threat," she told CNN.

The main objection of Hasan and the nongovernmental organization Platform on Shipbreaking against the IMO convention is that it fails to deal with the issue of pre-cleaning -- the removal of toxic materials from ships before they are beached and dismantled, which is often done by hand by laborers without any safety equipment.

"Technical details about recycling are being discussed, but nothing about pre-cleaning of ships. It's the core issue. Pre-cleaning is when the majority of in-built toxic material of a ship is removed before being beached in a foreign country. Plus, nothing is being said against beaching -- Bangladesh's beaches have become a natural disadvantage," Hasan told CNN.

Secretary-General of the IMO Efthimios E. Mitropoulos stated in his opening address of conference its aim "is to adopt a new convention on the safe and environmentally sound recycling of ships, while balancing the commercial and economic considerations of the industry."

With perhaps too much emphasis on the economic considerations of the industry, Hasan believes the IMO is in effect legalizing shipbreaking in the name of ship recycling.

"They're talking about the responsibility of the ship owners in building new ships, but not about the existing ships and what to do them," said Hasan.

More ships to scrap

The ship breaking industry is booming. Single-hull oil tankers have to be taken off the high seas by 2010, but the financial downturn has also become a major factor. With less trade in goods, container ships are being taken out of service and scrapped, as shipping lines can no longer afford to keep them afloat.

In turn shipbreaking industries fuels local businesses in iron milling and create local markets for parts from ships, including anything salvaged, from doors and tables to nuts and bolts.

Shipping companies often sell their decommission ships to intermediary companies that then sell the ships to breakers yards.

Less scrupulous companies will not ensure the ships are as free of toxic materials as they should be before they are dismantled and even change their flag of convenience so they are not bound by the UN Basel convention on the exporting of toxic material.

In 2006 legal actions instigated by Hasan were successful in turning away two toxic-laden ships from being beached in Bangladesh.

The dangerous job of breaking up ships has migrated from dry docks in industrial countries to other ports across the world, where labor and environmental laws are not strictly upheld.

While still happening on a smaller scale in India, it was because of tighter laws there that more ships started being beached across the Bay of Bengal.

The bulk of Bangladesh's shipbreaking is done on the beaches around Chittagong in southeastern Bangladesh. Casual laborers often include children and don't have the most basic of protection gear, such as gloves, hard hats or face masks while breaking up the ship by hand and have to handle a cocktail of toxic waste including asbestos, PCBs, lead and other heavy metals.  See more photos of the shipbreaking yards »

Accidents and death are common, although Hasan says it's almost impossible to say how many accidents occur; the shipbreaking companies are cagey on the numbers.

"I call it exploitation, I don't call it employment. The majority of the laborers are seasonal migrants from the north, the poorest of the poor. They will get three meals and day and rarely some payment, but they will definitely get diseases," said Hasan.

Environmental devastation

As well as the human impact, the environmental damage has been equally devastating, with heavy metals contaminating the surrounding land, oil leaking into the oceans, and asbestos released into the air.

Mangroves, natural protection zones against floods, have been cut down to make way for the shipbreaking yards and high value beachland leased out to the companies that run them.

Fishing, the traditional livelihood of many in the region, has been ruined because of polluted water and few fish left in coastal waters.

"Bangladesh is allowing its beach to turn into a dumping ground. It's a classic example of environmental injustice," said Hasan.

Yet Hasan is not denouncing the industry completely but the way in which it is conducted.

"It's a matter of disgrace for Bangladesh to have this industry in its current form. I'm not saying I want the industry to shut down, because the main stakeholders, the workers have a say in this. They should have a say whether we need the industry or not," said Hasan.

There have been improvements in the treatment of workers since the High Court of Bangladesh ruled in March in favor of tighter regulations surrounding the industry.

"Until very recently the owners [of the shipbreaking companies] didn't take responsibility for deaths or injuries. After we started filing the cases they have started paying compensation."

The cases Hasan won were founded on the U.N.'s Basel Convention on the export and disposal of toxic waste. Although it has provided the means for Hasan and her team to score victories in the courts, the Basel ruling is a set of guidelines where the principal was to regulate toxic waste and not a legally binding rule for shipping.

Adamson maintains that the Basle convention and other UN measures to protect ship workers and the environment were "heavily involved" in the draft convention.

He also questions the usefulness of a convention that does not get universal agreement.

"There is nothing that can force a sovereign state to become party to an international convention should it consider it not in its interests to do so. What would be the value of a convention to which those states were not party? That, I think, is very much at the heart of the matter," he told CNN.

Regardless of the final wording of the convention, Hasan's attentions will focus on improving the situation in Bangladesh for shipbreaking workers and the environment.

"There's something called natural justice. Enough is enough. Since the workers have been informed that there has been a ruling things have changed; they're getting their compensation. But that's not my goal -- to kill people and then give them compensation. My ultimate goal is to see this industry doesn't pollute and does not kill," said Hasan.

@highlight

U.N. meeting in Hong Kong to draw up new convention on ship recycling

@highlight

Eco lawyer Rizwana Hasan claims it won't stop dangerous shipbreaking practices

@highlight

Bangladesh beaches sites of polluting and dangerous shipbreaking

@highlight

Hasan succeeded in making Bangladeshi government clean up shipbreaking yards