Baghdad (CNN) -- As the last U.S. soldiers exited Iraq Sunday and debate was raging about the nation's future, political crisis erupted in Baghdad that raised fears of more sectarian strife to come.

Iraqiya, a powerful political bloc that draws support largely from Sunni and more secular Iraqis, said it was boycotting parliament, a move that threatens to shatter Iraq's fragile power-sharing government.

The move pits the largely Sunni and secular coalition against the government of Shiite Prime Minister Nuri al-Maliki.

Iraqiya contends al-Maliki is trying to amass dictatorial power and many believe al-Maliki was simply waiting for the Americans to leave before making his move.

It all makes for burgeoning political chaos and raises serious questions about whether democracy and human rights can take root in the war-ravaged nation.

"The only country that makes U.S. politics look like a picnic is Iraq," said Christopher Hill, the former U.S. ambassador in Baghdad.

Al-Maliki, Hill said, is a man who perceives concessions as weakness. He's a tough guy who knows what he's doing, Hill said.

He managed to forge relationships with the Kurds and peel off some Sunni support to build the majority he needed to put together a government, Hill said. But whether he is the man to unify Iraq, to lead it now, without American presence, is uncertain.

His rivals say that al-Maliki still controls the country's security ministries and all decisions go through him. They also say that the hundreds of people seized by the government in October for backing terrorism and supporting the banned Baath Party are Iraqiya supporters.

Iraqiya spokesman Haider al-Mulla said the bloc has always warned about power-sharing and deal's risks that al-Maliki's State of Law Alliance party has been violating the law.

"Iraqiya has always expressed its rejection to the policy of exclusion and marginalization, lack of power sharing, politicization of the judiciary, the lack of balance within the government institutions," al-Mulla said.

Al-Maliki is asking lawmakers to withdraw confidence from his deputy after Saleh al-Mutlaq made controversial comments this week over American forces withdrawing from Iraq, state media reported late Saturday.

In a CNN interview, al-Mutlaq had accused al-Maliki of amassing dictatorial power.

"There will be a day whereby the Americans will realize that they were deceived by al-Maliki ... and they will regret that," said al-Mutlaq, a leader within the Iraqiya movement.

Also at issue were reports that an arrest warrant had been issued for Vice President Tariq al-Hashimi for masterminding a recent car bombing targeting al-Maliki and the parliament.

Ali al-Mussawi, al-Maliki's media adviser, said there were confessions that linked the Sunni vice president to the bombing.

Al-Mussawi dismissed the notion that linking al-Hashimi to terrorism was politically motivated. He would not confirm whether an arrest warrant had indeed been issued, saying that was a matter for the judiciary.

But tensions were running high after the Iraqiya bloc, headed by former Prime Minister Ayad Allawi, made its move Friday night.

There had been fears of renewed bloodshed between Iraq's majority Shiite and minority Sunni populations and that prompted U.S. officials to work out a power-sharing agreement, bringing the Iraqiya movement into the government.

Al-Mutlaq told CNN that Washington is leaving Iraq "with a dictator" who has ignored the power-sharing agreement, kept control of the country's security forces and rounded up hundreds of people in recent weeks.

He said he was "shocked" to hear U.S. President Barack Obama greet al-Maliki at the White House on Monday as "the elected leader of a sovereign, self-reliant and democratic Iraq."

"America left Iraq with almost no infrastructure. The political process is going in a very wrong direction, going toward a dictatorship," he said. "People are not going to accept that, and most likely they are going to ask for the division of the country. And this is going to be a disaster. Dividing the country isn't going to be smooth, because dividing the country is going to be a war before that and a war after that."

Neighboring Iran, predominantly Shiite and led by a Shiite regime, views al-Maliki as its man in Baghdad and has dictated the shape of the current government, al-Mutlaq said. But he said al-Maliki is playing games with both Washington and Tehran.

Mahmoud Othman, a Kurdish member of parliament, said lawmakers discussed the Iraqiya move on Saturday and said it reflects "a level of mistrust between the blocs, the government, Iraqiya and others.

"The problem is that Maliki isn't sharing any security decisions with Iraqiya, he doesn't trust them and this is a big problem," he said. "Power-sharing was never power-sharing. We are in a government of conflict. Power-sharing was never successful.

"The Kurds don't want to take sides, we want them (Iraqiya and State of Law Alliance) to get together to solve their problems."

He is worried that the problem could morph into fighting between Sunnis and Shiites or violence against the government.

"This isn't just political," he said. "It's sectarian."

@highlight

The largely Sunni and secular Iraqiya bloc is boycotting parliament

@highlight

It could unravel Iraq's fragile power-sharing government

@highlight

Critics of Shiite Prime Minister Nuri al-Maliki say is amassing power

@highlight

The political chaos raises fears of sectarian strife