Ever since H. G. Wells' trailblazing novel "The Time Machine," time travel has been a staple of science fiction. The idea of traveling through time is deeply fascinating: you get into a machine, press a few buttons, and step out not just somewhere else, but "somewhen" else. It's easy to imagine, but can it really be done?

Yes it can, at least in a limited sense. Over a century ago, Albert Einstein showed that time is intrinsically elastic, capable of being stretched or shrunk by motion. Fly from London to New York and back, and you will leap a split second into the future of stay-at-home Londoners. The effect can easily be measured using atomic clocks and involves only billionths of a second -- too brief for a person to notice, and hardly the stuff of "Doctor Who" television series-style adventures.

Read more: Scientists -- particles appear to travel faster than light

But time stretching can be magnified by increasing the speed. Close to the speed of light (about 300,000 kilometers per second), time warps become startling. Fly to the star Vega, 25 light years away, and back again at 99% of the speed of light, and when you return to Earth in 2062, you will have experienced only seven years travel time in the spacecraft. In effect, you will have leaped 42 years into Earth's future.

So travel into the future is not only possible, we have done it, although so far in only paltry amounts. How about going back in time? That is far more problematic and remains an active area of research. Einstein found that not only speed affects time, gravity does too. Time runs a little bit faster on the roof, where gravity is imperceptibly weaker, than in the basement, for example.

A really big time warp requires an intense gravitational field. Black holes are the best; near their surfaces time is slowed almost to a standstill relative to us. Indeed, black holes are black because outgoing light is trapped in slow motion. However, hanging out near a black hole is not only dangerous, it still only represents travel into the future; it gets you to the future quicker. Getting to the past requires something even weirder than a black hole -- a wormhole.

Read more: The great time travel debate

Wormholes in space are shortcuts linking distant points -- a bit like that other sci-fi favorite, the star gate. Leap through one and you might come out on the other side of the galaxy a few minutes later. If wormholes exist, they could be adapted to make time machines that send you into the future if you traverse them in one direction, but into the past if you go in the other direction. Like a black hole, a wormhole would be a massive gravitational space and time warping object. But whereas a black hole represents a one-way journey to nowhere -- jump in and you can never get out -- a wormhole has an exit as well as an entrance.

Do wormholes exist? Black holes certainly do, but nobody has yet glimpsed any sign of its cousin, the wormhole. Furthermore, some physicists are so uneasy about their potential for being portals to the past that they flat-out reject the very idea. The problem concerns those familiar time travel paradoxes, like going back in time and murdering your mother before you were born. Physicists call these causal loop paradoxes, and they affront our desire for the universe to be a rational and ordered system. If cause and effect get muddled up in time, what does that do for our notions of reality?

Read more: 'Looper's' potential for real world time travel

In spite of these misgivings, there is nothing in Einstein's theory of space, time and gravitation to forbid journeying into the past, a possibility that Einstein himself hated. Not only wormholes, but several other mechanisms have been found that, according to Einstein's theory, can be used to travel back in time. All these proposals suffer from the problem of extreme impracticality, though. Building a human-sized wormhole, for example, would require harnessing vast amounts of peculiar quantum field energy and deploying gravitational stabilizing technology that would need the resources of a cosmic super-civilization.

For many scientists, however, it is the principle that counts, not the practical engineering. And here there is an intriguing possibility. Few physicists think Einstein had the last word on gravitation, and some modern extensions of his work make an extraordinary prediction. The Large Hadron Collider -- the giant accelerating machine that created the Higgs boson -- might just make a tiny wormhole for long enough that its time-bending effects could be glimpsed.

@highlight

Nearly 100 years ago, Albert Einstein showed that motion could stretch or shrink time

@highlight

Fly from London to NYC and back and you leap forward a split second, Paul Davies says

@highlight

He says a big time warp requires an intense gravitational field, such as a black hole

@highlight

Going back in time would require a "wormhole," which he says is possible in principle