(CNN) -- John Sutter: Hi Will, So the U.S. Supreme Court is hearing two cases on same-sex marriage this week — one on California's (Proposition) 8, which bans same-sex marriage; and one on the federal Defense of Marriage Act. Regardless of how the justices rule on these issues, I'm pretty sure 2012 or 2013 will be remembered as the "Year of the Gay." Republicans, business leaders, the president -- everyone seems to be coming out in favor of LGBT rights. The culture shift (in most parts of the country) has been incredible. How did that happen so fast? It used to be political suicide ...

Will Cain: "Year of the Gay"? Can you say that? Can I say that? What are the parameters here? I'm genuinely curious ... is "gay" as a noun offensive? For example: "The gays are interested in today's Supreme Court case." Or is it the "the" that makes it feel like a sword of political incorrectness cutting through the conversation? I need help here John.

Sutter: The gays say it all the time! Usually half-sarcastically. It's one of those appropriation things. Picture a preacher shaking a fist and railing about "THE GAYS!" It's designed to steal their thunder.

Cain: Hmmm. So I can't use it until I come out.

While I agree the culture is shifting, it hasn't yet shifted. And I fear the outcome of today's Supreme Court case could stop the shift in its tracks. This is a fear held not only by conservative and liberal legal scholars, but also by one of the Supreme Court justices. Justice Ruth Bader Ginsberg has said the Court "moved too far, too fast" with Roe v. Wade and shouldn't have struck down abortion laws in "one fell swoop." It's not that she disagreed with Roe, just that she recognized the backlash of freezing the abortion debate in cryogenic chamber for the last 40-plus years. I think this tells us two things:

1.) A grand pronouncement from the Court puts an end to the debate at the ballot box and could push both camps into their polar foxholes.

2.) It suggests the Court may look for a narrow decision, possibly just affecting California, on whether states can ban gay marriage.

One thing it doesn't tell us is what is right or wrong or where the legal arguments should take the Court. Only the effect the Court has on society. As for how this is all happening so fast ... that's a great question. It took thousands of years for society to settle on the fact that slavery was wrong. This by comparison is taking place over a 50-year time period. What do you think?

Sutter: On the "the gays" thing: You can use it anytime. You have the blessing of the gays. (At least one...)

On the court: I hope the justices are influenced by right and wrong — not by what they fear will be the reaction of the public. I hear ya on the kick-back point. A pro-same-sex marriage opinion would make lots of people angry. And there are plenty of corners of the country where being gay is still not OK (I went to one recently for this op-ed on the "county where no one's gay"). But I hope the justices realize legalizing same-sex marriage would strengthen families and support inclusion/equality. Both of those sentiments would trickle down through America. And, after the initial freakout, we'd all be better people for it.

As for why this happened so fast? No clue. But I'd guess Ellen (DeGeneres) had something to do with it.

Cain: Ellen, Will from "Will and Grace," Andy Cohen, Omar from "the Wire," Rosie O'Donnell ... actually I'm not sure the last two have done anything to advance acceptability. We joke, but those people played a big role because they made it easier for ... "your gay friend." And "your gay friend" has had a huge impact on how society views the gays. (See, I tried out "the gays" thing. Didn't feel right.)

Look, I support gay marriage from a policy/voting booth perspective. I also happen to think that gay marriage bans like Prop 8 are violations of the 14th Amendment's Equal Protection clause. And I suspect including gay marriage under the umbrella of "marriage" will strengthen families. But I'm not sure.

That was a big part of the Supreme Court hearings. We have very little data on the effects of same sex marriage and - for example - the effects on child rearing. The question then became: is caution a valid state interest to discriminate? Alito asked this question. Kennedy asked this question. Scalia asked this question. Ultimately, I think not. But I think it's a worthy question.

Sutter: I'll go ahead and disagree with you on that. Asking whether same-sex marriage is fully blessed by social science is like asking, in 1967, whether data support interracial couples getting married, or being parents. I get why it's coming up, but it's offensive on some level. Ask kids who were raised by same-sex parents. Many will say, as this kid did during a hearing in the Iowa House, that they're doing just fine. Plus there are lots of same-sex couples who would want to get married and don't want to have children. The more fundamental question is whether LGBT people are equally human. And if so, why our laws don't reflect that.

Cain: I think one of the fundamental divides between progressivism and conservatism is conceit versus humility. Your anecdotes of kids raised by same-sex parents or the kid at the Iowa House hearing are compelling. But they are still anecdotes. And as Justice Kennedy, Justice Alito, Justice Scalia, and Justice Sotomayor all recognized today...we have 5 years of data on gay marriage versus 2,000 on traditional marriage. This is all to point out that the position (a position I hold) that gay marriage won't have detrimental effects should come with some humility. We can't see the future.

You are right that "detriment to child rearing" was the same argument used to support bans on interracial marriage. The argument was wrong then. And I suspect it's wrong now. My point is: I don't think this is a compelling reason to discriminate. I don't think the procreation reason, the harm-to-traditional-marriage reason, or the tradition reason are compelling reasons to discriminate. But I say that humbly.

Sutter: Amen, brother. So what do you expect the Supreme Court to do about all of this?

Cain: Not much. Here are the four potential paths the Court could take with Prop 8:

• 50 State Solution - Declare that all state bans on same-sex marriage are unconstitutional. This does not look likely for all the reasons we've discussed.

• 9 State Solution - Declare that you can't get halfway in. This requires states that recognize civil unions to recognize those unions as marriages. If the justices liked anything less than the 50 State Solution, it was this option. They seemed to feel that it punished states who afforded gay couples more rights than those who offered gay couples nothing at all.

• California Only - Declare that you can't grant marriage rights and then take them away, as happened in California. This seems likely to me as they ruled similarly in a Colorado case.

• Reject the Case - The justices didn't even seem to want the case before them, questioning if anyone had "standing" to bring the case. If they find there was no standing to appeal this case it will effect, essentially, the California Only option.

So I don't think much will happen outside the state of California. And this debate will continue.

Sutter: You may be right on the outcome, but every day this legal debate drags on is a big slap in the face to the notions of equality and fairness that were the founding principles of this country.

Simply because of who they are, gays and lesbians aren't allowed to get married in most states, can be fired for their sexual orientation in 29, can be evicted from their homes in just as many. As I've written for this site before, these laws create a climate of fear that keeps people hidden, encourages gay people not to speak out and contributes to disproportionate rates of suicide and homelessness in the LGBT community. LGBT people, I've argued, live in 50 Americas. It's completely unsustainable and unfair.

And it will change. No question on that. Just hope it's sooner than later.

Ready for me to drop the mic? Have anything you want to add?

Thanks for having this discussion, by the way.

Cain: All good. This was fun.

I tell you something though John, when it comes to DOMA, it didn't seem like the Supreme Court wanted to talk about any of the issues we just discussed. They didn't want to discuss equal protection much at all.

The justices pressed for a source of federal power to regulate marriage. Without that DOMA goes down.

The opinions expressed in this column are solely those of John D. Sutter and Will Cain.

@highlight

John D. Sutter and Will Cain talk about the rapid culture shift on gay rights

@highlight

The conversation comes as the Supreme Court hears two same-sex marriage cases

@highlight

Sutter says 2012 or 2013 will be remembered as the "Year of the Gay"

@highlight

Cain: Outcome of court hearing could stop culture shift in its tracks