Miami, Florida (CNN) -- Marie, a Haitian mother, couldn't have been more grateful. "Thank you God for TPS," she recently told an attorney helping her fill out forms that will protect her from deportation. She was referring to temporary protected status, which will allow her to work legally, help Haiti and support her two young children. It's the sentiment that we hear most these days.

As longtime advocates, we at Florida Immigrant Advocacy Center  were gratified when the Department of Homeland Security  granted temporary protected status to unauthorized Haitian immigrants after the catastrophic earthquake in Haiti. Temporary protected status will allow perhaps 100,000 Haitians to legalize their status for the next 18 months.

They'll be able get work permits and driver's licenses and send more money to loved ones struggling in Haiti's ruins. Such people-to-people help is one of the best forms of foreign aid. Remittances encourage Haitians to stay and rebuild Haiti, rather than attempt treacherous sea voyages that more often than not end in tragedy.

Today, Florida Immigrant Advocacy Center and other pro bono groups are working furiously to help Haitians apply for temporary protected status and warn them away from "raketè," scammers who will rip them off. It's a mammoth job in South Florida, home of the nation's largest Haitian-born population.

The six-page temporary protected status application includes complicated questions and must be translated for non-English speakers. Many Haitians also need help filling out work-permit and fee-waiver forms. Without a waiver, applicants ages 14 to 65 must pay $470 in fees and $50 for a younger child.

Frankly, temporary protected status is the least our government can do after decades of denying Haitians just immigration treatment. No previous administration had granted temporary protected status to Haitians despite numerous occasions when deportees would have been unsafe due to political conflict or natural disasters, conditions that typically trigger temporary protected status. Indeed, we had been actively pushing for temporary protected status since four killer storms demolished 15 percent of Haiti's gross domestic product in late 2008.

The history of discriminatory treatment goes back much further. Since Haitians started coming to U.S. shores nearly 50 years ago, they routinely have been denied the fundamental protections promised to refugees of virtually every other nationality.

Finally more attention is being paid to the need to help the Haitians. As a key neighbor, the United States needs to prepare for a long-term commitment in which U.S. Haitians play a key role.

Many of these Haitians wish to travel to support relatives in Haiti and contribute to reconstruction. But for Haitians with temporary protected status, those trips could lead to dire consequences. Though they may travel legally, some may face problems coming back home and, thus, should consult with an attorney before leaving.

Many U.S. citizen and resident Haitians also are trying desperately to bring relatives here from Haiti, but some face daunting delays because of archaic immigration processes. Given the substantial moral and material help that Haitians in our country offer Haiti, Homeland Security should find solutions to permit travel and expedite relative reunification.

We are hopeful, too, that Homeland Security will address concerns regarding Haitians who have arrived here since the earthquake with no or improper visas. One glaring example is the dozens of Haitians who were flown here on military planes after the earthquake, only to be detained. Many lost their parents, siblings and children; one of our clients lost his twin 9-year old daughters. Virtually all had U.S. citizen and lawful permanent resident relatives awaiting their release.

Their prolonged detention only exacerbated the terrible trauma they suffered before fleeing Haiti. During their detention, most showed signs of depression, anxiety and post-traumatic stress disorder. Yet Florida Immigrant Advocacy Center's attempts to get permission for a psychotherapist to meet with the Haitians were repeatedly rebuffed.

When everyone in the world was offering to help the Haitians, Immigration and Customs Enforcement kept our clients in detention for more than two months. They only released them after a front page New York Times story ran and the Haitians agreed to be deported whenever ICE wants.

Haitian orphans also raise tough questions. While many caring Americans would like to adopt, there is real danger that Haitian children may be trafficked or improperly separated from their parents. For this and other thorny problems, no easy solutions exist in the midst of Haiti's crisis.

This crisis in fact has exposed cracks in our deeply fractured immigration system. We know Haiti will not be ready for an influx of deportees when temporary protected status expires in July 2011 or for a long time to come. Frankly, this country wouldn't have large populations of immigrants who need temporary protected status if we adjusted immigration flows to meet the real demands of its families and our economy.

The best solution would be for Congress to pass a comprehensive immigration reform that includes a legalization plan and future immigrant flows attuned to the needs of our labor markets. The path to legal status should be offered, not only to Haitians, but also to millions of unauthorized immigrants without criminal records, who pay taxes, raise U.S. citizen kids and have contributed to their communities for years.

Reform that calibrates incoming immigration flows to labor needs and ensures workers rights would raise wages throughout the U.S. economy.

Such immigration reform could add $1.5 trillion to the nation's GDP over 10 years, according to a study released in February by the think tanks Center for American Progress and Immigration Policy Center. Clearly, enforcement-only immigration policy is not enough. Piecemeal fixes have not worked. The United States needs a 21st century immigration system that will benefit all Americans.

The opinions expressed in this commentary are solely those of Cheryl Little.

@highlight

Cheryl Little says giving protected status to Haitian immigrants was wise

@highlight

She says such status was not granted in earlier disasters

@highlight

Little says further immigration changes would aid Haiti's effort to recover from quake

@highlight

A comprehensive immigration reform bill would be a major step forward, she says