(Budget Travel) -- Here's a snapshot of Portugal's defining experiences: beaches, cities, and food and wine. Get a sense of which ones fit your travel style and your budget.

Sandy beaches dot Portugal's rugged coastline.

Find a secluded beach

The Algarve, southern Portugal's balmy riviera, sees nothing but blue sky 300 days of the year. Admire the ocean views from the roof terrace at Dianamar, in the whitewashed old center of Albufeira, just a block from the beach. Rooms are simple, but all have private terraces, and the price includes a generous breakfast buffet and afternoon cake (doubles from $65).

The most dramatic coastline is along the drive to the medieval fortress town of Lagos. (Cars can be rented for around $30 a day in Albufeira; book online with companies like Europcar.) Between Praia de Dona Ana and Porto do Mós, the cliffs have been broken by the wind and sea into jagged rock formations pierced by blowholes and grottoes. Secret half-moon bays of golden sand lie hidden from view from all but the ocean.

An hour beyond Lagos is Europe's southwesternmost point: Cabo São Vicente, a cape whose plunging cliffs are dotted with crumbling medieval churches and castles. More than 500 years ago, Portuguese sailing ships left to explore the world from these shores. There's great hiking in the fragrant pine woods and peach orchards less than 20 miles inland, around the spa town of Monchique -- a cluster of tiny houses and 18th-century mansions tumbling down a steep, wooded valley. The trail up to the Picota peak has magnificent views out over the coast all the way to the cape.

Families from Lisbon take weekends on the beaches of Cascais, less than 20 miles from the capital. There they jostle for space on three broad, short beaches and wander, ice cream in hand, along the ocean esplanade or the clusters of narrow streets crowded around the town's imposing fort.

For wilder, lonelier sand, head to Guincho, four miles west. This sweeping, gently curved shoreline is pounded by some of the best surf in the eastern Atlantic. An almost constant wind makes for superb windsurfing; a world championship is hosted here most Augusts. But watch out for those rips and prepare for cold water. While the Algarve is good for swimming from spring to autumn, you'll need a wet suit around Cascais for all but the summer months.

The town is easily reached from Lisbon; trains leave from Belém station every 15 minutes and take just over half an hour ($4.50 round trip). But if you choose to stay, take a room at the Solar Dom Carlos, a 16th-century manor in a quiet Cascais backstreet (doubles from $30). There's a pocket-size former Royal Chapel on the hotel grounds.

Marvel at opulent chapels and palaces

Lisbon spreads in terra-cotta and cobblestone over seven hills, staring out over the Tagus River to the shimmering Atlantic. A rugged Moorish castle tops the skyline, and the streets are lined with baroque churches and Gaudíesque art nouveau buildings. Budget Travel Trip Coach: Friends explore Lisbon and beyond

Allow at least three days for a first visit, and make time for the Mosteiro dos Jerónimos. Extravagantly decorated doorways lead through long cloisters to a church supported by pillars adorned with stone ropes and coils of faux seaweed. These rise to a fan-vaulted ceiling whose thousands of tons of stone somehow look light and airy. Many Portuguese notables are buried at this monastery, including Luís de Camões, author of Portugal's national epic, Os Lusíadas, and the explorer Vasco da Gama.

The Gulbenkian is one of the world's great small museums. Oil magnate Calouste Gulbenkian acquired a huge collection of Egyptian, European and Oriental artifacts and Renaissance art, which was brought to Lisbon after his death. Highlights include intricate Roman jewelry, opulent Moorish carpets and tapestries, paintings by Rembrandt and Van Dyck, and an extensive collection of René Lalique's art nouveau glassware.

Finish your day with a late afternoon's wander around the narrow, cobbled streets of the Bairro Alto neighborhood on a cliff overlooking the 18th-century city center. There's a pretty medieval square or a magnificent church at every turn. The most beautiful is the Igreja de São Roque, whose simple exterior hides what was said at the time to be the most expensive chapel ever built -- a feast of rich gold work and beguilingly complex mosaics of lapus lazuli, ivory, agate, and precious metals. Built in Rome in 1742, it was blessed by the Pope before being transported in its entirety to Lisbon.

It's an easy day trip from Lisbon to Sintra, a former royal retreat in cool forested hills near the coast. It looks like a Disney fantasy: pastel tiered castles crown the hilltops; faux-Moorish domed palaces lie hidden in wooded gardens; and extravagant, neo-Gothic mansions loom at the top of steep driveways. The grandest of all is the Palácio Nacional da Pena, rebuilt by Portugal's half-mad Austrian king-consort in the late 18th century (park and palace admission $14).

It's a fascinating mishmash of Italian colonnades, Ottoman/Oriental turrets and windows painted in garish pinks and yellows. The interior of the building is preserved as it was when royalty fled during the 1910 revolt -- down to the tables set for dinner and the lamp-stand statues of turbaned Turks holding light bulbs.

Sample robust wines and fresh fish

Every small Portuguese town has its own wine, traditional cakes and cheeses. In the Alentejo, cheeses are curdled with thistle flowers and washed down with rich, earthy red wines. Base yourself in Évora, a city founded by the Romans, expanded by the Moors and enriched by the Portuguese kings. Each group left its monuments; the cork forests and vineyards around the city are strewn with Iberian dolmens, for example.

About 150 miles north, in the mountainous Beira region, is the village of Pinhel, famous for its red wines and vanilla-flavored cavaca candies -- invented by nuns from the local convents in the Middle Ages. Pinhel is a delightful maze of winding streets and makes a great base for hiking in the nearby park land, Serra da Estrela, or for visiting the Côa Valley, where rock faces are inscribed with Paleolithic art.

The Douro River flows out of Spain into a deep valley stepped with some of Europe's oldest vine terraces. Port wine comes from here, together with some of Portugal's heartiest reds. The Douro Valley is easily seen on a boat cruise from Porto, a destination in its own right.

Here stands one of the largest collections of Renaissance buildings in the Iberian Peninsula. Every other corner leads to a little baroque church whose modest façade hides an interior encrusted with tons of gold. Winding streets in the city's medieval center lead down the hillside to the river.

Wander along the quays in Gaia across from Porto city and drop in on the various port wine warehouses for free samples. It's a great way to decide what kind to bring home as a gift. Cap off your day with dinner on the banks of the Douro at D. Tonho. The house specialties are bacalhau (salted cod served steamed or in little deep fried crispy balls), followed by pork fillets with clams or hake au gratin with seafood sauce.

7 insider tips

1. English is widely spoken, and it's always more welcome than Spanish, which might even produce a scowl. Portugal and Spain have an age-old rivalry. Visitors trying to speak a few words of Portuguese will make many friends.

2. In the Algarve, everyone sees the ocean from the beaches. But it's just as much fun seeing the beaches from the ocean. Book an afternoon boat trip out of Albufeira Marina with one of the numerous agents on the Rua 5 de Outubro and be sure to take a camera to capture the golden afternoon light on the crumbling cliffs.

3. Portugal can be a difficult country for vegetarians. Even vegetable soup is cooked with meat stock. Be sure to state clearly that you don't eat any meat or fish -- even as seasoning.

4. For the coolest night out in Lisbon, head to co-owner John Malkovich's waterfront warehouse club, Lux Fragil, which is always packed with the most fashionable crowd on a Friday or Saturday night.

5. Lisbon has some of the liveliest African music in Europe; terrific Cape Verdean, Angolan and Mozambican singers make the city home. The hottest acts play at the Club B.Leza nights at Cabaret Maxime (from $20). For schedules of Luso-African concerts all over Lisbon, e-mail bleza21@gmail.com.

6. Portugal is a great country for driving. Small distances and an excellent and well-signposted road network mean that it's never a long journey to the next place of interest. And the whole country can be driven from north to south in a little over a day. But beware of Portuguese drivers. Hugging the fender and flashing headlamps furiously on the highway is common practice -- as is reckless passing.

7. Portugal is great for kids. Lisbon has a huge aquarium, and the dolphin and seal shows at the Zoomarine on the Algarve are some of the best in Europe. There are swimming pools and restaurants here, so you can stay for the whole day (adults $14).

Timing

Portugal is sweltering in the summer (June through August) and very busy with European tourists. The spring (April through May) and autumn (September through October) are cooler, just as sunny and far less busy. The winter (November through March) is wet and cold.

Price index

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2009 Newsweek Budget Travel, Inc., all rights reserved.

Note: This story was accurate when it was published. Please be sure to confirm all rates and details directly with the companies in question before planning your trip.

@highlight

Portugal's most dramatic coastline is along the drive to the medieval town of Lagos

@highlight

A Moorish castle tops the Lisbon skyline and baroque churches line the streets

@highlight

The Douro River valley is stepped with some of Europe's oldest vine terraces