(CNN) -- U.S. conservatives deeply admire Canadian Prime Minister Stephen Harper. In a March story, National Review hailed Harper as the new "leader of the West" -- and they didn't mean Western Canada. The Wall Street Journal and The Weekly Standard have added their own praise.

Well they might. Harper has achieved more from a weaker position than any conservative leader of recent times.

A decade ago, Canada's Conservatives were split between two antagonistic parties. Harper won the leadership of one of those parties, then negotiated a merger, with himself as leader of the united right. He then had to fight a rapid series of elections: In 2004 he reduced the once-dominant Liberals to minority status. In 2006, he won just barely enough seats to form a minority government himself. He won a stronger minority in 2008, but only in 2011 did he at last gain the secure majority he'd sought for a decade.

Under desperately precarious political circumstances -- and in the face of the worst global economic crisis since the 1930s -- Harper achieved remarkable things.

Almost 1 million more Canadians are working today than before the financial crisis -- the best employment record in the Group of 7.

Incomes have recovered and surpassed pre-recession peaks.

Canada's national debt burden is lower than that of any other major economy -- and less than half that of the United States. Corporate tax rates are lower in Canada than in the United States, and on the present trajectory the same may soon be true of personal income taxes as well.

How did Harper and his Conservatives do it?

Not the way that American conservatives are trying to do it. American conservatives have followed a radical path to repeated defeat. Canadian conservatives have followed an incremental path to accumulating success.

Americans then might benefit as much as Canadians from reading "The Longer I'm Prime Minister," a lively new book about the secrets of Harper's survival and success, written by one of Canada's leading political columnists, Paul Wells of Maclean's magazine. The title plays off a joke Harper frequently tells on himself: "The longer I'm prime minister" -- pause for dramatic effect -- "the longer I'm prime minister."

It's a joke based on a grim political reality: Twenty-one men and one woman have served as prime minister of Canada. Six of them have lasted less than a year. Three more lasted less than three years. On the other hand, five prime ministers served more than 10 years. If the 54-year-old Harper completes his current term, he will have served for nine years. One more win after that, and he will have joined the champions.

"My models aren't Conservative prime ministers," Wells quotes Harper. "My models are successful prime ministers."

Wells is not especially sympathetic to Harper's politics or purposes. But he has invested the close attention necessary to understand them. As Wells explains, Harper's first priority is to last. As Harper himself said in a 2004 speech that outlined his political program before a friendly audience, incremental gains are "inevitably" the only real ones. Revolutionary projects almost always fail.

"The surest rebuttal Harper can offer to a half-century of Liberal hegemony," Wells points out, "is not to race around doing things the next Liberal could undo." The better rebuttal, instead, is to build a counter-hegemony of one's own. What could be more foolish than futile provocative actions that serve only to consolidate the other guy's advantages? American conservatives enamored of their bold programs may disdain Harper's caution. Think again.

"Because he is temperamentally the most conservative Canadian prime minister of his lifetime, he will not ever run out of ideas for conservative things to do. So on any day he has a choice, he can do the big conservative thing that would be the end of his career, or he can do some of the small conservative things that won't. He is amazed that earlier leaders had a hard time choosing."

As Wells points out, however, a politician can accomplish a lot by the simple act of refraining from committing career suicide.

"How many decisions does a prime minister make in a day? Sixty? A hundred? Almost none go reported. He doesn't even have to keep most of them secret: the rush of events ensures they won't be noticed and assayed by the (press) gallery. As the 2011 election approached, Harper was approaching two thousand days in office. Imagine how different the outcome would have been if a different prime minister, with different assumptions, prejudices, and instincts had made those thousands of decisions."

Many U.S. Republicans argue that elections are won by boldly standing on principle. Sen. Ted Cruz articulated just that idea in his speech Friday to Iowa's Ronald Reagan Dinner. He lauded the House Republicans who nearly pushed the nation into bankruptcy as "a profile in courage who stood strong and listened to the American people." In fact, of course, those House Republicans appalled and frightened the American people -- and badly damaged themselves in the process.

After the worst miscalculation of his own career -- a failed maneuver that nearly brought down his government in 2008 -- Harper explained the lesson he'd learned: Never surprise the voters. Do not outpace the consent they have granted. Lead from the front -- but never from very far in front.

As for those bold "Braveheart" speeches so cherished by conservatives these days ... they are to be avoided at all costs. Wells observes the Harper speechmaking operation close up: "He works at removing memorable turns of phrase and identifiable ideas from his speeches. He puts great effort into flattening his prose." Why? "All that stuff that sounds good in speeches -- 'We must,' 'I will never,' 'Mark my words' -- all that becomes a line in the sand. It gets held against you later. So that stuff's coming out."

I know Harper a little, and I can attest: It requires immense self-control to keep this relentlessly interesting intellect sounding dull. But politics is not a business for the self-indulgent. "Observers looking for something to dislike get less fodder than they would if he were a loudmouth."

As I write, the Harper government is facing a moment of controversy. Harper appointees to the unelected upper chamber of the Canadian Parliament are accused of cheating on their expenses, and the opposition parties are making a familiar uproar over the familiar questions of what did the prime minister know and when did he know it. It's all very exciting, and likely all very fleeting. What is lasting is governance. American conservatives should rediscover it -- and Wells' entertaining and insightful study of North America's most governance-minded conservative offers an excellent place to start.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Stephen Harper shows path U.S. conservatives should follow

@highlight

He says Canadian prime minister avoids "Braveheart" speeches, bold policy shifts

@highlight

Canada has emerged strongly from world economic crisis, Frum writes

@highlight

Frum: By contrast, U.S. conservatives have appalled and frightened Americans