(CNN) -- Fifteen patients have been hospitalized in Texas after getting calcium gluconate injections, according to the Food and Drug Administration.

The FDA has issued a national voluntary now for all sterile-use products produced by Specialty Compounding LLC, based in Cedar Park, Texas.

What is a compounding facility?

The people hospitalized have a bacterial infection in their blood, and doctors think it might have come from the injection. A culture taken from a sample of this injection shows bacterial growth that is consistent with a Rhodococcus species (PDF) of bacteria, according to the FDA.

"The FDA believes that use of these products would create an unacceptable risk for patients," said Dr. Janet Woodcock, the FDA's director for drug evaluation and research. "Giving a patient a contaminated injectable drug could result in a life-threatening infection."

Compounding pharmacists customize medications to fit an individual's needs. Doctors prescribe these custom medications when the manufactured drug won't work -- for example, when a dosage is too large, or a patient has an allergy to a dye or ingredient in the original product.

Calcium gluconate infusions are typically given to people with a calcium deficiency or high potassium levels. People with low calcium levels have an increased risk for osteoporosis and bone fractures. High potassium levels in the bloodstream can lead to cardiac arrest and death.

The FDA says that none of the sterile-use products from the facility should be used. The company told the FDA that its products have been distributed directly to patients in every state except North Carolina. They've also been sent to hospitals and doctor's offices in Texas.

The FDA and the Centers for Disease Control and Prevention will continue to investigate just how far the potentially contaminated materials have spread.

Over the past year, the FDA has stepped up its investigations of compounding facilities after dozens of people died and hundreds more were made sick by contaminated injections from a compounding facility in Massachusetts.

A bill with bipartisan support is under consideration in Congress: The Pharmaceutical Compounding Quality and Accountability Act would step up some of that regulation.

A federal investigation (PDF) by the Government Accountability Office, which released a report in July, found a "lack of consensus" about who was actually supposed to regulate these facilities and, because of that, a serious gap in oversight and inspections. Before the recent deaths, the FDA did not inspect the compounding facilities unless it got complaints or reports of adverse events.

Compounded drugs make up about 1% to 3% of the U.S. prescription drug market.

@highlight

FDA issues voluntary recall for all products made by Specialty Compounding LLC

@highlight

15 people are hospitalized after getting calcium gluconate infusions

@highlight

A federal investigation found serious lack of oversight of compounding facilities