(CNN) -- Facebook announced a major overhaul to its privacy controls Wednesday, adding a handful of features while simplifying and clarifying the ways users can already tweak their accounts.

The changes, which will roll out over the next few weeks, include a new tool that lets users ask for photos of them to be removed from the site. Also being upgraded is a tool that lets users see what other people can -- and can't -- see on their Facebook pages.

In addition, users will get more control over the apps they enable on the site by gaining the ability to grant permission for some access requests but deny others.

Facebook says the changes are designed to help users better control, and understand, the information they're sharing on a site with roughly 1 billion accounts.

"We deeply believe that surprises are bad," said Sam Lessin, Facebook's director of product development. "When users are surprised, no one wins."

During its rise from dorm-room project to the world's largest social network, Facebook's most persistent complaints from users have centered on privacy.

Online privacy advocates and even elected officials have objected on occasion to how Facebook handles user data. The company has consistently argued that appropriate privacy tools are in place, although Lessin acknowledged they haven't always been clear or easy to find.

"It was pretty subtle, and we believe it wasn't clear enough to users," he said.

Here's a look at some of the updates, which Lessin compared to some of the site's biggest changes in its eight-year history:

A "Request and Removal" tool for photos

Facebook users could already click to ask other users to remove tags of them on photos. But the new tool lets them request that photos be removed from the site entirely, and it gives the recipient the ability to do so with a single click.

It also gives users the ability to select a reason for the request without having to begin a potentially embarrassing conversation themselves.

"If you don't want something on Facebook, it shouldn't be on Facebook," Lessin said. "We need to give you the tools to address that in a straightforward way."

More specific app permissions

Currently, approving an app on Facebook requires agreeing to a sometimes intimidating list of permissions for the app to do things like access your Friends list and post on your Timeline.

New changes, which will roll out first on Apple's iOS mobile platform, let users give an app basic permissions to start with and then approve other, specific access requests when the app needs them.

Not all apps will move to the new model, however. Perhaps most significantly, games won't change.

Privacy shortcuts

A frequent complaint among privacy advocates has been that the controls that exist on Facebook are hard for the average user to find and understand.

"[T]he privacy settings are confounding even for the most experienced digerati," danah boyd, a social-media researcher and privacy advocate, wrote for CNN during a 2010 privacy update. "People should be able to understand Facebook's changes and have choices available that allow them to make appropriate decisions."

Under the new changes, there will be a privacy icon on Facebook's blue toolbar that takes users to the site's most used privacy tweaks ("Who can see my stuff?" "Who can contact me?" "How do I stop someone from bothering me?").

Help Center content for privacy will also be simplified, with tools that are currently divided between the site's Privacy and Security sections pulled together in one place.

"Obviously, security and privacy are deeply tied together," Lessin said. "We knew that they were related, and we wanted to call that out."

Expanded Activity Log

The Activity Log, rolled out last year, lets users manage the information that appears on their Timeline. The updated version includes new navigation tools and will let users more easily see photos, status updates or other posts that may have been removed from Timeline but still appear elsewhere on Facebook.

It includes simplified tools to let users "view as" other people (a feature that already exists) to see whether they've hidden or displayed posts the way they wanted. Want to keep some Facebook activity hidden from your grandmother or your boss? This tool is for you.

Lessin said new messages will begin appearing on users' pages, explaining the changes as well as more clearly outlining how existing privacy tools work.

He said Facebook will also be killing a little-used "Who can look up my Timeline by name?" tool, saying new features will make doing so easier.

@highlight

Facebook announces a major privacy-control update

@highlight

Users will get a tool that asks for photos to be removed from site

@highlight

Privacy tools will be accessible from the top of every page

@highlight

Changes will start rolling out to users over next few weeks