(CNN) -- Dueling theories of how the universe was created got a split decision Friday night from the Texas Board of Education, which required examination of "all sides of scientific evidence" in new science standards, but rejected language requiring teachers to teach the "strengths and weaknesses" of scientific theories.

A woman stands in front of a mural depicting the development from ape to computer user.

The debate pitted proponents of Charles Darwin's theory of evolution against supporters of religion-based theories of intelligent design, or creationism.

"Science loses. Texas loses, and the kids lose because of this," board chairman Don McLeroy, a creationist, told the Dallas Morning News.

A final 13-2 vote approved language that will be printed in textbooks beginning in 2011 and remain there for 10 years, CNN affiliate KPRC-TV in Houston reported:

"In all fields of science, analyze, evaluate, and critique scientific explanations by using empirical evidence, logical reasoning, and experimental observation and testing, including examining all sides of scientific evidence of those explanations so as to encourage critical thinking by the students."

Earlier, the board rejected two sections written by McLeroy on identical 8-7 votes, the Dallas Morning News said.

One section required teachers to "analyze, review, and critique scientific explanations, including hypotheses and theories, as to their strengths and weaknesses using scientific evidence and information," and the other required high school students to study the "sufficiency or insufficiency" of key principles of evolution.

Opponents were pleased with the board's action on McLeroy's sections, but unsatisfied with the final result.

"The phrase has been an open door to religious indoctrination in public schools," Mark Finkelstein, a lawyer with the Anti-Defamation League, told KPRC, referring to the "strengths and weaknesses" phrase in the material voted down.

"This document still has plenty of potential footholds for creationist attacks on evolution to make their way into Texas classrooms," Kathy Miller, president of the Texas Freedom Network, told the Dallas Morning News.

She predicted battles over textbooks in the coming years, a prediction McLeroy bolstered.

Publishers, he said, will "have to get their textbooks approved by us in a few years."

The size of the textbook market in Texas gives it influence nationwide, as publishers adapt their material to its standards.

Darwin's theory of evolution proposes that humans evolved over millions of years from animal species -- including, most famously, early primates that also are the ancestors of modern-day apes. Such thinking, which challenged religious accounts of a deity creating humans, was considered radical, even blasphemous, when Darwin published it in 1859.

Central to Darwin's thesis was his scientific explanation of life's diversity: that natural selection is enough to explain the evolution of all species.

The scientific community has overwhelmingly scorned creationism and its latest incarnation, intelligent design, as a pretext for biblical explanations of how the world came to be, and asserts that there is no weakness or doubt in the scientific community about evolution.

Last year, the National Academy of Sciences called for the public to be better informed about the importance of understanding and teaching evolution. The academy released a booklet titled "Science, Evolution, and Creationism" -- the third explanation of evolution put out since 1984 by one of the nation's leading scientific organizations.

However, those who take issue with evolution believe it should be treated with healthy skepticism and argue that having high school students question a scientific theory overwhelmingly accepted by scientists teaches them critical thinking.

"This debate will impact whether students are taught to think critically and scientifically when you learn about evolution. It's important for students to learn how to think like scientists and not be forced to treat these controversial topics like a dogma," Casey Luskin, a policy analyst with the Discovery Institute, a group that questions the theory of evolution, said in an article in the San Antonio Express-News.

Proponents of evolution say the dogma is on the other side, with the Discovery Institute and others purposely distorting and ignoring scientific evidence to reach their desired conclusion.

For decades, the teaching of evolution in public schools has been a flash point in some states, with proponents of ideas such as creationism and intelligent design trying to gain a place in science classes.

The issue has been before school officials, legislators and courts in Alabama, Kansas, Kentucky, Ohio, Florida, Georgia, Louisiana and Virginia.

The controversy over the teaching of intelligent design came to a head in Pennsylvania, where the Dover School Board voted that ninth-grade students must be read a statement encouraging them to read about intelligent design. A federal judge said the board violated the Constitution in doing so because intelligent design is religious creationism in disguise and injecting it into the curriculum violates the constitutional separation of church and state.

"Academic freedom" bills have emerged but failed in various state legislatures, the National Center for Science Education said.

An "academic freedom" act has been adopted as law in Louisiana, and there is legislation in Florida calling for an "academic freedom" bill that would mandate a "thorough presentation and critical analysis of the scientific theory of evolution."

The center says such bills are strategies by creationists to appeal to the American sense of balance, and give the false sense that there are different sides to scientific issues such as evolution.

"Two plus 2 is not 5," said the group's spokesman, Robert Luhn.

@highlight

Texas Board of Education votes on science curriculum amendments

@highlight

Board votes to require examination of "all sides of scientific evidence"

@highlight

Board votes down requirement to present "strengths and weaknesses" of theories