San Diego (CNN) -- What do zombies and androids have in common? They're almost human, but not quite. That disconnect is creepy, in a way that scientists are searching to understand.

The uncanny valley is the idea that as a robot's appearance becomes more and more humanlike, we don't always respond to it more positively. Rather, there's a point on the scale between robot and human where we are repulsed. If it's mechanical but not entirely human, a robot seems disturbing.

Why would that be? It would make sense that as human likeness increases in a robot, so would our comfort with it. But on a graph showing that relationship, there's a "valley" where this familiarity dips down into creepiness, and then comes back up again with more human characteristics.

You may have experienced feeling this while watching animated movies that incorporate humanlike forms. It's also the reason that you might get freaked out by clowns or by photos of people with extreme plastic surgeries who don't look quite real anymore. Our brains come to an impasse when we see something that resembles a member of our species but just doesn't make the cut.

Meet the huggable, semi-robotic and semi-creepy pillow phone

Some animators sidestep the issue: in the movie "WALL-E," for example, the main character has eyes but is not very humanlike otherwise; he is clearly a robot. His friend, EVE, looks like a white shape with eyes. Both express emotions clearly but don't try to mimic the human shape or form. And HAL 9000 from "2001: A Space Odyssey" is just a red camera eye, but it too conveys feelings.

But when you get more humanlike, things get weird. Some reviewers were put off by the characters in the film "Polar Express," for instance.

Then there are the Na'vi in "Avatar," who have many physical human characteristics in addition to morphed features and tails. But they are also blue, creating a sense of "otherness" that may have made them less distasteful to viewers -- in other words, they were sufficiently un-human.

Ayse Saygin, professor at the University of California, San Diego, is using cutting-edge brain science to understand this strange quirk of human nature. Although the idea of the uncanny valley has been observed, there has not been much rigorous scientific experimental work on it, partly because it's hard to get at the heart of the matter objectively.

"Even if we don't actually define it in words, we may be able to find signals for it in the brain," Saygin said.

Saygin and colleagues published a study last year using functional magnetic resonance imagining (fMRI), looking at what's happening in the brain that might explain the uncanny valley phenomenon. They hypothesized that, at least in part, the effect might result from a violation of the brain's predictions. When we anticipate one thing but see another, we get an error, and that error makes us shy away from the thing we're viewing.

The researchers showed 20 participants some video clips of three "actors" moving in the same ways: a human, an android modeled after the human, and a stripped-down robot (the same android without its humanlike form). Although this is a small sample of people, it is typical for neuroimaging studies, which are expensive and time-intensive.

Something interesting emerged in the results: "The network that normally processes your body movements is more active when you view an android," compared with when you look at a stripped-down robot or a human, Saygin explains.

This could be because the brain has to combine conflicting information, she said.

"Your brain's gonna be like, 'Hey, wait a minute, you told me this was a human, and now this area told me that this is not moving like a human. So, I have to really compute that,' " she said. "That's what we think the uncanny valley might be partially caused by, and we have seen some brain activity that looks like that."

The uncanny valley phenomenon was put forth in an article in "Energy" in 1970 by Japanese robotics expert Masahiro Mori. But before that, Ernst Jentsch wrote about "the uncanny" in a 1906 essay, and Sigmund Freud followed up 13 years later.

Yet the idea is largely based on anecdotes, and researchers such as Karl MacDorman, associate professor of human-computer interaction at Indiana University, are working on experiments to hone in on possible explanations. MacDorman briefly worked with Saygin in Japan.

Roboticist sees improvisation through machine's eyes

In his view, the uncanny valley effect has to do with a mismatch in features of a single animation or robot, with some parts appearing much more humanlike than others. For instance, when a very human-looking head is placed on an obviously mechanical body, that can be creepy. So can a human face with robotic eyes.

"When there are elements that are both human or nonhuman, this mismatch can produce an eerie sensation in the brain," MacDorman said. "It's when different parts of the brain are coming to different conclusions at the same time."

There are other factors that may play in, however.

The uncanny valley effect could have to do with uncertainty about whether a robotic character is truly alive or dead, and even play into our deep-seated fears of death. Alternatively, it may be part of cognitive dissonance, which happens when a person's beliefs are not in line with their behaviors -- for instance, a smoker who berates other smokers.

From an evolutionary perspective, humans have developed an aversion to sickness, and a creepy-looking almost-human might tap into our internal system that warns us against sources of disease. In relation, we evolved to choose mates who are healthy, and weird robots may set off the same warning bells that told our ancestors to stay away from unfit sexual partners.

MacDorman's current focus is on the uncanny valley with respect to empathy: that is, is the uncanny valley phenomenon related to a person's difficulty in identifying with particular computer-animated or robotic characters in films? Does it relate to the impression that these characters are somehow "soulless," and in what ways?

Saygin's ongoing studies make use of electroencephalography, or EEG, which measures electrical activity along the scalp. While fMRI tells where in the brain activity occurs, EEG is better for looking at when -- that is, when in viewing agents with different degrees of humanness do people's brain patterns change. EEG is also much more portable and less expensive. Rather than a big scanner, it involves a cap worn on a person's head.

Researchers may be able to understand the EEG patterns associated with the uncanny valley effect, and people's comfort with various robotic forms. Eventually, this information could be used to help robot developers or animators who don't want their creations to scare people.

Charming, compelling social robots and their creators

"Instead of asking somebody, 'Do you like this robot?' we could get that information a lot more directly, and faster perhaps, if we can develop these technologies," she said.

Have you ever experienced the uncanny valley effect? Share your thoughts in the comments.

@highlight

Uncanny valley phenomenon: When humanlike forms make us uncomfortable

@highlight

This may be pronounced when some features are human and others not

@highlight

Brain imaging and EEG are being used to study the uncanny valley