(CNN) -- It is a familiar tactical strategy at the Supreme Court: when an oral argument gets too dense over regulatory interpretation-- turn it into a sports analogy.

An Obama administration lawyer did that Tuesday in closely watched environmental appeal, comparing federal efforts aimed at curbing air pollution to basketball scores.

The court seemed impressed, with Chief Justice John Roberts calling it a "pretty good" analogy. After that the athletic aphorisms just would not stop.

At issue is whether an "upwind" state that is polluting a "downwind" state is free of any obligations under the so-called Good Neighbor provision, unless and until federal regulators have quantified the upwind state's contribution to downwind state's air pollution problems.

The case is an important test of federal regulatory power, and the rules issued two years ago by the Environmental Protection Agency are being challenged by a coalition of 15 states, as well as several energy companies and labor unions.

Leaders in some mostly conservative states say lost jobs and higher energy costs are at stake from what they see as arbitrary and ambiguous regulations.

But the administration and its environmental allies counter Americans' health should come first, and that as many as 45,000 deaths could be prevented each year if the Cross-State Pollution Rule would be allowed to go into effect.

Overall, it appeared the EPA may prevail in the complex regulatory case, based on the comments from the justices during 90 minutes of arguments. It would be a rare environmental victory in a conservative majority court, if that were to occur.

The arguments come just hours after eight of nine governors from the affected downwind states signed a petition urging the EPA to force nine southern and midwestern upwind states to reduce smog and soot emissions from power plants.

The one downwind governor who did not sign was Gov. Chris Christie, the New Jersey Republican.

Those Democratic or Independent governors criticized a federal appeals court ruling last year against federal oversight, saying it "allows upwind states to postpone the costs of air pollution controls for years, while in the interim downwind states and their residents are forced to suffer the present consequences of that pollution."

Enforcement of what is known as the Transport Rule was adopted by the EPA in 2011, but remains on hold while the court cases work toward a final conclusion.

In Tuesday's session, Justice Department lawyer Malcolm Stewart got the ball rolling when he said the EPA should be allowed to use the somewhat discretionary standard "contribute significantly," when determining a state's cost-based share of transported air pollution.

"There are various reasons to think that EPA reasonably construed that term to include a component of difficulty of achievement," he said of a downwind state's inability to comply, in the face of continuing pollution from its neighbors. "We might say that dunking a basketball is a more significant achievement for somebody who is 5 feet 10 than for somebody who is 6 feet 10."

Roberts took up the challenge when sharply questioning the lawyer representing corporate and union interests, Peter Keisler.

"If you ask the coach what significantly contributed to the loss, he's going to talk about the missed layup rather than the missed desperation throw," said the chief justice, "even though as far as amount, each was going to count for two points."

Justice Antonin Scalia used the metaphor to turn the point on its head.

"The question you should ask the coach, when you lost 101 to 100: which of the 101 points contributed most to your loss?" he asked, bringing laughter in the courtroom. "I mean, he would not answer the one that was the layup. He'd say what do you mean? All of the 101 points."

Scalia added the proposed EPA rule changes were not what Congress had in mind when it passed the landmark Clean Air Act. Adding to the sports talk, he said the agency has "hidden the ball" with its ambiguous standards.

"We're not going to tell you what the target is," he said, relying on his own interpretation of what federal regulators are doing to some states. "It's up to you to come up with a SIP (state implementation plan) and we'll tell you after the fact whether that SIP happened to meet the target that we've invented."

Among the provisions being challenged is the EPA's cost-based formula, using what it calls a balance between an upwind state's obligation to reduce coal-fired pollution, and the amount of money that would be required for a downwind state to feasibly meet its own obligations.

That calculation was a key part of the oral argument, which critics of the policies say unfairly punishes some states more than others, by placing a greater financial burden for their share of unhealthy air particulates.

Texas Solicitor General Jonathan Mitchell, representing one of the states challenging the rules told the court, "EPA's actions in this case have written the states out of the Clean Air Act. ... EPA has left the states completely in the dark about the meaning of the phrase 'contribute significantly.'"

Justice Stephen Breyer called it a tough problem and questioned the upwind states' position. "But it's supposed to advance the ball" using yet another sports reference. "So there is a procedure for the states to come in if they can come up with a better plan. That's what you've just heard, and so do it. So what's arbitrary or capricious about such a system?"

Mitchell said it was up to the EPA to issue clear guidelines before enforcing those standards, and the burden was on the federal government, not the states.

Breyer, in response: "There's six states that contribute to the seventh state's pollution, and how much each state can cut back depends. It depends on what it costs. It depends on how much they contribute. It depends upon what the other states will do. It depends upon where the wind blows, and that changes all the time," he said.

The justices next February will hear a related case: can the EPA tighten emission standards for "stationary" greenhouse gas sources-- such as power plants-- in what the government says is an effort to stem the effects of global warming.

The high court in 2007 affirmed the conclusions by much of the scientific community that greenhouse gases are an air pollutant, but that case just dealt with emissions from motor vehicles. The high court will decide if the agency properly extended its regulatory authority.

The consolidated cases argued Tuesday are EPA v. EME Homer City Generation (12-1182) and American Lung Assn. v. EME Homer City Generation (12-1183). A ruling is due in the next several months.

@highlight

States that pollute are under fire from those that don't

@highlight

Fifteen states, other groups challenging new federal anti-pollution rules

@highlight

There's a chance the EPA may prevail in the case before conservative Supreme Court

@highlight

Oral arguments over 90 minutes take on sports metaphor theme