Washington (CNN) -- If at first you succeed, then by all means, try, try again.

President Barack Obama returned to a successful strategy from last year's election campaign by calling Friday for college students and their families to mount pressure on congressional Republicans to prevent a jump in some student loan rates set to occur on July 1.

"Higher education cannot be a luxury for a privileged few," he said at the White House with college students standing behind him. "It is an economic necessity that every family should be able to afford, every young person with dreams and ambitions should be able to access and now's not the time for us to turn back on young people."

The Rose Garden appearance angered GOP leaders, who contend they have proposed a reasonable solution.

"No one should be fooled by today's campaign-style event at the White House," said a statement by Senate GOP leader Mitch McConnell of Kentucky.

He added that Obama "appears more interested in needlessly stoking partisan divisions in Washington than helping young Americans avoid a higher interest rate on their student loans."

The issue is both practical and political.

Student loan mess: What's at stake?

If Congress doesn't act in coming weeks, interest rates on government-subsidized Stafford loans for college students will double from the current 3.4% to 6.8% starting in July.

Only students taking out new subsidized loans after July 1 would be affected, as those getting unsubsidized loans already pay the 6.8% rate.

About 7 million students, a third of the total taking out loans, would be affected.

Obama said Friday the impact would mean those students needing subsidized loans would have to pay about $1,000 more a year.

When he asked how many in the crowd could afford that, several heads shook "no." To qualify for subsidized Stafford loans, students must meet an income threshold.

The event allowed Obama to revert to a topic he benefited from in his successful re-election campaign last year, and to divert attention from controversies dogging his administration early in his second term such as IRS targeting of conservative groups and secret subpoenas of journalists' phone records.

Republicans argue that Obama basically agrees with their approach, which would tie the student loan rate to economic factors instead of leaving it up to Congress. However, the two sides remain at odds over specifics including how fast and high the interest rates could rise.

A measure recently passed by House Republicans would mean that the rate for all new student loans would be about 5% for the first year, but would likely rise in the future because it would be linked to the rate on 10-year Treasury bonds, which currently are low.

Obama's budget proposal for next fiscal year would hold down rates for subsidized loans to about 3% in the first year, with other students paying about 5%. Those rates also would be linked to the 10-year Treasury bond levels and therefore would likely increase in future years.

The president criticized the House GOP proposal as "not smart" and "not fair," saying it would increase the burden on middle- and lower-income families to pay for a college education.

He reminded listeners that their pressure last year persuaded legislators to extend the current 3.4% rate on subsidized loans through June instead of letting it double in 2012.

"You're going to have to call them up again or e-mail them again or tweet them again and ask them 'what happened, what changed?'" Obama said.

Differences between the two sides involve when the rate on a loan gets locked in, with Obama calling for it to happen right away while the House measure would allow it to rise until a student graduates.

Another difference concerns maximum rates.

The House measure would cap interest rates at 8.5% for student loans while the Obama proposal would contain no such cap but would include a program to limit a former student's annual expenditures on the loan to no more than 10% of discretionary income.

A House GOP aide noted that the Democratic-controlled Senate has yet to act on the issue, and echoed McConnell's statement in saying that the House and Obama agree on the principle of tying the student loan rate to economic factors.

Later Friday, Senate Majority Leader Harry Reid, D-Nevada, announced he planned for the chamber to vote next week on a Democratic measure to extend the current 3.4% rate for subsidized loans for two years, which would put off the matter until after the 2014 congressional elections.

The measure would eliminate some tax breaks, including one for oil companies, to pay the federal cost of extending the lower interest rate. Such tax components appear certain to ensure Republican opposition.

Meanwhile, the Democratic Congressional Campaign Committee announced Friday it was launching ads in six college newspapers that urge students to pressure Congress to keep loan rates low.

CNNMoney's Jennifer Liberto and CNN's Ted Barrett, Deirdre Walsh and Paul Steinhauser contributed to this report.

@highlight

President Obama urges students to pressure congressional Republicans

@highlight

Sen. McConnell accuses Obama of playing politics despite common ground

@highlight

A Senate vote on extending the current loan rate is planned for next week

@highlight

Democrats launch ads in college newspapers criticizing Republicans on the matter