(CNN)President Barack Obama will address the country Wednesday to explain to the nation "what our game plan is going forward" in the fight against ISIS.

In an interview that aired Sunday on NBC's "Meet the Press," Obama expressed confidence that the United States, with help from regional partners, will be able to wipe out the terror organization.

"I just want the American people to understand the nature of the threat and how we're going to deal with it and to have confidence that we'll be able to deal with it," the President told interviewer Chuck Todd.

He said action will include military, diplomatic and economic components. He laid out a three-stage plan that starts with actions the U.S. has already taken: gathering increased intelligence on ISIS, and using airstrikes to protect American personnel, critical Iraqi infrastructure like the Mosul Dam, and cities such as Irbil in Iraqi Kurdistan.

U.S. airstrikes target ISIS fighters near 2nd-largest dam in Iraq

"The next phase is now to start going on some offense," he said. "We have to get an Iraqi government in place, and I'm optimistic that next week we should be able to get that done."

He said his speech won't announce the involvement of U.S. ground troops. "We're not looking at sending 100,000 American troops," he vowed.

The President gave his most direct and detailed assessment of ISIS since the terrorist group has brutally decapitated two American journalists and killed thousands of Iraqis. It is a vastly different message than he gave nearly two weeks ago, when he said the U.S. didn't have a strategy "yet" to deal with ISIS in Syria, and in January, when he called it and other groups the JV team.

"Well, they're not a JV team," Obama said in Sunday's "Meet the Press" interview.

The President received praise from recent critics who had said he was too timid as the scope, depth and capabilities of ISIS continue to grow.

"I want to congratulate the President. He is now on offense," Sen. Dianne Feinstein, chairwoman of the Senate Intelligence Committee, said on CNN's "State of the Union."

"It's overdue, but the President is now there," the California Democrat added.

Her counterpart in the House, Rep. Mike Rogers, R-Michigan, chairman of the House Intelligence Committee, echoed Feinstein's sentiment, also on CNN. "This is the toughest talk that we have heard from the President, and I agree with Sen. Feinstein -- that's a good thing because they are a threat."

But not everyone applauded. Sen. Marco Rubio of Florida, who is considering a run for the Republican presidential nomination in 2016 and has criticized Obama for not acting quickly or strongly enough, said, "American foreign policy is in the hands of someone who does not know what he's doing."

"I believe this president has committed a presidential malpractice in his foreign policy," Rubio added on CBS News' "Face the Nation."

Congressional 'buy-in'

Congress returns to Washington this week from a five-week break and will immediately face questions about ISIS.

Obama said he will meet with members of Congress on Tuesday to discuss the administration's strategy, let lawmakers "have buy-in" and debate the plan. But asked by Todd if he was seeking congressional authorization of his strategy, Obama appeared to say no.

"I'm confident that I've got the authorization that I need to protect the American people," he said.

But Sen. Ted Cruz of Texas, who is also considering a 2016 presidential run, said on ABC's "This Week" that any additional military action "should absolutely take congressional approval."

His colleagues in the House, however, didn't agree, saying the President has the constitutional authority to act without Congressional authorization.

The top Republican on the House Homeland Security Committee, Rep. Peter King, R-New York, said, "I believe as commander in chief he has the absolute power to carry out these attacks."

Democratic Rep. Adam Smith of Washington agreed, saying the President doesn't need authorization but that "it would be better if Congress would authorize it."

He added, however, that it would be "extraordinarily difficult" to get through the partisan body, especially less than two months before an election.

Syria

While the U.S. plan to help Iraqi and Kurdish troops take back areas under ISIS control is key to defeating the militants, Obama said the strategy will also have economic and political prongs.

His plan will involve working to "attract back Sunni tribes that may have felt that they had no connection to a Baghdad government that was ignoring their grievances."

As for the military, he insisted U.S. troops will not take the lead.

"We don't have the resources" to "occupy" numerous countries, he said, so a more "sustainable strategy ... means the boots on the ground have to be Iraqi."

But what's unclear still is if he will authorize airstrikes in Syria.

ISIS gained power and strength there trying to defeat Syrian President Bashar al-Assad in that country's complex civil war, and foreign policy hawks have been pushing for the U.S. to strike ISIS command centers and weapons stockpiles.

Obama didn't indicate in the interview aired Sunday whether he was going to move forward with airstrikes but said the U.S. will "need to put more resources" into vetted groups that oppose both al-Assad and ISIS in Syria.

"We're going to have to develop a moderate Sunni opposition that can control territory and that we can work with," he said, insisting there will be no U.S. troops on the ground.  "The notion that the United States should be putting boots on the ground, I think, would be a profound mistake. And I want to be very clear and very explicit about that."

"The boots on the ground have to be Syrian," he added.

The U.S. has no plans to move forward alone. After a NATO summit in Wales last week, the President announced the support of nine countries that are committed to pushing back against ISIS. He said his next effort will be to obtain the support of allies in the region. Secretary of State John Kerry is going to spend the upcoming week attempting to gain support from Saudi Arabia, Jordan, Turkey and the United Arab Emirates, the President said.

As strategy firms up, U.S. courts partners to target ISIS

Threat to the U.S.

The President maintains that the terror group, which gained power in war-torn Syria and expanded into Iraq, is not an immediate threat to the U.S. But he noted that "over time" it could become a "serious threat to the homeland" if it is able to continue to expand territory under its control while amassing arms and fighters, especially Western fighters.

Wednesday's speech, which will come a day before the anniversary of the September 11, 2001, attacks, will help the American public better grasp the administration's plan, he said.

"What I want people to understand is that over the course of months, we are going to be able to not just blunt the momentum of (ISIS), we are going to systematically degrade their capabilities, we're going to shrink the territory that they control and ultimately, we're going to defeat them," Obama said.

State Department releases graphic anti-ISIS video

ISIS facts

CNN's Tom Dunlavey contributed to this report.

@highlight

President Obama says he will give a speech Wednesday outlining plan to defeat ISIS

@highlight

Plan will not involve U.S. troops on the ground, but supporting Iraqi, Kurdish troops there

@highlight

Obama: With resources shifted, Americans protected, U.S. to "start going on some offense"

@highlight

He wants Congress to "have buy-in" but says he's already authorized to protect U.S.