(CNN) -- In just one day, you'll get a mere glimpse of Rome, a city teeming with over two millennia of culture -- but it will surely whet your appetite for more.

The sun sets behind St. Peter's Basilica on a beautiful spring day in Rome.

Spring is one of the most beautiful times of year to visit the "eternal city," when flowers begin to bloom from ancient monuments, cafe tables reappear on bustling sidewalks and throngs of summer tourists are yet to descend en masse.

Food-lovers will also be thrilled to find many traditional Italian ingredients in high-season -- look out for fresh fava beans, agretti and wild mushrooms.

Before dawn, head up to the Janiculum Hill to catch the sun rise. From here you'll be able to see the Vatican, Borghese Gardens, Pantheon, Colosseum, Castel Sant'Angelo and Campidolgio, all come to light in one breathtaking cityscape.

In Rome, breakfast is on-the-go. Your best bet is to stroll through one of the early morning markets to pick up a hot cornetto and some fresh fruit. One of the oldest is Campo di Fiori, a daily mix of food and flower stalls in an eclectic renaissance square.

Proceed from the Campo through the ruins of the Roman Forum, past the spot where Julius Caesar was slain, toward the Pantheon.

Built in 124 A.D. as a temple to all the gods of Rome, the Pantheon remains today as a Catholic church and a tomb for Italian luminaries, such as the artist Raphael and King Vittorio Emmanuelle II. Stand in the center of the rotunda and gaze up to the heavens through the eight-meter-high oculus at the center of the five-ton concrete dome --a stunning feat of ancient engineering, still intact after two thousand years.

The most important part of the morning is the coffee, and Romans are passionately divided as to who makes the best cup: Sant Eustachio (Piazza Sant'Eustachio, steps behind the Pantheon) or Tazza d'Oro (Via degli Orfani, a few feet in front of the Pantheon). Take your coffee the traditional Italian way, standing up at the bar.

Spend the rest of the morning exploring St. Peter's Basilica and the Vatican Museums. Home to the papacy, Vatican City is brimming with extraordinary artworks and monuments of history. Once inside St. Peter's, admire Michaelangelo's "Pieta" and the incredible soaring dome he helped complete. Climb to the top of it for an incredible view, and perhaps another coffee.

Image gallery: See more of Rome's art treasures »

Splurge on a private tour guide for the Vatican museums to avoid the hour-long lines outside. Highlights include the Sistine Chapel, featuring Michelangelo's famed ceiling fresco series and "Last Judgment," works by Raphael, da Vinci, Caravaggio, and ancient wonders from Rome and Egypt.

After the Vatican, stroll across Via Cola di Rienzo and the Ponte de Margherita to the Piazza del Popolo, where an Egyptian obelisk of Rameses II has stood since 10 B.C. The food at Dal Bolognese, a fixture on the well-heeled lunch scene, is consistently outstanding and the view on the square cannot be beaten (don't miss the Caravaggios tucked inside the tiny Santa Maria del Popolo church nearby).

In the afternoon, head to the Borghese for a leisurely stroll through the gardens and a stunning collection of Baroque sculpture.

If you're in the mood for shopping, head down the Via Babuino towards the Spanish Steps. Drop into l'Offatorio perfume bar on the way for a "fragrance tour" and get a custom-made scent bottled. Also check out TAD, a minimalist-design luxury lifestyle store for everything from shoes to a haircut. Some of the city's best boutiques are nearby - find them by meandering through the side streets between Via Croce and Via Condotti.

Essential to any afternoon in Rome are a few scoops of ice cream. The renowned classic Giolitti, in the Piazza Colonna, is an Italian institution: politicians flock here between their government meetings. Enjoy a few of their 40-odd flavors of gelatto as you stroll around the Column of Marcus Aurelius. If you're over by the Spanish Steps, try San Crispino on Via della Panetteria, and sit at the edge of Bernini's Trevi Fountain while you indulge.

In the evening, take in a performance before dinner either at the Teatro dell'Opera, or the Accademia Santa Cecilia, for classical music.

For dinner, Rome's casual outdoor trattorias cannot be beaten. For pizza, locals line up outside Da Ivo in Trastevere, then take their piping-hot thin-crust pie over to Piazza Santa Maria, the neighborhood's heart, and watch impromptu performers and musicians cheer the crowds.

For homemade pasta, try Maccheroni or Da Francesco (particularly for gnocchi) near Piazza Navona. For a formal meal, head to the Michelin three-starred La Pergola at the Cavelieri Hilton. Arrive early for a gorgeous view of the sunset from the hotel bar, perched high atop Monte Mori.

At night, the spirit of Fellini's "La Dolce Vita" lives on, in low-lit cafes, wine bars and nightclubs. Bar della Pace is a fashionable Roman classic for drinks. For all-night dancing, try the see-and-be-seen La Maison. Both are tucked behind the Piazza Navona, where you can stroll past Bernini's "Quatro Fiumi" (Four Rivers) fountains, beautifully lit up in the early hours of the morning.

What are your tips for getting the most out of the city? Use the Sound Off box below and have your say.

@highlight

Our tips for Rome: Hire a private guide to see Michaelangelo's stunning frescoes

@highlight

Indulge in homemade gnocchi and gelatto in Rome's bustling piazzas

@highlight

Taste the good life with the late-night locals at Bar della Pace

@highlight

What are your favorite places in Rome? Share them with CNN users below.