Miami (CNN) -- Relaxing on his couch, Thomas Jones quickly scans the channel guide on the TV, his English bulldog resting at his feet, before landing on a football game.

Weekends were much different for Jones a few years ago.

"My job on Sundays is to find a place inside of me, to be furious, to be angry, to be violent," he said. "I better be ready to go out there and knock somebody's head off."

As a running back in the NFL, Jones did whatever it took to prove himself because he always knew his job was up for grabs. And his hard work paid off.

Jones, now 34, was a standout at the University of Virginia, and he went on to play 12 seasons in the NFL and earn a coveted spot in the league's elite 10,000 Rushing Yards Club.

Despite his love for the gridiron, the coal miner's son knows there's a dark side to the sport.

"In the NFL, yeah, we're making a lot of money. But the reality is, you're taking a chance on your life as well," he said. "People love to see someone get knocked out. But no one's there when they have a concussion."

A tale of two former NFL players and their brains

It's something that weighs on Jones, who retired from the NFL in 2011 after playing 12 seasons for five different teams.

Still nimble, Jones doesn't experience chronic headaches or have memory trouble. He even considers himself less irritable nowadays than when he was playing.

Although his daily life isn't riddled with pain resulting from repeated pummeling, he is concerned about the long-term effects of the sport on his brain.

That concern grew after talking to doctors and players haunted by gnarly hits for a six-part documentary series, "The NFL: The Gift Or The Curse," which he is producing.

NFL, Harvard planning $100 million player study

He felt his worries were founded when he learned that star NFL linebacker Junior Seau -- who took his own life last May -- suffered from a neurodegenerative brain disease that can develop from concussions known as chronic traumatic encephalopathy or CTE.

At that point, Jones said he decided to donate his own brain to the Sports Legacy Institute -- which studies the link between sports and brain trauma -- for research upon his death.

Jones said he hopes that research will help bring more understanding of the brain disease so future football players are informed when they decide to take the field.

"CTE didn't just pop up. It's been around," he said. "But unfortunately it took a couple of big-name guys to take their own lives to bring attention to it."

Seven months after Seau's death, another NFL player's life came to a violent end, stunning the sports world once again and raising concerns about the mental health of football players.

On December 1, Kansas City Chiefs linebacker Jovan Belcher fatally shot his girlfriend in the same home as their 3-month-old daughter before heading to team's practice facility, thanking his coaches, and turning his gun on himself.

Yet, in the wake of Belcher's murder-suicide, the nationwide discussion turned away from mental health and toward guns. NBC sportscaster Bob Costas fueled the firestorm with his comments just one day after the incident.

Referencing a piece written by Fox Sports' Jason Whitlock, Costas said, "'Handguns do not enhance our safety, they exacerbate our flaws, tempt us to escalate arguments and bait us into embracing confrontation rather than avoiding it.'

"'If Jovan Belcher didn't possess a gun, he and Kasandra Perkins would both be alive today.'"

Weeks later, the gun debate would grow even louder after the Newtown, Connecticut, school massacre.

Jones -- who played with Belcher and owns a handgun -- said there's a much bigger picture to consider.

"I loved Jovan like a brother, but he did something terrible, horrible, and we can't take that back," Jones said. "But to segue into (saying there is) a gun culture in the NFL ... makes me sick to my stomach."

Jones started playing football at age 7 in Big Stone Gap, Virginia. The oldest of seven kids, he describes his childhood as a simple country life. He said his family was so big they had to make two trips to church on Sundays -- half the family at a time. And, sometimes the family went without basic necessities, including heat.

Jones stepped into a different world as a professional athlete after graduating from the University of Virginia, he said, a world that has brought good fortune but one that also leaves him contemplating the future.

Since retiring from the Chiefs last season, Jones turned his attention to letting people know that life after football also has risks.

He's hopeful that the NFL will create new ways to make the sport safer, but, he said, "Football is football, it's a gladiator sport. Unfortunately, that's part of the game."

Jones said he is creating his documentary series to give viewers an insider look at NFL players' lives without the helmet. In one scene, former NFL defensive end Adewale Ogunleye laments about his memory loss.

"I know my memory's screwed up at times, I know I be forgetting things," Ogunleye says. "I kind of laugh it off now, but ... I hope these concussions don't come back to haunt us in the end."

Through this documentary, Jones hopes he can shed light on the human side of professional football.

"Even though we can do superhuman things, it seems, on the football field, it doesn't make us superhuman off the field," he said.

Seau had brain disease caused by hits to head

Seau's family sues NFL, helmet company

Lamar Campbell: Why I'm donating my brain

Late player wanted brain sent to NFL research bank

@highlight

Thomas Jones, a UVA standout, played 12 seasons in the NFL

@highlight

Jones has produced a documentary to show the real lives of NFL players

@highlight

His series also focuses on the risk of concussions

@highlight

Jones intends to donate his brain for more research on brain trauma