Vietnamese Coast Guard 8003, South China Sea (CNN) -- It takes a long time to get to the middle of nowhere. For a contingent of almost 40 reporters, hours of waiting both on land and then at sea preceded a trip to one of the world's most hotly contested areas of maritime real estate.

The Vietnamese government had been at pains to keep this media trip under wraps, keeping print, online and broadcast journalists from Asia and the United States guessing as to the day and time of departure.

That secrecy may have been for naught: at a pre-departure briefing we are told that while the Vietnamese Ministry of Foreign Affairs has not formally informed its Chinese counterpart of the presence of journalists in the area, a Coast Guard official mentions that "chances are" China knows about it.

But depart we do, boarding a small coastguard support vessel Monday evening as the sun dies over Da Nang, bound for the disputed waters surrounding the South China Sea's Paracel Islands, known to China as the Xisha Islands.

China's controversial installation of an oil-rig in these waters at the beginning of May sparked protests -- some of which turned violent -- in Vietnam and statements from a variety of world leaders, urging the two sides to resolve this dispute quickly and without bloodshed.

One side, at least, appears to be in agreement. "The Vietnamese Coast Guard are committed to resolving the situation peacefully," says Hoang Tuan Anh, the captain of the supply ship upon which we hitch a ride.

Strictly utilitarian, our sturdy ride boasts one 25mm cannon on its prow and two 14.5mm guns aft. It is the kind of supply ship that every coast guard needs, and also houses a huge number of plastic 10-gallon jugs of drinking water, a galley piled with vegetables, and a bevy of live chickens under one of the exterior staircases -- supplies badly needed by their crew mates and friends on the front line.

As the sun rises again the next morning, we're still chugging steadily toward our destination, claimed by both China and Vietnam.

Vietnamese boat sinks after collision with Chinese vessel

Clear message

A mid-sea ship change to CG 8003 -- and slightly less cramped conditions -- awaits us as noon approaches. By then we have reached the area where China had, earlier in the month, unilaterally planted a flag on this area of supposedly oil rich sea. The flag, in this case, was an imposing oil-rig that sent a clear message: the Xisha Islands are ours to do with what we will.

No buoys mark the territory, and there is no landfall in sight: just a shimmering expanse of deep water, albeit one with the promise of fossil fuel riches beneath.

As we arrive news comes that the rig -- run by state-owned oil company the China National Offshore Oil Corporation's (CNOOC) -- has been moved: no small task for something as big and unwieldy -- yet politically volatile.

The operation to move the structure began on Monday morning and was completed by 10.30 p.m. local time, just hours after our voyage began but, equally, hours before we arrived in the zone.

Approaching the area, dots on the horizon become ships, which then become a flotilla -- or perhaps more accurately two separate flotilla -- of both Chinese and Vietnamese commercial and coast guard vessels.

This mishmash of fishing and military vessels is all that remains of the flashpoint of a couple of weeks ago, and in a seemingly stage-crafted set of maneuvers dance around this expanse of utterly blue, clear sea.

Aggressive foghorns

It's a lively affair, alternating between angry, static-y rhetoric that informs the Chinese that they are in violation of international law, and aggressive foghorns and sirens, raising a cacophony on this otherwise peaceful, sunny afternoon.

"I've traveled out to these waters many times but recently the Chinese have been more aggressive towards the Vietnamese," says Hoang, captain of the support vessel. "I'm proud to protect Vietnam."

The dance is supervised by the respective country's coast guard vessels, who hopefully have too much sense to engage directly with each other. But hanging over the day's events is the knowledge that just hours before, a Chinese fishing vessel had rammed and sunk one of its Vietnamese counterparts.

No lives were lost in this incident but it is the first time that a boat has been sunk in this chapter of the often-acrimonious relationship between these two ideologically similar neighbors.

As the afternoon begins to wrap up, one of the larger Chinese coast-guard vessel homes in on our ship, horn blasting incoherently as it attempts a little maritime brinksmanship.

Nobody on board CG 8003 seems to be overly worried, although life jackets are donned as a fillip. Like a dog reaching the end of its chain, the Chinese vessel barks at us a few remaining times, before turning heel.

Off the starboard bow, two other Chinese vessels harry a smaller Vietnamese fishing boat, pushing it further from the center of this disagreement which, if left untended, could have dramatic consequences for these two countries, key players in a region that is -- perhaps belatedly -- starting to buck under the weight of Chinese hegemony.

@highlight

China, Vietnam dispute the waters around the Paracel Islands in the South China Sea

@highlight

Current tension came about after China moved an oil rig into the region

@highlight

This week a Chinese fishing vessel had rammed, sank one of its Vietnamese counterparts