Atlanta (CNN)A little more than a year ago, it quickly became frustratingly obvious that officials in Georgia were underprepared and overwhelmed by a winter storm.

About two weeks later, North Carolina had similar travel issues when a storm moved through the state, rapidly dumping snow and making roads in Raleigh and other cities impassable before people could drive back to the house.

This time, authorities in those states say they are ready. There are more snow plows, more trucks to spread brine and authorities are staying ahead of the bad weather.

And people are staying home or leaving work early.

A late-season system threatens to scrape Atlanta with the kind of frozen precipitation that even in small amounts can turn a 45-minute commute into one lasting hours.

Raleigh and Charlotte face a snowy night. North Carolina's capital might get 5 to 9 inches, and as many as 12 inches could fall in the Queen City, though between 5 and 8 is more likely, according to the National Weather Service. The storm may drop snow in almost every one of North Carolina's 100 counties.

The good news is it is a fast-moving storm and should be gone by Thursday morning.

Yeah, we hear you, New England. Doesn't sound like much of a storm, does it? Remember we're talking about an area of the country where many people don't even carry an ice scraper in their car.

What might pass for a light dusting in Minneapolis or Boston can paralyze a city like Atlanta. Just over a year ago, a few inches of snow and ice left the city in gridlock. Parents scurried from work and hurried to the suburbs to get schoolchildren home. In some cases, Dad or Mom didn't arrive at home until the next afternoon.

State and local officials were heavily criticized for their response to the January 2014 storm that created a traffic nightmare and left some motorists stranded for 18 hours or more.

Never again, officials vowed. And they're leaving nothing to chance.

Georgia Gov. Nathan Deal ordered state of emergency for 51 northern counties. Deal said he was very confident there would be no repeat of clogged freeways.

Russell McMurry of the Georgia Department of Transportation said roads from Atlanta to Tennessee and Alabama had been pre-treated.

The governor of Tennessee -- where 30 weather-related deaths have been reported in the past nine days -- and the governor of Alabama also declared states of emergency. And North Carolina is prepared to do the same.

A small child died in Mississippi. Greg Flynn with the Mississippi Emergency Management Agency said the 2-year-old girl died in an auto accident after a car hydroplaned.

Several Mississippi counties and cities issued curfews. Lee Bowdry, emergency management director for Lee County, said the storm began as sleet and ice, then turned to snow.

"We've had a lot of accidents here," he said. He said the county curfew would be lifted at 5 a.m. There also were restrictions in Calhoun County and in Houston, Okolona and Tupelo.

Raleigh hopes to avoid a repeat of last year when just after the Atlanta snowbacle, the city had one of its own as drivers left work seemingly all at the same time.

On Wednesday afternoon, most of the roads around the Triangle were still clear, and temperatures were in the 40s. Snow began falling just before 8 p.m.

Eleven states had winter storm warnings in effect Wednesday, reason enough for schools across the region to shut down and bread and milk aisles to get stripped bare.

The storm's path goes in a line from Texas to the Carolina coast, though its impact won't necessarily be even -- with a few miles here and there potentially meaning the difference between a soaking rain and a Snowmageddon or something in between.

Take Tennessee, for instance, where Memphis and Nashville are forecast to get 1 to 2 inches of snow. Then there's Chattanooga, in the southeastern corner of the state, which can expect 3 to 7 inches.

Snow isn't the only worry for the South. Sleet and even rain can sometimes be just as debilitating, as previous storms have proven.

"You never get accustomed to an ice storm," CNN meteorologist Chad Myers said. "There's nothing you can do in an ice storm when it really rains on ground that's (below freezing). You can't drive on it, it's hard to walk, maneuvering is impossible."

In Alabama, Joe Day found that out the way you don't want to. He and some friends thought it would be better for them to drive home to Evansville, Indiana, instead of worrying with canceled flights. They didn't make it far. They were stuck on I-65 about 30 miles north of Birmingham. Joe says a hill and snow-covered roadways led to backed-up traffic for miles.

Those planning to fly in and out of the South are on call in preparation for canceled flights or on the phone to reschedule because that's already happened.

As of 9 p.m., the air travel tracking website FlightAware was already reporting more than 1,540 cancellations Wednesday in and out of the United States (not every cancellation was weather-related).

Its list of the most-affected airports has a distinctly Southern twang, with two around Dallas (DFW and Love Field, which were in the middle of the wintry muck in the morning) among those hardest hit. Atlanta's Hartsfield-Jackson led every place with a reported more than 20% of its arriving and departing flights called off, something that could have far-reaching implications, given its standing as the one of the world's busiest airports.

Some snow and travel headaches are nothing new, of course, for those in the North -- especially this winter. Folks there found plenty of humor in the South's predicament.

"In Wisconsin, we call this 'Wednesday,'" joked Craig Koplien.

CNN's Greg Botelho, Ray Sanchez, Phil Gast and Dorrine Mendoza contributed to this report.

@highlight

Mississippi officials say one child dies in a car wreck

@highlight

Bad weather contributes to miles-long traffic backup in Alabama

@highlight

Winter storm warnings in 11 states; rain, ice and snow are all issues