Washington (CNN) -- So there's this guy, Barry, who seems pretty liberal. Used to smoke pot and doesn't think it's as dangerous as alcohol. Says he wouldn't let a son play pro football.

Some call him one of those late Baby Boomers who believe they can save the world. Maybe he used to be, but the last year has been pretty tough and he's sounding a bit more grounded these days when you actually sit down and talk to him.

Barry could be any number of Americans -- an educated, white-collar guy having his idealistic vision blunted by midlife realities such as raising two daughters.

In this case, he's the President of the United States on the fifth anniversary of his inauguration as the nation's first African-American commander in chief.

An expansive profile by The New Yorker magazine shows Barack Obama as both impatient with and accepting of the political, social and personal limitations on his ability to achieve the bold hopes and dreams described in his now famous 2004 Democratic National Convention speech that elevated him to the national stage.

"I believe that we can give our middle class relief and provide working families with a road to opportunity," he said that night in Boston. "I believe we can provide jobs for the jobless, homes to the homeless, and reclaim young people in cities across America from violence and despair. I believe that we have a righteous wind at our backs, and that as we stand on the crossroads of history, we can make the right choices and meet the challenges that face us."

A decade later, now-President Obama bears the political scars and graying hair of five years in the White House, and David Remnick's profile reveals the burden he carries.

Obama would not let his son play football

"Every morning and every night, I'm taking measure of my actions against the options and possibilities available to me, understanding that there are going to be mistakes that I make and my team makes and that America makes; understanding that there are going to be limits to the good we can do and the bad that we can prevent, and that there's going to be tragedy out there and, by occupying this office, I am part of that tragedy occasionally," Obama says in the profile.

He continues the thought by adding "that if I am doing my very best and basing my decisions on the core values and ideals that I was brought up with and that I think are pretty consistent with those of most Americans, that at the end of the day things will be better rather than worse."

The profile, which included one-on-one interviews, made news on some issues.

Obama revealed a middle-ground stance on pot, saying he warns his daughters against smoking it as he did, but also complaining that too many young people face lengthy prison terms for something he says is less dangerous to the user than alcohol.

He has no son, but if he did, he would stop the boy from becoming a pro football player because of the chronic debilitating injuries, says the Chicago Bears fan.

On political and policy issues, Obama acknowledges he completed his evolution from noncommittal to fully supportive of gay marriage before making his stance public in 2012, a few months before his re-election for a second term.

It was "fair to say that I may have come to that realization slightly before I actually made the announcement," Obama admits in the profile. "But this was not a situation where I kind of did a wink and a nod and a 180-degree turn."

Regarding the trifecta of international negotiations involving thorny Middle East issues -- Syria, Iran's nuclear ambitions and the Israeli-Palestinian conflict -- Obama concedes the chances for completing final treaties in any of them are less than 50%.

Obama says marijuana 'no more dangerous than alcohol'

"In all three circumstances we may be able to push the boulder partway up the hill and maybe stabilize it so it doesn't roll back on us," he says in the profile. "And all three are connected. I do believe that the region is going through rapid change and inexorable change. Some of it is demographics; some of it is technology; some of it is economics. And the old order, the old equilibrium, is no longer tenable. The question then becomes, 'what's next?' "

The theme of historical context and taking the long view runs through many of Obama's remarks in the profile.

While he spent the 2012 election campaign touting his accomplishments -- recovery from the recession, health care reform, ending the Iraq war and winding down combat operations in Afghanistan -- Obama sounds more reflective now after a first year in his second term mired in political stalemate with recalcitrant Republicans over immigration reform, gun control and the endless battles over spending and taxes.

Referring to the famous line from the film version of Mario Puzo's "The Godfather," Obama says that "it turns out Marlon Brando had it easy, because, when it comes to Congress, there is no such thing as an offer they can't refuse."

While he ascribes some of the relentless political opposition he faces to race, he also points out that he gets some benefit as the first African-American President.

"There's no doubt that there's some folks who just really dislike me because they don't like the idea of a black President," Obama says. "Now, the flip side of it is there are some black folks and maybe some white folks who really like me and give me the benefit of the doubt precisely because I'm a black President."

He evokes the name and legacy of Abraham Lincoln in providing his own long view of both the role of a president and his own efforts in the Oval Office.

"Despite being the greatest president, in my mind, in our history," he says of Lincoln, "it took another 150 years before African-Americans had anything approaching formal equality, much less real equality."

To Obama, "that doesn't diminish Lincoln's achievements, but it acknowledges that at the end of the day we're part of a long-running story," he says, adding: "We just try to get our paragraph right."

@highlight

In a major magazine profile, President Obama emphasizes historical context

@highlight

Ten years after bursting onto the national scene, Obama's vision sounds less lofty

@highlight

Still pushing for equal opportunity, he says in the end things will be better than worse

@highlight

Obama: Chances for final treaties in talks on three Middle East issues less than 50%