Atlanta (CNN) -- Summerhill, a rundown neighborhood near downtown, sits in the shadow of Turner Field, home to baseball's Atlanta Braves.

Vacant buildings abut empty lots, which are rented for parking during games. The area feels like a ghost town during the day -- it's not the sort of place you want to be at night -- but it can fill in fast.

The Braves played the Philadelphia Phillies on Tuesday. Police set up roadblocks while tailgaters cracked beers and music blared.

As fans flooded the streets, they were struck by something new.

Painters, moving over walls like mechanical ants, were transforming nearby buildings into brightly colored murals.

They were there for a project called Living Walls.

Twenty artists converged on Atlanta this month as part of the annual conference, now in its fourth year. They come with one goal: to put art in the streets, in places it usually isn't, with the hope of sparking a conversation and effecting change.

This year, 10 of the artists are local; 10 are international.

"It's been so dead around here," said Reandra Davis, 62.

She sat under an umbrella in a Summerhill lot, where she has sold parking spaces for some 35 years. Davis' spot gave her a clear view of at least one of the buildings being painted.

"It's beautiful where it used to be desolate. It brings everything alive," she said.

From graffiti to galleries: Street vs. public art

'A change brings on new things'

The Israeli artist known as Know Hope matched his wall.

The artist wore blue pants and a blue shirt. Both were covered in white paint, which he had used to draw birds against a blue background.

"You can take your art and it can become part of real life," he said. "When you place it in a certain environment, it becomes a part of the daily lives of the people that live in the space."

Know Hope, 27, was one of several artists this year assigned walls in Summerhill. They clustered around three blocks on Georgia Avenue.

Spray cans were stacked in cardboard boxes on the street. Drops of yellow, blue and orange paint peppered the sidewalk.

The murals were so large in some cases that the artists used cherry pickers to move around -- stopping to spray there, paint here.

Conference organizers provided the equipment and materials and worked to secure permission.

Unlike graffiti, these murals are legal -- a distinction many in the neighborhood were keen to draw.

"I don't like seeing graffiti. That's just something that messes up peoples' buildings. This is more like art," said Willis J. Matthews, 66, a house painter.

He has been hired over the years to buff over graffiti on some of the same Summerhill buildings the artists painted.

Jerome Nelson, 50, manager of a local restaurant, likewise said he had covered graffiti in the past, but would be happy to see more murals.

"It makes you want to take care of your 'hood a little better now. You know, if you're constantly waking up every morning -- seeing the same old thing that's been here for years -- you think that's how it goes. But a change brings on new things," he said.

'What we're doing is extremely political'

As part of its conference, Living Walls hosts parties, lectures and a bike tour of the newly minted walls. The project has not been without controversy.

Two of the pieces created last year were subsequently painted over because of complaints. In one case, neighbors objected to nudity. In the other, some thought the image looked demonic.

"After those two, I realized that what we're doing is extremely political," said Monica Campana, 30, co-founder of Living Walls.

This year, she said she warned artists their work could be short-lived. They were asked to submit sketches ahead of time, but no subject was off limits.

"Whatever you decide to do, it has to be part of this area," Campana said she told the artists.

Apparently, none minded. The French artist Roti, who did one of the murals that got covered, came back to paint again this year.

He worked on a so-called recycled wall, a space previously painted by another artist.

"I love the ephemeral aspect of street art or graffiti. I don't believe that things should stay put," said Campana.

"Even though it sucked that we had to lose two walls, it's like Roti says, those two walls had beautiful lives. They were short lives, but they were very intense lives. They did what they needed to do and they made people think," she said. "It created a dialogue."

Roti, whose first name is Pierre, comes from a graffiti background and continues to work in that medium.

He declined to give his last name because he said some of what he does is not legal.

Unlike some Summerhill residents, Roti, 24, sees little difference between graffiti and murals.

He aims to provoke in either case.

"Graffiti's a sport. They're just taking it to a whole new level," said Campana.

Like this story? Like CNN Living on Facebook

Is there interesting art on the streets of your town? Tell us all about it in the comments below.

@highlight

Twenty artists are in the city to paint 20 murals as part of the Living Walls project

@highlight

The artists aim to transform everyday surfaces into colorful spaces for storytelling

@highlight

Two murals from last year sparked controversy and were covered

@highlight

"It's beautiful where it used to be desolate. It brings everything alive," says one neighbor