Cairo, Egypt (CNN) -- Thousands of people who filled the streets of Cairo Tuesday hope their demonstrations against corruption and failing economic policies will cause upheaval in the government, like the similar protests in Tunisia that inspired them.

But analysts caution that in Egypt, the protesters are up against a different set of challenges.

Juan Cole, a Middle East historian at the University of Michigan and blogger, describes Tunisia as "a little bit unique."

"There have been lots of civil wars. There's been lots of societies in turmoil. But this kind of phenomenon where you had crowds peacefully coming into the streets to demand a change in their own contract with their government -- in the Arab world proper, this is the first time it's happened and it's the first time since 1979 in the Middle East," Cole told CNN last week.

He noted that Tunisia is the "most secular country in the Arab world." Its traditions have favored women's rights and its Islamist influence is negligible.

Tunisia also lacked the oil resources of other Arab states and the ethnic divisions seen in other Middle Eastern countries, which make it harder for opposition movements to unite, he noted.

Looking at the protests Tuesday in Cairo, Mamoun Fandy of the International Institute for Strategic Studies told CNN he was not seeing a "turning point or tipping point yet."

Noting the strength of the army, he said, "The Egyptian system is too strong and too resilient."

A key question that will show the potential strength of the demonstrations Tuesday is whether hardcore protesters will stay through the night, or whether the rallies will fizzle down, he said.

Eric Trager, a Ph.D. candidate in political science at the University of Pennsylvania and a former Fulbright fellow in Egypt, wrote in The Atlantic, "Egypt's liberal activists overwhelmingly come from the wired generation of Twitter and Facebook, and this makes them optimistic that pro-democratic movements can go viral, even in a political environment as traditionally illiberal as the Middle East... Yet Egyptian activists face tremendous odds -- in particular, an entrenched dictatorship that is determined to discredit the very idea of domino-effect democratization."

Time.com published a story Thursday from writer Abigail Hauslohner in Cairo headlined, "After Tunisia: Why Egypt Isn't Ready to Have Its Own Revolution."

Some Egyptians "believe the time is now" for protests to bring about change like in Tunisia, and several people in Egypt have set themselves on fire or attempted to in recent days -- much like the self-immolation of a young unemployed man in Tunisia that sparked protests in that country, she writes. "But in Egypt, it doesn't go much deeper than that."

A greater percentage of Egypt's population than Tunisia's lives below the poverty line, she writes. "The citizens of Egypt regularly complain of a neglectful regime that knows more about torture than it does about public service, and they're furious with a regime that seems to swallow any domestic profits before they can reach the lower classes. And yet no one predicts a revolutionary reset anytime soon."

Two factors distinguish Egypt from Tunisia in this respect, Hauslohner writes: Tunisia's government spent generously on education, creating a frustrated educated but unemployed population. And in Egypt, "the military stands with" Egyptian President Hosni Mubarak. Time.com is a partner of CNN.com.

Writing in Newsweek, journalist Mike Giglio suggested the "upcoming protest in Cairo could mark the beginning of another upheaval."

"Tuesday will be the first real test of whether the revolution is contagious," he wrote in a story published Monday.

Many protesters believe their demonstrations will prove to have far more power than naysayers suggest.

A Facebook page that has served to help organize Tuesday's protests in Cairo says, "Many young Egyptians are now fed up with the inhuman treatment they face on a daily basis in streets, police stations and everywhere... Egyptians are aspiring to the day when Egypt has its freedom and dignity back, the day when the current 30 years long emergency martial law ends and when Egyptians can freely elect their true representatives."

@highlight

Analysts: Egypt is a different story from Tunisia

@highlight

Analyst: Tunisia 'a little bit unique'

@highlight

Time writer says Egypt "not ready" for revolution

@highlight

Protesters believe Cairo demonstrations can help trigger change