Passengers aboard a sinking South Korean ferry faced a terrifying choice as the vessel rolled: obey commands barked over loudspeakers to stay in place, or don life vests and jump into the chilly ocean water.

"Don't move," a voice warned, according to a recording obtained by CNN affiliate YTN. "If you move, it's dangerous. Don't move."

That announcement, some witnesses worried, may have cost some passengers on the ferry Sewol their lives.

"Kids were forced to stay put," one survivor told CNN affiliate YTN, "so only some of those who moved survived."

As rescuers searched the frigid water for nearly 300 people who remained unaccounted for, witnesses told horrific stories of their final minutes on the sinking ship.

"We were told to stay where you are, so we kept staying," survivor Hyun Hung Chang told YTN. "But later on, the water level came up. So we were beside ourselves. Kids were screaming out of terror, shouting for help."

At least some of those who jumped or made their way to the top of the ship were rescued. Helicopter crews plucked some from the deck.

Others were pulled from the water by rescuers aboard the multitude of fishing boats and military vessels that raced to the scene as the ship rolled over and capsized.

"I had to swim a bit to get to the boat to be rescued," Lim Hyung Min, one of more than 300 Seoul high school students who was aboard the ship for a four-day field trip, told CNN affiliate YTN. "The water was so cold and I wanted to live."

Nine have been confirmed dead, officials said Thursday.

As of 10:45 a.m. (9:45 p.m. ET Wednesday), of the 475 people who were aboard the ferry when it capsized, there were 287 people missing, and 179 people had been rescued, the coast guard said.

Police are questioning the boat's captain, and maritime police are investigating safety and rescue conditions aboard the ferry, YTN reported.

The captain had few words for the public.

"I'm sorry, I have nothing to say," the captain said, according to South Korean TV network JTBC.

A massive rescue operation resumed early Thursday after a delay of several hours, the South Korean Coast Guard told CNN. The reason for the delay was unclear.

Dozens of military divers, sailors, marines and police officers were assisting in the effort.

But cold water, swift currents and low visibility appeared to be complicating the rescue operation.

Water temperatures in the area are between 50 and 55 degrees Fahrenheit (about 10 to 13 degrees Celsius), CNN meteorologist Brandon Miller said.

Helicopters took off from the U.S. Navy ship USS Bonhomme Richard Thursday to support search efforts, said Lt. Arlo Abrahamson, spokesman for the U.S. Navy in South Korea.

The U.S. ship also has divers aboard who could help with searching if South Korea's government requests it, he told CNN's "Erin Burnett OutFront."

"From the images that I've seen, there's clearly some areas of the hull that are above the water, that are not flooded," Mike Dean, the U.S. Navy deputy director for salvage and diving, told "CNN Tonight." "So absolutely, there could be areas in there where there is breathable air, but the trouble right now is the temperature and getting people to them."

Rescuers are "up against every sort of obstacle," said David Gallo, director of special projects at the Woods Hole Oceanographic Institution.

"It's just an absolutely, positively horrific situation," he said. "It's nightmarish."

'We are not dead yet' passengers texted

A tilt and a bang

It began as a routine ocean trip on calm seas. Passengers bound for a resort island were just stirring, some eating breakfast.

The ship ran into trouble just before 9 a.m. as it steamed toward to Jeju, a resort island considered the Hawaii of Korea.

Passenger Kim Sung-Mook told YTN that he was eating breakfast in the ship's main hall when he felt the ferry begin to tilt.

Someone made the announcement telling passengers to stay in place. Then, he said, he heard a loud bang.

Lim, the rescued student, told YTN he heard the bang before the ship began to list. The tremors knocked shipping containers off balance, he said.

"The students were falling over and crashing into things and bleeding," Lim said.

Many passengers screamed.

He obeyed orders to stay on the ship until rescuers arrived, threw him a life jacket and told him to jump.

The water, he said, was "unbearably cold."

Cell phone video believed to have been taken from inside the ferry shows people wearing life jackets and waiting.

At first, survivor Ji Chul Song said she listened to orders to stay put.

"But suddenly, the water came up to my face," she told YTN. "So I think it was a narrow escape from dying."

Can they survive in air pockets?

Why were passengers told to stay put?

The warning over the ferry's loudspeakers may have put passengers' lives at risk, said Mary Schiavo, a CNN analyst and former inspector general for the U.S. Department of Transportation.

"I think the instruction for those people to remain in place and not get on lifeboats was terribly, tragically wrong," she said.

Kim Petersen, governor emeritus of the Maritime Security Council, said that when crew members aboard the ship issued that warning, it might have been the best course of action.

"The master of the ship, the captain, may well have determined that the vessel was going to remain level and might sink at a steady rate that would allow for the safe exit of people off of the vessel using life rafts, for example, and that would be the preferred way to go," he said. "It may well be that the announcement was made while the captain was under the impression that the vessel was not going to sink quickly. And that events overtook their ability to communicate a change in direction to the passengers."

Massive damage?

What caused the ship to sink is unknown. It capsized within two hours of its first distress call, which came just before 9 a.m., Yonhap reported

Peter Boynton, a retired U.S. Coast Guard captain, said the speed with which the ship sank suggested it had sustained "major damage."

It most likely struck something in the water, Boynton said.

Making matters worse, the ferry carried dozens of vehicles. Once an auto deck is breached, "it's typically open to very significant flooding," Boynton said. That could explain "why the ferry in just a matter of hours began to roll onto its side so quickly."

As authorities searched for answers, heartbroken family members of the missing gathered in Jindo, about 20 kilometers (12 miles) from the site where the ferry sank.

Desperation turned to anger for some, who accused authorities of not doing enough.

Coast guard boats took some family members clamoring for answers out to the site of the shipwreck early Thursday.

One mother shared a text message she said her son apparently sent hours after the ferry sunk.

"Can't see a thing, it's totally dark," the message said. "We are not dead yet, so please send along this message."

Survivors tell of panic on board as ferry tilts, then capsizes

@highlight

Ferry captain: "I'm sorry, I have nothing to say," JTBC reports

@highlight

Analyst: Instructions to stay put were "terribly, tragically wrong"

@highlight

Coast guard: At least 9 people are dead; 287 are missing

@highlight

Survivor: "Kids were forced to stay put, so only some of those who moved survived"