Imagine sitting at a conference roundtable and being able to look out on the turquoise sea for inspiration. At lunch, you steal away to sunbathe on deck. That night, after a featured speaker presentation, you'll watch a cabaret. Tomorrow, you'll spend a few hours on Grand Cayman.

This is what a corporate retreat should look like, some meeting planners say, and companies, large and small, are catching on. They're choosing cruises as venues for corporate meetings, events and conferences. Eight percent of companies surveyed by research firm PhoCusWright last year listed cruise ships as their first choice for a meeting venue -- up from 6% in 2009.

Interest is growing partly because, when comparing apples to apples -- including meals, entertainment, presentation equipment and meeting space -- an all-inclusive cruise ship event saves 20 to 30% on cost, according to cruise event services company Landry & Kling. Cruising builds in the social and excursion time needed to get a clear head, generate fresh thinking and share new experiences with colleagues.

"There have been a lot of organizations that deleted or deferred meetings and want to do something to get their momentum back up," says Jo Kling, co-founder and CEO of Landry & Kling. "Taking people to an environment they don't go often or have never been shifts the perspective all together. They're not in a (dark) hotel ballroom ... thinking, 'Here we go again.'"

Business has picked up nicely since the 2008 economic downturn and the "AIG effect" socked the meeting industry, Kling says. Her company expects to double its 2010 business next year.

Companies have access to amenities on cruise ships they might not otherwise be able to afford for a retreat-- nightly entertainment, happy hours, floral arrangements, audio/visual equipment, and personally chosen meals rather than preplanned banquet platters.

"It just disappears from your budget altogether," Kling says.

Corporations working with good cruise lines also need fewer on-site staff to run events, says Sandra Daniel, CEO of FIRE Light Group, an incentive travel and marketing firm.

"The contracts for cruise programs are often more liberal than hotel contracts on attrition clauses and less restrictive cancellation fees," she adds. "Most participants appreciate that they have the opportunity to see many destinations, some of them exclusive to the cruise line, but only need to unpack once."

And to top it off, pricing is usually in U.S. dollars, even when traveling abroad.

The types of events held on cruise ships run the gamut, but are mostly incentive trips for salespeople in the insurance, financial, direct selling and manufacturing fields. Cruise ships are also venues for continuing education courses, product launches and national meetings. Landry & Kling's list of cruise customers includes Microsoft, Aflac, Harley-Davidson, Land O'Lakes, Mastercard International and MetLife.

Companies can book part of a ship or arrange a full, private charter, depending on their size. Meetings at sea may not be such a good fit for large association meetings, which may require hundreds of breakout rooms.

Cruising has become increasingly accessible for companies in the last decade as "loads of new ships" have entered the market, Kling says, with about 27 gateways in the U.S., including Boston; New York; Norfolk, Virginia; Charleston, South Carolina; and Galveston, Texas. About 70% of people live within a five-hour drive of a cruise port, she adds.

To accommodate increasing demand, Landry & Kling launched Seasite.com, an online portal dedicated to cruise meetings and events, to allow corporate planners to send custom electronic Requests For Proposals to five cruise lines and negotiate directly for group pricing.

But the movement is still small. About 25 to 35% of Royal Caribbean's business is group business, and corporate groups are a small piece of that, says Lori Cassidy, the cruise line's director of charters and incentives. (She wouldn't say exactly what percentage is corporate business.)

But cruise lines are interested in attracting more corporate business because the lead time is longer, allowing them to commit their space well in advance, Kling says.

"You are starting to see more cruise lines reaching out to corporate America. We have a fleet of 22 ships that were purposefully built with conference centers," Cassidy says.

Corporate trips on Royal Caribbean are mostly three- to five-night programs in the Caribbean, Alaska and Europe, with some shorter cruises out of South Florida.

Meeting planners express concerns about seasickness and the inability to get on and off at leisure. Daniel says the first is rarely an issue with today's large, smooth-moving ships. Cassidy and Kling say the latter is an advantage.

"It's a captive audience. There's nowhere for (attendees) to go," Cassidy says.

As a result, the environment is more comfortable, the speaker won't disappear, and attendees won't skip sessions to golf instead. Everyone goes their own way for dinner during many hotel retreats, but not on a cruise ship.

Laura LaBelle, chief operating officer of modeling agency Barbizon USA, said her company opted to host two 2,000-person events on a cruise ship out of its base of Tampa, Florida, instead of holding its usual land-based Los Angeles and New York events, because it could offer a similar event for about half the price.

The response from participants has been great, LaBelle says. "Families had it much easier. They enjoyed going to shows and dressing up."

Corporate meeting planners should do their homework before committing to a group cruise program, Daniel says. For example, some cruise ships have lower quality food and smaller rooms than a land hotel. Organizers should pay attention to how long they will be in port at various destinations and how long they are at sea in between stops.

"There are many cruise lines out there, some of which can provide a 5-star experience. They need not be the wild spring break on-board experience that some may fear," she adds. "If you are accustomed to land meetings and have never tried a cruise, it might be something worth considering."

Kling agrees.

"(Cruising) is not going to replace hotels, but it's certainly a nice alternative once in a while," she says. "It excites people."

Have you participated in a business cruise? What did you think of the event? Share your comments below.

@highlight

Meetings on cruise ships give participants a fresh outlook, event planners say

@highlight

All-inclusive cruise events can lower costs for host companies

@highlight

Royal Caribbean has 22 ships with conference centers, but corporate business is still small