(CNN) -- This journey began with such a simple idea: a day of peace. We all want a world without war, without conflict, without human suffering.

A single day is a window of opportunity.

On September 21 last year, Peace Day 2011, my organization, Peace One Day launched the 365-day countdown toward a global truce -- what we hope will be the largest reduction in global violence in recorded history, both domestically and internationally, and the biggest ever gathering of individuals in the name of peace.

It would be the global community's legacy, not mine. What we want to tell individuals is that the power to change the world lies in their hands. I don't believe in cynicism, in apathy; it doesn't get you anywhere. Cynicism kills potential and possibility. And if we're not working towards a better world, what's the point?

When I was younger, I read a book by Frank Barnaby, this wonderful nuclear physicist. He said that media had a responsibility, that all sectors of society had a responsibility to try and move things forward. And that fascinated me.

I was concerned about what was going on in the world. I couldn't understand the starvation, the destruction, the killing of innocent people. I'd been messing around with a camera most of my life; I thought, well maybe I could do something. Maybe I could become a filmmaker. Maybe I can use the form of film constructively.

TED.com: In defense of dialogue

I thought I could go and film older and wiser people who would tell me how they made sense of what was going on around the world. But I realized that a series of sound bites in itself wasn't enough, that there needed to be a mountain to climb, there needed to be a journey that I had to take. And if I took that journey, it would be completely irrelevant whether it failed or succeeded.

The point is that there would be a hook: Is the destruction of the world inevitable? Is humankind fundamentally evil? As we become a global community, are we becoming indifferent to one another?

When it comes to the fundamental issues that humanity faces, solutions involve shifting consciousness towards cooperation. A single day is an achievable starting point. Making that starting point a self-sustaining, institutionalized celebration is what we work towards at Peace One Day.

TED.com: Poems of war, peace, women and power

Each year, September 21 marks Peace Day -- a day for wide-scale community action, and a day for United Nations agencies and aid organizations to safely carry out life-saving work. By 2007, 100 million people were active on Peace Day and since then, Peace Day agreements by all parties to conflict in Afghanistan have resulted in the immunization against polio of 4.5 million children in areas hitherto unreachable or hard to reach due to conflict. On Peace Day 2008, the U.N. Department for Safety and Security recorded a 70% reduction in violent incidents in Afghanistan.

For Peace Day 2012, we are inviting all sectors of society to observe a day of Global Truce -- individuals in every country, at home, in schools, in the workplace, in our local communities, and those engaged in armed conflict on the international stage. Everyone has a role to play.

The Global Truce 2012 campaign will only work if the people get behind it-- if you get behind it. Please join the campaign via www.peaceoneday.org and ask as many people as you can to do the same, via social media or via the new free Peace One Day App.

Individuals can make a difference. By working together there will be Peace One Day.

The opinions expressed in this commentary are solely those of Jeremy Gilley.

@highlight

Jeremy Gilley had a simple idea: A single day of peace every September 21

@highlight

His organization, Peace One Day, calls for a day of cease-fire internationally

@highlight

In past Peace Day has allowed, for example, immunizations in Afghanistan, he says

@highlight

Gilley: Global Truce 2012 campaign will only work if people everywhere get behind it