BALTIMORE, Maryland (CNN) --   Kim Mickens, 49, has always been the caregiver among her eight brothers and sisters. So when her mother, Delphine Mickens, was told she had Alzheimer's disease, Mickens took care of all the arrangements for her mother's care -- among them, she chose a nursing home not far from her place in Baltimore.

Kim Mickens, right, moved her mother, Delphine, in with her after unsuccessful stints at two nursing homes.

But Mickens didn't like the way her mother was treated, so she moved Delphine to a second facility. That one didn't work out either. Mickens eventually concluded that the only way Delphine was going to receive acceptable care was to move her mother in with her.

Moving Delphine into her house wasn't so easy: She needed medical equipment including a wheelchair, medication and round-the-clock care. "She can't walk," Mickens says. "So we bathe her, we feed her, we do everything for her." Because Mickens works two jobs, she also needed someone to provide in-home care.

Because Delphine is in her 80s, Medicare covers a lot of the costs -- but Mickens didn't know where to start; the logistics were overwhelming.

Medicare personnel helped her get some of the medical supplies she needed and also recommend a new Web site called Ask Medicare. Designed to give easy access to people taking care of elderly relatives, Ask Medicare provides information and links to services that are important to caregivers.

Mickens says it was invaluable. "The Web site tells you how to get Medicare assistance," she says. "It also gives you information on how to contact people that you need to get the equipment and supplies for your parents."

The Department of Health and Human Services says at least 44 million Americans provide care for a chronically ill, disabled or elderly family member or friend. Of those family caregivers, 7 percent -- like Mickens -- provide 40 hours or more of care a week. The new Web site designed by HHS is meant to be a navigational tool for caregivers -- for whom time is valuable -- that cuts through all the bureaucratic red tape.  Listen to Kim Mickens talk about caring for her mother »

"We call it a GPS for Medicare," says Rima Cohen, a special adviser at HHS. "It's meant to make information readily available, and presented in a format that is easy to understand."

According to the Center on an Aging Society at Georgetown University, family caregivers provide approximately 80 percent of long-term care services in the United States. "We know that family caregivers are really the backbone of a long-term care giving system in the U.S.," says Cohen. "You might be surprised to note that about $375 billion worth of services are provided by family caregivers -- if they were paid." So helping the caregiver is key.  Watch more on the Ask Medicare Web site »

Mickens says she first used the Web site to set up the living space for her mother. Through a social worker and Ask Medicare, she ordered a special bed, supplies, a new wheelchair, and even filled Delphine's prescriptions. Because Delphine had previously suffered two strokes, she couldn't walk -- a very big problem, since Mickens lives in a two-story home. But through the site, she was able to order an elevator chair that takes Delphine up and down the stairs.

Now that her mother is settled comfortably in her daughter's home, Mickens says she needs some emotional support and "me time." That's not unusual: A study in the American Journal of Public Health finds family caregivers who provide 36 or more hours of care per week are more likely than noncaregivers to experience symptoms of depression or anxiety. Mickens found support in a chat room that was linked to Ask Medicare. "The Web site has helped me read other people's stories," she says. "And now I know I'm not going through this by myself."

Today, Mickens and her mother are a loving twosome. When Mickens is at work, she leaves Delphine with an in-home nurse and relies on her son to help out when he gets home from school. Mickens finally feels content about the quality of care her mother is getting, and she says it would have never happened so quickly had she not found the Ask Medicare Web site.

"I have no problems with it: Once I punch it in, it comes up and takes me out to all the different Web sites," say Mickens. "It's very helpful. I am glad they came up with it."

@highlight

Ask Medicare is new Web site designed to help caregivers cut through red tape

@highlight

At least 44 million Americans care for chronically ill, disabled, elderly family members

@highlight

Eighty percent of long-term care is provided by family caregivers

@highlight

The cost -- if family caregivers were paid -- would be $375 billion