(CNN) -- Chad Madden's hospital room is dimly lit. His mom and dad, Jacqueline and Bill, fuss around their 38-year-old son, rearranging cards from well-wishers, before taking a seat.

Chad, draped in crisp white blankets, lies in a large mechanical bed with his torso elevated. His hands are flat and wide and lie still at his sides.

Chad is paralyzed from the neck down.

He came to Atlanta's Shepherd Center in April after a skydiving accident. The former Navy seaman did two tours in the Persian Gulf in the early '90s, and after completing college, returned in a civilian capacity. Chad was in California on business when the accident happened.

"We weren't home to receive the call. Our family found out first," Jacqueline, 65, recalls.

When her brother-in-law relayed the news, "I wrote everything down," she says. "He'd broken his neck. Then I took a deep breath."

Colorado fire victim films her own evacuation

A competitive skydiver, Chad decided to extend his trip by a day to receive some coaching. It was 3:30 p.m. on March 9, the last jump of the day. Chad was working on speed and accuracy, two of the three factors on which skydivers are judged in competition. He doesn't remember much but can explain what happened.

"I hit the ground, landed on my feet, fell onto my knees and then my face, and broke my C2," he says, referring to the vertebra at the nape of his neck. The nerves were severed, and he was left a quadriplegic, confined to his bed and completely dependent on the help of others. He details the accident so matter-of-factly you wouldn't be blamed for thinking he was telling someone else's story, not that of a man who describes himself as "very adventurous, the guy who doesn't watch TV, the guy who stays on the go."

When Bill and Jacqueline arrived from Mountain Home, Idaho, to the hospital Chad had been taken to, they weren't sure what to expect.

"We didn't know if he was dead or alive," Jacqueline remembers.

The doctors said Chad hadn't been responding to them. Bill asked, "What does he need to do to prove he's responsive?"

He needs to open his eyes, the doctors replied.

Bill, 71, looked at his son and said, "Chad, open your eyes." And he did; just like that. It was as if no one had thought to ask him. Chad's contact lenses were still in his eyes, his dad remembered.

Chad had heard about the Shepherd Center after a fellow skydiver broke his back last year. Shepherd is ranked one of America's best rehabilitation hospitals by U.S News and World Report, and it specializes in spinal cord injuries.

"There was no second choice," he says. The center provides each patient with a private room and on-site housing for family. Each day Chad is tended to by a team of medical professionals, including an occupational therapist and a physical therapist.

Most patients in the spinal cord center have survived an accident that, statistically, should have killed them. Here, they get a second chance.

For Chad, that notion isn't always enough to lift his spirits. When asked how he deals with his situation, the tough guy responds without shame: "A lot of tears." Luckily, he's got what he calls the best family in the world. While his two brothers, sister and parents are separated by hundreds of miles, they're noticeably close.

Help for wildfire evacuees and first responders

On June 18, the Maddens received a second life-changing phone call. A friend from Idaho had devastating news: The Maddens' home of more than 35 years had been torched in a wildfire.

The Maddens had lived in their house, 40 miles southeast of Boise, since 1976. A friend was looking after the home and their pets while the couple tended to Chad in Atlanta. The friend managed to escape with the family dog and cat. The tragedy was, however, potentially a blessing.

Had the Maddens not been in Atlanta, they could have died. Bill has a lung condition that impedes his mobility, making the prospect of being trapped in a smoke-filled home all the more frightening. Chad says that no matter the danger, his mother would never have left his father's side.

"We would be severely burned or dead," Jacqueline said.

Even amid the devastation, the Maddens aren't big on wallowing. "It's hard to know that our stuff is gone, but it's just stuff. Life is from today forward. We're still busy. We still have a life to take care of," Jacqueline says.

Still, Bill speaks of the photographs they've lost and his war papers that burned. They had cash and important documents stored in a safe that were reduced to ash. Despite the loss, Bill and Jacqueline rely on their faith to get them through. "God has amazed me at how much we can handle," Jacqueline says with a grin on her face. "My faith and the Lord just hold me up. I have all the things that I want."

Jill Kellner, Chad's occupational therapist, noticed a change in her patient following the fire, one for the better.

"The fire was a turning point in a positive direction. [Chad] found a sense of purpose again because he needs to be a support system for them," Kellner said. "He was quick to find a silver lining."

Kellner works not only to make sure Chad's muscles stay active, but also to prepare him for life after Shepherd. Chad uses a motorized wheelchair that he operates by blowing into a straw. Therapists upped the chair's speed limit after Chad's recent progress, and he zooms off down the hall toward the therapy room, almost taking a tray on wheels with him.

Chad's face is full of determination. "It's more of an education facility than a health care facility," he says.

It's in therapy that Chad's personality really comes out. His voice softens and his grey-blue eyes shine as he jokes around with Kellner. Knowing that Adele is not her favorite music to listen to at work, Chad says he'd pick an all-Adele playlist for the therapy room if he had the chance. He then glances over to see if she's noticed his cheekiness.

He's more serious when he talks about the Idaho wildfire and the tragedy that could have been. Kellner realizes how much Chad's parents mean to his progress â€” physically and mentally. The Maddens' presence in Atlanta may have saved more than their own lives, she said: "It's a blessing that they were here because it probably saved his life."

Before the fire took their home, Bill and Jacqueline had decided to move to Maryland, where Chad lives, to take care of him. "We're with him until he kicks us out," Jacqueline says. Chad will spend some time at the VA center in Richmond, Virginia, receiving additional care, before he moves back home. His house will also have to be renovated to accommodate his wheelchair and new lifestyle.

As for skydiving again, Chad is already trying to schedule his next jump. While most mothers would find this frightening, Jacqueline (who jumped with Chad last year) knows how much it means to him.

"I've always supported it because it's his passion. There are huge risks stepping off the curb. You can't wrap yourself in cotton."

iReporters share their harrowing views of the wildfires

@highlight

Chad Madden was paralyzed from the neck down in a March skydiving accident

@highlight

Madden's parents were in Atlanta caring for him when their Idaho home burned down

@highlight

Jacqueline and Bill Madden suspect they wouldn't have escaped the fire

@highlight

The Maddens rely on their faith to guide them through their recent hardships