(CNN) -- Former Secretary of State Hillary Clinton is on a national tour to promote her new memoir, "Hard Choices." But her journey has been unusually bumpy.

Her recent gaffes about being "dead broke" or supposedly unlike the "truly well off" have made people wonder if she's really in touch with ordinary Americans.

And then there's a legal case from her past cited in her book that makes one question whether she violated the attorney's sacred oath to never betray a client's secrets.

The attorney-client privilege and its corollary duty to zealously advance the interests of even guilty clients form the very foundation of trust between lawyer and client. Clinton appeared to cavalierly toss these obligations aside in an interview she gave in the early 1980s.

In 1975, the year in which Hillary Rodham married Bill Clinton, she took on the defense of 41-year-old Thomas Taylor, who was accused of raping a 12-year-old girl. In Clinton's memoir, she proudly discusses her role in the case, demonstrating impressive legal skills for a young attorney fresh out of Yale Law School.

Opinion: Why Clinton's comments matter

I was beginning my legal career as a prosecutor in New York during this time and it is clear to me that Clinton's legal tactics were quite consistent with those used by experienced and ethical defense attorneys of that era. Today's preachers of political correctness, many of whom heartily endorse the Clinton candidacy, may be shocked at the details of the future senator's forceful attack on the 12-year-old rape victim in the Taylor case, but times were different then.

For example, while seeking to compel a psychiatric examination of the sixth grade victim, Clinton submitted her own sworn affidavit saying she had: "...been informed that the complainant is emotionally unstable with a tendency to seek out older men and engage in...fantasizing ... she has in the past made false accusations about persons, claiming they had attacked her body... she exhibits an unusual stubbornness and temper when she does not get her way."

The Clinton affidavit stated that a "child psychology" expert advised her that "children in early adolescence tend to exaggerate or romanticize sexual experiences and that adolescents with disorganized families, such as the complainant, are even more prone to such behavior." The language here would score a perfect 10 on the scale of political incorrectness in 2014.

The "disorganized families" are obviously just ordinary poor people with maybe a dash of single-mother household thrown in for good measure. And the 12-year-old girl is "stubborn" and has a "temper." Really? Is that a problem in girls?

Opinion: Petty attacks on Hillary just won't matter

In her book, Clinton describes her daring visit to a "bombed-out" (read: "African-American") Brooklyn neighborhood to obtain the services of a renowned expert in blood analysis. This expert's reputation pushed a nervous prosecutor into believing that his key piece of corroborating evidence -- blood and bodily fluids on the victim's underwear -- would be thrown out of court. Without this evidence, which would have sealed Taylor's fate, the prosecutor folded and accepted a plea to a lesser count.

The result was that the man accused of rape that Clinton defended served only about a year in prison for an offense worth, even in 1975, a 15-year state prison sentence. After one short year this "rootless" (Clinton's word) drifter was back on the street.

While all this may sound horrible to the nonlawyers of the world, in fact everything Clinton did as defense counsel at the time appears to have been ethical and proper. Clinton's defense focused on the child's lack of believability and on throwing out the physical evidence based on the boneheaded prosecutorial destruction of the remaining testable blood-stained cloth. Looks like good lawyering so far.

When looking at this case, the press has generally focused on Clinton's "inappropriate" laughter in an interview with an Arkansas journalist in the early 1980s. Demonstrating a truly tin political ear, she had consented to being tape-recorded.

In listening to the tape, it is apparent to me that Clinton was not laughing about getting a man accused of rape off the hook, but rather at the ineptness of the prosecutors. On tape, she may also have been struggling to bond with the reporter, who often initiates the laughter. This type of shoptalk and gallows humor often takes place behind closed doors among criminal lawyers and prosecutors. But nobody tape records the talk, nobody talks this way "on the record" to reporters.

Even the sleaziest of criminal lawyers don't generally brag about getting a man accused in the rape of a child off the hook. It might make attendance at local PTA meetings and "Back to School Night" more than a little uncomfortable.

Lawyers have an obligation to provide a strong defense to all whom they represent, even those who committed crimes. The Founding Fathers designed an adversarial system requiring proof beyond a reasonable doubt and the right to counsel.

Opinion: How Hillary Clinton flubbed the wealth question

Clinton performed her role as defense counsel to an unpopular, indigent client with skill and competence, affording him the constitutional rights cherished by Americans.

So it is sad really to see her throw this all away and apparently betray the secrets and interests of her client for the sake of telling a good story to a reporter. But that is exactly what she did when during a subsequent interview (also in the 1980s) she revealed that Taylor had taken and passed a polygraph test. She said on tape that she has "forever" lost her "faith" in polygraph tests. What Clinton really may have been saying here is that her client lied in claiming innocence when he took the polygraph test because he was really guilty.

In other words, she appears to have outed Taylor as a liar and a rapist. By framing the story in this way, Clinton violated not only the attorney-client privilege but also her obligation to fully represent the interests of her client as required by the attorney's "Code of Professional Responsibility."

It is utterly improper for a defense attorney to reveal a client confidence in this way. As a veteran teller of legal "war stories," my advice to Clinton is if you are going to tell one, leave out the child rapist case.

Clinton may have handled the case tactics well, but the way she talked about her client raises a serious question about her devotion to legal ethics in her early years of practice. We can only hope that the experience she has accumulated in public life has taught the former secretary of state that a devotion to ethical conduct and fidelity to the interests of those she represents are critically important character traits.

@highlight

Paul Callan: Hillary Clinton defended a man accused of rape early in her career

@highlight

Callan: She violated the attorney's sacred oath to never betray a client's secret

@highlight

He says Clinton behaved properly and ethically as a defense counsel in the case

@highlight

Callan: But one wonders if she can truly represent interests of those she represents