Simran Mahant's excitement is palpable ahead of heading to the nearby polling booth in a small village in northern India.

This is the first time that the 23-year-old transgender dancer will vote in the country's parliamentary election. With an official identity stamp, Simran will also be able to get a passport and travel abroad. The first destination? "Singapore," says the dancer.

"Seeing everyone vote made me feel there is something abnormal about me," says Simran, through an interpreter. "Now, I have my own identity."

Simran is among the three million transgender Indians who will now be entitled to the same rights and welfare support given to other socially and economically disadvantaged classes.

Transgender is a broad community encompassing people whose gender identity does not align to their assigned sex.

In a landmark judgment passed on Tuesday, the country's highest court has recognized transgender people as a third sex, allowing them equal access to education, healthcare and employment, and prohibiting discrimination against them.

Third gender

The move reflects a growing wave of recognition of the rights of transgender for equal recognition internationally.

Earlier this month, the Australian High Court also ruled that the government should legally recognize a third gender, in response to a case filed by a sexual equality campaigner in Sydney.

Even social networking site Facebook has announced plans to offer users new gender options.

"Even though we are at a very early stage, there is an unstoppable movement in the world towards recognition of their rights," says Hong Kong-based Michael Vidler, a human rights lawyer.

According to a 2012 report by the Global Commission on HIV and the Law, 20 countries have recently passed progressive legislation on the issue, including Argentina, Uruguay, and Portugal.

Last year, Germany became the first European country to allow parents of intersex children -- those born with both genitals -- to mark their birth certificates with an "X."

Asian countries including Nepal, Pakistan and Bangladesh have also been visible in their efforts in the last few years to implement policies recognizing "third gender" people.

In India, this is the first time citizens can choose an "others" option on voter ID cards.

Simran, who makes a living by dancing at weddings and festivals, was adamant about not ticking a female or male option on the voter ID card.

"The authorities wanted documents to prove my gender," said Simran. "The doctor refused to give me a medical certificate. I was asked to get a police inquiry done, but no one agreed to take responsibility."

Having their gender recognized will help transgender people access government schemes. For some, it finally means getting something as basic as an electricity connection or a bank account.

"Till now, many departments didn't even know something like a third gender existed," says Dhananjay Chauhan, who runs Saksham Trust, an NGO working for LGBT rights in India.

Right to marriage versus identity recognition

However, even as transgender people are no longer coerced to conform to specific genders in certain countries, they are still denied acceptance in most. Same-sex marriage remains illegal in countries like Pakistan, Sri Lanka, Bangladesh and Bhutan.

India's historic ruling now prohibits discrimination against transgender people on the basis of gender identity and sexual orientation, but activists say it conflicts with the country's existing stance on homosexuality. Last December, the Indian Supreme Court reinstated Section 377 of the Indian penal code, making gay sex a punishable offense.

"This new judgment contradicts Section 377, which has been used and misused to harass sexual minorities," said Delhi-based Shaleen Rakesh, a gay rights activist and director of the India HIV/Aids Alliance. "If the government wants to synchronize the law with this judgment, the perfect timing and opportunity is now here."

In other countries, the fight is centered on legal recognition of transgender people. In the United States, laws vary depending on the state as some prohibit gender-based discrimination.

As the LGBT community continues its struggle for equality, the nature of the fight remains specific to each country.

In India, Simran's battle is with the word used in official documents.

"What do you mean by 'others'? I am a transgender. I should be known by just that."

@highlight

India has given a third-gender status to transgender people, recognizing them as citizens

@highlight

India and Australia are the latest countries who provide a 'third gender' option in legal documents

@highlight

Petition launched in the U.S. is demanding legal recognition for 'non-binary genders'

@highlight

Same-sex marriage continues to be illegal in several countries, including many Asian countries