(CNN) -- The husband of a pregnant Texas woman -- who he says has been brain dead for seven weeks -- asked a court Tuesday to force a hospital to take her off a respirator, ventilator and other machines, saying her wishes shouldn't be disregarded just because she is pregnant.

Erick Munoz filed an emergency motion as well as a complaint against John Peter Smith Hospital, both with the same goal: to have the hospital disconnect the machines so that her family can take her body and give her a proper burial.

"Marlise Munoz is legally dead, and to further conduct surgical procedures on a deceased body is nothing short of outrageous," her husband contends in the motion.

Notably, officials at the Fort Worth, Texas, hospital where 33-year-old Marlise Munoz is have not publicly declared her dead (though they have not disputed her husband's assertions either). Erick Munoz -- like his wife, a paramedic by training -- said the doctors told him Marlise "had lost all activity in her brain stem," and an accompanying chart stated she was "brain dead," according to his lawsuit.

The hospital referred requests for comment to the Tarrant County district attorney's office, which said it will defend the medical facility against the lawsuit. It is legal counsel for John Peter Smith Hospital "in a number of civil areas."

Noting it first learned of the legal action just before noon Tuesday, the office said it "will file a response in due course" but won't have any further comment now "because litigation is pending."

The case will be heard by Tarrant County 17th District Court Judge Melody Wilkinson. At this time, no hearing has been scheduled.

Hospital spokesman J.R. Labbe said last month that doctors were simply trying to obey a Texas law that states that "you cannot withhold or withdraw life-sustaining treatment for a pregnant patient."

And last week, Labbe told CNN that the hospital believed "the courts are the appropriate venue to provide clarity, direction and resolution in this matter."

Munoz's husband responds by saying that "Marlise cannot possibly be a pregnant patient -- Marlise is dead." Furthermore, he argued that her wishes -- relayed, he said, in conversations but not in writing that she not be on "life-sustaining" measures when she is brain dead -- shouldn't be treated differently than a man or other woman simply because of her pregnancy.

Mom of pregnant woman on life support: Change the law

"Marlise has a fundamental right to make medical decisions regarding her own body," her husband contended in the motion. "... To take those rights away from Marlise, and force her to be subject to various medical procedures simply because she is pregnant, is a gross violation of her constitutional right."

Last month, Erick Munoz discussed with CNN affiliate WFAA his wife's wishes and how their shared occupation had helped shape her views.

"We'd seen things out in the field. We both knew that we didn't want to be on life support," he said. "We reached a point where you wish your wife's body would just stop."

Lynne Machado, Marlise Munoz's mother, said Tuesday the family is not talking about the case but said she and her husband, Ernest, agree with Erick that their daughter would want to be removed from the machines.

As the lawsuit details, the story began at 2 a.m. on November 26, when Erick found his wife unconscious on the kitchen floor. At the time, she was 14 weeks' pregnant with the couple's second child.

Soon after that, she was taken to John Peter Smith Hospital, where Erick Munoz claims he was told his wife "was for all purposes brain dead." The family also says the fetus may have been deprived of oxygen.

In the lawsuit, he claims subsequent measures taken at the hospital -- and, in turn, the state law used to justify them -- amount "to nothing more than the cruel and obscene mutilation of a deceased body against the expressed will of the deceased and her family."

"Marlise Munoz's death is a horrible and tragic circumstance, but by no means should (the hospital) be entitled to continue cutting into her deceased body in front of her husband and family under the guise of 'life-sustaining' treatment," according to the lawsuit.

Dr. Jeffrey Ecker, director of obstetrical clinical research and quality assurance at Massachusetts General Hospital, works on complicated pregnancies and prenatal diagnosis. He says nothing scientifically in Marlise Munoz' pregnancy is black and white.

"A lot depends, first of all, on how long the patient here was deprived of oxygen, or otherwise compromised. We can certainly use tools like ultrasound and MRI to sometimes see where there has been injury as a result of low blood pressure or low oxygen. But just seeing that things look well isn't the same as saying that things will be well," Ecker told CNN.

"Those things can't perfectly predict health and outcome. And there are certainly occasions where as we look as best as we can tell, a fetus seems to be developing appropriately and meeting all its milestones, and yet after after birth, after delivery, there is evidence of profound compromise," Ecker said.

Tom Mayo, a Southern Methodist University law professor who helped write the applicable Texas law, said he believes the hospital is misinterpreting it.

"She's not a patient anymore," Mayo said. "And so I don't see how we can use a provision of the law that talks about treating or not treating a patient in a case where we really don't have a patient."

The Texas law states that a "person may not withdraw or withhold life-sustaining treatment under this subchapter from a pregnant patient."

Mayo said, "The provision they seem to be relying on is called the pregnancy exclusion. More than 30 states have this pregnancy exclusion in their law. ... If they're relying on that provision, I think Texas law in that respect does not compel the provision of life-sustaining treatment."

Mayo believes the lawsuit is a straightforward argument because the law was not written as a vehicle for making "treatment decisions" for patients who are dead and therefore beyond treatment.

"If she's brain-dead, then she's already dead, so letting her die isn't really the concept. But can he say, 'Take her off the ventilator'? I believe he can."

But Sunny Hostin, a CNN legal analyst, said that she thinks the state statute as written is "ambiguous" and "vague."

"When you have these murky areas, you have to go to court, because courts provide clarity, courts provide direction," Hostin said. "And that's why I think the lawsuit is the right thing ... to jump to the conclusion."

When 'life support' is really 'death support'

CNN's Elizabeth Landau and Ed Lavandera contributed to this report.

@highlight

NEW: Tarrant County judge will hear the case, but no date has been set for hearing

@highlight

Marlise Munoz was 14 weeks' pregnant when stricken; hospital has said it must follow state law

@highlight

Analyst: Courts can "provide clarity" on a "vague" state statute

@highlight

Family: Munoz is brain-dead with no life to sustain; calls treatment "cruel and obscene mutilation"