(CNN) --   In 1974, when Edward Kennedy Jr., developed an aggressive form of bone cancer that at the time few survived, his father, the late senator, wasted no time snapping into action. Summoning a group of cancer specialists to his Virginia home, the senator and the doctors debated well into the night how best to treat the 12-year-old boy, according to Adam Clymer, author of "Edward M. Kennedy: A Biography."

Sen. Ted and Victoria Kennedy in 1997 with his children Ted Jr. and  Kara, both cancer survivors.

The team ultimately chose an aggressive -- and risky -- course of chemotherapy. Thirty-six years later, Teddy Jr. is alive and cancer-free.

When the senator's daughter, Kara Kennedy, was told she had lung cancer in 2002, her father deployed a similar strategy, Clymer says. Doctors said Kara's tumor was inoperable and the 42-year-old mother of two young children might have less than a year to live. But Sen. Edward Kennedy refused to accept that prognosis, and instead consulted with other experts and found a surgeon willing to operate.

Seven years later, Kara Kennedy is also alive and cancer-free.

If you're thinking only Kennedy clout and Kennedy money can get that kind of care, think again. While you may not be able to summon medical experts from around the country to your kitchen table with the snap of your fingers, experts in patient empowerment say more and more people are carving out their own Kennedy-style health care.

"The power that Senator Kennedy had has now trickled down to all of us, who can virtually gather people in our living room," says Susannah Fox, associate director of the Pew Internet Project and co-author of a report on Internet use and health information.

According to the Pew report, released in June, 61 percent of American adults look online for health information. Twenty-four percent have consulted rankings or reviews of doctors online, and 19 percent have signed up to receive updates about health or medical issues.

Many consumers are going even further, finding top experts online and boldly engaging them directly via e-mail or through social networking sites such as Facebook or Twitter.

"You can get quite far using your own keyboard to gather expert opinions. I've heard many times over the years that doctors and surgeons are surprisingly accessible," Fox says. "You can gather the greatest minds in science. It's really powerful."

Dr. Mitchel Berger, chairman of the department of neurological surgery at the University of California, San Francisco, says he regularly receives e-mails from patients he's never heard of -- and he returns them.

"I think patients are very smart these days," says the neurosurgeon, who flew in for a meeting of experts Kennedy convened last year in Boston to discuss options for treating his brain cancer.

Dr. Raymond Sawaya, chairman of the Department of Neurosurgery at the M.D. Anderson Cancer Center and Baylor College of Medicine in Houston, Texas, says he also returns e-mails from patients he doesn't know.

"Smart people write to the top four or five major centers in the country," he says.

From stay-at-home mom to lung cancer expert

Through her own ingenuity, hard work, and determination, Karen Parles received Kennedy-quality care without his power or money.

When Parles' lung cancer was diagnosed in 1998, the 38-year-old stay-at-home mother was told it was inoperable.

"They gave us no hope," her husband, Dr. James Parles remembers. "They told her if untreated, her illness was generally fatal in six to 12 months." Even with treatment, the doctors said she wouldn't live much longer than a year.

Like the late senator, Karen Parles wouldn't accept a diagnosis of no hope. She reached out to the wife of a college friend who is a pulmonologist at Massachusetts General Hospital in Boston, who in turn referred Parles to Dr. John Wain, a surgeon there. Dr. Wain removed her lung and chest wall lining.

After several years the cancer recurred, this time to her liver and a rib. She had successful chemotherapy, but the cancer returned to her liver. To avoid the side effects of ongoing chemotherapy, Parles, a librarian by profession, then immersed herself in cancer research. "She read a paper about this new procedure called radiofrequency ablation, and she wrote to the doctor who did the study, and asked him for the best place to go in the Northeast," says James Parles, a pediatrician in Smithtown, New York.

The doctor returned her cold-call e-mail, and suggested she go Rhode Island Hospital, where Dr. Damian Dupuy performed the ablation procedure.

Parles continued to suffer multiple recurrences of her cancer. After undergoing various therapies, she consulted with Dr. Corey Langer, then at the Fox Chase Cancer Center in Philadelphia, whom she had met at a medical conference. He suggested an infusion of radioactive microspheres into her liver, another procedure she'd never heard of, to treat the liver tumors without chemotherapy.

Parles received the infusion, but had to appeal to her insurance company to get it paid for, her husband says. She passed away in February 2009.

"She got 11 extra years of life because of her determination to get the best the medical establishment had to offer," her husband says, noting that most of those years were enjoyed in good health. "Our kids were 8 and 7 years old when she was diagnosed with lung cancer. They were 20 and 18 when she died. She got to watch them grow up to be young adults because of her own tenacity."

How to get Kennedy-style health care

The first step to getting health care like a Kennedy is to go online and learn as much as you can about your disease, says Dave deBronkart, co-chairman of the Society for Participatory Medicine.

"It used to be that in order to get medical information, you had to be a member of what people call 'the priesthood,'" he says. "It was a very private and closed group that got its information through medical schools and medical societies. Now all that's changed because of the Internet."

Step two, he says, is to communicate electronically with people who have your disease. That's what deBronkart did in 2007 when he was found to have kidney cancer that had spread to his brain, tongue, arms, and legs. "Initially, doctors told me the median survival time was 24 weeks," he says.

Like Kennedy, deBronkart couldn't accept such a dismal prognosis. "I joined the Association of Cancer Online Resources, and within 15 minutes of posting a question about where the best doctors were, I had an answer," deBronkart says.

He says the third step is to contact experts in the field, as Kennedy and Parles did when they were stricken with cancer.

"Kennedy was a good role model in that he aggressively pursued finding out all the options that were available," deBronkart says. "You could say he scoured the earth."

CNN's David Martin contributed to this report.

@highlight

Kennedy's son was given experimental treatment for bone cancer when he was 12

@highlight

When daughter Kara developed lung cancer, Kennedy found a doctor who'd operate

@highlight

Empowered patients can get Kennedy quality care without riches or connections

@highlight

Doctor's advice: Do research on the Internet, contact experts and other patients