(CNN) -- Radiation from cell phones can possibly cause cancer, according to the World Health Organization. The agency now lists mobile phone use in the same "carcinogenic hazard" category as lead, engine exhaust and chloroform.

Before its announcement Tuesday, WHO had assured consumers that no adverse health effects had been established.

A team of 31 scientists from 14 countries, including the United States, made the decision after reviewing peer-reviewed studies on cell phone safety. The team found enough evidence to categorize personal exposure as "possibly carcinogenic to humans."

What that means is they found some evidence of increase in glioma and acoustic neuroma brain cancer for mobile phone users, but have not been able to draw conclusions for other types of cancers

"The biggest problem we have is that we know most environmental factors take several decades of exposure before we really see the consequences," said Dr. Keith Black, chairman of neurology at Cedars-Sinai Medical Center in Los Angeles.

The type of radiation coming out of a cell phone is called non-ionizing. It is not like an X-ray, but more like a very low-powered microwave oven.

"What microwave radiation does in most simplistic terms is similar to what happens to food in microwaves, essentially cooking the brain," Black said. "So in addition to leading to a development of cancer and tumors, there could be a whole host of other effects like cognitive memory function, since the memory temporal lobes are where we hold our cell phones."

Wireless industry responded to Tuesday's announcement saying it "does not mean cell phones cause cancer." CTIA-The Wireless Association added that WHO researchers "did not conduct any new research, but rather reviewed published studies."

The European Environmental Agency has pushed for more studies, saying cell phones could be as big a public health risk as smoking, asbestos and leaded gasoline. The head of a prominent cancer-research institute at the University of Pittsburgh sent a memo to all employees urging them to limit cell phone use because of a possible risk of cancer.

"When you look at cancer development -- particularly brain cancer -- it takes a long time to develop. I think it is a good idea to give the public some sort of warning that long-term exposure to radiation from your cell phone could possibly cause cancer," said Dr. Henry Lai, research professor in bioengineering at University of Washington who has studied radiation for more than 30 years.

Results from the largest international study on cell phones and cancer was released in 2010. It showed participants in the study who used a cell phone for 10 years or more had doubled the rate of brain glioma, a type of tumor. To date, there have been no long-term studies on the effects of cell phone usage among children.

"Children's skulls and scalps are thinner. So the radiation can penetrate deeper into the brain of children and young adults. Their cells are at a dividing faster rate, so the impact of radiation can be much larger." said Black of Cedars-Sinai Medical Center.

In February, a study by researchers at the National Institutes of Health, revealed radiation emitted after just 50 minutes on a mobile phone increases the activity in brain cells. The effects of brain activity being artificially stimulated are still unknown.

Neurosurgeon and CNN chief medical correspondent Dr. Sanjay Gupta says Tuesday's announcement, "dealt a blow to those who have long said, 'There is no possible mechanism for cell phones to cause cancer.' By classifying cell phones as a possible carcinogen, they also seem to be tacitly admitting a mechanism could exist."

Manufacturers of many popular cell phones already warn consumers to keep their device away from their body and medical experts say there other ways to minimize cell phone radiation.

The Apple iPhone 4 safety manual says users' radiation exposure should not exceed FCC guidelines: "When using iPhone near your body for voice calls or for wireless data transmission over a cellular network, keep iPhone at least 15 millimeters (5/8 inch) away from the body."

BlackBerry Bold advises users to "keep the BlackBerry device at least 0.98 inch (25 millimeters) from your body when the BlackBerry device is transmitting."

The logic behind such recommendations is that the further the phone is from the body, the less radiation is absorbed. Users can also use the speakerphone function or a wired earpiece to gain some distance.

Users can text instead of talk if they want to keep the phone away from their faces.

Finally, cell phones emit the most radiation when they are attempting to connect to cellular towers. A moving phone, or a phone in an area with a weak signal, has to work harder, giving of more radiation. So users can avoid using their cell phones in elevators, buildings and rural areas if they want to reduce their exposure, experts say.

@highlight

NEW: Experts say there are ways to minimize cell phone radiation

@highlight

It's in the same "hazard" category as lead, engine exhaust and chloroform

@highlight

Until now, WHO has said no adverse health effects have been established

@highlight

The cell phone industry maintains that there is no conclusive evidence of danger