(Southern Living) -- Your entire winter wishlist is here. Cozy fire casting shadows in an expansive lodge library? Check. Families snowshoeing into a thicket of evergreens? Check. Old-timers dropping lines into holes cut from a frozen lake? Check. You can even find dogsledding and sleigh rides.

All this in a postcard-ready setting: the 3,900-acre Deep Creek Lake, surrounded by Maryland's mountains and dusted with an average snowfall of 120 inches. (That's twice as much as Denver, Colorado, and Fairbanks, Alaska!) Here's our guide to planning a frosty yet cozy winter weekend.

Southern Living: Escape to the coast

Where to Stay:

Lake Pointe Inn
Set on the shore of Deep Creek Lake, Lake Pointe Inn has nailed the yin and yang of a winter retreat. The Arts and Crafts-style bed-and-breakfast has a wraparound porch with views of the lake, while a massive stone fireplace dominates the lobby. Outside, a fire pit in the snow is fully stocked with marshmallows. Every detail speaks of this inn's devotion to comfort, from rooms with gas fireplaces and lake-view balconies to the comfort food: pumpkin flapjacks and egg scrambles by morning and a complimentary happy hour with wine and hors d'oeuvres each eve.

Savage River Lodge
The Savage River Lodge may be a 45-minute drive from the lake, but this full-service resort is a destination all on its own. Sitting on the Eastern Continental Divide, the lodge enjoys lake-effect snow, with access to 13 miles of groomed cross-country ski and snowshoe trails. A double-sided stone fireplace warms a three-floor lodge complete with an impressive library, a full bar and a restaurant that leans heavily on local fare (wild game meatloaf, anyone?). Sign up for one of the lodge's all-day culinary classes and you can even be chef for a day.

Southern Living: The South's best new hotels

Deep Creek Rental Cabins
For large groups, a cabin makes the ideal winter base camp. From shoreline homes to slope-side rentals, some cabins come equipped with hot tubs, bonfire pits, game rooms and even in-home movie theaters. We found a five-bedroom lodge with a hot tub, pool table, wood-burning fireplace and views of the lake.

Where to Play:

Swallow Falls State Park 
Strap on a set of snowshoes (it's as easy as walking, we swear!) for a two-hour guided hike through an old-growth hemlock forest in Swallow Falls State Park. Your ultimate destination is Muddy Creek Falls, the highest waterfall in Maryland, which, with any luck, will be frozen during your winter visit -- a spectacular photo op. Consider signing up for the four-hour Nature Photography Tour, which includes camera instruction from a pro nature photographer.

Savage River Lodge
There's no shortage of cross-country trails in the Deep Creek Lake area, but the most civilized option might be at Savage River Lodge, where in-house rentals and lessons make the experience a cinch for beginners. To entice visitors even further, co-owner Mike Dreisbach has set up a warming station with a bonfire pit and benches where skiers can rest and guests can roast marshmallows.

Southern Living: 10 best getaways

Husky Power Dogsledding
The Siberian huskies at Husky Power Dogsledding may be the happiest locals in Deep Creek. "We're the only commercial dogsledding outfit below the Mason-Dixon," says co-owner Linda Herdering. Choose from a 10-minute jaunt to a two-hour excursion, and hang with the dogs while learning about the sport.

Wisp Resort
Wisp Resort, Maryland's only downhill ski area, offers 132 acres of skiing, almost half of which is designed for beginner skiers and boarders. Head for the North Camp Trails, almost entirely devoted to new skiers, and combine Backbone Pass with Big Dipper for 1Â½ miles of gentle terrain with pastoral views. Go during the week to avoid the crowds and score a deal.

Pleasant Valley Dream Rides
Does it get any cozier than snuggling beneath a blanket while sipping hot chocolate in a horse-drawn sleigh? Hardly. Pleasant Valley Dream Rides offers sleigh rides on a gorgeous family-owned farm throughout the day, but we say reserve a private excursion under the stars.

Where to Eat:

Mountain State Brewing Company 
Mountain State Brewing Company serves creative wood-fired flatbread pizzas, such as the Buffalo Chicken (with grilled chicken, Buffalo sauce and blue cheese) and such treats as the s'mores dessert pizza made with Nutella, graham crackers and marshmallows. The beer's good too, handcrafted by two West Virginia brothers. Try their Almost Heaven Amber Ale, a caramel-flavored brew.

Will O' the Wisp
The Four Seasons at Will O' the Wisp is the local go-to spot for an intimate dinner. The restaurant sits inside the family-owned Will O' the Wisp Resort (owned by the same family who started Wisp Resort in 1955) and has been a local institution for decades. Even more surprising than the restaurant's longevity is the kitchen's eclectic from-scratch menu, with items as varied as berry-blackened tuna and tomato-basil tofu. Call ahead to reserve one of the handful of tables overlooking the lake.

Southern Living: 101 free things to do in the South

Get the best of the South delivered - recipes, decorating ideas and travel tips. Sign up for our weekly newsletter.

Copyright 2011 Southern Living magazine. All rights reserved.

@highlight

For snow in the South, head to Western Maryland's Deep Creek Lake

@highlight

Average snowfall is 120 inches, more than Denver or Fairbanks

@highlight

The only Siberian husky dogsledding south of the Mason-Dixon line is available here