Fourth-grade teacher by day, adjunct professor and mother by night, Renee Longshore keeps a strict budget and pulls a second income all in the name of teaching.

With her husband's two jobs -- he's also a fourth-grade teacher and an adjunct professor -- the master's-educated couple makes four incomes. But, money is tight for this family of six.

While Longshore's passion for teaching children helps her overlook her modest life, she sometimes resents her job. She feels under-appreciated by parents at times and like her profession isn't respected.

"My paycheck does not reflect my expertise," she wrote on CNN iReport. "The minimal esteem shown is not warranted, considering my formal schooling and experience. ... But I teach, because that is who I am."

Despite administration frustrations and poor classroom conditions -- and for Chicago teachers, a weeklong strike --  why do they do it? CNN asked teachers to share their perspectives about the sacrifices they make, and the motivations for teaching. These are five of their stories:

Inspired by her teachers

The Longshore family's best electronics are hand-me-downs from when the school replaces them with new, grant-funded equipment. The laptop that Longshore uses in the classroom is also the family computer. They opt for cheap, older cell phones -- no smartphones for this couple.

The budget for entertainment is $100 per month. One night at the movies or an outing for frozen yogurt is as far as it goes, she said.

Her salary of $55,000 to $60,000 may seem adequate, but Longshore hasn't seen a pay raise in 7 years, not even a cost of living increases, she said.

Their life is modest but it keeps them content because the couple can keep teaching.

Besides, she made up her mind in second grade. She was going to become a teacher.

"No matter where I turned, I kept coming back to the idea of teaching, inspired by the teachers that touched my life," she said. "There just had to be more people like them in the profession -- and I was determined to be one of them."

Ms. Barnett was like a "second mom" when her parents divorced. Mr. Flurry "was the first teacher who saw me," she said. Mr. Dale taught her to dream beyond poverty. Mrs. Cook helped her find her voice to speak up.

"Each of them became a part of who I am today," she said. "Their influence inspired me towards my utmost. To have opportunity to invest and pour my life's work into budding politicians, businessmen and women, civil servants -- I could think of no greater calling."

There's more time with family

Working "crazy hours" as an operations manager at a startup company, Ryan Thompson spent little time with his family and little time relaxing.

"I had no social life and I was frustrated with that. I felt like I was chasing money to be happy," said the 31-year-old from Somis, California.

When he was laid off from the startup, Thompson saw it as an opportunity to change careers.

He now teaches entrepreneurship at Thousand Oaks High School and appreciates each day. "I never feel like I am punching in and punching out."

But before he was molding young minds, he had a reality check -- his future, shrunken paycheck. In the beginning, it took awhile to "be OK with not making a lot of money," he said.

Teacher turned down high-paying job to stay

While he was studying to become a teacher, he started a small window-cleaning and pressure-washing business to get by. It was only meant to be temporary, but it's now a second source of income. "I do that year-round still to this day, so that supplements the low pay that teachers get," he said.

He also took night classes to push himself higher on the pay scale -- teachers are paid partially based on their work experience and education. Last year he was making just shy of $45,000 and after eight graduate classes, he will be making $53,000, he said.

"I do sometimes wonder what if I stayed in the corporate world and what that would look like," he said. "But now that I have three kids, I would have to say that my job is an awesome family job."

There aren't many dads who get the summer free and can come home at 2:15 p.m., so his children love that, he said.

Helping kids who struggle like she did

Mary Lynch wanted to add a voice "from an often overlooked demographic of teachers:" those who are not in unions. She teaches art at a private school for students who have been kicked out of the public school system in Fairfax County, Virginia.

"I don't think that people understand that many nonunion teachers are on even lower pay scales than union teachers," she wrote. "And we usually don't have the protection that unions provide, nor do we have pension programs."

The salary of for a public school teacher in a union with the same years of experience would be making almost $70,000 a year, according to Fairfax County Public Schools' salary scale. Lynch, who did not share her salary, works at a nonprofit private school.

She's now entering her 19th year of teaching and is living paycheck to paycheck. "My plans for my retirement future are structured around winning the lottery or, if that fails, working until I die," she said.

Lynch's students provide professional challenges, as many of the middle- and high-schoolers cannot read or perform basic math. "We have to work ridiculously hard to make up ground lost over years and years of unsuccessful education," she said.

There's also a threat of "physical violence" from her students, she said, which makes the job "emotionally draining."

Yet, the veteran teacher remains fiercely loyal to these struggling kids.

"I was drawn to this population when I recognized the ease with which difficult children fall through the educational cracks, and the social impact that a lack of educating this population has on society," she said.

Lynch herself struggled through high school and was diagnosed with a severe learning disability in her 30s. "I saw my situation as an opportunity to help other students with similar learning issues find a way to be successful," she said.

"I teach because I love what I do, and despite losing kids to the judicial system and street violence, there is nothing like seeing them succeed."

Giving back to kids who need it

Wearing a red shirt that reads "love" with a figure in a wheelchair representing the "o", Allie Griffin has been on the picket lines all week.

The special education teacher joined the Chicago strike because there are basic needs at her school that just aren't being met. She works in a program for children with autism at a South Side elementary school.

Her students need special supplies, so she's spent $4,000 to $5,000 of her own money since she began teaching three years ago, she said. She makes $47,000 a year, which was her starting salary.

"They need adaptive scissors because they can't use regular scissors," she said. "Most of my students can't write yet; they're working on fine motor skills so they can hold a pencil," so she buys Velcro. Magnets and other objects also help the children with sorting activities.

"I teach special education in Chicago because regardless of the working conditions, I am going to find the resources somewhere to make our classroom function," she wrote on CNN iReport.

Even though she misses being in the classroom, she went on strike to speak up for her students, she said.

"Everybody is here advocating for the students," she said. "I come from a staff of teachers that love what we do; we love the kids."

iReport: I teach to see them smile

Griffin grew up in the wealthy Chicago suburb of Naperville, where a good education was a given, she said. As a teacher, she wants to give her students the same "premier" education, regardless of where they're from. For her, it's about giving back.

"I teach special education in Chicago because I leave my job every day knowing that I gave a lot, but was given more," she said.

Finding self-reliance and their own truth

"The frustrations I face most as an educator are not the low pay, long hours or poor benefits," says dance educator Daniel Levi-Sanchez.

"It's the ignorance of politicians that are out of touch with what is happening on the ground that draft educational policies that have nothing to do with preparing our future leaders with the tools to become self-reliant and creative thinking adults."

He uses a creative art, like dance, to help teach the children self-expression and individuality. He hopes to shape them into adults who are confident and passionate in whatever endeavors they pursue.

"Most of my teaching derives from the curiosity of my students and what I do as an educator is invest myself in their journey of finding the truth," he said.

Because I still believe there's a future

The Piscataway, New Jersey, resident is still on a journey of his own, as he is striving to become a full-time educator. He left teaching to finish his master's degree program in dance education; he's in his third year. For now he, his wife and two girls are living in graduate housing, he said.

"Each semester I have to answer the very real question: Can I afford it anymore?" he said. Yet, he forges ahead because he believes he can help students feel like they are a valued part of society.

"Children and adolescents are smarter than we give them credit for. If the administration and politicians really took the time to listen to these future leaders, we wouldn't be in the mess that we are in today with our educational system."

@highlight

Salary cuts, supply shortages and administration issues are common frustrations

@highlight

Read five stories from teachers who've stayed in the profession despite the challenges

@highlight

Teachers: Why do you teach? Share your story with CNN iReport