Zurich, Switzerland (CNN) -- "Facts are stubborn things; and whatever may be our wishes, our inclinations, or the dictates of our passion, they cannot alter the state of facts and evidence." -- John Adams, 'Argument in Defense of the Soldiers in the Boston Massacre Trials', December 1770.

At the heart of the maelstrom that has gripped Pakistan during the past eight weeks since I authored an opinion piece on the nuclear-armed nation's alleged intelligence sector malfeasance against U.S. regional interests lies nothing less than the struggle to define Pakistan's modern statehood.

It is a fight between the feudal politics of Pakistan's barons, President Asif Ali Zardari being chief among them, and the military's dominance of its industry, security and strategic sectors. Stuck in the middle is a largely uneducated, underemployed and malnourished population that yearns for leadership -- any kind of leadership -- to guide the country forward.

That struggle, hidden from the world's view through the many years of dictatorship and moribund civilian rule, has now come out in the open as a result of my column's disclosure of a confidential memorandum that Pakistan's then ambassador to the United States, Husain Haqqani, directed me to draft and deliver to Admiral Mike Mullen, then chairman of the US Joint Chiefs of Staff. [Editor's note: Haqqani has denied any involvement in the memo.]

Inadvertent as my purpose was in disclosing the memorandum, the debate it has touched off is real and the issues being debated are finally the ones that need illumination in a country that survives on a rich diet of conspiracy theories and the adolescent antics of its political leaders.

The memorandum called on Mullen to dissuade his friend, Pakistan's army chief Gen. Ashfaq Kayani, from moving against the civilian government in the tense days that followed Operation Neptune Spear -- the U.S. Special Forces raid that killed Osama bin Laden. In return, it offered a commitment by a reconstituted civilian government, which would have added national security muscle previously belonging to the army and intelligence sectors, to do a lot of what America and its allies in the region, India and Afghanistan, have long been calling on Pakistan to do.

To some in Pakistan, the memo was the product of an honorable civil servant (Haqqani) attempting to save his boss's government from imminent demise at the hands of military men he had come to despise. To others, the memorandum's contents were nothing short of high treason, the product of a ruthless operator's (Zardari) directive and his cunning collaborator's (Haqqani) compliance. The truth probably lies somewhere in between.

Yet far from harming the democratic institutions Haqqani claimed to be defending when he first contacted me on that beautiful May morning, the debate over the memorandum's who, what, when and why has had the remarkable effect of stimulating forces that make democracy real in a civilized society, not the mirage that was being peddled around the halls of Congress, Washington's think-tank lecture circuit or the Sunday talk shows by the able ambassador.

Today, nearly two months after the memorandum's contents became known, the army remains in its barracks. The intelligence services continue to play their Patriot Games in Afghanistan while minding the store at home with an invisible hand.

Zardari, who said he would address a special joint session of Parliament on "memogate" sometime next week, had his heart condition resurface on Tuesday, sending him scurrying off to Dubai (Pakistani doctors and hospitals wouldn't do) for a stay of undetermined length outside the country.

The Supreme Court has taken on the challenge addressed to it by a leader of an opposition political party who felt he couldn't get the "memogate" truth out of a biased Parliamentary committee. An Inquiry Commission has been formed as a result.

A former cricket hero turned politician now routinely attracts tens of thousands of supporters at gathering points around the country as he tries to coerce the Arab Spring's winds to blow further east.

And the chivalrous prime minister, Yousef Raza Gilani, tells his party loyalists that he is prepared to resign if my facts are proven right and Haqqani, or worse, Zardari, are found to be the minds behind the memo.

Pakistan's press is also doing its job well -- the hacks who support Zardari, Inc. are throwing knives at me hourly while those who want to see Zardari get his comeuppance will simply not let the story go and are eagerly digging at and reporting on every facet of it.

All of which means everyone -- finally -- has a stake in the outcome of an issue that could have brought serious repercussions to the country's method of accountability and governance if the doctrine outlined in the memo had been enacted. Hmmm...... seems to me that democracy is doing exactly what it should: Self-corrective actions with heated debate about principled issues, all within the constitutional framework and rule of law as it exists today.

David Frum can call me all the names he wants -- it won't change the facts. It certainly will not deter me. And it won't help to fix what ails Pakistan.

Peter Bergen can ridicule my three or four claims that turned out to be inaccurate over a five year period of being interviewed nearly four or five times a week -- it won't change the facts, or the accuracy with which I recorded them in this instance.

The think-tank crowd and my detractors at the State Department, never ones to like private US citizens running off and doing what they only talk about or dream of being able to do, have always pilloried my efforts -- but their frustrations and jealousies won't change the facts.

Even the White House didn't have all the facts when it issued a denial of my opinion that Pakistani officials knew about the bin Laden raid before it happened. Its fact checkers could not readily find the May 2, 2011 story from CNN reporter Nick Paton Walsh which reported that Pakistan's High Commissioner to the UK had said -- when asked about the bin Laden raid -- that Pakistan was "in the know of certain things" and "what happened happened with our consent." [Editor's note: Haqqani has been quoted as saying the allegation that he was informed of the raid in advance are "reckless, baseless and false."]

I have largely ignored the attacks emanating from Haqqani's supporters in Washington because the former ambassador can't speak for himself since being put on ice by Zardari in a safe house. But enough is enough.

Haqqani should be offered immunity from prosecution in Pakistan and simply tell the Pakistani people the truth about what he -- and his boss -- did. He will be seen as a hero for having the guts to call a spade a spade.

Rogue operations inside governments have no place in our world today. The people of Pakistan deserve better. They deserve to know the truth. And it is alone for the Pakistani people to decide whether their political leaders deserve their faith and trust after learning the truth of what has been done in their names.

I did not ask to be involved in the events that gave rise to this firestorm. I too face threats and haranguing from Zardari's supporters on a daily basis. But I had the courage to speak truth to power -- as I have done all my life -- and now I'm going to make sure the facts of what the ambassador and those behind him asked me to do in the name of democracy are put squarely on the table for the people of Pakistan to see, judge and decide.

Facts, after all, are still stubborn things.

The opinions expressed in this commentary are solely those of Mansoor Ijaz.

@highlight

Mansoor Ijaz: My disclosure of confidential memo touched off debate in Pakistan

@highlight

Ijaz's opinion piece in the Financial Times led to resignation of Pakistan's ambassador to U.S.

@highlight

He says the discussion of the nature of Pakistani democracy is good for that nation

@highlight

Ijaz says an inquiry will bring to light the full facts of the matter