(CNN) -- The art of dodging tossed wedding bouquets had been mastered by Cindy Pollard. At 52, and with plenty of experience celebrating the big day for others, she'd learned how to back into corners and disappear when brides sent those flowers flying.

Cindy Pollard, left, and Gayla Snook celebrate their engagement at the Des Moines, Iowa, Pridefest parade.

Now, Pollard can dive for them.

"I have seven brothers and sisters, and I've been to all of their weddings," she said, her words catching on emotion. "It's just something you never thought you'd get to do."

Everything changed for this Iowa nurse on April 3, when the Midwestern state's Supreme Court unanimously ruled to overturn a ban on same-sex marriages. On that day, Pollard proposed to Gayla Snook, her partner of 10 years -- three times, just because she could. By lunchtime, the two women were busy planning their wedding, a big blowout scheduled for next summer.

Forty years after the Stonewall riots in New York -- the June 28, 1969, demonstrations that marked the beginning of the gay rights movement -- Iowa stands as one of six U.S. states to have legalized same-sex marriages. The others that currently, or will soon, perform such unions are Massachusetts, Connecticut, Vermont, Maine and New Hampshire.

Many activists who followed the Iowa case, Varnum v. Brien, to the state's Supreme Court were anticipating the April 3 announcement. But for Beau Fodor, news of the decision on television that morning -- "between 'Martha Stewart' and 'The View,' " he said -- came as a complete shock.

"How did this happen?" the Des Moines designer and event planner remembers thinking before turning the station to compare newscasts. "Are you kidding me, universe?"

And then, while resisting the urge to pinch himself, the revelation: "Oh my god. I could be a gay wedding planner."

He and others like him should be plenty busy.

According to a study conducted by The Williams Institute, a UCLA School of Law-based think tank that researches sexual orientation law and policy, more than 2,900 of the state's same-sex couples will marry within three years and nearly 55,000 out-of-state couples may flock to Iowa for the honor.

Fodor, who established Gay Weddings with Panache, wasn't the only one who realized the potential of this new nuptials niche. Web sites offering resource guides to help happy couples (in-state and out) sprouted up, bearing names such as Iowa's Gay Wedding Planner and Iowa Gay Wedding Directory.

And wedding officiants, including those who'd been ordained online, began publicizing their same-sex-friendly services.

Des Moines' first annual Gay Wedding Expo, held at a downtown hotel earlier this month, was organized by Fodor and brought together 40 vendors ready and willing to help couples realize their dream day. It was there that Pollard and Snook found, for example, their photographer and realized they'd have "like 106 flavors of cake to choose from," Pollard said with the laugh of an overwhelmed bride-to-be.

Wedding vendors again came out in force just over a week ago at the 31st annual Pridefest, a Des Moines event organized by Capital City Pride that attracted a record crowd of more than 10,000, officials estimated. Jubilant couples carried signs of gratitude and announcements of "just married."

For Alisha Hennessy, who was adopted at 8 by Mike Yowell and Hersh Rodasky of Council Bluffs, the Supreme Court decision finally gives her parents --together for 28 years -- what she's wanted for them since she was 10. The two men already had a civil ceremony, and later this summer, they'll receive a blessing in their Episcopal church.

"Now they can do what my husband and I did," said Hennessy, 26, a teaching assistant in Omaha, Nebraska. "And I get to have the privilege to walk my parents down the aisle."

Not everyone in Iowa, however, is feeling the love.

Those associated with the Iowa Family Policy Center, for example, are crisscrossing the state to promote the faith-based organization's mission that reads, in part, "to restore and defend traditional moral principles."

Bryan English, a spokesman for the center, said the Iowa Supreme Court overstepped its bounds, did what only the legislature can do and does not have "the constitutional authority to alter laws or write laws." He said that these same-sex marriages are, therefore, not legal and that Iowans should continue to make their opinions known.

"If we're not going to base the rule of law on the Constitution, and we're not going to look to the Bible as a foundation of truth," English said, "what standard are we going to use?"

State Sen. Merlin Bartz, R-District 6, also has made his opposition known. He said he pushed, unsuccessfully, to institute a "conscience clause" -- a measure that would allow county recorders the right to refuse same-sex marriage licenses.

Bartz feels Iowa was "hand picked" by outside advocates -- Lambda Legal, a national organization, filed the Iowa suit -- as fertile ground for a handful of reasons. Among those he mentioned were Iowa's current Democratic leadership and the fact that it doesn't have a ballot initiative option, which is what allowed Californians to vote for Proposition 8, the measure that banned same-sex marriages in that state. He said that he hopes the 2010 elections will change the tide and that the ruling doesn't reflect what Iowans truly want.

Not so, said Carolyn Jenison, executive director of One Iowa, a statewide grassroots advocacy and education organization for the gay, lesbian, bisexual and transgender communities.

She said that in measuring public opinion, she keeps hearing how "proud" Iowans are, and she emphasized that the state, often written off as a "flyover state or conservative state," in fact, has a long history of civil rights leadership. Iowa, for example, ruled against slavery in 1839, desegregated schools in 1868 and, for the first time in the country, granted a woman a license to practice law in 1869, as outlined in a One Iowa brochure.

But beyond this tradition and what she described as a "strong sense of community and fairness," she said most Iowans realize that that vows taken by two people won't affect their day-to-day lives and that they have other, more pressing concerns, especially in these tough financial times.

Doing their own part to help Iowa's economy are Pollard and Snook, 47, who works with medically and physically challenged adults. While others may be steeped in the bigger picture, they've got a "growing and growing" guest list to worry about, decisions on bridal wear to make and party add-ons -- photo booth, or no photo booth? -- to consider.

And with two brides making decisions, Pollard said, things can get complicated. When Snook mentioned the idea of having the party at an Elk lodge, Pollard  raced out the door with a down payment for the country club.

But on June 5, 2010, these two Newton, Iowa, women will embark on a life as one when they say their vows and promise to love each other always. A white carriage, complete with a "just married" sign and pulled by black horses, will ferry them all the way through town and to the reception.

"It's a long journey," Pollard said, "to symbolize our struggle."

@highlight

Instead of dodging wedding bouquets, Iowa's same-sex brides can dive for them

@highlight

The state's high court overturned a ban on same-sex marriages on April 3

@highlight

A new nuptials niche opens up for businesses, drawing vendors to Pridefest

@highlight

"It's just something you never thought you'd get to do," one bride-to-be says