(CNN) -- It's reading matter not for the faint of heart.

Experts at Harvard said this week that they have confirmed that a 19th-century book housed in one of the university's libraries is bound in human skin.

Scientists and conservators carried out a series of tests on Houghton Library's copy of the French writer Arsene Houssaye's "Des destinees de l'ame" and concluded with 99.9% confidence that the binding material came from a human.

According to the library, Houssaye presented the text, described as "a meditation on the soul and life after death," to one of his friends, a book-loving medical doctor, in the mid-1880s.

The recipient, Dr. Ludovic Bouland, bound the book "with skin from the unclaimed body of a female mental patient who had died of a stroke," the library said.

Bouland left a note in the volume explaining what he had done.

"A book about the human soul deserved to have a human covering," he wrote.

Centuries-old practice

Although binding a book in another person's skin may seem creepy nowadays, the library says it wasn't always so unusual and reviled.

"Termed anthropodermic bibliopegy, the binding of books in human skin has occurred at least since the 16th century," it said. "The confessions of criminals were occasionally bound in the skin of the convicted, or an individual might request to be memorialized for family or lovers in the form of a book."

Bouland refers in his note to another book in his collection, SÃ©verin Pineau's "De integritatis & corruptionis virginum notis," that was also covered in human hide.

The skin on that 17th-century volume, now in the collection of the Wellcome Library in London, is tanned with sumac, a natural dye.

Sheepskin rivals

The macabre version of "Des destinees de l'ame" was deposited at Houghton Library in 1934 by a book collector and given to the library permanently 20 years later by the collector's widow.

The Crimson, Harvard's college newspaper, reported in 2006 that there were at least three books in the university's vast collection that were bound in human skin.

But Houghton Library said that testing of the other two volumes, at the Harvard Law School Library and the Harvard Medical School's Countway Library, established that they were actually wrapped in sheepskin.

"Houghton's book is now the only known book at Harvard bound in human skin," said the library, the college's main repository for rare books and manuscripts.

Tests to rule out apes

The tests, taking microscopic samples from various parts of the binding, allowed analysts to identify the source of the material through its proteins.

The analysis of "Des destinees de l'ame" matched "the human reference, and clearly eliminated other common parchment sources, such as sheep, cattle and goat," said Bill Lane, the director of the Harvard Mass Spectrometry and Proteomics Resource Laboratory.

But the scientists had to do further tests to make them confident that the binding didn't come from another primate closely related to humans, like the great apes and gibbons.

World's 10 weirdest museums

@highlight

Scientists carry out tests to determine source of 19th-century book's binding

@highlight

They say they are confident it's of human origin

@highlight

Arsene Houssaye's "Des destinees de l'ame" was bound in skin by a doctor

@highlight

"A book about the human soul deserved to have a human covering," a note says