Washington (CNN) -- The question most readers will bring to George W. Bush's memoirs can be put into just two words: "Why Iraq?"

Here's an abridgement of the former president's answer, from pages 228-229.

"There were state sponsors of terror. There were sworn enemies of America. There were hostile governments that threatened their neighbors. There were nations that violated international demands. There were dictators who repressed their people. And there were regimes that pursued WMD. Iraq combined all these threats. ... Before 9/11, Saddam was a problem America might have been able to manage. Through the lens of the post-9/11 world, my view changed. I had just witnessed the damage inflicted by nineteen fanatics armed with cutters. I could only imagine the destruction possible if an enemy dictator passed his WMD to terrorists."

That's the key point: After 9/11, threats that previously glanced off all of our attentions suddenly rose to dominate our minds.

Here's George W. Bush again, from pages 152-153, reporting on a discussion with Dick Cheney that occurred in October 2001 during a presidential visit to China.

" 'Mr. President ... one of the bio-detectors went off at the White House. They found traces of botulinum toxin. The chances are we've all been exposed.' The CIA had briefed me on botulinum toxin. It was one of the world's most poisonous substances. ... Deputy National Security Adviser Steve Hadley explained that the FBI was testing the suspicious substance on mice. The next twenty-four hours would be crucial.

"If the mice were still scurrying around, feet down, we'd be fine. But if the mice were on their back, feet up, we're goners. ... The next day, Condi got a message that Steve was trying to reach her. 'I guess this is the call,' she said. After a few minutes, Condi came back with the news. 'Feet down, not feet up,' she said. It was a false alarm."

I was working in the White House in October 2001, and I remember vividly the mood of doom.

Had you asked me then, I would have told you: I am certain I will die in the next two years. If it isn't botulinum toxin breathed into the air conditioning, then it will be a car bomb on 17th Street. If not a car bomb, then a sniper will open fire inside the Pennsylvania Avenue Starbucks where so many White House staffers picked up their morning caffe latte.

I wrote a new will that October. I doubled my insurance coverage. My wife and I started uncorking and drinking the best bottles of wine in the cellar -- might as well enjoy them while we still could.

President Bush nicely describes the way in which our post-9/11 fears became self-reinforcing.

"Years later, incidents like the botulinum scare can seem fanciful and far-fetched. It's easy to chuckle at the image of America's most senior officials praying for lab mice to stay upright. But at the time, the threats were urgent and real. Six mornings a week, George Tenet and the CIA briefed me on what they called the Threat Matrix, a summary of potential attacks on the homeland.

"On Sundays, I received a written intelligence briefing. Between 9/11 and mid-2003, the CIA reported to me on an average of 400 specific threats each month. The CIA tracked more than twenty separate alleged large-scale attack plots, ranging from possible chemical and biological operations in Europe to potential homeland attacks involved [sic] sleeper operatives. Some reports mentioned specific targets, including major landmarks, military bases, universities, and shopping malls. For months after 9/11, I would wake up in the middle of the night worried about what I had read."

In retrospect, these CIA warnings look like a classic bureaucratic response: Chagrined by their failure to thwart the 9/11 attacks, America's intelligence agencies overcorrected.

On September 9, 2001, a state trooper in Maryland pulled over one of the 9/11 hijackers for speeding. Ziad Samir Jarrah, one of the four men who seized the plane that crashed in Pennsylvania, was driving 95 mph in a 60 mph zone. Had Jarrah been detained, who knows how his fellow plotters would have reacted? Maybe they would have assumed their security had been breached and canceled the operation. But Jarrah's name did not appear on any watch list, much less any list shared with local law enforcement.

Having missed Jarrah, the agencies became determined never again to miss anyone. They careened from providing a false negative to generating hundreds of false positives. Bush mentions that in late September 2001, FBI director Bob Mueller told him that there were 331 potential al Qaeda operatives inside the United States.

The October anthrax attacks intensified the alarmist mood. In the days after October 2, 2001, anthrax-laced letters arrived at the National Enquirer; ABC, NBC and CBS News; and the Senate offices of Majority Leader Tom Daschle. Altogether, 17 people were infected. Five died.

From the memoirs of George W. Bush, pages 157-158.

"One of the letters containing anthrax read:

09-11-01

YOU CAN NOT STOP US.

WE HAVE THIS ANTHRAX.

YOU DIE NOW.

ARE YOU AFRAID?

DEATH TO AMERICA.

DEATH TO ISRAEL.

ALLAH IS GREAT.

I was struck by a sickening thought: Was this the second wave, a biological attack? ... The biggest question during the anthrax attack was where it was coming from. One of the best intelligence services in Europe said it suspected Iraq."

And now the key line, on page 159: "We believed more attacks were coming, but we didn't know when, where, or from whom. ... As time passed, some critics charged that we inflated the threat or manipulated alert levels for political benefit. They were flat wrong. We took the intelligence seriously ..."

iReporter: Welcome back, President Bush

Bush's account of his decision-making in his Iraq chapter will likely seem stunted to many readers. He offers considerable detail on the milestones toward the decision -- and yet readers will search in vain for the actual moment at which the decision occurred.

On page 251, he "wasn't ready to move yet." On page 252, "I was deeply disappointed that diplomacy had failed." On page 253, "Military action was my last resort. But I believed it was necessary."

The how is all there. But a big part of the why is here:

"I remembered the shattering pain of 9/11, a surprise attack for which we received no warning. This time we had a warning like a blaring siren."

The U.S. had been accepting risks from Saddam Hussein for more than a decade. Suddenly those risks were now intolerable. And for all the grief and cost of Saddam's removal, that particular risk now threatens the United States no longer.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Bush's memoirs help explain why U.S. attacked Iraq

@highlight

He says White House was being briefed on huge number of threats

@highlight

Intelligence agencies overreacted after failing to stop 9/11, he says

@highlight

Saddam Hussein was a threat the U.S. could anticipate, Frum says