Washington (CNN) -- In one move Wednesday, President Barack Obama managed to reshape his national security team, bring longtime confidante Susan Rice to the White House and annoy Republican critics of the U.N. ambassador.

Obama announced in the White House Rose Garden that Rice, who got caught up in political controversy over the Benghazi, Libya, terrorist attack, will replace the retiring Tom Donilon in the influential foreign policy post of national security adviser.

Donilon will step down in July following this weekend's meetings between Obama and Chinese President Xi Jinping.

The president also said he would nominate Samantha Power of the National Security Council to succeed Rice at the United Nations.

By choosing two women known as advocates for human rights, including the NATO-led intervention in Libya with U.S. support, Obama signaled a potentially more robust foreign policy in his second term.

At the same time, his decision to make Rice the head of his national security team angered Republicans who are demanding further details on what they believe was a politically motivated effort by the administration to downplay the Benghazi attack in the middle of last year's election campaign.

While Obama made no direct reference to the politics of the announcement, he praised Rice for being "fearless, tough" and a great patriot who champions justice and human dignity.

"I'm absolutely thrilled she'll be back at my side, leading my national security team for my second term," Obama said with a smiling Rice at his side.

Rice became the focus of Republican criticism after the terrorist attack last September 11 on a U.S. diplomatic post in Benghazi that killed four Americans, including Ambassador Christopher Stevens.

Five days after the assault that came on the anniversary of the 2001 terror attacks, Rice appeared on Sunday news shows to say it was a spontaneous development during a protest, rather than a terrorist strike.

She had been considered a top contender to succeed Secretary of State Hillary Clinton at the start of Obama's second term, but Republican opposition over the erroneous CIA talking points she had delivered forced her to withdraw her name from consideration in December.

Biden on Susan Rice: She speaks for the president

Obama ultimately nominated former U.S. Sen. John Kerry for the post.

As national security adviser, Rice will play a key role in developing and guiding the administration's foreign policy.

Unlike a Cabinet post, the appointment requires no Senate confirmation, allowing Obama to avoid a showdown with Republicans in giving a new job to one of his most public foreign policy voices during the 2008 presidential campaign.

Rice also has been a deputy secretary of state and was previously considered a possible candidate for the national security adviser job when Obama appointed Donilon.

She said Wednesday that she was "humbled" to serve as Obama's national security adviser and thanked the president for his confidence in her.

Mindful of the need to work with the various government, law enforcement and military entities involved in national security, she declared her admiration for "the exemplary work done every day by our colleagues at State, Defense, the intelligence community and across the government" to keep the nation safe.

To columnist and CNN Contributor John Avlon, Obama's choice of Rice and Power showed the freedom he felt now that he won the last election of his career last year.

"Susan Rice is not on the Republicans' Christmas card list, but this appointment, which doesn't need Senate confirmation, is being read as a slap in the face," Avlon said. "President Obama says he doesn't much care. He is rewarding Susan Rice for her loyalty to his administration and moving her into the White House. She can have more influence now than she ever did on White House policy."

He called it a "fascinating, decisive move" by a president "who is apparently liberated by a second term, who is not worried about burning bridges with Republicans and Congress who are already his critics."

Republicans immediately criticized Obama's choice, with conservative GOP Rep. Jason Chaffetz of Utah tweeting: "Judgement is key to national security matters. That alone should disqualify Susan Rice from her appointment."

Sen. John McCain of Arizona, a leading Republican voice on foreign policy, tweeted that he disagreed with Obama's appointment but added that he would "make every effort to work" with Rice on important issues.

In a statement later Wednesday, McCain expressed support for Power, calling her "well-qualified" for the job as U.N. ambassador and saying he hoped the Senate would act quickly on her nomination.

Power worked for Obama's campaign in 2008 until she resigned after referring to Clinton -- the other leading Democratic contender at the time -- as a "monster."

She is senior director for multilateral affairs and human rights at the National Security Council and a former special assistant to the president. Power also has written extensively on preventing genocide, with criticism of the United Nations for failing to stop attacks in Bosnia and Rwanda.

Avlon called Obama's move "a coalescing within the Obama administration" by promoting "two women who are in policy terms not that far from their Republican critics. "

"The president is circling the wagons, appointing stronger supporters from his inner circle. That's what second-term presidents do," Avlon said, adding "these are actually strong, confident moves in a Democratic foreign policy that believes in humanitarian intervention."

Now, he said, the roles of Rice and Power raise "real questions about what the administration will do going forward in Syria," where critics at home and abroad contend the Obama administration has failed to intervene as needed.

Obama called himself "wistful" to be losing Donilon, the former deputy national security adviser who Obama picked to replace retired Marine Gen. Jim Jones in October 2010. Donilon was heavily involved in the raid to kill Osama bin Laden in 2011, as well as the administration's strategic shift of foreign policy focus to Asia.

Donilon, who also was chief of staff to Secretary of State Warren Christopher in the Clinton administration, is married to Cathy Russell, whom Obama recently nominated to be the State Department's ambassador at large for global women's issues.

The president lauded Donilon's commitment, including in-person briefings almost every day in recent years on a portfolio that covered "literally the entire world."

"I'm personally grateful for your advice, for your counsel, most of all for your friendship," Obama said, adding that "a president can't ask for anything more" than the contributions and service of Donilon.

When he finished, the two men shook hands and embraced.

Obama nominates three to bench, courts political fight

CNN's Jim Acosta and Adam Aigner-Treworgy contributed to this report.

@highlight

NEW: President Obama names U.N. envoy Susan Rice his national security adviser

@highlight

Columnist John Avlon says Obama made a "fascinating, decisive move"

@highlight

Obama will nominate Samantha Power as U.N. ambassador

@highlight

GOP opposition forced Rice to withdraw from consideration to be secretary of state