London (CNN) -- For anyone arriving in Britain, it's obvious that the country is having a big, big party. There are Union Jack flags across the streets, bunting hangs from building to building and, in the stores, the shelves are crammed full of jubilee memorabilia.

It's 115 years since Britain celebrated a diamond jubilee. The last monarch -- indeed the only previous monarch -- to have celebrated 60 years on the throne was Queen Elizabeth's great-great grandmother Victoria. There were huge celebrations back in 1897 as the queen rode through her capital in front of thousands of loyal subjects cheering her every inch of the way.

On the queen's schedule that day was a trip to St. Paul's Cathedral for a service of thanksgiving. She was too frail to climb the steps outside Christopher Wren's great masterpiece, so instead the queen stayed in her carriage while the clergy and congregation came outside for the service. Spool on to 2012 and at her service of thanksgiving, Queen Elizabeth will stop exactly where Victoria's carriage came to a halt. This time though, the monarch will walk up the steps and make it into the cathedral.

Live blog: Queen's Diamond Jubilee, June 3

It wasn't until 1935 that the UK saw its next jubilee. As war clouds gathered over Europe, King George V and Queen Mary celebrated their Silver Jubilee to mark 25 years on the throne. Again, there were celebrations in London, around Britain and across the Empire.

By the time of Queen Elizabeth's Silver Jubilee in 1977, much was different. Deference to royalty had been replaced by respect and, in truth, some indifference. British colonial rule was almost gone: some newly independent countries kept the queen as head of state while others ditched her altogether in favor of a president. But most of these nations opted to join the Commonwealth, a club of countries all tied through history to the UK and the monarchy.

Bumming a smoke from the queen: When the security bubble bursts

What hadn't changed much though was way the Brits showed their affection that year for their sovereign. Hundreds of thousands of people filled the streets of London to cheer the queen as she toured her capital, while millions more folks, including a 10-year-old me, took part in street parties up and down the land.

It was the first jubilee in which I was actively involved. I remember doing projects at school about the royal family and also receiving my Silver Jubilee coin. I still have it. The Silver Jubilee was the first time I'd ever seen the queen: in fact it was the first time I'd ever seen any of the royal family. When Her Majesty came to my home town in northern England, I was part of a boys choir that sang for her. I can still remember part of the song -- but probably can't reach the high notes these days.

How the world has changed in queen's reign

The Golden Jubilee 10 years ago marked the 50th anniversary of the queen's accession. It was an amazing event which, for me, holds so many wonderful memories. By then I'd become a journalist. In that capacity, I went to different parts of the country covering the queen's visits. I saw the extraordinary warmth with which she was greeting by so many of her subjects. And I was privileged to work on two concerts held for the queen in her garden at Buckingham Palace. The lineup read like a "Who's Who" of music from the previous 50 years.

Not everything went according to plan though. I was in the palace garden talking to the musician Phil Collins when security staff came charging out of the building, telling us there was a fire. Surely this isn't going to be a repeat of the Windsor Castle fire in 1992 we thought -- and over the jubilee weekend as well? Thankfully, it turned out to be very small and caused minimal damage to some staff quarters -- but it was a heartstopping few minutes.

Another abiding memory of 2002 was meeting the queen and being corrected on my English. I was introduced to her majesty at Windsor Castle. Her presence in a room full of people was huge, even though she's only 5 feet 4 inches tall. As we chatted, I thanked her for agreeing to change her schedule by a few minutes on one of her regional visits to help accommodate television coverage. Unfortunately, I used the American pronunciation "skedule." Looking back, I still wonder how on earth I could have dropped such a clanger. At least the queen was smiling as she set me straight!

Spin on another 10 years to the Diamond Jubilee. There's huge excitement in Britain. Of course there are those who don't really care about the event and a small number of people who would rather there was no monarchy at all. But with the queen's popularity riding high, there's no doubt that people up and down the land will be joining in the festivities. In small villages, medium-sized towns and big cities, the jubilee buzz will be everywhere. And in London, expect to see more than a million people on the streets as the queen tours the city in her carriage.

Of course, a big royal event like this wouldn't be complete without the balcony appearance -- and that wave, so uniquely royal. This will be the moment when people show how proud they are to have Elizabeth as their head of state. She's a symbol of continuity and stability in a fast-changing world. In times good and bad, the British look to their royal family. When she was 21, she made a broadcast in which she promised to devote the rest of her life to serving the people. Now it's the people's turn to acknowledge her contribution and say thank you. During this jubilee weekend, millions of people will sing the British national anthem, "God Save The Queen." And when they do, they'll really mean it.

Are you going or celebrating the Diamond Jubilee in your own way? Let us know how in the comments!

@highlight

Clark: Celebration will show how proud Brits are to have Elizabeth as their head of state

@highlight

More than a million people on London streets as the queen tours the city, predicts Clark

@highlight

Clark: Jubilee buzz evident in small villages, medium-sized towns, big cities across the UK

@highlight

The last Diamond Jubilee in 1897 celebrated the reign of Queen Victoria