Eric Shinseki resigned Friday as the head of the Department of Veterans Affairs, leaving behind the daunting task of repairing a broken health care system that has left thousands of veterans at risk as they wait for medical care.

Shinseki's resignation concluded a firestorm of criticism and growing calls for him to step down following revelations of sometimes deadly delays for veterans waiting for care at VA hospitals, allegations exposed by CNN in a series of exclusive reports.

Details of the delays were first exposed by CNN last November in an investigation into two VA hospitals in the Southeast. Since then, CNN's reporting has expanded to include numerous other VA hospitals, culminating with details about secret waiting lists at the Phoenix VA that may have played a role in the deaths of 40 veterans.

President Barack Obama went before reporters at the White House minutes after meeting with Shinseki, saying the retired Army general told him "the VA needs new leadership" to address widespread issues that were chronicled in new reports this week. Obama said Shinseki "does not want to be a distraction."

"That was Ric's judgment on behalf of his fellow veterans, and I agree. We don't have time for distractions. We need to fix the problem," Obama said.

Calls for Shinseki's resignation snowballed in recent days from across the political spectrum -- Republicans and Democrats, as well as veterans' advocacy groups -- because of the misconduct.

In a farewell message to VA employees, Shinseki didn't address the scandal specifically but did say he resigned with veterans' interests in mind.

"My personal and professional commitment and my loyalty to veterans, their families and our survivors was the driving force behind that decision," he said. "That loyalty has never wavered, and it will never wane."

Shinseki says 'situation can be fixed,' but not by him

Earlier Friday, Shinseki announced steps to address the VA shortcomings, including removing senior leaders in the Phoenix VA medical system, eliminating performance awards for VA leaders in 2014 and wait times as a metric for evaluations and accelerating care to veterans.

He also apologized to veterans and Congress, but declared: "This situation can be fixed."

But Shinseki won't be part of the solution.

He went to the White House to present Obama with findings from his internal audit of what was happening in the VA system, including that many audited facilities had "questionable scheduling practices" that signaled a "systemic lack of integrity."

Read the VA audit report

The President acknowledged that scheduling issues didn't rise to the attention of Shinseki, whom he praised as a man who "has served his country with honor for nearly 50 years."

At the same time, Obama said that he and Shinseki agreed that a shift in leadership was necessary.

For now, Sloan Gibson -- a Shinseki deputy -- will head the VA until a new secretary is named and confirmed.

"Part of that is going to be technology. Part of that is management," the President said. "But as Ric Shinseki himself indicated, there is a need for a change in culture within the VHA, and perhaps the VHA as a whole -- or the VA as a whole that makes sure that bad news gets surfaced quickly so that things can be fixed."

Read Obama's statement

Breaking open the scandal

Secret VA waits lists alleged in Phoenix

Problems in the VA system date back decades, but CNN's reporting of long waits at VA hospitals brought the issue into national focus at the end of 2013.

An April report by CNN in which sources said 40 veterans died at a Phoenix VA facility that used secret waiting lists to cover up the problem prompted angry calls for action.

The VA has acknowledged 23 deaths nationwide due to delayed care.

CNN also obtained an e-mail written by an employee at a Wyoming VA clinic that said staff was instructed to "game the system" to make the clinic appear more efficient.

A preliminary inspector general's report made public Wednesday described a "systemic" practice of manipulating appointments and wait lists at the Veterans Affairs Medical Center in Phoenix.

The VA's troubled history

According to the report, at least 1,700 military veterans waiting to see a doctor were never scheduled for an appointment or were placed on a waiting list at the Phoenix VA, raising the question of just how many more may have been "forgotten or lost" in the system.

In a recent USA Today opinion piece, Shinseki ordered VA officials to contact each of these veterans "in order to bring the care they need and deserve."

The latest report by the VA inspector general's office and Shinseki's auditors indicated a link between employee bonuses and covering up patient wait times.

There also have been calls for a criminal investigation into fraudulent record-keeping to cover up delays at VA hospitals. Obama said Friday that would be up to the Justice Department, which has been collecting information but has not launched any investigation.

Shortly before he resigned, Shinseki told a veterans group that he was shocked by the inspector general's report, especially the prevalence of wait lists for veterans needing medical care.

"That breach of integrity is irresponsible, it is indefensible and unacceptable to me," he told the National Coalition for Homeless Veterans just before heading over to his final meeting with Obama.

"I said when this situation began weeks to months ago and I thought the problem was limited and isolated because I believed that. I no longer believe that. It is systemic," he said.

At the same time, the VA chief of more than five years said that others had misled him.

"I was too trusting of some, and I accepted as accurate reports that I now know to have been misleading with regard to patient wait times," he said. "I can't explain the lack of integrity among some of the leaders of our health care facilities. This is something I rarely encountered during 38 years in uniform and so I will not defend it because it's indefensible, but I can take responsibility for it and I do."

Shinseki couldn't weather firestorm

Whistleblower: VA was 'way too focused on ... good numbers'

As the accusations mounted -- including the latest one in which Reps. Mike Doyle and Tim Murphy of Pennsylvania claimed 700 veterans had been placed on a primary care waiting list for doctor appointments at the Pittsburgh VA center, with some waiting since 2012 -- so too did the pressure on Shinseki.

Senators calling for Shinseki resignation

Politicians largely applauded Shinseki's resignation on Friday, even as they said that the VA needed to do more than put new people in his place to resolve its shortcomings.

"The denial of care to our veterans is a national disgrace, and it's fitting that the person who oversees the Department of Veterans Affairs has accepted responsibility for this growing scandal and resigned," Senate Republican leader Mitch McConnell of Kentucky said in a statement.

Meanwhile, a VA whistleblower who told CNN about the problems at the Phoenix facility said Friday he was saddened by Shinseki's resignation under such circumstances.

"The VA administrators got way too focused on having good numbers and they forgot the most important mandate, the reason we all work at the VA -- to take care of veterans, to save their lives and give them good medical care," Dr. Sam Foote said.

"The next secretary's biggest challenge will be to get that refocused and make sure the number one job is taking care of veterans - not worrying about their bureaucratic careers," Foote added.

VA pledges faster appointments

@highlight

Obama accepts VA secretary's resignation, says Shinseki doesn't want to be a distraction

@highlight

Shinseki says his commitment to veterans drove his decision to resign

@highlight

The move comes after months of reports about problems with the VA medical system