(CNN) -- It's just another coming of age story -- one we've all heard before -- but now it's about us.

Just as Holden Caulfield awoke to the excitement of the adult world around him and wanted to escape the phonies, youth voters brought a novel and intense energy to the world of politics during the 2008 election in an effort to escape the phonies we'd been listening to our whole lives.

Our debut into the world of politics was significant: The candidate with overwhelming youth support, Barack Obama, came out on top. I was too young to vote in that election, but after volunteering for the Obama campaign, I felt what many first-time voters and volunteers felt after the last election: proud, accomplished and significant.

Four years later, what was once to us the novel and exciting adult world of politics now seems bitter and partisan. We're a little bit older, less bright-eyed and a little more cynical.

It is not surprising that a generation not tempered by past disappointments, that had hoped its representatives would work in good faith to fix America's problems, might be less enthusiastic this time around. The percentage of youth voters who plan on voting fell from 78% in 2008 to just 58% this summer. We're the least likely of any age group to vote in November.

Opinion: What Democrats need to do in Charlotte

But what a mistake it would be for us to throw in the towel now. Just because our politics and government can disappoint us sometimes doesn't mean we should forget how far we've come.

President Obama understands what our generation contributed in 2008. He knows where we stand on issues and he agrees with us -- he's been our biggest ally in Washington since the start of his presidency.

The president's signature legislative achievement, the Affordable Care Act, allows us to stay on our parents' health plan until we are 26. That means we'll have health insurance when we graduate from college, which more and more of us will be able to do thanks to the president's push to double funding for Pell Grants and his insistence on keeping interest rates low for the 7.4 million students taking out student loans. Because of Obama's repeal of "don't ask, don't tell," anyone can join the military, regardless of sexual orientation, an issue important to our generation.

When Congress refused to pass the DREAM Act, Obama changed policy administratively, enabling immigrants who came to the country as children to avoid deportation.

Opinion: Can Obama convince voters to turn to him again?

Our president showed both political courage and moral responsibility when he stood up for women across America under attack from extreme Republican rhetoric and aggressive legislation curtailing women's rights and threatening women's health. Obama's swift, bold action to fix the broken American economy bequeathed to him by President George W. Bush has preserved homes and jobs for our parents and has preserved the possibility for home ownership and jobs for us.

Obama has acted aggressively on the issue most important to my generation: climate change. Our generation believes in healing the Earth. Between 2010 and 2011, the United States cut its foreign oil imports by 10%, or 1 million barrels a day. Domestic natural gas production has increased during each year of the Obama presidency, providing jobs and a cleaner source of energy.

After saving the American auto industry, the president then set out to strengthen it by demanding that car companies stay competitive in a global market and meet a 54.5 miles per gallon standard by 2025. Finally, in addition to investments in clean energy projects and jobs, Obama agrees with the 97% of scientists who recognize humans as the cause of climate change, while Mitt Romney "isn't sure."

John King: To win, Obama must make history again

To be sure, none of this has come easily or without opposition. Part of growing up is realizing the frustrating, heartbreaking truth that intense and sustained long-term effort is needed to effect change.

The difficulty of the obstacles that must be overcome and the scope of the fight that must be won make our accomplishments all the more impressive. Electing the first African-American president was a tremendous accomplishment, but it hasn't erased racism. Electing the first Catholic president, my grandfather, in 1960, did not mean that religious intolerance disappeared from our land. Whether it was the American Revolution, the Civil War or the civil rights movement, change has never come easy, and Americans have always had to fight for change we believe in.

If we can appreciate the long strides our country has made since 2008 instead of dismissing them as imperfect attempts, we will prove that not only are we quick learners but we're in it for the long haul. Participation in the democratic process is not only a right: It's a responsibility we all share.

Voting is something we can all do for our country. If we turn out to re-elect this president, we will prove that 2008 was not an anomaly, and that our generation and its concerns cannot be dismissed. Instead, 2008 will be seen as just the beginning. This fall let's display a deep commitment to our country, its ideals and provide a preview of the America we intend to build.

The opinions expressed in this commentary are solely those of Jack Schlossberg.

@highlight

Jack Schlossberg: Young voters invested energy and hope in the 2008 Obama campaign

@highlight

He says some aren't as enthusiastic after realizing political struggle is difficult

@highlight

Schlossberg: President Obama has delivered on health care, student loans, climate issues

@highlight

He says part of growing up is realizing that change doesn't come without sustained effort