Washington (CNN) -- Starting his sixth year in office, President Barack Obama promised to use the power of the pen to push his legislative agenda. Translation: executive orders, the tool used by every president except for one -- William Henry Harrison, who died on his 32nd day in office.

As for Obama, he said, "Let's make this a year of action" during his most recent State of the Union speech, referring to his willingness to employ his presidential pen to move forward on priorities stalled in Congress.

His opponents on the right have criticized him for unconstitutionally expanding executive authority.

Putting him in a politically tricky spot, his political allies are jumping on the executive order train and calling on the President to use it for their policy priorities.

Nearly 250 members of the House and Senate sent a letter to the President on Tuesday asking that he sign an executive action that would prohibit federal contractors from employment discrimination based on sexual orientation.

Rep. Frank Pallone, D-New Jersey, said he had been pushing the White House on the issue "for several years now" but essentially got the cold shoulder. Pallone said he was told by the Obama administration that the issue was being examined. With no final answer given, Pallone and more than 200 of his colleagues decided the executive order route was a viable one.

"He was speaking about wanting to move on a progressive agenda," Pallone said. "Those of us who have these various priorities are asking him to make those priorities part of that agenda."

The President's use of the tool, which he has employed at least 168 times during his tenure, has been used for both menial and meaningful measures.

He has used it to change the name of the National Security Staff to the National Security Council Staff. He also imposed sanctions against Russian officials over the dispute in Ukraine.

Political risks of acting unilaterally

In most cases, the President determines which issues to pursue via executive authority. By asking him to act unilaterally potentially puts Obama in a difficult spot. Outside of potential legal debate, there are political risks.

Ohio State University Law School professor Peter Shane said, "He can claim to do things on his own, but if he doesn't, he looks weak or out of touch with his base."

This is at least the second time that allies are pressuring Obama to use his executive authority to further a policy agenda.

As the prospects of comprehensive immigration reform continue to dim, some Democrats have asked the President to use his executive authority to halt deportations of immigrants illegally in the country. Obama has deported more people than any previous presidents, angering Latinos -- a key Democratic voting bloc -- who say Obama's deportation policy is extreme as it creates fear and heartache.

For months, the President said he did not have the authority to halt deportations. But after continued pressure that included Hispanic leaders calling him the "deporter-in-chief," the President announced last week that he called for a review of deportation policies.

Dems to Obama: Suspend deportations

While Shane said Obama is not acting any differently than previous administration, he said "the President has done himself a bit of a disservice by saying he's going alone."

Opening Pandora's box

He's put the idea out there and opened the Pandora's box.

Additionally, executive directives can be undone as easily as they are done, leaving the next president the ability to undue any one of them. And Shane said they sometimes leave Congress off the hook from having to act.

But Pallone said that the LGBT discrimination executive order would provide incentive for Congress to pass broader legislation, the Employment Nondsicrimination Act, prohibiting any discrimination based on sexual orientation.

The White House hasn't said if it would move forward with Pallone's idea of an executive order, but in Wednesday's daily briefing, White House spokesman Jay Carney said ENDA "would provide those protections broadly in a way that an [executive order] would not."

"I think it's a step towards ENDA," Pallone said, comparing it with the President's recent executive order to raise the minimum wage for federal contractors. He signed the executive order while Congress works to raise the federal minimum wage to $10.10.

But Republicans are sure to balk.

Republican strategist John Feehery cautioned the President, saying executive actions will make him look weak and ineffective.

"The more he goes on down this road, the less ability he has to get anything done in Congress," Feehery said.

But that wasn't Pallone's concern.

"The President has said this is a 'year of action,' we can do this for federal contractors."

@highlight

President Obama has pledged to use executive orders to further his agenda

@highlight

Nearly 250 lawmakers ask Obama for LGBT employment discrimination executive order

@highlight

Pressure on executive orders could complicate the President's agenda with Congress