(CNN) -- Cyprus has beaches to stretch out on, ruins to wander and an authentic cheese to chew on.

It's the island of love, or lust -- depending on whether you're an Aphrodite or Agia Napa fan.

But it's suited to calmer pleasures, too.

You can search for its elusive sheep, explore monasteries and mountains or drink an ancient wine.

1. It's the original island of love

Cypriot legend claims Aphrodite, the Greek goddess of love, was born and rose from the foam ("afros," in Greek) near a rock off what's now Aphrodite's Beach.

Waves breaking over the rock create pillars of foam that islanders say look just like the goddess herself.

However, the place name in Greek, Petra tou Romiou (Rock of the Greeks), has nothing to do with Aphrodite.

It's associated with Greek hero Digenis Akritas, who threw huge rocks at his enemies.

Those that missed landed in the sea -- and became tourist attractions.

2. A whole town has World Heritage status

Cyprus is a small island with a vast amount of history.

At the end of a stream of souvenir shops in Paphos you'll find an archaeological site dating to the 4th century BC.

But that isn't what makes Paphos historically unique -- the remains of ancient tombs, fortresses and palaces have made the whole town a Unesco World Heritage Site.

Paphos is a top international treasure.

3. It has the world's oldest wine label

To be exact, the Cypriot dessert wine commandaria is recognized as the world's oldest named wine.

Knight crusaders are thought to have named it in the 13th century, but it may have been made for 5,000 years.

King Richard the Lionheart of England is said to have been so taken with commandaria that at his wedding he pronounced it "the wine of kings and the king of wines."

Produced in the fertile high-altitude slopes in the southwest of Cyprus, it has a sweet, herby taste that evokes the island's aromas.

More: 11 places to go in 2014

4. Carnival is a Dionysian blend

Carnival in Cyprus is a unique blend of ancient Greek and later traditions.

It's believed to have begun under Venetian rule in the 16th century, involving masked balls and fancy dress.

Earlier celebrations of Dionysus probably lent it a wild edge.

In recent times it's been held in the days preceding Lent and is mainly associated with the city of Limassol.

It retains an untamed spirit, kicking off with the gaudily dressed Carnival King riding through town on his carriage.

5. The ancient tombs are rock solid

The Tombs of the Kings are Paphos's main tourist attraction and an important reasons for the site's World Heritage listing.

Called "monumental" and "magnificent" by the UN, the 4th-century-BC resting places are carved from solid rock, complete with Doric pillars.

They're unique in Cyprus because of their peristyle court structure, influenced by Egyptian architecture.

In layman's terms, this means they were built like courtyards with colonnades and roofs.

The ancient Egyptians believed the tombs of the dead should resemble the houses of the living.

Despite the name, no kings are actually buried here -- only members of high society.

The tombs got their name because of their grand appearance.

6. Its national symbol is a (very shy) sheep

It's the national symbol, but you may never see it.

Cyprus's mouflon is one shy sheep.

It was once considered vermin, so you can't entirely blame hunters for its demise.

By the 1930s there were only 15 mouflon, technically a subspecies of wild sheep, left on the island.

But conservation programs mean there are now thousands -- somewhere.

A couple of small herds are kept under protection.

One is at Stavros tis Psorkas on the west side of the Troodos mountains -- but, even here, the animals keep a low profile.

7. Cyprus haloumi is the real deal

Eat it raw and it squeaks in your teeth, grill or fry it and it's crispy and gooey -- haloumi cheese is served almost everywhere on Cyprus.

It's typically made from goat's or sheep's milk -- sometimes both -- that's been soaked in brine and mint.

Many Cypriot families make it themselves.

The United States and the EU have recognized haloumi as a traditional Cypriot product, so officially haloumi is only haloumi if it's made in Cyprus.

8. The Roman mosaics are among the world's best

Discovered by accident in 1962, Paphos's mosaics once decorated the houses of the island's most wealthy Roman colonists.

Described by the UN as "extremely rare and rank(ing) among the best examples in the world," they show great artistic skill but also tell compelling stories.

The Four Seasons mosaic in the House of Dionysus (the god of wine) shows winter as a gray-haired old man warming himself up with a drop of vino.

9. The diving is world class

Cyprus has one of the world's widely acknowledged top 10 wreck diving sites.

It's the wreck of the Zenobia, off the coast of Larnaca.

The cargo ship sunk in the 1980s and is still largely intact, with carpets and vending machines rotting on her decks.

It's said the owners never claimed on the insurance.

Barracuda and tuna have now made it their home.

10. Hankies have manifold powers

Tie a handkerchief to a tree and who knows what might happen?

Islanders say infertile women can bear children, lost husbands return and family feuds be resolved.

A tree at the entrance to the Christian catacombs in Paphos shows ample evidence of this apparently pagan practice.

It's adorned with handkerchiefs, ribbons and votive rags.

It's said if you want your lover to come back to you, attach something that was once his or hers -- even a sock -- to increase your chances.

CNN On the Road series often carry sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Legend says Aphrodite, goddess of love, is a Cypriot

@highlight

The island's national symbol is a sheep -- a very shy one

@highlight

Cyprus is home to what may be the world's oldest wine

@highlight

Its astounding Roman mosaics are among the best preserved anywhere