(CNN) -- Hundreds of homes have been destroyed or damaged by dozens of major bush fires raging in eastern Australia, fire officials said.

And they fear that it could get much worse.

At least 56 unrelenting blazes have scorched more than 109,000 hectares (269,000 acres), said Matt Sun, spokesman for the New South Wales Rural Fire Service. Twelve of the fires are out of control, officials said.

"We're coming out of a very dry winter, we haven't had a lot of rain for many months," said Joel Kursawe, another fire service spokesman. "That's what obviously very concerning for us because we are still only in spring and we are seeing fires like this with so much destruction."

Among those still facing severe threats are Springwood and Winmalee in the Blue Mountains region, about 80 kilometers (50 miles) west of Sydney.

Alex Chesser, a spokesman for the Rural Fire Service, said there is the potential for three fires in that region to join, posing potential hazards to thousands of residents in nearby suburbs.

Volunteer firefighter Michael Green, who made a harrowing drive through the fire lines to his home in the mountain town of Dargan, said he and his wife could feel the intense heat through their windows. The fire had passed, but burned trees were still glowing red and the hot spots "were still quite severe," he said.

"It was a bit risky, but I had to get home to see if the house was all right, and the dog," Green said. They were.

"It's just a lucky wind change," said Green, who shot video of his dash through the burned-out countryside on Thursday. "The winds were blowing right up, and at the last minute, they changed into a southerly, which took it away from the actual house."

Dozens of firefighters were battling the Linksview Road fire in Springwood early Monday. Conditions are predicted to deteriorate over the next few days, the state fire service said, and blazes might prompt road closures.

Under such conditions, fires can be difficult to control, the service said. Embers may be blown ahead, creating spot fires.

"We'll be watching the weather closely over the next three days," Chesser said.

The Springwood fire destroyed at least 193 homes and damaged another 109, officials said. In the Mount Victoria fire, seven homes have been destroyed and one damaged. Both fires were sparked by power lines that had been buffeted by strong winds.

Causes of the other fires are unclear, preliminary investigations showed. Officials are looking into whether a blaze near Lithgow was caused by a military training exercise.

Winmalee also felt the scorching impact.

Anatomy of a bush fire: How Australia's explosive forest fires work

"The house survived; the shed didn't. This all is just a pile of sticks in the air with a roof on it," resident Joe Mercieca told CNN affiliate Seven Network, pointing to the devastated aftermath.

"At the end of the day, we hope we have buildings standing. But if we don't have buildings standing, we don't want bodies in them," cautioned New South Wales Police Assistant Commissioner Alan Clarke, who commands the major events and incidents group.

A total fire ban is in place for the Greater Sydney region until further notice, officials said, meaning no fire may be lit in the open, and all fire permits are suspended.

Alison Burke Griffiths, who lives in west suburban Sydney, sent a photo to CNN iReport that showed the late-afternoon sky aglow with a thick orange and gray smog.

"We're from New York originally and have only lived in Australia for two years, so no, we've yet to see something like this," Griffiths told iReport.

Officials said heavy smoke across Sydney and much of the state is still likely.

"These conditions that we are looking at are a whole new ballgame and in a league of their own," said the commissioner of rural fire services, Shane Fitzsimmons. "The predictive charts indicate that there will be a significant impact on populated areas should all these forecasts materialize."

The situation is so bad that New South Wales Premier Barry O'Farrell declared a state of emergency for the state, which includes Sydney. The declaration gives firefighters special authority as conditions worsen.

"These powers include the right to order the public to leave or to enter an area, the right to shore up or demolish a building, and of course it also prevents people from disobeying an order given under these powers," O'Farrell said Sunday.

At least one death has been reported. A 63-year-old man died of a suspected heart attack Friday while defending his home against a blaze on the New South Wales Central Coast, the Australian Broadcasting Corporation reported.

Walter Lindner collapsed while working alongside his neighbor to save his heritage-listed homestead, according to ABC.

About 1,300 firefighters, including more than 120 from the neighboring state of Victoria, were tackling the blazes Sunday evening.

Firefighting forces from the Australian Capital Territory, a self-governing body surrounded by New South Wales, were also deployed to the Blue Mountains.

Forecasters are calling for hot, dry and windy conditions over the next few days, Seven Network reported.

CNN meteorologist Tom Sater said a front may slowly bring much-needed rain to some areas beginning Tuesday, but heavy winds might complicate firefighting efforts.

CNN's Kevin Wang contributed to this report.

@highlight

Total burn ban in place across Sydney region

@highlight

At least 200 homes have been destroyed by just two fires

@highlight

12 of the 56 fires burning Sunday are not contained, a rural fire service says

@highlight

More than 109,000 hectares (269,000 acres) of land has been burned