Tehran, Iran (CNN) -- Iranian President Mahmoud Ahmadinejad warned the United States and other nations Tuesday not to impose tougher sanctions in reaction to the Islamic country's nuclear ambitions.

Iran already faces U.N. sanctions and the five permanent Security Council members -- the United States, Britain, Russia, China and France, all of which have veto power -- have been engaged along with Germany in discussions about possible further measures.

"It's high time for some people to open their eyes and adapt themselves to real changes that are under way," Ahmadinejad said at a news conference in Tehran.

Asked specifically about the threat of tougher sanctions, the Iranian president said, "We prefer that they move in the spirit of cooperation. It won't put us in trouble. They themselves will get into trouble."

Ahmadinejad also seemed to threaten unspecified retaliation, saying Iran won't act like it has in the past.

"Definitely, we will show a reaction that will put them to shame, like always," he said.

Ahmadinejad's comments came one day after U.S. Secretary of State Hillary Clinton and Saudi Arabian Foreign Minister Saud al-Faisal expressed concern over Iran's nuclear program.

Meeting in Riyadh with al-Faisal during a four-day trip to the Middle East, Clinton called Iran's recent announcement that it has started to produce higher-grade enriched uranium "a provocative move in defiance of United Nations Security Council resolutions." Clinton further warned that the "increasingly disturbing and destabilizing actions" by Iran "will result in increasing isolation."

Earlier Monday, Clinton told a town hall meeting in Doha, Qatar, that the United States believes Iran "is moving toward a military dictatorship."

Clinton was responding to a question about whether the United States was preparing for military action in Iran.

"No, we are planning to bring the world community together in applying pressure to Iran through sanctions adopted by the United Nations that will be particularly aimed at those enterprises controlled by the Revolutionary Guard, which we believe is, in effect, supplanting the government of Iran," Clinton said.

She added, "We see that the government of Iran, the supreme leader, the president, the parliament, is being supplanted, and that Iran is moving toward a military dictatorship. Now, that is our view."

Clinton called for stronger actions after Iran announced it is stepping up production of highly enriched uranium.

"Iran leaves the international community little choice but to impose greater costs for its provocative steps," Clinton said. "Together, we are encouraging Iran to reconsider its dangerous policy decisions."

Speaking at the U.S.-Islamic World Forum, Clinton said the United States is "working actively" with its partners "to prepare and implement new measures to convince Iran to change its course."

Ahmadinejad said at a Monday news conference that Iran had no choice but to enrich the uranium because the International Atomic Energy Agency did not fulfill its obligation to provide the Islamic republic with the nuclear material.

Iran said last week that it had completed its first batch of 20 percent enriched uranium and will soon triple production. Uranium enriched to 20 percent can set off a nuclear reaction, scientists say, but is not weapons grade.

Answering a question from CNN, Ahmadinejad said it was not economical for Iran to perform its own enrichment. The Islamic republic would rather buy it from other sources, he said. But the nation's supply of enriched uranium was running low and Iran could not afford to wait any longer, Ahmadinejad said.

He would not confirm or deny that Iran would be willing to stop its enrichment program if it could obtain the uranium elsewhere.

Iranian enrichment of uranium at 20 percent is "wholly unjustified," three diplomats wrote the U.N. nuclear agency's director-general in a letter obtained Tuesday by CNN.

The U.S., French and Russia ambassadors to the IAEA said the move is "contrary to U.N. Security Council resolutions" and poses "a further step toward a capability to produce high enriched uranium."

Such an enrichment, the three said in a letter dated February 12, "is not only unnecessary, but would serve to further undermine the confidence of the international community in Iran's actions."

On Monday, U.S. Assistant Secretary of State P.J. Crowley talked about the joint letter to IAEA director General Yukiya Amano.

"We referred back to the Tehran research reactor proposal from last fall that Iran has yet to accept and we alluded to the availability of medical isotopes on the international market," Crowley said. "Given these two legitimate and immediately available options, there is no rationale for Iran to attempt to produce its own fuel."

Asked about comments made Monday by the director of Iran's Atomic Energy Organization, Ali Akbar Salehi, to the semi-official Fars News Agency that Iran would be prepared to stop its 20 percent enrichment, Crowley encouraged Iran to put forth its proposals.

"If they have ideas on how to enact the Tehran research reactor proposal, they should bring them to the IAEA and we can have another round of talks," Crowley said. "Within the parameters of the Tehran research reactor proposal, we are happy to discuss effective ways of implementing it. Our problem is that we had one meeting on the issue and Iran has yet to come back to the table."

Iran insists its nuclear program is solely for peaceful civilian purposes.

Clinton said she's not so sure.

"Iran has consistently failed to live up to its responsibilities," she said. "It has refused to demonstrate to the international community that its nuclear program is entirely peaceful. And last year, the world learned of a secret nuclear facility near the city of Qom."

Iran could obtain the enriched uranium it says it wants for medical research by accepting a proposal under which Iran would ship its uranium abroad to be enriched and then returned, but Iran has rejected that offer, Clinton said.

"This has only deepened the international community's doubts about Iran's nuclear intentions, along with the Iranian government's own isolation."

She added that Iran has also refused recent diplomatic efforts to reach a resolution.

A soon-to-be released U.S. assessment of Iran's nuclear program is expected to conclude the government has resumed limited work on a nuclear weapon, according to a U.S. official.

CNN's Shirzad Bozorgmehr and Elise Labott contributed to this report.

@highlight

Ahmadinejad warns U.N. Security Council against imposing tougher sanctions

@highlight

Told a press conference he prefers council members move in the "spirit of cooperation"

@highlight

U.N. Security Council and Germany are discussing possible sanctions

@highlight

Sanctions would be in response to Iran's nuclear ambitions