Australian residents lived in fear of a "megafire" Monday as dozens of bush blazes threaten to converge after already consuming thousands of hectares of land.

Officials also warned that a smoke cloud over Sydney may affect residents' health, as the broken promise of rain may make firefighters' already daunting task more difficult.

"The fuel bed is very, very dry. We've had a series of high wind, high temperature, low humidity days. That causes fires to run quite hard. For instance, the fire that started last Thursday ran 35 kilometers in one day," said Stuart Midgely, a  New South Wales Rural Fire Service incident controller  and the top coordinator for the Blue Mountains blaze.

As Wednesday promises more wind and higher temperatures, crews are working "to get containment lines in as deep as we can before that bad weather comes back and potentially blows the fires back up again," he said.

Compounding matters is "fairly widespread" lightning in western New South Wales, storms that are being accompanied by little to no rain, said Rural Fire Service Commissioner Shane Fitzsimmons.

"We are not expecting any meaningful rainfall to be of any benefit across any of the current fire grounds," he said, noting that the rain forecast for the weekend never materialized.

What you need to know about wildfires

Destruction spreading

The fires are swallowing up large areas of bush in New South Wales, Australia's most populous state, where authorities have declared a state of emergency. More than 200 homes have been damaged or destroyed.

One in three Australians live in New South Wales.

In at least one town, Bilpin, firefighters were forced to stop containing the fire to focus instead on protecting homes.

Forecasts of high temperatures, low humidity and strong winds over the next few days in the Blue Mountains region, west of Sydney, have state officials especially concerned.

Sixty-two fires are raging in the state, 14 of them out of control, authorities said Monday. More than 1,000 firefighters are battling the blazes that have burned 116,167 hectares (about 287,000 acres) -- an area roughly the size of Los Angeles.

Local officials fear that three large fires spreading through the Blue Mountains could merge to form one huge inferno.

"If they do join up and push to the south, there is the potential that many heavily inhabited suburbs along the Great Western Highway in our Blue Mountains region may be directly impacted by fire," said Alex Chesser, a spokesman for the fire service.

"It is unusual to see fires this size so close to Sydney," he said. "And this one does pose a significant amount of risk to hundreds of thousands of properties in the Blue Mountains area, should the wind change."

Anatomy of a bush fire: How Australia's explosive forest fires work

Total fire ban

The state of emergency issued by authorities gives firefighters and police the authority to carry out measures such as cutting off water, power and gas and ordering mandatory evacuations of areas at risk.

Firefighters in the Blue Mountains worked hard Monday "back-burning" -- using small, controlled fires to burn away flammable material in a bush fire's expected path -- to try to get the upper hand on the most threatening fires.

A total fire ban is in place for the Greater Sydney region until further notice, officials have said, meaning no fire may be lit in the open, and all fire permits are suspended.

The fires have spread a cloak of smog over Sydney in recent days.

The bush fires in the area spread out of control Thursday amid high temperatures and powerful winds. Emergency officials said the region is emerging from a very dry winter and has had little rain in recent months.

The causes of the Blue Mountains fires are still under investigation -- officials are looking into whether one major blaze was caused by a military training exercise.

2 boys arrested

Police said Monday they had arrested two boys, age 11 and 15, over two earlier bush fires in the Port Stephens area, more than 100 kilometers (60 miles) north of Sydney, that began October 13. One of the fires they are accused of starting burned more than 5,000 hectares (12,000 acres) in the surrounding area.

The 11-year-old has been charged with two counts of intentionally causing fire and being reckless as to its spread, NSW Police Force said, and the 15-year-old is expected to be charged.

The linking of the boys to the start of those fires has come as "quite a shock to the local community, to authorities and to the fire crews who have been working so hard to put these fires out," said Cameron Price, a reporter from Sky News Australia.

One volunteer firefighter, Michael Green, reported making a harrowing drive through the fire lines to his home in the mountain town of Dargan.

He said he and his wife could feel the intense heat through their windows. The fire had passed, but burned trees were still glowing red and the hot spots "were still quite severe," he said.

"It was a bit risky, but I had to get home to see if the house was all right, and the dog," Green said. They were.

"It's just a lucky wind change," said Green, who shot video of his dash through the burned-out countryside on Thursday. "The winds were blowing right up, and at the last minute, they changed into a southerly, which took it away from the actual house."

At least one death has been reported. A 63-year-old man died of a suspected heart attack Friday while defending his home against a blaze on the New South Wales Central Coast, the Australian Broadcasting Corporation, or ABC, reported.

Walter Lindner collapsed while working alongside his neighbor to save his heritage-listed homestead, according to ABC.

@highlight

Officials worry about smoke cloud over Sydney, lack of rain in area

@highlight

Fourteen out of 62 bush fires in New South Wales are out of control, officials say

@highlight

More than 116,167 hectares (287,000 acres) of land has been burned

@highlight

Two boys, age 11 and 15, are arrested over two fires north of Sydney last week