(CNN) -- I love Schrodinger's cat. There are many versions of this famous paradox but here's my favorite ...

You put a cat in a bunker with some unstable gunpowder that has a 50 percent chance of exploding in the next minute and a 50 percent chance of doing nothing. Until we look in the bunker, we don't know if the cat is dead or alive, but when we do look, sure enough, it is dead or alive.

If we repeat the experiment with enough cats and gunpowder, then half the time the cat will live and half the time it will die. But, before we look, the cat is dead and alive; it is only the act of looking that forces nature's decision. For the cat's part, it will either see the gunpowder explode or not.

So, the gunpowder explodes and the cat sees it explode or the gunpowder doesn't explode and the cat doesn't see it explode. The cat's reality becomes entangled with the outcome of the experiment and it is only our observation of the cat that forces nature to collapse into one reality.

Thank God -- or physics -- that football isn't as complicated. At least, it never used to be. The globalization of our game means that domestic football in this country is now represented by players from all over the world who bring with them different faiths and cultural traits that entangle with our own.

Occasionally, some of these different cultures smash together with all manner of pundits, journalists and fans eager to give their interpretation of the results.

If I were to ask members of our youth team on Monday morning whether anybody from the Football Association or the Premier League has ever spoken to them about racism, I will bet everything I hold dear to me that every single one of them will say "no".

So one of two things happen: either players try too hard not to say something that could be construed as racist -- and do. Or nobody says anything. And that is particularly scary.

The problem is there is a lack of real education on the issue. Throwing t-shirts at players to wear before matches is not education.

Don't get me wrong. We all know what racism looks like in its crudest form, such as the disgraceful monkey gestures we've seen in the Premier League from some fans already this season or the throwing of bananas on to the pitch as happened to the legendary Brazilian left back, Roberto Carlos, while playing in Russia.

What is required is a little education to fill in the gray areas.

Take Alan Hansen, a former Liverpool player who is now a pundit on Britain's highlights show "Match Of The Day", who in 2011 described black players as "colored". There but for the grace of God -- or physics -- goes me.

Because when we were growing up in the early 1980s, my father was at pains to point out the correct term for a black person was "colored" and not as some of the other kids in the street used to say, "Darkie".

We were told to call the man that lived on the end of our row "Indian", even though I am convinced that nobody had a clue where he was from. You certainly never used the "P" word, even though at the time the word could be heard frequently on some of the nation's most popular television shows.

But, of course, nobody is going to tap you on the shoulder 10 or 20 years later with an update and, as we know, so much of what a person learns in childhood will shape their adult life.

But that doesn't make it acceptable to plead generational or cultural ignorance.

It took an FA-led commission, the report of which ran to 115 pages, to determine whether or not Luis Suarez, the Liverpool striker, had racially abused Patrice Evra, the Manchester United defender, in 2011.

The commission had to consider that in Suarez's native Uruguay, the word "negro" is a widely used term that black people use to greet one another. But, after all, Suarez is mixed race and playing his football in England.

Suarez was eventually banned for eight games and fined $63,000 due to a lack of video evidence.

Keep in mind that John Terry, the former England captain, was banned for four games, despite all the video evidence that was presented during his hearing on whether he had racially abused Anton Ferdinand, the Queens Park Rangers defender.

Perhaps the most lenient punishment of all came last month when UEFA, football's European governing body, imposed what "Kick It Out" chairman, Lord Ouseley, described as a "paltry" $95,000 fine on the Serbian FA after England's black players were racially abused during an Under-21 match in Krusevac.

The Professional Footballers' Association, a body which presents the interests of players in England and Wales, can occasionally be heard in the middle distance calling for tougher punishments.

But its chief executive, Gordon Taylor, would do well to get in front of the players who he represents instead of the TV cameras he seems to prefer. In the absence of any leaders educating the next generation, we continue to see unsavory episodes.

We are arriving very quickly towards a state of extreme paranoia, where everybody is a racist until it's proven that they're not.

Take the absolute farce at Stamford Bridge last year when Chelsea complained referee Mark Clattenburg had called midfielder John Obi Mikel a "monkey".

When I phoned my friend at Chelsea, who was in the dressing room as things were kicking off, he told me that even the rest of the Chelsea players didn't believe Mikel and said as much to him.

But Mikel's claim was backed up by his Brazilian teammate, Ramires, who, as my friend put it: "Hardly speaks any English."

It is common knowledge that Clattenburg calls almost every player on the pitch by his nickname and, as my friend said: "We know in all likelihood that the ref has called him "Mikey" but what can we do?"

Premier League rules state that clubs have to make their complaint after the game, when tensions are obviously running high and people are emotional.

Again, as my friend said: "We didn't want to complain but we had to." Fair enough, but the fact the story made its way into the public domain almost before the players had left the stadium could have cost Clattenburg his career if the story hadn't been so unbelievable.

Fortunately, Clattenburg was later absolved.

You don't need me to tell you that a football changing room is a unique place to work in. We bend more rules than the Catholic church and each player will be pushed as close to their tolerance threshold as possible in an attempt to find the boundaries of acceptable mockery.

There are examples of this behavior every single day. During the running sessions in which the fitness coach will tell you that "we're looking for winners", the person who crosses the line first will usually be abused based on a strong feature that they have.

So a person with a big nose might hear a fellow professional shout: "He won it by a nose!" A few weeks ago, somebody shouted to a black player: "He won it by a lip!" And everybody laughed, including the player who the comment was directed at.

But there are also players who have their own unique relationship with each other.

I know a black player and a white player who go out of their way to deliver insult after insult about each other's race and personal appearance.

They are strong characters and enjoy engaging each other on that level and treat their relationship, it seems to me, as a test of quick wit. It's worth pointing out that they do it only in front of the squad.

It's been like that at every club I've played for. I remember a ball getting stuck in a tree at one club and a black French player saying to an African player "you climb this tree, you a bigger monkey than me" before the pair of them fell about laughing.

Some comments you will hear at most football clubs. They seem to travel as players move around and become entangled in the clubs' genes.

Tackling racism should never be considered the job of one person or organization. The task is too great and, if I may say, too diverse.

Nobody seems to know what the right thing to say is anymore and it could be that point which prevents people stepping forward to speak out.

Maybe quantum mechanics is easier after all. In Schrodinger's book, "What Is Life?" he talks about each individual's consciousness as being only a manifestation of a unitary consciousness that pervades the universe.

His best-known work on wave mechanics known as "Schrodinger's Equation" goes some way to explaining the inter-connectivity of the universe at a quantum level.

Think of Suarez and Evra as ocean waves or tornadoes.

At first glance, they appear to be two separate bodies, but they're not. That is simply the way we chose to perceive them. Waves and tornadoes are simply water and wind stirred up in different directions. The truth is that nothing is separate and everything is related. The colors that we see exist only in our own consciousness.

** With special thanks to The Secret Footballer's good friend Mr T, working at CERN.

The opinions expressed in this commentary are solely those of The Secret Footballer.

@highlight

The Secret Footballer says there is a lack of education regarding racism in football

@highlight

The EPL has seen racism incidents involving high-profile players in the last 18 months

@highlight

TSF says fighting racism is not the job of one person or organization

@highlight

A match in the Netherlands was temporarily halted after U.S. striker Jozy Altidore abused