(CNN) -- A strong, politically savvy woman is just what Japan and the United States need to strengthen relations on both sides of the Pacific.

Caroline Kennedy, who is in line for the post of U.S. ambassador to Japan, may or may not exactly fit that bill. With any luck, though, she could leverage her appointment as Washington's top envoy to Tokyo to heighten awareness of just how seriously both sides need to take the issue of female leadership.

Not that there is a dearth of other pressing problems at stake.

North Korea's nuclear aspirations show no sign of abating, while worries about tensions in the East China Sea over a handful of barren rocks possibly triggering armed conflict between Japan and China persist. Meanwhile, an arms race is building up in the Asia-Pacific, and the United States needs to strengthen ties with solid allies such as Japan more than ever.

A skillful diplomat should be able to navigate those choppy waters under the leadership of the Obama administration. Where an ambassador can make a real difference in bilateral relations is in highlighting issues that are not necessarily being pushed forward by her bosses at the State Department. For Kennedy, her cause should rightly be unleashing the power of women in Japan and the United States.

Japan is woefully behind most other industrialized countries -- and developing nations alike. According to the World Economic Forum's 2012 gender equity survey, it ranks in 101st place among 135 countries.

The United States, meanwhile, comes in as number 22, and European countries dominate the top tier of the ranking that measures women's economic opportunities, education, health and political empowerment.

More than 60% of Japanese women work, while nearly 70% of their U.S. counterparts are in the workforce. What's particularly worrisome, though, is that while women make up about 15% of upper management and company boards in the United States, they account for about 2% in Japan, according to the consultancy group McKinsey's June 2012 report Women Matter: An Asian Perspective.

That means the United States is hardly a role model when it comes to female leadership, and both Japan and the United States can encourage one another to go beyond simply discussing women joining the workforce.

What both countries need now is to ensure greater diversity in leadership positions, from the corridors of power to executive board rooms. Certainly in Japan, women are as well-educated as men, but face major obstacles in climbing up the corporate ladder once they get married or after they have children.

Not only does Japan need major policy overhaul to encourage more women to be more ambitious professionally, but there also needs to be a significant shift in mindset to convince women that they can and should strive for economic empowerment.

At 1.39 children per women, Japan's birthrate is one of the lowest in the world. Meanwhile, nearly a quarter of the population is older than 65, while the number of immigrants in the country remains below 2%, according to the International Organization for Migration. Clearly, that equation does not make for a robust economy.

Pushing for the best and brightest women to be more ambitious, and giving them the opportunity to shine, should be a national priority.

The United States is ahead of Japan when it comes to acknowledging the potential of female corporate and political leaders, but it pales in comparison to Scandinavian countries. Both the United States and Japan have a long way to go to reach gender parity, and both can work together to change the mindset toward female leadership.

As John F. Kennedy's only daughter, Caroline Kennedy's personal experiences hardly resonate with the average woman. Yet she has enjoyed access to some of the world's most powerful and inspiring people since an early age, and she can leverage her position as ambassador to highlight what women in Japan and the United States can aspire.

Kennedy could encourage high-powered women such as Facebook's chief operating officer, Sheryl Sandberg, to spread a U.S. brand of self-made powerful women who have prospered in places such as Silicon Valley. She could reach out to people such as former Secretary of State Hillary Clinton to talk about her personal struggles in juggling personal ambition and family needs, which will resonate with all women regardless of nationality or economic status.

Kennedy's biggest personal challenge would be to come out of her father's shadow and establish herself as a top diplomat in her own right. Her posting to one of the potentially most explosive regions in the world today highlights Obama's confidence in her leadership potential.

Japan has a very long way to go to for gender equality. The United States does much better, but it could do more as well. Both countries can acknowledge that there is a problem and be open to learning from nations that have encouraged female leadership and success to blossom.

Given Kennedy's high profile, she could shed light on the issue and push for concrete action. And by being humble and acknowledging America's failings in promoting women to leadership positions, Kennedy would avoid the label of trying to impose U.S. values on her host country.

By becoming a champion of female leadership in Japan and the United States, Kennedy could leave a powerful legacy of helping to enhance U.S.-Japan relations.

The opinions expressed in this commentary are solely those of Shihoko Goto.

@highlight

Caroline Kennedy is being vetted for the post of U.S. ambassador to Japan

@highlight

Shihoko Goto says Kennedy could be a strong voice for empowering women

@highlight

Japan is far behind other nations in giving women leadership roles in business, she says

@highlight

Author: Kennedy could emphasize how Japan, U.S. need to move toward gender equity