(CNN) -- The "mommy war" between stay-at-home and working mothers is in danger of being overshadowed by another maddening contest: the one between mothers in the U.S. and France.

Two recent books, Pamela Druckerman's "Bringing Up Bébé" and Karen Le Billon's "French Kids Eat Everything," make the case that French parents raise kids who behave and eat far better than their American counterparts.

This month, the English language debut of the European bestseller by French philosopher Elisabeth Badinter, "The Conflict: How Modern Motherhood Undermines the Status of Women," is already causing a stir.

Badinter argues that overwhelming numbers of French mamans manage to work full-time and have several kids because they haven't succumbed to intensive ideals of motherhood, most of all American-style "natural mothering."  Think extended breastfeeding, nonmedicalized birth, co-sleeping, and cloth diapers.

Commentators are already jumping on Badinter's polemic as mommy war fodder.  Does La Leche League oppress women?  Is the environmental movement, or feminism, to blame?

It's been a busy season indeed for chroniclers of the faux mommy wars.  But as usual, that war is more farce than reality.  Fini, everyone. The global battle between mamans and mamas, just as the one between stay-at-home and working moms, is largely staged.  The sometimes jazzy headlines -- such as "The conflict attacks progressive parenting as anti-feminist" on April 10 in The Washington Post -- do a disservice to the complex lives of women.

Creating two categories of mothers pits one against the other, and obscures the way traditional mommy-dividing categories often overlap. Women frequently opt in and out and back from paid work. Conversations about that fabricated domestic war and the latest international one obscure real differences linked to factors such as class and education.  And of course, "French" and "American" simplify the lives of millions of mothers in both countries.

If, instead, we actually read these books, we would realize that these authors are trying to offer solutions to the same problems in different ways.  We admit it's hardly as sexy as the Hilary Rosen-Ann Romney showdown, whereby stay-at-home motherhood became partisan fodder after the Democratic strategist Rosen criticized Mitt Romney for turning to his wife, who has "never worked a day in her life," for counsel on the economic issues working mothers face.  But we ought to slow down long enough to hear what these authors say before pulling our guns.  There are kernels of wisdom here.

Badinter, for example, wants all women (and particularly those who are French) to resist ideals of mothering that view women as the primary, more "natural" caregiver, which can make it all the more difficult to balance motherhood with work and a full, adult life.

We applaud the way she asks us to examine these intensive ideals of motherhood and their reach. No woman should feel shame because she fails to breastfeed or give birth without an epidural.  More fundamentally, we agree that care-giving shouldn't be the province of women alone.

We disagree with Badinter, however, that the obstacles are merely in our heads.  We think they're in political structures, too.  Despite Badinter dismissing as irrelevant the French policies that make health care and day care accessible and affordable, here in the U.S., we lack such support for parents, mothers in particular, who work and do the second shift at home.

The battle for pumHping stations and flextime seems a worthier cause than the trumped-up war between those who breastfeed and those who don't.  Surely natural mothering practices would not be so oppressive and disadvantageous to women if we set up society to accommodate them.

And while we're on it, the focus on breasts is a diversion.  As a mother said in an interview when Badinter's book came out in France, the real conflict is not between the mother and the woman,  but the woman and the company.  When Badinter rejects breastfeeding so mothers can retain their sexuality, one could argue she is merely replacing the tyranny  of "breasts for bébé" for the tyranny of "breasts for men."

Still, Badinter has good points, and we shouldn't be so offended as to let the criticism of our parenting overshadow the reality that we, in the United States, have a long way to go.  Perhaps there is something to American mothers' nostalgia for the French way of life, like authors Judith Warner, Jennifer Conlin, Le Billon and Druckerman, all who have raised children in France.

You don't have to be an anthropologist to know that other cultural perspectives can shed light on how we've constructed particular ideals of motherhood and family, how our government and workplaces value -- or don't value -- motherhood.

Perhaps the French experience might be a reminder that, with a revolution, structures can, and do, change. The solution to the challenges of American parenting is hardly as simple as making children eat spinach, or privileging disposable diapers over cloth.  

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: The first "mommy war" pitted stay-at-home against working mothers

@highlight

Now, three books extoll the virtues of the French mothering style, they say

@highlight

These divisive conflicts over a mother's role ignore extenuating circumstances, they say

@highlight

Writers say that Americans face challenges in child-rearing that are more complex