(CNN) -- In 2009, when Meb Keflezighi won the New York City Marathon, The New York Times noted that he was attacked in the media and online for being "not really an American runner."

Although the runner emigrated to the United States as a 12-year-old and has called America home ever since, Darren Rovell, then of CNBC, called the "headline" that an American had won the race "empty," and compared Keflezighi to "a ringer who you hire to work a couple hours at your office so that you can win the executive softball league." (Rovell later apologized for his comments.)

Now, winning the Boston Marathon a year after the bombing, a race longing for nationalist pride, Keflezighi's victory was greeted with onlookers erupting in chants of "U.S.A.! U.S.A.! U.S.A.!" It was a wonderful moment.

In its coverage of this year's race, the Boston Globe website said: "Keflezighi is first American to win men's race since 1983." The story on Keflezighi doesn't even note that he was born in Eritrea.

A year later, runners 'take back that finish line!'

A year ago, the finish line of the Boston Marathon was blown up, allegedly by two brothers, Dzhokhar and Tamerlan Tsarnaev. A Boston Globe story on the Tsarnaev brothers, written a day after their identity was learned, notes in the first paragraph that both are "from Cambridge" but just two paragraphs later, highlights their foreignness -- "ethnic Chechens, born in the former Soviet territory now known as Kyrgyzstan and transplanted to a working-class Inman Square neighborhood."

Keflezighi and the Tsarnaevs: Which of them is more American? Because it turns out that while the geography of our nation is fixed, our identity is treated as malleable -- and, especially for immigrants and people of color, revocable.

What makes someone an American? It's a profoundly complicated and rich question for us, our identity having been forged out of many strands -- some willingly incorporated, others against their will, over generations and generations. But what seems to emerge from the Keflezighi/Tsarnaev example is the ephemeral nature of American identity.

After all, Dzhokhar Tsarnaev is a naturalized American citizen and his brother had a green card and reportedly hoped to naturalize. Keflezighi is also a naturalized citizen of the United States. On paper, at least, Dzhokhar Tsarnaev and Meb Keflezighi are the same as far as citizenship goes. But not in terms of fitting the popular conception of what is "an American."

When the Tsarnaevs were identified, the Washington Post wrote: "With their baseball hats and sauntering gaits, they appeared to friends and neighbors like ordinary American boys. But the Boston bombing suspects were refugees from another world -- the blood, rubble and dirty wars of the Russian Caucasus," hinting at the idea that the Tsarnaevs resembled dangerous wolflike immigrants in sheepish American clothing.

In a similar vein, although immigration reform advocates call our nation's 11 million undocumented immigrants "aspiring Americans," conservative opponents label these moms and dads and children "criminals" who "broke the law." Immigrants who grew up in the United States, who work day in and day out to contribute to our economy and our communities, are denied their essential American-ness. And worse. Called illegal "aliens." "Cockroaches." Not only not American, but rendered as animals.

The message is clear. Although America the place was forged as a safe harbor for diverse peoples from difficult backgrounds, America the identity is often treated as a ranking, a way of separating the good from the bad, the deserving from the less-than. Who gets to be in which group often eerily tracks according to skin color. It's a practice that stands in direct violation of the values that make our nation great.

When people commit heinous acts, we try to distance ourselves from them, physically and emotionally. If we believe those acts were carried out by people who are nothing like us, not people like our friends and neighbors but "others," it's a psychological attempt at self-protection. That's human. But our culture teaches us to maintain our distance with nationalism, and especially racialized nationalism. In America, we make people we don't like the "other," especially people who commit evil. But some groups of people are more readily dismissed than others.

I'm not saying we should embrace the Tsarnaev brothers as examples of patriotic Americans. Of course not. But to deny their American-ness not only rejects our core values but perpetuates a dangerous blind spot about the realities of home-grown terrorism.

According to a study by the National Consortium for the Study of Terrorism and Responses to Terrorism, right-wing American terrorists -- most of whom were white Christian males -- perpetrated 145 ideologically motivated homicides between 1990 and 2010. During the same period, "al Qaeda affiliates, al Qaeda-inspired extremists, and secular Arab nationalists" committed 27 homicides in the United States, "involving 16 perpetrators or groups of perpetrators."

Still, in the moments after news broke this month of yet another shooting at Fort Hood in Texas, before any details were known, conservative filmmaker and Breitbart.com contributor Pat Dollard tweeted, "If there is even one more act of Muslim terrorism, it is then time for Americans to start slaughtering Muslims in the street, all of them." The 2014 Fort Hood shooter was an American (and not of the Muslim faith) -- though news reports routinely noted he was from Puerto Rico. Imagine someone making a remark like Dollard's about conservative Christians or Christians in general.

In the wake of the Oklahoma City bombings, Timothy McVeigh was called many things. But was his American identity stripped away? To the contrary, an autobiography about McVeigh is called "The All-American Monster."

For people of color and immigrants in the United States, the grasp on American identity can be tenuous and temporary. Consider the black man whose citizenship and American-ness were routinely questioned even after he was elected president of the United States of America.

Meb Keflezighi's victory in the Boston Marathon conjured up a sense of national belonging to which all parts of America should be entitled -- in our moments of victory, and our moments of defeat or worse. Rep. Paul Ryan once said, "America is more than just a place. America is an idea." Yes, and that idea -- that identity -- must never be allowed to flicker with discrimination or hate.

@highlight

Sally Kohn: Boston Marathon winner was rightly described as "an American"

@highlight

Kohn: Often the term "American" is used to show approval, and withheld to marginalize people

@highlight

Kohn: People of color and immigrants are particularly likely to be stripped of American label

@highlight

Being American is not revocable and not conditional, she says