(CNN) -- Bradley Manning and Edward Snowden are two American men in their 20s. They're both fascinated by -- and adept at -- computer use and held jobs that gave them access to some of their country's most secret and sensitive intelligence. They chose to share that material with the world and are now paying for it. But that may be where the similarities end.

What did they do?

United States Army Pvt. Bradley Manning leaked hundreds of thousands of classified documents about the wars in Iraq and Afghanistan and sensitive correspondence written by U.S. diplomats -- information that WikiLeaks published. Some of that information was also analyzed and reported by The New York Times, Der Spiegel and The Guardian newspapers as well as other news outlets. A military judge acquitted Manning on Tuesday of aiding the enemy, but convicted him of violations of the Espionage Act. The proceedings for his sentencing could take days or even weeks. He could get 136 years.

Edward Snowden, a former CIA employee and National Security Agency contract employee, told a Guardian journalist that the NSA was operating classified surveillance programs that track cell phone calls and monitor the e-mail and Internet traffic of virtually all Americans. To tell his story, he left his job and life in Hawaii, fled to China and is now in Russia, where he has been granted temporary asylum.

Read more: New Snowden leak: NSA program taps all you do online

How did they do it?

Manning had access to intelligence while working as an analyst stationed in Iraq. Snowden worked for NSA contract firm Booz Allen Hamilton, a job that gave him access to the sensitive programs.

What are their stated motives? When Manning entered his guilty pleas on certain charges in February, he spent more than an hour in court reading a statement about why he had leaked the information. He said that the information he passed "upset" or "disturbed" him, but none of it, he thought, would harm the U.S. if it became public.

Manning said that he thought the documents were old and that the situations they referred to had changed or ended.

"I believed that if the general public, especially the American public, had access to the information ... it could spark a domestic debate on the role of the military and our foreign policy in general as it related to Iraq and Afghanistan," he said, according to a statement that Manning's lawyer, David Coombs, posted a link to on his site.

Read Manning's full statement

Manning's statement also explains why he enlisted: "my natural interest in geopolitical affairs."

Snowden has said that he just wanted the public to know what the government was doing.

"Even if you're not doing anything wrong you're being watched and recorded," he said.

Explaining his motivation to Guardian journalist Glenn Greenwald in an edited video published on the newspaper's website in June, Snowden said the NSA's activities were tantamount to "abuses."

He also revealed to The Guardian that he had access to everyone working at the NSA, the entire intelligence community and undercover assets around the globe.

"I'm just another guy who sits there day to day in the office, watching what's happening, and goes, 'This is something that's not our place to decide.' The public needs to decide whether these programs or policies are right or wrong," he said.

How much damage did they do?

Manning was acquitted Tuesday on the most serious charge of aiding the enemy, and experts say that clearly illustrates that the government did not provide convincing evidence that he helped enemies of the United States through his leaking. He was convicted on several other counts and now probably faces a lengthy term in a military prison.

At Manning's sentencing proceeding, the prosecution called retired Army Brig. Gen. Robert Carr, who at one point had headed up the Information Review Task Force, which assessed the possible damage that Manning's actions had caused.

Carr testified that there were concerns about some 900 Afghans who were identified in some way in the documents. But he didn't say if any of those Afghans were harmed.

Asked if Manning had made the jobs of junior intelligence analysts more difficult by damaging their superiors' trust in them, Carr said it was "hugely important to empower these young intel analysts."

But experts outside the courtroom say the mere fact that sensitive information was able to be leaked by an Army private damaged the image of the U.S. and its ability to influence global affairs.

"Manning's leaking of classified cables made diplomats and officials wonder, 'Well, if I talk to an American, will whatever I say wind up in the newspaper or published online?" said James Lewis, director and senior fellow of technology and public policy program at the Center for Strategic & International Studies.

"It suggested to the world that we couldn't keep secrets and we couldn't control people with access to secrets."

Much of the information contained in Manning's leaks was outdated, Lewis points out. Some of the cables were years old.

Snowden case is different

Snowden's case is different, officials say, because he disclosed how the government actually collects telephone and online information, leaving the NSA to try to reassemble its surveillance networks.

Justice Department and security officials have said that the surveillance programs were necessary to combat terrorist threats.

In an interview with CNN, Secretary of State John Kerry called Snowden "an individual who threatened this country and put Americans at risk."

"People may die as a consequence of what this man did," Kerry said. "It is possible the United States will be attacked because terrorists may now know how to protect themselves in some way or another, that they didn't know before."

In congressional testimony, NSA Deputy Director John Inglis said that Snowden's acts "constituted an irresponsible and real damage to the capabilities" of the NSA.

Former CIA chief Michael Hayden had some of the harshest language for Snowden. In a CNN op-ed, Hayden said that Snowden far eclipsed the damage that Manning caused.

Read Hayden's editorial

"First, there is the undeniable operational effect of informing adversaries of American intelligence's tactics, techniques and procedures. Snowden's disclosures go beyond the "what" of a particular secret or source. He is busily revealing the "how" of American collection," Hayden wrote.

..."there are already reports of counter-terrorism targets changing their communications patterns. And I would lose all respect for China's Ministry of State Security and Russia's FSB if they have not already fully harvested Snowden's digital data trove."

Military law attorney Eugene Fidell told CNN that there is some good that can come of Snowden's leaking, though the former president of the National Institute of Military Justice is quick to add that he has little sympathy for Snowden.

His leaks helped lead to congressional hearings and a re-examination of how much intelligence gathering is appropriate and when it may be venturing into abusive territory.

"The public knowing, at least being aware, of the powers of the FISA court showed new and sweeping powers being exercised by the executive branch," Fidell said.

"This is a democratic country, a democratic society. An informed electorate is essential. Not every voter should know everything," he said. "But there is increasing concern across the political spectrum" that those powers may be overreaching.

@highlight

WikiLeaks leaker Bradley Manning was convicted of violations of the Espionage Act

@highlight

Edward Snowden disclosed sensitive programs run by the National Security Agency

@highlight

While they both leaked, their circumstances -- and future -- could be far different