Cairo (CNN) -- Mona Seif is deep in a crowd of thousands, her cell phone camera held high overhead. She is streaming live video and pushing for a better shot of a protest in Tahrir Square, the spiritual heart of the Egyptian revolution. It is Friday in downtown Cairo, and people are shouting and screaming across the square, waving signs and chanting in unison.

A fever for change pulses through the land of the Pharaohs. It is weeks after the revolution -- yet the fever here still has not broken. Nearly every Friday across much of Egypt, crowds take to the streets, their passion and push for change still visible.

Seif, a soft-spoken, petite brunette with big brown eyes, is on the lookout for human rights abuses or beatings of protesters -- her specialty and personal crusade. Before the day is over, she will send dozens of tweets, post online pictures and video, and record her observations and interviews with people in the streets.

And this is not even her day job.

Seif is a cancer research lab worker. But she is also a blogger and internet activist, one of Egypt's many prominent internet revolutionaries who helped topple former Egyptian President Hosni Mubarak in February. Though their revolution is officially over, they consider the fight ongoing and any sort of real democracy but a far-off dream. They continue to tweet and upload photos and live-streaming video for all the world to see.

A similar network of online bloggers and activists stretches across the entire Middle East and North Africa, from Yemen in the east to Morocco in the west, many of them friends and in constant contact with one another. Mostly in their mid-20s, the young i-revolutionaries have various motivations and backgrounds. For Seif, the mission is personal and, in many ways, an inherited mantle.

She comes from a well-known and respected family of Egyptian human rights activists, dissidents and protesters who have helped shape her view of the world and prepare her and her siblings to take a place on the front lines of Egypt's revolution, using the latest technological and digital weapons.

She was born into the fight, literally. On the day of her birth, her father was in prison because of his activism. Ahmed Seif El-Islam Hamad is an internationally known human rights attorney in Cairo who was arrested in 1983 and held five years for his work with the country's socialist movement.

During his detention, he was tortured, which he has spoken about publicly. After his release, he dedicated himself to fighting torture and injustice, becoming central to some of Egypt's most celebrated human rights cases. A decade after he was freed, Ahmed Seif helped found one of Egypt's top human rights centers. Much of his work at the Hisham Mubarak Law Centre has put him in direct conflict with the Mubarak regime.

Mona Seif's mother, Laila Soueif, is a math professor at Cairo University who helped organize many of the country's most important demonstrations against the Mubarak regime during the last two decades.

At the height of the last big pro-democracy push, known in part for the "Kefayah" movement in 2005, Soueif was among a group of women assaulted by Mubarak thugs on the streets. In that attack, Mona's older brother, Alaa, protected his mother by repelling blows with his arm, which was broken in the attack. Soueif is widely known on the streets as brash and courageous, and has on numerous occasions faced down baton-wielding policemen with nothing but her scolding, scathing, booming voice and steely eyes.

"She is unbelievable," Mona said of her mother. "The joke with all of our friends is, if you see Laila Soueif in a protest, then you stick to her and you will be safe."

"People always assume, (because) she is a woman and she has white hair, so they want to protect her. But really she doesn't fear anything. She never fears state security. I have one photo of her in a protest where she is literally pushing against this line of state security policemen. She's amazing in this sense."

With their parents so involved in politics and dissent, Mona and her siblings grew up hearing about torture, repression, injustice and the law. The Mubarak dictatorship and police brutality were typical subjects of dinner-table conversation.

Seif's oldest brother, Alaa Abd El Fattah, is a computer programmer who has become one of the most widely known internet revolutionaries in Egypt. He and his wife, Manal, created the Egyptian blog aggregator site Manalaa. Shortly after the incident with his mother in 2005, Alaa's insightful, analytical blogs, in which he documented and analyzed the growing abuses by the Mubarak regime, captured attention. As his voice grew, Alaa, too, became a threat to the regime. He was arrested at a demonstration in 2006 and imprisoned for some 45 days.

Mona and Manal helped organize a successful worldwide online campaign to free Alaa. Upon his release, he and his wife moved to South Africa, where they continue their campaigns and criticism.

Mona's younger sister, Sanaa, is also already involved in helping organize rallies and groups of young activists.

Mona, the middle child, always knew this was her path.

"I've always known I'll be politically active. It's sort of, I don't know, part of my heritage I guess," she said. "But I needed to find my own space," a way to make her own mark. "Using Twitter, using social networks, and with my phone, working on cases of military detentions, tribunals and torture -- this has become my own space. I've found my own way of being part of all of this now."

In 2010, as events began to heat up, leading to the revolution, Mona began regularly attending demonstrations and working to help the cause.

"I actually celebrated my 25th birthday at a demonstration, in front of the ministry of prosecution. My friends were all there and it was very funny."

During the revolution, between January 25 and February 5, when President Mubarak finally stepped down, Mona's entire family was together in the square, night and day. Aunts and uncles and cousins came from afar -- one from London -- to join them.

"We actually had our first family reunion in a long time in Tahrir Square, during the revolution," Mona said.

Facing down the Mubarak regime is something she will never forget.

"It was a life-changing moment for most of the people in Tahrir Square. You could see the gunshots at people, and you could see how people were just going to face the thugs that were attacking us, with nothing to protect themselves. ...

"This was the important moment when everyone realized that everyone in Tahrir Square is willing to take this to the end, no matter what. From that moment on, for me and a lot of others, we had this blind faith that we really will win in the end."

Today, Mona's main political focus is on individuals who have been detained by the military and are denied due process or fair representation. Many detainees have been held with virtually no legal representation, she said, and many of the trials of protesters by the military have been conducted en masse.

"We have evidence that the military right now is targeting protesters. ... They selected known figures of the Tahrir protest. They selected people who were known and they tortured and beat them up," she said. "And if you read or listen to the testimonies of those who were released, which are a few, we still have a lot of people detained unconstitutionally. And you see that it's not just that they're getting tortured or beaten up, but there's an element of the Army trying to break the revolutionary spirit."

CNN's request for an interview with the Egyptian military leaders was denied. CNN was instead given a statement denying these allegations.

"These cases of torture are false rumors. None of these accounts are true. We are in unstable times in Egypt. There are thugs loose," said the statement from the Egyptian military spokesman.

Mona Seif said the military used different tactics against male revolutionaries than they did the women.

"For the guys, they said the officer told them that they won't stop beating them up until they say 'Long live Mubarak.' In another testimony, they told them to raise their hands up high, and when they would do this they would get beat, kicked in their faces and their heads. ...

"And for the girls, they line them up and ask them who is a virgin and who is not, and whoever says she's a virgin, they got someone, an officer wearing a white coat, so they assume he's a doctor, to check whether they are virgins or not with the threat that those who lied about their virginity would probably face prostitution charges. ... You could see it was just to break their spirit. Because in Egypt, in this culture, nothing would break their spirits far more than this."

The Army has admitted they did the virginity tests, saying it was a way to prevent women from making false claims of rape while they were in prison.

Mona works closely with many other online activists, including her friends Gigi Ibrahim and Ramy Raoof. They say the number of those who have been denied justice is not small.

"When we started following some of the cases of the protesters, we realized that since January 28 there are thousands of Egyptian citizens who have gone through this. ... They try at least 100 people per one trial. They don't care about investigations; they don't care about the presence of a lawyer. So far we have 500 names of people who were tried before a military court."

The detainees who get released are asked to record what happened to them.

"They write it down. Some of them we managed to get their video testimonies right after they were released, so it actually shows bruises and burn marks."

The testimonies are now online, as a common blog, called the Tahrir Diaries.

"Especially with the army violations and the army torture cases," she said, "the Internet is really our only means of fighting this."

CNN's Taryn Fixel and Leon Jobe contributed to this report.

@highlight

Young bloggers playing critical roles in revolutions in Tunisia, Egypt, Bahrain

@highlight

Mona Seif's parents are prominent, longtime human rights activists in Egypt

@highlight

Seif still documenting abuses, following plight of detainees