(CNN) -- If you thought it was difficult managing your own money in 2007, consider the pressure of the task when you're dealing with $1.8 trillion of client assets.

Sallie Krawcheck has made Fortune's list of the World's Most Powerful Women every year since 2002

That's what Sallie Krawcheck does as Chairman and Chief Executive of Citi Global Wealth Management.

She joined the banking industry as a research analyst, but quickly rose through the ranks, gaining a reputation for honesty and integrity along the way.

Dubbed the "Mrs Clean" of Wall Street, Ms Krawcheck was credited with restoring investors' faith in analyst reports while head of retail brokerage firm Smith Barney.

She joined Citigroup in 2002, and spent some time as Chief Financial Officer before taking up her current role in March 2007.

Sallie Krawcheck has been a regular entrant on Fortune's list of the World's Most Powerful Women in Business -- in 2007, she made number 12.

John Defterios caught up with Ms Krawcheck in Dubai. He asked her for her views on the movement of capital outside the G8 (Canada, France, Germany, Italy, Japan, Russia, the United Kingdom and the United States).

Sallie Krawcheck (SK): I think what's happening right now, it's fascinating because in the United States and in developed Europe we're having a liquidity crunch -- someone might argue a liquidity crisis. And in fact, we are awash with liquidity in the Middle East and in Asia as well, so there's really a bifurcation that's occurring in the world.

And if you think about, oil doesn't even have to stay at the 90-plus dollar level it is; even at levels in the 70's, 60's, 50's, 40's, a tremendous amount of liquidity is being generated in these markets which is really being put back into the market. Yes, the investments are going up globally, but the governments here really are investing back in the infrastructure and the economies of this region. And so over time, you're really going to see... I think continue to see... a shift in economic activity on a relative basis from the more developed economies here to the Middle East as well as to Asia.

John Defterios (JD): It's coming almost as a perfect storm; we have a sub prime crisis, a 20 percent fall in the dollar in the last two years. In this window of time, is there a danger that the financial capitals build outside of Wall Street and it undermines its role?

(SK): I think there is no doubt that New York is losing its status as a financial capital of the world. If you think about some years ago, if you think about the internet bubble for example, where it was New York and California wasn't it? And you look at a whole range of reasons for it, and the sub prime crisis perhaps, the decline of the dollar perhaps. But you have overlapping regulators in the United States, you have very high taxes in the United States, you have a very litigious environment in the United States, and you have the emerging markets coming up, so capital is being raised outside of the United States. These things, some of which are negative for the United States, some of which are positive for the other regions, is accelerating a shift that was underway from New York, to London, to Hong Kong, to Singapore, and potentially to Dubai as well.

(JD): Some of the wealth funds are now on the radar of both Wall Street and Capitol Hill in Washington. You can't have your cake and eat it too. You can't say I want some of that liquidity but I only want part of that liquidity. What is the result of that do you think? Can you over-regulate the sovereign funds?

(SK): Oh, I think you can over-regulate the sovereign funds. I think the same question can be asked of the private equity funds and the hedge funds as well; where in a lot of countries the regulators have been struggling with the issue of 'here are very important drivers of global markets and global liquidity'. And the concern is if, gee these are going to be important going forward, we want to have these involved in our economy and our markets, but if we regulate this alone that money will skitter away to another market -- to a market outside the United States or Europe for example.

(JD): It's fascinating because if you look at Qatar or Egypt or Shanghai, the stock markets have almost had like a one way path; there's been some correction here in the Middle East. But what are we likely to see here, stair steps up the ladder with some corrections along the way, or an implosion because of the rapid gains?

(SK): I think you've got to separate the idea of what's going on in the real economies and what's going on in the market places. They move together, but sometimes they separate, they diverge, and they can diverge for a long period of time.

If you look at economic growth potential of the Middle East, of Asia, of Latin America, we feel very bullish about this. And I was making the point earlier today, China has been growing at 11 or 12 percent, not for one year or two years, but literally for 30 years. For 30 years it's been growing at that kind of rate and really can continue as far as the eye can see. So, say the same thing for the Middle East, the growth even at a lower oil price can be significant, but can be high single digit or double digit for some foreseeable period going forward.

(JD): Is Wall Street, or for that matter, London or any other financial center ready for a woman -- for example in your case, 1.4 trillion dollars of assets...

(SK): 1.8 Thank you...

(JD): ...to run one of the major money center banks of the world? I'm sure you're feeling this pressure even though you're young by international standards. Are we ready for a woman to take over a money center bank?

(SK): Well it looks like the United States may be ready for a woman to take over as President. So I think if we're ready to potentially have a woman run the country, I think we are getting ready as a country, to potentially have a woman run a money center bank. Now, you know, the board wouldn't ask and I wouldn't accept, but if you look across Wall Street, there are a few women who are putting themselves in positions to be successors the next time there are CEO's who move along, and I think it's a very exciting development for the industry and for the country.

Have your say. Email us at mme@cnn.com, or send an i-report. E-mail to a friend

@highlight

MME speaks with Sallie Krawcheck, boss of Citi Global Wealth Management

@highlight

Ranked by Fortune magazine as World's 12th Most Powerful Woman in 2007

@highlight

Manages client assets worth $1.8 trillion, formerly bank's CFO

@highlight

Tells MME: "we're very bullish" on economic potential of the Middle East