(CNN) -- As the nation continues to grieve for the six adults and 20 children taken too soon in the Newtown, Connecticut, school shooting, a hero from another generation has slipped peacefully into the pages of history.

There were many who knew Sen. Dan Inouye, a Democrat and Medal of Honor recipient from Hawaii who passed away Monday, better than we did. But we had the good fortune of sitting with him this past summer, interviewing him and hearing some of the remarkable stories from his life in America's service. The portrait that emerged was that of a man of courage, character, and, perhaps above all, a singular spirit of peace and good will that was forged, paradoxically, amid some of the most horrendous carnage of the Second World War.

News: Hawaii's Daniel Inouye, Senate's second longest-serving member, dead at 88

Some of Inouye's deeds -- his valor serving on the German front in one of America's most decorated (and heavily wounded) units, his Herculean political efforts on behalf of his home state -- have been well remarked. What we were especially struck by was his quiet, sagelike humanity.

There was his story, for example, of the day during the war when he came upon a German soldier who appeared to be preparing to kill him. The German, as Inouye told it, put his hand into his shirt, and Inouye, thinking he was reaching for his weapon, "smashed him in the face." As the man hit the ground, his hand fell out of his shirt, revealing photographs -- the soldier's wife, his kids.

"So help me, up until that moment, I looked upon Germans as enemies, period," said Inouye, who had by then killed many enemy soldiers already. "From that moment, I looked upon him as a father, son, uncle, boyfriend. He was human. And it's not easy to kill."

It was, he said, what he always told people when they expressed disbelief that he, a decorated veteran, could stand up against the war in Iraq. "You've got to convince me before we go to war," he maintained. "You would never forget running over a dog -- the bump. If you don't forget that, how can you forget killing a human being?"

To hear Inouye talk was to sit beside a still, fathomless pool -- he spoke with a measured calm and wisdom that made clear how deep the dignity beneath it ran. In that way, he called to mind an echo of former Senate Majority Leader Mike Mansfield -- of whom, Inouye said, "If there was a mentor, it was him."

And he carried Mansfield's stoic ability to forge consensus and compromise with him, far into a legislative era known for its strident opposites. Of his 12 subcommittees, Inouye told us in July, "Nine of them have reported out their bills almost unanimously. About six were unanimous -- 30-0. The others were 29-1, 28-2. ... That's this month. It can be done! ... And 30-0 includes (Senate Minority Leader Mitch) McConnell!"

His secret was deceptively straightforward: a steady practice of simple gestures -- sitting with senators who had objections, calling a senior Republican "vice chairman" instead of "ranking member" ("I hate that word 'ranking' -- it's something like 'stink'!"), not speaking ill of anyone to the press.

"It might take some patience, but when I found out that you were pissed about (a) program, I'd sit down with you and talk about it," he told us. "Little things like that make a difference."

It was a basic humanity and a largeness of vision that Inouye extended to individuals from all backgrounds, born not only out of his experiences seeing his own people -- Japanese-Americans -- vilified and interned during World War II (Inouye himself signed up as soon as the U.S. government lifted its ban on American-born Japanese enlistments), but from his own crucibles in the war.

Describing the injury that cost him his right arm and very nearly his life, Inouye told us of being taken to the Army hospital, of being initially counted a hopeless case, of having his arm amputated without anesthesia, of ultimately receiving 17 blood transfusions to stay alive. Of those 17 transfusions, he explained:

"That made a little difference in my outlook on life. In our last battle, the regiment was attached to the 92nd Division -- all African-American. Hospitals were run by the 92nd Division, and in those days, I don't know about the other hospitals, but in the one I was in, (the blood) came in a glass bottle, with tape -- donated by so and so, private, 92nd Division. So you know he's African-American. Well I got 17 pints.

"If it weren't for (the 92nd), I wouldn't be here. The war did a lot to change your ideas. I looked upon (people of color), as I do today, as brothers. What else can I do? After all, I've got the same blood."

Throughout its history, the nation has been blessed to have men like Inouye -- reserved, unboastful men, whose actions show the deep reservoir of quiet honor from which they draw their strength. Who show the courage that Hemingway called "grace under pressure."

When he was first brought to the Army field hospital after sustaining the wounds that would claim his arm, Inouye related, "The doctors looked at me; they're mumbling among themselves," he recalled. "Two minutes later a chaplain comes up -- opening words: 'God loves you.'

"I said: 'I know that. I love him too," he recounted with a chuckle. "'But I'm not ready to meet him yet!'"

No one can know the ways of the Lord, but we would be surprised if he wasn't happy to meet Dan Inouye today.

The opinions expressed in this commentary are solely those of Michael Zuckerman and David Gergen.

@highlight

Michael Zuckerman, David Gergen: Sen. Dan Inouye was a hero from another generation

@highlight

They say senator was a man of courage, service, who had a lesson in humanity on battlefield

@highlight

They say he stood up against the war in Iraq, had personal understanding of human toll

@highlight

Writers: He treated colleagues with dignity, was able to forge consensus in subcommittees