(CNN) -- When the U.S. economy collapsed, millions of us lost our homes, our jobs, our retirement savings and our faith in the American dream. What we gained was a very clear view of the vast -- and growing -- divide between the rich and the rest of us.

Like many hardworking Americans earning minimum wage, Margaret Lewis knows firsthand what it's like to live on the edge. She works as a transporter for passengers with disabilities at O'Hare International Airport. She wakes up at 1 a.m. to go to work, and spends the early morning hours pushing wheelchairs to gates and helping travelers on and off planes.

With tips, and Illinois' minimum wage -- which is $1 above the federal minimum wage of $7.25 an hour -- Margaret makes about $18,000 a year, or $10,000 below the federal poverty limit for a household of five.

Margaret lives with her four school-age children in a three-bedroom apartment on Chicago's South Side. Two recent shootings on her block make her fear for her children's safety, but she cannot afford to move. Margaret is unable to pay the $850 per month rent, so she and her family perform janitorial tasks for the landlord to make ends meet. The children's clothing is all secondhand, Margaret uses food stamps to make sure everyone is fed and when it is time to buy shoes for school, she has to save an entire paycheck.

Tuesday marked the third anniversary of the last increase in the federal minimum wage. For the last three years, while the prices of gas and milk have risen steadily and the richest 1% have enjoyed huge tax breaks, the federal minimum wage has remained frozen at $7.25 an hour, which amounts to just $15,080 a year -- as long as you get paid for any time you take off. That's more than $7,000 below the federal poverty line for a family of four. As a result, the purchasing power of the minimum wage has slowly eroded -- in just three years, its real value has sunk to $6.77 per hour, a nearly 50-cent drop.

The Bush tax cuts, which are simply the perquisite of the moment for the 1%, allow for the richest to prosper at the expense of middle-class and low-income workers. While CEOs make millions and their corporations make billions as part of a so-called economic recovery, the majority of Americans are struggling to make ends meet. This struggle is exacerbated by the low federal minimum wage. As middle-class jobs are increasingly replaced by low-wage work, however, this is the economic reality for a growing number of Americans.

Unless Congress raises the federal minimum wage, economic security for workers in low-wage jobs, the fastest-growing sector, will disappear. It is incumbent on members of Congress to raise the federal minimum wage and index it to inflation, putting more money into the pockets of ordinary Americans to boost our economy and aid a real, long-term recovery.

The Rebuild America Act has been introduced in both the House and the Senate to do just that, while also raising the federal minimum wage for tipped workers, which has been a meager $2.13 since 1991. The Fair Minimum Wage Act, not yet introduced, is also a call for a more decent wage. Support for these bills is support for an economic recovery that extends to all Americans.

This legislation could make a difference for Bruce Gross, a father of three in Baltimore. He worked as a sandblaster, supporting his wife, their twin boys, daughter and two nephews, until the economy crashed. Now, Bruce makes $7.36 an hour as a telemarketer.

Bruce's wife is sick and unable to work, leaving him as the sole breadwinner. Bruce estimates he brings home about $200 every other week and his bills are more than double that. Bruce and his family recently sat in the dark for a few days because he had to choose between paying his electric bill and buying groceries.

When things got really rough, Bruce asked neighbors if they could spare a few slices of bread and some cheese for sandwiches. He is heartbroken that he is unable to provide even basic necessities, like food and school supplies, for his children.

People who work for a living should be able to make a living from their work. Low-wage workers should not have to scrape by, while many of the companies they work for are making more money now than they were three years ago. The federal minimum wage hasn't kept up with inflation, but CEO pay has risen 725% over the last 30 years and 80% of all real income growth has gone to the richest 1% of Americans.

The real value of the minimum wage peaked in 1968. Had it kept pace with rising living costs, the minimum wage would exceed $10.50 per hour today. Meanwhile, the U.S. economy has been reorganizing over the past 30 years away from middle-wage jobs in manufacturing and construction and toward low-paying jobs in the rapidly expanding service, retail and restaurant industries.

We have little reason to expect large corporations that are the principal employers of low-wage workers to voluntarily offer higher pay; rock bottom wages are a core profit-making strategy for retail giants and fast food chains. Nor does reality match the myth that prosperity at the top will eventually "trickle down" to workers at the bottom: corporate profits are at their highest level as a share of GDP, and wages at their lowest, since the 1950s.

Neither facts nor common sense support a federal minimum wage stuck at $7.25. It wasn't low-wage workers who crashed the economy. It was not a raise for these workers, but rather an unquenchable thirst for profit, that led to Wall Street's disastrous game of financial Russian roulette. Why, then, should low-wage workers pay the price?

How high must profits go before a modest wage increase isn't raised as a specter of impending corporate doom? It's easy to exploit such fears in this economic climate, but these tired old canards -- trotted out in every minimum wage fight -- are just an excuse for political inaction and continued corporate greed.

The bottom line is that people who work for a living put their money right back into our economy. What business in this country needs right now is customers and too many hardworking Americans aren't making enough money to get by. If we raise the federal minimum wage and demand the 1% pay their fair share to reduce income inequality, we will boost our economy, help small business grow and create jobs.

@highlight

Writers: Working at minimum wage, Americans can't keep families fed and clothed

@highlight

As prices rise, they say, federal minimum wage stays at $7.25 an hour, or $15,080 a year

@highlight

Writers: As CEOs, corporations profit, middle-class jobs lost to low-wage work

@highlight

Writers: Minimum wage hike would help struggling Americans