London, England (CNN) -- The controversy known as "climategate" erupted in November 2009 with the publication of more than 1,000 e-mails to and from scientists at the Climatic Research Unit (CRU) of the University of East Anglia in eastern England.

The e-mails, dating back to 1996, were published on Web sites run by climate change skeptics who claim efforts had been made to manipulate data to exaggerate the threat of global warming.

The head of the CRU, Professor Phil Jones, stepped down from his post while reviews were conducted. It was announced Wednesday that Jones would return to the role of Director of Research at the university after an independent review cleared the CRU of manipulating or falsifying data.

"We concluded that these behaviors did not damage our judgment of the integrity, the honesty, the rigor with which they had operated as scientists," said the review's chairman Muir Russell.

In early July, an investigation by Penn State University into one of the authors of the e-mails, Professor Michael Mann, found that he had not strayed from accepted practices for "proposing, reporting or conducting research."

Who is the CRU?

The CRU is one of the world's leading research bodies on natural and human-induced climate change and has developed a number of the data sets widely used in climate research, including the global temperature record used to monitor the state of the climate system.

It played a key role in the Intergovernmental Panel on Climate Change's (IPCC) Fourth Assessment Report in 2007 -- a collaboration between the United Nations Environment Program and World Meteorological Organization (WMO) -- considered to be the most authoritative report of its kind.

Since the e-mail scandal broke, the credibility of the IPCC has been brought into question. In January, the panel admitted its assessment report had wrongly stated that the Himalayan glaciers would disappear by 2035.

How was the climate data allegedly manipulated?

In one particular e-mail, Professor Jones relates to the preparation of a figure for the WMO Statement on the Status of the Global Climate in 1999. He writes, "I've just completed 'Mike's Nature trick' of adding in the real temps to each series for the last 20 years ... to hide the decline."

The alleged 'Climategate' e-mails

According to critics, this "trick" worked in the following way: when temperature readings taken from tree rings showed an apparent decline in temperatures from the 1980s to the present, the researchers added in measurements taken later by more modern instruments, which gave them the answer they wanted.

What was the CRU's response?

In a statement posted on the university's Web site late last year, the CRU said the use of the word "trick" was not intended to imply a deception. It said: "The requirement for the WMO Statement was for up-to-date evidence showing how temperatures may have changed over the last 1,000 years.

"To produce temperature series that were completely up-to-date (i.e. through to 1999) it was necessary to combine the temperature reconstructions with the instrumental record, because the temperature reconstructions from proxy data (such as tree rings) ended many years earlier whereas the instrumental record is updated every month."

The statement went on to say the illegally obtained e-mails have been "taken out of context and misinterpreted" as evidence that CRU manipulated climate data to present an unrealistic picture of global warming.

It added that "this conclusion is entirely unfounded and the evidence from CRU research is entirely consistent with independent evidence assembled by various research groups around the world."

It called for an independent review to be set up, and since late 2009, the team, led by Sir Muir Russell, has been examining dozens of submissions.

What impact did 'Climategate' have on the case for global warming?

The e-mails appeared just weeks before the United Nations Conference on Climate Change held in Copenhagen in December 2009.

At the time, many climate change experts claimed the files were stolen in an attempt to undermine the talks. "Given the wide-ranging nature of change that is likely to be taken in hand, some naturally find it inconvenient to accept its inevitability," IPCC chairman Rajendra Pachauri told reporters in the Danish capital.

"The recent incident of stealing the e-mails of scientists at the University of East Anglia shows that some would go to the extent of carrying out illegal acts, perhaps in an attempt to discredit the IPCC."

After its completion, the December Copenhagen climate conference was widely seen to have failed in its aim of agreeing a global deal on climate change.

CNN's Paul Armstrong contributed to this report.

@highlight

In November 2009, more than 1,000 e-mails were published online

@highlight

Climate skeptics claimed e-mails showed case for global warming had been exaggerated

@highlight

Independent review published Wednesday cleared scientists of wrongdoing

@highlight

Head of unit in question Professor Phil Jones to return as Director of Research