(CNN) -- It's December 1991 and France is on the verge of making tennis history.

The scene is set for Guy Forget to lead the nation to Davis Cup victory for the first time in 59 years. Standing in his way is a U.S. team defending its title -- and more specifically, Pete Sampras.

Some 40 games and many more points later, the Frenchman produces an irresistible serve-and-volley combination that leaves his young opponent -- who would later become one of the greatest tennis players -- failing desperately to return.

The home crowd in the Gerland Sports Palace in Lyon erupts; Forget falls to his feet. Six decades of waiting is finally over.

With a crocodile logo sitting atop of his pounding heart, the match-winner was lofted onto his teammates' shoulders with tears in his eyes, bursting with pride, taking in this historic moment.

If Forget was emotional, so too was an 87-year-old man who had helped France to its first Davis Cup success back in 1927 -- also against the United States -- and had now finally seen the famous trophy return to his homeland.

The pride for that man, Rene Lacoste, was twofold. Not only had he played a role in Forget's development, he was also responsible for that distinctive reptile perching on the chest of the history-maker's shirt.

"I remember all the letters we got and all the phone calls (from Lacoste) when we won the Davis Cup in 1991," Forget told CNN's Open Court. "Beating the United States was very special for us, but for Rene as well."

So tenacious was Lacoste's style of play on court, building his game from the baseline and keeping his opponents on the move with an array of precise groundstrokes, he earned the nickname "Le Crocodile" -- the symbol that would later define his fashion empire.

"He fought like a real crocodile ... and never gave up on his prey," American journalist George Carens wrote in 1923.

Forget adds: "One of his traits on the court was that he'd never give up, he'd return every ball back. He was unbeatable and that's how that name came. It's great to identify someone with an animal."

Lacoste's major breakthrough came in 1925, when he won the French Open at the age of 20, before adding the Wimbledon title a month later.

Within just four years, he had claimed a total of seven major singles championships on top of three doubles titles, while he was ranked No. 1 in the world in both 1926 and 1927. Lacoste was also a member of two Davis Cup-winning teams in an era when the competition took on the same prestige as a modern-day soccer World Cup.

Between the two world wars, France dominated tennis. With compatriots Jacques Brugnon, Jean Borotra, and Henri Cochet, Lacoste helped make up the "Four Musketeers" -- a group of national icons idolized in their homeland.

"He was very inspirational, not only to me but to a lot of French players," Forget says of Lacoste.

So inspirational were the efforts of Lacoste and his peers to their people that the Stade Roland Garros was built specially in Paris to host France's maiden defense of the Davis Cup in 1928. Each of the stadium's four main spectator grandstands were named after one of the quartet, while the winner of today's French Open men's singles championship is still presented with the "Coupe des Mousquetaires" trophy.

"We built Roland Garros for them, they were the reason the stadium was built, so it shows that at that time they were huge stars," French tennis journalist Philippe Bouin told CNN. "Maybe because they were the first French team to have success."

Yet as sport has a cruel way of doing so, a career with its best years still lying ahead, and one that still offered so much more promise, was soon brought to an abrupt end. In 1929, and at the age of just 24, Lacoste was forced to hang up his racket due to a respiratory disease.

The Parisian would have been forgiven for walking away from the game at this point, but his unrelenting passion for tennis, and perhaps the heartache suffered from his premature retirement, drove him on to leave a more far-reaching legacy than just a collection of trophies.

"He said, 'Tennis couldn't be the future for me, I have to do other things, I have to work.' In fact for him it wasn't work, it was amusement," former France Davis Cup captain Jean-Paul Loth told CNN.

An innovator during his playing days, Lacoste had covered the handles of his rackets with surgical tape to make them easier to use, while also designing and creating a tennis ball-pitching machine to help him train.

As of 1930, post-retirement, he started mass-producing his invention for the benefit of others, and the "Lacoste Machine" would soon play a part in training players for generations to come.

"He was all these different persons at once," Forget says. "He was an engineer, he was a great champion, he was a visionary man, he always had ways of talking about the future, whether it was rackets, balls, materials, the game."

And materials would become Lacoste's next pet project.

Fed up with the heavy, long-sleeved shirts that had long been part of the tennis player's attire, he designed a more practical, cotton version, with revolutionary short sleeves.

Joining forces with Andre Gillier, the founder of one of the oldest and biggest hosiery businesses in Troyes, in 1933 he launched the state-of-the-art polo shirt, complete with a crocodile logo embroidered on it, and so the "Lacoste" brand was born.

He had been sporting the reptile on his tennis whites since a friend, Robert George, designed the logo for him the previous decade.

"He wanted to find something that was lighter, more comfortable, that you could breathe more freely with it, that's what he did with the shirt," Forget says. "He was always trying to find new ways of improving everything.

"As long as it worked he didn't care about breaking the boundaries of what was conventional."

The polo shirt proved a hit, and with it the "Lacoste" brand, as subsequent generations of leading players all donned the cotton number on court. He formed a fashion house with his wife Simone, who like their daughter Catherine was a top amateur golfer -- another sport into which the Lacoste logo spread.

Aged 57, Lacoste was still refusing to rest on his laurels, and had another trick up his sleeve.

In 1961, he unveiled the metal tennis racket -- an idea he had been working on for 30 years. By using metal instead of wood, the racket would be more resilient, and just as importantly, the ball could be hit with far more power.

Pierre Darmon, France's No. 1 player at the time, agreed to try out the racket and debuted it at Wimbledon in 1963. By 1978, the T2000, as it was known, had helped win 46 grand slam titles and was used by some of the most famous names in the world, including Jimmy Connors and Billie Jean King.

But Lacoste wasn't just an inventor extraordinaire. Having been a tennis player, too, he took time out to show a great interest in those who handled his creations.

"Rene always had a gentle look on the players who were using his rackets or wearing the shirts," Forget said. "He'd always give you advice and invite you to his house, if he had an idea like a tennis racket."

Lacoste's next brainchild was the "Equijet." A racket using the latest in cutting-edge technology, it combined the advantages of small and large beams, while looking rather like a violin or guitar.

He introduced it to the up-and-coming Forget in 1988, and it would play no small part in his future successes.

"He was always trying to find new ways of improving the game and having the edge on other players, especially the French players being able to use them," Forget says.

In many ways, that historic evening in Lyon could be seen as the culmination of his life's work. Lacoste died in 1996, aged 92, having struggled with health problems -- and France won the Davis Cup again.

"He would have been proud of what became of tennis in France, because tennis has grown in the last 50 years," Bouin says.

This weekend the French team will seek to reach the Davis Cup final for the first time since losing the 2010 title match, taking on two-time defending champion the Czech Republic at Roland Garros.

The current crop of players, led by Jo-Wilfried Tsonga, Gael Monfils and Richard Gasquet, are known as "The New Musketeers" -- though they have a long way to go to match the exploits of "Le Crocodile."

They might not all wear his clothes, but the legacy lives on.

@highlight

Rene Lacoste has left a lasting legacy in tennis and fashion

@highlight

He helped France to its maiden Davis Cup win in 1927 and was a top singles player

@highlight

After retirement he created the "Lacoste" brand, introducing polo shirts and new rackets

@highlight

France will play in the semifinals of the Davis Cup team competition this weekend