Washington (CNN) -- Republican presidential candidate Mitt Romney is trying to shift into high gear, but elections experts say his campaign seems to be stuck in second.

With just weeks before the nominating conventions and his national debut before a broader electorate, Romney's struggles to make the case that he is best equipped to pull the nation out of the economic doldrums could derail his quest for the presidency.

Romney's biggest challenge? Turning the conversation back to the weak economy and poor job growth and away from President Barack Obama's re-election campaign's attacks on his tenure at private equity firm Bain Capital and refusal to release more tax records.

Romney has stalled at this. Given the ailing economy, Romney should be faring much better, political experts say.

"One way to measure this is -- given the conditions of the country and the economy -- one would think the challenger would be ahead and he's not," said CNN senior political analyst David Gergen.

His tax plan, the release of which was intended to offer a punctuation mark on how he'd handle the economy, was criticized by the Urban-Brookings Tax Policy Center. The plan would provide large tax cuts to the very wealthy while increasing the tax burden on the lower and middle classes. It would make it tough to recoup lost government revenue, according to the Brookings study.

And those campaign attack ads from Obama's campaign and those supporting it aren't helping.

According to a CNN/ORC International poll of likely voters released Thursday, Romney's unfavorable rating jumped to 48% from 42% a month ago, a drop which followed a period in which the Obama campaign hammered the GOP presidential hopeful with a deluge of advertising and news stories about his time at Bain and calls for Romney to release more of his tax records, which he has refused to do.

Obama now leads Romney by seven percentage points in the poll with 52% of registered voters questioned in the survey saying that they'd vote to re-elect the president and 45% backing Romney.

Worse, political experts say, is the somber news for Romney that only 45% of those polled by CNN said that the economy would get better if Romney were elected -- two percentage points below Obama's number.

A recent Fox news poll has Obama garnering 49% of the vote and Romney 40% if the election were held today. Obama's lead in that poll comes from an 11% lead among independent voters.

In a Quinnipiac University/CBS News/New York Times swing state poll released recently, more than 50% of voters in the battleground states of Pennsylvania and Ohio said they do not feel Romney "cares about the needs and problems of people" like themselves. More than 50% of voters polled in those two states said Obama cares about their needs and problems.

"I think the Obama campaign is outmaneuvering the Romney campaign. They've kept him on the defensive on his taxes and on Bain, which is a key foundation for his campaign," Gergen said. "This rat-a-tat of advertising, this avalanche of advertising has taken a toll."

And in some cases, Romney has also been his own worst enemy, said Marc Hetherington, political science professor at Vanderbilt University.

"Romney hasn't helped himself by not putting these issues to bed with the tax situation and has allowed these issues to linger," Hetherington said. "This could have been a two-day story. That's time we're spending not talking about what Romney wants to talk about, which is the economy. He's put himself in a tough box here."

Romney will have to pull out all the stops if he wants to change the narrative the Obama campaign has crafted, political experts say.

"He has to capture the agenda back and remind people, 'I'm the businessman who made a lot of money, and I can help you make lots of money,'" Hetherington said. "If he doesn't do that soon these ideas people have about him will harden.

"Every step Romney makes â€” including his running mate â€” has to be getting back to where Obama is weak, and that's the economy."

But there are pitfalls in Romney's choice.

"(Former Alaska Gov. Sarah) Palin is a classic example," said Matthew Continetti, author of "The Persecution of Sarah Palin: How the Elite Media Tried to Bring Down a Rising Star."

"You see a motivating force for conservatives. Palin was electrifying. The downside is, is the candidate ready to have the spotlight shined on them? Are they ready for the tough questions such as Palin with Katie Couric? Are there holes in the biography that can be filled in by myth?"

Romney's best bet to help him shore up his conservative bona fides and flagging support is to choose someone who appeals to middle-class white voters without college degrees who understands them, Continetti said.

The types of voters who have been hard hit by the economic downturn live in swing states and are the target of the Obama campaign's ads on what it casts as the human costs of Romney's financial success.

It's a big task.

The Obama campaign has tried to define Romney before he's had a chance to do it for himself. As a result, Romney's convention speech will be more important than ever, Gergen said.

"It's going to be his first chance to introduce himself to the country in terms of values and lay out his plan for the future... He's got to do that to close up this gap," Gergen said.

"It's now clear that Romney can't win this election by default. It's not an apple that's going to fall into his lap because the economy is weak. He's got to take it away from (Obama)."

CNN's Paul Steinhauser, CNNMoney's Charles Riley and the CNN Political Unit contributed to this report

@highlight

GOP presidential hopeful Mitt Romney's campaign has struggled to gain traction

@highlight

President Barack Obama's campaign attack ads have taken a toll

@highlight

Polls show Romney lags on what experts say should be his strongest area: the economy

@highlight

Romney will have to choose a strong running mate, give great convention speech