LONDON, England (CNN) -- Would you still watch your favorite television program if you had to cycle for an hour before you could view it?

A computer-generated image of Club Watt, Rotterdam's human-powered club.

Couch potatoes will be horrified, but fresh advances in human-powered technology -- where users power appliances through their own motion -- could one day see a 'workout-to-watch' scenario become reality.

Human power is rapidly gaining in popularity worldwide as businesses seek 'greener' methods of operating.

The profile of the technology is set to receive a further boost this month when a human-powered gym opens in Portland, Oregon, and again in September when the human-powered 'sustainable dance club', Club Watt, opens its doors in Rotterdam, Netherlands.

Human power is already being used to run the 'California Fitness' gym in Hong Kong, and to power the recently opened 'Club Surya' in London. iReport.com: Can you predict what the future will be like?

Beyond all of this, further concepts have been developed for human-powered 'river gyms' for the waterways of New York.

But, how does your sweat and strain turn into power for lights, music and machines?

The general concept is known as energy harvesting, which simply refers to the gathering of energy from one source and applying it to power an object.

Italian inventor Lucien Gambarota, who designed California Fitness's method of storing energy and using it to power lights and music in the gym, told CNN the concept is straightforward.

"One of the oldest types of energy used by people is muscular energy -- so this is nothing new."

Gambarota said machines such as exercycles created a load, used as a counter-force by means of a resistor.

"I disconnected the resistor and started storing the energy into a battery... that is then used as power. It was a way to show there can be very simple solutions. It doesn't always have to be high-tech," he said.

Portland's 'green' gym will have spinning bikes connected to wind-generator motors. The users should generate enough electricity to power the gym's music system or run personal DVD players on the machines, the gym's manager Adam Boesel predicts.

While harnessing the energy from people working out at a gym seems logical, utilising the movement of clubbers at dance clubs is a little more complex.

Two methods have developed -- the first of which is piezoelectricity, used by Club Surya, where crystals in blocks under the dance-floor rub together with the assistance of dancers on the floor. This generates an electrical charge which is then fed into batteries.

A second method using wheels to generate energy under a slightly moving floor will be used at the soon-to-be-opened Club Watt. This model involves coils and magnets which move under the dance-floor to create a charge.

Vera Verkooijen, spokeswoman for Sustainable Dance Club, the company which is behind the floor for Club Watt and produces smaller, portable floors, said the human power would be enough to power about 30 percent of the club's requirements.

Verkooijen admitted the first floors were not very efficient, and said the designers were already working on new models to improve the amount of energy captured.

"This is just the first version. We are willing to take it further," she said.

At Club Surya the power shortfall is made up by solar panels and a wind turbine.

Putting the current buzz aside, how far could this human-powered technology develop? And how widely can it be applied?

Verkooijen told CNN she already had some indications of where the technology was heading.

"We receive a lot of requests from other companies for people who want to use the floors. We get many of these for bus and train stations -- places where there are lots of people."

Lights and display boards at those spaces could be powered applying the same concept as that being used in Club Watt, she said.

Evert Raaijen, technical director of energy conversion company Exendis, felt the technology could have a number of different applications. From pedal-powered computers on bicycles, to self-powered soldiers in militaries, Raaijen predicted human power would be developed widely in coming years.

"I think it's a science field which will be one of the future," he said.

Gambarota believed there were ways human power could be brought into practical use in the home.

He had generated an idea of using human-powered batteries for television or portable video game consoles.

"With so many kids not exercising enough, a battery could be created for these devices so they had to create the energy to use them. The same could be done for television sets.

"We could get the situation where people have to cycle so they can use it," Gambarota said.

Despite these potential developments, human-power is attracting its share of criticism.

Although he shows enthusiasm for the battery project, Gambarota, who now spends much of his time developing micro wind turbines, is sceptical about the future of human-power on a mass-scale.

He raises doubts about the efficiency of human power and questioned its economic viability.

The average amount of power one person could produce going about normal activities on any given day was about one kilowatt-hour (kWh), which only amounted to about € 0.10 worth of electricity, Gambarota said.

"It's a very good marketing tool for businesses, but in terms of economics it does not make sense at all."

The main reason it was being used was because companies wanted to "look green, taste green and smell green", he said.

Raaijen, who was consulted on the Sustainable Dance Floor project, agreed that opting for human-powered technology at present was not a financially-based decision.

"The project (dance floor) in itself doesn't save a lot of energy. It's more of a statement than anything."

Observing recent trends, the sustained drive for 'green energy' should continue to push human-powered technology forward, and despite the limitations to development, human-powered gyms, dance clubs, and maybe even video game consoles are likely to feature strongly in our immediate future.

@highlight

A Hong Kong gym and London dance club are part powered by human power

@highlight

Italian inventor Lucien Gambarota says human power is simple to use

@highlight

The concept could be taken to busy places like train stations or into homes

@highlight

There are some questions about the economic sense of human power