(CNN) -- The election is over, and it has already become easy to forget the election administration lunacy that plagued many communities this year: long waits for voting, changing legal rules even while the election was under way, misprinted ballots, incorrect instructions given to voters, and various machine breakdowns.

When close elections lead to recounts and jurisdictions undergo the legal equivalent of a proctology exam, the remarkable variety of maladies that plague the American electoral system are exposed. But when a candidate's margin of victory exceeds the margin of litigation, we tend, as a nation, to rapidly develop electoral amnesia. We shouldn't need a Bush v. Gore-style heart attack, though, to shock us out of complacency about an election system that fails in its most basic functions.

The long lines of frustrated voters that have characterized the last three presidential elections reflect deep problems with our democracy and how we administer it. President Obama acknowledged as much in his acceptance speech when he thanked everyone who went to the polls.

"Whether you voted for the first time, or waited in line for a very long time -- by the way, we have to fix that...," he said.

He's right. The country needs an election system governed by uniform rules administered with competence and political neutrality. Until we get one, we will continue to trade one series of election problems for another as we stumble toward the next 2000-style disaster.

Opinion: Big money lost, but don't be relieved

The first problem is that we let openly partisan state and local officials run elections. Political players, in other words, make the rules and referee the game. A state's chief election official might even be the campaign chair for a candidate in an election she administers. Every other democracy in the world has found some way to avoid this.

Partisan election administration may be the most deeply entrenched problem -- and the hardest to change. Anyone who is now a statewide supervisor of elections was either elected or appointed by someone who was elected.

The second, also uniquely American, problem is the extreme decentralization of our elections. We have no national election authority: states and counties are in charge of designing ballots, registering voters, adopting balloting technologies, allocating resources such as poll workers and voting machines and conducting the initial canvass of votes.

To some extent, this decentralization can counter partisan manipulation at the state level by busting the monopoly one party might have over election administration. But it also leads to geographic variation in the quality of democracy that confronts voters on Election Day. Election administration competes with many other things for attention and money, like schools, police and emergency assistance. And even when resources are not a problem, the sheer randomness of decisions made state by state and county by county lead to marked disparities in the election experience for voters.

Carville: GOP routed by reality

Third, even with the best rules and technology, poorly trained volunteer poll workers are often not up to the task. They do yeoman's work for our democracy and their service is largely thankless. But every election year, within hours of polls opening, Internet message boards fill up with tales of workers wrongfully enforcing (or failing to enforce) the law, floundering with technology, or fitfully attempting to navigate the most basic aspects of verifying voter identity and handing out ballots.

These combined dangers are further magnified by the fact that we have more democracy than anywhere else in the world. Perhaps even too much. We vote for more offices and on more issues than citizens of any other country. It should come as no surprise, then, that a 10-page ballot in Florida, for example, contributes to massive lines when it is added to the witches' brew of manipulation, variation, and incompetence that define our elections.

Perhaps the line in the president's speech was not a throwaway and reflects a real recognition that something must be done, despite dodging a bullet this election. The problems this year may not have determined the outcome of the presidential election, but you can be sure they are affecting the close elections for congressional seats and state and local offices.

Even apart from electoral outcomes, though, our system should be seen as an embarrassment each time we try to project our democratic values abroad. We should fix the system now before we have to perform the next autopsy on a national election gone horribly wrong.

The opinions expressed in this commentary are solely those of Nathaniel Persily

@highlight

Nathaniel Persily: With election over, it's easy to forget voting snafus that plagued it

@highlight

Obama alluded to needing to "fix" voting problems in his speech Tuesday

@highlight

There's no national system for elections, so confusion abounds, Persily says

@highlight

Persily: Heroic poll workers struggle with changing rules