(CNN) -- The global center of gravity for aeronautics has undergone dramatic shifts over the past 110 years. Prior to World War II Europe dominated aviation with transatlantic Zeppelins, high-speed seaplanes and jet engine research. Post-war, the U.S. tookover in commercial jet transport as they engaged in an arms race with the Soviet Union during the Cold War. Since the fall of the Berlin Wall, Europe has staged a revival in commercial air transport, with Airbus and Boeing battling for airliners.

But as economic power shifts to the Asia-Pacific, will we see the emergence of a new Seattle or Toulouse in Sao Paulo, Bangalore or Tianjin?

The desire to build up an indigenous aerospace industry is easily understood. It provides highly-skilled, well-paid jobs and requires a large industrial supply chain. Prestige and international respect are an added bonus. More importantly, in the military sphere an aerospace industry assures that a nation can develop, build, operate and maintain the most advanced military equipment itself. Aerospace is also a lucrative business providing advanced technology products that command a premium. With giant orders from fast-growing Asian budget airlines Air Asia and Lion Air demonstrate, the potential is huge.

Made in Brazil

One BRIC nation forging a path is Brazil. After national champion Embraer began in regional aircraft and military COIN aircraft, it has now successfully broken into the business jet market -- even to the extent of opening a factory in Florida. It will follow Airbus and Boeing in launching a re-engined version of its E-Jet airliner family. But it has big ambitions, too, in military aerospace -- its KC-390 transport aims to replace the Lockheed Martin C-130 as the jet-powered standard military transport. Meanwhile, its Super Tucano light attack aircraft was selected by the U.S. for supply to the Afghan Air Force -- a key achievement.

India's drones

Elsewhere, India too has big plans -- although these revolve around military aerospace projects. It has a joint project with Russia to build stealth fighters and is also planning to develop its own stealth unmanned drone. However, despite its success in producing engineers and a vibrant IT sector -- it has struggled with indigenous aircraft programs. India's previous national fighter project, the LCA Tejas, suffered from a lack of a suitable engine. An even simpler light 14-seat commuter prototype, the NAL Saras, crashed in 2009. Nevertheless, joint turboprop transport projects with Russia suggest that India is not likely to give up just yet.

Infographic: The state of global aviation

Military aircraft - A Soviet legacy?

Russia, too, provides a paradox. An aerospace technology leader in the Cold War, it has skilled workers and access to advanced research centers -- especially in aerodynamics. Its proven Soyuz rocket remains the only way the astronauts of any nation can get to the International Space Station. But while it still remains a military aircraft powerhouse and exporter, its commercial success has been patchy. Russia's latest Sukhoi Superjet, despite help from Italian partners, seems unlikely to break out fully into the wider market beyond ex-CIS nations. A follow on single-aisle airliner, the MC-21 is destined to go up against the dominant Airbus A320neo and Boeing 737 MAX.

Civil aviation in China

Finally, there is China -- a country with massive ambitions to propel itself into the top league of aerospace nations. In the past couple of years, analysts have seen an endless parade of once secret Chinese military aircraft revealed: two stealth fighter prototypes, attack helicopters, a four-engine military transport, various UAVs and the latest -- a stealthy attack drone.

The country also has ambitions in civil aerospace -- however development of its previous airliner, the ARJ21, which first flew in 2008, is proceeding at a glacial pace. It is only likely to be used by Chinese or close allies of Beijing.

Its latest prestige civil airliner project is the single-aisle COMAC C919 --which contains a high proportion of Western systems and equipment. First flight is expected in 2014 and China is hoping that this aircraft could gain it a foothold in the wider international market. Indeed in the past two years both Ryanair and IAG signed agreements to help develop this airliner. Could a western airline order be the big civil breakthrough for China?

Aviation shifts East

And there are other challenges, too, for countries attempting to enter the highly competitive aerospace sector. High quality support and service of aircraft (both military and civil) means that manufacturers now need a global network of agents, service centers and aftermarket facilities to cater to demanding customers. In some respects it may actually be easier to put a human into space, than create a worldwide commercial airliner business from scratch.

In short, there are signs that aerospace, like other industries, is undergoing a seismic shift eastwards. This is where the biggest passenger market will be. There will be many obstacles for those wanting to join this elite club but not all will make it.

The opinions expressed in this commentary are solely those of Tim Robinson.

@highlight

Tim Robinson is an aviation expert and the editor-in-chief of AEROSPACE magazine

@highlight

BRIC countries are attempting to enter the elite club of aerospace manufacturers

@highlight

National aerospace industry creates skills, jobs, international prestige, says Robinson