Cincinnati, Ohio (CNN) -- As she began a foot pursuit of a suspect down a dark alley and around a forbidding street corner, Cincinnati police officer Mandy Curfiss radioed to headquarters that she was heading toward a local gas station.

"Fourteen-26, still running towards Shell," Curfiss said as the suspect ignored her commands to stop.

Seconds later, the man wheeled around, grabbed Curfiss and, after a brief struggle, ripped her Taser from her hands and charged toward her. Then he charged the officer who arrived to back up Curfiss. The second officer wrestled the suspect to the ground and cuffed him, with no injuries to anyone.

The suspect was charged with two counts of assaulting a police officer. If he had chosen to fight the charge in court, he would have had to contend with a piece of evidence only recently available: a videotape of the entire incident.

The confrontation on February 24 was recorded with a small camera Curfiss was wearing on her head. It's called the AXON, manufactured by Taser International, the same company that makes the widely used stun guns.

Curfiss is one of 10 Cincinnati police officers who have patrolled the streets with the AXON camera mounted behind an ear. Five police departments across the United States are testing the AXON and one department -- in Aberdeen, South Dakota -- has purchased a set.

It's a crucial tool for gathering evidence, said officers who've used the device. They like that it is capable of moving with them where mobile video recorders, so-called "dash cameras" in squad cars, can't go. They say the camera often pre-empts "he said-she said" disputes in court.

Since the Cincinnati Police began testing them in January, the cameras have recorded several confrontations. In another incident in February, an officer ordered a suspect to lie face down after a traffic stop. Despite repeated commands to show his hands, the suspect didn't respond and appeared to reach toward his pockets. Officers quickly handcuffed him and discovered he had two pistols.

On an overnight ride-along with Cincinnati officer Melissa Cummins in early April, a CNN camera -- and Cummins' AXON camera -- rolled as a man on a street corner ignored her request to throw away an alcoholic beverage. The man ran, and Cummins, with the CNN crew in tow, took off after him. After ignoring repeated instructions to stop, the man was tased and arrested for obstructing official business. We later reviewed the incident on Cummins' portable recorder.

"What's your evaluation of how you handled it?" CNN asked. "Good, I think," said Cummins. "I mean, I gave him every chance to stop running."

The AXON camera played a pivotal role in a case in Fort Smith, Arkansas, in November. When Cpl. Brandon Davis responded to a domestic violence call, he was led to the front door of a small one-story house. When the door opened, Davis saw the suspect sitting at a table, holding a gun. Despite Davis' repeated commands to drop the weapon, the suspect refused. Davis fired two shots, killing the man. Because his warnings -- at least 10 of them -- were recorded, Davis was cleared of wrongdoing in an internal investigation.

But the camera is not without controversy. To record an incident, the officer has to double-click a button on a communications hub, a small box mounted in the chest area. The video is recorded and stored in a "tactical computer," a box strapped to the waist. All three devices -- the camera, communications hub and tactical computer -- are connected with one wire.

If the officer does not double-click the communications hub, the incident will not be recorded. That means the beat cop has sole discretion over what gets recorded and what doesn't.

"That's a problem," said Cincinnati criminal defense attorney Steven Adams. "That puts too much bias and prejudice against the person that's suspected of a crime, or the person that's being interviewed, or the person that's being interrogated."

Cincinnati Police Chief Thomas Streicher was asked about a theoretical case in which police beat a suspect and make sure among themselves that the scene was not recorded.

"Well in the scenario that you're talking about right there, No. 1, I'd say to you I hope to God something like that never does happen. And if it does happen, I can tell you this: There are some real serious questions that have to be answered. And I'd have to tell you also that peoples' jobs would be in jeopardy here in Cincinnati," Streicher said.

Streicher has instructed his officers to record every encounter with citizens.

There are also questions about the chain of evidence captured by AXON cameras. After an incident is captured and stored in the portable computer carried by the officer, that computer is placed into an electronic panel at headquarters. The video is uploaded into a data file in Arizona called Evidence.com, run by Taser International, where it is stored.

Taser International officials said that evidence cannot be altered or erased and that police are the only people with access to it. No one at Evidence.com or Taser has that access.

Defense attorney Adams said that despite the best intentions of the police departments and Taser, the business relationship between those parties has the potential to create conflict.

"They need to put it in the hands of an independent forensic scientific examiner to make sure it's out of the hands of the police and outside of the company's domain," he said.

Streicher said some officers were initially reluctant to wear the cameras.

"A cop goes into a world that is very mean and down in the gutter and can get downright nasty, and sometimes words are said that we might not use at the dinner tables with our families," he said. "So the cops worry about that kind of thing, and let's face it, not everyone is an angel here."

But Streicher said that most officers have reconciled with the device.

"It's just another tool in the toolbox to help us capture evidence, and that's what becomes critically important about this. And that's what eventually the cops learn to understand and they learn to accept."

@highlight

AXON camera, developed by Taser, is mounted behind officer's ear

@highlight

Officer activates camera when a situation in the field is to be recorded

@highlight

Defense attorneys have problems with the officer-activation aspect, storage of recording

@highlight

5 departments testing cameras, one has bought a set