Bethesda, Maryland (CNN) -- When Jonathan Legg of Bethesda, Maryland, got a diagnosis of type 2 diabetes at 39, he was shocked.

"I had always been pretty active," said Legg. "But it was a big wake-up call, that what I was doing and my current weight were not OK."

That was two years ago. Since that time, the Morgan Stanley executive decided to make some changes and reverse his diabetes. Although his doctor recommended he go on medication to control his illness, Legg took a different approach. Instead of meds, he began to exercise every day and changed his diet, cutting out alcohol, fatty foods and watching his carbs.

Do you have diabetes? How well are you managing it?

"I wanted to be able to know the changes I was making were making a difference, and it wasn't the drug," said Legg.

According to new statistics just out from the Centers for Disease Control and Prevention, 25.8 million people, or 8.3% of the U.S. population, are affected by either type 1 or type 2 diabetes. Most, like Legg, have type 2 diabetes, which in many people develops later in life. Caused primarily by genetic makeup, a sedentary lifestyle and poor eating habits, type 2 diabetes can be reversed in some cases. By making changes to their lives such as adding exercise and improving their diets, many type 2 diabetics can drop their glucose or sugar numbers back to the normal range, reversing their condition.

"We have seen numerous people reverse their condition," says Dr. Michelle Magee, director of the MedStar Diabetes Institute in Washington. "But it takes a real dedication for the rest of their lives," she notes.

So why do exercise and diet help reverse diabetes? To answer that question, we first need to know why people get diabetes in the first place.

Diabetes is caused when there is too much glucose or sugar in the body. We get sugar from the things we eat. The body is designed to process sugar so it can enter our cells and provide energy. But glucose can't enter our cells without insulin, which is a hormone produced by the pancreas.

If you have diabetes, your body isn't making any or is not making enough insulin -- or it can't properly use the insulin it is producing. As a result, too much sugar stays in the blood. If this occurs for a long time, it can lead to serious problems.

Tips for dealing with diabetes

Type 1 diabetes was once known as juvenile diabetes because it's usually diagnosed in children and young adults. About 5% to 10% of all people with diabetes have this type, which is not reversible because the person's pancreas is not producing insulin at all.

The remainder have type 2 diabetes. For these people, their body can no longer process insulin correctly. Although genetics plays a part, obesity is a major reason people develop type 2 diabetes.

"We know that excess body weight adversely affects every organ system in the body," says Dr. Gary Foster, director of Temple University's Center for Obesity Research and Education in Philadelphia. "So it shouldn't be surprising that as obesity increases, as it has over the past 30 years, that medical conditions, especially conditions like type 2 diabetes, will also increase."

People who carry excess weight, especially in their midsection, are more likely to develop type 2 diabetes because the fat in their tissues causes an imbalance of insulin in the body. The condition is called insulin resistance. If they can eliminate that fat by exercising and limiting carbohydrates and alcohol, then many can drop their glucose levels. And for some, they can drop them back into the normal range.

This is also true for people who are prediabetic. According to the CDC, 79 million Americans are prediabetic, which means their glucose readings fall between 100 and 125 while fasting. According to the American Diabetes Association, normal glucose readings are 100 and below when a person has not eaten anything. Numbers above 125 while fasting are considered to be in the diabetic range. So when you're prediabetic, it's easier to turn those numbers around. And that's important, because once you become a diabetic, even if you drop your numbers, you will always be classified as a diabetic, making it difficult to acquire good insurance.

"Once you fall into that glucose range, you are considered at high risk for developing the condition again," says Magee.

"That's why we are working on a program right now that goes into the community and reaches those who are at risk of being prediabetic or diabetic," Magee said. "The results have been so positive, the CDC is looking at the program as a possible protocol for other hospitals to follow."

As for Jonathan Legg, his numbers are no longer in the diabetic range. He's lost 40 pounds and watches everything he eats.

"I educated myself, I read the labels," said Legg. "I enjoy what I eat. I met with nutritionists, and they helped me build a game plan."

His physician, Dr. Lucy McBride of Foxhall Internists in Washington, D.C., says it's more than just diet; it's also the types of foods that Legg eats.

"He cut out significant amounts of sugar and carbs in his diet, really changed how he ate," says McBride. "He's increased fiber, increased protein, cut back on alcohol, which is really sugar."

But McBride notes Legg needs to be tenacious.

"I told him, encouraged as I was, and proud and pleased [but] he's got to keep up those lifestyle habits for things to stay in the right direction," McBride said. "Without exercise, without diet and without weight control, the diabetes will come back. It's something he will need to manage his whole life."

That's something Legg says he would rather do than live as a diabetic.

@highlight

Jonathan Legg began to exercise every day,  changed diet to reverse diabetes

@highlight

Diabetes is caused when there is too much glucose or sugar in the body

@highlight

Type 1 diabetes was once known as juvenile diabetes; it's usually diagnosed in children