Washington (CNN) -- It may seem counterintuitive, but federal aviation officials said Wednesday they will make the skies safer for air travelers not by punishing FAA employees who report making mistakes, but by protecting them from punishment.

Federal Aviation Administration officials announced that as part of a new "safety culture" at the agency, they would fully embrace nonpunitive reporting systems, in an effort to generate information that could expose bigger dangers.

"Make no mistake about it: We don't condone (errors)," said David Grizzle, the FAA's Chief Operating Officer. "However, we presume the good intent of our controllers and are more interested in the free flow of information than we are in punishing for errors."

The FAA took a half-step in that direction in 2008, creating a nonpunitive reporting system for air traffic controllers. On Wednesday, the FAA said it was expanding the program to employees who maintain radar installations and other systems.

And it changed longstanding FAA nomenclature. From now on, "operational errors" -- for instance, when an air traffic controller brings two planes too close together -- will be known as "operational incidents."

TSA experiments with lighter screening of elderly

The change will reduce the "stigma" associated with errors, Grizzle said, thereby increasing information and allowing the agency to make life-saving changes.

The new system, paradoxically, will mean an increase in reported "operational incidents" in the short term, officials said.

Incident reports "will certainly go up in the next few years with all of our additional reporting systems," Grizzle said. But risk will be going down, he said.

Safety advocates have long touted the benefits of nonpunitive systems, and some welcomed the FAA's announcement.

"It's a good, positive step," said Michael Goldfarb, a former FAA chief of staff who now heads a consulting business in Washington. "Mistakes happen and we need to learn from our mistakes."

Goldfarb said the FAA was correct in expanding the system to include the agency's technicians.

"The technicians are the forgotten part of aviation," he said. "They're the ones out there 24/7 keeping things working. They don't get the attention the air traffic controllers do."

In announcing the new reporting systems, the FAA cast itself as a victim of its success. FAA officials said they used to be able to measure risk by counting accidents. The fewer crashes, the better the agency was doing.

But with the commercial aviation accident rate at historically low levels -- there has not been a fatal commercial crash in three years -- the agency needs to look at other data to identify risky behaviors and incidents, and to address them.

One measure has been "operational errors," or instances in which controllers deviate from established protocols. Currently, 99.9 percent of operations occur completely according to procedures, Grizzle said.

Grizzle said the FAA is activating sophisticated software that will monitor operations and will bring more errors, or incidents, to light.

The FAA said the voluntary reporting system for controllers has provided nearly 10 times the data during the past three years compared to the traditional reporting system. It also led to the FAA's issuing scores of corrective actions, making aviation safer in the United States.

It also helped the agency to identify the top hazards, and to focus on those hazards.

Officials said there are safeguards to protect employees from abusing the nonpunitive reporting system. After a mistake is reported, the incident is reviewed by a three-person panel, with representatives from management, the union and an oversight organization. The panel can ask for additional information, launch an investigation or take other action as appropriate.

If an error was intentional, the FAA can take action, officials said.

@highlight

FAA officials say the agency won't punish any employees who report making mistakes

@highlight

Change will reduce "stigma" of errors, says FAA Chief Operating Officer David Grizzle

@highlight

Grizzle: "We don't condone" errors, but "we presume the good intent of our controllers"

@highlight

FAA is expanding a system already in force with air traffic controllers