(CNN) -- With spectacular mountains, vibrant hill tribes and a relaxed vibe, Thailand's unofficial "second city" of Chiang Mai is everything Bangkok isn't.

As the travel hub for northern Thailand, the city of Chiang Mai and the province that shares its name (population 1.6 million) blend ancient culture and natural wonders to create a character that's unique to a region once known as the Kingdom of a Million Rice Fields, or "Lanna" in Thai.

In a kind of repeat of history, parts of the city have been invaded by regional neighbors in recent years.

In the past, invaders came from Burma, Siam or other regional rivals.

This time, it's tour groups from China, lured by the success of a massive-hit Chinese comedy movie called "Lost in Thailand," which is partially based in Chiang Mai.

Fortunately, you can still lose yourself in Chiang Mai's majestic mountains, find a quiet picnic spot next to a cascading stream or visit with its friendly people.

1. Eating khao soi

Nothing says "I'm in Chiang Mai" more than slurping a piquant bowl of khao soi, noodles bathed in an intense curry broth topped with crispy noodles.

The dish is traditionally served with chicken or beef with a side of chili paste, pickled cabbage, raw shallots and wedge of lime.

Arguably northern Thailand's most famous dish, khao soi can be found from unnamed holes-in-the-wall to five-star resorts, all peddling renditions of the "best" noodles money can buy.

For a fail-safe lunchtime introduction, Lam Duan Faham or Samoer Jai, both on Chiang Mai's Charoenrat Road, are terrific choices.

A glass of the herbal drink bai bua bok (Asian pennywort) helps you cool off after the spicy meal.

2. Camping under the stars

With seven national parks in the province, many door-to-doi (mountain) excursions are within easy striking distance of the Chiang Mai city center.

You can pitch your own tent at designated campsites or rent one on arrival from the park headquarters.

Most parks also have cabins or huts for rent, though these must be reserved, easiest via the Department of National Parks website.

Ob Luang National Park, with its dramatic river-canyon landscape littered with boulders, and Doi Inthanon National Park, named after the highest peak in the country, offer waterfall and cave attractions by day and stargazing by night.

Both are within a two-hour drive from town.

3. Visiting Doi Suthep

Presiding over the mountainous horizon to the northwest of the city, Doi Suthep mountain is the most recognizable landmark in Chiang Mai. Its glimmering mountaintop temple is a popular first stop for visitors.

Most make the trek up the 300-plus steps of the Naga staircase to visit the working monastery in the daytime, from which, weather permitting, you can get panoramic views of the city.

A better time to go is in the early hours of the morning, when you can avoid the heat and crowds, and watch the flickering lights of the city fade as the sun rises.

The climb to the top is a thigh-buster, but it's worth it for the great views. There's also a scenic road up Doi Suthep for those who prefer to drive.

4. Trekking to hill tribe villages

Nearby hills or dois mean there are plenty of nature-based day trips in the area, often with a waterfall to cool off in.

Tour operators will often combine a handful of excursions in a single day.

The best and priciest outfits in town provide private customized tours that allow you to choose your activities and not be herded along with the crowd.

A great leisurely activity, bamboo rafting in Mae Wang provides a closeup introduction to the region's lush forests.

To admire the greenery from top down, Flight of the Gibbon in Mae Kampong offers 5 kilometers of zip line through a forest canopy.

The village of Mae Klang Luang is big on community-based tourism. It's a place to stop for a freshly brewed cup of coffee while overlooking terraced rice paddies before following a local guide on a 3-kilometer trek to a "hidden" waterfall.

5. Getting a foot massage at the market

In recent years, a slew of modern malls has sprung up in the city.

But Chiang Mai's vibrant street markets are still the place to get the classic retail experience.

The best choices are the nightly bazaar on Chang Klan Road; Saturday Walking Street on Wualai Road; and Sunday Walking Street down Ratchadamnoen Road inside the old city walls.

Sunday Walking Street is the most popular of the bunch, with back-to-back vendors selling trinkets, boutique fashion and handicrafts.

With shopping comes sore feet.

Fortunately, entrepreneurial massage ladies have that covered -- in the market, rows of plastic chairs set up on the pavement lure shoppers with $5-an-hour foot rubs.

You can get your feet rubbed while sipping on a drink from the market and watching crowds amble past.

6. Celebrating local festivals

Festivals in Chiang Mai are celebrated with boisterous party fervor and observance of ancient traditions.

One of the best holidays is Songkran, the Thai New Year, observed over three official days but often lasting five days each April (dates change every year).

Cultural activities are centered around Wat Phra Singh, the city's most visited temple, and the old town.

To take part in Chiang Mai's famed full-fledged water fight, you need to pick a strategic station and get ready to get wet -- Tha Pae Gate, anywhere along the moat, next to the Ping River, around Central Kad Suan Kaew and Maya shopping centers, are areas of intense activity and big crowds.

Another festival worth planning a trip to Chiang Mai around is Loy Krathong, which coincides with the Lanna festival of Yi Peng.

On that November night (again, the dates change annually), tens of thousands of paper lanterns (khom loy) are set off into the sky and thousands more candle-lit floats are released along waterways.

The best photo op is at the mass release behind Maejo University.

7. Bundling up for "winter"

When the year-end holidays roll around and the mercury dips below 20 C (68 F), the cardigans and beanies come out as city folk head for Chiang Mai to enjoy the "winter."

Visitors tend to follow suit, putting away the tank tops and cutoffs and bundling up for the weather as they head for higher ground up in the dois.

It really does get chilly.

Hot springs suddenly make sense, especially if you stay the night to experience the misty mornings and maximum nighttime chills in the hills.

Best day-trip spots for a steamy soak are the Fang Hot Springs at Doi Pha Hom Pok National Park and, closer to Chiang Mai, Pong Duead at Huay Nam Dang National Park.

Both have hiking trails and impressive viewpoints.

8. Taking a road trip

The roads around Chiang Mai are some of the most scenic in the country.

One of the best known is the Mae Hong Son Loop, a 600-kilometer journey that starts from Chiang Mai, and, traveling counterclockwise, passes through Pai, Mae Hong Son and Mae Sariang before returning to the starting point.

Driving yourself is the best way to do this multiday excursion -- car and motorbike rental shops are found all over the city -- allowing you to stop to admire the mountainous landscape, visit small villages and swim beneath waterfalls.

The shorter, 100-kilometer Samoeng Loop makes for an easy day trip. It passes through Hang Dong and Mae Rim just outside of town.

Both of these loops have food stops along the way, but it never hurts to have bags of sai-ua (northern Thai herb sausages) and sticky rice for a spontaneous hillside picnic en route.

9. Relaxing

The pace of life in Chiang Mai is refreshingly slower than in Bangkok, giving it a sleepy ambiance that adds to its charm.

To indulge in the chilled-out lifestyle, you'll want to kick back in a waterside setting with views of the mountainous surroundings and, of course, good food.

About an hour's drive from town, and a longtail boat ride away, you can dine in one of the floating restaurants in Mae Ngat Reservoir in Sri Lanna National Park -- there's nothing to do here but eat, drink, swim and be merry.

Houseboats can be rented by the day, and if you can't tear yourself away from the scenic surroundings, it's worth staying overnight.

Closer to town, Huay Tung Tao lake has a similar food-nature-and-not-much-else appeal.

Located close to the base of Doi Suthep, the lake is dotted with private open air huts on the water's edge where you can order food from nearby restaurants, swim and just whittle away the day enjoying the moment.

Very relaxed, very Chiang Mai.

GALLERY: Chiang Mai's laid-back street style

10. Seeing the city from the sky

For the best view of the city, you can reach for the skies in a basket.

Weather permitting, Balloon Adventure Thailand (+66 84 611 4128) offers twice-daily hot air balloon flights year-round.

Rides last about 90 minutes.

Morning flights tend to be smoother, and you can enjoy views of rice paddies, sprawling valley floors and 360-degree doi-scapes.

It's quiet up here, so you can be alone with your thoughts, which will most likely turn to the champagne breakfast awaiting at the end of the ride.

@highlight

Chiang Mai and the province of the same name blend ancient culture and natural wonders

@highlight

Chiang Mai's most famous dish is khao soi, a savory noodles dish

@highlight

The roads around Chiang Mai are some of the most scenic in the country