(CNN) -- In just a few months, Syria's rebels have transformed themselves from ragtag village defense forces into an armed movement capable of attacking the country's two largest cities, Aleppo and Damascus.

Now they are bracing themselves for what one Syrian newspaper has called "the mother of all battles."

Both the rebels and the regime are building up their manpower in and around Aleppo, Syria's largest city, where the rebels have made inroads this past week. Fighting has already begun.

Syrian rebels seize military base outside Aleppo

Several world leaders have expressed deep concern about a "devastating" government counterattack in Aleppo. But the rebels, encouraged by the progress they've made, remain undeterred.

War crimes in Aleppo, Arab League chief says

"We will fight this dictator and all of his aircraft, tanks and rockets," said Ahmed Afash, a rebel squad leader based in Anadan, a rebel-controlled town just six miles north of Aleppo. "We started out this struggle with rocks."

Now they have rocket-propelled grenades, mortars, assault rifles and other powerful weapons. Afash and other rebels in Anadan proudly showed off the artillery they had seized from Syrian forces loyal to President Bashar al-Assad.

"I've fired this gun about 2,000 times," said rebel Jamal Awar, referring to a double-barreled, anti-aircraft gun on top of a truck. Awar, a former bus driver, said he shot down a helicopter several weeks ago with the gun.

"I was ecstatic, I was very happy," Awar said.

But even with all the new weapons, can the rebels fend off an air assault?

Mustafa Abdullah, a major rebel commander, told CNN there simply isn't enough ammunition to withstand a government siege. He said it will "be just like Homs" and wept at the thought of a similar massacre. World leaders and outside experts have also expressed doubt that the rebels have the weaponry to counter the regime's aerial threat.

While they might lack firepower, however, the rebels have plenty of commitment and passion for their cause.

"I go to war for my family, for my country," said Soukrot Amin, a 23-year-old Aleppo native who recently volunteered to be in the Free Syrian Army. "Because (al-Assad) has killed everyone. He killed my cousin. He destroyed my village. He destroyed my home."

The rebel militias are composed in large part of defector soldiers. But there are also many civilians, including students, shopkeepers, real-estate agents, and even members of al-Assad's ruling party. More: Faces of the Free Syrian Army

Ahmed Habib spent a decade working as a bureaucrat with the Aleppo branch of the Ba'ath party. But eight months after joining the rebels, he was dressed in improvised military fatigues, carrying a Belgian-made Fabrique Nationale assault rifle slung over his shoulder.

"We wished to have a new democracy when Bashar al-Assad became president," he said. "We wished to have freedom for the people. But that never happened. We just got new cars and computers. It's ... nothing.

"We tell Bashar al-Assad, very soon we will be in Damascus, in the president's palace, we promise that."

Last week, a bombing in Damascus killed several of the regime's top defense officials, including al-Assad's brother-in-law. But the rebels' progress into the Syrian capital seems to have faded as a result of a strong government counterattack.

Q&A: A bloody mess could get messier

The rebels now see Aleppo, the country's economic hub and its most populous city, as crucial to their cause. And they're throwing much of their manpower in the north of the country to fight for it.

Some other nearby cities have been abandoned.

In Atareb, Bashar al-Assad's troops left behind a bullet-riddled ghost town patrolled by rebels and a handful of shell-shocked residents.

The Bab el Hawa highway, which ran through the center of the town, was renamed the "Street of Death" by rebels. Until recently, they said, anyone who dared set foot on the highway became a target.

Now it's a mini-graveyard of burned-out armored personnel carriers.

"This used to be a very classy area. ... The Turks would come here to see our village," said a fighter named Abdullah Behri, who lost his left eye to shrapnel during a battle there in May.

"Now it has all turned to hell," he said, pointing at the town's deserted streets.

Is a similar fate in store for Aleppo?

In Washington, State Department spokeswoman Victoria Nuland told reporters that U.S. officials are concerned "that we will see a massacre in Aleppo -- and that's what the regime appears to be lining up for."

British Foreign Secretary William Hague said the escalation could lead to a "devastating loss of civilian life and a humanitarian disaster."

But the rebels know the risks and they are ready to fight.

One veteran fighter named Khorshid had no illusions that the battle for Aleppo would be easy.

He choked back tears Tuesday after burying his slain friend Housam Abdul Rashid. Then he swore to return to the front lines.

"Tonight," Khorshid said. "We must fight Bashar al-Assad, because if not, he will kill us."

CNN's Ivan Watson inside Syria: Rebels attack army base

Tense Syria prisoner exchange turns into sitcom

Clock ticks for 'mother of all battles' in Aleppo

CNN's Kyle Almond contributed to this report.

@highlight

Aleppo, Syria's second-largest city, is now the flashpoint of the country's civil war

@highlight

There are widespread concerns about a "devastating" government counterattack

@highlight

The rebels have gotten stronger in the past few months and built up their arsenal

@highlight

But it might not be enough to withstand the regime's aerial firepower