At 33 years old, Jamie is trying to get clean.

The native Bostonian started at a young age: drinking, then smoking pot, then taking pain pills and eventually heroin.

"I never thought in my wildest dreams I would stick a needle in my arm," said Jamie, who didn't want his last name revealed. "Not in a million years."

But the low cost, the readily availability and the prescription pill-like high makes heroin a draw that's hard to resist.

"It's a monkey on your back that you can't shake," he says.

If autopsy results bear out what officials suspect, actor Philip Seymour Hoffman will be the latest in a growing list of substance abusers who paid a deadly price for using heroin.

In July, heroin (mixed with alcohol) took the life of "Glee" star Cory Monteith.

In August, Emylee Lonczak, a 16-year-old Virginia high school student who'd never injected heroin before, died when a friend shot it into a vein for her.

And last week, Maryland officials said that heroin tainted with fentanyl had claimed at least 37 lives since September. Another 22 cases were reported in Pittsburgh and other towns in western Pennsylvania.

To be sure, heroin has been a scourge for a long, long time. But lately, it's showing an uptick that has authorities, health officials and parents disturbed.

"Heroin is pummeling the Northeast, leaving addiction, overdoses and fear in its wake," said James Hunt of the Drug Enforcement Administration's New York Office.

A 2012 survey by the federal Substance Abuse and Mental Health Services Administration (PDF) found that about 669,000 people over age 12 had used heroin at some point in the year.  About 156,000 of those were first-time users, and roughly 467,000 were considered heroin-dependent -- more than double the number in 2002.

"I've been here over six years, and literally this is the first year that I can remember seeing this many people coming in here with an addiction to heroin," said Robert Parkinson, director of the Beachcomber Rehabilitation Center in Delray Beach, Florida.

It's not at an epidemic level yet, he says, but "it's going to be there. ... It's that bad."

Heroin remains comparatively rare, according to administration figures. By comparison, more than 31 million people used marijuana or hashish in 2012 alone, and another 4.7 million used some form of cocaine that year.

But about 4.6 million people -- about 1.8% of the teenage and adult population -- reported using heroin at some point in their lives, the survey found. The average first-time user was 23.

Here, we examine the reasons behind the rise in heroin use and its fatal draw:

It's cheap. Bill Patrianakos was hooked on OxyContin, a prescription pain reliever. He didn't just like it; he loved it. The problem was, he couldn't afford it.

"I was pawning things: stealing from my parents, my sister, everyone who cared about me," he said. "Even that wasn't enough."

So he moved on to heroin. It gave him the same high, he said, but at a fraction of the cost.

"I started out snorting," he said. "And, of course, to conserve my money, I moved on to shooting it."

The bottom line for users: Heroin is cheap.

Part of the reason is the nationwide crackdown on prescription pill abuse, which has made those drugs harder and more expensive to obtain.

In the first two weeks of 2014, police in Delray Beach, Florida, say, they seized more heroin than they did in the past 10 years combined.

"People were getting pills for $10 around here, and now it's much more expensive," said Delray Beach Police Sgt. Nicole Guerriero. "People are now turning to heroin to get their high."

And how cheap is heroin?

"We've heard for as low as $6 a capsule," she said.

It's everywhere. David is a self-described addict who doesn't want his last name revealed. His drug of choice is oxycodone. But he knows that when he can't get it, he can always score some heroin.

"It's literally five minutes down the road," he said. "It's everywhere. Everywhere."

Pam Anderson of Atlanta lost her college-age son to a heroin overdose.

"In the college campuses what they are doing with it, is like they are just passing bowls of pills," she said.

"They give it out for free to get somebody hooked. And then they start with a lower price on the pills and jack it up, jack it up as they are more addicted."

Indeed, heroin availability rose in 2012, according to the DEA, most likely because of an uptick in Mexican production and traffickers expanding into new markets.

Authorities are doing what they can to put a dent in those activities, but they have a ways to go. Between 2008 and 2012, the amount of heroin seized each year at the southwest border more than tripled.

But pushers are getting creative.

Last month, police said they arrested a McDonald's employee in Pittsburgh for selling heroin in Happy Meal boxes.

It's potent.  Heroin makes for a common substitute for prescription pills. But unlike pills, there's no way to regulate the dosage of heroin, given the undetermined purity.

And that can be a fatal recipe.

"Unlike with prescription drugs, heroin purity and dosage amounts vary, and heroin is often cut with other substances, all of which could cause inexperienced abusers to accidentally overdose," the DEA says in its drug threat assessment report for 2013.

Between 1999 and 2009, 32 states saw an increase in heroin-related patients, according to the Department of Health and Human Services.

But rather than acting as a deterrent, the drug's undetermined potency actually serves as a draw for some users.

Last month, at least 22 people in western Pennsylvania died after using heroin that had been mixed with fentanyl, a powerful narcotic used to treat cancer patients' pain. The drug cocktails were being sold under harmless sounding names, such as "Theraflu" and "Bud ice."

Andrew, a 19-year-old Pennsylvanian who didn't want his last name revealed, overdosed on the drug mixture twice and almost died. But he kept going back. It took his friend's overdose death to scare him back into rehab.

"That's the sick thing about addiction," he said. "When someone knows that there are heroin bags that are killing people or making them overdose, then we know that those are the good bags."

It's hard to kick. Last year, Hoffman told TMZ he strugged with substance abuse but kicked the habit for 23 years. But then he fell off the wagon. He started slowly with prescription pills and slipped into snorting cocaine.

That experience is not uncommon.

"Someone with opiate addiction, they are doing pushups their whole lives," said HLN's Dr. Drew Pinsky. "And they must work on it all the time. And even working on it, there's a high probability of relapse. And God willing, they get adequate treatment, and they re-engage in treatment, and things go well."

"But often," he added, "it's a frequently fatal condition."

@highlight

"It's a monkey on your back," says a man trying to kick the habit

@highlight

Phillip Seymour Hoffman is the latest in a growing list of deaths

@highlight

The number of users is rising, and they are getting younger

@highlight

It's threatening to become an epidemic, says a rehab director