Los Angeles, California (CNN) -- It's as tall as some of L.A.'s highest skyscrapers, but the only residents here are rats and cockroaches.

Welcome to the Puente Hills Landfill, the largest rubbish dump in America. Over 150 meters of garbage has risen from the ground since the area became a designated dumping site in 1957.

Now, six days a week, an army of 1,500 trucks delivers a heaving 12,000 tons of municipal solid waste from the homes and offices of L.A. County's millions of inhabitants.

"This used to be a dairy farm; a valley filled with cows producing milk. And now it's a geological feature made out of trash," said Edward Humes, author of "Garbology: Our Dirty Love Affair with Trash" -- a book that charts the history of garbage in America.

Humes says most of the waste arrives straight from the bins of local residents.

"If you're like most of us -- most Americans -- you're making seven pounds of trash a day. Across a lifetime that adds up to 102 tons of trash per person," he said.

In 2010 alone, Americans accumulated 250 million tons of garbage, and although recycling in the U.S. has increased by 34% since 1960, Humes believes the country's attitude to waste is still not sustainable.

"It's very convenient to roll your trash to the curb every week and have it disappear, but it's a magic trick -- and really there's not very much magic," he said. "We need to have less packaging; use less disposable items; (use) things that last longer; make purchasing decisions that are more studied and less wasteful."

The environmental impact of landfill sites varies depending on how well they're managed and resourced. However, typical problems include the contamination of soil and groundwater from toxic residues; the release of methane, a greenhouse gas produced during the decaying process that is more potent than carbon dioxide; and disease-carrying pests.

Tom Freyberg, chief editor of industry publication Waste Management World agrees with Humes that we should all be trying to reduce waste and increase the amount we recycle. However, he says it's likely there will always be a need for landfill, and we should applaud those sites that are well managed.

"What's happening now compared to years ago is that the technology and practices around waste management have vastly improved. It might be hard to see it from the outside, but they (Puente Hills) have a state of the art landfill site," he said.

Indeed, the layers of waste at Puente Hills are meticulously separated by plastic membranes, designed to contain the brew of noxious chemicals that would otherwise leak out into the groundwater. The "leachate" is then collected and filtered to make it safe.

The slums of Mumbai: A model of urban sustainability?

In addition, the methane produced by the natural decomposition of materials inside the tower of trash is collected through a network of pipes and burned to generate electricity. The emitted methane from Puente Hills alone produces about 50 megawatts of power -- enough energy for 70,000 homes, according to Los Angeles County authorities.

At present, just over half of all U.S. garbage is buried in landfills, a third is recycled and the rest is incinerated to produce electricity, a process known as waste-to-energy.

A recent study by the U.S. Environmental Protection Agency concluded that incinerating a ton of trash emits at least 35% less greenhouse gas and yields 10 times more electricity than burying it and capturing the methane. So why does America still seem so in love with landfill?

"Quite simply, it's the most cost-effective option across most of the U.S.," said Peter Borkey, head of the OECD's waste division. "Incineration plants require a large critical mass of waste to be financially worthwhile. This is easy to accomplish in densely populated areas, but the costs associated with processing and transporting garbage rise very quickly as the population density lowers."

Borkey believes that landfill reduction will prove difficult until producers of waste and the municipal authorities responsible for handling it are given the right incentives.

He says that in Europe -- where an EU directive on waste management has decreed landfill a disposal method of last resort -- large rubbish dumps are dwindling.

"In places like Germany and Scandinavia, landfill now constitutes less than 5% of total waste management," he said.

But some landfill is unavoidable: "At present residual waste that can neither be burned nor recycled -- hazardous waste and incineration ash -- can only be confined in well-managed landfill."

In Freyberg's view, the public attitude surrounding the very idea of "waste" should be reformed.

"The term doesn't do the industry any favors. Most of what we call waste can be reused, turned into fuel or new products altogether. We should instead think of it as a great resource."

@highlight

L.A. is home to America's largest landfill site, towering as high as a skyscraper

@highlight

Americans accumulated 250 million tons of garbage in 2010, most ends up as landfill

@highlight

But there is complex science behind a rubbish dump ensuring it is safe and sustainable