Mexico City (CNN) -- The new U.S. push for immigration reform is drawing praise -- but some skepticism -- south of the border.

Mexico's foreign ministry said Tuesday that it "welcomes the principles that have been set out" in U.S. President Barack Obama's remarks calling for immigration reform, and the proposal presented Monday by a bipartisan group of U.S. senators.

A Mexican lawmaker told CNN en EspaÃ±ol that U.S. politicians were proposing a plan that would help millions of undocumented immigrants in the United States -- nearly 60% of whom are Mexican, according to government estimates.

"It's a real reform" and a significant step, said Sen. Marcela Guerra of the ruling Institutional Revolutionary Party.

The Mexican government hasn't weighed in on specific details in this week's proposal from eight U.S. senators, a plan that would give undocumented immigrants immediate but provisional legal status to live and work in America, and eventually allow them to apply for green cards.

But there are an estimated 6.8 million undocumented immigrants from Mexico living in the United States who could benefit from such an overhaul of the U.S. immigration system. And that's a statistic that isn't lost on Mexican officials, who have been pushing for changes in U.S. immigration policies for years.

In legal briefs and public speeches, they've argued against racial profiling they said would be fostered by U.S. state immigration laws and called for changes in federal laws to bring millions of undocumented immigrants out of the shadows.

'At last, the U.S. government is taking notice'

The fresh possibility of immigration reform in the United States has made headlines in Mexico's leading newspapers this week.

In the central Mexican city of Atlixco, where many residents have family members living in the United States, proposals to change U.S. immigration policies were hailed as a positive step.

"It's good news," said Rene Velasquez, who watched a Spanish translation on Mexican television of Obama's Tuesday speech. "At last, the U.S. government is taking notice of this problem that is important for their country and ours."

Eduardo Palacios, who came back to Atlixco to run a pizza restaurant after working as an immigrant in the United States, said he was happy to hear that change could be coming.

"I'm glad immigrants may be able to fix their documents," he said, "because many die on the border or suffer a lot."

In Mexico's capital, the new push for immigration reform in the United States was met with some skepticism.

"It is possibly a waste of time. I don't see it succeeding," said Luis Gonzalez, an accountant. "There is no compassion, and we need to work much more diplomatically."

Nancy Perez, director of the Mexico-based immigrant rights organization Sin Fronteras (Without Borders), cautioned against high expectations for reform based on recent comments from U.S. politicians.

"These are the first steps," she said, adding that what the government does will speak volumes.

"We find contradictions in the willingness expressed publicly and the concrete actions of the government," she said, noting that deportations from the United States have increased in recent years.

Mexico's foreign ministry noted Tuesday that the push for immigration policy changes seemed to be gaining momentum.

"The priority of protecting the rights of individuals, regardless of their migratory status, has been rightly included at the center of this debate," the foreign ministry said in a written statement.

While the issue is an internal U.S. political matter, the foreign ministry said, it concerns millions who live in Mexico and in other countries.

"Because of this, the Mexican government will continue respectfully promoting an informed debate of the many dimensions of this topic, and protecting the rights of its citizens abroad," the foreign ministry said.

Advocating for migrants, pushing for change

The Mexican government hasn't shied away from pushing for changes in U.S. immigration laws in the past.

In recent years, Mexico has filed friend-of-the-court briefs in lawsuits challenging state measures aimed at cracking down on illegal immigration in Arizona and Alabama, arguing that the measures would lead to profiling and violate the human rights of Mexican nationals.

And Mexico's foreign ministry has sharply condemned what it has called "disproportionate use of lethal force in the exercising of immigration control functions" by U.S. Border Patrol agents.

Shortly after he was named as Mexico's new ambassador to the United States earlier this month, Eduardo Medina Mora said the issue of immigration reform was of "great interest" to the Mexican government, while noting that it was a complicated political issue in the United States.

"This is an issue on the internal political agenda of the United States. It is not an issue on the bilateral agenda. Nonetheless we have a very great interest, an unavoidable responsibility to defend the interests of our fellow citizens and to promote an argument that increases opportunities for them," Medina Mora told reporters.

For more than a decade, the Mexican government has played an active role advocating for millions of migrants abroad.

Shortly after taking office in 2000, then-President Vicente Fox met with migrants in his official residence and soon created a Cabinet-level position dedicated to Mexicans who were living in other countries. During his administration, Mexicans won the right to vote abroad in 2005 after a hard-fought legislative campaign.

And Mexican government officials have created matching programs aimed at using the money Mexicans sent home to fund public works projects south of the U.S.-Mexico border.

It's a significant shift in a country where emigrants were once treated as traitors abandoning their homeland. Now, it's common for Mexican officials to acknowledge emigrants' contributions, and to advocate on their behalf.

In a visit to the White House last year, Mexican President Enrique Pena Nieto said he supported Obama's push for immigration reform.

"More than demanding what you should do, I do want to tell you that we want to contribute," he said. "We really want to participate and we want to contribute toward the accomplishment, so we can participate in the betterment and well-being of so many people who live in your country."

Rey Rodriguez reported from Mexico City. Catherine E. Shoichet reported from Atlanta. CNN's Nick Parker contributed to this report from Atlixco, Mexico.

@highlight

"It's a real reform" and a significant step, one Mexican senator says

@highlight

Mexico's foreign ministry says it welcomes the new push for immigration reform

@highlight

In Mexico City, U.S. immigration reform proposals are met with mixed reactions

@highlight

Mexico says it's committed to "protecting the rights of its citizens abroad"