(CNN) -- For Pieter-Jan Pieters, revenge has been both sweet and sonorous. When music schools refused to admit him because he could not read music, he went to a design school instead — and invented a way to make melodies not only without sheet music, but without traditional instruments either.

"It feels good," he says. "I like playing music, I like doing design and now designing musical instruments and playing your own design — it's kind of the ultimate happiness. In the end everybody can just play music that wants to play music and not have to learn a complex code."

When Pieters enrolled at the Design Academy Eindhoven he began to play around with electronic sensors that would allow musicians to control sound using only the movement of their own bodies. One of his tutors encouraged him to look at the way people move when they dance and incorporate those movements into his design.

Read this: Is this the world's weirdest instrument?

The result is a collection of five instruments, which Pieters calls Sound on Intuition:

• A sensor that measures the position of the musician's hand, raising and lowering the pitch of the note with the rise and fall of the hand

• A collar that fits around the finger and converts tapping, bending and stretching movements into sound

• A heart rate monitor that produces rhythms based on the beating of the musician's heart

• A strap that wraps around the musician's foot and produces the sound of a bass drum in time with his or her foot-tapping

• A scanner that reads lines or dots drawn by the musician and represents them musically: "If you want to have a sound that goes up and down," Peters says, "you just draw a line that goes up and down."

Although electronic music is nothing new, Pieters says that abandoning instruments altogether in favor of computer programs can take some of the joy out of making music.

"Now everybody sits behind his computer and just types in commands to create a sound, but it's not that fun anymore," he says. "If we have instruments that you can move and kind of play the computer in a fun way, I think making music is more fun."

Hein Mevissen, a Dutch film director and designer of the radically simple John's Phone, praised the intuitive interface and said that he could imagine the approach spreading to other art forms.

"I really like it," he says. "I think it could be the future in everything, even with computers and with graphic programs, even film. Design is evolution or devolution. Devolving of design is something that I really like — you know, making products simple again."

Mevissen urged Pieters to keep developing and improving his design until it was ready for a wider audience. "As long as his heart is in it and he keeps his heart in it then he will succeed," Mevissen says.

Read this: The brave new world of electric paint

Since Pieters had little experience working with electronics, he looked for ways of adapting sensors and other devices that were already on the market -- rather than starting from scratch. He was pleased to see that this adaptive approach was then adopted by the people who used his prototype, some of whom found new and unexpected uses for the device.

"It started as a music instrument project, but when I got to finish it, it opened up a lot more doors," he says. "For example a woman came up to me and she said to me: 'This would be perfect for autistic children. Autistic children would play with this for hours because they'd feel that the instrument understands them and they don't have to learn to play it.'"

For Pieters, that would be the ultimate vindication. The music schools that rejected him may not have seen his potential, but his musical instruments could help other to unleash theirs.

@highlight

Sound on Intuition by designer Pieter-Jan Pieters turns your body into a musical instrument

@highlight

Sensors attach to your hands,feet and heart to produce music that responds to movement

@highlight

His creation allows people of any background or skill-base to make music