Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. His new book, "Arsenal of Democracy: The Politics of National Security -- From World War II to the War on Terrorism," will be published this fall by Basic Books. Zelizer writes widely about current events.

Julian E. Zelizer says it's vital that new media provide support for journalism that strives for objectivity.

(CNN) -- Last week, Sen. John Kerry convened a discussion of the troubled state of journalism in America by way of a hearing by the Senate Commerce Committee's Subcommittee on Communications, Technology, and the Internet.

In Kerry's home state of Massachusetts, the Boston Globe is barely surviving. Several major metro papers have closed down, and there are indications that many more could soon follow. Experts have been warning in recent months that much of the newspaper industry may not survive.

While the end of the metro newspaper would constitute a huge blow to journalism and the political system, realistically there might be nothing that we can do. The popularity of news on the Web and the potential of mobile devices such as the Kindle makes it difficult to see how we can sustain news in print -- unless electronic delivery can produce enough revenue to support the cost of newspaper staffs.

Sometimes technological innovations and consumer preferences cause changes that are irreversible. The industry has seen other important shifts in the way that Americans receive their news, such as the advent of television news in the 1950s and 1960s.

But the real issue is not whether we can save the newspapers, but how we can create the best Internet news system possible. As Kerry said in his opening statement: "There also is the important question of whether online journalism will sustain the values of professional journalism, the way the newspaper industry has."

The first challenge we must address has to do with editorial control. A great danger of blog-based news is that information disseminates instantly with very little editorial supervision. On too many sites, information goes right from writer to reader.

In the heyday of daily newspapers and network news, the news cycle was slow, lasting over the course of a day. There was a considerable amount of time for reporters, editors, and producers to check and verify information before it reached the public eye. Those days are gone. The result is too often that incorrect information circulates quickly.

It will be crucial that television news networks continue to maintain Web sites which have the financial capital to support an editorial and production staff and that the newspapers which do survive find ways to expand their online operations, turning them into commercially lucrative ventures. Only they can finance the kind of infrastructure that good journalism requires.

The second challenge we face has to do with polarization. Most studies of politics show that polarization has increased significantly throughout American politics. The media are both a product and cause of this political phenomenon. In Congress, there are fewer centrists in either party who are willing to compromise.

Unfortunately, we have seen a similar phenomenon in the news business. During the 1990s, FOX News promoted a style of journalism framed within a clear conservative perspective. In recent years, liberals have mimicked these efforts. The nightly broadcasts of MSNBC have offered a counterpoint on the left, with television shows offering news from a liberal perspective.

Bloggers on the Web follow this model as well. Not believing that the norm of objectivity is attainable, they prefer to present their political views openly and tend to be much more partisan in how they interpret world events. Moreover, readers and viewers tend to go for their information to sites and channels where they can see their own perspectives confirmed.

It will be difficult to counteract these kinds of trends since they are so deep-rooted in American politics. But at a minimum, someone needs to fund reporters who keep covering the story and who at least strive to achieve as much objectivity as possible. There are many Web sites that do undertake this mission, but it will be essential that there is continued and expanded support for reporting as the metro newspapers slowly vanish.

The final challenge has to do with fragmentation of news outlets. One of the great advantages of the Internet is that it has broken the monopoly the networks and major newspapers maintained on reporting the news. But the cost of fragmentation is that there are so many competing sites, some run by lone individuals and others by organizations, that Americans have fewer sources that can expose them to a diverse range of stories and that can make clear the interconnections between events that are taking place.

When you read the newspaper, it is possible to get a rounded picture of the world by flipping through the international news, national news, arts, business, sports, and more. Now, many sites focus on narrow subject matter. How can we bring the pieces together? The multiplicity of sources on the Web forces the reader to be his own editor, and not many people are inclined to do all the work of scanning a variety of the relevant sites to get a full picture.

All of these are challenges to journalism, but we should not lose hope in the potential of the Internet to provide high-quality news. The Internet offers many advantages. The speed can be an asset as readers learn of breaking stories more quickly. Editors have less power to stifle stories because of political or economic pressure. With so many more outlets, somehow the news will get out.

Hyperlinked stories can offer readers easy connections to related information and even to original documents through which they can draw their own conclusions about what reporters are saying. The Internet offers room for many more perspectives than existed when just three network anchors and the local newspaper told Americans what was happening.

The Internet can also combine written news with video and audio sources, as well as disseminate stories through social networking sites. Readers have the opportunities to interact with reporters and comment on stories.

The death of the metro newspaper would be a huge loss. But rather than only focusing on lament, our best response would be to make the new medium of Internet news as strong as it can possibly be.

We must address the major challenges by developing sites with the resources to edit, insisting on venues where the pursuit of objectivity remains a goal, and cultivating sites that help bring together different subject matter. If we do, the technological transition that we are living through can turn into a positive moment of advance for the media rather than a moment of decline.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Sen. John Kerry held hearing on future of newspapers and news

@highlight

Zelizer says newspapers are endangered by rise of new media

@highlight

Focus should be on what new media can do to ensure quality reporting

@highlight

Zelizer: Pursuit of objectivity is a needed goal for Web-based news