(CNN)Since the headline-grabbing murder of American journalist James Foley by ISIS militants eight months ago, the world has been regularly confronted with a modern form of an ancient, primally horrifying method of execution.

British and American aid workers, Japanese and American journalists, Kurdish and Syrian soldiers and Egyptian and now Ethiopian Christians were among those who followed in Foley's wake: their gruesome beheadings documented on camera and disseminated as propaganda to a global online audience.

These highly ritualized killings have galvanized international opposition to the group -- and helped attract a wave of foreign recruits to the ISIS cause.

But beyond this, some experts such as psychology professor Arie W. Kruglanski suggest, the wave of savage beheadings may be having an unlikely knock-on effect.

He says the spate of jihadist beheadings may be encouraging copy-cat acts or threats of decapitation -- not only from Islamists, but from the "disbelievers" they target.

Kruglanski, distinguished professor of psychology at the University of Maryland, says the frequent, high profile reports of ISIS beheadings could result in psychologically "priming" people to be more inclined to emulate them, or threaten to, during moments of conflict or extreme stress.

Because of the attention that jihadist beheadings have commanded internationally, "the very concept of beheading, that was virtually non-existent in our unconscious prior to these events being propagated, is now there," he told CNN.

"It comes to mind when a conflict happens, when you react aggressively," he said.

"It sits there in our unconscious and can be activated under certain circumstances when the passions run high, and result in actual behavior."

Reports of beheadings also emerge from Saudi Arabia, where it is a legal method of execution under the country's judicial code; and Mexico and Brazil, where it is typically the work of criminal gangs.

But neither has placed the practice in the global spotlight to anything like the same degree as ISIS's propaganda, in which the threat is extended to "disbelievers" around the globe.

A similar copy-cat effect had been observed with the phenomenon of school mass shootings, said Kruglanski.

"Once the idea is planted then when someone is upset, feeling violent, the idea of getting a gun and shooting up a school comes more readily to mind, because it's sitting there in our unconscious," he said.

A lack of hard data on the global incidence of beheadings makes it impossible to say conclusively whether such killings are being carried out by non-jihadists more often.

But reports of such cases have been frequently making the headlines.

In December and January, two victims were decapitated -- outside a Florida home, and in a shopping mall in China's Shaanxi province -- in crimes with no apparent connection to terror.

In London alone, a city deeply impacted by the murder and attempted decapitation of soldier Lee Rigby by Islamic extremists in 2013, three women were reportedly beheaded last year in alleged crimes with no apparent jihadist motivation.

And in the United States, an Oklahoma man is awaiting trial, accused of beheading a co-worker in September. (Whether he was inspired by ISIS propaganda remains unclear; he was reportedly a recent convert to Islam and had posted Osama bin Laden and beheading content online.)

Whether or not "non-jihadist" beheadings are on the increase, this brutal method of killing has inarguably come to occupy a larger part of the public consciousness, as ISIS's beheadings have grabbed international headlines and the terror group's call on supporters to attack "disbelievers" has reverberated worldwide.

In Australia and the Philippines, jihad-related threats or plots to decapitate have allegedly been made in the past seven months; recently, a Muslim convert in London was found guilty of a plot to behead a British soldier, inspired by the Rigby murder.

The theme of beheading was also front and center in an incident in Belgium in January, where fans of football team Standard Liege unfurled a giant banner depicting the severed head of an opponent. The club condemned their actions as "totally unacceptable."

Beyond this, threats to behead also seem to have gained a wider currency among non-jihadists, said Kruglanski.

In the U.S., a Michigan man was arrested in January for threatening to decapitate the New York police officer who put Eric Garner in a fatal choke hold, which triggered widespread civil rights protests.

And months earlier, in October, police reportedly received a threat to behead elementary school students in Rhode Island.

Roderic Broadhurst, a professor of crime, policing, security and justice at the Australian National University said the ISIS beheadings may have shown those engaging in attention-seeking threats of violence a sure way to get noticed.

"An awareness of what really shocks and gets 'news' is clearly on show," he said.

The threats and banner demonstrated the way in which the spread of beheading rhetoric may be having a psychologically "brutalizing" effect on society, said Kruglanski, intensifying the violence of our thoughts, words and actions.

"Ultimately, we're talking about contributing to the brutalization of interpersonal and inter-group conflict all over the planet," he said.

Justin Hastings, a senior lecturer in international relations and comparative politics at the University of Sydney, said that while ISIS beheadings "might inspire some people to prefer that particular way to kill people as opposed to others," he believed it would eventually fall out of favor.

While beheading had been adopted by ISIS as their stock in trade, it would inevitably lose its shock value, driving jihadists to ramp up the levels of atrocity in order to continue capturing international attention.

One such dramatic escalation occurred in February, when ISIS released a propaganda video in which the tactic of beheading was abandoned altogether for fresh horrors -- burning Jordanian pilot Moath al-Kasasbeh alive in a cage.

Later that month, ISIS released a video released showing what appeared to be Kurdish Peshmerga fighters paraded down Iraqi streets in cages.

For many, a baffling aspect to the executions has been how such overweening brutality could win support for the ISIS cause.

While the executions are viewed by the vast majority of people as repellent, Kruglanski said, they could exert a strong pull for sympathizers by projecting "a sense of godlike power."

"We all have this morbid, instinctual fascination with death and killing and torture, which is sublimated and constrained by civilization and our culture and socialization," he said.

"Most of us are peaceful even though these drives exist in our subconscious; civilization rests on its ability to constrain them."

But when the "death instinct" -- "this drive to kill and promote violence" -- was legitimized by a powerful narrative, such as a religious or ideological call to global jihad, "then that can result in unregulated atrocities," he said.

For some foreign jihadists who had traveled to Iraq and Syria to fight for ISIS, the realities of the so-called "Islamic State" had driven them to return home disenchanted, he said. But others remained.

"In each of us there is this battle of good versus evil," said Kruglanski. "It's a battle in everybody's soul."

@highlight

The wave of ISIS beheadings has horrified people all over the world

@highlight

It may also have contributed to isolated beheading incidents by non-jihadists, says an academic

@highlight

Professor Arie W. Kruglanski says exposure to the videos could help "prime" some to emulate them