(CNN) -- He was the so-called "Fastest Man on No Legs," and his inspiring story captured the imagination of the world at the London Olympics. Now, Pistorius is playing the lead role in a more tragic tale that began in the early hours of Valentine's Day 2013.

The Olympic and Paralympic sprinter is facing a maximum five-year prison sentence after he was found guilty of the negligent killing of his girlfriend Reeva Steenkamp on February 14, 2013. He claimed he mistook Steenkamp for an intruder and was cleared of murder.

Despite a seven-month trial, much remains in question about what happened at his upmarket home in Pretoria, South Africa around 4 a.m. that Thursday morning, leaving stunned fans at a loss to explain how their hero could have fallen so far and so fast.

Speaking to CNN's Robyn Curnow in the last few weeks before his sentencing, Pistorius told her that he was "not scared to go to jail."

But it may prove to be the greatest challenge yet for a man who's already overcome many difficulties.

Born with a congenital abnormality, Pistorius, 27, had both his legs amputated below the knee before his first birthday, but through sheer determination carved out a career in world-class athletics.

In 2012, he became the first double amputee to compete against able-bodied runners at the London 2012 Olympics, adding to his fame as the "Blade Runner," a reference to his carbon fiber prosthetic legs.

While he failed to win a medal, Pistorius' presence on the track was hailed as a triumph over adversity and a victory over critics who claimed his blades gave him an unfair advantage over the able-bodied. He did take home medals from the Paralympic Games.

For many, he was an example of what could be achieved through a potent mix of determination, positivity and skill.

Who is Oscar Pistorius, really?

Soon after his arrest, the athlete's image was pulled from billboards across South Africa. Sponsors suspended their deals as admirers questioned whether Pistorius' sporting successes had perhaps obscured a more complex character off the track.

Was Pistorius violent? On the edge? In a story titled "The Fast Life of Oscar Pistorius" published in the New York Times, writer Michael Sokolove wrote: "Pistorius is, as well, blessed with an uncommon temperament -- a fierce, even frenzied need to take on the world at maximum speed and with minimum caution."

After the shooting, a police spokeswoman said there had been "previous incidents" at Pistorius' home, including "allegations of a domestic nature," but did not say what they had been.

Besides the five-year prison term for culpable homicide, the athlete was also given a three-year sentence, suspended for five years, on a weapons charge stemming from an incident in which he discharged a loaded firearm in a restaurant.

The sprinter moved into his uncle Arnold's house in Pretoria after the shooting. Video surfaced last June of Pistorius training, but he has not returned to the track in an official capacity.

In an exclusive interview last summer, Arnold Pistorius said his nephew was heartbroken. "What can you say if the person you love the most dies, and you were the instrument?" he told CNN. "How would you feel? It's unthinkable."

It was known that Pistorius owned guns. He was a keen shooter and despite his disability he was not afraid to take risks. During a visit to Pistorius' house a few years ago, he showed CNN images of himself water-skiing, scuba diving and quad bike riding.

"I grew up in a family where disability was never an issue. We didn't really speak about my disability, not because it was a topic that was taboo... it was just never an issue. And that's the mentality that I've had," Pistorius told CNN in late 2012.

From a young age, Pistorius dedicated himself to being the best he could be at sport.

"I was never much of an academic at school so I had to find something which I enjoyed. I started sports and from a very young age, my mother said to us 'sports is not about being the best, but it's about giving your best.'

Divided reaction

Support from Pistorius' family has been firm and unwavering since Steenkamp's death.

"We have no doubt there is no substance to the allegation and that the State's own case, including its own forensic evidence, strongly refutes any possibility of a premeditated murder or indeed any murder at all," said Arnold Pistorius before the athlete's conviction.

Pistorius' agent, Peet Van Zyl, referred to the sprinter as his "friend and a great professional athlete." He said thousands of people had sent messages of support from all over the world in the wake of the shooting.

Steenkamp's family is skeptical about the man who killed their daughter. Her father Barry Steenkamp told the Afrikaans-language newspaper Beeld: "It doesn't matter how rich [Pistorius] is ... and how good his legal team is. He needs to live with himself if he lets his legal team lie for him."

READ MORE: Oscar Pistorius' affidavit to court in full

"But if he's telling the truth, I may forgive him one day," he said. But ''if it didn't happen as he described it, he should suffer. And he will suffer ... only he knows."

At the supermarket down the road from his house, parking attendant Andre Tsekedi told CNN last February that he saw Pistorius and Steenkamp a few days before the shooting: "They were holding hands and looked so happy."

Another, Samuel Motau, described Pistorius as "a very generous man." "He tipped us $10 every time. The only reason I never went to bed hungry was because of Oscar Pistorius."

Growing up

As a child, Pistorius competed in water polo, cricket, tennis, triathlons and Olympic wrestling and boxing, before he smashed his knee while playing rugby at the age of 16. He took up track running as part of his rehabilitation, and within one year he was covering 100 meters faster than the existing Paralympic world record.

In 2004, Pistorius took his first gold at the Athens Paralympics and one year later competed against able-bodied Olympics for the first time, at the South African Championships.

Pistorius' career on the track suffered a setback in 2009 when he suffered serious head injuries in a boating accident. It took him almost eight weeks to recover, a period of time the athlete has described as "fairly difficult" as it marked the first season in four or five years in which he didn't record a personal best.

Soon after the London Olympics, Pistorius led his national team onto the track as South African flag-bearer in the opening ceremony of the Paralympic Games. He went on to set a new world record in the 200-meter event but later suffered a shock defeat in the final, his first competitive loss over the distance in nine years.

During the very last track event of the Paralympics, Pistorius again picked himself up and smashed the 400-meter T44 Paralympic record in a time of 46.68 to take gold. It ended a summer he later described as "a dream come true," according to his website.

Beyond the track

Pistorius' determination to succeed made him one of the world's most recognizable athletes.

He appeared on the cover of men's magazine, GQ Style, under the headline "Man of the Future," and was named on People magazine's 2012 list of "Sexiest Man Alive."

According to his website, Pistorius is an ambassador for the Mineseeker Foundation, a non-profit organization that works to clear landmines worldwide.

When asked about his thoughts on being a role model, Pistorius told CNN before the shooting: "I think it's a massive blessing.

"Obviously, being an international sportsman, there's a lot of responsibility that comes with that. So having to remember that there are kids out there, especially, that look up to you is definitely something that you need to keep at the back of your mind."

Pistorius has more than 300,000 followers on Twitter, tens of thousands of whom added in the days since his arrest last year. His account laid dormant for a year until the anniversary of Steenkamp's death in February, when he tweeted a link to "a few words from my heart" on his website.

The message said: "No words can adequately capture my feelings about the devastating accident that has caused such heartache for everyone who truly loved -- and continues to love Reeva. The pain and sadness -- especially for Reeva's parents, family and friends consumes me with sorrow. The loss of Reeva and the complete trauma of that day, I will carry with me for the rest of my life."

CNN's Nick Thompson contributed to this report.

@highlight

Oscar Pistorius was the first double amputee to compete at an able-bodied Olympics

@highlight

He described the summer of 2012 as a "dream come true" after Paralympic gold

@highlight

The South African had both legs amputated below the knee when he was 11 months old

@highlight

He started playing sport at an early age and became a role model for people worldwide