(CNN) -- As Iraqi officials speak loftily of ethnic and political reconciliation, Abu Wissam seethes.

In April 2006, two Iraqis mourn a relative slain in sectarian violence in the city of Falluja.

He wants cold, hard justice for the killers of his son, Raed, a 25-year-old business school graduate, "cut to pieces" by Mehdi Army militia members in their Baghdad neighborhood.

The Wissams are among the hundreds of thousands of Iraqis caught in the maelstrom of the militia violence that rippled across Iraq after the 2006 bombing in Samarra of the Askariya Mosque, a Shiite shrine.

The kind of trauma and pain endured by the Wissam family is kindling an interest in a social healing process adopted by countries around the world -- truth commissions. They are bodies across the globe that have provided a forum for victims and perpetrators to give cathartic public testimony on human rights abuses and come up with policy recommendations to correct the root cause of the abuses.

"Iraq, like many Arab cultures, is an intensely rich narrative culture," said Miranda Sissons, Iraq director of the International Center for Transitional Justice, which helps countries pursuing accountability for past mass atrocities and human rights abuses. "The idea of standing up and witnessing is tremendously appealing, the kind of act and mechanism they can understand."  Watch how the "business of death" continues to thrive »

The U.S. Institute of Peace -- one of the independent agencies behind the all-important Iraq Study Group report in 2006 -- is backing an initiative in Iraq to generate understanding and "spark public dialogue on the usefulness of the truth commission process."

The institute is teaming up with Iraq's Ministry of Human Rights to screen a USIP film across Iraq about the work of four different commissions.

Called "Confronting The Truth: Truth Commissions and Societies in Transition," the film -- produced by York Zimmerman and Peter Ackerman -- explores the workings of such commissions in South Africa, Peru, Morocco and East Timor. The film is getting some good reviews among Iraqis.

"The truth commission process is one in which you encourage folks to directly confront that past and how to get behind it," said Sermid Al-Sarraf, the executive director of the International Institute for the Rule of Law, a group that manages USIP's rule of law programs in Iraq.

Truth commissions and other conflict-resolution strategies have been on Iraq's radar for years.

Oral history projects have emerged, one being the Iraq History Project -- which "gathers and analyzes personal narratives from victims, their families, witnesses, perpetrators and others" about the "torture, massacres, assassinations, rape, chemical weapons attacks, disappearances, and other acts of systematic repression" during the Saddam Hussein regime. That project is managed by the International Human Rights Law Institute of DePaul University College of Law in Chicago and is run by an all-Iraqi in-country staff.

Last year, Nobel Peace Prize winner Martti Ahtisaari's Crisis Management Initiative and a conflict-resolution initiative at the University of Massachusetts Boston were behind an effort to forge the so-called Helsinki agreement -- a statement of reconciliation principles among a wide range of Iraqi politicians. That process was notable because former antagonists in Northern Ireland and South Africa worked with the Iraqis.

Padraig O'Malley, a UMass conflict-resolution professor involved in the Helsinki process, is planning a three-day forum in April for "divided cities," where officials from ethnically tense Kirkuk in Iraq will discuss common problems with officials from Derry/Londonderry and Belfast in Northern Ireland, Nicosia in Cyprus, and Mitrovica in Kosovo.

The International Center for Transitional Justice says Coalition Provisional Authority officials initially proposed a "truth-seeking commission" for Iraq in 2003 but eventually decided to "delay the process" in order for Iraqis to rigorously study other truth-telling efforts, as advocated by the center. In 2005, the center also discussed the establishment of a center for the missing and disappeared.

As for truth commissions today, some observers say there hasn't been the political will on the part of the national government to pursue one. So says Joost Hilterman, International Crisis Group deputy program director for the Middle East and North Africa. He has argued in the past for the establishment of a truth commission process and believes such a process, for example, would have been the proper way to deal with the challenge of de-Baathification.

"I'm not against floating the idea," Hilterman said, but there's "no chance in hell" it would happen anytime soon.

Eduardo Gonzalez, the Americas deputy director of the transitional justice center, had been a staffer on the Peruvian Truth and Reconciliation Commission, where he was responsible for public hearings and victims and witnesses protection. He was interviewed in the USIP video, which featured touching testimony from victims of the warfare between government troops and Shining Path guerrillas between 1980 and 2000.

Gonzalez stressed the need to produce an accurate account of abuses, provide explanations for what happened, provide the proper opportunity for victims to be recognized, and help the society steer a new course for the future. Truth commissions don't function as courts, and there are only rare occasions, such as in East Timor, where punishment would be meted out.

"Truth commissions, done right, could created a public dialogue," he said.

He thinks a national Iraqi truth commission would probably be a few years down the road. But he thinks it's more likely that a particular city, province or region could pursue them.

One particular truth commission, in Morocco, has been cited as one that Iraq could study. That's because it was the first one in the Arab world and it detailed human rights abuses from 1956 to 1999 under King Hassan II.

Gonzalez said Iraq can benefit from studying all models, but he notes they share one thing -- a commitment to objectivity.

The ICTJ's Sissons notes that the British explored the idea of a truth commission as well, but experts told them Iraqis and not outsiders are the ones who need to pursue such an idea. She also said "the scale of violence" in Iraq and the "nature and complexity" of it "is so vast" that the German war crimes tribunals after World War II and the reparations to Holocaust victims come to mind.

But if a truth initiative is to be effective, it would have to be rigorously designed and properly framed, with a "distinct focus" and an "achievable mandate," she said. There must be commitment, goals, dedication and governmental support in areas such as subpoenaing records.

"You don't just tell the truth, hold hands and sing 'Kumbaya,' " she said.

But they can be very useful in Iraq, an "evidence-rich environment." She said truth-telling commissions there could lead to many improvements in society, such as better detention registration policies, higher forensic standards, a freedom of information law, and a far-reaching reparations strategy.

As for the man on the street, people who gather at Abu Wissam's house to talk about the violence they've endured don't talk of forgiveness. They want the killers of their kin to be put to death.

Al-Sarraf and others all agree justice must be served in cases of heinous crime. But he seized on the concept of forgiveness. It's an Islamic virtue, and it could play a powerful role in a truth-telling initiative.

"Even though there is the principle of 'eye for an eye,' there is also the higher ideal of mercy," he said.

CNN's Arwa Damon contributed to this report.

@highlight

Relatives of slain Iraqis struggle with feelings of grief, revenge

@highlight

Truth commissions provide forums for victims to be heard, perpetrators to testify

@highlight

Process lets participants "directly confront" the past

@highlight

Truth commissions could lead to other societal improvements, backers say