New York (CNN) -- Counsel for international economist Dominique Strauss-Kahn, who is jailed on sexual assault charges, filed a new appeal on Wednesday seeking his release on bail from Rikers Island.

"We respectfully submit that the following bail conditions ... eliminate any concern that Mr. Strauss-Kahn would or could leave this court's jurisdiction," wrote lawyer Shawn P. Naunton. He then said the International Monetary Fund chief had agreed to post $1 million in cash, to be confined to home detention in Manhattan with electronic monitoring, and to turn over his U.N. travel document. The appeal noted that the Frenchman has already surrendered his passport.

A source close to the Strauss-Kahn defense told CNN's Jeffrey Toobin that a deal is in the works that could result in his being freed on bail as early as Thursday. The deal is tentative and could still fall through, but the defense was optimistic that Strauss-Kahn could be released soon.

Strauss-Kahn's bail appeal to the state Supreme Court will be heard Thursday. It adds conditions that were not in the appeal turned down Monday by a criminal court judge and describes the accused as "a loving husband and father, and a highly regarded international diplomat, lawyer, politician, economist and professor, with no prior criminal record."

It notes that he has been married for more than a decade and has four children from a prior marriage, one of whom lives in New York, where she is a graduate student at Columbia University.

The case has captured worldwide attention. Strauss-Kahn is not only head of the IMF, but had been considered the French Socialist Party's best hope to unseat President Nicolas Sarkozy in next year's elections.

He is accused of sexual assault and the attempted rape of a 32-year-old Guinean maid in his Sofitel hotel suite. Prosecutors have opposed his release, asserting he is a flight risk.

Meanwhile, the alleged victim was to testify Wednesday before a grand jury in Manhattan Criminal Court, according to her attorney. "I want her to feel safe," said Jeffrey Shapiro. "To the extent that his freedom would impair her feeling of safety, that would deeply concern me."

The woman, a widow who lives with her child in New York's borough of the Bronx, will deny the claim that the incident was consensual, Shapiro said.

She has worked at the hotel for three years and is considered a good employee, the managing director of Sofitel said in a statement.

"Her world has been turned upside down," her attorney, Shapiro, said. "She is very scared about her future."

Prosecutors allege that a naked Strauss-Kahn, 62, chased the housekeeping employee through his Manhattan hotel suite on Saturday and sexually assaulted her.

But attorney Benjamin Brafman said during Strauss-Kahn's arraignment Monday that was not the case. "The forensic evidence, we believe, will not be consistent with a forcible account, and we believe there is a very, very defensible case," he said.

The IMF chief faces an array of charges, including two counts of first-degree criminal sexual act, one count of first-degree attempted rape, one count of first-degree sexual abuse, one count of second-degree unlawful imprisonment, one count of forcible touching and one count of third-degree sexual abuse.

"He grabbed the victim's chest without consent, attempted to remove her pantyhose" and forcibly grabbed her between her legs, the complaint against Strauss-Kahn says.  He also forced her to perform oral sex on him, Assistant District Attorney John McConnell said at the arraignment.

Strauss-Kahn allegedly committed the offenses at noon, checked out of the hotel at 12:28 p.m. and went to a previously scheduled lunch about 12:45 p.m., according to a document supporting his motion to approve bail. The lunch was with his daughter, according to a source with knowledge of the case.

After lunch, he was driven to John F. Kennedy International Airport and boarded an Air France flight that was scheduled to depart at 4:45 p.m., the bail document says. It adds that he had bought the ticket the week before.

As Strauss-Kahn sat in a first-class seat awaiting takeoff and a planned meeting the next day with German Chancellor Angela Merkel in Berlin, followed by a meeting with European finance ministers on Monday in Brussels, his world of luxury and power came crashing down.

Police, alerted by hotel staff to the maid's accusations, ordered him off the plane and placed him in custody.

The law enforcement source said Strauss-Kahn was examined for scratches and DNA samples were taken, and investigators searched for other evidence in the suite, including possible bodily fluids from both individuals. Strauss-Kahn consented to the testing after investigators were prepared to execute a search warrant, the source said.

Forensic test results could be ready as soon as Strauss-Kahn's Friday court appearance.

Last month, Strauss-Kahn discussed the possibility that a woman might falsely accuse him of attacking her.

In an April 28 interview with the French daily newspaper Liberation, he imagined "a woman who would be raped in a parking lot and who would then be promised 500,000 or a million euros to invent such a story," the paper reported in an article published Monday.

Speaking to the paper about suggestions he could become France's Socialist Party candidate for president, Strauss-Kahn discussed "the long -- too long from his point of view -- campaign to come and the difficulties he will have to overcome," the paper reported.

"He sees three in the following order: 'Money, women and my Jewishness.' "  He added, "Yes, I love women ... so what?  For years they have been talking about photos of massive orgies, but I have not seen anything. ... Why don't they show them!"

At New York's Rikers Island jail complex, Strauss-Kahn was placed on suicide watch, a routine procedure in such high-profile cases, two sources with direct knowledge of the case told CNN.

Analysts suggest his career and political future are now in jeopardy, if not already dead.

"I do not see how he can perform his duties as director of the IMF," Jean-Francois Cope, secretary-general of France's ruling UMP party, told reporters Wednesday. "So, by definition, this issue should be resolved in the coming days."

The comments came a day after U.S. Treasury Secretary Timothy Geithner said Strauss-Kahn is "obviously not in a position to run the IMF," and Austria's finance minister Maria Fekter said, "He should think about whether he is damaging the institution," and consider stepping down.

A former French finance minister, national legislator and economics professor in Paris, Strauss-Kahn became the IMF's 10th managing director in November 2007.

While the top job at the World Bank is customarily held by an American, the IMF chief is traditionally European.

But as pressure mounts over Strauss-Kahn's possible resignation, there appears growing sentiment among developing nations to buck the trend.

Brazilian Finance Minister Guido Mantega said that succession should be based "on merit" and the position "should be considered (among) candidates from emerging countries," Portugal's official news agency reported Wednesday.

South Africa's finance minister, Pravin Gordhan, said a new IMF chief should come from a developing nation,

"We need to have an inclusive system," said Colin Bradford, a Nonresident Senior Fellow at the Brookings Institution and former chief economist at the U.S. Agency for International Development

"The West needs to include the emerging markets and encourage merit based leadership," he said.  "We need an inclusive system, otherwise we're not going to have a structure that can manage the planet and implement a fair and legitimate system of global guidance."

Bradford suggested the scandal is an opportunity to change the unofficial policy, but others like German government spokesman Christoph Steegmans said the institution's leadership should remain European.

In Strauss-Kahn's absence, First Deputy Managing Director John Lipsky has been named acting managing director, "and the fund continues its normal work," said IMF spokesman William Murray.

According to a poll released Wednesday by the Conseil Sondage Analyses (Council of Polling Analysis), 57% of French people think Strauss-Kahn was victimized.

Still, 54% said they think Strauss-Kahn's Socialist Party can win in the 2012 presidential race without him.

CNN's Susan Candiotti, Deb Feyerick, Ivan Watson, Adam Reiss, Richard Roth, Saskya Vandoorne, Caroline Paterson, David Ariosto, Raelyn Johnson and Jim Bittermann contributed to this report.

@highlight

NEW: Lawyers will seek $1 million bail, home detention with electronic monitoring

@highlight

Strauss-Kahn's release could impair alleged victim's feeling of safety, attorney says

@highlight

Pressure mounts for new IMF leadership amid Strauss-Kahn's possible resignation