Leaders of a shaky new government in Ukraine were mobilizing troops Sunday amid signs of Russian military intervention in Ukraine's Crimean peninsula.

The Ukrainian National Security Council ordered the mobilization as Russian President Vladimir Putin appeared to dismiss warnings from world leaders to avoid military intervention in Crimea, a senior Ukrainian official, Andriy Parubiy, said. The news came as evidence mounted that pro-Russian forces were already in Crimea, an autonomous region of eastern Ukraine with strong loyalty to neighboring Russia.

A sense of escalating crisis swirled Saturday night, with U.S. Secretary of State John Kerry condemning what he called "the Russian Federation's invasion and occupation of Ukrainian territory" despite a statement by Russian Prime Minister Dmitry Medvedev that no decision had been made on whether Moscow would dispatch forces.

Russia has not confirmed it deployed thousands of troops to the region following reports that armed, Russian-speaking forces wearing military uniforms -- without insignia -- patrolled key infrastructure sites.

It was the latest in fast-moving developments that saw Russia's Parliament sign off on Putin's request to send military forces into Ukraine, raising the stakes in the escalating game of brinksmanship.

Putin cited in his request a threat posed to the lives of Russian citizens and military personnel based in southern Crimea. Ukrainian officials have vehemently denied Putin's claim. CNN crews in and around Crimea's regional capital of Simferopol, meanwhile, have not seen evidence of a Ukrainian military presence.

Putin's move prompted world diplomats to call for a de-escalation of tensions that have put the two neighbors on a possible path to war and roiled relations between Russia and the United States.

In what appeared to be an illustration of the growing schism between the two world powers, U.S. President Barack Obama and Putin spoke for 90 minutes -- with each expressing their concern over the mounting crisis, according to separate statements released by their respective governments.

According to the Kremlin, Putin told Obama that Russia reserves the right to defend its interests in the Crimea region and the Russian-speaking people who live there.

"President Obama made clear that Russia's continued violation of Ukraine's sovereignty and territorial integrity would negatively impact Russia's standing in the international community," according to a statement released by the White House.

Lean to the West, or to Russia?

Ukraine, a nation of 45 million people sandwiched between Europe and Russia's southwestern border, has been plunged into chaos since the ouster a week ago of President Viktor Yanukovych following bloody street protests that left dozens dead and hundreds wounded.

Ukraine has faced a deepening schism, with those in the west generally supporting the interim government and its European Union tilt, while many in the east preferring a Ukraine where Russia casts a long shadow.

Nowhere is that feeling more intense than in Crimea, the last big bastion of opposition to the new political leadership. Ukraine suspects Russia of fomenting tension in the autonomous region that might escalate into a bid for separation by its Russian majority.

Ukraine acting President Oleksandr Turchynov took to the airwaves late Saturday to warn that any Russian military intervention would lead to war. Prime Minister Arseniy Yatsenyuk said his country was ready to mobilize its forces to protect strategic locations, including nuclear power plants.

'The troops are already there'

The crisis raised alarm bells with the worlds diplomats, with Ukrainian ambassador Yuriy Sergeyev calling on member nations of the U.N. Security Council to take a stand against what he called Russia's "clear act of aggression.''

"... The troops are already there, and their number is increasing every hour," Sergeyev said during an emergency meeting of the Security Council.

Russia now has 15,000 troops in Ukraine's Crimea region, Yegor Pyvovarov, the spokesman for the Ukraine mission at the United Nations, told CNN ahead of Saturday's session of the Security Council. He did not say how Ukraine arrived at that number, or whether that included troops already stationed at a Russian base in the region.

Vitaly Churkin, Russia's ambassador to the United Nations, rejected Ukraine's calls to stop Russian intervention. "We can't  agree with this at all," he said.

He blamed members of the European Union for causing the bloody street demonstrations in Ukraine.

"It's a difficult situation in the past few hours," Churkin said, claiming that there were Ukrainian forces from Kiev en route to to overthrow the local pro-Russian governments in eastern Ukraine and Crimea and establish new ones that would enforce the power of the new Ukrainian government.

Churkin has said reports of Russian troops taking charge of positions on the ground were rumors and noted that rumors "are always not true."

Crimea's pro-Russian leader asked for help

The Russian Parliament vote Saturday came on the day that the newly installed pro-Russian leader of Crimea, Sergey Aksyonov, asked Putin for help in maintaining peace on the Black Sea peninsula -- where Russia's  fleet is based at Sevastopol.

Security forces "are unable to efficiently control the situation in the republic," he said in comments broadcast on Russian state channel Russia 24. Aksyonov was installed as the region's premier after armed men took over the Crimean Parliament building on Thursday.

Aksyonov said  that a referendum on greater Crimean autonomy, originally set for May 25, would be moved to March 30.

Yatsenyuk called the Russian presence in Crimea a provocation.

"Ukraine will not be provoked, we will not use force. We demand that the government of the Russian Federation immediately withdraw its troops and return to their home bases," he said during a televised Cabinet meeting.

Meanwhile, Ukraine Defense Minister Igor Tenyukh said his nation's military was at its highest state of military readiness. He credited negotiations during the day between the Ukrainian and Russian naval chiefs with easing tensions and said more negotiations were planned for Sunday.

Airspace in the region reopened Saturday, a day after Ukraine accused Russian Black Sea forces of trying to seize two airports in Crimea but said Ukrainian security forces had prevented them from taking control.

Groups of armed men, dressed in uniforms without identifying insignia, patrolled the airports in Simferopol and the nearby port city of Sevastopol. The men remained at the airports Saturday, but Yevgey Plaksin, director of the airport in Simferopol, said airport services were working.

Obama: Warning to Russia

Meanwhile, Obama's message to Russia also reached Congress, where the ranking member of the Senate Armed Services Committee called for an immediate response to Russia's move.

"Every moment that the United States and our allies fail to respond sends the signal to President Putin that he can be even more ambitious and aggressive in his military intervention in Ukraine," Sen. John McCain, R-Arizona, said in a statement.

He called on Obama to "make clear what costs Russia will face for its aggression and to impose those consequences without further delay."

Senior White House officials say they are looking at a wide range of possible economic and diplomatic measures to present to Obama that would show Putin there is a cost to his actions in Ukraine.

The White House has already announced the United States will suspend participation in preparatory meetings for the G-8 Summit that will bring world leaders together in June in Sochi, Russia.

"Going forward, Russia's continued violation of international law will lead to greater political and economic isolation," according to a statement released by the administration.

Pressure was mounting on Russia as leaders from the EU and the UK joined an international outcry, with EU High Representative Catherine Ashton deploring Russia's "unwarranted escalation of tensions."

During a telephone call with Putin, U.N. Secretary General Ban Ki-Moon said he told the Russian leader that it was crucial to "restore calm and proceed to an immediate de-escalation of the situation."

"Cool heads must prevail and dialogue must be the only tool in ending this crisis," he said.

@highlight

Ukraine is mobilizing troops around the country, official says

@highlight

U.S. Secretary of State John Kerry condemns Russia's "invasion and occupation''

@highlight

Putin says Russia reserves the right to defend its interests and people

@highlight

Obama made clear violating Ukraine's sovereignty would impact Russia's standing