(CNN) -- National Democratic leaders, fresh from a shellacking in congressional districts and statehouses from coast to coast, should wake up to the reality that the party's path to electoral power runs through the streets, where an energized portion of the party's base has been marching for many months.

On three hot-button issues -- climate change, higher pay for fast-food workers and fairness in the criminal justice system -- left-leaning Americans have mounted sophisticated, passionate campaigns that have sparked and swayed public conversation.

The question is whether Democrats, whose electoral losses can be traced back to low voter participation, will follow the lead of activists whose numbers have been swelling throughout 2014.

Right now, things don't look too hopeful. Instead of drawing on the energy and creativity of the activists, Democratic leaders are engaging in a round of finger-pointing, blaming one another for errors of timing and messaging that contributed to the recent electoral losses.

Sen. Chuck Schumer of New York, who as chairman of the Democratic Policy and Communications Committee had the task of developing a winning message for the party this year, recently delivered an extraordinary speech chastising his fellow Dems for pursuing President Obama's signature issue of health care reform.

"Unfortunately, Democrats blew the opportunity the American people gave them. We took their mandate and put all of our focus on the wrong problem â€” health care reform," Schumer said in a speech at the National Press Club. "We should have done it. We just shouldn't have done it first."

That drew a sharp retort from House Minority Leader Nancy Pelosi. "We come here to do a job, not keep a job," she said in a statement to CNN. "There are more than 14 million reasons why that's wrong," she added -- a pointed reference to the number of Americans now getting health insurance under Obamacare.

The feud is music to the ears of Republicans. "Democrats are trying to figure out what they believe and who they represent" is how conservative columnist Charles Krauthammer put it. That may be overstating matters -- this isn't the "civil war" Krauthammer describes -- but Democrats clearly need to think about how and why they haven't been connecting with voters lately.

Schumer and Pelosi are both partly right. There's no question that the titanic battle to extend health care to the uninsured was always a matter of helping a minority of Americans to finally get benefits that 85% of us already enjoyed. Most people, anyway you look at it, did not need Obamacare themselves (although many had children and other relatives who benefited).

But as Pelosi and others pointedly reminded Schumer, getting health benefits to 14 million people is a titanic achievement that Democrats have been attempting for a generation. And the program helped Democrats make inroads with Latino voters, whose support for Obamacare helped the Democrats carry the White House and hold a Senate majority in 2012.

But the bickering on Capitol Hill misses an important point: The 2014 elections had the lowest turnout since World War II, meaning the issues and candidates that Democrats (and Republicans) put forward didn't stir the overwhelming majority of voters. At the same time, activists have enjoyed far greater success shaping issues and putting them on the public agenda: a track record Democrats would do well to learn from.

On September 21, less than 60 days before the anemic-turnout election, more than 300,000 people marched in New York, according to an estimate by the organizers -- and more than 2,600 events were staged in solidarity around the world -- to call attention to the perils of climate change. On December 4, thousands of fast-food employees walked off the job in 190 cities across 35 states to demand better pay.

And we haven't seen the end of nationwide civil rights demonstrations calling attention to controversial cases of police killing unarmed black boys and men. Athletes, politicians, at least one police chief, as well as the president of Harvard  and dozens of congressional staff members have all made public displays of solidarity under the banner #BlackLivesMatter.

There's no shortage of movements that have caught fire across the nation. If Democrats want to get beyond this year's low-turnout losses, they should get serious about understanding why politically active Americans seem to be choosing picket lines over polling sites -- and then tailor a message that can lead to victory in 2016 and beyond.

@highlight

Errol Louis says activists stage big protests but Democratic leaders aren't listening

@highlight

He says party suffered from very low turnout, lack of enthusiasm in recent elections

@highlight

Louis says Democratic leaders should take their cue from climate, Ferguson protesters