Three numbers to keep in mind Tuesday night as President Barack Obama delivers his State of the Union address: six, 30 and 43.

Six as in the number of seats Republicans need to gain this November to take control of the Senate.

30: The historical average of House seats gained by the other party -- in this case the Republicans -- in a two-term president's "six-year itch" midterm election.

And 43%, of course, is Obama's job approval rating -- a reminder that his political standing is weak, though up slightly from its recent low point, as he stands before a closely divided Congress -- and country -- to lay out his agenda for year six of his presidency.

"One of the greatest powers a president has is the power to set the agenda," said veteran Democratic strategist and wordsmith Paul Begala, a close adviser to former President Bill Clinton. "He (Obama) will use that power to great effect in the State of the Union address."

Here's how we see the state of the Union

Another Clinton White House veteran disagreed, arguing this president is too weakened and the 2014 campaign landscape too troublesome to seize the initiative.

"State of the Union means nothing," this Democrat said, speaking only on condition of anonymity. "Re-read last year's address. How relevant was it last year in terms of how 2013 turned out?"

In fact, Obama failed to get any of his top 2013 State of the Union priorities through Congress. Congress ignored his calls for a new jobs program, for new gun controls and for sweeping immigration reform.

Because of that, the 2014 speech is viewed by strategists in both parties as part of a defining test: Can Obama rebuild his standing enough to force action on some of his priorities, or will 2014 instead be remembered as another frustrating year of gridlock and the gateway to "lame duck" status? To that end, many see this speech -- this wish list -- as potentially his last chance for significant action.

8 memorable State of the Union moments

"At this stage of a presidency, a State of the Union address cannot be expected to have much, if any, consequence in terms of public opinion," said leading Republican pollster Bill McInturff.

Despite all the attention, McInturff called the speech "an ephemeral event that is perhaps a short-term focus of the ultimate D.C. policy insiders."

As always, the State of the Union is a policy address, a chance for the President to lay out his wish list to the Congress and the American people. But it is always a political stage as well, a dramatic nationally televised theater for the President to frame his argument.

This year, even as he asks Congress to act on economic and other initiatives, President Obama will distance himself from an unpopular Congress and promise to use executive powers to implement some of his priorities.

The stakes are enormous: As the President delivers his speech, the odds -- and the early election year data -- suggest Republicans will not only keep their House majority but also have a good chance to capture control of the Senate.

How would complete Republican control of Congress alter the final two years of the Obama presidency?  It is a debate worth having, yet one that can wait a bit, as we first test whether the President has better luck with Congress in 2014 than he did in 2013, and whether he can bend the political climate back more in his favor.

Gingrich: Obama playing a weak hand at State of the Union

Which is where those numbers come in.

The White House says its No. 1 political goal this year is protecting the Democratic majority in the Senate. Yet that goal -- blocking Republicans from a net six-seat gain -- could significantly complicate the President's policy agenda.

Several of the most vulnerable Senate Democratic incumbents are from states Obama lost badly in 2012: Arkansas, Alaska and Louisiana to name three.  Those and other Democrats are opposed to some things the President wants -- like new gun controls -- and in favor of ideas the White House is against, including modifications to the President's health care law.

Zelizer: Six ways to fight inequality

Begala acknowledges the tough political environment facing the President. But he says he can navigate it with a smartly crafted 2014 State of the Union wish list.

"How can he help red-state Democrats running in places where he lost badly?" Begala said. "By raising issues that play well in places he doesn't.  So you will hear a lot about middle-class economics: raising the minimum wage, extending unemployment insurance, pay equity and workplace fairness for working women, greater access to child care for working moms, pre-K for young kids and college aid for young adults. "

The House Republican majority opposes most of the President's ideas, though there have been some discussions testing whether compromises can be reached on the minimum wage, unemployment insurance and, from time to time, even immigration policy.

The historical average for a two-term president's party in this sixth year midterm is a loss of 30 House seats. Even the most optimistic Republicans view that as unlikely, given the shrinking number of competitive House districts.

But Republican flexibility in policy discussions could depend on their own November midterm calculations, and at the moment top party strategists predict GOP gains in the high single digits on the House side.

Republicans say Obama has a lot of explaining to do

"They will oppose his popular economic agenda at their own political peril," Begala said, holding out hope the President would have an opportunity either to score policy successes or bend the political momentum back in his favor.

The 43% number is the one worth watching as the year unfolds -- midterm elections are shaped most by the President's standing.

If Obama can climb closer to 50%, Democratic chances improve significantly. If he slips closer to 40% or below, then a GOP takeover of the Senate becomes more and more likely.

A little history:

In 2006, President George W. Bush had an identical 43% job approval rating at the time of his State of the Union address.

There was little fear of the President in Congress then, in either party, and as a result little of his agenda was enacted -- immigration and Social Security changes were among the goals Bush laid out. Come November 2006, Republicans lost 30 House seats, and their majority.

7 things you didn't know about the State of the Union

Bill Clinton, on the other hand, had a 59% approval rating to begin his sixth year in office, and Ronald Reagan was at 64% around his 1986 State of the Union.

Democrats defied the historical averages in the Clinton "six-year itch" election; Republicans actually lost five House seats, and the Senate balance of power was unchanged.

In 1986, then-majority Democrats made only modest gains in the House (plus five seats), but did pick up eight Senate seats to take control of that chamber.

Outside of Washington, observers like New Hampshire GOP activist Thomas Rath see an opportunity if the President "acknowledge(d) at the outset that overwhelmingly Americans share a common belief -- Washington does not work. He should acknowledge that both parties share that blame; both are responsible."

Rath's advice?

"He needs to listen to the mood of this country and understand that folks do not want to hear a partisan harangue but rather want a strong message of leadership and cooperation from the man they elected to do just that."

And Rath's election-year State of the Union prediction: "He will do nothing of this sort."

Obama to raise minimum wage for federal contractors

@highlight

Obama failed to get any of his 2013 State of the Union priorities through Congress

@highlight

Many see this year's speech as potentially his last chance for significant action

@highlight

Early election data shows GOP keeping House majorities, with good chance to win Senate