(CNN) -- You've heard that classic mixology before: "Bond went into the lobby bar to gather his thoughts and ordered a vodka martini, explaining to the barman the best way to achieve the effect of vermouth without diluting the vodka too much. Ice in the shaker, add a slurp of vermouth, pour out the vermouth, add the vodka, shake well, strain into a chilled glass, add a slice of lemon peel, no pith."

Immortalized on the big screen and in Ian Fleming's 14 James Bond books, practically everyone knows the British superspy and his drink of choice. But this drink -- this Bond -- was written not by Fleming, but by author and screenwriter William Boyd. He was asked by Fleming's estate to write a new Bond novel; "Solo" hit shelves this month.

In "Solo," Boyd took a retro approach, choosing to set his story in 1969 at the height of the Cold War. While there are plenty of cocktails, fast cars and alluring women, Boyd says he wanted to take Bond back to his roots. In Boyd's version of Bond, there are no gadgets, no gimmickry, no flying cars and no villain with dreams of world domination.

In the novel, Bond has just turned 45, and is now a veteran of MI6. He's sent to a West African nation in the middle of a bloody civil war. His mission: quash the rebels and covertly help the established regime. While there, Bond is forced to go "solo" on a dangerous, self-appointed mission of revenge.

This Bond is still stylish, dresses impeccably, drives a Jensen Interceptor II, even knows how to whip up his own salad dressing (the recipe is included in the novel's only footnote) but Boyd's version is realistic, gritty and close to the original Fleming.

We spoke to Boyd about his take on the iconic character.

Fast facts: William Boyd

Age: 61

Early life: Boyd was born in Accra, Ghana. He grew up there and in Nigeria.

For fans of: James Bond, spy novels, literary thrillers.

What else he has written: 20 best-selling novels and 15 films including "Any Human Heart," "A Good Man in Africa" and "Waiting for Sunrise."

Special honors: He was named a commander of the Order of the British Empire in 2005.

Fun fact: Boyd has worked on films with three actors who portrayed James Bond: Sean Connery, Pierce Brosnan and Daniel Craig.

Five questions for William Boyd

CNN: How were you approached to write a new James Bond novel?

Boyd: It just came out of the blue. It's not something you're even aware you're being considered for or discussed. I just got a call from my literary agent one day saying stand by for this: Would you be interested in writing a new James Bond novel? I thought about it and said almost immediately, yes, please. Then the process gets a bit more involved. You have to meet the Fleming family and I had questions for them and they had questions for me. There was a kind of interview and after that I officially got the job. It's something that just came right out of left field and took me completely by surprise. It was a treat. I took it very seriously but I had great fun. It was a wonderful thing to be asked to do.

CNN: Was there any difficulty in taking on an iconic character like Bond?

Boyd: For some people there might be, but I had written two spy novels so I was very familiar with the demands of the genre. I've written a film about Charlie Chaplin. I wrote a six-hour miniseries about Hitler. So taking on a book about James Bond, somebody that's present in the minds of millions of other people, didn't seem as strange to me as it might have been to other writers. It was a challenge but it was a highly intriguing one. So I approached it very much in that spirit. I was also given a very free hand by the Fleming family. If they had wanted me to write to a formula or a pastiche of Ian Fleming I wouldn't have done it. They really let me write in my own voice, invent my own storyline with a very hands-off, benign approach. So it wasn't a daunting prospect, more an enticing one.

Shaken and stirred on the slopes: The greatest Bond scene ever made?

CNN: You've written about Ian Fleming before, so were you already a fan of his?

Boyd: It was more of a curiosity. I became quite curious about Fleming as a certain sort of Englishman. He was a close acquaintance of Evelyn Waugh, a writer who I've read every word he's written. I'm equally curious about Waugh but the two men didn't like each other at all. I began to wonder why this should be and started to investigate Fleming's personality and his particular nature, which I think in some ways is very English. I think he wanted to die, which is what's so odd. He was a misanthrope and maybe depressive. He was only 56 when he eventually died but he was in a hurry to get to the grave as he said himself. So I was very intrigued by him as a sort of case study. In many ways he seemed rather similar to Evelyn Waugh and it was odd that the two didn't like each other at all. So the Fleming curiosity was certainly there, I had put him in as a character in my novel, "Any Human Heart." I don't know if the Fleming family was aware of this, but I was certainly clued up about their famous ancestor.

CNN: Why did you choose to set the novel in 1969 and largely in Africa?

Boyd: I wanted very much to set the novel in the era of Bond. The novels appeared between 1953 and 1964 and if Fleming had looked after himself a bit better he could have conceivably written a novel in 1969. So it's very much that world that Bond the character would know and it's also a world of no mobile phones, the Cold War is raging, there's no Internet, computers are fairly elementary, it's classic spying. I very much wanted to exploit all those echoes and illusions and textures. I thought I would take him to Africa, because I said to the Fleming family when I met them that I wanted to write a very realistic Bond novel, a real spy novel about a real human being, a real spy on a real mission.

So I thought about my own background, my own upbringing. I'd been living in Nigeria in the late 1960s when the Nigerian civil war was on and it had a profound effect on me. I thought I'll send Bond off to a nasty little war in Africa. You can't get more down and dirty and gritty than that. So I paralleled the events of the novel pretty closely on the events of the Nigerian civil war. But in the interests of making Bond real and making his mission real, I didn't want to write anything with too much gimmickry or gadgetry involved, or fantastical plots or organizations wanting to take over the world. I wanted it to be a highly realistic novel.

CNN: Is there another character from literature you would like to take on?

Boyd: When I come across a character I'm intrigued by, I often write a short story about this character. I fictionalize aspects of their life. I wrote a short story about Brahms, for example, because I'm a great lover of his music. I wrote a short story about Chekov for the same reason. In my novel, "Any Human Heart," I was able to have my fictional character bump into all sorts of real people who either intrigue, infuriate or fascinate me. I guess I'm quite curious about Ernest Hemingway as a character. I'm not a great admirer of his novels but I'm very curious about him as an individual. So it might be quite stimulating to revisit Hemingway through the filter of fiction and see what I make of him the way I've been able to do with these other characters.

I'm currently writing a miniseries about Lawrence of Arabia, another deeply complex, strange man but because it's a drama I'm able to move away from the restrictions of documentary fact and present my imagined portrait of T.E. Lawrence, which is a very fascinating prospect. So Hemingway, I keep reading every book that comes out about him. There's obviously something about him in the same way as Fleming that intrigued me. So watch this space, maybe it will happen.

10 hotels featured in James Bond movies

@highlight

Before his death, Ian Fleming wrote 14 books about iconic British spy James Bond

@highlight

British author William Boyd was chosen by Fleming's estate to write a new Bond novel

@highlight

Boyd chose a retro setting in his version of 007: Africa, 1969

@highlight

Boyd's James Bond book, "Solo," debuted in October