(CNN) -- More than a decade after his execution, Cameron Todd Willingham is still a pawn in the debate over the death penalty.

Opponents of capital punishment say Willingham's is a clear case of an inmate being wrongfully executed, while the original prosecutor and state of Texas have been steadfast in their assertion that Willingham should be no one's cause cÃ©lÃ¨bre.

"Willingham was a psychopathic killer who murdered his three children," John H. Jackson, the former Navarro County prosecutor who handled the case in 1992, wrote in an e-mail. "He submitted to a polygraph with predictable results, he confessed the murders to his wife, the trial evidence established two prior incidents when he tried to kill his children in utero by vicious attacks on his wife."

Willingham was executed in February 2004 after being found guilty in an arson that killed his children, 2-year-old Amber and 1-year-old twins Karmon and Kameron. His family has fought to have his name cleared ever since.

The Innocence Project filed a grievance Monday with the State Bar of Texas, asking that it investigate the now-retired prosecutor. The grievance alleges Jackson "fabricated and concealed evidence," including documents indicating that a jailhouse informant received special treatment in exchange for his testimony, which Jackson and the informant both claimed was not true during the original trial.

A story in The Washington Post on Sunday, written by the Marshall Project, a journalistic group focusing on criminal justice matters, said Willingham's case is especially important to death penalty opponents because it could provide the first case showing "conclusively that an innocent man was put to death in the modern era of capital punishment."

The story points out that Supreme Court Justice Antonin Scalia, in upholding Kansas' death penalty in 2006, said opponents had failed to show a single case in which a convict was executed for a crime she or he didn't commit.

Evidence and testimony at trial showed that Willingham had been involved in criminal activity since his teens and had been verbally and physically abusive with his family. Witnesses alleged that during the blaze, Willingham seemed more concerned with rescuing his car than his daughters.

Appellate courts, including the Supreme Court, declined to stop Willingham's execution, yet in his final words, he claimed to be "an innocent man convicted of a crime I did not commit." Since his conviction, the science employed by investigators to determine that the fatal fire was an arson, as well as a post-conviction claim by his ex-wife, Stacy Kuykendall, that Willingham confessed to her, have been matters of debate.

An alleged alliance

The Marshall Project story reports that informant Johnny Webb, whose testimony was integral to convicting Willingham, now says he lied on the witness stand in exchange for favors from Jackson. The story also alleges that correspondence between Jackson and Johnny Webb indicate the two were in cahoots.

Jackson told CNN the letters are being misconstrued.

In one letter, Webb writes that his testimony against Willingham resulted in retaliation from other inmates.

"Here, the state offered me certain benefits in exchange for my testimony, which resulted in sending a man to death row. This resulted in a murder contract being placed on my head. Because I kept my end of the promise, the state is bound to uphold theirs until my release from incarceration," Webb wrote to Jackson in 1996.

Other documents cited in the Marshall Project report indicate Jackson worked to have the charges on which Webb was convicted reduced, to have Webb released early on a robbery conviction and to have him moved to a less dangerous prison.

In a 1996 letter to a Texas Department of Criminal Justice official, Jackson wrote that Webb should be afforded an "out-of-sequence parole hearing" based on his cooperation in the Williingham case and the subsequent threats against him.

Jackson wrote in closing that incarceration would not aid Webb's rehabilitation and would jeopardize the Willingham conviction. Thus, "Webb's cooperation in the murder prosecution without expectation of leniency should be accorded some consideration," he said.

Webb was granted parole in 1998, but within months was back in jail on drug charges, which constituted a parole violation. In 2000, Webb said in a handwritten letter that he wished to recant his testimony. The Marshall Project alleges the note was never placed in Webb's file or disclosed to Willingham's attorneys.

"I am given no other choice but to make this motion to recant testimony at this time," Webb wrote. "I was forced to testify against Mr. Willingham by the DA's office and other officials. I was made to lie. Mr. Willingham is innocent of all charges."

'Patently untrue'

Reached at his Corsicana, Texas, office, Jackson declined a chance to present his side of the allegations in a phone interview. Despite CNN messages left via phone and e-mail, he said he was "skeptical CNN wants to present my side of the story."

CNN wasn't given a chance to ask Jackson specific questions about the allegations -- namely, reports that numerous fire investigators now say the original conviction was based on outdated arson science and a Marshall Project allegation that a wealthy businessman with connections to Jackson provided Webb money and favors.

Jackson did, however, provide a 250-word response to some of the allegations against him.

"The new tack is that I promised the jailhouse witness Webb leniency if he would testify that Willingham confessed," Jackson wrote. "This is patently untrue and I interviewed Webb before others and very sincerely advised him that I could offer him nothing in return for his testimony."

After "supposedly reputable journalists," whom Jackson didn't name, outed Webb as a snitch who had cooperated with authorities, the white supremacist gang, the Aryan Brotherhood, began threatening Webb. There were also efforts by Willingham's defense team and prison guards colluding with the Aryan Brotherhood to coerce Webb to recant, and a journalist even tried to bribe the informant, Jackson wrote.

"AFTER (emphasis Jackson's) the Willingham trial I did everything in my power to prevent his being killed by the (Aryan Brotherhood)," he said. "Webb wrote letters warning that he would be forced to write a recantation because of death threats from the (Aryan Brotherhood) and their stooge prison guard, but that the recantation would be false."

Jackson also alluded in his e-mail to Willingham's ex-wife's claim that Willingham confessed to her before his execution. Indeed, in 2010, responding to the Willingham family's push to have her former husband's name cleared, Stacy Kuykendall told reporters gathered at an Austin courthouse that Willingham admitted setting the blaze.

"Todd murdered Amber, Karmon and Kameron. He burnt them," she said. "He admitted he burnt them to me, and he was convicted for his crime. That is the closest to justice that my daughters will ever get."

She would later tell the Chicago Tribune and The New Yorker magazine that Willingham made no such confession to her, according to their reports.

Arson or no arson...

In his e-mail to CNN, Jackson did not address the arson science used in the investigation, but he wrote in a 2009 guest column for the Corsicana Daily Sun that there was sufficient evidence of Willingham's guilt without the problematic findings in the arson report.

"The Willingham trial has become a sort of cause celebre by anti-death penalty proponents because it seems to be an example of outmoded scientific techniques which led to a miscarriage of justice," he said. "In fact, the trial testimony (the newspaper) reported in 1991 contains overwhelming evidence of guilt completely independent of the undeniably flawed forensic report."

He pointed to seven factors that he said helped establish Willingham's guilt, including his violent past, evidence showing someone had blocked the door's back home with a refrigerator, the "superficial" nature of Willingham's burns and an analysis suggesting Willingham hadn't inhaled excessive smoke, as he claimed, during his rescue attempt.

Little seems certain in Willingham's case, outside the fact that death penalty opponents and proponents staunchly disagree over his guilt. Disagreement has been a mark of the case, as Willingham's own defense attorney told CNN in 2009 that he thought his client was guilty, while one of the jurors who convicted him expressed doubts.

Texas Gov. Rick Perry has defended his decision not to stay Willingham's execution, calling him a "monster." Meanwhile, Innocence Project Co-Director Barry Scheck said in the Monday news release that not only should the verdict be called into question, but so should the man who prosecuted Willingham.

"We are asking the State Bar of Texas to investigate and prosecute this matter, which we believe is of profound importance to all citizens in this country. Whether one supports or opposes the death penalty, the execution of an innocent man is, as Justice (Sandra Day) O'Connor has said, a 'constitutionally intolerable event,'" Scheck said.

Jackson has seen his case under fire before, and he stands by the verdict today, just as he did when it was handed down in 1992 and when he penned his guest commentary for the local paper in 2009.

"While anti-death-penalty advocates can muster some remarkably good arguments, Todd Willingham should not be anyone's poster child," he wrote then.

CNN's Matt Smith contributed to this report.

@highlight

Cameron Todd Willingham was executed in 2004 for killing his 3 children

@highlight

Innocence Project asks that prosecutor in 1992 case be investigated

@highlight

Ex-prosecutor: Allegations latest "tack" by death penalty opponents in case

@highlight

John Jackson says he tried to protect informant after case, not coerce testimony