Katsurashima, Japan (CNN) -- The dock on Katsurashima Island off the coast of Japan's Miyagi prefecture has sunk by half a meter because of last year's Great East Japan earthquake.

Walking along the cracked and sandbagged quayside, oyster farmer Yoshimasa Koizumi spies his fishing gear that has been lying untouched for over a year.

In fact the 37-year-old has never used it to fish with; he moved from Tokyo to Katsurashima, part of the Urato Islands, just one day before the devastating tsunami struck.

Koizumi was safe on a bridge when the huge black wall of water swept almost all before it, destroying his new fishing boat and making the house he had spent only one night in uninhabitable.

He's one of thousands whose homes and livelihoods were ruined. The Japanese government has estimated that around 90% of fishing boats from Iwate , Miyagi and Fukushima prefectures were destroyed by the tsunami.

"In a way, (the tsunami) has made it easier to fit into the community," he said, mentioning how lifelong residents of the islands are often quite insular. "A positive thing was that it made everyone come together. I was an outsider and many were kind to me."

The quiet life Koizumi hoped for after quitting a job at a lumber company in Tokyo is still to be realized, and some residents of Katsurashima don't think fishing, a way of life for all on the Urato Islands and livelihood for most of the communities along the Northeast coast of Japan, is possible anymore.

"There's not much future for fishing here," said 75-year-old former fisherman Mr. Keikichi, a lifelong resident of Katsurashima.

However Koizumi sees things differently.

Even though only one oyster processing factory is still functioning and a third of fishermen of the Urato Islands remain, he is determined to revive his new community and create a sustainable fishing industry.

Just a month after the tsunami, Koizumi set up "Uminoko Saisei" (Children of the Sea), a cooperative project for fishermen from the Urato Islands and outside "stakeholders." The stakeholders' donations to help the area's recovery will eventually be repaid with fishermen's produce like oysters and seaweed.

Koizumi used Twitter and Facebook to promote the project, and since April 2011 over 14,000 people from across the world have sent donations.

"I didn't want (fishermen on the islands) to quit," he said. "I wasn't a fisherman before. It's very hard to be a fisherman. If I could succeed, it could help those who quit to come back."

But Koizumi's plan hasn't been without some controversy. Some of his ideas have been hard for some of the established fishermen and the local Fisherman's Guild to digest.

"At first many local fishermen didn't have a clue what I was doing, like planning some innovative ideas and selling to new markets. It has taken time to convince them.

"Before, let's just say that communication didn't happen often between islanders," he said, explaining that the Fisherman's Guild had a tight hold on how fishing was regulated and before the tsunami most fishermen operated as individuals.

More than half of Miyagi Prefecture's fishermen are over 50, but some of the younger residents of the Urato Islands are happy to follow Koizumi's lead. Mr. Yoshinori Suzuki, who returned to the area from Yokohama to help his father's fishing business on nearby Nonoshima Island, says he's open to Koizumi's plans, but he currently has to work in construction as well fishing to make a living.

The tsunami has actually made this a good year for the bay's oyster beds, as it brought in nutrients from the deep ocean, although this year's harvest will still be half what was produced before the tsunami.

Forecasts are for oyster and seaweed production to return to pre-tsunami levels by 2014, but if the bay's sea life is sure to recover, the life for those ashore is much less certain.

Even Koizumi's project has changed from what he first thought it would be.

While support from individuals and NGOs has been forthcoming, the Children of the Sea Foundation was created to help manage the project and Japanese medical company Tokibo became a partner.

Executives from the company now sit on the board, along with Koizumi and members from the Urato Islands Fisherman's Guild. It's part of a wider phenomenon of companies in Japan partnering or helping previously independent communities or cooperatives affected by the earthquake.

"Many companies want to help the communities recover, but after two years when the local economy gets better, who knows what may happen," said Professor Masahiro Yamao of Hiroshima University, who has studied the economics of post-tsunami recovery plans. "Some companies may want more and more return for their investment," he added.

"But you can't say what is right or wrong for these communities, they are all quite different, some more isolated than others, some more damaged than others. Many traditional communities will be okay without companies, so there is no one solution."

The simple life of a fisherman still eludes Koizumi, administering the Foundation now takes nearly all of his time.

"Now there are lots of different opinions, and it makes it much more difficult," he said.

"I just want to be able to prepare my own boat and fish."

Unfortunately that day still seems a long way off.

@highlight

Urato Islands off coast of Miyagi Prefecture a microcosm of troubles affecting fishing communities

@highlight

Tsunami devastated islands destroying 90% of fishing boats

@highlight

Yoshimasa Koizumi moved to island one day before tsunami struck

@highlight

His 'Children of the Sea' project aims to revive fishing and community of Urato Islands