(CNN)Hillary Clinton is now officially a candidate for president -- and the never ending Clinton story rumbles on. She has been a part of all our lives now for approaching a quarter of a century. She started as the first lady that the right loved to hate, then the deceived wife, next a senator, then a candidate for president in one of the most dynamic primaries in history and finally, a secretary of state.

The Republicans have their aristocratic Bushes, the Democrats have their Clintons. And if Hillary or Jeb were to win two presidential terms, then in the 44 years from 1981 to 2025, 28 will have had a Clinton or a Bush in the White House. The great American republic now looks about as democratic as "Game of Thrones."

But even though Hillary Clinton has been around nearly my entire lifetime, The Economist may speak for many when it asks: "What does Hillary stand for?" There is a paradox she presents: She is by far the best-known presidential candidate across both parties and, for the moment, almost unchallenged within her own. Yet even though Diane Feinstein can assert confidently that Hillary "doesn't 'need' (the White House). But she wants it" -- the question unanswered is "What for?" And for liberals, who believe that government is there to do something, it's this lack of definition that is surely so disconcerting about Clinton.

There are good grounds for a liberal primary challenge to Clinton. The economy has revived under Obama but, say critics, largely to the benefit of Wall Street and the super-rich. The riots in Ferguson, Missouri, were a painful reminder that the poor, particularly the nonwhite poor, have been left behind.

Clinton's credentials as a fighter against inequality are mixed. It is true, as the Wall Street Times notes, that she has previously called for "universal prekindergarten, equal pay for women, increases in the minimum wage, paid family leave, higher taxes on the wealthy and an expanded Earned Income Tax Credit for working-poor families." But she counts among her friends precisely those corporate people blamed by the Occupy crowd for the country's inequality. Clinton is now, wisely, trying to distance herself from the Clinton Foundation -- after all, its fundraising efforts among foreign interests are hardly the stuff of populist liberalism.

Then there is her foreign policy record. Clinton voted in 2002 to authorize the Iraq War (though in her memoir last year, she backed away from the vote, writing that she "got it wrong.") As secretary of state, she is easily associated in the mind of the left with such controversies as the war in Syria, the crisis in Libya and the collapse of the Mubarak regime in Egypt.

That some of these may have had little to do with her is beside the point. Clinton is going to have to spend a sizeable amount of time during the primaries explaining and defending the things that occurred while she was working for the Obama administration. Her personal ethics are on the agenda, too -- as demonstrated by the flap over her use of a private email account.

These are the issues that her Democratic rivals are running on. In Iowa last week, both Jim Webb and Martin O'Malley attacked Wall Street, Webb adding that he had also opposed the Iraq War. Both men questioned the wisdom of Clintonian triangulation -- the idea that the White House can be won, and the country successfully governed, by always seeking the middle ground.

Both men would be wise to focus on Iowa; to contrast a populist, folksy campaign with the distant, over-managed style of Clinton. And both would do well to tap into a feeling that it would be unhealthy, undemocratic and plain dull to let Hillary coast to the nomination without a proper challenge.

Nevertheless, there is a strange contradiction between the constant assertions that Democrats want a race and the polling evidence that Clinton would beat anyone who tried to take her on. Why do liberals demand a conversation about policy if the only answer they can still come up with is Hillary?

The explanation is that the Democratic Party is intellectually impoverished. We hear often of the GOP's problems, how out of touch with a changing electorate it is and how it is divided against itself. The Democrats' challenges, however, are just as substantial. They've just been masked by having a charismatic man in the White House dominating the national conversation.

Obama was elected at one of the highest points of national Democratic popularity. But, since then, Democratic power has been whittled away in successive congressional and local elections -- leaving the party without significant representation in the Deep South and absent any mildly conservative support at all. Everything was staked on Obamacare, which was ambitious and noble venture but without an obvious second act to follow.

Democrats have become about defending the honor and reputation of their president rather than proposing bold new reforms. And the mood of their base can be felt either in the violence in Missouri or the disaffected, hollow laughter of "The Daily Show" audience. Cynicism abounds. Who really imagines that Hillary Clinton is the kind of personality that can spark a renaissance of thinking or a rejuvenation of activism among liberals? To repeat the question: what is she exactly running for?

If she has one trump card to play, however, it is reinvention. Recall that she started the 2008 primaries out as a moderate, play-it-safe frontrunner and ended them drinking beer in an Indiana bar -- reinvented, in the words of Barack Obama, as Annie Oakley. If there is little intellectualism left in liberalism, at least Hillary Clinton is clever. Which is why she remains an asset to her party.

@highlight

Timothy Stanley: Hillary Clinton running for president, but it's not clear what she stands for. There are grounds for a liberal primary challenge

@highlight

He says Democrats who call for reform offer only Hillary Clinton. She's formidable candidate, but where are bold new ideas?