(CNN) -- The Washington Post's Chris Cillizza recently gave President Barack Obama his "Worst Year in Washington" award. Indeed, Cillizza wrote that there was a growing sense among the public that "Obama simply isn't up to the job to which he was elected twice."

But while it's hard to argue that Obama has not had a difficult 12 months, the notion that this President is somehow done or a lame duck just doesn't feel quite right. The fact is the office of the president is still the most dynamic change agent in our political system. And unlike Congress or the Supreme Court, which go in and out of session, the President is on 24/7, with significant power at his disposal, a point underscored by recent initiatives on immigration, climate change and Cuba.

"My presidency's entering the fourth quarter," Obama said in a press conference Friday. "Interesting stuff happens in the fourth quarter, and I'm looking forward to it."

That's particularly the case on foreign policy, where presidents usually go when they're stymied at home. And while Obama is clearly not the transformative foreign policy hero his supporters hoped he would be, neither is he the appeaser in chief his detractors claim.

So, six years into his presidency, how is Obama's foreign policy shaping up, and what can we expect in his final two years?

He's the anti-terrorist in chief

Obama's base may have wanted (and expected) a kinder, gentler leader when it came to the policy of killing America's enemies abroad. Instead, the President doubled down in Afghanistan in 2009, had Osama bin Laden killed, dismantled much of al Qaeda central and has used drone strikes with a frequency and lethality that makes him look like George W. Bush on steroids.

The raw numbers speak for themselves: As of November 21, the United States had conducted 500 targeted killings (about 98% of them with drones), "which have killed an estimated 3,674 people, including 473 civilians," according to the Council on Foreign Relations' Micah Zenko, citing State Department numbers. About 50 of these were authorized by Bush, and some 450 and counting by Obama.

The President may have declared in May 2013 that the global war on terror is over. But there's no reason to believe that the trend line on specific counterterror attacks will go anywhere but up. Indeed, Syria and the war against ISIS is proving to be a new frontier.

He's no nation-builder

Obama was determined to pull U.S. forces out of Afghanistan and Iraq and end America's combat role there. That isn't likely to happen by the time he leaves the White House. Indeed, it's possible by 2016 you might even see special forces expand their numbers in Iraq and enter Syria, too. But what the President has done is to refrain from illusory efforts at using American forces to reconstruct Iraq or Afghanistan, let alone Syria.

If you want to understand Obama's policies on ISIS and the reintroduction of U.S. special forces into Iraq, it's best to look at them as significant counterterrorism operations designed both to enable the United States to hit targets and to train and equip local allies to do so. But the reality is that Obama is determined not to be drawn into another trillion-dollar social science experiment to see whether he can put the Iraq, Afghan and Syrian Humpty Dumpties back together again.

Even when it comes to Syria, the President has been reluctant to establish "no-fly" zones to neutralize Bashar al-Assad's air power and create sanctuaries for training opposition forces. Indeed, the massive deployment of U.S. ground forces or billions in assistance to those bottomless money pits are red lines that this President is unlikely to cross in the next two years.

He's a true believer in engagement

When Obama said back in the 2008 campaign that he was prepared to engage America's adversaries, he really wasn't kidding. The President is a committed internationalist with global sensibilities -- and probably far too invested in the power of diplomacy as the talking cure.

Last year, using secret diplomacy, Obama started a process of negotiation on the Iranian nuclear issue and normalization efforts with Cuba that he hopes will produce real change. He all but admitted in his press conference last week that change will be slow, but he reaffirmed his faith and belief in the power of engagement.

But belief in significant change in authoritarian states such as Cuba and Iran really represents the triumph -- at least for the moment -- of hope over experience. There's not a whole lot of evidence to suggest that real transformation ever occurs in these societies when driven from the outside -- it didn't in China, Russia or Vietnam.

In Iran's case, buying time through diplomacy is premised on the highly arguable assumption that over time, Iran will somehow moderate its views and that the Iranian public, now freed from sanctions and integrated into the international community, won't want to return to the old days and will press their leaders to avoid becoming a pariah again. But being one screwdriver's turn away from a nuke may well be an Iranian national priority that the President's hope may not be able to alter.

The next two years

Anyone watching the President's press conference last week could feel just how energized he was. And it wasn't just because he was going on vacation -- Obama can no doubt feel the pull of wanting to leave a positive legacy.

Right now, he likely believes the corner has been turned on the economy, and he may even feel things are breaking his way on foreign policy, too. After all, ISIS' momentum has at least been temporarily stalled, while the decline in oil prices has taken Russian President Vladimir Putin down a notch or two. Plus, if Israeli elections due in March produce a more centrist government, John Kerry may start pushing Obama to get more engaged in the long-stalled peace process.

Yet challenges remain -- the possibility of a terror attack always looms at home, while North Korea, Syria and Iraq are proving to be ongoing thorns in the U.S. side. And presidential luck can evaporate just as easily as it has appeared.

Still, as tough as 2014 was, and although 2015 brings with it a Republican-controlled Congress bound to take some wind out of his sails, one thing is abundantly clear -- driven by legacy and momentum, this lame duck president plans to be doing a lot of quacking next year.

@highlight

Aaron David Miller: President Obama is not the appeaser in chief his detractors claim

@highlight

Miller: President doubled down in Afghanistan in 2009, had Osama bin Laden killed

@highlight

Obama is a committed internationalist, Miller says

@highlight

President can feel the pull of wanting to leave a positive legacy, he says