(CNN) -- Young, urban and culturally savvy, meet the Afropolitans -- a new generation of Africans and people of African descent with a very global outlook.

Something of a buzzword in the diaspora, the term "Afropolitan" first appeared in a 2005 magazine article by Nigerian/Ghanaian writer Taiye Selasi. Selasi wrote about multilingual Africans with different ethnic mixes living around the globe -- as she put it "not citizens but Africans of the world."

Now the term has spread, used not just by New York hipsters and in trendy European capitals but in Africa's own multicultural megacities.

But just who are these Afropolitans?

Brendah Nyakudya is the editor of Afropolitan magazine, produced in South Africa. A Zimbabwean based in Johannesburg, who has lived in London, she has the kind of international background that typifies an Afropolitan.

"I have African roots but I've kind of been raised by the world, and that's helped form my identity," she says.

See also: Congo's designer dandies

Her magazine is aimed at successful urban 30-somethings -- intelligent, upwardly mobile and politically aware -- most of whom she says can be described as Afropolitans.

"An Afropolitan is someone who has roots in Africa, raised by the world, but still has an interest in the continent and is making an impact, is feeding back into the continent and trying to better it," according to Nyakudya.

She also believes the term can apply to non-Africans. "We like to think that it doesn't matter where you were born, if you find yourself on the continent and you love the continent, that makes you an Afropolitan," says Nyakudya.

But for some people the term isn't so easy to define.

Tolu Ogunlesi is a Nigerian journalist who is based in Lagos. He studied for his Masters degree in England and last year chaired a debate at London's V&A museum on what it means to be an Afropolitan. He says it's a problematic term and its meaning is hard to pin down.

"It's one of those words that people invest with their own meanings, people interpret it as they want," he says. "Some people dismiss the concept entirely, saying there's nothing that people who are called Afropolitans share in common -- what they have in common is superficial."

He feels the term is too often applied only to those living in the diaspora.

"It's a problematic term because it's supposed to combine (the words) African and cosmopolitan," says Ogunlesi. "What it should mean is an African person in an urban environment, with the outlook and mindset that comes with urbanization -- people who live Lagos, Nairobi, and have this world-facing outlook.

"But people who consider themselves Afropolitan are not here in the continent, they are out there in the global capitals."

See also: Sounds of the Sahara

Minna Salami, who blogs as Msafropolitan, is a true global citizen. Born in Finland to a Nigerian father and a Finnish mother she has lived in Nigeria, Sweden, Spain and New York, and now lives in London.

She agrees that some people see Afropolitanism as existing only outside Africa, but says that, in reality, it applies just as much to people living in the continent.

"Some people have interpreted it as a diaspora movement but it absolutely isn't," she says. "When you go back to the original term 'African and cosmopolitanism,' Africa has very many cosmopolitan cities ... and in those cities you have art scenes and music and all kinds of creativity that's influenced by cosmopolitanism."

For her it's a movement that is politically aware and has an obligation to correct decades of Africa being misrepresented as a "dark, failing continent."

"Afropolitans are a group of people who are either of African origin or influenced by African culture, who are emerging internationally using African cultures in creative ways to change perceptions about Africa," Salami says.

Salami adds that social media has been key to the movement, creating global citizens who are in tune with the same cultural trends and political issues.

Ogunlesi agrees. He says that while ordinary Nigerians don't define themselves as Afropolitans, the prevalence of the internet and satellite television means young Nigerians do have a global outlook and are exposed to much of the same pop culture as youngsters all over the world.

And social media also means that the coolest in contemporary African culture is quick to travel around the world. African and Africa-influenced pop culture is a key part of the movement.

Afropolitanism implies a certain type of cool, with an aesthetic influenced by African style magazine Arise and a soundtrack provided by anyone from Nigerian musician Femi Kuti to South African "township tech" producer Spoeke Mathambo.

But Nyakudya insists that to be a true Afropolitan takes more than a multi-cultural background and the right record collection -- it means having a commitment to making the continent a better place.

She says: "From philanthropic work to trying to lobby for political reform there's a lot that needs to be done in Africa and if you're going to call yourself an Afropolitan you need to show what you're doing to deserve to be called an Afropolitan."

@highlight

The term "Afropolitan" is often used to refer to young Africans with a global outlook

@highlight

The editor of Afropolitan magazine says: "I've kind of been raised by the world"

@highlight

Social media has been key to the movement, says blogger Minna Salami

@highlight

Movement is associated with a certain cool and a style influenced by Arise magazine