(CNN) -- The list of defendants whose cases could be affected by the alleged drug tampering of a former Massachusetts chemist has now grown to over 40,000, Massachusetts Gov. Deval Patrick's administration said Tuesday.

The chemist, Annie Dookhan, 34, already is facing a total of 27 counts including obstruction of justice, mishandling of drug evidence and lying about holding a master's degree in chemistry from the University of Massachusetts.

Dookhan worked as a state chemist testing drug evidence submitted by law enforcement agencies from 2003 until March 2012, when she resigned, according to the Massachusetts attorney general's office.

The attorney general's office began a criminal investigation in July 2012, after Massachusetts State Police were tipped off by Dookhan's co-workers who alleged her work might be unreliable. The investigation revealed that Dookhan allegedly tampered with evidence by altering substances in vials that were being tested at the state lab, allegedly to cover up the practice of routinely "dry labbing" samples. "Dry labbing" is a term used for merely visually identifying samples instead of performing the required chemical test.

Authorities arrested Dookhan at her home in Franklin, Massachusetts last September, but she was released on $10,000 cash bail with conditions, according to the state attorney general's office.

Dookhan has pleaded not guilty to all charges.

Former Massachusetts chemist faces even more charges

After ordering that the lab where she worked be shut down in August 2012, while the investigation was ongoing, Patrick created a special counsel to expedite the identification of individuals whose cases involved evidence potentially mishandled by Dookhan. Initially Patrick's administration estimated 34,000 defendants possibly had been affected, but that estimation rose to 37,500 after attorney David Meier joined Patrick's special counsel in September. The increase came as no surprise to Patrick's administration, because there was always an assumption that more information would lead to more discoveries, said Heather Johnson, a spokeswoman for the administration.

Since January, approximately 2,500 more names have been identified, bringing the total number of individuals potentially affected to 40,323, which Meier has recorded in a "master list." While some of these added names are in fact new, the majority is not; rather, most are newly identified co-defendants of cases that were already on the list, Johnson said.

2012: Chemist in Boston lab scandal handled 50,000 drug samples

The "master list" is an inventory of names of each person whose drug samples were associated in some way with testing done by Dookhan at the drug laboratory, and it is the product of a nearly year-long review and an electronic analysis of over three million lab documents, Patrick's administration said.

According to Suffolk District Attorney's Office spokeswoman Rene Algarin, 240 defendants whose cases are potentially affected have been released in Suffolk County until the investigation surrounding Dookhan's alleged evidence tampering is concluded.

But the case against Dookhan is complicated by the fact that she faces indictments in seven different Massachusetts counties -- Suffolk, Plymouth, Middlesex, Norfolk, Essex, Bristol and Barnstable -- because she had previously testified in various trials in her former official capacity as a chemist.

Bridget Morton Middleton, assistant district attorney for Plymouth County, said it's not just simply coming up with a list of names of defendants. It's a much more labor-intensive process that each of the seven counties must undergo to determine whether a defendant's sentence should be put on hold. In some cases, for instance, Dookhan was not the primary chemist in a trial and was only agreeing with what another chemist had confirmed, Middleton said.

At a news conference Tuesday afternoon, Meier said he plans to sit down with representatives from the bar associations, district attorneys, prosecutors and chief justices of the various courts to present the material he has gathered. Meier, however, made it clear several times that it is not -- and was never -- his role to assess these documents, but rather to "get the information into the hands of the appropriate people, prosecutors, defense attorneys, and judges, so that fundamental fairness and justice can be done in the court rooms."

Dookhan's attorney, Nicholas Gordon, could not be reached for comment Tuesday.

Dookhan's next court date is set for October 11 in Suffolk Superior Court

@highlight

Annie Dookhan was a state chemist in Massachusetts for nine years

@highlight

Her work involved drug testing and evidenc handling

@highlight

She was arrested last year and charged with mishandling drug evidence

@highlight

Authorities now say cases for more than 40,000 defendants could be affected