Hong Kong, China (CNN) -- A fight between a technology titan and the world's fastest-growing economy. Trade war tensions rising between Beijing and Washington, as U.S. legislators howl about unfair Chinese business practices and the Chinese media assail American arrogance.

No, it's not the current battle between Google and China -- but the fight between Microsoft and Beijing in March 1994.

"The situation then could not have been worse ... it was dire," recalled Jia-Bin Duh, who in March 1994 -- on his second day on the job as president of Microsoft China -- met his new boss, Bill Gates, off a plane in Beijing for a series of icy meetings with the Chinese leadership.

An examination of that fight sheds some light on why Microsoft is staying in China even as it takes increasing heat from the U.S. Congress for not following Google's lead out of China.

Google announced last week it would quit censoring its China page and instead redirect users to its uncensored Hong Kong search engine. As a result, several Chinese companies have quit offering Google Search. The move received bipartisan praise from U.S. congressmen -- and some scorn toward Microsoft for not following suit with its search engine, Bing.

Congress slams China and Microsoft, praises Google

"They [Microsoft] need to get on the right side of human rights rather than enabling tyranny, which they're doing right now," said Rep. Chris Smith, a Republican from New Jersey, in a congressional hearing on Wednesday. Microsoft issued a statement, saying it would work with the Chinese government to foster a more open Internet -- but it would not leave. Perhaps because of its own thorny fight with China more than a decade ago.

Sixteen years to the day before Google's March 22 announcement on leaving China, Microsoft Chairman Gates was in Beijing preparing to meet then-China President Jiang Zemin. That trip came as rancor between the U.S. and China -- and Microsoft -- was high over piracy, intellectual property rights and Beijing's fight for the renewal of its most-favored trade status with Washington, which was then under threat by the Clinton administration

For Microsoft, the trip was part of a full-court press to allow Microsoft to license a Chinese version of DOS and Windows for sale in the country. Beijing resisted, favoring local companies to provide software for the nation's nascent computer industry.

In news stories from the trip, Gates is widely quoted upbraiding China for not letting market forces decide which software should be on China's computers. But behind closed doors in Beijing, it was Gates who was being lectured.

"It was not so pleasant," recalled Duh, a Taiwan-born technology executive who was recruited away from HP China to be on hand when Gates met Chinese government officials. Microsoft was told it didn't appreciate the strides China was making to try to curb piracy and develop its intellectual property rights law.

They were told "China is a country with a long history -- everything has to go through several stages of development," said Duh, who left Microsoft in 1998 to head Cisco Systems China. He is now a Taipei-based venture capitalist.

"If you want to have a successful business here, you have to be patient," they were told.

In China, Bing's turn to show some spine

Microsoft began a long march of rapprochement with China. Eighteen months after his chilly reception in Beijing, Gates returned as part of a planned charm offensive for a causal 17-day tour of the country. This time, he brought a friend along for the ride -- Warren Buffett. With Jia as a tour guide, the trio met with President Jiang to get advice on where to visit and met Chinese industry leaders throughout the trip.

Duh hesitates to call the trip a turning point in relations with Beijing, but it showed Microsoft's top executive was willing to put in the footwork on what is considered key for foreign businesses to succeed in China -- building personal relationships.

That is why foreign Internet companies such as Google have largely failed to penetrate the Chinese market, said Edward Yu, an analyst for Analysis International in Beijing.

China's Internet titans leave West behind

"How (foreign companies) structure their partnerships and how they build relationships is crucially important," he said. "Companies like Google or Yahoo are still comparatively young compared to an HP or a Microsoft, who have been in the China market for many more years and are more mature in their approach.

"They may grow fast in their home market, but foreign Internet firms are too young to understand the China market," Yu added.

Indeed, Gates seems to have taken the "long view" advice from Jiang to heart, as he reversed his stance on the issue central to its thorny start with China: Piracy. "It's easier for our software to compete with Linux when there's piracy than when there's not," Gates told Fortune magazine in 2007. The shift in thinking seemed to be: Better to have the long-tail profits down the road with users dependent on Microsoft software, even if it's pirated.

That has paid off for Microsoft. A Reuters report said Microsoft's Chinese version of Windows sold fewer than 3,000 copies in February 1994, the month before Gates made his first journey to China. In 2007, Forbes estimates Microsoft revenue from China topped $700 million. Gates told the magazine he anticipated China -- which is now the world's second largest computer market -- would be Microsoft's top market by 2017.

Moreover, the company's China operations have become an integral part of the company as a whole. The company's total operations in China are the largest in any country outside the United States. Microsoft opened its first research center in the country in 1998, and now has campuses in Beijing, Shanghai and Shenzhen. In 2008 the company announced plans to invest an additional $1 billion in Chinese research and more than double staff to 3000 in the next few years.

"I think we feel good enough now (about Microsoft in China). But it is a 20-year (journey) and not just three years (like for Google)," Craig Mundie, chief research and strategy officer of Microsoft, told the China Daily in a March 18 article.

@highlight

The battle between Google and China parallels a 1994 fight involving Microsoft

@highlight

Sixteen years to the day of Google's China pullout, Bill Gates was in Beijing

@highlight

In the intervening years, China has become integral to Microsoft's global business plan