Washington (CNN) -- The House ethics committee on Thursday accused veteran Rep. Charles Rangel of 13 violations of House rules involving alleged financial wrongdoing and harming the credibility of Congress.

The charges accused the 20-term Democrat from New York of using his influence to solicit donations for a college policy center in his name from corporate heads and others with business before the powerful House Ways and Means Committee that Rangel chaired until forced to give up the leadership position earlier this year.

Other charges involve alleged income tax and financial disclosure violations, as well as improper use of government mail service and letterhead.

"Credibility is what's at stake here; the very credibility of the House itself before the American people," said Rep. Mike McCaul, the ranking Republican on a subcommittee that will hold a trial-like hearing on the charges against Rangel.

McCaul spoke at the subcommittee's first meeting, described as an organizational session. Rangel was not required to attend and did not show up to hear the first public disclosure of the formal charges against him.

Asked later about his response to the charges, Rangel sounded contrite in saying he may have been "overzealous" in serving the public but took some comfort that the allegations involved no "corruption" or "self-dealing."

"I can't make an excuse for serious violations, but I can have an explanation of my intent," he said. "And to large degree that's what my life has been all about--intent."

Rangel said it was "a very, very rough period for me and my family, but we all, including my community, will get by this."

In the days leading up to the hearing, Rangel had said he welcomed the completion of a two-year investigation by the ethics committee so that he could finally respond to specific accusations against him.

According to documents released by the committee, Rangel first learned of the charges being pursued by an investigating subcommittee on June 17. He filed a motion to have the charges dismissed, which the investigating panel denied, the documents showed.

In a document dated Wednesday, Rangel's lawyers challenged the scope of the charges against him, saying Rangel "did not abuse his official position or enrich himself financially."

"He did not target for solicitation foundations, corporations or individuals with business before the Ways & Means Committee, nor did he offer or provide preferential treatment or favors to potential contributors," the document said. "He received no prohibited benefit, direct or indirect, from his work on behalf of this program that violates the ethics rules."

However, the document said Rangel "recognizes that the public would have been better served if he had consulted the Standards Committee staff in advance" of soliciting funding for the college center.

Rangel said this week that his lawyers were in talks with committee lawyers on a possible deal to settle the case without a hearing. When Thursday's hearing was delayed for 55 minutes with no explanation, rumors of an imminent agreement quickly spread.

iReport: Sound off on this story

However, the panel gathered and held the hearing, and it remained unclear whether a settlement avoiding the spectacle of a trial hearing was possible.

According to the charges, Rangel allegedly failed to report more than $600,000 on financial disclosure reports and improperly used a rent-subsidized apartment as a campaign office for over a decade and failed to pay taxes on a home in the Dominican Republic.

Rangel "argues that errors on his personal taxes do not implicate discharge of his official responsibilities," committee investigators concluded in response to Rangel's request to have the charges dismissed. He "appears to be operating under the erroneous belief that the only conduct subject to discipline is conduct directly related to the discharge of his official responsibilities."

An investigative subcommittee report on Rangel's dealings, available on the committee's website, detailed a lengthy series of meetings the congressman held with business leaders to raise funds for the Charles B. Rangel Center for Public Policy at the City College of New York. His repeated attempts to woo potential donors violated the House's solicitation and gift ban, the report said.

Among other things, the report stated that Rangel met with a lobbyist for insurance giant AIG in April 2008 with the objective to "close" a $10 million "gift for the Rangel Center."

At the meeting, "AIG raised concerns about a potential donation, including the potential headline risk," the report stated. But Rangel pushed ahead, asking "AIG, at least twice, what was necessary to get this done."

During the period of time that Rangel was seeking donations from AIG, according to committee investigators, the company was lobbying the House on several tax and trade issues -- matters over which Rangel exercised considerable influence.

It also noted that, in March 2007, he used congressional letterhead to send notes to business leaders such as Donald Trump, in which he requested meetings to discuss the Rangel Center.

The congressman's "acceptance of favors and benefits from donors to the Rangel Center ... might be construed by reasonable persons as influencing the performance of his governmental duties," the report concluded, adding that the "accumulation of (Rangel's) actions reflected poorly on the institution of the House and, thereby, brought discredit to the House."

In the July 28 response, Rangel's lawyers argued that some of the cited infractions were unintended in his effort to help the college.

"If he mistakenly used the wrong letterhead or other modest resources in this worthy cause, the error was made in good faith," the document said.

"It is undisputed that every single charitable contribution in this case went to CCNY, a public educational institution, and not to the congressman," it said, later adding that"the uncontroverted evidence is that Congressman Rangel never suggested that any donor to the Rangel Center would receive favorable consideration in legislative matters and never gave preferential treatment to any contributor."

McCaul said the allegations against Rangel, if proven, would violate "the most fundamental code of conduct" for House members.

Rep. Gene Green of Texas, a Democrat who led a two-year ethics subcommittee investigation of Rangel, said it was a difficult job.

"The task is even more difficult when the subject has befriended and mentored so many new members, and I'm one of them," Green said.

Another ethics committee member, Republican Rep. Jo Bonner of Alabama, said "this is truly a sad day where no one, regardless of their partisan stripes, should rejoice."

Rangel temporarily stepped down as Ways and Means Committee chairman earlier this year following the announcement of an ethics investigation of several allegations, including failure to pay taxes on the Dominican Republic residence.

The House ethics committee previously admonished Rangel for violating rules on receiving gifts. Specifically, the committee found that Rangel violated House gift rules by accepting reimbursement payments for travel to conferences in the Caribbean in 2007 and 2008.

Rangel, whose autobiography that discusses his Korean War experience is titled "And I Haven't Had a Bad Day Since," told reporters earlier Thursday that "I have to reassess that (statement)" in light of the pending hearing.

House Speaker Nancy Pelosi said Thursday -- in response to a question about Rangel -- that there must be "accountability" and "transparency" in cases of ethical transgressions.

"Holding a high ethical standard is a serious responsibility ... and a top priority" for the House Democratic leadership, she said. In terms of political fallout from cases such as Rangel's, "the chips will fall where they may," she said.

Congressional Democrats have reportedly expressed concern that an extended public airing of the charges against Rangel could damage the party's prospects in the November midterm elections.

CNN's Deirdre Walsh, Brianna Keilar, Evan Glass, Alan Silverleib and Tom Cohen contributed to this report.

@highlight

NEW: Rangel offers his first response to the charges made public Thursday

@highlight

NEW: Rangel says he may have been overzealous but was serving his country

@highlight

The House ethics committee charges Rangel with 13 violations

@highlight

Charges described alleged influence-peddling for donations to a college center in his name