(CNN) -- Since the time of Nicolaus Copernicus five centuries ago, people have wondered whether there are other planets like Earth in the universe. Today scientists are closer than ever to an answer -- and it appears to be that the Milky Way galaxy is rich in Earth-sized planets, according to astronomer Dimitar Sasselov.

Drawing on new findings from a NASA telescope, he told the TED Global conference in Oxford, England earlier this month that nearly 150 Earth-sized planets have been detected so far. He estimated that the overall number of planets in the galaxy with "similar conditions to the conditions that we experience here on Earth is pretty staggering. It's about 100 million such planets."

A Bulgarian-born scientist with Ph.D.s in astronomy and physics, Sasselov is a professor of astronomy and director of the Harvard Origins of Life Initiative, which brings together scientists from many disciplines to explore how life began. He titled his talk at the Oxford conference: "On Completing the Copernican Revolution."

Until technology was developed to detect planets outside the solar system 15 years ago, scientists were only able to speculate about the existence of Earth-like planets. The new technology paid off in the discovery of some 500 planets.

The disappointing fact though was that very few of the newly identified planets were the size of Earth.

"There was of course an explanation for it. We only see the big planets. So that's why most of those planets are really in the category of 'like Jupiter,' " he said.

Read more about Dimitar Sasselov on TED.com

There was no indication that these large planets were suitable for life to begin.

"We were still back where Copernicus was. We didn't have any evidence whether planets like the Earth are out there," Sasselov said. "And we do care about planets like the Earth because by now we understood that life as a chemical system really needs a smaller planet with water and with rocks and with a lot of complex chemistry to originate, to emerge, to survive. And we didn't have the evidence for that."

In March 2009, NASA launched Kepler, a telescope-carrying satellite that can detect the dimming of light caused by a planet orbiting around a star.

"All the stars for Kepler are just points of light," Sasselov said. "But we learn a lot from that, not only that there is a planet there, but we also learn its size. How much of the light is being dimmed depends on how big the planet is. We learn about its orbit, the period of its orbit and so on."

The discovery of many potential planets means "we can go and study them -- remotely, of course -- with all the techniques that we already have tested in the past five years. We can find what they're made of, would their atmospheres have water, carbon dioxide, methane."

At the same time, Sasselov believes, scientists can make progress in the laboratory on better understanding how chemicals can produce life.

"And in one of our labs, Jack Szostak's labs, it was a series of experiments in the last four years that showed that the environments -- which are very common on planets, on certain types of planets like the Earth --  where you have some liquid water and some clays, you actually end up with naturally available molecules which spontaneously form bubbles. But those bubbles have membranes very similar to the membrane of every cell of every living thing on Earth. .... And they really help molecules, like nucleic acids, like RNA and DNA, stay inside, develop, change, divide and do some of the processes that we call life."

Copernicus is famous for the then-revolutionary idea that the Earth orbits the sun rather than that the universe is centered around Earth. But Sasselov pointed out that with the Copernican revolution came a humbling sense of mankind's insignificance in the universe.

"You've all learned that in school -- how small the Earth is compared to the immense universe. And the bigger the telescope, the bigger that universe becomes. ... So in space, the Earth is very small.

To demonstrate the minuteness of life on Earth, Sasselov took off his tie.

"Can you imagine how small it is? Let me try it. OK, let's say this is the size of the observable universe, with all the galaxies, with all the stars. Do you know what the size of life in this necktie will be?

"It will be the size of a single, small atom. It is unimaginably small. ... But that's not the whole story, you see."

The other dimension of life on Earth is time -- and life has existed for a good portion, nearly a third, of the time the universe is believed to have existed, Sasselov said.

"This is not insignificant. This is very significant. So life might be insignificant in size, but it is not insignificant in time. Life and the universe compare to each other like a child and a parent, parent and offspring.

"So what does this tell us? This tells us that that insignificance paradigm that we somehow got to learn from the Copernican principle, it's all wrong. There is immense, powerful, potential in life in this universe -- especially now that we know that places like the Earth are common. And that potential, that powerful potential, is also our potential, of you and me.

"And if we are to be stewards of our planet Earth and its biosphere, we better understand the cosmic significance and do something about it. And the good news is we can actually indeed do it. "

@highlight

Dimitar Sasselov: Earth-sized planets are plentiful in the galaxy

@highlight

He says planets of such size are suited for the chemical processes that can produce life

@highlight

Sasselov says biologists are finding clues to origin of life in laboratories

@highlight

He says Earth life is notably old, representing nearly a third of age of universe