(CNN) -- The Environmental Protection Agency finalized new federal standards on toxic pollutants and mercury emissions from coal power plants Wednesday, a move being praised by environmentalists but criticized by others, who predict lost jobs and a strain on the nation's power grid.

EPA Administrator Lisa Jackson, at an event at the Children's National Medical Center in Washington, announced that for the first time U.S. coal and oil-fired power plant operators must limit their emissions of mercury and other hazardous air pollutants.

"I am glad to be here to mark the finalization of a clean air rule that has been 20 years in the making, and is now ready to start improving our health, protecting our children, and cleaning up our air," Jackson said. "Under the Clean Air Act these standards will require American power plants to put in place proven and widely available pollution control technologies to cut harmful emissions of mercury, arsenic, chromium, nickel and acid gases. In and of itself, this is a great victory for public health, especially for the health of our children."

EPA rules in place since the 1990s target acid rain and smog-forming chemicals emitting from power plants, but not mercury, a neurotoxin known to damage developing fetuses and children.

Senate panel examining how chemicals in daily life affect kids' health

Despite federal limits on emissions of mercury from other sources, such as waste incinerators, there have been no limits on coal-fired power plants, which the EPA says constitute the single largest source of mercury emissions.

"These standards rank among the three or four most significant environmental achievements in the EPA's history," said John Walke, clean air director of the National Resources Defense Council. "This rule making represents a generational achievement."

The new regulations are among the most wide-reaching to come from the EPA during Barack Obama's administration. They include separate limits for mercury emissions, acid gasses, and other pollutants from several metals.

Opinion: We must stop allowing mercury pollution

Specifically, the EPA will impose numerical emission limits for all existing and future coal plants and propose a range of "widely available, technical and economically reasonable practices, technologies, and compliance strategies," to meet the new demands.

According to an EPA analysis, the larger economic benefits of the reduced pollution will more than pay for the short-term clean-up costs. The EPA also predicts more jobs will be created than lost as power plants invest million of dollars in upgrades.

It also estimates the new regulations, by reducing people's exposure to these toxins, will prevent 11,000 premature deaths each year and trim health costs.

"EPA estimates that for every dollar spent to reduce pollution from power plants, the American public will see up to $9 in health benefits. The total health and economic benefits of this standard are estimated to be as much as $90 billion annually," the agency said in a news release.

But the EPA also acknowledges the regulations will result in increased power grid strain: by its estimate, 14.7 gigawatts of power supply will be eliminated from the U.S. power grid when the rules take effect by 2015. That figure -- enough to power well over 10 million U.S. households -- is overly optimistic, according to other industry analyses.

Several industry groups and some Republicans also disagree about the economic impact the new regulations will have.

Reps. Darrell Issa and Jim Jordan, chairmen of the House Oversight Committee and subcommittee on Regulatory affairs, respectively, sent a letter to the White House earlier this week claiming the "EPA has failed to perform a proper analysis of the rule's impact on job creation" and "consider the rule's impact on grid reliability."

The new rules have also made their way to the Republican presidential campaign trail, with Jon Huntsman recently predicting increased brownouts during the summer and Rick Perry declaring the EPA is a "job-killing" agency.

And the U.S. Chamber of Commerce, a group traditionally sympathetic to Republicans, has aired ads urging listeners not to "let the EPA turn out the lights on the American economy."

But the Obama administration has found an ally in New York City Mayor Michael Bloomberg, who argued in a recent op-ed for the Huffington Post that the new standards are gravely needed.

"We can stop this," Bloomberg wrote of mercury poisoning. "We can spare children this tragic injustice and the pain it brings their families. We can spare adults from losing years off their lives. And we can spare taxpayers the enormous health care costs that come with mercury-related-illnesses."

Environmentalists, who earlier his fall were outraged with Obama over his refusal to push for ozone emission standards the EPA supported, are also strongly on board.

"This bold new announcement means less contaminated fish -- and more protections for kids who are at risk of developing learning disabilities and other problems that have been linked to mercury poisoning," the Sierra Club said in an e-mail to CNN. "This is a big public health victory, 20 years in the making. It's one of the most important anti-pollution measures in recent memory."

Mary Anne Hitt, director of the Beyond Coal Campaign, said, "As a mom, I'm especially excited to know that millions of mothers and babies will now be protected from mercury poisoning. We all teach our kids the simple rule that if you make a mess you should clean it up -- and now polluters will have to follow that same rule."

The new rule requires that the vast majority of mercury contained in coal be captured and prevented from releasing into the air when burned for energy, and would require operators to shut down or upgrade the least efficient power plants.

Power plant operators have three years to comply with the new standards, but plant operators may be granted additional time to install the necessary emissions improvement technologies if they are able to demonstrated a valid need.

Once airborne, mercury enters bodies of water through precipitation, becomes methylmercury, and accumulates in the food chain.

The EPA and the Food and Drug Administration jointly recommend that pregnant women and young children limit their consumption of fish and shellfish to two meals a week because of the methylmercury contamination.

CNN's William Hudson contributed to this report.

@highlight

This is "a clean air rule that has been 20 years in the making," EPA chief Jackson says

@highlight

The rules set numerical emission limits for all existing and future coal plants

@highlight

Some Republicans say the rules will kill jobs

@highlight

The EPA says an analysis shows more jobs will be created than lost