(CNN) -- As always, Mobile World Congress, the world's largest mobile telephone extravaganza, is being held in Barcelona this year. But it really should be held in Geneva, close to where Mary Shelley created Frankenstein.

That's because, with our increasing addiction to our mobile phones, we are in danger of creating a monster that we are less and less able to control.

Exaggeration? When was the last time you went out without your smartphone? How naked, how lost, do you feel without your mobile device? How much essential data, I mean really personal stuff that you wouldn't want anyone else to see, does your mobile phone contain?

Expect all the noise this week in Barcelona to be about more powerful phones from Nokia, HTC, Samsung and LG. These hardware companies will articulate the benefits of their technology in terms of "personal empowerment." But the real truth behind these increasingly intelligent devices is personal disempowerment. Such is the eerie reality of a phone that you can't live without.

Read more: Full coverage of Mobile World Congress

Some of the problems with our cellphones are already well known. Last November, for example, the American epidemiologist and writer Dr Devra Davis told me about her research claiming that our cellphones could be giving us cancer.

Then there was Robert Vamosi, the security expert, who explained to me how our mobile gadgets were spying on us. Vamosi even authored a book last year about this, entitled "How Our Technologies Betray Us: The Dark Side of Our Infatuation With New Technologies."

Vamosi isn't exaggerating about this dark side. There's an entire ecosystem developing around our mobile devices designed to spy on us. The Wall Street Journal ran a chilling series entitled "What They Know" which revealed how our Apple iPhones and Google Android devices were watching our every move. The surveillance and the mobile phone industries, The Journal indicated, are becoming ever more indistinguishable.

Every day now seems to reveal a new mobile data scandal. Only this week, for example, it was reported that Facebook, Flickr and other app makers were reading our text messages without our permission.

The real problem with these phones is their increasing intelligence. Just as Google is designing the self-driving car, so tomorrow's cell phone will become more and more all-knowing. By 2015 not only will there by seven billion mobile devices in the world, but they will -- empowered by artificial intelligence features like Apple's Siri personal assistant and Evi, its new British competitor -- become more and more indistinguishable from the human brain.

"What we're talking about is a complete physical interface to the digital and virtual worlds," the futurist Richard Hammond told CNN.

"So we need to bring more brains onto the device," Hammond explained, "so we can provide more relevant information when needed ... based on artificial intelligence. Because that's the kind of technology that brings the device closer our own reasoning capabilities."

But do any of us really want our cell phones to have our "reasoning capabilities?" Do we want to create mobile devices in our own image?

No, we don't, I suspect. Especially since, as mobile ad industry experts acknowledged to CNN, this will involve the creepiest kind of compromises, allowing them to eavesdrop and record every aspect of the lives we reveal to the world through our mobile devices.

At one point, I wonder, do increasingly intelligent and autonomous cell phones incorporate such sophisticated intelligence that they become indistinguishable from us?

At what point will we find ourselves in a world described by the Russian-American satirist Gary Shteyngart in "Super Sad True Love Story" where everyone carries a mobile device called an "apparat" that is able to identify the most intimate details of a stranger's life?

Meanwhile, my earlier Frankenstein allusion is already being used by writers to describe our digital future. The best-selling writer, Robert Harris, did indeed base "The Fear Index" his latest thriller in Geneva, the scene of Shelley's Frankenstein.

But whereas Harris imagines a world of massive computers acquiring human reasoning, a much scarier scenario is one in which this algorithmic power has been so miniaturized that it can be put inside our mobile devices.

Hammond even suggests that this intelligence will become so indistinguishable from us that it will actually become part of us -- fashionable spectacles will provide visual displays, earring studs the audio and a third device will touch input. He then warns us about a future in which virtual reality will become so mobile that we will be able to wear it under our skin.

So what to do? How can we stop our phones becoming Frankenstein-like extensions of ourselves?

Yes, there is a need for legislation fighting our snooping mobile devices. I'm in favor, for example, of U.S. President Barack Obama's privacy bill of rights, and particularly his "Do Not Track" legislation which he unveiled last week. And I applaud the work of legislators like EU Justice Commissioner Viviane Reding and Minnesota Congressman Al Franken who are aggressively looking into the information-collecting practices of Google, Apple and the other big data companies in the mobile ecosystem.

But the growing omniscience of our mobile devices isn't just a political issue. "Practice safe phone" to combat their cancerous impact, Dr Devra Davis advises. But practicing safe phone extends to untangling ourselves from our mobile devices. It means fighting their growing power over us. It means reminding them who is boss.

Above all, we need to stop fetishizing cellphones. More than 60,000 people are expected to attend the Mobile World Congress this week to gaze at new phones. But remember: All the coercively seductive new products unveiled in Barcelona in the next few days are just phones. They can't make us younger, richer, more virile or more intelligent. And they certainly don't empower us.

The real sense of empowerment comes from (re)establishing our mastery over our mobile devices. As William Powers, the author of the excellent "Hamlet's BlackBerry" argues, what this means is disconnecting ourselves from our mobile devices once a week.

What it means is pressing the off button so that our smartphone can never become as smart as we are.

â€¢ Follow @ajkeen on Twitter

The opinions expressed in this commentary are solely those of Andrew Keen

@highlight

Digital commentator Andrew Keen says our mobile phones are becoming uncontrollable monsters

@highlight

Keen says our dependency on our mobile devices leaves us open to dark side of technology

@highlight

Our only salvation lies through protective legislation -- and from knowing when to switch off, he says