(CNN) -- A panel of Australian citizens is expected to set the tone Thursday for a planned constitutional referendum to better recognize the indigenous population that inhabited the vast continent long before Europeans settled there.

The diverse group includes Aboriginal leaders, business executives, legal experts and members of the main political parties. It spent the past year crisscrossing Australia to gather opinions in order to provide recommendations to the government.

"At the moment, the Constitution denies that there was a prior presence of Aboriginal people in Australia," said Mark McKenna, an associate professor of history at the University of Sydney. "They're pretty much invisible."

The panel faces a daunting task -- changes by referendum rarely do well in Australia.

Only eight of the 44 referendum proposals have passed in the country's history, with the last successful one in 1974.

"This is a rare, once in a lifetime opportunity if the federal government proceeds to referendum," Megan Davis, director of the Indigenous Law Center at the University of New South Wales and an expert member of the panel said in an e-mail.

Though it appears political parties support a change in the Constitution, they differ on the details.

Prime Minister Julia Gillard's Labour government has said it is committed to holding a referendum on the subject during its current term or at the next general election.

And the opposition Liberal Party has also voiced support for the measure.

Politicians generally agree the existing wording of the Constitution could be improved.

"It's bringing the Constitution into line with what everyone has pretty much accepted now," said McKenna, noting a key Australian High Court decision over land rights in 1992 that rejected the notion that Australia was "terra nullius," or "empty land" before the arrival of European settlers.

In 2008, then-prime minister, Kevin Rudd, apologized for the state's mistreatment of indigenous people in the past, describing it as a "blemished chapter in our nation's history."

But the Constitution is yet to clearly reflect that, with the original document, which dates to 1901, a product of its time.

It took a narrow, 19th-century view of who is defined as a citizen with full rights and gave little thought to Aborigines. The Australian stance was similar to that of other nations such as the United States and South Africa.

"At that time, it was thought that the Aboriginal people would die out," McKenna said.

The indigenous population declined to about 93,000 in 1901, from between 300,000 and 750,000 in 1788.

But the population subsequently recovered. In the 2006 Census, 455,031 people identified themselves as being of Aboriginal or Torres Strait Islander descent out of a total national population of more than 21 million.

A step toward updating the Constitution was made in 1967, when more than 90% of voters approved the removal of two references to Aboriginal people that were deemed negative.

Many people feel, however, that the 1967 referendum left some unfinished business.

While their numbers have increased, indigenous people have struggled to keep pace with the economic gains of the broader Australian population.

"On all the major indicators -- be they economic, social, health or education -- Aboriginal people are way behind," McKenna said.

The panel apparently intends to improve the constitutional standing.

"The prime minister will be told that the Constitution needs to be changed and that this is backed by a majority of Australians," George Williams, a professor of law at the University of New South Wales and a member of the panel, wrote in an opinion article published Tuesday in The Sydney Morning Herald, a daily newspaper.

There are two provisions that are still considered to have racist connotations: one that allows states to disqualify people of "all persons of any race" from voting at elections; and another that authorizes parliament to make "special laws" for "the people of any race."

The panel is expected to recommend that removal of those two provisions, a move likely to receive broad political support.

The delicate issue will be how to go about inserting a positive recognition of indigenous people's status into the document.

Some commentators and politicians fear that any new provision in the Constitution that actively asserts indigenous Australians' rights to advancement could result in too much power for the courts.

"Any proposal to include in the Constitution a measure that might open the door to endless litigation and judicial second-guessing of parliamentary decisions about what policies best secure the "advancement" of Aborigines, is not only undesirable in itself, it would surely spell the defeat of the referendum," George Brandis, a senior official who deals with the Liberal Party legal issues, wrote in an opinion piece last month for The Australian, a national newspaper.

But if the proposed changes are too slight, they may disappoint Aboriginal leaders and other advocates of more significant measures.

"Positive words and symbolic change will not be enough," Williams said in the Sydney Morning Herald.

All sides recognize, though, that a lack of bipartisan support will prevent the referendum from succeeding.

Even if the process results in a change that is more symbolic than legally binding, it may still have positive consequences.

"Recognition of Indigenous Australians as the first people of Australia is a critical step to support the improvement of Indigenous mental health," the Royal Australian and New Zealand College of Psychiatrists wrote in its submission to the panel.

"The lack of acknowledgment of a people's existence in a country's Constitution has a major impact on their sense of identity, value within the community and perpetuates discrimination and prejudice which further erodes the hope of Indigenous people," the college said.

@highlight

The diverse group includes Aboriginal leaders and business executives

@highlight

The panel faces a daunting task -- changes by referendum rarely do well in Australia

@highlight

Only eight of 44 referendum proposals have passed in the country's history