(CNN) -- A large Southern California nuclear plant is out of commission indefinitely, and will remain so until there is an understanding of what caused problems at two of its generators and an effective plan to address the issues, the nation's top nuclear regulator said Friday.

Gregory Jaczko, chairman of the U.S. Nuclear Regulatory Commission, refused to give a timetable as to when the San Onofre nuclear plant could resume operation. He said only that his agency had "set some firm conditions" as to when that could happen.

"We won't make a decision (to approve the facility's restart) unless we're satisfied that public health and safety will be protected," Jaczko told reporters. "They have to demonstrate to us that they understand the causes, and ... that they have a plan to address them."

The power plant has been shut down since this winter, when a small amount of radioactive gas escaped from a steam generator during a water leak. At the time, federal regulators said there was no threat to public health, though they could not identify how much gas leaked or exactly why it had happened.

The water leak occurred in thousands of tubes that carry heated water from the reactor core through the plant's steam generators.

Leaks occur periodically in older units, but plant owner Southern California Edison replaced the four steam generators at San Onofre in 2010 and 2011 as part of a $680 million project. They are in units 2 and 3 of the nuclear facility; unit 1 went out of service in 1992.

Each of the 65-foot-tall, 640-ton generators -- built by Japan's Mitsubishi Heavy Industries -- are packed with thousands of narrow tubes that carry hot, pressurized water from the reactors. The heat produces steam in a separate loop that drives the plant's turbines and generators.

"Tubes are vibrating and rubbing against adjacent tubes and against support structures inside the steam generators," the agency noted.

Eight of the more than 9,700 tubes in one of the unit 3 generators failed a pressure test, while six tubes in unit 2's reactor needed to be plugged, the NRC has found. Another 186 tubes in unit 2, which was shut down for refueling at the time of the leak, were plugged "as a precautionary measure."

In addition to driving the turbines to create electricity, the steam generators are "one of the barriers between the radioactive material in the reactor core and ultimately the external environment," Jaczko noted.

Located near San Clemente, the San Onofre nuclear plant's twin reactors are "Southern California's largest and most reliable sources of electricity," according to Southern California Edison's website. When operational, the facility -- which is owned by that utility, San Diego Gas and Electric and the city of Riverside -- supplies power for 1.4 million households at any given time.

Anti-nuclear activists gathered Friday, not far from where Jaczko, Sen. Dianne Feinstein, D-California, and Rep. Darrell Issa, R-California, toured the power plant, to question the need for nuclear energy and raise alarms about a potential environmental catastrophe.

Gary Headrick, founder of the group San Clemente Green, said that such public pressure was needed in order to guard against a nuclear crisis along the lines of what happened last year at Japan's Fukushima Daiichi plant.

"If we were to let things go as they've gone in the past, it's very likely that we'd experience a Fukushima right here in Southern California," Headrick said at the rally. "And that's why we're here today."

CNN's Greg Botelho contributed to this report.

@highlight

NEW: Anti-nuclear activists warn of a potential environmental catastrophe

@highlight

The San Onofre nuclear plant has been shut down since radioactive gas escaped

@highlight

Officials have said there's no harm to the public health, but can't identify problem's cause

@highlight

The head of the NRC says the plant won't restart until a cause and plan is put forward