(CNN) -- The Indian city of Mumbai exploded into chaos early Thursday morning as gunmen launched a series of attacks across the country's commercial capital, killing scores of people and taking hostages in two luxury hotels frequented by Westerners.

CNN's Christiane Amanpour says India and Pakistan might be warming toward each other.

Chief international correspondent Christiane Amanpour spoke about the situation.

CNN: An attack this large, this sophisticated, and carried out with no warning could have come from inside India, maybe, maybe outside, maybe a neighboring state could be involved. We turn to Christiane Amanpour. What do you hear?

Christiane Amanpour: Well, Tom, Islamic militants have been stepping up their assaults on Mumbai, which is not just the center of its filmmaking, but the economic and financial hub of India.

They have often blamed terror attacks on Islamic militants based in Pakistan. Some, they say, are concerned about, for instance, Indian rule over Kashmir. Al Qaeda also has threatened to attack India in revenge for its policies.

Very, very interestingly, this comes at a time when the new president of Pakistan has, in fact, gone further than any previous Pakistani leader in saying they want to improve relations with India, in saying they want to jointly combat terrorism together. The Pakistani president even went so far as saying he would consider renouncing a nuclear strike on India.

This is a very confused situation. Although some group has claimed responsibility, nobody knows the motive yet.

...

CNN: Talk to me about why it would be in the interest of these people to sever this tie between Pakistan and India. Do they believe India would join in the effort to squeeze them out?

Amanpour: This is the ongoing situation. Certainly, Kashmir is a flashpoint for India and Pakistan, and really back in 2006, there were Islamic militants blamed for recent attacks. About 180 people were killed there.

The one that came closest to pitting India against Pakistan was in 2001, when Islamic militants attacked the Parliament. Only 12 people were killed, but not compared to what's happened now, and that almost led to a war between India and Pakistan.

Whatever happens in this region is so, so difficult and dangerous because of the flash point it centers on. As I say, though it has come at a time right in the aftermath of the warmest outreach by Pakistan to India in decades.

...

CNN: What is, in all of this world picture, Christiane, what is the significance of this?

Amanpour: Well, this is deeply significant, obviously, because it is such a complex and coordinated attack on multitudinous targets, multitudinous locations. Obviously, a large number of militants or terrorists who have taken part in this, and they have engaged the Indian forces, the police and security forces. It's not like they just put bombs somewhere and allowed them to go off, and either they were suicide attackers who got killed or they were able to remotely detonate their bombs.

What they've done is not just attack, take hostages, but engage also with the security forces.

So this really ratchets it up a very significant level. And it's been coming for about 20 years, these attacks. Small in the last couple of decades, but in the last 10 years or so, particularly since 9/11, there have been a number of very significant attacks blamed by the Indian forces on Islamic militants.

...

This is very, very dangerous in this part of the world. Mumbai is India's not just gateway to the nation; it's its economic and financial hub, and it's its cultural hub as well, having the Bollywood and the other film production studios there.

Nobody quite knows who it is and why they have done it. This is the thing that is very difficult and dangerous at the moment. This little-known group, if it's true that they exist, have claimed responsibility, although that has not been confirmed, so-called Deccan Mujahedeen, and what is the motive?

There has obviously for many, many years been a type of feelings by India that, say, 150 or so million Muslims who are in the minority are feeling sort of hard done by in terms of the Hindu majority. There are also complaints by Indian Muslims about the way Kashmir is progressing, that enclave, and that is a huge, huge flashpoint.

But what's really amazing is that often, it's blamed on tensions with Pakistan. And yet, this comes at a time where the president of Pakistan has -- the new president -- has really made an unprecedented overture to India in terms of trying to warm up relations, trying to secure a lasting peace. And just today, Indian and Pakistani officials were having meetings, and they ended it with a joint declaration that they wanted to cooperate on ending terrorism and combating terrorism.

CNN: Christiane, do you see any connection with the recent American elections and this?

Amanpour: Well, it's hard to tell. People would say that it takes a lot longer than a few weeks to plan something like this. It's difficult to tell. I'm sure there will be a huge amount of analysis in the upcoming days and weeks.

What is going to be vital is whatever information the Indian security forces can get from some of these terrorists, militants, who've apparently some may have been captured alive. Obviously, there apparently have been some who have been killed as well. All of this will provide some of those missing pieces of the puzzle. Who are these people? What is their motive?

Just today, there is an interview with the U.S. Marine Corps commandant as basically saying that al Qaeda's focus now is Pakistan. There had been some thought that maybe al Qaeda was in the past trying to launch its attacks also in India, but the Indian secret services and the security services say that they don't have a presence there. But Pakistan is a very, very big worry. It's a failing state. Afghanistan is practically a failed state right now, even after the U.S. in 2001 sent al Qaeda and the Taliban packing.

There's a very difficult and dangerous situation on this subcontinent that really has been the focus of a lot of attention right now, and indeed, the incoming president has said that he wants to step up the number of U.S. forces. U.S. commanders want more forces in that region as well, not just Afghanistan, but to cope with Pakistan as well.

CNN: As you said, there have been a lot of incidents since the year 2000 in India. Why is this one getting so much particular attention? There was one with over 200 deaths.

Amanpour: Well, about 180 in 2006. But those were sort of multiple bombings in trains and railway stations. But this is one night with, so far, according to our sources, at least 87 people killed, and it's a brazen attack on the most visible elements and symbols and structures of the economic, the cultural, the tourist, the international hub, as I said, the gateway to India -- which is the world's largest democracy -- which is not a failed state by any stretch of the imagination. Which has a unified political structure, which has an army and security forces. India is not Pakistan or Afghanistan, and yet this has been able to happen here.

And why is it getting so much attention? Because so many more people than ever before have been killed in one fell swoop, and it's ongoing, and these people launched pitched battles with the security forces, and they still have hostages, and it appears they deliberately targeted Westerners.

@highlight

Pakistani leader has gone far in reaching out to India, Amanpour says

@highlight

Nations may even join together to fight terrorism, correspondent says

@highlight

Region of Kashmir has been flashpoint for neighboring nations