Washington (CNN) -- The Justice Department faces questions over whether it prematurely ended interrogation of Boston Marathon bombing suspect Dzohkhar Tsarnaev before a court appearance at his hospital bed.

House Intelligence Committee Chairman Mike Rogers said he was "concerned that these proceedings, which included mandatory administration of Miranda rights, could have been conducted in a manner that prematurely cut off a lawful, ongoing FBI interview."

Tsarnaev faced a judicial "first appearance" on Monday at Beth Israel Deaconess Medical Center three days after being taken into custody for the April 15 bombing that killed three people and injured more than 260 others.

A government source familiar with the first appearance says the Miranda warning, which advises criminal suspects of their constitutional rights against self-incrimination, were first administered while a magistrate judge presided over the hearing.

Government officials indicated Tsarnev, 19, was not immediately apprised of those rights after his capture late last Friday, under what is called the "public safety" exception.

That allows for limited questioning by law enforcement of a suspect to determine if there as imminent danger to the public of attack.

The weekend interrogation period from Saturday evening into Monday morning was 16 hours, but questioning was off and on because of suspect's medical condition, according to the government source.

Tsarneav, who sustained a gunshot wound, reportedly gave investigators specific information about the marathon bombing.

Was New York next target?

Two sources tell CNN he has since not answered "substantive" questions from investigators about his alleged operational role in the attack.

Authorities allege Tsarnaev bombed the famed road race along with his brother, Tamerlan, 26, who died early Friday morning following a violent confrontation with police.

There were indications that Dzohkhar Tsarnaev was offering more basic personal information not related to the investigation -- such as his family and work history.

But Rogers, a Michigan Republican, told CNN the cooperation has stopped.

"Once they walked into the hospital room and offered the lawyer and Mirandized, the subject has not continued to cooperate with authorities and that's a huge problem," said Rogers in an interview that aired Thursday on CNN's "Situation Room with Wolf Blitzer."

Tsarnaev only began "responding" to government law enforcement investigators Saturday evening under the "public safety exception" allowing interrogation without Miranda rights.

Suspects' mother expresses doubts about bombing

Formal charges were filed under seal on Sunday, but the questioning continued.

Tsarnaev faces one count of using and conspiring to use a weapon of mass destruction, namely an improvised explosive device, against persons and property within the United States resulting in death.

He also was charged with one count of malicious destruction of property by means of an explosive device resulting in death.

The Justice Department must decide whether to seek the death penalty.

One government source said the court and federal public defenders were notified of the charges and it was arranged for the judge, defenders, and prosecutors to meet the next morning to have the court appearance in the hospital room.

The U.S. attorney's office coordinated with the hospital staff when the suspect would be available, since he had earlier been under sedation.

A spokeswoman for that office, Christina Dilorio-Sterling, said Judge Marianne Bowler followed legal protocol and scheduled a hearing "without unnecessary delay" as the law requires.

It is unusual but not unprecedented for a judge to preside at bedside for an injured defendant.

Dilorio-Sterling stressed the judge is obligated to set a hearing as soon as the criminal complaint is filed because the accused is entitled to an initial appearance and to be provided legal counsel, which Tsarnaev received.

Sources dismissed earlier media reports the judge had "barged" into an ongoing FBI interrogation, and that the team of interrogators were caught off guard by the court proceeding about to take place.

A source said the interrogation had wrapped up about an hour before the court session began, and that all parties were advised of the mandatory court appearance.

There was no reaction from the court or Bowler's chambers.

The Justice Department said it would look into Rogers' concerns.

Rogers said the FBI may have been too quick to end the questioning, and criticized the judge's actions.

"That is highly unusual for a judge to intervene so hastily and make the decision not based on the facts of the interviews and the public safety exception, but what they perceived was happening based on what they saw on television," he said. "It's a dangerous precedence setting that I think we need to change and correct right away. And we still need more answers on this particular question."

Justice Department spokesman Dean Boyd also confirmed the U.S. attorney's sequence of events.

"Following the filing of the criminal complaint in this matter on Sunday, the court, that evening, scheduled an initial appearance for Monday, which it then coordinated with the prosecutors, federal defender, court reporter, U.S. Marshal Service and the hospital.

"The Rules of Criminal Procedure require the Court to advise the defendant of his right to silence and his right to counsel during the Initial Appearance. The prosecutors and FBI agents in Boston were advised of the scheduled initial appearance in advance of its occurrence," Boyd said in a statement.

Generally, suspects charged with crimes in an initial criminal complaint are to be brought before court within "one business day," even those hospitalized like Tsarnaev.

The public safety exception does not set a hard time when questioning must stop and the suspect must be taken into court, but it's generally understood to be about 48 hours. The government would have to justify holding anyone longer than that under the exception.

The court case is U.S. v. Tsarnaev (13-2106).

CNN's Jessica Yellin, Deborah Feyerick, and Carol Cratty contributed to this report.

@highlight

Bombing suspect Dzohkhar Tsarnaev questioned before court appearance

@highlight

Republican lawmaker concerned that questioning may have been cut off too early

@highlight

Source: Miranda warning given to Tsarnaev at hospital bedside

@highlight

Law allows for limited questioning if there is imminent danger of attack