(CNN) -- The modern Olympics have, in their 104-year history, seen the setting, and breaking, of numerous world records.

Beamon's 1968 long jump world record held until 1991.

Most of these pass virtually unnoticed; a few briefly make the headlines and are then forgotten; a very few involve performances of such unique physical prowess they transcend the Games in which they occur and pass into sporting folklore.

Abebe Bikila's barefoot marathon in 1960, Nadia Comaneci's perfect 10 at the 1976 Montreal Games, Michael Johnson's 200-meter run at Atlanta in 1996 -- all belong in the latter category.

In terms of sheer sporting achievement, however, few if any feats can compare with the record-shattering leap that won American Bob Beamon the long jump gold medal in Mexico City in 1968.

Before Beamon started his run-up the world record -- held jointly by Ralph Boston of the U.S. and the Soviet Union's Igor Ter-Ovanesyan -- stood at 27 feet 4 3/4 inches (8.35 meters).

Six seconds later that record had been increased by a staggering 21 3/4 inches (55.25 centimeters), to 29 feet 2 1/2 inches (8.90 meters).

In long-jumping terms it was the equivalent of the marathon time being reduced by 30 minutes, or the 100 meters by a full second. No wonder Ter-Ovanesyan declared: "Compared to this jump we are as children."

Troubled childhood

Born in New York in 1946, Beamon experienced a troubled, tragedy-filled childhood. He never knew his real father, his mother Naomi died of tuberculosis when he was just eight months old and, because his stepfather was in prison at the time, he ended up being raised by his maternal grandmother.

From an early age he became involved in New York's drug and gang culture, getting himself expelled from school for hitting a teacher and serving time in a juvenile detention center.

"For most of my childhood it was just more or less survival," he later commented. "I was hanging out with thugs and the whole nine yards."

Sport offered him a way out of this spiral of violence and deprivation. Encouraged by a series of inspirational teachers he devoted himself increasingly to athletics -- "I got off the corner and into the community center," as he later put it -- and was soon setting city-wide, and then national records for long jump, culminating in his Olympic team selection in 1968.

His preparations for the Games were seriously disrupted when, four months before their opening, he was suspended from his university track team for refusing to compete against Brigham Young University, a Mormon college with then-segregationist policies.

The suspension left him without a coach, and it was only when existing long-jump world record holder Ralph Boston agreed to coach him unofficially that he was able to resume normal training.

Once in Mexico the six-foot three-inch (1.91 meters) Beamon very nearly didn't make it into the long jump final after fouling in two of his qualifying jumps.

He just scraped through with his third jump, and the following day, October 18, 1968, lined up for the final alongside the cream of world long-jumping: Boston, Ter-Ovanesyan and Lynn Davis of Wales, holder of the Olympic, European and Commonwealth records.

The three record-holders all fouled their first jump. Determined to gain the psychological advantage Beamon paused at the start of the run-up track, took a deep breath and launched himself down the approach.

Nineteen strides later he hit the board and took off, coming down again so far along the sandpit that the jump was out of the range of the electronic measuring eye and officials had to use an old-fashioned measuring tape to judge the distance.

As the stadium waited for the result one veteran sports commentator was heard to say: "Gentlemen, I believe we have just witnessed the first 28-foot long jump in history."

His prediction proved to be an underestimate. When the official length was finally announced it turned out to be the first 29-foot long jump in history -- 29 feet 2 1/2 inches (8.90 meters) to be precise.

Cataplectic seizure

Reigning Olympic champion Lynn Davis turned to Ralph Boston and said: "I can't go on. What's the point?"

Beamon himself was so stunned by the distance that he collapsed to the ground in what doctors later diagnosed as a cataplectic seizure brought on by nervous excitement.

The competition continued, but the size of Beamon's first jump made the result a foregone conclusion. The silver medal was eventually taken by East Germany's Klaus Beer and the bronze by Boston.

The result sent shockwaves through the athletics world. Although there were those who disparaged Beamon's achievement, claiming it was assisted by Mexico City's high altitude, the fact was that all the long jump finalists were competing under the same conditions and none of them came close to Beamon (Klaus Beer's silver medal jump was 2 feet 4 inches -- 71 centimeters -- shorter).

It was, altitude or not, quite simply one of the greatest feats in the history of athletics, and one that turned the former New York delinquent into a sporting icon.

Beamon himself would never again match or surpass that jump, and it was not until 23 years later that Mike Powell of the U.S. broke the record by two inches (5 centimeters) at the 1991 World Athletics Championships in Tokyo.

Beamon was inducted into the U.S. Olympic Hall of Fame in 1983, and in 1999 published his autobiography. It was, with some justification, titled "The Man Who Could Fly."

@highlight

Long jumper, Bob Beamon flies into the history books in Mexico City

@highlight

Sport offered him a way out of the spiral of violence and deprivation

@highlight

Beamon was inducted into the U.S. Olympic Hall of Fame in 1983