(CNN) -- As Democratic and Republican presidential candidates scour the country for votes during the 2008 campaign, they'll inevitably court the Hispanic community, a voting group growing rapidly in number and diversity.

Some Democratic presidential candidates pose before a debate sponsored by Univision. The Republican debate was postponed after only one candidate agreed to attend, a development which troubled some party leaders.

The Hispanic vote is neither homogenous nor loyal to one party. Though the current political moment seems to favor the Democratic Party, experts say that affinity should not be taken for granted.

The Hispanic community is the fastest-growing minority group in the United States, according to the U.S. census.

But its percentage of the electorate is lower than its numbers as a whole because of lower citizenship rates, less voter participation and a youthful demographic. Of the nation's more than 44 million people of Hispanic origin, about a third are too young to vote.

But all that's changing.

Before the midterm elections in 2006, the Pew Hispanic Center, a Washington-based think-tank, estimated more than 17 million Hispanics would be eligible to vote in that election. The number represented a 7 percent increase from 2004.

The Hispanic share of the U.S. electorate increased from 8.2 percent to 8.6 percent during the same period, Pew estimated.

That percentage may grow even more by 2008 as a result of citizenship drives, get-out-the-vote campaigns and the natural growth of the community.

Univision, the Spanish-language broadcast giant, has thrown its considerable weight behind a citizenship drive this year. "We feel that empowering our audience is good for Hispanics and the country," Univision President Ray Rodriguez told the Wall Street Journal in May 2007, adding that it was "a totally nonpartisan effort."

Organizations such as the National Association of Latino Elected and Appointed Officials, or NALEO, are also mobilizing the vote.

"We have spearheaded a massive naturalization campaign and close to, I think, a million applications will have been submitted this fiscal year," said NALEO's executive director, Arturo Vargas.

The change in the electorate could play a significant role in possible swing states like Arizona, Nevada, New Mexico, Colorado and Florida during the 2008 election. There's a reason the Democratic Party decided to hold its presidential convention in Denver, experts said.

"I don't think it's really registered with people just how influential the Latino vote can be in some of these state primaries," Vargas said.

The Hispanic vote has historically been aligned with the Democratic Party, an allegiance established during the administrations of Presidents Franklin Roosevelt and John F. Kennedy, said Harry Pachon of the Tomas Rivera Policy Institute.

That political alignment was further cemented when Proposition 187 -- designed to deny health care, education and welfare benefits to illegal immigrants -- was pushed by Republicans and passed in California in 1994.

But the Republican Party, intent on gaining more Hispanic voters, made inroads during the early parts of this decade, culminating in the 2004 presidential campaign by President Bush. Exit polls showed he carried 40 to 44 percent of the Hispanic vote, according to the Pew Hispanic Center.

"There are a lot of issues that Latinos agree with Republican philosophy," Pachon said, pointing to the GOP stances on entrepreneurship, fiscal policies, its appeal to Hispanic evangelicals and its policies toward Cuba.

But the heated immigration debate, when many congressional Republicans disagreed with President Bush over granting a path toward citizenship for many illegal immigrants, may erode those gains.

"The Republicans are really caught between a rock and a hard place," Pachon said.

They must balance the interests of a segment of their constituency that is very anti-immigrant with the interests of a "Latino voter that is affluent and middle class, who can theoretically be reached by Republican Party principles," he said.

It is little wonder then, that among Republican presidential candidates, only Arizona Sen. John McCain agreed to appear at an Univision debate scheduled for mid-September. The debate didn't happen. All but one of the Democratic contenders appeared for their debate.

Some Republican leaders said last week not participating in such debates could harm the party's standing with minority groups for the 2008 election and beyond.

"What are we going to do -- meet in a country club in the suburbs one day?" former congressman and GOP vice presidential candidate Jack Kemp told The Washington Post. "If we're going to be competitive with people of color, we've got to ask them for their vote."

"This [political environment] gives Democrats a huge advantage," Adam J. Segal, who heads the Hispanic Voter Project at Johns Hopkins University, said in an e-mail. He also runs the 2050 Group, a multicultural public relations firm based in Washington.

"They are likely to draw far more Hispanic votes than in 2004 and would gain at least a half-million vote advantage" under one of his group's more conservative scenarios, Segal said.

But the Hispanic community is diverse and voting interests are not homogenous, which imperils such predictions.

Hispanic immigrants originate from more than a dozen different countries, arrived in the U.S. through numerous immigration waves and have different perceptions of communal identity, Segal said.

For example, a Cuban-American may vote Republican because of the GOP's long-standing policies toward Cuba, whereas a Puerto Rican voter in New York City or a voter in a border state may be driven by different motives.

The culture of a state can also affect a Hispanic voter's behavior. A voter in Texas may be more conservative, whereas a voter with a similar background in California may be more liberal, Pachon said.

There may also be generational cleavages, Pachon said. A study he conducted with a colleague on the impact of religion on the Latino vote revealed differences between first-, second- and third-generation Hispanics. The first and third generations said religion was more important to them when compared to the second generation.

Additionally, despite the furor over immigration, that issue might not be the most important to Hispanic voters, NALEO's Vargas said. "If the election were held today, I think immigration would be a significant factor, but we're more than a year away from the election," he said.

Based on a series of town hall meetings conducted in 2004 and conversations throughout this year, Vargas said education, the Iraq war, the economy and health care may take precedence over immigration.

"We need to distinguish issues that matter to the Latino community versus the issues that matter to Latino voters," he said. "Those are not the same." E-mail to a friend

@highlight

Political observers: Hispanic voters as diverse as wider community

@highlight

Grassroots efforts under way to increase Hispanic citizenship

@highlight

Hispanic vote could play significant role in 2008 swing states