Nearly a third of the world's economic output will come from countries facing "high" to "extreme" risks from the impacts of climate change within 12 years, according to a new report.

The Climate Change Vulnerability Index, an annual report produced by UK-based risk analysis firm Maplecroft, found that climate change "may pose a serious obstacle to sustainable economic growth in the world's most commercially important cities."

The index ranked the vulnerability of the world's countries, and the 50 cities deemed most economically important, to the impacts of climate change, by evaluating their risk of exposure to extreme climate events, the sensitivity of their populations to that exposure and the adaptive capacity of governments to respond to the challenge.

READ MORE: Australian bushfires inflame climate change debate

It said the combined GDP of the 67 countries classed as facing "high" or "extreme" risks was projected to nearly triple from $15 trillion to $44 trillion by 2025 -- meaning nearly a third of the global economy would be coming under increasing threat from extreme climate-related events. It projected the population of those countries -- currently estimated at more than 4.5 billion -- could exceed 5 billion by 2025.

The index's findings bore particularly bad news for Bangladesh, which topped both lists, with its capital, Dhaka, ranked the most vulnerable city due to its exposure to threats such as flooding, storm surge, cyclones and landslides, its susceptible population and weak institutional capacity to address the problem.

Along with the Bangladeshi capital, the four other cities categorized as facing "extreme risk" from climate change impacts were also located in Asia -- Mumbai, Manila, Kolkata and Bangkok -- and projected to be centers of high economic growth.

"The combined GDP in these cities is forecast to almost triple from US$275 billion to US$804 billion by 2025, representing the greatest combined growth in any of the risk categories," said the report, released Wednesday. The figures, it said, underlined the way in which "cities with some of the biggest economic growth potential are among those with the greatest vulnerability to climate change."

Greenpeace's chief scientist Doug Parr said the report highlighted "just how urgent the need is for the international community to tackle climate change." "Without a binding global agreement the economic and social impact of global warming will be devastating," he said.

"It would be morally negligent for countries with large emissions to ignore the mounting evidence of the impact global warming that shows that some of the poorest nations on the planet will be hit hardest, while those nations who are seeing the first signs of economic growth after years of stagnation will see those gains washed away by consequences of global warming."

READ MORE: Annual temperatures to reach new highs within a generation

On a national level, many global growth markets were extremely vulnerable to climate change, the report said, with important markets such as Nigeria, India, Pakistan, Vietnam and the Philippines all joining Bangladesh in the "extreme risk" category.

Bangladesh was followed on the list of most vulnerable countries by Guinea-Bissau, Sierra Leone, Haiti, South Sudan, Nigeria, Democratic Republic of Congo, Cambodia, the Philippines and Ethiopia.

The vulnerability of many African countries -- which accounted for 14 of the 20 most at-risk nations -- was partly due to their natural susceptibility to extreme climate-related events such as floods, droughts, fires, storms or landslides. But it was also a consequence of the vulnerability of the population, and the inadequacies of existing infrastructure to adapt to or tackle the problem, due to weak economies, governance, education and healthcare.

Countries in south and southeast Asia, which accounted for one-third of all "extreme" risk nations, were likely to face an increased risk of severe flooding due to projected changes in seasonal rainfall. These would also increase the likelihood of summer droughts, and in turn, declining crop yields. The most susceptible populations in these areas were in areas with high levels of poverty, and where large populations had clustered on marginal land such as flood plains or coastal regions in cyclone-prone areas.

READ MORE: 'Extremely likely' humans responsible for climate change

While the majority of small, developing, island nations faced extreme levels of exposure to climate-related events, their populations and infrastructures were deemed less "sensitive," and were therefore generally not considered to be at "extreme" risk overall. One exception was Haiti, where poor healthcare access, weak infrastructure, high levels of poverty and an over-reliance on agriculture placed the country into the "extreme" category.

Maplecroft's head of environment, James Allan, said that identifying where the risks of climate change were going to be highest was "now an imperative for both business and governments."

"Framing the risks in economic terms makes the issue harder to ignore, especially for business, and it may prompt better preparedness planning," he said. "Nothing prompts corporate or political action faster than having to deal with the aftermath of an extreme climate event."

London and Paris were the only two cities ranked as "low risk," while Iceland, followed by Norway and Ireland, were the least vulnerable countries.

In September, the Intergovernmental Panel on Climate Change published its latest assessment report, a benchmark study on global warming involving the efforts of nearly 1,000 researchers around the world. It expressed widespread, rising confidence among scientists the climate is warming, that humans are responsible for at least half of the increase in temperatures since the 1950s.

@highlight

Climate change may be "serious obstacle" to sustainable growth in key cities, says report

@highlight

The climate change vulnerability index is published by risk analysis firm Maplecroft

@highlight

Nearly a third of the world's economy will come from highly or extremely vulnerable places

@highlight

Bangladesh was the most vulnerable country and its capital the most vulnerable city