(CNN) -- Rapid economic growth, rich stores of natural resources and a fast-growing population have all helped usher in a new era of optimism around Africa's future. But is there a missing link that's preventing the continent's economies from boosting their business potential and achieving their development goals?

"Yes," claims the African Management Initiative, pointing out the continent's "acute shortage" of high-quality, well-trained local managers.

The Johannesburg-based group wants to tackle the continent's talent gap by creating one million skilled African managers over the next 10 years.

"The demand is there," says Rebecca Harrison, director of the non-profit organization. "We meet business owner after business owner across the continent who tell us that, if they are growing, then getting good managers is the biggest challenge right now."

Read this: Hotels, the latest African gold rush

Harrison describes poor management in Africa as one of the biggest "bottlenecks for growth" across a range of organizations -- from large companies and multinationals to governments and NGOs.

But more importantly, she says, it's holding back the "engine of job creation" in most countries: small and medium-size businesses.

"We read headlines every day about 'Africa Rising,' we are seeing African economies take off and we are just finding on the ground that these small and medium-size companies are unable to grow, create more jobs and expand their businesses because of that lack of middle-management capacity."

Aiming high

For sure, creating one million well-trained, locally grown managers by 2023 to spearhead Africa's business development is an overly ambitious proposition in a continent where top business schools are few and far between -- there are about 90 institutions offering an MBA in Africa, according to an AMI report, whereas India has more than 1,500.

The AMI, which says it has a network of more than 5,000 African managers and entrepreneurs, estimates that there are about 10 million people in managerial and supervisory positions across the continent.

"If we can reach one in 10 of the 10 million managers out there indirectly, if we can have one in 10 African managers operating really effectively, then the continent will be a different place," says Harrison.

Educating future managers

To achieve its target, the AMI, which gets most of its funding from the Lundin Foundation, in Canada, has started launching a series of initiatives designed to expand access to key education tools, including a virtual campus tailored specifically for African managers and entrepreneurs.

"What we want to do is leapfrog the traditional bricks-and-mortar approach to business schools and business training," says Harrison.

"We want to leverage technology to deliver high-quality practical relevant management education at a price that people can afford, combining online content with offline peer support."

Read this: Africa's new skyscraper cities

On June 17, the AMI began its pilot of a two-week course where participants access free web-based practical tutorials in the form of video, audio or text to sharpen their management skills.

The "Launchpad: Success@Work in 21st Century Africa" module, which will have low bandwidth requirements and be available on mobile, will cover topics such as effective communication, goal setting and time management.

Harrison says it is part of the AMI's efforts to eventually develop Africa's first full-blown Massively Open Online Course (MOOC), in conjunction with three of Africa's leading business schools -- Nigeria's Lagos Business School, Kenya's Strathmore Business School and South Africa's Gordon Institute of Business Science

"The idea is to partner with the business schools in the continent and get the business teachers to deliver their content online and then to support that with offline learning," says Harrison. "So the model is the learning is free but if you want a certificate you pay a small fee."

The AMI says about 600 people have signed up for the pilot MOOC.

@highlight

A South Africa-based group wants to create one million managers by 2023

@highlight

The African Management Initiative says lack of managers is holding the continent back

@highlight

It hopes to launch Africa's first Massive Open Online Course