Washington (CNN) -- Barack Obama and Mitt Romney wasted little time rushing to the cameras when the Supreme Court narrowly upheld the president's sweeping health care reform law.

Their remarks after the June ruling were a contrast of competing rhetoric over a contentious piece of legislation, and a prism into how each candidate hopes to quietly change the makeup of the federal courts.

"Americans are probably paying much more attention to the economy than the Supreme Court," said Thomas Goldstein, a top appellate attorney and SCOTUSblog.com publisher.

"But they should be thinking about presidential court appointments, because they'll make a big difference in the future of the law. You think about things like same-sex marriage, affirmative action, voting rights -- all of these are issues that have very different ideological components to them, and the more conservative justices definitely have a different view," he said.

But the landmark health care ruling had exactly zero impact on the presidential race at the time as a CNN/ORC poll just days later showed virtually no change in opinions on public attitudes toward Obama or Romney.

It is an unusual dynamic: the Supreme Court traditionally rates near the bottom when voters are asked to list the issues most important to them, but the high-profile issues the justices decide -- hot-button topics like health care, abortion, economic and tax reforms -- remain of consistent concern to the electorate.

Toobin: Why are candidates silent on Supreme Court?

The high court is poised to maintain a period of bench stability for at least a couple more years, barring an unexpected illness or personal crisis. This, after four court vacancies from 2005-2010 brought on Chief Justice John Roberts and Justices Samuel Alito, Sonia Sotomayor, and Elena Kagan.

Still, many court watchers anticipate the man sitting in the Oval Office through 2016 could name at least one and perhaps as many as three members to the Supreme Court. And the recent health care decision may have raised the already high stakes on the makeup of the federal bench at large.

Big cases await Supreme Court's 2012-13 term

"Even more Americans are watching who is on the Supreme Court this election cycle, more so perhaps they have in the past, because there's a clear connection between who is on the court and how that affects your daily life," said Elizabeth Wydra, chief counsel of the liberal Constitutional Accountability Center. "The Supreme Court and its ideological divide is really placing the Constitution and the country in many ways at a crossroads."

Judicial philosophy

Obama has touted his successful nominations of Sotomayor and Kagan, saying they fit his overall philosophy of what a good judge should be. He has been criticized in the past for using "empathy" as a key criterion to nominate judges.

Supreme Court possibilities if Obama is reelected

"I think that's why he's backed off from talking about it, because ultimately the 'empathy' standard turns a court more into identity politics," said Carrie Severino, chief counsel of the Judicial Crisis Network, a conservative legal advocacy group.

"Ultimately, that's actually not what Americans want. We don't want judges that are going to vote their interest group. We want judges who are going to vote with the Constitution: what they think is the correct legal and constitutional result. And that is what Governor Romney has been emphasizing," Severino said.

The president's has not talked much about the high court this election year, but he has had an uneasy relationship with its conservative majority.

Romney has said, if elected, he would "nominate judges in the mold of Chief Justice [John] Roberts." But Romney told CBS News this past summer that Roberts made "political considerations" in authoring the health care ruling. The Republican nominee supplemented his thoughts on the kinds of judges he would appoint: "I'd look for individuals who have the intelligence and believe in following the Constitution."

Supreme Court possibilities if Romney is elected

Wydra said the decision on health care "was sort of a microcosm of the philosophies that are frankly at a crossroads" at the court. "And if President Obama gets to nominate one or more justices in his next term, that could solidify the approach of the majority in the Affordable Care Act, which gives the national government the power to solve national problems."

Unofficial favorites

A dynamic California politician and a low-key Washington lawyer have emerged as unofficial favorites for any high court vacancy in the next four years. CNN talked with nearly a dozen sources close to both the Romney and Obama campaigns.

For the president's backers, one name is repeatedly mentioned: Kamala Harris, the Golden State's elected attorney general. At 48, the part Asian, part African-American woman has been praised for her political savvy, ethnic background, telegenic personality, law enforcement credentials, and early support of Obama's 2008 candidacy.

Navarrette: Why Latinos are key to election

"If Justice [Ruth Bader] Ginsburg does retire, or President Obama gets another appointment, I do think Kamala Harris is the most likely to be put on," said Goldstein, who generated buzz when he analyzed Harris at length eight months ago in his well-respected legal blog. "The California attorney general has the most political experience, which is really missing on the court right now. She's diverse, she's young -- I think kind of a female Barack Obama in some sense."

Harris declined to speculate about a possible move to Washington.

For Romney, his legal advisers point to Paul Clement, the former U.S. solicitor general, as the kind of reliable, articulate conservative justice they think the Republican nominee would like.

Despite no judicial experience, the quietly self-assured 46-year-old Iowa native has earned praise as a dazzling attorney arguing a range of big cases before the high court-- including health care and immigration reform.

Some conservative legal advocates want more assurances of Clement's conservative bona fides, hoping he and other young Republican lawyers would first be named to a federal appeals court seat -- a stepping stone perhaps to the high court.

"Clearly he's a brilliant man. He's clearly a wonderful [oral] advocate," said Severino. "But I think particularly for a Supreme Court spot, you're going to want to see somebody who has judicial experience, to see how they actually perform as a judge. ... But certainly, I could see him being in a lower court position so that he would have the chance to build that experience and that record and then be in a place further down the line when another opening comes up."

Clement was modest about the speculation.

"I think service on the bench is a great form of public service; I wouldn't want to necessarily rule it out," he told CNN exclusively in March. "On the other hand, I'm a big believer in that you sort of have to do the job that you currently have and you can't really worry about what you might do next."

A number of other potential top Romney picks are already relatively young federal judges, thanks to a deep conservative bench named by President George W. Bush, who made those judicial choices a top priority.

Next to retire

As for which justice would be next to retire, that remains one of the last best-kept secrets.

Ginsburg, who turns 80 next March, is the oldest, and has previous health problems. But she has publicly stated her desire to stay on the court for a few more years if possible.

If Obama is re-elected and if Ginsburg were to step down, the balance on the power on the court would likely not shift: the president would ostensibly be replacing one liberal with another.

Conservative Justices Antonin Scalia and Anthony Kennedy are both 76, and their nominated replacements would be more closely scrutinized and debated, especially if Obama were to be the one making one or both choices.

Justice Stephen Breyer, a liberal, turned 74 last month. Justice Clarence Thomas is 64, Alito is 62, while Roberts, Sotomayor, and Kagan are all in their 50s.

Record number of justices attends Red Mass

@highlight

Health care ruling had exactly zero impact on the presidential race at the time

@highlight

Next president could name between one and three members to court

@highlight

California politician or low-key Washington lawyer could be next