WASHINGTON (CNN) -- From land, water and air, tens of thousands of police officers, federal agents and National Guardsmen are being deployed in an unprecedented effort to make sure the inauguration of President-elect Barack Obama is safe.

A law enforcement agent looks toward Capitol Hill ahead of the inauguration on Tuesday.

"Right now, we have no credible threat that there is any direction of interest on the inauguration," Secret Service Director Mark Sullivan told CNN.

FBI agents and intelligence officials have been checking with sources around the United States and the world to make sure no leads are overlooked, and Homeland Security Secretary Michael Chertoff said intelligence will be scrubbed and rescrubbed right through the inauguration.

"We are literally going to be watching this every minute between now and the conclusion of events on the 20th," Chertoff said.

Federal officials acknowledge the inauguration of the first African-American U.S. president could be an attractive target.

Since Obama's election, the number of threats against him has increased, according to a recent federal intelligence assessment. FBI officials say the number of tips coming in has increased, as is common before an inauguration. Investigations, however, have not uncovered a real threat.

The FBI has been especially aggressive in examining white supremacy groups, which have ramped up their anti-Obama comments.

"We have not seen any activity by the groups," said FBI Assistant Director Joseph Persichini. "We have seen a lot of chatter, we have seen a lot of discussions, we have seen some information via the Internet. Again, but those are discussions. We look at the vulnerabilities and whether or not the groups are capable of taking on action."

Persichini said he believes the bureau has "a good operational plan" for dealing with the groups, but says that right now, there is no evidence they are trying to launch anything.  Watch more on inauguration security »

The Secret Service is coordinating security for the inauguration, which will involve 58 federal, state and local agencies. All of them are represented at the Secret Service command center, where they can communicate and work together to respond to any report of a possible problem.

Airspace restrictions around the Capitol are being tightened. The U.S. Coast Guard is closing portions of the Potomac River. Miles of roads will be closed, along with most of the bridges into the District of Columbia. Checkpoints are going up, and undercover teams are being deployed to look for suspicious people or vehicles.

Explosives-sniffing dogs will be on hand to nose out bombs, and horses trained in crowd control are on duty. Thousands of security cameras are being used to monitor activities, sharpshooters are being stationed, and sensors will be used to detect chemical, biological, radiological and nuclear threats.

In addition to Secret Service agents, the security effort will involve 8,000 police officers from the District of Columbia and other jurisdictions, 10,000 National Guardsmen, about 1,000 FBI personnel, and hundreds of others from the Department of Homeland Security, the National Park Service and U.S. Capitol Police. Another 20,000 members of the National Guard are ready to respond if there is an emergency, according to Chertoff.

Security planners have drawn up procedures to deal with improvised explosive devices, suicide bombers and the use of a weapon of mass destruction. A recent intelligence assessment, however, said a lone wolf would pose the greatest potential threat. Chertoff said an individual or small group planning to do harm is difficult to detect.

"Whether the motivation is racism or some psychological disorder ... in an open society, it is impossible to keep a single individual from doing some damage," he said.

A major unknown is how large the crowd will be for Tuesday's activities. Estimates have ranged from 1 million to 2 million. The FBI's Persichini said only that "we know it is going to draw a lot of people here to the nation's capital."

Those attending the swearing-in ceremony or entering the parade route will undergo tight screening, including passing through magnetometers. Spectators who are unable to get into those events will be routed to the National Mall, which, for the first time, will be open from end to end for an inauguration. Security there will be less stringent.

There has been extensive planning to ensure the crowds can be moved in an orderly and safe way, and to prevent a stampede if there is any kind of security incident. Local and federal agencies have even consulted with a crowd expert.

Authorities say the massive security operation is not intended to deter people from coming to Washington.

"Our efforts are to make sure people are safe," Secret Service spokesman Malcolm Wiley said. "We'd like for as many people to come as want to come. And again, during our planning, we have made sure we could accommodate however many people decide to come."

That inaugural events are spread over a four-day period has made security even more challenging.

Organizers say they started their security planning the day after the last inauguration and ramped up their efforts in July. Officials involved say this is the biggest event they have been involved in, but believe they are prepared.

"There are a lot of things we all think about, and I'll admit that at 3 in the morning, I might wake up thinking about something, but I have to tell you, I am so confident in this plan," the Secret Service's Sullivan said.

"I just don't see any benefit to worry, and I think we just have to go along the way we're going right now and do everything that we can do to make sure that this event is going to be a safe event, that this historical event will be an enjoyable event for everybody and that, quite frankly, that the day isn't about security, but the day is about our president and the day is about our country."

@highlight

Officials say Obama's historic inauguration poses high security risk

@highlight

FBI has been especially aggressive in examining white supremacy groups

@highlight

A major unknown is how large the crowd will be for Tuesday's activities

@highlight

Security planners have drawn up procedures to deal with bombs, weapons