(Lonely Planet) -- Small is beautiful. If you're skeptical, lo and behold Kaua'i, the diminutive doyenne among the major Hawaiian Islands. Here, no town surpasses 10,000 people. By law no building is taller than a coconut tree. The spotlight shines not on the manmade, but on nature's great outdoors.

Be it emerald valleys overlooking the North Shore or turquoise waters lapping 50 miles of ivory sand along the South Shore, Kauaʻi's epic landscape pops with a Technicolor punch that's all natural. The following (in no particular order) are 10 of our top recommendations for an unforgettable Kauaʻi experience.

Lonely Planet: Hawaii for beach haters

1. Best beach

Consistently named as one of Hawaii's best beaches, Hanalei Bay comprises four beaches and each one has its charms to satisfy everyone. A serene slice of paradise with modern conveniences, Hanalei Beach Park Pavilion is likely to hit most of what's on that beach day checklist. Walk or run the two-mile stretch of sugary sand, pack a picnic lunch or adopt a laissez-faire 'tude and practice the art of doing nothing. The 'pavilion' acts as a home base for the day if some in your group can't resist wandering off for a fruit-stand smoothie at Hanalei Taro & Juice Company or a stand-up paddle surfing lesson.

2. Best botanical wonder

It's clear why Kaua'i is nicknamed the 'Garden Isle.' Who could possibly imagine so many incarnations of green? In Po'ipu, Allerton Garden is the nature-made equivalent of a man-made palace, featuring living 'rooms' with foliage borders accented with waterfalls, pools, fountains and statues. The adjacent McBryde Garden is vast and less manicured, holding the largest collection of native Hawaiian flora in existence. In Ha'ena, don't miss the most-Hawaiian garden of the three, Limahuli Garden, the only non-irrigated location (no need, as the North Shore has rain to spare!).

3. Best coastal hike

Ancient lithified sand dunes. If that sounds too academic, wait till you see them up close. Maha'ulepu is Kaua'i's last accessible undeveloped coastline, where the effects of 5 million years are obvious. From your perch on the cliffs, peer down at the pounding surf and rock-strewn inlets, where monk seals occasionally haul themselves out to rest. Soon you'll reach Maha'ulepu Beach, where a pristine swath of velvety sand meets scattered rocks and relentless waves. Raw, rugged and remote, Maha'ulepu is utterly memorable. It's a wonderful place to escape the resort beaches and public parks, but tread lightly on this sacred sanctuary.

4. Best native forest

Soggy, muddy and misty, the Alaka'i Swamp might not sound appealing, but this otherworldly rainforest is an unforgettable haven for native plants and rare birds. At 4000 to 4500 ft in elevation, Alaka'i is not actually a swamp but rather a rainforest bog, filled with ferns, moss-covered tree trunks and vividly blooming 'ohia lehua. Before the early 1990s, only scientists, intrepid hikers and pig hunters braved the thicket of brush and deep murk. Since then, a wooden boardwalk has made Alaka'i more accessible while it also protects the fragile terrain. Be prepared for sun, rain, hundreds of steps and, if the clouds refrain themselves, an awesome view.

5. Best kid pleaser

One kid wants to snorkel, another lives to rollerblade, and the third wants simply to build sand castles all afternoon. Sounds daunting. But at Lydgate Beach Park in Wailua, it's a cinch to satisfy 'em all. The lifeguard-staffed beach is protected within a stone breakwater that forms two calm, shallow lagoons, ideal for munchkin snorkelers or learn-to-swimmers. Near the water, two giant playgrounds capture the imagination, with unique wooden mazes and bridges, kid-made ceramic mosaics, and classic swings and slides. Along the sand, there's a paved path, safe for pedestrians, cyclists, rollerbladers and dogs on leashes. Bring fixings for grilling, kick back and marvel that this wonderful place won't cost you a cent.

Lonely Planet: Maui for foodies

6. Best fitness challenge

A siren song of sorts, the Na Pali Coast is inaccessible to vehicles and can be seen only by boat, helicopter or hike. That's why it draws some of the fittest and strongest from around the world, who've been lured by the notoriety of mastering this challenging stretch at ocean level. If you're fit enough to be mistaken for a superhero, a kayak tour around the Na Pali Coast could be your cup of tea (or energy drink). The tour is offered only from May to September, so if you're here during that time frame -- and if triathlons, marathons and the like are part of your more-than-once-a-year routine -- then this might be for you. Added bonus? The two-hour beach lunch break.

7. Best nightlife

Local artists on-island joined up to dominate the main street real estate when the mom-and-pop businesses of the historic West Side town of Hanapepe were dropping like flies. Now every Friday is the Hanapepe Art Walk as galleries are open late and the strip is awash in looky-loos with a hankering for art. Once dubbed the 'Biggest Little Town on Kauaʻi,' Hanapepe's rep has evolved in recent years and it's now better known as an 'art central' of sorts. Peruse the galleries housing everything from kitsch Hawaiiana to Japanese-inspired watercolors, or locally-inspired interpretations of cubist, impressionist and expressionistic movements.

8. Best scenic drive

Driving northwards from Kalihiwai, you'll emerge from a canopy of trees that rise from an undulating landscape, through a wild stretch slicing past a jungle-like mass over the river, beside the ocean. After the vine-laden Kalihiwai Bridge, you'll see patches of verdant fields where horses graze under tropical fruit-bearing trees, and teasing views here and there that let you just snatch glimpses of the Pacific. Continue onward to Hanalei, passing first its famous historic bridge, then the six one-way bridges beyond (follow local courtesy and allow eight cars to pass first). Explore for a bit at the wet caves or the inspired Limahuli Garden, winding up your afternoon at far-flung Keʻe Beach -- the ultimate sunset perch.

9. Best bargain meal

Big-name chefs often serve up tuna tartare. But locals consider such fancy foods as overpriced renditions of Hawaiian-style ʻahi poke, chunks of succulent raw tuna, seasoned typically with soy sauce, sesame oil, green onion, sea salt, ogo (seaweed) and inamona (ground-roasted kukui). Traditionally, Hawaiians used only the latter three ingredients, but as different immigrants arrived with their own staple seasonings, recipes evolved into today's tastebud-tangling varieties. Poke is an everyday dish, purchased at deli counters and places like the South Shore's Koloa Fish Market. Typically under US$12 per pound, take-out poke makes a first-rate meal on the run.

10. Best hike to remember

A vertiginous tease, the hike from Keʻe Beach to Hanakapiʻai Falls can elicit awe, anticipation and impatience. But after you've climbed energetically around each rising, undulating curve, it delivers. You arrive at one of the most captivating sights the North Shore has to offer. At 2 miles in, Hanakapiʻai Beach is the first stop on the 11-mile Kalalau Trail. You'll have to hike through a seemingly overgrown forest dense with everything from bamboo to wild orchids to reach the 100ft Hanakapiʻia Falls, so try to follow the stream and listen for the sound of rushing water. Those with hiking boots, agile feet and avid quadriceps will probably hike this roundtrip in four hours. Word to the wise: be generous with mosquito repellent, sunblock and wear a swimsuit underneath. Pack a light snack, camera and water bottle.

Lonely Planet: Top 20 Hawaiian vistas

© 2011 Lonely Planet. All rights reserved.

@highlight

Kaua'i may be small amongst the major Hawaiian islands, but it is filled with beauty

@highlight

Epic landscapes are dominated by emerald valleys and miles of ivory sand

@highlight

Kaua'i is filled with botanical wonders and lush, scenic gardens