Cairo, Egypt (CNN) -- Egyptian President Hosni Mubarak stepped down Friday and handed over power to the military -- three decades of his iron-clad rule ended by an 18-day revolution.

In a somber one-minute announcement on state television, Vice President Omar Suleiman said Mubarak had resigned and the Supreme Council of the Armed Forces will "run the affairs of the country."

Tens of thousands of emotional Egyptians exploded in deafening cheers on the streets of Cairo, electric with excitement. It was a moment they had anticipated throughout long days of relentless demonstrations -- sometimes violent -- that demanded Mubarak's departure.

It was also a moment that many had thought unimaginable in the Arab world's powerhouse nation.

"Egypt is free!" and "God is Great," they chanted in the honeymoon of the moment. They waved Egyptian flags, honked horns and set off fireworks as they savored a moment that just days ago had seemed unimaginable.

A source with close connections to Persian Gulf government leaders told CNN that Mubarak had fled to the Red Sea resort town of Sharm el-Sheikh.

The Swiss government has directed banks to freeze all assets belonging to Mubarak and his family, said Norbert Baerlocher, a spokesman for the Swiss Embassy in Washington.

The banks do not as yet have a clear picture of what Mubarak has but protesters on the streets had worried that he would attempt to flee the country with looted money.

In a televised speech Thursday night, Mubarak had indicated he was delegating authority to Suleiman, but Friday, deeply disappointed crowds calling for his ouster kept swelling throughout Cairo and in other major cities.

Friday night, they got what they wanted all along.

Opposition leader Mohamed ElBaradei, however, sounded words of caution amid the euphoria. He urged Egyptians to stay united beyond the moment of euphoria.

"We have challenges ahead of us," said the Nobel laureate whom many believe could emerge as Egypt's next leader. "I think we need to not worry about retribution. Mubarak needs to go and we need to look forward."

Wael Ghonim, the Egyptian activist who became a reluctant hero of the revolution said only one word would be used to describe Mubarak in history books: "Dictator."

"I want to say: 'Welcome back Egypt," he told CNN.

Ghonim -- a Google executive who is on leave from his job and whose Facebook page is credited with triggering the popular uprising -- was seized by security forces and released Monday. His words and tears in a television interview galvanized the protesters in Tahrir Square.

He said he knew Mubarak would be forced out after a revolt in Tunisia forced its leader out in January, and he said he believed the military can be trusted to respect the demands of the protesters.

Many of the anti-government protesters had been calling for Egypt's powerful army, well-respected within the country, to take over as interim caretakers. Friday night, they voiced optimism that the military would pave the way for free and fair elections.

But it's uncertain what will come next in the most populous nation of the Arab world, and how Egypt's revolution, that succeeded on the 32nd anniversary of Iran's, will reverberate throughout the region.

U.S. President Barack Obama was notified of Mubarak's decision Friday morning, said Tommy Vietor, a spokesman for the National Security Council, and was closely watching the extraordinary developments unfold in Egypt, a key U.S. ally.

He will make a statement Friday afternoon, the White House said.

Mubarak's decision to step down is "obviously a welcome step," said a U.S. official involved in the Egypt discussions. Now comes "an unpredictable next chapter," the official added. It is "a sign the military chose society."

Amre Moussa, the secretary-general of the Arab League, said Egyptians are "looking forward to a different (and) better future."

A high-ranking Egyptian military official said the army's command was discussing whether to dismiss Mubarak's government and parliament and also when the next election would be held. An announcement was expected later Friday.

But some analysts were already sounding the alarm over a military takeover.

"Suleiman's statement is the clearest indication thus far that the military has carried out a coup led by Defense Minister Field Marshal Mohammed Hussein Tantawi," analysts with the Stratfor global intelligence company said in a statement.

"Egypt is returning to the 1952 model of ruling the state via a council of army officers. The question now is to what extent the military elite will share power with its civilian counterparts," the statement said.

Amnesty International, whose staffers had been among human rights workers and journalists detained by Egyptian authorities during the uprising, congratulated Egyptians for "their extraordinary courage and commitment to achieve fundamental change."

But it warned that the departure of one man did not mean an end to a police state.

"The repressive system that Egyptians have suffered under for three decades has not gone away and the state of emergency remains in place," said Salil Shetty, Amnesty International's secretary general.

"Those in power must grasp this opportunity to consign the systematic abuses of the past to history. Human rights reform must begin now," Shetty said.

CNN's Amir Ahmed, Nic Robertson and Caroline Faraj contributed to this report.

@highlight

Vice President Omar Suleiman says the armed forces will run the country

@highlight

'Egypt is Free!' people chanted on the streets

@highlight

Crowds explode in cheers on the streets of Cairo

@highlight

Many protesters had called for the army to take over