ATLANTA, Georgia (CNN) -- Dr. Ronald Dworkin tells the story of a woman who didn't like the way her husband was handling the family finances. She wanted to start keeping the books herself but didn't want to insult her husband.

Antidepressants such as Paxil, Prozac and Lexapro are among America's most-prescribed drugs.

The doctor suggested she try an antidepressant to make herself feel better.

She got the antidepressant, and she did feel better, said Dr. Dworkin, a Maryland anesthesiologist and senior fellow at Washington's Hudson Institute, who told the story in his book "Artificial Unhappiness: The Dark Side of the New Happy Class." But in the meantime, Dworkin says, the woman's  husband led the family into financial ruin.

"Doctors are now medicating unhappiness," said Dworkin. "Too many people take drugs when they really need to be making changes in their lives."

For Dworkin, the proof is in the statistics. According to a government study, antidepressants have become the most commonly prescribed drugs in the United States. They're prescribed more than drugs to treat high blood pressure, high cholesterol, asthma, or headaches.  CNN's Elizabeth Cohen discusses the CDC study on antidepressants »

In its study, the U.S. Centers for Disease Control and Prevention looked at 2.4 billion drugs prescribed in visits to doctors and hospitals in 2005. Of those, 118 million were for antidepressants.

High blood pressure drugs were the next most-common with 113 million prescriptions.

The use of antidepressants and other psychotropic drugs -- those that affect brain chemistry -- has skyrocketed over the last decade.

Adult use of antidepressants almost tripled between the periods 1988-1994 and 1999-2000.

Between 1995 and 2002, the most recent year for which statistics are available, the use of these drugs  rose 48 percent, the CDC reported.

Many psychiatrists see this statistic as good news -- a sign that finally Americans feel comfortable asking for help with psychiatric problems.

"Depression is a major public health issue," said Dr. Kelly Posner, an assistant professor at Columbia University College of Physicians and Surgeons in New York City. "The fact that people are getting the treatments they need is encouraging."

She added that 25 percent of adults will have a major depressive episode sometime in their life, as will 8 percent of adolescents. "Those are remarkably high numbers," Posner said.

While Posner says genuine depression is driving the prescription numbers, Dr. Robert Goodman, an internist in New York City, says the real force behind skyrocketing antidepressant prescription rates is pharmaceutical marketing to doctors and to consumers. "You put those two together and you get a lot of prescriptions for antidepressants," he said.

He questions whether all those prescriptions are necessary. "It's hard to believe that number of people are depressed, or that antidepressants are the answer," he said.

Goodman is the founder of a group called "No Free Lunch," a group that encourages doctors to reject gifts from pharmaceutical companies. He added that patients sometimes see ads for antidepressants on television and ask doctors for the drugs -- and that studies show these requests work.

In a study published two years ago in the Journal of the American Medical Association, actors pretending to be patients went to doctors in the San Francisco area and said they were depressed.

The "patients" who asked for an antidepressant were significantly more likely to get a prescription for one than patients who didn't ask for an antidepressant.

"Patients' requests have a profound effect on physician prescribing in major depression and adjustment disorders," concluded the study's authors.

But Posner's concern is about under-prescribing, not over-prescribing.

"Fifty percent of African-Americans who have depression don't seek treatment for it," she said. "Not enough people are getting the treatment they need." E-mail to a friend

Elizabeth Cohen is a correspondent for CNN Medical News. Senior producer Jennifer Pifer and intern Rachel Zelkowitz contributed to this report.

@highlight

CDC: Antidepressants most-prescribed drugs in the U.S.

@highlight

Of 2.4 billion prescriptions in 2005, 118 million were for antidepressants

@highlight

Expert: 25 percent of adults will have a major depressive episode at some point