(CNN) -- Detroit's recent filing for bankruptcy is an exclamation point at the end of a tumultuous few decades for what was once America's greatest industrial city.

The story of Detroit is well-documented: anchored to America's automotive companies, Detroit struggled with cheaper imported cars as the Big Three automakers shed jobs and built plants elsewhere.

Detroit's and the auto companies' problems are inextricably tied together. The situation of General Motors, which culminated in a Washington bailout, was simple: Management placated the unions and put off pay raises by promising them more and more benefits.

The problem was that as GM's dominance eroded, leading to its own bankruptcy filing, so too did its ability to live up to its promises to the unions.

Opinion: Detroit, the 'used to be' city

As this was happening, Detroit, long a union town, had a separate but related problem. With a shrinking population, fewer and fewer taxpayers were available to pay to support government services. Riddled with rampant corruption and mismanagement, the city made promises to its public employees: $9.2 billion in retiree health care and pension commitments that it simply cannot afford.

This all led to the city filing for Chapter 9 bankruptcy, which provides for the reorganization of municipalities.

This is a tragedy for those government workers who had been relying on the promised pension benefits and who will end up paying the price.

To be clear, Detroit is an extreme example, but there are states and municipalities across America that simply cannot afford their pension obligations. The Pew Center for the States found that states' public pension plans faced a stunning $757 billion shortfall in 2010. And some economists place the figure as high as $4.4 trillion in 2012.

Chicago's credit rating was just downgraded because of its $19 billion in unfunded pension liabilities. Los Angeles, America's second-largest city, could see up to $30 billion in pension obligations. The fear is that some of these cities will declare bankruptcy and a Washington bailout will make innocent taxpayers in Utah and across the country foot the bill, which just isn't fair or right.

I spent a good deal of time looking at this crisis.

For many teachers, police and firefighters, the promise isn't a robust paycheck but robust retirement benefits. But if the promise can't be fulfilled, they are left with little retirement security.

The question is whether there is another option for these cities and municipalities that is fair to those workers and to taxpayers alike?

There is, and it's by moving away from these traditional defined benefit pension plans and into something called an annual annuity. Instead of a city putting money into a pension fund that could be raided or underfunded at any time, that money would go into a fixed insurance contract with the employees. It could never be stolen by government and workers get the money they are promised once they retire.

Opinion: How Detroit can rise again

Under the plan, the employer pays a premium each year to a life insurance company, which is responsible for investing that money and paying the fixed pension when the worker reaches retirement age.

The annuity contracts will be competitively bid, and state insurance departments will supervise the companies. In the rare event that a life insurer becomes insolvent, each state has a life insurance guaranty association that will ensure the payment of annuity benefits to retirees.

This is a very different approach than has been tried before.

I understand some public employee unions don't trust an idea they've never considered before, but it's a way of guaranteeing that going forward, cities and municipalities can get their pension obligations off the books, that workers will get the retirement that is promised to them and that there isn't a Washington bailout of those who couldn't find a solution to their ballooning debt.

And while public sector debt continues to grow, it's imperative that we incentivize private sector retirement savings as well.

That's why my bill includes key reforms that would give job creators and American workers stronger tools for providing pensions and better, more secure retirement savings. The legislation, for example, creates a new plan called the Starter 401(k) to help a small or start-up business easily create and maintain a stable retirement savings plans for their employees.

RoboCop creator: Detroit shows film's functional future is upon us

Detroit's bankruptcy isn't the end for that city. It marks a new beginning.

Looking at the crisis that led to this situation, hopefully we can confront the looming problems of retirement savings on the public and private side so Americans are more secure once they leave work.

The opinions expressed in this commentary are solely those of Orrin Hatch.

@highlight

Sen. Orrin Hatch: Cities including Detroit struggling to pay public worker pensions

@highlight

He says a better system would let cities buy annuities for workers through insurance firms

@highlight

Hatch: New system is needed to protect workers and taxpayers