(CNN) -- Africa is a land under construction. Last year, over $220 billion was spent on all kinds of building projects in the continent. While foreign architects have clamored to make their mark in the region, a range of local talent has also stepped forward to shape their landscape (and in some cases, export their aesthetic abroad).

"Africa is constantly looking to the North. It doesn't always look in its own backyard, but the truth is, there's a lot of very good indigenous knowledge on the continent," says Iain Low, a professor of architecture at the University of Cape Town and editor the South African edition of Architectural Digest.

In celebration of that knowledge, we take a look at some of Africa's most exciting contemporary architects.

David Adjaye

Born in Tanzania, "starchitect" David Adjaye is the son of a Ghanaian diplomat and spent his childhood traveling the globe before settling in Britain at the age of nine.

The multi-award winning architect (he has scooped up numerous accolades from both the Royal Institute of British Architects and the American Institute of Architects) has been tapped for a number of high-profile projects over the years, most recently the Smithsonian National Museum of African American History and Culture in Washington DC and the Mass Extinction Memorial Observatory in the Isle of Portland, England.

Though Adjaye's projects span the globe, he has numerous projects in Africa, including designing the Princes Town resort, in Ghana. In 2012, he opened an office in Ghana's capital, Accra.

Kunle Adeyemi

Kunle Adeyemi, the Nigerian-born founder of NLE Architects, made waves last year with the completion of one of his designs: a floating, three-story A-frame school built in Makoko, a slum on the waterfront of Lagos, Nigeria.

Bobbing on top of about 250 empty barrels, the school is designed to avoid many of the problems associated with frequently rising water levels. The structure is also green: it makes use of rainwater collection, and solar panels provide the electricity.

Though the school accommodates a mere 100 elementary school children, it has potential to act as a model for water-bound communities the world over.

"It didn't start as a big idea, I was trying to solve a small problem the community had. I realized the problem I was trying to solve was a problem for a larger part of the world," Adeymi told CNN last year.

"We're now seeing people take interest in this across Africa."

Diebedo Francis Kere

Diebedo Francis Kere's humble beginnings in the small village of Gando, Burkina Faso, have granted him a useful alternate perspective on the architectural needs of his countrymen.

"Kere is deeply grounded in the values of African society," says Low. "He's really the one person trying to transcend tradition and find a new kind of direction that locates architecture within the global self."

Though his firm, Kere Architecture, is based in Berlin, he is also committed to reinvesting his knowledge back into his home country. Burkina Faso's landscape is dotted with schools he designed -- a revolutionary approach that replaces concrete with earth bricks and employs a corrugated steel roof that is raised to allow air for better circulation.

The idea is twofold: firstly, a cooler classroom will help improve the student's concentration. Secondly, by employing local materials and labor, Kere helps empower the local community. His efforts have earned him a series of awards, including the prestigious Aga Khan Award for Architecture.

Mokena Makeka

For Cape Town architect Mokena Makeka, design is not merely aesthetic; it's democratizing. In both his redesign of the Railway Police Station and the Cape Town Railway Station, Makeka has been significant in putting forth a post-apartheid aesthetic (for example, for the railway station he removed the two separate entrances that -- during the apartheid era -- had been used used to segregate black and white passengers).

Makeka Design Lab, of which Makeka is the principal and founder, has been the recipient of several awards, including two Merit Awards from the Cape Institute for Architecture. Though Cape Town is still very close to Makeka's heart, he dreams of having international influence as well. In 2008, he was part of the prestigious Ordos 100 (Herzog & de Meuron handpicked 100 architects globally to put forth designs for the industrial Chinese city).

Y Tsai

Heading up the Y Tsai Design Studio, Cape Town architect Y Tsai also believes in using architecture as a means of social reform. In 2012, he won a Loerie Award for converting an old shipping container into a classroom in rural South Africa. The colorful classroom featured an outdoor jungle gym, windows to allow for cross ventilation, a steel roof that can collect rain water, and an outdoor amphitheater for school events.

"Tsai does a lot of really interesting, innovative work with containers," notes Low.

Read this: Africa's hottest new fashion designers

Mick Pearce

Zimbabwean architect Mick Pearce is a leader when it comes to environmental design. His mission has always been to create buildings that are not only sustainable, but low-maintenance, low-cost and which blend into their natural surroundings.

Nature is often a great source of inspiration for Pearce. One of his best-known buildings, for instance, the Eastgate Shopping Center in Harare, Zimbabwe, employed a sustainable temperature control system, using tubes in the walls to move air through the building, based on the system employed by termites. He used a similar model for CH2, a mixed-use development in Melbourne, Australia.

SAOTA

Cape Town-based SAOTA -- manned by partners Stefan Antoni, Philip Olmesdahl and Greg Truen -- has become synonymous with sleek, contemporary, high-end design. The firm does a good business in high-end resorts, swank private residences and glimmering commercial centers.

"Their architecture is very glam, very Wallpaper-ish," says Low. "They have built for a lot of African clients, mainly the elite."

The studio, which has a team of 90 designers and technicians, an in-house CGI team and a branch dedicated to furniture and interior design, has pulled in a slew of awards. Most recently, they won an Award of Excellence and an Award of Merit from the South African Institute of Architects for a vacation house in Voelklip, in the Western Cape, a luxurious residence with a large garden and courtyard pool that measures a mere 45-feet wide.

Nina Cohen and Fiona Garson

South African architects Nina Cohen and Fiona Garson could very well be in line for some awards this year for renovating a former gas station, car dealership and dental school into the Wits Art Museum, according to Low:

"They turned it into something beautiful and poetic," he says.

@highlight

African architectural talent is on the rise in the continent

@highlight

"Starchitect" David Adjaye has earned international design awards

@highlight

Kunle Adeyemi and Diebedo Francis Kere are among those earning global acclaim