(CNN) -- Anita Mills was 382 pounds when a family doctor gave her four simple rules to lose weight:

1. Eat 8 ounces of food every 3 hours

2. No sugary drinks

3. Do not skip meals

4. Do not tell anyone what you're doing

Now 242 pounds lighter, Mills credits that last tip for helping her through the most difficult months of her weight loss journey. Not having someone questioning every bite or trying to persuade her to relax on weekends helped her focus on the goal.

"It's so much better to walk into a room and have someone say, 'Hey, did you do something different?' than to announce, 'I'm on a diet,' and have people pointing fingers at you," she said.

The advice seems counterintuitive. Weight Watchers and similar groups tout support as a major reason for their programs' success, and studies have found that accountability is important in accomplishing a goal. But telling family, friends and Facebook about your diet plans could have a detrimental effect, some experts say.

Mills' doctor, Jon Walz, gives all of his weight loss patients the same rules. He blames the need for secrecy on the culture of obesity. Since childhood, he says, we've searched out people who look and act like us.

"People who are obese live with obese people. They find obese friends. Most (patients) don't recognize how bad a lifestyle they have, how self-defeating a lifestyle is.. They think that culture's normal."

As human beings we have a difficult time with change, Walz continues. So when someone we love alters his or her lifestyle, we have a problem dealing with it -- even if that transformation is positive.

"Deliberately or not, the family, the friends, the other people who are part of that individual's culture will resist the change," Walz says. "(They) will try to change them back to what the culture tolerates."

Mills has discovered the truth in his theory. After she dropped a significant amount of weight, she couldn't hide her diet anymore. That's when friends started drifting away.

"People are mean -- people who you would normally think would be supportive. One friend told me she liked it better when I was the fat friend. That hurt," Mills said.

There are other reasons to keep your weight loss plans to yourself.

Dr. Peter Gollwitzer, a professor of psychology at New York University, studies how goals and plans affect cognition and behavior. In his research paper, "When Intentions Go Public," Gollwitzer describes how spilling the beans -- and the resulting response -- can change someone's actions.

Everyone has what Gollwitzer terms an "identity goal" of some kind, whether it's to be a good mother or a better scientist. In the case of weight loss, that goal is to be a successful dieter.

To reach an identity goal, you need indicators of your accomplishments. For a scientist it's published research papers or a boss' recognition. For a dieter it could be pounds dropped or praise from friends/family when they see how great you look.

Gollwitzer's studies found that when you tell people what you intend to do, and that intention is acknowledged, the recognition qualifies as an indicator of accomplishment.

"The danger is that you feel that you have already reached the goal and because of that you don't have to act on it any more," Gollwitzer says.

In other words, when you tell a friend that you're planning to drop 20 pounds and she notices your good intention, you no longer feel the need to follow through with exercise or healthy eating.

There are a number of ways to avoid this phenomenon.

"One is simple -- you can keep your mouth shut," Gollwitzer says. "Another one is to form different kinds of intentions, not only say what you want to do but also when, where and how you want to do it."

Such planning helps create situational action control, he explains. When you find yourself at the gym before work, the situation you mentally mapped out controls your behavior instead of your intention to exercise more.

The third way, Gollwitzer says, is to tell only one or two people who hold power over you (metaphorically) so that they help you stick to your intentions.

Select those people carefully, fitness and nutrition expert Bonnie MeChelle warns. The author of "Accountability is Key" says people with negative energy or a trainer that doesn't fit your style, won't help. But if you do find someone who will hold you responsible, share away.

"Tell them everything," MeChelle says. "Accountability is key because if you keep everything to yourself, no one is going to know what you're doing -- no one is going to know if you fall off the wagon."

Whether you choose to share your diet plans or keep them secret, it's important to remember exactly who you're losing weight for.

"If you're losing weight to please other people, your motivation will not be sustained to keep going when the going gets rough," MeChelle says.

And until you drop those extra pounds, you're the only one who has to know.

@highlight

Dr. Jon Walz tells all his weight-loss patients to keep their diet plans secret

@highlight

Research shows telling people your plans can have a detrimental effect

@highlight

Accountability is key, fitness expert says, but you have to pick your guides carefully