(CNN) -- The battle raging over President Obama's health care plan has spread from across the aisles in Congress to across the country.

A Tampa, Florida, health care reform meeting sparks noisy exchanges between attendees.

Senators this week joined their colleagues from the House at town hall meetings as they spent their August recess in their home districts.

But disruptive protests are turning town hall meetings into shouting matches and drowning out discussion over what is and isn't in health care plans in the House and Senate.

Videos of the protests have been circulating on the Internet, showing raucous crowds heckling their congressmen, and carrying posters with devil horns drawn on lawmakers' heads, swastikas or Obama with Adolf Hitler's mustache.  Read more about the proposed plans »

Rep. Lloyd Doggett, D-Texas, who had a town hall meeting disrupted by angry protesters earlier this month, said he had never experienced such emotion in his 15 years of holding such forums.

Democratic Rep. Brad Miller of North Carolina even had a death threat phoned into his office. A caller said that if Miller supported Obama's plan, it could cost him his life, Miller told CNN.

"Of course we want a full debate. Of course we want people who have dissenting views from the administration and Congress to have a full hearing. But that's not what this is about. That's not the intent of most of these people. It's not the way the press is covering it," Mark Halperin, editor-at-large and senior political analyst for TIME magazine, said on CNN's "Reliable Sources."

The protesters' gimmicks, Halperin said, are grabbing the public and media's attention, and valid arguments over the cost and content of the proposals are being put on the back burner.

"There needs to be a debate in America on whether we should have universal health care. There needs to be a debate on the president's ideas. If these protesters have ideas, great. Let's hear them. But if they're just stunts to cause a disruption that gets the media tripped in every time, again, I think it's bad for the country whether you want the president's plan or not," he said.  Watch what Halperin says about the town hall turmoil »

Obama's health care battle has been compared to former President Bill Clinton's failed effort more than 15 years ago, but CNN senior political analyst Bill Schneider said the climate toward health care reform was actually more negative back then.

Clinton's plan had less public support than Obama's, and Clinton himself was less popular than Obama, Schneider said. Clinton's plan also barely got off the ground when it went to Congress, and Obama's proposals have already been through a few congressional committees.

So why didn't lawmakers experience the same backlash during the Clinton years?

"Three reasons," Schneider said.

First of all, "the calendar." Clinton proposed his plan in September 1993, and by the time Congress went on recess in August of the following year, the plan was dead.  Learn more about global health care systems »

Secondly, people didn't use the Internet the way they use it today, "so you didn't have the viral communications that rally people to attend town halls."

And finally, experience. "Conservatives are emboldened by what happened to the Clinton plan. They want to relive 1994," Schneider said.

Democrats have accused conservative groups of manufacturing the outrage, while others say the uproar is a reflection of the opposition to Obama's plans.

"These are average Americans that are concerned about this long litany of borrowing and spending and bailouts and government takeover of one industry after another. And this government takeover of health care is just the last straw for many Americans," Rep. Mike Pence, R-Indiana, told "Fox News" on Monday.

As the emotion has intensified, misinformation has spread about what is and isn't in current health care proposals.

"People are just getting information that's flat wrong," Sen. Claire McCaskill, D-Missouri, told CNN on Monday as a town hall meeting she held came to an end.

One of the allegations that picked up traction in recent days is that Obama's plan encourages euthanasia. Former Alaska Gov. Sarah Palin fueled the charge on her Facebook page Friday, writing that "the sick, the elderly, and the disabled" would suffer as doctors have to "ration care."

In her post, the former Republican vice presidential candidate said Obama's health care plan would create a "death panel" that would weigh whether her parents or son Trig were "worthy of health care."

Former Democratic National Committee Chairman Howard Dean told CNN on Sunday that Palin had deliberately fabricated the charges. "About euthanasia, they're just totally erroneous. She just made that up," he said. "Just like the 'Bridge to Nowhere' that she supposedly didn't support.

"There's nothing like euthanasia in the bill. I practiced medicine for a long time, and of course you have to have end-of-life discussions -- the patients want that. ... Euthanasia's not in this bill."

McCaskill said she hoped Monday that she was able to correct some of false information out there.

"The notion that I would ever, or that our government would ever do anything to cut short or dismiss the quality of life for our seniors is so offensive to me as an American. ... There's no rationing of health care that's being proposed for our elderly," she said. "Hopefully, I was able to reassure people that -- not in America. That's not going to happen."

In his weekend radio address, Obama sought to dispel what he called "the outlandish rumors that reform will promote euthanasia, cut Medicaid or bring about a government takeover of health care. That's simply not true."

The White House on Monday launched what it calls a Health Insurance Reform Reality Check Web site designed to combat what the administration considers misinformation about the issue.

The Web page features Obama aides discussing various aspects of health care reform.

@highlight

Town hall meetings across the country have turned into shouting matches

@highlight

"Stunts" are taking the focus off the real debate, Mark Halperin says

@highlight

"People are just getting information that's flat wrong," Sen. McCaskill says

@highlight

Others defend outbursts as indication of opposition to Obama's plan