China has expressed "strong dissatisfaction" with a U.S. statement urging the government to free protesters imprisoned after the 1989 crackdown near Tiananmen Square.

At a daily Ministry of Foreign Affairs briefing, spokesman Liu Weimin accused the U.S. government of making baseless allegations and interfering with China's internal affairs.

"The U.S. side has been ignoring the facts and issuing such statements year after year, making baseless accusations against the Chinese government and arbitrarily interfering with China's internal affairs. The Chinese side expresses strong dissatisfaction and resolute opposition to such acts," he said.

The U.S. statement came as pro-democracy activists marked 23 years since Chinese soldiers followed orders to open fire on unnarmed civilians near Tiananmen Square.

Official Chinese government figures put the number of dead at 241, including soldiers, with 7,000 injured. Rights group say the number of dead was likely to be in the thousands.

The U.S. State Department issued its remarks on the eve of the anniversary, saying the United Statements "joins the international community in remembering the tragic loss of innocent lives."

"We encourage the Chinese government to release all those still serving sentences for their participation in the demonstrations; to provide a full public accounting of those killed, detained or missing; and to end the continued harassment of demonstration participants and their families," the statement said.

Human Rights Watch estimates about a dozen Chinese citizens are still imprisoned over the June 1989 protests.

The U.S. statement added: "We renew our call for China to protect the universal human rights of all its citizens; release those who have been wrongfully detained, prosecuted, incarcerated, forcibly disappeared, or placed under house arrest; and end the ongoing harassment of human rights activists and their families."

The statement came just weeks after relations between the United States and China were strained over Chen Guangcheng, the blind human rights activist who escaped house arrest and sought refuge in the U.S.

Now studying law at a university in New York, Chen claims he and his family suffered "beyond imagination" at the hands of local officials during 18 months of house arrest in his village of Dongshigu in Shandong. Before that, he was imprisoned for four years for "damaging property and organizing a mob to disturb traffic" after campaigning to win more rights for village residents.

Chen weighed in on the June 4 anniversary by writing a message to be read to the tens of thousands of people expected to gather Monday in Victoria Park in Hong Kong.

"This Democracy Movement deserves universal approval," he said in the statement. "We ask that its requests be treated appropriately. We do not desire revenge but we want to completely reveal the truth. We are in favor of tolerance, but against forgetfulness. People who are forgetful have no future," he said.

Chen is one of a number of activists who have been imprisoned or are currently detained for campaigning for human rights or religious freedom in Communist-led China.

In the days leading up to June 4, many known pro-democracy activists were said to have been detained as a pre-emptive measure to prevent dissent.

"Many of my friends and fellow freedom fighters have been under house arrest. Especially in the last week or so, many were confined under soft detention without any freedom of movement," said Bob Fu, the founder of Christian human rights group ChinaAid who was student protest leader back in 1989.

"It was a tragic massacre for simply the students exercising the peaceful protest for demanding reform and anti-corruption and freedom in China," he said.

While Tiananmen Square has become the focal point for the events of June 4, 1989, most of the casualties occurred outside the square. In the lead up to that fatal day, protests had spread beyond Beijing to cities including Shanghai, Chengdu and Guangzhou. And while students initiated the push for greater freedom, their cause was taken up by a broader section of society.

In China, there was no mention of the June 4 anniversary in local newspapers on Monday. No comments on China's version of Twitter, Weibo, referred outright to the anniversary. Some users were said to be trying to evade government censors by referring to "May 35th."

Others posted photos rather than messages, which were re-posted with the term "RIP." One user posted a photo of a candle with the words: "At this moment, on the other end of the dark night, a country is celebrating their queen's 60 anniversaries as Monarch. We, on the other side of the earth however, are not allowed to light the candles."

This year, for the first time, the Hong Kong commemorations will include Chinese activist Fang Zheng, a former student activist who lost both legs when he was run over by a tank in the streets off Tiananmen Square.

He spoke about his experiences while visiting a temporary museum dedicated to the crackdown in Hong Kong, a special admininstrative region of China.

"A row of tanks, three in a row, came towards us. ... I don't know whether other students encountered the tanks before me, I could have been the first one," he said.

"There were students in front of me as well and the tanks rushed towards us."

On the anniversary, Amnesty International also issued a statement again calling for the government to hold an "open and independent inquiry into the events of 1989."

The rights group paid tribute to Ya Weilin, the 73-year-old father of student who was shot and killed in the 1989 crackdown.

Amnesty said Ya and his wife Zhang Zhenxia spent 20 years campaigning for the government to make amends for those killed in the 1989 demonstration.

In a note written just before his death, Ya complained of the government's refusal to hear his grievances about his son's death, and therefore said he would "fight with his death."

Ya was later found hanged in a garage below his home.

@highlight

China expresses "strong dissatisfaction" with a U.S. statement on the June 4 anniversary

@highlight

It's been 23 years since Chinese soldiers opened fire on pro-democracy campaigners

@highlight

U.S. encouraged China to release those serving prisons sentences over the protest

@highlight

China accuses the U.S. of making "baseless allegations" and interfering in China's internal affairs