Tripoli, Libya (CNN) -- For 42 years, Moammar Gadhafi ruled Libya with an iron fist, a mercurial leader who inspired fear in Libya and beyond.

Now he's on the run, hunted by rebels who made a lightning advance into Tripoli. The rebels overran Gadhafi's compound and are scouring the country for signs of the leader, who has not been seen in public for weeks.

On Thursday, a radio station aired a defiant message, purportedly from Gadhafi, but most other signs point to the end of Gadhafi's long rule.

The 69-year-old strongman came to power in a bloodless coup against King Idris in 1969, when he was just an army captain.

By the end of his rule, he claimed to be "King of Kings," a title he had a gathering of tribal leaders grant him in 2008.

The fighting that dislodged Gadhafi started with anti-government demonstrations in February and escalated into a nationwide civil war.  The protests started days after the fall of former Egyptian President Hosni Mubarak, whom Gadhafi had supported.  That month, Gadhafi vowed to never leave Libya and to "die as a martyr at the end."

For months, rebel fighters -- in control of the eastern city of Benghazi and other areas -- had been trying to move closer toward Tripoli, in the west.  Recent advances allowed them to cut off some key supply routes for Gadhafi, bringing them closest yet to their goal, and by August 21, they had broken through into the capital.

The following morning, raucous rebel supporters packed the city's Green Square, the same place where the longtime leader's supporters had gathered for months to voice their loyalty.  By Tuesday evening, Gadhafi's Bab al-Aziziya compound was being ransacked.

When Gadhafi assumed power, he fashioned himself as an Arab nationalist. The United States tried to work with him at first, but quickly found out that his brand of nationalism included opposition to the West.

By 1972 he was urging Muslims to fight Western powers, including the United States and Great Britain, and backing black militants in the United States as he pursued a leadership position in the Arab world. His "Green Book," first published in 1975, envisioned a radically simple system of "People's Conferences" that would replace political structures from tribes to parliaments.

Arab leaders largely shunned him, seeing him more as a "buffoon" and a "clown" than a potential pan-Arab leader, said Dirk J. Vandewalle, a Libya expert at Dartmouth University.

That rejection from Arab and African leaders, combined with his growing anti-Western sentiment, left him to turn to terrorism in the 1970s and 1980s, Vandewalle said.

In 1986, Libya was implicated in the fatal bombing at a West Berlin nightclub that left one American service member dead, prompting then-U.S. President Ronald Reagan to dub the Libyan leader the "mad dog of the Middle East." Reagan ordered the United States to bomb Libya and imposed economic sanctions against the North African country.

Two years later, Libya was implicated in the 1988 bombing of Pan Am Flight 103, which exploded over Lockerbie, Scotland.

Years later, Gadhafi appeared to moderate and seek rapprochement with the West. In 1999, he turned over suspects in the Lockerbie bombing, and in 2003 the country agreed to eliminate weapons of mass destruction.

In the years before the current rebellion started, Gadhafi even hired a public relations firm to burnish his global image as a statesman and a reformer. Starting in 2006, the leader spent about $3 million a year to execute a public relations strategy that included paying think-tank analysts and former government officials to take a free trip to Libya for lectures, discussions and personal meetings with Gadhafi.

In 2009, he addressed the U.N. General Assembly for the first and only time. In his 96-minute ramble, he denounced the Security Council as a "terror council," suggested the H1N1 swine-flu virus was a military tool and called for renewed investigations into the assassinations of John F. Kennedy and Martin Luther King, Jr.

Earlier this year, as people around the Middle East and North Africa began to challenge their leaders in the so-called Arab Spring movement, Gadhafi found himself a target.  But while longtime Egyptian President Hosni Mubarak was ousted after a few weeks, and even after the eastern Libyan city of Benghazi fell to the rebels, Gadhafi fought on and blamed outsiders, "armed gangs" and others for the violence.

In the end, the Libyan leader sealed his reputation with his crackdown on protesters and attacks against rebels and civilians alike.

Recently, international leaders accused Gadhafi's regime of committing human rights violations and killing civilians.  The U.N. Security Council subsequently issued a no-fly zone over Libya and approved "all necessary measures" short of invasion to protect civilians.  Officials in the Gadhafi regime, in turn, repeatedly accused NATO of killing civilians in airstrikes.

In April, Gadhafi wrote a letter to U.S. President Barack Obama, urging him to end the NATO bombing of his war-torn country. Gadhafi asked Obama to stop what he called the "unjust war against a small people of a developing country," adding that those in the opposition are terrorists and members of al Qaeda.

The NATO operations continued, however. In June, the International Criminal Court issued arrest warrants for Gadhafi, his son Saif al-Islam Gadhafi, and his brother-in-law Abdullah al-Sanussi.  The warrants are "for crimes against humanity," including murder and persecution, "allegedly committed across Libya" from February 15 through "at least" February 28, "through the state apparatus and security forces," the court said in a statement.

CNN's Mike Pearson, Greg Botelho and Catherine Shoichet contributed to this report.

@highlight

Moammar Gadhafi came into a power in a bloodless coup against King Idris in 1969

@highlight

By 1972, he was urging Muslims to fight Western powers, including the U.K. and U.S.

@highlight

Decades later, he appeared to moderate and seek rapprochement with the West

@highlight

The movement to unseat him began in February, centered first in Benghazi