(CNN)  -- The Army Corps of Engineers' failure to properly maintain a shipping channel linking New Orleans, Louisiana, to the Gulf of Mexico led to catastrophic flooding during Hurricane Katrina, a federal court ruled Wednesday.

"It is the court's opinion that the negligence of the Corps, in this instance by failing to maintain the MRGO properly, was not policy, but insouciance, myopia and short-sightedness," U.S. District Court Judge Stanwood Duval Jr. wrote in his lengthy ruling, referring to the Mississippi River-Gulf Outlet canal.

"For over 40 years, the Corps was aware that the Reach II levee protecting Chalmette and the Lower Ninth Ward was going to be compromised by the continued deterioration of the MRGO ... The Corps had an opportunity to take a myriad of actions to alleviate this deterioration or rehabilitate this deterioration and failed to do so. Clearly, the expression 'talk is cheap' applies here."

Duval's ruling was issued in a lawsuit brought by six plaintiffs affected by the 2005 hurricane, who claimed the Corps of Engineers was liable for damages. The judge ruled against one couple, who lived in New Orleans East, but awarded the others, from the Lower 9th Ward and St. Bernard Parish, damages ranging from $100,000 to $317,000.

"The people of this city are vindicated," said Joe Bruno, one of the plaintiffs' attorneys. "They didn't do anything wrong. It's now time for them to be compensated."

The ruling applies not only to the six plaintiffs, attorney Pierce O'Donnell said, but to 100,000 homes and businesses in the parish and the Lower 9th Ward. Under the precedent set by Duval's decision, they too will be entitled to compensation.

"The judge's ruling today validates the feelings and beliefs that many citizens have held for four years," said New Orleans Mayor Ray Nagin in a statement. "Although the ruling is liberating for thousands impacted by the devastation and tragedy of Hurricane Katrina, it is my hope that justice will prevail to help families make their lives whole again."

Once a Category 5 storm, Katrina had weakened to a Category 3 storm with 127 mph winds when it made landfall on the morning of August 29, 2005, between Grand Isle, Louisiana, and the mouth of Mississippi River. A few hours later, the storm again crossed over land on the other side of the river, its winds only slightly diminished.

More than 1,800 people died in the storm, most -- nearly 1,600 -- in Louisiana, where Katrina devastated New Orleans when the city's levee system failed and widespread flooding occurred. Overall, the storm damage covered more than 90,000 square miles and displaced nearly 300,000 people, causing more than $81 billion in damage. FEMA called Katrina "the single most catastrophic natural disaster in U.S. history."

While courts have declared the Corps was liable for Katrina flooding, judges until now have issued it a "get out of jail free" card, the plaintiffs' attorneys said.

"It has been proven in a court of law that the drowning of New Orleans was not a natural disaster, but a preventable man-made travesty," the attorneys said in a statement. "The government has always had a moral obligation to rebuild New Orleans. This decision makes that obligation a matter of legal responsibility."

Duval ruled that because the Corps failed to maintain the shipping channel, erosion widened it, and its banks -- which helped protect the levees -- deteriorated, leaving the levees unprotected, undermined and more vulnerable to waves coming off Lake Borgne. The Corps also failed to take other actions, such as armoring the banks with rocks, the attorneys said.

"This court cannot but comment that the Corps' approach reminds the court of the old adage, 'Close your eyes and you become invisible,' " said the ruling. "It is beyond arbitrary and capricious -- it flies in the face of the purpose of NEPA [the National Environmental Policy Act] and ignores the very heart of what 'operation' means," Duval wrote.

The plaintiffs claimed the Corps was not entitled to immunity because its activities regarding the shipping channel "were in direct contravention of professional engineering and safety standards," Duval wrote. "... Ignoring safety and poor engineering are not policy, and clearly the Corps engaged in such activities."

"This is not the Corps that built the Panama Canal," said Joe Bruno, another plaintiffs' attorney. "This is a different Corps. This is a Corps that's reckless."

The attorneys said they plan to go to Washington after Thanksgiving to meet with the Justice Department. Although the Corps was given immunity from liability in areas like Central New Orleans and New Orleans East, they said they would like to start a settlement process for all citizens.

"We want to leave no residents behind," O'Donnell said. "We'd like to have a regional settlement."

CNN's Dave Alsup contributed to this report.

@highlight

Corps didn't properly maintain Mississippi River Gulf Outlet, court rules

@highlight

Ruling issued in lawsuit brought by six plaintiffs affected by the 2005 hurricane

@highlight

Precedent will apply to 100,000 homes and businesses, plaintiffs' lawyer says