Ferguson, Missouri (CNN) -- Ever since it happened, race has been front-and-center in the vigorous debate over the fatal shooting of African-American teenager Michael Brown by a white police officer.

Could it also factor into those 12 people now deciding whether that Ferguson, Missouri, officer will face charges in the 18-year-old's death?

We may never know. That's because the St. Louis County grand jury weighing the case meets, per established rules, in private.

Still, at least we found out Friday about a little more about those on it -- including their race.

St. Louis County Circuit Court administrator Paul Fox said there are three African-Americans -- one male, two females -- and nine whites -- six males, three females -- on the 12-member panel. There are a total of seven men and five women.

No information was given about the ages or occupations of any on the grand jury.

This information on the jury's makeup comes as a key complaint among Brown family supporters continues: that the man whose office is tasked with making the case to the grand jury -- St. Louis County Prosecuting Attorney Bob McCulloch -- is too cozy with law enforcement, does not have a good relationship with the African-American community and thus should be replaced.

For his part, McCulloch has indicated he won't recuse himself, saying he's simply doing the job he was elected to do.

The county grand jury was randomly selected from an approved pool and has been seated since May according Paul Fox, the director of judicial administration for the St. Louis County Circuit Court.

In many locales, grand juries hear numerous cases during their terms, which cover a specified period of time instead of the duration of a specific case.

Unlike a jury in a criminal case, which convicts someone if jurors are convinced of guilt "beyond a reasonable doubt," a grand jury decides if there is "probable cause" -- based on testimony and evidence presented, in the absence of a judge -- to charge someone with a crime. In Missouri, they don't have to be unanimous to press such an indictment, as long as nine of the 12 agree on a charge.

Notably, these grand jurors aren't the only ones with a pivotal say in whether or not Officer Darren Wilson is charged. The federal government is also on the case -- FBI agents canvassing the Ferguson neighborhood where the shooting happened have knocked on more than 400 doors and interviewed more than 200 people, according to law enforcement sources -- as part of the U.S. Justice Department's civil rights division's investigation.

The federal probe, as currently set up, must prove there was an element of "racial hostility" (as explained by CNN senior legal analyst Jeffrey Toobin) in the shooting. That's a higher standard than the one before the St. Louis County grand jury.

This is one big reason why the 12 people on it -- including who they are, what they hear and what they believe -- matters so much. They may be the first to reach a decision on whether Officer Wilson will get justice, whether that's defined as a murder charge, a lesser charge, or no charge at all.

FBI probing cyberattacks on police in Ferguson

As the grand jury hears testimony and sees evidence in private, tensions and protest continue to play out in a very public way on the streets of Ferguson.

Protesters demanding Wilson's arrest have ripped law enforcement for what they call an overly militarized, heavy-handed response; on the other side, police called out criminal elements for fomenting unrest and said they simply wanted to protect people, safeguard property and keep the peace.

Whoever is to blame, many nights since the August 9 shooting have been marred by large-scale arrests and violence.

But that was not the case Thursday night into early Friday. There were no Molotov cocktails thrown, no shootings, no fires, no tear gas. Instead, a sense of much-welcomed calm prevailed.

This came hours after Missouri Gov. Jay Nixon ordered the withdrawal of Missouri National Guard troops -- who had been dispatched to protect he police command center, which officials said had come under threat -- from the St. Louis suburb.

That may not have been the only threat -- real or virtual -- to police.

Three U.S. law enforcement officials told CNN on Friday that the FBI has opened an investigation into hacking attacks directed at the personal computers and accounts of police officers who have been part of the response.

The attacks are believed to be the work of hackers affiliated with the group Anonymous, the officials said.

It's not clear how much personal data was compromised by these alleged cyberattacks, but it's one reason why officers working the streets of Ferguson aren't displaying their names on their uniforms, according to the officials.

Credibility of key witness challenged

Supporters of Wilson have used reports this week that the teen broke the cop's eye socket during an altercation as justification for the use of deadly force.

Those reports are not true, a source with detailed knowledge of the investigation told CNN.

Wilson had a swollen face and was treated at the hospital, but his eye socket was not fractured in the reported scuffle with Brown, the source told CNN.

The shooting has prompted multiple investigations, but already -- before any charges have been filed or conclusions reached -- the credibility of those linked to the case is being scrutinized in the court of public opinion.

Dorian Johnson, a friend of Brown's who was walking with him at the time of the incident and a key witness, said the officer shot Brown once by the police car and again as he ran away. According to Johnson, Brown was struck in the back and then turned around and put his arms up as the officer kept shooting.

Other witnesses have said Brown's body jerked as if it had been hit from the back, but an autopsy shows that all the entry wounds were in the front of Brown's body.

This, together with reports that Johnson had a criminal record that including lying to police, has put his credibility in question.

Johnson's version was contrasted by the version of events described by a woman who told a St. Louis radio show she was a friend of the officer: that Brown taunted Wilson and charged at him before the shooting began. The radio caller's account matches what Wilson has told investigators, a source with detailed knowledge of the investigation told CNN.

In the event there is a criminal trial, any potential juror who hears Johnson's version might take his past into consideration but must remember that the FBI and police were aware of his past when they interviewed him initially, said Freeman Bosley, one of Johnson's attorneys.

Another of his lawyers, James Williams, defended his client's credibility Friday morning.

"His credibility in this case has nothing to do with what he's been charged with in the past. It has to do with what he saw here, seeing his friend get murdered, in cold blood, by a police officer," Williams told CNN's Chris Cuomo.

"We have two young men chased after to be hunted down by a police officer, one of them murdered in the street, and this becomes about their past? Or this becomes about what happened at a store? None of this is what it should be about," Williams said.

5 things to know about Michael Brown's shooting

Magazine: The aftermath in Ferguson

Read more about the flash point in the Heartland at CNN.com/US

CNN's Ed Lavandera reported from Ferguson, and Greg Botelho reported and wrote from Atlanta. CNN's Shimon Prokupecz, Evan Perez, Mariano Castillo, Michael Pearson, Ben Brumfield, Jim Acosta, AnneClaire Stapleton and Mayra Cuevas contributed to this report.

@highlight

NEW: Sources: FBI interviews over 200 witnesses, knocks on 400 doors

@highlight

A peaceful night, but controversy persists over dueling narratives

@highlight

Source shoots down reports that officer has a fractured eye socket

@highlight

Officials: FBI probing cyberattacks targeting law enforcement in Ferguson s