(CNN) -- The Federal Reserve's newly released Survey of Consumer Finances confirmed what most of us already knew: The middle class has taken a really big hit.

Between 2007 to 2010, the typical family had lost nearly 40% of their wealth. And, despite that our economy was 15% larger in 2010 than in 2001, the typical family's wealth decreased by 27.1% since 2001. On top of that, income had fallen. Median family income in 2010 was down by 7.7% from its 2007 level and 6.3% from its level a decade ago.

The picture looks dismal, doesn't it? But none of these numbers are surprising really. Is the average American poorer than before? Yes.

The Fed's survey is picking up on the huge effect of the collapse of the housing bubble. For many middle class families, their home is by far their largest financial asset. For decades, people were encouraged to believe that it was the safest way to save for retirement or other purposes.

This clearly was not true when house prices became inflated. In the years when the bubble reached levels that were clearly unsustainable, from 2002 to 2007, housing was just about the worst possible place to keep wealth.

Unfortunately, tens of millions of Americans listened to experts such as former Federal Reserve Chairman Alan Greenspan, who assured the country that there was no housing bubble. According to reports, Greenspan has a very nice pension and a job that pays more than $1 million a year. He certainly doesn't have to worry like the typical American family.

It is difficult to read through the Fed survey and not get angry at the wreckage from a completely preventable disaster.

American families: How are you coping?

Greenspan could have used his enormous stature to warn of the dangers of buying overvalued houses. He could have warned lenders of the risks of issuing mortgages on overvalued property. And he could have used the massive research capacities of the Fed to document without question the existence of a bubble and the damage that its collapse would cause.

He also could have used the Fed's regulatory power to crack down on the epidemic of mortgage fraud that the FBI had highlighted as early as 2004.

If Greenspan had acted responsibly and taken some of these steps, as some of us have urged at the time, the housing bubble could have been contained before it was too late. But if all else failed, he could have raised interest rates. To make interest rate hikes more effective, he could have told the markets that he was explicitly targeting the bubble. For example, he could have promised to raise rates until nationwide house prices fell back to their 2000 level.

Greenspan's failure is history now, but we should demand that the Fed take asset bubbles more seriously in the future. There is nothing more important that the Fed can do.

So, what now?

It should be apparent that housing is not a safe asset, even when we are not in a bubble. Those who advocate that everyone should be a homeowner are displaying their ignorance. Homeownership in many markets can be like putting all your savings in your employer's stock. Ask an autoworker in Detroit if this is not clear.

Another important takeaway is that older Americans are extremely ill-prepared for retirement.

The median wealth for families between the ages of 55 to 64 is $179,400. For families between the ages of 45 to 54, it is just $117,900.

This is everything they own -- all their savings, retirement accounts and the equity they have in their home. The typical retiree in the next two decades will be almost entirely dependent on his or her Social Security check. Remarkably, in Washington, all the important people think the most pressing matter is finding ways to cut Social Security and Medicare.

By detailing the economic slide of the average American, the Fed survey highlights a problem that is becoming increasing clear: growing inequality in our country. While most people are hurting badly, the very rich -- whose wealth and income have grown disproportionately big in recent times -- have largely recovered from the downturn.

Americans should not tolerate a society where the rules are rigged to redistribute income upward. Otherwise, expect to become poorer.

The opinions expressed in this commentary are solely those of Dean Baker.

@highlight

Federal Reserve released survey showing average family losing 38.8% of net worth

@highlight

Dean Baker: Few surprised that the average American is poorer than before

@highlight

He says Alan Greenspan could have tried to contain the housing bubble

@highlight

Baker: Americans should not tolerate a society in which wealth inequality widens