Cairo (CNN) -- Opposition leader Mohamed ElBaradei has not been named Egypt's prime minister, but is "the logical choice," the interim president's spokesman said Saturday, contradicting statements earlier in the day by officials in ElBaradei's political party.

The move comes as anger grows among supporters of deposed President Mohamed Morsy -- including the Muslim Brotherhood -- who have decried the military's move to push him from power, and raised fears of widening violence.

ElBaradei met with interim President Adly Mansour for two hours Saturday afternoon, and "discussions and consultations are ongoing," presidential adviser Ahmed al-Muslimani said on state-run TV.

"Tomorrow we expect to name the prime minister and the ministers."

If ElBaradei is selected, it would signal a secular shift just days after a military coup ousted the nation's first democratically elected -- and Islamist -- president.

The country stands divided between those who support the return to power of Morsy and those who applaud the military takeover and accuse Morsy's government of having edged toward an Islamist and autocratic rule.

Each side accuses the other of thwarting democracy.

And on Saturday, each side was trying to present a unified front, as violence between Morsy's supporters and his opponents and the military swept across the country, leaving at least 30 dead and more than 1,400 wounded, according to state-run media.

The possible appointment of ElBaradei, the defacto head of the opposition movement in the days leading to Wednesday's ouster of Morsy, has been discussed as a possibility among supporters in recent days.

ElBaradei, the former head of the U.N's nuclear watchdog agency, ran in the country's first election in 2012 but withdrew after criticizing the interim government for failing to bring about a "real democratic system."

How Morsy's supporters, who supported the deposed Islamist president's rule, react to the new government will be key for post-coup Egypt, where the military suspended the country's constitution and dissolved parliament.

ElBaradei: Morsy's ouster was needed so Egypt cannot 'fail'

In an interview with CNN on Thursday, ElBaradei called Morsy's ouster a "reset" of the 2011 popular revolution that toppled Hosni Mubarak.

"Either we risk a civil war or ... take extra constitutional measures to ensure that we keep the country together," he said, explaining the military's conundrum. "This is a recall, and it is nothing novel."

Outside the Republican Guard headquarters, where four pro-Morsy protesters died Friday in clashes with military forces loyal to the fledgling government, a funeral march was held Saturday.

And pro-Morsy demonstrations continued around the Rabaa Al-Adawiya Mosque.

The Egyptian Armed Forces, responding to "rumors and lies," said on its Facebook page that there was no division among its ranks over its decision to back "the demands of the Egyptian people" over the government.

"These rumors are completely and utterly untrue," it said.

Those supporting Morsy's return to power turned out en masse in squares around the country on Friday -- dubbed a "day of rejection" by the Muslim Brotherhood -- in demonstrations marked by sporadic violence between supporters of Morsy and his opponents and security forces.

Thirty-five people were killed and 1,404 others injured since Friday across the nation, according to state TV which cited health ministry sources.

Opinion: Will the Muslim Brotherhood survive?

On Saturday, the Muslim Brotherhood's political wing, the Freedom and Justice Party, rejected the call for national dialogue from the newly installed interim president, Adly Mansour.

"The party reiterated its stance that it does not recognize the military coup and that the legitimate president of Egypt is Mohamed Morsy," said Hussein Ibrahim Amin, the secretary-general of the party, in a statement, according to state-run EgyNews.

Crowds of Morsy supporters converged for a second consecutive day Saturday outside the Republican Guard complex, where Morsy was reportedly being held, according to a tweet from the party.

"Steadfast Iron, Iron, president," the crowds were said to be chanting. "Behind you a million-man martyr."

The complex had been the site Friday of at least four killings that occurred when demonstrators charged the military, the health ministry said.

Soldiers used live ammunition, the Freedom and Justice Party said. Security forces, on state television, denied the assertion.

Egypt: Fast Facts

The "second revolution"

Wednesday's coup was the culmination of weeks of efforts by Morsy's opponents to push him out. They said 22 million people had signed petitions calling for him to step down -- more than had voted for him in the 2012 election -- and followed up with days of protests that attracted massive crowds.

Morsy's supporters countered with rallies in favor of his government. At times, bloody clashes ensued. Dozens were killed.

On Monday, the military issued a 48-hour ultimatum demanding that Morsy form a power-sharing government with his opponents. The end of Morsy's rule came on Wednesday, when his conciliatory gestures failed to placate the military.
Opinion: How Egypt's military holds key to country's future

Egypt's experience with democratic governance was short for a country whose history can be measured in millennia. "Either we risk a civil war or ... take extra constitutional measures to ensure that we keep the country together," he said, explaining the military's conundrum. "This is a recall, and it is nothing novel."

But Morsy failed to fix the nation's ailing economy or stop spiraling crime, both of which worsened during his tenure. He was seen by many as increasingly autocratic.

Human Rights Watch has said he had perpetuated abusive practices that Mubarak had established, molding them to his own purposes and adding to them. These included the trial of civilians by military courts, the permitting of police brutality and the suppression of critical voices.

Adly Mansour, head of the country's Supreme Constitutional Court, was sworn in Thursday as interim president.

He dissolved Egypt's upper house of parliament, the Shura Council, and appointed a new head of intelligence, state TV said Friday.

Profile: Who is Adly Mansour?

The new government moved quickly to arrest leaders of the Muslim Brotherhood and was following up on hundreds more warrants. Some taken into custody have since been released, state television reported.

The Egyptian army has promised a path to new elections.

Wearing his trademark sunglasses, the 85-year-old Mubarak appeared Saturday in the fourth session of his retrial over his alleged involvement in the killing of protesters during his ouster. His appeal of last year's guilty verdict began in May, but was postponed on Saturday to August 17.

Egypt is pivotal

In Washington, a State Department spokeswoman on Friday condemned the violence following Morsy's ouster and called on the military to respect the will of the people, but did not call for Morsy's reinstatement.

"The voices of all who are protesting peacefully must be heard -- including those who welcomed the events of earlier this week and those who supported President Morsy," spokeswoman Jennifer Psaki said. "The Egyptian people must come together to resolve their differences peacefully, without recourse to violence or the use of force."

U.S. President Barack Obama was spending the weekend at Camp David; Secretary of State John Kerry was vacationing in Nantucket.

But U.S. Sen. John McCain, R-Arizona, called Friday for the suspension of U.S. aid to Egypt's military, which exceeds $1 billion per year. "We cannot repeat the same mistakes that we made at other times in our history by supporting the removal of freely elected governments," the ranking member of the Senate Committee on Armed Services told CNN affiliate KNXV. Once the military sets a timetable for elections and a new constitution, "then we should evaluate whether to continue the aid," he said.

Why Americans should care about Egypt

Egypt is the most populous Arab country in the world and has long been a close ally of the United States, which supported it with military aid even during Mubarak's 30-year dictatorship.

It controls the Suez Canal, a crucial sea route through which more than 4% of the world's oil and 8% of its seaborne trade travel.

With Jordan, it is one of two Arab countries that have signed peace treaties with Israel.

Opinion: Cut off aid to Egypt till elections held

CNN's Ben Wedeman, Reza Sayah, Ian Lee and Becky Anderson reported from Cairo; Tom Watkins and Chelsea J. Carter wrote from Atlanta; Ali Younes, Ben Brumfield and Jill Dougherty contributed to this report.

@highlight

NEW: ElBaradei has not been named prime minister, a presidential spokesman says

@highlight

He is summoned to meet with interim president

@highlight

At least 1,404 more are injured

@highlight

Appeals trial of former President Hosni Mubarak postponed until August 17