Sendai, Japan (CNN) -- In a nation already besieged with grief over mounting casualties, fears of possible radiation and the threat of more earthquakes, the nightmare grew for Japanese residents Monday as thousands of bodies reportedly surfaced and a government official confirmed another explosion at a nuclear reactor building.

The official death toll from the epic quake and devastating tsunami that hit Japan four days ago reached 1,720 on Monday. But the numbers did not take into account the 2,000 bodies that Japan's Kyodo news agency said had been found in the hard-hit Miyagi Prefecture on Japan's northeast coast.

Meanwhile, fresh white smoke rose again Monday from the Fukushima Daiichi nuclear power plant, caused by an explosion at a building tied to the facility's No. 3 reactor. A similar explosion occurred two days earlier at the plant's No. 1 reactor building.

Chief Cabinet Secretary Yukio Edano said Monday that the head of the nuclear plant reported the container vessel surrounding the No. 3 reactor remained intact.

Yukio said in a news conference that there is little possibility that radioactive material was released into the air, NHK said. The explosion was likely caused by a combination of oxygen and hydrogen igniting, according to Japanese public broadcaster NHK.

"We are now collecting information on the concentration of radiation," Edano said.

The quake and tsunami disabled the coolant systems at Fukushima Daiichi, which is about 260 km (160 miles) north of Tokyo. Japanese authorities have said there is a "possibility" that a meltdown has occurred in the damaged reactors, but said that there were no indications of dangerously high radiation levels in the atmosphere.

Still, the government has evacuated more than 200,000 residents from homes close to the plant and tested 160 people for radiation exposure on Sunday, authorities said. Workers flooded two of the six reactors at the Fukushima Daiichi plant in a last-ditch attempt to head off a catastrophic meltdown of the reactor cores.

In Miyagi Prefecture, rescue workers sifted through mountains of debris as hope for survivors appeared to dim.

The town of Minami Sanriku -- about 5 kilometers from the Pacific Ocean -- morphed into a massive pile of wood that used to house some 20,000 residents. An eerie silence fell across town as emergency rescue officials said they don't think anyone was still alive under the rubble. About half of Minami Sanriku's population was unaccounted for.

So far, about 15,000 people have been rescued, the Kyodo News Agency reported Monday, citing Kan.

Japanese troops went door-to-door in the city of Ishinomaki, hoping to find survivors -- but found mostly the bodies of elderly residents.

In the area of Sendai, where houses and buildings disintegrated into rushing water within seconds, solemn reisdents waited in lines that stretches blocks ore kilometers for food, water and gas. Despite the devastation surrounding them, the crowds appeared calm and orderly.

But more destruction could still come. There's a high chance of a magnitude-7.0 quake or above in the next three days because of increased tectonic activity, the earthquake prediction department chief for the Japan Meteorological Agency said Sunday.

The U.S. Geological Survey reported scores of such aftershocks. More than two dozen were greater than magnitude 6, the size of the quake that severely damaged Christchurch, New Zealand last month, the agency said.

On Sunday, the country's prime minister called on people to pull together and face sacrifices.

"In the 65 years after the end of World War II, this is the toughest and the most difficult crisis for Japan," Prime Minister Naoto Kan told reporters at a televised news conference.

"We Japanese had a lot of difficulties in the past, but we were able to overcome those difficulties to reach this peaceful and prosperous society we have been able to build," Kan said. "So with regard to the earthquake and tsunami, I am confident that the Japanese people can be united to work together."

The cooperation Kan called for will include accepting rolling blackouts in some areas to preserve electricity as emergency workers try to repair power plants damaged by the quake. About 2.5 million households, just over 4% of the total in Japan, were without electricity Sunday, said Ichiro Fujisaki, the nation's U.S. ambassador.

Landmarks such as Tokyo Tower and the capital's Rainbow Bridge went dark in an effort to conserve energy.

Japanese officials raised the quake's magnitude to 9.0 on Sunday, but the USGS kept its magnitude at 8.9.

At least 48 other countries and the European Union have offered relief. The nuclear-powered aircraft carrier USS Ronald Reagan arrived off Japan's coast Sunday to support Japanese forces in disaster relief operations, the U.S. Department of Defense said in a statement.

Friday's quake is the strongest in recorded history to hit Japan, according to USGS records that date to 1900. The world's largest recorded quake took place in Chile on May 22, 1960, with a magnitude of 9.5, the agency said.

CNN's Gary Tuchman, Anna Coren, Kyung Lah, Paula Hancocks, Brian Walker, Kevin Voigt and Sean Morris contributed to this report.

@highlight

Official: There is little possibility that radioactive material was released in the air

@highlight

About 2,000 bodies were found Monday in Miyagi prefecture

@highlight

The death toll reached 1,720 on Monday, though the number is expected to rise

@highlight

There's a high chance of a magnitude-7.0 quake or above in the coming days, an expert says