(CNN) -- Fehmi Khairullah, a Syrian-American doctor living in New Jersey, says he cannot sleep these days.

"The humanitarian situation in many parts of Syria has reached its lowest point. It is so horrific," said Khairullah, who collects and delivers aid to Syria.

As violence escalates in the sanctions-hit country and - - many argue -- the lack of government cooperation, humanitarian groups have been unable to reach those suffering the most in the country.

Even the International Committee of the Red Cross & Red Crescent, the only independent international aid agency operating inside Syria, has not reached trapped citizens in devastated areas such as the Baba Amr neighborhood in the city of Homs.

Last weekend, the aid group released a statement saying it started distributing aid to people in the restive city.

But Saleh Debaki, its Damascus-based spokesman, said Thursday the aid is located at nine distribution centers around the city, but none has reached ravaged neighborhoods such as Baba Amr.

Residents and activists in the neighborhood said Friday they have not had any humanitarian aid reach them in more than a month.

"It is the 13th days of shelling over our neighborhood," said Abu Omar, who was reached by satellite internet at a Baba Amr shelter. "We have not had any electricity, phone service, ... or even running water for weeks. We have not had any food or medical supplies either. We are so desperate! There are only a few houses here that have water wells. That's our only access to any water!"

Abu Omar, who did not want to reveal his real name over safety fears, said the few dozen people staying at shelters in Baba Amr shower once every five days or so and limit other use of water to only drinking.

Khalil Ahmed, another resident of Baba Amr, said he has not seen any bread coming from outside the neighborhood in weeks.

"That's why we decided to collect whatever flour we could find to bake some bread and share at the shelters," Ahmed said. "We have no baby formula. Parents put bread in water ... and that's what babies eat and drink."

There is only one medical facility in Baba Amr operating out of a basement of a mosque. It moved there because its last location was shelled in January, killing three medics, according to Mohamed al-Mohamed, one of a handful of doctors running the makeshift clinic using "primitive tools."

Back in the United States, Khairullah says the suffering will only get worse in many parts of Syria unless there is a way to deliver humanitarian aid to those who need it most.

Shortly after the Syrian uprising began on March 15, Khairullah and other Syrian-American professionals started the Syria First Coalition to collect donations and deliver them to affected families in the nation.

"In light of the sanctions, we did not want to fall into any legal traps. And we did not want to deal with the government's institutions. So we started paying influential businessmen inside Syria in U.S. dollars and get food, water, blankets among other humanitarian items in return," Khairullah said.

This worked for only a few months until no more businessman could risk doing that under the watchful eye of the regime, he said.

So he identified financial institutions in Turkey, Jordan and Lebanon -- to which the group transferred money in order to buy aid locally.

The aid was then smuggled across the Syrian borders. But with more and more limited safe passages into Syria and a drying flow of cash, this option became even harder.

The current sanctions allow transferring money to charitable groups in Syria.

"But how could we trust these government-sponsored Syrian groups to oversee the distribution of aid?' Khairullah said.

A couple of international humanitarian groups such as the Humanitarian Relief for Syria admit that they only go through Syrian charity organizations to reach affected people inside the country.

Others -- such as Islamic Relief and Zakat Foundation -- only reach out to Syrian refugees in neighboring countries.

"The only way to reach us in Homs is through establishing safe passages," Abu Omar said.

On the international level, France is trying to revive a plan it first introduced in November that tries to do just that.

The idea is to provide safe access for relief organizations to deliver aid to affected populations through land border routes, a sea port or an airport - - all under the watch of international observers.

But such a plan needs either Syrian government approval or the backing of armed peacekeepers. In the latter case, a U.N. resolution may be needed.

French Foreign Minister Alain JuppÃ© discussed his government's "humanitarian corridors" plan Thursday with his Russian counterpart, Sergei Lavrov, in order to avoid a veto on a possible U.N. Security Council resolution.

The two met in Vienna to reach a compromise despite Moscow vetoing a U.N. resolution based on an Arab League proposal on Feb. 4, according to Russia's state-run Itar-Tass.

"We can possibly reach a compromise on a short-term objective." JuppÃ© told reporters "We are ready to work in New York on a draft resolution inspired by the Arab League to stop the violence and provide humanitarian aid."

Lavrov was not committed to the plan and said more details are needed before an agreement, Itar -Tass reported.

But many Syrians seem to have no choice but to be optimistic as their tragedy plays out on the international stage.

"I am hopeful," Khairulla said. "I am finally sensing change among international and regional powers regarding the suffering in Syria ... And it is about time!"

@highlight

"The humanitarian situation in many parts of Syria has reached its lowest point," doctor says

@highlight

An international aid agency operating inside Syria cannot reach trapped citizens

@highlight

The suffering will only get worse in Syria unless there is a way to deliver humanitarian aid