(CNN) -- Collections of beautifully shot images of people's passions -- food, fashions, architecture, etc. -- helped make Pinterest a hit. Now Houzz, the interior-design platform, is turning similar photos into extremely popular mobile apps that tap into the home improvement craze.

At its core, Houzz is an addictive, never-ending gallery of luscious images of home interiors and exteriors. Its website and apps are popular resources for people who idly dream of redoing their homes or moving into new ones.

Home improvement and design, both the real and daydream variety, is a hot industry right now. Just look at the glut of home improvement and house-flipping shows that fill up channels such as HGTV. The home improvement product market is expected to hit $287 billion in 2013, according to the Home Improvement Research Institute.

Houzz gently guides people through the process. You begin by looking at bathrooms, graduate to having a scrapbook of dream bathrooms, then read the Houzz tutorials on bathroom renovation and eventually hire someone through its directory or local experts on bathroom renovation.

"Many times people start on the inspiration side but end up taking actions because of that," said Houzz founder Adi Tatarko. "People became very obsessed with it."

Tatarko and her husband, Alon Cohen, were working full time and raising their two children in the Bay Area when they started a home renovation project four years ago. They had difficulty finding professionals and found that contractors too had their own frustrations with customers expecting too much.

"There was lots of miscommunication in the process," Tatarko said.

The couple started Houzz in 2009 as a side project, but the next year it went from a hobby to a full-fledged business. The Palo Alto, California-based company now has 120 employees, and its iOS app has more than 100,000 five-star reviews in the Apple App Store.

Every month, 15 million people search Houzz by room, style or metro area -- more than half through a smartphone or tablet. The company has a library of more than 2 million images. The sheer volume of photos housed in Houzz means you can spend hours drilling down into your particular project, say, ideas for Mediterranean-style storage closets in Austin, Texas.

Browsing high-resolution photos is the initial draw. You can save favorites into Ideabooks for later -- for example, a selection of outdoor wall gardens or midcentury modern living room chairs in a particular shade of yellow. But for Houzz, the money comes when people take action.

Interior designers, contractors and architects upload many of the images. There are more than 250,000 such professionals active on Houzz. What makes the app more than just pretty pictures is the information that goes with each image. You can click to see the companies and people who worked on a project, ask questions about how they did certain things or where to find furniture or other products. The people who post images are good about providing answers.

There also is a directory of professionals with reviews, sort of an Angie's List but with splashier visuals. Going local is a key part of Houzz's business. If you see a dreamy spread in a magazine such as Dwell, the information disclosing who worked on a house is only useful if you live in that area. Houzz shows examples of work from people close enough to hire, divided into 425 metro areas.

A Houzz survey (PDF) of 100,000 people found that 84% of respondents were planning to decorate or redecorate, 40% were considering remodeling or building an addition, and 10% were planning on building a custom home. Online tools are an increasingly important resource for the people diving into these projects and the professionals hoping to get their business.

Also, 18% of people said they were renovating to incorporate new technologies into their homes.

While free to users, Houzz is making money from brand-name partnerships with big companies such as Kohler and Nest, and through a subscription marketing program for professionals. Investors said they are confident the company will be profitable -- it's raised $48.6 million in funding so far.

Tatarko said she hopes Houzz will help more people jump from fantasizing about home improvement to picking up a hammer themselves or a phone to reach someone who uses hammers professionally.

"Our homes are a very significant part of our lives," she said. "I think it (home improvement) was just so hard before, so people just stayed away from it."

@highlight

Houzz caters to people who like photos of beautiful homes and dream of improvement projects

@highlight

Houzz's sites and apps attract 15 million users a month

@highlight

It draws people in with stunning photos and adds how-to guides and reviews of professionals