(CNN) -- Across Mexico, young girls dream of escaping their small towns for the big cities. They dream of a good job and a better life in the United States.

That was the case of "Claudia," a name given to protect her identity.  Her dream of a better life quickly evolved into a nightmare.

When she was 15, she met a charming man at a party who would later become her boyfriend.

"This individual would tell me a lot about the United States and would ask me to join him to go work at a clothes factory," she said.

Claudia was eventually smuggled into the United States and taken to New York City.

Once there, she soon realized her boyfriend was part of a prostitution ring. He forced her into prostitution. She says he would beat her up, burn her with lit cigarettes and tell her he would have her parents in Mexico killed if she tried to resist or escape.

This is the first time Claudia is speaking about her experience. She's nervous, but says she wants to share her secret; a painful secret, she says, that the world needs to know about.

Hers is a story of false promises, illegal immigration, verbal and physical abuse, drugs, forced prostitution and a risky escape.

After being forced to work as a prostitute, Claudia says she started thinking about ways of escaping.

"It was a very traumatic experience," she said. "The first day I started working was very hard because I had to sleep with 20 men in rapid sequence."

For several months she saved up tips, just a few dollars at a time, that she would hide in a refrigerator. She discreetly would ask older women, who were also forced into prostitution, about directions to the nearest bus station and streets around the area.

When she felt she had enough for a bus trip, she ran away to the bus station and bought a ticket to a city she didn't know.

She has been a free woman for several years now, but she says she still suffers from nightmares and says her life has been scarred.

Many people associate prostitution with women walking the streets in shady areas and being picked up by johns. But Claudia says the prostitution ring for which she was forced to work had a long list of clients who knew the price they had to pay, who to call and where to go.

It's a well-organized and lucrative underground industry.

Luis CdeBaca monitors human trafficking at the U.S. State Department. He says there are no reliable figures on the scale of the problem, but forced prostitution from Mexico and Central America is a big part of it.

"They know that their victims are not going to go to law enforcement," said CdeBaca.  "They know that their victims are afraid. In fact, sometimes one of their threats is to turn people over to the immigration service."

Claudia was 15 when she was forced to become a prostitute, but there are younger victims, as CdeBaca found out when he worked as a federal prosecutor at the U.S. Justice Department.

"I ended up seeing cases with girls as young as 13 and women in their 40s and everything in between," he said.

According to the International Labor Organization (ILO), the United Nations agency that monitors employment, standards, and social protection issues, there are about 12.3 million victims of human trafficking around the world.

The ILO also estimates that at least 1.39 million of those are victims of commercial sexual servitude in their own countries or abroad.

But the current trafficking from Mexico and Central America is of special concern for CdeBaca.

"We have situations in the United States, cases that I've worked on, when I was with the Justice Department involving women who had to serve as up to 50 customers a day; just a crushing amount of what in fact is a daily set of rapes," said CdeBaca.

Several cases have been successfully prosecuted in states, including Georgia and New York, against prostitution rings that operate in the same way.

They lure women in Mexico with promises of a good job only to be forced into sexual slavery once here.

In the Atlanta area, Amador Cortes-Meza, a 36-year-old Mexican national, was charged with involvement in a prostitution ring that victimized women and girls smuggled from Mexico.

Some were as young as 14.

Otto Jaime Larios-Perez, 27, who has admitted one count of providing false information, drove victims to several secret locations in the Atlanta area, forcing them to see multiple clients a day.

Immigration and Customs Enforcement Special Agent Brock Nicholson says that all of the victims fell into the same trap.

"They were brought in with romantic promises, with job promises, young girls, from a certain state of Mexico, brought up, smuggled in, immediately forced into prostitution," Nicholson said.

Ten years ago, the U.S. Congress passed a law that allows victims of human trafficking to stay in the country if they testify in court against perpetrators of the crime.

Danielle Conley, an immigration attorney who helps victims of human trafficking, said this law known as the Trafficking Victims Protection Act helps both victims and prosecutors.

Victims get a visa to live in the United States and prosecutors get powerful testimony to build strong cases against suspects of human trafficking.

"They actually have quite a few rights, but unfortunately that's not widely known among both the immigrant community and American citizens," said Conley.

Claudia has now moved to a different city in the United States, where she tries to live a normal life.

She's still afraid of retribution and wants to remain anonymous. Asked why she decided to share her painful experience, she pauses for a moment and then answers without hesitation.

"Because I want authorities to realize that this is a problem and a serious one," she said.  "Also, I want parents to know that sometimes because of their work they forget about their children, especially girls, and leave them abandoned."

@highlight

There are over 12 million human trafficking victims, international data shows

@highlight

Many victims of forced prostitution in the U.S. are from Latin America, an expert says

@highlight

"Claudia"  was promised a factory job, but was forced into prostitution at age 15

@highlight

She spoke to CNN in hopes of alerting authorities to what she called a "serious" problem