Bilal Bettamer is a 23-year-old student who wants to save Benghazi from those he calls "extremely dangerous people." But his campaign against the criminal and extremist groups that plague the city has put his life at risk, and he says that if he receives more threats, he will have to leave Libya.

Libya can't afford to lose the likes of Bettamer. A law graduate and civil activist, he helped organize the protest against jihadist groups after the attack on the U.S. Consulate there in September, in which four Americans were killed.

That protest led to the expulsion from Benghazi of the militant Ansar al-Sharia group -- whose members were suspected of involvement in the attack -- and other jihadists from the city.

A month later, Bettamer says, the extremists were back in Benghazi with a vengeance. He estimates there are maybe 100 of them at large. And last week, several European governments, as well as Canada and Australia, urged their citizens to leave this eastern Libyan city immediately, with Britain speaking of an "imminent threat."

One Libyan source with contacts in Western intelligence circles says the warning followed an intercepted communication that revealed a specific and concrete plan to attack British interests.

Fighting a ghost

Bettamer says Ansar al Sharia has expelled its more militant members and is now helping provide security at the western entrance to Benghazi.

"People describe every extremist now as Ansar al Shariah, [but] there are people more extreme and more dangerous," he says.

Bettamer says he received three hostile text messages after the Save Benghazi Friday protest.

"You feel the threat and feel you are being watched; they follow you and you feel something abnormal."

A "religious-looking man" had approached Bettamer's uncle outside their family home in Benghazi with a message for Bilal: "Tell him to watch out." The trouble is, no one knows who the assailants are.

"It's like fighting a ghost," Bettamer says.

Bettamer says police and security forces are gradually getting better and that ordinary people in Benghazi are relatively safe. That's not so for activists or members of the security forces, who are often targeted for assassination.

The past three months have seen several assassinations, bombings and kidnappings of police and security officials in Benghazi. Among them was the abduction earlier this month of the head of the criminal investigation division, Abdel Salam al-Mehdawi. He'd been investigating the murder of Benghazi's chief of police in October and is still missing.

Last week, Naji El-Hariri, the nephew of a leading figure in the Libyan revolution, was shot in Benghazi's Al Laithi neighborhood, where a senior police officer was killed a week earlier by a bomb.

And earlier this month, gunmen ambushed the car of the Italian consul in Benghazi, Guido De Sanctis. He escaped injury, but the Italians suspended their diplomatic presence.

State of denial

Outgoing U.S. Secretary of State Hillary Clinton told a congressional hearing last week that the new Libyan government had the "willingness but not the capacity" to provide security.

Bettamer doesn't agree, saying the government is in a state of denial.

"The government is ignoring the problem and not confronting it," he says, by blaming everything on Moammar Gadhafi loyalists. He believes it's afraid of confronting extremist groups.

Another Libyan source familiar with the situation in Benghazi agreed.

"When every day you have campaign of assassinations and attacks against government, police and security facilities and nobody is arrested, you have a bad situation," the source said, adding that a group affiliated with Ansar al Shariah now controls one of the largest Gadhafi-era military camps in the city.

Libyan Interior Minister Ashur Shuwail unveiled a plan last week involving the police, army and some militia to secure Benghazi -- one that may involve a nightly curfew from midnight to 5 a.m.

But it's not just Benghazi. The UK Foreign Office has advised against travel throughout Libya -- apart for Tripoli and a number of towns on the coast. To the east of Benghazi, several towns are jihadist strongholds.

Canada's Foreign Affairs Department warned last week of "ongoing clashes, including indiscriminate shelling, between pro-government militia and Gadhafi loyalists in Bani Walid," as well as clashes between armed groups in Sabha and Kufra in the south. An estimated 400 people have been killed in tribal clashes around Kufra over the past year.

The Libyan government is aware of the urgent need to better control its borders, but they are long and desolate -- and much of Libya's air force was destroyed during the revolution. Last week, the Interior Ministry closed the Imsaed border crossing with Egypt to any foreigners, officially to discourage illegal immigration, and began air patrols over the border out of Tobruk. In the south and west, the borders with Niger and Algeria are even more beyond its control, according to regional analysts.

The government is beginning to integrate some of the many militia into national security forces. It says 26,000 militia members have applied to join the police. But the process is a slow one only now gathering pace.

Five things we learned from the Benghazi hearings

Foreign exodus

The public warnings last week have accelerated the exodus of foreigners from Benghazi.

French doctors have quit the city's hospitals. The city's International School is closed. Just last week, the Libya Herald, an independent newspaper, reported on a conference organized by the Benghazi Chamber of Commerce to address the city's huge problems: among them its dilapidated port and collapsing water-treatment system, which pumps raw sewage into the Mediterranean. But participants said there was little foreign presence.

In the wake of the terrorist attack in Algeria and the warnings about security in Libya, BP announced at the weekend it was putting its Libyan exploration plans on hold.

"We had expected to restart drilling at the end of the second quarter this year, but we're currently reviewing our plans," a BP spokesman said Sunday.

BP signed a $900 million agreement with Libya's National Oil Corporation in 2007 but suspended the contract when fighting broke out in February 2011.

Crispin Hawes of Eurasia Group says Libyan oil production has made a strong recovery since Gadhafi's overthrow, but security issues, protests and labor disputes are putting further gains at risk.

"The operating security environment continues to deter some service companies from operating in the country at all while others that have returned to Libya are still only slowly ramping up their activities," Hawes writes.

Libya needs foreign expertise to invest in its dilapidated infrastructure. Former interim Prime Minister Ahmed Jibril told al-Monitor newspaper in October:  "We have construction projects all over the place, all infrastructure projects -- roads, bridges, power stations, airports. They are all paralyzed."

There are ambitious plans to turn Benghazi into Libya's commercial capital, with its port being upgraded to handle ships carrying 5,000 containers.  But other infrastructure projects are  stymied by a growing number of disputes about land ownership in the wake of the revolution, according to the Libya Herald.

Daunting security challenges in North Africa

A little Gadhafi in each of us

Despite the need for qualified attorneys, some of Bettamer's fellow law graduates in Benghazi work as taxi drivers amid widespread unemployment.

Even so, the freshly minted graduate is guardedly optimistic about Libya's future despite everything. He believes in greater federalism, saying Libya should comprise seven states, each with its own budget and measures to redistribute from the richer to the poorer.

"After 42 years of Gadhafi, there is a little Gadhafi inside each of us. He took stubbornness from us -- and we saw that when he refused to step down. And we took tyranny from him -- trying to impose our ideas on each other."

But he thinks the ghosts of Libya's past can be exorcised.

"Sometimes I get very nervous about the future of this country. I get depressed. But I still see things that make me optimistic."

Opinion: Libya's rich history provides hope for its future

@highlight

Law graduate Bilal Bettamer is trying to make Benghazi a safer, prosperous place

@highlight

Threats may drive the 23-year-old civil activist from this troubled Libyan city

@highlight

Assassinations, bombings and kidnappings keep progress at bay

@highlight

The ghost of Moammar Gadhafi still hangs over Benghazi and rest of Libya