MONTREAL, Quebec (CNN) -- Given Montreal's proximity to substantially-sized American cities -- it's just over five hours driving from Boston, Massachusetts and Hartford, Connecticut -- you might not think Quebec's largest city would be so different than these New England metropolises.

Old Montreal, seen from a pier at the port, has quaint narrow streets with a slew of restaurants and shops.

But in architecture, language, cuisine and culture, Montreal clearly distinguishes itself as a bustling French-flavored center with a modern Canadian accent.

Montreal's convenient subway system and concentrated points of interest also make it a great choice for anyone who doesn't have a lot of time to spend away from home.

I had the opportunity to visit Montreal for a mere 48 hours earlier this month and found it enough time to experience some of the best of the city.

Old Montreal

From the look of the shops and the line to see the cathedral in the historic part of the city, it seems Old Montreal gives most of itself to tourists. Still, for the beautiful old-world buildings and expansive port, it's a must-see. For a break, try one of the ice cream shops or cafes that line the street along the river.

If you're tired of walking, you can rent a Segway on the Clock Tower Pier and even take a Segway tour of the area. But I think it's worth it to stroll the pier and watch people with their toy sailboats near the clock tower. There are also kiosks selling various knickknacks on the pier near the science museum.  See more photos of Montreal »

For those looking for impressive old buildings, take some time to experience the Notre-Dame Basilica (110 rue Notre-Dame Ouest), inaugurated in 1829. The church's style is Gothic Revival, and its chapel's interior was inspired by the Sainte-Chapelle in Paris, France. There is also the grand Hotel de Ville, which is Montreal's City Hall.

The charming narrow streets of the old city light up beautifully in the evening, so be sure to stop back after dinner.

Museums

Montreal has a slew of museums that cater to many interests. But if you're only going to spend a couple days there, it's best to pick just one.  For art lovers, there's the Museum of Contemporary Art (185, Sainte-Catherine Ouest) and the Museum of Fine Arts (1379 Sherbrooke Ouest).   I went to the Museum of Fine Arts, where a gorgeous array of clothing by Yves Saint Laurent is on display until September 28. Don't miss the room of dresses inspired by famous paintings. The designer turned Van Gogh's sunflowers into shimmering sequins, and used white tulle to create the softness of Renoir's brush strokes. The museum also has collections of ancient artifacts like Greek vases and Egyptian mummies.

History buffs can check out the Museum of Archaeology and History. There is also an environment-themed museum inside the Biosphere, the world's largest geodesic dome, which was part of Expo '67.

If none of the above appeals to you, visit the Montreal Science Centre, currently showing an exhibition called "The Science of Aliens." If you have time, you can even see an IMAX journey on the Colorado River and the Grand Canyon -- I personally skipped this, since it didn't seem particularly Quebecois.

Nature

Forming a picturesque green mound in the background of the city, Mont Royal offers spectacular views of Montreal from above. Visitors can drive up around the park to the lookout point, or walk on foot to admire the trees leading up to the top. This seems like a great place for a picnic if time weren't an issue.

McGill University and beyond

I am a sucker for pretty college campuses, so I found special pleasure in walking around McGill University behind the main gate on Rue Sherbrooke. The path through the downtown campus leads up to the Arts Building, the oldest building on campus. The university also has a science museum of its own, which serves as a research institution in evolution. If you plan ahead, you can even take a guided historical tour of the campus by contacting the university a week in advance.   Climbing up the hill behind the main building, I came to a fairytale-like castle, complete with turrets and Gothic stone, situated on the slope of Mont Royal. Then I read the sign: Royal Victoria Hospital (687 Pine Avenue Ouest). Huh! There is something strangely comforting about knowing that, if you get seriously ill, you'd have a room in a place that looks like it's for royalty.

Shopping

You can easily satisfy all souvenir needs in Old Montreal. But for more SoHo-style clothes shopping, check out the boutiques on Rue Crescent. Rue St. Denis also has a reputation for trendiness, and the main street, Ste. Catherine, has a slew of shops for clothes, books, music, and more, and is home to the department store Ogilvy (1307 rue Sainte-Catherine Ouest).   Beneath all of this, Montreal has a unique system called the Underground City, passages of shops that connect multilevel-malls and other attractions so you never have to feel a raindrop on a gloomy day. Again, pick and choose wisely according to your interests and time constraints.

Nightlife

Rue Crescent is alive at night with bars and clubs, but don't miss Montreal's outdoor music festivals and events in the open air. I was there for Les FrancoFolies, a celebration of French music that drew thousands of people to stages set up around the center of the city.   The famous Club Soda hosts concerts of all kinds, with big names like the Dandy Warhols (September 14) and Quebec-based groups like The Lost Fingers (September 6).   After dancing inside or out, I highly recommend the strawberry-banana daiquiri at Tres Amigos (1657 rue Ste-Catherine).

Where to eat

For breakfast, dessert, or really any meal, a crepe from Paris Crepes (corner of Crescent and Ste. Catherine) will suffice. The mouthwatering "strawberry cheesecake crepe" consists of fresh strawberries, chocolate syrup, and what appears to be pieces of cheesecake mashed up into gooey goodness.

If you're willing to spend a few extra loonies -- that's what Quebecers call their dollar coins -- enjoy a hearty Italian meal at Il Cortile (1442 rue Sherbrooke Ouest) in a quaint courtyard with colorful flowers hanging from terraces above.

No trip to Canada is complete without poutine, a dish of French fries smothered in sauce and topped with lots of cheese. The city has many places where you will find this staple in at least a dozen forms, for vegetarians and meat-lovers alike. One reliable 24-hour restaurant specializing in poutine is La Banquise (994 rue Rachel Est), not far from the Mont Royal metro stop.  Art on the street  About an hour before I left for the airport, I happened to pass a crowd of fascinating people -- or rather, a sculpture of a crowd of fascinating people -- at the corner of Rue Sherbrooke and Ave McGill College. The spectators of "Illuminated Crowd" by Raymond Mason have come together for some reason, but why? And why do some appear terribly frightened, and others perhaps more hopeful? In your frenzied wanderings through the city, it's worth a minute to walk around it and reflect.

@highlight

Montreal is a little more than a five-hour drive from major New England cities

@highlight

Old Montreal has beautiful European-style buildings and borders the port

@highlight

McGill University has a beautiful campus in front of Mont Royal

@highlight

Poutine, a dish of French fries with sauce and cheese, is a well-known snack