Panama City, Panama (CNN) -- North Korea has a message for Panamanian authorities who seized a cargo ship packed with sugar and weapons: Release the boat and let the crew go.

"The Panamanian investigation authorities rashly attacked and detained the captain and crewmen of the ship on the plea of 'drug investigation' and searched its cargo but did not discover any drug," a spokesman for North Korean's Foreign Ministry told state-run KCNA on Wednesday. "Yet, they are justifying their violent action, taking issue with other kind of cargo aboard the ship. This cargo is nothing but aging weapons which are to send back to Cuba after overhauling them according to a legitimate contract."

According to the state media report, the spokesman described the incident as an "abnormal case."

"The Panamanian authorities should take a step to let the apprehended crewmen and ship leave without delay," the spokesman said, according to KCNA.

But Panama showed no signs of stopping its investigation into what it said were undeclared military weapons hidden aboard the North Korean ship.

Panama has formally asked the United Nations for guidance on how to handle the case, and expects U.N. representatives to arrive soon in Panama to investigate, Foreign Minister Fernando NuÃ±ez told CNN en EspaÃ±ol.

Because it is pursuing nuclear weapons, North Korea is banned by the United Nations from importing and exporting most weapons.

A spokesman confirmed that Panama had filed a report with the U.N.'s North Korea sanctions committee. U.N. Secretary-General Ban Ki-moon "commends the action taken by Panama," a spokesman said.

In addition to reaching out to the United Nations, Panama also has asked the United States to help provide technical assistance.

The details of the dramatic case sound like a deleted scene from the Cold War: a violent confrontation on a detained ship, missiles hidden under sacks of brown sugar, an apparent heart attack and an attempted suicide.

The weapons were discovered Monday, and as of Wednesday, authorities were still searching the vessel.

The ship originated from Cuba, and Cuban officials admitted that the weapons on board were theirs. They described them as "240 metric tons of obsolete defensive weapons" sent to North Korea "to be repaired and returned to Cuba."

The equipment was manufactured in the mid-20th century and included two anti-aircraft missile systems, nine missiles in parts and spares, two MiG-21 jets and 15 motors for this type of airplane, the Cuban foreign ministry said.

The ship's captain -- who allegedly suffered a heart attack and then tried to commit suicide as the cargo was being searched -- and the 35 North Korean crew members have not been charged, but the attorney general's office said they could face charges of threatening national security.

The crew resisted arrest and engaged in a "violent" confrontation, Panama's security minister, Jose Raul Mulino, said Tuesday.

Panama's public ministry ordered the crew's detention, and authorities have since spoken with crew members about their travel plans. Crew members said the North Korean ship had left Cuba and headed toward Panama, aiming to arrive back in North Korea in 51 days.

The United States and Panama had been tracking the ship as it crossed the Panama Canal to Cuba and then back, two U.S. officials said.

And a U.S. State Department spokeswoman said Wednesday that the United States would help in the investigation.

The Panamanians asked the United States for imaging equipment and technicians to fully examine the boat and determine what is on board, according to a U.S. official who declined to be identified because the person was not authorized to speak publicly.

Speculation has surged since Panama announced its find, with some warning that it was a troubling sign of weapons deals between North Korea and Cuba, and others disputing whether any dangers lay within the antiquated haul.

Cuba says the weapons are "obsolete." And experts who identified early Cold War relics such as the Soviet-designed SA-2 air defense system among the ship's cargo say that's not far from the truth.

"Today there is no reason for any Western pilot to be hit by an SA-2 -- if you get caught by one of them, you've done something bloody stupid, or you've got very bad luck," said James O'Halloran, editor of Jane's Land Based Air Defence and Jane's Strategic Weapon Systems. "No modern country wants to be seen with those."

But others saw the weapons haul as a more ominous sign.

In a letter to U.S. Secretary of State John Kerry, Sen. Marco Rubio of Florida, a frequent Cuban government critic, described the weapons shipment as a "flagrant violation of multiple United Nations Security Council Resolutions."

"I believe that this revelation, in addition to Cuba's failure to address its abysmal human rights record, should finally prompt the (Obama) administration to re-calibrate its misguided and naive Cuba policy," Rubio wrote. "The administration should immediately reverse its January 2011 decision easing restrictions on people-to-people travel and remittances sent to Cuba; as well as immediately halt granting visas to Cuban government officials."

Forbes.com columnist Gordon Chang told CNN's "Erin Burnett: OutFront" that the boat's cargo was a warning sign that North Korea could be supplying Cuba with weapons.

"This is a country which is just 90 miles away from American shores," he said. "Now, if they can smuggle missile radar into Cuba, you know, God knows what else they can put there. We do not need a replay of the Cuban missile crisis, this time with the North Koreans' fingers on the triggers instead of the Soviets."

The U.S. government's assessment is that Cuba might be trying to further its arms relationship with North Korea in the wake of Russia's not being interested in doing the upgrade work on the aging stockpile, a U.S. official said.

A glance at seizures of North Korea weapons shipments

Journalist Castalia Pascual reported from Panama City. CNN's Catherine E. Shoichet reported from Atlanta. Journalist May Lee and CNN's Ted Barrett, Richard Roth, Barbara Starr, Esprit Smith, Mariano Castillo, Patrick Oppmann and Nick Thompson contributed to this report.

@highlight

NEW: U.N. secretary-general commends Panama for its actions

@highlight

North Korea's foreign ministry says Panama should release the ship and crew

@highlight

Panama has asked the United Nations to help investigate

@highlight

Rubio: The U.S. should change Cuba policies in light of "flagrant violation"