(CNN) -- Scores of people were killed in violence across Syria on Monday, opposition activists said, while Russia insisted a political solution was the only answer to end the bloodshed.

Here are fresh developments in Syria's bloody civil war:

Opposition: 50 regime soldiers killed at checkpoint

A suicide bomber killed at least 50 Syrian soldiers Monday at a checkpoint in Hama province, the opposition Syrian Observatory for Human Rights reported.

The opposition group said the bomber was from the al-Nusra Front, which has claimed responsibility for past suicide attacks.

The state-run Syrian Arab News Agency said a suicide bomber killed two people and injured 10 others.

CNN cannot independently confirm government or opposition reports out of Syria, as the government has restricted access by journalists.

At least 162 people were reported dead Monday across Syria, according to the opposition Local Coordination Committees of Syria. This figure includes 72 dead in Idlib province, among them 32 "martyred (in a) massacre in Kafr Nabl." Eight women, seven children and two citizen journalists were among the casualties, the LCC said.

Samer Kreishi was killed in fighting in the Damascus suburb of Arbeen, where government forces and rebels have been fighting sporadically for months, the LCC said.

Another journalist, Nasser Sheikhani, was killed during shelling in Aleppo, Syria's second-largest city, the group said.

The two were described by the LCC as "citizen journalists" who routinely documented violence by government forces with the use of video and photographs, which were then uploaded on YouTube and other social media sites.

More than 33,000 people have been killed since the Syrian conflict erupted in March 2011, the opposition says.

Russian diplomat: 'No need for any type of resolution'

Russia's top diplomat dismissed a call by the U.N.-Arab League special envoy for the Security Council to adopt a resolution calling for a transition of power in Syria.

Read more: Russia: We won't back a foreign force in Syria

"If the priority is the change of (the government), then there will be more blood. But if the priority is to save lives, then there is no need for any type of resolution," Russian Foreign Minister Sergey Lavrov said Sunday after a meeting with the special envoy in Cairo.

Lavrov's comments followed news that the special envoy, Lakhdar Brahimi, called on the U.N. Security Council to adopt a resolution calling for a transition of power in Syria that permanent Security Council members agreed upon in June. The resolution, known as the Geneva deal, was put together by his predecessor, Kofi Annan, and called for a transitional government in Syria.

Brahimi's call for the resolution came after the collapse of a holiday cease-fire he had pushed for between government forces and rebels.

Security blog: U.S. says Russian attack helicopters on way to Syria

The Geneva agreement did not lay out how power would be transferred, nor did it spell out any role for Syrian President Bashar al-Assad, who has been under enormous international pressure to step down and end the conflict.

China and Russia, permanent members of the U.N. Security Council, have repeatedly blocked attempts to adopt a resolution.

Many have accused Russia of backing the Syrian government, but Russia says it just wants a political solution for Syria determined by its own people.

China, meanwhile, has offered a four-point plan to end the war, calling for a cease-fire, plans for political settlement and transition, and international humanitarian aid.

Bullets stray into Israel

An Israeli military vehicle was hit by bullets coming from southwestern Syria on Monday night, an Israeli military spokesman said, in what appears to be the latest instance of violence in Syria crossing into neighboring countries.

No one was injured by the gunfire, and Israeli officials do not believe its vehicles were targeted, the spokesman said. But the bullets are believed to be related to Syria's ongoing civil war.

Israel's military filed a complaint about the incident with the United Nations, according to the military spokesman.

The nation did the same three days ago, when three Syrian army tanks entered the Golan Heights demilitarized zone, according to the Israeli military. The tanks were positioned with their guns pointing toward Syria and fired, Israel said.

A U.N. observer force remains in the Golan Heights to maintain a cease-fire between the Israeli and Syrian forces and to oversee implementation of the disengagement agreement. Israel's government controls the Golan, though some internationally regard it as occupied territory.

The Syrian civil war has spilled over into other countries as well, including Lebanon and Turkey. Stray shelling from Syria into southern Turkey has caused several deaths in recent weeks, ratcheting up tensions between the one-time allies and spurring Istanbul to order the firing of artillery rounds back into their neighbor's territory.

Rebels regroup

Syria's opposition groups began a second day of negotiations Monday in Qatar's capital city of Doha as part of an effort to unify the rebellion.

The move comes after reports that U.S. Secretary of State Hillary Clinton told reporters that the exiled Syrian National Council should no longer be considered the "visible leader" of efforts to form a government to replace al-Assad, whose iron-fisted attempt to crush anti-government protests has resulted in the bloody civil war.

Security blog: U.S., Russia grapple for common ground on Syria transition

Clinton said the opposition must include seats for "those who are on the front lines fighting and dying today."

The United States has recommended people and organizations that should be included, she said -- and the State Department says Robert Ford, the U.S. ambassador to Syria, will be "on the sidelines" of the upcoming Doha talks.

The U.S. secretary of state's remarks drew criticism from some opposition activists Monday. In a statement, the opposition Local Coordination Committees of Syria said they represented unwelcome "interventions in the affairs of the revolution."

State Department spokeswoman Victoria Nuland said Monday that the United States does not intend to pick Syria's next leaders.

"Only Syrians can do this," she told reporters, "so, none of the activities that we've been involved in since the last months and months are designed to do that. They're simply designed to insure that those Syrian voices inside Syria...are heard and are part of the process."

French President Francois Hollande made a similar statement Sunday, saying that the Syrian opposition needs a leader to set up "an interim government through a fair democratic process," the state-run Saudi Press Agency reported.

Read more: Putting the monkey on Lavrov's back

The negotiations in Doha began after the SNC announced it would elect a new president, replace half of its executive board and expand its membership. The SNC says its meetings are a prelude to talks with other opposition groups later this week.

"Any discussion about bypassing the SNC or forming other alternative entities is an attempt to damage the revolution and sow the seeds of division and discord," the group said in a statement.

CNN's Sara Sidner, Jill Dougherty, Tracy Doueiry and Saad Abedine contributed to this report.

@highlight

NEW: 162 are dead in Syria, including 32 in a "massacre" in Idlib province, opposition says

@highlight

Opposition activists say a suicide bomber kills 50 Syrian soldiers

@highlight

A Russian diplomat rejects U.N.- Arab League envoy's call for transition-of-power resolution

@highlight

"If the priority is to save lives" in Syria, there is no need for such a resolution, diplomat says