London (CNN) -- London's East End is well known for its dark past, from Jack the Ripper to notorious 1960s gangsters the Krays, so it is no surprise that the area was also the birthplace of the creator of some of Hollywood's most famous scary movies.

Alfred Hitchcock is feted as the man behind "Psycho," "The Birds," "Vertigo" and "Rear Window" -- but before he made the move stateside, Hitchcock was one of the biggest names in Britain's film industry, and traces of the director and his films can be found across his native city.

The British Film Institute has spent the past three years restoring nine of Hitchcock's little-known -- and little-seen -- silent movies, which can now be viewed on the big screen for the first time in almost 80 years.

To celebrate, join CNN.com on a tour of Hitchcock's London.

Humble beginnings

Alfred Hitchcock was born above his family's greengrocer's shop in Leytonstone, east London in 1899.

Sadly, little trace remains of his early life there: His birthplace, at 517 Leytonstone High Road, was demolished many years ago to make way for a gas station and fast food outlet, though eagle-eyed visitors may notice a plaque on the spot.

Hitchcock knocks Welles off top film list

As a young boy, an unknowing Hitchcock was sent to the local police station with a note asking the officer on duty to lock him in a cell briefly to warn him what happened to people who misbehaved. Unfortunately, the police station too has been knocked down, but information boards at the site retell the story.

There is evidence of the director's links with the area, though: Two modern blocks of flats -- "Marnie Court" and "Topaz Court" take their names from his films, and a pub -- The Alfred Hitchcock Hotel on the edge of Epping Forest -- is named in his honor.

But visitors wanting to catch a glimpse of the city's most colorful tribute to the filmmaker need only step off the underground train: Leytonstone's tube station -- on the Central Line -- is decorated with mosaics featuring scenes from Hitchcock's life and movies.

Hitchcock married his long-term collaborator Alma Reville at Brompton Oratory in upmarket Kensington in December 1926. Mass is still celebrated in Latin every day at the imposing Roman Catholic church near the Victoria and Albert Museum.

The couple lived close by, at 153 Cromwell Road in Earl's Court, from 1926 until they and their daughter Patricia left for Hollywood shortly before the outbreak of the Second World War. A blue plaque marks the building.

The silent city

Hitchcock began his cinematic career as a designer, creating the title cards used in silent films, but within five years he was directing the movies themselves.

For the rest of his life, he would use London as the setting for many of his films: Some of the city's most famous landmarks serve as backdrops to the action.

"London was his base, even after he had moved to the U.S. and was working in Hollywood. It was the location for many of his films, and it was the subtext that ran through them," said Sandra Shevey, who runs a regular walking tour of Hitchcock's London film locations.

"He wanted to show the gory, nasty bits of the city, like the earthy Cockney he always was," she told CNN. "He used London as the prism through which to show the evils of the world, just like Dickens did."

Hitchcock's first big hit came with "The Lodger," (1927) the tale of a serial killer, subtitled "A Story of the London Fog." While many of the scenes were filmed in the studio, Westminster, the Embankment and Charing Cross all make an appearance in the film.

Nathalie Morris, Hitchcock expert at the British Film Institute, recommends another location from "The Lodger" which she says crops up again and again, not only in his movies, but in his life: Scotland Yard, the headquarters of the Metropolitan Police, the force responsible for the capital.

"Hitchcock was a regular visitor to Scotland Yard -- he would visit the 'Black Museum,' the police's crime museum for inspiration, to lap up plenty of macabre details for his films," Morris told CNN.

The museum, which opened in 1875, is home to a grisly selection of criminal evidence from notorious cases including those of Jack the Ripper and Dr Crippen. It is no longer open to the public, instead being used for police and forensic science training.

Another museum played a more direct role in Hitchcock's final silent film -- and first 'talkie' -- "Blackmail" (1929). The movie's climactic chase scene takes place across the domed glass roof of the British Museum's old reading room.

"Blackmail" is one of Morris's top picks for film fans on the lookout for London links to Hitchcock: Other scenes take place in Trafalgar Square, Whitehall and Lower Regent Street.

Tourist hotspots

Morris also highlights 1936's "Sabotage," one of the final movies Hitch made before moving to the U.S. in 1939.

Opening at the then-newly-built Battersea Power Station (now little more than a shell of a building), the film is a filmic feast of the city's tourist hotspots: Trafalgar Square, Piccadilly Circus and London Zoo all feature, alongside one of the director's favorite restaurants, Simpson's-in-the-Strand.

The interior shots of Simpson's were filmed in the studio. Sadly, as with many of the locations linked to the director's life, these have since been demolished, but at the site of the former Gainsborough Studios in Islington -- now transformed into an apartment complex -- a huge sculpture of Hitchcock's head (by artist Antony Donaldson) commemorates his time there.

Even after he had left the UK, Hitchcock frequently returned to London to film. Interestingly, Morris points out that he was not actually present when one of the most memorable London scenes in his work was captured on film: The assassin's fatal fall from the belltower of Westminster Cathedral in "Foreign Correspondent."

"Deaths from a height are such an important Hitchcockian motif, but because the war was on, Hitchcock could not come to London, and so it was filmed by a second unit," she said.

The byzantine-style Catholic cathedral would also play another role in Hitchcock's life, some four decades later: It was the location of a memorial service for the director, following his death in 1980.

For Shevey, Hitchcock's key London films are "The Man Who Knew Too Much," "The Parradine Case," and "Frenzy," all of which, she says, feature "some of the most beautiful buildings in London," from Portland Place and the Royal Albert Hall to Tower Bridge and Covent Garden Market.

"Frenzy" in particular is rooted in its London location, the old fruit and vegetable market and the streets and pubs nearby: The Globe, in Bow Street, and the Nell of Old Drury in Catherine Street. It would be his last movie made in the city

"'Frenzy' was his homecoming film," Morris told CNN. "It brings him full circle, back to the London of 'The Lodger.'"

Next steps

If all this has wetted your appetite, then head to the BFI Southbank, which is currently showing an entire "Genius of Hitchcock" season featuring all of the director's surviving movies, including those early silent films.

The BFI's Mediatheque also offers the chance to view interviews, rarely-seen clips and other material linked to Leytonstone's most famous son.

You can also join an organized tour of Hitchcock's London.

Sandra Shevey's Alfred Hitchcock London Locations Walk, which runs three times a week and lasts for three hours, is illustrated with the original storyboards for "The Man Who Knew Too Much" and excerpts from Shevey's own interview with Hitchcock himself.

London Walks also runs occasional Hitchcock and London on Film-themed tours -- its next "Hitchcock's London: More than 39 Steps!" walk is planned for October 14.

Movie buffs who know where to look can follow in Hitchcock's footsteps all over the city. Just remember to check behind you once in a while...

Hitchcock knocks Welles off top film list

Hitchcock: The man behind the movies

Hitchcock's classics remade in sticky tape

@highlight

Hitchcock is one of East London's most famous exports: Born, brought up in Leytonstone

@highlight

Little evidence of director remains in the city, but London is present in many of his movies

@highlight

"Sabotage," "Frenzy" and "The Man Who Knew Too Much" all feature key London landmarks

@highlight

"Genius of Hitchcock" celebrated by BFI with a season of his films