Tripoli, Libya (CNN) -- New NATO airstrikes shook Tripoli into early Tuesday after the alliance's secretary-general dismissed complaints that the allied campaign against longtime Libyan strongman Moammar Gadhafi had fallen into a stalemate.

At least three rounds of explosions echoed across the Libyan capital in a three-hour span that began late Monday, and the roar of jets could be heard overhead. Government spokesman Musa Ibrahim told CNN that the warplanes hit administrative buildings in central Tripoli, and that a nearby hospital was "indirectly" affected.

"Tonight was an exceptional night in Tripoli," Ibrahim said, noting that the strikes followed "an extended period of calm."

"It is very sad," he said. "We are losing people every day on both sides. We think it is time to sit down and talk."

NATO warplanes and missiles have been pounding Gadhafi's forces and government installations since March 31 as Gadhafi attempts to put down a nearly three-month-old revolt against his rule. Secretary-General Anders Fogh Rasmussen told CNN on Monday that Gadhafi and his regime "have no future," but refused to predict how long the Libyan leader could hold on.

Rasmussen denied that the situation in Libya had devolved into a "stalemate," insisting that NATO was "making progress" and had "taken out" a substantial part of Gadhafi's military capability. He said a political solution was required to bring the conflict to an end, but "It's hard to imagine an end to the violence as long as Gadhafi remains in power."

Despite the ongoing bombardment, Gadhafi's forces have been inflicting a heavy toll on rebels in the port city of Misrata, survivors there have told CNN. Misrata is the only city in western Libya held by the rebels, and witnesses say indiscriminate shelling has left victims with crushed bones, burns and amputations.

"They are shelling the port and civilian neighborhoods. It has become an operation of revenge, not just taking over the city of Misrata," said Ibrahim al-Neairy, a rebel who was injured in the fighting and evacuated to Benghazi.

Mostafa Bozen, a spokesman for the rebels, said fighters attacked Gadhafi's forces about 22 kilometers (14 miles) from Tripoli, killing 12 and hitting a tank.

The situation in Misrata "is at the forefront" of U.N. concerns about Libya's civilian population, Valerie Amos, the U.N. undersecretary-general for humanitarian affairs, told the Security Council on Monday. Two months of fighting and the ongoing shelling of the city's port has prevented aid ships from docking there, and between 150 and 300 non-Libyans are still waiting to be evacuated, she said.

"Some people are running short of food, water and other basics," she said. "Medical facilities need supplies and more trained personnel."

The Security Council voted in March to authorize the use of force to protect Libyan civilians from Gadhafi's regime. Nearly 750,000 people have fled the country, another 58,000 are displaced within Libya and another 5,000 are stranded at border crossings into Libya, Tunisia and Niger, Amos said.

For those who remain, Amos said the fighting and the sanctions imposed on Gadhafi and his allies have caused "a severe disruption of supply lines within the country." The results have been "shortages of fuel, difficulties in obtaining commodities including foodstuffs, medicines and other essential goods, and there have been severe cash shortages throughout the country."

Western Libya has about three months' supply of food remaining; the mostly rebel-held east has about two months, she said. Fuel and supplies for desalinization plants and other facilities that provide fresh water to many Libyans "are running out," she added.

There have been widespread assumptions among experts that the conflict between pro- and anti-Gadhafi forces will continue to be a stalemate for some time.

As time wears on, though, human rights groups have expressed growing concern for besieged Libyans in Misrata.

The wounded arriving in Benghazi, the rebel hub city, painted a gruesome picture of the fighting in Misrata.

Hanan Muhammad, who was evacuated along with about 800 others on an aid ship charted by the International Organization for Migration, was wounded when a missile struck near her home.

"I was in my house praying when the first missile landed. Shortly after, more missiles, one after another started hitting our neighborhood," said Muhammad, who suffered a broken arm and shrapnel wounds.

"Terror. Fear. People are scared every moment of the day no matter their age," she said. "Oh God, it's like a horror movie."

Al-Neairy, who suffered facial burns and shrapnel wounds, said he does not regret fighting.

"The price for freedom is high and it (is) necessary to be liberated from this regime," he said.

Amnesty International has said Gadhafi's attacks in the port city may amount to war crimes.

A report issued last week by the monitoring group accused pro-Gadhafi forces of the "unlawful killing of civilians due to indiscriminate attacks, including use of heavy artillery, rockets and cluster bombs in civilian areas and sniper fire against residents."

"I'm not going to guess about a timeline. I want a solution sooner rather than later," Rasmussen said.

CNN's Jomana Karadsheh, Sara Sidner and Amir Ahmed contributed to this report.

@highlight

NEW: NATO jets hit Tripoli late Monday and early Tuesday

@highlight

NEW: A U.N. official warns of food, fuel shortages in Libya

@highlight

Gadhafi and his regime "have no future," the NATO secretary-general says

@highlight

Misrata civilians and rebels say Gadhafi forces are indiscriminately shelling the city