(CNN) -- Reading the legal complaint leaves a heavy feeling in the pit of your stomach.

The claim, filed by attorney Gregory Owen on behalf of one child, alleges 4- and 5-year-olds at the First Lutheran Child Development Center in Carson, California, were performing oral sex on each other at the preschool.

The suit alleges that in addition to acts performed on the 5-year-old plaintiff, other students were removing their clothing and engaging in sexual acts on the playground and during nap time.

Such behavior, experts say, would be rooted in normal childhood development; the children participating in or seeing such sexual acts may not fully understand what is taking place. Whether such alleged inappropriate acts will have a long-term impact on students depends on how the situation is handled, experts say.

"Young children are not developmentally prepared to engage in sex," said Kathryn Seifert, an expert in youth violence and sexual behavior. "Their brains are not ready to absorb that kind of information."

Owen told CNN he is representing six children who attended the church's program and their parents. He plans to file five additional lawsuits before the end of February. The first, filed Tuesday, names the school, several of the First Lutheran Church of Carson's leaders, an unnamed "minor perpetrator" and the perpetrator's parents as defendants.

The suit said that the Los Angeles County Department of Children and Family Services conducted an evaluation of the center in November and found a lack of supervision, which "allowed for inappropriate touching between minor students."

In a statement, First Lutheran officials said the incident referenced in the lawsuit happened in October and was "addressed and dealt with" at that time. The statement notes that the plaintiff was still enrolled in the church's preschool until last week.

Kids at risk: Say something or bite your tongue?

Michael Weston, spokesman for the California Department of Social Services, told CNN the department met with officials from the church on February 1 concerning "noncompliance" license violations against the school over the past six months. The violations discussed included a lack of supervision at the care facility, child-teacher ratios and inappropriate discipline.

At that meeting, Weston said, the department was informed that the school's director was resigning and the school license would be set to inactive on Friday. The decision to close the school was made based on the director's resignation, which was for personal reasons and not related to the incidents, according to the church officials' statement.

On Wednesday, the California Department of Social Services issued a temporary suspension order to the development center after determining there was an "immediate risk to the children in care." The order prohibits the facility from operating, according to a letter from the department.

Weston said the department will continue to investigate after the school closes.

Questions remain, Seifert said, about what exactly happened at the school: Was this a group of unsupervised children just being curious about their bodies? Were they copying something they had seen on TV or in a magazine at home? Was it the result of sexual abuse -- either by another student or an adult?

Judith Myers-Walls, an expert in human developmental stages at Purdue University, said sexuality, in a sense, starts younger than you might think. Between the ages of 2 and 5, children learn to dress and undress themselves and begin to understand what it means to be a boy versus a girl. Many toddlers like to run around naked, Myers-Walls said, and may touch themselves.

"That is again, very normal. ... They're simply doing things that feel good, in the same way they might curl their hair," she said. "They don't (know) social norms. They haven't learned what's polite and impolite until parents teach them."

Children are excellent imitators, Myers-Walls said. Often the actions they're exhibiting have been copied from somewhere else.

Adults who come across children exploring their bodies in inappropriate ways should step in immediately and stop the behavior, she suggested. They should explain that the acts are not acceptable in public areas. Parents should teach their kids about "private parts" that need to be covered in public, she said, and about personal space.

The way parents deal with the alleged situation in California will affect how much of a long-term impact it may have on the children, Seifert said. Getting upset or angry may convey to a child that he is in trouble and lead to anxiety surrounding his sexuality down the road. Instead, asking questions calmly about what happened and why should clear up whether the child has been traumatized by events.

A professional therapist can help determine the extent of trauma and work with the family to recover, Seifert said. Even if the child doesn't know sexual activity is wrong, it can still have lingering effects.

While some exploration is natural, sexual acts such as oral sex may "make them feel odd or funny or sad or angry," she said. "It's those emotions that have to be cared for."

The best way to avoid these kinds of situations is to have ongoing conversations about sexual behaviors with your kids, Myers-Walls said. "It's important for parents to realize you don't have 'the talk' and you're done."

When children are around 2, parents can discuss body parts and the differences between boys and girls, she said. As children grow a bit older, parents can talk about private parts and when it's OK (and not OK) for kids to explore their bodies. In later years, kids will ask where babies come from; you don't have to talk about birth control and abortion, but you should answer their questions simply and directly, Myers-Walls said.

"(Sex) is very different than drugs and smoking -- you don't ever want them to do that," Myers-Walls said. "Being a sexual being is who we are."

There are warning signs that your child is participating in inappropriate behavior or is being abused, Seifert said. Every day, parents should be talking to their children about their day: what happened, who they hung out with, what they did. If topics come up the child should have no knowledge about, calmly ask more questions, she suggested.

Other signs include drastic changes in behavior, trouble sleeping, eating changes or anger issues, Seifert said.

"We want people to be aware so if they're in this situation they know what to do," she said. "Even if it is something that's unfortunate that's happened to your child, there is help out there."

CNN's Rosalina Nieves and Irving Last contributed to this report.

@highlight

Lawsuit filed against California church's preschool alleges oral sex among kids

@highlight

Children may not have fully understood what they were doing, experts say

@highlight

Preschool says it will close Friday due to director's resignation for personal reasons