Washington (CNN) -- Federal aviation officials are telling airline and airport executives that they are working to minimize any disruption from imminent government budget cuts to passenger airline service, but warn the mandatory belt-tightening will impact air traffic overall.

At a meeting in Washington on Tuesday, the Federal Aviation Administration (FAA) said it would give priority to 77 "core" facilities -- large airports and their related air traffic control centers, which it did not identify.

But the agency would reduce staffing system wide and would likely close 238 control towers at less busy airports. Those towers handle 5.8 percent of all commercial air traffic, the FAA said.

Opinion: Cuts too deep? No, not deep enough

"It was clear at the meeting that the brunt of the cuts were at the cost of general aviation (private and business aircraft), and the agency even recognized that," said Melissa Rudinger of the Aircraft Owners and Pilots Association, a group representing private pilots in Washington.

The Transportation Department faces about $1 billion in budget cuts through the end of the fiscal year unless Congress acts by Friday to avert them. The cuts are part of a political impasse affecting spending across the government.

Much of the agency's austerity will hit the FAA, which employs about 15,000 controllers and oversees traffic at more than 400 airports used by commercial airlines, business jets and private pilots.

Large airports will also be impacted.

All FAA employees have been told they may be furloughed at least one day every two weeks, inevitably meaning that aviation facilities will have fewer controllers.

While the cuts would inevitably reduce the number of operations -- take-offs and landings -- the FAA said it would maintain the highest level of safety.

The impact would be greatest at the nation's small- and mid-sized airfields, the FAA acknowledged.

The 238 control towers facing possible closure met a criteria established by the FAA: They have fewer than 150,000 operations a year and fewer than 10,000 commercial airline operations.

Opinion: Cuts will turn off voters GOP is courting

Of those towers, 189 are "contact towers," operated under FAA supervision by independent contractors. The remaining 49 are staffed by FAA controllers.

FAA officials said it would consider removing a tower on a case-by-case basis if advocates could justify a change. But any towers spared from closure would have to be off-set by cuts elsewhere, they said.

Most of the changes would occur at the start of April, and would ratchet up over a period of months. The first furloughs would begin April 8, according to a meeting participant.

If a tower is closed, operations at those airports would continue. But controller operations would be shifted to other facilities, or to the pilots themselves, who would radio their intentions to take off, land, and maneuver on the ground.

Ground operations could present the biggest danger to pilots, since it would remove from service controllers who are trained to look for conflicting movements on the runways and taxiways.

Critics say the FAA failed to consider important factors when compiling its list of towers, including whether the towers were also used for military operations and for search and rescue missions.

FAA officials also said Tuesday it would suspend development of its NextGen navigation system so it could reassign employees to control towers. And it would suspend its redesign of airspace -- an ongoing program to make the area around airports more efficient.

The FAA also said budget cuts would force it to cut back on maintenance and repairs at "non-core" facilities. Only power, voice and navigational systems would be fixed at those facilities, the FAA told the industry executives.

Rudinger said while the FAA disclosed a few new details about its plans to deal with forced spending cuts -- known in Washington as sequestration -- it was "certainly not as much detail as we were looking for going into the meeting."

Participants in the meeting questioned whether the FAA is making the smartest cuts.

''Clearly they have to make the cuts," Rudinger said. "What's unclear is how they came up with them. There hasn't been any transparency in the process."

More spin than solutions as spending cuts near

@highlight

The Federal Aviation Administration met with airline and airport executives

@highlight

FAA oversees the nation's air traffic system for airlines and private flights

@highlight

Plans include closing some control towers in less busy areas

@highlight

FAA employees have been told they may be furloughed as part of cuts