(CNN) -- In Shandong Province in northeastern China, the nation's grain heartland, the worst drought in 60 years has raised the specter of shortages for the world's largest wheat producer.

Russia -- still reeling from a drought that slashed wheat harvest by nearly 40% and spurred Moscow to ban exports last summer -- hopes new, resilient strains of the crop will lead to a resumption of wheat exports. However, soil damaged by the drought means nearly 10% of Russian wheat fields couldn't be planted this year.

Social media may have fanned the flames of revolt which toppled governments in Tunisia and Egypt and triggered demonstrations across the Middle East. But the tinderbox was built on high unemployment, corruption and rising food prices. It's a telling sign that the trouble in Tunisia started with the self immolation of Mohamed Bouazizi, a street vendor protesting the police seizure of his produce cart.

"I think that we have to be careful, as an international community, not to let food prices become not [only] a national security threat in countries, but a global security threat," Ngozi Iweala, managing director of the World Bank, told CNN.

Rising food prices have driven nearly 44 million people into poverty since June, according to World Bank estimates released this week, pushing the number of chronically hungry toward 1 billion.

Global food prices rose 29% in the past year due to weather shocks such as the Russian drought and subsequent export ban, as well as the growing appetite for biofuels and rising demand from emerging economies such as Brazil, India and China.

Rising inflation a top Chinese concern

Price increases were led by sugar and wheat, at 20%. Fats and oils used in cooking rose 22%, according to the World Bank.

"Our research shows higher global wheat prices have directly fed into sharp increases in domestic wheat prices in many countries," Robert Zoellick, president of the World Bank, said earlier this week. "In just six months, prices for wheat rose by more than 50% in Kyrgyzstan; 45% in Bangladesh and 33% in Mongolia."

Rising food prices create political strife. Nations in northern Africa and the Middle East -- where arable land is scarce -- scour Eastern Europe and Central Asia for grain deals.

When Rachid Rachid was Egypt's Trade and Industry Minister, he personally combed the world for wheat -- with visits to Russia and Central Asia -- attempting to meet the domestic demand of six million tons a year.

"The fact you know that you need this much quantity to feed the people in Egypt and knowing that there is not that much quantity around the world makes you really scared," Rachid told CNN.

The price of a kilogram of onions in India nearly doubled from September to December, resulting in an export ban that was lifted this week after Indian farmers protested and onion prices plummeted. Chinese food prices rose 10.3% in January, raising concerns about the economy overheating.

In the U.S. consumer prices rose only 1.6% in January, but as CNNMoney reports prices for clothing, appliances and food are expected to rise as increasing demand from emerging economies hikes the cost of raw materials.

"This is something we need to really pay attention to, because it impacts the most vulnerable: children, women, pregnant women and it really hits the poor," said Iweala of the World Bank.

CNN's Richard Quest, Kevin Voigt, John Defterios, Colleen McEdwards and Matthew Chance contributed to this report.

@highlight

The World Bank sounded the alarm this week on rising global food prices

@highlight

Droughts in China have raised harvest worries in the world's largest wheat producer

@highlight

About 10% of the wheat fields in Russia couldn't be planted due to soil damage

@highlight

Global food prices rose 29% last year due to weather shocks such as the Russian drought