(CNN) -- Hurricane season will soon be upon the Caribbean -- a time of year when storms and strong winds lash many of the islands so popular as vacation destinations for travelers across the world.

Currently, however, a different tempest is raging between two neighboring countries over something far more trivial, but no less volatile -- soccer.

Haiti and Jamaica are the latest nations to become embroiled in an unseemly spat that was born on the football field but quickly escalated to dominate and strain diplomatic channels.

Not in doubt is the fact that Haiti's under-17 team had their dream of reaching the soccer World Cup crushed after being forced to withdraw from a qualifying tournament hosted by Jamaica.

Pretty much everything else is up for debate.

Jamaica claims that two Haiti players, and their coach, tested positive for malaria and the rest of the team were quarantined to safeguard the public from the disease.

Haiti says the three individuals in question were not properly cared for and that the rest of the delegation were detained, forced to take anti-malarial drugs and treated like "criminals" up until their departure.

Upon returning home Haiti officials promptly recalled their charge d'affaires to Jamaica, while a protest saw thousands march through the capital Port-au-Prince to protest against the treatment meted out to the youth team.

Jamaica insists the matter is now closed after an assurance from Haitian President René Préval, but those closely involved in the saga are in no mood to forgive or forget.

It is not the first time the beautiful game has been the catalyst for a diplomatic flashpoint. The most notorious row ended in a four-day war between El Salvador and Honduras.

The bordering nations had been at odds over issues of migration and land reform in 1969 when they were drawn to play each other in qualifying for the 1970 World Cup.

The two legs prompted violent clashes between fans, the cutting of diplomatic ties and skirmishes on the border before Salvador launched bombing raids shortly after. Four days later a cease-fire deal was clinched.

And more recently, World Cup qualifying also sparked conflict between African neighbors Egypt and Algeria in 2009 as the Algerian team bus was stoned in Cairo.

Algeria then refused to allow an Egyptian plane to land, prompting a recall of ambassadors. Scuffles dominated the matches between the pair as Algeria claimed a place at the 2010 World Cup at the expense of their great rivals.

Back in the Caribbean, the disagreement over what happened to the team continues to cause diplomatic tension.

Jamaican medical officials forced the squad to stay in hospital, after three of the party displayed symptoms of malaria -- but the approach was heavy-handed according to the head of Haitian soccer.

"The medical team were repressive, aggressive and hostile," Dr Yves Jean-Bart, president of the Haiti Football Federation who accompanied the players on their trip to the tournament, wrote in his official report seen by CNN. "They were not allowed to eat or shower despite being declared sick with borderline temperatures."

The rest of the group, despite refusing, were made to take anti-malaria drugs and then quarantined in their hotel by armed security guards until their failure to field a team against El Salvador confirmed elimination from the tournament.

The Haitian FA described the move as "Machiavellian" in the report mentioned above.

As soon as the Haiti contingent landed back on home soil, the crisis escalated and both governments became involved.

Cue a flurry of communications from, among others, Jamaica's Prime Minister Bruce Golding, claiming the country's dealings with the Haitian delegation were entirely legitimate and in line with its health protocols.

Golding told the Jamaican House of Representatives he regretted how the issue had been "sensationalized" and that language problems between the two parties may have exacerbated the situation.

But Jean-Bart persisted to note in his official report that his players had received "psychological aggression" and "medical persecution" at the hands of their Jamaican hosts.

He told CNN that as far as he is concerned "the matter is not closed ... because it's a discrimination act against our Haitian people. Jamaica has to apologize to our young players before relations are restored."

Myrtha Desulme, president of the Haiti-Jamaica Society in Kingston, told CNN that Haitians on every continent would be "outraged at this last indignity meted out to their children." She claims the entire country is still suffering from post-traumatic stress disorder after the devastating earthquake that tore the country apart in January 2010.

She added: "Even though the Haitian authorities might have accepted to officially close the book on the football issue, due to incapacity, Haitian civil society, both in Haiti and in its diaspora, continues to feel appalled and indignant about the incident.

"These children have been traumatized for life, on the way to achieving their dreams, and they were unfairly and illegally prevented from competing, which they had rightfully earned the right to do.

"Can you imagine what it must have been like for these 15 and 16-year-olds, who were so excited to be living what was probably the greatest adventure of their young lives, to be ... treated like criminals, and thrown out of the host country, just because two team players fell ill?

"Until Jamaicans know the truth of what transpired, they will continue to feel that Haitians have no right to feel hurt, angry, and outraged. As long as Jamaicans do not understand the source of their indignation, Haitians will continue to be incensed and resentful.

"There can be no reconciliation until there is full acknowledgement of the truth, apologies, and forgiveness."

Jamaica contests such allegations. After meeting with a delegation sent by Haiti's government to examine the dispute, Jamaica's Deputy Prime Minister Dr. Kenneth Baugh said: "It should be obvious that Jamaica never intended for the Haitians to feel that they were subjected to discrimination. Our objective is to resolve and bridge the gap."

Olivia Grange, Minister of Youth, Sports and Culture, said in a statement that the other nations in the tournament were subject to the same medical testing Haiti received and that their quarantine was not restrictive.

She said that Jamaica did not "expel" Haiti from the tournament, explaining that they had decided to withdraw in consultation with the footballing authorities.

Haiti will have noted as they wait to see if they will be granted special dispensation to play in the under-17 World Cup by FIFA, that Grange also congratulated the Jamaican team on their qualification.

It appears as if this latest disagreement to be sparked by soccer may take a while to blow over.

@highlight

Jamaica and Haiti are embroiled in a dispute that arose over soccer

@highlight

Haiti claims its under-17 team was forced to withdraw from a tournament hosted by Jamaica

@highlight

The row centers over two Haitian players who were suspected of having malaria

@highlight

Jamaica insists the matter is now resolved but the Haitians want an apology