(CNN) -- Critics of climate action like to say that helping our environment would hurt our economy. Climate-change denier Sen. Jim Inhofe has written that "manmade catastrophic global warming was the greatest hoax ever perpetrated on the American people" and that cap-and-trade legislation could cause the loss of over 4 million jobs.

Inhofe's views matter since he could become the new chairman of the Committee on Environment and Public Works if Republicans win the Senate in the November elections.

But three new studies show climate action can improve the economy and create jobs. Though transitioning to clean energy future will cause some disruption, unchecked environmental damage would cause catastrophic economic loss.

So how can climate action help economy?

Business leaders and economists said in a report that new technologies can spur both economic growth and better climate outcome.

Finance experts at the International Monetary Fund -- hardly a bunch of tree-huggers -- made a similar point. In their paper about carbon pricing, they concluded that higher carbon prices can benefit individual countries even if others don't match them.

And economist Robert Pollin and his colleagues have shown that for every $1 million of investment in clean energy, the U.S. can create 16.7 jobs compared with only 5.3 jobs from fossil fuel investments. Overall, green energy investments combined with carbon taxes can create 2.7 million jobs in areas such as renewable energy, construction, manufacturing, transportation, new technologies and services -- even taking into account the transitional job loss from fossil fuel industries.

We should pay attention to these ideas. American energy policy is backwards. Federal and state governments give out over $20 billion in annual subsidies for fossil fuel exploration and production, which benefit highly profitable companies such as Exxon Mobil, Shell and BP.

But if the U.S. implements even a modest federal carbon tax, we could generate $170 billion by 2030 to create jobs and build bridges, roads and schools, reduce budget deficits, and cut taxes to spur private investment.

Without carbon taxes, we treat our environment -- air, oceans and fresh water -- as a garbage dump where we fill up excess carbon. But the garbage can is overflowing because carbon emitters don't pay the full price for carbon emissions.

Think of it this way: It's like a bad neighbor who dumps garbage in the neighbors' yards. That person saves money, but everyone else pays to clean up the foul mess and the entire neighborhood suffers. Just like with trash, carbon taxes must bear the full cost of their negative effects.

The first dollar of any carbon tax must help communities and workers in the transition to green economy. In fact, many fossil fuel job losses already have taken place. West Virginia coal mining employment fell from 120,000 in 1950 to 25,000 by 2011. Carbon taxes are not the real threat to coal miners and their communities -- greedy energy companies are. These companies make profit but leave fewer jobs and harm communities.

Compensation to job losers, paid from carbon tax revenues, can be modeled after federal programs such as the Trade Adjustment Assistance for displaced trade workers or the Pentagon's program that helps communities that lose military bases.

There are successful policies that have reshaped market incentives to give clean energy and green jobs a fair chance.

In 2011, Germany expanded wind turbines and solar energy, aiming to replace all nuclear power. Thirty percent of the country's electricity is now derived from renewables. Germany's massive investments are driving down wind turbine and solar technology prices, making them more cost-effective.

Los Angeles, urged by an alliance of environmentalists, unions and community organizations, is changing a basic city service -- the commercial trash pickup -- to cut emissions from garbage trucks, increase recycling and encourage industries to use recycled materials,to achieve a "zero waste" target by 2050. These new trash policies will also create better, safer and higher-paying jobs.

So the economic cost of moving to a clean energy economy is not anywhere near what the fear-mongering of Inhofe and others would have you believe. Instead, we can create jobs, help those who are in transition, and save our precious common resource -- the planet where we all live. We just have to use our brains.

As one marcher at the recent People's Climate March aptly puts it in his protest sign: "Global Warming and No Jobs -- Two Problems, One Solution." There is only solution, and we must embrace it.

@highlight

Rick McGahey: Critics of climate action think helping environment would hurt economy

@highlight

McGahey: Three new studies show taking climate action can create jobs

@highlight

He says U.S. energy policy is backwards with federal subsidies given to fossil fuel industries

@highlight

McGahey: A carbon tax can help the economy and workers transition to green energy future