Washington (CNN) -- In a congressional version of hot potato, the Senate on Friday passed a short-term spending plan that would prevent a looming government shutdown and sent it to the House for a weekend showdown between Republican tea party conservatives and their more moderate party leaders.

The 54-44 vote on strict party lines came after Senate Democrats pushed through an amendment to restore funding for Obamacare that House Republicans had eliminated in their version of the spending measure, which would prevent the start of a government shutdown on Tuesday.

Now House Speaker John Boehner must decide whether to urge his divided Republican caucus to vote with Democrats to pass the Senate plan, or yield again to a hardline conservative wing that demands making continued government funding contingent on undermining Obamacare.

Cruz loses filibuster bid

The Senate began its votes Friday by easily overcoming a filibuster led by GOP Sen. Ted Cruz of Texas against the spending plan. Cruz waged a 21-hour floor speech this week against Obamacare, but 25 more moderate Republicans rejected his tactics in voting with Democrats on Friday to move ahead on the measure.

All but two of the other Senate Republicans then joined Cruz in opposing the Democratic amendment to restore Obamacare funding, as well as in the vote for final approval. The other two Republicans -- Sens. Jeff Flake of Arizona and Orrin Hatch of Utah -- were out of town.

Boehner indicated Thursday the House could revise the Senate's version and send that back, a move that Senate Majority Leader Harry Reid warned would result in at least the start of a government shutdown because of the time it would take to reconsider the proposal.

Cruz said Friday he expected his GOP colleagues in the House to continue the fight by revising the spending plan, which would mean "this issue is coming back to the Senate."

In Friday's votes, Democrats facing re-election next year in conservative-leaning states such as Mark Pryor of Arkansas, Mark Begich of Alaska, Mary Landrieu of Louisiana and Kay Hagan of North Carolina all resisted Republican pressure to buck their party over the Obamacare funding.

After the Senate vote on the spending plan, President Barack Obama criticized Republicans for using the threat of a government shutdown as leverage in trying to defund Obamacare.

"The House Republicans are so concerned with appeasing the tea party that they have threatened a government shutdown or worse unless I gut or repeal the Affordable Care Act," Obama said, adding: "That's not going to happen."

He noted new exchanges for private health insurance under the law will open next week as scheduled even if there is a government shutdown, calling it "a done deal."

Exclusive: Romney disagrees with GOP tactics

The revised spending measure approved by the Senate -- called a continuing resolution -- would fund the government through mid-November, more than six weeks into the new fiscal year that begins Tuesday.

Democratic Sen. Barbara Mikulski said the goal now was to work out a broader spending plan for the rest of fiscal 2014 that would ease the impact of forced cuts to the military and other government programs.

House GOP split

Republican leaders in both chambers don't want a shutdown now over the spending issue, for political and negotiating reasons.

They fear the optics of Republicans being blamed for a shutdown, and also want to exert as much leverage as possible for the GOP's agenda at the upcoming deadline to raise the federal debt limit.

However, Boehner needs backing from the 40 or so tea party conservatives in the House in order to have a spending plan pass with full support from his Republican caucus.

Their opposition to the Senate version that had included funding for Obamacare would mean the measure could only pass the House with support from all Democrats and some Republicans, which would further weaken Boehner's already shaky leadership of his caucus.

The brinksmanship highlights the division within the Republican Party over how best to attack Obama's signature domestic policy achievement, which was pushed through Congress by majority Democrats in 2010 and upheld by the Supreme Court last year.

Tea party conservatives want to halt Obamacare now, just as full implementation of its individual health care exchanges begins in the new fiscal year starting Tuesday.

In the Senate, veteran Republican conservatives such as John Cornyn of Texas oppose the tea party strategy of linking the Obamacare funding to a possible government shutdown.

"There are some people across America that are so upset with Obamacare -- and I understand their frustration -- that they say we ought to shut down the federal government," Cornyn said, adding that the Congressional Research Service had determined the health care reforms would be funded even if there was government shutdown "because there are alternate sources of revenue that could be used to keep it going.

"So I say to my friends who say we ought to shut down the government to get rid of Obamacare that it won't work," he said.

Democrats slam GOP tactics

Democratic Sen. Tom Harkin of Iowa called on House Republicans to "be responsible and forget about kid's games like picking up their marbles and going home or throwing a temper tantrum or shutting down the government because you can't get your way."

On Thursday, Boehner had to delay their plan to introduce a bill to raise the nation's debt limit after conservatives complained the proposed package failed to include enough budget cuts and significant changes to entitlement programs.

The Obama administration says the debt ceiling must be increased by October 17 to ensure the government can pay all its bills.

Boehner signals GOP focus now on debt ceiling

Boehner and his top lieutenants initially hoped to move ahead with their proposal to permit Washington to borrow more money to pay its bills as soon as Friday.

The initial proposal by House GOP leaders, which would raise the debt ceiling for a year, included a lengthy list of GOP priorities including a one year delay of Obamacare, provisions to roll back regulations on businesses, tax reforms, and approval of the Keystone XL oil pipeline.

However, conservatives wanted more.

"It definitely has a lot of goodies in it, things that arguably would grow the economy and would arguably would generate more revenue," GOP Rep. Mo Brooks of Alabama told reporters, adding he was undecided on whether to support it. "Washington has a spending problem and this debt ceiling bill does not address the problem."

Another Republican, Rep. Cynthia Lummis of Wyoming, told CNN that she was also undecided but wanted to see deeper budget cuts on the measure.

"I came here to cut spending and to reduce the size of the federal government, so when those opportunities arise I want to take advantage of them," Lummis said.

When asked Thursday about the scope of cuts, Boehner told reporters that "in this bill, we have spending cuts and we have issues that will help spur more economic growth. We think the balance is correct."

Obama said Friday that the GOP strategy amounts to threatening to "burn the house down simply because you haven't gotten 100% of your way."

"That's not how our democracy is supposed to work," he said, repeating his past insistence that he will not negotiate under threat of a U.S. default because Congress failed to increase the debt ceiling.

White House spokesman Jay Carney told reporters on Thursday a one-year delay in implementing Obamacare's individual mandate for people to obtain health insurance would undermine a key provision of the program that prohibits the denial of coverage due to pre-existing conditions.

"The fact is you have to make the system work," Carney said, adding people with pre-existing conditions won't be denied insurance under Obamacare "because of the expansion of the number of people who will be covered and participate in these marketplaces provided by the Affordable Care Act through the individual mandate."

Some House Republicans questioned the strategy of proceeding to the debt ceiling fight before Congress resolved the question on spending and the possible shutdown. They argued the GOP still had some leverage to force a change to Obamacare on that measure.

CNN Chief National Correspondent John King said Thursday that focusing on the debt ceiling was where House Republicans "wanted to wage this fight all along."

"They didn't want to get bogged down in the government shutdown fight, but a conservative revolt within the House Republican ranks forced them to get there," King said.

Analysts warn of severe economic impact from any doubt cast over whether the United States would fail to meet its debt obligations. A similar bout of congressional brinksmanship over the debt ceiling in 2011 led to the first-ever downgrade of the U.S. credit rating.

CNN's Dana Bash, Ted Barrett, Deirdre Walsh and Bryan Koenig contributed to this report.

@highlight

NEW: President Obama criticizes Republican tactics on shutdown, debt ceiling

@highlight

The Senate sends the House a revised spending plan to avoid a shutdown

@highlight

Senate Democrats restore funding for Obamacare opposed by Republicans

@highlight

House Speaker John Boehner faces a showdown with tea party conservatives