(CNN) -- Oscar Pistorius claims that when he heard noises in his home, he mistook girlfriend Reeva Steenkamp for an intruder and accidentally shot her with his 9 mm pistol.

Plausible? The courts will decide. In the meantime, the killing has highlighted South Africa's history of gun violence and high crime. And it's shown the world that many South Africans live with a palpable, almost paranoid, fear of having their homes broken into.

In 2012, more than 50% of South Africans told the country's police force that they're afraid. The number of home burglaries across the country of 50 million have more than doubled. They totaled 9,063 in a 12-month period spanning 2002/2003; seven years later, it was up 18,786. And in a similar period ending in 2012, reported break-ins dipped to 16,766, according to South Africa's crime reporting body, the Institute for Security Studies.

The international group Gunpolicy.org reports that there are about 6 million licensed firearms in South Africa.

"The paranoia about being a victim of a house robbery is understandable," said the group's small arms researcher Lauren Tracey. "Victims are relatively helpless against these attacks."

READ MORE: Who is "Blade Runner" Oscar Pistorius?

It's common to see armed guards patrolling gated, middle-class neighborhoods.

Hiring a private security firm is not the exception but the norm. Workaday people install panic buttons, closed-circuit televisions, man trap doors, boom gates and outdoor point-to-point infrared motion-sensing beams on their houses.

Also unique to South Africa: When burglars break in, they likely aren't after a flat-screen television or jewelry, experts say. They want the homeowner's guns.

That's in part because it's very hard to acquire a gun legally in South Africa, but it remains, many say, relatively easy to get a gun illegally.

A history of violence

To understand South Africa's gun culture, it's crucial to go back nearly two decades. In 1994, apartheid ended. The official system of racial segregation, in place since 1948, took rights away from black Africans and gave virtually all power in every aspect of life to whites.

For generations, violence born out of apartheid spawned a kind of arms race; blacks and whites fought against each other, and everyone else armed themselves, afraid to be caught in the cross fire.

READ MORE: Reeva Steenkamp, from model to law graduate

Gun violence was at a record high as the country made its first effort to become what archbishop and peace crusader Desmond Tutu envisioned -- a rainbow nation.

Other spiritual leaders around the country began campaigning to reduce violence.

"Before 1994, there was a low-key civil war in South Africa," said Claire Taylor, a spokesperson for Gun Free South Africa, a non-profit group that grew out of a movement to cut down on crime born from years of inequity during apartheid. "Both sides -- white and blacks -- were armed soldiers in a way."

READ MORE: South Africa's legal system in the spotlight

The roots of gun culture in South Africa are not unlike those of the United States, she said.

"There is a history of colonization, of taking, of settling," she said. "For black people, the AK-47 was a symbol of liberation, of fighting back. There is huge meaning attached. Gun are about fighting and superiority."

Unlike the United States, the right to own a gun is not written in the country's constitution.

Police have confiscated and destroyed hundreds of thousands of unlicensed guns, but it's unclear how many illegal guns remain on the street.

Researcher Tracey also believes that criminal violence is rooted in South Africa's historical traumas. There was rampant proliferation of firearms in the nation before the end of apartheid, and liberation movements stockpiled them.

Many of those weapons, she said, were never recovered.

Laying down the guns

As Nelson Mandela, South Africa's first black president, took office in 1994, there was a tremendous desire to put the guns down.

"There was a national feeling that we had lived under the gun for so many years during apartheid, and we had to do something to signal that beginning anew was possible," said Claire Taylor, the non-profit's spokesperson.

Taylor was personally motivated to act. At the time, one of her closest friends was shot to death during a break-in.

In 2000, South Africa passed the Firearms Control Act. Since then, violence by handguns, Taylor said, has dropped steadily, often by double digits.

Among the law's rigors: Before it was enacted, 16 was the minimum age to own a gun; today it's 21. To apply for a gun, you have to take competency tests, akin to a driver's license test, which demonstrates that not only can you shoot straight, but that you also know the law and how to store your firearm safely.

Next, law enforcement conducts a background check that runs an applicant's criminal history and also tries to assess whether the applicant has a propensity for violence, may be mentally ill or suffers from an addiction that might cloud their judgment. An applicant must give references whom the authorities will interview, including relatives and a spouse, if that's possible, Taylor said.

Authorities go a step further, checking medical information and digging into any instances of domestic violence or employment issues.

Once licensed, gun owners must reapply and requalify for their licenses every two to 10 years.

South African law also helps ensure that only one gun per person is approved. If someone is a sport shooter or has a reason that for needing to own more than one gun, he must file a separate application and explain, Taylor said.

The law isn't a fix-all

The law isn't perfect. As one South African correspondent put it, guns are still very much a part of the culture. Signs at South African airports and casinos point to where consumers should drop off their weapons.

And gun ownership advocates say that is why people are still incredibly afraid of hearing someone creeping in their house at night.

There are about 2,000 guns stolen from legal gun owners in South Africa every month, according to Gun Free South Africa.

Between April 2005 and March 2011, more than 18,000 police firearms were reportedly stolen or lost. Guns have gone missing from police stations.

There's also a severe backlog in gun license applications, some of which date back several years. A task force has been appointed to look into the problem, Taylor said.

All of this has highlighted one fact for the country gun rights organization Gun Owners of South Africa.

Executive Wouter de Waal told CNN that it is "dead easy" to get weapons illegally.

And there's little reason for armed burglars to think they'll be caught and punished. The rate of arrest and prosecution in the country is 7%, said former detective Rudolph Zinn, who wrote a book about home invasions and now trains South African police.

He believes there's one chief reason for that: Few South Africans trust law enforcement because in recent years, the police force has become politicized, with higher ranking officers who are politically appointed.

"In 1994 there was a push to have policing more community-focused, there was more legislation to focus on that," he said.

"There was a distrust related to our heritage," he says, referring to apartheid, "and unfortunately, over the years, we've gone back to that. I saw it often when I was a detective.

There are undoubtedly more home invasions, he said, than are officially counted.

"People don't even want to report a crime," he said, "because they don't believe anything is going to come of it."

READ MORE: What life's like in a South African prison

READ MORE: Photos show Steenkamp's transformation

CNN's Emily Smith contributed to this report.

@highlight

One report: More than half South Africans fear home invasion

@highlight

Former detective: Crimes are difficult to solve because many don't trust police

@highlight

Pistorius case brings gun violence in the country to global attention