(CNN)Jon Reiter is no stranger to Mount Everest -- its world-record height, its prestige, its challenges.

And its dangers.

He learned that again shortly before noon Saturday, after a monster magnitude 7.8 earthquake struck Nepal. It not only rattled cities like Kathmandu and Pokhara, but caused avalanches at Everest and nearby peaks.

Reiter was safe but shaken by the devastation. He told his wife, Susan, about his putting one dead person in a sleeping bag and zipping it up, seeing others killed by the falling ice and collapsing snow, and doing all he could to help others fighting for their lives.

"It's been a really rough day," Susan Reiter told CNN. "Jon's been comforting injured people that he doesn't think will survive."

Jon Reiter told CNN on Sunday morning that 17 people had been killed on the mountain.

The Indian Army's Everest Expedition evacuated the bodies of 13 mountaineers from a base camp who had been preparing to scale the mountain,  spokesman Col. Rohan Anand said Saturday. Separately, Dr. Nima Namgyal told CNN he has seen 14 bodies so far.

Many of those killed came from other countries, according to Namagyal, something that's not surprising given Everest's lure for many hikers around the world.

What may be as remarkable is all those who survived, a number that's likely in the hundreds. They are women and men like Alex Gavan, who tweeted about running for his life from his tent.

"Huge disaster," the mountaineer said hours later, warning that the death toll could skyrocket if helicopters didn't come quickly to evacuate those hurt. "Helped searched and rescued victims through huge debris area. Many dead. Much more badly injured. More to die if not heli asap."

Another hiker, Carsten Lillelund Pedersen, wrote on Facebook that "a huge avalanche swept over basecamp" that had almost 500 tents, saying he survived by hiding behind a stone structure. Afterward, the camp's dining tent was transformed into a makeshift hospital headed by the camp manager, who happens to be a doctor.

And even hours after the biggest quake struck, the threat of more casualties -- and the challenge of finding out how high the toll actually is -- remained very real.

"On top of the whiteout after the avalanche it has been snowing since last night so it is difficult to see the following avalanches, and there are so many - maybe one every 5 min - that I have stopped counting," Pedersen wrote on Facebook. "This also makes it more difficult to search for people."

Several companies specialize in bringing hikers to Everest. One of the biggest is Alpine Ascents International, based in Washington state.

"The Alpine Ascents International Mt. Everest climbing team was in the icefall and is now safe at Camp 1, avoiding the avalanche that hit Base Camp," the Seattle-based company reported on Facebook. "Please keep those affected in your thoughts as we continue to receive updated reports on the damage and losses in Nepal."

But not every foreign company that brings climbers to Nepal was so lucky. Two reported the deaths of Americans on the mountain.

That includes British-based Jagged Globe, which has offered mountaineering expeditions, courses, adventure skiing and other experiences for the past 20 years.

The company reported Saturday that American Dan Fredinburg died in the Everest base camp avalanche, while two others suffered non-life-threatening injuries.

A Google executive who made headlines for dating actress Sophia Bush, Fredinburg had been posting photos and updates of his adventures in Nepal on Instragram and Twitter, where he referred to himself as an "adventurer, inventor, and energetic engineer."

His sister updated the account with a message, saying he suffered a major head injury.

"We appreciate all of the love that has been sent our way thus far and know his soul and his spirit will live on in so many of us. All our love and thanks to those who shared this life with our favorite hilarious strong willed man. He was and is everything to us," his sister, Megan, wrote.

The expedition company sent its condolences.

"Our thoughts and prayers go out to Dan's family and friends," read a statement on Jagged Globe's website, "whilst we pray too for all those who have lost their lives in one of the greatest tragedies ever to hit this Himalayan nation."

Eve Girawong, a base camp medic from New Jersey who worked on the mountain, also was killed, according to her family and employer.

"On behalf of my family, it is with deep sadness that I write that our beloved daughter, younger sister and best friend has been taken from us today.  Nong Eve Girawong was doing the thing she loved doing most -- helping others.  Words cannot describe the heartbreak and pain that we are currently suffering," a family member wrote on Facebook.

She was working for Madison Mountaineering, a boutique mountain guide service based in Seattle. Kurt Hunter, one of the company's co-founders, confirmed her death.

Jim Whittaker, the first American to reach the summit of Mount Everest back in 1963, is still a mentor to experienced climbers trying to follow in his footsteps.

The 86-year-old confirmed that climbers he knows to currently be on Everest are safe.

But some are trapped above the icefall, "which is very dangerous anyway," Whittaker told CNN. Since the avalanches, "the whole route would be different now than before the quake. They'll have to put a new route in from base camp up through that icefall ... They (the climbers) will have to cool it for a couple days, way until the route is reestablished ... they've got enough food and fuel for the stoves."

His son, Leif Whittaker, told CNN that he hasn't heard from everyone he knows to be on Everest.

"It's really tragic and I'm really saddened by the news," he said. "I have a lot friends in the area and friends on Everest right now. It's hard to get news from base camp and the mountains because communication is difficult as it is. Many of my friends are safe, but I'm not sure if all of them are.

"It's been a bad few years on Everest," he said. "My heart goes out to them, and I'm sending them my love and strength."

This tragedy struck just over a year after another deadly avalanche on the 29,035-foot peak that likewise sent everyone -- from seasoned Sherpas to foreign tourists -- running for their lives.

At least 13 Nepalese locals and Sherpas were killed in that incident, which at the time was the deadliest incident ever around Everest. The highest single-day death toll before then came in May 1996, when eight climbers disappeared during a big storm -- an episode chronicled in Jon Krakauer's bestselling book, "Into Thin Air."

Given the scale of the avalanches and fact they occurred near the start of the busy spring climbing season, it's possible this day could turn out to be the most deadly.

Climbers traditionally arrive in April to get acclimated to the high altitude before trying to scale the summit. There's no guarantee they'll get the chance to go up this season. After last year's avalanches, the mountain was shut down.

But whether it's their livelihood or their obsession, the people who tackle Everest will be back.

"This is our job," said Pasang Sherpa, who lost "friends in brothers" in the 2014 avalanche. "So there is always a risk of death."

For many mountaineers, the draw of Everest has long been hard to resist. One of them is Reiter, who has scaled all of "The Seven Summits" -- the highest mountain on each of the seven continents -- except this one. This would be his third straight year trying. He turned back in 2013 "because it didn't feel right" and survived last year's avalanche, according to his wife Susan.

Her husband phoned her multiple times since the latest avalanches, reassuring her that he's OK physically even as he struggles emotionally with the tragedy.

But does that mean he won't go back to try to scale Everest again?

"You would think that he wouldn't because of this and because of last year," Susan Reiter said from her Northern California home. "But knowing my husband I think he will. I hope not, but I don't want to hold him back."

Nepal rescue efforts come down to neighbors

CNN's Katia Hetter, Jessica King and Carma Hassan contributed to this report.

@highlight

Family of American medic killed posts message on Facebook says she died while at base camp

@highlight

At least 13 die after avalanches at Mount Everest base camp, authorities say; Climber says 17 dead

@highlight

Dining tent at one base camp has been transformed into a hospital, another hiker says