Top Egyptian security officials defended army and police actions in clashes Monday in Cairo that led to the deaths of more than 50 people, saying they were defending the Republican Guard headquarters against attackers.

Health Ministry official Khaled al-Khatib said 51 died and 435 others were wounded when Egyptian security forces fought with supporters of deposed President Mohamed Morsy and the Muslim Brotherhood outside the headquarters.

Witnesses said the military and police fired as protesters took a break from holding a vigil at the Republican Guard headquarters to perform their dawn prayers. Morsy was reportedly detained in the building after his arrest Wednesday.

But Interior Ministry spokesman Hani Abdel-Latif and army spokesman Col. Ahmed Mohammed Ali said security forces were under attack. Ali said that around 4 a.m. "an armed group" used bombs, rocks and bullets to attack the area and the people safeguarding the headquarters building.

Speaking to reporters, the officers said it's the job of the security forces to protect protesters. But, they said, what unfolded was an assault and they had to embark on defending the institution.

Ali dismissed claims from the pro-Morsy opposition, such as the killing of children, and warned of "lying," "rumors," and "psychological warfare." Video meant to support the security forces' position was shown at the news conference. They seemed to show a few protesters who may have had firearms, but the context of the images is hard to discern.

The Freedom and Justice Party's deputy chairman, Esam al Aryan, said on the group's Facebook site that four children were killed.

Zakaria: What needs to happen next in Egypt

Speaking about the presence of children before dawn, Ali asked what kind of people would bring their children to that location at such a time.

"The Egyptian armed forces kills only its enemies. It will never kill its own children," Ali said.

Mirna El Helbawi, a witness who lives on a street near the Republican Guard headquarters, saw violence unfold in the area but stressed no one had been performing prayers at the time. Security forces, she said, arrived at the scene, apparently prompting pro-Morsy people to beat on street lamps and shout, "They're here. They're here."

Soldiers approaching a nearby mosque tore down stone barricades erected by pro-Morsy groups and fired tear gas. Pro-Morsy protesters, atop the mosque, threw rocks and fired shots. She said she saw one security forces member go down and then be taken away by his comrades.

While she heard shotgun bursts, El Helbawi said she is not sure which group initiated the shooting. But she said she is sure both groups were shooting at each other.

She also saw fire inside the mosque, a flame that died down and then flared up. She saw an ambulance arrive to get people out of the mosque and about a half dozen bodies were retrieved, she said. Several people were arrested.

Amnesty International called Monday for an urgent independent investigation into the 51 deaths.

"There is a crucial need for independent and impartial investigations that can be trusted by all sides. However, Egypt's authorities have a poor track record of delivering truth and justice for human rights violations," said Hassiba Hadj Sahraoui, Deputy Director of the Middle East and North Africa Programme, in a news release.

Victims treated at a chaotic facility

The Monday morning violence further deepened a crisis in the country -- the Arab world's most populous -- where Morsy supporters have been squaring off daily with security forces after his ouster in a military coup last week.

CNN counted at least eight bullet-riddled bodies and up to 40 wounded at the chaotic emergency facility in the Egyptian capital, down the street from the site of the shooting. The upper bodies of the victims appeared to be peppered with shotgun pellets and bullet wounds.

Doctors tended to the victims, performing surgeries in many cases before shipping them out to other facilities. Egyptian flags were draped over those who did not survive.

CNN shot footage of men bleeding and bandaged on gurneys and blood on the ground. There were not enough ambulances to take all the injured to hospitals, CNN's Karl Penhaul reported on the scene.

An Interior Ministry statement earlier said two security force members -- a lieutenant and a recruit -- were shot and killed. It is unclear if the Health Ministry toll includes these personnel.

Reacting to the shooting at the Republican Guard headquarters, the Al-Nour party -- which supported Morsy's ouster -- withdrew from all talks about forming an interim government.

"We will not remain silent on the Republican Guard massacre," party spokesman Nader Bakkar said. Interim President Adly Mansour ordered the formation of a committee to investigate the incident, according to state-run Nile TV.

Later, news outlet Al Jazeera posted a statement online on its English Facebook page speaking out against what it said was the intimidation of its journalists covering the unrest.

Dozens of journalists have been rounded up and detained by authorities, the post says. Journalists' offices have been raided, "threatening leaflets" have been scattered outside Al Jazeera's offices and "Al Jazeera Arabic's correspondent" was "hounded out of a government press conference by attendees who applauded" when the event ended, the post says.

Meanwhile, the White House appeared to rule out an immediate cut in military aid to Egypt over last week's coup, with spokesman Jay Carney telling reporters Monday, "It would not be in the best interests of the United States to immediately change our assistance programs" to Cairo.

Asked repeatedly whether the ouster of Egypt's president and nullification of the constitution was a military coup, Carney said the Obama administration would "take the time necessary" to assess what he called an "incredibly complex and difficult situation" before deciding how to proceed. Under current U.S. law, a coup would stipulate a change in American military aid.

Catherine Ashton, European Union foreign affairs chief, and U.S. State Department spokeswoman Jennifer Psaki called for restraint and urged reconciliation on Monday.

"Dialogue and inclusiveness are the only way forward in speedily restoring a civilian and democratic framework," Ashton said.

Psaki said Washington is focused on "returning stability" and is hoping that Egyptians will unite "in a non-violent and inclusive way."

"We call on the military to use maximum restraint responding to protesters, just as we urge all those demonstrating to do so peacefully," she said.

Elsewhere, in eastern Cairo, Morsy supporters kidnapped two soldiers, state radio reported.

Before the outbreak of violence Monday, more than 30 people had died and 1,400 had suffered injuries since the coup. Egypt's military declared over the weekend it was stepping up security efforts for the demonstrations.

"We also warn against any provocation or clashes with the peaceful demonstrators," the statement said. "Anyone who violates these instructions will be dealt with firmly in accordance with the law."

From hope to despair: Egypt slides into economic uncertainty, again

Top religious figure speaks out

Meanwhile, the grand imam of Egypt's prestigious Al Azhar Mosque called for calm on Monday and urged the release of political prisoners, likely a reference to Muslim Brotherhood members incarcerated in recent days.

Sheikh Ahmad Muhammad Al Tayeb, speaking in an audio played on Egyptian state TV on Monday, also called for all parties to refrain from anything that could lead to bloodshed, passed along his condolences to those who died in Monday's violence and urged the state to protect demonstrators.

Al Tayeb called for an immediate probe of the killings and an immediate announcement of the results. He urged the formation of a committee to achieve national reconciliation and urged the announcement of a timetable for the political transitional period that won't exceed six months. He said media should work toward such reconciliation and not incite.

"I will from now and on retreat to my house, until national reconciliation is achieved and this bloody atmosphere ends," he said. Al Azhar, both the mosque and the university, are influential institutions in the Sunni world.

Opinion: Can true democracy exist in military-dominated Egypt?

Morsy supporters vow peaceful protests

Morsy has long been affiliated with the Freedom and Justice Party, the Muslim Brotherhood's political movement. The group promised its protests would be peaceful and accused authorities of planning to send fake bearded men into Cairo's Tahrir Square to incite violence.

"This is so they can claim that the supporters of the elected president and the Islamic groups are attacking the peaceful demonstrators. ... We warn those who play with fire that any sectarian incitement at this critical time will not be in the interests of anyone in our beloved Egypt," the party said in a statement on Facebook.

Team of political scientists saw Egypt's turmoil coming

Tahrir Square will likely attract many people on Wednesday as Ramadan begins in Egypt. Several popular musicians are expected to play, according to state-run EgyNews.

Politics in the midst of chaos

The latest violence came only hours after state television reported that Egypt's interim president had nominated Mohamed ElBaradei as vice president and Ziad Bahaa el Din as prime minister.

Mansour, the interim president, will need to get political consensus before they are appointed.

Presidential spokesman Ahmed Almoslemani stressed on Nile TV there is no specific deadline of when the new government will be announced.

Nile TV had previously reported that he said an announcement would be made within 24 hours.

Earlier, ElBaradei's name had been floated for the office of prime minister, but a swearing-in announced for Saturday didn't happen.

Mahmoud Badr, spokesman for the rebel movement Tamarod, told Egypt's OTV on Sunday that the presidency had tapped ElBaradei to form the new government but then retracted the offer after objections from the conservative al-Nour party.

ElBaradei is well-known as the former head of the U.N. atomic watchdog agency, the International Atomic Energy Agency, and a Nobel Peace Prize winner. He was to appear Sunday in an interview with CNN's Fareed Zakaria but canceled it along with all other media interviews, his office said.

Opinion:  U.S. must not fail Egypt

@highlight

A witness says she is sure both sides were shooting at each other

@highlight

Officials defend the military and police actions in Monday clash

@highlight

Al-Nour party withdraws from government talks

@highlight

A White House spokesman calls situation "incredibly complex and difficult"