(CNN) -- This might sound like a legal conundrum:

A Florida jury has pronounced George Zimmerman not guilty of murdering Trayvon Martin.

But a court could still hold him accountable for the death.

Martin's family so far has only commented that it wants the public to respect the Florida court's verdict.

Two options, however, are available: A civil suit, or a civil rights suit. Though they sound similar, they are very different.

A civil suit allows one party to seek monetary damages against another for causing physical or emotional harm, regardless of the outcome of a criminal trial.

A civil rights suit involves criminal charges for violating someone's civil rights, which are protected under federal law.

Feds are asked to act

Civil suit

Take what happened to O.J. Simpson 17 years ago.

After a criminal court acquitted him of charges in the 1994 killing of his ex-wife Nicole Brown Simpson, a civil court held him responsible in 1997 for her "wrongful death."

It ordered him to pay her family more than $33 million in damages. Various courts then stripped Simpson of every asset they could get their hands on.

Wrongful death is easier to prove than murder or manslaughter.

A defendant can be held liable, even if he or she didn't intend to cause the victim's death, according to Florida law.

Simple negligence is enough, if it results in death.

Did Zimmerman act negligently, when he exited his vehicle to pursue Martin on foot while carrying a gun -- although a 911 operator told him not to?

Would the 17-year-old still be alive if Zimmerman had not done so?

Those are questions a lawyer for Martin's family would be sure to ask in a wrongful death suit.

Martin's family has so given no indication so far of wanting to pursue an additional suit.

But someone else has.

Trayvon's dad: My heart is broken, my faith is not

Civil rights suit

The NAACP is pushing the U.S. Department of Justice to file a civil rights suit.

They accuse Zimmerman of racial profiling that led to Martin's death -- an allegation that Zimmerman, his family and his supporters have denied.

Analysis: The role that race played

"The most fundamental of civil rights -- the right to life -- was violated the night George Zimmerman stalked and then took the life of Trayvon Martin," the group said.

NAACP President Benjamin Jealous told CNN's "State of the Union" on Sunday that remarks made by Zimmerman and people who live in his Sanford, Florida, neighborhood had sparked the group's concern.

"When you look at (Zimmerman's) comments, and when you look at comments made by young black men who lived in that neighborhood about how they felt especially targeted by him, there is reason to be concerned that race was a factor in why he targeted young Trayvon," Jealous said.

The NAACP leader's allegations drew sharp criticism Sunday from Robert Zimmerman Jr., who argued that FBI interviews have already shown that his brother isn't racist.

"I don't think (Jealous) does anything for civil rights by perpetuating a narrative that has now been proven false. ... They've investigated I think about three dozen of his closest friends and acquaintances. And there is not any inkling of racism. In fact, there's evidence to show the opposite," he said. "I would encourage them to cool their jets, give everyone some time to kind of process what's going on. Agitation doesn't help us. It doesn't do anybody any good right now."

The Rev. Jesse Jackson told CNN's "New Day" on Sunday that his Rainbow PUSH Coalition also wants the Justice Department to look into possible civil rights violations in the case.

"There's a Trayvon in every town," he said. "That's why the Department of Justice has a role to play, to look at this pattern, because equal protection under the law remains elusive."

The Justice Department did not respond directly to the NAACP demand. It has a separate federal investigation going on.

"Experienced federal prosecutors will determine whether the evidence reveals a prosecutable violation of any of the limited federal criminal civil rights statutes within our jurisdiction, and whether federal prosecution is appropriate in accordance with the department's policy governing successive federal prosecution following a state trial," it said in a Sunday statement.

It's a legal path that worked in the case of Rodney King, whom Los Angeles police officers clubbed down in 1991 after a car chase.

The beating of the African-American man was caught on video and later aired on news broadcasts.

When a criminal court failed to convict the white officers of police brutality, riots ensued in Los Angeles over alleged racial discrimination.

The Justice Department filed a civil rights suit against the officers, alleging racial profiling, and two were convicted in 1993 as a result.

A court sentenced them to 30 months in federal prison.

CNN's Catherine E. Shoichet and Jessica Yellin contributed to this report.

@highlight

NEW: The Justice Department says it has an ongoing civil rights investigation

@highlight

Zimmerman's brother: "There is not any inkling of racism"

@highlight

The NAACP is calling for the Justice Department to file a civil rights suit

@highlight

Zimmerman could be held liable for Martin's death in a wrongful death suit