The Obama administration on Tuesday lost a Supreme Court fight over property rights that centered on a series of federally controlled and managed floods that caused major timber damage along an Arkansas river.

The 8-0 ruling concluded that the periodic release of water from a U.S. Army Corps of Engineers dam project begun two decades ago was a government "taking." The legal designation would require the federal government to pay the state for damages.

"Removing temporary flooding from Taking Clause inspection would be out of sync with our recognition that, as a rule, temporary takings may be compensable," said Justice Ruth Bader Ginsburg. "Why should courts differentiate flooding from the myriad other instances of government occupation or invasion of property?"

The dispute is narrow and unique in many ways, but could clarify the standards for determining the scope, length of time, and impact of government actions affecting many property owners -- private and public.

At issue for the high court was whether the resulting downstream flooding was effectively "permanent" and therefore a "taking," or was merely "temporary" and only a "trespass."

The state of Arkansas owned the flooded land and had earlier won a $5.6 million judgment. During oral arguments in October, several on the bench expressed support for the state.

"You knew when you opened up the dam that this is where the water was going to go," Chief Justice John Roberts said to a federal government lawyer.

"Your position seems to be that if it's downstream, somehow it's not the government's water," said Justice Anthony Kennedy. "It's like the old moral refuge that the rocket designers take: I only make the rockets go up; where they come down is not my concern."

The Army completed the Clearwater Dam in 1948, along the Black River in southeastern Missouri, in response to prior natural flooding. About 110 miles downstream, in northeastern Arkansas, is the Dave Donaldson Wildlife Management Area. It is 23,000 acres of state-owned riparian land used for duck and game hunting, wildlife management, and timber harvesting.

Federal rules for decades had managed normal release of the water, and provided for both "planned" and "unplanned minor deviations." Beginning in 1993 the Corps launched a series of planned, irregular quick releases of water during the summer growing season in part to give upstream farmers more time to harvest their crops without their fields becoming inundated.

Under the unique dynamics of stream flow and hydraulics, the result was higher water levels downstream, and long-term flooding of the state property during the critical growing period. The series of deviations lasted until 2000.

The Constitution's Fifth Amendment forbids "private property be taken for public use without just compensation." Even thought the land in question is state property, all sides have treated the land as "private" in nature for purposes of settling the "takings" dispute.

Justice Elena Kagan sat out the Arkansas appeal since she had litigated the case in some form during her previous job as the administration's solicitor general.

The case decided Tuesday is Arkansas Game & Fish Commission v. U.S. (11-597).

@highlight

Arkansas case centered on a series of federally controlled and managed floods

@highlight

Ruling would require the federal government to pay for damages from flooding

@highlight

The state owned the flooded land and had earlier won a $5.6 million judgment