Political ads on the airwaves have been so pervasive this year that voters in battleground states probably see them in their sleep. But when a political spot pops up while surfing the Web, there's a good chance it's aimed right at you.

The practice is called microtargeting and like a lot of marketing techniques on the Internet aimed at identifying consumer tastes and behaviors, it is an information-age approach that is helping change how political groups identify and interact with voters.

Moreover, microtargeting may give pollsters, campaigns and interest groups a sharper idea of how candidates and issues may fare at the ballot box, raising concerns about personal privacy in a medium where government regulation is minimal.

Obama, Romney make a mad dash in a final bid for votes

In fact, "there is none," said Chris Calabrese, legislative counsel for the American Civil Liberties Union.

"Anonymity has been crucial to our political process. It's the reason for the secret ballot, it's the reason the Federalist Papers were anonymous," he said.

Surfing the Web leaves a trail of browser history that allows marketing companies to glean insight into personal interests.

Do you read The New York Times or watch Fox News? Do you have children? Do you shop in high-end stores or hunt for bargains on eBay? Do you support the Sierra Club or Club for Growth?

Political strategy firms like Democratic DSPolitical and Republican CampaignGrid are gathering or buying up that data. They then match it to the publicly available voter rolls that were digitized as a part of a new federal law aimed at efforts to help improve voting procedures after the ballot controversies of the 2000 election.

What these firms receive is detailed information about how often a potential voter has cast a ballot in addition to data on what they read, where they shop and other consumer behavior tracked for decades off line.

Jim Walsh of DSPolitical said the company has so far aggregated more than 600 million cookies -- or tags on Internet user IP addresses that track movements online -- and has worked to match them against lists of some 250 million voters in the United States.

This all is aimed at helping them determine how someone might vote and then reaching them wherever they go online.

Micro-targeting offers clues to early vote leads

It is so efficient and such a natural extension of direct mail that Walsh called the way microtargeting is being used today "inevitable."

In response to privacy advocates, CampaignGrid President Jordan Lieberman and Walsh said they aren't doing anything that hasn't been done before.

"The data has been commercially available data for years -- we're not targeting you by who you voted for; we're targeting you if you tend to vote or participate in the democratic process," Lieberman said.

And he said these strategies infringe less on privacy because they don't use names or physical mailing addresses like direct mail.

"The reality is that we are more focused on privacy and we have more privacy protections than direct mail ... has used for decades," Lieberman said.

This they said is because lists generated from browser histories are stripped of any personal information before they are used to target potential voters. Both companies said they use a third party vendor to remove that data and match the files.

Lieberman wouldn't identify CampaignGrid's vendor, calling it "part of the special sauce."

DSPolitical and CampaignGrid aren't the only ones in the game.

Final CNN/ORC national poll: It's all tied up

Google, Facebook and other data powerhouses are also in on the action, albeit in a different way.

For instance, Google said it doesn't collect or allow its advertisers to use personally identifiable information, including political information, to reach potential customers or voters. But it does allow marketers, political or otherwise, to target its users based on specific demographic information.

The company launched its Google Political Toolkit and campaign tools via YouTube, offering candidates the chance to "promote your videos using Google AdWords for video to reach exactly the audience you want -- by age, gender, location or other criteria."

Facebook is also using its vast amount of personal information during the election.

Currently there are more than 110,000 political Facebook pages in the United States and more than 11,000 U.S.-based pages for politicians, according to a Facebook spokesman.

While Facebook doesn't hand over personally identifiable information, it does allow advertisers to seek out subsections of the population based on their preferences on Facebook.

ProPublica also reported on how other search engine giants are selling their users' browser history to campaigns.

What companies, who follow a model of self regulation, and campaigns are doing isn't popular with the public.

When asked if they wanted "political advertising tailored to your interests," 86% of Americans surveyed said they did not, according to a study from the University of Pennsylvania's Annenberg school of Communication released last July.

Provisional ballots could be key if Ohio margin razor thin

Sixty-four percent said their support for a candidate would decrease if they found out a candidate was microtargeting them differently than their neighbor. The study also found that 20% more respondents reacted more strongly to political targeting than they did to being targeted as a consumer.

"There's a lot to say in favor of campaigns targeting voters in this way, (but) there is a lot to be concerned about," said Eitan Hersh, a political science professor at Yale University who studies the impact of microtargeting on campaigns and the political process.

"People like being targeted in many ways," said Hersh. "Many people like that Amazon knows what kind of books they like. If a campaign knows that you're of this religion and this race and went to college, you're likely to have a different set of values ... the campaign is likely to reach out to you on those attributes."

But there is always a danger that the campaign will misfire or that the ads will seem like "pandering," Hersh said.

"The downside, of course, Is that we might not like being stereotyped," he explained.

Still, microtargeting makes an uphill process easier for the campaigns, especially at the presidential level.

"How do you start by trying to convince 200 million people that you they should vote for you?" asked Hersh.

"The task is hard. Data helps and permits campaigns to talk to people about issues they care about," he continued.

And the data does help.

Know your polling place

Besides ads that show up before a YouTube video or banner ads on the websites users visit, they dictate scripts that door-to-door canvassers read. They also improve efficiency of campaign voter turnout efforts and reduce costs since ads online are significantly less expensive than television spots.

In the age of DVR, microtargeting can also guarantee that voters actually see campaign ads.

"We can serve a pre-roll video ad," Walsh said, referring to ads viewers see before videos online, "which is great stuff, it forces you to watch it before you get to your content. The big problem for advertisers these days is that everyone is fast forwarding through their videos."

A sign of how often these ads are used by political campaigns -- "online video inventory has been sold out," Lieberman said, in many of the key battleground states looking into the final days of the campaign.

Privacy and civil liberties activists don't propose shutting down online advertising. Instead, they favor an opt-in versus the opt-out option currently available to consumers and voters -- a "Do Not Track" mechanism.

Calabrese says the trick is not getting browsers to add the mechanism, but getting other Web companies to agree to it. Yahoo recently said it would not honor the "Do Not Track" button Microsoft is installing in Microsoft Explorer 10.

Could close race produce a popular/electoral vote split?

"The pushback has been that there is a business model out there that wants to track you all the time," Calabrese said. "They can wring more and more advertising dollars out of you."

But don't look for this practice to end. Lieberman says it's just the beginning.

Looking toward the next election cycle, CampaignGrid signed a deal with AT&T combining  AT&T's mobile network with its online voter data files.

The next frontier is to reach voters with ads on their "IP-addressable" television sets, serving the same targeted ads that people see online, during the commercial breaks on their favorite shows. And Lieberman says they are adding data crunching power to what he calls "rich data sets."

As Duke political science professor Sunshine Hillygus said, "There's no turning back on microtargeting."

Why they can't break margin of error

@highlight

Campaigns use microtargeting to reach key voting blocs in key battleground states

@highlight

Firms match voter lists to browser history to find potential voters

@highlight

Many of the largest search engine companies are in on the microtargeting game

@highlight

86% of Americans say they object to targeted political advertising