Editor's note: Dr. Anthony S. Fauci, world-renowned HIV/AIDS researcher who has been on the forefront of battling the disease since it was discovered, previews his speech to this week's International AIDS Conference.

Dr. Anthony Fauci is cautiously optimistic that eventually some AIDS/HIV patients will be cured.

WASHINGTON (CNN) --   This week, more than 25,000 people from the global HIV/AIDS community are in Mexico City, Mexico, attending the XVII International AIDS Conference. I am pleased to be among them.

This is the first International AIDS Conference to be held in Latin America, a region hard-hit by the HIV/AIDS pandemic, but also a place where exceptional scientific and public health advances have been made.

The theme of the conference is Universal Action Now, which stresses the need for scientists, policymakers, activists and other concerned citizens everywhere -- in rich countries and poor ones -- to work even harder to defeat a scourge that already has claimed more than 25 million lives.

We have made considerable progress against HIV/AIDS, not only on the scientific front, but also with regard to the political will, funding and essential public health efforts on the ground that are delivering medicine, care and prevention services. However, much remains to be done, as 2.7 million people worldwide were infected with HIV in 2007.  Watch more on the International AIDS Conference »

In the United States, the rate of new infections continues at an unacceptably high level, especially in the African-American community. In my home city of Washington D.C., a staggering 5 percent of the population is infected with HIV, a rate that rivals those in sub-Saharan Africa. Eighty percent of my infected neighbors in Washington, D.C., are African-American.

Throughout the United States, we are seeing a resurgence in HIV cases among men who have sex with men of all races, with African-Americans again hardest hit. Despite what you might hear, the AIDS pandemic is still raging.

Many hundreds of presentations at the conference are dealing with important research on the basic biology of HIV and its disease-causing mechanisms; the complex immune responses to the virus; and advances in tools to diagnose, treat and prevent HIV.

My talk on Wednesday, is called "Looking to the Future: New Directions in HIV/AIDS Research" and will look at all these issues, and the many challenges (and opportunities) in AIDS science. But I hope to leave the audience with at least a tentative answer to an important question I get all the time: Will we ever have a cure or a vaccine for HIV?

Despite our considerable success in managing HIV infection and improving the length and quality of life for people living with HIV, there is no well-documented case of anyone being truly cured of HIV disease. This is because HIV is unlike virtually any other virus in its ability to hide from the immune system in protected cellular sanctuaries that we call "latent reservoirs."

We know that these reservoirs are established within days of infection, and even our most potent combinations of anti-HIV drugs are unable to purge the virus from these hiding places, even in people who have been on therapy for a decade or more. If you take a patient off his or her anti-HIV therapy, the virus hiding in these reservoirs springs back, and soon billions of viruses are renewing their assault on immune system cells and other organs. Photos chronicle AIDS treatment worldwide

Our best hope for eradicating HIV from the reservoirs may be to diagnose and treat people aggressively very early in infection, before the reservoirs have become too large. Our laboratory and other groups are testing this approach with intensive regimens of new drugs that prevent the virus from entering cells or from inserting its genes into a cell's DNA.

Even if the virus is not completely eradicated, such early, intense treatment, perhaps with the help of immune-boosting drugs, might keep the reservoir small -- and the immune system strong -- thereby allowing a person to come off therapy. This would be a "functional" cure. Other approaches are being pursued as well.

A cure is critical to our attempts to ultimately contain the pandemic. Currently, for every person put on therapy, two to three people are newly infected. As antiretroviral therapy is at present a lifelong commitment, it is extremely unlikely that we will have the logistical or financial capacity to reach and treat -- indefinitely -- everyone who requires antiretroviral therapy.

As we search for a cure, we should of course continue our efforts to provide proven, lifesaving antiretroviral drugs to every person who needs them, regardless of where they live.

Many promising avenues of prevention are being discussed in Mexico City, but none is more essential than an HIV vaccine.

HIV vaccine development has been frustrating and challenging for a number of reasons, including the fact that the virus mutates rapidly, hides from the immune system, and targets and destroys the immune system cells that are successful in fighting and clearing most other viruses from the body.

With HIV we will have to do better than nature if we are to develop a vaccine; HIV is unlike the situation with other viral diseases such as measles and influenza, where we have been able to mimic natural infection and induce protective responses with vaccines. My institute and many other organizations around the world are working on this problem, and advances are being made.

For example, we have made progress in identifying the structures on the virus to which infection-fighting proteins that can neutralize HIV -- so-called neutralizing antibodies -- bind. Now, our challenge is to turn these structures into vaccines, and conduct the clinical trials that prove they work in people.

My complete talk will be available as a webcast at the conference Web site, but let me give you the quick bottom line: I am cautiously optimistic that we will be able to cure some patients under certain circumstances, and I am also cautiously optimistic that we will develop a vaccine that will protect some people against HIV infection, or slow the progression of disease in some patients who do get infected.

Meanwhile, we need Universal Action Now to accelerate the exceptional momentum of the past few years -- particularly during the past year -- in delivering proven tools of HIV prevention and therapy to communities around the globe.

Anthony S. Fauci, M.D., is director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health.

@highlight

More than 25,000 people expected at the International AIDS Conference

@highlight

Progress made in science, political will, funding, public health, expert says

@highlight

For every person put on therapy, 2 to 3 people are newly infected, he says

@highlight

Cure critical to attempts to contain the pandemic, he says