Laying the blame for Veterans Administration failures at the feet of a man who pledged, six long years ago, to fix those problems is inviting.

During his 2008 White House transition, president-in-waiting Barack Obama promised to "make the VA a leader of national health care reform so that veterans get the best care possible."

In his own eyes at least, this President remains unstained by that failure. Shame remains unknown to this unnecessarily confident man.

Now, Obama not only tells us he is shocked to find that the crisis he has ignored is still there, he also insists, "I will not tolerate it."

If you can't fix the problem, of course, fix the politics. "No-Drama Obama" often pretends to share our anger to defuse it. His performance art, however, has grown obvious and condescending.

When he throws vacant words like candy to the masses, he only fuels our anger. Still, as satisfying as it might be, we shouldn't assign blame entirely to our commander in chief.

For decades, Democrats, Republicans and even veterans -- including Gen. Eric Shinseki, a man of unquestionable commitment and proven leadership skills -- have tried to reform the VA's endless bureaucracy. At best, some have transformed the terrible to the merely awful. At worst, they have all failed wretchedly.

Perhaps the problem is neither a lack of will or brains, nor a shortage of effort or good intentions. Perhaps they have not reformed the VA because it cannot be reformed. Even the most devoted instructor can't teach a hammerlike old bureaucracy to be anything but the dull, blunt instrument it is.

When the modern VA arose, as veterans came home from World War II, health care was simpler. We were a decade from pacemakers, two from hip replacements and balloon catheters, three from the miracle of an MRI.

Medicare had not been imagined, much less genomic testing, treatments for traumatic brain injuries and cures for half of all cancer patients.

Since then, caring for human health, like everything else in our lives, has become infinitely more complex. Today, our health care needs are intimate, intricate and intensely personal.

Imagine, however, that your health care was managed and delivered by a machine, an old factorylike mechanism composed, not of cogs and gears and smokestacks, but of bureaucrats, regulations and mountainous paper work.

Today's Veterans Administration, with 300,000 employees, is exactly such an industrial-age contraption. It's the second largest bureaucracy in our federal government. The VA is a glorified assembly line that excels at enforcing standardization, not delivering compassion, innovation, or personalized service.

It is built to dispense soul-crushing conformity.

Confronted with providing services that require originality, adaptation and sensitivity, the VA is lost. On what form does a bureaucracy measure compassion, originality, or the respect a veteran has earned?

And the worse the VA bureaucracy performs, the angrier all of us become -- and we demand even more regulatory government action. The leviathan that is the VA grows larger as bloat is piled upon excess.

In a wonderful new book, "The Fourth Revolution: The Global Race to Reinvent the State," authors John Micklethwait and Adrian Wooldridge note that enlarging the bureaucratic inadequacies of the modern industrial state are unlikely to improve it.

Instead, they found that fixing our government's bloated bureaucracy with even "more state" inevitably leads to failure on an apocalyptic level: "Ninety-four percent of federal IT projects over the past ten years have failed -- more than half were delayed or over budget and 41.4 percent failed completely."  They note that, "The Pentagon spent over $3 billion on two health-care systems that never worked properly."

The VA is government-run health care, financed by government, and delivered through government-run hospitals. Liberal collectors of old social antiquities like Paul Krugman cannot let go of it. Krugman confesses, "Yes, this is 'socialized medicine.' ... But it works, and suggests what it will take to solve the troubles of U.S. health care more broadly."

Document: VA audit report released

Can the fix for the most outdated health care system in America really be more of the same?

The breach between what we fund and what veterans get from the VA is getting larger. The gap between our good intentions and the help those in need actually receive is growing broader.

It is time for something fresh. Our old federal government's inability to do what it promises is one reason it is less popular than King George III during the American Revolution and Congress, on a good day, has a favorability rating of approximately 9%.

Instead of blaming Obama, I'd urge Republicans and Democrats to propose real change:  Transform our old, closed bureaucratic VA system to an open health care system. It's time veterans who don't want to travel five hours or wait for months were allowed equal access to all the health care available to the rest of us.

The most critical decisions about a veteran's health shouldn't be made the old way: top-down, politically and artificially, by a pulseless bureaucracy that reports to Washington.

Those decisions should be made naturally and bottom-up, closer to life, in the sacred space between doctors and those who have offered the highest possible sacrifice to our nation.

Join us on Facebook.com/CNNOpinion.

@highlight

Alex Castellanos says the path to the VA crisis was paved with good intentions

@highlight

The VA is the second largest bureaucracy in our federal government

@highlight

He calls the VA "a glorified assembly line that excels at enforcing standardization"