(Budget Travel) -- If the best architecture aims at eternity, to paraphrase famed English architect Christopher Wren, then these new hotels are bound to be immortal.

The 11 hotels on our list all opened within the last four years, and each is an example of awe-inspiring design in its own right. You can stay in a wave-like skyscraper in Chicago, a stack of cantilevered cubes in Portugal, or a hotel tucked into the wild cliffs of an Australian island.

And, even better, it won't cost a fortune to spend a night in these architectural wonders. Seven of the 11 are under $200 a night.

See more photos of the hotels

Bella Sky Comwell (Copenhagen, Denmark)

The two structures that make up the Bella Sky each incline at a slightly different angle. Or as the architects sweetly put it, the towers are drawn to each other, "yet seem a little shy."

In fact, the creative use of angles is employed both inside the property and out -- geometric angles give the exterior a filigreed look, while inside the hotel there are rooms where there are no 90-degrees at all (there are over 200 different room shapes in the 812-room hotel).

The location, in the Copenhagen neighborhood of Orestad five miles from the city center, actually inspired the leaning-tower design. The buildings are so close to the airport that height restrictions dictate that they must not exceed 246 feet. 011-45/3247-3000, bellaskycomwell.dk, from $155 per night.

Jumeirah at Etihad Towers Hotel (Abu Dhabi)

Queensland architecture firm DBI Design won the World's Leading New Hotel Award for 2011 for this stunning $1 billion residential and retail center. The complex is made up of five towers on a beachside stretch on a peninsula in Abu Dhabi.

Constructing the buildings that now dominate the modern skyline posed structural challenges. The towers all curve, meaning each floor slab is a different shape. The 382-room Jumeirah hotel takes up 66 stories of one of the towers. 888/645-5697, jumeirah.com, from $192 per night.

Budget Travel: 12 elevators you have to see to believe

Hotel Consolación (Teruel, Spain)

Perched atop a ridge, this collection of 10 freestanding, wood-clad modernist cubes, or "Kube" suites, opened in 2009. Located in the rural mountain town of Teruel (a three-hour drive from both Barcelona and Valencia), the sleek cubes create a beautiful juxtaposition with the groves of olive and almond trees that surround them.

Each suite has a sliding glass wall that opens onto a private terrace, and, inside, sparse interiors combine slate, copper-treated pine, and metal sheeting. The hotel incorporates some classic elements as well: a converted 14th-century hermitage serves as a communal area for guests. 011-34-978/85-67-55, consolacion.com.es, from $185 per night.

Southern Ocean Lodge (Kangaroo Island, Australia)

Architect Max Pritchard designed this lodge to blend into the dramatic surroundings of Kangaroo Island. Tucked back behind cliffs, the hotel opened in 2008 and consists of 21 suites cascading down a windswept slope, following the natural curve of the land, each with floor-to-ceiling glass walls and sweeping views of the Southern Ocean.

Suites were constructed from lightweight materials -- steel screw piles, timber framing, iron cladding -- that could be carried in to create minimal disturbance to nature, and which also could handle the challenge of building on precarious soil conditions (several feet of sand atop solid limestone).

Inside are environmentally sound sandblasted limestone floors and recycled spotted-gum walls. The off-the-grid location led to innovations such as sculptural containers for collecting rainwater. 931/924-5253, southernoceanlodge.com.au, from $1,000 per person, per night with a two-night minimum

Marina Bay Sands (Singapore)

This trio of 55-story towers opened in 2010 and hold an incredible 2,561 hotel rooms, plus a museum, casino, convention center, waterfront promenade, shops, and restaurants. Architect Moshe Safdie has said that his challenge "was to create a vital public place at the district-urban scale-in other words, to address the issue of megascale and invent an urban landscape that would work at the human scale."

His way of dealing with that was to design the complex around two central axes to give a sense of orientation. The towers are connected at the top by the cantilevered, two-and-a-half-acre SkyPark, home to gardens, 250 trees, a public observatory and a 492-foot swimming pool -- all perched high in the sky like a fantastical cruise ship forever suspended in midair. 011-65/6688-8868, marinabaysands.com, from $350 per night.

Budget Travel: World's 16 most picturesque villages

Yas Viceroy Hotel (Abu Dhabi)

This 499-room hotel was the first to be built straddling a Formula 1 racetrack (it opened in 2009 and was renovated in 2011 to become a Viceroy). The structure consists of a pair of 12-story towers joined by a sweeping, 700-foot curvilinear skin of glass and steel -- actually 5,800 pivoting, diamond-shaped glass panels that reflect the sky by day and are illuminated up by an LED system at night.

The architects' aim was to reflect artistry and geometries associated with ancient Islamic art and craft traditions, and from a distance the panels create the appearance of a spectacular veil. 888/622-4567, viceroyhotelsandresorts.com; from about $210 per night.

Radisson Blu Waterfront Hotel (Stockholm, Sweden)

The piece de resistance at this 414-room hotel of white polished stone and rough black stone is its attached conference center -- a glass structure with an exterior made up of 13 miles of semi-transparent stainless steel rods.

They reflect the sky and water, radically change the skyline, and are what architect Hans Forsmark describes as "a reminiscence of the Nordic Light." The interiors of the hotel, which opened in 2011, follow straight lines and geometric precision. 800/333-3333, radissonblu.com, from $155 per night.

Axis Viana Hotel (Viana do Castelo, Portugal)

The 88-room Axis Viana Hotel was a striking addition to the folkloric village of Viana do Castelo when it opened in 2008. The exterior is made up of reflective aluminum, black glass, and green stone, and the cantilevered design changes the shape of the hotel depending upon your vantage point.

The contrasting interior consists of white finishes and materials including wood and stone. It's all edged by a shimmering outdoor pool and surrounded by views of the Lima River and Mount St. Luzia. 011-351/258-802-000, axishoteis.com, from $100 per night.

Hôtel Americano (New York, New York)

The 10-story Americano sits on the site of a former parking garage in Manhattan's Chelsea neighborhood. Neighbors were likely pleased with the swap when the hotel opened in 2011. The building looks like a massive metal sculpture -- perfect for the gallery-filled neighborhood -- with floors connected by catwalks and wrapped with stainless-steel mesh.

The industrial façade holds 56 rooms plus two restaurants, a lobby café and two basement bars; for urban escape, there is a roof deck with a pool, bar, and peaceful garden terrace. 212/216-0000, hotel-americano.com, from $295 per night.

Budget Travel: 12 hot springs worth traveling for

Miura Hotel (Celadná, Czech Republic)

Rising like a geometric spaceship in the Beskydy Mountains is this distinctive hotel made of concrete, sheet metal, violet glass, Corian, and stone. Miura opened in 2011 and is divided into three parts, one of which seems to levitate above the ground, plus two side wings containing the 44 rooms.

The arrangement means that all of the rooms have views of the surrounding mountains. The striking hotel also has an impressive art collection, with works by Andy Warhol, Damien Hirst, and Czech sculptor David Černý.

Known for his large-scale installations, Černý's works here include an almost 30-foot-tall stainless-steel man pushing against the exterior of the hotel. 011-420/558-761-100, www.miura.cz, from $126 per night.

Radisson Blu Aqua Hotel (Chicago, Illinois)

Architect Jeanne Gang literally made waves in a city full of iconic skyscrapers with her showstopper building. The 82-story glass structure's exterior has undulating concrete balconies resembling the swirls and ripples of nearby Lake Michigan.

Such a unique design brought with it a unique construction challenge -- each floor plate is a different shape, which means a different concrete pour was required for every story. To manage it, the concrete was poured into a specially designed flexible metal edge that was reused over and over again -- an important detail for green architecture.

Much of the building is designated for private residences, but the 334-room Radisson Blu Aqua opened on 18 floors in November 2011. 312/565-5258, radissonbluchicago.com, from $175 per night.

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

Each suite at Hotel Consolación has a sliding glass wall that opens onto a private terrace

@highlight

The Southern Ocean Lodge consists of 21 suites cascading down a windswept slope

@highlight

The Yas Viceroy Hotel was the first to be built straddling a Formula 1 racetrack