(CNN) -- The less-than-confrontational comments coming from new Iranian President Hassan Rouhani are not what the West is used to hearing from that country's office in recent years.

Rouhani, a cleric and moderate politician elected in June, has signaled his desire for better engagement with the West, most recently in a Thursday Washington Post op-ed, in which he called for an end to "the unhealthy rivalries and interferences that fuel violence and drive us apart."

Coming a week before he's to attend the U.N. General Assembly in New York, Rouhani's op-ed called for nations to work together on contentious issues such as Iran's nuclear program. And he offered to broker efforts to bring peace to Syria, a long-time Iranian ally torn by civil war.

Given Iran's closeness to Syria's government, it seems unlikely rebels would consider Rouhani an independent broker. But Rouhani's tone is far less fiery than that of his predecessor, Mahmoud Ahmadinejad. And Rouhani's promise of more positive engagement with the world during his election campaign appeared to propel him to victory.

Rouhani, 65, enjoyed reformist backing and took more than 50% of the vote. Three of the six candidates were much more conservative, and the Iranian public viewed Rouhani as a mild alternative.

But how just how conciliatory is Rouhani?

Hassan Rouhani is Iran's next president

Hawk or dove?

Rouhani has a reputation for avoiding extreme positions and bridging differences, but he is no pushover. He has a long history of service in the country's defense establishment.

He is a former commander of the Iranian air defenses, is a leader on three war and defense councils, and was national security adviser to the president for 13 years before Ahmadinejad took office.

Rouhani is also a diplomatic and legal intellectual.

He has three law degrees, including a doctorate from a university in Scotland, and as president of Iran's strategic research center, he regularly publishes essays.

He has served as managing editor for three quarterlies on scientific and strategic research, and foreign policy.

He was also Iran's chief nuclear negotiator from 2003 to 2005 during the presidency of Mohammad Khatami, who later became one of the leading figures in Iran's rebellious "Green Movement," which erupted into street protests after the re-election of Ahmadinejad in 2009.

Ahmadinejad's government violently quashed the protests with the help of elements of a unit of the Revolutionary Guard, which answers to Ayatollah Ali Khamenei, Iran's supreme leader.

Rouhani has expressed support for the Green Movement. "These were protests that were natural and popular," he has said. "They should have been addressed."

After Green supporters chanted for him at a rally, security forces arrested members of his campaign.

Relationship with Khamenei

Rouhani's relationship with Khamenei has the potential to be complex.

He represented the supreme leader on Iran's security council for many years. But Rouhani has purportedly also suggested Khamenei is too rigid toward the international community, said Abbas Milani, who runs a research program on Iran at Stanford University.

In a book about his experience as Iran's nuclear negotiator during Khatami's presidency, Rouhani criticizes Ayatollah Khamenei, according to Milani.

"If you read in between the lines, he places a lot of blame on Khamenei," Milani says. "He says in his book that if it was up to him, he and his team would have come up with a solution that would not lead up to Iran's case being deferred to the U.N.-- saying 'we could have done this, and some people in Iran and some in the West torpedoed it."

A televised presidential debate turned into an animated political clash and touched on Iran's nuclear program. Exchanges grew so heated that the candidates were later accused of having revealed national secrets during the debate.

Rouhani was warned that he could be barred from running in the elections because of confidential material he revealed about Iran's nuclear program during the two-hour-long debate.

It wasn't his first testy moment with Iran's state-run media. He has openly accused it of censorship and publishing lies.

Many believe Rouhani was not Khamenei's favorite candidate.

But Khamenei has said he is not playing favorites and would not let on whom he voted for.

And Khamenei and his Guardian Council had to approve all candidates before the race began. Out of 680 who applied to run, only eight were allowed to do so. Two later dropped out.

Ultimately, the supreme leader approved Rouhani's candidacy after rejecting the candidacy of a former president, Akbar Hashemi Rafsanjani.

Rafsanjani endorsed Rouhani during his campaign.

Rouhani is a senior cleric and still is a member of the Assembly of Experts, which is responsible for appointing or removing the supreme leader. As Khamenei ages and the appointment of a successor becomes necessary, Rouhani will likely have influence on the choice.

CNN's Reza Sayah, Azadeh Ansari, Tara Kangarlou, Mitra Mobasherat, Laura Smith-Spark and Greg Botelho contributed to this report

@highlight

Hassan Rouhani holds a doctorate from a university in Scotland

@highlight

He had a long career in Iran's defense establishment

@highlight

A senior cleric, he was Iran's chief nuclear negotiator and writes on diplomacy

@highlight

He has made comments in support of Iran's rebellious Green Movement