Honoring the legacy of a former president he's barely mentioned previously, President Barack Obama on Thursday cast Lyndon B. Johnson's push to end legal segregation as a factor in his own ascension to the White House.

Obama joined three other living presidents in marking the 50th anniversary of the Civil Rights Act, and the movement that spurred its signing, at Johnson's presidential library in Austin.

The landmark measure, signed in 1964, made it illegal to discriminate based on race, outlawing for the first time segregation at lunch counters, buses, and other public spots.

"Because of the Civil Rights movement, because of the laws President Johnson signed, new doors of opportunity and education swung open for everybody," Obama said. "They swung open for you, and they swung open for me.  And that's why I'm standing here today -- because of those efforts, because of that legacy."

Johnson, the nation's 36th president, became an unlikely hero to the civil rights movement by using his stores of political capital to pressure lawmakers to pass the legislation -- an effort initiated by President John F. Kennedy and continued by Johnson after Kennedy's assassination.

Johnson wasn't above horse trading and flattery to achieve his goals, Obama said.

"Passing laws was what Lyndon Baines Johnson knew how to do," Obama said. "No one knew politics and no one loved legislating more than President Johnson."

Johnson's descendants hope to turn his legacy toward that of a civil rights pioneer, rather than the President who presided over the Vietnam War. The fight was personal for Johnson, who'd grown up in the Southwest amid racial inequality.

The four-day Civil Rights Summit in Austin was meant partly to change shift Johnson's legacy toward civil rights. Legends of the movement like Rep. John Lewis and singer Mavis Staples appeared directly ahead of Obama. Music played before the event — Bob Dylan, Sam Cooke, Crosby, Stills, Nash and Young — evoked the tumult of the era.

Obama has said as the first African-American president that he's indebted to civil rights leaders, though during his time in office he has not spoken frequently about his place in the movement's history.

He's spoken even less about Johnson's legacy. Thursday's speech marked one of the first times he's even made reference to a predecessor who had a long career in the Senate and served in the White House from 1963 to 1969.

Other predecessors — including Republicans Ronald Reagan and Richard Nixon — have all been used in speeches more often.

That changed during Obama's remarks, which effusively praised a man whose major pieces of legislation — including the Civil Rights Act, the Voting Rights Act, and the laws that created Medicare and Medicaid — reflect a staunchly liberal agenda Obama himself has attempted to emulate.

"What President Johnson understood was that equality required more than the absence of oppression. It required the presence of economic opportunity," Obama said, co-opting a phrase he's taken as a rallying cry during his second term. "A decent job. Decent wages. Health care. Those too were civil rights worth fighting for."

In the last year, Obama has begun speaking more often about race, though the topic is by no means a frequent part of his speeches and remarks.

He addressed the issue in deeply personal terms following a jury's acquittal of the man accused of killing black teenager Trayvon Martin, and earlier this year the President spoke about the challenges that young men of color face in today's society.

Many suspect Obama will use his post-presidential years to focus on the issue.

While race isn't a common theme for Obama, combating inequality has become the central tenant of his second term agenda, through his push to close the gap between rich and poor and his efforts in closing the wage gap between men and women.

He also makes regular references to ending discrimination against gays and lesbians, and has come out in support of same-sex marriage.

Facing a Republican-controlled House of Representatives, his legislative efforts on those issues have thus far come up short -- leading to some negative comparisons between Obama and Johnson, the so-called "master of the Senate."

Those comparisons ignore Johnson's later tenure, Obama claimed last year in an interview with The New Yorker.

"When he lost that historic majority, and the glow of that landslide victory faded, he had the same problems with Congress that most presidents at one point or another have," Obama told the magazine's editor, David Remnick. "I say that not to suggest that I'm a master wheeler-dealer but, rather, to suggest that there are some structural institutional realities to our political system that don't have much to do with schmoozing."

That historical reflection was absent in Thursday's speech, though Obama did contend the debate in which Johnson was embroiled still raged.

"Today we remain locked in this same great debate about equality and opportunity, and the role of government in ensuring each," he said, declaring the government, and the presidency, were meant to try and affect change in peoples' lives.

Obama said in remarks at the Civil Rights Summit that Johnson possessed a unique grasp of the power of government to bring about change, and used his office and his enormous legislative skills to get what he wanted.

Obama said Johnson "fought for" and "bullied" and "persuaded" until the Civil Rights Act was signed into law.

"And he didn't stop there," he said, using the legislation as a springboard for other sweeping changes.

Many doubt 1964 Civil Rights Act could pass today

Has the Roberts court placed landmark 1964 civil rights law on a hit list?

Column: Lessons from my father, LBJ

@highlight

Obama honors the Civil Rights Act, a measure that helped pave his way to the White House.

@highlight

He was joined by 3 other living presidents to commemorate the act and Civil Rights Movement

@highlight

Over the past year or so, Obama has begun to speak out more on race; inequality

@highlight

Obama's legislative efforts on those issues have come up short in GOP-controlled House