(CNN) -- Syria's President Bashar al-Assad looks more isolated with each passing day as his regime continues a bloody eight-month crackdown on pro-democracy protests.

His Arab neighbors signaled their displeasure with him this week by suspending Syria from the Arab League, a stinging blow for a nation that sees itself at the heart of Arab concerns. Jordan's King Abdullah went a step further, telling the BBC he would step down if he were al-Assad, an unusually blunt assessment that followed Western calls for al-Assad to go.

And Turkey, formerly an important ally and trading partner, threatened to cut off electricity supplies to Syria as the European Union moved this week to extend sanctions against more members of al-Assad's circle.

This week, the conflict inside Syria entered a new era when army defectors attacked pro-government targets. That ratcheted up the pressure even more -- the Russian foreign minister was widely quoted as saying attacks on government buildings in Syria resembled "civil war."

So can al-Assad cling to power? Or will he become the fourth leader forced from office in the Arab Spring, following in the footsteps of ousted leaders of Egypt, Libya and Tunisia?

Analysts say that the odds are stacked against Syria's president.

Steven A. Cook, Hasib J. Sabbagh senior fellow for Middle Eastern studies at the Council on Foreign Relations, said it is hard to predict what might come next for al-Assad -- but the pressure is on.

"The kind of traditional support he had externally is clearly crumbling," Cook said. "His prospects this week are worse than they were last week."

Emile Hokayem, senior fellow for regional security at the Bahrain office of the International Institute for Strategic Studies, thinks it highly unlikely al-Assad will hang on to power.

Three main factors will likely contribute to the downfall of Syria's president after 11 years in power, he said.

One is that he has lost legitimacy in the eyes of his own people. "It's hard to see how he would recover his legitimacy after killing almost 4,000 of his countrymen," said Hokayem. The United Nations puts the toll of deaths at well over 3,500 since protests began.

Second is the economy, as sanctions imposed by the West and Turkey start to bite. This matters, said Hokayem, because al-Assad may struggle to keep the support of the country's urban and business elites in Damascus and Aleppo if the economy is failing.

The third factor is security, despite al-Assad's mobilization of the military. Unlike previous challenges to the al-Assad regime, "this time it's the Syrian people leading it and very clearly regime change is their goal and they are not going to accept anything less," Hokayem said.

Shashank Joshi, an associate fellow at the Royal United Services Institute for Defence and Security Studies (RUSI), also doubts al-Assad will survive -- but says it is far from clear what might follow.

The Arab League's decision to suspend Syria, after Damascus failed to abide by a peace deal that had been brokered earlier with the 22-nation league, signals a shift in views that would have looked extremely unlikely even a month ago, he says.

The regime's military is also increasingly over-extended as those fighting against it find footholds in Lebanese and Turkish soil, he said.

Turkey might also choose to intervene more directly, perhaps by creating a buffer zone along its long border with Syria or providing weapons to the rebels, he said.

At this point, descent into civil war could be as likely a scenario as a clean change of regime at the top, he said.

Nonetheless, Joshi cautioned against thinking the 46-year-old's grip on power will be loosened immediately, pointing to the example of Iraq's former dictator, Saddam Hussein.

In 1991, he said, Hussein had just lost a major war, had two no-fly zones, U.N. sanctions and an oil embargo imposed on his country, was facing an enormous Shia uprising in the south, and endured overwhelming diplomatic isolation.

"And yet he survived for 12 years," Joshi said. "Regimes that are used to being isolated, that are used to being under sanctions and under pressure, can be extremely resilient."

Joshi also points out that while al-Assad may well be forced out, that doesn't necessarily mean the regime will fall with him.

Bashar al-Assad is not as well entrenched as was his father, the late President Hafez al-Assad, who ruled with an iron fist for three decades -- and it's possible other members of his ruling Alawite sect might decide to throw their hat in with his brother Maher, an army commander, or parts of the military instead, Joshi said.

"They might even decide to get rid of Bashar al-Assad to save themselves, and portray it as a concession, or compromise," he said.

He cites the example of Egypt, where the Arab Spring uprising may have forced President Hosni Mubarak from power in February but the military leadership has not yet handed over power to a democratically elected government.

Salman Shaikh, director of the Brookings Doha Center, also predicts that al-Assad will eventually go -- but that his regime will cling on for as long as possible, with Syria following the example of Libya rather than that of Tunisia, where ousted President Zine al-Abidine Ben Ali fled to Saudi Arabia.

Shaikh sees "the makings of a very powerful coalition" lined up against al-Assad, uniting the Arab nations, Turkey, the United States and Europe, which could move "quite forcefully" to sanctions.

And al-Assad has few friends to whom he can turn for help.

One key question is how long Syria can still count on the support of Russia, a historic ally and a major arms supplier to Damascus.

Moscow, which sold $3.8 billion of weapons to Syria last year -- 10% of its total arms sales, is "giving a lifeline" to al-Assad at the moment, said Shaikh, largely by delaying international action.

If Moscow opposes efforts to impose U.N. Security Council sanctions on Syria, as anticipated, international efforts to present a unified stance -- as on NATO action to protect civilians in Libya -- will be thwarted.

"The same action can be viewed as a just war or an act of imperial aggression depending on whether Russia allows a U.N. resolution to be passed," Joshi said.

Germany, France and Britain will hand in a draft U.N. resolution Thursday condemning the Syrian government's actions, a German diplomatic spokesman in New York told CNN on Wednesday. Diplomats from Arab countries are considering co-sponsoring the resolution.

An attempt this week by a Syrian opposition group to persuade Russian officials to shift their position and demand al-Assad's resignation appears to have gone nowhere, with Moscow instead reiterating a call for peaceful dialogue to resolve the situation.

China also has a history of opposing U.N action but appears at the moment to be hedging its bets on Syria, probably in the interests of stability in the region, Joshi added.

Iran has in the past few days given a strong statement of support for al-Assad, Shaikh of the Brookings Doha Center said, but Tehran may still in the end be pragmatic and seek to build ties with the Syrian opposition.

Perhaps the biggest danger ahead, the analysts say, is that whether al-Assad goes or not, Syria is teetering on the brink of civil war, as opposition elements such as the Free Syrian army turn to arms to combat pro-government forces.

Such violence lessens the chance of a peaceful resolution to the uprising and smooth shift to democracy -- and will undoubtedly lead to greater loss of life.

"We are entering into a new phase now in the Syrian situation," said Shaikh. "We are seeing a greater militarization.

"I think the window for an orderly transition is over and now it will be a mixture of international pressure and whatever support is given to these protesters and even those fighting against the regime.

"The main game for the foreseeable future will focus on the protection of civilians, and measures to ensure that, as we saw in the Libyan case."

CNN's Joe Sterling contributed to this report.

@highlight

The Arab Spring has forced three leaders from power so far

@highlight

Syria's president could go, too, some analysts say

@highlight

Unrest that has roiled Syria for months took a turn this week

@highlight

Syria's Arab neighbors have joined the West in criticizing the Syrian leader