Washington (CNN) -- Russian President Dmitry Medvedev on Thursday congratulated President Barack Obama on the Senate's approval of a new nuclear arms control treaty between the countries, the White House said.

According to a White House statement, the two presidents spoke by phone on the first day of Obama's Hawaiian holiday after Congress adjourned Wednesday in a flurry of legislative action, including the Senate vote to pass the treaty -- a major foreign policy objective of the Obama administration.

"President Obama and President Medvedev spoke by phone this morning to discuss the new START Treaty and their continued close cooperation on a range of critical issues," the White House statement said. "President Medvedev congratulated President Obama on the Senate's approval of the new START Treaty, and the two leaders agreed that this was an historic event for both countries and for U.S.-Russia relations."

Obama cited issues of cooperation with Russia including Afghanistan, sanctions on Iran and World Trade Organization developments, the statement said. Obama added it was important for the two countries to work together "to support a peaceful referendum in Sudan and a resolution to the impasse in Cote D'Ivoire (Ivory Coast) that respects the results of the recent democratic election," according to the statement.

The New Strategic Arms Reduction Treaty, or New START, was passed on a 71-26 Senate vote, with several Republicans joining a unified Democratic caucus in support of the accord.

The treaty will bring resumed inspections of each country's nuclear arsenal while limiting both the United States and Russia to 1,550 warheads and 700 launchers. It still needs to be approved by the Russian parliament.

Signed by Obama and Medvedev in April, the treaty is considered a critical component of nuclear non-proliferation efforts and the administration's attempt to "reset" Washington's relationship with Moscow.

"This is the most significant arms control agreement in nearly two decades," Obama said Wednesday after the Senate vote. It "will enhance our leadership to stop the spread of nuclear weapons and seek the peace of a world without them."

Several senators were reassured by the last-minute passage of an amendment stating that the accord should not be interpreted in a way that would hamper U.S. missile defense plans. The amendment was sponsored by Republican senators John McCain of Arizona and Bob Corker of Tennessee, among others.

Others said they had been assured of an administration commitment to modernize America's aging nuclear arsenal.

"The people of the world are watching us, because they rely on our leadership," said Senate Foreign Relations Committee Chairman John Kerry, D-Massachusetts. It is time to "move the world a little more out of the dark shadow of nuclear nightmare."

"We are the leading nuclear power on this earth. It is our responsibility to lead," said Sen. Byron Dorgan, D-North Dakota. This treaty is "a step in the right direction."

Indiana Sen. Richard Lugar, the top Republican on the Foreign Relations Committee, called it a step forward in terms of constraining "expensive arms competition with Russia" and frustrating "rogue nations who would prefer as much distance as possible between the United States and Russia."

Not all Republicans were convinced of the treaty's merits, however.

Sen. Jim DeMint, R-South Carolina, argued on the Senate floor that the basic premise of the treaty -- that America's nuclear arsenal should be at parity with Russia's -- is flawed.

"Russia is a protector of none and a threat to many. America is a protector of many and a threat to none," DeMint said.

DeMint also voiced an ongoing conservative complaint in the lame-duck session -- that Democrats were ramming the treaty through as part of a long list of partisan priorities rejected by the public in the midterm elections.

"We should not be passing major legislation at this time of year with this Congress," he said. The arms pact is part of "a continued effort of accommodation and appeasement" that makes a "mockery of the debate and ratification process."

Sen. Mark Kirk, R-Illinois, called the treaty "an echo from the 20th century" that fails to account for new and emerging threats. Kirk and several other senators expressed a fear that the treaty would weaken America's ability to prevent potential nuclear attacks from countries such as Iran and North Korea.

McCain himself, despite passage of the amendment he sponsored, ultimately voted against the accord. He argued that it "re-establishes an old and outdated linkage between nuclear arms and missile defense, which is no longer suited to the threats of today's world."

Passage of the treaty appeared to be in doubt for weeks. A late burst of support came Tuesday, however, after treaty supporters voted down or tabled several Republican amendments, saying they were unnecessary and would imperil the pact by reopening negotiated language or understandings with Russia.

The defeated amendments included adding a reference to tactical nuclear weapons and a bid to remove from the preamble language recognizing a relationship between offensive and defensive weapons.

An overwhelming majority of Americans support ratification of the treaty, according to a CNN/Opinion Research Corp. poll released Tuesday: 73 percent of people questioned in the national poll said the Senate should approve the accord, while 24 percent said senators should reject it.

CNN's Alan Silverleib, Tom Cohen, Dana Bash, Ted Barrett and Lesa Jansen contributed to this report.

@highlight

The two presidents spoke by phone on Thursday

@highlight

Medvedev congratulates Obama on Senate approval of the nuclear treaty

@highlight

The Senate passes the New START on a 71-26 vote

@highlight

The treaty will bring back inspections and limit each nation's warheads and launchers