New York (CNN) -- Protesters upset about corporate greed rallied in New York's Times Square Saturday night, marking the 29th day of a movement that is tapping into popular frustrations about income disparities and an ailing U.S. economy.

People hoisted signs in the iconic square and chanted. At one point, police began clearing a part of the street when a van pulled up and officers began making arrests. Police said they had given the crowd several warnings to disperse.

Forty-two people were arrested in Times Square, bringing the total number of protesters arrested in New York City on Saturday to 70, according to Deputy Police Commissioner Paul Browne.

Two police officers were injured in the Times Square confrontation and sent to a hospital for treatment, he said.

Other people were arrested during the day for pulling down barriers and five were arrested for wearing masks, Browne said.

As police cleared the street, protesters chanted, "We are peaceful protesters" and "The whole world is watching."

The demonstration in Times Square was one of several that took place in the United States and around the world on Saturday.

Protesters took to the streets again in Lower Manhattan earlier in the day. The group waved flags and banged drums, while keeping up an online presence that has helped spawn similar actions elsewhere.

Others joined the demonstrations, yelling slogans of discontent over Wall Street influence, Beltway politics and their own seeming lack of opportunity amid U.S. unemployment levels that continue to hover above 9%.

"Banks got bailed out, we got sold out," chanted protesters as they meandered east of the city's Zuccotti Park, considered a home base for the Manhattan protesters.

Columns of police on patrol and atop scooters monitored the march, but as dusk fell, it appeared largely peaceful.

Earlier, an "Occupy Wall Street" spokesman said police made several arrests outside the LaGuardia Place Citibank in Lower Manhattan, after several protesters tried to enter the bank to withdraw cash and close their accounts. Police, meanwhile, said they made 24 arrests after protesters refused to comply with a bank manager's request for them to leave.

On Friday, scores were detained during scuffles with authorities during similar protests in several American cities, including Denver, Seattle, San Diego and Washington.

Reports of violence, however, were rare.

In Los Angeles, protesters and police alike reported good relations Saturday -- and in recent days.

Amber Barrero, 22, a student, said she has been participating in the Occupy Los Angeles movement since Day One, or October 1.

Police have been quite friendly, Barrerro said.

"When we're occupying, they donate bread, snacks and water," said Barrerro, who attended Saturday's rally in Pershing Square in downtown Los Angeles.

Added Mark Simon, 63, an unemployed bookstore employee: "So far, they've been very well behaved. The police are still the police, and they are part of the 99%," referring to the vast majority of Americans enduring a troubled economy.

As demonstrators walked the near mile from City Hall to Pershing Square -- and then back -- police were peppered on the periphery, and there were many moments when none was in sight.

John Sherman, assistant commanding officer of the Los Angeles Police Department, said the force established a working relationship with the protesters, and "they approached us in the very beginning," he said.

Added one officer: "We're continuing to have a good relationship with Occupy L.A. If we get too close, they may feel threatened. They're cooperating with us, so we're cooperating with them."

Among the more distinctive figures at the Pershing Square rally was Rev. Danny Fisher, a minister at a Buddhist temple in Rosemead, who wore his full vestment. "Religious leaders often speak very idealistically, but I think it's important to be available and let people know we hear them and we know they're upset," he said.

He wore his vestment so "people know they can approach us and see that religious figures are here," he added.

In Lower Manhattan Saturday, union groups such as the United Auto Workers also joined the loosely defined movement.

"I know why I'm here," said New Jersey resident Tony Buontempo. "I am surrounded by people that are losing their jobs. The government, the establishment, doesn't get it. They've literally abandoned us."

Melissa Rice, a college-age protester, said she was marching "for all the young people who... can't afford college, and all the elderly who can't afford to take care of themselves."

Protester Jonathan Signey claims the monthlong protests are "rooted in targeting those financial institutions that tanked our economy in 2008, made a profit out of it, and have not been held accountable by anybody."

Signey argued that "corporate power has come to dominate politics" and blamed institutions such as the investment firm Goldman Sachs for "selling these packages of derivatives, that they knew were junk, to everybody, and at the same time betting against them."

Goldman and other firms underwent intense scrutiny in April this year after a U.S. Senate report found that it had misled clients and later Congress about short-selling securities linked to the housing market just prior to the 2008 financial crisis.

The investment house has said the report exaggerated the bets, and -- along with other firms -- has been subject to high job losses in the wake of the crisis.

Earlier this week, the New York state comptroller announced that Wall Street was projected to lose 10,000 jobs by the end of next year, totaling 32,000 from January 2008 to the end of 2012.

Demonstrators, meanwhile, continued to congregate at the privately owned Zuccotti Park, serving food and holding signs in protest of corporate greed and a long list of other, often ambiguously defined, concerns.

"Debt is slavery," one sign read. "Need over greed," read another.

On Friday, the demonstrations seemed to pick up steam around the country, then began spreading to city streets in Europe, Asia and Australia.

Firefighters battled a blaze at an Interior Ministry building near Porta San Giovanni in Rome on Saturday, the main gathering site of Italian protesters taking part in the Occupy movement.

In Germany, France and the United Kingdom, protesters marched, listened to speeches and displayed banners reading anti-corporate slogans, including the now ubiquitous "we are the 99%," "Banks are cancer," and "tax the rich 1%.'"

Europeans turned out amid debt troubles and austerity plans in Greece, Belgium, Italy, Spain, Ireland, Portugal and Germany, that analysts say have contributed to volatility in U.S. markets.

CNN's Susan Candiotti, Ross Levitt and Logan Burruss contributed to this report from New York. Zohreen Adamjee and Michael Martinez contributed from Los Angeles.

@highlight

NEW: New York police arrest 70 protesters, including 42 in Times Square

@highlight

NEW: Two police officers are injured

@highlight

NEW: Protesters are upset about corporate greed and the economy

@highlight

Protesters, police report good relations in Los Angeles