(CNN)The term "nightmare bacteria" does not bode well for anyone who may get infected.

That's what CDC epidemiologists call carbapenem-resistant Enterobacteriaceae, or CRE, which kill up to half the patients who contract them.

The family of superbugs made headlines two years ago when the Centers for Disease Control and Prevention warned it was spreading.

Now, they're back in the news after seven patients at a Los Angeles hospital caught CRE after routine endoscopic treatments for bile ducts, gall bladder or pancreas.

Two of them have died, the Ronald Reagan UCLA Medical Center said Wednesday. CRE was a contributing factor in the deaths, but the exact cause of the deaths wasn't immediately disclosed, a hospital spokeswoman said. The medical center is contacting 179 others who had endoscopic procedures between October and January.  It's offering them home tests to screen for the bacteria.

Here are some important things to know about the deadly disease.

It is a family of bacteria usually found in hospitals and other health care facilities that has evolved a huge resistance to antibiotics.

CRE can be so deadly, because few antibiotics work against its different variations. That's what the name "carbapenem-resistant" means -- carbapenem is a class of antibiotics often used as a last resort against a bad bacterial infection.

But they are no match for CRE, the Centers for Disease Control and Prevention said.

Not really; they are bacteria that just evolved.

The superbug family includes Klebsiella and E. coli, which people have naturally in their intestines. But when they spread to other parts of the body, they can wreak havoc.

Some CRE make an enzyme called Klebsiella pneumoniae carbapenemase that destroys those strong antibiotics. The enzyme seems to be a pretty new adaptation; researchers first discovered it in 2001.

You don't get it when somebody sneezes on you. You have to touch an infected wound or stool, then touch a vulnerable part of the body -- like an open wound.

That's why it doesn't spread on the street but instead in hospitals, where health care workers and others can spread it by touch.

Someone may forget to wash their hands after coming in contact with stool or a wound. Or a procedure could be performed with a contaminated instrument, like an endoscope or a surgical device.

But CRE can also spread from other soiled invasive medical inserts like respirator tubes or catheters. Those infected are usually patients being treated for some other ailment. These patients have underlying health conditions, which may have left them more susceptible to CRE and other infections.

But some researchers warn that CRE could spill over into the streets, too, if they become more widespread in hospitals.

No, said the American Society for Gastrointestinal Endoscopy.

The procedure is called endoscopic retrograde cholangiopancreatography or ERCP. It is used among other things to unblock bile ducts and take care of pancreas issues.

"It is estimated that more than 500,000 ERCPs are performed each year in the U.S.," ASGE said.  "From what we know, over the past few years, there have been fewer than 100 known cases of transmission of these problematic bacteria through ERCP."

The ERCP procedure involves a duodenoscope, a flexible, lighted tube that is threaded through the mouth, throat, stomach, and into the top of the small intestine (the duodenum). Its design may impede effective cleaning, the U.S. Food and Drug Administration said Thursday in a safety communication.

The device contains a hollow channel that allows the injection of contrast dye or the insertion of other instruments to obtain tissue samples for biopsy or treat certain abnormalities. The device also has a movable "elevator" mechanism at the tip, the agency said.

Even meticulously cleaning the devices prior to high-level disinfection "may not entirely eliminate" the risk of transmitting infection, the FDA said.

"Reprocessing is a detailed, multistep process to clean and disinfect or sterilize reusable devices. Recent medical publications and adverse event reports associate multidrug-resistant bacterial infections in patients who have undergone ERCP with reprocessed duodenoscopes, even when manufacturer reprocessing instructions are followed correctly," the FDA said.

"Although the complex design of duodenoscopes improves the efficiency and effectiveness of ERCP, it causes challenges for cleaning and high-level disinfection. Some parts of the scopes may be extremely difficult to access and effective cleaning of all areas of the duodenoscope may not be possible," the FDA said.

None of the companies the FDA identified as duodenoscope manufacturers  -- Fujifilm, Olympus or Pentax -- could be immediately reached for comment.

Yes, but not many. And some that do can cause kidney damage.

But they're only part of the treatment. Caregivers also remove some bacteria by draining off the abscess.

Some CRE strains have been reported that are resistant to all antibiotics. On the other hand, some people contract the bacteria without an infection ever breaking out.

Cleanliness in all things is important.

Wash hands, sterilize instruments. If you're a patient in a hospital, remind staff to do the same, and don't share a room with an infected patient, the CDC said.

Also, if you come down with a harsh bacterial infection after medical treatment in another country, be sure to tell your health care provider about that treatment. Some CRE are more common overseas than in the United States.

Also, some researchers believe doctors should be careful not to prescribe antibiotics too quickly.

The ubiquitousness of antibiotics led superbugs to develop resistance to them in the first place, according to many experts.

CNN's Debra Goldschmidt, Elizabeth Cohen, John Bonifield and Michael Martinez contributed to this report.

@highlight

Design of medical scopes 'causes challenges for cleaning and high-level disinfection,' FDA says

@highlight

CRE is not one but a group of bacteria resistant to most antibiotics

@highlight

People who get infected are almost always recipients of invasive medical treatments