(CNN)One small crowdfunding investment online, one giant leap for South Africa?

At least that's the intention behind the Africa2Moon Mission which aims to muster enough money through internet donations to send a probe to the lunar surface within a decade.

The project has been proposed by the Foundation for Space Development South Africa, a non-profit based in Cape Town that seeks to increase awareness around space education and research.

By reaching for the stars (or moon, in this case), the idea is to energize the youth of South Africa and beyond and to boldly take the continent where its never gone before.

"We aim to inspire, to educate and then once the mission has started up, to do research and science," the organization's chief executive, Jonathan Weltman, told CNN.

The mission's website proudly states that the probe could even be programmed to beam pictures of the experiments it undertakes to classrooms all across Africa.

Online campaign

But how will these ambitious plans be turned into reality and how likely are they to succeed?

Weltman concedes that most people still regard an African nation going to the moon as a remote prospect.

However, Afirca2Moon has the backing of a number of South African universities and the South African Space Association among others.

Funds have been rolling in via an online donation page over the last month and the target is to reach $150,000 by the end of January to ensure the first stage goes ahead. As of publication, the mission has raised $21,600.

If succesful, this initial cash will be used to develop a full lunar program as well as undertake an associated feasibility study. Outreach and public participation events to garner publicity and create engagement will also be arranged.

Beyond this stage, suggestions from the scientific community around the world will be considered as to what experiments the probe should be designed to carry out.

For example, should it orbit the moon or should it take the shape of a vehicle that can land on the surface and take samples?

"Our research must fit in with the rest of the world in terms of making a contribution of getting a better understanding of the moon and the needs that the global community has," Weltman said.

Educational prospects

While the ultimate goal is to follow the likes of the U.S., the USSR, India and China in getting up close to the lunar landscape, it's the journey to that point that most interests Weltman and the FSDSA given their focus on education.

Studies have shown that countries like South Africa lag behind those in Europe and Asia in terms of the number of higher education graduates and PhD students they produce.

According to an article penned by Weltman on the Africa2Moon website, meanwhile, one in nine African graduates also leaves the continent after completing their studies.

This has a damaging long-term impact on the continent's development and economic prospects. But an eye-catching mission to the moon could help reverse these trends, Weltman believes.

"The benefits won't only come in a decades time when the data starts to come through," he said.

"If we can get somebody into science, if we can get somebody to ask how are they going to get to the moon and somehow get them interested in any of the sciences and engineering, that's our job done."

The great African space race

A number of African nations have invested in space programs in recent years.

South Africa, Nigeria, Morocco, Tunisia, Algeria and Egypt have all launched satellites to aid the likes of communications technology, navigation technology, agriculture, disaster management and mining.

The likes of Ghana, Uganda, Angola, Ethiopia and Kenya have also voiced their commitment to follow suit with space programs of their own.

On top of this, the Square Kilometer Array project in South Africa's Karoo desert will be the largest and most powerful radio telescope on earth when it comes online. Construction on SKA -- which some have compared to CERN's Large Hadron Collider -- is set to begin in 2018.

In a December interview with CNN, Harvard University professor and co-chair of the African Union's High-Level Panel on Science, Technology and Innovation, Calestous Juma, told CNN that such projects were vital to creating valuable and highly skilled workforces on the continent.

Others, however, have asked whether space programs or complex science projects are where African countries should be placing their focus given the many other problems facing the continent.

This is not a point of view Weltman has much sympathy for.

Removing the plaster

"There's no denying there's poverty," he said. "There's Ebola in western Africa, there's religious unrest, there are a lot of trials and tribulations facing our continent and they do need to be dealt with."

"But if we pool everything into aid, it's just a plaster or a band aid that doesn't fix the problem."

Instead, Weltman suggests a more ambitious and joined up strategy that includes space ambitions will prove more fruitful in the long term.

"We have to have education. Education leads to opportunity and opportunity will lead to economic empowerment," he explained.

"Beyond education you have to have skill retention. Its no good creating an educated group who then migrate to better shores. Then you lose that skillset and you lose those future leaders because you're not providing for them."

"If we don't do that what chance do we ever have of standing shoulder to shoulder so that one day people saying 'Africa goes to Mars' is as normal as saying 'America goes to Mars,' he said.

More from Marketplace Africa

Robotics revolution hits classrooms

@highlight

Non-profit aims to start process for African lunar probe

@highlight

Aim of the project is educational as well as scientific

@highlight

Increasing number of African nations are investing in space programs