There is no doubt that in our interconnected world, the G20 has a critical role to play in driving inclusive growth, creating jobs and increasing global living standards.

As a long-time advocate for reducing inequality -- or to put it another way, upping the fairness factor in local and global economies alike -- I am heartened to hear world leaders and policy-makers increasingly agree that growing inequality is undesirable.

But while we all agree that the world is facing an unprecedented number of large-scale, complex economic challenges, there remains heated discussion about the policy fixes needed.

The diagnoses of the world's ills are increasingly in alignment -- even News Corp chief executive Rupert Murdoch recently expressed concern about rising inequality -- but the suggested cures are fiercely contested.

Wealth gap increasingly 'obscene'

As economist Thomas Piketty so eloquently argued this year, wealth and the return on capital are growing faster than the overall economy and income from labor.  Making matters worse, labor income is becoming increasingly skewed, with an ever increasing share going to a small band of top earners.

This means we are approaching levels of inequality in wealth and income that are increasingly difficult to justify, increasingly obscene, and are an increasing drag on productivity and growth.

Inequality of this magnitude undermines the basic notions of trust, fairness, and social cohesion that underpin our economies and societies.

That's why civil society wants G20 nations to embed equity in their country growth plans by measuring improvements in the incomes of the bottom 20% of households.

The G20's commitment to pursuing economic growth of two percentage points above current targets over the next five years is welcome. But the success of the Brisbane talks must also be viewed through the lens of fairness. Leaders must be held to account for ensuring the benefits of growth are spread more widely.

G20 needs to change

Just as the G20 has evolved in recent years from a gathering of finance ministers to include national leaders, the involvement of non-government organizations in G20 meetings and decision-making is a reflection of the realities of contemporary governing and policy making.

Put simply: the continuing relevance and legitimacy of the G20 as an effective global economic policy-making body is reliant on it being more people-focused.

That means the realization among global policy agenda-setters that inequality and exclusion stifles economic growth must drive better responses to addressing the economic impact of climate change, for example, and the establishment of robust post-2015 sustainable development goals.

The way forward

The Australian presidency has no less a task than securing the G20's future. The jury is still out on whether its outreach to non-government actors and, importantly, to developing nations is enough to deliver this.

Consider the key agenda item of driving jobs growth. Governments must work with the corporate sector and the community as equal partners to provide real and quality jobs in the formal sector of the economy, with social and legal protections so that all workers, especially those from vulnerable groups, have the opportunity for improved participation.

The G20 is also poised to make genuine progress on glaring faults in global governance, via its tax reform and transparency agenda. The potential benefits of coordinated action to increase transparency range from strengthening efforts to combat corruption and money laundering, to finally countering tax evasion and avoidance.

It's time to end tax havens and secrecy jurisdictions, and the practices that allow earnings to be "washed" or hidden, as well as the lax residency standards and treaty shopping that allow profit shifting.

Aggressive tax planning alone is estimated to cost developing nations billions of dollars a year. These are the same countries which rely heavily on foreign aid and lack the resources to deal with poverty or fund essential health care and education services.

As governments of wealthy and developing nations alike decry their ability to "afford" to meet the growing demands placed on them by their citizens, they surely have no excuse to ignore the policy levers they have at their disposal to plug leaky and opaque tax systems.

Is it too much to ask that adequate health services, better education opportunities and even clean water no longer remain hostage to capricious and shady global tax arrangements?

I'd say it's only fair for the G20 to act.

@highlight

G20 leaders are meeting in Brisbane to agree ways to boost global growth

@highlight

C20 chief Tim Costello says wealth gap is rising and becoming "increasingly obscene"

@highlight

Equity needs to be embedded in country growth plans, he says

@highlight

Incomes of the bottom 20% of households should be measured