Washington (CNN) -- Take a look at the more diverse slate of potential 2016 Republican presidential contenders and one thing becomes quite clear: this is not your daddy's GOP -- at the top anyway.

There are Latino Sens. Marco Rubio of Florida and Ted Cruz of Texas.

There is an Indian American: Gov. Bobby Jindal of Louisiana.

And joining Jindal, Rubio and Cruz from the Generation X ranks are Gov. Scott Walker and Rep. Paul Ryan, both of Wisconsin.

Boomers potentially in the mix include Pennsylvania Sen. Rick Santorum, Sen. Rand Paul of Texas and Gov. Chris Christie of New Jersey.

Three out of the past four Republican nominees were all well into their 60s, while the Democrats over the same period went with younger candidates.

Now look:

Democrats are taking a page from Ronald Reagan, the oldest president ever on Inauguration Day at 69.

Hillary Clinton would be that age on Election Day 2016, if she runs and wins, while Vice President Joe Biden might be considered historically "young" for a senator at 73 at the same point, but breaking new ground for the Oval Office.

Both are quite pale, too, and so is most of "the bench" of the party that embraced history in 2008 and nominated the first African American for President in Barack Obama, who was at the time merely in his 40s.

GOP race for 2016 is wide open

"Democrats are known as having great policies (for minorities) on paper, but it's harder to rise through the ranks," said Andra Gillespie, an associate professor of political science at Emory University. "The Republicans don't have great policies on paper, but they are often more supportive of their minority candidates."

Obama's election meant that many of the Democratic old guard, folks like Clinton and Biden, had to bide their time and wait until the next cycle. But his time around people like Massachusetts Gov. Deval Patrick are barely a consideration, she said.

"If you want to present something different, young, charismatic black guy isn't it," Gillespie said.

The Republican Party was blasted during the 2012 presidential election as the party of old, white, men for their presidential and congressional candidate lineups.

The GOP lost among young people, minorities and women in large numbers and was forced to do some serious soul searching in preparation for the 2014 midterms and 2016 presidential elections.

GOP problem: 'Their voters are white, aging and dying off'

But even as the Republican Party was taking a beating over its lack of diversity and tin ear on issues important to minorities, a class of young guns who more closely resembled the broader American electorate made headlines for their edgier brand of conservatism.

"These candidates have been very shrewd and extremely media savvy and have been able to garner a lot of attention very quickly," Gillespie said. "It's partly their own skill and being in the right place at the right time. But it's also the Republican Party not wanting to look like the party of old white men."

As a tea party darling, Rubio has earned nods from conservative corners for his criticism of Obamacare, but is also seen as a more moderate voice in the debate over immigration reform.

Cruz and Paul rode that same anti-establishment, tea party wave into Congress and have since garnered attention for their fiery rhetoric about the ills of big government and willingness to challenge the status quo.

Christie rose to prominence because of his swaggering conservative style tempered by his willingness to reach across the aisle in his state. He made a splash, too, by giving Obama and his administration credit on Superstorm Sandy recovery efforts.

Meanwhile, Santorum, Ryan, Jindal and Walker's clear and direct conservative approach to fiscal and governance matters is seen in right wing circles as a refreshing change from what some in the Republican Party have felt is a watered down version.

"The fact that the Democrats don't have the depth of diverse talent like the Republicans do might be an indication that, despite what they might have you believe, their party is old and stale," said Orlando Watson, the Republican National Committee communications director for black media.

RNC highlights strategy for building 'new generation of black Republicans'

The slate of potential 2016 GOP presidential hopefulsâ€”and to be clear, no one on either side of the aisle has officially announced a bidâ€”may be younger and more diverse.

But the broader party is still too old, too white and too out of touch with the rest of America, said Lionel Sosa, a veteran Latino GOP strategist who has helped advise candidates since 1980.

"I think our party is stone deaf on the issue of Latinos and immigration. We're turning off not only Latinos, but also women, young people and Asians with stupid, intensive comments," Sosa said.

He pointed to anti-immigration comments by recent Republican candidates and former Arkansas Gov. Mike Huckabee's comments about Democrats thinking women "can't control their libidos" as "equally stupid."

"GOP candidates who cater to the extreme right in the primaries, don't realize the long term damage they're doing to the Republican brand in terms of alienating the segment of voters who are growing the fastest," Sosa said. "This damage will be hard to overcome in the general election."

@highlight

In the 2016 election, the GOP could present a more diverse cadre of presidential hopefuls

@highlight

By contrast, the presumed Democratic likely frontrunners are older and white

@highlight

GOP focused on diversity after it lost big among minorities in 2012

@highlight

Though their candidates are diverse, the party still has work to do in minority voter outreach