(CNN) -- In the wake of the attempted bombing of a Detroit-bound flight on Christmas Day, security experts, political commentators and the media have been asking one question: How can the United States prevent terrorists from smuggling homemade bombs through security?

The most frequent answer has been full body scanners, a developing technology used in a handful of airports around the world. Although these scanners may be effective, they are at best the right answer to the wrong question.

The question that law enforcement and security professionals must ask is how to prevent the terrorists themselves from getting on the airplane.

Once we focus our attention on individual terrorists rather than their potential weapons, one fact is immediately clear: We must completely change the way we go about airport security and counterterrorism in general.

The procedures are both inadequate and ineffective. The current random searches do only a minimum to improve security. Nothing is more unproductive than searching an 80-year-old woman in a wheelchair from Sweden or a 3-year-old child simply because she or he was the 10th person in line. Quite simply, the system has failed and must be revamped.

Recognizing existing deficiencies, on Monday the Transportation Safety Administration announced it has taken the first step toward implementing a revised screening process for airline passengers. TSA will mandate that "every individual flying into the U.S. from anywhere in the world traveling from or through nations that are state sponsors of terrorism or other countries of interest will be required to go through enhanced screening."

This is a step in the right direction. But more should be done.

Instead of a system akin to searching for a needle in a haystack while blindfolded, the Transportation Security Administration and the intelligence community should institute a system of "smart screening."

Such a revised screening process would consider a host of factors in determining whether someone is a potential security threat. Among the considerations would be: behavioral signs; appearance; itinerary and travel history; appearance on watch lists; known connections to radical organizations or individuals; and yes, ethnicity and religious identity.

Recognizing that the inclusion of ethnicity and religious characteristics in this list may be unsettling, it simply cannot be ignored that the overwhelmingly large majority of terrorist attacks undertaken over the past decade were committed by Islamic fundamentalists.

Consequently, to ignore it as a factor -- as does current policy -- could have devastating effects.

The procedures are both inadequate and ineffective. The current random searches do only a minimum to improve security. Any characteristic that can help us identify followers of radical Islam would be critical to determining who should be denied a visa, who should be put on the no-fly list and who should be subjected to a secondary inspection at the airport.

One point worth mentioning is that a proposal for "smart screening" is not a call for a ban on Muslims flying on planes, nor is it an attempt to stop every person with Arab features and put them on a watch list.

Rather than an accusation of guilt, it is simply an additional investigative tool that will allow law enforcement officials to effectively and efficiently marshal their resources toward a known threat, that posed by violent adherents of radical Islamic theology.

Screeners and officials of intelligence agencies need as much information as possible to make decisions. To ban the use of critically relevant criteria in preventing catastrophic acts of terrorism, a policy in effect today, is to deny intelligence officials all the tools they need to make critical decisions.

Law enforcement has done criminal profiling for decades and recognizes it as an invaluable tool. If a child is raped, the first suspects logically are pedophiles.

Skeptical that "smart screening" will be effective? Mohammad al-Qatani, the intended 20th hijacker from the September 11 attacks, was stopped in Orlando, Florida, in 2001 because of profiling.

It must be conceded that this proposal may not be 100 percent effective. No system ever will be.

However, as  terrorist groups consistently demonstrate their adaptability, one thing that has remained relatively constant is the pool of willing and able recruits. If some of the most well-trained and effective terrorists cannot carry out their mission because of profiling, that makes the likelihood of a successful terrorist attack that much slimmer.

The new operatives may be less well-trained and hence less deadly. What they will undoubtedly have in common with their more experienced brethren, regardless of their ethnicity or nationality, will be an adherence to radical Islam.

Rather than calling for an all-encompassing program where all followers of Islam would be swept up in some sort of dragnet, law enforcement officials should be provided with all of the tools necessary to prevent acts of terrorism, including the ability to consider the potential that an individual getting on an airplane has been radicalized.

Race and ethnicity should never be sole criteria in evaluating threats. Rather I am calling for consideration of such criteria only in addition to many other factors.

The opinions expressed in this commentary are solely those of Steven Emerson.

@highlight

Steven Emerson: New TSA rules for screening passengers good start, but more needs to be done

@highlight

Emerson: Can't ignore Islamic radicals carried out most terror attacks over the past decade

@highlight

"Smart screening" means behavior, travel history, watch lists, ethnicity, religion

@highlight

Screeners, intelligence officials need as much information as possible, he argues