(CNN) -- Microsoft had trouble solving the problems with its Vista operating system, so what are its chances of fixing climate change?

Burning issue: It's not hip or sexy, but could greenhouse gas accounting be key to combatting climate change?

The global software firm has created an online tool called Project 2 Degrees for cities across the world to monitor their greenhouse gas (GHG) emissions and, the hope is, then do something about them.

While Bill Gates' company have tailored an online carbon accounting tool for cities, businesses are increasingly turning on to the benefits and need to track their own GHGs, opening up an area for enterprise software companies to provide the best tools for the job.

"A lot of companies are worried and interested in carbon accounting, but don't necessarily feel an urgency to adopt it. But there is enough regulation in the pipeline, certainly in the U.S., that makes it look real and coming in a couple of years," said Scott Clavenna of Greentech Media.

"It will go from a niche of a couple of hundred companies using this kind of software right now to thousands."

The call for more carbon accounting doesn't have any emotive ad campaigns or Hollywood celebrity-backing, instead it uses cold hard data to track emissions and empower those responsible to try and reduce them.

Cities account for only 2 percent of the worlds land mass but produce up to 75 percent of worldwide greenhouse gas emissions, so became the focus for Project 2 Degrees that is a collaboration with software designers Autodesk and the Clinton Climate Initiative.

"This is a long journey for our governments, be they local or national, but we could have the biggest impact by working with local governments as they have the ability to measure what's happening locally in terms of greenhouse gas emissions and to have an effect on the local economy and the local environment first," Matt Miszewski, Microsoft's general manager for Worldwide E-government, told CNN.

Being one of the world's richest and most profitable companies, Microsoft offers it's online GHG accounting tool for free but says Miszewski, it goes further than that.

"We want to show how software can help solve some very difficult issues. A great deal of the importance of this project is to be able to share this information from city to city, region to region," he said.

The first cities that will be comparing their CO2 high scores come from the 56 cities associated with the inaptly named C40 group that is in partnership with the Clinton Climate Initiative. New York and Sydney were heavily involved in beta testing of Project 2 Degrees that started last year, and once more results are in it will be offered to around 1,000 other cities.

"It is eye opening to be able to chart actual emissions against targets to see the quantum of emissions reductions required. Typically these figures are not so readily accessed and this will be a major benefit of Project 2 Degrees," a spokesperson for Sydney's local government told CNN.

Who accounts for what?

Even if the tool is working as well as possible, it seems more needs to be done by businesses and cities to accurately collect and measure GHG emissions.

"Higher level guidance should come in the form of advising what emissions to report and provision of data where possible, however each city needs to take responsibility for the emissions it creates," a spokesperson for Sydney told CNN.

Knowing what needs to be reported is a challenge that is being met. The World Resources Institute's Greenhouse Gas Protocol is the most widely used international accounting tool for both governments and businesses, covering the six greenhouse gases covered by the Kyoto Protocol.

"The World Resources Institute has done a really good job in defining the protocols in the data gathering. What do you gather from where and how do you report it? Now everyone is starting to compare apples to apples," Clavenna told CNN.

It could be a boom area for carbon accounting software developers. As well as numerous start-ups the big players including Microsoft's non-altruistic arm and SAP have begun their own programs aimed at businesses.

"The stakes are high for enterprise software," said Clavenna. "The big players are not aggressively marketing yet, but getting ready to come out with a big product when their customers need it."

Over 200 companies are developing accounting software, according to research by Greentech Media, and over 3,000 businesses are using their products to track their GHG emissions. Big corporations including Dell, Xerox and Pfizer have all been early adopters stretching back to 2002.

Limited carbon emissions regulations, such as the EU Emissions Trading Scheme and at state level in the U.S., are in place, and a number of international voluntary programs also exist. Yet most of the early-adopter businesses are responding to public pressure for them to be environmentally-aware and shareholder requests for their business to be greener.

"There have been some light triggers -- stakeholder requests, even in HR, young people asking for proof that their company is green. In a down economy a company can choose to put them aside or table them for a while," said Clavenna.

But more significant factors are on the horizon: "The big triggers are a cap and trade regime, which [in the U.S.] would come through congress and set by the EPA who will say which companies need to report and what they need to report," said Clavenna.

A cap and trade program would mean thousands more companies would have to account for and report their GHG emissions as a market is created to trade excess CO2.

Strict accounting of emissions can also be a means to beat some corporate 'greenwashing', particularly in terms of companies making claims over their carbon footprints.

Ultimately however it is about reducing those footprints and aiming to limit global warming to only 2 degrees Celsius.

"There is a market out there for software that manages cap and trade, both from an intergovernmental aspect and a commercial aspect. Copenhagen will be a tipping point for those kinds of activity to move forward world wide. These folks are going to have an increased responsibility," said Miszewski.

@highlight

Greenhouse gas emissions software designed to track and then reduce GHGs

@highlight

Microsoft developed online tool for cities; many more designed for businesses

@highlight

Worldwide over 3,000 businesses use carbon accounting software; number to rise

@highlight

Being able to quantify emissions will lead to more effective action say analysts