(CNN) -- Israeli-Palestinian tensions flared again in Jerusalem on Wednesday, with police and youths clashing at one of the holiest sites in Judaism and Islam, and a Palestinian motorist slamming into pedestrians, killing one.

The events occurred amid unrest spurred in part by a days long war of words -- and sometimes rocks and bullets -- over the compound called the Temple Mount by Jews and Haram al-Sharif, or the Noble Sanctuary, by Muslims.

At the compound -- the holiest site in Judaism and the third-holiest in Islam -- groups of Palestinian youths threw stones and set off fireworks at Israeli police officers when the site was opened to visitors, Israeli police spokeswoman Luba Samri said. Clashes left more than 15 people injured, police said.

It was just the latest round of unrest since right-wing activist Rabbi Yehuda Glick was shot and gravely wounded after championing more Jewish rights at the site, where Jews can currently gather, but not pray.

The October 29 shooting helped to ratchet up tensions in Jerusalem and prompted Israeli authorities to close the holy site for one day -- a move that a spokesman for Palestinian President Mahmoud Abbas called a "declaration of war."

Before Wednesday's violence, the youths had gathered at the site's al-Aqsa Mosque overnight, amassing rocks, fireworks and Molotov cocktails with which to attack police, Samri said.

Police pushed the Palestinians back into the mosque during Wednesday's clashes, Samri said, and, in an attempt to control the violence, police temporarily closed access to the compound.

Witnesses among the Muslim worshipers gave a different version of events, saying police tossed stun grenades into the mosque to clear the way for Jewish protesters intending to support Glick.

"Inside the mosque they formed obstacles to hide behind," Samri said. "There were violent clashes with the police."

Police later allowed Jews and tourists back to the site, but unrest flared again near another gate, when police threw stun grenades and fired rubber bullets at Muslim worshipers who were chanting and praying because they weren't allowed back into the compound.

Paramedics from the Red Crescent said 15 people were injured, one of them with a serious injury to the eye. Samri said police officers were injured.

Israeli police officer killed, 13 hurt in driver's rampage

Also in eastern Jerusalem on Wednesday, a Palestinian man drove a van into pedestrians at a rail station, killing an Israeli border police officer and injuring 13 other people, police said.

Police shot and killed the attacker, identified by Israeli authorities as a member of the Islamist Hamas movement and a resident of the Shuafat Palestinian refugee camp in eastern Jerusalem, Samri said.

News of the attack and subsequent killing ignited fierce clashes between Israeli security forces and Palestinian youths at the entrance of the refugee camp, according to witnesses.

Police did not say the van attack was tied to unrest at the holy site. No motive was immediately released, but the Islamist movement Hamas supported it in a text message to the news media: "Hamas blesses the action. What is happening in Jerusalem is pushing us to prepare for war."

Israeli police spokesman Micky Rosenfeld called the incident "a terrorist attack."

That was followed later in the day by a similar incident, when a car with Palestinian plates rammed into Israeli military post near Al-Aroub in the West Bank, injuring three Israeli soldiers, authorities said.

Police are searching for the driver, who appears to have fled the scene, they said.

The soldiers were taken to Jerusalem's Hadassah Hospital. All three are in moderate condition, Dr. Asher Salmon, the hospital's deputy head, said. Earlier, Samri said one was in critical condition.

Prime Minister Benjamin Netanyahu condemned what he said was the "incitement" of violence by Palestinian leaders. He said the assassination attempt on Glick has led to other violence, including the vehicle attack.

The attack comes on the heels of two hit-and-run incidents that happened in Jerusalem and the West Bank last month.

On October 22, a Palestinian man rammed his car into commuters waiting at a light rail stop in Jerusalem, killing a baby and wounding several other people, Israeli police said.

Palestinian state news reported that a 5-year-old girl died October 19 after an Israeli settler deliberately ran over her as she returned home from kindergarten near a village to the north of Ramallah in the West Bank.

Recent tension at the holy site

Some of the recent tension centers on the Temple Mount/Haram al-Sharif and Glick, who has argued that Jews must have a place of worship there. Israeli police shot and killed a suspect in Glick's shooting.

That is a sensitive issue for Muslims, who suspect a plan to expel them from the site.

A spokesman for the military wing of Hamas said the site's al-Aqsa Mosque "is the detonator needed to ignite a volcano in the face of the cowardly and treacherous occupier."

"We salute the heroes of the mujahideen of Hamas," Abu Abiada said in a message posted on the military wing's website.

Jordan controlled the site for a time until 1967, when Israel seized eastern Jerusalem. In the 1980s, Jewish radicals plotted to blow up the Muslim buildings, believing that it would lead to a spiritual revolution and usher in the messiah.

In 2000, the Second Intifada -- a five-year Palestinian uprising -- was sparked, Palestinians say, after Ariel Sharon, then a candidate for Israeli prime minister, visited the compound surrounding the al-Aqsa mosque.

Sharon insisted that his visit was not intended to provoke Palestinians, but many saw it as an attempt to underline Israel's claim to Jerusalem's holy sites.

Revered by Jews, Muslims

With its golden dome overlooking Jerusalem, the Temple Mount/Haram al-Sharif site is said to have hosted sacred events in the Jewish, Muslim and Christian religions.

Rabbinic sages say that God gathered dust from this spot to create Adam, the first man, before setting him loose in the Garden of Eden.

Jewish tradition holds that the Temple Mount contains Mount Moriah, where Abraham, the Hebrew patriarch, is said to have nearly sacrificed his son -- under God's orders -- before an angel intervened.

Later, Israeli King Solomon constructed the first Jewish temple on the mount, including the Holy of Holies, a room that kept the Ark of the Covenant, which was said to contain the tablets on which God wrote the Ten Commandments.

At the foot of the Temple Mount, the 62-foot-tall Western Wall, or Wailing Wall, stands. Once supporting the courtyard of the ancient temple, Jews gather there now to hold religious services, to pray or to slip notes into its cracks.

For Muslims, the Noble Sanctuary contains one of the most sacred sites in Islam: the al-Aqsa Mosque.

Muslims believe that the Prophet Mohammed was carried on a flying steed from Mecca to the site during his miraculous Night Journey, said Muqtedar Khan, an expert on Islam and politics at the University of Delaware.

According to Islamic tradition, the night journey took Mohammed to the same Jerusalem rock on which Abraham nearly sacrificed his son, where the Muslim founder led Abraham, Moses and Jesus in prayers as the last of God's prophets.

That rock is now said to sit in the Dome of the Rock, its golden roof gleaming above the Old City skyline.

Since Muslims began construction at the site in the seventh century, Haram al-Sharif, now controlled by an Islamic trust, has been an almost constant source of tension between Muslims and Jews.

CNN's Tal Amir, Daniel Burke, Tim Lister, Kareem Khadder, Greg Botelho, Talal Abu Rahma and Erin McLaughlin contributed to this report.

@highlight

NEW: Three Israeli soldiers are in moderate condition, a hospital official says

@highlight

Clashes have erupted at a Palestinian refugee camp, witnesses say

@highlight

Paramedics say 15 injured in latest clashes at Temple Mount, or Haram al-Sharif

@highlight

Elsewhere: Palestinian driver hits pedestrians; Israeli police officer killed