(CNN) -- Coming off a coup that initiated a new loop in the roller coaster of Egypt's political scene, the country's future is up in the air -- and with it, the future of the entire region.

Christian Whiton, a former State Department senior adviser, calls Egypt's turmoil "the most titanic political contest of our era."

What could lie ahead? Here, CNN experts -- some of them on the ground in Egypt -- and analysts weigh in on a handful of possibilities:

Opposition consumed by infighting

Egyptians who packed Cairo's Tahrir Square to call for the ouster of President Mohamed Morsy -- a longtime leader of the Islamist Muslim Brotherhood -- had vastly different agendas. Some wanted a return to the days of ousted President Hosni Mubarak; others had supported Morsy and were disappointed by him.

Going forward, don't expect the factions to work together easily, says CNN's Ian Lee, who has covered the region for years. "Infighting is inherent in the opposition and one of the strengths of the Muslim Brotherhood is their cohesiveness. ... The opposition suffers from arrogance and ego. Each leader believes he is better than the others."

No single charismatic leader has risen to unite the opposition, Lee says. Meanwhile, the Brotherhood's unity could help it rise again.

The opposition could change in time, says Whiton, as secular liberals who oppose Islamist rule come together. "Ultimately, liberals do get organized, but it often takes time," he writes on CNN's GPS blog.

The question is how long the country has before Egyptians take to the streets en masse rejecting the military leadership -- like what happened after Mubarak was ousted in 2011.

If the military fails to draw a consensus and move the transition swiftly, it could face a revolt, says CNN producer Salma Abdelaziz in Cairo. If recent history repeats itself, the military will "crush dissent with brute force and you have the whole fiasco all over again."

8 issues Egypt is facing

Muslim Brotherhood pushed into 'confrontational posture'

There is "terrible tension and fear among some in Egypt today" that the Muslim Brotherhood "will be forced underground again and into its historic, confrontational posture with the Egyptian army," says Christiane Amanpour, CNN's chief international correspondent and anchor of Amanpour.

The country's chief Islamist movement certainly won't 'be driven into extinction," says CNN Senior International Correspondent Ben Wedeman, who has covered Egypt for years.

"Despite the fact that many people are fantasizing that this is the end of the Islamist movement," the country will continue to "have to deal with the Brotherhood either as a political movement or underground movement," he says.

Some Egyptians "want to see the Brotherhood crushed," Wedeman says. "It's been shoved into a corner but won't take it lying down."

That could spell armed protests by the Brotherhood and its supporters, he says.

CNN's Cairo-based international correspondent Reza Sayah adds, "Getting aggressive with the Muslim Brotherhood risks a violent backlash that could lead to further turmoil."

U.S. defers judgment on Morsy ouster

'Last nail in the coffin' for Arab Spring

If turmoil and violence reign in Egypt, the global effects could be dramatic.

"One of the great triumphs of the Arab Spring was that it showed Islamists who were prepared to come into the political process and accept the democratic path forward rather than the violent jihadi future that Osama bin Laden and al Qaeda were espousing," Amanpour says.

Morsy won a democratic election only to be deposed through non-democratic means.

"What are you going to tell Islamists: that democracy is for everybody except them?" Amanpour asks.

The coup "could well foretell an end of the fledgling democratic experiment in the most populous Arab country which, by overthrowing its long-term dictator just a couple years ago, had inspired democracy movements around the Arab world," says Mohammed Ayoob of the Institute for Social Policy and Understanding, in a column for CNN.

"If the Egyptian military is allowed to get away with this unconstitutional act it may spell the end of democracy in Egypt for a long time to come;" he says. "It will also be the last nail in the coffin of an Arab Spring already teetering on the edge of the grave with a bloody civil war raging in Syria, brutal suppression of democracy activists in Bahrain, and near-chaos in Libya and Yemen."

Compromise, fair constitution

There is a more positive possibility if Egypt takes the right steps, experts say.

"Various political parties will need to learn to compromise," Lee says, and the Muslim Brotherhood needs to be engaged, not marginalized.

Mohamed Kamel Amr, Egypt's acting foreign minister, told Amanpour that he has reached out to the Brotherhood to keep them in the political process.

That may not be enough to quell the fury of the Muslim Brotherhood and Morsy supporters, who say that "nothing will satisfy them short of having Morsy reinstated as president," Sayah says.

But building a constitution in a way that shows a commitment to representing the will of the people could have a big impact, says Isobel Coleman, senior fellow with the Council on Foreign Relations, in a CNN column.

"If Egyptians approve, through a fair and open referendum, a new constitution that reduces Islam's role, it will take the wind out of the sails not only of the Muslim Brotherhood, but of political Islam across the region."

Bread riots, water wars

Many who follow the region closely say the central question of Egypt's future is summed up by the famous Clintonian adage: "It's the economy, stupid."

In a country grappling with poverty and unemployment, any new government that wants to maintain power needs to work quickly.

If the situation worsens, "people may rise up because the price of bread is too high and they just can't feed their families," Wedeman says.

"If that happens, it's utter chaos -- back to 1977 and the bread riots in Cairo. ... That's the gut worry of everyone."

Meanwhile, Egypt's quickly growing population and limited water supply "could lead to the likelihood of water wars in the future if Nile basin countries like Ethiopia divert the flow of the Nile," Lee says.

The country needs to restore order to the streets immediately, increasing the presence of police despite their lack of popularity, Lee says.

"It really is all about the economy and security."

Washington exerts pressure

Suspending U.S. aid "would plunge an already bankrupt country into deeper chaos," Fareed Zakaria, host of CNN's "Fareed Zakaria GPS," writes in a column.

"But Washington should announce that it will continue its aid for a limited period, say two months, while it determines whether the new government is in fact moving to restore genuine democracy in Egypt."

The United States should call for an end to arbitrary arrests; a constitutional process that includes "all major voices in Egyptian life"; and elections open to all, "including and especially the Muslim Brotherhood," Zakaria says.

But don't expect any proactive steps from Washington, says Whiton, the former State Department adviser.

The will for America and its allies to help the secularists organize, "and the tools to do that with, both appear to be in mothballs," he writes, adding, "Washington will again leave crucial matters to chance."

From hope to despair: Egypt slides into economic uncertainty, again

@highlight

Egypt's future will have a profound global impact, analysts say

@highlight

The Muslim Brotherhood won't fade out of existence, CNN experts say

@highlight

If the economy falls further, riots could follow

@highlight

Compromise and a constitution offer opportunities for stability