The disaster that wrecked a luxury cruise liner and killed at least six passengers has left officials and experts on maritime navigation searching for answers -- fast.

But two days after the massive ship hit rocks and rolled spectacularly on its side, answers were in short supply.

Why was the ship -- with 3,200 passengers and 1,000 crew members -- so close in to shore in an area where local sailors say the sea bed is pockmarked with rocks?  What happened in the minutes after the ship ran aground?   Why was no "mayday" distress signal sent?

Costa Cruises issued a statement saying "preliminary indications are that there may have been significant human error on the part of the ship's Master, Captain Francesco Schettino."

"The route of the vessel appears to have been too close to the shore, and the captain's judgment in handling the emergency appears to have not followed standard Costa procedures," the statement added

Italian prosecutors announced plans to seize the ship's data recorders, which some refer to as "black boxes."  Authorities hope to complete an analysis revealing what happened within a few days.

The ship hit rocks off the coast of Tuscany on Friday, leaving 20 people injured in addition to those killed, authorities said.

According to the Italian Coast Guard, the Costa Concordia was simply too close inland. But what authorities, and the cruise line, can't answer is why.

Capt. Cosimo Nicastro, spokesman for the Italian Coast Guard, said authorities "know what the cause" was: "The water went on board."

"Why he (the captain) went so close is why we are investigating," Nicastro said.

Schettino, who is under arrest, denies the assertion that he had steered the ship too far inland.

"We were about 300 meters (1,000 feet) from the shore, more or less," Schettino said after the accident.

There was a "lateral rock projection," he said.  "Even though we were sailing along the coast with the tourist navigation system, I firmly believe that the rocks were not detected, as the ship was not heading forward but sideways, as if underwater there was this rock projection," he said.

But Nicastro insists "every danger in this area is on the nautical chart.  This is a place where a lot of people come for diving and sailing. ... all the dangers are known."

Schettino is  facing charges of manslaughter, causing a shipwreck and abandoning ship, while passengers were still on board, according to Italy's ANSA news agency.

But, according to ANSA, Schettino says he and his crew were "the last to abandon ship."

Costa Cruises is owned by Carnival Corporation.  Carnival issued a statement  Saturday saying it was "deeply saddened" by the "terrible tragedy."

"We are working to fully understand the cause of what occurred," the statement said.

Carnival officials did not immediately return a call Sunday from CNN requesting further comment regarding the wreck or the safety of its other cruise lines, such as Carnival Cruise Lines, Holland America and Princess Cruises.

Local authorities and residents told CNN they believe that after sustaining damage from what it struck, the ship sailed at least half a mile north, and the captain turned it around toward land, where it toppled.

Experts on cruise-ship safety say there is no way to know immediately what went wrong.

"Human error or navigational error is a real possibility," said Peter Wild, a cruise industry consultant and former navigating officer.  "Those are the two most likely causes" in general, he said, noting that a combination of the two could be to blame.

But there are examples of cruise ships hitting uncharted rocks, he said.

Chris McKesson, professor of naval architecture at the University of New Orleans, told CNN that Giglio, where the Costa Concordia wreck took place,  "is probably pretty well-charted.  The Mediterranean has been traveled for some thousand years."

"Looking at the pictures of the damage, it almost looks as if they saw it at the last minute, and they tried to swing the ship to the right to miss...  But just like when you're driving an RV or something, when you swing the nose to the right, the tail swings little to the left. If you look at the photos of the ship, you can see that the rock embedded in the side of the ship's left port side...as if exactly that happened. She swung her tail over and kissed that rock."

Cruise ships that travel on international voyages, include the Costa Concordia, are subject to the regulations of the International Maritime Organization, a U.N. agency.

"Passenger ships in operation today are subject to a vast array of regulations and standards covering every aspect of ship construction and operation," the IMO website says.  "A number of incidents over the years have led to improvements in safety requirements," the site adds.

Costa Cruises, in its statement Sunday, said it "complies very strictly with all safety regulations and our personnel are committed, first and foremost, to guest safety and security.."  All crew members are trained in basic safety and emergency management, and their skills are tested periodically by Coast Guard authorities, the statement said.

Survivors of the wreck, however, described crew members who appeared overwhelmed.  "There wasn't anybody to help you," said passenger Vivian Safer. "I mean, the passengers were loading the lifeboats by themselves."

The industry association representing cruise lines emphasized Sunday that disasters  are rare.

"Any given day in excess of 300,000 people are on board our ships, being safely carried to various locations throughout the world," said Michael Crye, executive vice president of the Cruise Line International Association.

In general, if something goes wrong and a ship starts to take on water, "You either take the ship back to a safe port, if it's possible to do that," Crye said, or "if the ship is in imminent danger there are procedures and protocols for abandoning ship."

The captain has to make a series of decisions, Crye said.  He could leave the ship, if he delegates certain responsibilities, but the captain is in charge of the safety of the vessel and remains in charge until everyone on board is safe, Crye said.

As for a mayday signal, Crye said the captain is required to report to authorities any "marine casualty," a term that includes damage to the ship that can compromise its safety and ability to safely return to port.  The captain "is a professional.  He must at that point weigh the risks of taking one course of action vs. another," Crye said.

Taking place 100 years after the sinking of the Titanic, this disaster is "remarkably similar," McKesson said.  "Titanic similarly grazed an object on her side. In her case, it was an iceberg, and in her case as the water came in, she tore multiple compartments open..

"The result of that accident in the engineering side was that we rewrote the ways that we design ships, and those bulkheads that separate the compartments run all the way up to the main deck of the ship. So, you can't get that cascading effect. And we design ships to withstand a certain number of those compartments being breached simultaneously."

Crye agreed that the damage to the Costa Concordia "appears similar to the damage of the Titanic."  But "this was a grounding, not an iceberg," and "in a well-traveled area close to shore -- not in the middle of the ocean."

It's too soon to know whether any new regulations are needed to avoid a disaster like this, said Crye.  But, he said, "If corrected measures are necessary, I can assure you that we, alongside the Italian authorities, will be suggesting those changes be made."

@highlight

Costa Cruises says preliminary indications suggest possible "significant human error"

@highlight

The Italian Coast Guard says the ship was too far inland

@highlight

The captain says undetected rocks are to blame

@highlight

The cruise industry association highlights an overall strong safety record