(CNN) -- Waking to another cloudless morning, you dive off your houseboat into the wild blue of Lake Powell in southern Utah. The water takes the edge off the heat, and you float along, contemplating a lazy day of navigating spectacular red-rock gorges and flooded canyons.

Brian Raub, founder of Lakelubbers.com, says lakes have an inherent advantage over the ocean when it comes to vacations.

"You'll probably prefer the feel of freshwater over salt, and you probably won't miss seasickness, seaweed or sharks. You can choose your outdoor temperatures; lakes exist at elevations from below sea level to 13,000 feet above."

See more of America's best lakes

And temperature isn't your only choice: America offers a lake vacation for every season and activity, and no matter where you live, even in the Southwest desert, chances are there's one near you. Satellite mapping has yet to yield a precise answer, but the best guess is that there are between 3 and 4 million lakes across the U.S., ranging from duck ponds to wonders like Oregon's Crater Lake.

While Lake Tahoe is most popular for winter sports and Wisconsin's Lake Winnebago reaches its windsurfing peak in fall, we associate most lakes with summer, as places to cool off and chill out. A recent study by ResortsandLodges.com named lake vacations the most popular summer travel trend of 2012, ahead of beach vacations, romantic getaways, and family trips.

So spend your Labor Day weekend, or one of the few remaining warm weekends of the season, on the lake.

Travel + Leisure: Weigh in on the America's Favorite Cities survey

Lake Superior: Michigan, Minnesota, Wisconsin

Best for fishing: Lake Superior is so vast it could easily hold all of the water from all of the other Great Lakes. That means there's plenty of room for fish to thrive: salmon, trout, walleye, smelt, whitefish, herring, northern pike, smallmouth bass and many other game species can be caught in abundance along the lake's tristate shores. No matter what time of year, some sort of fishing is in season; Duluth (MN) and Bayfield (WI) are among the charter hubs.

Stay: Lutsen Resort, MN; lutsenresort.com.

Play: Duluth Charter Fishing Captains; fishduluth.com.

Travel + Leisure: Best of the Italian lakes

Crater Lake: Oregon

Best for scuba diving: Other lakes have shipwrecks or sunken towns, but only Crater Lake offers the bragging rights of diving in a flooded volcano that also happens to be the deepest lake in the U.S. (and ninth deepest in the world). Without a deep-sea submersible you won't be able to reach the absolute bottom (1,943 feet). But there's plenty to explore in the crystal-clear shallows: lava formations, wildlife (trout and salmon), and underwater moss meadows.

The catch is that you have to schlep your own scuba equipment up and down the Cleetwood Cove Trail -- 700 vertical feet. If that's not your idea of vacation, try the Wizard Island boat cruises around the crater's island on that clear, calm blue water.

Stay: Crater Lake Lodge; craterlakelodges.com.

Play: Wizard Island Boats; (888) 774-2728.

Photos: What you did on your summer vacation

Lake Winnebago: Wisconsin

Best for windsurfing: Steady wind and easy launch make Winnebago the lake of choice for Wisconsin windsurfers and kite surfers -- especially in summer, when the shallow, sandy bottom creates water temperatures that are downright tropical (75-85ÂºF). The annual Wind Power Championships in September brings the nation's top wind-sport racers to Winnebago to face gusts of up to 40 mph. In winter, the lake converts to sail-powered ice racing. travelthelakes.com

Stay: Plaza Hotel (Fond du Lac); ramadafdl.com.

Play: Wind Power Windsurfing & Kiting Center; windpowerwindsurfing.com.

Travel + Leisure: Beautiful U.S. skylines

Lake Kabetogama: Minnesota

Best for kayak or canoe camping: Paddle along the same routes as early French trappers, traders and explorers on Lake Kabetogama in northern Minnesota. Part of the warren of waterways that make up Voyageurs National Park, the lake offers more than two dozen wilderness campsites that can be reached only by boat, including gorgeous spots along Lost Bay and among the Chief Wooden Frog Islands. Keep an eye out for wildlife along the shore, from bear and bald eagles to otters, wolves and moose.

Stay: Northern Lights Resort; nlro.com.

Play: Anderson's Canoe Outfitters, which offers shuttle service between Crane and Kabetogama lakes and customizable canoe trips; anderson-outfitters.com/index.php.

Five guys take same photo for 30 years

Lake Clark: Alaska

Best for wilderness adventure: The only way to reach super-secluded Lake Clark is trekking overland through the Alaska bush, getting dragged by a dogsled team or flying in by a floatplane. Flanked by snowcapped peaks, thick boreal forest and whitewater rivers, the 50-mile-long lake is quintessential Alaska.

Fishing, kayaking and wildlife-watching are the main aquatic activities, while the lakeshore lends itself to weeklong hikes and backwoods camping. Tiny Port Alsworth (pop. 159) offers a visitor center, kayak rental, guide services and outfitters, post office and lodging. nps.gov/lacl/

Stay: Island Lodge, Lake Clark; islandlodge.com.

Play: Lake Clark Air, Port Alsworth; lakeclarkair.com.

Chain of Lakes: Florida

Best for waterskiing: Sixteen lakes form a deep-blue chain around the west side of Winter Haven, the Water Skiing Capital of the World. The craze started in 1936 with the debut of Cypress Garden, the nation's first aquatic theme park, and its celebrated water-ski shows.

"If it's being done on the water, chances are somebody tried it in Winter Haven first," wrote Waterski magazine's Tony Smith. Try barefoot waterskiing, for instance, taught by the Footer's Edge Training Center, one of half a dozen local waterski and wakeboard schools.

Stay: The Stanford Inn, Bartow; thestanfordinn.com.

Play: Lucky Lowe Ski School; luckylowe.com.

Lake Tahoe: California/Nevada

Best for snow sports: High-altitude Tahoe (6,225 feet) is nirvana for skiing, snowboarding and other cold-weather sports. Seven major winter resorts ring the shore, including Squaw Valley, where the 1960 Winter Olympics took place. Hike along snowy forest trails, snuggle up beside a fire in a lakeshore cafÃ© or ride the Sky Express to the top of Heavenly's highest peak for a snow-mantled panorama of the entire lake basin. Or go now, and enjoy the striking scenery without the snow. skilaketahoe.com

Stay: The Shore House; shorehouselaketahoe.com.

Play: Heavenly Ski Resort; skiheavenly.com.

Lake Michigan: Wisconsin, Michigan, Indiana, Illinois

Best for beaches: With more than 1,600 miles of shoreline, Lake Michigan offers more beaches than any other American lake. But it's not just quantity: there's a beach for nearly every taste.

The big-city strands that front Chicago, the wild rolling dunes of northern Indiana, the pastoral shores of Wisconsin's Door Peninsula and the carnival-like atmosphere along the Traverse City Boardwalk offer totally different sun-and-sand experiences on the same lake. You'll pass that boardwalk on the scenic drive from Bay Harbor to Sleeping Bear Dunes.

Stay: The Inn at Bay Harbor; innatbayharbor.com

Play: Sleeping Bear Dunes; nps.gov/slbe/.

Finger Lakes: New York

Best for wine tastings: With more than a hundred vintners, the Finger Lakes region of Upstate New York is the prime wine region of the Eastern U.S. The largest concentration of tasting rooms is along Highway 414 on the east side of Lake Seneca. Wineries with spectacular waterfront locations include Belhurst Estate in Geneva and Thirsty Owl in Ovid. Riesling is the most popular plonk, but the lakes region also produces fine Cabernet Sauvignon, Zinfandel, Pinot Noir, Chardonnay, and GewÃ¼rztraminer.

Stay: Belhurst Castle; belhurst.com.

Play: Thirsty Owl Winery; thirstyowl.com/.

Lake Powell: Utah/Arizona

Best for desert houseboating: From the original "Planet of the Apes" to "Charlie's Angels: Full Throttle," more than three dozen movies have been filmed in and around drop-dead-gorgeous Lake Powell. Spin your own high-adventure tale on a houseboat cruise through the red-rock desert wilderness.

Created by Glen Canyon Dam in northern Arizona, the vast lake stretches for nearly 200 miles into uninhabited southern Utah and includes more than 80 side canyons where yours will often be the only boat. nps.gov/glca/

Stay: Bullfrog Marina Houseboats; lakepowell.com/houseboating.aspx.

Travel + Leisure: See more of America's best lakes

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Lake Superior is heaven for anglers

@highlight

Wine tasting provides a pleasant diversion in the Finger Lakes region

@highlight

Crater Lake's depth makes it perfect for scuba divers

@highlight

Windsurf on Lake Winnebago to usher autumn in