(CNN) -- When Tiffany Wilson noticed a small growth on her left hip, she didn't think much of it.

Tiffany Wilson, 41, found a bump on her hip that she thought was a pimple. It turned out to be skin cancer.

"It was bizarre," recalled the 41-year-old salon owner from Minneapolis, Minnesota. "I just thought it was a pimple."

Wilson, who is African-American, can't say exactly what prompted her to point out the bump to her physician, but she said she remembered thinking the diagnosis wouldn't be anything serious.

"It never occurred to me that it was skin cancer," she said. But it was. She had basal cell carcinoma, the most common skin cancer.

Wilson spent long hours as a child in the summer sun at Lake Nokomis in Minnesota and went to the tanning bed before visiting relatives in the Caribbean, she said. She also said she never wore sunscreen.

"Back then, I just don't think people were aware of the effects [of the sun]," she said.

Those may seem like obvious red flags to people who are sun-conscious, but they were foreign concepts to Wilson, which is why her diagnosis came as a shock.

"I just assumed, 'I'm a person of color, I'll be OK,' " she said.

Dermatologists say they are concerned because skin cancer rates are increasing among minority groups in the United States. Like Wilson, many people of color often mistakenly believe skin cancer is not something they should be worried about.

Pigmentation is no 'free pass'

The reasoning is not completely far-fetched: Darker-skinned people do benefit from the protective effects of skin pigmentation. In fact, some studies suggest that for the darkest skin tones, pigmentation cells provide a natural sun protection factor, or SPF, of about 13. The problem is many dark-skinned people believe that means they are born with a natural immunity to skin cancer.

"Pigmentation doesn't give you a free pass," said Dr. Charles E. Crutchfield III, a dermatologist specializing in ethnic skin and the doctor who treated Tiffany Wilson. "It doesn't matter what color your skin is, everyone can get skin cancer."

Bob Marley, for example, died of malignant melanoma, the most lethal type of skin cancer, that spread to his lungs and brain.

All types of skin cancer are increasing among blacks and Hispanics, and their melanomas are more often fatal because they are usually caught later, according to the American Academy of Dermatology.

Crutchfield pointed out that pigmentation may have sun-protective qualities but even for the darkest skin it falls short of the AAD's recommendation of a daily SPF of at least 15 for everyone. Crutchfield feels many ethnic groups are missing that key part of the message, if they are getting the message at all. Blog: How to pick the right sunscreen

Researchers acknowledge that many of the messages regarding skin cancer prevention have traditionally targeted fair-skinned people, a group 10 times more likely to develop melanoma. Now, dermatologists say, more needs to be done to encourage all groups to take precautions against sun damage.

A Consumer Reports survey found only 27 percent of people with self-described darker skin applied sunscreen when they were in the sun for four hours or more, compared with 64 percent of people with self-described light skin.

The American Cancer Society estimates that in 2009 there will be more than 1 million unreported cases of basal cell and squamous cell skin cancer -- most of them curable -- and that more than 68,000 cases of melanoma will be diagnosed.

For melanoma, the key to a cure is early detection. That's why dermatologists caution everyone to be vigilant and learn the risks for their skin type.

"Race is very important because not all skin is the same," said Dr. Susan Taylor of The Skin of Color Center, a dermatology group focusing on the needs of patients of color. According to Taylor, people with darker skin often get diagnosed at later stages because the cancers often appear in atypical locations. Melanomas in African-Americans and darker-skinned Hispanics and Asians develop more commonly on the palms, soles of the feet, toenails, fingernails and in mucus membranes like around the mouth and genitals, she said. In Caucasian and lighter-skinned Hispanics, melanomas more frequently appear on the back in men and on the legs in women.

Also, the signs of melanoma may vary depending on skin tone.

"Skin hue can affect the way lesions look," Crutchfield said. "Things that appear red in white skin often look completely different in skin of color." Historically, research and teaching was done on fairer-skinned people, making it more challenging for physicians to recognize suspicious moles on darker skin.

While these differences present challenges, they are certainly not barriers. Experts say, the best thing to do is keep it simple.

"If you have any lesion or mole change at all, or if you have a spot that bleeds and doesn't heal in three weeks, see a physician or a dermatologist," Dr. Crutchfield recommended. "That's something everyone can do." Visit the American Academy of Dermatology Web site to find free screening locations in your state

Another piece of simple advice: "All racial groups need to use sunscreens," Taylor stresses. The American Academy of Dermatology recommends using a broad-spectrum sunscreen that protects against both deep-penetrating UVA rays and burn-causing UVB rays. Not all sunscreens protect against both. Visit the Environmental Working Group's Skin Deep cosmetic safety database

Tiffany Wilson is heeding that advice. She said she's learned that when it comes to prevention, the worst thing you can possibly do is nothing.

"I use extreme caution in the sun and make certain that I use a sunscreen, even on a cloudy day," she said. "You shouldn't underestimate the rays of the sun. "

@highlight

Dermatologists report increased incidence of skin cancer among people of color

@highlight

Minorities often believe pigmentation makes them immune to skin cancer

@highlight

More than 1 million new cases of skin cancer are estimated in 2009

@highlight

Every 62 minutes, one American dies of melanoma