LONDON, England (CNN)  -- Earlier this week, the case of Hiroki Ando, the Japanese 11-year-old boy who was denied a heart transplant in Japan, highlighted the vast cultural divide in attitudes towards organ transplant and availability worldwide.

Hiroki plays catch at the Tokyo Women's Medical University Hospital.

Hiroki had to travel to the U.S., where he is awaiting a heart, because Japan prohibits organ transplants involving children.

His story highlights the wide range of policies around the world regarding organ donation.  Watch Hiroki's trip to the U.S. »

Organ donation has saved and improved countless lives. But medical advancements have led to a rise in demand for organs that is outpacing donation rates.

Some countries, particularly Spain, have succeeded in raising the number of organ donors, but there is still much room for improvement, according to Leo Roels, managing director of the Donor Action Foundation.

"What we see in our experience in so many countries is that there is still a lot of potential when it comes to identifying donors," he told CNN.

The Donor Action Foundation is a non-profit group that helps hospitals implement programs designed to improve their donation rates. It's active in 17 countries worldwide.

Looking at deceased donors per million population -- a commonly used benchmark -- rates vary widely around the world.

Spain leads internationally with 34 deceased donors per million population, according to figures from the International Registry of Organ Donation and Transplantation.

Australia, on the other hand, noticeably lags countries with comparable health care systems with just 12 deceased donors per million population.

Would you be willing to donate your organs when you die? Why or why not? Tell us in the SoundOff box below

A variety of factors impact organ donation rates, from the legal environment to training to cultural obstacles, experts said.

In Japan, the law prevents children from donating organs, but there is also an overall reluctance to donate organs that is rooted in Shinto and Buddhist attitudes towards death.

Japan didn't legalize organ transplants from brain-dead donors until 1997, according to the Japan Organ Transplant Network, a non-governmental group.

Although, the government is currently looking at changes to the law that could pave the way for more transplants.

"Even among medical professionals, the support for the concept of brain death in Japan is significantly lower than in European countries," Roels said.

Even in the U.S., which is one of the leading countries for organ donations, there are still some cultural obstacles and religious concerns about what constitutes death.

It's a mixed picture for donor rates in the U.S., according to Joel Newman of the United Network for Organ Sharing, which runs the country's only organ transplant network.

Deceased donor rates are well above levels from the late 1990s and early 2000s, but they have hit a plateau.

"People in their own lifetime, even if they have positive feelings about organ donation, don't make a commitment," he said. "They don't fill out donor cards or have a conversation with their family."

Countries like Spain, Belgium and Norway have passed "presumed consent" laws where individuals are automatically considered an organ donor unless they opt out.

While these laws have helped improve rates of organ donation, success in countries like world leader Spain has largely been attributed to the organizational measures it has implemented.

Spain established a nationwide transplant co-ordination network in 1989 to help doctors and transplant coordinators to identify potential donors.

The so-called Spanish Model has achieved results such that its organizational measures have been recommended by the World Health Organization.

The UK is one country emulating aspects of the Spanish system. It's in the process of overhauling its transplant network in a bid to improve its effectiveness.

The percentage of potential donors who actually donate organs -- a measure of the efficiency of a transplant network -- is around 50 percent in the UK, according to Chris Rudge, the UK's national clinical director for transplantation.

By comparison, the Spanish system has a so-called conversion rate of 80 percent to 85 percent and the U.S. is targeting around 75 percent, he said.

"What we're trying to do in this country is change the attitude toward organ donation. At the moment it's unusual, and we want to make it usual," Rudge told CNN.

In the aims of getting more families to give consent, the UK is more than doubling the number of transplant coordinators in its hospitals to 250. Hospitals in the UK are required to obtain consent for organ donation from individuals or families.

These coordinators, who will receive specialized training to work with families and handle ethical issues, will team up with senior doctors in intensive care units of hospitals to identify potential donors. The framework for the collaborative program should be in place by April of next year.

The presence of transplant coordinators is important, but it's just one of many measures that need to be taken in order to get a grip on the organ shortfall problem, Roels noted.

"There is a need to combine factors like training, education and better identification. It's a combination of these factors that will improve donor rates further," he said.

@highlight

Transplant patients worldwide face shortfall of organs

@highlight

Rates of organ donation among deceased vary widely around the world

@highlight

Legal, cultural and organizational factors influence organ donation

@highlight

Spain's transplant coordination network has helped it become global leader