Berkeley, California (CNN) -- On a research trip in Nigeria, Dr. Laura Stachel watched as physicians performed an emergency cesarean section.

What happened next stunned her.

"The lights went out," Stachel recalled, "and I said, 'How are they going to finish?' "

She was even more surprised by the nonchalant response.

"You didn't even see people reacting because it was something they were so used to," she said.

Fortunately, Stachel had a flashlight with her, and the doctors were able to use it to complete the surgery. But during that two-week trip in 2008, she witnessed countless other times when the lives of mothers and babies were at risk simply because of a lack of reliable electricity. Pregnant women would arrive at the hospital with severe complications, but without adequate light to treat them, procedures had to be compromised or delayed until daylight. Some women were even turned away.

"I realized that my skills as an obstetrician-gynecologist were utterly useless (without) something as basic as light and electricity," Stachel said.

Stachel said midwives in Nigeria use all kinds of makeshift lighting when they deliver babies: kerosene lanterns, candles, even cell phones.

"That's not adequate light for maternity care," she said. "If somebody is hemorrhaging, if a baby needs resuscitation, you need to have directed light."

Nigeria is one of the 10 most dangerous countries in the world for a woman to give birth. In 2010, an estimated 40,000 Nigerian women died in childbirth -- 14% of all such deaths worldwide, according to the World Health Organization and the United Nations.

Meanwhile, the neonatal mortality rate is also one of the worst in the world. Each year, about 4% of babies in Nigeria die before reaching 28 days old; for comparison, the United States rate is only a fraction of this at 0.4%.

Stachel said that in her two weeks in Nigeria, she saw more complications than she had in her entire career in the United States.

"Once I witnessed the things that I saw," she said, "I had to let people know, and I had do something about it."

With the help of Hal Aronson, her husband and a solar energy educator, Stachel worked to find a solution. He drew up designs for a solar electric system to provide a free source of power to the state hospital in northern Nigeria where Stachel had conducted her research.

While they raised funds for the project, Stachel returned to Nigeria with a small kit to help show what the system would be able to do: It had a couple of solar panels inside, some lights and walkie-talkies to improve communication.

The kit was only meant for demonstration purposes -- a miniature model of the larger system. But the surgical technicians saw it as something else.

"They said: "This is incredible. You have to leave this with us. ... This could help us save lives right now,' " Stachel said.

She did just that, and news of the kit soon spread to other clinics. So each time Stachel would return to Africa, she came with one or two new "solar suitcases" assembled by her husband.

Today, the solar suitcase includes two solar panels that are mounted on a clinic's roof and connected to high-quality LED lights. Once fully charged, it can provide light for up to 20 hours. The kit also contains headlamps, a fetal Doppler to monitor a baby's heart rate and a cell phone charging unit.

Over time, the solar suitcase has become simpler in design.

"We got to something that was really rugged, simple to use, portable and that we knew would really work in harsh environments," Stachel said.

It also spread to other countries after Stachel and Aronson started a nonprofit, We Care Solar. Since 2009, the kits have been helping health-care workers save lives not only in Nigeria but in facilities throughout Africa, Asia and Central America.

For Stachel, the solar suitcase is only part of a bigger mission to improve maternal health care and lower mortality rates in developing countries.

According to the World Health Organization, about 800 women die every day from preventable causes related to pregnancy and childbirth. And 99% of all maternal deaths occur in developing countries.

"I really want a world where women can deliver safely and with dignity, and women don't have to fear an event that we consider a joy in this country. To see birth associated with death and fear is an outrage," Stachel said. "Before I went to Africa, I knew women were dying at high rates. I just didn't know they were run-of-the-mill things we can take care of."

In 2009, We Care Solar completed the solar electric installation that her husband originally designed for the state hospital. Over the next year, the hospital reported that the death rate for women had decreased 70%. Nurses told Stachel they could see what they were doing, they didn't have to turn women away, and they had blood for transfusions because the electricity provided power for a blood bank refrigerator.

"When we saw the impact, that gave me the impetus to provide this fundamental thing for people to do the job they knew how to do," Stachel said.

We Care Solar provides its solar suitcase, along with training and installation, to hospitals and clinics for free. Each solar suitcase costs $1,500, which the nonprofit funds through grants and support from partner organizations and sponsors.

Stachel also works with its partners in various countries to identify clinics in need and help engage the community.

"We often ask them to be involved participating in research studies, giving us feedback and making a commitment to maintain these and to replace parts as they're needed," Stachel said.

So far, We Care Solar has provided nearly 400 solar suitcases to facilities in 27 countries. They're being used in main hospitals as backup systems and in rural clinics as a primary source of electricity.

"It's just shifted the morale of the health-care worker," Stachel said. "They're now excited to come to work. ... Mothers are now eager to come to the clinics."

Fanny Chathyoka, a midwife at a rural clinic in landlocked Malawi in southern Africa, used to use light from her cell phone when treating patients at night. She said the solar electric kit she received from Stachel last month "keeps me going."

"This light ... is going to bring good changes," she said. "We should not lose any women. I will be able to give good deliveries. Suturing will not be a problem for me. Resuscitation of a baby during the night will not be a problem, because of the light. I feel very happy."

Ultimately, Stachel hopes her efforts will be part of a movement that makes a dent in a very big problem.

"We didn't set out to transform maternal health care around the world, but it feels like this has grown to something so much bigger than I had ever imagined," she said.

"Communities are celebrating the fact that they have light. And that they now have one more component to help with safe motherhood. It's amazing."

Want to get involved? Check out the We Care Solar website at wecaresolar.org and see how to help.

CNN's Diane McCarthy contributed to this report.

@highlight

In some countries, a lack of reliable electricity is to blame for deaths during childbirth

@highlight

Dr. Laura Stachel witnessed this tragic truth during a trip to Nigeria five years ago

@highlight

She and her husband are now delivering a solution: solar energy in a suitcase