HARARE, Zimbabwe (CNN) -- A child cries from hunger, but no tears come from her swollen eyes.

A Zimbabwean family bury their relative, who died of cholera, 25km from Harare, Zimbabwe.

Malnutrition has left this baby born in Zimbabwe fighting for her life. She is the face of an unfolding crisis in a country once known as Africa's bread basket.

Today a loaf of bread costs $35 million worthless Zimbabwean dollars, and people are forced to sift through garbage piles for any morsel of food. Others huddle for warmth around a fire burning inside the shell of a broken-down van.

All of these images were captured on video recently smuggled out of Zimbabwe by Solidarity Peace Trust, a South African human rights group.  Watch the disturbing images »

Zimbabwe's government maintains that the situation is being exaggerated by the West in an effort to exert pressure on President Robert Mugabe to leave office.

But the World Health Organization (WHO) says the desperate situation has triggered a widening cholera outbreak that has killed 775 people and infected more than 15,000.

"You have to eat in the same place you sleep right next to the buckets, the same buckets that we used as toilets," one cholera patient says on the video. "There is no water to bathe."

And little to eat. Women foraging for food in the bush find dry branches with only a few berries.

"This packet of juice will be my supper tonight," one woman says.

Zimbabwe's main opposition leader Morgan Tsvangirai -- who is still trying to form a unity government with Mugabe under a recent power-sharing deal -- said the situation can only be addressed once a "legitimate government" is in place.

"Once there is a legitimate government, it is up to that government to deal with the problems the country is facing, which are quite wide-ranging," Tsvangirai told CNN on Wednesday.

"But the immediate intervention of the health crisis has exacerbated the situation to the extent that it has now become an international crisis."

The WHO says the current cholera outbreak in Zimbabwe has a high fatality rate because sufferers are either not able to reach health centers in time or that the health centers lack the capacity to treat the cases.

"The epidemic is clearly on the increase," Dr. Eric Laroche, a WHO official in Harare, told CNN on Wednesday. "I think it's going to last for several months."

In addition to the WHO, the Red Cross has responded to the outbreak and is sending staff and medical supplies into Zimbabwe.

Zimbabwe's main hospitals have all but shut down and the small clinics equipped by international aid organizations are overcrowded and unable to cope with the thousands of cholera patients. Health workers inside Zimbabwe believe scores are dying at home.

Laroche said the WHO is receiving cooperation from the government, but the health care system is abysmal.

"The quality of the care, the supplies that come inside Zimbabwe, also need to be restored," Laroche said. "So there's a lot of work to do, because the health system is collapsing for the time being."

One Zimbabwean health care worker, who would not show his face on the video, said he fears the death toll will skyrocket.

"People are dying even at the health institution," he said. "It's beyond control. We are going to witness so many deaths in the coming weeks."

He expressed frustration that so many people are dying from cholera, a disease that "is both preventable and curable."

"Nobody should die from cholera," he said. "We are quite unfortunate."

Zimbabwe, already experiencing an economic crisis, was struck with the raging water-borne cholera in August. Health experts say the battle against the disease can only be won if Harare has adequate water-treating chemicals and disposes of refuse properly.

Zimbabwe's information minister Sikhanyiso Ndlovu said Tuesday that the country has enough chemicals to purify water and enough money to buy pipes to mend sanitation lines.

He maintained that the outbreak is under control, blaming the West for causing the crisis as an excuse for military intervention.

International leaders -- including U.S. President George W. Bush, French President Nicolas Sarkozy, and Kenyan premier Raila Odinga -- have recently called for Mugabe to step down for failing to contain the cholera outbreak.

Frustration inside Zimbabwe is building. Last week, doctors and nurses protested over the lack of medical supplies and other resources at the country's hospitals.

Labor unions have protested over the deteriorating economy. Even soldiers once shielded from economic hardships by the Mugabe regime went on a rampage last week when they were unable to access wages from the country's banks.

Human rights activist Elinor Sisulu, who has lived and worked in Zimbabwe and now coordinates civil action outside the country, called on African leaders to demand Mugabe step down before Zimbabwe explodes.

"In any population where you have high levels of desperation, anger and ... people arrive at the conclusion that we've tried a peaceful political process and this is not working, then anything can happen," she said.

-- CNN's Nkepile Mabuse in Johannesburg, South Africa contributed to this report.

@highlight

WHO: Nearly 775 people have died in Zimbabwe from cholera outbreak

@highlight

Zimbabwe maintains that the situation is being exaggerated by the West

@highlight

The number of overall cholera cases is also on the rise, hitting 15,141

@highlight

Cholera outbreak is part of a larger humanitarian crisis in Zimbabwe