Washington (CNN) -- The closer Congress gets to voting on whether to back President Barack Obama's call for a military attack on Syria, the more election politics influences the debate.

Splits exist on both the left and right, revealing the political calculations of Washington regarding next year's congressional elections and the 2016 presidential vote.

While the 2014 contests faced by every House member and a third of the Senate are more proximate, the machinations at work in debating and acting on the Syria issue also are heavily focused on the balloting three years from now to choose Obama's successor.

An expected Republican presidential contender, Florida Sen. Marco Rubio, on Wednesday demonstrated the art of present and future political messaging in his statement explaining why he voted against a resolution authorizing limited military strikes in response to what he agreed was Syria's use of banned chemical weapons.

Rubio blamed the Obama administration for mishandling U.S. reaction to Syria's civil war, with help from Republican isolationists, by failing to strongly back opposition rebels when the conflict erupted in 2011.

While he called then for "a more robust engagement" to help the Syrian people topple Syrian leader Bashar al-Assad, Rubio said, he never advocated the use of U.S. military might in the conflict.

"Had we forcefully engaged in empowering moderate rebels, today we would have more and better options before us," he said. "But instead, unfortunately, the president, with the support of some voices in my own party, chose to let others lead instead. And now we are dealing with the consequences of that inaction."

That stance protected his conservative credentials by asserting military expertise, and also implicitly criticized two potential rivals for the White House in 2016 -- former Secretary of State Hillary Clinton and GOP Sen. Rand Paul of Kentucky.

As Obama's top diplomat, Clinton is automatically associated with the administration's response to the Syrian crisis until she stepped down early this year and was succeeded by John Kerry, a veteran Democratic senator.

House Dems proving tough sell for Obama on Syria

Clinton, who had pushed for arming the Syrian rebels but was overruled by Obama, is considered the frontrunner for the Democratic presidential nomination if she decides to run, which is widely expected. Her only statement so far on the current Syria question, issued by an aide, backed Obama's decision to seek congressional support for a military response.

Meanwhile, the libertarian Paul follows the same non-intervention policies espoused by his father, former GOP Rep. Ron Paul of Texas, who mounted several unsuccessful runs for president.

Like Rubio, Rand Paul also voted against the Syria authorization measure at Wednesday's meeting of the Senate Foreign Relations Committee, which passed it by a 10-7 margin.

To distinguish himself from Paul, Rubiov used his statement to directly attack what he called isolationist policies, saying: "Just because we ignore global problems doesn't mean they will ignore us."

"Instead, they become bigger and harder to solve, and sadly, Syria is just the latest example of that fundamental truth," Rubio said.

Another leading conservative voice, former U.S. Sen. Rick Santorum, adopted a similar stance to Rubio on Thursday, even though he had called for possible air strikes on Syria in March 2012 when he was seeking the Republican presidential nomination.

"Had President Obama and then-Secretary of State Hillary Clinton acted then in support of pro-democracy forces when that rebellion was taking place, we could have removed Assad and helped usher in stability for that country," Santorum said in a statement. "But we have a very different situation today. After nearly two years, 100,000 people killed, a rebel force comprised of al Qaeda and a Syrian regime in a much stronger position, a military strike would no longer be in our national security interest."

The positions of Rubio and Santorum follow a game plan laid out this week by Republican strategist Alex Castellanos, a CNN contributor, that called for GOP legislators to reject Obama's push for congressional authorization to attack Syria.

Though Obama "has told the country he has the power to intercede in Syria, he would like to make Congress 'President for a Day' so members can share his responsibility," Castellanos wrote in an opinion piece this week.

"Should Syria turn into a car wreck that lasts for years and further destabilizes what Obama's weakness has wrought in the Middle East, the president would prefer to be one of 536 decision-makers," he added, imploring House Republicans to block any vote on authorization.

The big debate: Should U.S. strike Syria?

Obama wants to punish al-Assad for what the United States calls a major chemical weapons attack on August 21 that killed more than 1,400 people in suburban Damascus.

He argues a failure to act puts at risk the credibility of international treaties banning weapons of mass destruction, which would represent a threat to the world.

Lacking international backing so far, the president is seeking congressional backing despite his insistence he has the power to order attacks based on national security interests.

However, support in Congress for a resolution authorizing limited military strikes -- expected to be missiles launched from Navy ships -- appears tenuous at this point despite intense lobbying by the president and top officials including Kerry.

Passage by the Democratic-led Senate is more likely than in the Republican-led House, but both parties lack unity on the issue so far.

Liberal Democrats who traditionally oppose war in any form reject the idea, as do libertarian Republicans like Paul who say it's none of our business.

Among those in the middle from either side, the main questions are whether the limited strikes Obama proposes will work, and if unintended consequences will lead to U.S. involvement in another war halfway around the world after more than a decade of fighting in Iraq and Afghanistan.

"We don't know what's going to happen the day after we bomb," Democratic Rep. Bill Pascrell of New Jersey said Thursday on CNN.

The Senate version of the resolution approved by the Foreign Relations Committee sets a 60-day deadline for use of force in Syria, with an option for an additional 30 days.

An amendment accepted by the panel from Republican Sen. John McCain of Arizona and Democratic Sen. Christopher Coons of Delaware added language to say the military response was intended to reverse Assad's battlefield momentum, a stronger objective than had been outlined by administration officials.

The resolution also makes clear there would be no U.S. boots on the ground as part of a response in Syria. It now goes to the full Senate for an expected vote next week, when the House also will take up the issue.

Interactive: How the House and Senate will vote.

A concern for House members and senators facing re-election next year is a primary challenge by a more extreme candidate who could attack them for backing the president's proposed military move.

Already, Senate Republican leader Mitch McConnell of Kentucky and veteran GOP Sen. Mike Enzi of Wyoming face primary races against opponents claiming stronger conservative credentials. Both McConnell and Enzi are undecided on a military response in Syria.

With polls showing public opposition to a military attack on Syria, legislators are facing pressure at home. Democratic Sen. Dianne Feinstein of California, who chairs the Senate Intelligence Committee, acknowledged Thursday that her constituents don't like the resolution.

"Every day I get a report on what the calls are, where the calls are coming from, what the nature of the argument is and there is no question that what is coming in is overwhelmingly negative," said Feinstein, who then added that "they don't know what I know, they haven't heard what I've heard."

A supporter of a military response in Syria who won re-election last year, Feinstein I like to believe now after 20 years I have some skill in separating the wheat from the chaff in this thing."

However, GOP Rep. Matt Salmon of Arizona said he remained unconvinced.

"I agree that there are sometimes that you need to just go out and lead and do what you believe is the right thing to do and hope that you can convince the people to follow," Salmon told CNN. "But, right now, I don't think that this administration has provided a very, very winning argument or series of arguments that we should engage in this conflict."

Syria: What do the neighbors think of potential Western strikes?

CNN's Paul Steinhauser, Ashley Killough, Deirdre Walsh and J. Byron Wolf contributed to this report.

@highlight

The 2014 and 2016 elections influence how Congress will vote on a Syria strike

@highlight

Possible White House contenders craft political messages

@highlight

Splits exist in both parties on ideological and political grounds

@highlight

Legislators fear backing military action could bring primary challenges