(CNN) -- Director Werner Herzog has won countless film awards. His works, including "Aguirre: The Wrath of God," "Fitzcarraldo" and "Grizzly Man," are considered classics. He's been recognized for his artistic passion, his eccentricities (he once ate a shoe after losing a bet) and his disdain for many aspects of commercialism.

So why is Herzog doing a public-service documentary on the perils of texting and driving? Sponsored by a consortium of cellular carriers, no less?

Why, the man doesn't even own a cell phone.

But he looks at the statistics for texting-while-driving incidents -- as well as our smartphone obsession and its cost in simple human contact -- and recognizes the necessity of saying something.

"I immediately understood there was something very, very important (about the subject)," he said via Skype from Switzerland.

Herzog's new work, a short film called "From One Second to the Next," premiered last week online. Sponsored by It Can Wait, a driver-safety campaign launched by AT&T in 2009 that now includes T-Mobile, Sprint and Verizon Wireless, it's received more than 1.7 million views on YouTube and will be distributed to more than 40,000 high schools in the coming months.

The film chronicles the impact of four incidents in which texting and driving led to catastrophic injury or death. The first left a Milwaukee child, Xzavier, a paraplegic after he was hit by a driver who ran a stop sign. The second is about an Indiana man, Chandler, who rear-ended a horse-driven buggy and killed three members of an Amish family. The third profiles a brain-damaged Vermont woman, Debbie, hit while walking her dog. The film concludes with a Utah man, Reggie, whose distracted driving caused a chain reaction that left two men dead and a third severely injured.

Each story has the kinds of small, wrenching details that Herzog, in typical style, underplays.

Xzavier's mother says she sleeps on the couch, listening for changes in the rhythm of her boy's ventilator. Debbie's family says her chocolate Lab was thrown through the air, knocked down a distant mailbox and -- before he died -- wagged his tail as Debbie was placed in the ambulance.

The men whose text-checking led to tragedy sit on roadsides, pondering the moment their lives changed.

But Herzog points to another incident, one that didn't make the film, as representative of the problem. A young man, while texting his girlfriend, hit a boy on a bicycle. The boy died; the man is now in prison.

"The young man was texting with his girlfriend, and the girlfriend was right next to him," Herzog said. "In the same car."

'A powerful storyteller'

Herzog admits he's an unlikely choice to direct such a film. Unlike some of his colleagues, he doesn't do commercials, and his subject matter is famously varied, whether it's French cave drawings or a lone air-crash survivor.

But Michelle Kuckelman, AT&T's executive director for integrated brand marketing, says Herzog made sense. He was approached through the firm's ad agency, BBDO New York.

"He's really such a powerful storyteller. He does a great job of bringing to life the juxtaposition of an insignificant text with a very dire and significant consequence," she said.

That's been part of It Can Wait's goal since it started four years ago. The program is aimed at teens and adults from 16 to 25, people who text frequently but are inexperienced drivers, says Kuckelman.

It's not just the kids who can benefit, though. An AT&T survey in March indicated that adults text and drive more than teenagers do -- even though they know it's wrong.

It's a tough point to bring home. CNN comments on that story varied between finger-wagging and shrugs, with neither side willing to concede.

"Jail time, I say ... give 'em jail time. Period," said Tucker70.

"It is possible to safely text and drive, but they would prefer to use paranoia and misinformation to push their agenda," retorted Mister Jones.

Herzog's documentary, with its intimate, raw interviews, delicate music and frequent silences, may seem a poor prod to get texting drivers to change their ways. A UK PSA that begins with a terrifying car crash and a goodly share of gore (discretion advised) may seem more effective, a modern-day version of the old drivers-ed film "Signal 30."

But Herzog believes his style is more effective.

"In this case what immediately connected to audiences, younger audiences, was the kind of deep insight, the interior appearance of the catastrophes," he said. "I don't need to show any gore, blood or car wrecks."

AT&T's research backs him up, says Kuckelman.

'I'm very glad I did this'

Laws regarding texting and driving are uneven. In most states, the practice is banned, but the punishments vary greatly.

In "From One Second to the Next," the Vermont driver who hurt Debbie received a 30-day jail term and some community service; her insurance company paid $50,000, though Debbie's medical bills topped $1 million.

Herzog hopes the film prompts stronger legislation, but he's bluntly realistic about the possibilities. "What's more important than legislation is awareness," he said. "You can't legislate stupidity."

Awareness, at least, is high, particularly thanks to the director. The New York Times, referencing the film, ran an editorial on texting and driving Thursday; a broad range of media outlets including Fast Company, Slate, the Huffington Post and Gizmodo have featured the documentary in articles. Grantland's Steven Hyden called it "the greatest and most disturbing driver's ed movie of all time."

Herzog, whose films generally fare better with critics than the box office, seems a little dazed at the attention.

"It has shown that real filmmaking somehow connects to an unbelievable amount of people in a very quick period of time," he said. "It's going through the roof. I'm very glad I did this."

But it's the idea of reaching even one young driver that really moves him. "One single accident less, and I have done the right thing," he said.

He mentions an e-mail he received from a 15-year-old girl who watched "From One Second to the Next" and immediately had a talk with her mother.

"(She wrote,) 'I sat my mother down and told her, you are texting and driving. You are not going to do that anymore. Not when you take me to school,' " he said. "And the mother stopped it. So the signals are good."

@highlight

Director Werner Herzog has made a PSA about texting and driving

@highlight

The 35-minute film showcases four incidents that ended in tragedy

@highlight

Herzog was an unlikely choice, but he's glad he took the chance