(CNN) -- This World Cup final looked to answer a question that has been surfacing throughout this tournament, and perhaps -- considering the hold King James has had on U.S. basketball fans in the past few weeks -- all of sports: Is it the team, or is it the star?

The last game of this tournament pitted the best player in the world, Messi, against the best team in the world, Germany. And if nothing else, this match demonstrated definitively that while players like Messi might win games, teams like Germany win titles.

So Messi gets the Golden Ball. Germany gets everything else.

After steamrolling its way over Brazil to make the final, Germany looked to be a favorite for the title despite its early draw with Ghana. For Argentina, at stake was the lure of claiming the title on the home turf of its arch rival, Brazil, which finished a devastatingly disappointing fourth after losing in Saturday's match against the Dutch.

But the depth of Germany was too much for Argentina in the end. While Thomas Müller -- who started the tournament with a hat trick against Portugal and whose goal against Brazil in the semifinal made him only the second player in history to score five goals in consecutive World Cups -- has been one of the stars of these past weeks, it was an extra-time goal by Mario Götze, who came off the bench, that propelled Germany to the top.

So with play over for another four years, what have we learned?

Sports matter:  As we have seen time and time again with the Olympic Games, politics do not cease to exist when players step onto the field, the court or the pitch. This tournament proved yet again what a critical window sport provides into the world we live in, particularly considering the fiery protests that greeted the Brazilian government when it signed on the dotted line to host. The billions spent on bringing the most-watched sporting event in the world to Brazil put the country's government into a fragile state as protestors told FIFA to "GO HOME." But the politics were not reserved for the streets of São Paulo and Rio: Inside the stadiums we saw fans in blackface when Germany faced Ghana and a spike in the use of "Nazi" on Twitter when Germany faced both Brazil and the United States.

The World Cup next goes to Russia, with Sochi's Fisht Olympic Stadium one of the venues. If the lead-up to the 2014 Winter Olympic Games are any indication, one has to wonder if Russia's next role as host to the world will renew cries against the country's discriminatory policies against the LGBT community, its controversial annexation of Crimea and claims last year by Manchester City star Yaya Toure that he had been abused by racist CSKA Moscow fans during a Champions League match.

Soccer remains the most popular sport in the world:  To say the World Cup is a global spectacle barely scratches the surface. The television viewing numbers for the group stages broke all sorts of records. While American pundits seemed stunned that 24.7 million people in the United States watched their national team face Portugal, the ratings in other countries during the group stages are almost incomprehensible. Some 47.4 million people watched Brazil face Croatia, while in Japan 34.1 million people watched their team take on Ivory Coast. On Twitter, Germany's smack down of Brazil became the most conversed match ever, with 35.6 million tweets, dwarfing this year's Super Bowl numbers of 24.9 million.

It's time for FIFA to get its own head in the game: Sometimes the seemingly simplest sports can be the most dangerous. It is clear that FIFA needs to learn the hard lesson of American football and start paying attention to head injuries. It needs to think about changing its harsh substitution rules, which do not let a player return to the game once he sits and give a coach only three players off the bench per game. In the final, Germany's Christoph Kramer took a nasty shot to the head when he collided with Argentina's Ezequiel Garay in minute 17, but after a moment on the sideline, he went back in for almost 15 more minutes before falling again and leaving the game, looking unquestionably dazed and confused.

Kramer's collision was one of many that this tournament saw. Argentina's Javier Mascherano cracked his head in the semifinal against the Dutch and continued to play, while Uruguay's Álvaro Pereira went down unconscious after a knee to the head during his team's first-round match against England. Like the others, he returned to the game after a brief checkup on the sideline and played for the remaining 30 minutes. Rugby is experimenting with new substitution rules for players suspected of having concussions. Calls for soccer to do the same will likely only intensify.

Bizarre moments at the World Cup final

The United States maintains its love-hate relationship with soccer: Yes, we know, thousands upon thousands of children hit the pitch every Saturday morning, spring and fall; and yes, we know, Major League Soccer is growing its attendance and cultivating its fan base; and yes, we know, NBC is growing its ratings for the Premier League telecasts. But will this translate to soccer breaking into the ranks that basketball, baseball, football and hockey enjoy?

To be sure, more than ever before, American fans got on the World Cup wagon that somewhat shuts the rest of the world down every four years. ESPN saw record-breaking numbers for U.S. games during its excellent coverage of the tournament, and the United States found a legitimate rock star player in Tim Howard, making him a social media sensation after he stopped everything but a bus against Belgium.

Importantly, not all U.S. fans stopped watching after the Americans had been eliminated. The Germany-Brazil rollover nabbed some 6 million U.S. viewers on a Tuesday afternoon, making it the largest-rated non-U.S. World Cup game in history.

That said, allegations that soccer is boring, "flopping" players are ridiculous (that means you, Arjen Robben), the officiating (especially the time keeping) is confounding and that many fans are racist hooligans continue to be sermonized with passion and venom.

In the United States, then, there is only one thing we can count on in four years: there will be those who yet again claim that soccer has finally arrived and those who say that it hasn't and never will. But perhaps we can answer the question sooner. Tune in next year, when the Women's World Cup heads to Canada. Because on that pitch, the United States will be a major factor, and there are few things Americans like more than being contenders.

Note: An earlier version of this article gave incorrect names for the opposing teams when Thomas Müller scored in the semifinal and when 24.7 million Americans watched.

@highlight

Is it the star or the team? Amy Bass says the World Cup final went to the best team

@highlight

She says takeaways include the role of sports as an influence on and window into politics

@highlight

Bass says it's time for soccer to take its dangers seriously

@highlight

She says World Cup showed enduring popularity of sport worldwide, gain in U.S. interest