(CNN) -- Russia will not deliver new weapons to Syria so long as the situation in that country is unstable, an official at the body in charge of monitoring Russia's arms trade said Monday, state media reported.

"Russia, as well as other countries, is concerned by the situation in Syria," said Vyacheslav Dzirkaln, deputy head of the Federal Service for Military-Technical Cooperation, RIA Novosti reported. "We are not talking about new arms supplies to that country."

"Until the situation stabilizes we will not deliver any new weapons (to Syria)," said Dzirkaln.

He specifically said Russia would not supply Syria with Yak-130 aircraft. Russia has signed a $550 million contract for the delivery of three dozen such planes, RIA Novosti said.

Still, it was not clear whether the official was saying Russia would discontinue the delivery of all arms, or whether it was stopping just the supply of "new weapons." The report seemed to leave open the possibility that Russia could continue to deliver some arms to Syria under existing contracts.

The move could be a major blow to Syrian President Bashar al-Assad, who is fighting to stay in control after more than a year of popular protests and a brutal government crackdown.

Russia has been the long-time principal supplier of arms to Syria since the days when it was the Soviet Union. The weapons sales have more than doubled in recent years. According to Congressional Research Service, Russia sold Syria $4.7 billion in arms from 2007 to 2010, compared with $2.1 billion from 2003 to 2006.

U.S. Secretary of State Hillary Clinton said last month the continued supply of arms from Russia has strengthened al-Assad's regime, despite denials by Russian President Vladimir Putin that any munitions it was providing to Syria were being used against its own people.

Also last month, a shipment of refurbished Russian helicopters headed for Syria had to turn around and return to Russia after its British insurance company dropped coverage on the ship carrying the helicopters.

News of the suspended shipments comes the same day the joint U.N.-Arab League envoy to Syria said al-Assad has agreed on "an approach" to ending the bloodshed in Syria.

Kofi Annan made the statement after meeting with al-Assad in Damascus. He then flew to Tehran for meetings with Iranian leaders about the Syrian conflict.

Annan gave no details of the "approach" al-Assad agreed to but said he vowed to share it with the "armed opposition."

Annan also said al-Assad "reassured me of the government's commitment" to Annan's six-point peace plan, brokered in March, which has done nothing to stop the deadly violence.

Syria said the two men discussed a recent gathering of world leaders in Geneva, Switzerland, aimed at taking steps to bring peace to Syria, "with emphasis on the need for dialogue to be among Syrians and led by Syrians" -- a phrase emphasizing Syria's resistance to foreign intervention of any sort in the conflict.

Later, Annan announced he was in Tehran "to discuss the situation in Syria" and "to see how we can work together to help settle the situation."

Iran's state-run Press TV said he planned to "hold talks with senior officials."

Even as Annan was in Syria, al-Assad's regime reported it had conducted live-fire training exercises that simulated a defense against foreign attacks. Throughout the 16-month uprising, the regime has blamed violence on armed terrorist groups involving people from outside Syria.

At least 41 people were killed Monday as the Syrian regime continued its crackdown, according to the Local Coordination Committees of Syria opposition group. It said at least 60 people were killed in fighting Sunday.

Monday's violence included house-to-house raids and arrests in Daraa and "very intense shelling" in Homs, with helicopters flying overhead, the LCC said. Eighteen of the deaths were in Idlib, the LCC said.

Gruesome video from the town of Areeha in Idlib showed blood-soaked bodies being dumped onto pickup trucks amid apparent destruction.

A man is heard yelling, "Allahu akbar" ("God is great") and calling the dead "victims of the indiscriminate shelling."

As with so many other videos that have emerged from the conflict, it was impossible to know the full story behind the images.

Heavy gunfire also erupted Monday in the northern Lebanese state of Akkar near the border with Syria, the official Lebanese news agency reported. A number of shells fell inside Lebanese territory, it said.

CNN can not independently confirm reports of violence as Syria has severely limited the access of international journalists.

Syrian state-run TV, meanwhile, broadcast what it called "confessions of four terrorists who admitted to committing murder, rape, abduction and robbery, in addition to smuggling weapons and gunmen, in Homs' countryside." The so-called confessions aired Sunday, state-run news agency SANA reported Monday.

It said one of the terrorists "started off by being part of a group that attempted to incite people to protest, and his job was to transport protesters from mosques to squares in the town of al-Qseir."

SANA reported that on Monday, authorities "clashed with an armed terrorist group" on the outskirts of Aleppo.

The United Nations says more than 10,000 people, mostly civilians, have been killed in the violence in Syria. Opposition groups give an even higher figure.

The violence erupted in March 2011 when Syrian forces launched a brutal crackdown on anti-government demonstrations, part of the Arab Spring that swept through several countries.

While members of the U.N. Security Council, which includes the United States, have called for an end to the violence and for al-Assad to step aside, efforts to adopt a resolution that would allow for aid to the rebels have been blocked by Russia and China, key Syrian trade partners.

Russia and China are strongly opposed to armed intervention, saying the outcome in Syria should be decided by its people.

CNN's Salma Abdelaziz and Chelsea J. Carter contributed to this report.

@highlight

NEW: Heavy gunfire erupts at Syria-Lebanon border, official Lebanese news agency says

@highlight

No new weapons will be delivered "until the situation stabilizes," says Russian official

@highlight

Russia has been the long-time principal supplier of arms to Syria

@highlight

Kofi Annan says he will take "an approach" agreed to by al-Assad to the opposition