With two days to go before the Winter Olympics open in the Russian city of Sochi, more than half of Americans think a terrorist attack on the Games is likely, a poll shows.

The results of the CNN/ORC poll come a day after U.S. officials said they had specific reasons to worry about security in Russia.

Meanwhile, Russian state media reported Wednesday that the suspected mastermind of twin bomb attacks in the city of Volgograd was killed in a police operation in the restive North Caucasus republic of Dagestan.

The man died in a shootout at a house in the town of Izberbash, the official Itar-Tass news agency said. The attacks on Volgograd's public transit system in late December left 34 people dead and about 100 injured -- and sparked wide concern about security in Russia.

Of those surveyed for the CNN/ORC poll, 57% said a terrorist attack on the Sochi Games was likely. That compares with the 51% who believed before the 1996 Summer Games started in Atlanta that a terrorist act would occur. Sadly, the latter prediction proved true.

The survey of more than 1,000 Americans, carried out on Friday and Sunday, also revealed some wider negative views about Russia and its leader, President Vladimir Putin.

It found that 54% have an unfavorable view of Putin, making him one of the least popular foreign leaders among Americans.

Currently, 55% of those polled also have an unfavorable view of Russia -- representing a downward turn from 2011, when more than half those surveyed viewed the country favorably.

A controversial "anti-gay propaganda" law passed by Russian lawmakers last summer may be a factor in that shift.

Only 13% of Americans think the United States should have a law similar to the one in Russia -- which makes it illegal to make positive comments about gays and lesbians within children's earshot -- with 86% opposed, the survey indicated.

Supporters of gay rights group All Out are staging events Wednesday in 20 cities across 14 countries to call on Olympic sponsors to denounce Russia's anti-gay laws. New York, London and St. Petersburg, Russia, are among the cities where demonstrators will gather.

By contrast, a survey by Russia's independent Levada Center found that 53% of Russians think their country did "the right thing" by bidding to hold the Sochi Olympics, the state-run RIA Novosti news agency reported.

But only about a third said Russia should seek to hold the Summer Games as well, compared with 43% who disliked the idea, the survey indicated. Respondents highlighted concerns about opportunities for graft and corruption.

Olympic torch reaches Sochi

Concerns about security, human rights issues and the readiness of Sochi accommodations have dogged media coverage leading up to the Games.

But for many Russians, the chance to hold the Olympics for only the second time on Russian soil is a source of great pride.

The Olympic torch arrived in Sochi on Wednesday, the culmination of a 123-day relay that has seen it cover nearly 35,000 miles (56,000 kilometers), held aloft by some 14,000 people.

Along the way, it has been carried to the top of Europe's tallest mountain, Mount Elbrus, and to the bottom of the world's biggest freshwater lake, Lake Baikal in Siberia.

Back in November, the torch was also taken on its first spacewalk, after blasting off for the International Space Station from Russia's Baikonur cosmodrome. Two cosmonauts carried the torch -- unlit for safety reasons -- through the space station and outside in space.

Having reached Sochi, it will be used to light the cauldron in the opening ceremony Friday evening.

Then, Russian authorities hope, the focus should shift to the feats of sporting excellence performed by athletes from around the world.

One U.S. medal hopeful, two-time Olympic gold medalist Shaun White, has announced he is withdrawing from the slopestyle competition, according to the official Sochi 2014 website. The champion snowboarder said he wants to focus on winning a gold medal in the halfpipe competition.

Just over half of Americans say it is important to them that the United States wins more medals than any other country, according to the CNN/ORC poll.

The Levada Center poll of Russians found that 57% expect the host country to rank in the top three in the overall medal count, RIA Novosti said.

Specific threats

Russia has worked hard to reassure the athletes, officials and spectators converging on Sochi that they will be kept safe.

A "ring of steel" has been in place around the Black Sea resort city for almost a month.

Russian security forces have also cracked down on suspected militants in Dagestan and elsewhere in recent weeks, after the December bombings in Volgograd.

But not everyone is convinced.

Speaking at a House Intelligence Committee hearing Tuesday, Matthew Olsen, director of the National Counterterrorism Center, highlighted concern about the Games and whether Muslim fundamentalists in disputed regions of Russia -- or other groups -- could launch deadly attacks on selected targets.

"There are a number of specific threats of varying degrees of credibility that we're tracking," he said. "And we're working very closely with the Russians and with other partners to monitor any threats we see and to disrupt those."

Officials in Austria said Tuesday that two female members of its Winter Olympics team had received a threat.

Greater danger outside Sochi?

Olsen said the primary threat came from the Caucasus Emirate, or Imarat Kavkaz, which he described as probably the most prominent terror group in Russia.

"It's made its intent clear to seek to carry out attacks in the runup to the Games," he said.

"We think the greater danger from a terrorist perspective is in potential for attacks to occur outside of the actual venues for the Games themselves, in the area surrounding Sochi or outside of Sochi in the region."

U.S. President Barack Obama was briefed Tuesday on U.S. efforts to support security in Sochi.

"He was assured by his team that they are taking all appropriate steps regarding the safety of Americans. He directed them to continue to work closely with the Russian government and other partners toward a secure and successful Sochi Games, and to review carefully and act on any new information that might affect the security of the Games," a White House statement said.

@highlight

The Olympic torch arrives in Sochi after a nearly 35,000-mile journey

@highlight

Suspected mastermind of twin bombings in Volgograd is killed, Russian state media report

@highlight

57% of Americans think a terror attack on the Sochi Games is likely, a CNN/ORC poll reveals

@highlight

Champion U.S. snowboarder Shaun White withdraws from a Sochi event