(CNN) -- Sophia Banks says she has been a woman since birth, but for most of her life, people knew her as Daryl, her given name. The Canadian photographer started asking people to call her by her chosen name, Sophia, when she came out as a trans woman last year.

It took time for people to adapt to her new name and refer to her as a woman using the pronoun "she," Banks said. She would gently correct them because it was a fundamental part of who she was and the transition process.

Just as Banks had to make clear her wishes, she expected those who knew her to respect them.

5 things to know about gender identity

"I was born trans, I am a woman from birth but because I was born with a penis I was labeled a man," she said. "What we do choose is when to come out, not what our gender is."

The issue of pronouns and gender identity resurfaced this week when Army Pvt. Bradley Manning announced his intention to transition from male to female in a statement signed "Chelsea E. Manning."

"The tiny matter of pronouns might seem insignificant but it's fundamental to the person whose identity is at stake. You want other people to see you for who you think you are," said Deborah Tannen, professor of linguistics at Georgetown University.

"In our society -- in principle -- we respect individual rights to self-determination," she said. "If you believe that, then if a person tells you that their sense of who they are has changed, then they have right to express that."

As the press reported Manning's announcement, Banks and other trans rights activists criticized media outlets (including CNN) for not respecting Manning's wishes to be referred to as a woman with the pronouns "she" or "her."

CNN's policy is to reference Manning with masculine pronouns since he has not yet taken any steps toward gender transition through surgery or hormone replacement therapy.

The National Lesbian & Gay Journalists Association (NLGJA) issued guidelines for reporting on Manning's transition, advising journalists to "use the name and pronouns that someone prefers," citing AP style and suggesting "that she be referenced as 'U.S. Army Private Chelsea Manning, who formerly went by the name Bradley.'

"It is not about surgeries and hormones. If a person wants to talk about these very personal topics, fine, but one's gender identity and right to be respected aren't dependent on taking such actions, nor are these necessarily public topics," the NLGJA said in a statement.

Could Bradley Manning become 'Chelsea' in civilian prison?

Banks and others echoed those sentiments in impassioned conversations on Twitter. Their view that Manning should be referred to as Chelsea is consistent with their general belief that the right time to start calling someone by their chosen identity is when they state a preference.

"Transition is a very complicated and slow process. Should we really hold off on using someone's name and preferred pronouns because of what clothes they are wearing or how long they have been on [hormone replacement therapy]?" Banks said.

Sure, It can be difficult to change habits if you've known someone for a long time, but it's a key step, said Jody M. Huckaby, executive director of Parents, Families and Friends of Lesbians and Gays National.

"Referring to someone in their preferred gender identity by name and with proper pronouns sends an important message that everyone deserves to be respected, regardless of who they are and how they identify," he said.

"We all meet new people all the time with whom we've had no prior interaction. If you have questions about someone's preferred pronoun, respectfully ask them. If you already know the person, it's understandable that you will probably make mistakes in the beginning but keep working on getting it right."

The same rules apply for asking anyone questions about their personal life, Matt Kailey, an author and blogger who focuses on transgender and transsexual issues, wrote in a blog post, "Trans Etiquette for Non-Trans People."

Treat them as you would any other person and don't make their gender identity the focal point of all discussions, Kailey says. Ask questions that seem appropriate for the setting and don't make assumptions. If you use the wrong pronoun, move on and don't make a scene, especially in public; setting is everything.

In other words, treat the person like you would any other person of that gender and learn the terms so you can discuss transgender-related topics more comfortably.

It can be hard in a society where everything is patterned by gender, from clothes and toys to occupations to restrooms, Tannen said. Imagining someone as a man or a woman and not transgender can help people adjust to the idea.

"Think about homosexuality. People were once baffled by it and now vast majority of people are comfortable with it," she said. "But with time and exposure to more and more people, they will come to understand and accept it as well."

In Manning's case, the private remains a male in the eyes of the U.S. Army, according to one Army official who was not authorized to speak publicly about Manning's case.

Another said Manning would be treated like any other prisoner.

"A lot of the inmates have issues they're dealing with," said the second official, who also was not authorized to speak publicly about the case. "Even if you have gender identity disorder, you still serve your sentence."

A previous version of this story incorrectly stated Sophia Banks' given name. CNN regrets the error.

@highlight

Private Bradley Manning identifies as transgender; wants to be called Chelsea Manning

@highlight

Talk of pronouns, gender identity surfaces amid Manning's announcement

@highlight

Pronoun use is "fundamental to person whose identity is at stake," linguistic professor says

@highlight

Trans advocates recommend treating transgendered people as gender they identify with