New Haven, Connecticut (CNN) -- On Tuesday, asteroid 2005 YU55 is scheduled to pass near Earth, slightly closer than the moon. If you've seen the "Asteroid" (1997) or "Deep Impact" (1998) movies, you know why people pay attention to what NASA calls "potentially hazardous objects": A large asteroid hitting the Earth could cause global catastrophe.

YU55 will not hit the Earth anytime soon, certainly not in the next 100 years, according to NASA's Near Earth Object Program. Still, collisions of space rocks with the Earth must have happened many times over its 4.5 billion year history because the surface of the moon, our near sibling, is pitted with crater impacts left undisturbed by earthly weather, volcanoes, erosion or vegetation.

Follow space and science news on Light Years

David Rabinowitz, a planetary scientist at Yale, estimates that asteroids the size of YU55 come this close to the Earth about once every 100 years, and one this large hits the Earth only every few 100,000 years.

2005 YU55 (its name derives from the year and month in which it was found) is big compared to you and me but moderately sized for an asteroid, about 400 meters across (four football fields), and very small compared to the Earth or the moon. Let's try a size analogy: If the Earth were a medium-sized house, the moon would be a large car about half a mile away (nine football fields). The asteroid would be a tiny pencil point dot (like the thinnest lead you can buy for a mechanical pencil) that never gets closer to the Earth-house than about seven football fields away.

This is much smaller than the asteroid reputed to have killed the dinosaurs and created the Chicxulub crater near the Yucatan. That asteroid was probably 25 times bigger across and more than 15,000 times bigger in volume. It was still small compared to the Earth or the moon -- about the size of your pinky fingernail in the house-car-pencil point analogy -- but big enough to wreak the global havoc of mass extinction.

Fortunately, large asteroids like the dinosaur-killing one 65 million years ago are very rare, so the chance of an impact from such an asteroid is quite small. In the late 1990s, NASA started a census of large asteroids -- larger than about 1000 meters (10 football fields) across. That census is about 90% complete, with some 900 known large asteroids and fewer than 100 not yet accounted for. None of the known asteroids is currently on a collision path with the Earth.

Smaller asteroids are much more numerous, so even though they don't individually cause as much damage, they are more likely to impact the Earth. The chance of serious harm to the Earth depends on these two competing factors: how many and how big.

The danger, as in the Goldilocks story, comes from the middle, from asteroids small enough to be plentiful yet big enough to do damage. YU55 is that "just right" size. A similar asteroid hitting Earth could seriously damage a city or cause a tsunami.

If a large asteroid were found to be heading toward Earth, scientists and engineers have ideas about how to deflect it, perhaps using gravity or explosives. The farther away the asteroid, the smaller the change needed in its trajectory, and thus the easier it would be to avoid a collision.

Recent results from NASA's WISE infrared satellite suggest there are 20,000 space rocks with diameters between 100 meters and 1,000 meters. Tracking these down will not be easy. It's "like trying to detect a candle at the distance from the moon," Lindley Johnson, WISE project scientist, said in a press conference last month.

Nine years ago, NASA asked a team of scientists to make recommendations about how a census of smaller asteroids could be done. Their report, issued in 2003, estimated there are roughly 500,000 near-Earth objects with diameters of 50 to 100 meters (comparable to one football field), with an estimated impact frequency of one every thousand years.

Scientists think the famous Tunguska event of 1908, an enormous explosion that flattened 80 million trees over 830 square miles (2/3 the size of Rhode Island) in Russia, was caused by an impact from an asteroid or meteorite about 50 to 100 meters in diameter. The force of this explosion was roughly 1,000 times larger than the nuclear bomb dropped on Hiroshima.

The 2003 study recommended NASA search for potentially hazardous objects larger than about 140 meters across, or about 1/3 the size (1/9 the weight) of YU55. Looking for smaller objects would be prohibitively expensive and would not result in a large gain in overall safety. However, stopping at 1,000 meters -- for which the present census is reasonably complete -- was deemed insufficient to protect the planet.

Searching for near-Earth asteroids can be done with telescopes on the ground and in space, observing at optical and infrared wavelengths (like WISE). In recent years, Congress has provided some funding for two sky-watching projects, Pan-STARRS (the first telescope has been deployed) and LSST (so far, in the design phase).

Scientists know there is far more to asteroids than danger; they are the material out of which the inner rocky planets in our solar system (Earth, Mars, Mercury, Venus) formed. Understanding the composition of asteroids, as well as their size distribution and shapes, yields important information that theories of planet formation have to explain.

YU55 is thought to be very black, as if it were made of carbon, like charcoal. Because it is passing relatively nearby, the next few days will provide a gold mine of data for scientists. For them, especially, the porridge is not too hot, not too cold, but just right.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

A midsized asteroid will pass by Earth on Tuesday

@highlight

Meg Urry: No need to worry about this one, but risk of asteroid collision is real

@highlight

She says asteroids have collided with Earth and moon, sometimes disastrously

@highlight

Urry: Next few days will provide a gold mine of information for scientists