Londonderry, Northern Ireland (CNN) -- I cut my teeth reporting from Derry during the early days of the "Troubles" in Northern Ireland. One thing I remember was the fear -- the fear of the British Army that the Irish people felt, and the fear felt by the British soldiers who came under regular attack by the Irish Republican Army and stone-throwing youths.

Another thing I remember was the complete absence of any trust in the government among the mainly Catholic community. Bloody Sunday destroyed all hope that it would be restored anytime soon.

On that day, January 30, 1972, 14 people were shot dead by British paratroopers. Everyone knew they were unarmed demonstrators protesting against internment without trial of IRA suspects. But the former head of the British Army, Gen. Mike Jackson, drew up a "shot report" claiming that those hit, mostly teenagers, were gunmen or bombers.

Then English Chief Justice Lord Widgery, after an inquiry in which he ignored the evidence of eyewitnesses, cleared the soldiers of wrongdoing and accused the innocent victims of illegal activities.

The outrage was felt across the whole of Ireland and fueled the IRA campaign of attacks on British targets. Bloody Sunday became a defining moment in the fraught history of British-Irish relations.

I returned to Derry Tuesday for the result of the Saville inquiry, a new investigation ordered by the British government as part of the peace process, which has already given Northern Ireland a power-sharing government and the disbandment of paramilitary forces.

The atmosphere in the hours before the findings were officially disclosed by British Prime Minister David Cameron was emotional and optimistic. Thousands gathered in Guildhall Square in sunshine as relatives of the victims were given an advance look at the report under strict orders to respect a 3:30 p.m. embargo.

But four minutes before the deadline, a hand appeared from an aperture in the second-floor stained-glass windows of the century-old building. It was a thumbs-up. Other hands appeared, waving excitedly, as the crowd cheered and cried.

Thus did the people of Derry learn that the slur on the mostly young victims and their families had been removed at last. It was not just a vindication of the relatives, who campaigned for 38 years for justice. Martin McGuinness, former commander of the IRA and now co-leader of the power-sharing government, told me he felt it was "a moment of liberation for all of us."

As I watched men in their 60s who had marched that day shedding tears of joy, I felt that I was experiencing a moment of closure in the history of the Troubles. A great historical injustice was corrected. It was as if Bloody Sunday and the British prime minister's apology were bookends to the press's reporting of the Troubles -- a feeling reinforced by the return of many correspondents from around the world who reported from Derry that day, like Simon Winchester, formerly of the Guardian, to witness the event.

Cameron accepted that British soldiers were responsible for "unjustified and unjustifiable" deeds and said that the report exonerated the victims of any wrongdoing.

In how many countries in the world would this happen? It is the outcome and climax of a drawing together of the British and Irish governments in the last 20 years to find a joint solution to what seemed to me and everyone else in those dark days of the 1970s to be an insoluble problem.

The inquiry sat for 434 days and took testimony from 921 witnesses: 505 civilians, 245 soldiers, 33 police officers, nine forensic experts, 34 IRA members, 39 politicians, civil servants and intelligence officers, 49 journalists and seven priests.

Many complained it was too lengthy and expensive. But if Widgery had not whitewashed the paratroopers back then, it would never have been necessary.

Relations between the two islands are now at their best in history. The spirit of reconciliation has triumphed -- in Northern Ireland, and in relations between Dublin and London, which were ripped asunder by Bloody Sunday and took so many years to repair.

There is a lesson here for the whole world. Lies and coverup make problems worse. The truth can mend fences. The families showed that in their first statement after the report. Their spokeswoman, Kay Duddy -- sister of Jackie Duddy, age 17, the first to be killed that day -- called on the thousands in the square for a minute's silence for all the victims of the violence of the past 40 years.

It was a gesture that will not go unnoticed by the victims of the IRA in Northern Ireland's Protestant community.

The opinions expressed in this commentary are solely those of Conor O'Clery.

@highlight

On "Bloody Sunday" in 1972, 14 protesters shot dead by British soldiers in Northern Ireland

@highlight

Thirty-eight years later, UK government finds that shootings were unjustified

@highlight

Conor O'Clery says the Saville report corrected a "great historical injustice"

@highlight

O'Clery: "Lies and coverup make problems worse. The truth can mend fences"