(CNN) -- A welcome spotlight is now being shone on the murky trade in European horsemeat, but the public are still being left in the dark about the brutal treatment and needless suffering of the horses destined for their plates.

Every year around 65,000 horses are crammed into trucks and transported across Europe to the slaughterhouse for what can be days on end in hellish conditions.

Q&A: What's behind the horsemeat contamination scandal?

Stressed, injured, exhausted, dehydrated and suffering from disease, these horses are desperate for food, water and rest.

No type of horse is spared: including infirm working horses, foals (foal steak commands a premium among those who eat horse meat) and those bred and fattened to obesity to command the highest prices at slaughter.

Few, if any of them, are fit enough to travel on such long journeys -- a feat which would challenge even the most athletic sport horses. Many thousands of America's horses are also transported vast distances on journeys to slaughter in Mexico and Canada, so this is not simply a European problem.

EU health chief vows plan to restore confidence in wake of horsemeat scandal

World Horse Welfare undertakes regular field investigations as part of its campaign to stop these long-distance journeys, and for years we have documented the appalling suffering of these horses. In recent shipments we inspected, 89% of the horses had an injury and 93% showed clinical signs of disease.

Their misery was clear - all were showing signs of exhaustion and depression and many had suffered painful wounds from poorly designed compartments and terrible friction injuries due to inadequate space on the vehicle. No animal should have to suffer this.

The European Commission's own advisors, the European Food Safety Authority (EFSA) have clearly stated that "journey duration should not exceed 12 hours for horses."

First UK tests reveal scope of horsemeat contamination

Yet still the European Commission refuses to change the legislation that allows horses to be transported indefinitely, so long as they are given rest every 24 hours (a rule often broken, in part because it is unenforceable in practice).

Horses' immune systems decline after 10 hours of transportation making them more susceptible to disease. This is extremely unpleasant for the horses and it also poses a real risk to the equine industry of Europe, as horses intended for slaughter, often mix with other horses along the major routes.

We regularly present the findings from our investigations to the European Commission, and share information on breaches of transport law with the authorities. We have also presented a number of recommendations in our 'Dossier of Evidence' of welfare problems caused by the trade and our proposed solutions.

At the center of these recommendations is a 9-12 hour journey limit for horses (in keeping with the view of the European Commission's own scientific advisors), which is perfectly feasible given the abundance of slaughterhouses licenced to take horses, and would actually save money and red tape by harmonising with other laws. Yet the European Commission still refuses to act.

So what we can do to help these horses? First, we can make people aware of this appalling trade and encourage more Europeans to speak out against it. We can also write to our own governments in Europe to call for change.

And we can continue to press the European Commission for the short, maximum journey limit that is recommended by the Commission's own scientific experts. This is not about stopping people eating horsemeat -- that is a personal choice -- it is about fulfilling our basic responsibility to care for horses during their lifetime.

Together the louder we can shout to be the horses' voice, the more chance we'll have to put an end to this needless suffering. And that's exactly what it is -- utterly needless, reckless and brutal.

The opinions expressed in this commentary are solely those of Roly Owers.

@highlight

Roly Owers says public must be made aware of appalling consequences of horse trade

@highlight

Every year around 65,000 horses are crammed into trucks and transported across Europe

@highlight

Few, if any of them, are fit enough to travel on such long journeys, Owers says