(CNN) -- When climate scientist Rosina Bierbaum speaks, her central theme is the "roasted world" -- a bleak picture of what the planet will probably look like if carbon pollution continues unchecked, leading to 4 degrees Celsius of warming by mid-century.

Four degrees may not sound like a lot -- but it would change our lives drastically.

Mega-heat waves in 2010 in Europe and Russia were estimated to have caused up to 50,000 heat-related deaths, according to some reports. This "will become the normal," said Bierbaum, a review editor of the United Nations' Intergovernmental Panel on Climate Change report, speaking at the U.N. in January. Food production in key regions such as sub-Saharan Africa and South Asia could drop by as much as 50%, she added. Accelerated melting of the Greenland and Antarctica ice sheets will cause sea levels to rise by 1 to 2 feet, putting Miami and Mumbai, India, as well as many other low-lying cities, at enormous risk.

It's a bone-chilling scenario.

We don't always have control of our destiny, but in the case of climate change we know exactly what it will take to protect our planet and economy from disaster. Companies, investors and policymakers must scale up clean energy investments and scale down fossil fuel investments.

Recently, we saw compelling evidence that big business is getting more serious about climate change. And it came from none other than the world's largest fossil fuel company, Exxon Mobil.

Nearly 25 years to the day after the Exxon Valdez supertanker ran aground in Alaska, spewing 260,000 barrels of crude oil, Exxon has agreed to report to investors on how climate change will affect its core business model, including the prospect that major portions of its oil reserves may need to be left in the ground as carbon-reducing policies and expanded use of renewable energy take hold globally.

U.S. oil production since Exxon Valdez

I remain guarded about how major oil companies will ultimately transition to being energy companies rather than fossil fuel companies, boosting our economy sustainably rather than pushing it closer to a breaking point. But Exxon's commitment reflects a growing consensus among business leaders and investors that climate change is a core economic risk that must be tackled now. This is in stark contrast to just a few years ago, when climate change was seen as a tree-hugger issue relevant more to polar bears than financial bottom lines.

After years of foot-dragging, businesses are recognizing the scientific certainty and economic effects of climate change -- from higher food costs to broken supply chains to costlier weather-related disasters. They see the powerful dollars-and-cents argument for mitigating carbon pollution today rather than waiting until it is too late and too expensive.

Companies such as General Motors, Apple and Starbucks are now calling for strong climate and clean-energy policies in Congress. They are among more than 750 companies that have signed Ceres' Climate Declaration, which brings together companies and individuals to demonstrate support for national action on climate change.

The world's largest institutional investors -- including many of the 500 that attended the U.N. Investor Summit on Climate Risk -- are actively integrating climate risks and opportunities into their investment decisions. Some are already pulling out of riskier carbon-intensive investments such as coal companies and are setting specific targets for elevating clean energy investments.

Major stock exchanges are also beginning to require listed companies to disclose climate and other sustainability risks to investors. And securities regulators, including the U.S. Securities and Exchange Commission and state insurance regulators, have taken strong steps, at Ceres and investors' urging, to require similar climate risk disclosure.

These actions are profoundly important if we are to have any hope of thwarting, or limiting, the impact of this colossal global threat, which requires a massive shift in our economy to clean energy and away from fossil fuels.

Solving climate change and building a sustainable global economy cannot happen unless companies and investors realize their role in the problem and become part of the solution.

We are making progress. Yet even as the biggest companies in the world change their business practices and come out in support of strong climate action, it remains a deeply controversial issue in Washington, which has led to policy paralysis. It is unfathomable. We must demand a vigorous debate over how best to meet the climate challenge, casting climate deniers out to the fringe where they now belong.

Unless we act now, the threat that climate change poses to the planet will be exponentially greater. And the solutions will be increasingly harder to implement down the road. The "roasted world" warning is a real threat, but it doesn't need to become our reality.

The opinions expressed in this commentary are solely those of Mindy Lubber.

@highlight

25 years ago, the Exxon Valdez supertanker created a gigantic oil spill in Alaska waters

@highlight

Mindy Lubber: Top companies such as Exxon are ready to act on climate change

@highlight

She says businesses realize how carbon pollution drags down their bottom lines

@highlight

Lubber: If they don't embrace clean energy now, it may be too late and too expensive