(CNN) -- Within just a few days, Ray Fearing went from the height of ecstasy -- he had just gotten a much-needed kidney transplant -- to the depths of depression, after finding out his transplant would need to be removed.

"I had been waiting for 10 years to finally have a normal life," said Fearing, a 27-year-old from Arlington Heights, Illinois. "When it didn't work out, for a few days I just curled inward and started losing all hope. It was not an easy time."

What is notable about Fearing's case is not that he eventually got over his depression, or that he had an organ removed after transplantation -- those things happen.  What is remarkable is the simple, altruistic gesture he made just before his doctors removed his kidney that led to what scientists are describing as a medical first. 

Fearing donated his transplanted kidney to another patient, and the organ that had been failing inside Fearing's body thrived in the new recipient.

"When we removed that dysfunctioning kidney from Ray's environment, it recovered rapidly after being transplanted in a second recipient," said Dr. Lorenzo Gallon, Fearing's doctor and medical director of the kidney transplant program Northwestern Memorial Hospital. "It is the first time that has happened."

"It's amazing stuff, it really is," said Dr. Lynda Szczech, a nephrologist and president of the National Kidney Foundation. "I don't know if this is something we're going to get into with great regularity, but the fact that these providers were able to think outside the box to save such a precious resource is frankly amazing."

Fearing's kidney transplant was in June 2011, using an organ donated by his sister, Cera Fearing.  He had been struggling for years with focal segmental glomerulosclerosis, a disease that causes scar tissue to develop in the part of the kidney that filters harmful substances.

A few days after his operation, doctors took a biopsy of the new kidney and found it was quickly becoming damaged by the FSGS.  The cascade of problems following the operation was swift.

Fearing said that soon after his operation, "My abdomen was full of blood and very sore and [Dr. Gallon] told me he had to remove the kidney immediately."

Gallon said the situation, having to remove an organ to which so many hopes were now attached, haunted him.  But when he realized the organ could still be viable in another patient, he decided to broach the idea with Fearing.

"I said the kidney is yours, we can do whatever you want," said Gallon, who consulted with his hospital's ethics board before approaching Fearing. "But if we take it out, we will discard it. Are you willing to allow us to see if this kidney might work for someone else?"

Fearing did not hesitate.

"There are thousands of people waiting for organs, I couldn't see myself just discarding one," said Fearing.

The window of time in which to remove an organ that has been transplanted is narrow, said Dr. Matthew Cooper, director of the kidney transplant program at the University of Maryland Medical Center. Once a kidney is put into place, like any other transplant, it develops scar tissue around it.

"After a period of time, technically it is very difficult to remove it," said Cooper. "It is equally difficult to think about transferring it to someone else."

Cooper said he just had scenario similar to Fearing's: A mother donated a kidney to her daughter, who suffers with FSGS. Ultimately, the kidney had to be removed.

"Hearing about this case, I'm thinking 'Wow, what a cool idea,'" said Cooper.  "I don't know why we didn't think of it."

Of course, the procedure undertaken at Northwestern is not standard; an organ with even marginal functionality would usually stay in the patient.

"In this case we're not talking about a lack of perfect function," said Gallon.  "We're talking about a kidney making Ray sicker than it would have been to keep the kidney in."

But that kidney would ultimately make another patient, 67-year-old Erwin Gomez, better.

Gomez's kidneys were irreversibly damaged, he said, after 20 years of struggling with hypertension. Once he received the new kidney, whatever damage that had occurred while it was implanted in Fearing was reversed.

"The disease, if captured early enough, is reversible when you remove the organ from the original recipient," said Gallon.  "But another part of the story is that when a patient's kidney failed, he had the strength to say 'Let's help someone else.' That gesture has more weight than words."

The reality Fearing faces now is a long, difficult wait for another organ.For Gomez, receiving Fearing's organ means he could go back to work as a cardiovascular surgeon, and he has more time with his grandchildren.

"I feel bad for him because his misfortune is my gain," said Gomez, who on Wednesday met Fearing and his sister, Cera.  "I'm completely grateful to them for considering re-transplanting that kidney ... I owe them eternal gratitude."

Fearing said that when he thinks about other people (91,836 and counting) waiting for a kidney transplant possibly benefitting from what he went through, it stems the tide of sadness he sometimes feels about his situation.

"It was hell when I went through it," said Fearing.  "It is better that my situation helps people than having it take over my life."

@highlight

Transplant recipient Ray Fearing donates his failing transplanted kidney to another patient

@highlight

For the first time a failing transplanted kidney has thrived in a new recipient, says doctor

@highlight

It allows the new recipient to resume his work as a cardiovascular surgeon

@highlight

"It's amazing stuff, it really is," says president of the National Kidney Foundation