(CNN) -- It's every flier's worst nightmare: Your pilot announces, "We're all going down!" and starts shouting about bombs and terrorists. He abandons the cockpit, frantically running up and down the aisles like a man unhinged. What do you do?

That's what passengers on a JetBlue flight had to decide Tuesday when their pilot, Capt. Clayton Osbon, seemed to have a meltdown in the air between New York and Las Vegas. Fortunately for everyone on board, a quick-thinking co-pilot and some alert passengers snapped into action. Initial reports suggest that at least four passengers leapt to their feet and subdued the pilot, who had been trying to break down the cockpit door after his co-pilot locked him out.

The heroic passengers have been praised for their bravery, and rightly so: They may have saved 141 lives on the plane, and maybe more on the ground. It's hard to hear this story and not admire their swift and effective action -- and wonder how you'd respond in the same situation. Would you jump up and subdue a hysterical pilot or sit paralyzed in your seat?

Hundreds of studies have explored the so-called "bystander effect," trying to determine why some observers respond positively to a crisis while others ignore it. The research points to a somewhat surprising conclusion: Generally speaking, only subtle differences separate the bystanders from the heroes. Most of us, it seems, can fall into either category depending on the details of a situation.

The JetBlue crisis highlights some of the factors that can make a difference, suggesting how we can get people -- ourselves included -- to take action in an emergency.

It might seem obvious that when confronted with a raving man attacking a cockpit door, people would realize they should do something to stop him. But that's not always the case, especially when they're part of a large crowd.

In fact, in one famous study, social psychologists John Darley and Bibb Latane left people alone in a room and pumped in smoke -- a pretty clear warning sign of danger, maybe on par with a 250-pound guy in a pilot's uniform shouting incoherently about Iran and Iraq.

When people were alone in the room, they left and reported the smoke to someone else 75% of the time. But when there were three people in the room, they reported the smoke 38% of the time, illustrating the problem psychologists call "pluralistic ignorance," where we mistake other people's inaction as a sign that everything's actually OK. After all, no one wants to be the fool who tackles your plane's pilot because you misread the situation -- maybe he was just playing a practical joke? When we don't see anyone else respond, we tend to assume there isn't really a crisis; as a result, we inadvertently hold each other back.

But response rates shoot up dramatically when one bystander simply acknowledges to another that there might be a problem.

So on the JetBlue flight, it helped tremendously that the co-pilot and a flight attendant had the presence of mind to use the public address system to call on the passengers to restrain the pilot. It becomes nearly impossible to assume there isn't really a problem when your acting captain says there is.

Yet even once we recognize there's a problem, in crowds we often fall prey to what's called a "diffusion of responsibility," where we assume the people around us are going to help, so there's less of a need for us to take action ourselves. Research by Darley and others shows that the greater the number of people who witness a crisis, the lower the odds that any of them will do anything.

To overcome this, it helps when we're singled out personally. Darley once told me that if you ever sprain your ankle in public, don't just call for help -- pick out someone in the crowd and say, "Hey, you there, can you give me a hand?"

On the JetBlue flight, it seems like the crew only made a blanket appeal to the passengers for help, which probably wasn't as effective as it could have been. Only four passengers out of nearly 150 sprang to action -- responsibility still might have been pretty diffused.

But it likely helped that several of the plane's passengers were retired or off-duty law enforcement on their way to a security convention in Las Vegas. Darley's research has found that personality doesn't necessarily predict whether someone will help. What's more important is whether bystanders have the experience to recognize a crisis when it's unfolding and feel like they have the skills to do something about it.

So it probably should come as no surprise that among those who sprang to action, one was a former prison guard and another was an ex-New York police sergeant with 22 years of experience on the force. That sergeant, Paul Babakitis, told CBS News that when he saw the pilot running amok, "my training immediately kicked in." He said he believed he was "deranged" when he looked into his eyes because he had "dealt with a lot of emotionally disturbed people during my time on the force."

People who have experience in law enforcement or the military are probably better at recognizing a crisis because they're less likely to convince themselves that this couldn't be happening to them, could it?

Of course, "pluralistic ignorance" might be harder for any of us to maintain on a plane after 9/11, even 10 years later. It's harder today to rule out the plausibility of any crisis. Indeed, Babakitis said he immediately thought of that day when he saw Osbon storming the cockpit.

"Not again," he told himself, "not while I'm on this plane."

The opinions expressed in this commentary are solely those of Jason Marsh.

@highlight

Jason Marsh calls quick action of JetBlue passengers with captain admirable

@highlight

He says "no way out" situation inhibited "bystander effect," where people don't react

@highlight

He says research shows people usually hang back, rely on others to act on danger

@highlight

Marsh: Crew asking for help made a difference, as did law enforcement passengers