(CNN) -- Gary Ribble would not be able to read this story if not for people like you.

Ribble, who has chronic lymphocytic leukemia in addition to severe diabetes and impaired hearing, needed new eyeglasses last spring but couldn't afford them after losing a job he'd held for more than 40 years.

Then he found out about the Modest Needs Foundation. The grass-roots charity pools thousands of small donations to help people get through short-term financial crises. Donors direct their dollars to the requests they want to fund.

"I need these glasses very badly or I will have to stop doing a lot of what I do: reading, writing, and working with my computer; I just can't see that well at all," Ribble wrote in his request.

Eleven visitors to modestneeds.org pitched in, and within a week Ribble, who lives in a trailer in Nappanee, Indiana, received a $364 check that changed his life.

"When I found my message from Modest Needs today that help was on the way, I cried a few tears of happiness knowing that I would be able to see again," he wrote in a thank you note.

Stories like that make Modest Needs Foundation founder and CEO Keith Taylor giddy.

"It is so much fun to read these testimonials," Taylor said. "It's like Christmas every day."

People often don't realize how powerful just 10 or 20 dollars can be, Taylor said. In many cases, a small amount can stop a crisis in its tracks.

"It's wonderful to see what this does for people," Taylor said. "You don't find out until after the fact what kind of an impact these little contributions that people are making; ... you have no idea what kind of a change you really are making in the person's life."

Cady Stanton, a graduate student at Pennsylvania State University, gave $20 to help fund Ribble's request.

"Glasses are such a small thing, right?" she said. "I mean, the man's worked 40-some years and he has cancer. The least he should be able to do is have some glasses. Our social contract with our country -- we should have glasses. I mean, come on. It's not that big of a deal."

Ribble wrote a beautiful thank you note that was passed along to the donors. Stanton keeps a copy of it on her desk.

"Your generosity overwhelms me and I just can't say in words how very happy I am and I thank God that someone cared enough for a disabled man, in a very hardship situation, to help me out to see better," the note read in part.

Taylor founded the site seven years ago out of a similar sense of gratitude.

One evening in 2002 he was marveling at how happy his life was, and remembered a few singular acts of kindness that had helped him get there.

For example, while in graduate school in Tennessee, he incurred a car repair bill that used up his rent money. His boss at his part-time job at a movie theater paid the rent for him -- not a loan, a gift.

As he reflected on his good fortune, Taylor pledged, "When I'm really rich I'm going to start an organization to help the working poor."

That's when his "aha!" moment came.

"It occurred to me all of a sudden that no one who had ever helped me had ever been wealthy, they had just been nice. They'd just had compassion," he said.

Taylor decided to set aside $350 to help one individual per month get through a crisis. He created a crude Web site inviting requests, expecting his effort to remain small, personal and obscure -- "on the millionth page of Google."

But this was the Internet. A well-meaning friend posted a link on the widely read blog Metafilter.com, and the next day Taylor was swamped with 1,100 e-mails. Many were asking for help, some were skeptical of Taylor's motives, and a surprising number of people wanted to contribute, he said.

At first he fended off would-be donors, because his vision for the project was limited, he said. But the e-mails and offers to donate kept coming, along with more requests for help. Taylor soon incorporated Modest Needs as a nonprofit organization.

Modest Needs' first grant saved a woman's life: It paid for a mammogram that found a tumor, Taylor said.

The organization has done nothing but grow ever since. By the end of December, Taylor expects to have made $2.4 million in grants in 2009.

"Every day is another miracle," Taylor said. "It's beyond my imagination."

Here's how it works: People e-mail their requests -- help with rent or a car repair or a medical bill, for example -- to Modest Needs, whose seven-person staff researches and verifies their legitimacy.

The vetted requests are then posted on ModestNeeds.org, where donors can choose which ones they want to help fund. Once the funding level is reached, a check is sent out.

Gift certificates are available. A donor can contribute any amount and then let the gift recipient decide where it should go.

"You're talking about huge, huge numbers of individual people giving just a little bit of what they have to make the lives of people who have short-term emergencies a little bit better by just keeping them on track, keeping them out of the social services system altogether," Taylor said.

Those individual contributions are multiplied by matching grants from larger donors, including musician and recording company executive Herb Alpert and his wife, Lani Hall Alpert.

"We really wanted to help him [Taylor] grow that community of small giving," said Rona Sebastian, president of the Herb Alpert Foundation.

The Alperts were also struck by how many Modest Needs grant recipients -- 68 percent, Taylor said -- turned around and became donors to the organization, Sebastian said.

"That was extremely exciting to us because that was something we found to be very powerful," she said.

Ribble is among those rebound donors: Despite his poverty, he donates $5 a month to help others through Modest Needs.

@highlight

NEW: Thousands in donations pour in after story is published

@highlight

Keith Taylor's gratitude for help led him to set up Web site to help the working poor

@highlight

People e-mail their requests -- help with rent, car repair, medical bill -- which are vetted

@highlight

Donors choose how much to give whom; when goal is reached, check is sent