(CNN) -- What happens when a North Korean architect is given free rein to design what he or she likes?

Over the course of the last four years, one Beijing based tour company has sought to answer that question by asking a practicing architect from North Korea to create futuristic designs for sustainable tourism developments in the country.

Koryo Tours -- which offers organized trips around North Korea -- provided the anonymous participant who works at the Paektusan Architectural Institute in Pyongyang with an open brief and no limits on costs, scale or physical possibilities.

The fascinating results depict something akin to Soviet-era iconography and the Jetsons and are now on display at the Venice Architecture Biennale in Italy.

According to Nick Bonner, the man who arranged the project, "there is very little exposure to contemporary architecture in North Korea."

"The architect who led this project for us drew upon his own thoughts and experiences," he added.

Unsurprisingly, the career path of an architect in North Korea is very structured.

"All architects (in North Korea) are trained at the University of Architecture and all work for the government. There are no private projects," Bonner continued.

"In a way, it's not much different than working for a council -- limited projects, but the better you are the more chance you have of working on more interesting projects, and the more chance of influencing design."

Some designs appear more rooted in reality than others which take big leaps into what the architect believes may be possible in the future.

The image above shows a hotel and gondola on the West Sea Barrage in the port city of Nampo, an area currently without major accommodation facilities.

Exhibiting slightly more blue-sky thinking, this image depicts a flying house that can double up as a hovercraft.

Combining the old and the new, meanwhile, this nifty-looking bridge is designed to connect the famous mountains of Myohyangsan.

People walking across it in the morning will be high above the early mist providing the sensation of floating above the clouds, the architect said.

"Apart from blocks of architecture that reflect Soviet influence, there is a certain futuristic style (and) modernism in many of the buildings" in North Korea, Bonner said.

In the image above, visitors to a mountain villa retreat interact with each other in an atrium designed to encourage social interaction between holidaymakers.

Reaction to the exhibition has been mixed so far.

"Some people see it as retro and kitsch, while others see it as inventive, fun and with some valid ideas," Bonner said.

"It was never intended as anything more than a visual brainstorm -- a way to stimulate engagement, ideas and discussion."

The designs will be on display at the Korean Pavilion at the Venice Architecture Biennale until November while Koryo Tours will be running a seven day architecture trip to North Korea in late October.

@highlight

A tour group asked North Korean designers to come up with their visions of the future

@highlight

The results depict a mixture of Soviet style and futuristic technology

@highlight

Images are currently on display at the Venice Architecture Biennale