Editor's note: Jeffrey A. Miron is senior lecturer in economics at Harvard University

Economist Jeffrey Miron says the stimulus guideline should be -- first, do no harm.

CAMBRIDGE, Massachusetts (CNN) -- When libertarians question the merit of President Obama's stimulus package, a frequent rejoinder is, "Well, we have to do something." This is hardly a persuasive response. If the cure is worse than the disease, it is better to live with the disease.

In any case, libertarians do not argue for doing nothing; rather, they advocate eliminating or adjusting policies that are bad for the economy independent of the recession. Here is a stimulus package that libertarians can endorse:

Repeal the Corporate Income Tax: Repeal would spur investment, improve the transparency of corporate accounting, slash compliance costs, and avoid the distortions caused by the special-interest provisions in the tax code. Repeal can work fast, by raising companies' share prices, increasing cash flow, and allowing corporations to lessen their need for bank lending.

Thus repeal provides short-run stimulus and enhances long-run efficiency. Recent estimates suggest that tax cuts are at least as effective as spending increases in raising GDP. The adverse impact on the deficit is likely to be less than the $300-$350 billion in revenue the corporate tax takes in per year, since repeal spurs growth and therefore the revenue from other taxes.

Increase Carbon Taxes While Lowering Marginal Tax Rates: Reasonable people disagree about how much the U.S. should reduce its use of fossil fuels, but crowded highways, air pollution, and global warming all suggest that some reduction is desirable.

The effective way to accomplish this is higher gasoline or other carbon taxes, not the messy, complicated green spending in the Obama plan that will morph into pork in many cases. If higher carbon taxes are combined with lower marginal tax rates, the private sector faces better incentives on both counts. This approach avoids the higher deficits implied by Obama's green initiatives.

Moderate the Growth of Entitlements: The elephant in the room amidst the stimulus debate is the impending imbalance in Social Security and Medicare as the baby boom generation moves into retirement. Without reductions in benefits, taxes will have to increase substantially, generating a major drag on the U.S. economy.

A reasonable response is to raise the age of eligibility for Social Security and Medicare, consistent with the increases in life expectancy and health that have occurred in past decades.

This restructuring would reassure markets about the U.S.'s long-run fiscal balance. This means foreigners will continue to be willing to hold U.S. debt, so U.S. borrowing costs will remain moderate.

Eliminate Wasteful Spending: Most discussion of the stimulus focuses on areas where, according to proponents, government spending should be higher. Much current expenditure, however, is wasteful.

Examples include agricultural subsidies, bloated transportation projects like the Big Dig in Boston, misguided infrastructure projects like the New Orleans levees (why encourage people to live below sea level?), ineffective weapons systems, pork barrel spending, and subsidies for Amtrak and the Post Office (buses are more efficient than railways, and Fedex is more efficient than the Post Office).

Everyone knows the U.S.'s long-run deficit picture is dismal. We should address this by cutting inefficient spending now.

Withdraw from Iraq and Afghanistan: President Obama plans to withdraw U.S. forces from Iraq over the next eighteen months, while expanding U.S. involvement in Afghanistan. It is hard to see, however, that any good arises from dragging out our Iraq exit or from staying in Afghanistan. The government should move toward faster withdrawal, and from both countries. The U.S. can redeploy these troops where useful, or release the resources to civilian uses.

Limit Union Power: Later this year, Congress is likely to vote on the card check bill, a new law that facilitates unionization. The law eliminates the presumption of a secret ballot, which means union organizers can pressure employees into accepting representation.

Laws that protect unions are problematic. Unions raise wages above market levels, increasing unemployment. Thus the Obama administration can signal American business that it cares about efficiency, not just redistribution of wealth, by opposing the card check bill. Better yet, it can repeal the Davis-Bacon Act, which inflates labor costs in federal contracts.

Renew the U.S. Commitment to Free Trade: One crucial danger in the current environment is that the U.S. and other countries will embrace protectionist policies. The U.S. enacted prohibitive tariffs during the Great Depression, and many trading partners retaliated. World trade plummeted, contributing to the economic misery.

The Obama fiscal stimulus risks reviving this insanity, since both the House and Senate bills require that certain stimulus-funded projects use U.S. equipment and goods. The administration should oppose these provisions. More generally, President Obama and his economic advisors should state -- no, scream -- that America is unambiguously committed to free trade.

Expand Legal Immigration: Radical changes in immigration policy seem unlikely in the near future, but one specific change is compelling: an increased quota for H-1B visas, which go to workers with technical skills seeking employment in U.S. industry. The annual quota for such visas was 195,000 as recently as 2000, but it now stands at only 65,000.

A major increase in this quota would be a boon to American scientific and engineering productivity. More broadly, expanding immigration is the most effective method the U.S. has for aiding poor citizens of foreign countries and for influencing repressive governments.

Stop Bailing out Businesses that Took on Too Much Risk: Popular opinion blames deregulation and private sector greed for the financial meltdown, but the reality is more subtle.

Existing regulation was ineffective at preventing excessive risk-taking, and the private sector did its best to profit from the incentives that were in place. The extreme increase in risk-taking, however, would not have occurred absent policies that encouraged such risk (e.g., Fannie Mae or the Fed's reassurances about housing bubbles) or past bailouts that cushioned the losses from private risk-taking.

One crucial response to any crisis is learning to avoid the next one. The lesson this time is that rewarding risk generates more risk. The U.S. should therefore stop bailing out banks, automakers, homeowners, or anyone else.

The libertarian view, then, is that many desirable policy changes involve less government, not more. Even changes that are inconsistent with the Keynesian stimulus framework, such as reductions in military spending, make sense when the spending is wasteful.

It is tempting to believe that every problem has a solution, but the reality is not so nice. It is possible, even likely, that the best we can do is fix things we know how to fix, and then get out of the way. This may not ameliorate the current situation, but it avoids making things worse. In economics as in medicine -- first, do no harm.

The opinions expressed in this commentary are solely those of Jeffrey Miron.

@highlight

Jeffrey Miron: Key rule of stimulus plan should be: first, do no harm

@highlight

He says plan should repeal the corporate income tax, raise retirement age

@highlight

Miron says "buy American" rules should be avoided and free trade backed

@highlight

Miron: Government shouldn't make it easier for unions to organize