(CNN) -- Obsessed with keeping social order, China is now pushing to revise its laws in ways that will broaden police powers.

The National People's Congress last week released a proposed revision of the Criminal Procedure Law that would allow the police to detain suspects for up to six months, at a location determined by the police, in cases that involve state security, terrorism or serious cases of corruption.

The existing law requires the police to notify families of detainees within 24 hours. If revised, the law will allow police to secretly detain suspects, if they believed notifying relatives or a lawyer "may hinder the investigation."

Critics say the proposed legislation could legitimize and potentially increase the number of secret detentions.

"(It) would give the security apparatus free rein to carry out 'disappearances' lawfully," said Sophie Richardson, China director of Human Rights Watch. "Legalizing secret detention puts detainees at even greater risk of torture and mistreatment."

Nothing better illustrates such concerns than the case of Ai Weiwei, the high-profile artist who was detained by Chinese authorities in April as he was about to board a flight for Hong Kong. He was released in June -- after 81 days in police custody.

He was later accused, but not formally charged, of tax fraud. His family denies the allegation and believes he was targeted due to his social and political activism.

In a commentary published last week, Ai complained that "the worst thing about Beijing is that you can never trust the judicial system."

Pu Zhiqiang, Ai's lawyer, says the proposed revision has grim implications. "Ai Weiwei and I have been through secret detentions," Pu tells CNN. "The police said they could do so because we're endangering national security. They've always resorted to such measures, but the revision will legalize them, which is horrifying."

"While being held in an unspecified location, the detainee will be subject to mistreatment that might not be possible if he or she were in a proper detention center," says human rights researcher Joshua Rosenzweig.

In recent days, China's mainstream media have run stories saying that the revisions were meant to improve protection of individual rights, and that police powers to carry out secret detention would be limited to exceptional cases. Xinhuanet.com, citing an article published by Huaxi City Paper, says the concerns and criticisms are "due to misreading of the revision."

China's legislature has enjoined the public to comment on the proposed revisions until the end of September, before lawmakers formally take them up.

On Weibo, China's equivalent of Twitter, many netizens are already giving the proposed revisions a thumbs-down.

One "laohu lushi" writes: "If you follow the logic of the new amendments, it would be secret detention, secret arrest, secret imprisonment followed by secret trial and eventually secret execution."

Yaozhuaide Fenghua asks, "Who has the right to interpret 'suspected of crimes against national security and terrorism?' The officials. How much longer than 24 hours can secret detention exceed? The police decide too. They can extend your detention at their will a month, 10 years -- without telling your family!"

In fact, several revisions to the Criminal Law have been recently enacted, including a reduction in the number of non-violent economic crime punishable by death and the addition of some new criminal offenses, including drunk driving and endangering food safety and damaging the environment.

"It's fair to say that there are welcome changes," says Joshua Rosenzweig, citing examples such as excluding confessions or testimony obtained through torture. "But the effectiveness of those changes will depend on how uniformly the provisions are enforced."

The past 25 years China has come a long way in improving the country's legal system and replacing "renzhi" (rule of men) with "fazhi" (rule of law).

China has issued a plethora of laws and statutes covering everything from crimes to intellectual property infringement. The legal profession has regained its status.

Chinese leaders see the need for such a legal system to manage China's intractable problems -- including endemic corruption, social injustice, wealth inequality and environmental degradation.

Last March Premier Wen Jiabao warned that the party needed to tackle "excessive concentration of power and lack of check on power," if China were to have a socially stable society.

Yet, despite guarantees in the country's 1982 constitution that "no organization of individual may enjoy the privilege of being above the law," critics complain that due process is still applied capriciously.

In recent months, China's rulers have increasingly relied on criminal and administrative punishment to suppress growing demands for social justice, honest government and political freedom.

Jittery over rising social unrest, they have taken tough measures to avert any kind of Middle East-style "Jasmine Revolution," detaining dissidents, harassing their lawyers and supporters and tightening political control.

Giving the police more power, critics say, is one such measure.

Can the revisions be blocked? "We will voice our opinions, but we are not optimistic it will make an impact," said Pu, Ai's lawyer. "We'll try our best."

In China the end can always justify the means. Nowadays, the end is social and political control.

@highlight

If revised, law will secret detention, if notifying relatives or lawyer will hinder probe

@highlight

Activist-artist Ai Weiwei's lawyer says proposed revision has grim implications

@highlight

China's mainstream media have run stories saying revisions will help individual rights

@highlight

On Twitter-like Weibo, Netizens give proposed revisions a thumbs-down