(CNN) -- A couple of weeks ago, Micha Rahder got a disturbing letter. It said that she no longer had health insurance -- and was required to as a graduate student at the University of California, Santa Cruz.

The problem was -- it was her own school's insurance policy that was dropping her.

Rahder, 30, was losing insurance because she had reached the lifetime limit of coverage under the University of California's student health insurance plan. She suffers from a rare disorder that requires her to get regular and expensive IV treatments every four weeks.

Without treatment for her chronic inflammatory demyelinating polyneuropathy -- a disease that attacks her nervous system -- she has lost the ability to walk and has had to have a guest lecturer come in to teach her class. She said she can't understand why she's in this predicament.

"I initially thought Obamacare would take care of this, but somehow these schools have slipped out of it. I'm extremely frustrated," Rahder said. "Most people didn't know I was sick until this happened, and when I tell them why I'm sick, they can't believe it."

Had she been insured elsewhere, she might have been protected from losing her health care coverage.

Under the Obama administration's Affordable Care Act, or ACA, lifetime limits are supposed to be a thing of the past. But there are about 30 schools in the country, mostly in California and the Ivy League system, that offer students what is called self-funded student health insurance.

Instead of using an insurance company, a university runs the program, and student premiums directly pay for it. Experts say it's a complicated system to run, but it's ultimately a lot cheaper for a school, because it eliminates the middleman of an insurance company.

Obamacare: A few changes coming in 2013

About 300,000 students are covered by these plans. A proposed ruling issued by the Obama administration Wednesday determined these plans do count as "minimum essential coverage" but exempts them from having to meet the same standards of other health coverage. (The Department of Health and Human Services offers a 60-day period for public comments after publication in the Federal Register before issuing a final ruling.)

The proposed rule means self-funded student health care plans can continue to cap benefits like they did in Rahder's case. Those self-funded student plans are the only insurance-type programs in the country that don't have to provide the consumer protections guaranteed by the Affordable Care Act.

"That's because they aren't really insurance plans," said Steven M. Bloom, director of federal relations, government and public affairs at the American Council on Education, a group that represents the presidents of the nation's higher education institutions. "They are not sold by an insurer. Only students can buy the plans, and the schools pay for them. I know it acts like insurance, but under the law it is not technically insurance.

"That's a very lawyer-like explanation, isn't it? But that's what the law says," Bloom said.

Early in the discussion about these particular plans, HHS didn't think it had the power to regulate them, Bloom said. "In order for these plans to have to follow the ACA, the regulations would probably have to change."

Jen Mishory, a lawyer and deputy director of the Young Invincibles, an advocacy group for young people, said, "They are certainly advertised to students as health insurance plans, and they are called insurance plans when you sign up for them. Yes, there is a legal distinction here, but a legal technicality shouldn't shortchange students like this."

Mishory added, "Students do tend to be healthier than the general population, but there are occasions when a student gets sick. We want all students to have the same coverage everyone else has."

About 50 University of California, Berkeley students organized a rally in October to call for elimination of the lifetime caps on their student health insurance plans, and they're circulating a petition. Other schools in California are planning similar protests, Rahder said.

Eliminating the caps could add expense to the programs though. And universities, in tight budgetary times, may not want to increase the cost.

"Universities are big businesses. People sometimes forget that when they see the tweed and the elbow patches," said Dr. Bryan Liang, a lawyer and physician who specializes in health care law and teaches at California Western School of Law in San Diego.

"But this is about profit, and these schools aren't insulated from the economic realities. If there is a way to lower costs, they will do what they can."

Opinion: 'Obamacare' should be a GOP rallying cry

In reading the Obama administration's proposed rule from Wednesday, Liang said he does believe HHS will continue to watch the situation carefully. "They don't want anyone to have to go back to the old system," he said.

Bloom added that these self-funded plans do generally offer good health coverage.

"I don't think you are seeing some kind of conspiracy in the way that the statutes are written. These plans are very comprehensive," Bloom said. "It doesn't mean it's not a tragedy if a student is in that situation where they come up against the caps, but in the grand scheme of things, this is a very small percentage of students that this impacts. You are talking about a fly on an elephant here."

But it's big issue to Rahder, who cannot walk at the moment because she can't afford the treatment she needs without insurance.

For now, she said she may have found an alternative insurance. It's more expensive, but her mom will help with the bills. Once she gets the treatment and can walk again, she said she will be out there protesting so other students won't experience what she did.

"I mean, what is health insurance for if not to catch you in those rare cases when you do get sick?" she asked. "This seems outrageous and is really truly mind-boggling."

@highlight

A proposal says self-funded college health plans count as "minimum essential coverage"

@highlight

Obama administration: Plans don't have to meet same rules as other types of insurance

@highlight

Some California students are protesting lifetime caps on some of these plans