London (CNN) -- Two men have been sentenced to life in jail for the racist murder of a black teenager in London nearly 20 years after the offense.

Gary Dobson and David Norris were convicted for killing Stephen Lawrence in 1993 after a fresh trial based on new forensic evidence.

It was a case that shook Britain and until Tuesday's verdict was one of the country's most high-profile unsolved murders. It also led to major changes in attitudes to racism, policing and the justice system.

CNN examines key questions about why the case is so important.

What happened to Stephen Lawrence?

The 18-year-old student and his friend Duwayne Brooks were attacked at a bus stop in south-east London by a gang of youths. Brooks managed to escape but Lawrence was fatally stabbed.

Jurors at the inquest into his death found that he was unlawfully killed in a "completely unprovoked racist attack by five white youths."

What did the police do?

The Lawrence family felt that London's Metropolitan Police failed to do enough to solve the crime, and expressed fears that racism within the police force might be a factor. They made a formal complaint about the police in 1997.

The police later admitted there had been failures in the search for the killers and apologized to the Lawrence family, but the then-London police chief Paul Condon denied that the majority of police officers were racist.

After the verdict on Tuesday, Lawrence's mother Doreen said the police involved in the original investigation had put her family through huge pain and uncertainty through their failure to investigate properly.

"This result shows that the police can do their job properly -- but only if they want to," she said.

Although several suspects were identified, including Dobson and Norris, officials initially said there was insufficient evidence to prosecute them. As a result, Lawrence's parents Doreen and Neville launched a private prosecution that eventually led to three suspects being acquitted.

What was the reaction?

Failure to solve the murder sparked widespread anger. The Lawrence family continued to campaign for justice -- and the Daily Mail, a UK tabloid newspaper, even went as far as accusing five men of the killing on its front page and invited them to sue if they were wrong.

In 1997, four years after the murder, the then Home Secretary Jack Straw announced an inquiry into the crime.

The resulting Macpherson report accused the police of "institutional racism" and found that detectives had made little effort to apprehend the white youths suspected of killing Lawrence. It also made a series of recommendations intended to stamp out racism and ensure police were properly trained on the issue. The report concluded that "Stephen Lawrence's murder was simply and solely and unequivocally motivated by racism."

How were Dobson and Norris brought to trial?

The Macpherson report also recommended that "consideration should be given to permit prosecution after acquittal where fresh and viable evidence is presented."

A centuries-old practice known as the "double jeopardy" rule prevented someone already acquitted of a crime being tried again for the same offense even if there was fresh evidence. In 2005 the rule was abandoned, allowing the authorities to charge Dobson for Lawrence's murder if they could find new evidence, even though he had been previously cleared.

In 2007 there was a breakthrough brought about by new technology. During the six-week trial, jurors were told of significant new forensic evidence recovered from clothing seized from the suspects' homes 18 years ago, including a very small blood stain on the collar of a jacket taken from Dobson's wardrobe.

DNA testing showed the blood was that of Lawrence. Evidence was also found linking Norris to Lawrence's death. The new forensic evidence was the result of "previously unavailable scientific technology and techniques," said Cressida Dick, acting deputy commissioner for the Metropolitan Police.

The jury decided unanimously that Dobson and Norris were guilty of murder, rejecting defense arguments that the evidence was contaminated.

Where does this leave race relations in the UK?

The damning Macpherson report made 70 recommendations and called for an overhaul of the police to restore public confidence.

The Metropolitan Police has since made widespread changes, and in a statement said it now had a "better understanding of and relationship with London's communities leading to increased confidence and trust." But it adds: "We are not complacent and recognize there is still much more to do."

The UK government has also tightened laws requiring all public bodies, including the police, to treat everyone fairly and without discrimination.

Despite this racism remains a concern. High-profile incidents have recently emerged in English football with two Premiership players being accused of making racist comments to rivals.

U.S. civil rights activist Rev. Jesse Jackson told CNN there was clearly a problem in the communities that "incubated and protected" those convicted of killing Lawrence. He also called on UK police forces to work harder at integrating black and white officers.

"Britain has an obligation to turn this crisis into an opportunity," he said.

Are there any more suspects in the Lawrence case?

The original inquest found that Lawrence was killed by five white youths. Police are still seeking evidence to pursue three other suspects.

The Metropolitan Police acting deputy commissioner Cressida Dick said: "We do of course acknowledge that there are five people involved in that murder. We have not brought all those people to justice." She vowed to respond if there was new evidence.

@highlight

Stephen Lawrence, 18, was stabbed to death at a bus stop in London in 1993

@highlight

Inquest ruled he was killed by gang of five white youths in "unprovoked racist attack"

@highlight

The police's handling of case met widespread criticism, sparked major reforms

@highlight

Gary Dobson and David Norris have been jailed for killing, almost 20 years on