Beijing (CNN) -- Entrepreneurs of all stripes are cashing in on the Lin-sanity phenomenon as swiftly as the NBA sensation can pull off his furious fast breaks.

It has been only three weeks since Jeremy Lin, the 23-year-old American-born point guard of Taiwanese descent, came out of obscurity to lead the listless New York Knicks to a winning streak.

But while their winning run has come to an end, Lin has gone on to become a media and marketing darling. Lin-related products have become hot items.

In New York, merchandise retailers are doing brisk business selling Lin's No. 17 jerseys. "He's made the Knicks relevant again," says Larry Dimitriou, manager of Modell's Sporting Goods store in Manhattan.

Jeremy 'Lin-demand' in China

"We constantly get Lin jerseys every day," he says. "I put one in the window to show people we have them. A short time later, they're gone."

Just as nimble and quick are the publishers of "Linsanity: The Improbable Rise of Jeremy Lin" by Alan Goldsher, an electronic book that was turned around in just 72 hours. Available wherever e-books are sold, Goldsher's insta-book costs just $1.99.

According to Digital Book World, fast-thinking authors have already churned out least seven e-books, all about the humble and wholesome Harvard graduate. The other Lin-inspired titles include, "Jeremy Lin: Advice from Sun Tzu on Basketball and the Art of War," and "The Zen of Jeremy Lin."

Not to be outdone, Lin himself has filed to trademark "Linsanity." The application, filed through the U.S. Patent and Trademark Office, would give him exclusive rights to put the signature term on more than 50 consumer products, including clothing, mugs and even action figures.

Yao Ming: 'Everyone wants to be next Jeremy Lin'

Lin is not the only one to file for a trademark on the term, but he stands a good chance of winning it, according to Washington-based trademark lawyer Gary Krugman.

But he would stand a poor chance if he filed in China, where trademark laws tend to favor early applicants.

Few can match the prescience of Wuxi Risheng, Sports Utility Co. a Chinese manufacturer of basketballs and soccer balls.

Risheng, it turns out, have registered Jeremy Lin's English and Chinese names as trademarks in China and claim to have rights to the name of the NBA's latest star until 2021.

Risheng's claim, widely reported in local media, could block plans by major sporting goods companies to capitalize on China's growing interest on the new NBA standout. Jeremy Lin, known in Mandarin as Lin Shuhao, was born in the U.S. to Taiwanese parents with ancestral roots in mainland China.

According to government records, Risheng applied for Lin trademarks as early as 2010, the year he graduated from Harvard University and was ignored during the NBA draft pick.

"Our boss Yu Minjie watched a lot of NBA games and noticed Jeremy some time in 2010 when he was a nobody," one of the partners in the company told CNN.

"We did not expect Jeremy Lin would be such an instant hit. We are happy for his success and of course we feel extremely lucky."

Risheng may have hit a jackpot if Lin's marketing magic continues.

"In China, first-to-register gets the rights," says Horace Lam, a Beijing-based intellectual property expert at Jones Day.

"Chinese companies are aware of this system and use it to their advantage. We see this happen every day. It's a big problem for companies and people trying to protect their intellectual property in China when they are not familiar with the Chinese system."

Marketing mavens are lusting to brand Lin. "He's the total package, a fine athlete and a wonderful story," enthuses Scott Kronick, president of Ogilvy PR China. "We think he's Lin-credible."

Risheng now makes Lin basketballs but soon might start producing jerseys and sneakers. "Maybe we'll open franchise stores in east China," said the Risheng partner. "Now more and more companies are reaching out to us seeking business tie-up opportunities."

Lam says the Jeremy Lin trademark that Risheng owns applies to a grab-bag of uses and products, including basketballs, shoes, hats, toys and gym facilities.

Risheng claims trademarks for other basketball stars, including Yi Jianlian, a Chinese power forward who now plays for the Dallas Mavericks.

It also has a trademark on the Chinese name for "Jordan's Kingdom," an apparent reference to retired superstar Michael Jordan, for use on balls.

Jordan, known as "Qiaodan" in Mandarin, has been aggressively doing business in China.

Now he is tightening his defense.

This week, Jordan filed a suit in a Chinese court against Qiaodan Sports Company Limited, another Chinese sportswear and footwear manufacturer, for unauthorized use of his name.

"It is deeply disappointing to see a company build a business off my Chinese name without my permission, use the number 23 and even attempt to use the names of my children," the basketball legend said in a statement.

"I am taking this action to preserve ownership of my name and my brand."

Still, intellectual property experts say it will be an uphill battle for Jordan to claim trademark rights in China.

"China requires a high threshold to prove that one is famous," says Lam. "Even if Michael Jordan is a big name today, he still needs to prove that he was already famous in China long before 1997, when Qiaodan Sports first registered the name."

Trademark infringements are common and persistent in China, Lam notes. Gucci, Pfizer, Exxon Mobil and Hennessey are just some of the well-known multinational companies fighting long legal battles to protect their trademark.

Even Apple, the world's biggest technology company, is embroiled in a trademark lawsuit over the sale of iPads in China, with a Chinese company claiming that it owns the right to use the iPad trademark in mainland China.

To be sure, Lin-inspired marketing ideas abound.

Jeremy light bulbs? That's been taken.

@highlight

In New York, merchandise retailers are doing brisk business selling Jeremy Lin's No. 17 jerseys

@highlight

The New York Knick point guard has himself has filed to trademark "Linsanity"

@highlight

But Lin may not win the trademark in China, where laws favor early applicants

@highlight

A Chinese retailer has registered Lin's English and Chinese names as trademarks in China