(CNN) -- Two people were killed when unusually large and powerful waves crashed into a cruise ship in the Mediterranean Sea this week.

Here CNN Senior Meteorologist Brandon Miller explains the science behind the deadly squall that hit the Louis Majesty as it traveled from Barcelona, Spain to Genoa, Italy.

What caused the wave that hit the cruise ship? There was a strong storm moving through the Mediterranean which brought winds gusting well over 100 kph. Winds of this magnitude will result in a very rough sea state and large waves. Buoys nearby recorded significant wave heights (defined as the average of the largest 1/3 of waves over a 20 minute period) over 6 meters. The waves which hit the ship were reported to be between 8-9 meters. This would not be considered a "rogue" wave, as rogue waves must have a height at least double the significant wave height, but it is nevertheless abnormally high. Several factors can contribute to an increase in the size of the wave, including wind direction, ocean current direction, and shape and depth of the sea floor.

How common are such waves? Waves of this height are not very common in the Mediterranean under normal conditions, but it would not be unusual to find waves of this magnitude within strong storms (as was the case with these waves). Rogue waves, especially those not associated with stormy conditions, are far less common, but present the biggest danger to ships due to their unexpected nature.

Is it unusual for cruise ships to be hit by such abnormal waves? Cruise ships are frequently affected by large waves all over the world, although normally not to this extreme, and with minimal consequences. Cruise ships normally set their course to avoid storms and rough seas when possible. We hear of events such as this one every couple of years, such as in March 2001 when two tourist ships were impacted in the same week (the Bremen and Caledonian Star).

Can abnormal activity in one ocean impact other seas or oceans? All the world's oceans are connected, and we know vary large scale events such as tsunamis can traverse and affect multiple ocean basins (a very large earthquake in the Indian Ocean could conceivably create a tsunami that would be felt in parts of the Atlantic and Pacific Oceans for example). The waves which hit the Louis Majesty, however, were a much more localized event brought on by a storm system nearby. They were in no way related to the Chile earthquake and subsequent tsunami. Rough seas and high waves can be expected to occur near this storm as it moves eastward through the Mediterranean towards Greece and Turkey.

How far from a storm can you find large waves? Large waves can occur at great distances from the storm that generates them. Hawaii, for instance, will often receive high surf and large swells from tropical storms located in the Western Pacific near Asia or Eastern Pacific near North America. In order for this to occur, the strong wind must blow in a consistent direction over a large distance (fetch), such as in large typhoons/hurricanes.

@highlight

Powerful storm waves uncommon in the Mediterranean

@highlight

Wind, ocean current, and shape and depth of sea floor can contribute

@highlight

Storm waves not connected to recent tsunamis caused by Chile quake