(CNN) -- Storms tore a deadly path through at least three counties in Arkansas on Sunday evening and ripped houses, cars and forests to shreds, strewing rubble for miles.

Though it's not yet official, weather forecasters strongly suspect tornadoes are to blame for at least 14 deaths and devastating damage in the state. Two more people died in storms on Iowa and Oklahoma.

A tornado's shearing, twisting winds can exceed 300 mph, and though they usually last only seconds, some cyclones endure much longer, razing swaths up to a mile wide that scar landscapes for months to come and inflict tragic human losses.

The United States has the highest number of tornado occurrences in the world, with an average of 1,200 tornadoes reported each year, according to the National Weather Service.

Arkansas winds 'severe'

Meteorologists rank a tornado based on the strength of its winds and the area over which it spreads destruction.

The Enhanced Fujita Scale assigns tornadoes corresponding numbers from EF0, with gusts from 65 to 85 mph, to the mightiest EF5, with gusts over 200 mph.

The EF0's winds are described as "gale" winds; those of the EF5 are called "incredible." The figures for tornadoes' wind speeds are based on assessments of the damage they leave behind on the ground.

Only 59 EF5 storms have hit the United States since 1950, according to weather service records. The latest one devastated Moore, Oklahoma, in May of last year.

Though meteorologists have not finished analyzing the most recent Arkansas storm, so far the state has been spared an EF5, the NWS says.

CNN meteorologist Chad Myers estimates that the winds that ravaged the town of Mayflower, Arkansas, on Sunday had speeds of 130 to 150 mph, which would correspond to an EF3 tornado, which the Fujita Scale describes as "severe."

Let's take a look at the nature of the strongest tornadoes, the EF5s, the strongest storms on Earth.

Where do storms of this strength most commonly hit?

While EF5 storms are rare, the area in the Great Plains known as "Tornado Alley" gets more than its share. The alley runs through Texas, Oklahoma, Kansas and Iowa. There also seems to be a focus for strong tornadoes in an area known as "Dixie Alley," which covers parts of the Southeast and includes Mississippi, Tennessee, Alabama and Georgia.

What factors give rise to a storm of this strength?

A number of factors have to come together at the right time and place to produce a strong tornado. The clash of warm and cold air at the surface combined with lift in the atmosphere and strong winds, both at the ground and high above, help contribute. The greater the temperature differences and the winds, the greater the chance for supercells, the thunderstorms that produce tornadoes.

How long does it take to assess the strength of a storm? Why does it take so long?

After a tornado, the local National Weather Service office sends a team to take a look at the damage. In the case of the monster twister in Moore last year, the Norman, Oklahoma, office sent numerous teams into the field to evaluate damage. Since this storm path was 17 miles long and the damage path was so wide, it took time to see all of the damage.

The strongest tornado on record to date struck Moore in 1999. It had winds recorded at 318 mph at 300 feet above the Earth's surface. Officials estimated winds at the surface were at 250 mph.

Read more about tornadoes

@highlight

It's not yet official, but forecasters suspect tornadoes caused 16 deaths Sunday

@highlight

The United States has the highest number of tornadoes in the world -- 1,200 per year

@highlight

The strongest tornadoes are ranked EF5, with gusts over 200 mph, winds called "incredible"

@highlight

Only 59 EF5 storms have hit the U.S. since 1950; Arkansas has been spared so far