Nearly 800,000 Hong Kongers have done something China's 1.3 billion people can only dream of: cast a ballot to demand a democratic government.

In an unofficial referendum organized by pro-democracy activists and denounced by Chinese authorities, 787,767 people in the city of more than seven million have called for the right to directly elect their next leader.

But Beijing has insisted Hong Kong politics stays in line with Chinese rule, paving the way for a showdown in the city.

Who are the activists?

Occupy Central is a pro-democracy group founded in 2013. Their goal is to allow the Hong Kong public to elect its next leader without strings attached.

If the Hong Kong government doesn't eventually give the public more voting rights, Occupy Central has threatened to "occupy" Central district, the city's financial hub, with a sit-in that would disrupt businesses and block traffic.

How is Hong Kong governed now?

Hong Kong is a Special Administrative Region of the People's Republic of China, with its own executive, legislature, and judiciary.

A former British colony, the city was returned to Chinese control in 1997. But before the handover, China and the United Kingdom signed an agreement giving Hong Kong a "high degree of autonomy" for 50 years after its return to China. This enshrined a principle known as "one country, two systems" in a constitutional document called the Basic Law.

A few weeks ago, the Chinese government released a strongly-worded white paper that said Hong Kong does not have "full autonomy" and asserted that ultimate power over the city lay with Beijing. But many pro-democracy activists in Hong Kong see this as a violation of "one country, two systems."

Currently, Hong Kong's leader, known as the chief executive, is elected by a small committee. In 2012, this committee selected Leung Chun-ying, a staunch Beijing choice, who remains in power today.

What's the referendum all about?

The Hong Kong government has promised residents they will be able to vote for their own leader by 2017, but here's the catch: Beijing says it will only allow candidates who "love China."

Occupy Central responded by organizing an unofficial city-wide referendum, which asked people to choose between three ways to reform Hong Kong's voting system. All three plans proposed that candidates be nominated publicly, regardless of whether the candidates have Beijing's blessing.

To put it simply, anyone who voted in the referendum essentially said they wanted to have their own say in Hong Kong's political future.

What were the results?

The 10-day voting period began June 20 and asked voters to choose between one of three proposals to reform the city's election process.

Organizers had expected only 100,000 votes for what was originally just a two-day voting period. The final tally of valid ballots cast came to 787,767, with 42% going towards a proposal from the Alliance for True Democracy that said candidates for Hong Kong's chief executive should be nominated by the public, and conditions such as requiring candidates to "love China, love Hong Kong" should not be allowed.

Activists say the large overall turnout is a clear indicator of Hong Kong's discontent with Chinese government policies.

"Whatever Beijing may say in public now I think it can hardly afford to ignore the voices of 780,000 Hong Kong people," Anson Chan, former Chief Secretary of Hong Kong told CNN.

READ MORE: After 'votes,' Hong Kong readies for massive protest

How has Beijing reacted?

The Chinese government is not amused. China's Hong Kong and Macau Affairs Office declared the unofficial referendum to be "unlawful."

In an editorial published June 23, the state-run Global Times called it an "illegal farce." The next day, another editorial accused activists of sowing "hatred."

Hong Kong's Beijing-backed chief executive has said none of the proposals being voted are legal. However, he has also said that none of the voters will face criminal consequences.

Meanwhile, China's censorship machine has been active on the issue. Internet searches for "Occupy Central" were completely blocked within mainland China, while searches for Hong Kong-related topics were among the most heavily censored, according to Chinese social media visualizer Weiboscope.

As voting went underway, newscast signals from Hong Kong were also reportedly blacked out in China's neighboring Guangdong province, where Chinese residents normally enjoy access to Hong Kong TV.

Organizers of the referendum also claim their website has been hit by significant cyberattacks, though it is unclear where the attacks may have originated from.

What about the sit-in?

If the Hong Kong government doesn't reform its electoral system in line with what Occupy Central is asking for, the group says it will marshal 10,000 people to sit and peacefully block traffic in downtown Hong Kong as a way to pressure Beijing into allowing Hong Kong to exercise "genuine universal suffrage."

Given Beijing's uncompromising response to the referendum so far, it seems Occupy Central's activities are increasingly likely to occur.

But nobody knows how much disruption the protest may cause. Hong Kong's security chief has warned the protest could turn violent, and "things could get out of control."

Others have warned that Occupy Central could disrupt Hong Kong's typically stable economy.

What else is going on?

It's been a month of political activism in the city. A 25th anniversary vigil for the 1989 Tiananmen Square crackdown victims drew around 100,000 people, and the subsequent release of Beijing's white paper only riled up the city's politically-minded residents even further.

On July 1, Hong Kongers will stage an annual pro-democracy protest march. The turnout is expected to be huge. We could be seeing tens, if not hundreds of thousands of people.

Later, Occupy Central reportedly plans to organize a follow-up referendum, which will give voters a choice between the most popular reform solution, and the government's proposal.

READ MORE: Alarm in Hong Kong at Chinese white paper affirming Beijing control

@highlight

At least 780,000 Hong Kongers have voted in an unofficial referendum

@highlight

The referendum asked residents to choose between 3 plans for democracy in the city

@highlight

The Chinese government has called the referendum "unlawful"