WASHINGTON (CNN) -- Promising to return America to the "moral high ground" in the war on terrorism, President Obama issued three executive orders Thursday to demonstrate a clean break from the Bush administration, including one requiring that the Guantanamo Bay detention facility be closed within a year.

President Obama signs the order requiring that the Guantanamo Bay facility be closed within a year.

During a signing ceremony at the White House, Obama reaffirmed his inauguration pledge that the United States does not have "to continue with a false choice between our safety and our ideals."

The president said he was issuing the order to close the facility in order to "restore the standards of due process and the core constitutional values that have made this country great even in the midst of war, even in dealing with terrorism."

A second executive order formally bans torture by requiring that the Army field manual be used as the guide for terrorism interrogations. That essentially ends the Bush administration's CIA program of enhanced interrogation methods.

"We believe that the Army field manual reflects the best judgment of our military, that we can abide by a rule that says we don't torture, but that we can still effectively obtain the intelligence that we need," Obama said.  Watch Obama sign the orders »

"This is me following through ... on an understanding that dates back to our founding fathers, that we are willing to observe core standards of conduct not just when it's easy but also when it's hard."  Watch Obama vow that the "U.S. will not torture" »

A third executive order establishes an interagency task force to lead a systematic review of detention policies and procedures and a review of all individual cases.

The task force, Obama stated, will also "provide me with information in terms of how we are able to deal [with] the disposition of some of the detainees that may be currently in Guantanamo that we cannot transfer to other countries, who could pose a serious danger to the United States."

The president also signed a memorandum requesting a delay in the Supreme Court's hearing of the case of Ali Saleh Kahlah al-Marri, a legal U.S. resident contesting his detention for more than five years as an enemy combatant. He has been held in a military brig without the government bringing any charges against him.

Al-Marri's case is scheduled to be heard by the high court in March or April.

Al-Marri "is clearly a dangerous individual," Obama said. "We have asked for a delay in going before the Supreme Court to properly review the evidence against him."

During the second Bush term, the detention facility at Guantanamo Bay became a lightning rod for critics who charged the Bush administration with torturing terrorist suspects. President George W. Bush and other senior officials repeatedly denied that the U.S. government had used torture to extract intelligence from terror suspects.  Watch experts debate the Guantanamo dilemma »

The decision to close the detention facility received immediate backing from Obama's general election opponent, Arizona Republican Sen. John McCain.

McCain, in a joint statement with South Carolina GOP Sen. Lindsey Graham, said he supported Obama's decision to "reaffirm America's adherence to the Geneva Conventions, and begin a process that will, we hope, lead to the resolution of all cases of Guantanamo detainees."

Thursday night on CNN's "Larry King Live," McCain said he thinks the new president may have been hasty in the decision and should have taken the time to consider everything associated with closing the camp before forcing himself into a timetable.

Specifically, McCain said he thought Obama needed to consider what would happen to the prisoners held at Guantanamo before ordering the facility to be closed.

"So, the easy part, in all due respect, is to say we're going to close Guantanamo," McCain said. "Then I think I would have said where they were going to be taken. Because you're going to run into a NIMBY [not in my backyard] problem here in the United States of America."

A number of congressional Republicans criticized Obama's decision.

"We cannot risk going back to the politically correct national security policies that left us vulnerable in the lead-up to 9/11," Michigan GOP Rep. Peter Hoekstra, a member of the House Intelligence Committee, said in a written statement. "Without a clear plan for the detention and interrogation of captured terrorists and combatants, we are unnecessarily risking the safety of our nation."

Rep. John Murtha, D-Pennsylvania, an outspoken critic of the Bush administration, praised the action, calling it "a first key step in restoring America's image and credibility in the world."

"The Bush administration never understood what the Guantanamo detention facility symbolized to the rest of the world," Murtha said in a written statement. "They saw it as simply a prison. ... The problem with Guantanamo was never about its bricks and mortar. The problem with Guantanamo is that its very existence stains and defies the moral fiber of our great nation."

Obama's move highlights a fierce struggle over where the prison's detainees will go next. iReport.com: Closing Guantanamo is a "risk"

Asked about that issue Thursday, Defense Secretary Robert Gates said, "We have developed some options in terms of how many we think could be returned to other countries to take them. That diplomatic initiative has not started. That will await work in carrying out the executive order."

"We have identified a number of possible prisons here in the United States" that could take the detainees. However, Gates added, "I've heard from members of Congress [representing] where all those prisons are located. Their enthusiasm is limited."  Watch what may happen to Guantanamo's inmates »

Rep. Bill Young, R-Florida, said he has "quite a bit of anxiety" about the possibility of transferring detainees to U.S. facilities.

"Number one, they're dangerous," Young said. "Secondly, once they become present in the United States, what is their legal status? What is their constitutional status? I worry about that, because I don't want them to have the same constitutional rights that you and I have. They're our enemy."

CNN's Ed Henry, Barbara Starr and Deirdre Walsh contributed to this report.

@highlight

President Obama signs orders to close detention facility, ban torture

@highlight

Sen. John McCain issues statement supporting facility's closure

@highlight

Some congressional Republicans slam "politically correct" security policies

@highlight

GOP congressman says he's worried about where to house detainees