(CNN) -- One year ago, Taliban gunmen in Pakistan boarded a school van and shot Malala Yousafzai, then 15, for speaking out for girls' education. Malala survived the tragedy, and her courageous story of a teenage girl who would not be silenced inspired tens of millions more in the fight for girls' rights.

As Malala said in July during her historic address at the United Nations, "I raise up my voice -- not so that I can shout, but so that those without a voice can be heard."

And as the world marks International Day of the Girl on Friday, it is worth remembering all those young girls, the same age as Malala and some even younger, whose voices go unheard: the millions of child brides around the world robbed of their youth and their rights, including the chance at education.

The world will never know the talent it loses to early forced marriages. Most of the world's child brides reside in Malala's home region of South Asia. In her native Pakistan, almost one-fourth of the country's girls find themselves in unions or marriages by age 18. India, Pakistan's neighbor to the east, has more child brides than any other country in the world, with 47% of all of the country's more than 600 million girls married before their 18th birthday.

In Bangladesh, 66% of girls end up becoming child brides, the third-highest rate in the world. The tradition of child marriage, reinforced by poverty, instability and a lack of resources, has proven hard to fight even in this era of globalization.

Education has proven to be one of the most potent weapons in the fight against child marriage. According to Girls Not Brides, a global partnership to end child marriage, a girl who receives seven or more years of schooling will marry an average of four years later. In Mozambique, around 60% of girls without an education are married by 18, compared with 10% who complete secondary schooling. That number drops to nearly zero for those who are able to reach higher education.

When a girl can become a student instead of a bride, her family benefits.

A study in Pakistan measuring returns on education showed that extending a girl's schooling by one year led to a 13% to 18% increase in her wages. Data from a Population Reference Bureau study put that number at up to 20%. A baby born to a literate mother is 50% more likely to live past the age of 5. And child vaccination rates quadruple when mothers are educated.

When girls become brides, on the other hand, schooling is often not an option. Even if husbands and their families permit the girl to go to school, the immediate push to have children makes girls much more likely to drop out. Pregnancy is the leading cause of death worldwide for girls ages 15 to 19.

Child brides have precious few paths to earning an income and to contributing to their family's economic health, leaving girls ensnared in a vicious cycle of poverty. Domestic violence and HIV transmission also increase dramatically when girls marry at a young age, further threatening both the girls and the well-being of their children.

For every Malala you meet there are many more whose stories will never be known -- girls robbed of their chance to pursue their dreams and to go to school simply because they are girls. That is not just their loss; it is ours.

Girls are a precious natural resource. And we don't have talent to waste.

The opinions expressed in this commentary are solely those of Gayle Tzemach Lemmon.

@highlight

Gayle Lemmon: Pakistani student Malala Yousafzai raised her voice for girls' education

@highlight

Lemmon says girls in South Asia are married as children at high rate and are denied an education

@highlight

She says educated girls make more money, their babies live longer, their families benefit

@highlight

Lemmon: If married early, girls have higher mortality, HIV rates and poverty