Princeton, New Jersey (CNN) -- The stakes in the current budget battles are enormous. As the super-committee deliberates over how to reduce the deficit and other congressional committees struggle to cut spending, the fate of important programs hangs in the balance.

While the American public tends to focus on the highest profile issues such as Medicare and defense, some of the smaller, off-radar issues are also vital and can't be ignored. The combination of rising deficits, hyper-partisanship, and tea party conservatism has put numerous policies at risk.

One of the programs that could suffer is the President's Emergency Plan for AIDS Relief, otherwise known as PEPFAR. It is one of the less well known creations of President George W. Bush. Started in 2003, the program began by providing $15 billion over five years to combat AIDS around the globe through testing, counseling and medical treatment. The amount initially spent was over three times what the nation had spent on this cause before.

President Bush, who believed the idea was like the Marshall Plan, a U.S. program in 1948 that provided economic assistance to Western Europe to help in reconstructing the continent after World War II and prevent the spread of communism, said: "When we see a plague leaving graves and orphans across a continent, we must act. When we see the wounded on the road to Jericho, we will not -- America will not -- pass to the other side of the road."

Some, including Democrats who don't care for the rest of his record, believe that it is his greatest accomplishment.

Though the U.S. foreign aid program, where PEPFAR is housed, constitutes less than 1% of the federal budget, it has helped to save the lives of millions of people and helped to contain a disease that was ravaging the African continent. By 2009, a study in the Annals of Internal Medicine reported that in African countries receiving PEPFAR funding there had been a 10.5% reduction in the AIDS death rate. The program has been extended under President Obama.

To be sure, it has not been without controversy. Some liberals complained the program pushed for ineffective abstinence measures, to please the religious right, while some conservatives viewed it as a an unneeded expenditure. But in general, it has been considered an example of policy success in an era when Americans love to criticize government.

What happens next is uncertain. With Democrats and Republicans focusing on massive foreign aid cuts as part of a deficit deal, with some estimates upward of $60 billion, the State Department would be unlikely to continue with humanitarian programs such as these for very long.

Proposals to cut this humanitarian spending, noted Charles Lyons, the president of the Elizabeth Glaser Pediatric AIDS Foundation, are "very, very concerning and comes at exactly the wrong time." Lyons added that the program has been a "game changer." In August, the U.S. government announced that anti-retroviral AIDS medicines could reduce the transmission of the disease from infected to non-infected partners by 96%.

Moreover, the United Nations program on HIV/AIDs announced a plan to eliminate pediatric AIDS infections by 2015. The plan explains that, "It is possible to stop new HIV infections among children and keep their mothers alive if pregnant women living with HIV and their children have timely access to quality life-saving anti-retroviral drugs."

The moral weight behind the program becomes clearer in a riveting new documentary by first-time filmmaker Maggie Betts, whose movie, "The Carrier," premiered at the Tribeca Film Festival. The movie follows the struggles of a Zambian woman named Mutinta Mweemba who has become pregnant. Mutinta, who was trapped in a polygamous marriage, learns that she has AIDS. The film follows her effort to protect her child from acquiring the disease as well. One of the most striking aspects of the film is the network of health care workers who come into her life, providing counsel and medicine, seeking to prevent the transfer of the disease to the children.

Now, Congress will have to make a decision about whether to increase funds for PEPFAR, whether to reduce its funds or even keep the program alive. Although this program is one of the longest lasting creations of President Bush, many younger Republicans are not supportive of it.

House Republicans, moved to the right by the tea party, have little appetite for spending on anything that does not seem to be absolutely essential to the nation. In 2008, when she voted against the re-authorization of PEPFAR, Michelle Bachmann said, "The United States is the most generous nation on earth. We have to have a balancing act between our benevolence and our prosperity. And our prosperity today is at risk. We will not survive if our benevolence allows the treasury to not only be empty -- but to have us be a debtor nation greater than we have ever been before."

But before Congress takes action, America would do well to consider the kinds of transformative impact that government can have. When a program does work, as the evidence suggests that PEPFAR has, and is desperately needed, there should be some kind of security for its future.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Washington's budget-cutting endangers some worthy programs

@highlight

He says a Bush administration program that provides billions to fight AIDS is in jeopardy

@highlight

Zelizer: The program saves lives and is an example of government that works