(CNN)The protected Bay of Pemba in northern Mozambique may look like a sea of tranquility, but this area is surging with change.

As boats bob just outside the port terminal dedicated to oil and gas companies, commercial divers check the welds and make sure the barges are ship shape.

One of them is Cremildo Marsena. "To become a diver is something that I had as a dream," he says. "It's good money, which makes me happy...Mozambicans love the sea and we have to stand up and try to make money when it's the time to make money."

In Pemba, the time to make money is now. Major gas reserves have been identified off the coast and big multinationals, who started drilling in 2010, have started to transform the region's economy.

According to Standard Bank, Liquefied Natural Gas (LNG) will add $39 billion to the Mozambican economy over the next 20 years, boosting GDP per capita from approximately $650 in 2013, to $4500 by 2035.

Changing landscape

Once a dusty regional backwater, Pemba town is already changing as a result of the country's enviable natural resources.

In the two years since commercial diver Ornelo Maunde moved to the area he's witnessed a lot of change. Pointing to the new buildings rising near the coastline, he says the construction boom is going to benefit Pemba. "For sure there's a lot coming for Mozambicans here," he says.

Both Marsena and Maunde work for the South Africa-based Subtech Group  -- a marine services company which works both above and below water. Their interest in Mozambique began in late 2009, when the gas industry was starting to expand. The business has since registered a Mozambican entity and opened a branch in Pemba.

But moving into a new market wasn't all plain sailing for the marine company.

Despite a thriving fishing industry in Pemba, the company found few locals were willing to work below the surface because of superstitions. Subtech had to source staff from other areas of the country and train them to work underwater.

When locals in Pemba saw other Mozambicans working with Subtech, attitudes changed.

"Suddenly from having no enquiries and having no one wanting to work for us... we are getting approached every single day for job opportunities," says Paul Bevis, Subtech Group's operations manager.

Brighter futures

But the gas money is not just having impact at sea. The whole town is going through a metamorphosis, and the region is set for a major economic boost.

Anadarko is one of the major international companies involved with drilling deep water wells off the coast, and the firms' former executive chairman Jim Hackett, has said this gas field could be the most significant find in a decade. He has also claimed there will be "significant long-term benefits for Mozambique."

But these benefits could take time to materialize, as some estimates say first gas from Mozambique LNG will likely be ready for export in 2019 or 2020. This timeline could be extended after major floods affected thousands of people in central and northern regions in early January, and left over 100 people dead.

But despite climatic conditions, movement on the ground in Pemba continues. Roadworks can be seen on most corners and cranes dot the skyline, creating work for the largely subsistence local population.

Indeed, Standard Bank says the natural gas industry will help create over 700,000 jobs by 2035, but only 15.000 will be directly connected to gas. The rest will be "indirect and induced."

One example of these indirect employment opportunities is the construction site in the middle of Pemba town. When completed, the 11 storeys will be among the tallest buildings in the province, and the vertical space will be both apartments and businesses.

Construction safety officer Tomas Portugal had expected to follow his father and grandfather into the fishing industry, and live a subsistence lifestyle. But now he's focused on a brighter future.

"For my son... the future will be better," Portugal explains. "We are here to make money, to work, build, to improve yourself also. Because if you have a lot of money, you can improve your house... You can give good things for your kids."

With all the changes happening in the region, the hope is that everyone will benefit.

"The Mozambicans have employed a very very high profile department of environmental affairs and they're really looking into the background of the oil and gas as to what effect it's going to have on the population," explains Bevis. "Now that the new president [Filipe Nyusi] is in, we just see progress...that's what we want and that's what we see."

More from Marketplace Africa

Read this: Will Africa's biggest wind farm transform Kenya?

Read this: Next lunar mission to come from South Africa?

@highlight

Mozambique's economy is being transformed by natural gas finds off the coast

@highlight

Liquefied Natural Gas (LNG) is projected to add $39 billion to the Mozambican economy over the next 20 years

@highlight

The natural gas industry will help create over 700 000 jobs by 2035

@highlight

Pemba town is changing as a result of money coming from the country's natural resources