The U.S. drone killing of American-born and -raised Muslim cleric Anwar al-Awlaki, a major figure in al Qaeda in the Arabian Peninsula, has re-energized a national debate over the legal and moral quandaries of a government deliberately killing a citizen.

The issue has been roiling throughout the U.S. campaign against terrorism, but Friday's drone missile killing of al-Awlaki and a second American, Samir Khan, provided a stark, concrete case of a U.S. policy that authorizes death for terrorists, even when they're Americans, analysts said.

A government source who was briefed Friday morning by the CIA confirmed the U.S. missile strike, which killed two other people in a car in Yemen.

While President Obama on Friday applauded the U.S. action as "a major blow" against al Qaeda, civil libertarians assailed the U.S. decision to kill a citizen.

"The targeted killing program violates both U.S. and international law," ACLU Deputy Legal Director Jameel Jaffer said in a statement. "As we've seen today, this is a program under which American citizens far from any battlefield can be executed by their own government without judicial process, and on the basis of standards and evidence that are kept secret not just from the public but from the courts."

Republican presidential candidate Rep. Ron Paul denounced Obama for "assassinating" al-Awlaki, saying that the American cleric should have been tried in a U.S. court.

"If the American people accept this blindly and casually, that we now have an accepted practice of the president assassinating people who he thinks are bad guys. I think it's sad," Paul told reporters after a speech in Manchester, New Hampshire, Friday.

"Al-Awlaki was born here, he's an American citizen, he was never tried or charged for any crimes," Paul said. "To start assassinating American citizens without charges - we should think very seriously about this."

But U.S. Rep. Peter King, R-New York,  chairman of the House Homeland Security Committee, said the lethal strike was lawful.

"It was entirely legal. If a citizen takes up arms against his own country, he becomes an enemy of the country. The president was acting entirely within his rights and I fully support the president," King said.

Al-Awlaki was believed by U.S. authorities to have inspired acts of terrorism against the United States, including a fatal shooting at Fort Hood, Texas, and the December 25 bombing attempt to bring down an airliner flying to Detroit.

His facility with English and technology made him one of the top terrorist recruiters in the world, and he was considered the public face of al Qaeda in the Arabian Peninsula, or AQAP.

Ed Husain: U.S. shouldn't have killed al-Awlaki

Al-Awlaki was killed about 8 kilometers (5 miles) from the Yemeni town of Khashef, east of the capital, Sanaa, said Mohammed Basha, a spokesman for the Yemeni Embassy in Washington.

In what one source called a joint U.S. military-intelligence operation, the strike was launched at 9:55 a.m. Friday, officials said.

Also killed was Khan, an American of Pakistani origin, who specialized in computer programming for al Qaeda and authored the terrorist network's online magazine, Inspire, officials said.

Much controversy preceded the fatal drone strike.

Al-Awlaki's father even sued Obama, former Defense Secretary Robert Gates and former CIA Director Leon Panetta to prevent them from having his son killed, but last December, a federal judge threw out the "unique and extraordinary" suit, leaving open the question of whether the U.S. government can legally target American citizens for death abroad without a trial.

Panetta: It was legal to kill al-Awlaki

U.S. District Court Judge John Bates dismissed the case on procedural grounds, saying that Nasser al-Awlaki did not have standing to sue and that the officials were immune from such lawsuits anyway.

Last year, Dennis Blair, director of U.S. national intelligence, told Congress that the government has the right to kill American citizens abroad if they present a direct threat to U.S. security.

"We take direct action against terrorists in the intelligence community," Blair told a House intelligence committee. "If that direct action -- we think that direct action will involve killing an American, we get specific permission to do that."

CNN legal analyst Jeffrey Toobin said Friday that the wartime dilemma pivots on how the terrorists targeted by the American military don't have a practical access to U.S. courts to challenge their listing on a government kill list.

"The Obama administration says it is authorized by Congress" to issue an order to kill or capture al-Awlaki, Toobin said. "One of the very important things to point out about this whole legal controversy is that it's never been in court.

"No judge has ever evaluated it, and because of the weird legal setting, it's not clear that a court ever will. When you think about Osama bin Laden, Awlaki, they don't really have the opportunity to go to an American courtroom," Toobin said.

Al-Awlaki's father's legal challenge was thrown out of court because it was the son -- not the father -- who was on the kill list, and so the dad didn't have standing, Toobin said.

"I cannot conceive of how any of these people could ever really get access to an American courtroom," Toobin said. "Will a court ever judge thumbs up, thumbs down on this policy? Frankly, I doubt it."

But Mary Ellen O'Connell, an expert on international law at the University of Notre Dame, said the key question concerned not citizenship but location. "The real concern is where is this person?' she said. "He is not in an armed conflict zone, not in a battle zone."

Al-Awlaki should have been arrested, she said. "It's basic law, it's basic morality, that you do not kill people without warning in non-battlefield situations. International law is clear about where a battlefield is and is not. We don't get to just make it up because we particularly dislike this guy and we want to declare where he is suddenly a battle zone without doing the hard work of a country to arrest him and put him on trial."

International law, she said, says a battlefield where a person can be killed without warning "is a place where there's intense, organized, inter-group fighting; that was not the situation."

She said the United States was supposed to be leading the world in moving toward more human rights, more zones of peace and more use of law enforcement to respond to criminal suspects, but that hasn't proven to be the case. "Instead, it started with the Bush administration but, ironically and even more damagingly, the Obama administration has carried this forward. In fact they're doing far more killing away from battlefields than ever occurred in the Bush administration."

She said people tend to cooperate more with authorities when they know an individual is going to get a fair trial instead of a summary execution.

But Panetta, who is now defense secretary, showed no regret. "This individual was clearly a terrorist and yes he was a citizen, but if you're a terrorist, you're a terrorist. That means that we have the ability to go after those who would threaten to attack the United States and kill Americans. There's no question that the authority and the ability to go after a terrorist is there."

Al-Awlaki was born in Las Cruces, New Mexico, and lived in the United States until the age of 7, when his family returned to Yemen. He returned to the United States in 1991 for college and remained until 2002. It was during that time that as an imam in California and Virginia, al-Awlaki preached to and interacted with three of the men who went on to become hijackers in the September 11, 2001, terrorist attacks, according to the 9/11 Commission Report. He publicly condemned the attacks afterward.

@highlight

"You do not kill people without warning in non-battlefield situations," law expert says

@highlight

"If you're a terrorist, you're a terrorist," Defense Secretary Panetta says

@highlight

President Obama defends killing as "a major blow" against al Qaeda

@highlight

Terrorists don't have access to U.S. courts, analyst says