Washington (CNN)Iranian and American negotiators preparing to square off in Geneva next week over Iran's nuclear ambitions will also be eying another showdown brewing in Washington.

One year after a Republican-led coalition in the Senate came up just short of a deal, GOP lawmakers are poised to wield their new power in the Senate to push a bill authorizing additional sanctions against Iran. But the new 54-member majority doesn't guarantee that Republicans can muster the 67 votes they need to override a presidential veto, and the fight is already underway for the votes that could fill the gap.

With fewer than two months until diplomats' March 1 framework agreement deadline, and expecting the White House to start knocking on swing senators' doors, supporters know the clock is ticking to pass a sanctions bill they say will ratchet up pressure on Iran. But for opponents of additional sanctions, the ticking is more like a time bomb as a sanctions bill will torpedo negotiations and set the U.S. on a path to war with Iran, they claim.

For Sen. Mark Kirk, the Republican half of the Kirk-Menendez sanctions bill he has pushed for the last three years, the sooner a sanctions bill hits the Senate floor, the better -- both politically and policy-wise.

"If the Senate was allowed to vote tomorrow, I would be able to get two-thirds," Kirk said Sunday in a phone interview. "Now is the time to put pressure on Iran especially with oil prices so low. We are uniquely advantaged at this time to shut down this nuclear program."

Sen. Lindsey Graham (R-South Carolina), another major proponent of the legislation, told CNN last month the Kirk-Menendez bill "will come up for a vote in January," a pledge he made the same day to Israeli Prime Minister Benjamin Netanyahu in a meeting in Jerusalem.

Kirk said he backed that timing but insisted that it depends on Senate Majority Leader Mitch McConnell. A McConnell spokesman called the legislation "a priority," but said there isn't yet a schedule for a sanctions bill.

Republicans have been clamoring for additional sanctions on Iran, but with control of Congress in their hands, Republican lawmakers will also have to own the consequences of sanctions legislation -- which the President, State Department and Iranian officials have warned could derail negotiations.

"We have long believed that Congress should not consider any new sanctions while negotiations are underway, in order to give our negotiators the time and space they need to fully test the current diplomatic opportunity.  New sanctions threaten the diplomatic process currently underway," a senior administration official told CNN.

The Kirk-Menendez bill that died in the Senate last year would reimpose sanctions on Iran if Obama couldn't certify that Iran doesn't finance terror groups that have attacked Americans and would keep Iran from maintaining low-level nuclear enrichment in a final deal, just a few terms that are much stricter than the current framework for negotiations between Iran and the P5+1 world powers.

Those congressional provisions are "poison pills," according to Dylan Williams, head of government affairs at J Street, a group that bills itself as pro-Israel. It lobbied heavily on the issue last year and is ramping up for another forceful push.

"All of these things are poison pills, far from the clean sanctions, just-if-things-go-wrong idea," Williams said. "We know that many if not most of the people pushing for legislation don't want diplomacy to work."

J Street challenges the Israel lobby from within

Kirk has already been working with Sen. Bob Menendez, of New Jersey, his Democratic partner on the bill, to rework some of its language -- changes that could potentially draw more Democratic support. The pair are still working on final language for the bill, which drew 59 cosponsors last year, though Kirk said he is working to stave off as many changes as possible -- "The more changes, the worse," he said.

The Illinois Republican expects a high-profile challenge from the White House and its allies, but he will be getting his own backup from some Capitol Hill heavyweights: the American-Israel Public Affairs Committee, or AIPAC, which typically spends more than $2.5 million a year on lobbying, according to the Center for Responsive Politics.

"I think they're pretty damned strong. This would be the No. 1 thing for them," Kirk said of AIPAC.

Intense lobbying from AIPAC could help the sanctions supporters win back the four Democrats who joined 13 others in cosponsoring the sanctions bill last year, but later backtracked their support.

Sens. Kirsten Gillibrand of New York, Joe Manchin of West Virginia, Richard Blumenthal of Connecticut and Chris Coons of Delaware rejected the idea of moving forward amid negotiations after the White House and allies made its push on Capitol Hill to keep the measure from a floor vote.

"I did not sign it with the intention that it would ever be voted upon or used upon while we were negotiating," Manchin said on MSNBC after Obama talked about Iran in his State of the Union address. "I signed it because I wanted to make sure the president had a hammer if he needed it and showed them how determined we were to do it and use it if we had to."

After talks failed to materialize into an agreement by the November 2014 deadline, some Democrats have started to lose patience with the stop-and-stall pace of negotiations with Iran and are facing pressure from groups like AIPAC to support a sanctions bill, though the White House insists the negotiations have yielded tangible results: rolling back Iran's nuclear program during negotiations.

But even if Kirk, Menendez and their allies can pressure those four Democrats into signing on, they will need to pull three more Senate Democrats who didn't cosponsor the bill last year to secure the 15 Democrats needed to override a presidential veto.

And they won't just be targeted by AIPAC. A coalition of dove organizations is already putting the gears in motion for what they expect to be the toughest battle yet on this issue, and while they're clear-eyed about the uphill climb they face, they dismiss the overconfident stride of pro-sanctions leaders.

These groups will look to paint any new sanctions as a step onto the warpath with Iran and show wary Democrats that they have the grassroots backing to stave off attacks from groups like AIPAC.

Clinton defends Obama on Iran talks

More than 400 faith leaders and activists traveled to D.C. in late November to lobby Congress against the sanctions in a day of action organized by the Friends Committee on National Legislation, a Quaker-founded organization, and the group plans to drive its 50,000 supporters to flood Congress with calls and letters in the weeks ahead.

"The real trick that we have to do is really to make that opposition -- both in the public and that opposition on the Hill -- to really make it become public and to amplify those voices," said Kate Gould, the group's lead lobbyist on the issue. "Because right now you hear from, it's Lindsey Graham and (Marco) Rubio, who are very confident in their prognosis and have made it sound like it's inevitable that these sanctions will pass with a veto-proof majority."

To accomplish that, FCNL has worked with other groups like J Street and about 70 other groups in an expanding coalition opposing the sanctions in an effort to paint the debate not as a benchmark for support for Israel, but rather what Gould calls a "wider, anti-war issue" that resonates with a war-weary public.

That's where groups like VoteVets.org come in. The group, which represents more than 400,000 pro-peace veterans and their families, is looking to drive home the risks and repercussions of war.

"As a veteran I was sent to Iraq and you know there are still ambiguous causes for that conflict. We rushed in with bad intel and it could have been a very avoidable situation," said Garett Reppenhagen, who leads the group's grassroots effort against the sanctions bill. "I know firsthand the consequences of failed negotiations."

@highlight

Republicans are poised to wield their new Senate majority to push new Iran sanctions

@highlight

But the fight isn't won as a presidential veto looms and opponents gear up to stave off a veto-proof majority

@highlight

Republicans will need 15 Democrats to sign on for a veto-proof majority, including 7 who backed off last year or didn't sign on at all