(CNN) -- "Still Alice," written by Lisa Genova, is a novel about a 50-year-old Harvard professor's struggle with Alzheimer's disease. It's also a book, Genova was told, that nobody would want to read.

Lisa Genova, author of "Still Alice," found success after self-publishing her novel.

After spending 1½ years writing "Still Alice," Genova spent just as much time trying to find a literary agent. "I never heard a response from most of the query letters I sent," Genova said. "Four literary agents asked to see the book. One of them said she just didn't think there was a general audience that would want to read about Alzheimer's."

When she was turned down by several traditional publishing houses, Genova decided to follow a different route: self-publishing via Web-based companies. When she informed one of the literary agents of her decision, his response was daunting.

"He said, 'Don't do that, you'll kill your writing career before it starts,' " said Genova.

But she decided to press forward. Turning to the Author Solutions self-publishing brand, iUniverse, Genova published her book for $450, a cost that included an ISBN -- the International Standard Book Number that uniquely identifies books -- and the ability to sell on Amazon.com.

Months later, after receiving positive reviews on Amazon.com and a favorable review in the Boston Globe, Genova's book was picked up by Simon & Schuster and is in its 12th week on The New York Times Bestsellers List.

"If you believe in your book, I think you should give it a chance," Genova said. "Still Alice" "was a book that people already identified with and [Simon & Schuster] saw the book's potential in a very real way."

Genova is not alone. As the economy takes its toll on traditional publishing houses -- HarperCollins dropped its Collins division in February, losing major executives and editors, and Random House continues with cutbacks -- more authors are looking to online self-publishing companies.

Companies like Author Solutions or Lulu.com allow any budding author to submit a digital file of their manuscript on any subject matter. Unlike traditional publishing companies, these publishers only produce hard copies of the books when a customer buys one, a process known as print on demand.

"Anyone can publish, that's the beauty of it," said Gail Jordan, Director of Public Relations at Lulu. "Nobody's going to say, 'We don't like your cover. Chapter 10 should be Chapter 6.' "

This means that the author retains the copyright to his or her book and is responsible for almost everything, from the costs for printing to, if they choose, marketing the book.

Manufacturing prices with Lulu range from $4 to $19 per copy, depending on whether the book is a hardback or paperback and on the number of pages. Authors pay only when they buy a book. Lulu also offers publishing packages that include formatting, cover design, editing, marketing and more, beginning at $299.

Since its inception in 2002, Lulu has digitally published more than 820,000 titles, Jordan said. About 5,000 new titles are added each week.

"With this economy, there are people who really need to make money and people with more time on their hands," Jordan said. "We've been seeing a surge since November in people publishing."

Since 1997, Author Solutions has helped more than 70,000 authors publish more than 100,000 titles, according to Keith Ogorek, the company's vice president of marketing.

Depending on the brand chosen, publishing with Author Solutions can cost an author anywhere from $399 to $12,999. Wordclay, another Author Solutions brand, offers basic do-it-yourself publishing free, although other Wordclay services, such as a custom cover or illustrations, are sold individually.

Ogorek cited several pluses of print-on-demand publishing: the speed with which a book gets into the marketplace; the fact that readers, not critics, "decide whether your book is any good or not," and the environmental benefit of fewer printed copies.

"With print on demand, there aren't that many dead trees," said Jordan. "We hear that on our forums that people do like that."

Print on demand also allows for the "opportunity for a greater return on your investment ... it just makes sense from an economic standpoint," said Ogorek, who believes many writers who've worked with Author Solutions have had success they would not have found at traditional publishers.

Similarly, Melinda Roberts, author of "Mommy Confidential: Adventures from the Wonderbelly of Motherhood," saw success after she published with Lulu. Roberts was turned down by three publishing companies that, she said, all told her the same thing.

"People were saying, 'This is fantastic, hilarious. I'm going to throw up if I read another memoir,' " Roberts said.

Publishing companies told Roberts that her book would not appeal to mainstream audiences. But Roberts believed her stories held value for many mothers. Though she says she has sold fewer than 300 books, mostly by word-of-mouth, the book has brought her new visibility.

Roberts has appeared on various panels across the country to share her insight on being a mother and is scheduled to appear on "The Oprah Winfrey Show" to talk about a new ABC television show called "In the Motherhood."

"I'm happy about my success because I didn't really set out for it. It just kind of happened," said Roberts.

As authors use print-on-demand publishing in growing numbers, they seem to be abandoning self-publishing through traditional "vanity presses" -- a method in which authors pay to get their books printed in bulk and then sell them on their own.

"Particularly in this economy," said Jordan, "who wants to buy a certain amount of copies of their book? That really doesn't do anybody good."

"On-demand publishing is certainly more flexible," said Kevin Gray, public relations manager at Author Solutions. "So I think more people are turning to on-demand because it's a less of a commitment on the author's part."

Ogorek believes traditional publishers can benefit from the services provided by self-publishing companies.

"Traditional publishers are looking at us to find new and upcoming authors," he said. "We provide that for them."

@highlight

Print-on-demand means digital copies only get printed when someone buys a book

@highlight

Lisa Genova decided to self-publish after her book was turned down by agents

@highlight

Melinda Roberts found success after self-publishing her book

@highlight

Web-based publishing companies are challenging traditional publishing houses