(CNN) -- In much of the northeastern quadrant of the United States, the past few days have seen the coldest weather in about 20 years. The Midwestern lows have been dangerously, frighteningly low. Near the coast, the weather is slightly less cold, but wilder. At 7 yesterday morning, the temperature outside here in New York City was 53 degrees Fahrenheit. This morning as I write, it's 4 degrees -- that's 49 degrees different.

The numbers are indeed extreme. But in a larger sense, the current situation in the atmosphere is the norm -- just more so.

Most of the United States lies in the midlatitudes. That means, between the tropics and the pole. We get our weather from both directions.

Cold arctic air and hot tropical air can't easily mix together to make lukewarm air, because the earth's rotation deflects them sideways. The result is the jet stream, a very fast air current that blows from west to east at about the altitude (coincidentally) that jet planes fly, along the top of the boundary separating warm from cold.

(Sometimes our Northern Hemisphere weather maps show two jet streams, one north of the other. The northern one makes a loop around the pole with the coldest air inside. This cold air mass with the jet around it is what is being called the "polar vortex" in recent media stories.)

But the cold and warm air can't stay apart forever. The jet undulates, forming giant loops and eddies the size of one or more American states. These are high- and low-pressure systems. They stir the atmosphere around on a giant scale. They can move the air north or south fast enough that it brings some of the climate of the latitude from which it came.

Warm moist air coming north ahead of low pressure swirls around cold air plunging south behind it. Where they meet at the ground, temperature contrasts sharpen yet further as cold and warm are squeezed together along fronts.

This is the normal state of affairs here in the midlatitudes. Our weather is always a study in contrasts, especially in winter. It's just a more extreme contrast right now -- the jet is more distorted, the cold air plunging down harder against the warm.

To be fair, one could say that any severe weather event is just an extreme case of normal weather. In a cosmic sense, Typhoon Haiyan or Superstorm Sandy were also just examples of the atmosphere going about its rounds. It's when the extremes happen to strike people that we have a disaster -- and this cold event, too, is having serious consequences.

The difference is that Haiyan and Sandy produced conditions that were extreme by the standards of anywhere on earth. These low temperatures, on the other hand, are normal for the Arctic Circle. What makes this event extreme is not that the cold air exists at all, just that it's roaming a little farther than usual.

Why did it happen? With single weather events, as with single stock market fluctuations or single football scores, we can find proximate causes -- things that happened just before that seemed to cause the event. We often can't go beyond that, and not just because our abilities are limited. The atmosphere is inherently chaotic and unpredictable, to the point that larger causes for single events really can't be ascribed meaningfully. And, of course, the weather will change again quickly.

But there can be larger causes for gradual changes in the probabilities that certain types of events will occur. Global warming is one such larger cause. Of course, the cold snap which the current jet distortions have brought us doesn't contradict the fact of warming. It's the exception that proves the rule.

This is the coldest weather in about 20 years. But it has happened before, and cold weather is happening less often overall. As stated in the latest report of the Intergovernmental Panel on Climate Change, it is "virtually certain" that daily minimum temperatures (as well as daily maximum temperatures) over land have increased since 1950.

Globally, 2013 saw the warmest November in recorded history, and in recent times high-temperature records have been repeatedly broken much more often than low-temperature records.

But low-temperature records will still fall sometimes -- when the jet's wiggles happen to bring cold polar air to somewhere farther south than usual, or bring it faster than usual, before the sun can warm it. Some scientists argue, in fact, that global warming may actually cause this to occur more often.

The argument goes like this: A basic feature of global warming is that we expect the poles to warm more than the lower latitudes. Indeed, the North Pole is observed to be warming faster than anywhere else, melting sea ice. (This much is indisputable.) Since our cold snaps are just deliveries of polar air, we might expect them to get less cold. Most of the time they do, hence long-term warming. But because the overall midlatitude temperature contrast has weakened, the jet stream weakens with it. The weakened jet, the argument goes, starts to wobble and meander even more than before. The deliveries of cold air can come faster, or from farther north, than they used to on these bigger meanders. This can overcompensate, at times, for the overall warming.

This argument has been strongly questioned by other scientists, including myself. It is certainly counterintuitive, in that it implies that weaker temperature contrasts globally cause stronger temperature contrasts locally. I don't think the research to date justifies such a conclusion. But the research on both sides is all still new and hotly debated. Events like the current one highlight some of what we still don't understand about the relationship of long-term climate changes to short-term extreme weather.

We do understand the basics, though. On average, the high temperatures are getting higher, and the lows are getting higher too. Global warming is as real and serious as ever, it's just exceedingly gradual compared with the dramatic temperature swings that are still part of living in midlatitudes in winter.

The opinions expressed in this commentary are solely those of Adam Sobel.

@highlight

Adam Sobel: We've seen coldest weather in about 20 years in much of the U.S.

@highlight

He says the fluctuations of normal winter weather patterns are to blame

@highlight

Sobel: The effects of global warming are seen in more frequent high temperatures

@highlight

Global warming is real and serious, but it's more gradual than seasonal shifts in climate, he says