(CNN) -- Many parents don't realize that the worst asthma day of the year actually occurs in September. Clinical studies have shown that greatest number of hospitalizations due to asthma peak 17 days after Labor Day, which in 2013 will be September 19.

Why? As students return to school, there are a number of external factors, including respiratory allergens, viral infections and environmental irritants that can act together to create a "perfect storm" of asthma triggers.

To better understand the September phenomenon, we need to better characterize some of the underlying causes.

Outdoor allergens may seem to be the most obvious trigger. Ragweed, one the largest contributors to upper respiratory symptoms in the United States, produces pollen most aggressively after mid-August. However, indoor allergens can be a much more serious issue for patients with asthma.

Schools across the United States contain a number of potential respiratory allergens, including mold, dust mites, pet dander and, in some cases, cockroaches and mice. When children switch from a summertime outdoor environment to a climate-controlled indoor environment, overall daily exposure to these allergens can increase and severe symptoms can result.

What's in a pollen count anyway?

Additionally, even though "flu season" is commonly known as a winter phenomenon, contagious viral infections are spread and shared as much, if not more, in September as they are in January. The school week is spent in an enclosed space with hundreds of other children (many of whom do not have sophisticated hygiene practices), which can provide stress to any student's immune system. Catching "the common cold" can cause additional problems for a child with asthma. Many respiratory infections can lead to an increase in the frequency and severity of asthma symptoms.

Indoor air particulates such as aerosols, chalk dust and other irritants, can also lead to an increase in asthma symptoms. While these irritants may not trigger a true IgE allergen response, they can cause rhinitis and other conditions that can exacerbate asthma.

American kids have higher allergy risk

For patients with allergic asthma, exposure to allergens, infections and irritants can make mid-September a very challenging time. In addition, the combination of virus and sensitization with high allergen exposure substantially increases the risk of hospital admission.

So what can parents do to avoid these asthma triggers?

Good preparation includes education. During a back-to-school wellness check-up, it's a good idea for parents to talk with their family clinician about both allergies and asthma if they suspect their child may be experiencing either condition.

After understanding the history of the symptoms, the clinician may order an allergy blood test to determine if possible allergic triggers are contributing to the asthma and other allergy-like symptoms.

If testing does identify allergic sensitization, a clinician can then advise parents on how to manage exposure to the allergens.

The first step in any allergy treatment plan is to avoid exposure as much as possible. While it may be almost impossible to remove all dust mites from a school, reducing exposure to them at home is a much more manageable task. Allergen-proof pillowcase covers can dramatically reduce exposure to dust mites, and since allergy symptoms usually occur because of cumulative exposure, allergen avoidance at night may help a child feel better all day long.

The same is true for mold and other allergens. It may be easier to control mold in the home environment (bathroom and/or bedroom) rather than the school environment. The key to effectively reducing a patient's exposure to allergens is to know which triggers to specifically target.

The "September Asthma Epidemic" is coming, but with appropriate preparation and education, it can be managed. If you're unsure about your child's risk, speak with your doctor about his or her past history and consider testing. Together you and your family clinician can determine which triggers might affect your child and create a plan to better manage the epidemic.

Air pollution killing more than 2 million annually

@highlight

Asthma hospitalizations peak 17 days after Labor Day, studies show

@highlight

Outdoor and indoor allergens can work together to create "perfect storm" for asthma

@highlight

Contagious viral infections can also play a role when kids go back to school