WASHINGTON (CNN) -- A pioneer, a preacher, an activist and an athlete were among 16 people who President Obama honored Wednesday with the Presidential Medal of Freedom, the nation's highest civilian honor.

Joe Medicine Crow-High Bird, the last living Plains Indian war chief, receives his medal from President Obama.

"This is a chance for me and for the United States of America to say thank you to some of the finest citizens of this country and of all countries," Obama told the audience assembled for the ceremony at the White House.

"At a moment when cynicism and doubt too often prevail, when our obligations to one another are too often forgotten, when the road ahead can seem too long or hard to tread, these extraordinary men and women, these agents of change, remind us that excellence is not beyond our abilities, that hope lies around the corner and that justice can still be won in the forgotten corners of this world," the president said.

"They remind us that we each have it within our powers to fulfill dreams, to advance the dreams of others and to remake the world for our children," he said.  Watch Obama award medals »

The Presidential Medal of Freedom, an annual award, was created after World War II when President Truman wanted to honor civilian service during the war.

The 16 honored at the ceremony Wednesday afternoon were:

• Nancy Goodman Brinker: The death of her sister from breast cancer prompted Brinker to found Susan G. Komen for the Cure, which has grown to become the world's leading breast cancer grass-roots organization.

• Pedro José Greer Jr.: Among the many hats Greer wears, he is the founder of Camillus Health Concern, an agency that provides medical care to more than 10,000 homeless patients every year in Miami, Florida.

• Stephen Hawking: The internationally recognized theoretical physicist has spent his career making complex scientific concepts accessible to the layman, including penning the best-selling book "A Brief History of Time" and its updated version, "A Briefer History of Time."

• Jack Kemp: The quarterback-turned-politician was honored posthumously for the years he spent, leading up to his death in May, raising awareness of and encouraging development in underserved communities.  See photos of this year's winners »

• Sen. Edward Kennedy: During his 46 years as a lawmaker, Kennedy has called health care reform the "cause of his life," championing nearly every health care bill enacted by Congress in the past five decades. However, Kennedy missed Wednesday's ceremony because of his ongoing battle with brain cancer, the White House said. His sister Eunice Kennedy Shriver, who died Tuesday, received the Medal of Freedom in 1984 from President Reagan.

• Billie Jean King: With her victory over Bobby Riggs in the "Battle of the Sexes" tennis match in 1973, and in the years since, King has champion gender equality not only in sports but in all areas of public life.

• The Rev. Joseph Lowery: With the Rev. Martin Luther King Jr., the civil rights icon co-founded the Southern Christian Leadership Conference, a leading civil rights organization, and has continued to highlight the cause worldwide, including speaking out forcefully against apartheid in South Africa until its end in 1994.

• Joe Medicine Crow-High Bird: The last living Plains Indian war chief and author of seminal works in Native American history is also the last person alive to have received direct oral testimony from a participant in the Battle of the Little Bighorn: his grandfather, a scout for Gen. George Custer.

• Harvey Milk: The first openly gay person elected into office in a major U.S. city, Milk is revered as a pioneer of the lesbian-gay-bisexual-transgender civil rights movement. He was honored posthumously.

• Sandra Day O'Connor: At a time when women rarely entered the legal profession, O'Connor graduated Stanford Law School third in her class and went on to become the first woman ever to sit on the U.S. Supreme Court.

• Sidney Poitier: The first African-American to win a Best Actor Academy Award, Poitier also broke ground by insisting that the crew in one of his films be at least 50 percent African-American and by starring in the first mainstream movie portraying interracial marriage as acceptable.

• Chita Rivera: The winner of two Tony Awards, Rivera was also the first Hispanic to receive the Kennedy Center Honor, awarded annually for exemplary lifetime achievement in the performing arts.

• Mary Robinson: Since ending her term as the first female president of Ireland, Robinson has headed Realizing Rights, an initiative that ensures that human rights is not forgotten as nations chart a course toward globalization.

• Janet Davison Rowley: Her work on chromosome abnormalities in human leukemia and lymphoma has led to dramatically improved survival rates for previously incurable cancers.

• Desmond Tutu: An Anglican archbishop and a leading anti-apartheid activist, Tutu is widely regarded as "South Africa's moral conscience" and chaired the country's Truth and Reconciliation Commission when it was created in 1995 to discover and reveal past wrongdoing.

• Muhammad Yunus: A Bangladeshi economist and winner of the 2006 Nobel Peace Prize, Yunus pioneered the use of micro-loans to provide credit to the poor without collateral, a successful model that has been emulated worldwide.

@highlight

Medal of Freedom is nation's highest civilian honor

@highlight

It was created after World War II to honor civilian service during that war

@highlight

Kennedy, Tutu, Poitier, Milk, Hawking, O'Connor among honorees