New Orleans, Louisiana (CNN) -- When we started thinking about the contents of this piece, our first thought was to highlight all of the progress, accomplishments and successes that the St. Bernard Project has achieved since Katrina.

We thought of numbers: 302 -- the number of homes that the St. Bernard Project has rebuilt; 85 -- the number of residents who utilize our free evidenced-based clinical services at our Center for Wellness and Mental Health each week.

We thought of all of those who have made it possible: 25,000 volunteers; nearly 1,000 AmeriCorps members; companies like Entergy, Patron Tequila, KPMG, GE and United Way, and citizens like Ari Mittleman, who has made 20 volunteer trips over the past four years, and the Solon family from Massachusetts, who has raised enough funds to move three families home and who spent the summer volunteering with the project.

Then, we remembered Mr. Andre, an 82-year old St. Bernard Parish resident who was a World War II veteran and who, when we met him six months after Katrina was still sleeping each night in his Ford Ranger pickup while waiting for a FEMA trailer that he would not receive for another six weeks.

As we were saying goodbye to Mr. Andre, he made a simple request: "Don't forget us. We want to come home. We all want to come home." When we thought about Mr. Andre, we realized a few things: First, the St. Bernard Project's successes are dwarfed by the progress that the greater New Orleans area has made. Second, despite the progress, significant work is left.

The New Orleans area is a wonderful place to live, and the city is, in many ways, thriving. Families are reuniting, neighborhoods are being restored, and there is a shared sense of pride in the region's resilience.

In Mayor Mitch Landrieu, we have a leader who is committed to uniting the city and bringing to government the true character of New Orleans' residents: inclusion, hard work and problem solving.

An entrepreneurial movement is surging through the city, led by GNO Inc., Tulane University and Idea Village. Thanks to New Schools for New Orleans, there are dozens of highly effective charter schools, like Akili Academy, and because of a revitalized public school board, the chances are much better that children will receive the education that they deserve.

Nearly five years after Katrina, we need to celebrate success, but we also need to honor Mr. Andre's request. We can not forget the people who are not yet home. All of the above-mentioned successes are great, but they mean less to American families who are still waiting to move home.

Today, nearly 900 families who own homes are still living in FEMA trailers. More than 6,000 families own homes that they can not afford to rebuild.

Rental prices have risen so that 49 percent of the population cannot afford the average cost of a home to rent. All too many family-centered neighborhoods now are pocked with blighted houses or vacant lots. As much as we would all like it to be, the recovery is not complete.

That is where Saints quarterback Drew Breese and his war cry come in. To keep our pledge to Mr. Andre, all stakeholders -- Louisiana citizens, volunteers from around the world, corporations and local, state and federal government -- need to follow the command Breese made to his fellow Saints late last football season and "finish strong."

In football, finishing strong means playing hard through all four quarters and through every game of the season. In Louisiana's recovery, finishing strong means:

• Governmental leadership that makes decisions that impact residents in ways that the leaders would want their own families to be impacted.

• Creating schools so that our community members' children are educated the way that we would want our children to be educated.

• Americans and corporations not viewing community as being limited by proximity and instead, like the hundreds of thousands of volunteers, working hard to help American families rebuild their homes.

• Understanding that the recovery is not complete until all residents are back in safe and humane homes.

By following Breese's command, the Saints won the Super Bowl. By remembering Mr. Andre's words and by listening to Breese, we can win the recovery.

The opinions expressed in this commentary are solely those of the co-authors.

@highlight

Liz McCartney was 2008 CNN Hero of the Year for her work in New Orleans

@highlight

She and co-founder of her nonprofit say much has been accomplished in five years

@highlight

Still, they say, many families lack acceptable housing

@highlight

New Orleans needs to "finish strong" the way the Saints did in the NFL, co-authors say