Dar es Salaam, Tanzania (CNN) -- With hundreds wearing white shirts and hats bearing President Barack Obama's face, Tanzanians said "karibu," or "welcome," to him on Monday as they lined a street temporarily renamed Obama Avenue.

Obama is in Africa to promote an increased partnership amid criticism the United States has, outside of military interests, focused its attention on other areas of the world.

Tanzania is an important partner on security and development, and Obama sought to highlight its economic potential with China and other foreign governments paying more attention to it lately.

Lying strategically on the coast of the Indian Ocean, Tanzania is an outlet for many landlocked neighbors and a jumping-off point for companies looking to expand commercial opportunities.

It has largely untapped agricultural and mineral resources, and Obama is trying to put forward the case for African consumers and their governments to look West rather then East.

"We have got enormous opportunity to unleash the next era of African growth. I see Africa as the world's next major economic success story and the United States wants to be a partner in that success," Obama told a roundtable of some 20 U.S., African and other international corporate chief executives before addressing a larger group of business leaders.

He was joined at the roundtable by the heads of General Electric, Microsoft, Coca-Cola and Symbion Power Corp, which partnered with GE to build a major dam in Tanzania.

But is he already too late?

China became Africa's largest individual trading partner three years ago, surpassed only by the European Union.

Earlier this year, just 10 days after taking office, Chinese President Xi Jinping made Tanzania the first stop on a three-nation Africa tour. He signed 16 trade, cultural and diplomatic accords in Tanzania alone.

According to the local arm of the China-Africa business council, there are approximately 8,000 Chinese owned businesses operating in Tanzania, ranging from large-scale construction projects to small shops and market kiosks.

And more Chinese citizens are flocking to seek their fortunes across Africa.

"Everyone knows that China is the factory of the world. All the big countries, including the U.S., have their factories there," said Hao Jianguo of the China-Africa Business Council, noting that the import-export pipeline is direct and prices favorable.

"Where there's an opportunity for business, the businessmen find it. Our motto is, 'Follow the profit,'" Jianguo said.

Still, Obama promoted sound business practices and his own initiatives, the previously announced Power Africa, aimed at improving the continent's power grid and the recently announced Trade Africa.

The latter is a partnership between the United States and African nations intended to expand trade with countries including Tanzania, Kenya and Uganda.

Trade Africa aims to double intra-regional trade in East African Community (EAC) countries and boost exports to the United States by 40%.

On Monday, the president also said his commerce secretary and other U.S. officials would visit Africa on trade missions to make good on his promises.

"I'm making this trip early in my second term, because I intend for this to be the beginning of a new level of economic engagement with Africa," Obama said. "If people across this continent are just given a chance, if they're just empowered with the skills and the resources and the capital ... they can achieve extraordinary progress."

Obama will visit Symbion on Tuesday, continuing a theme of the trip during which he has pledged an additional $7 billion to increase power infrastructure across the continent.

Obama's visit to Africa's biggest economy was part of a three-nation trip that began last week and included stops in Senegal, South Africa and Tanzania.

Celebratory greeting

Prior to his meeting with business leaders, Obama and Tanzanian President Jakaya Kikwete spoke and answered questions before the vast building adorned with American and Tanzanian flags on grounds complete with peacocks.

The respect between the two leaders, as well as the appreciation Kikwete has for the United States was clear.

"The people of Tanzania love you," Kikwete said, looking at Obama. "There has never been a visit by a head of state to Tanzania that has attracted such big crowds."

Kikwete was the first African leader Obama welcomed to the White House, a sign of the shared interests between the countries, Obama said. He noted their cooperation over health care, infrastructure, energy and job creation.

"Africa needs the United States, the United States needs Africa," Kikwete said.

At the State House in Tanzania there was a celebratory greeting for the president and first lady Michelle Obama with a band, dancers and a mass of applauding, whooping crowds lining the red carpet as the Obamas shook hands making their way to the whitewashed building.

Obama, Bush on Tuesday

On Tuesday Obama will join former President George W. Bush for a wreath-laying commemorating the August 1998 al Qaeda attack on the U.S. Embassy in Dar es Salaam, which killed 11 people and wounded hundreds.

CNN Exclusive: Bush on Mandela, Snowden and his legacy

Bush has been in Zambia to help renovate a clinic that serves as a cervical cancer screening and treatment center. Michelle Obama and Laura Bush are scheduled to attend the African First Ladies Summit, organized by the George W. Bush Institute, in Tanzania on Tuesday.

Obama wrapped up his trip to South Africa on Sunday with a visit to the prison cell where anti-apartheid leader and later South African President Nelson Mandela was held and called on students to help build a new Africa.

Obama: Mandela is a hero for the world

CNN's Matt Smith, Faith Karimi, Ashley Killough, Laura Smith-Spark and Nima Elbagir contributed to this report

@highlight

NEW: President Barack Obama meets with business leaders, including U.S. CEOs

@highlight

NEW: Obama sees opportunity for Africa and says the U.S. wants to be its partner

@highlight

Obama will attend an embassy attack commemoration with George W. Bush on Tuesday

@highlight

Tanzania welcomes Obama, temporarily renames street Obama Avenue