(CNN) -- When author and psychotherapist Bryan Robinson used to make his annual trek to the South Carolina shore with his family and friends, he'd be sure to pack more than sunscreen and swim trunks.

"I used to always take work," says Robinson, author of "Chained to the Desk: A Guidebook for Workaholics, Their Partners and Children and the Clinicians Who Treat Them."

Robinson recalls his partner would search their luggage for telltale signs that he was smuggling work along on their vacation. But Robinson was careful to conceal tightly folded papers containing work notes in the pockets of his jeans, where they remained hidden.

Quiz: Are you a workaholic?

At the beach, when family and friends suggested a walk on the sand or a swim, Robinson would feign exhaustion and pretend to lie down for a nap. "I would work furiously while they were gone and then pretend to sleep (when they returned)," he says.

Why is America the 'no-vacation nation'?

Robinson says there's a distinct difference between a hard worker and a workaholic. A workaholic may seem happy on the outside, but underneath they're driven by anxiety and fear.

"The workaholic is on the ski slopes screaming about how he needs to get back to work, while the healthy worker is at work dreaming of being out on the ski slopes," he says.

Robinson's vacation subterfuge is common behavior for true workaholics.

"It seemed perfectly normal and essential," he says of his inability to leave work unattended while on vacation.

"That's the desperation: You feel like you can never catch up. One of the things that you know is that work is a distraction, it gives you a sense of calm, helps you stay focused, but as soon as you finish a project, there's that sense of getting out of control."

For Robinson, a vacation away from work made him feel powerless and overwhelmed. And some studies suggest many Americans may feel similarly tethered to their cubicles.

According to a 2009 Vacation Deprivation Survey by expedia.com, 34% of employed Americans don't use all of their annual vacation days, and 19% reported they postponed or canceled vacation for work-related reasons. A recent survey by Reuters/Ipsos found that 57% of U.S. workers use all the vacation days they're entitled to.

For those of us who do break free from the confines of their cubicles long enough to dip their toes in warm waters or relax away from the office, many can't seem to leave work behind. Expedia.com reports that 30% of vacationing workers feel work-related stress while on vacation.

"Companies should be very wary of the collateral damage that workaholics can inflict on their co-workers," says Craig Chappelow, a senior faculty member at the Center for Creative Leadership, a nonprofit institution that specializes in leadership education and research.

Chappelow says work-addicted employees can create wear and tear with their hard-driven attitudes and expectations. It's a behavior that companies must address before the workaholic burns out himself or creates too much friction with other employees.

"It's hard because (workaholic tendencies) are rewarded in lower to mid-management levels, but at the executive level, that same work ethic becomes a disadvantage," says Chappelow, who explains that workaholics tend to get away with their over-the-top behaviors as long as the people they affect directly work below them.

At the executive level, workaholics find themselves in tough company. Now, their obsessive behaviors may affect peers who don't like being bullied.

Companies that want to create a better life/work balance should employ executives who model the behavior they'd like to see in their middle and lower management workers, Chappelow says.

"I don't care much about written policies," says Chappelow. "(Effective leaders) take all their vacation time, and when they're on vacation they cut the cord."

Senior managers should be wary of handing out promotions, bonuses and verbal praise to work addicted employees unless their goal is to foster an office environment wrought with fear and frustration.

"I've had patients who are afraid to take their lunch break -- let alone a vacation -- for fear that someone is angling for their jobs," says Robinson. "They fear that they won't be seen as team players."

Robinson, who sought help for his work addiction after almost losing his family and friends, now counsels people who battle work addiction. He says some of his clients say it's not worth taking vacation because the act of preparing to leave is overwhelming.

Others say they feel shadowed by their work as ubiquitous technology like e-mail, instant messaging, texting and Wi-Fi keeps the job just a few clicks away.

Robinson says workaholics who seek treatment are challenged to set boundaries in their lives that allow them to slowly reclaim a balanced life.

In the end, workaholics often confront major crisis in their lives -- either mental or physical -- before they seek help for their addiction.

For Drew (last name withheld to protect identity), an entrepreneur who had been working an intense cycle of 20-hour days for nearly eight months, a mental breakdown was the wake-up call he needed to seek help.

"My behavior was outrageous, but I just couldn't see it," he recalls. "Workaholics see themselves as indispensable and sometimes that's true."

"Many do rise in the corporate culture, but you have to choose if you want to live or if you want to work," he added.

Drew sought treatment for his addiction and found help in Workaholics Anonymous, a 12-step program that has between 5,000 and 6,000 members nationwide.

"I started using the 12 steps and bringing more balance to my life," says Drew. "I started looking inside and found that I was the problem. Self-honesty helps me make much better choices," he says.

@highlight

Workaholics are driven by anxiety and fear

@highlight

Survey: 34% of employed Americans don't use all their annual vacation days

@highlight

30% of vacationing workers also feel work-related stress while on vacation

@highlight

Those who seek treatment set boundaries that allow them to reclaim a balanced life