(CNN) -- When Julie Sidder's daughters were younger, her diaper bag was filled with coloring books, crayons, storybooks and little games in case one of them became restless.

Now that Sidder's kids are 4 and 7, the diaper bag is gone, but the need for entertainment -- especially in restaurants -- is not, which is why two-thirds of the apps on Sidder's iPhone are for her children.

"People have always brought toys, or something to entertain their child, into restaurants and stores," says the mom, who lives in West Bloomfield, Michigan. "Now we just have better technology."

Harried parents for years have relied on glowing electronic screens -- TVs, video games, computers -- to entertain children in the home. Now more and more parents are discovering smartphones' similar ability to engage squirmy kids at restaurants, in the car and anywhere else where youngsters grow bored.

Almost half of the top 100-selling education apps in the iTunes App Store were for preschool or elementary-aged children in November 2009, according to a content analysis by the Joan Ganz Cooney Center, which promotes digital media technologies to advance children's learning.

Expert Carly Shuler says the reason for this -- assuming the majority of 3- to 10-year-olds don't own their own phones -- is because adults are taking advantage of the smartphone's ability to act as a mobile learning or entertainment device for their children.

Shuler, a fellow at the Joan Ganz Cooney Center (part of the Sesame Workshop) calls this phenomenon the "pass-back" effect -- as in parents passing their phones back to their bored kids.

Shortly after the iPhone came out, Shuler said she noticed children as young as 3 years old playing with the shiny devices.

"I saw it on the subway, at the grocery store -- anywhere you'd see a parent and child interacting, really," she said.

Even AT&T acknowledged this trend in the current commercial where Luke Wilson "passes back" a smartphone to a crying child in a restaurant, Shuler said.

App developers have noticed and are creating kids' games for phones, even though they don't think toddlers are buying smartphones, she said.

Almost all children in the U.S. have access to a mobile device, according to the Sesame Workshop. A 2007 study found that 93 percent of 6 to 9-year-olds had access to a cell phone in the home and more than 30 percent owned their own phone. Shuler said these number have only increased since the study was conducted.

So how do such young children come to understand this new touchscreen technology?

"A child is not as afraid that they're going to break something or do something wrong [as adults are]," Shuler said. "They're more likely to pick [the phone] up and just play with it, which is the best way to learn."

Toddler Teasers is one of the apps Sidder downloaded for her 4-year-old daughter, Ava. Sidder said the educational app, which asks Ava to pick out certain shapes, is a fun learning tool the pair can play together.

But Sidder says even the less educational apps on her iPhone, such as Disney Cover Styler, Red Carpet Dress Up and 7-year-old Ella's favorite, Shrek Cart, are teaching her kids hand-eye coordination and to be comfortable with technology.

"I don't use [the iPhone] to parent my child," she said. "I use it to entertain them ... if they're on it an hour a week, that's a lot. When we're sitting at home, they're not playing on my phone. It's just something that they do when we're out."

Sidder acknowledges that some people think letting young children play with your phone is a bad thing. But those are usually the same people who complain about children running around a restaurant kicking and screaming, she said.

The app market for kids has continued to grow at a rapid rate since the iLearn analysis was published six months ago, said Shuler.

Shuler said her research has found that children's educational apps tend to cost less than apps for older children or adults. But the kids' games and other apps are only one reason iPhones and other smartphones are a hit with children, she said.

"When you look at the design of the iPhone ... the interface is very tactile and well suited to what a child naturally does," Shuler said. "They think with their fingers. If they see something they like, they'll jab at it and touch it. And children love flipping things. If you flip the iPhone, something will happen. If you shake the iPhone, something will happen."

Take a look at some of the best-selling toys throughout the years, she said. Kids have always loved to play with toy telephones, toy lawn mowers, toy ovens and toy vacuum cleaners.

"They like to play with things their parents have," she said. "Considering how much time parents spend on [their phones], it makes sense that kids would want them, too."

And it's not just smartphones -- kids enjoy playing and learning on any mobile electronic gadget, Shuler said.

"Take pictures with your kids," she said. "Or pull out the calculator and ask your kid to help add up what the groceries are going to cost. These are really powerful devices."

Robin Orman of Waterford, Michigan, says her 1 year old entertains himself just by holding on to her cell phone, which is not a smartphone. Orman's 2-year-old daughter, on the other hand, already prefers a touchscreen device.

Orman said her older daughter enjoys playing educational flashcard games and listening to music on her mother-in-law's iPhone. She likes to slide the pictures around, she added.

"I'd love an iPhone," Orman said. But, for now, "it's just another one of those things [the kids] get to do at grandma's house."

@highlight

More parents are handing their smartphones to their kids to keep them entertained

@highlight

Smartphones' designs -- touch screens and bright colors -- attract children

@highlight

Almost half of the top 100-selling iPhone apps are for preschool or elementary-aged kids

@highlight

Adults are taking advantage of the smartphone's ability to act as a learning tool