(CNN) -- Three gone (Gadhafi, Mubarak, Ben Ali), two holding on in the face of daily protests (al-Assad, Saleh), two more (Kings Abdullah of Jordan and Mohammed of Morocco) trying to stay ahead of the curve of protest: After 10 months of the Arab Spring, the region is still in the throes of a heady and unpredictable transformation.

Moammar Gadhafi's demise, after the overthrow of Hosni Mubarak in Egypt and Zine El Abidine Ben Ali in Tunisia, means that three rulers in power collectively for 95 years are gone. Scholar and author Fouad Ajami, a senior fellow at the Hoover Institution, says that 2011 "is to the Arabs what 1989 was to the communist world. The Arabs are now coming into ownership of their own history and we have to celebrate."

Protesters in Yemen and Syria may be re-energized by the pictures from Sirte, Libya, showing the almost pathetic end of a ruler whose flowing robes and uniforms had long given him an aura of invincibility. Demonstrators in Syrian cities celebrated Gadhafi's death and warned President Bashar al-Assad that he would be next. As one Syrian activist told CNN: "The clear fate of all who kill his people is to end up under the feet of the nation."

Former Lebanese Prime Minister Saad Hariri (no friend of the Syria regime) said: "Any Arab citizen, watching the course of events in Libya, cannot but think of the popular revolutionary movement that is taking place in Syria."

There has been one refrain common across the Arab world this year -- from the dusty streets of Sidi Bouzid in Tunisia, where it all began, to the barricades that litter Homs in Syria today: "The fear is gone, the people have put away their fear." Those words, spoken by Tunisian activist Sana Ben Achour in January, have echoed across the region ever since. It was quickly followed by a chant: "The people want the downfall of the regime."

Even so, it took U.N. resolutions and thousands of NATO sorties to degrade Gadhafi's forces. And that's unlikely elsewhere. The United States and Western Europe are applying economic sanctions against the Syrian regime but have persistently discounted military intervention. President Ali Abdullah Saleh of Yemen seems impervious to outside pressure and even his own injuries as he maneuvers back into the game. And in a majority of Arab countries, the power of the state remains formidable if not overwhelming.

In 1989, the people of Eastern Europe shared a continent with developed democracies; they had a model to copy -- and considerable help in shaking off the legacy of communism.

The Arab states, which did not even draw their own borders, each have different dynamics. Explosive sectarian and regional divides have enabled authoritarian rule in Syria, Yemen and Libya. Like the Gulf states, Jordan and Morocco are monarchies and their kings at least have the legitimacy of succession. Egypt and Tunisia have by Arab standards a large and capable middle class; Yemen does not. The Gulf states are enriched by massive oil and gas reserves; countries such as Jordan have little or none. The attitude toward women's rights varies widely; Islamists are stronger in some countries than others.

Perhaps most importantly, security forces are in some places loyal to the flag, in others bound to the regime, or split down the middle. The military in Tunisia and Egypt would not defend leaders who became liabilities; the military in Syria has remained cohesive and loyal to al-Assad.

But one of the few characteristics Arab states have long shared is the "freedom deficit," the product of decades of authoritarian rule. A landmark report on Arab societies by the U.N. Development Program in 2002 concluded: "This freedom deficit undermines human development and is one of the most painful manifestations of lagging political development."

The situation changed little in the following decade, but other forces were at work. The pan-Arab satellite television networks -- so different from the sclerotic state broadcasters -- gave Arabs a new window on the world. The educated young began to harness the power of the Internet, outflanking the ability of bureaucracies to control it.

They saw their contemporaries in the rest of the world -- Latin America, Asia, Eastern Europe -- gaining new skills and opportunities, while they remained out of work. At the same time, unemployment in the Arab world, especially among graduates, remained high; corruption and nepotism were rampant. Time and again U.S. diplomatic cables sent from Arab capitals noted a growing tide of popular resentment toward their rulers.

The 2009 edition of the U.N. Development Program report wrote: "The result is an all-too-common sense of limited opportunities and personal insecurity, witnessed in the world's highest levels of unemployment, deep and contentious patterns of exclusion, and, ultimately, strong calls from within for reform."

Ultimately, those calls spilled onto the streets in spontaneous and chaotic fashion. Now, in three countries that between them occupy 2,000 miles of Mediterranean coastline, the hard work has begun of shaping what's next. Revolutions are invariably messy affairs whose outcomes are never guaranteed, whatever the ideals of their leaders. The French historian Alexis de Tocqueville wrote: "In a revolution, as in a novel, the most difficult part to invent is the end."

Fawaz Gerges, director of the Middle East Centre at the London School of Economics, said that in Libya's case "the cleavages that we have seen in Sirte and Bani Walid that have resisted the new government are extremely alarming. We shall see whether out of this particular turmoil will emerge a unified government with a unified leadership or the political struggle will escalate and intensify."

This weekend Tunisians will become the first Arabs to elect a constituent assembly, which in turn will draw up a new constitution. But there is no path to follow. What should be the powers of president, prime minister and parliament? How is power shared between the center and regions? How are minority rights protected and the independence of the judiciary guaranteed? What is the role of Islam in society?

That last question has already made its way to the top of the agenda in Tunisia, with the Islamist Ennahada party leading polls. Its leader, Rachid Ganouchi, accuses opponents of scare tactics to frighten businesses and women. But the leader of one secular party says the Islamists pose a threat to the country.

As Arabs scour the horizon for templates, some look to Turkey, where a moderate Islamist party has been elected three times in a decade and presided over an economic renaissance. Turkish Prime Minister Recep Tayyip Erdogan even embarked on a tour of Arab states last month (and in most places was greeted rapturously) to promote the Turkish model.

"A secular state does not mean that the people are atheists," Erdogan told a television show in Cairo. "It means respect for all religions and each individual has the freedom to practice his own religion."

But even in Ankara, tensions persist between the government and a military command that sees itself as the guardian of a secular state, and the government is accused of stifling and harassing its critics.

The overthrow of three men does not change the basic dilemmas faced by the Arab world: illiteracy, unemployment, a youth bulge (the United Nations estimates that Arab countries will need 50 million new jobs by 2020), chronic water shortages, a lack of women's rights, the legacy of the "freedom deficit" -- to which perhaps add now a burgeoning crisis of expectations.

If the Arab Spring were on a calendar, we would still be in the first week.

@highlight

Scholar says 2011 "is to the Arabs what 1989 was to the communist world"

@highlight

U.N. resolutions, NATA sorties helped in Libya but are unlikely elsewhere

@highlight

The power of the state remains formidable in a majority of Arab countries

@highlight

The overthrow of three leaders doesn't change the dilemmas that Arab world faces