(CNN) -- Chris and Leslie Creekmore have shared a married life for three and a half years. Earlier this month they shared symptoms of the flu: Aches, nausea, fever.

He has fully recovered. She is on a ventilator, fighting for her life.

Leslie Creekmore, 29, was 20 weeks pregnant when she was admitted to a hospital in Fort Smith, Arkansas, on January 11 because she was experiencing shortness of breath, her husband said. Her condition worsened; that night she was transferred to the intensive care unit. She was put on a ventilator on January 13.

An emergency flight took her to Barnes-Jewish Hospital in St. Louis on January 14 where she remains on a ventilator, reported CNN affiliate KSDK.

The couple's baby did not survive. Creekmore spontaneously miscarried on January 16, her husband said.

Her right lung collapsed over the weekend, Chris Creekmore said. He agreed to let doctors at the hospital talk about the case.

Dr. Rosanna Gray-Swain, an obstetrician-gynecologist at Barnes-Jewish Hospital, who is not directly caring for Leslie Creekmore but is familiar with her case, said Creekmore remains unconscious.

"It's a little too early to tell what her outcome will be at this point," Gray-Swain said.

Tuesday, Creekmore underwent surgery to receive a treatment called extracorporeal membrane oxygenation, her husband said. ECMO is a therapy that provides heart-lung bypass support and circulates blood through an artificial lung back to the body.

Chris Creekmore said one of the doctors told him it was a long shot, but the procedure went well, and she came out stable, he said.

"She's being cared for, and her status is still very, very tenuous," Gray-Swain said earlier Tuesday. "If she had had the flu vaccine, she probably wouldn't be here in this state."

Chris Creekmore said he and his wife had researched tips for healthy pregnancies, and they had come across a recommendation to avoid the flu vaccine in the first trimester of pregnancy. He said he asked his wife's OB-GYN in Arkansas in October about the matter, and the doctor told them he was wary of giving flu shots during the first trimester.

"I for one don't count it as a screw-up on his end or anything like that," Chris Creekmore said of the doctor who advised delaying the flu shot.

The couple did not know that this guidance runs counter to federal health recommendations.

Any pregnant woman should get a flu shot to protect against serious complications as soon as the yearly vaccine becomes available in her area, advises the U.S. Department of Health and Human Services website flu.gov.

Women can receive the flu shot at any point during their pregnancies, regardless of trimester, according to the Centers for Disease Control and Prevention. The American College of Obstetricians and Gynecologists supports the CDC recommendation that all women get vaccinated if they will be pregnant during the influenza season: "Vaccination early in the season and regardless of gestational age is optimal," ACOG says.

Flu season may be heading toward peak

No harm has been demonstrated to pregnant women or their babies as a result of the vaccine, the CDC said.

Barnes-Jewish Hospital used to recommend that women wait until after the first trimester of pregnancy to receive a flu shot, too, Gray-Swain said. But that policy changed four years ago with emerging evidence that the vaccine was safe for all pregnant women.

The flu vaccine protects against many strains during the season from October to March. Pregnant women who receive the vaccine may still get the flu, but it would likely be a milder illness than otherwise, and severe consequences would be improbable, Gray-Swain said.

A national effort to prevent the 2009 H1N1 pandemic flu has contributed to a dramatic increase in the number of pregnant women who receive flu vaccines, according to the CDC. Less than 15% of pregnant women received a flu shot before 2009; in the next two seasons, more than half of pregnant women got the vaccine protection.

Some states hit harder by flu this year

The flu may increase the risk of miscarriage, premature birth and low birth weight, the CDC said.

"Pregnancy puts extra stress on your heart and lungs. Pregnancy can also affect your immune system. These factors increase the risk of becoming severely ill due to the flu," according to the CDC website.

Life-threatening developments like Creekmore's in flu patients are generally rare but not unheard of, Gray-Swain said.

"Pregnant women are five times more likely to end up in the ICU or have severe complications related to the flu than non-pregnant women who get infected with the flu," she said.

The flu vaccine that is safe for pregnant woman is in injectable form, and it does not contain the live virus, Gray-Swain said. The nasal spray versions should not be given to pregnant women. If you are pregnant, inform the health care staff administering the vaccine before you receive it.

Washing your hands after using the bathroom, touching public surfaces and other activities is also important, she said.

Pregnant women can also take a drug called Tamiflu. It is most commonly taken to reduce the length of symptoms, but it is also given to people with high-risk flu exposure as a prevention.

The Creekmores had planned to call the baby Jera, KSDK reported. The baby was "too young to be able to be resuscitated," Gray-Swain said.

She was a "far too young, far too tiny, but beautifully structured, almost-baby girl," Chris Creekmore said.

His wife was unconscious during the miscarriage.

"She wanted to know the gender as bad as me," Chris Creekmore said, "but I don't know how -- how in the hell -- I'm going to, when she wakes up, tell her what's going on."

Chris Creekmore's friend set up a GoFundMe page to help the family raise money to support Leslie's care. The response is far greater than Chris Creekmore expected. He thought the page might generate gas money for hospital visits. Now, donations are in the thousands of dollars.

If there is money left over from the campaign after he pays his wife's medical bills, Chris Creekmore wants to use the extra funds to help his sister's child, who has a medical condition, and to help support free flu vaccination clinics.

His public message is: Vaccinate yourself against the flu.

Leslie had planned to get a flu shot at a clinic on January 13, the same doctor's visit as her 20-week ultrasound, her husband said.

It would have been the same day that she was placed on the ventilator.

Facebook page for support for Leslie Creekmore

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

CDC recommends all pregnant women get flu shots

@highlight

Doesn't matter what trimester of pregnancy, flu shot is safe

@highlight

Severely ill woman's husband said she tried to get flu shot