Washington (CNN) -- The private law firm hired by House Speaker John Boehner to represent the government in the federal Defense of Marriage Act has suddenly pulled out of the case.

The chairman of King & Spalding said Monday the firm's internal vetting for accepting representation was "inadequate."

As a result, the high-profile lawyer who was to lead the legal fight for House Republicans has resigned immediately from the firm. Paul Clement, who was a top partner at the firm, wrote in a letter, "I resign out of the firmly held belief that a representation should not be abandoned because the client's legal position is extremely unpopular in certain quarters. Defending unpopular clients is what lawyers do." He will now defend the statute for another law firm.

The decision by the Atlanta-based law firm to withdraw is a victory for gay-rights supporters that have tried to have the Defense of Marriage Act repealed or tossed out on constitutional grounds in court. Those groups had urged King & Spalding in recent days to drop out of the case, and were preparing a national campaign to highlight the company's efforts.

The Defense of Marriage Act was passed in 1996 by the GOP-controlled Congress and signed into law by President Bill Clinton. It bars federal recognition of same-sex marriages and says states cannot be forced to recognize such marriages allowed in other states.

The Obama administration, which normally would defend federal laws in judicial disputes, announced earlier this year it believed the Defense of Marriage Act, often referred to as DOMA, to be unconstitutional. The law defines marriage for federal purposes as unions only between a man and woman.

Boehner said that with the Justice Department not participating, he had "no choice" but to act unilaterally, and moved to lead the legal defense of the law.

Robert Hays Jr., chairman of King & Spalding, said the firm had filed a motion Monday to withdraw its representation of the Bipartisan Legal Advisory Group of the House of Representatives, "on the constitutional issues" regarding the law.

"In reviewing this assignment further, I determined that the process used for vetting this engagement was inadequate," Hays said in a statement. "Ultimately I am responsible for any mistakes that occurred and apologize for the challenges this may have created."

Law firms typically undergo an internal review process headed by senior-level lawyers to determine which cases they will accept. Controversial issues like same-sex marriage are normally subject to intense scrutiny to balance the legal issues with financial, ethical, and other considerations.

The Hays statement made no specific mention of the reasons behind the sudden change of heart.

Clement said he is going to work for a Washington law firm, Bancroft PLLC. Legal sources say he will be taking a number a high-profile clients with him to his new job.

Clement had filed a brief a week ago while at King & Spalding in a pending case from New York, where a lesbian received an estate tax bill of more than $360,000 after her longtime partner and legal wife had died.

He is a former solicitor general under President George W. Bush, serving from 2005 to 2008. It was his job to defend federal laws and executive actions in court, similar to what he will be doing now as a private lawyer on retainer. He was mentioned at one time as a possible Supreme Court nominee.

Separately, he also is representing more than two dozen states in a lawsuit against the Obama administration over the sweeping health care reform law passed by Congress last year. That case is pending in a federal appeals court in Atlanta.

In his resignation letter, Clement made clear, "I take this step not because of strongly held views about this statute. My thoughts about the merits of DOMA are as irrelevant as my views about the dozens of federal statutes I defended as Solicitor General."

"In this instance, my loyalty to the client and respect for the profession must come first," he wrote.

"The Speaker is disappointed in the firm's decision and its careless disregard for its responsibilities to the House in this constitutional matter," Boehner spokesman Brendan Buck told CNN. "At the same time, Mr. Clement has demonstrated legal integrity, and we are grateful for his decision to continue representing the House. This move will ensure the constitutionality of this law is appropriately determined by the courts, rather than by the president unilaterally."

Papers have not yet been filed for Clement to continue representation of the House.

House Minority Leader Nancy Pelosi had been vocal about her opposition to the decision to take on the case.

"Leader Pelosi shares Mr. Hays' apparent concerns with the lack of transparency and accountability in the way this contract was signed," spokesman Drew Hammill told CNN. "She also vigorously opposes using half a million taxpayer dollars or any taxpayer resources to defend discrimination at a time when Republicans in Congress are cutting critical initiatives like education and infrastructure.  It is now more critical than ever that Speaker Boehner fully account for his decision to sign this half million dollar contract to defend this indefensible statute."

Boehner last week indicated he would make an effort to divert money from the Justice Department to fund its high-profile fight.

"Obviously, DOJ's decision results in DOJ no longer needing the funds it would have otherwise expended defending the constitutionality of DOMA," he said April 18. "It is my intent that those funds be diverted to the House for reimbursement of any costs incurred by and associated with the House, and not DOJ, defending DOMA."

Such a move would require Senate approval, an unlikely prospect since Democrats control that chamber.

President Barack Obama on February 23 ordered the Justice Department to stop defending the constitutionality of the law. "The president has concluded that given a number of factors, including a documented history of discrimination, classifications based on sexual orientation should be subject to a more heightened standard of scrutiny," said Attorney General Eric Holder at the time. The key provision in the law "fails to meet that standard and is therefore unconstitutional," he said.

Obama had previously expressed his personal opposition to the Defense of Marriage Act but had never stated an opinion relating to its constitutionality.

Gay-rights supporters applauded the law firm's decision to withdraw.

"King & Spalding has rightly chosen to put principle above politics in dropping its involvement in the defense of this discriminatory and patently unconstitutional law," said Joe Solmonese, president of the Human Rights Campaign. "We are pleased to see the firm has decided to stand on the right side of history and remain true to its core values."

Two pending lawsuits from New York and Connecticut challenge the law. The 2nd U.S. Circuit Court of Appeals, which includes both states, is the only federal circuit to have never decided the basic legal question of whether a law discriminates against gay men and lesbians.

The New York legal fight was prompted by Edith "Edie" Windsor, who lived with her female partner, Thea Spyer, for more than four decades. They married out-of-state in 2007, but neither the federal government nor their home state of New York recognized the legal union. Spyer died and left her estate to Windsor, who was then forced to pay taxes on the money because she was not considered a legal spouse.

In July, a federal judge in Massachusetts, in a separate case, became the first to rule part of the Defense of Marriage Act unconstitutional. District Judge Joseph Tauro said that "irrational prejudice plainly never constitutes a legitimate government interest."

The administration's decision comes on the heels of other major developments in the struggle over gay and lesbian rights. In December, Obama signed legislation that will repeal the controversial "don't ask, don't tell" policy and bring an end to the ban on openly gay men and women serving in the armed forces.

Courts in California are considering a legal challenge to Proposition 8, an initiative narrowly approved by that state's voters in 2008. It defines marriage as a union between a man and a woman.

Either one of those cases could reach the Supreme Court in coming months, perhaps in time to become a major issue during the 2012 election year.

Same-sex marriage is legal in five states -- Connecticut, Iowa, Massachusetts, New Hampshire and Vermont -- and in the District of Columbia. Civil unions virtually equivalent to marriage are permitted in New Jersey, while several other states offer more limited civil unions or partnerships.

The New York case is Windsor v. U.S. (1:10-cv-08435).

@highlight

A spokesman says Boehner is "disappointed"

@highlight

King & Spalding says the vetting for accepting representation was "inadequate"

@highlight

Attorney Paul Clement has resigned from the firm

@highlight

"Defending unpopular clients is what lawyers do," Clement wrote