After more than seven weeks of heavy fighting, Israel and Hamas have agreed to an open-ended ceasefire.

The truce announced Tuesday puts off dealing with core long-term issues on both sides of a bitter conflict that killed around 2,200 people.

But Israel agreed to ease the blockade on Gaza, open border crossings for more aid to pass through and extend the fishing limit off the coast to 6 miles, according to a senior Egyptian government official.

Both sides agreed to return to Cairo for further Egyptian-mediated talks, the official said.

Hamas -- as it has after every battle with Israel -- declared the outcome a victory. But Israel said that Hamas, which holds power inside Gaza, finally accepted an offer that it had repeatedly rejected earlier in the war.

"We hope that this time, the ceasefire will stick," Israeli government spokesman Mark Regev said.

"And I think now, as the dust will begin to clear, many people will be asking: Why is it that today Hamas accepted the very same Egyptian framework that it rejected a month ago?

"Ultimately, so much bloodshed could have been avoided," he added.

Cheers in Gaza

Early in the conflict, Israel openly accepted Egypt's ceasefire proposal and slammed Hamas for not doing so.  Analysts saw Egypt's offers as one of many signs that the fighting was a proxy war for the broader Middle East, with key powers such as Cairo supporting Israel's fight against Hamas.

In Gaza, cheers and celebratory gunfire erupted Tuesday.

It's "a day of the victories for our people," spokesman Fawhi Barhoum declared before a cheering, screaming crowd.  He praised the "steadfastness and resistance" in Gaza.

"The occupiers have tried to break them ... but the delegation spoke with one voice," Barhoum said of the negotiations.

Palestinian President Mahmoud Abbas, who is not part of Hamas and lives in the West Bank, thanked "Egypt and everyone who supported all the efforts that resulted in this agreement to end the aggression."

"Together, we will rebuild our free country," he added.

Abbas is with the Palestinian faction Fatah, which runs the government in the West Bank and is a longtime rival of Hamas.  The two factions have fought in the past but also made attempts at unity governments, including one this year.

'Tackle the root causes'

Tuesday's truce didn't deal with Israel's main demand for the demilitarization of Gaza. It also didn't address Hamas' calls for the rebuilding and reopening of Gaza's airport and the establishment of a seaport, as well as the release of prisoners held by Israel.

Palestinians say Israel and Egypt's blockade of Gaza suffocates the economy of the small, impoverished territory. But Israel says Hamas can't be trusted to not import weapons.

"Any peace effort that does not tackle the root causes of the crisis will do little more than set the stage for the next cycle of violence," a spokesman for U.N. Secretary-General Ban Ki-moon said Tuesday of the ceasefire.

"After 50 days of profound human suffering and devastating physical destruction, any violations of the ceasefire would be utterly irresponsible," he said.

More than 2,130 Palestinians have been killed in the conflict. It's not clear how many were civilians. The United Nations estimates that more than 70% were civilians, but Israel reports a higher number of militants among the dead.

Sixty-seven Israelis -- 64 of them soldiers -- have been killed, the United Nations reports.  A foreign worker in Israel was killed as well.

'Eyes wide open'

The truce appeared similar to a previous agreement reached after a short conflict in November 2012.

"In the end, Israel had two alternatives: either to occupy Gaza and destroy Hamas or to go to a ceasefire," a senior Israeli official said on condition of anonymity. "Once we decided not to occupy Gaza, we pushed for the same conditions that led to the end of hostilities in 2012."

He said that he was "not confident" the ceasefire would last, but that if Hamas wants it to hold, it will.

Israel has said its military actions destroyed dozens of tunnels beneath Gaza, some of which extended under the border and were used by Palestinian militants to launch attacks.

U.S. Secretary of State John Kerry welcomed news of the ceasefire Tuesday and called on all parties to comply with its terms.

"We are approaching the next phase with our eyes wide open," Kerry said in a statement. "We have been down this road before, and we are all aware of the challenges ahead. Both the Israelis and the Palestinians have strong views about their needs and the future of the region."

INTERACTIVE: Six decades of war

@highlight

The United Nations says root causes of the crisis must be addressed

@highlight

The conflict went on for 50 days, killing around 2,200 people

@highlight

Israel says Hamas finally accepted a plan it rejected earlier; Hamas declares victory

@highlight

Deal includes easing blockade, extending fishing limit, Egyptian official says