(CNN) -- "What good does it do to be able to eat at a lunch counter if you can't buy a hamburger?" Martin Luther King Jr. asked almost 50 years ago.

As we celebrate King's birthday, recall the historic struggle for equality and reflect on the progress we've made, we can't forget that a basic tenet of the movement King represented was one of economic security.

For millions of American women and their families -- especially women of color -- the aspiration of equal rights coupled with full economic opportunity is far from realized.

On MLK Day, helping the unemployed is a moral issue

Today, one in three Americans lives at or below the poverty line, and almost 70% are women and children. That's 42 million women inching along poverty's tightrope. The number of working poor struggling to lift themselves into the middle class is steadily increasing, with the worst poverty rates falling on black and Latina women.

A new report just released, The Shriver Report: A Woman's Nation Pushes Back from the Brink, illuminates this economic plight that is seizing millions of American women but is frequently overlooked in our national discussions about poverty and inequality.

Women represent nearly two-thirds of minimum wage workers, concentrated in jobs that tend to be labor-intensive. They go without paid sick days or access to affordable child care. Moreover, women across the spectrum continue to earn less than men no matter the education level, profession or position -- a wage gap that is more like a gulf for women of color who earn 55 to 65 cents on the dollar compared with white men.

To fight poverty, start with women

Add to this picture that 40% of our nation's households with children rely on women as a primary or sole source of income, and it becomes easier to understand why it is so hard for many families to get ahead.

What's clear is that the American family has changed. No longer are we a "Leave It to Beaver" nation. Only one in five families today has a parent in the workforce and another who stays at home with the kids. Women are increasingly primary breadwinner and primary caregiver, and the nation has not kept pace with this reality.

Our approach to families, in public policy and in the workplace, is decidedly 20th century. We need to push forward a 21st century policy agenda that acknowledges women are playing these critical dual roles.

The greatest MLK speeches you have never heard

For starters, it's past time we adopt nationwide paid family leave and paid sick day policies -- now standard in most developed countries -- so that women don't have to make the impossible choice between providing needed family care and feeding the family.

We also need to close the gender wage gap, which would cut the poverty rate in half for working women and their families and add nearly a half trillion dollars to the national economy. Raising the minimum wage would provide women who labor in jobs caring for others' families with greater economic resources to care for their own.

Access to quality, affordable child care not only allows mothers to work all year, it also gives them the chance to further their education, which is a key gateway to the middle class.

Legislation has been proposed in Congress on all of these issues, so the time to act is now. As we chart the course for the next generation of change, addressing the economic crisis facing women -- particularly low-income women and women of color -- must be front and center.

The opinions expressed in this commentary are solely those of Maya L. Harris.

@highlight

On MLK Day, Maya Harris argues that economic justice for women is key today

@highlight

Nearly 42 million women live at or below the poverty line, Harris says

@highlight

Harris: We are no longer a nation with "Leave It to Beaver" family structure

@highlight

Only one in five families today has a parent who stays at home with the kids, Harris points out