Indianapolis (CNN) -- Indiana voters retired Dick Lugar on Tuesday after 36 years in the Senate, punishing him for the qualities he considered assets: seniority, expertise in foreign policy and a penchant for bipartisan cooperation.

Hoosier Republicans overwhelmingly chose to replace Lugar with Richard Mourdock, a longtime GOP operative who benefited from manpower and money from tea party activists and outside groups determined to topple the six-term veteran.

Six years ago, Lugar ran unopposed by Democrats, much less Republicans, and cruised to another term. But this time, the 80-year-old was drummed out of office by many of the same voters who sent him repeatedly to Washington but now say they want a change.

Analysis: Lugar's grass roots withered

Lugar conceded the race about an hour after the polls closed, telling supporters that he congratulated Mourdock on "a hard-fought race."

"I want to see a Republican in the White House," Lugar said. "I want to see my friend Mitch McConnell have a Republican majority in the Senate. I hope that Richard Mourdock prevails in November so he can contribute to that Republican majority."

Mourdock, Indiana's state treasurer, will face Democrat Joe Donnelly in November in a contest the nonpartisan Cook Political Report calls safely Republican.

"This hasn't been about me. This has been about all of you. You got this done," Mourdock told supporters during a victory speech in Indianapolis. He thanked his supporters and led them in a round of applause for Lugar.

"When I began this campaign, Senator Lugar was not my enemy," Mourdock said. "He is not now my enemy. He will never by my enemy. He was simply, over the last 15 months, my opponent." But now, he said, Republicans need "to get this country back on a course where all can rise and all sense the excitement of the dream that is America."

Follow all of Tuesday's political results at CNN.com's Election Center

In recent years, Lugar had served as chairman, then ranking Republican on the Senate Foreign Affairs Committee. The panel's current leader, Sen. John Kerry, called Lugar's defeat "a tragedy for the Senate" Tuesday.

Kerry, D-Massachusetts, said Lugar could be compared to the renowned U.S. Sen. William Fulbright, an Arkansas Democrat "who is remembered today not for one loss, but for a legacy of following the facts and speaking the truth despite the political risks."

"This is a tough period in American politics, but I'd like to think that we'll again see a United States Senate where Dick Lugar's brand of thoughtful, mature and bipartisan work is respected and rewarded," Kerry said in a written statement. "That kind of seriousness of purpose should never go out of fashion."

Mourdock's move to oust the widely respected senior senator was initially viewed as an uphill battle. Lugar's campaign released a poll in February showing the incumbent up by 25 points. But then outside conservative groups fed up with his penchant for compromise began pouring money into the race, and they turned it into the first stand of so-called Super PACs in a contested primary.

As polls started to show the race tighten, tea party groups mobilized grassroots supporters and turned the David vs. Goliath race into a national referendum on the state of the Republican Party.

The Club for Growth, a conservative pro-growth group, perhaps played the biggest role, releasing a barrage of ads that framed Lugar as out of step with his own party. The group endorsed Mourdock in mid-February and spent close to $1.5 million on television ads -- close to what Lugar's own campaign spent on TV spots. But it also collected more than $300,000 from donors and gave it to the Mourdock campaign, making their total spending on the race close to $2 million.

Chris Chocola, President of the Club for Growth, used the win as a warning to other Republicans who didn't toe the conservative line.

"Richard Mourdock's victory truly sends a message to the liberals in the Republican Party: voters are rejecting the policies that led to record debt and diminished economic freedom, and they will continue to be rejected in elections throughout America," Chocola said in a written statement.

Lugar focused his pitch on his more than three decades in the Senate as a leading voice on foreign policy. "I'm still working every day. I'm getting warheads out of Russia. And missiles, things that are of very grave consequence. I would just say that people may not have their eye on the ball, but I do," Lugar told CNN after greeting voters in Greenwood.

But perplexed Republican strategists say that Lugar's focus talking nukes at a time of widespread joblessness was off-key, and a major factor in his defeat. Arizona Sen. John McCain, who endorsed Lugar, told CNN the "moral of the story is play offense, not defense."

Unlike Republican colleagues who got toppled by tea party insurgents two years ago, Lugar had time to prepare for his primary challenge and tack right but he chose not to. Instead, he voted for legislation unpopular with the GOP base, such as allowing children of illegal immigrants to have a path to U.S. citizenship.

In ads and in the mail, Lugar's opponents repeatedly linked him to the president, calling him President Barack Obama's favorite Republican. Ralph Williams, a longtime Lugar supporter whose grandmother was close to the senator, came out to vote for his opponent this time.

"If he was running for something to do with foreign policy, I'd be all over it," Williams told CNN. But he said now, "I think he's done." Williams' vote was more about voting Lugar out than putting Mourdock in, he said.

Lugar's decision to reside primarily in his home in McLean, Virginia, outside Washington, instead of Indiana played into his opponent's line that he was "out of touch" and no longer able to represent the interests of his own constituents.

"He's not been here. He's been absent for a long time," Mourdock told CNN after meeting voters in Avon on Tuesday afternoon.

After his state residency was challenged, Lugar registered to vote at his son's family farm and repaid hotel bills he said were inappropriately charged to his Senate account. And he argued his choice about staying close to the Capitol was about raising his four sons together with his wife, which he said was evidence of "family values" and had no bearing on his job performance.

While Mourdock and his allies didn't explicitly argue the 80-year-old senator was no longer up to another six-year term, some voters in Indiana said while they admired his long list of accomplishments for the state -- they just thought it was time for him to step down.

But Lugar's supporters say his ability to work with Democrats and his foreign policy expertise earned him their vote for another term.

"I liked the fact that Sen. Lugar isn't a strict party person," Vicki Johnson, a voter in Fairland, said Tuesday afternoon. But Johnson also conceded that a defeat this election not be the worst outcome for Lugar.

"If he loses, maybe it'll be a blessing. Because he's older. Maybe he can enjoy life a little," she said.

What was striking about Lugar's loss is how evident it is Hoosier voters respect him. Many Republican voters told CNN they were voting against him for the first time in decades, and it was clear they felt bad about it.

"I hated to depart," David Kitley said. But he quickly added, "We can't let Obama dictate to us anymore what he's doing."

Kitley spoke in a hushed tone only a few feet away from Lugar, working the polls. Minutes earlier, he approached the senator and thanked him for his service.

@highlight

NEW: Sen. John Kerry of Massachusetts calls Lugar's loss "a tragedy for the Senate"

@highlight

"You got this done," rival Richard Mourdock tells supporters after win

@highlight

The Senate fight pitted moderate Republicans against the more conservative wing of the party

@highlight

If Dick Lugar "was running for something to do with foreign policy, I'd be all over it," Mourdock voter says