(CNN) -- A lone bugler sounding the traditional military farewell "Last Post" marked the arrival Wednesday in the Netherlands of the first dead from the crash of Malaysia Airlines Flight 17.

The grieving nation then held a moment of silence to honor those killed in the crash of the jetliner, downed last week by a suspected surface-to-air missile over war-torn eastern Ukraine.

In a ceremony rich with martial symbolism -- from saluting soldiers to the haunting tune used to send war dead to their rest -- 40 simple wooden caskets were solemnly unloaded from two military planes. Soldiers then walked them to waiting hearses and lowered them inside before rendering a final salute.

The only sounds were the hushed orders of soldiers and a whipping wind.

A long line of hearses, accompanied by police, carried the remains slowly toward a Dutch military base in Hilversum, where forensic investigators will begin the grim work of identifying them. Thousands of Dutch residents lined roads and overpasses along parts of the route to pay respects to the dead.

Some applauded as the hearses finally passed through the base gates, some tossed flowers on the vehicles. Others stood silently, red-eyed.

"The Netherlands are in shock, and Hilversum, as well," said the city's mayor, Pieter Broertjes.

Harun Calehr, whose two nephews were among the 298 people killed in the crash, called the ceremony "very moving and a beautiful tribute."

"It feels like we're just a big grieving family, and that somewhat helps in coping with this horrible, devastating event," he told CNN's Anderson Cooper.

Shane Hattingh watched the procession on TV in South Africa, still wondering where the remains of his brother-in-law, Cameron Dalziel, might be.

"It's totally surreal. It was the weirdest feeling, knowing that my brother-in-law could be in one of those caskets. I just found myself wanting him to be there, but at the same time, that's too selfish," Hattingh said, adding that he hopes the victims who were children were the ones landing in the Netherlands first.

Hattingh said his sister, Cameron's wife, also watched the procession. "She's destroyed," he said, and her son has said his whole body is sore from crying. At this point, he said, his family only knows that Cameron, a helicopter rescue pilot who had recently moved to Malaysia with his family, was sitting in business class on Flight 17 -- a part of the plane that reportedly didn't sustain as much damage.

"We can only hope that things will work out for us, and we can get Cameron home and start the grieving process. ... My sister, she has no hope. It's about putting the left foot in front of the right," he said.

The somber ceremony in Eindhoven followed a moving and meaningful send-off in Ukraine. There, white-gloved Ukrainian soldiers respectfully carried the bodies of the victims to the aircraft that flew them home to a waiting Dutch king and queen on the nation's official day of mourning.

The honors afforded the remains contrasted sharply with how they were first treated in death -- blown out of the sky, then allowed to remain exposed to the elements for days. In some cases, furious Dutch officials say, they were stripped of their personal belongings.

Of the 298 people who died aboard Flight 17, 193 were Dutch citizens, and it was impossible to miss the signs that the Netherlands was a nation in mourning Wednesday.

Flags were flown at half-staff, and the nation's iconic windmills were placed in "mourning position" with wings tilted to the right. Courts suspended all trials, and even commercials were pulled from Dutch television and radio.

Buses and trains were to stop on roads nationwide during the moment of silence, and landings at Amsterdam's Schipol airport were paused as a sign of respect. In the evening, hundreds attended a memorial service at St. Joris church in Amersfoort.

"Love will win. Light will break through," one relative of a family killed in the crash told mourners.

The commemorations come amid continued confusion over who shot the plane down, and why, and what may have happened to the evidence where the plane fell to fields deep in eastern Ukrainian territory controlled by pro-Russian rebels.

"There is a lot of anger. This was a crime, and people want to make sure that this crime is being solved," said Eelco Bosch van Rosenthal, a Dutch journalist who covered Wednesday's ceremony. "But today was really a day for grief, and I think tomorrow and the next few days, then that's really a new phase starting."

'Black boxes' arrive in UK

It took days for Ukrainian rebels who control the area of the crash site to hand over the bodies and the airliner's black boxes to Malaysian officials.

Now, the bodies are at a Dutch military base, and the voice and flight data recorders are in Britain for what will be a detailed scouring by international analysts. Investigators Wednesday found that the cockpit voice recorder was damaged, but its memory was intact. There was no sign of tampering.

But Dutch crash investigators leading the inquiry said Wednesday they still don't have everything they need.

"At the time of writing, the investigators have not yet been able to visit the site of the crash and conduct their investigation under safe conditions," the Dutch Safety Board said in a statement Wednesday.

"In order to conduct an effective investigation, the investigators must have the opportunity to move around the entire investigation site freely, investigate materials and traces from up close and secure them for further study where necessary," the board said. "At present, the investigators' safety has not been guaranteed."

Instead, investigators are working in Kiev and in the Netherlands using photos and other sources of information, the board said.

Given conditions at the crash site, which sits essentially in the middle of a war zone, it's impossible to say when investigators might get the access they want.

A British security source expressed concern to CNN's Max Foster on Wednesday about potential debris-tampering at the crash site.

Conversations intercepted by Ukrainian intelligence, which British security officials find persuasive, include separatists stating that they had possession of an SA-11 (Buk missile system) as early as Monday, July 14, the source said. The separatists were also talking about moving bodies, passing black boxes to Russia and a plan to scatter parts of other aircraft on the site, according to the source.

And while the black boxes are now in the hands of skilled investigators who are working hard to unspool the crucial information contained in them, it may take weeks for that analysis to yield results, the safety board said.

Similarly, work to identify the bodies may take weeks or even months, Dutch Prime Minister Mark Rutte said.

Some bodies unaccounted for

Officials gave conflicting reports about how many bodies were on the train that carried them from the crash site to the Ukrainian city of Kharkiv, where they left for the Netherlands on Wednesday. And it was unclear how many bodies were inside the 40 caskets transported to the Netherlands.

Malaysian official Mohd Sakri, who traveled on the train with the remains, said there were 282 corpses and 87 body parts aboard -- the same tally Ukrainian officials earlier gave to describe the remains recovered from the crash site.

But Dutch investigators only confirmed there were at least 200 bodies transported from the crash site, said Jan Tuinder, head of the Dutch delegation.

Another Dutch official said investigators were still going through the train cars and it was possible that all the crash victims were on the train.

But officials said Monday that at the least, the bodies of 16 people were still unaccounted for. Their remains may still be scattered across a debris field spanning several miles.

As they combed the crash site on Wednesday, monitors from the Organization for Security and Co-operation in Europe and Malaysian experts searched for human remains. They spotted some in one location, he said.

"There's a lot of heavy debris still out there," spokesman Michael Bociurkiw said, "and we're not quite sure what could be underneath."

The crash site was eerily calm on Wednesday.

"It's like everyone picked up and left," he said.

A team of about 15 observers and Malaysian experts are doing everything they can, he said.

"But we feel somewhat on our own right now," Bociurkiw said. "And as I've said many times, there are people far better placed and trained than we are to do this very specialized type of work."

Who are Ukraine's pro-Russian rebels?

Ukrainian President: The world must choose sides

So much we don't know -- five unanswered questions

Who were the victims?

Should jet have flown over Ukraine?

Michael Pearson and Holly Yan reported and wrote from Atlanta. CNN's Nick Paton Walsh, Catherine E. Shoichet, Phil Black, Bharati Naik, Barbara Starr, Mick Krever, Stephanie Halasz, Carol Jordan, David Molko and Jennifer Rizzo contributed to this report.

@highlight

NEW: At crash site, observer says, "it's like everyone picked up and left"

@highlight

"There's a lot of anger, but today was really a day for grief," Dutch journalist says

@highlight

Victim's brother-in-law says watching procession from afar was surreal

@highlight

The bodies arrive at a Dutch military base for forensic analysis