(CNN) -- Best-selling author Jennifer Egan is having, by all accounts, a great week.

She won the Pulitzer Prize for her novel "A Visit from the Goon Squad." She made a deal with HBO to potentially turn the book into a TV series, and she won a spot on Time magazine's 100 most influential list.

CNN talked to the author about her success. The following is an edited transcript.

CNN: Congratulations on your Pulitzer Prize. It's a well-deserved honor. What were you doing when you received the news?

Egan: I was just sitting down to lunch at a neighborhood restaurant when I heard the news. My first reaction was flat-out disbelief. I kept asking my publicist, "Are you sure?"

It seemed impossible that a scrappy book like "Goon Squad" could win an award like that. It's such an iconic honor. I think what the Pulitzer means to me is that I'll need to work very, very hard to try to live up to it.

CNN: How did "Goon Squad" come about? What was the genesis or idea that inspired you to write your latest award-winning novel?

Egan: The entry point for me was very much what it is for the reader; I was in a hotel bathroom, looked down and saw a wallet lying exposed in a woman's bag.

I've had my wallet stolen many times and ways in my life -- through carelessness, oblivion or just plain being a sucker -- and when I saw that wallet, I thought, "Oh, no! Someone will take it!"

Since I was the only person in a position to so, my mind made one of the fictional leaps that I live for: Someone would take the wallet. Who? And why?

I began writing from that moment, and the rest followed fairly intuitively; a peripheral character in one chapter would catch my eye, and I'd think, "Who is that person? What does his or her inner world look like?"

CNN: Your novel is filled with interesting and unusual characters; do you ever base them on other people?

Egan: I almost never use real people; in fact, I find that quite hard to do. So I feel as if I'm making everyone up, that they have nothing to do with me or my life. I think thinking that actually helps me to write about them.

But I always need to identify with a character to write about him or her -- and by "identify," I mean see the world through that person's eyes and have a strong sense of the inner logic of their acts and decisions, wacky or wrongheaded though they might be.

In that sense, I think there's some of me in all of them.

CNN: I have to ask about the PowerPoint chapter. It may be the most creative part of an already inventive book. What was behind it?

Egan: I started wanted to try writing fiction in PowerPoint in the summer of 2008, after reading in an article about the Obama campaign's turnaround. A PowerPoint presentation within the campaign was credited with a change of strategy.

In the old days, it would have been called a "memo" or a "paper" or even a "presentation." But now it was called a PowerPoint -- actually branded! That really struck me. I thought, "could this ubiquitous program work for fiction?"

Still, there were obstacles to my using PowerPoint: I had never used it before, didn't own it or have enough memory on my laptop to hold it. So my first attempts at writing fiction in PowerPoint occurred by hand!

Only months later, when I'd finally bought the program and begun to work in it, did I begin to suspect that what had really been driving me toward it all along was a sense that it could provide a kind of microcosm of "Goon Squad": a series of moments separated by gaps, or pauses, which add up to one story in the end.

That chapter ended up feeling like the heart of the whole book.

CNN: You've received widespread critical and public praise for your books. How much importance do you give to all the accolades and reviews of your work? Are you more interested in what your fans have to say?

Egan: It's amazing to connect with fans, especially because I write slowly, and often with a sense that it will be a miracle if the book I'm working on is ever finished or publishable.

Winning prizes is a new experience for me, and I'm especially hopeful that the prizes might help me find a wider audience for "Goon Squad," which struggled in the marketplace early in its publication.

But I'm also keenly aware that many, many worthy books don't win prizes, and that there's a lot of luck involved. I think I got very lucky with "Goon Squad."

CNN: What prompted you to become a writer, and did you ever envision this level of success?

Egan: I still don't envision this level of success! What has always driven me is a love of writing itself. I'm not a wildly gifted person; I don't play an instrument or speak another language or have great accomplishments in another field, as many writers do.

But writing feels natural to me; the act of it seems to free up my unconscious, so that sometimes I feel that I have access to more ideas and information than my conscious mind could think up.

I've known that writing was essential to me since I was about 18. Between high school and college, I took a year off, saved up money and went to Europe with a backpack in the summer of 1981.

It wasn't easy being in my own company for several weeks at that age, but somehow it made me realize that I wanted to be a writer.

CNN: Do you have a daily routine, a schedule or a ritual when you're writing a book? I understand you like to write and edit your work by hand?

Egan: I write and edit fiction by hand, it's true; journalism, I write on a computer. I don't know if the handwriting is so much a ritual as a necessary part of my process; I tend to write my first drafts in a fairly blind state, without a clear plan, and the handwriting helps me to generate the most interesting material.

My best hours are usually in the morning, and I like to write leaning back, rather than at a desk, so I often sit in a soft chair. Unfortunately, that means that I often nap while writing!

CNN: Can you tell us what you're reading right now or what authors inspire you?

Egan: I've just finished re-reading "The Tombs of Atuan" by Ursula Le Guin. My 10-year-old son loved it and wanted me to read it, and I had little memory of my first reading as a teenager.

She's a fantastic writer; such a huge imaginative reach, coupled with a really lovely sense of language. We're going to read "A Wizard of Earthsea" together next. Before that I read Emma Donoghue's "Room," which absolutely flattened me, it was so good.

For "Goon Squad," I was inspired by Proust's big novel, "In Search of Lost Time." I read it over years with a group of peers and feel a bit as if I'd lived inside it (I think we had five children among us in our years of reading it!)

Other inspirations: Edith Wharton's "The House of Mirth" (one of my favorite books ever), Robert Stone, Virginia Woolf and the great 19th-century storytellers, especially Dickens, George Eliot and Zola.

CNN: In addition to your career as a novelist, you're also a successful journalist. Do you have any plans to return to nonfiction writing?

Egan: I hope to keep writing journalism as long as I write fiction; it's afforded me such amazing adventures and opportunities.

It does take a lot of time, so it's hard to do both at once, but I try to do a big journalism piece every couple of years, and I'll hopefully continue with that.

CNN: What's next for you?

Egan: There was a novel I was actually trying to start when I got sidetracked by that wallet and ended up writing "Goon Squad." I hope I can still sink into that other book. It's new territory for me; historical fiction, set in New York during and after World War II.

I'm especially interested in women who built and repaired ships in the Brooklyn Navy Yard near my house. There were thousands of women working there during the war, doing jobs like welding and riveting that would have been unthinkable for women before that.

I've had the honor of working on an oral history project that involved interviewing women who worked at the Navy Yard, most of whom are in their 80s now.

When the war ended, the men came home, and the women were all fired -- expected to return to traditionally feminine jobs or not work at all. It seems like such rich material; I hope I can come up with some fictional way to bring it to life!

"A Visit from the Goon Squad" also won the 2011 National Book Critics Circle Award and is a finalist for the Pen Faulkner Award, the LA Times Book Prize and the UK's Orange Prize. You can find out more about Egan on her website.

@highlight

Jennifer Egan won the Pulitzer Prize for her novel "A Visit from the Goon Squad"

@highlight

Egan also just landed a spot on Time's 100 most influential list

@highlight

Egan's inspiration for "Goon Squad": She saw a wallet lying exposed in a woman's bag

@highlight

The author works in a very low-tech fashion