London (CNN) -- The full scale of Russian President Vladimir Putin's new imperial ambition was revealed recently when he referred to the southern and eastern territories of Ukraine as Novorossiya (New Russia).

This was the name given to the region by Catherine the Great after she captured it from the Ottomans in the late 18th century and began colonizing it with Russian, Ukrainian and German settlers.

Along with his assertion that Crimea belongs to Russia because of the blood-price Russian troops paid to conquer it more than two centuries ago, Putin's appropriation of Tsarist terminology establishes a new and troubling benchmark for his irredentist project.

It suggests that all the territories that were once part of the Russian Empire are now fair game.

This concerns far more than the fate of Ukraine. Pushed to its logical conclusion, it poses a direct challenge to the legitimacy and independence of all post-Soviet states.

The practice of manipulating "frozen conflicts" and deploying Russian troops as "peacekeepers" in order to exert leverage is already well established in Moldova, Georgia and Azerbaijan, and there is an extensive toolbox of other coercive measures Moscow is willing to apply, from trade embargoes to cyber attacks.

While the scope of Russian territorial expansion is likely to be limited and the threat of military force mostly held in reserve, the ambition to subordinate the wider region under the aegis of the emerging Eurasian Union is absolutely clear. Welcome to the new Russian Empire.

Events in Ukraine have left the West uncertain about how to respond. For all the talk of a new Cold War, there is one important difference with the past that helps to explain why. Whereas Soviet communism defined its ideological purpose in terms of universal goals that posed a threat to the West, Putin emphasizes the exceptional character of Russian civilization and limits his vision to the domination of Eurasia.

His challenge is not of the existential variety that once forced Western governments to set aside their differences in the face of a common enemy.

It belongs instead to the realm of values where the post-Cold War ideal of a "Europe whole and free" clashes with Putin's determination to build an exclusive sphere of influence in the east.

It's much harder to mobilize countries in defense of abstract principles rather than their own physical security, but that is what the West must do if it wants to prevent the unraveling of a European order based on democratic values.

While some lessons of the Cold War will be relevant, others will not.

One idea that deserves qualified approval is containment, once more being talked about as the basis for U.S. policy towards Russia. This was the strategy adopted by the Truman administration at the onset of the Cold War, designed to block Soviet expansionism through a variety of military, economic and diplomatic countermeasures.

The pledge Harry Truman gave to "support free peoples who are resisting attempted subjugation by armed minorities or outside pressures" is certainly relevant at a time when Russian troops are assembling on Ukraine's borders and their proxies are orchestrating violence inside the country.

There is now an arc of countries stretching from the Gulf of Finland to the borders of China with good reason to be concerned about the direction of Russian policy. Many of them have large Russian minorities of their own. The West needs a comprehensive strategy for engaging with all of them.

The states at risk fall into three distinct categories.

The first is comprised of countries like Poland and the Baltic States that already enjoy the institutional security of belonging to NATO and the EU. The task here is to reinforce deterrence capabilities in order to prevent miscalculations on the part of Russia.

The second group, and probably the most significant, consists of vulnerable pro-Western countries, including Azerbaijan, Georgia, Moldova, and Ukraine itself, all of which now have Russian troops directly or indirectly involved in conflicts on their territory.

Azerbaijan is particularly important as a strategic partner in helping to diversify Europe's energy supplies. The opening of the southern gas corridor with the addition of the Trans-Adriatic Pipeline will provide substantial quantities of Azeri gas by 2019, thus weakening Russia's grip on the European market.

All of these states are linked to Western institutions through the EU's European Neighbourhood Policy and NATO's Partnership for Peace program.

These need to be upgraded as a matter of priority, especially since full membership is not an immediate prospect. Objectives should include deeper trade ties, structured political consultations and help in modernizing and strengthening their defensive capabilities.

Ultimately, Western countries must be willing to extend explicit security guarantees, preferably within the NATO framework, but outside it if necessary.

Engagement with the third group of countries -- authoritarian post-Soviet states including Belarus, Kazakhstan and the other Central Asian republics -- may seem like a waste of time given the support some of them gave Moscow after the seizure of Crimea.

But much of this support will have been offered out of fear rather than genuine approval. Just as Cold War containment involved engagement with communist countries, such as China and Yugoslavia, willing to depart from the Moscow line, its modern counterpart should aim to disrupt Putin's coercive alliance building strategy at every opportunity.

There is, however, one important sense in which neo-containment should differ from its Cold War predecessor. Although its architect, George Kennan, always hoped that it would be used to modify Soviet behavior, containment in practice became part of a zero-sum struggle in which there could only be one survivor.

The aim of containment today should not be to engineer Russia's collapse, but to block the illegitimate exercise of power and encourage Russian leaders to pursue their interests by respecting the sovereign equality of their neighbors. In the long-term, Russia would be stronger not weaker as a result.

READ MORE: Who is on Russia's sanctions list?

READ MORE: Ukrainian mayor shot in the back

READ MORE: Who will blink first -- Putin or the West?

The opinions expressed in this commentary are solely those of David Clark.

@highlight

The scale of Russian President Putin's imperial ambitions revealed, David Clark says

@highlight

But events in Ukraine have left the West uncertain about how to respond, he writes

@highlight

There are an arc of countries with good reason to be concerned about Russian policy

@highlight

Policy of containment must be used to block the illegitimate exercise of power