(CNN)Don't try to drive over these bridges.

These rocky natural spans were formed over millennia by the flowing waters of a stream or other water source, which slowly eroded away the rock to create the shape of a bridge.

But are they arches or bridges?

The Natural Arch and Bridge Society, whose Indiana Jones-like members go hunting for these rock formations around the world, makes this distinction: A natural arch is made of rock, with a hole formed by natural forces, they say. A natural bridge is a type of arch, where water is the natural force making the hole.

Erosion created these magnificent structures, and erosion will eventually take them down. One such wonder was Aruba's Natural Bridge, which was first formed by pounding surf eroding its coral limestone. The 100-foot-span gave way and collapsed in 2005.  (The smaller Baby Bridge is still standing nearby.)

Here are 15 spectacular natural bridges around the world.

America's crazy rock formations

Green Bridge of Wales, United Kingdom

One of the most famous spots in Wales, the Green Bridge of Wales and the rocky Pembrokeshire coastline, are part of a national park. Nearby you can also spot the Stack Rocks, known as the Elegug Stacks in Welsh.

Eventually it's expected that the ocean will wear away the Green Bridge and the middle will collapse, turning it into stacks. Visitors who continue along the coast to see Pen-y-Holt Stack should note that it's in a British Army range and must be visited through walks organized by the Pembrokeshire Coast National Park Authority.

Ayres Natural Bridge, Wyoming

Not all the glory of Wyoming is found at its two internationally famous Yellowstone and Grand Teton National Parks in the northwestern part of the state.

Less well-known but worth the visit is the majestic Ayres Natural Bridge in eastern Wyoming, about 40 miles east of Casper. The 50-foot tall, 100-foot-long natural bridge over LaPrele Creek is the star of this 22-acre park.

Natural Bridges National Monument, Utah

As streams cut into the canyon walls and flash floods further weakened them, the three mighty bridges at Natural Bridges National Monument in the southeastern corner of Utah were carved over millions of years.

The area was declared a national monument in 1908, and the three bridges were given the Hopi names "Owachomo," "Kachina" and "Sipapu" in 1909. Further erosion has made the once thick and mighty Owachomo Bridge more delicate. While still massive and strong, Kachina Bridge did lose 4,000 tons of rock in 1992.

Pont d'Arc, France

A natural bridge formed by the Ardeche River in the south of France, the Pont d'Arc has a world-famous neighbor: the Chauvet cave paintings, the world's oldest known such works, which date back 36,000 years.

Top 25 amusement parks around the world

Discovered in 1994, the site was named a UNESCO World Heritage Site this year. But the region's natural beauty is also a national treasure. Classified as a French national heritage site in 1982, the 54-meter-long (177-foot-long) natural arch is the only French example of a natural bridge spanning a still-flowing river. It's also a gateway to the river canyon.

Natural Bridges State Beach, California

A famous natural bridge anchors this Santa Cruz beach, which is best known for its tide pools -- go exploring at low tide -- and seasonal monarch butterfly residents. Up to 100,000 monarchs typically move into the state beach's Monarch Grove in mid-October, and they depart the following January or February. There's a party in October to welcome them, and seasonal tours are available.

London Bridge, Australia

Australia's Port Campbell National Park is best known for the Twelve Apostles, towering limestone rock stacks carved by the Southern Ocean. The ocean is still working on the rock, with seven of eight formations still standing.

But there's another gem in this park about 275 kilometers west of Melbourne: London Bridge, a natural offshore rock span that partially collapsed in 1990 and became a bridge without a connection. (People standing on the rocks were stranded when the middle collapsed and had to be rescued via helicopter.) It's a good idea to stay on the accessible walking paths and scenic drives along the coast.

Spectacular waterfalls around the U.S.

Fairy Bridge, China

China has quite a collection of natural bridges, including one that experts say has the longest span of any natural bridge in the world. The Fairy Bridge (Xianren Qiao), in southwestern China's Guangxi Zhuang Autonomous Region near the border with Vietnam, has a 400-foot span.

Not that the bridge made of limestone karst is easy to measure. Members of the Natural Arch and Bridge Society took a boat to the site in 2010 and used laser equipment to measure the span, calling it the "longest known natural arch in the world, by a wide margin."

Pravcicka Brana, Czech Republic

Hans Christian Andersen wrote part of "The Snow Queen" in Bohemian Switzerland, and several scenes from the Chronicles of Narnia were shot here. It's no wonder: The fairytale landscape of this region, now part of the Czech Republic, is magical. Go see its most well-known symbol: the Pravcicka Brana, a natural bridge standing tall in Bohemian Switzerland National Park, now part of the Czech Republic.

While there are many rock formations rising up amid the forests and valleys in the park, Pravcicka Brana is the largest stone bridge on the European continent, with a span of 27 meters (nearly 90 feet) and a height of 21 meters (nearly 70 feet).

Wadi Rum, Jordan

Bedouin tribes still live in goat-hair tents in the Wadi Rum Protected Area of southern Jordan, which is 720 square kilometers (about 278 square miles) of mostly desert wilderness. Among the sandstone and granite mountains and valleys are natural bridges rising up to greet you.

Although visitors can take private cars or hike on foot to explore the bridges and the region, Bedouin cooperatives offer tours via basic Jeep or pickup trucks. And if you want a real adventure, book a camel ride to explore the area and overnight in a Bedouin camp.

Cliffside beaches around the world

Natural Bridge at Yoho National Park, Canada

While many nature loving explorers head to Canada's famous Banff National Park, there are tall peaks, amazing waterfalls and a spectacular natural bridge to be found to the west at Yoho National Park.

Located on the western slopes of the Canadian Rocky Mountains in British Columbia, Yoho definitely lives up to its name (a Cree expression of awe and wonder). Travelers can witness Kicking Horse River still carving its path through this natural bridge.

Tassili n'Ajjer, Algeria

It's true that southeastern Algeria's Tassili n'Ajjer, named a World Heritage Site in 1982, is better known for more than 15,000 drawings and engravings dating back to 6,000 B.C. The drawings record climate change and human life in the region.

But tucked away in this tense region at the edge of the Sahara, near the border with Libya, Mali and Niger, this spot was also recognized as a UNESCO site for its remarkable collection of natural bridges and rock formations dense enough to be called "rock forests."

The eroding sandstone "forests of rock" document the environmental changes, marking major climate change and geological transformation over the millennia. Water and wind have shaped this magical, lunar-like landscape.

Natural Bridge, Virginia

Long considered sacred by the Monacans, Virginia's Natural Bridge was one of this English colony's earliest recognized natural wonders. The bridge was created by an underground stream flowing through a cave, whose roof collapsed, according to the arch society.

It even had a famous owner: Thomas Jefferson bought the surrounding land and bridge from King George III of England in 1774, before the young republic's founding.

A National Historic Landmark, the land in Rockbridge County remained in the hands of private owners for centuries. Now the state of Virginia has announced plans to turn the land into a park by the end of 2015.

Cueva de los Portales, Cuba

In the western Cuban province of Pinar del Rio lies the Cueva de los Portales, a cavernous area near the Parque Nacional La Guira. The Río Caiguanabo flows beneath a natural bridge, which is connected to a cave that served as one of revolutionary  leader Ernesto "Che" Guevara's hideouts during the 1962 Cuban Missile Crisis. The area is now popular with birdwatchers.

Hazarchishma Natural Bridge, Afghanistan

When Wildlife Conservation Society researchers traveled to Afghanistan in 2010 to conduct a wildlife survey in the troubled country, they discovered an enormous natural bridge that may be one of the largest in the world. They returned to Hazarchishma Natural Bridge, in the central highlands of Afghanistan, in 2011 to take measurements.

The bridge, which is named after a local village, is more than 60 feet high, has a span of more than 200 feet across its base and rises more than 3,000 meters (nearly 10,000 feet) above sea level. It was created over the millennia by the then-flowing waters of the dry Jawzari Canyon.

Lexington Arch, Nevada

Is it a natural bridge? A cornerstone of Great Basin National Park in Nevada, the Lexington Arch may actually be a bridge. There's evidence to suggest that the waters of Lexington Creek flowed through a cave in the canyon wall long ago, expanding the tunnel that's now Lexington Arch. Debate the question as you marvel at one of the few natural arches in the west made of limestone rather than sandstone.

@highlight

Natural arches around the world are made of rock, with a hole formed by natural forces

@highlight

Natural bridges are arches where water is the force making the hole

@highlight

Stunning natural bridges can be found all over the world

@highlight

The world's longest is the Fairy Bridge in China, experts say