(CNN) -- Beyond a vague familiarity with the world's major airlines, most travelers know little about the hundreds of carriers transporting passengers across the globe. Sunday's deadly air crash in Nigeria raises questions about the safety of international airlines. So how do passengers find safety information?

There are several things travelers should look for to gauge an airline's safety, according to Bill Voss, CEO of the Flight Safety Foundation, an international nonprofit organization.

In short, you're looking for a Category 1 ranking from the U.S. Federal Aviation Administration and registration with the International Air Transport Association, an international trade group. Membership with a major airline alliance helps, and you likely want to avoid airlines banned by the European Union.

The Federal Aviation Administration looks at international aviation regulators. The FAA program assesses the safety standards of the civil aviation authorities of countries with airlines operating in the United States.

"We look at the ability of the aviation authority in the country to administer its aviation community in accordance with international regulations. We don't look at individual airlines," said FAA spokesman Les Dorr.

Countries with aviation authorities that meet standards set by the International Civil Aviation Organization receive a Category 1 ranking. Those that don't receive a Category 2 designation.

Nigeria, the site of the crash that killed more than 160 people, has a Category 1 ranking.

Twenty-five nations, nearly a quarter of those assessed, hold a Category 2 ranking, including the Philippines, Bangladesh, Barbados, Cote D'Ivoire, Ghana, Indonesia and Israel.

The International Civil Aviation Organization, the U.N. agency that defines international standards, also focuses oversight on regulators rather than airlines. The agency has conducted mandatory safety audits of the civil aviation authorities of member countries since 1999. Most countries publish the audits, but it's not mandatory, "and the ones that you really want to see are the ones that don't publish," Voss said.

Despite occasional catastrophic crashes, airline accident rates have seen "massive improvements" in the last few decades, he said.

The global accident rate for commercial air service fluctuated between 3.9 and 4.6 accidents per million departures between 2005 and 2010, according to International Civil Aviation Organization. The agency's 2011 figures have not been released. In 2010, the global rate was four accidents per million departures.

Africa had the highest regional accident rate in 2010 of 16.8, four times the global average, but Africa accounts for the lowest percentage of global traffic volume. North America's accident rate, 3.3 per million departures, was below the world average in 2010. The region had the highest number of accidents -- 35 -- but no fatalities. Europe also had an accident rate of 3.3 per million departures with 24 accidents, two of which included fatalities.

The trade group International Air Transport Association does its own safety audits on air carriers. The organization's registry is searchable by airline. All of the association's more than 240 member airlines must meet audit standards to maintain membership.

"(Airlines) who are IATA member carriers actually have a far better safety rate than the industry standard," Voss said.

Dana Air, the Nigerian carrier involved in Sunday's crash, does not appear on the registry. Voss said the carrier may have chosen not to be audited or may not have passed.

The cause of Sunday's accident in Nigeria is still unknown.

The European Union's "black list" provides another safety benchmark.

The EU takes a more aggressive approach to screening individual carriers and has banned more than 280 airlines from 25 nations from operating within the EU since 2006. African, Indonesian and Philippine airlines figure prominently on the EU's banned list, as do carriers in Kazakhstan and Kyrgyzstan. The EU also has a list of carriers subject to operational restrictions. No Nigerian airlines appear on either list.

Membership in a major alliance, including Star Alliance, SkyTeam and oneworld, can also be considered a reassurance to nervous travelers, Voss said. Member airlines tend to monitor each other, reinforcing high safety standards.

There are no guarantees, but air travel is still much safer than other means of transportation.

"Particularly in the developing world, you have to look at how extraordinarily safe aviation is. Even though an airline might appear a little risky by your Western standards, it could easily be 1,000 times safer than taking the same trip on the road," Voss said.

@highlight

International regulators have lists and registries dedicated to airline safety

@highlight

The Federal Aviation Administration rates international aviation authorities

@highlight

The European Union has a list of airlines banned from operating in the EU

@highlight

Many airlines are audited and registered with an international trade group