(CNN)Nigerians go to the polls on March 28 in a tight contest, which is getting extra attention after the original date was rescheduled at the last minute. Many voters will be holding their registration card in one hand, and their mobile in the other -- making democratic history with the help of tech.

In Africa's largest mobile phone market, programs to encourage citizens to get involved in the election have been gaining traction.

"Nigerians are looking for information," says Femi Longe, co-founder of Co-Creation Hub which meshes tech and social issues. "Technology is helping people get involved in the conversation around democracy and elections, which is very important, as the general interest in the air has waned since the voting date was changed."

As incumbent Goodluck Jonathan prepares to face-off against former military ruler Muhammadu Buhari, Longe and his team have developed TechSQUAD -- a gang of geeks who work on web-projects that help citizens vote.

Pre-Vote Prep

One such project is Govote.ng, a popular website that is focused on the registration process -- that's crucial as in Africa's most populous country, with over 170 million citizens, the logistics can be staggering.

"Most Nigerians have no idea where they are registered," explains Longe. "We want to simplify the entire election process, [and] make it responsive to users."

People log on to the site to see whether they are registered with the Nigeria Independent National Electoral Commission (INEC) and, if not, they can find out how and where to register. TechSQUAD says approximately 10,000 people visit the site each day.

Finger's Influence

Other squads concentrate on the next step.

Youth charity YIAGA has set up ThumbPower which gets Nigerians to "use your thumb wisely."

Sections like "Who can vote" and "Where and When" set out the process in language anyone can understand. Interactive maps connect users to local activists and the countdown clock is a reminder that the new elections date is approaching fast.

"The rescheduling of the election ... did affect the level of voter enthusiasm," explains YIAGA Program Manager, Cynthia Mbamalu. "While there are certain concerns about security and the guarantee of free, fair and credible elections, the interest in this election is founded on the belief that this time votes will count."

Personality Problem

This election will be the first since Nigeria re-calculated it's GDP and pulled ahead of South Africa to become the continent's biggest economy. With a nominal GDP of $510 billion, and an oil sector that makes up 96% of total export earnings, the outcome of the vote will be closely watched by policy makers and businesses all over the world.

Politicians, however, stand accused of relying on personalities rather than policies when it comes to winning votes.

"The strength of a leader's personality and his key personal networks are playing a very strong role," says Jasper Veen, Nigeria Director at National Democratic Institute. "Both flag-bearers occasionally attempt to articulate policy positions -- it is still a far cry from policy-based politics."

And this is set to be a particular issue in this poll, as some seek a strongman who can defeat Boko Haram militants in the North-East -- the main justification authorities used when explaining the decision to delay the vote by six weeks.

To fight this popularity contest, TechSQUAD collaborated with The Centre for Democracy and Development (CDD) to produce ngmanifesto.org, which explains what the parties plan to do to improve education, the economy and infrastructure. And once a government is elected, the site will track whether election pledges become reality.

'Quick Count'

Technology will also play a big role on voting day. A representative volunteer network of 4,000 observers trained by Transition Monitoring Group (TMG) will corroborate official election results using a system of text messages. The SMSs are coded so they cannot be intercepted, and also to ensure the data can be organized and communicated quickly.

The process aims to bring transparency to the elections, and will be assisted by Niger's Former Prime Minister, Mahamadou Danda, who is part of a smaller team of international observers organized by the National Democratic Institute.

Such independent observation is likely to speak to the thousands of citizens concerned with governance in the country. A recent Afrobarometer poll found that 68% of respondents are "not very" or "not at all" satisfied with the way democracy is working in Nigeria.

Another approach to inspire citizens to get involved in the election is the Nigerian Constitution App which has been downloaded almost 1 million times according to The Indigo Trust. By making the constitution available on mobile phones, the app aims to teach citizens about national laws and inspire them to vote.

And there's also BudgIT -- a site that publishes state and federal budgets for all to see.

The list of election-based websites and apps goes on -- too many to mention here. But, while the election outcome is yet to be seen, it seems that the tech involved could bring a formidable force to the ballot box.

More from Marketplace Africa

Read this: Cooking up a recipe for tasty profits in UAE

Watch this: Banana fiber transforms lives in Uganda

@highlight

Nigeria's postponed Presidential election is slated to be held on March 28

@highlight

Incumbent Goodluck Jonathan will face-off against former military ruler Muhammadu Buhari

@highlight

Technologists and NGOs are working together to help voters prepare for the election