(CNN) -- The ire and angst accompanying Facebook's most recent tweaks to its interface are truly astounding. The complaints rival the irritation of AOL's dial-up users back in the mid-'90s, who were getting too many busy signals when they tried to get online. The big difference, of course, is that AOL's users were paying customers. In the case of Facebook, which we don't even pay to use, we aren't the customers at all.

Let's start with the changes themselves. Until now, the main thing that showed up on users' pages was a big list of "updates" from all the friends and companies and groups to which they were connected. It was a giant chronological list that made no distinction between an article (like this one) that may have been recommended by a hundred friends and the news that one person just changed his relationship status or had a funny dream.

Facebook has now prioritized that flow of stories into a news feed that puts "top stories" on top, and the more chronological list of everything down below. Top stories are selected by an algorithm of some sort that "knows" what will be important to the user based on past behavior and numbers of connections to those recommending the story, and so on.

Meanwhile, as if to make up for this violation of the what-just-happened-is-the-only-thing-that-matters ethos of the social net, Facebook added a live, Twitter-like stream of everything everyone else is doing or saying. It runs down the right side of the screen, almost like CNN TV's awfully distracting and wisely retired "news crawl."

On an Internet where everyone and everything are becoming "friended" to one another, such a division of the relevant "solid" bits from the topic stream of data points makes sense. After all, updates from your closest friends and favorite bloggers should take priority over those from some relative stranger you "friended" because he said he was in your fifth grade class and you didn't want to insult him. If everyone ends up connected to everyone, Facebook will have to make some distinctions or the service will be useless.

But users are bothered by all this. On the simplest level, they don't like change, particularly when it results in making their free time more complex and stressful. Facebook was always a lazy person's friend and time waster. Turning into a dashboard designed to increase productivity and relevancy turns it more into, well, work.

Of course, if they stopped and thought about it, they would realize that Facebook is work. We are not Facebook's customers at all. The boardroom discussions at Facebook are not about how to help little Johnny make more and better friendships online; they are about how Facebook can monetize Johnny's "social graph" -- the accumulated data about how Johnny makes friends, shares links and makes consumer decisions. Facebook's real customers are the companies who actually pay them for this data, and for access to our eyeballs in the form of advertisements. The hours Facebook users put into their profiles and lists and updates is the labor that Facebook then sells to the market researchers and advertisers it serves.

Deep down, most users sense this, which is why every time Facebook makes a change they are awakened from the net trance for long enough to be reminded of what is really going on. They see that their "news feeds" are going to be prioritized by an algorithm they will never understand. They begin to suspect that Facebook is about to become more useful to the companies who want to keep "important" stories from getting lost in the churn -- and less useful for the humans.

Ultimately, they don't trust Facebook chief Mark Zuckerberg and are suspicious of his every move. By contrast, Apple founder Steve Jobs took away his customers' hard drives, Flash movies, keyboards and Firewire ports -- and yet consumers put up with the inconvenience and discomfort every step of the way because they believed that Steve knew best, and trusted that he was taking them somewhere better.

Apple users pay handsomely for the privilege of putting themselves in the company's hands. Facebook does not enjoy this same level of trust with its nonpaying subscribers.

That's because on Facebook we're not the customers. We are the product.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: Many upset by Facebook changes, but they are confused

@highlight

He says changes are about monetizing your information for company's paying customers

@highlight

He says users actually "work" for company by inputting info Facebook can sell to marketers

@highlight

Rushkoff: Change like this reminds users they are not the customers, they're the product