(CNN) -- The failed-startup story is familiar by now.

A pair of Stanford grads come up with a million-dollar idea, let's say Uber for cats. "Mewber" joins a startup accelerator, builds an iPhone app, gets a few million dollars from a venture capital firm, moves into a hip office in San Francisco and hires a handful of bright 20-something employees.

Things are looking great.

Then they discover that cats hate cars, rarely have important appointments they need to keep and are all mysteriously using Windows Phone 8 devices. The product fails, and Mewber shuts down.

Betaworks is a New York-based startup studio that does things differently. Instead of going all-in on one product, Betaworks gives multiple ideas room to grow, and even die, in order to single out the most promising sites, apps and tools.

"We try to fail fast and small," explained founder and CEO John Borthwick.

Borthwick describes Betaworks as a creative company of builders. Its employees work together in a studio atmosphere to conceive, build and grow multiple products at a time. If one idea isn't working, they can refocus their energies on something new.

"Every place I've worked before has always been trying to make a specific product or company work, so you had no alternatives," said Paul Murphy, Betaworks' senior vice president of product, who formerly worked at Microsoft and Aviary. "We don't have that constraint here."

Many of Betaworks' more popular offerings help people discover or organize news and other content, like Digg, Reader, Tapestry and most recently Instapaper.

And the 6-year-old company recently branched out into games with the release of "Dots," a deceptively simple game that requires players to connect colored dots with swipes of a finger.

The abstract and addictive iPhone game shot up Apple's charts, attracting a million users in its first four days and 3 million users in the month since it launched. Betaworks says 250 million games of "Dots" have been played.

The company is moving fast to capitalize on the buzz and on Thursday released an iPad version of the game.

Like most of Betaworks' offerings, "Dots" was created quickly (the team started in January), and its design was kept minimal.

To come up with a product, the team starts with a running list of about 80 things they feel should just be better, from weather apps to business cards. Every four to six months, they'll go through the list and pick up to a dozen things that they want to prototype. After one month, they'll look at the first version of the app or site and, if it addresses a need, get it into the hands of 100 beta testers.

In the past four months the company has been focused on launching five small companies, part of its "Hacker in Residence" program. In addition to "Dots," there is Giphy, a search engine for GIFs; Poncho, a personalized weather app; Blend.io, which allows musicians to collaborate on music online; and Telecast, which lumps YouTube videos together based on the viewer's specific interests.

Even once they're launched, these products can be shut down by Betaworks at any time. Killing off an app isn't a big deal for Betaworks, unlike a startup that's pouring all its energy into a single idea. And instead of losing their jobs, the developers and designers just move on to the next Betaworks idea.

"What makes it easier for us is, we sort of celebrate the ones we kill off as much as the one we spin off," Murphy said.

The company also buys and rebuilds established tech properties such as Digg, Reader and Instapaper. When it bought the once-mighty Digg, that site cost $230,000 a month to run. Betaworks stripped Digg down and rebuilt it completely in just six weeks, creating a far simpler version of the curated-news site that costs only $19,000 a month to operate.

"If you think about the dynamic of what Digg was, a crowd-sourced news site, I think Twitter figured out a more scalable mechanism," Borthwick said. "What Digg was needed to be rethought from the ground up."

Some products are spun off into standalone companies, like traffic-analytics tool Chartbeat and URL shortener Bit.ly. Others have been sold off to large tech companies such as Facebook, Twitter, Microsoft and Zynga for a tidy sum.

Betaworks also invests seed money in young startups, many of which, like Kickstarter, Groupon and Tumblr, have gone on to be hugely successful.

The business model and minimalist approach to apps is working out swimmingly for Betaworks. According to Borthwick, the company is "wildly" profitable.

@highlight

New York startup studio behind the hit game "Dots" has a unique business model

@highlight

Betaworks develops its own ideas and buys interesting startups to grow them

@highlight

Because the company is working on multiple products, it can kill the ones that don't work

@highlight

On Thursday, Betaworks released an iPad version of its "Dots" game