(CNN) -- Susan Rice, who has been named President Barack Obama's third national security adviser, probably should have been his first. Rice, the U.S. ambassador to the United Nations and a former assistant secretary of state for Africa during the Clinton administration, was among the first national security figures to join the Obama campaign. She led the national security team during the campaign and the transition. Few others in the administration are as close to the president as she is.

The last few months have also shown that Rice has the deep and unwavering loyalty of a president who is often seen to be too cool and aloof for his own good. After her television appearances in the wake of the Benghazi, Libya, attacks made her a lightning rod for criticism, he nonetheless drove forward in his attempt to name her secretary of state. When that didn't work -- the opposition was too heated, the timing wasn't right -- he didn't give up, but instead set in motion the events that led to her being named his top national security aide Wednesday.

Of all the things on Rice's resume -- her blue-chip academic background, time at the National Security Council, the State Department, the Brookings Institution and the United Nations -- what counts the most is this relationship with the president.

Obama reshapes national security team, rankles GOP

The world knows they are close, and that will immediately give her great power both inside the bureaucracy and in capitals worldwide. (I know Rice well; we both served in the Clinton administration, and she worked with a company I ran afterward. She is among the best allies a person could have and among the people you would least like to have as an enemy. She is warm, too, has a ready sense of humor and a ready command of the tools needed for the niceties of diplomacy and inter-agency schmoozing.)

Nonetheless, Rice is going to face a number of major challenges.

First, she will have to dial back the bravado and contentiousness that have marked her tenure at the United Nations. Her sharp elbows and quick wit often turned into sharp rebukes that left some of her diplomatic counterparts bruised. That may work when muscling policies through the U.N. Security Council, but the National Security Council is a different business. Her counterparts there, at State, Defense, the military and the intelligence community, have substantial egos and individual, not to mention institutional, agendas.

If Rice appears to be muscling them or if she is seen not as an honest broker but a rival, tensions could result. The most successful national security advisers -- such as Brent Scowcroft -- have done their best work in the background. Some, like Tom Donilon, carve out important roles that take them to foreign capitals, where they speak on the president's behalf to key leaders. But even in those instances, it is important that the national security adviser be seen by colleagues as staying in his or her lane, steering clear of their functions -- for example, secretary of state as principal spokesperson on foreign affairs, and defense secretary as principal spokesperson on military issues.

Even Rice's closeness to the president can be a trap. Former national security adviser Condoleezza Rice was extremely close to President George W. Bush, but that led her to devote too much of her time to the job of staffing for the president and not enough to the important NSC work of managing what was called long ago "the policy hill." That designation referred to the part of the job that involves tapping all the executive branch agencies to formulate policy options and recommendations for the president and then carefully ensuring the implementation of the policies ultimately chosen by those agencies.

Susan Rice's new position is made more complex by the fact that today's NSC staff is more than 30 times larger than it was in the Kennedy years, almost 10 times the size of Henry Kissinger's NSC and by far the biggest in history, at almost 400 people. She will have to deal with a sprawling bureaucracy, the economic agencies that play key roles in so many national security issues today, the politics -- and being national security adviser. It will be by far the most demanding management job Rice has ever faced.

But the biggest obstacles to her ensuring that Obama leaves office with a solid foreign policy record, come from the problems we face overseas. While the signature successes of killing Osama bin Laden and winding down the wars in Iraq and Afghanistan are behind this administration, deep unrest continues in those countries. It continues, too, in Libya, where Rice was instrumental in pushing U.S. intervention; across the turbulent Middle East; in Africa, where Rice brings special insights and experience; and in the complexities of managing the shifting balance of power in Asia.

No matter how good the policy process she shepherds, the fact is that we live in a messy world at a time when the United States is unable or unwilling to exert force as it once did, when our allies are similarly inward looking, due to economic stresses, and our enemies are shape-shifters embracing new technologies and techniques -- and, in places such as Syria, very hard to distinguish from those we might support.

Rice is the most natural choice for the NSC job, and she comes to it battle tested by her experiences at the United Nations and in the political crucible, post-Benghazi. She knows her team and all the issues. She has the president's full trust and backing. She has shown that she is not afraid to lean in, encourage risk taking, embrace the strategic use of U.S. power, amplified and validated by multilateral initiatives. And as she will soon discover, for all that, even the most powerful people in the most powerful nation in the history of the planet often find themselves at the mercy of international events beyond their control.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: Susan Rice is a natural choice for national security adviser

@highlight

He says she's been lightning rod on Benghazi but is experienced foreign policy expert

@highlight

He says Rice must rein in contentiousness on display at U.N., manage huge staff

@highlight

Rothkopf: Unpredictable problems abroad may be obstacles for strong Obama ally