Staring out of the glass viewports, three people sit silently in the metal sphere as it continues its descent hundreds of meters below the ocean's surface. The journey will take over an hour and the lights in the little submarine have been turned off.

In the darkness, a serene atmosphere surrounds the two scientists and pilot who occasionally snap out of their thoughts to gaze at electric sparks of fluorescence emanating from animals bioluminescing as the sub passes by. The radio crackles as the pilot navigates to the dive site with guidance from the systems on the research vessel Atlantis, floating above.

As they begin their final approach to the seafloor, activity erupts in the sub as powerful quartz iodide and metal halide lights break the intense blackness and weights are dropped to slow the sub. The team take in their surroundings and maneuver the vehicle towards the dive site, and the day's work aboard the historic submersible "Alvin" can finally begin.

Pioneering ocean research

Run by the Woods Hole Oceanographic Institute, the U.S. Navy-owned manned vehicle has been traversing the world's oceans for half a century, revealing mysteries of the deep with every expedition.

"I would suspect that on every dive we've ever been on, we've probably run across something no one's ever seen," says Alvin expedition leader Bruce Strickrott. "Not only is [Alvin] valuable, it's a heck of an experience. There isn't a person who dives in the submarine who won't remember it for the rest of the lives."

He adds that Alvin played a crucial part in demonstrating that hydrothermal vents in the ocean are capable of sustaining living organisms.

"From a scientific standpoint, Alvin was instrumental in bringing people to the hydrothermal sites and finding life, particularly down by the Galapagos in the '70s," he says. "From the late '60s and on into the '70s, Alvin was starting to ramp up as a tool and when they took people down to the vents and they were able to see life down there, I think that's when its value really took off."

Hunt for a missing H-bomb

Today, it is equipped with state-of-the-art tech including robotic arms and still and video cameras, and several reconstructions over the decades mean the sub can safely bring scientists down 4,500 meters below the surface.

During the sub's lifetime, it has undertaken some fascinating adventures including the search for a missing hydrogen bomb off the coast of Spain in 1966, after an Air Force B-52 and a tanker plane collided over Spain during air-to-air refueling, dropping an unexploded H-bomb into the Mediterranean sea. Alvin spent three months searching for the bomb on the sea floor before locating it and enabling it to be recovered by a remote controlled submersible.

Alvin also made an exploratory survey of RMS Titanic in 1986 and investigated the aftermath of the 2010 Deepwater Horizon oil spill and associated environmental implications. It may be half a century old, but Strickrott believes it could go on exploring the oceans for another 50 years.

"Next year it will head around South America, coming up to Barbados and head out to the Mid-Atlantic."

He adds: "If you look at all the dives ever, you've barely scratched the possibilities. There is an awful lot out there that we just don't know. Science is what drives us, but we have to have the desire to go there."

Click through the gallery above to explore some of Alvin's many achievements.

WATCH: Photographer captures bioluminescence

@highlight

Built in 1964, "Alvin" was the world's first deep sea submersible

@highlight

50 years later, it still provides valuable oceanographic research

@highlight

It has made over 4,500 dives including finding a lost hydrogen bomb

@highlight

Expedition leader: "On every dive we've ever been on, we've probably run across something no one's ever seen"