(CNN) -- More than 200 people were reported killed in Syria, hours before the U.N. Security Council was scheduled to meet and likely vote on a draft resolution intended to pressure the government there to end its months-long crackdown on demonstrators, diplomats said.

The meeting was scheduled to start at 10 a.m. ET Saturday. It was not clear which way Russia, a veto-wielding permanent member of the Security Council, would vote.

The opposition Syrian Observatory for Human Rights said early Saturday that 217 people, including women and children, had been killed in Homs in what the group characterized as a "massacre."

"The U.N. isn't doing anything about it. The Arab League isn't doing anything about it ... While they're having their little discussion, people are sitting here and they're dying," said an activist CNN is identifying as Danny.

"These aren't animals here. These are human beings," he said. "This isn't a game ... This is actually going on."

Of those killed in Homs, 138 were in the neighborhood of Khaldiya where "shelling continues," according to the opposition group.

"A massacre happened in Homs today," said Abu Abdo Alhomsy, a resident. "There are so many people on the streets that are wounded and they need help, but we can't reach them to help them."

He described "continuous bombing" and reported the presence of snipers.

"They're ready to kills us all. They have no problem with doing that. Please, we call (on) the international community for help," Alhomsy told CNN.

State-run Syrian TV denied reports that the army shelled neighborhoods in Homs.

"This is a media campaign that uses fabrication, falsehood and escalation ... in order to affect a decision at the Security Council and cover crimes and attacks committed by armed terrorist groups," it said.

Before the reports of shelling in Khaldiya, the Local Coordination Committees of Syria, a network of opposition activists, said that at least 31 people were killed across the country on Friday, including three children and three defected soldiers.

CNN cannot independently confirm opposition or government reports from Syria because access to the country is limited.

Meanwhile, a rights group said in a report Friday that Syrian army and security officers detained and tortured children with impunity during the past year.

Human Rights Watch urged the Security Council "to demand that the Syrian government end all human rights violations."

Syria must also be made to cooperate with monitoring teams sent by the Arab League and the U.N. Human Rights Council, the global monitor said.

"Children have not been spared the horror of Syria's crackdown. Syrian security forces have killed, arrested, and tortured children in their homes, their schools, or on the streets," said Lois Whitman, children's rights director at Human Rights Watch.

The organization said it has documented at least 12 cases of children detained under inhumane conditions and tortured, as well as children shot while in their homes or on the street.

A Security Council meeting on Syria ended Thursday evening without agreement on the text of the draft, according to U.S. Ambassador Susan Rice.

The draft of the resolution discussed Thursday had dropped demands from an Arab League plan for Syria to form a unity government and for President Bashar al-Assad to delegate power to his deputy.

"We had what I would characterize as sometimes difficult but ultimately useful discussions," Rice said. "We're still working. This is not done."

She said the Moroccans, who submitted the original draft, would come back with another version that could be voted on. "In any case, there are some still complicated issues that our capitals will have to deliberate on and provide each of us with instructions on."

Before the talks, Arab League Secretary General Nabil Elaraby said that even a watered-down resolution would pressure the Syrian government.

U.N. diplomats said the changes reflected a big concession to Russia, which has been reluctant to sign on to any plan that could be seen as a mandate for regime change in Damascus, as occurred in Libya after it signed a resolution calling for a no-fly zone.

Russia, which has said it is concerned about the prospect of a Syrian civil war and does not want al-Assad pushed from power, has made clear that it will not accept an arms embargo or economic sanctions.

A call for other nations to follow the Arab League members in adopting measures such as sanctions against Syria had also been dropped from the latest version of the draft resolution, which demands the Syrian government allow the delivery of humanitarian aid and guarantee the freedom of peaceful demonstrations. It also calls for an "inclusive Syrian-led political process."

U.S. and European diplomats insisted that the revised text still fully endorsed the Arab League plan and that it did not need to spell out every detail to have the same meaning.

"It will still put pressure on the Syrian government, because they realize that Russia cannot stand up forever. And they are under great pressure now. And, you know, Russia does not want to be against the people," Elaraby said.

In October, Russia and China issued a rare double-veto of a resolution that lacked sanctions but would have condemned the violence in Syria.

At least 7,100 people, including 461 children, have died since the start of the Syrian uprising in March, according to the Local Coordination Committees.

The United Nations estimated in December that more than 5,000 people have died since March. But the global body has not been able to update that figure because of the insecurity.

CNN's Richard Roth, Mick Krever, Elise Labott and Salma Abdelaziz contributed to this report.

@highlight

NEW: Syrian TV denies reports of shelling in Homs

@highlight

"This isn't a game ... This is actually going on," says an activist

@highlight

217 people are killed, an opposition group says

@highlight

The Security Council meeting will likely include a vote on a draft resolution