(CNN) -- Almost a century ago Eglantyne Jebb, the founder of Save the Children, said that the only international language the whole world understands is the cry of a child.

Now, as we start the 500-day countdown to the deadline for the Millenium Development Goals and prepare to mark World Humanitarian Day on Tuesday, I am not so sure. Having done far too little to stop children and their schools from becoming instruments of war in Gaza, we have also been slow to respond to the plight of the Yazidi children of Iraq, utterly incapable of providing basic health and education for a million child refugees exiled from Syria and appear powerless to rescue the Nigerian schoolgirls abducted by the Boko Haram terrorist group whose aim is to stop girls going to school.

All of this despite international legislation, including the 1907 Hague Regulations, the 1949 Geneva Conventions and more generally the Universal Declaration of Human Rights, the conventions on children and the excellent recommendations from Graca Michel that the U.N. Security Council should pay special attention to the abuses of children's rights in conflict zones, including the misuse of schools.

Now today, exactly 500 days out from December 31, 2015 -- the point at which we all promised to achieve universal education for all children, there are still 58 million children who never go to school, millions of them unable to do so because they are condemned to child labour, child marriage, child trafficking or, in the case of girls, medieval forms of discrimination.

Round the world young people are starting to see the blindingly-obvious connection between boys and girls shelled in Gaza, the schoolgirls abducted in Nigeria, the Syrian refugees without a home, millions of children denied basic rights -- including the right to education across the world -- and the rape of girls in India, the forced marriages of 9 and 10 year olds in Bangladesh, the genital mutilation of their counterparts in Mauritania and across Africa and the denial of girls' basic rights in Pakistan and elsewhere.

It all comes down to one basic truth: Almost 70 years after the Universal Declaration of Human Rights, there is still an abject failure to take children's rights seriously and, as the adult world vacillates its people themselves who are now becoming the most vociferous in their anger at the violations of their rights, beginning to see their freedom fight as a civil rights struggle and leading the charge for change.

And what marks 2014 a turning point for children's emancipation is the country-by country growth of civil rights groups led by young people themselves and, spurred by contact and communication across the Internet, their coordination under umbrella organizations such as Girls Not Brides, fighting schoolgirl marriage; the Global March against Child Labour, opposing child slavery; and the World at School, championing the right to education for all boys and girls.

Young people's groups, from Bachpan Bachao Andolan, fighting child labour in India; to the Yellow Movement in Ethiopia and the Street 2 school campaign in Tanzania have yet to trend on Twitter and Facebook.

But they soon will.

Opinion: Nigeria's kidnapped girls not forgotten

Girls fighting child slavery from the Kalamari forum in Nepal and the 19 child marriage free zones in Bangladesh have yet to become a major presence on our streets. But it will happen soon. And on Monday 500 youth ambassadors representing all countries of the world will announce they will meet in New York on September 22 and, shadowing the next day's U.N. General Assembly of world leaders, they will attempt to force the rights of children onto the international agenda. They will argue hard, and they will be heard.

This is not about asking and receiving. They are demanding their rights. They will demand that children should not be weapons of war and schools should never become theaters for prosecuting conflict. They will demand the Security Council now properly police laws that ban the militarization of schools and, as called for in the Lucens guidelines, the insertion of these obligations into doctrine and military manuals.

They will demand that education should be a right across borders, with a universal obligation to offer all children education even in unstable environments -- and for the early removal of all barriers, from child labor and child marriage to sexual discrimination -- to this universal right.

Of course, what moves people to hear the anguish of the child is the plight of the most marginalized. But, sadly, it is always the weakest, the youngest and the most vulnerable -- the street child, the orphan, the trafficked girl, the isolated rural poor -- who remain neglected, forgotten and left behind. It is to reverse this injustice that we, the adult world who have done too little, must now support young people waging their own liberation struggle.

It is not too late: we must, of course, use the next 500 days not just to be more attentive to the needs of the children of the world and to keep our promises but also to offer practical support to young people as youth ambassadors, young people's representatives and new youth groups mobilize for this new struggle.

For if the enduring image from a century ago is one of helpless children waiting to be protected and even pitied, then the image remembered by the next generation will be radically different. As young people connect, communicate with each other and assert their rights, the new "cry of a child" is less likely to be the shedding of tears and pleas for charity than defiant marches on our streets and a deafening clamor from young people themselves for justice.

Join us on Facebook.com/CNNOpinion.

@highlight

Former U.K. Prime Minister Gordon Brown, now a U.N. envoy, says children deserve justice

@highlight

Brown says there are 500 days left to fulfill Millennium goals and we're falling short

@highlight

Much needs to be done to make promise of universal education meaningful, he says

@highlight

Brown: Young people are demanding their rights and will be heard