(CNN) -- A Vietnamese man is recovering in the intensive care unit Friday, a day after surgery that completely removed from his right leg a tumor twice his body weight, according to the hospital in Ho Chi Minh City.

The growing tumor had rendered the patient, Nguyen Duy Hai, virtually immobile until his surgery.

The excised tumor weighed 180 pounds (82 kilos), according to the hospital, a bit less than the 200 pounds (90 kilos) estimated before surgery.

Hai, 31, of Da Lat City, has Von Recklinghausen's neurofibromatosis, said Dr. Jean-Marcel Guillon, chief executive officer of FV Hospital, where the 12-hour procedure was performed.

The autosomal dominant hereditary disorder is the same disease that contributed to the extraordinarily large head of Joseph Merrick, whose story was dramatized in the 1980 film, "The Elephant Man," explained Guillon. (Last July, according to the U.S. National Institutes of Health, its researchers identified the gene variant in Proteus syndrome and plan to test DNA from Merrick's skeleton to determine if Proteus caused his disfigurement.)

The tumor, which originated in Hai's spine, "may return," Guillon wrote in e-mails to CNN, "but we can operate him again, and it won't never reach such a size anymore."

Doctors expect that Hai's cardiac and pulmonary functions will return to normal during the next 10 days. After that, Hai faces rehabilitation, physical therapy and possible help from the hospital's clinical psychologist to deal with issues pertaining to body image, Guillon said. "This patient lived all his life with this tumor. It was part of him."

Hai also needs to learn how to do things that his body had forgotten, including using the left leg he had never used normally, Guillon added.

The tumor was first discovered when Hai was four years old and had grown to its enormous size since then.

Hai had undergone a surgery to amputate most of his leg -- and with it the tumor -- in 1997, but in 2001, the tumor grew, and no doctors agreed to operate on him, according to the hospital. Guillon said he did not know why the leg was amputated, as there are no medical records from that time.

Furthermore, his family could not afford surgery, and very few surgeons in Vietnam can treat neurofibromas, Guillon said.

The latest surgery was considered risky with a 50% success rate for a number of reasons, Guillon explained. "First, such a giant tumor has developed its own blood system with huge arteries branched out from the normal vascular system. Therefore, one of the main risks was abundant bleeding."

Doctors used a "cell saver," which suctions and filters the patient's blood before re-injecting it into the body, along with extra blood for the surgery.

The second and third risks lay in heart function ("How would a heart react when a tumor with twice the weight of a patient is removed?") and the effects of a long -- more than 13 hours -- anesthesia, Guillon said.

Leading the surgical team was Dr. McKay McKinnon, a specialist in plastic and reconstructive surgery from Chicago.

McKinnon has been credited with removing a 200-pound tumor from a woman in the U.S. state of Michigan in 2000, as well as a 176-pound (80 kilo) tumor from a Romanian woman in 2004.

Aside from McKinnon, no one else on the team had any prior experience with Hai's condition or performed such a surgery before, Guillon said. "Though the surgical techniques used by Dr. McKinnon are usual and routinely used by our surgeons, the difference lays in his experience: he knows what to expect and what to do at specific crucial moments."

Finally, the team of Vietnamese surgeons and anesthetists had never worked with McKinnon before, and communication issues could turn dangerous in an operating theatre, Guillon said, adding that two of the three Vietnamese surgeons also go by "Dr. Thai."

Nonetheless, the communication among all in the operating theatre went "extremely well," Guillon said.

During the surgery, FV Hospital set up a live video feed for other doctors and hospitals to watch.

Video during the surgery showed five people assisting in the disposal of the excised tumor from its own gurney into a yellow container, which was then sealed.

A small piece has been sent for examination; the rest will be incinerated as with all biological waste, Guillon said.

The cost of the surgery was estimated at $20,000, but the hospital said it will charge 60% of the cost, which will be covered jointly by the Red Cross of Da Lat City and sponsors.

The hospital said it is financing all the traveling costs and accommodation for McKinnon, who is performing the surgery free of charge.

@highlight

NEW: Excised tumor weighed 180 pounds, hospital says

@highlight

NEW: Hai has neurofibramatosis, disorder dramatized in "The Elephant Man"

@highlight

NEW: The tumor "may return, but we can operate him again," hospital chief says

@highlight

Lead surgeon had previously removed tumors around 200 pounds