Corfu's tourism board should thank Vasilis Metallinos and John Miliadis.

"Corfu Nightscapes -- A Company of Stars" is the pair's stunning five-minute video comprising 60,000 photos taken between 2010 and 2014 by Metallinos.

If you're not inspired to head to Greece after seeing it, you probably didn't full-screen this tribute to Hellenic beauty.

The music is composed by Miliadis.

Metallinos, 29, became interested in astronomy a decade ago and has been practicing astrophotography for the last seven years.

What's on his list of must-have equipment and his secrets for capturing a "bigger" moon?

He shared that and more with CNN.

CNN: What inspired you to create this gorgeous video?

Vasilis Metallinos: This is my fifth time-lapse video so far and it was inspired by my love for Corfu island, my birthplace -- its long and rich history, breathtaking landscapes and my passion for the night sky.

It's a dreamy, magical thing to look up in the sky and watch the stars, our neighbors, traveling to distant lands!

CNN: What makes Corfu a good place for stargazing?

Metallinos: Corfu's night sky is not perfect but we still enjoy dark skies and see lot of celestial objects within the city walls of the Old Town of Corfu -- a UNESCO World Heritage Site -- next to our monuments.

What could be more beautiful than seeing Saturn's rings or clouds and Jupiter's Great Red Spot from the Esplanade Square, one of the largest squares in Europe with Venetian fortifications and French and English buildings?

Corfu also has an important astronomical heritage.

The first Astronomical Society of Greece was founded in Corfu in [1927] by French astronomer Felix Lamech.

Both Lamech and the Corfiot astronomer Ioannis Fokas have a lunar crater named after them and Fokas also has an eponymous Mars crater.

CNN: What's your advice for budding astrophotographers?

Metallinos: Experience and knowledge are the most valuable tools.

One needs to know how the celestial objects move and how to capture them with the camera.

Until you get better, take as many photos as you can.

Astrophotography requires patience.

The weather isn't always our ally and we often have to wait for more than a month for a clear sky.

One shouldn't give up easily, otherwise you might miss that one special photo that could come when you least expect it.

CNN: What equipment do you use?

Metallinos: A photo camera that can capture long-exposure images, a tripod and a remote control for the camera.

I started with a DSLR Canon EOS 40D and a tripod.

Now I also have three other DSLR's for nightscapes and landscapes.

Some are specially modified to capture in infrared.

I've got some CCD cameras especially for planetary photography, like the DBK 21 camera.

I also use telephoto lenses like EF70-200 f2.8 or EF100-400mm f4 as well as telescopes like the SW ED80 f7.5 or Takahashi Toa130 f7.7.

Also very useful is planetarium software like Stellarium, Carte du Ciel, Starrynight and Skysafari.

They help you identify the stars or planets easily as well as calculate where the stellar objects will rise and set on the horizon.

With software like The Photographer's Ephemeris (TPE), we can calculate where we should be.

CNN: What are your favorite shots in the video?

Metallinos: There are so many memorable ones.

The one with the big fireball at 2:39 that blinded us and turned the sky blue or the one with the honeymooners and the lighthouse at 3:49 are good examples.

For that shot, I was calculating for hours how to shoot my just-married sister inside the August full moon.

But I (ended up) missing them by setting up the telescope just two meters wrong -- a very difficult shot when you're using a 1,000-millimeter telescope with almost 150 kilos of equipment.

But my very best is the one with the Supermoon (when the full moon is at its closest point to Earth in its orbit) and the Old Fortress of Corfu at 3:21. The result would look great even if it was a cloudy night -- I set up in the right place at the right time.

CNN: In some of the shots, the moon looks enormous -- how did you do that?

Metallinos: You set up up the telephoto lens or a telescope at least a few kilometers away from the landscape you want to include in the shot.

Use a lens with a long focal length to magnify the moon from afar.

For example, the shot with the moon rising behind the Old Fortress was shot eight kilometers away using a 1,000-millimeter lens.

Theoretically, you can capture a full moon every 29 days from a different azimuth 76° - 116° but it's actually challenging to shoot the moon due to the unpredictable weather and difficulty in getting the exact shooting angle correct.

After calculating the exact point of the azimuth and setting up where you can put the landscape in the same shot, you'll then need a clear horizon.

I manage to capture the moon only a few times every year. So the shots in the video are from 2010 till February 2014.

CNN: The most time-consuming process is ...

Metallinos: Some shots took more than eight to nine hours of continuous capturing.

I climbed up the cliff with my camera and telescope for almost eight hours continuously to capture the shot with the trees.

The shots with the moon took an hour or two, but it required an hour or two of pre-calculation for where to set up, and then we had to be there an hour earlier with the heavy equipment.

But that is not the end -- we had to process thousands of raw pictures.

It took me more than a month to archive my 200,000 pictures of time-lapse to a library of more than 1.5 million pictures I have.

Then, it took us another month to create the video with the right shots and the right sound.

CNN: The best places to photograph Corfu are ...

Metallinos: To capture the old town of Corfu in the photograph, the best angle is from Kontokali Bay, about seven kilometers northwest of Corfu town.

Other beautiful places with a nice dark sky include Chalikounas Beach (Lake Korission) in southwest Corfu and near Aggelokastro Castle just above Palaiokastritsa Bay.

CNN: What are your favorite places to photograph Greece?

Metallinos: I once captured nice star photographs from the Parnon mountains at Peloponnisos in southern Greece, with a perfect dark sky.

Pelion at the city of Volos and the Gramos mountain range both yield beautiful photos.

More of Metallinos' videos can be found on his Youtube page.

@highlight

Vasilis Metallinos captured Corfu's starry night in a five-minute time-lapse video, "Corfu Nightscapes -- A Company of Stars"

@highlight

Right equipment, knowledge and patience are the keys to astrophotography, he says

@highlight

Metallinos shares his tips for photographing the moon so it looks enormous

@highlight

Chalikounas Beach is one of the best spots to photograph Corfu's nightscapes