(CNN) -- It wasn't easy for 59-year-old Margie White to ask her husband, Dick, for a divorce after 37 years of marriage.

"It really was the most courageous thing that I had to do," she said.

The couple met in college and married young. They settled down in a rambling, split-level house in the leafy suburbs of northern Virginia and raised two sons, now grown. But they struggled over the years to communicate and connect, they say, and they slowly grew apart.

When one son and his wife had a child, Margie spent more than eight months living in Pennsylvania helping out with the baby. It was during her time there that she realized how much she preferred living on her own.

"We really did struggle," she said. "We gave it our best shot. We really tried. We were no strangers to marriage counseling, when it came to that, and individual counseling, but there just wasn't the glue to hold it together anymore, for me."

Dick agreed.

"It was always sort of lurking in the background there," he said. "When Margie put it on the table it just seemed like, OK, yeah, we really should do this, and let's try to do it right."

Baby boomers looking for love online

The Whites' story is part of a larger trend. Even as divorce rates for the general population have stabilized over the past several decades, they are on the rise among baby boomers. Divorce rates among couples over 50 have doubled in the last 20 years, according to a study by Bowling Green State University. In 1990, fewer than one in 10 people who divorced were 50 or older. In 2009, that figure was one in four.

Using data from the federal government's 2009 American Community Survey, the study also looked at the demographics of divorce and found that rates for those over 50 were highest among black couples and lowest among white couples. Hispanics fell in the middle. Older adults who divorced also tended to be less educated than those who remained married.

The authors identified several factors that could explain the rising rates, from longer life spans to the changing marital biographies of many baby boomers. They found the divorce rate for those who were in their second or third marriage was 2.5 times higher than for those in first marriages.

"Increasingly, these are baby boomers. They were the first generation to come of age when we saw the rapid acceleration in premarital cohabitation and divorce rates in the 1970s and the early 1980s," said co-author Susan L. Brown.

She also pointed to boomers' changing ideas about marriage.

"We have high expectations for what constitutes a good marriage today and we're looking for self-fulfillment and individual happiness in our relationships," Brown said. "When you are 60, 65 you retire, (and say) 'Well, I can live another 20, 25 years. Do I want to spend my life with that person? Is she or he making me happy?' And if not, well, divorce is a viable alternative."

Dick White, now 62, said members of his generation are used to getting what they want and that what many boomers want is changing now that they are entering a new phase of life.

"There was a joke that one of the retirement counselors made at a seminar that I went through as part of my retirement planning," he said. "The counselor said that couples will look at each other and say, 'Well, I married you for life, but not for lunch.' That, OK, now you have all day looking at each other, trying to deal with each other. What do we do for lunch? Previously, you kind of went through your business day in your own world and you got together in the evening for family time, children time, relationship time. Now you have deal with each other for all day long, and that's different. And can you do it for another 20 years? Maybe not."

New Beginnings: A divorced and separated persons support group

Doing it "right"

While the Whites decided their marriage was over, that didn't mean their relationship was. Dick lives just a few miles away from Margie and still helps out with maintenance at the home they once shared. When Margie was in a minor car accident recently, Dick was the first person she called.

"I feel like it's worked out the best for both of us, because living together didn't work for us at all well," Margie said. "We used to joke about how maybe if we had a duplex maybe we'd get along better. But this is actually better."

Both said part of the reason they have been able to maintain a positive relationship in the six months since their divorce was the way they went about the process. The Whites had a so-called "collaborative divorce." Each had his or her own lawyer, but they used a neutral financial planner and mental health professional to help them get through the process smoothly. Collaborative divorces aim to avoid the traditional adversarial route of most divorces. And while a judge has to sign off on the agreement to make it official, the process is meant to avoid courtroom fights.

"We worked it out. We wrote it down," Dick explained. "The lawyers put the proper language on it, and we sent it to the court. It says, 'We've already decided what we want to do with the rest of our lives. Now please, your honor, sign.'"

Divorce over 50 raises important issues

The rise in newly single boomers like the Whites raises important issues, from loneliness and financial concerns to dealing with failing health in their later years.

"When these folks face health challenges, they are not going to have a spouse at the ready to provide for them," Brown said. "Traditionally in America, that is what we've relied on. The No. 1 caregiver has been the spouse."

Caregiving for loved ones the 'new normal' for boomers

The Whites both take precautions now that they are living alone. Margie has a friend she e-mails each morning to let her know she's OK, while Dick religiously carries his cell phone while working around the house in case he falls and gets hurt.

Those concerns aside, both Margie and Dick have taken advantage of their new lives. Margie, who is retired but works part-time as a nanny, is learning about Buddhist meditation, while Dick joined a boat club and now rows several times a week on a nearby reservoir. He also teaches pottery classes near his home. They have begun to wade into the dating world, but aren't necessarily looking to get married again.

"Hope springs eternal, doesn't it?" Margie said. "I would like to have a life partner. I don't know about marriage. I think the statistics for a second marriage are grimmer than they are for the first. I certainly would like to have a special someone in my life."

Dick said he does not define himself by whether he is married or not.

"That's a particular legal statement that doesn't necessarily in itself matter. It's the relationships that matter."

@highlight

Margie and Dick White got divorced after 37 years of marriage

@highlight

Divorce among baby boomers is on the rise

@highlight

Changing ideas about marriage, longer life span could be contributing factors

@highlight

Rise in single boomers raises issues such as financial and health concerns