(CNN) -- Thousands of registered sex offenders have received U.S. passports, including at least 30 federal employees, according to a Government Accountability Office report obtained by CNN.

The GAO report said the Department of State cannot legally deny passports to registered sex offenders, except those specifically convicted of sex tourism.

The report concluded that about 4,500 U.S. passports of the more than 16 million issued in fiscal year 2008 were issued to registered sex offenders.

"Federal statutes authorize the Secretary of State to deny issuance of a passport in certain circumstances, such as while an individual is imprisoned or on parole or supervised release for a conviction for international drug trafficking or sex tourism or is in arrearages for child support," the report states. "However, there is currently no comprehensive program to deny passports to applicants who are registered sex offenders."

The State Department called the report "very misleading" and adding it "conveys more 'shock value' than factual accuracy."

In a written response, the department pointed out that only a fraction of 1 percent of the 16 million passports issued in fiscal year 2008 went to registered sex offenders. In addition, the title of the report "fails to convey that GAO found no lawful reasons for the department to deny or revoke the passports of the case study sex offenders based on their status as sex offenders."

"The report appears to suggest, without any foundation, that the Department's issuance of passports to certain Americans facilitated their commission of sex crimes abroad," the department's response said. "There are no facts in the report which show that any of the thirty individuals included in the case studies used his passport to travel to a foreign country to commit a sex crime."

The original title of the report, "Passports Issued to Thousands of Registered Sex Offenders," was later changed to "Current Situation Results in Thousands of Passports Issued to Registered Sex Offenders."

The GAO report was requested by Sen. Charles Grassley, R-Iowa, and Sen. Max Baucus, D-Montana.

The GAO studied data from the National Sex Offender Registry (NSOR). However, the approximately 4,500 sex offenders who received passports in fiscal year 2008 "is likely understated because many of the records in the passport database and the NSOR lacked valid Social Security numbers ... In addition, the NSOR does not currently contain a comprehensive listing of all sex offenders from the states."

The GAO found cases that include a sex offender from Texas who received a passport while in prison, a Delaware man with multiple sex convictions who traveled to the Philippines, Germany and France since receiving his passport, and a Georgia man who has traveled to the Philippines, Ireland and Panama.

Among the federal employees who received passports was an aerospace engineer with NASA, an employee of the Bureau of Engraving and Printing, and a Postal Service carrier who traveled to Taiwan and Japan after receiving his passport.

About 50 of those who received passports either lived outside the United States or "their whereabouts were unknown," the report said.

A new law took effect in December 2008 that prohibits anyone convicted of sex tourism from receiving a U.S. passport. However, the report said, the Department of State was not even aware of the law until April of this year after the GAO "brought this statute to its attention."

"When Congress passes a law and the president signs it, then the Executive Branch needs to execute it," Grassley said in a statement. "I'm shocked that GAO had to inform the State Department that Congress made individuals convicted of sex tourism ineligible for passports back in December 2008. It's inexcusable that the State Department did nothing to enforce that provision for 14 months. Since someone who is late on child support payments cannot receive a passport, then surely these criminals should also be stopped from traveling internationally."

"It also is disturbing that the GAO found examples prior to that new law where the State Department issued passports to convicted sex offenders who fled law enforcement, received government housing subsidies, and work for the Post Office. This report raises a lot of serious questions about how effectively the government protects us from child predators," Grassley said.

The report also studied a group of registered sex offenders -- many who held positions of public trust, including a school teacher, religious layman, and health care provider.

"Other cases involve registered sex offenders who owe child support or are currently in prison or whose whereabouts are unknown," the report said. "... Several of our cases showed that sex offenders left the country and moved to Mexico. According to State officials, Mexico does not have a sex offense registration system, so these offenders are likely unknown to authorities and their neighbors."

The Department of State "has indicated that it would like to study any proposed legislation to provide additional authority to deny passports to sex offenders, including constitutional, policy and practical issues that may arise in its application and use," the report said. "A State official said that the department recently began working with [the Department of Justice] to develop a procedure for tracking these convictions and a procedure to notify State of those convictions."

@highlight

The GAO says about 4,500 registered sex offenders received U.S. passports in fiscal year 2008

@highlight

At least 30 federal employees who are registered sex offenders obtained U.S. passports

@highlight

The State Department can only deny passports to those convicted of sex tourism

@highlight

The State Department says GAO report has "more 'shock value' than factual accuracy"