(CNN) -- Are Syrian forces using chemical weapons in their years-long fight to hold on to power?

That's what the head of the Israel Defense Forces intelligence research and analysis division said Tuesday, becoming the latest to allege that Damascus was employing weapons banned under international law against its own people.

The claim further stoked the debate about the international community's role in Syria, where the United Nations estimated this month that 70,000 people have been killed since the conflict flared in March 2011. U.S. President Barack Obama, for one, has said the Syrian government's use of chemical weapons against its own people would be a "game changer" in how his and other nations address the crisis.

On Tuesday, his nation's top diplomat said Tuesday that the United States does not know definitively that such chemical weapons had been deployed. In fact, U.S. Secretary of State John Kerry said, Israeli Prime Minister Benjamin Netanyahu also did not confirm the use of such weapons when the two spoke by phone earlier in the day.

"The information that I have at this point does not confirm it to me (in a manner) that I would feel comfortable commenting on it as a fact," Kerry said.

Israeli Brig. Gen. Itai Brun, though not offering any direct evidence, stated firmly on Tuesday the belief that Syrian forces have increasingly used "ground-to-ground missiles, rockets and chemical weapons."

He specified that sarin gas -- an odorless nerve agent that can quickly kill thousands by causing convulsions, paralysis and respiratory failure -- was most likely used, as were "neutralizing and nonlethal chemical weapons." Brun pointed to one episode on March 19 in which, he said, "victims suffered from shrunken pupils, foaming from the mouth and other symptoms which indicate the use of deadly chemical weapons."

"According to our professional assessment, the regime has used deadly chemical weapons against armed rebels on a number of occasions in the past few months," said Brun, according to quotes provided by the IDF.

In a letter to the U.N. secretary-general in December, Syria said the United States had falsely accused it of using chemical weapons.

Chemical weapons frightful, relatively inexpensive

Before the Israeli official's announcement Tuesday, a United Nations-led investigation was already looking into accusations of chemical weapons use by the Syrian government.

Russian Foreign Minister Sergei Lavrov warned Tuesday against jumping to conclusions by repeating the "Iraqi scenario" in which claims that Saddam Hussein's government possessed so-called weapons of mass destruction were the basis of the U.S.-led invasion.

Lavrov accused other nations of "politicizing the issue." Further, he criticized how international investigators looking into an alleged use of chemical investigators in Aleppo had demanded access to to all facilities in Syria and to have the right to interview any Syrian.

"I believe that is too much," Lavrov said.

U.S.: Chemical weapon use 'difficult to confirm'

While he didn't detail a possible U.S. response, White House spokesman Jay Carney on Tuesday called the potential use of chemical weapons inside Syria "unacceptable."

At the same time, he said, "The use of chemical weapons is difficult to confirm."

In addition to Syria's possible use of chemical weapons against rebels, another concern is that parts of the government's stockpile of chemical weapons -- which analysts believe is one of the world's largest and includes sarin, mustard and VX gases -- could end up, if they haven't already, in others' hands.

A senior U.S. official told CNN on Tuesday that Syrian government forces have carried out several movements of chemical weapons during the past month.

Months of warnings, speculation swirl around Syria's chemical weapons

U.S. officials said they believe the chemical stockpiles remain under government control, but the movements have complicated the U.S. effort to keep track of them.

Asked last week at a hearing whether the United States could guarantee that it could secure Syria's chemical weapons stockpile if the government were to fall, the chairman of the Joint Chiefs of Staff was noncommittal.

"Not as I sit here today, simply because they have been moving it, and the number of sites is quite numerous," said Gen. Martin Dempsey.

Pentagon spokesman George Little said Tuesday that the U.S. stresses to Syria, "in the strongest possible terms, (its) obligations ... to safeguard its chemical weapons stockpiles and not to use or transfer such weapons to terrorist groups like Hezbollah."

Israeli minister: It's clear that chemical weapons were used in Syria

Addressing the press Monday, a day before Brun's briefing, Israel's defense minister did not seem to indicate that his government has absolute proof of chemical weapons use in Syria.

But if there was, Israel is prepared to act.

"We are ready to operate if any rogue element is going to put his hands or any chemical agents are going to be delivered toward rogue elements in the region," Defense Minister Moshe Yaalon said.

Analyst: 'A fantastic weapon of fear'

Syria isn't one of the 188 nations that have signed on to the Chemical Weapons Convention that prohibits the production, stockpiling and use of chemical and biological weapons. Fellow Middle Eastern nations having taken a similar stance, officially refusing to sign on until Israel signs the Nuclear Non-Proliferation Treaty.

Yet Syria has denied having such weapons, as well as using them during its ongoing civil war. (Damascus has accused rebels of using such weapons, though, including in an attack last month in the northern province of Aleppo that state media claimed killed 25 people.) It's also expressed concerns that its government might be falsely implicated if "terrorists" -- a term it uses to refer to rebel fighters -- employ such weapons.

Report: Syrian officials claim chlorine, saline mix used in Aleppo attack

"What raises concerns ... is our serious fear that some of the countries backing terrorism and terrorists might provide the armed terrorist groups with chemical weapons and claim that it was the Syrian government that used the weapons," the state-run news agency SANA reported.

Unlike nuclear weapons, chemical weapons are inexpensive to develop and stockpile.

This lends them a disproportionate importance for Syria and the region, analysts say.

"In the Middle East, chemical weapons have been seen as a possible counter to Israel's nuclear weapons," Susan B. Martin of the Department of War Studies at King's College London said in March.

Dina Esfandiary, a research associate at the International Institute for Strategic Studies, said last month that Syria embraced a chemical weapons program as a way to bolster its strategic strength despite economic weaknesses, especially after Israel imposed a series of humiliating military defeats on the Arab world.

Syria's chemical weapon potential

"The best way to operate asymmetrically was for Syria to have its chemical weapons program," she said.

According to Esfandiary, chemical weapons' utility is "quite limited," as they are more of a deterrent than a real battlefield or tactical weapon.

"If you shoot a missile at a population center, you can be fairly certain that anyone it hits will die," she said. "Chemical weapons use is not as clear-cut as that. It depends on topography, weather, how you deliver the chemical weapons, and you can't always be clear it will cause maximum casualty."

Their real power is in psychological, she said.

"It's a fantastic weapon of fear."

CNN's Elise Labott, Barbara Starr and Laura Smith-Spark contributed to this report.

@highlight

NEW: Russia's foreign minister warns of claiming chemical weapon use without proof

@highlight

NEW: He accuses some nations of trying to "politicize the issue"

@highlight

"In all likelihood, they used sarin gas," an Israeli intelligence official says

@highlight

The top U.S. diplomat says he has not gotten confirmation of chemical weapon use