WASHINGTON (CNN)  -- William Jackson was a slave in the home of Confederate president Jefferson Davis during the Civil War. It turns out he was also a spy for the Union Army, providing key secrets to the North about the Confederacy.

William Jackson, a slave, listened closely to Jefferson Davis' conversations and leaked them to the North.

Jackson was Davis' house servant and personal coachman. He learned high-level details about Confederate battle plans and movements because Davis saw him as a "piece of furniture" -- not a human, according to Ken Dagler, author of "Black Dispatches," which explores espionage by America's slaves.

"Because of his role as a menial servant, he simply was ignored," Dagler said.  "So Jefferson Davis would hold conversations with military and Confederate civilian officials in his presence."

Dagler has written extensively on the issue for the CIA's Center for the Study of Intelligence .  Watch the stories of slaves as spies »

In late 1861, Jackson fled across enemy lines and was immediately debriefed by Union soldiers. Dagler said Jackson provided information about supply routes and military strategy.

"In Jackson's case, what he did was ... present some of the current issues that were affecting the Confederacy that you could not read about in the local press that was being passed back and forth across local lines. He actually had some feel for the issues of supply problems," Dagler said.

Jackson and other slaves' heroic efforts have been a forgotten legacy of the war -- lost amid the nation's racially charged past and the heaps of information about the war's historic battles. But historians over the last few decades have been taking an interest in the sacrifice of  African-Americans during those war years.

Jackson's espionage is mentioned in a letter from a general to Secretary of War Edwin Stanton. Maj. Gen. Irvin McDowell refers to "Jeff Davis' coachman" as the source of information about Confederate deployments.  Watch grandson of slaves: "They call me Little Man" »

Dagler said slaves who served as spies were able to collect incredibly detailed information, in large part because of their tradition of oral history. Because Southern laws prevented blacks from learning how to read and write, he said, the slave spies listened intently to minute details and memorized them.

"What the Union officers found very quickly with those who crossed the line ... was that if you talked to them, they remembered a great more in the way of details and specifics than the average person ... because again they relied totally on their memory as opposed to any written records," he said.

Jackson wasn't the only spy. There were hundreds of them. In some cases, the slaves made it to the North, only to return to the South to risk being hanged. One Union general wrote that he counted on black spies in Tennessee because "no white man had the pluck to do it."

No one was better than Robert Smalls, a slave who guided vital supply ships in and out of Charleston Harbor in South Carolina. He eventually escaped and provided the Union with "a turning of the forces in Charleston Harbor," according to an annual report of the Navy secretary to President Lincoln.

"A debriefing of him gave ... the Union force there the entire fortification scheme for the interior harbor," Dagler said.

One of the most iconic spies was Harriet Tubman, who ran the Underground Railroad, bringing slaves to the North. In 1863, she was asked by the Union to help with espionage in South Carolina. She picked former slaves from the region for an espionage ring and led many of the spy expeditions herself.

"The height of her intelligence involvement occurred late in 1863 when she actually led a raid into South Carolina," Dagler said. "In addition to the destruction of millions of dollars of property, she brought out over 800 slaves back into freedom in the North."

As the nation marks Black History Month in February, Dagler said that history should include the sacrifices of the African-Americans who risked their lives for their nation. Many paid the ultimate sacrifice.

"They were all over the place, and no one [in the South] considered them to be of any value. Consequently, they heard and saw virtually everything done by their masters, who were the decision-makers," Dagler said.

Whatever happened to William Jackson, the spy in Jefferson Davis's house?

Unfortunately, that remains a great unknown.

"He simply disappeared from history, as so many of them have."

CNN's Wayne Drash contributed to this report.

@highlight

William Jackson, a slave, learned key details inside the home of Jefferson Davis

@highlight

Davis was president of the Confederacy; Jackson leaked key secrets to the Union

@highlight

"Because of his role as a menial servant, he simply was ignored" by Southerners

@highlight

Author said history must never forget the sacrifice of African-Americans in Civil War