(CNN) -- North Korea plans to launch a rocket carrying a satellite between December 10 and 22, a spokesman for the Korean Committee for Space Technology said Saturday, according to state-run media.

The Unha-3 rocket will launch from the Sohae Space Center in North Phyongan Province and put a "working satellite" into orbit, the report by the official Korean Central News Agency said.

The planned launch is unusual because it comes during the wintertime and only months after a failed attempt in April.

On that occasion, Pyongyang also said the rocket was supposed to put a satellite into orbit, but the launch was seen by many other countries as cover for a ballistic missile test and drew international condemnation.

U.S. State Department spokeswoman Victoria Nuland said another launch "would be a highly provocative act that threatens peace and security in the region."

It would be also in direct violation of U.N. Security Council resolutions 1718 and 1874, under which North Korea is barred from testing ballistic missile technology, she said in a statement.

"Devoting scarce resources to the development of nuclear weapons and long-range missiles will only further isolate and impoverish North Korea," she said. "The path to security for North Korea lies in investing in its people and abiding by its commitments and international obligations."

The North's failed launch in April soured relations with the United States and scuppered a deal for Washington to provide thousands of tons of food aid to the North's malnourished population.

KCNA said a second version of the same Korean-made Kwangmyongsong-3 satellite is to be launched this time.

Scientists and technicians have analyzed the mistakes made in April, when the rocket broke apart shortly after takeoff, and have worked to improve the reliability and precision of the satellite and carrier rocket, the news agency reported.

The "polar-orbiting earth observation satellite" will blast off southward on a trajectory designed so that parts of the carrier rocket that fall during the launch will not land on neighboring nations, the news agency said.

It said North Korea had acted with utmost transparency on its last "peaceful scientific and technological satellite launch," and would "fully comply with relevant international regulations and usage" this time too.

South Korea's Ministry of Foreign Affairs and Trade expressed "serious concern" Saturday over its neighbor's planned launch, saying it was a "long-range missile test in the name of working satellite."

If the North goes ahead with the launch as intended, "it will be faced with a strong response," the ministry's statement said.

"The launch is a severe provocation as it is ignoring the concern and warning from the international community and is a direct challenge to the international community as a whole," it said.

South Korea will work closely with the international community, including fellow members of the so-called six-party talks on North Korea -- the United States, Japan, China and Russia -- to stop Pyongyang's "provocative act," it added.

UK Foreign Secretary William Hague also condemned the planned launch and urged the North Korean authorities to abandon the project.

"Failure to do so must lead to a further response by the international community, and will damage the prospects for peace and stability on the Korean Peninsula," he said in a statement.

The botched launch in April drew stern criticism from the U.N. Security Council, which repeated demands for Pyongyang not to carry out similar tests in the future. It followed attempts in 2006 and 2009 that were also judged by international experts as having failed.

News of the latest planned launch does not come as a complete surprise to North Korea watchers.

A U.S. academic website, 38 North, published an analysis of commercial satellite images Thursday that it said revealed trailers carrying the first two stages of one of the North's Unha rockets near the main missile assembly building at the Sohae Satellite Launch Station on the country's west coast.

The analysis by 38 North, which is run by the School of Advanced International Studies at Johns Hopkins University, followed the release of an image this week by the satellite imagery company DigitalGlobe that showed increased activity at the launch station.

38 North suggested the possible motivation for the activity at the Sohae site was the planned launch of a satellite-bearing rocket this week by its archrival and neighbor, South Korea. Seoul postponed that launch minutes before takeoff after the discovery of an electronic signal problem.

Top satellite image analyst Joe Bermudez, of DigitalGlobe, told CNN earlier this week that a launch on this scale for a second time within a year would be unprecedented for North Korea.

The North Koreans are looking for "maximum political impact" domestically, regionally and internationally with a test launch such as this, he said, calling it a "very politically motivated event."

The timing of a launch at the end of this year would coincide with many consequential events, said Bermudez, including South Korea's planned launch.

North Korea and Japan will also be holding another set of bilateral talks early in December and the South Korean presidential election will take place in less than a month.

North Korea-watchers say new leader Kim Jung Un may be responding to internal political pressure from hard-liners to send a message.

CNN's KJ Kwon, Jethro Mullen, Jennifer Rizzo and Joseph Netto contributed to this report.

@highlight

NEW: Nuland: A launch "would be a highly provocative act that threatens peace and security"

@highlight

NEW: UK Foreign Secretary William Hague calls on North Korea to abandon the plan

@highlight

South Korea says the North "will be faced with a strong response" if the launch happens

@highlight

North Korea says the rocket will carry a working satellite into orbit