(CNN) -- Libya is the latest North African country to experience internet trouble as democratic protests continue to sweep the region.

The massive Saharan country, long controlled by the dictator Moammar Gadhafi, has suffered "rolling blackouts" of its internet connections during the regime's ongoing violent crackdown on protestors, according to the internet traffic monitor Renesys.

The cause of these internet service cuts, however, remains uncertain. Possibilities include a government crackdown, an internet traffic overload or simple power outages, said Jim Cowie, Renesys' co-founder.

"If this had happened in any other country I might have said, 'Oh, that's just a provider. Maybe they had a power outage in their data center and their servers wouldn't start up," he said.

CNN's Ben Wedeman, one of the few independent journalists on the ground in eastern Libya, wrote that "the electricity was working. The cell phone system is still functioning, though you can't call abroad. The internet, however, has been down for days."

Google's online "Transparency Report" shows internet searches from Libya, which is controlled by anti-government demonstrators, have been happening at below-average levels in recent days. And Arbor Networks, a network security company, issued similar findings.

International internet traffic to and from Libya was shut down on Saturday morning from about 1 to 8 a.m. and again on Sunday during the same timeframe, according to Renesys' analysis, which was posted on the company's blog and is based on traffic data the company collects from internet service providers around the world.

It's almost as if the country had instituted a "overnight internet curfew," Cowie said, adding it's possible that Gadhafi's government wanted to crack down on cyber dissidents who are known to organize online while other people sleep.

Reports of wider-spread internet outages could be an indication that Libya is using more sophisticated methods to control the internet, some of which wouldn't be visible to international traffic monitors like Renesys.

Iran, for example, is known for shutting down internet traffic at the neighborhood level, or removing capacity from the local internet to the point that local and international Web traffic simply overload the system, Cowie said.

"You remove capacity until everybody is squeezing through a small soda straw," he said.

Libya's internet blackouts are somewhat similar to those instituted by neighboring Egypt's government during protests in that country.

Egypt, however, completely shut down internet access for five days during protests against the regime of Hosni Mubarak, who was forced to resign after 30 years.

That move appeared to be an attempt by the government to shut down access to blogs, e-mail, Facebook and Twitter, which were used heavily by some of the people who helped organize the anti-Mubarak protests which toppled his government after 18 days on the streets.

Wael Ghonim, a prominent Egyptian protestor, issued a warning to other dictators in the Middle East and North Africa, saying, "If you want to liberate a society, just give them the internet."

It's unclear how much of a role the internet and social media sites have played in organizing the protests in Libya.

The news network Al-Jazeera reports Facebook was used to help coordinate the start of the protests in Libya, which went into full swing on February 17.

"In a country where public dissent is rare, plans for Thursday's protests were being circulated by anonymous activists on social networking sites such as Facebook and Twitter," the news organization writes.

"One Facebook group urging a 'Day of Anger' in Libya, which had 4,400 members on Monday, saw that number more than double to 9,600 by Wednesday."

Some authoritarian regimes restrict internet access, as was the case in Egypt, as a way to try to stay in power. Others, like Syria, China and Russia, filter some websites and use the internet as a way to monitor their citizens and steer public discourse.

The internet infrastructure in Egypt and Libya is quite different, Cowie said.

"The key thing to remember is the massive difference in scale between the two countries. Egypt's internet was thousands of prefixes. Libya's internet is about a dozen prefixes," he said.

An internet prefix is like an online ZIP code. It's a number used to group devices that access the internet. Libya has 13 of these online zip codes out of the 400,000 internet prefixes that make up the entire internet, Cowie said. That makes the country a "very small corner of a very big universe."

Also of note: Only about 6% of Libyans are on the internet, compared to nearly a quarter of people in Egypt, according to the ITU, an agency of the United Nations that focuses on the internet and communications.

CNNMoney: Why Libya can't shut down bit.ly

Libya's access to the international internet is controlled by a single company, which is run by the state, Cowie said. That would make it easier, in theory, for the country to shut down internet connections than it was in Egypt, where the government had to call several internet service providers and order them to cut service as part of emergency law.

Meanwhile, as Wired.com reports, a Twitter activist called Arasmus has created a map of the few unconfirmed internet reports that are coming out of Libya.

@highlight

Libya experiences "rolling blackouts" in internet access

@highlight

The cause of these outages remains unclear

@highlight

CNN reporter says internet access has been cut

@highlight

Traffic monitors say access has been sporadic, cut most often at night