Dhaka (CNN) -- It will take a long time for the people of Bangladesh to get over deaths of more than 700 people crushed under twisted metal and shattered concrete at the workplace where they spent hours each day.

But what is surfacing more with time is the discussion about who is responsible for the tragedy and whether it could have been averted.

Preliminary results of a government inquiry into the collapse says "heavy machinery and high-capacity generators" were "largely responsible," state media reported. It also pointed the blame at "substandard materials" used in the construction.

A number of people have been arrested, including the owner, who is alleged to have illegally added three extra floors to the building, as well as the owners and senior managers of the factories who allegedly forced workers to go back to work even after cracks were found.

Some local business people I spoke to said the owners were under pressure from their buyers for timely delivery, which was hindered due to the ongoing political crisis.

The debate goes on about safety standards in factories in Bangladesh and whether compliance measures are in place. The buyers are not being spared and it is now being argued that they must ensure suppliers take the standard measures to ensure the safety of workers.

A very pertinent question was raised about the huge profit buyers make and whether this is ethical. The role of the various government agencies involved is also being questioned. Could this have happened if the concerned agencies remained vigilant and performed their duties properly? Everyone seems responsible.

Bangladesh's poor safety record

Savar's tragedy was not the first of its kind in Bangladesh. Last year, at least 117 workers died in a fire at a garment factory near Dhaka. In 2005, at least 100 workers died in the same area in a similar building collapse incident. Each year, workers continue to die in factories, in ship breaking yards and on construction sites.

A study by Bangladesh Institute of Labor Studies shows more than 6,000 workers died on the job in the last decade. However, very few initiatives had been taken by the government or factory owners to prevent such disasters.

The political system in the country is such where workers are used as pawns in the race to gain power and nothing else. The unholy nexus of politics, business and law enforcement has resulted in a culture where the basic rights of workers are often ignored.

Who is ultimately responsible?

So is it the responsibility of the buyers to enforce the government and businesses to comply with safety standards? Should the buyers pay more, as is always argued by the garment owners association, because the lower cost of production, compared with other markets, compels them to ignore safety standards?

These are only arguments to avoid the responsibilities. Of course buyers can't deny their role in failing to demand and enforce the safety codes when placing an order with a Bangladeshi supplier. Nor can they remain oblivious of the fact that if they continue to pay less the workers' conditions will remain unchanged.

The factory owners and their association must realize that they will lose the market if they do nothing to improve working conditions for their employees. The impression in the West that workers are maltreated at factories may turn out to be disastrous. Consumers are getting aware and might not want to buy products in future which are tagged "Made in Bangladesh."

Political parties should stop cashing in on the plight of these poor people. They can't deny that it is because the recent spate of political violence has forced many garment and other factory owners to flout the rules and go for quick money.

Having said that, the government and its mechanisms are ultimately responsible for the tragedy. Had the administration and its monitoring system been in place this could never have happened. For years, the rule of law was disregarded intentionally or let pass thanks to the omnipresence of corruption in the administration as well as in politics.

'Culture of impunity' persists

The absence of rule of law and the subsequent failure of the governments to improve it has led to a situation where a culture of impunity has made illegal money making lucrative. And it remains unpunished as well. This should come to an end and for that we need political will.

Bangladesh has hit many remarkable milestones in the last few decades. The country's success in reducing child mortality and population growth can be models for other countries. We are the torch bearers of micro credit and social business. The rate of female education is better than our neighboring countries. Our garment products are considered to be best among consumers. It is time that corrective measures are taken to deal with malpractices that prevail in the garment industry.

Corruption has to be contained with no space for impunity. The rights of the workers can no longer be looked down upon for the profits of a few. Rule of law must be restored in this sector. This daunting task can't be accomplished only by the business people, or the government or political parties.

The buyers also have to lend a hand so that millions of workers are saved from a looming disaster and can live a life with dignity and safety.

Join us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Sajjad Hussein.

@highlight

Questions remain over who was ultimately responsible for the Bangladesh tragedy

@highlight

More than 700 died when a building collapsed while they worked

@highlight

Not the first time Bangladeshi workers have died due to poor safety standards

@highlight

Hussein: Government has done little to improve situation despite recurring issues