(CNN) -- The "Abu Qatada" affair has set off a firestorm of debate in Britain and beyond -- about what constitutes support for terrorism, about detention without trial, deportation and, yet again, about the vexatious issue of Britain's relationship with Europe.

Abu Qatada is a militant Palestinian preacher who had been held in high-security jails in the United Kingdom for a total of six years. Last week, an immigration tribunal granted him bail, despite the government's objections. He was released Monday.

Abu Qatada came to the U.K. in 1993 with his wife and three children and was granted refugee status because he had been tortured by Jordanian authorities. But that was before his militant preaching became an issue and before al Qaeda became public enemy No. 1. Britain has historically generous criteria for granting political asylum, but the consensus now on the left and the right is that the 51-year-old preacher should not have qualified.

By the time he arrived in Britain from Peshawar in Pakistan, Abu Qatada's hardline Salafist views were well formed. Writing in The New Yorker in 2006, Lawrence Wright quotes a Saudi journalist who had met Abu Qatada in the early 1990s. Jamal Khashoggi said "Abu Qatada had struck him as far more radical than Osama bin Laden... influenced by Salafism, the puritanical, fundamentalist strain of Islam."

As a preacher in London mosques, Abu Qatada soon gained a militant following. In 1999, he allegedly sought to justify the killing of Jews, including children, and attacking Americans. Three days after 9/11, Abu Qatada preached that the attacks were part of a global struggle between Christianity and Islam, and were a response to America's unjust policies. In another sermon, he sought to justify the killing by a Muslim of a "non-believer" for the sake of Islam.

At the same time, Abu Qatada ran a magazine called Al Ansar, which supported jihadists in Algeria at a time when the Armed Islamic Group of Algeria was waging a brutal campaign of massacres and assassinations.

His rhetoric attracted a growing following in mosques and online among young militants, but no evidence has been produced in a British court to suggest he was involved with specific al Qaeda conspiracies.

A Spanish government indictment sought to show that Abu Qatada did go beyond sermons. It alleged that an al Qaeda member, Barakat Yarkas, made more than 20 trips from Spain to Britain between 1995 and 2000, bringing Abu Qatada funds raised for jihad. When London police raided Abu Qatada's home early in 2001, they found $250,000 in cash under his bed. Abu Qatada maintained it was to build a mosque, but some of the money was said to have been marked for the Chechen mujahideen -- at that point a cause celebre among jihadists.

Abu Qatada was detained in the U.K. in 2002 under sweeping anti-terror legislation enacted after 9/11 -- along with dozens of other Islamist militants. Videos of his preaching were found in a Hamburg, Germany, apartment used by some of those involved in the 9/11 attacks, including ringleader Mohammad Atta. British and other intelligence agencies asserted he had close ties to al Qaeda leader Osama bin Laden.

Counter-terrorism sources also maintained he was a big influence on Abu Musab al-Zarqawi, the Jordanian who would emerge as al Qaeda's leader in Iraq. Both had been convicted of involvement in a terror plot in Jordan in 2000, and according to one al Qaeda operative, it was Abu Qatada who had introduced al-Zarqawi to the al Qaeda leadership. Would-be shoe-bomber Richard Reid was also an admirer.

In denying Abu Qatada's release from jail in 2004, a judge said, "We have no doubt that his beliefs are extreme and are indeed a perversion of Islam for the purposes of encouraging violence against non-Muslims and Muslims who are, or have been, supportive of Americans."

In arguing for his continued detention the following year, the British government summarized his role, saying "He provides advice which gives religious legitimacy to those who wish to further the aims of extreme Islamism and to engage in terrorist attacks, including suicide bombings." His place in jihad was not unlike that of militant preacher Anwar al-Awlaki, who was killed in Yemen last year.

After Britain's highest court struck down detention without trial, Abu Qatada remained behind bars as the British government began proceedings to deport him to Jordan. He'd already been convicted there in absentia of involvement in two terrorist attacks in 1998, as well as the 2000 plot.

Abu Qatada appealed, saying deportation would put him at risk of torture and lengthy pre-trial detention. His case moved gradually up the ladder of British justice but was eventually dismissed by the House of Lords, which found that "the risk that evidence obtained by torture would be used in the criminal proceedings in Jordan would not amount to a flagrant denial of justice."

Enter the European Court of Human Rights, whose decisions are binding in U.K. cases. Last month, the court decided that Abu Qatada could not be deported to Jordan because there was "a real risk of the admission of evidence obtained by torture at his retrial."

British Prime Minister David Cameron reacted angrily to the decision, telling the House of Commons last week: "It is not acceptable that we end up with a situation you have someone in your country that threatens to do you harm that you cannot try, you cannot detain and you cannot deport."

It's a red meat issue to Conservative politicians in Britain. Traditionally hostile to Europe's influence in Britain's affairs, they believe the U.K. should not be bound by the court's decision. Ministers are conscious that emotions are running high. Home Secretary Theresa May told Parliament: "The right place for a terrorist is a prison cell; the right place for a foreign terrorist is a foreign prison cell far away from Britain."

But as one popular tweet puts it: "Abu Qatada has not even been convicted of a parking offense in Britain." And that's for two reasons. Authorities are unwilling to produce evidence in open court that might prove some operational or direct link to terrorism for fear of compromising intelligence sources. And it is notoriously difficult to prove a crime has been committed by the use of words that influence others' actions.

As Britain's Home Office admitted in 2005: "We accept that Qatada encouraged and raised funds for individuals to go to Afghanistan; he may not have gone further as an organiser."

While the U.K. authorities try to negotiate assurances from Jordan that would allow his deportation, Abu Qatada is on bail, but under strict conditions. He is electronically tagged, confined to his home for 22 hours a day, banned from using the Internet or a cell phone, banned from attending any mosque or publishing any statement, banned from receiving visitors without permission -- and those are just a few of the conditions. For now, Abu Qatada's ability to invigorate the hearts of jihadists is very limited.

@highlight

Abu Qatada's hardline views were formed before he entered Britain

@highlight

He ran a magazine, Al Ansar, supporting jihadists in Algeria

@highlight

A video of his sermons was found in a 9/11 bomber's apartment in Germany