Washington (CNN) -- Democrats acting like Republicans. Republicans acting like Democrats. The 2016 presidential contest is shaping up to be the political equivalent of gender-bending.

Democrats are coalescing early around a front-runner who certainly will be lavishly funded, Hillary Clinton. She's campaigning on the familiar GOP platform: "Next in line."

Meanwhile, a twice-beaten Republican Party finds itself doing as Democrats often did in the Reagan era, surveying a field of little-knowns and hoping for magic. The Republican field is led by two freshman senators: Rand Paul of Kentucky and Marco Rubio of Florida, plus a member of the House and the party's 2012 vice presidential nominee, Paul Ryan.

Three things are immediately striking about the top of the Republican field:

1) It's not only Washington-based, but it's all congressionally based. There is no governor in the top three, no general, no former Cabinet secretary, nobody with any notable private-sector accomplishment.

2) It's light on accomplishment. Ryan has to date been the most productive of the top three, but none of his famous budgets have been passed into law. Paul can cite no legislative accomplishments at all, only a stunt filibuster against the entirely imaginary menace of drone strikes against American citizens on American soil. Rubio has taken a lead role in immigration reform but must make some tough decisions about whether his future is best secured by negotiating a deal or scuttling one. None of the three Republican front-runners has any administrative experience to speak of.

3) It's intensely doctrinaire. Ryan was the author of much of the Republican Party's post-2009 tea party program. Rubio has to date shown himself an undeviating follower of that program. Paul dissents from some aspects of that program but in the direction of even greater extremism.

A party rebuilding from back-to-back presidential defeats has to face the possibility that the problem may be bigger than its candidate, bigger than its campaign tactics. There are a couple of obvious ways to address that possibility:

The party might look for an outsider nominee, a candidate so attractive in his or her own right as to offset the party's own unpopularity. This is what Republicans did by nominating Dwight Eisenhower in 1952 after five consecutive defeats by New Deal Democrats.

Or the party might allow an insider some latitude to edge back toward the political center. This is what Democrats did in 1992 when they nominated a pro-death penalty, pro-welfare reform, pro-free trade governor of Arkansas after losses under the party-line liberals, Walter Mondale and Michael Dukakis.

In 2016, however, Republicans as yet show no inclination to try either remedy. No independent superstar; no deviation from party line orthodoxy. The one Republican with the highest cross-partisan appeal, New Jersey Gov. Chris Christie, has been consigned to fourth place.

As the saying goes, the first step toward recovery is to acknowledge the problem.

The problem in 2012 -- as in 2008, as in the near-death experience of 2004, as in the popular vote loss of 2000, as in the loss of 1996, as in the loss of 1992 -- was the GOP's failure to offer an economic program relevant to the problems of middle-class Americans. The party's present three front-runners would not only repeat that failure, but double down on that failure.

The Republican Party desperately needs renewal, its early presidential front-runners are characterized by their rejection of change.

At a time when voters reject generic Republicanism, Republicans themselves are rallying to two of the most generic Republicans in the party -- and a third, Paul, who diverges from generic Republicanism only by offering voters even more of what they most dislike about today's GOP.

The party talks about learning from its mistakes. Thus far, the main thing the party seems to have learned from those mistakes is how to repeat them.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Democrats could pick 2008 also-ran Hillary Clinton for 2016

@highlight

He says Republican front-runners seem unlikely to measure up

@highlight

Despite losses, GOP could pick long shots such as Marco Rubio or Rand Paul, he says

@highlight

Frum: One candidate who appeals across party lines is Chris Christie