Educators and Parents: This Educator and Parent Guide is provided for teachers and parents to use as a catalyst for discussion and learning if they choose to watch this program with their students. CNN provides Educator and Parent Guides for all of its "In America" programming.

(CNN Student News) -- Watch or record "Latino in America 2: In Her Corner" when it airs on CNN at 8 p.m. ET/PT Saturday, October 1. By recording the documentary, you agree that you will use the program for educational viewing purposes for a one-year period only. No other rights of any kind or nature whatsoever are granted, including, without limitation, any rights to sell, publish, distribute, post online or distribute in any other medium or forum, or use for any commercial or promotional purpose.

Documentary Description: "Latino in America 2: In Her Corner" follows Marlen Esparza's journey to the 2012 Olympics, the first games to allow women to compete in boxing. The 21-year-old, five-time national champion weighs 112 pounds and hits so quickly and so hard that she has to spar with the guys. Marlen hasn't been interested in things you'd expect most young women her age to pursue. Instead, she's been fixated on boxing since she was 12. She is smart enough to get full academic scholarships to top colleges, but postponed university because she and her working-class, Mexican-American family dream she will get to be among the first women to represent the U.S. in the Olympics. Marlen's biggest competition is Christina Cruz, a Puerto Rican fighter from Hell's Kitchen. "Latino in America 2: In Her Corner" airs September 25th at 8 p.m. ET.

It is recommended that teachers and parents preview this program as it contains video from boxing matches that may not be appropriate for some students.

Recommended grades: 9-12

Subject Areas: Social Studies, Hispanic/Latino Studies, Physical Education, Sports

Before-Viewing Discussion Questions: Use these questions to promote discussion before viewing the program.

1. What does it mean to be Latino or Hispanic? Do you think that these terms are interchangeable, or do you feel that they have separate meanings? Explain.

2. What aspects of your life, if any, do you think are influenced by your heritage? Which aspects of your life do you think are not related to your cultural background?

3. What do you think might be the potential rewards and risks of participating in a contact sport like boxing? Do these types of sports interest you? Why or why not?

Post-Viewing Discussion Questions: Use these questions to facilitate discussion and critical thinking after watching "In Her Corner."

Who is Marlen Esparza? What aspects of Esparza's heritage are revealed in the documentary?

How did Rudy Silva challenge Esparza when he first met her? How did she react to this challenge? How long has Esparza trained under Silva? What does Esparza say about why other boxers don't stay with Silva? Why do you think that Esparza continues to train under him?

According to the program: How much of Esparza's life is dedicated to training? What are some aspects of her training regimen? What rules has Silva imposed on Esparza? What impact, if any, do you think that these rules might have had on Esparza's training and her ability to compete?

According to the documentary, many U.S. boxers are working-class Latinos and African-Americans. Why do you think that boxing might appeal to these groups?

When will women's boxing become an Olympic sport? Why do you think that U.S. Olympic boxing Coach Gloria Peek says that boxing "is the last great domain of men"? Do you agree with her statement? Why or why not? Why do you think that women's boxing has not appeared in previous Olympic Games?

Who is Christina Cruz? What do Esparza and Cruz each say about the other's boxing style? How do you think they know this information? How might they use this knowledge in the boxing ring?

Who wins the first match in Colorado between Esparza and Cruz? What do the results of this fight mean for each boxer? How does each fighter react to the match's results? Who ultimately wins the National Championship? What lessons do you think each boxer has learned from competing in this sport? What lessons do you think that others can learn from them?

What companies give Esparza sponsorship deals? What do you think might be the benefits and drawbacks, if any, of an athlete having commercial sponsors?

Why do you think that some of the people in the program, including Silva and Esparza, say that boxing keeps people out of trouble? What do you think might be some advantages and disadvantages of having young people involved in sports?

Media Literacy Questions

How can different forms of media be used to change perceptions about cultural groups and gender in sports? What kinds of diverse sports and athletes would you like to see more of in professional sports and sports media?

What do you think might be some challenges for a producer who is trying to develop a documentary about a particular culture?

Learning Activity

Ask students to brainstorm a list of Latino or Hispanic sports figures, past and present. Divide the class into groups, and have each group select one of these athletes. Guide each group as its members research their chosen athlete's life, including his or her background, culture and achievements. Encourage students to identify objects that could be included in a museum exhibit telling the story of this athlete's life. Inform each group that its exhibit should also contain artifacts that demonstrate both that person's cultural heritage and impact on his or her sport. After groups have completed their research, challenge each group to build a model, draw a labeled sketch or write a paragraph about their exhibit and present it to the class. After each presentation, have individual students give constructive feedback regarding the selection of artifacts and the overall design of the exhibit.

Generate a class discussion after the presentations. Ask students: What contributions did these athletes make to their individual sports? What role did culture play in the life stories of these athletes? Which athletes would students consider as role models for others? How might athletes serve as role models for young people who come from similar backgrounds, as well as from different backgrounds?

Curriculum Connections

Social Studies

National Curriculum Standards for Social Studies: The Themes of Social Studies

2 TIME, CONTINUITY, AND CHANGE

Social studies programs should include experiences that provide for the study of the ways human beings view themselves in and over time.

3. PEOPLE, PLACES, AND ENVIRONMENTS

Social studies programs should include experiences that provide for the study of people, places, and environments.

5. INDIVIDUALS, GROUPS, AND INSTITUTIONS

Social studies programs should include experiences that provide for the study of interactions among individuals, groups, and institutions.

The National Curriculum Standards for the Social Studies are produced by the National Council for the Social Studies.

@highlight

"Latino in America 2: In Her Corner" follows Marlen Esparza's journey to the 2012 Olympics, the first games to allow women to compete in boxing.

@highlight

Parents and educators can use this guide to initiate discussion with students about the documentary