(CNN) -- A single mother of six, Cherelle Wright brought her 3-month-old daughter to be immunized at Community Advanced Practice Nurses, one free clinic offering medical care to Atlanta's disadvantaged.

"Since I am unemployed at the moment and was in between having Medicaid insurance, I found out about this place (and) I was able to get all the immunizations that my children needed," she says. "It's a great opportunity to have health care when you are not able to afford it."

With the advent of Obamacare, the health market is changing. Connie Buchanan, CAPN director, has wondered how the Affordable Care Act would change the clinic's mission.

"I ask (clients) every day if they will be signing up for Obamacare and they look at me with a blank stare," she says.

She explains that Atlanta's economically disadvantaged, who make up an overwhelming majority of her clients, do not know much about the ACA. Most are extremely isolated from current events. Few own televisions and even fewer have Internet access.

Because of that, she expects most of her clients to stay with the clinic. However, she worries about its future and the potential for dwindling donations. Most nonprofit donors assume low-income populations will register for Obamacare en masse, so donations aren't necessary. However, many may not qualify for Obamacare.

As a result, many free-care providers -- which have been, and still are, the cornerstone of health care services for the indigent -- face an uncertain future.

"When the Affordable Care Act passed in 2010, there was an immediate assumption that no one is going to need the free clinic," says Donna E. Looper, executive director of the Georgia Charitable Care Network.

Looper has had to work hard to educate her donors on popular misconceptions about Obamacare.

Her first task was to clarify that having an insurance card was not a panacea that made the services offered by her nonprofits redundant. Even patients with Medicaid still look to free clinics to fill the gaps for services like dental care.

Georgia is one of the states that refused the expansion of Medicaid under Obamacare. So people fall in the gap -- those who don't qualify for Medicaid or Obamacare.

Meanwhile, the number of patients attending free clinics has not decreased, staying the same or even rising. Those who make too much to qualify for support and too little to afford care are left in a coverage gray area. According to Looper, this group is now flocking to free clinics.

It's a trend seen elsewhere as well.

"Regardless of a Medicaid expansion ... we will still have more uninsured people in Virginia than the free clinics currently serve," says Linda D. Wilkinson, CEO of the Virginia Association of Free Clinics.

In Virginia, free clinics served 75,000 people in 2012, Wilkinson says. She expects that 280,000 individuals will remain uninsured, even with Medicaid expansion. Arlington Free Clinic, the largest provider of its kind in Wilkinson's region, serves 1,700 of Arlington's working poor each year.

In Chicago, "Even with all of the great expectation and positive feelings ... there will still be well over half a million residents of Cook County five years from now who will not have benefited from the Affordable Care Act for a number of reasons," says Judith Haasis, executive director of CommunityHealth Chicago, the largest free medical clinic in Illinois.

In 2013 alone, her clinic served 11,500 unique patients. Many of those return multiple times, totaling an average of 30,000 visits.

"It is really difficult and often emotional for (health care providers) as they hear from our patients who are desperately asking if they can stay here," Haasis says.

Her group continues working with patients until they are fully enrolled and have found a new medical home. As a result, the clinic remains in a state of flux as it transitions out the eligible patients to other service providers while making room for those who are left with no options.

As many as 29 million documented and undocumented people are still without access to health insurance, Nicole Lamoureux, executive director of the National Association of Free Clinics, testified last February before the House Ways and Means Committee.

This figure includes those who are eligible for Medicaid but reside in states which choose not to expand their programs.

Many people do not realize that since the 1960s, about 1,200 free and charitable clinics nationwide have been filling in the gaps for those who fall through the cracks, Lamoureux told lawmakers.

Back in Georgia, Deloris Baker, a single mom with two kids, has been coming to CAPN for the last five years. She says her 6- and 9-year-old sons receive the best care there.

The children qualify for Medicaid, she says, but she is still awaiting approval. During the application process, she was told she herself did not qualify.

Baker is not looking forward to any changes that ACA may bring. "Everything I have heard has been negative (and) I don't think it's a good plan," she says.

Meanwhile, 19-year-old Paris Patterson, who is homeless with no source of income, is staying at Covenant House, an organization that cares for homeless youth. She had nowhere else to go, she says.

Patterson receives medical care at CAPN. "Right now my eyes are terrible. My stress is causing pain in my body," she says. "It's hard to get back on my feet when I am sick."

Confusion over Obamacare has created ample work for Amanda Ptashkin, outreach and advocacy director at Georgians for a Healthy Future, a nonprofit group aimed at providing "a strong voice for Georgia consumers and communities on the health care issues and decisions that impact their lives," according to its website.

Ptashkin's job is to travel around the state and translate exactly what ACA means for individuals. The hardest questions she faces come from those who earn too much to qualify for Medicaid and not enough to qualify for Obamacare.

"It is difficult for them to fully understand that (Medicaid expansion) is a state decision and unless it changes, unfortunately, they are not going to have a coverage option," she says. Ptashkin consistently finds herself recommending providers like CAPN as the best option for this group.

CAPN and other clinics remain dedicated to working with their patients regardless of Obamacare's impact.

"Because of the clinic, I have one less thing to worry about," Baker says.

Follow Meron Moges-Gerbi on Twitter @MeronCNN.

@highlight

Free clinics worry that donors will dry up because of Obamacare

@highlight

Many make too much to qualify for Medicaid and not enough to get coverage

@highlight

Even Medicaid patients look to the clinics to fill gaps in care