While tensions remain high between the United States and North Korea, the relationship is more cordial between their scientists.

Scientists from both nations are collaborating via nongovernmental organizations and universities on projects ranging from tuberculosis research and deforestation issues to digital information technology.

The idea behind science diplomacy is to build bridges and relationships through research and academics despite political tensions. This month, a delegation of North Korean economic experts visited Silicon Valley to see various American businesses and academic institutions such as Stanford University. It may seem like a bizarre concept that two countries, at odds with each other, would share scientific knowledge.

But science diplomacy existed between the Soviet Union and the United States during the Cold War, as researchers cooperated on nuclear issues, space missions and technology.  And this practice continues, with U.S. scientists working with academics and researchers from adversarial states like Iran, Cuba and North Korea.

"A group of us who believe in science diplomacy, believe that it is useful to find people in those countries with whom you can find something in common, with whom you can discuss and can perhaps cooperate in areas not strategic, military or defense-related," said Dr. Norman Neureiter, senior adviser to the Center for Science, Technology and Security Policy, which is part of the American Association for the Advancement of Science, an international non-profit organization dedicated to advancing science.

U.S. scientists, backed by a scientific engagement consortium that includes AAAS, Korea Society, U.S. Civilian Research & Development Foundation, Syracuse University and the American Association for the Advancement of Science, have worked with North Korean scientists and technical universities since 2007 to deliver lectures and share resources and knowledge about subjects such as reforestation, river reclamation, soil quality and agriculture. The U.S. government does not sponsor these activities.

The visits are heavily supervised by North Korean minders.  Also, scientists cannot collaborate in areas related to weapons or the military.

After a failed rocket launch last week, attention shifted to North Korea's scientific capabilities. The launch drew nearly universal criticism, with United Nations officials calling the country's decision to launch "deplorable."  The failed launch also triggered concerns about a possible nuclear test.

"The foreign powers are not the only ones with monopoly on military supremacy, and the days of their threatening and lying to us with atomic weapons is forever gone," said North Korean leader Kim Jong Un, in the centennial celebration of his grandfather's birth.

Under these circumstances, sharing scientific and technological knowledge with North Korea may seem questionable.

"Given what has happened, those are legitimate concerns and questions," said Hyunjin Seo, assistant professor at the School of Journalism and Mass Communications at the University of Kansas, whose main area of focus is public diplomacy.

"The level of exchanges between the United States and North Korea is quite limited when it comes to science engagement," she added.  "Given what scientists can bring to North Korea, there are a lot of limitations. So I don't think that those exchanges can really be blamed for helping North Korea."

Despite the rocket controversy, Seo supports continued efforts in science diplomacy.  She added that people should distinguish between North Koreans and its government.

The intent behind scientific overtures is well-meaning, said Hank Song, a Washington-based human rights activist for North Koreans.

"Looking at it from bigger picture, one-on-one contact is good, because it exposes North Koreans to individuals and provides an opportunity to meet and talk with Americans," he said. "But this is all done between the watchful eyes of the minders. When these meetings take place, the end result is, everything goes to help the regime. It doesn't help the people that really need help."

American and European scientists, including a Nobel laureate, an astronaut and other elite scientists, have visited North Korea in recent years and discussed ecology, biology, global weather systems and the Western scientific method, such as the peer review process.

"To simply oppose and coerce the North Koreans without trying to engage them is a prescription for failure," wrote David Hillmers, the only U.S. astronaut to visit North Korea, in an opinion piece for the Houston Chronicle after his visit. "We can engage without appeasing."

Hillmers visited the elite Pyongyang University of Science and Technology in the nation's capital. The lessons are taught in English, and the school educates students in the modern sciences.

Select groups of North Koreans have visited the United States. One group visited Google's headquarters in April, according to the Korean media site Chosun Ilbo. Google did not respond to inquiries about the meeting.

The same group of 12 North Korean officials also visited Stanford University on April 1, where they learned about the history of Silicon Valley and discussed economic collaboration.  Researchers from Stanford and North Korea's Ministry of Public Health teamed up in 2008 to develop a way to detect drug-resistant tuberculosis. North Korea is believed to have one of the highest incidences of tuberculosis outside sub-Saharan Africa. This kind of project has mutual benefits.

"Re-emerging infectious diseases don't respect boundaries," said Vaughan Turekian, the chief international officer and director of the Center for Science Diplomacy at AAAS.

He referred to cooperation with Burmese and American scientists in 2010. Before the political relationship between Myanmar (also known as Burma) and the United States began to thaw, scientists from both countries were addressing ways to tackle malaria and other infectious diseases.

For 10 years, Syracuse University has worked with Kim Chaek University of Technology in North Korea to develop a digital information library so they would no longer have to rely on card catalogs. The data would be stored online. The program brings North Korean computer scientists to the New York campus, as the only academic exchange program between American and North Korean universities.

"During these difficult times, it's more important to have channels of communication that are not necessarily hostile," said Stuart Thorson, who directs Syracuse's integrated information technology research collaboration with Kim Chaek University.

"Countries are adversarial to the U.S., but open to science," he said. "They like our science, our technology. This opens doors to places where our elected officials are not welcome."

Song, the human rights activist who works with North Korean defectors, remains doubtful that this has much impact on ordinary citizens. "When I talk to defectors, they don't believe that these scientific exchanges will help the people. This will only help the regime."

In March, the American Association for the Advancement of Science launched a new quarterly journal called Science & Diplomacy, which examines the relationship between science and diplomacy.  An editorial published in its first issue recalled instances when the U.S. collaborated with its historic rivals such as Japan, China and the Soviet Union.

"American scientists and Russian scientists who had built nuclear weapons, built enough to destroy civilization," Neureiter said.  "It would've completely destroyed both countries. But they began talking with each other, and gradually, they built an atmosphere of trust that influenced government policies.  It didn't suddenly topple the walls, but there was a basis of communication."

@highlight

No diplomatic relationship exists between the U.S. and North Korea, but scientists interact

@highlight

Science diplomacy aims to build bridges and relationships using research and academics

@highlight

After rocket launch, sharing scientific information with North Korea may seem questionable