(CNN) -- A person who dies a violent and newsmaking death is often destined to be defined by a brief label.

So it was that story after story about the murder in Beverly Hills, California, of 64-year-old Ronni Chasen has characterized her, in the phrase that inevitably precedes her name, as "Hollywood publicist."

"A suspect in the murder of Hollywood publicist Ronni Chasen shot himself in the head as he was about to be arrested by police," one report began.

Another:

"Hollywood publicist Ronni Chasen was murdered as she was driving through Beverly Hills, California, in a random 'robbery gone bad,' by a man who killed himself last week, according to preliminary findings in the Beverly Hills police investigation."

Accurate enough, as far as it goes. She was, indeed, a longtime publicist in the entertainment industry. When a person is murdered, the label affixed to his or her name in the news reports becomes, forever, who he or she is, as if nothing came before.

I had a friend from childhood who, 15 years ago, at the age of 47, was murdered one awful night, also in Southern California. I remember how jarring it was to read the lead paragraph in the story in the Los Angeles Times:

"The body of a mortgage broker who had been shot to death after returning from a Clippers game was discovered Thursday morning, authorities said."

The body of a mortgage broker? That's who Leon was? Not to those of us who remembered him as a laughing, lively eyed boy, full of energy and good humor, in love with sports, in love with music, always ready for a pizza at Rubino's on Main Street in the Ohio town where we grew up. The body of a mortgage broker?

Crime stories, by their nature, must compress a lot of information on a tight deadline. They inherently can't tell us much about who the victims were before they became classified as victims.

But one paragraph in a follow-up story about Ronni Chasen's murder caught my eye:

"Ms. Chasen grew up in the Washington Heights and Riverdale sections of New York, the daughter of a real estate broker and a homemaker. As a child, Ms. Chasen was athletic and gregarious, entering and winning yo-yo contests organized by the Duncan Toys Company, according to her brother, Larry Cohen."

She was in those Duncan contests? In the decades after World War II, Duncan would send yo-yo whizzes around the country, to big towns and small, to hold demonstrations at five-and-ten-cent stores and local athletic fields, teaching boys and girls how to do the most intricate tricks (and selling those boys and girls lots of yo-yos in the process).

In our town, the yo-yo star who annually passed through called himself "Dan-Dan the Yo-Yo Man." I suppose I assumed that all of Duncan's traveling stars called themselves that, sort of like all the Ronald McDonalds. Roger Ebert, my friend of 40 years, has written about his memories of Dan-Dan the Yo-Yo Man pulling into his hometown of Urbana, Illinois, in a dark maroon 1950 Hudson automobile:

"Dan-Dan dismounted on the far side of the big Hudson, and when he walked into view there were already two yo-yos spinning in the air before him, making a whirl of red and yellow. He walked smiling toward home plate, let the yo-yos bounce off it, and snapped them on the fly into his pockets. He took out one, and rocked the baby, walked the dog, skinned the cat, made the monkey climb the string and went around the world. Then he pulled out a Camel, lit up, and passed out flyers for the city-wide Duncan yo-yo contest that would be held on the stage of the Princess Theater on Main Street in Urbana for the following three Saturdays."

There are probably many ways that a person such as Ronni Chasen can first feel the spark that leads to a career as a Hollywood publicist, but being a part of those Duncan yo-yo contests would qualify as an early intriguing view into the power of creative, fun and relentless promotion of a leisure-time product. I don't think I've ever seen publicity and marketing quite as effective as what the yo-yo man did on his yearly trips across the country.

Those Duncan Tournament yo-yos, and Duncan Imperials, and Duncan Butterflies, sold for as little as 39 cents apiece. Was it worth it to send the dazzling yo-yo promoters through the United States to sell a 39-cent product?

"If you sell enough of them, it's worth it," said Mike Burke, Duncan's national sales and marketing manager, when I asked him the question.

Burke put me in touch with one of the original traveling yo-yo men, Bob Rule, now 74, who lives in Duluth, Georgia. (Rule told me that his name on the road was "Mr. Yo-Yo," and that I was wrong about all of them being called Dan-Dan: "If you saw Dan-Dan the Yo-Yo Man, then you saw Danny Maris.")

He said that running the yo-yo shows "taught you how to walk into places you don't belong, and pretend that you belong. It taught you how to take a product and promote it. To figure out how to get a local television station to put you on the air, to get a newspaper feature writer to interview you. It gave you the confidence to go out and promote."

Ronni Chasen, before she was a Hollywood publicist, witnessed firsthand the yo-yo man working his marketing magic in her hometown. Who ever knows where life will lead? We are, in large part, who we were.

In a news story 15 years ago about the murder of my childhood friend -- "The body of a mortgage broker ..." -- there was a brief mention of what he had done earlier on the night he died. In his car on the way to the Los Angeles Clippers basketball game, a California friend to whom he had given a ride said, he was playing a collection of rock 'n' roll oldies he had just purchased. "He was listening with fond memories," the friend told the reporter.

Going to watch a sports event, listening to the music he had long loved -- he was the same person he had always been, before, and in a way he never would have wanted, he wound up in headlines. The crime stories tell us about the end. If you read between the lines, sometimes you think you can see traces of the beginning.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Recent murder victim will always be "Hollywood publicist Ronni Chasen"

@highlight

Greene: One story, however, offered a hint to her life: She was a yo-yo champ

@highlight

Bob Greene read about friend's murder: "The body of a mortgage broker" was found

@highlight

Victims become a catchphrase, but one tidbit can offer a clue to the real person, he writes