(CNN) -- One word could have a big impact on the way doctors treat obesity in the United States.

The American Medical Association has adopted a new policy that officially labels obesity as a disease "requiring a range of medical interventions to advance obesity treatment and prevention," according to an AMA statement.

The physicians' group voted to approve the obesity policy, among others, on Tuesday during its annual meeting in Chicago.

The U.S. obesity rate increased almost 50% between 1997 and 2012, according to the Centers for Disease Control and Prevention. Today, nearly 30% of American adults are considered obese, and the problem is almost as prevalent in kids. Childhood obesity has more than doubled in the past 30 years, the CDC says.

Obesity for adults is defined as having a body mass index, or BMI, of 30 or higher. BMI is a way to measure body fat based on your weight and height. (Calculate your BMI here)

Being obese increases your risk factor for developing many serious conditions, including heart disease, type 2 diabetes, high blood pressure, stroke, liver disease, sleep apnea and osteoarthritis. In fact, obesity has been linked to almost every chronic disease in some way or another.

"Recognizing obesity as a disease will help change the way the medical community tackles this complex issue," AMA board member Dr. Patrice Harris said in a statement.

Obesity has long been recognized as a disease by other groups, but this move by the AMA sends a strong signal to the medical community, said CNN chief medical correspondent Dr. Sanjay Gupta.

Some experts worry suddenly declaring one-third of Americans "ill" or "sick" will increase the desire for quick interventions or medications and discourage people from making the lifestyle changes known to combat obesity.

On the other hand, AMA's declaration could help increase funding for future obesity research. It could also lead to payment for doctors who want to simply talk to patients about nutrition or exercise -- time that's not currently reimbursed by insurance plans.

Identifying obesity as a disease may also help in reducing the stigma often associated with being overweight, said Joe Nadglowski, president and CEO of the Obesity Action Coalition.

"Obesity has been considered for a long time to be a failure of personal responsibility -- a simple problem of eating too much and exercising too little," he said. "But it's a complex disease... we're hoping attitudes will change."

Nadglowski thinks the AMA's support is also an important step in helping people gain access to obesity treatment. Most forms of insurance do not cover obesity alone. For instance, an obese patient cannot hire a nutritionist or a trainer and have it covered by his or her plan simply to lose weight.

"We do cover treatment connected with a co-morbidity," says Don McLeod, a spokesman for the Centers for Medicare & Medicaid Services. "For example, if you have diabetes and obesity is aggravating the diabetes, we might cover obesity treatment as a way of treating the diabetes."

Obesity-related health care expenses cost Americans between $147 billion to $210 billion per year. Preventing and treating obesity before it leads to more serious diseases could help combat these costs, Nadglowski says.

AMA's decision comes at an interesting time. The Obesity Action Coalition has been working to introduce the Treat and Reduce Obesity Act in Congress.

The bill was re-introduced in the House on Wednesday and will be re-introduced in the Senate on Wednesday afternoon, according to the office of Sen. Tom Carper, D-Delaware, one of the measure's sponsors. A similar bill last year stalled in committee.

The bill would increase obesity treatment options for Medicare patients, expand the types of providers who can offer obesity counseling and take away some obesity medication limits.

@highlight

The American Medical Association adopts a new policy on obesity

@highlight

The change diagnoses nearly one-third of Americas with a medical condition

@highlight

AMA decision could increase funding for future research, doctor reimbursement