Washington (CNN) -- From rising rhetoric between the president and top Republicans over the economy to a marquee Senate campaign showdown, politics are heating up in the summer sun and could boil over in the week ahead.

1. Economic tug of war

With budget showdowns looming, President Barack Obama continues to try to take his case directly to the American people.

The president travels to an Amazon distribution center in Chattanooga, Tennessee, on Tuesday and will again speak on the economy, which remains the top issue on the minds of Americans. The White House touts the address as the first in a series of policy speeches on Obama's "better bargain for the middle class."

John King: Obama thinks he's getting the upper hand

"Tuesday's speech will focus on manufacturing and high-wage jobs for durable economic growth, and the president will discuss proposals he has laid out to jump-start private-sector job growth and make America more competitive, and will also talk about new ideas to create American jobs," White House press secretary Jay Carney told reporters.

The Chattanooga address follows similar speeches last week where the president's tone was sharper and more partisan than many had expected.

Obama: I won't 'twiddle my thumbs' waiting for GOP

"If the Republicans don't agree with me, I want them to lay out their ideas. If they have got a better plan to create jobs, rebuild our infrastructure, to make sure that they have great ports all along the Gulf, come on, let me know what your ideas are," the president said Thursday in Jacksonville, Florida.

Congressional Republican leaders are pushing right back at the president -- with deadlines to continue funding the federal government and raising the nation's debt ceiling as well the date for implementing a crucial part of Obamacare on the horizon.

Obama touts economic agenda; GOP says he's 'all sizzle, no steak'

"Look, this president is a terrific campaigner. We all recognize that. He has got a way with words, too. But at some point campaign season has to end and the `working with others' season has to begin," Senate GOP Leader Mitch McConnell said on the Senate floor Thursday morning.

"His speech turned out to be all sizzle and no steak, that's assuming there's any sizzle left after you've reheated this thing so many times," House Speaker John Boehner chimed in later.

With one week left before the congressional summer recess, both Democrats and Republicans will ramp up the rhetoric over the strong possibility of a government shutdown in the autumn. Both sides are pointing fingers in a heated blame game, and the fight will continue into the August recess as the action moves to lawmakers' home states and districts.

2. Marquee Senate showdown begins

What could ultimately be the most expensive and bitter Senate battle in the 2014 midterm elections formally begins Tuesday when Kentucky Secretary of State Alison Lundergan Grimes kicks off her Democratic challenge to McConnell, who's running for a sixth term in the Senate.

In a preview of how nasty things could get, Grimes blames McConnell for greatly contributing to the gridlock in Washington, saying in a video previewing her rollout that the Senate Republican leader is "the biggest part of the problem. He's wasted decades blocking legislation that would have helped Kentucky and our country. And over the last few years he's done it for the worst possible reason -- out of spite."

Web wars start in crucial 2014 Senate race

Even before announcing her candidacy this month, Grimes had already come under attack, both by an Internet ad put out by the McConnell campaign that poked fun at the amount of time she was taking to make a decision, and by a pro-McConnell independent group that went up with an ad that called her "Obama's cheerleader in Kentucky."

McConnell is known for taking the fight to his political opponents, and he quickly welcomed Grimes to the race by linking her to the president, who is unpopular in Kentucky, a red state in presidential elections.

"Accepting the invitation from countless Washington liberals to become President Obama's Kentucky candidate was a courageous decision by Alison Lundergan Grimes, and I look forward to a respectful exchange of ideas," McConnell said in a statement this month.

In her video, Grimes fired back, saying, "I don't scare easy."

Next weekend both Grimes and McConnell will attend the annual Fancy Farm picnic in the rural western tip of Kentucky. The picnic is famous as a traditional political gathering that attracts statewide candidates.

Also expected to attend that gathering is Matt Bevins, a Kentucky businessman who a few days ago formally launched a conservative primary challenge to McConnell, adding more political fire to an already combustible race.

Conservative challenger takes on McConnell

3. House GOP to make another statement

Pegged to the scandal involving Internal Revenue Service targeting some political groups for special scrutiny, the GOP-controlled House of Representatives will vote on a series of bills in the week ahead to curb the power of the IRS and other federal agencies.

House Majority Leader Eric Cantor packaged 10 measures for floor votes and dubbed the final week before a monthlong summer recess as "Stop Government Abuse" week.

Republicans to make big push on oversight legislation

In addition to the IRS, another chief target of the Republican legislative push is Obamacare, which the House GOP has continually tried to roll back.

One bill sponsored by Rep. Tom Price, R-Georgia, would prohibit the IRS from implementing any provisions of the health care law. Since the IRS is the agency that would enforce the mandate that individuals must carry health insurance, this legislation essentially hamstrings the program. This bill is the latest in a string of more than three dozen times House Republicans have tried to repeal entirely or change parts of the health care law.

House Democratic Leader Nancy Pelosi criticized the effort, saying, "It is only fitting that Republicans would waste the last week at work this summer voting for the 40th time to repeal the Affordable Care Act and continue their record of no jobs bills, no budget agreement and no solutions for the middle class."

Many Republicans expressed outrage after IRS employee Lois Lerner was placed on administrative leave but is still being paid, which the current law allows. A GOP bill sponsored by Rep. Mike Kelly, R-Pennsylvania, would change that law and allow federal agencies to suspend employees who are under investigation without pay. Other Republican bills would limit bonuses for federal workers and impose a ban on any new IRS conferences until new changes are in place.

One topic the House won't address before its five-week break is immigration reform. The Senate passed a bipartisan comprehensive immigration bill last month, but Boehner said instead the House will take a "step-by-step" approach but has not given any details yet on when it will vote or what specific measures will be taken up on the floor.

4. Scandals from coast ...

It's the tabloid political blockbuster of the summer: Amid falling poll numbers and a rising "sexting" count, New York mayoral candidate Anthony Weiner had a horrible week.

Opponent: Weiner is immature, disconnected from the truth

But the former seven-term Democratic representative, who resigned from Congress two years ago following a similar scandal, has so far resisted calls to end his bid for a second chance in politics.

All eyes will be on Weiner in the days ahead. Will Weiner's poll numbers continue to plunge? Will more women who had inappropriate online relationships with Weiner speak out? Will Weiner's wife, Huma Abedin, a longtime top adviser to Hillary Clinton, continue to support her husband's bid for political redemption?

Weiner acknowledged Sunday that campaign manager Danny Kedem has left his team.

A lot of questions remain, and as of now, Weiner's still giving answers.

Weiner says he has no response to Sidney Leathers

"But there's going to reach a point fairly soon that I'm going to say I think I've said enough about it, and I'm going to keep just talking about other things," Weiner told reporters Friday.

Stay tuned.

5. ... to coast

On the left coast, it's a similar story as another former Democratic congressman is facing calls to quit. San Diego Mayor Bob Filner is dealing with an explosion of sexual harassment allegations.

Filner said Friday he will take a two-week hiatus for "intensive counseling." His move came one day after fellow Democrats called for his resignation.

Amid calls to resign, embattled Filner to enter clinic

Saying he had apologized to his staff, the citizens and the "women I have offended," the mayor said, "It is simply not acceptable to explain away my conduct as the product of the standards of a different generation."

On Thursday, the San Diego County Democratic Party voted 34-6 to ask the mayor to step down. Seven women have said they were targets of the mayor's advances.

A group has begun a campaign aimed at getting more than the 100,000 signatures needed to try and recall Filner, who was a five-term congressman before being elected mayor last year.

CNN's Tricia Escobedo, Craig Broffman and Deirdre Walsh contributed to this report

@highlight

President Obama to continue to push plan for economy ahead of congressional recess

@highlight

Senate Minority Leader Mitch McConnell takes fire from left and right in re-election campaign

@highlight

House Republicans to push for more oversight at IRS, take another shot at Obamacare