Washington (CNN) -- As the administration considers what executive actions President Barack Obama can take on immigration, the central question is how far can he go?

Obama said on June 30 that he had asked the attorney general and the secretary of Homeland Security to look into the steps he can take, within the confines of the Constitution, to "fix as much of our immigration system as I can on my own."

The President expects to receive their recommendations before the end of the summer and intends to adopt them without delay. He said he was taking this step because Congress -- particularly House Republicans -- had not acted on comprehensive immigration reform. At a news conference on Wednesday, Obama said the American people want to see action on the issue.

"What I can do is scour our authorities to try to make progress," he said. "And we're going to make sure that every time we take one of these steps that we are working within the confines of my executive power. But I promise you the American people don't want me just standing around twiddling my thumbs and waiting for Congress to get something done."

Advocates and analysts say the legal answer might be different than the political one.

What's being considered

At the top of the list of options is an expansion of the Deferred Action for Childhood Arrivals program. It allows immigrants brought here illegally as children to stay without fear of deportation and apply for work permits if they meet certain criteria. So far, some 660,000 young people have taken advantage of the program, according to a report by the nonpartisan Migration Policy Institute. That's 55% of the 1.2 million who were immediately eligible.

Half a dozen advocates involved in conversations with White House and Department of Homeland Security officials studying the matter believe the President could expand deportation relief to potentially millions more undocumented immigrants by expanding DACA.

GOP-led House authorizes lawsuit against Obama

Advocates say the administration is considering expanding DACA to cover the parents of U.S. citizens or all undocumented parents.

The White House could also decide to cover undocumented immigrants in industries such as farming, or it could expand relief based on how long a person has been living and working in the community. While there are many different mechanisms that could be used to provide deportation relief, using the existing DACA program as the template is an attractive alternative because that process has been up and running since 2012.

"We think the administration should be looking at the most expansive relief that's possible given that we're talking about people who have very strong ties to the community and they are woven into these communities and they have really strong equities," said Laura Vazquez, the legislative analyst for the Immigration Policy Project at the National Council of La Raza.

Several groups are pushing the President to expand the DACA program for all those who would have been allowed to stay under the comprehensive immigration overhaul legislation the Senate passed in June 2013 but stalled in the House. That would mean an estimated 6 million to 9 million people could qualify, advocates say.

"He could protect 9 million people in the estimation of our legal beagles who've looked at this," said Frank Sharry, executive director of America's Voice.

Sharry was one of several advocates who attended a meeting with Obama on June 30. He said the president appeared ready to take bold, aggressive action on the issue.

Legal considerations

Groups such as America's Voice, backed by legal experts, say the President is on solid legal ground to expand DACA, even to the millions that would have qualified for relief under the Senate bill. They say that's because deferred action -- a type of prosecutorial discretion that grants some undocumented immigrants relief from deportation on a case-by-case basis -- is a well-established practice under existing immigration law.

"He has the authority to decide who to prosecute," said Josh Bernstein, immigration policy and strategy director at the Service Employees International Union. "As long as he is following the laws that Congress has passed, he has broad discretion in terms of how to do that."

With Congress divided, Obama to go his own way on immigration

Hiroshi Motomura, an immigration law professor at UCLA and author of the new book "Immigration Outside the Law," said there are legal limits on the President's authority over immigration law. For instance, he can't change the rules for noncitizens to become permanent residents or put them on a path to citizenship because Congress sets those rules. But he said none of these limits stands in the way of expanding DACA as long as it's done correctly.

Setting priorities about who to deport, such as focusing on violent criminals, is necessary because Congress does not appropriate enough money to deport all of the more than 11 million undocumented immigrants in the country, advocates say.

"Congress created a system that has resulted in 11 million [people] in the United States without legal status," Motomura said.

"Handed this situation, it's unavoidable that the President exercises discretionary choices about enforcement. In doing so, he is on solid ground using a DACA-like approach for a larger group, making case-by-case individual decisions after a group of people qualifies under threshold criteria."

Doris Meissner, a former commissioner of the U.S. Immigration and Naturalization Service now at the Migration Policy Institute, said it's theoretically true that the administration could expand DACA to cover as many people as would have been covered in the Senate bill. But he said there are a lot of other issues the administration's lawyers have to consider when deciding just how much to expand the program.

Those include how likely it is that they would be sued by opponents and whether those opponents would have standing to argue they were harmed. Another big question the White House must consider is what kind of precedent a big, bold move could set not just for future undocumented immigrants but for the exercise of executive power on other issues such as environmental policy and enforcement of civil rights laws.

"There's just an enormous amount of jurisprudence and legal analysis that lawyers are going to bring to help inform the decisions on this issue because it is very high stakes," Meissner said.

"One always is concerned in the executive branch about the precedent that gets set where your successors are concerned. Depending on where you are politically, what may seem like a gift in the hands of the opposing party becomes a hammer."

Political considerations

Another big question is how much of a political backlash the White House is willing to endure.

"Many groups, including ours, have said, 'You know, it would really be awesome to use that [Senate bill] as a template,' " Sharry said. "Most of us think he's not gonna go that far, not because of a lack of legal authority, but because the political constraints are bigger than the legal limitations."

Many Democrats, led by members from the Congressional Hispanic Caucus, have long pushed for the President to use his powers to curb deportations.

"He has alternatives under existing law," Rep. Luis Gutierrez, D-Illinois and CHC Immigration Task Force chairman, said on the House floor earlier this year.

"There are concrete ways within existing law to help keep families together and spare U.S. citizens from losing their wives, their husbands and their children to deportation. In spite of your lack of action."

Obama impeachment talk just political theater

But the White House has already gotten a sampling of the kind of response any announcement of executive actions on immigration is likely to get from Republicans in Congress. House Speaker John Boehner said the President's moves would create incentive for more illegal crossings and would be a "grave mistake."

"If the President takes these actions, he'll be sealing the deal on his legacy -- legacy of lawlessness," Boehner said in July. "He'll be violating the solemn oath he made to the American people on the day of his inauguration and he'll be sacrificing the integrity of our laws on the altar of political opportunism and I can guarantee you, the American people will hold him accountable."

House Republicans, many of whom have accused Obama of being an imperial president, have already voted to sue the President, charging he overstepped his authority in implementing the Affordable Care Act.

And it isn't just Republicans who are questioning the President's plan. An August 6 Washington Post editorial also weighed in.

"Obstinate, hopelessly partisan and incapable of problem-solving, Congress is a mess. But that doesn't grant the President license to tear up the Constitution," the paper's editorial board wrote. "As Mr. Obama himself said last fall: 'If, in fact, I could solve all these problems without passing laws in Congress, then I would do so. But we're also a nation of laws.' To act on his own, the President said, would violate those laws."

The paper predicted that extending deportation relief to millions of undocumented immigrants could trigger a constitutional showdown with congressional Republicans.

@highlight

After Congress failed to act, Obama is considering executive actions on immigration issues

@highlight

Obama could expand deferrals to shield some undocumented immigrants from deportation

@highlight

Immigration advocates are pushing Obama to act broadly to bring down deportations

@highlight

But the questions are what can Obama do legally and does he have the political capital?