Cairo (CNN) -- Thousands of Egyptians filled Cairo's Tahrir Square on Wednesday, exactly one year after the start of the revolution that ousted longtime Egyptian ruler Hosni Mubarak but, many say, accomplished little else.

At times the mood in the square was somber and tense amid fears that violence could break out between protesters and the military.

Many people held banners as they chanted slogans against the country's military leaders.

But some celebrated the anniversary and said Egypt has progressed since Mubarak's ouster.

"This time last year, every person in Egypt was enslaved to Mubarak's regime, and those who dared speak or write about his tyranny paid a high price," said Yasmeen Khalil, a teacher. "Yes, the revolution may not be complete, but I think we have come a long way, and no one can deny it."

Are you there? Share your perspective from Egypt.

Egypt's revolution last year came on the heels of Tunisia's revolt that led to the ouster of that country's leader in January 2011. Since then, protests against longtime rulers swept across North Africa and the Middle East, including uprisings in Libya, Yemen and Syria.

Signs of progress toward a more democratic system in Egypt after the revolution contrasted with the feeling that the real changes protesters had hoped for have not been realized.

Egypt's democratically elected parliament met Monday for the first time since Mubarak was ousted after decades of authoritarian rule. But the country's influential military, which stepped into the vacuum as Mubarak teetered last year, retains much of the decision-making power.

Pro-democracy activists, frustrated by what they say is the slow pace of change, have clashed with the military in Cairo's streets in recent months.

"It is ironic that the most times I've ever been beaten, the most times I've ever felt the threat of danger, was after Mubarak stepped down," Nour Nour, an activist who was 20 at the time of Mubarak's fall, said in a recent interview. "And all of these are very basic indications that the regime that is ruling us at the moment is merely a continuation of the Mubarak regime."

Photos: Looking back at Egypt's uprising

In the recent parliamentary elections, established Islamist parties like the Muslim Brotherhood performed much more strongly than the liberal parties that represented some of the protesters. And a new constitution has yet to be drawn up.

Some Egyptians have said the hopes forged by protesters in the heady days of January and February last year were doomed to fall short.

"There were too many expectations," said Hisham Qasim, a newspaper publisher and human rights activist. "Raising the expectations was probably the biggest mistake, and media probably have a great part to do with that."

Khalil said she was planning to spend the night in Tahrir Square with her friends, hoping to put pressure on military junta to reaffirm their transfer of power on time, end military tribunals of civilians, increase wages and reimburse families of the of those killed during Egypt's upheaval.

But most of all, Khalil said, she wanted a guilty verdict for Mubarak, whom she said robbed the nation for decades and "watched his people die in the hundreds without ordering his soldiers to stop."

The ailing Mubarak is on trial on charges of corruption and ordering the deaths of hundreds of protesters during the clashes last year that led to his downfall. He has denied the charges.

CNN's Ben Wedeman contributed to this report.

@highlight

"I think we have come a long way, and no one can deny it," one woman says

@highlight

Some Egyptians are frustrated with the pace of change after Hosni Mubarak's ouster

@highlight

There are fears of fresh clashes between protesters and the military on Wednesday

@highlight

Mubarak is on trial facing charges of corruption and ordering the deaths of hundreds