WASHINGTON (CNN) -- The Department of Veterans Affairs says it will study the effects of toxic emissions from burning trash at military installations in Iraq and Afghanistan on veterans, even after the Department of Defense has concluded no long-term effects exist.

Studies of the smoke from the burn pits suggests it contains dioxin and other toxins.

The extent of the VA's intention was discussed in a letter to concerned congressmen that was sent on Friday and obtained by CNN.

In the letter responding to the congressmen's inquiry on the subject, VA Secretary Eric Shinseki said he shared "concerns that some veterans could have health problems from such exposures."

"Our previous experiences with returning Vietnam War and Gulf War veterans show that we must take these concerns very seriously," he added.

Shinseki said the Department of Veterans Affairs will study the problem as part of an effort to analyze effects of troops' exposures in general and suggested it might even seek a parallel independent study.

"We are currently evaluating the need for an independent assessment by nongovernmental scientific experts to help us understand the health effects of various combat exposures," Shinseki wrote.

Sources familiar with the plan said the VA is finalizing a deal with the government's Institute of Medicine to conduct the study. The IOM did a similar investigation of Gulf War Syndrome and other effects from the first Iraq war.

The emissions, from what are known as burn pits, have been a concern for troops, especially those who served at Balad Air Force Base in Iraq. Many soldiers who went through Balad became used to "Iraqi crud," as they dubbed the symptom of excessive coughing and black phlegm.

Soldiers complained of respiratory problems and skin infections, and in some cases believed they developed leukemia and tumors from the exposure.

The pits at Balad were at one point open and burning everything from plastics and food to medical waste, sometimes with jet fuel used as an accelerant. In later years, incinerators were installed at Balad, but other bases in Iraq and Afghanistan still use the pits without incinerators to burn garbage.

The military said last year that smoke from the Balad pit exposed troops to toxic emissions, including low levels of cancer-causing dioxins. However, its tests indicated there is no long-term danger, officials said.

The U.S. Army Center for Health Promotion and Preventive Medicine (USACHPPM) conducted a study of air samples at Balad after concerns were raised about the toxic nature of the pervasive smoke from the incineration pits. The air samples were collected between January and April 2007. But the report admitted that it cannot account for everything burned in the pit.

An additional 107 samples were collected in October and November 2007. The results of those tests will be released early in 2009.

Many in the veterans' community remain unconvinced that burn pits were harmless. A group from Congress wrote to the Department of Defense and the VA demanding more tests.

In his response, Shinseki said the veterans department has an ongoing study comparing 30,000 veterans deployed to Iraq and Afghanistan and 30,000 nondeployed veterans. It is evaluating "self reported exposures (including burning trash and feces), symptoms, chronic health conditions, functional status, pregnancy outcomes and health care utilization," Shinseki wrote.

Most relevant to the burn pit concerns, Shinseki said the VA will "work with the DoD to obtain all relevant exposure data with the goal of establishing potential correlations with health problems among affected veterans."

"Our scientists will also review data gathered from DoD's Post Deployment Health Assessment surveys, which ask about exposures to smoke from burn pits, subsequent symptoms, and a variety of other health related questions," Shinseki wrote. "VA will evaluate the feasibility of monitoring toxic substances in veterans, although most toxic materials from burn pits may be eliminated from the bodies of exposed veterans in a matter of days or weeks."

Rep. Tim Bishop, D-New York, a leading congressional agitator for further inquiry into this subject, said he was encouraged by the response.

"Since time is of the essence and the lives of our troops and veterans are at stake, we expect the Department of Defense will fully cooperate with the VA, so that these analyses can be completed as quickly and accurately as possible," Bishop said in a statement.

Kerry Baker, with the group Disabled American Veterans, said the response is a start but not as focused on the burn pit issue as his group would have liked.

"This is a decent letter, but it doesn't get to the root of the problem," Baker said. "I would like to see them do studies on surrounding areas near burn pits compared to nondeployed troops."

The VA's decision to look at exposures beyond the burn pits reflects its experience looking into Gulf War Syndrome, VA spokesman Jim Benson said. The department recognizes that it needs to start now to investigate long-term affects for burn pit exposure as well as potential exposures that might lead to illness down the road.

"What we found is after the first Gulf War when a possible threat would be identified, the VA and DoD would go all-out looking at that particular problem. Now we are structuring a broad-based program that isn't going to just ask "were you around burn pits" but ask "how is your health" in general, Benson explained.

In the meantime, Benson explained, veterans with health issues they believe are related to the burn pits will get the health care they need from the VA.

"The studies will provide us with the larger picture of the risks the veterans have gone through," explained Benson. "We have the medicine and facilities to give them the care while the doctors are sorting out what caused what."

Disabled American Veterans has started collecting information on veterans concerned with exposure. Its database of nearly 200 veterans with significant exposure to the burn pits shows nearly a third have contracted cancer and another third have developed pulmonary issues, according to the group. Skin lesions and allergy symptoms have also arisen.

Benson said the VA has not seen evidence so far of significant levels of leukemia and cancer, but he said that does not mean the problem does not exist or may not arise.

"The key is the research needs to make that connection between the exposure and the disease. Some of those things don't match up, but that's what the research has to validate," Benson said.

"This does not preclude us from health care if they provide this is service-connected," Benson said. "If something is wrong with you that is related or you think is related to military service, the doors are wide open," Benson said.

@highlight

VA finalizing deal with Institute of Medicine to assess potential health risks

@highlight

Decision reflects experience with Gulf War Syndrome, spokesman says

@highlight

Veterans blame emissions from burn pits for respiratory problems, skin infections

@highlight

No long-term danger from smoke from Balad Air Force Base pit, military said in 2008