In downtown Austin, dozens of new technology companies are about to be born.

More precisely, they'll be born at a new incubator and workspace called Capital Factory.

It sits on the top floor of a glass-encased modern office building.  With windows providing a 360-degree view of the city, everything that makes Austin one of the fastest growing cities in the country can be seen from its more than 200 desks.

Capital Factory is a collaboration between the Austin Chamber of Commerce and Josh Baer -- a man who has become so integral to the city's start-up scene that he's known as the "Austinpreneur."

Baer originally founded Capital Factory in 2009 as a start-up accelerator focused on helping young companies get started and attract investors. In May, the chamber selected it to run the 22,000-square-foot space that Baer hopes will make a city with an already thriving tech scene even better by creating a downtown hub.

"It's a focal point, a center of gravity," he said. "When companies look to move to Austin, this is the first place they should stop."

It's also a natural extension of the altruistic, entrepreneurial spirit that Baer advocates and Austin, host city to the annual South by Southwest Interactive Festival, embraces.

Capital Factory isn't designed to make a lot of money; Baer said he mostly hopes it breaks even. But a successful Capital Factory could mean dozens, and eventually hundreds, of new companies will call Austin home.

Myriad start-ups will vie for the opportunity to move into a lush workspace they could never afford on their own.  Those that are chosen will join "anchor companies" like Jason Cohen's WP Engine, which was one of the first companies to move in to the space.

Cohen's  Web-hosting company is growing rapidly and he said renting seats for his staff of 20 in Capital Factory was a no brainer.

"For a growing company like us, it'll take, like, 40 people before this is more expensive than getting our own space," he said.

The idea behind the factory, Baer said, is that hundreds of people from dozens of start-up companies working in  proximity to each other will lead to stronger businesses. Cohen's company will be one of the biggest; the average size of the start-ups is expected to be 2-5 people.

From Cohen's perspective, the more people and companies the better.

"The fact that they're all kind of smooshed up together and going through the same crap, the highs and the lows, and the questions and the dilemmas in a space where we could bounce ideas off each other -- that alone is worth the price of admission," he said. "It's an experience you could never get in any other way."

That co-working environment is at the heart of Baer's plan to help Austin's tech sector continue to thrive.

With an unemployment rate under 6%, Austin is a bright spot in what has been a gloomy national economy. Tech start-ups have played a huge role in keeping the Austin economy strong, with more than 4,000 companies employing more than 100,000 people.

Baer believes that a space like Capital Factory will give Austin-based companies a new advantage when it comes to hiring in the future.

The No. 1 problem for many tech start-ups is recruiting great engineering talent.  Baer said Capital Factory will be the edge Austin needs.

"We're going to be bringing in just a pipeline of talent and we're going to be teaching them the skills that they need," he said. "They're going to walk in here and say 'Wow, this place is amazing. I want to  work here. Which companies are here?' "

Technology start-ups may be nothing new to Austin, but Baer's Capital Factory takes a new approach to fostering them.

Partners and mentors include South by Southwest, the local Chamber of Commerce, the University of Texas, New York-based entrepreneurial-education company General Assembly and Baer's own network of 20 mentors.

For Baer, it's about making the home that he loves even better.

"At the start of it, this is around community," he said. "It's creating the kind of place and the kind of environment that I want to live and work in."

Baer came to Austin in 1999, recruited directly out of Carnegie Mellon University at the height of the first dotcom boom.

For someone who would go on to build a network of tech leaders, the timing couldn't have been better. Now he leverages associations from those days to create an entire network of mentors in Austin.

With Baer's urging, dozens of successful Austin CEOs now take it upon themselves to help the next generation. They do this through Baer's start-up accelerator, as well as at his Start-Up 101 class at the University of Texas.

"There were entrepreneurship classes and business classes, but our class is more of a practicum for student entrepreneurs. They're already working on start-ups, now they get credit for doing that," he said.

Baer even holds weekly office hours at an Austin coffee shop, offering start-up advice to anyone who asks.

That level of commitment has made Baer the young generation's face of Austin entrepreneurship.  It's hard to find a start-up in Austin where the players don't know him, and maybe even harder to find a CEO who doesn't like him.

Scott Robinson of Austin-based Insperity made a point to attend the launch of Capital Factory, and he didn't mince words.

"I might go so far as to suggest he's been as influential on this generation of entrepreneurs in Austin as Michael Dell was in his era," he said.

@highlight

Capital Factory aims to attract, keep tech startups in Austin, Texas

@highlight

"Austinpreneur" Josh Baer says 22,000-square-foot space will be a focal point

@highlight

Backers say putting lots of startups in one space creates excitement

@highlight

South by Southwest, University of Texas are part of the center's network