When federal safety investigators meet on Tuesday to determine the cause of the Asiana Flight 214 crash, they will have studied not only last summer's deadly accident but also a little-known incident years earlier.

In August of 2010, Eugene Francis Arnold, one of the Federal Aviation Administration's top test pilots, was descending into Seattle's Boeing Field when he leveled off to avoid another plane.

To his surprise, his speed fell 10 or 15 knots below his target speed, even though he believed the jet's automated speed control, or auto-throttle, was engaged.

Arnold pushed the throttle manually to increase the plane's speed and landed safely.

Arnold, investigators believe, experienced the same type of "mode confusion" that caught Asiana's pilots off guard -- at a much lower altitude -- shortly before they plowed into the sea wall at San Francisco International Airport.

In both cases, the pilots believed they had selected modes of autopilot and auto-throttle that would "wake up" the auto-throttle if necessary, much as a car's cruise control kicks in when the car heads uphill. But they hadn't.

Complex system

There lies the big question before the National Transportation Safety Board when it meets Tuesday: Is Boeing to blame for creating a system so complicated that it befuddled even a top FAA test pilot?

Are the pilots to blame for not understanding the intricacies of the system and for failing to monitor the plane's speed?

Or is Korea-based Asiana Airlines to blame for not adequately training its pilots?

At a December hearing on the crash, experts told the safety board that while automation has vastly improved aviation safety, it has a flip side.

The same technology that makes it possible for pilots to fly coast to coast without touching a yoke are complicated and hard to master.

Thus, flying is getting easier and harder at the same time.

"Automation can be extremely supportive of human operators if it is designed properly," expert Nadine Sarter of the University of Michigan testified. "But we also have seen in a number of incidents (where) automation can actually get in the way."

"We have heard things like 'clumsy' automation, where automation ... helps the most when the pilot actually might need the help the least. But when they need the help the most -- in very time-critical conditions -- it might be very difficult for them to actually operate the automation," she said.

Different opinions

Not surprisingly, Asiana Airlines, the pilots union, and Boeing, which manufactured the 777 involved in the crash, have starkly different opinions of what role the pilots played in the crash, and the role of automation.

"The airplane and all airplane systems were functioning as expected prior to impact and did not contribute to the accident," Boeing said in a March submission to the safety board. The accident was caused by the pilots' failure to monitor and control the plane's airspeed and direction, and could have been avoided if they had initiated a timely go-around.

Asiana, meanwhile, blamed Boeing and the pilots. The pilots, just three months before the accident, had received "specific instruction" about the possibility the airspeed protection would be disabled in a certain mode, Asiana said.

The airline assigned blame to the pilots for not ensuring "a minimum safe airspeed," and Boeing for creating an autopilot system that led to an "unexpected disabling" of speed protections.

The warning system, the airline says, also did not give the pilots enough time to recover.

The Asiana Pilots Union blamed crew training, saying pilots were not trained that a combination of autopilot and auto-throttle modes would not prevent the plane from going too slowly.

"In this case, a key piece of information was not provided as part of the normal training program at Asiana," the union said.

Boeing said it was without fault.

"All airplane systems were functioning as expected prior to impact and did not contribute to the accident," it told the safety board.

Asked why the "hold" mode did not protect against dangerous drop-offs in speed, Boeing told the board, "To do this would violate (Boeing's) design philosophy: the pilot is the final authority for the operation of the airplane."

"If the auto-throttle automatically (switched mode to prevent an aerodynamic stall), it would be overriding the crew's selection," Boeing said.

Fly the plane manually

If pilots are confused by the technology, there is a simple solution: Fly the plane manually, Boeing said.

"This accident would have been avoided had the flight crew followed procedures and initiated a timely go-around," Boeing told the safety board.

What no one contests is that by the time the plane's captain recognized the plane was traveling too slowly, it was too late.

At 11 seconds before impact, the plane's low airspeed alert was triggered.

Eight seconds before impact, one of the pilots pushed the throttles forward. But it takes engines seven to eight seconds to spool up from idle to full power.

The plane slammed into the seawall, ripping off the landing gear, the tail and both engines. It spun 330 degrees in a shower of sparks and debris.

Of the 307 people on board, three died. Almost 200 were injured.

Asiana Airlines fined $500,000 for failing to help families

Asiana crash victims sue Boeing

@highlight

NTSB votes Tuesday on cause of 2013 Asiana crash in San Francisco

@highlight

Focus is on pilots' actions, automation

@highlight

Pilots confused by auto-throttle modes

@highlight

Will blame fall on pilots or designers?