Washington (CNN) -- A top-secret program that collects phone records of Americans is legal, conducted properly and possibly could have helped detect a 9/11 hijacker had it been in place before the 2001 terrorist attacks, FBI Director Robert Mueller said Thursday.

Mueller's remarks at a House Judiciary Committee hearing led an effort by Obama administration officials and some in Congress to push back against a firestorm of criticism about domestic surveillance in the aftermath of classified leaks last week that disclosed details of covert surveillance programs.

Civil liberties groups and legislators on the left and right are among critics condemning the secret programs under the National Security Agency as government overreach beyond the intention and limits of the Patriot Act originally passed in the aftermath of the 9/11 terrorist attacks.

"It's my fear that we are on the verge of becoming a surveillance state, collecting billions of electronic records on law-abiding Americans every single day," Rep. John Conyers of Michigan, the ranking Democrat on the judiciary panel, said Thursday.

Claiming Section 215 of the Patriot Act "is being used to engage in a nationwide dragnet of telecommunications records" and that the government is relying too much to cover up what it's doing through classified programs, Conyers said he is co-sponsoring legislation that would address "the overbreadth and impenetrability of the surveillance programs."

Two conservative Republicans, Sen. Rand Paul of Kentucky and Rep. Louie Gohmert of Texas, announced plans for a lawsuit challenging whether a secret court order allowing the collection of phone records was constitutional.

However, other legislators of both parties joined Mueller in defending the programs that were disclosed through leaks of classified information.

"This program does not target innocent Americans in any way, shape or form," said House Speaker John Boehner, an Ohio Republican. "These programs have helped keep America safe. They have enhanced our ability to go after terrorists who want to bring harm to the American people."

Democratic Sen. Bill Nelson of Florida -- emerging from a classified briefing by officials on the programs on Thursday, including Director of National Intelligence James Clapper and NSA Director Gen. Keith Alexander -- said public perception of the government data mining was wrong.

"It is misunderstood that Americans' private information -- telephone calls and emails -- are being rummaged through by the government. That is not true," Nelson told reporters. "Only when there is probable cause given with a court order by a federal judge can they go into the content of phone calls and emails in order to be able to disrupt a terrorist plot."

After an earlier briefing for the House Intelligence Committee, Chairman Mike Rogers of Michigan said it was wrong to describe the NSA programs as either monitoring or surveillance.

"Wrong word. Not happening," he said of either description.

FBI chief: Programs in adherence with Constitution

One of the programs, under Section 215 of the Patriot Act, collects billions of phone records to create a database for use in tracking suspected terrorists. Another under Section 702 of the Patriot Act deals with computer activity and other information of foreigners.

As explained by Mueller and other security officials, the phone records only show the numbers involved and the date and duration of the call. Any further information, such as what was said, requires federal court approval, they say.

"If you are going to connect the dots on a 9-11 style event or hopefully prevent a 9-11 style event, you have to have dots in the box in order to connect," Rogers said. "So all of this is just that little bit of information they might need - a phone number to a phone number with no names attached."

Mueller told the Judiciary Committee that the secret programs have been conducted in adherence with the Constitution and federal laws.

"The legality has been ensured" by the Department of Justice, and special federal courts set up to handle surveillance issues "ruled and monitored these programs and again, ensured the legality," he said.

He also explained how they might have helped detect 9/11 hijacker Khalid al-Mhidhar before he and others carried out the attacks that killed almost 3,000 Americans in 2001.

Before the attacks, Mhidhar was being monitored by intelligence agencies in the Far East, but they lost track of him, Mueller said.

Meanwhile, authorities had the phone number of an al Qaeda safehouse in Yemen, he said, and learned after the 9/11 attacks that Mhidhar had called it from San Diego.

"If we had this program, that opportunity would have been there" to match the Yemen phone number to the San Diego number, he said.

On Wednesday, Alexander made a similar argument at a Senate committee hearing, saying the covert programs helped prevent "dozens" of terrorist events. He was unable to provide details, but said Thursday he was working on declassifying further information about the programs' successes.

Democratic Sen. Dianne Feinstein of California, who chairs the Senate Intelligence Committee, told reporters she expected Alexander to have the additional information on Monday.

Balancing boosting security, protecting privacy

Feinstein also called for legislation that would prevent government contractors such as 29-year-old Edward Snowden, who has admitted leaking the classified documents about the covert programs to the media, from having access to such sensitive information.

While saying he couldn't say much about a person under investigation, White House spokesman Jay Carney did tell reporters Thursday that "the leaks themselves were very serious."

"They go right to the heart of our efforts to combat terrorism, to combat efforts by extremists who desire to attack the United States and the American people," Carney said.

The White House spokesman also reiterated Obama's support for programs he says have "helped thwart dozens of attacks."

"He believes in the tradeoffs that we have to make to pursue our security and protect our privacy," Carney said of the president. "We have found ... we have the right balance, but (Obama) understands others may have a different opinion.

Like members of his national security team, the president has defended the Bush administration programs as necessary and claimed that there are more checks and balances on them than there were when he came to office in 2009.

Under his administration, legislative and judicial oversight of the Patriot Act has been strengthened, Obama told reporters last week.

Boehner, however, said Thursday that he was surprised the White House "hasn't stood up and made clear on an ongoing basis over this last week just how important these programs are."

CNN's Greg Botelho contributed to this report.

@highlight

NEW: Leaks go "to the heart of our efforts to combat terrorism," W.H. spokesman says

@highlight

NEW: Obama believes the programs balance security, privacy issues

@highlight

FBI director says surveillance programs possibly could have detected a 9/11 hijacker

@highlight

Democratic Rep. Conyers and others challenge the covert programs