Philadelphia (CNN) -- Outside Independence Hall, ask a graduate student in line to see the Liberty Bell what he thinks of gerrymandering, and you might get this answer:

"I think Gerry Mandering is a great guy."

No, he isn't.

Gerrymandering is the term for the way politicians draw boundary lines for legislative districts in a way designed to keep one party or the other in power in that particular district.

In the last 10 years, 78% of the seats in the U.S. House of Representatives -- almost four out of every five members of Congress -- did not change party hands even once.

In California, with 53 seats -- the most in the nation -- incumbents were kept so safe that only one of those seats changed party control in the past decade.

David Wasserman, redistricting expert for the nonpartisan Cook Political Report, says only 20 races for Congress are expected to be tossups in the 2012 election. That's only 20 out of the 435 seats in the House.

"In general elections, it's almost rigged," he said.

More on the history behind gerrymandering

The lines are redrawn for seats in Congress each 10 years after the U.S. Census measures population shifts. That process is going on now in states across the country.

Among CNN's findings:

The South

Race has been used to create a political divide in the South. In the five Deep Dixie states -- South Carolina, Georgia, Alabama, Mississippi and Louisiana -- only nine Democrats are left in Congress. Only one is white. He is Georgia Democrat John Barrow, and Republican control in that state's legislature has led to his home city of Savannah being excluded from his current district.

In 2010, Republicans captured control of North Carolina's legislature for the first time since shortly after the Civil War. They drew district lines in a way to pack 49% of all of North Carolina's African-American voters in just three of the state's 13 congressional districts. That left the other 10 districts mostly white and predictably Republican.

Democrats in North Carolina accuse the GOP of political "resegregation." A court battle is looming.

Illinois

After the GOP landslide in 2010, this is the only battleground state winning or losing a seat where Democrats remain in control. They pushed through their new map over the Memorial Day holiday weekend. Most of the five freshmen Republicans elected to Congress last time will face difficult races to return for a second term.

Nowhere is gerrymandering more apparent than in Chicago's 4th District, where a grassy strip hardly a football field wide, stuck in between two expressways, connects the top and bottom halves of a district designed to keep a Hispanic in Congress.

According to the 4th District Rep. Luis Gutierrez, a Democrat, Chicago has an Irish district, a Polish district, a Jewish district and three black districts. Look at a map and all have irregular, unusual lines. This is not a matter of party control. All the incumbents are Democrats. The lines preserve racial and ethnic heritages.

In Illinois, it is the GOP that is suing Democrats to try to overturn the new map.

California

Voters have revolted. In 2010, they passed an amendment to the state constitution to take redistricting out of political hands and have a citizens commission redraw the lines. It was forbidden to favor incumbents.

As a result, more than half of California's 53 representatives were placed in the same district with another colleague for the 2012 election. As many as 15 could lose or else face retirement to avoid losing.

"Fifteen out of 53 does not sound like a lot," Wasserman said. "But compared to most other states, that's an avalanche."

Party politics did give way to social politics. Latinos, who accounted for most of California's population growth, could win as many as nine seats next year. The African-American population shrank, but under pressure, the citizens commission retained the three traditionally black seats in south Los Angeles.

Florida

Voter reform met resistance here. Three million people voted to pass amendments last year that say the legislature cannot not favor or penalize incumbents or political parties when it redraws the lines.

Two members of Congress -- Democrat Corrine Brown, who is African-American, and Republican Mario Diaz-Balart, who is Hispanic -- filed a lawsuit in federal court to try to overturn what the voters had done. Florida's House of Representatives, using taxpayer money, hired a law firm to support them in opposing the taxpayers' will. Their argument: The U.S. Constitution has given the legislature the sole responsibility for redistricting.

A federal judge rejected that argument and threw out the lawsuit. But the two incumbents, supported by the legislature, are appealing, and they say the case could go all the way to the U.S. Supreme Court.

Iowa

For three decades now, Iowa has had a nonpartisan redistricting system. Two legislative staffers draw the maps in secrecy without political interference. "In Iowa, it is understood incumbent protection is not the name of the game," one of those staffers said.

As a result, Iowa has the nation's only congressional race next year where a longtime Republican incumbent, Tom Latham, is paired against a longtime Democratic incumbent, Leonard Boswell. Past voting patterns indicate they could be separated by no more than 1%, either way.

Iowans like it this way, and that includes Latham. He said, "I think if you sit in a very safe district, a lot of times these people will ignore the public will. They won't have to listen because they can do whatever they want to, and vote however they want to, and not be held accountable for it."

As Wasserman put it, "Americans are basically between the ideological 40-yard lines. But the districts aren't. And that's part of the reason Congress is so polarized."

@highlight

Redistricting is "almost rigged" to favor parties in power, expert says

@highlight

In the past decade, 78% of House seats did not change party hands

@highlight

Race has been used to create a political divide in the South

@highlight

Expert blames gerrymandering for polarization of Congress