CHENNAI, India (CNN) -- Sipping a sweet lime juice on the rooftop bar of a designer hotel in Chennai, Vinod Harith looks the epitome of a relaxed, confident young Indian entrepreneur.

High hopes: Vinod, left, and Pramod Harith set up thier marketing outsourcing company.

But setting up his marketing outsourcing company just seven months ago was far from a relaxing experience. It's a recent memory that still provokes a momentary look of discomfort.

"It was just painful," he says with a wry smile.

It seems that despite the potential riches to be had by tapping in to all the talent, energy and potential in India, going it alone is still a unique experience in the country, even for those who are used to working there.

Multinational companies may be finding their path into the world of Indian business smooth, but that official approach hasn't trickled down to India's burgeoning business brains with billionaire aspirations.

"If you're a large company trying to set up a subsidiary and you want to set up in India, a lot of that bureaucracy has gone away, but not for an entrepreneur," says Harith who previously worked for Wipro Technologies.

From getting a bank account to securing a line of credit, the same rigid attitude from officialdom remains with decisions made at a glacial place.

"The government ministry has not been so fast to change. It's become easier, but still a lot of that thinking has not gone away," he said.

Harith and his brother Pramod even had trouble registering the name of their company, CMOaxis.

"We called the company CMOaxis, which stands for Chief Marketing Officer, but for a long time couldn't get the name approved by the registrar of companies here, because they said CMO means Chief Minister's Office. So we had a really tough time, just convincing people."

But for the 36-year-old Vinod seeing the bigger picture and potential of his company was worth of all the aggravation.

An October 2007 report into the marketing sector by First Research put its value at around $8 billion. A year on, the potential value might still be there, but tapping in to it during an economic downturn as investors and companies return to "studying the market" will be the big challenge.

"Despite so many global funds being in India it's still very difficult for a start-up to get funding."

It certainly is for first time entrepreneurs, as Harith suggests that those with a family history in business or politics where it's easier to secure backing find things much easier.

"In PR first generation entrepreneur successes are still there but you can count them on the fingers of one hand.

"The understanding just isn't there in a part of India that is more used to the garment industry and traditional forms of business," says Pramod Harith, Vinod's brother and business partner.

Different industries, same problems

700 miles (1,127 kilometers) away in Pune, Jesh Krishna Murthy is busy with his fledgling animation company Anibrain.

After 13 years working abroad he returned to India to find the same frustrations as the Hariths in setting up the business.

"If you are going to do business in India, there is a lot of red tape and corruption. You have to learn to deal with, but it is very frustrating. If you're caught up in some regulation and the laws are kind of ambiguous and there's no right or wrong the authorities can give you a lot of trouble," he said.

If you can't deal with it, then you're doing business in the wrong country. It is stupid, but part and parcel of being in India."

Krishna Murthy brought much of Anibrain's business contacts with him, doing post-production graphics on films such as "Lust Caution" John Woo's "Red Cliff" and big budget Hollywood flicks, much of the hard work comes in maintaining quality.

"Getting the job is the easier part; it's delivering it to the quality that's expected and with the service levels that expected that the harder part. We work on that day in and day out," he said.

Having worked abroad he has an acute understanding of the differences between various work cultures and attitudes and the thought of working for a graphics company in India was almost unthinkable.

"There was no lack of talent in terms of the animators, but the way in which the animation studios were managed was lacking.

"I found it disheartening that the people who were managing these companies only cared about the hardware and how much money was pumped into the software, forgetting that it's about people. I would have gone crazy working for people like that, especially having worked abroad," he said

At Anibrain employees have a five-day week and something closer to a 9 a.m. to 6 p.m. working day, compared to the more typical Indian routine of working 6 days a week, starting at 1pm and working until around midnight.

With a more western work culture at Anibrain, Krishna Murthy's company is still in the minority, although Pune has become something of a creative design hub attracting similar companies with like-minded attitudes, thanks to it's proximity to Mumbai, but better quality of life, and the high quality of its universities and training colleges.

Changing attitudes

Facing rigid attitudes from clients has been a challenge for both Krishna Murthy and the Hariths, but there is the potentially bigger task of changing attitudes closer to home.

"The mindset has changed in South India, thanks to the growth in the IT sector here and rise in entrepreneurs. Until this happened, doing business was not thought of as a very hot thing to do -- in traditional families in South India, if you're doing business then there's something wrong with you," said Harith.

Vinod and Pramod were both born and raised in Chennai and the desire to blaze their own trail and be part of the positive changes to business and society in their hometown was one of their motivating forces.

For Krishna Murthy the pains, pitfall but pleasures of setting up shop in India are all worth the effort:

"For me it was challenge. I wanted to be in India and to do the kind of high end film graphics that you would have thought couldn't be done in India with Indian talent that hadn't been as trained. To do it you have to be a bit of a sadist, but that's part of the charm of India."

@highlight

Entrepreneurs and start-ups still face maddening tangle of bureaucracy

@highlight

India has become an easier place for foreign firms to work and set up business

@highlight

Officials and cultural attitudes are some of biggest battles new companies face

@highlight

Krishna Murthy: "You have to be a bit of a sadist, but that's part of the charm of India."