London (CNN) -- A landmark ruling which could change the way top-level European football matches are broadcast and sold by television companies was made on Tuesday.

The European Court of Justice said that soccer fans have the right to watch sport franchises, such as the English Premier League, on a range of European broadcasters rather than solely via the rights holder designated for each national territory.

The court said in a statement: "A system of licenses for the broadcasting of football matches which grants broadcasters territorial exclusivity on a member state basis and which prohibits television viewers from watching the broadcasts with a decoder card in other member states is contrary to EU law."

Since its launch in 1992, the Premier League has sold exclusive match rights to a small number of television networks per national territory, a business model which has seen it become one of the richest in the world -- generating an estimated $5.3 billion in income, according to British newspaper The Guardian.

Can football chants ever go too far?

But the ruling -- in response to a long-running case by BSkyB against a British pub landlady who broadcast a Greek match feed -- now means that consumers could buy decoder boxes from satellite broadcasters from other nations, at a cheaper price, to watch the games they are interested in.

BSkyB, which paid a combined $2.73 billion with ESPN to be the main rights owner for the Premier League in the United Kingdom, saw its share price drop 3% on news of the statement.

"It will have implications for how rights are sold across Europe in future, which we are considering," a Sky spokesman told CNN.

"As a broadcaster, it will remain our aim to secure high-quality content for our customers based on the rights available to us."

The ruling's effect could be far reaching if the value of football rights were to be diminished. The large amount paid to the Premier League has seen record amounts of prize money given to top-flight English clubs such as Manchester United and Arsenal -- finance which has subsequently been used to build new stadia and attract some of the world's best players.

"This could drive a coach and horses through Sky's business model for broadcasting of Premier League matches," according to Stuart Adams of intellectual property law specialist Rouse, based in London.

"There is every prospect they will find fewer people willing to pay for licenses to broadcast Premier League matches if for a little effort they can get the same pictures via a cheaper overseas feed. When the deal is re-negotiated with the Premier League it will be very interesting to see how the numbers change.

"And if they are markedly reduced, of course, that will have a direct impact on clubs' revenues and therefore their ability to buy and pay the salaries of top talent. That in turn could lead to yet more polarization between the haves and the have-nots of the English game."

The English Premier League said it would release a statement shortly.

Sanjay Nijran, a sports lawyer for Smithfield Partners based in London, told CNN it could affect future revenues for sport franchises across Europe.

"Any broadcasting rights holder that intends to license rights will be bound by this ruling, it appears they will not be able to limit exclusivity to national borders and consequently the value of these rights could be limited. They may have to look for other models," Nijran said.

"We're not sure but we would imagine the Premier League would possibly be considering a pan-European license to sell the same broadcasting rights to the continent."

But it could mean that football fans in Europe are able to pay less to watch the matches they want.

"Currently top-level football is sold to a host broadcaster in each European Member State, you have only one choice of provider through which to watch the match. Now, this ruling allows you to watch on the same terms as any other person across Europe," added Nijran, who is representing suppliers of satellite television decoders over the issue.

"What this gives the consumer is choice because through increased competition they are able to choose cheaper providers."

However, the ruling could have a detrimental affect on English lower-league football, Adams told CNN, as it would circumvent the ban on Saturday afternoon matches being broadcast live -- a regulation which is supposed to protect smaller clubs.

"This would have a huge potential impact on clubs' pricing policies as they are likely to have to reduce prices at the turnstile in order to continue to attract crowds," Adams said.

"While this is an issue for Premier League clubs, it is likely to be much more acute for lower-league clubs who are far more at risk of reduced attendances in these circumstances. Such clubs are also more reliant on revenue generated at the turnstiles.

"If the net result of this is more football on the telly for fans to watch, and less money for clubs to lavish on the salaries of their top players, I think most of us would be overjoyed. But if we also see smaller clubs go out of business as a direct consequence, I'm not so sure that football fans will be cheering quite so loudly."

@highlight

European court says sports fans have the right to choose how they watch matches

@highlight

It could have a major impact on broadcasters which hold regional licenses for TV rights

@highlight

England's Premier League receives most of its money from a lucrative deal with BSkyB

@highlight

Lawyer says it could affect future revenues for sport franchises across Europe