Egyptian President Mohamed Morsy signed a decree putting into effect his country's newly approved constitution, the state-run Egynews reported Wednesday.

His signature came after Egyptian voters approved the Islamist-backed constitution by what an election official said Tuesday was a nearly 2 to 1 ratio.

Read more: Egyptians approve new constitution, unofficial results show

During the two rounds of voting, more than 10 million, or 63.8%, voted in favor, and more than 6 million, or 36.2%, voted against, Judge Samr Abou El Maaty, head of the High Election Commission, told reporters.

The referendum passed with 56.6% of the vote in the first round on December 15, when more liberal provinces voted.

In the second round of voting, on December 22, people cast ballots in 17 provinces largely loyal to Morsy and his ruling party -- which backed the constitution.

There was a 32.9% turnout, El Maaty said. Nearly 303,400 votes were excluded because of voting irregularities.

Controversy among Egypt's society and institutions had accompanied the draft constitution since its inception.

Read more: Egypt's VP resigns amid vote over draft constitution

Critics said it was passed too quickly. Liberals, Christians and other minority opposition groups said they felt excluded from the Constituent Assembly that drafted it and that the wording did not include their voices. They had sought a new assembly.

Opposition members said the charter uses vague language and will not protect the rights Egyptians fought for in last year's revolution, which ousted former President Hosni Mubarak.

Supporters of the constitution herald what they say is its protection of personal rights, especially its provisions on the handling of detainees in the judicial system, which made capricious use of its powers under the former government.

The international rights group Human Rights Watch said the constitution "protects some rights but undermines others." It "fails to end military trials of civilians or to protect freedom of expression and religion."

Read more: Protests turn violent in Egypt ahead of vote on constitution

The rocky road to the referendum began when judges threatened to shut the assembly tasked with drafting the constitution. Morsy issued an edict in late November declaring his decisions immune from judicial review until the holding of the constitutional referendum.

He also sacked the head of the judiciary, many of whose members had remained loyal to Mubarak.

The Islamist president's opposition saw the moves as a grab for dictatorial powers and poured into the streets, converting Tahrir Square in central Cairo back into the center of public discontent it had been during the uprising that brought down Mubarak.

In response, Morsy dropped his decree, but the situation remained tense. Violence raged, producing incidents that have raised the ire of international human rights groups, though these were not systematic, as was the case under the former government.

Read more: Morsy supporters accused of beating, detaining opponents

The outcome of the election is important to the stability of volatile North Africa and the Middle East -- where Egypt is a key player.

The U.S. State Department acknowledged divisions within Egypt and said there was a need for a broader consensus behind its new democratic rules.

"Many Egyptians have voiced deep concerns about the substance of the constitution and the constitutional process," Patrick Ventrell, acting deputy spokesman, said Tuesday in a statement. "President Morsy, as the democratically elected leader of Egypt, has a special responsibility to move forward in a way that recognizes the urgent need to bridge divisions, build trust and broaden support for the political process."

Egypt needs a strong, inclusive government to meet its many challenges, Ventrell added.

Read more: Top Morsy aide: Small, powerful minority behind Egypt's political upheaval

@highlight

Morsy signs decree

@highlight

More liberal provinces voted in the first round; 56.6% favor the new constitution

@highlight

Critics say it is passed too quickly; minority groups say they were excluded

@highlight

Human Rights Watch says it "protects some rights but undermines others"