(CNN) -- When the Mayan "Long Count" calendar ends on Friday, December 21, some people predict it could mark the end of the world as we know it. But despite the attention that December 21 is garnering, many apocalyptic believers don't actually give much thought to the hype surrounding the Mayan calendar.

Some doomsday believers pinpointed 2012 as a pretty good year for disastrous solar flares, giant asteroids or global pole shifts that could likewise signal the apocalypse. Other theories that may or may not happen this year involve the Rapture, the catastrophic collapse of civilization or even a zombie uprising.

There is diversity among apocalyptic "prepper" groups, and to paint them all with a broad stroke of the crazy brush is to ignore the nuances in what these various groups believe.

John Hall, author of "Apocalypse: From Antiquity to the Empire of Modernity," said groups organized around 2012 end-of-world predictions -- driven by pseudoscientific or numerological predictions -- are "more fanciful" than some other doomsday believers. That's because they look toward dramatic external events, as opposed to others that approach theories with a "fair amount of scientific basis," such as the disappearance of natural resources.

Read more: The apocalypse, by the numbers

Although Hall and his colleagues have spent years trying to define or connect them, the groups can be as hard to explain as their disparate beliefs.

"It's not like a pie of apocalyptic stories that can be divided up so much as it is a story where people coming from many different places can ... express the urgency of the crisis they foresee," Hall said.

For instance, Hall said the survivalists -- both those of the fundamentalist religious persuasion and the nonreligious -- are looking to opt out of post-apocalyptic strife.

That analysis applies to Dan Martin, a survivalist living off the grid and author of "Apocalypse: How to Survive a Global Crisis," a book that teaches skills for living a self-sufficient life after what he perceives to be an oncoming collapse of civilization and governments. He said his readers are "normal middle-class" soccer moms and teachers who read about world events and "connect the dots."

"Most of my readers aren't die-hard, end-of-the-world subscribers or enthusiasts," he said. "They don't want things to change, but aren't ignorant to the fact that they most likely will within our own lifetime, so preparing for such a strong possibility isn't desperation or ignorance or naivety, it's just another insurance policy."

Insofar as civilization's collapse is something we're bringing upon ourselves with a little help from world powers, Martin and his readers might relate to radical environmentalists or peak oil environmentalists, who subscribe to the theory that there is a date when petroleum production will max out and decline rapidly.

Debunking doomsday: 6 rumors dispelled

Hall sees a connection between the survivalists and religious rapturists who "look at themselves as missing out on the agonies of the apocalypse because they're going someplace else."

Jerry Jenkins, co-author of the "Left Behind" book series about the Rapture within the Christian Bible's end-of-days Book of Revelation, doesn't completely agree with Hall's assessment.

He said the media has incorrectly portrayed his readers as triumphalists who boast "We're going, you're not, too bad for you." The whole point of the "Left Behind" books, Jenkins said, was to encourage people to read the Revelation prophecies because religious rapturists want all people to have a better life in heaven.

"[We're not] saying 'good' people go and 'bad' people are left behind," said Jenkins, who believes the key to being raptured (or taken into heaven before the Apocalypse happens on Earth) is to receive Jesus Christ. But Jenkins added that even those "looking forward to being rescued" are still dedicated to improving life for everyone on terra firma before they go.

Interestingly, Jenkins said Christ himself said he didn't even know the day or hour of the Rapture, so the ilk of Christian radio broadcaster Harold Camping who attempt to predict its timing are "crazies" engaged in folly that "make us all look like idiots."

Camping claimed he was able to use the Bible to calculate the exact date of the Rapture (most recently it was supposed to be May 23, 2011, and before that in 1994).

Those who point to science instead of Biblical lore to predict the end of the world are another apocalyptic subculture, according to Hall. These groups are comprised of theoretical physicists and futurologists -- such as Michio Kaku -- whom Hall calls "optimistic utopian prophets."

These people believe in the Technological Singularity theory: The possibility that technologically augmented intelligence will change human life as we know it or possibly wipe it out completely. There's even a think tank of sorts formed around this logic.

The Singularity Institute is comprised of scientists, philosophers and philanthropists from places such as the Research Triangle and Silicon Valley, and universities such as Harvard and Stanford, said Michael Anissimov, media director at The Singularity Institute.

Their goal? Constructing a smarter-than-human intelligence that has the values of humanity. Instead of avoiding the growth of artificial intelligence, the Singularity Institute is trying to manage the risk.

If peak oil theorists believe we're rapidly running out of a major resource, the institute postulates that technology itself is advancing so rapidly that society will have an overabundance of it -- and an artificial intelligence is set to emerge that will not necessarily pursue mankind's best interests.

"We do think it's possible, if not probable, that it could actually lead to either the marginalization or end of humanity," said Anissimov.

Doomsday dining: Your last meal

Whereas religious and scientific apocalyptic subcultures converge and diverge on various points, there is one end-of-world scenario that manages to reflect all their anxieties: the zombie apocalypse.

The zombocalypse of popular culture has become something of a Rorschach test of apocalyptic fears. Depending on the point of view, zombies may result from an act of God, the irresponsible use of science, an environmental disaster, a cosmic event and so forth.

Scott Kenemore, author of "The Zen of Zombie" and a member of the advisory board of the Zombie Research Society, said the zombie apocalypse can represent a validation of sorts for people awaiting their particular extinction event.

Hall agreed that the pop-culture connection of zombies to apocalyptic groups is "a shared motif of a dystopian world emerging." He added that zombies are a stand-in for "The Other," an alien group, process or force that is "almost always" the basis for apocalyptic developments.

Zombies can be a substitute for a corrupt government, an oil-based economy, foreigners or even a Sodom and Gomorrah society itself.

"[H]ow you deal with the threat is an open question," he said.

Whatever route to the end (or new beginning), Hall thinks the very diversity of subcultures underscores the fact that we have reached an apocalyptic apex.

"In this moment, people are seeing the old ways of life recede," he said. "That's the occasion when all kinds of different people from all kinds of different directions come forward with one or another apocalyptic scenario."

Like CNN Living on Facebook

Do you have a prediction for how the world will end? Share it in the comments section below.

@highlight

A few think the world ends when the Mayan calendar peters out Friday, December 21

@highlight

Apocalypse theories can be rooted in science, religion or simply a notion

@highlight

Other theories involve governmental failure, a waning oil supply and zombies