(CNN) -- As Bradley Manning thinks about his 35-year prison sentence, he likely may be contemplating the availability of treatment for his gender identity disorder while in federal custody.

Prisoners with GID are hardly a new phenomenon. Many prisoners before Manning have legally sought the right to become the gender they believe they should be through various means: cross-gender hormones, cross-dressing, and sex-reassignment surgery. The question with prisoners becomes whether the state must provide the desired hormones or sex-reassignment surgery.

The United States Supreme Court has held that prisoners are entitled to medical care that meets minimal standards of adequacy. But when prison officials refuse to provide certain medical services, a prisoner must establish that state officials are deliberately indifferent to "serious medical needs" and therefore are in violation of the Eighth Amendment's ban against "cruel and unusual punishment."

The application of the Eighth Amendment to prisoners is a relatively new concept. The Supreme Court first addressed the issue in 1976, but in doing so established that deliberate indifference to serious medical needs of prisoners constitutes the "unnecessary and wanton infliction of pain," which is covered by the Eighth Amendment's proscription against cruel and unusual punishment.

So what constitutes "serious medical needs"? Courts have held that these can be conditions diagnosed by a physician as requiring treatment. However, courts have also held that the prisoner need not receive "ideal care" or "the care of his choice." Instead, prison officials have some authority to choose among different treatments.

The issue with GID then becomes this: Is it possible that the only appropriate medical treatment for patients (prisoners and civilians alike) with GID is either hormone therapy, or, more drastically, sex-reassignment surgery?

Generally, if a treatment is "medically necessary," it will be provided to prisoners. Several medical authorities have stated that in some cases, sex-reassignment surgery is a "medically necessary" treatment for some individuals with GID.

Medical authorities say that severe emotional distress is the result of untreated GID. That distress can lead to self-mutilation and possibly suicide.

Certainly some members of the public will ask the question: "Isn't prison supposed to be unpleasant?" Even more ardent opponents might pose the hypothetical: "If medicine recognizes 'prison-a-phobia' (a fear of incarceration), and the only accepted treatment is release from prison, is an afflicted prisoner constitutionally entitled to release from prison, as medically necessary treatment to which he is entitled?" One could also argue that such arguments stretch the logic to an absurd -- and inapplicable -- extreme.

For prisoners who claim they are entitled to either surgery or hormone treatment under the Eighth Amendment, the issue is even thornier: Does a failure to provide cross-gender hormones or sex-reassignment surgery constitute deliberate indifference to a serious medical need? If so, prisoners could be constitutionally entitled to either or both.

In 2012, a federal district court in Massachusetts held, in a groundbreaking opinion, that prison officials violated the Eighth Amendment by refusing to provide a prisoner sex-reassignment surgery. Even more fascinating, in the same case, Kosilek v. Spencer, the state was already providing feminizing hormones to the prisoner, but the court deemed this constitutionally inadequate treatment.

How did the federal court arrive at this decision? First, it reviewed medical literature, which provided that, in certain cases, sex-reassignment surgery is the only treatment for GID. That literature included the World Professional Association for Transgender Health's "Standards of Care for the Health of Transsexual, Transgender, and Gender Nonconforming People." Those standards provide that in persons with profound GID, "sex reassignment surgery ... is medically indicated and medically necessary." The standards also provide that such surgery is not "elective" or "optional" in any meaningful sense.

Once the court established that medical necessity, there was little to prevent prisoner Michelle (formerly Robert) Kosilek from making his case. The court concluded that Kosilek had a serious medical need; that sex reassignment surgery was the only adequate treatment for it; and that the Department of Corrections was aware of his "suffering serious harm ... if not provided such surgery." By this logic, Kosilek successfully established an Eighth Amendment violation, and the court ordered his sex-reassignment surgery "forthwith" -- legalese for "right away." Courts since Kosilek have arrived at different conclusions.

Society may ultimately reject this logic in the case of prisoners. For example, a prisoner with appendicitis would be entitled to a "medically necessary" appendectomy. Why? Because the consequences of this appendicitis, left untreated, include a very real risk of death. There is no risk of death, or even serious bodily harm (other than self-inflicted) in the case of untreated GID. The benefits are largely mental, emotional, and/or spiritual, and that's why it will be unpopular: Most civilians may not consider the peace of mind of our nation's incarcerated criminals -- at the cost of their tax dollars -- "medically necessary."

So what will Bradley Manning's options be? Will he be entitled to sexual hormone therapy, or sex-reassignment surgery? Will he have the right to have the federal government (i.e., taxpayers) fund this treatment? The answer will turn on whether federal courts will choose to follow the logic of the Kosilek court, and hold that the government's refusal to allow and pay for sex-reassignment surgery for prisoners with GID constitutes "cruel and unusual punishment."

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

Danny Cevallos: Bradley Manning case may test law on gender identity change in prison

@highlight

A federal court ruled that prisoners must be granted care for gender change

@highlight

Cevallos: The test is whether denial of care amounts to "cruel and unusual punishment"

@highlight

He says other courts have differed on the issue; the law is not fully settled