There were no genetic tests 400,000 years ago, so our ancient relatives didn't know as much about themselves as we know about them now.

Scientists have reconstructed a nearly complete mitochondrial genome of an ancient human relative, whose remains were found in Sima de los Huesos ("pit of bones") in northern Spain. It is the oldest DNA to be recovered from an early humanlike species, authors of a study wrote in the journal Nature.

The ancient species that has revealed some of its genetic secrets, via bone fragments from a femur, is probably not directly linked to your family tree though.

"It's quite clear that this is not a direct ancestor of people today," said Svante Paabo, a biologist at the Max Planck Institute for Evolutionary Anthropology and senior author of the study.

Instead, he said, this representative of an early humanlike species, called Homo heidelbergensis, could be an ancestor of both Neanderthals and another group called the De nisovans.

The genetic relationship to Denisovans, discovered through this DNA research, is surprising because the Homo heidelbergensis remains found in the cave have many Neanderthal-like features. The only remnants of Denisovans come from Siberia -- a long way from Spain.

"It's sort of an open question really what this means, and I think further research into the nuclear genome of these hominins will address that," Paabo said.

How they did it

Paabo and colleagues used a new method for sequencing ancient, degraded genetic material to put together the 400,000-year-old specimen's mitochondrial genome. It is the oldest DNA ever found outside permafrost conditions -- in other words, it was not permanently frozen.

"The retrieval of such ancient human DNA is a major technical achievement, and promises further recovery of such material from other fossils in this time range, both in the Sima and elsewhere, where we would not previously have expected it, or looked for it," said Chris Stringer, researcher at the Natural History Museum in London, who was not involved in the study.

Mitochondria are structures in cells that convert food energy into usable forms. DNA stored in the mitochondria is passed to children through the maternal line only (i.e., only moms can pass it on), so it's only a small snapshot of inherited genes.

Genetic material in the cell's nucleus comes from both parents and gives a fuller picture of genetic heritage.

To study genetics of our ancient predecessors, researchers have an easier time studying mitochondrial DNA because there are hundreds of times more copies of it in each cell.

"It's a much bigger chance to find some fragments of this preserved," Paabo said.

The method that researchers used involves separating the two strands of the DNA double helix. They then make a "library" from each of the two strands. If part of one strand is damaged, its analogue on the other strand -- which is made of complementary genetic partners -- may be intact.

"That is sort of the big trick involved," Paabo said.

After sequencing the mitochondrial DNA, researchers then compared the result with genetic information about Neanderthals and Denisovans.

Since nuclear DNA encompasses more information about a person's inheritance, a nuclear genome sequence from Homo heidelbergensis may reveal even more clearly how it is connected to other ancient humanlike species, he said.

But retrieving the nuclear DNA sequence will be challenging, study authors wrote. Just to get the mitochondrial DNA sequence, it took about two grams of bone -- less than 0.1 ounce -- even though hundreds of copies of this DNA are in every cell.

Still, Paabo said, the sequencing technique his group used "opens a possibility to now do this at many other sites, and really begin to understand earlier human evolution."

Relationship to other species

Researchers thought initially the mitochondrial DNA of the Homo heidelbergensis specimen would share a common ancestor with Neanderthals. Neanderthals lived in Europe beginning as much as 300,000 years ago, Paabo said. (Homo sapiens, our species, first appeared in Africa between 100,000 and 200,000 years ago.)

Instead, researchers discovered through the DNA that this specimen is closer to the Denisovans, a group related to the Neanderthals.

A likely explanation is that in Eastern Eurasia this species gave rise to Denisovans, and in Western Eurasia they were the ancestors of Neanderthals, Paabo said. But more research needs to be done to verify that theory.

Humans, Neanderthals related to yet another group

Little is known about the Denisovans. Although some of their remains were found in southern Siberia, their genetic signature is only found today on islands in the Pacific.

Paabo was also the senior author on a 2012 study in the journal Science analyzing the Denisovan genome. That research suggested that human ancestors and the Denisovans' ancestors must have branched off from one another as much as 700,000 years ago -- although that number is vague. Still, it seems that the Denisovans must have mated with indigenous people in Papua New Guinea and Australia, Paabo said.

About 3% to 5% of the DNA of people from Melanesia (islands in the southwest Pacific Ocean), Australia and New Guinea as well as aboriginal people from the Philippines comes from the Denisovans.

On the other hand, everyone who lives outside Africa today probably has some Neanderthal DNA in them, Paabo said in 2012.

The bottom line, Paabo said, is that the relationships between these early human relatives -- Homo heidelbergensis, Neanderthals and Denisovans -- are not clear-cut.

"It's going to be a more complex history that one will eventually clarify with the help of DNA," he said.

Elizabeth Landau is on Twitter at @lizlandau.

@highlight

Homo heidelbergensis remains found in Spain

@highlight

From a femur bone, scientists sequenced mitochondrial DNA

@highlight

Technique can be used elsewhere, too, scientists say