In a stunning reversal, the VA's acting inspector general now says that long wait times at VA health care facilities in Phoenix did contribute to a number of veterans' deaths.

In a hearing before the House Committee on Veterans' Affairs Wednesday, Acting Inspector General Richard Griffin was grilled by lawmakers about the findings of his office's August report, which stated that while the investigation into 40 veterans' deaths found "poor quality of care," the office was "unable to conclusively assert that the absence of timely care caused the death of these veterans."

Rep. David Jolly, R-Florida, insisted that Griffin answer his questions in simple terms.

"Would you agree that wait lists contributed to the deaths of veterans?  Yes or no?" he asked.

"Yes, they do," Griffin replied. "I would say that it may have contributed to their death, but we can't say conclusively it caused their death."

Committee chairman Rep. Jeff Miller, R-Florida, said the report actually shows that 83 vets died while waiting for care, either on a hidden wait list or a scheduling wait list.

Additional information provided by the inspector general's office to the committee shows "an astonishing 293 total veteran deaths on all of the lists provided from multiple sources throughout this review," Miller said.

For more than a year, CNN has been investigating and reporting on veterans' deaths and delays at VA facilities all across the country, including detailed investigations in November and January 2013 examining deaths at two VA facilities in South Carolina and Georgia.

Whistleblowers have their say

Griffin's testimony confirms and even goes beyond the original allegations brought forth by Dr. Sam Foote, a retired Phoenix VA doctor, who first appeared on CNN in April with detailed allegations that as many as 40 American veterans had died in Phoenix, waiting for care at the VA.

After Foote's revelations, several other whistleblowers stepped forward with similar accounts of veterans waiting for care and possible deaths due to the delays.

In testimony before the committee Wednesday, Foote accused the inspector general of stalling the investigation and protecting the senior officials responsible for perpetuating and hiding health care delays.

Foote also alleged that the inspector general deliberately used confusing language and suppressed the finding that 293 veterans died waiting for care, a figure that was not included in the report.

"This report is at best a whitewash and at worst a feeble attempt at a cover-up," Foote testified.

He also faulted VA Secretary Bob McDonald for not increasing transparency at the agency, as he promised he would, and for his vow to not tolerate whistleblower retaliation.

"This report fails miserably in those areas with a transparency equivalent to a lead-line, 4-foot-thick concrete wall," Foote said.

Another whistleblower from the Phoenix VA also testified, charging that the inspector general downplayed evidence of harm to veterans and minimized the effects of medical administrators manipulating patient data and scheduling.

Whistleblower says investigation has been a 'whitewash'

Dr. Katherine Mitchell, medical director of the Phoenix VA's Post-Deployment Clinic, critiqued the inspector general's review of patient cases and said delays potentially caused two deaths and others significantly shortened the lifespan of some terminally ill veterans.

"Death is death, and there is no way to get those veterans back," Mitchell said.

Wait times contributed to deaths

Lawmakers also heard from Dr. John Daigh, an assistant inspector general who helped investigate the Phoenix VA, in Wednesday's hearing.

Rep. Phil Roe, R-Tennessee, challenged the IG's report finding that patient wait times couldn't conclusively be linked to deaths.

"To draw the conclusion, Dr. Daigh, that you did ... that it had no effect on the outcome of those patients, is outrageous," Roe said angrily.  "If this were your family member, would you be happy with the explanation you just gave of his death? My suspicion is no."

From the other side of the aisle, Rep. Beto O'Rourke, D-Texas, charged that "common sense tells you" delays in care could certainly be linked to deaths of patients.

Daigh also answered affirmatively to Jolly's questioning about the relationship between wait lists and veterans' deaths.

"Would you be willing to say that wait lists contributed to the deaths?" Rep. David Jolly, R-Florida, asked.

"Yes. No problem with that. The issue is cause," Daigh said.

VA inspectors say Phoenix was in total 'chaos'

Problems at Phoenix VA

In a document dated October 2013 that was recently obtained by CNN, the Phoenix VA conducted its own investigation into allegations that administrators incorrectly scheduled appointments and that senior officials discouraged the reporting of related problems.  It issued a report saying many of the claims could not be substantiated.

But when the VA's Office of Inspector General later investigated the same charges, it found that Phoenix VA staff members manipulated appointment data and that senior officials were aware of the inappropriate practices.

The Phoenix VA did confirm in its 2013 internal report that the wait times for mental health appointments were "extremely long," and that administrators discouraged patients from scheduling follow-up visits when they left the medical center.

The VA's 2013 report also found the process of hiring staff took too long, in some cases taking more than 60 days.

But the Phoenix VA reportedly rejected the majority of allegations, which were raised by Dr. Mitchell, the whistleblower who testified before Congress Wednesday.

On Mitchell's charge that Phoenix VA officials actively discouraged the reporting of scheduling problems, the VA report found, "There have been no findings ... that substantiate these allegations."

Many of Mitchell's allegations in 2013 centered on inappropriate use of the Phoenix VA's electronic wait list, a process for scheduling patients for next-available appointments.

She charged that Phoenix VA administrators were not correctly trained on how to use this wait list and that they failed to appropriately track appointments, claims the inspector general later substantiated.

At Wednesday's hearing, congressional leaders from both sides of the aisle repeatedly criticized and chastised Griffin and his team of experts who examined what happened in Phoenix, with many lawmakers expressing exasperation and frustration that they were not getting truthful or clear answers.

During the proceedings, Foote and Mitchell provided the committee with detailed reports containing allegations and information about what they see as a cover-up and conspiracy.

Committee members will be going through these documents in coming days.

@highlight

Richard Griffin, the VA's acting inspector general, spars with committee

@highlight

Lawmakers and two whistleblowers from the Phoenix VA disagree with his findings

@highlight

CNN has been investigating and reporting on veterans' deaths and delays at VA facilities