Wall Street protests swelled Wednesday to their largest numbers yet, after local unions pledged support to a third week of demonstrations against income inequality, corporate greed, corruption and a list of other social ills.

Thousands meandered from lower Manhattan's Zuccotti Park -- considered a rallying point for the largely leaderless group -- to Foley Square near City Hall.

The crowd then looped back to the park, punctuating a 19-day protest that promotes a wide, if not ambiguous, range of messages.

Causes range from social awareness to radical change in America's financial and political systems, while other participants appeared content to simply get caught up in the spirit of demonstration.

Still, while the fledgling movement has struggled in its definition, demonstrators appear steadfast in their general criticism of the country's wealthiest 1% and its purported influence.

Some carried placards and shouted slogans denouncing corporate excess, while others said they were "fed up" with high unemployment and a lack of economic opportunity. Still others said they had simply been waiting for a moment to express their voice and kick-start a conversation about inequality.

The crowd stretched along a dozen city blocks, chanting "All day, all week, occupy Wall Street."

The protestors also have begun printing a newspaper called The Occupied Wall Street Journal in an effort to garner an additional media attention.

And following a string of arrests, they say they are pursuing a class action lawsuit against the New York Police Department and Mayor Michael Bloomberg for their "unconstitutional effort to disrupt and suppress" demonstrations.

The group seemed to gain momentum after a September 24 pepper spray incident involving protestors and New York police officers.

On October 1, police arrested hundreds of protestors as they marched across a roadway leading to the Brooklyn Bridge, blocking city traffic for hours.

Meanwhile, social media sites such as Twitter seem to be spurring similar protests in other cities, though in vastly smaller numbers.

Dozens gathered in Boston; Hartford, Connecticut; and Seattle, while demonstrations were also scheduled later Wednesday in Savannah, Georgia, among other cities.

Demonstrations were also expected to take place in Washington, D.C., and Tampa, Florida, on Thursday.

A Twitter account called Occupy Boston mentions a citywide college walkout  there later Wednesday.

Elsewhere, the Massachusetts Nurses Association said hundreds of the city's nurses would rally with the Occupy Boston protesters later Wednesday. The association said the protest would be part of the opening day activities for a national nursing convention in Boston.

iReport: Send us your photos, videos

In New York, several unions endorsed the Occupy Wall Street movement and planned to join the protesters' street theater Wednesday, labor leaders said.

The voices of #OccupyWallStreet

"It's really simple. These young people on Wall Street are giving voice to many of the problems that working people in America have been confronting over the last several years," said Larry Hanley, international president of the Amalgamated Transit Union, which has 20,000 members in the New York area.

"These young people are speaking for the vast majority of Americans who are frustrated by the bankers and brokers who have profited on the backs of hard-working people," Hanley added in a statement. "While we battle it out day after day, month after month, the millionaires and billionaires on Wall Street sit by -- untouched -- and lecture us on the level of our sacrifice."

Transport Workers Union Local 100 spokesman Jim Gannon said the Occupy Wall Street movement, which denounces social inequities in the financial system and draws inspiration from the Arab Spring revolutions in Africa and the Middle East, has advanced issues that unions typically support.

"Their goals are our goals," Gannon said. "They brought a spotlight on issues that we've believed in for quite some time now. ... Wall Street caused the implosion in the first place and is getting away scot-free while workers, transit workers, everybody, is forced to pay for their excesses.

"These young folks have brought a pretty bright spotlight," Gannon added. "It's kind of a natural alliance."

Time magazine: 'Indignados' occupy Wall Street

President Michael Mulgrew of the United Federation of Teachers, the sole bargaining agent for most nonsupervisory New York City public teachers, with 200,000 members, said he was proud to support the demonstrators.

"The way our society is now headed, it does not work for 99% of people, so when Occupy Wall Street started ... they kept to it and they've been able to create a national conversation that we think should have been going on for years," Mulgrew said.

The labor officials couldn't provide a projection of how many of their members will take the day off from work Wednesday and join the protests.

View a high-resolution gallery of the protests

In New York, the demonstrators have camped out in Zuccotti Park, calling for 20,000 people to flood the area for a "few months."

The protest campaign -- which uses the hashtag #occupywallstreet on the microblogging site Twitter -- began in July with the launch of a campaign website calling for a march and sit-in at the New York Stock Exchange.

And for more than two weeks, demonstrations have addressed issues such as police brutality, union busting and the economy, the group said.

Open Story: Occupy Wall Street protests

Occupy Wall Street is a leaderless movement made up largely of twenty-somethings upset about the economy, the Afghanistan war, the environment, and the state of America and the world in general.

In less than three weeks, the movement has become a magnet for countless disaffected Americans at a time when an overwhelming majority of U.S. adults say the country is on the wrong track.

Wall Street protesters inspired by Arab Spring movement

Besides the other cities, protests have also been held in Chicago and Los Angeles.

Occupy Wall Street and its offshoots have clear strains of liberal economic populism -- a powerful force in U.S. history during times characterized by economic stress. That said, it would be a mistake to label or tie the movement to a specific agenda, said Susan Olzak, a Stanford University sociology professor.

"It's difficult to classify a social protest movement early on in its history," she said. "Clearer goals could eventually emerge, but there's no guarantee."

She added, "Many movements fizzle out. Others become more organized. (But) I think we run a risk (by) taking a snapshot at any one point in time and trying to categorize the movement in any one way based on that snapshot. The only way to study these protest movements is to follow them over time."

@highlight

Wednesday's protests have the largest numbers since demonstrations began

@highlight

The group is printing a newspaper called The Occupied Wall Street Journal

@highlight

They say they are pursuing a lawsuit against Mayor Bloomberg and NYPD

@highlight

Protesters march from Zuccotti Park to Foley Square