(CNN) -- Last year, Dr. Kiran Sagar, a cardiologist in Wisconsin, was fired two months after presenting strong data showing that cardiologists in the hospital she worked at misread a substantial number of heart tests. Similarly, a nurse from Columbia Hospital Corp. of America (HCA) was let go after complaining that a doctor was performing unnecessary cardiac procedures, even after an internal investigation found the nurse's claim to be substantiated. And a few weeks ago, the CBS News program "60 Minutes" reported on ER doctors fired for not meeting quotas on the percentage of patients they admitted to the hospital.

These recent patterns of firings send yet another strong message to every doctor and nurse who has ever considered speaking up about dangerous and fraudulent medical care: Speak up and risk destroying your career.

The culture of health care needs to change. Medical mistakes cause too many needless harm or deaths, yet few people see the problem in this context because we rarely have an open and honest conversation about the quality of health care in America. When we do, it is often behind closed doors. This is a challenge that a new generation of doctors is working to change through initiatives ranging from more transparent bedside care to public reporting of hospital performance.

Doctors and nurses increasingly feel disconnected from policymakers and even their own hospitals, some of which have transformed into giant corporations. Despite concerns from the Federal Trade Commission that costs will go up for consumers, hospital mega-mergers are on the rise.

This past year saw a large number of hospital mergers and acquisitions in health care. While some hospital executives have commendably used a hospital chain's large size to standardize best practices, others have fallen into the age-old management trap of detaching themselves from the front lines and becoming dangerously out of touch with their own staff.

I talk to doctors and nurses around the country every week. One trend that seems clear is that more doctors and nurses are feeling frustrated. A recent national study by Mayo Clinic researchers shows that doctor burnout rate is now up to a staggering 46%.

A new phenomenon, quite different from when my father practiced medicine, is that doctors and nurses now say they feel like they are tenants working for their landlord: the hospital management. Often, doctors and nurses know how to make care better and safer but feel stripped of the power to make necessary changes.

This worker-management disconnect (even antagonism) in any industry is dangerous. In medicine this workplace atmosphere, complicated by perverse economic incentives and weak systems of accountability, contributes to a hospital culture marked by a lack of a sense of communal ownership in the overall delivery of care. What results is a poorer quality of care, more overtreatment, more fraud, more medical mistakes, and more patients falling through the cracks.

According to a 2009 CBS-New York Times poll, 77% of Americans say they are satisfied with the quality of their health care. But what makes people think the health care they're receiving is good? Very little. A Harvard study published in the New England Journal of Medicine reported an alarming fact: 18% of patients were actually harmed by medical care. The Congressional Budget Office estimates that up to 30% of health care procedures, tests and other services do not improve health outcomes.

For instance, if you had a medical condition, would you go to a hospital that has performed more than 1,000 unnecessary procedures? Probably not.

As much as one-third of all health care expenditures may be going to waste, fraud and unnecessary medical care. This problem is high on the agenda for the American Board of Internal Medicine. Other physician groups have joined the "Choosing Wisely" Campaign to address unnecessary care in American medicine. The Institute of Medicine is calling attention to the problem, and many medical researchers are speaking openly about it. But more needs to be done.

Rather than reinforce a closed-door culture in American medicine, hospitals should use their new large size to encourage external and independent peer reviews and create a culture of transparency.

Patients should be encouraged to keep a copy of their medical records, not inconvenienced with burdensome processes and extra charges to obtain them. A hospital's front-line health care workers are their work engine, and these people should be encouraged to voice their safety concerns to their managers.

Mega-hospitals need to stay true to their mission and not fall into the large corporate pitfalls that can erode the standing of any business. A workplace culture that punishes those who speak up about problems by depriving them of their career livelihood is part of the problem itself.

As a surgeon, I sometimes see patients after they have blindly walked into the hands of dangerous, expensive and avoidable care. If we are serious about improving health care quality and lowering costs, we need to address the issue of accountability. Our hospitals must be more accountable to patients and doctors.

The opinions expressed in this commentary are solely those of Marty Makary.

@highlight

Marty Makary: Doctors who talk about fraudulent medical care risk losing job

@highlight

Makary: Doctors increasingly feel disconnected with policymakers and hospitals

@highlight

He says some hospitals are becoming mega-corporations with little accountability

@highlight

Makary: Doctor should be encouraged to voice safety concerns to their managers