(CNN)It's a warm afternoon in Miami, and 35-year-old Emanuel Vega has come to Baptist Health Primary Care for a physical exam. Dr. Mark Caruso shakes his hand with a welcoming smile.

Vega, a strapping man with a thick black beard, is feeling good, but he came to see the doctor today because his wife thought he should -- she even made the appointment. It is free to him under his insurance policy with no co-pay, as most preventive care is under the Affordable Care Act.

Vega is one of more than 44 million Americans who is taking part in a medical ritual: visiting the doctor for an annual physical exam. But there's little evidence that those visits actually do any good for healthy adults.

Caruso listens to Vega's heart and lungs, checks his pulse in his ankles and feels around his lymph nodes. He also asks Vega about his exercise and sleeping schedule and orders blood and urine tests. As long as everything checks out, Caruso asks Vega to return for another exam in a year. Vega says he definitely will.

It was a positive experience for both doctor and patient, and they're not alone; 92 percent of Americans say it is important to get an annual head-to-toe physical exam, according to a Kaiser Family Foundation poll (KHN is an editorially independent program of the foundation). And 62 percent of those polled said they went to the doctor every year for their exam.

But the evidence is not on their side. "I would argue that we should move forward with the elimination of the annual physical," says Dr. Ateev Mehrotra, a primary care physician and a professor of health policy at Harvard Medical School.

Mehrotra says patients should really only go to the doctor if something is wrong, or if it's time to have an important preventive test like a colonoscopy. He realizes popular opinion is against this view. "When I, as a doctor, say I do not advocate for the annual physical, I feel like I'm attacking moms and apple pie," Mehrotra says. "It seems so intuitive and straightforward, and [it's] something that's been part of medicine for such a long time."

But he says randomized trials going back to the 1980s just don't support it.

The Society for General Internal Medicine even put annual physicals on a list of things doctors should avoid for healthy adults. One problem, Mehrotra says, is the cost. Each visit usually costs insurers just $150, but that adds up fast.

"We estimate that it's about $10 billion a year, which is more than how much we spend as a society on breast cancer care," Mehrotra says. "It's all a lot of money."

And then there's the risk that a doctor will run a test and find a problem that's not actually there. It's called a false positive, and it can lead to a cascade of follow-up tests that can be expensive and could even cause real harm. Dr. Michael Rothberg is another primary care physician and a health researcher at the Cleveland Clinic. He generally avoids giving physicals.

"I generally don't like to frighten people and I don't like to give them diseases they don't have," Rothberg says. "I mostly tell my family, 'if you're feeling well, stay away from doctors. If you get near them, they'll start to look for things and order tests because that's what doctors do.' "

"The flip side of that is if you're not feeling well, don't keep it to yourself. Don't minimize it. Don't pretend it's not there," he adds.

Rothberg says he still has patients who always schedule an annual exam. For those patients, he skips the physical aspects of the exam and focuses instead on talking to them about their dietary and exercise habits, possible risks, age-appropriate vaccinations and any screening tests they may need.

The guidelines discouraging annual physicals are aimed specifically at asymptomatic adults. Dr. David Fleming, president of the American College of Physicians, says it's important for elderly patients to be seen on a regular basis, to "do a full assessment of everything -- how they live at home, if the conditions are safe, are they at risk of falling? They need a flu shots every year. This is a population where it's definitely indicated."

Back in Miami, Caruso is also well versed in the research on annual physicals, but he still believes in them. "I think having a look at somebody is worth its weight in gold," he says.

It's an important part of developing a relationship with a patient, he says, and there have been countless times when he's found real problems during an exam just like the one he gave to Vega.

"What if Mr. Vega had had a lump or bump that wasn't right?" Caruso asks. "What if when he had his shirt off, Mr. Vega said, 'Oh yeah, I forgot to mention this spot on my chest,' and it ended up being a melanoma we discovered early?"

And Vega did end up needing a little help -- he has a bad back that's landed him in the ER several times. Caruso was able to link him up with a back specialist to help him manage the problem.

Kaiser Health News (KHN) is a nonprofit national health policy news service.

@highlight

92 percent of Americans say it is important to get an annual head-to-toe physical exam

@highlight

Randomized trials going back to the 1980s just don't support that belief