(CNN) -- When Cesar Castillo's cancer returned for the second time, he fell apart.

"I had to go through a rigorous chemo and radiation therapy and a stem cell transplant," he said. "I couldn't concentrate. I couldn't relax. I was really anxious and depressed. All I kept thinking was: 'Here I am, not even 30, being poisoned and fighting for my life.'"

Diagnosed with severe depression, Castillo was put on Paxil.

"The medicine turned me into a totally different (person)," he remembers, "and yet I still couldn't relax."

Are we over-diagnosing mental illness?

A year later, with the help of a yoga class for cancer survivors at his gym, Castillo was feeling like his old self again. By then he had given up on the medication.

So, when a work crisis triggered a second bout of depression and panic attacks, he had no intention of trying meds again.

"I went back to what had worked for me the first time. I upped the Bikram yoga and I channeled my energy into getting stronger and more relaxed again," he said. "Yoga became my saving grace."

Castillo's success with yoga would not surprise Dr. P. Murali Doraiswamy, professor of psychiatry and medicine at Duke University Medical Center. Doraiswamy is one of three authors of a recent study published in the journal Frontiers in Psychiatry.

"We all know the myth of yoga," says Doraiswamy. But he and his colleagues wanted to know whether there was evidence to match the hype. To find out, they sifted through more than 100 studies on the effects of yoga on a variety of major psychiatric disorders, including depression, schizophrenia and ADHD.

After narrowing their field to only the highest-quality studies, the Duke researchers focused on 16 and found that yoga holds tangible benefits for disorders ranging from sleep complaints and ADHD to schizophrenia and depression. Evidence for yoga's effect on eating disorders and cognition problems was either conflicting or lacking.

Scientists have cited evidence that the practice of yoga may affect the human body in ways similar to antidepressants and psychotherapy. One study of biomarkers, for example, found that yoga influences brain chemicals by boosting serotonin levels, lowers inflammation, reduces oxidative stress and exerts a positive influence on other key elements of the human body that play a role in mental health.

So is it time to exchange your medications for a yoga mat?

Absolutely not, says Doraiswamy, but he says rigorous research of this issue on a larger scale should be a national priority.

There are some 30 to 50 million Americans taking psychiatric drugs, he notes. Some are benefiting and some are not.

In one study, funded by the National Institute of Mental Health, only one-third of patients achieved remission of depressive symptoms, defined as becoming symptom-free.

As a culture, we are becoming more and more dependent on pills, Doraiswamy tells me, but pills don't prevent any of the psychiatric illnesses. They don't build resilience. They don't teach coping strategies and they don't in general engender wellness.

There are some situations when medication is essential. But outside-the-box strategies, such as yoga, could offer a low-cost, viable approach.

The issue echoes a sentiment I have been hearing about with increasing frequency: Recent advances in fields such as nutrition, technology and the mind-body connection are continuing to expand our definition of what constitutes mainstream "medicine." Drugs and surgery, yes; but what else?

Researchers, for example, recently showed for the first time that a Mediterranean diet can have as powerful an effect as drugs in preventing heart attacks, strokes and deaths from cardiovascular disease in subjects at high risk of heart disease.

Other scientists are contemplating the possibility of having doctors ask their patients to download an app in lieu of taking a drug and calling them in the morning.

Alas, as tangible and compelling as the effects of these nondrug interventions may be, they often lack the deep pharma pockets required for the clinical trials that will bring doctors on board.

When it comes to yoga, at least, Doraiswamy believes we should be urging our government agencies or large nonprofit agencies to take on the issue and to help establish rigorous proof for the benefit of the public.

I try to imagine how I would feel if a psychiatrist were to prescribe me a downward dog or two instead of an antidepressant.

Odd, I think. But in a really good way.

@highlight

Study finds yoga holds tangible benefits for a range of disorders

@highlight

Regular practice could help ADHD, schizophrenia and depression

@highlight

More research is needed but yoga could be a low-cost, viable option