Elections in Tunisia on Sunday are about much more than one country. They could mark a big step toward democracy.

If the country's transition toward democracy "continues to move forward, it would be a powerful signal that democracy can take root in the Arab world," said Anthony Dworkin of the European Council on Foreign Relations.

"At a time when hopes of moving towards political reform and accountable governments elsewhere in the Arab world have been dashed, Tunisia is the only country where the aspirations of the Arab uprisings may yet be fulfilled in the near future," Dworkin wrote in an analysis.

"Even if Tunisia's example does not inspire any immediate followers in the region, the consolidation of a successful democracy in the country would be a powerful signal that reform and political pluralism are not doomed to fail in the Arab world."

Tunisians headed to the polls to vote for their first post-revolution parliament, marking the end of three years of transitional governance that has been marred by rising extremism and economic failure.

The atmosphere was tense in the country labeled the cradle of the 2011 Arab Spring: Over 70,000 members of security forces and heavily armored trucks patrolled the main streets, amid threat of attack from terror groups.

More than 5 million people, about half the population, registered to vote. They are set to choose among thousands of candidates vying for 217 seats in the People's Assembly, the country's first permanent legislature since the  2011 popular uprising which ousted President Zine el Abidine Ben Ali.

More than 100 political parties are running. The two front-runners are the Islamist Ennahda party, which headed up a transitional coalition government before being forced to give up power earlier this year, and Nidaa Tounes, a secular group led by a former Ben Ali parliament speaker.

The two offer widely different visions of Tunisia. Their respective popularity highlights the political polarization that has slowed down real change in the country.

Despite the security fears, by mid-morning long lines of people queued to cast their ballots in downtown Tunis' Lafayette district, home to one of the capital's main voting centers. Tunisia's rising unemployment and trend of jihadism were the main topics being enthusiastically discussed by voters as they waited.

"Today is vital so that we do not witness what we just went through in the last three years. Everything got worse after the revolution: security, economy, social problems," said Fathy Baklouti, who was voting for Nidaa Tounes. He criticized by the Islamists for being "old regime" because of their leader's Ben Ali-era political appointments.

The 61-year-old mechanic said the last three years had hit the youth the hardest and he had struggled to help his children find work. The youth unemployment rate here is over 40%. Since the revolution, the number of people under the poverty line has doubled while the corrupt practices that marked the old regime are still prevalent, crushing the economy.

"I pushed my kids into odd jobs like construction work just to protect them from any Salafi brainwashing, which is worryingly prevalent here. The youngsters are particularly vulnerable as they are seduced by money and the promise of having a greater 'purpose,'" he said, adding that a strong secular leadership -- headed up by Nidaa Tounes -- will help combat radical Islamism. (The Salafists are ultra-conservative Sunni Muslims who are becoming an increasingly strident political force across the Arab world in the wake of the Arab Spring.)

Tunisia is lauded as the sole success story of the Arab Spring but in recent years has been struggling to fight a rising insurgency anchored in its rural and border areas. Over 3,000 Tunisians have travelled to Syria to fight with extremist groups like ISIS, which calls itself the Islamic State, and al Qaeda affiliate Jabhat al Nusra -- making Tunisia the single largest contributor of foreign fighters.

There are whole neighborhoods in Tunis where heads of the more extreme Salafi mosques have persuaded young people to become extremist militants both in Tunisia and abroad. On Friday, the run-up to the elections was marred by a deadly standoff between police and suspected militants in Oued Ellil, a northern suburb of Tunis. Seven people were killed, including five women and a police officer, after a special forces unit raided a home housing "terrorists," according to the Ministry of Interior.

At polling stations, people said they hoped the country's political leadership could rally together to stabilize Tunisia and stop it from descending into chaos like neighboring Arab Spring country Libya.

"All must come together, not one person or party can lead Tunisia in its next journey," said Mahouba Ettiss, 44, a civil servant voting in downtown Tunis. "We must have consensus, we must be united or face the consequences."

@highlight

Tunisia could offer "powerful signal" that democracy can work in the Arab world, analyst says

@highlight

Tunisians vote for first post-revolution parliament

@highlight

Election comes amid rising extremism and economic failure

@highlight

More than 100 political parties are running