Tokyo (CNN) -- The leak of highly radioactive water into the Pacific from the crippled Fukushima Daiichi nuclear plant has stopped, Tokyo Electric Power Company said early Wednesday.

The leak had stopped as of 5:38 a.m. Wednesday (4:38 p.m. ET), said the company, which runs the plant.

Earlier, Tokyo Electric officials had said an attempt to plug the leak had shown a "significant difference," despite the material not setting as hoped. The company had injected a silica-based polymer dubbed "liquid glass" to reduce the leak.

The utility's assessment comes after the country's Nuclear and Industrial Safety Agency said the substance had not hardened as expected. The material had been pumped from below into the leaking shaft at the plant's No. 2 reactor.

The news was a bright spot amid a series of setbacks Japanese authorities faced Tuesday, including the detection of radiation in a fish and news that the water gushing into the Pacific had radiation levels millions of times above the regulatory limit.

Readings from samples taken Saturday in the concrete pit outside the turbine building of the No. 2 reactor -- one of six at the crisis-plagued plant -- had radiation 7.5 million times the legal limit, a TEPCO official said. Newer findings, from Tuesday afternoon, showed a sizable drop to 5 million times the norm.

Town near nuclear plant rejects Japanese utility's 'token' offer

The utility company also noted Tuesday that the radiation levels diminished sharply a few dozen meters from the leak, consistent with their assessment that the spill might have a minimal effect on sea life. But even in these spots, radiation levels remained several hundred thousand times the legal limit.

Both the utility and Japan's nuclear safety agency said they didn't know how much water is leaking into the sea from reactor No. 2. But engineers have had to pour nearly 200 tons of water a day into the No. 2 reactor vessel to keep it cool, and regulators say they believe that is the water leaking out.

Japanese Chief Cabinet Secretary Yukio Edano said the presence of radioactive iodine "in one sample of fresh fish" prompted authorities to regulate the radiation in seafood for the first time.

While fishing has been forbidden within 20 kilometers (12 miles) of Fukushima Daiichi, there had been no restrictions on seafood, as there were for some vegetables and milk from certain locales. Now, the same radiation standards that apply to vegetables will apply to ocean products as well.

Nuclear crisis explainer

"The "provisional ingestion limit, equivalent to vegetables and applied to fish and shellfish, will take effect immediately," the Cabinet minister said.

Meanwhile, the deliberate dumping of radioactive water into the sea continues, Tokyo Electric said Wednesday. On Tuesday, Edano apologized for the decision to dump the water -- all part of the effort to curb the flow of the more toxic liquid spotted days ago rushing from outside the No. 2 unit.

TEPCO said that as of Tuesday evening, more than 5,740 tons had been released -- about half the total volume.

The process of expelling contaminated water in the plant's water treatment facility and around several of its reactors began Monday and will take five days, a Tokyo Electric official said.

"The water contains a high level of radiation," Edano said of the liquid being dumped into the Pacific. "We are sorry for this decision we have to make."

Special coverage: Japan earthquake aftermath

The most contaminated batch of this water comes from outside the No. 6 reactor, likely having gotten in via groundwater (and not a breach in the unit itself), officials said. It has a concentration of iodine-131 that would be 100 times more than the maximum amount in tap water that infants could drink, and 10 times more than what would be OK in food.

Overall, the dump equates to about 3 million gallons, noted Gary Was, a nuclear engineering professor from the University of Michigan.

Yet Hidehiko Nishiyama, a Nuclear and Industrial Safety Agency official, said, "We've decided that discharging the contaminated water into the sea poses no major health hazard."

Experts say this is a fair assessment, given the likelihood the contamination should quickly dilute, especially if the tainted material is largely iodine-131, which loses half its radiation every eight days.

"To put this in perspective, the Pacific Ocean holds about 300 trillion swimming pools full of water, and they are going to release about five swimming pools full," said Timothy Jorgensen, chair of the radiation safety committee at Georgetown University Medical Center. "So hopefully the churning of the ocean and the currents will quickly disperse this so that it gets to very dilute concentrations relatively quickly."

John Till, president of the South Carolina-based Risk Assessment Corp., said he does not expect to see any permanent effects on marine life, even close to the plant. However, he added that officials should monitor radiation levels closely -- in the ocean as well as in seafood that reaches restaurants and markets.

U.S. scales back military aid units in Japan

A piece of good news, according to Japanese government reports, is that airborne radiation appears to be steadily falling around northeast Japan. Two measurements from 15 kilometers (nine miles) or less from the plant showed amounts of radioactive iodine-131 at 2 to 3.7 times the legal standard, with levels of a far longer-lasting cesium isotope well below the official limit.

Also, utility and government officials have described conditions recently in the Fukushima Daiichi plant's reactors and spent nuclear fuel pools as generally stable. There have been exceptions -- like the new need to pump 3-meter-deep water from a drain outside the Nos. 5 and 6 units for fear it could rise, enter nearby turbine buildings and short out power for the units' nuclear fuel cooling systems. But such problems aren't occurring at the same pace, or with the same apparent severity, as was evident weeks ago.

The top priority, however, is stopping the water that's been gushing directly into the Pacific through a cracked concrete shaft outside the No. 2 reactor.

How to help in Japan relief efforts

Edano said Monday that the decision to dump tainted water from other reactors and the wastewater treatment facility was unavoidable in order to ensure the safety of the No. 2 reactor core.

The idea is to expeditiously pump the tainted water from around the No. 2 reactor's turbine building, lowering levels inside so that water no longer rushes out into the sea, a Japanese nuclear safety official said. This came after the first two failed attempts to plug the problematic crack -- one by pouring in concrete, the other using a chemical compound mixed with sawdust and newspaper.

Reactors No. 1 and No. 3, which have lower levels of water, need to be drained as well. Tokyo Electric's plan is to pump that water to other storage tanks, including some that still need to be set up. Water in and around the Nos. 5 and 6 reactors is being jettisoned directly in the sea, officials said.

Interactive map on Japan crisis

Another big problem may be that authorities still don't know how exactly the gushing water got contaminated, where it came from or how to fix potential leaks and cracks deep inside the reactor complex and nuclear fuel.

Michael Friedlander, a former senior U.S. nuclear engineer, said late Monday that authorities will continue to have problems related to excess, radioactive water -- and the need to dump some of it -- as long as they inject huge amounts in to prevent fuel rods from overheating in reactors' cores and spent fuel pools.

"This is not a one-off deal," Friedlander said of dumping radioactive water into the ocean. "This issue of water and water management is going to plague them until they can get (fully operating) long-term core cooling."

CNN's Whitney Hurst, Matt Smith and Kyung Lah and journalist Hiroo Saso contributed to this report

@highlight

NEW: The leak of radioactive water into the Pacific has been stopped

@highlight

More than 5,700 tons of less radioactive water have been purposefully released so far

@highlight

Radiation levels drop sharply offshore, but are many times over the legal limit

@highlight

Water in a pit that's leaking into the sea had radiation 7.5 million times above the norm