(CNN) -- In today's publishing market, "Going Rogue" is a fat book at 432 pages, at a high price point of $28.99, with a massive (rumored 1.5 million) first printing, launched on the book world's version of a Royal Tour, where Oprah is Queen of the Universe and Barbara Walters is Duchess of the D.C.-Manhattan cognoscenti.

In today's political market, well before it was officially released, "Going Rogue" was reduced to a pinprick-sized, petty insiders squabble. How do we square these disparate perspectives?

As a person with alternating publisher and political hats, who knows the players but wasn't inside the John McCain campaign, who cares deeply about the current conservative movement and the future of the country (which are inextricably intertwined), may I offer a few thoughts to the friends on CNN.com's site?

The publishing "frenzy"

Full disclosure: Threshold Editions, an imprint of Simon and Schuster, (for which I serve as editor-in-chief, a misnomer of a title, since my editing is confined to reading; for you political types, think, "operative/organizer") would have loved to acquire Sarah Palin's book.

She didn't really shop it and it's not certain we would have paid what she was reputed to have commanded, but upon notice she was considering writing, we, like the rest of the book world, were in a frenzy at the prospect of publishing it. Many were prepared to offer Palin's lawyer, Bob Barnett, their first-born male child for it.

We are now all watching very closely how it plays out (and more precisely, "earns-out") in a book market that's unpredictable and fickle always, but in major transition today. The pre-orders immediately kicked it onto the best-seller lists, but a dirty little secret of publishing (where spin is as prevalent as in politics) is not all best-sellers earn out (i.e., the publisher sells enough books to cover an author's advance, which is the threshold for making a profit).

"Going Rogue" will now be a "comp" (or baseline) for assessing the value of and advances for political "big books," so all you big book writers of the future better hope it sells big -- or your future advances won't be.

"The Political Palin"

On to politics. While having your own title is now de rigueur for politicians and policy makers, and the upshot is usually no harm-no foul, the goals of the publishing and political worlds are not always in tandem.

Though there is much, much more in Palin's book that fleshes out her inner core, her grounding in faith and family, as well as her policy achievements and forward-thinking philosophical framework of common sense conservatism, so far the coverage of it has constrained her in a defensive backward-focused box, re-litigating the darkest days of the campaign and reliving difficult family moments.

Though all the breathless chatter about 2012 is premature, the way Palin lays out her world view throughout the book and especially in the eloquent closing pages is sure to attract conservatives yearning for an unapologetic articulation of first principles. But because of the inordinate mainstream media focus on the political insiders' tiff, the Political Palin is getting sucked down and mucked up by the Published Palin.

Listening to her on Rush Limbaugh as I write, she is digging out of the box her detractors would like to bury her in for once and all and needs to keep on it: Get off their message and onto her own.

Now, for a point of personal privilege. I have been and will continue to be an advocate of Sarah Palin and her principles. Had I been asked about how to use her publishing opportunity to maximum political benefit, I would have proffered to Palin the received wisdom of the unlikely duet of my mother and Lee Atwater: Never burn bridges.

As campaign memoirs go, "Going Rogue" napalms bridges, incinerates detractors, hoses gas on what were smoldering embers. It is without refutation anywhere, even among rabid Palin haters, that she received political hazing of a magnitude previously unimaginable.

More mother wisdom: Two wrongs don't make a right (to which my Obama-loving daughter always replies, "Yes, but three rights make a left"). There was a way to defend her honor, make her case, pivot to the future while showcasing her moral foundation by doing unto others as she wished they had done unto her, so to speak.

Campaign pressure cooker

Anyone who has ever been in the Defcon One pressure cooker of a national campaign knows that "mistakes are made," feelings are hurt, tempers are short, bitching is background noise. There is no such thing as Emily Post for political campaigns. Except for maybe Poppy Bush, good manners do not exist on any campaign planet. For good reason: They take time.

Time is the most valuable commodity on a campaign and you just can't waste it thinking about how to choose your words carefully or get your job done more diplomatically. If someone isn't in tears every day, that day wasn't all it could be advancing the campaign. I once witnessed an experienced (big) man slap a professional female colleague across the face over an ad buy... and no one thought anything of it, starting with the woman. In fact, she would have been insulted if anyone told her she should have been insulted.

Though the two primary Palin antagonists, McCain campaign senior strategists Steve Schmidt and Nicolle Wallace, have said little about the Molotov cocktails thrown at them in "Going Rogue" (other than a true Schmidt, aka, "The Bullet," retort, "Why are the bald guys always the villains?"), both have made it clear the accounts of their actions in "Going Rogue" are "fiction." And while I wasn't there, I have worked with and adore them both. They are uniquely talented, cool under fire, cutting-edge creative professionals, admired and respected by their peers of all political persuasions and their many high-level bosses.

And ironically, however it ended, the relationship began as a match made in heaven. Both Steve and Nicolle were ecstatic with Palin's selection as vice presidential nominee; and both were appalled at the outrageous, unspeakable, unparalleled media treatment heaped on Palin and her family.

Steve, normally the toughest guy in the room, called me at home on multiple occasions, just flabbergasted and flummoxed about how to protect Palin and her family and, of course keep the campaign on track. He was in genuine pain for her -- not a good state of mind or use of energy for the campaign guru, which he knew -- but he devoted much concentration to the astounding set of circumstances. Ditto for Nicolle.

That Palin recalls her experience with them so negatively and ugly incidents so vividly does not make her a liar, as people with neither her nor the party's best interests in mind have charged. The operating principle of campaigns, perception is reality, works inside as well as outside.

Once her perception of reality locked in negatively, particularly on Schmidt and Wallace, there was only one prism through which all their actions flowed. And it wasn't pretty. I have seen this phenomenon on countless campaigns and in the White House. It is unavoidable in any operation that is always under stress, where clearing-the-air sessions aren't possible given time or physical constraints. That campaign people tend to be uncommonly focused, which can come off as insensitive, might exaggerate the perception, but it is just an occupational hazard.

The plight of the number two

Another common source of campaign discomfort is the role of the VPOTUS (that's vice president of the United States) candidate. It is always secondary to the POTUS in every respect.

His/her operation is always subservient to the principal one. They do not set strategy or adjust message; they are assigned to B markets. They are an echo chamber. They do not give unique speeches unless they are given a specific and pointed attack, which might appear unseemly coming from the principal.

Granted, Palin was a unique nominee, with uncommon charisma and fire-power, but number two is number two. It was ever thus and will ever be. Adjusting to being number two, after being number one (as a governor) is a process. Even if you were never number one, it is a trial -- witness Joe Biden, in perpetual adjustment mode.

Bottom line: The book is a good read, an unusually detailed front-row seat view to how strained campaigns always are, and a compelling insight into Palin's perspective. Its long-term publishing and political impact are unknown for now, though as Palin moves out of the mainstream media monster publicity machine and into more hospitable, relevant political terrain, the prospects for success on both fronts improve exponentially.

But its impact on personal and professional relationships is a sad one indeed and one I hope conservatives don't let it divide us just when we are marching toward a promising midterm, which reflects an ascendant common-sense conservatism and requires all the good guys in the foxhole together.

The opinions expressed in this commentary are solely those of Mary Matalin.

@highlight

Palin's book is a publishing blockbuster and "a good read," says Mary Matalin

@highlight

She says in the political world, the Palin book is being reduced to an insider spat

@highlight

She says her advice would have been to focus the book on the future, not the past

@highlight

Campaigns are rough, and there's no time for diplomacy, Matalin says