New York (CNN) -- Toyota Motor Corp. has subpoenaed Sean Kane, an auto safety advocate and outspoken critic of the company, asking that he hand over his communications with the media, Congress, government agencies and individual Toyota drivers inquiring about sudden unintended acceleration.

Toyota said the subpoenas issued this month to Kane and two of his companies -- Safety Research and Strategies and the Vehicle Safety Information Resource Center (VSIRC) -- "were a routine part of the litigation process."

Read the full subpoena (PDF)

Toyota is facing about 200 lawsuits arising over claims that its vehicles suddenly accelerated out of control, injuring or even killing passengers, according to court records. Those lawsuits have been brought under a single federal procedure known as multidistrict litigation, and a trial, if any, would not begin until 2013. Toyota has denied all claims in the conjoined federal lawsuit.

Toyota has requested and been granted confidentiality during pretrial proceedings. This means that no documents generated in pretrial motions, whether favorable or unfavorable to Toyota, can be made public before any trial.

Kane, a longtime auto safety advocate, has investigated incidents of sudden unintended acceleration as well as automobile fires and unexplained electronic interference from remote smart keys. He testified before Congress in 2010 during the height of public concern about unintended acceleration amid a massive recall of Toyota vehicles for a variety of reasons, including possible unintended acceleration.

On its website, Safety Research and Strategies posts several accounts of Toyota owners complaining about what they believe are incidents of sudden unintended acceleration.

"Mr. Kane's allegations about unintended acceleration in Toyota vehicles have never had any credible scientific basis and have been thoroughly debunked by exhaustive NHTSA (National Highway Traffic Safety Administration) and NASA studies," Toyota spokesman Brian Lyons wrote in an e-mail to CNN.

In the end, NHTSA ruled out electronic interference as the cause of the sudden intended acceleration, blaming instead floor mats, stuck gas pedals and driver error.

In a statement to CNN, Kane called the subpoenas "another attempt to harass and intimidate us, the scientific community, the media and Toyota's own customers who have complained about unintended acceleration."

The subpoenas also seek all of his communications stretching back to 2001 with government agencies such as NHTSA and the National Academy of Sciences.

The subpoena also seeks any communications between Kane and the news media, including CNN.

"Any and all documents provided by you or VSIRC to CNN, ABC, The Huffington Post or any other news or media outlet or internet site regarding subject vehicles, subject vehicle systems and/or unintended acceleration, including but not limited to documents made available to NHTSA for review and/or presented to NHTSA," the subpoena reads.

Clarence Ditlow, the executive director of the Center for Auto Safety, said the subpoena was "clearly an attempt to chill Sean Kane's work."

"This is just a flat-out heavy-handed approach," said Ditlow, whose agency was founded by consumer advocate Ralph Nader in 1970.

In March, CNN obtained a Toyota internal engineering memo written in 2006 in Japanese. According to two translations commissioned by CNN, the document confirms that engineers found a problem described as a "malfunction that caused the vehicle to accelerate on its own" in one translation or "sudden unintended acceleration" in the other. The memo was written to document pre-production testing of a prototype of a model later sold only in Japan and in Europe. The company refused to provide CNN with its own translation of the document.

Toyota vehemently denied the memo showed any forward movement of the test car. The company says the problem was corrected before any vehicles were sold. Toyota spent weeks urging CNN not to publish or broadcast its reporting.

Toyota suffered from several quality and safety problems that came to light in the fall of 2009, eventually leading to the worldwide recall of more than 8 million vehicles for a variety of safety issues, including possible unintended acceleration and problems with anti-lock brake software.

The company was hit with more than $48 million in civil penalties related to the recalls for a variety of issues, including its failure to notify U.S. agencies about accelerator pedals that could become stuck by floor mats and its handling of the recall of 5 million vehicles with the so-called "sticky pedals."

This year, Toyota is "finally showing signs of shaking off the lingering effects of its recall crisis," with the launch of 19 new or redesigned vehicles for 2012, according to Fortune magazine, which ranked Toyota No. 4 on its list of most admired automobile manufacturers for 2012.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

Toyota has subpoenaed auto safety advocate and critic Sean Kane

@highlight

Kane called it an attempt by Toyota to "harass and intimidate" its critics

@highlight

Toyota said the subpoena is just a routine part of pretrial process

@highlight

Toyota faces about 200 lawsuits over alleged sudden unintended acceleration