(CNN) -- Utah's roller coaster few weeks regarding same-sex marriage has taken yet another sharp turn, with the state tax board announcing that legally married gay and lesbian couples -- even those wed in the brief period of limbo in Utah -- can file joint returns.

The Utah State Tax Commission detailed the apparent policy change posted on its website, explaining that same-sex couples who are eligible to file a joint federal income tax return can likewise file joint returns in Utah. In other words, the state -- for tax purposes -- will treat them just like heterosexual couples.

The state agency, in an official notice dated Wednesday, said this decision isn't necessarily permanent: If federal courts side with Utah officials arguing that the state law limiting marriage to one man and one woman be upheld, then same-sex couples will not be able to file joint state tax returns next year in Utah.

"This notice is limited to the 2013 tax year," the commission said. "Filing information for future years will be provided as court rulings and other information becomes available."

Charlie Roberts, a spokesman for the state tax agency, said the decision put Utah's tax outlook on same-sex couples on par with that of the federal government, which has said it will recognize such legal unions. It does not, however, mean that the Utah government -- as a broader entity -- is right now recognizing same-sex marriage.

"This is just one agency, one decision," Roberts said.

Whatever the rationale, this shift marks a significant milestone for LGBT supporters in the traditionally conservative state.

It comes after U.S. District Judge Robert Shelby ruled on December 20 that Utah's law prohibiting same-sex marriage -- which voters approved in 2004 -- conflicted with the constitutional guarantees of equal protection and due process.

Afterward, many couples in the state sought and got marriage licenses. Officials said more than 1,000 such licenses were issued in a 17-day period, though it's not clear if all those people actually wed.

Judge's ruling ignites same-sex marriage frenzy

The 10th Circuit Court of Appeals declined to immediately stay the lower court ruling, leading Utah officials to ask the Supreme Court to intervene.

The high court did just that in a two-sentence order on January 6 that, without comment, put same-sex marriages on hold in Utah until the constitutional questions are fully resolved.

That apparently unanimous order in favor of the state sends the matter back to an appeals court for expedited consideration. The Denver-based appeals court is expected to consider the case again in coming weeks more thoroughly, with a ruling possibly affecting all states in its jurisdiction: Utah, Colorado, Wyoming, New Mexico, Kansas and Oklahoma.

That last state, Oklahoma, is in a similar situation after a federal judge struck down its same-sex marriage ban. But he immediately stayed his own ruling, as the matter works its way through the courts.

Judge: Oklahoma gay marriage ban unconstitutional

Still, what's happening in Utah was and remains less clear-cut. While the federal government has said it will recognize same-sex marriages performed between late December and early January in the state, the state had hinted that it would not.

This indication came in a January 8 letter from the office of Utah Gov. Gary Herbert to cabinet officials saying that, based on advice from the state's attorney general, "state recognition of same-sex marital status is ON HOLD until further notice."

"Please understand this position is not intended to comment on the legal status of those same-sex marriages -- that is for the courts to decide," wrote the governor's chief of staff, Derek Miller. "The intent of this communication is to direct state agency compliance with current laws that prohibit the state from recognizing same-sex marriages."

This week's tax commission announcement, though, does signal at least parts of the state government are recognizing such unions. It applies not just to the hundreds married in Utah, but also to those gay and lesbian couples who might have gotten legally married in other states then moved to Utah.

Roberts, the state tax commission spokesman, explained that authorities -- including his group's director and the attorney general -- decided over the past 10 days that it made sense to have Utah play by the same rules, tax-wise, as the U.S. government until the legal situation plays itself out.

"We feel this brings us in line with the current judicial situation," Roberts said.

This shift may surprise some given Utah's reputation politically. It's the home of the Church of Jesus Christ of Latter-day Saints, often referred to as Mormons, whose leaders have been vocal in efforts to limit marriage to a man and woman. Its voters have voted for the Republican presidential candidate in every election since 1968. And its officials now have stood behind the legal efforts to defend their state's existing law.

But there are also some signs that the situation in the state on this issue may not be crystal clear.

A recent poll commissioned by the Salt Lake Tribune, one of the state's biggest newspapers, found an even split -- 48% for and 48% against -- of people asked if same-sex couples should be allowed to get state-issued marriage licenses. It's margin of error is +/- 4.1%.

In the same survey, 72% of respondents said same-sex couples should at least be allowed to have civil unions or domestic partnerships.

CNN's Drew Iden contributed to this report.

@highlight

Utah's tax commission says that same-sex couples can file joint returns for 2013

@highlight

The shift affects those married in other states, plus about 1,000 married in Utah

@highlight

Those marriages came after a federal judge struck the state's same-sex marriage ban

@highlight

The Supreme Court stayed the ruling; state officials have been fighting to keep the ban