(CNN) -- When Catherine al-Talli was 13 years old, a group of strangers came knocking at her family's home in Syria. It was 1992.

Her mother let them in, and feverishly they explained that earlier that day they saw Syrian security forces surround al-Talli's father, a democracy activist, at a bus station.

"They told us that 10 of them, the forces, had their guns out and they were all around my father. They kidnapped him and pushed him into a car," she recalled. Though they were just children, she and her siblings knew exactly what had happened.

They knew their father risked his life as an activist who opposed the Syrian regime. He was paying for that, and now too would their family.

It's hard for al-Talli to talk about her father. Shortly after the regime changed hands in 2000 from father to son, he was released from prison. But al-Talli's father had been tortured, forever scarred and changed.

"This is difficult to talk about," said al-Talli who became a human rights attorney and activist, inspired by her father's work. "It's really hard to find your dad kidnapped because of his doing good."

Until a few months ago, father and daughter were living in Syria. But their activism had made them both targets, and they're now temporarily living in the United States. They watch the horror of their country on the nightly news.

On Thursday, the United Nations announced that the number of people killed since protests began this year against the regime of Bashar al-Assad had surpassed 4,000. More than 300 children have lost their lives, and the U.N. reports that children have been specifically targeted, and some tortured to death.

According to a September U.N. report, the human suffering behind those numbers looks like this:

Security forces opening fire on a funeral procession in Dar'aa, a city near the border with Jordan; security force snipers on rooftops picking off demonstrators in Damascus; the bodies of those missing, including children, being returned to their families with their bodies torn apart by torture.

Water tanks, food supplies, electricity -- everything needed to survive has been targeted by Syrian army and security forces, according to the report.

Thousands of people have been arrested. More than 14,000 are reported to be in detention as a result of al-Assad's crackdown on the opposition, Pillay said, and at least 12,400 people have fled their homes to neighboring countries.

U.N. High Commissioner for Human Rights Navi Pillay cited a report released Monday by the Independent International Commission of Inquiry which concluded that security and military forces "committed crimes against humanity" against civilians. Syria officially denied access to commission investigators but they still managed to interview 223 victims and witnesses, including military and security forces who had defected.

Foreign journalists have been blocked from entering Syria. Al-Assad told a British paper that Syria "will not bow down" and that any potential foreign military action against his country would lead to "very dire" consequences.

But the bloodshed and the blocking of journalists and rights workers will not discourage protesters, al-Talli said.

"The Syrian people have known what the price of freedom would be," she said. "They knew it would be very high.

"We know that the rest of the world understands that. They believe that the international community will not let the al-Assad regime commit more crimes."

Al-Talli has participated in demonstrations against al-Assad, including the March 16 rally in Marjeh Square in Damascus when 150 protesters held pictures of their imprisoned relatives. While demonstrating in mid-May, she was detained by security forces who took her cell phone and her professional attorney identification, she told CNN.com.

"I don't them, 'You cannot arrest me without [reason], I'm a lawyer.' They didn't listen."

Al-Talli said she was held in a cell in Damascus for 48 hours in the same government building where he father had spent time behind bars. She believes that because she was a well-known activist and attorney, her case was pushed to a judge and she was released within a week.

From May to September, al-Talli went into hiding, sleeping in different places constantly. She felt that the government was constantly watching her and monitoring her cell phone conversations, a tactic that the al-Assad regime is reportedly using to track and thwart opposition strategy.

She chose to leave Syria in September and relocated in the United States. She continues to talk with her friends in Syria, all of varying religious and tribal backgrounds.

She insisted that it's a falsehood spread by al-Assad's regime that the fighting in Syria is between tribes and religions.

"I have stood next to people of all religions," she said. "I am Christian. I have stood beside Muslims, Christians, Alawis, Druze and Sunnis. This is not about our differences."

Andrew Tabler, an American journalist, scholar and Syria expert, has lived in the country and experienced firsthand the growth of discontent against al-Assad, who become president in 2000 when his father, Hafez al-Assad, died after ruling for 29 years.

Tabler's new book, "In the Lion's Den," is an in-depth look at the Assads, as well as a deep-dive analysis of Washington's long fraught relationship with Syria.

Bashar al-Assad and his British wife, Asma al-Assad, were perceived for years as reformers, by and large. They touted social-service nongovernmental organizations (NGOs) and spoke about reliance on civil society. The NGOs were efforts to stem what the regime understood as a huge threat -- frustration and restlessness among Syria's young population and the lack of jobs and opportunities in the country, Tabler said.

"Determination has been growing for some time. Now, did we expect [the protesting] to go on this long? No. I don't think anyone did," he said.

Tabler said he believes sanctions imposed recently on Syria will weaken the Assad regime. The European Union stepped up sanctions against the nation's oil industry by blacklisting state-owned firms that oversee exploration and trade.

The U.S. Treasury on Thursday sanctioned two government-controlled entities and two high-ranking Syrians, including Mohammad Makhlouf, al-Assad's uncle and father of long-serving financial adviser Rami Makhlouf. Rami Makhlouf is already under U.S. sanctions. Another was Aus Aslan, a Syrian general. Turkey has also imposed sanctions against regime insiders.

"In terms of Syria running out of money, they'll have an impact," Tabler said. "These are comprehensive [sanctions] and they will have a tremendous impact. Will the regime be over tomorrow? Not at all. That's going to take some work and time. But the death toll for November is the highest it has been so far so that means it's getting worse, not better."

During her exile, al-Talli has met with British Foreign Secretary William Hague and Foreign Office Minister Alistair Burt to stress that the protests will continue until al-Assad's regime ends. In October she joined the Syrian National Council, an opposition coalition created during the 2011 uprising. The Council was formed in Istanbul last month and encompasses representatives of local committees inside Syria and exiled personalities, as well as Islamist and secular representatives.

Al-Talli wants to continue speaking out. One day she'll return to Syria.

"We called our revolution the Syrian Dignity Revolution," she said. "We decided as Syrian people to go into the street and get our human dignity back. We will not go back to our homes without it."

@highlight

Syrian protester's father was political prisoner when she was a girl

@highlight

She was arrested during uprising, detained in same jail where he was held

@highlight

Catherine al-Talli: Bloodshed won't deter protesters demanding regime's end

@highlight

UN: Death toll has exceeded 4,000, including hundreds of children