(CNN) -- Forces loyal to Ivory Coast's former leader, Laurent Gbagbo, used a lull in fighting this week as a "trick" to reinforce their positions around the main city of Abidjan, the head of U.N. peacekeeping operations said Friday.

Though Gbagbo's men said Tuesday they wanted a peaceful solution to the months-long fighting in Ivory Coast, they soon restarted shelling both the U.N. headquarters and the civilian population, Alain Le Roy told reporters at the United Nations.

Forces loyal to Gbagbo have since regained control of two central areas of Abidjan and fighting is continuing, Le Roy said, after briefing the U.N. Security Council on developments in the cocoa-producing nation.

"They have clearly used the lull of Tuesday as a trick to reinforce their position," he said.

Most areas of the capital, however, are now under U.N. or French military control, journalist Seyi Rhodes reported from the French military base in Port Bouet. The French military has been working to reconnect the disrupted water and electricity supply in what is the country's main city.

Rhodes traveled with the French military through Abidjan on Friday and reported seeing civilians in the streets, including one woman selling food, which he took as a positive sign.

There appeared to be a standoff, however, outside Abidjan's Golf Hotel, where Gbagbo's rival and the internationally recognized president, Alassane Ouattara, is staying under U.N. protection, Rhodes reported. He said Gbagbo's forces are outside the hotel.

Le Roy said that if that hotel comes under attack, the United Nations may have to consider using force against Gbagbo and his men.

Pro-Gbagbo forces have heavy weapons including tanks, mortars, and rocket-propelled grenades and are using them "as we speak against the civilian population" and U.N. headquarters, Le Roy said.

"Those who are saying there are no more heavy weapons -- that Mr. Gbagbo has no more heavy weapons -- it's a lie," he said.

Earlier, French military sources said the French ambassador's residence in Abidjan came under attack by forces loyal to Gbagbo, but a Gbagbo spokesman said that was "impossible" because U.N. forces are surrounding all the ambassadors' residences.

The spokesman, Ahoua Don Mello, said the U.N. forces fired on the state television station, which is in the same block as both the French ambassador's residence and Gbagbo's residence, and that they have broken the antennae.

"The national TV station was destroyed by the last attack (two days ago)," Mello said. "Right now it is still working, and the French don't want the national TV to work any more and they are now preparing an attack."

Le Roy said 23 countries have requested U.N. help in moving their personnel to safer areas of Abidjan. Those countries include India, China, South Africa, the United States, Israel, Mali, and Niger.

U.N. forces also offered to relocate the 35 journalists who were at the Novotel hotel in Abidjan, he said. Many accepted the offer but some have stayed behind.

The United Nations is still hoping political dialogue will resolve the situation, said Nestor Osorio, Colombia's ambassador and current president of the U.N. Security Council.

"We hope that additional political actions will be taken, but still the great difficulty here is the absolute reluctance of Mr. Gbagbo to recognize the legitimacy of Mr. Ouattara," Osorio said Friday.

French Foreign Minister Alain Juppe expressed his nation's full support of Ouattara on Friday and said the situation in the country "remains serious."

"The militia paid by Gbagbo continues abuses, looting, and assassinations," he said. "The population lives in very precarious conditions. Massive humanitarian aid will be needed pending the reconstruction."

Juppe's words came amid a disturbing new report of the type of killings and abuses that have plagued Ivory Coast since the disputed November election.

More than 100 bodies were recovered in the past 24 hours in western Ivory Coast, the U.N. High Commissioner for Human Rights Office said Friday.

Human rights teams found 15 more bodies in Duekoue, the cocoa-rich town where last week several agencies reported a massacre of as many as 800 people. The U.N. rights agency said that so far, 244 bodies have been recovered from that incident, the bloodiest episode yet.

The victims are believed to have been mostly or all Guerre people, who have traditionally supported Gbagbo, and some of the victims were burned alive, the United Nations said.

In the town of Blolequin, human rights investigators said, the perpetrators of killings were Liberian mercenaries who separated the Guerre from the rest and spared them from slaughter.

Le Roy said a commission of inquiry will be appointed soon to investigate the killings.

A report by Human Rights Watch, released late Friday, backed up the U.N. claims. It said forces loyal to both Ouattara and Gbagbo are responsible for "serious abuses" including the killing and rape of those believed to support the other side.

The report pinned most of the blame, however, on supporters of the internationally recognized president.

"People interviewed by Human Rights Watch described how, in village after village, pro-Ouattara forces ... summarily executed and raped perceived Gbagbo supporters in their homes, as they worked in the fields, as they fled, or as they tried to hide in the bush," the human rights group said. "The fighters often targeted people by ethnicity, and the attacks disproportionally affected those too old or feeble to flee."

The group urged Ouattara to open an investigation into abuses by both sides as soon as he takes power.

"While the international community has been focused on the political stalemate in Abidjan over the presidency, forces on both sides have committed numerous atrocities against civilians, their leaders showing little interest in reining them in," said Daniel Bekele, Africa director for Human Rights Watch. "Ouattara should send a strong message to (his forces) that such abuses will be fully punished at home or by an international tribunal."

Nearly 150,000 people have now fled their homes amid Ivory Coast's war, displaced within the country or seeking refuge in neighboring nations, the U.N. refugee agency said Friday.

Refugees said they were tired, hungry and exhausted after arriving in Liberia's Maryland County, which is along the border at the Atlantic coast. Some arrived by foot, others by canoe. Some reported seeing dead bodies along the way.

Sporadic gunfire rang out Friday in Abidjan, the nation's largest city, where Gbagbo remained hunkered down in the basement of his residence, guarded by about 200 of his men.

Despite being surrounded by Ouattara's troops and receiving a warning from the U.N. secretary-general that he should seize his last chance for a graceful exit, Gbagbo showed no willingness to budge.

Ouattara has blamed Gbagbo for Ivory Coast's suffering. He told citizens this week he ordered the military and police to safeguard public places including hospitals and markets.

The November presidential election had been expected to help unify the West African nation, which is rebounding from a 2002 civil war. Instead, the disputed vote sliced the nation in two.

Sporadic post-election violence erupted into all-out war after Ouattara's troops launched an offensive that swept through the country to Abidjan on the coast.

On Friday, at Ouattara's request, the European Union lifted sanctions on Ivory Coast entities, including two key ports.

"Under the measures adopted today, the ports of Abidjan and San Pedro, the Ivorian Refining Company and the Coffee and Cocoa Trade Management Committee are removed from the list of entities subject to the EU assets freeze," an EU statement read.

CNN's Moni Basu, Katy Byron, Saskya Vandoorne, and Aliza Kassim contributed to this report.

@highlight

NEW: Human Rights Watch blames both sides for "serious abuses"

@highlight

The U.N. peacekeeping chief accuses Gbagbo's forces of a "trick"

@highlight

He says they used a lull in fighting to reinforce their positions

@highlight

The U.N. may use force if Gbagbo rival Ouattara's hotel is attacked