(CNN) -- This week, President Obama announced policy measures to enhance the surveillance of oil futures markets. The president stressed that the new measures would not bring down gasoline prices overnight, but implied that they would lower gas prices in the long run because more oversight would deter market manipulation.

There is universal agreement on the need to prevent the manipulation of oil prices, but the premise of this proposal could not be more mistaken. There is no evidence that rising crude oil prices were caused by market manipulation, and there is no reason to expect increased oversight to lower gas prices across America.

This policy initiative confuses the increased financialization of oil futures markets in recent years with illegal activities such as market manipulation. Market manipulation occurs when traders herd the market into positions from which they can profit, resulting in excessively high oil prices. There is no evidence that the bulk of the financial investors taking positions in oil futures markets since 2003 have engaged in such activities.

More generally, the Obama administration is mistaken in attributing high oil and gas prices to the presence of financial investors in oil futures markets. A popular view among pundits and policymakers has been that the sustained oil price increase between 2003 and mid-2008 could not possibly be explained by economic fundamentals, but must have been brought about by financial investors taking speculative positions in oil futures markets. Recent research has not been kind to this hypothesis. A large number of scientific studies have failed to produce any credible evidence that high oil and gas prices were caused by the presence of financial investors in oil futures markets.

For example, seemingly compelling and widely cited data regarding the relative size of the financial market for oil and the physical volume of oil being consumed has been shown to be misleading. All indications are that the financial market is smaller than oil consumption when measured correctly. Equally importantly, studies based on financial data provided by the Commodity Futures Trading Commission shows that financial investors did not take the positions in oil futures markets commonly ascribed to them. For example, changes in index funds' positions do not precede changes in the price of oil futures, but prices predict positions. Nor is there a systematic relationship between commonly discussed measures of speculation and movements of oil prices. Finally, price increases in commodity markets for which there are no futures exchanges are as large as price increases in the oil market.

In fact, there are strong indications that recent oil price fluctuations were mainly associated with changes in the global business cycle. Notably, between 2003 and mid-2008, global demand for oil increased faster than global oil production, resulting in a sustained increase in the price of oil. Much of the additional demand for oil came from emerging Asia. No nefarious speculators are required to explain this surge in the price of oil. Indeed, oil futures prices responded to much the same economic forces as prices in the physical market

Notwithstanding widespread agreement on this explanation among oil market experts, policy makers have remained intrigued with the speculation hypothesis. The apparent reason is that this hypothesis seems to provide an easy alternative to less popular policies of energy conservation.

In fact, the Obama administration's approach to lowering gasoline prices is as impractical as the Republican proposal of bringing gasoline prices down by increasing U.S. oil production. Neither proposal recognizes that oil prices today are determined by the highest bidder in global oil markets. The unpleasant truth is that high prices at the pump are not likely to go away, short of another global recession.

The opinions expressed in this commentary are solely those of Lutz Kilian.

@highlight

Obama announced proposal to increase surveillance of oil futures markets

@highlight

Lutz Kilian: Rise in oil prices -- and gas prices -- is not caused by market manipulation

@highlight

Kilian: Obama's premise is wrong; swings in oil prices caused by global business cycle

@highlight

Kilian: Unpleasant truth is that high prices at the pump are not likely to go away