(CNN) -- How is it possible that America has not managed to come together and build an effective response to gun massacres? How can that be?

If another country had sent a killer who massacred people at random in the streets of an American city, Congress would have rushed to emergency session and the public would have thrown its support behind forceful action. Politicians, news media, community groups, everyone would be working in solidarity to combat the evil facing the nation. Just imagine if it happened again and again.

In Isla Vista, California, a mass killing has shaken the nation. But every time we hear of another gunman's rampage, Americans go straight into their comfort zone. For a few days, advocates of gun rights stiffen their spines and vehemently defend their turf. On the other side, gun control advocates brandish their arguments while relatives of the latest victims cry out in pain and despair.

The discussion combusts and burns itself off with the usual ingredients: Is the problem too many guns? Is it mental health? Is it guns in the hands of the wrong people? Yes, yes, yes to all of the above.

Each killing spree triggers other discussions. Is it hatred for women, a breakdown of societal norms, too many video games, violence in movies?

By all means we should study, debate and analyze the many factors that contribute to violence.

But first, it's time to take the urgent action needed to stanch the bleeding, to at least slow the hemorrhage.

Opinion: I'm a gun owner and I want gun control

How can a country become accustomed to the idea that children may go to school one morning and never come home? It happens over and over and over again. How can it become routine that anyone, anywhere, for no reason at all, can get killed by a mentally disturbed person?

At times, the entire country's response to the endless stream of killings resembles the embarrassing stagnation of politicians in Washington. Each side self-righteously preaches, firing up its own supporters, and nothing changes.

Politicians, by the way, have become useless in tackling the crisis. Talking about guns is too risky.

In 1999, when two killers massacred more than a dozen, mostly teenagers, at Columbine High School, the entire world was in shock. Since then, the shootings have kept coming. At Virginia Tech campus, 32 people were killed. In Aurora, Colorado, 12 people were shot dead, 70 were injured. At Sandy Hook Elementary School, 20 children and six staff members were killed. At a parking lot in Tuscon, Arizona, a congresswoman was shot in the head. Luckily, she survived, but others nearby were killed.

There are two common denominators: guns and mental illness.

Can Americans set aside their differences and try to work out an agreement that will address this crisis? Can the two sides recognize the sorrow and pain that are spreading as they shout past one another?

Gun enthusiasts don't support mass murder. Nobody does. That's the fundamental common ground.

Can we have a moment to set aside strategic long-term political objectives -- just a brief interlude -- and work together to try to prevent more people with mental illness from arming themselves and killing the innocent?

Here's what I suggest. Might the NRA, with all its political power, announce it is willing to speak with mental health specialists, law enforcement officials and gun control advocates to focus sharply on just this issue? Hold a summit, form a high-level committee, take the first step on the road to a solution.

Consider a few recent killing sprees. The Sandy Hook killer had serious mental health issues. The man who shot Rep. Gabby Giffords had dropped out of school after his college required a mental health evaluation. The Virginia Tech killer had been investigated by the university for stalking and had been declared mentally ill by a Virginia special justice.

The Isla Vista shooter also had a history of mental illness. Like many others mass shooters, he had given clear signs that he was extremely dangerous, planning to kill. He had had several encounters with police. His family had alerted the police to the danger.

Still, like all the other mass shooters before him, he was able to build an arsenal as he planned his rampage.

Things must change. The threshold for taking someone against their will for psychiatric evaluation needs to be lowered. Police need better mental health training. It must become easier to intervene when there are risks. Importantly, people who have mental illnesses that put them at risk of violence should be blocked from owning weapons.

Does anyone, even the most avid hunter, the most passionate gun enthusiast, think mentally ill people should be allowed to own semi-automatic weapons, or any weapons at all, for that matter?

Opinion: Let teens talk about mental illness

Beyond the area of mental health, there is much to be debated about whether a free society requires that its citizens be allowed to arm themselves so thoroughly, and whether an armed population makes for more or less crime.

The United States can learn from the experience of other countries where people maintain wide-ranging rights to carry weapons, but have taken measures that effectively brought an end to gun massacres.

Everyone is at risk now, people in every ZIP code, in every income level, of every race. A loved one could die in a random shooting out on the street or in a temple or a movie theater; in a country club, or on a college campus.

No one can honestly deny that it is a real crisis.

America can take steps to start fixing this problem. Gun lovers and gun control advocates can come together and craft a solution. Show Washington that it can be done. Show the world that America has the power to solve an urgent problem.

@highlight

Frida Ghitis: Gun rampages, like the one in Isla Vista, have become routine

@highlight

Ghitis: Why can't America come up with an effective response to gun massacres?

@highlight

She says the NRA should hold a high-level summit with gun control advocates

@highlight

Ghitis: Everyone's at risk now, anyone can die from a random shooting in the U.S.