(CNN) -- The headlines seem like something from the past: Congressional hearings are held to debate women's access to contraceptives. A talk show host uses a derogatory and misogynist term to describe a graduate student seeking access to contraception on her campus. And for-profit employers are suing the government to avoid providing coverage for contraception within their employees' insurance plans on the basis of their personal beliefs.

But this is no flashback: These conversations about contraception are happening now, in the present day, with outdated views and inaccurate information playing a leading role.

As physicians dedicated to improving the health of women, we ask: Why is contraception still seen as controversial in the face of overwhelming evidence about its benefits? Why is birth control questioned, in this day and age, despite its widespread acceptance and use?

In the current debate, science and facts are being drowned out by highly vocal and misinformed voices; as physicians, we must set the record straight.

In the case that comes before the Supreme Court on Tuesday, owners of the craft store chain Hobby Lobby and furniture makers Conestoga Wood will argue against a provision in the Affordable Care Act that requires insurance coverage of all FDA-approved contraceptive methods within employer-sponsored health insurance plans.

In enacting this provision, the government agreed with America's medical professionals: Birth control is essential health care that must be covered like any other preventive service.

Opinion: Corporations playing religion card over birth control

Let us make clear that we respect the rights of others to have their own personal beliefs. However, in exercising these beliefs, the owners of Hobby Lobby are denying scientific fact and asking to restrict employees' access to important preventive care.

For example, one of the debates with the Supreme Court case centers around the employers' opinion on how contraception works: The employers think that certain forms of contraception (emergency contraception pills and intrauterine devices) cause abortions. But what they believe about science is contradicted by the science itself.

Emergency contraception pills work by inhibiting or postponing ovulation, or the release of the egg, and this prevents fertilization from occurring. Intrauterine devices (IUDs) work by preventing sperm from reaching the egg, either by creating a barrier or by creating an environment that inhibits the mobility and viability of sperm or, in the case of copper IUDs, potentially by preventing implantation of a fertilized egg before a woman is pregnant.

None of these contraceptives causes abortion.

Already, contraceptive care is essential preventive care for millions of women. The ability to time and space children reduces fetal, infant and maternal morbidity and mortality. Contraception can help families better plan for pregnancies, leading to more optimal health outcomes. Planned pregnancies lower the risk of potentially serious issues such as low birth weight, preterm birth and small-for-gestational age. They also prevent an unanticipated worsening of health for women with pre-existing health conditions, such as diabetes or heart disease. Of course, contraception reduces unintended pregnancy.

There is a reason why, in a recent poll, a majority of Americans favored coverage of contraceptives: It is because we need look no further than our own homes to see the value of contraception. The typical American woman will have two children in her lifetime. That means she will spend more than three decades trying to avoid pregnancy. Virtually all American women who are or have been sexually active have used contraceptives at some point during their lives. The value to women's lives and families is clear.

But for a woman to make the best decision about the birth control that is right for her, coverage of all FDA-approved contraceptives is necessary. Cost of contraceptive care can be a major factor that determines not only which method a woman uses but whether she is able to use birth control at all. This is especially true for low-income and hourly workers. Birth control is often an additional health expense that many women simply cannot afford if money is tight, putting them at high risk for an unintended pregnancy.

We see this problem frequently when we counsel our patients about the most effective contraceptives, namely IUDs and implants. These methods are up to 20 times more effective than the birth control pill in preventing pregnancy, and they are often the safest options for our patients.

But high up-front costs put these methods out of reach for a lot of women. Insurance coverage for contraception without a co-pay would allow a woman to choose the best method for her, not just what fits in her budget. Taking away coverage would effectively block access to those most-effective methods.

Birth control is not only safe and effective preventive care, it is also care that physicians support and millions of women need. Allowing an employer's personal values to trump his or her employees' right to care would allow the beliefs of the few to trump the health of many. That's both bad policy and bad medicine.

As physicians committed to the health care and well-being of women, we urge the Supreme Court to consider the crucial individual and public health issues at stake when they weigh their decision in this important case. The health of millions of women and their children hangs in the balance.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Dr. Jeanne A. Conry and Dr. Nancy L. Stanwood.

@highlight

Supreme Court will hear arguments about Affordable Care Act provision

@highlight

Jeanne A. Conry and Nancy L. Stanwood wonder why contraception is still controversial

@highlight

They argue that allowing employers' values to trump science is bad policy, bad medicine