(CNN) -- Neighbors said the house on Vermont Street in Brooklyn's East New York neighborhood had been vacant for years. Three years ago the now-defunct predatory lending bank Countrywide refused to renegotiate the ballooning interest rate on a mortgage filled with hidden clauses and traps. Instead, Countrywide sold the mortgage to Bank of America, which, in turn, initiated foreclosure proceedings. In the East New York neighborhood, one of the poorest parts of the United States, more than 16 per 1,000 homes are in foreclosure, the highest rate in New York City and one of the highest nationwide.

Banks are foreclosing on homes at rates far faster than they can sell them.  In a report released this week, the Government Accountability Office, the independent research arm of Congress, found an increasing percentage of homes are going unused due to high rates of foreclosure and unemployment: "Nonseasonal vacant properties have increased 51% nationally from nearly 7 million in 2000 to 10 million in April 2010, with 10 states seeing increases of 70% or more," the report said.

In our down housing market, most foreclosed homes sit vacant for years and, neglected by the banks, fall into disrepair and further blight neighborhoods. You can literally walk down any block in East New York and see every sixth house or so boarded up.  One study in Los Angeles estimated that, between 2008 and 2012, all homeowners will lose $78.8 billion in home values due to foreclosure rates and blighted homes in their neighborhoods.

Meanwhile, Tasha Glasgow has spent much of the last decade without a home, in and out of New York City's shelter system. Glasgow has an 8-year-old daughter with severe autism and a 5-year-old son. Struggling to find work while struggling to care for her kids, Glasgow thought her luck might change earlier this year when she received a voucher from the New York City government that would allow her to move out of the shelter system. But then, she says, that vital helping hand was abruptly pulled away, the voucher cut by Mayor Michael Bloomberg's recent austerity measures.

This brings us to the newest front in the Occupy Wall Street movement: matching needy homes to needy families. This week, Occupy Wall Street organizers moved Glasgow and her family into the vacant Vermont Street home now owned by Bank of America.

It only makes sense. Pulling the strings of Washington and using our tax dollars, big banks orchestrated a massive bailout for themselves but continue to offer no relief to homeowners suffering under the bad loans they made and the bad economy they created.

In the last several years, homelessness in New York City has jumped 45%. Meanwhile, in 2009 when the unemployment rate in the city was 10.1%, unemployment topped 19.2% in East New York. Those who argue that Wall Street should be coddled while people in places like East New York have to pull themselves up by their own bootstraps have an unrealistic grasp of the depths of America's inequality. How can people like Tasha Glasgow pull herself up by her own bootstraps when she can't even afford boots?

So the Occupy movement may be finding its next phase in helping struggling Americans across the United States keep their homes out of foreclosure or occupy vacant homes that have been foreclosed. Eviction defenses and occupations are planned in more than 20 cities. And the idea is catching on beyond organized protests. In Atlanta this week, police and movers refused to evict a 103-year-old woman from her home when the bank foreclosed on it. Of course, if you think foreclosing on a 103-year-old woman (and her 83-year-old daughter) is heartless, ask yourself at what age is it ever acceptable to kick struggling families out of their homes in a bad economy, only to leave the houses vacant and decaying?

You can say that's just how banks work, like it or not. But that's the same excuse for why corrupt lenders like Countrywide initiated loans with terms so bad that its managers found themselves under criminal investigation. It's the same excuse for the banks causing the housing crisis and crashing our economy by making bad bets on subprime loans, and then begging the government to cover their losses.

This is not capitalism. This is an anti-free market manipulation of our economy to benefit the 1% while hurting the rest of us. The United States economy, as Wall Street has rigged it, violates the principle of capitalism proffered by Adam Smith and the ideal of equal opportunity enshrined by our founders. To "rescue" our economy, we let big banks write down their bad debt. So, to rescue homeowners, banks must write down underwater mortgages, helping homeowners adjust the principle of their loans to reasonable, pre-bubble levels, keep families in their homes and stabilize the housing market.

Millions of Americans have lost their homes. In 2010 alone, banks filed a record 3.8 million foreclosures. Totals for 2011 are expected to be even higher. Many people are living on the couches of relatives or spending their savings on low-end motel rooms or are homeless. A 2010 study by the U.S. Conference of Mayors in 26 cities found the rate of homelessness had jumped a startling 9%.

But the Occupy movement is bringing some hope and opportunity back to our nation, restoring the idea that our economy and our political system can and must work for the 99%. Granted, helping homeowners stop eviction orders and helping homeless families occupy empty, bank-owned homes is a short-term strategy, but one that will hopefully draw public attention to the injustice of millions of foreclosed homes and millions of homeless families, an injustice that banks could easily have addressed if they cared about our nation and our economy a fraction as much as they care about their bottom lines.

Anyone who argues the Occupy movement isn't "clear about its demands" should talk with Tasha Glasgow. Washington's hands are tied by Wall Street and won't budge to create jobs, force the banks to adjust mortgages and cutour monstrous inequality. So it's up to we, the people, taking empty homes from banks that have already taken too much from all of us and giving them to hardworking and needy families. In doing so, the Occupy movement is not only creating opportunity for more and more Americans but also creating a home for the 99% in a political and economic system that has far too often kicked us all to the curb.

The opinions expressed in this commentary are solely those of Sally Kohn.

@highlight

Sally Kohn: Vacant building in Brooklyn represents new front for Occupy Wall Street

@highlight

She says organizers match foreclosed homes with needy families to redress inequality

@highlight

She says banks bailed out by taxpayers coldly foreclose, homes empty, homelessness up

@highlight

Kohn: Since D.C. won't force banks to find solution, Occupy movement will step into breach