(CNN) -- Michael Douglas made news recently by discussing, rather candidly, the possible cause of his throat cancer. Specifically, he told The Guardian that his disease could be caused by oral sex, which could have exposed him to human papillomavirus. Douglas clarified his comments later. But it is inevitable that debate would follow: HPV -- and the vaccine that is meant to prevent infection -- are surprisingly controversial.

Human papillomavirus is the main cause of cervical cancer in women. Such cancer still causes the death of 4,000 women each year in the United States. It's estimated that about 15,000 HPV-associated cancers could be prevented each year by the vaccine. HPV is, unfortunately, often transmitted through sexual activity. It's the cause of genital warts, and it's an extremely common sexually transmitted infection.

The vaccine is safe. By the summer of 2012, more than 46 million doses of the vaccine had been given in the United States -- almost all to girls because of early awareness of HPV's link to cervical cancer -- and adverse events from vaccines are closely monitored. There isn't even any evidence that the vaccine is dangerous if given to pregnant women, but to be on the safe side, it is still not recommended that pregnant women receive it.

Some are concerned that giving the vaccine makes girls more likely to have sex. But in 2012, researchers reported on a group of almost 1,400 girls, 493 of whom had received the vaccine. They followed them for three years after ages 11-12 to see if girls who received the vaccine differed in sexual outcomes from those who did not. There were no differences. Girls who got the vaccine were not more likely to be infected with a sexually transmitted infection, get pregnant or seek contraceptive counseling.

As of 2011, only about a third of girls ages 13 to 17 had been vaccinated against HPV. That was not much more of an improvement over the 32% who had been covered in 2010. We need to do a much better job of protecting women from HPV, and cervical cancer associated with HPV.

But what about other forms of cancer? Anal sex can also result in the transmission of sexually transmitted infections such as HPV. Data from the Surveillance, Epidemiology and End Results cancer registry shows that the incidence of rectal cancer has been increasing at a rate of between 2% and 3% per year for decades in people younger than 40 without any similar increase in colon cancer. It is widely believed that STIs, like HPV, are partially responsible for this increase.

Moreover, there is growing evidence that the recent increase in cancers of the head and neck are also associated with HPV infection. A recent study of more than 1,300 patients with oral cancer found that more than 55% of them were infected with HPV. It's a bad virus.

It's for this reason, among others, that the Centers for Disease Control and Prevention now recommends boys receive the HPV vaccine as well. It seems to cause all kinds of cancer, not just cancer in women.

Of course, we can debate how young kids should be before we vaccinate them. Today in the United States, it's recommended that we give the vaccine to girls even as young as 11 and 12. To have effective protection, you need to have all three doses before you might be exposed to HPV. Since you can catch HPV even the first time you have sex -- including oral sex -- we need to give girls the complete series before that happens.

Research shows that the average age of first intercourse in the United States is 17 for boys and 17Â½ for girls. But more than 6% of kids in the United States have had sex before the age of 13. I'm sure almost everyone reading this thinks that age is too young, and I don't disagree, but those are the facts.

It's important to remember that vaginal intercourse isn't the only type of sex that can result in HPV infection. An additional 7% of girls and 9% of boys have engaged in oral sex without having vaginal intercourse. About half of the almost 19 million new sexually transmitted infections diagnosed each year are in teens and young adults ages 15 to 24.

Should older people get the vaccine? The vaccine is only effective if you're not yet infected, and because HPV is so prevalent, you really would need to get the vaccine before you have sex. That's why we focus on the young. Older people have already likely had sex many times and have a high likelihood of already being exposed.

I can't speak to Douglas' cancer personally. He's been quite open about his smoking and drinking, both of which are heavily associated with throat cancer, too. It would be impossible for me to declare that his sexual activity, and his potential infection with HPV, is the true cause of his illness.

Nevertheless, his case sheds light on an important issue. HPV is a preventable illness. We know how to get ahead of it -- by immunizing our children against it. To protect them, we need to give the vaccine at an age that is uncomfortable for some, but necessary to prevent initial infection in all kids.

In the long run, we're trying to prevent cancer. Even, perhaps, the cancer that has caused Douglas so much grief.

The opinions expressed in this commentary are solely those of Aaron E. Carroll.

@highlight

Aaron Carroll: In interview, Michael Douglas says throat cancer may be linked to oral sex

@highlight

Carroll: Whether or not it was the cause, story points up need for boys also to get HPV vaccine

@highlight

He says a slew of cancers affecting men, women are linked to sexually transmitted HPV

@highlight

Carroll: Kids have sex younger, and vaccine can help protect them from cancer