U.S. officials will review the nation's lung transplant policy for children, but any change could take up to two years, not enough time to save the life of a 10-year-old Pennsylvania girl who's already been waiting 18 months for new lungs.

United Network for Organ Sharing, a nonprofit that manages the nation's transplant system under federal contract, agreed to the review Friday, the same day that an urgent request was made by U.S. Health and Human Services Secretary Kathleen Sebelius, UNOS spokeswoman Anne Paschke said.

But because the review process involves research and public comment and because there's not enough organ donations for children, the nation's transplant system won't likely be able to save the life of Sarah Murnaghan, who could die within weeks without a transplant of lungs.

When pressed on this emerging reality, Paschke stated: "I don't have anything additional to add."

Paschke urged more Americans to look at an organ donation website.

Paschke added in a subsequent e-mail to CNN: "With 18 people dying on the wait list every day in this country, the only way to save more lives is with more donors," she said. "Just one organ donor can save the lives of up to 8 people."

Sebelius asked for a review of the nation's transplant system Friday.

"I ask that you pay particular attention to the age categories currently used in lung allocation, and review the policy with the intent of identifying any potential improvements to this policy that would make more transplants available to children," Sebelius said in a letter to the Organ Procurement and Transplantation Network.

Sarah's struggle has ignited a fight for new rules governing organ donations. She's been in a Philadelphia hospital for months due to cystic fibrosis that she's had since birth.

Tens of thousands of people have signed a petition on Change.org, and a congressman has called on the Obama administration to take quick action.

The girl is eligible for a lung from another child but isn't prioritized for a lung from an adult, under federal rules.

With just weeks left, Sarah fights the system for life-saving pair of lungs

Sibelius asked for the review of the federal policy in a letter to Dr. John Roberts, board president of the Organ Procurement and Transplantation Network.

Sibelius cited the significant disparity in the number of transplantable organs to the number of people in need of an organ, especially among pediatric patients. She also directed the Health Resources and Services Administration Division of Transplantation to consider new approaches for promoting pediatric and adolescent organ donation.

"With 1,819 pediatric patients on organ transplant waitlists and only 852 pediatric organ transplant donors each year, it is especially clear that we can and should, if possible, do more to encourage the public to become registered organ donors," Sibelius wrote.

Sarah is at the top of the list for any pediatric lungs that may become available for transplant in her region. She's been waiting for 18 months. None have come along.

But doctors say modified adult lungs could help save her -- and adult lungs become available much more often.

That's where the rules becomes a problem.

Children under age 12 aren't prioritized for adult organs. So Sarah could only get available adult lungs if everyone else waiting for lungs in her region -- no matter how sick they are -- turns them down.

Sarah's mother, Janet Murnaghan, told CNN she was "shocked" when she learned the rules a couple of weeks ago.

Organ donation by the numbers

@highlight

Transplant policy change could take 2 years; girl needs lung transplant within weeks

@highlight

Health Secretary Kathleen Sebelius seeks review of lung transplant policy for children

@highlight

Children aren't prioritized for adult lungs

@highlight

Meanwhile, a 10-year-old Pennsylvania girl in need of a lung fights for her life