Washington (CNN) -- A political summit between President Barack Obama and congressional leaders Tuesday yielded further talks on how to extend Bush-era tax breaks scheduled to expire at the end of the year, as well as an acknowledgement from Obama that he needs to reach out more to Republicans.

The meeting, dubbed by some the "Slurpee summit" for a campaign dig by Obama at congressional Republicans, involved the president and leaders of both parties from the House and Senate. It came in the aftermath of the November midterm election in which Republicans took control of the House and gained six seats in the Democratic-controlled Senate.

Originally proposed by Obama as a half-day event that could extend into dinner, the meeting was postponed once by Republican leaders and ended up lasting about two hours. Afterward, Obama and Republican leaders said they wanted to work together, but they also made clear that sharp differences exist on major issues.

"There are real philosophical differences, deeply held principles to which each party holds," Obama said. "And although the atmosphere in today's meeting was extremely civil, there's no doubt that those differences are going to remain no matter how many meetings we have."

Rep. John Boehner of Ohio, the expected incoming House speaker, said the fact that the meeting was civil did not guarantee success or progress.

"We've had a lot of nice meetings," Boehner said. "The question is whether we can find common ground."

Both Obama and congressional Republicans emphasized the talks on the tax cut issue as a major issue in the meeting.

"That process is beginning right away, and we expect to get some answers back in the next couple of days," Obama said. However, he cautioned that both parties still have deep disagreements, even as they attempt to find "sensible common ground" on the tax provisions.

Boehner said talks involving the treasury secretary, White House budget officials and members of Congress from both parties will examine the tax issue. The congressional negotiators will be Sen. Max Baucus of Montana and Rep. Chris Van Hollen of Maryland for the Democrats, with Sen. Jon Kyl of Arizona and Rep. Dave Camp of Michigan for the Republicans.

However, Senate Republican leader Mitch McConnell of Kentucky indicated that there is little leeway in the GOP stance, saying that all Senate Republicans and some Democrats want all the tax cuts enacted in 2001 and 2003 to be extended.

Obama and the Senate Republicans described the talks as civil and frank. Rep. Eric Cantor of Virginia said he was encouraged that Obama acknowledged that he should have reached out more to Republicans in his first two years in office and that Tuesday's meeting would be the first in a series of discussions on working together. Boehner also said Obama conceded not spending enough time working with Republicans.

During the election campaign, Obama and Democrats repeatedly characterized Republicans as obstructionists with a policy of opposition to everything proposed by Democrats in order to score political points.

White House Press Secretary Robert Gibbs confirmed that Obama told the GOP leaders that he needed to do a better job in seeking consensus.

"I think the president laid out that in order for us to work together, we're going to have to communicate," Gibbs said. "The president was pretty clearly in acknowledging that he needed to do better, and he would."

Asked whether Obama was bending to Republicans by saying he needed to reach out more to them, Gibbs said: "I'm not sure I call that bending; I call that trying to work together."

In remarks after the event, Obama said he invited Republican and Democratic leaders to meet with him again several times in the future, including one summit at Camp David.

On the tax cut issue, Obama has called for Congress to extend the lower tax rates for most Americans before they expire December 31.

The president's proposal would extend the lower rates for people earning up to $200,000 a year or families earning up to $250,000 while allowing the rates for those earning more to return to the higher levels of the 1990s. Republicans want the lower tax rates extended for all Americans regardless of income level. A possible compromise floated by Democrats would raise the income threshold for the lower rates to those earning up to $1 million.

McConnell said Republicans oppose differing policies for different taxpayers, based on income.

"It is the view of 100 percent of Senate republicans and a number of Senate Democrats as well that ... we ought to treat all tax rates the same," McConnell said.

Another issue expected to come up at the meeting was a new nuclear arms treaty with Russia. The START treaty, which requires Senate approval, would resume mutual inspections of U.S. and Russian nuclear arsenals while limiting both nations to 1,550 warheads and 700 launchers each.

Obama has called approval of the treaty an immediate priority, saying it's critical to national security and a cornerstone of U.S.-Russian relations.

However, 10 GOP senators -- led by Kyl -- have urged a delay until the next Congress over concerns about the current Senate workload and the need to modernize the U.S. nuclear arsenal. In particular, Kyl and McConnell complain that Senate Democrats want to push through Democratic proposals in the current lame-duck session before their larger majority goes down in the new Congress in January.

McConnell said Tuesday that issues such as repealing the "don't ask, don't tell" policy banning openly gay and lesbian soldiers and the DREAM Act -- which would create a pathway to citizenship for illegal immigrants who came to the country as children and get a college degree or complete two years of military service -- were less important than the tax rate issue and a needed agreement on government funding for the rest of the fiscal year, which expires at the end of September.

Gibbs, however, said Obama and Democrats believe that all of the pending issues are important to Americans and that there is plenty of time for the Senate to take them up in the lame-duck session that runs through December.

Boehner and McConnell, in a piece that appeared on The Washington Post website Tuesday, said Republicans and Democrats can work together.

"The clock may be winding down on this session of Congress, but there is still time to do the right thing," the opinion article stated. "If President Obama and Democratic leaders put forward a plan during the lame-duck session to cut spending and stop the tax hikes on all Americans, they can count on a positive response from Republicans. If the president and Democratic leaders don't act before the end of the year, however, House and Senate Republicans will work to get the job done in the new Congress. But we hope it doesn't come to that."

During midterm election campaigning, Obama often used a car analogy to describe his efforts, backed by congressional Democrats, to help the U.S. economy recover from a recession they inherited. His stump speech described Democrats working to "dig the car out of the ditch" while Republicans sat back "sipping on a Slurpee," a frozen drink.

When Obama originally proposed the meeting with congressional leaders, White House reporters immediately called it a "Slurpee summit."

"Let's hope the president will be willing to work with us to cut spending, stop the tax hikes and get our economy working again," Boehner spokesman Michael Steel said this month. "Then we can all go get Slurpees together."

CNN's Ed Henry, Tom Cohen and Dana Bash contributed to this report.

@highlight

NEW: Party leaders name negotiators for tax talks

@highlight

President, GOP leaders agree to talks on tax cuts

@highlight

Republican Senate leader indicates no leeway on GOP call to extend all tax cuts

@highlight

The meeting has been dubbed the "Slurpee summit"