At Chi-Med's labs in Shanghai, a group of 70 chemists has been working for a decade to try and crack the mysteries of Chinese medicine.

The company's scientists are attempting to break 1,300 medicinal herbs into their component parts and then test them for global use against diseases.

It's an ambitious effort and one that looks close to paying off. Chi-Med, in partnership with Nestle, has started the first worldwide phase III clinical testing trials -- the final step before approval for sale -- for a botanical drug based on Chinese Traditional Medicine.

If Chi-Med and Nestle succeed in winning U.S. Food and Drug Administration (FDA) approval, the companies will be at the forefront of efforts to export Chinese medicine beyond its loyal following at home. They'll also have tackled the central problem in taking Chinese medicine global: how do you get a centuries-old remedy through the rigors of modern government regulation?

"The simpler the product, the better at this stage," says Chi-Med CEO Christian Hogg. "The more similar it is to conventional drugs, the better from the FDA standpoint." That's why the company has started with a drug called HMPL-004, which treats inflammatory bowel disease (IBD) including ulcerative colitis and Crohn's disease.

The testing was made possible by a change in the FDA policies and procedures in 2004 regarding botanical drug products.

The new guidelines removed some of the obstacles involved in getting an investigational new drug application (IND), the first step in getting a drug developed and marketed in the U.S.

Since the guidelines were introduced, the FDA has only approved two botanical drugs, according to the U.S. Department of Health & Human Services. Fulyzaq, an antidiarrheal drug used for HIV/AIDS patients and derived from the red sap of the Croton lechleri plant, was approved in December 2012. Veregen, a treatment for warts based on green tea extract, was given the green light in 2006.

By Chinese medicine standards, HMPL-004 is a simple drug. It's a single extract from a single herb, called andrographis, which has a long history of use in Asia for stomach problems.

Contrast that with She Xiang Bao Xin Wan, one of Chi-Med's primary products in China.

It's a prescription cardiovascular drug with over 100 different chemical components, which Hogg explains makes it nearly impossible to get through the current U.S. approval system. "If you are working with the FDA to register that, you are going to have to explain to them exactly where each of those compounds comes from and you are going to have to guarantee every step that exactly the same amount of the compound is in that product," he says.

There are currently 2,800 patients in the phase III clinical trials to determine if HMPL-004 is both safe and effective.

If FDA agrees with the results, the drug will then enter the $7 billion global market to treat IBD.

Chi-Med is not alone in its efforts to take Chinese botanical drugs beyond China.

Dr. Yibin Feng at Hong Kong University's School of Chinese Medicine is studying the effectiveness of Chinese medicine treatments for cancer and liver disease. He says the lack of advanced science and technology has meant in the past that traditional Chinese medical doctors did not understand how the treatments worked. "We know this works for some disease, but I don't know what the scientific basis is," he says. "Why does it work for this disease?"

Dr. Feng believes all of that is changing now. Both he and Hogg think the slowing pace of conventional drug development is driving more people to look to Chinese medicine.

"Now new drug discovery from natural products and other material is more difficult that many years ago, people notice the wisdom in Chinese medicine," says Dr. Feng. He's particularly hopeful people outside China will begin to see the value in China's more complicated, multi-ingredient treatments. In fact, he sees these multi-faceted remedies as one of the major assets of Chinese medicine.

Dr. Hogg believes gradually the foreign regulators will become more open to the range of Chinese drugs. "It is in the best interest for the public health to be bringing these therapies to the market," he says.

@highlight

Chi-Med and Nestle working to get FDA approval for some Chinese medicine

@highlight

Phase III trials have started on HMPL-004 -- used to treat stomach problems

@highlight

It's final round of trials before FDA approval to enter the $7B IBD market