Few things are more ethereal than hope. It isn't tangible, easily measurable or available in pill form.

That's likely why the idea that hope may wield a significant influence on healing -- and even survival -- may be tough to take for our bean-counter brains, hardwired by evolution to seek certainty at any cost.

Shane Lopez, author of the new book "Making Hope Happen," is unfazed by any such ambivalence.

"I began my career by studying intelligence and how that relates to good health," he says. "Sometimes I found it easier to just tell people I was an intelligence researcher. They reacted like that research was somehow important and fancy."

When he talks about hope, people's eyes glaze over more often than not. Nonetheless, Lopez believes hope is the stuff of change, recovery and healing.

Using downward dogs to treat depression

The positive physiological effects of hope are well-documented, most eloquently in Jerome Groopman's "The Anatomy of Hope," where he writes: "Researchers are learning that a change in mind-set has the power to alter neurochemistry.

"Belief and expectation -- the key elements of hope -- can block pain by releasing the brain's endorphins and enkephalins, mimicking the effects of morphine. In some cases, hope can also have important effects on fundamental physiological processes like respiration, circulation and motor function."

Groopman's research showed that during the course of illness, belief and expectation -- two mental states associated with hope -- have an impact on the nervous system which, in turn, sets off a chain reaction that makes improvement and recovery more likely. This process, he points out, is fundamental to the widely accepted "placebo effect," which is created by a hopeful outlook.

It is less of a stretch to contemplate the link between hope and emotional well-being. "Have you ever met a happy hopeless person?" Lopez asks simply.

Groopman observed that hope does not just involve a mind-to-body connection, but also a body-to-mind connection, where neural input about one's physical condition serves as a moderator of positive and negative emotions.

Training the brain to stress less

Hope, Lopez says, may buffer us from stress, anxiety and the effects of negative life events. Studies of workers over time suggest that hopeful employees experience more well-being. And it comes as no surprise that in a Gallup poll of 1 million people, the hopeful said they laughed and smiled much more often than the hopeless, Lopez writes, citing an "unpublished analysis of data from the Gallup-Healthways Wellbeing Index and the Gallup Student Poll."

According to Lopez, studies also show that hope promotes healthy behaviors, including fruit and vegetable consumption, regular exercise, safe sex practices and quitting smoking.

"In each case," writes Lopez, "hope for the future is clearly linked with daily habits that support health and prevent disease."

That's because hope triggers a virtuous cycle. Hopeful people conjure a vision that sustains them, that causes them to show up for the hard work and accept setbacks, Lopez says. They make an investment in the future that pays off in the present: in the way they eat, exercise, conserve energy, take care of themselves and stick to their treatment plan.

The pathways of hope

In 2008, Duane Bidwell, an associate professor of practical theology at Claremont School of Theology in California, set out to study hope among children suffering from chronic illness.

"We felt there was insufficient theory about hope from children's perspectives," he says. "Most of the research was based on and extrapolated from adult experiences and then applied to kids."

Bidwell and his colleague Dr. Donald Batisky, a pediatric nephrologist at Emory University School of Medicine in Atlanta, analyzed vast amounts of data from a diverse group of children suffering from end-stage renal failure.

The researchers identified five main pathways to hope. They are:

• Maintaining identity by continuing to participate in activities and relationships that help patients retain a sense of self outside diagnosis and treatment.

• Realizing community through formal and informal connections that help patients understand they are not alone in living with disease. This community is made real through conversation, visitation, consultation and participation in daily activities.

• Claiming power by taking an active role in treatment by setting goals, self-advocating, monitoring and maintaining one's own health.

• Attending to spirituality, activated through religious, spiritual and other contemplative practices.

• Developing wisdom, which involves both gaining pragmatic, medical wisdom derived from one's own experience and finding ways to "give back."

"The pathways are not hierarchical in any way," Bidwell says. "You can access hope through any of these pathways and all of them. The more of them you can access, the better."

Literature tends to treat hope as an existential experience, virtue or emotion, Bidwell says. But the children Bidwell studied revealed that hope is a social resource. It emerges through interactions with the people who surround us and is then internalized.

What's important, says Bidwell, is for the patient's "team members" -- family members, doctors, nurses, social workers, friends and chaplains, among others -- to do things that help create and activate hope pathways for the patient.

Hope is present, ordinary and 'normal'

When asked what he found most compelling or surprising about his findings, Bidwell says his team asked the children to talk about a time when hope became real during their disease treatment.

"More often than not," he recalled, "they told us about ordinary moments with family and friends -- saying grace around the dinner table, times when they were aware of the abundance they had in their lives, even though ... they build their lives around dialysis and medication."

We so often discount these ordinary daily moments, Bidwell says. But those who are more intentional about the practices that bring hope right now are better able to take care of themselves.

The children in Bidwell's study experienced mostly psychosocial suffering, he says. "Things like being different from their peers because they were stuck to a dialysis machine or always on medication." Hope enabled the children to claim power -- to say: "Here's where the disease gets to influence my life and here's where it doesn't get to influence my life."

"I'm normal," Bidwell recalls a young girl telling him. "Hope helps me be more normal."

Stress, depression may affect cancer survival

What hope is -- and isn't

There is a thin line between hope and denial, and that line is an unwavering commitment to truth and reality.

Groopman writes: "False hope does not recognize the risks and dangers that true hope does. False hope can lead to intemperate choices and flawed decision making. True hope takes into account the real threats that exist and seeks to navigate the best path around them."

Both Lopez and Bidwell emphasize that hope is not about positive thinking. Hope is half optimism, Lopez explains. The other half is the belief in the power that you can make it so.

There is a profound difference between hoping and wishing, he continues. Wishing encourages passivity, whereas hope represents an active stance.

"Wishing is the fantasy that everything is going to turn out OK. Hoping is actually showing up for the hard work."

Fighting loneliness and disease with meditation

@highlight

The positive physiological effects of hope are well-documented

@highlight

Hope may buffer us from stress, anxiety and the effects of negative life events

@highlight

Studies show that hope promotes healthy daily behaviors