New York (CNN) -- India's Prime Minister Manmohan Singh came away from talks at the White House reassured about U.S. policy in Asia, according to foreign affairs analyst Fareed Zakaria.

Singh and President Obama capped their talks with an elaborate state dinner in a tent at the White House Tuesday night, the first such occasion in Obama's presidency.

Zakaria, who attended the formal event, told CNN the dinner was a success: "My sense is there was a very warm feeling. The Indian prime minister was gushing and he's not a man who gushes."

U.S. and Indian officials spoke about the war in Afghanistan, just as Obama is expected to announce -- on Tuesday -- increased U.S. troop levels in the region.

"The forces of terrorism in our region pose a grave threat to the entire civilized world and have to be defeated," Singh said. "President Obama and I have decided to strengthen our cooperation in the area of counterterrorism."

Zakaria, author and host of CNN's "Fareed Zakaria: GPS" spoke to CNN Wednesday about U.S.-India relations.

CNN: What was India hoping to achieve in the talks?

Fareed Zakaria: I think there are probably three things going on from India's point of view. One was to generally get a sense of whether Obama shares Bush's reorientation of American strategy in Asia to place a much greater importance on India and to place India at the center of the U.S. view of Asia. My feeling is that what they heard out of the Obama administration was very positive. And they had two specific goals in mind as well.

They wanted to get the implementation of the U.S.-India nuclear deal started, so there could be a transfer of civilian nuclear technology to India. They heard some good things. But my sense is that the Obama administration is doing a broader review of the whole policy of technology transfer and is not going to do a special deal for India.

CNN: Why is that so important for the Indian government?

Zakaria: The Indians look at their [economic] growth rate and the single biggest problem for them ... is energy. They're a huge importer of oil. They're in a race to find cheap energy through nuclear power, and for that they need access to western technology.

And finally there is the whole set of "Afpak" [Afghanistan and Pakistan] issues and they just wanted to get a sense from Obama that he's not going to withdraw from Afghanistan and that the Obama administration does not take on a Pakistani view of Afghanistan. On all fronts, my feeling is they were basically reassured.

CNN: What's their fear about Afghanistan?

Zakaria: Their fear is that the United States is desperate to get Pakistan to cooperate and in doing that is almost adopting Pakistan's concerns as their own concerns, accepting the Pakistani view that it's very difficult for Pakistan to go after the Afghan Taliban or LET [Lashkar-e-Taiba] which started the Mumbai attack. India's view is that it's not a question of capacity, it's a question of will.

Secondly there's the Kashmir issue, which they want to maintain as a bilateral issue without intervention by any outside party. They have a legitimate concern about the Pakistanis not being willing to go after these forces. The Indians are concerned that the Americans not easily fall into trap that if only Kashmir were solved, then Pakistan will turn on all these militias that it created and has sustained for three decades.

CNN: Why doesn't India want a third party involved in the Kashmir dispute?

Zakaria: Basically there is no third party who the Indians trust enough. They feel China has always been pro-Pakistan. For the last 70 years, the U.S. has been mostly pro-Pakistan and sided against India in the last war. It sent the Seventh Fleet into the Bay of of Bengal. The Indians feel they are the dominant power on the ground, so why should they accept international mediation? They feel they are likely to get a better deal if they stick to their guns.

India sees itself very strongly as a secular nation which accepts all religions, including Islam. It has the second largest Muslim population in the world after Indonesia. For them to accept that because Kashmir has a majority of Muslims, it cannot be a part of India ... is antithetical to the national identity of the country. There's a lot of opposition in the government to letting Kashmir be bartered away.

CNN: What were the goals on the American side?

Zakaria: What the U.S. has been trying to do since the Clinton administration is to strategically reorient itself in Asia so it has much stronger relations with India and that it become India's closest ally among the major powers.

The rise of China is altering the strategic balance in Asia, and by allying with India, the United States can in a very subtle way place some sort of check on the potential for Chinese expansion.

There is also a powerful idealistic interest here, in seeing that the world's leading democracy and the world's largest democracy pair up. ... Clinton began this process, Bush powerfully accelerated it by taking off the table sanctions that were in place because India had nuclear weapons.

So Obama is the third president continuing a strategic partnership with India. ... It's a perfect example of a kind of hedge strategy: Engage China but in case the engagement process doesn't work, also have a strong and growing relationship with India.

Then there's the whole economic component to it . The Indian economy and the American economy are getting more closely intertwined. If you travel to India, you're struck that every every university, every company, every NGO [non-governmental organization] has some kind of contact with its counterparts in the United States. At a people-to-people level, the relationship is very strong and that's the most durable kind of alliance.

CNN: There were reports that India was concerned about the joint statement Obama made with the Chinese president. [Obama said, "President Hu and I also discussed our mutual interest in security and stability of Afghanistan and Pakistan. And neither country can or should be used as a base for terrorism, and we agreed to cooperate more on meeting this goal, including bringing about more stable, peaceful relations in all of South Asia."]

Zakaria: It's a sign of the fact that there was unease in India about Obama and a new administration. The statement was fairly innocuous, though the U.S. was ill-advised to have it in there. It was a mistake ... but a minor one.

CNN: Was Prime Minister Singh encouraged by the administration's apparent intention to send more troops to Afghanistan?

Zakaria: In his interview with me for last Sunday's show, Singh strongly supported the American presence in Afghanistan, he strongly supported the mission and said the removal of the Taliban government in Afghanistan was a blessing for the whole world.

@highlight

Indian prime minister's state visit was capped with formal dinner at White House

@highlight

Fareed Zakaria says India was uneasy about policy of new administration

@highlight

He says the U.S. reassured the India delegation on several key fronts

@highlight

India is seen as a counterweight to China's growing influence in Asia, he says