(CNN) -- U.S. Supreme Court justices peppered attorneys with questions Tuesday over whether an Arkansas inmate should be allowed to grow a beard as part of his religious faith.

Gregory Holt, also known as Abdul Maalik Muhammad, is a Muslim who filed a handwritten petition with the high court. He cited rights under the federal Religious Land Use and Institutionalized Persons Act, or RLUIPA.

He wants to grow the beard as part of his religious faith and his attorneys claim he had offered to keep it to a "half-inch" as part of what Holt called a "compromise."

In their response, Arkansas corrections officials cited security concerns in their refusal to accommodate.

Justices to debate prisoner's religious right to grow a beard

According to the state of Arkansas, current policy allows only a "neatly trimmed mustache" and inmate beards could pose a security risk to guards and the public: Prisoners who escape could shave their facial hair, altering their appearance. And weapons and other contraband could be hidden in heavy beards or inside their cheeks, covered by facial hair.

Justice Samuel Alito was skeptical: "As far as searching a beard is concerned: Why can't the prison just give the inmate a comb and say comb your beard? And if there's anything in there -- if there's a SIM card in there or a revolver or anything else you think can be hidden in a half-inch beard, a tiny revolver -- it'll fall out."

Chief Justice John Roberts addressed the issue of how to define "neatly trimmed."

"One of the difficult issues in a case like this is where to draw the line," Roberts said, addressing Holt's lawyer.

"And you just say: 'Well, we want to draw the line at a half-inch because that lets us win.' And the next day someone's going to be here with 1 inch. And then 2 inches.

Administrative Directive 98-04.D of the Arkansas Department of Correction permits beards only for those "with a diagnosed dermatological problem."

But in his self-initiated plea to the justices, Holt complained that he and fellow Muslims were forced "to either obey their religious beliefs and face disciplinary action on the one hand, or violate those beliefs in order to acquiesce" to the facial hair policy.

Read Holt's original handwritten petition to the Supreme Court (PDF)

He cited the Hadith -- literary traditions and sayings of the Prophet Mohammed -- which says, "Allah's Messenger said, 'Cut the mustaches short and leave the beard (as it is).' " Holt said he offered to keep his beard to a half-inch as a "compromise," but that was rejected.

Forty states and the federal correctional system allow beards of varying lengths, say his attorneys.

Holt is housed at the Varner Supermax, a 468-bed, ultra-maximum security section of the correctional facility in Grady, Arkansas, near Pine Bluff.

Officials point to Inmate 129-616's self-admission as a "Yemen-trained Muslim fundamentalist" with a violent criminal past. He had been indicted by a federal grand jury for threatening to harm then-President George W. Bush's two daughters.

A few years later, he was convicted in state court and sentenced to life in prison for breaking into the home of his ex-girlfriend and severely wounding her, slitting her throat and stabbing her in the chest.

Law enforcement officials say he threatened to wage "jihad" against anyone who helped convict him, both at trial and later behind bars.

But Holt's lawyers say his criminal history is not at issue, but rather the state's continued restrictive policies.

"What they really seek is absolute deference to anything they say just because they say it," attorney Douglas Laycock told the justices at the start of the one-hour argument. "There may be deference to prison officials, but there must be concrete limits to that deference."

Justice Antonin Scalia questioned Holt's claim of a compromise in growing a trimmed beard. "Let's assume in the religion that requires polygamy -- could I say to the prison: 'I won't have three wives, just let me have two wives.' I mean, you're still violating his religion, it seems to me, if he allows his beard to be clipped to one-half inch, isn't he?"

When Laycock said the inmate should not be punished for being "reasonable" in his request, Scalia shot back, "Religious beliefs aren't reasonable."

State leaders had a simple message for the courts: Allow us room to decide which restrictions work best within each institution's unique circumstances.

David Curran, representing the state attorney general's office, said "common sense" was applied in a reasonable way when the no-beards policy was enacted. But that brought tough questions from the bench.

"You have no comparable rule about hair on one's head, where it seems more could be hidden than in the beard," said Justice Ruth Bader Ginsburg, "where you hide something in a beard and it might drop out."

And Justice Stephen Breyer: "There's no example, not a single example in any state, that allows beard policies where somebody did hide something in his beard," a point the state conceded.

Arkansas also argued growing facial hair could make it hard to identify inmates -- either behind bars or if they escape.

Alito again: "Why is that so? Are you saying that somebody with or without a half-inch beard -- that's a bigger difference than somebody who has longish hair, versus the same person with a shaved head?"

The Obama administration is backing Holt. Some legal analysts say the justices have traditionally been deferential to the security judgments of prison officers.

The beard case is one of three high-profile disputes over religion that will be heard by the justices in coming weeks. One involves the ability of Americans born in the holy city of Jerusalem to list "Israel" or "Palestine" as their country of birth on U.S. passports.

Another is a workplace discrimination claim filed by a female Muslim woman from Tulsa who wears a hijab. She sued the clothing chain after a job was offered then rescinded -- she claims because of her headscarf.

And the court will hear arguments over whether local governments can impose stricter regulations on temporary church signs than on other noncommercial displays, such as lost-dog posters and political campaign banners, typically displayed along streets in the weeks before an election.

Holt is being defended in court by the Beckett Fund for Religious Liberty, the same nonprofit group that backed two Christian families in a separate high court challenge earlier this year.

At issue there was whether a federal law permitted closely held family-owned corporations the discretion to deny contraception coverage in employer-funded insurance plans.

The conservative court dealt a setback to the White House and Obamacare supporters in the so-called Hobby Lobby dispute, saying those with "sincerely held" religious beliefs had a limited right to operate in harmony with biblical principles while competing in a secular marketplace.

The Beckett Fund noted that groups like the American Civil Liberties Union and the Anti-Defamation League, along with Catholic bishops, are now backing Holt.

The current Arkansas dispute is Holt v. Hobbs (13-6827).

@highlight

Gregory Holt wants to grow beard as part of his religious faith

@highlight

Arkansas officials have denied him the right

@highlight

Justices peppered both sides with questions