(CNN) -- The deadly Ebola virus which has ripped through three West African countries has had the biggest impact in Liberia. As of last week, the country has had over 7,000 cases of the disease and nearly 3,000 deaths, according to the World Health Organization.

Earlier this month, a World Bank report said that "nearly half of the working population of Liberia is no longer working since the crisis began." The World Bank, which conducted two rounds of mobile-phone surveys, also said that over 30% of working households were self-employed before the crisis -- but this is now down to just above 10%.

Such a reduction in employment is being coupled with what the World Food Programme calls "abnormally high" rice prices in certain places due to quarantine measures.

As the economic impact of the virus deepens, CNN's African Start-Up reached out to workers, entrepreneurs and business people in Liberia to find out how they're dealing with the crisis. Here's what they had to say.

Harris Kollie - "Pen-pen" motobike-taxi driver

"People don't want to ride with us ... because they are afraid of the transmission of the disease. Many customers are students, but now the schools are closed already. There's no jobs, so as a result there is a reduction in customers.

"Before the outbreak we used to transport 30-40 people a day. Now, because of the closure of schools and businesses, we might transport 20 people in a day.

"Feeding the family now is quite challenging of course. The price of rice goes up, it's not easy to find it -- 25kg of rice is $20 now, but before rice was $14."

Peter Swen Jr - Surfing teacher

"People used to come hang out on the beach and rent surf boards from me and have surf lesson[s], but not any more.

"On the weekend [it] used to be about 15 to 20 people. I pray Ebola be eradicate[d] soon."

Fomba Trawally - owner of National Toiletries Incorporated

"[The Ebola outbreak] forced us to reduce our workforce and subsequently our production. Our local sales dropped considerably because movement was restricted as a measure to prevent the spread of the Ebola virus ... Border closure with neighboring countries also affected our business as some of our raw materials and finished products were imported from these neighboring countries like Cote D'Ivoire and Guinea.

"As an individual, it placed me in a state of confusion. I did not know how and who to downsize among my small staff. It made me reduce the time I spent with my family and spent more time thinking about how to keep my business running and operational ... It will go a long way to restore normality for me and my family."

George Watkins - Taxi driver

"Now there is no business at all. Before the crisis I used to do four trips from the airport to Monrovia town each day. Now it's one or two flights per day, sometimes nothing. People don't want to be in the same space as other people. Everybody is staying at home. It's very difficult these days."

Amin Modad - CEO of Bella Casa Hotel

"When the Ebola epidemic hit, all hotels experienced an unprecedented sharp decline of occupancy from an average of 50% to about 5%. In fact, as early as May, we began experiencing cancellations as far out as December. For a Liberian entrepreneur paying about $22K monthly towards bank loans, this meant getting into immediate defaults with the banks for non-performance.

"I had to take a couple of actions for both health safety and the financial situation: Temporarily put down about 40% of my staff (especially those who lived furthest from the hotel in communities that were more susceptible to the virus)... We had to downgrade to much much smaller generators as the larger ones were consuming incomparably to our occupancy hence the revenue we were generating... We also had to slash prices."

Chid Liberty - CEO of clothes manufacturing company Liberty & Justice

"Going into July we had almost half a million dollars in open postal orders (PO) from a client who worked with us for three years to launch our factory. Unfortunately in August, we had to stop production and keep our workers safe by keeping them home. Since that time our POs have expired.

"I am absolutely optimistic about the future. Liberia had some issues in the beginning and the global response left a lot to be desired. But things are moving in the right direction... We have a multi-million dollar asset in the epicenter of the outbreak, so we want to use it for good. We've started a campaign to assemble and distribute medical supplies from our factory. We want to be among the first major employers to get going after the outbreak and hope our success can draw others in."

Taa Wongbe - Managing partner of The Khana Group

"Hotel occupancy rates are down 85%...Everyone selling to hotels (the entire value/supply chain) has been impacted. Vehicle rentals are down, projects that should have started have shut down or stopped. While this is a tough time for us, we have maintained 100% of our staff and their salaries because we know it's even tougher times for them. I am Liberian... I am always confident about the future. In the midst of the war, with dead bodies around me, I was confident about the future."

Bedell W. Sandi - CEO/President of Efficient Logistic Services

"There has been an unprecedented increase in demand in the areas of transportation, warehousing, and clearing and forwarding due to the Ebola outbreak and the international response to it.

"We are working with WFP, WHO, UNICEF and other international groups to move medical supplies, construction material and food items around Liberia.

"This will help the bottom line of businesses in these sectors including ours. We hope to leverage this opportunity to grow our business as we can already see that the increased response is definitely going to result in the eradication of Ebola from Liberia in the short run. We think the prospect for our business is good."

Daniel Hopkins - Co-founder of Kwepunha Retreat

"The outbreak has affected me by causing me to leave Liberia and return to San Diego to look for work and find a means to stay afloat while our business is closed. The surf retreat has been forced to close its doors due to a complete stop in tourism and the evacuation of many long term expats that provided us with regular business."

Manfred Zbrzezny - Manager of Fyrkuna Metalworks

"I had just built a new workshop when Ebola started...I was working on a major sculpture which is suspended for time being until Ebola is over. To make it over the last months friends and family have helped financially, so the three workers and my family could manage. The great international help that comes now is too much and too late. Besides there is a lot of money wasted. Still I do not know when and how the activity will go back to normal."

Teemu Ropponen - Country director of tech hub iLab Liberia

"We've had to cancel many of our ICT-related trainings and events. We organize public gatherings most days in a week, so the crisis has pretty much put a halt on this! Many of our existing and new projects have been put on hold or postponed. Luckily, all our staff and families have remained directly unaffected, though the crisis affects all of us in many ways... It will take a long long time before all becomes normal...The first things that need to happen is that the epidemic gets into such control that it is safe to organize public gatherings and trainings again."

Are you in Liberia? Share your thoughts in the comments section below.

Read this: The African weapons beating Ebola

More from African Start-Up

@highlight

46% of Liberians working at the start of the Ebola crisis are now unemployed

@highlight

Liberia has had over 7,000 cases of Ebola and nearly 3,000 deaths

@highlight

Businesses have been forced to close because of the outbreak

@highlight

Hotel occupancy rates are down 85% as airlines avoid the region