Washington (CNN) -- A convicted American terrorist plotter and his mother lost another legal round Wednesday in their efforts to hold accountable a former Bush administration official who issued legal memos supporting harsh interrogation techniques for suspected enemy combatants.

The 9th Circuit U.S. Court of Appeals dismissed a lawsuit from Jose Padilla and his mother, Estela Lebron, who claimed the man's constitutional rights were violated when he was held for years in solitary confinement at a military prison in South Carolina.

The issue was whether John Yoo, who worked in the Justice Department's Office of Legal Counsel, deserved "qualified immunity" as a government official from such suits. A federal judge earlier had said the litigation could proceed.

But a three-judge appeals panel disagreed.

"Under recent Supreme Court law, however, we are compelled to conclude that, regardless of the legality of Padilla's detention and the wisdom of Yoo's judgments, at the time he acted the law was not sufficiently clear that every reasonable official would have understood that what he was doing violated the plaintiffs' rights," the court said.

Padilla was originally arrested a decade ago on accusations he planned to set off radioactive "dirty bombs" in the United States.

The Chicago native had been held for 3 1/2 years as an "enemy combatant" in military confinement, without being charged in that alleged plot. It was that detention that prompted Padilla in 2008 to file a civil lawsuit, alleging the administration's "unlawful" policies violated his constitutional rights as a U.S. citizen. He said he suffered severe physical and mental abuse during his years of isolation in military detention, and wanted to hold individual officials such as Yoo accountable.

The Supreme Court in 2004 had heard Padilla's original appeal over his enemy combatant status, claiming he deserved a chance to contest his military detention on constitutional grounds.

Supreme Court building to get face-lift

He was arrested in May 2002 at Chicago's O'Hare International Airport as he returned from overseas, where he had been living. He was detained as a material witness in the September 11, 2001, attacks investigation.

President George W. Bush designated him an "enemy combatant" the following month and turned him over to the military. He was one of the few terror suspects designated by the United States as an enemy combatant since 9/11. Padilla was then held in a South Carolina naval brig before the government brought criminal charges against him.

The Obama administration has since abandoned using the term "enemy combatant."

The current White House has been criticized for continuing many of the anti-terror policies of the Bush administration, including military prosecutions of high-value suspected terrorists held at the U.S. Navy base at Guantanamo Bay, Cuba. The Obama Justice Department had supported Yoo.

But some conservatives have also slammed President Barack Obama for his previous desire to close the prison facility in Cuba and prosecute terrorists in civilian federal courts in the United States. That policy has not been carried out due to congressional opposition.

Three U.S. citizen cases, including Padilla's, as well as other appeals from foreign nationals held as enemy combatants at Guantanamo, have tested the government's power to interrogate captives without allowing them regular access to attorneys or the judicial system, on the grounds that they might pose a future threat or know about pending terrorist attacks.

The San Francisco-based 9th Circuit appeals court said it was unclear in the two years after the 9/11 attacks whether Padilla's alleged treatment in prison amounted to "torture." The legal advice offered by Yoo and other top administration lawyers was intended, said the court, to work through varying differences over interpreting and implementing the detention and interrogation policies.

The judges in this appeal appeared to go out of their way to note concerns that Yoo's performance at the Office of Legal Counsel may have in fact amounted to professional "misconduct." But the panel said his compliance with department standards was not at issue in the current lawsuit.

The Justice Department later released two reports on the interrogation memos produced by Yoo, concluding he "exercised poor judgment" but did not "knowingly provide inaccurate legal advice." Both reports were summarized in a footnote in the appeals judges' ruling.

Yoo's lawyer released a statement saying the ruling "confirms that this litigation has been baseless from the outset."

Miguel Estrada, who himself had been an unsuccessful nominee to the federal bench by Bush, said, "For several years, Padilla and his attorneys have been harassing the government officials he believes to have been responsible for his detention and ultimately conviction as a terrorist. He has now lost before two separate courts of appeals, and will need to find a new hobby for his remaining time in prison."

After Padilla was released from military custody and transferred to federal civilian control, he was convicted on terrorism charges. In November 2006, he was added to an existing indictment in south Florida, which alleged Padilla and his co-defendants belonged to a North American terrorist support cell and intended to carry out jihad, or holy war, in foreign countries.

Padilla and two others were found guilty in August 2007 of conspiracy to murder U.S. citizens and provide material support to terrorists. A federal court jury in Miami had deliberated for just under two days before handing down the guilty verdicts. Another federal appeals court ruled last fall the 17-year sentence given Padilla was too lenient, handing another legal victory to the Obama administration.

A divided 2-1 panel of the 11th Circuit U.S. Court of Appeals said the federal judge presiding over the 2007 conspiracy trial did not properly take into account the former gang member's past criminal history when sentencing him.

The current lawsuit is Padilla and Lebron v. Yoo (09-16478).

@highlight

An appeals court dismisses a lawsuit filed by convicted terrorist Jose Padilla

@highlight

He wanted to sue John Yoo, who issued legal memos supporting harsh techniques

@highlight

The court says that "at the time (Yoo) acted the law was not sufficiently clear"