(CNN) -- A few weeks ago Col. Lawrence Sellin, a Special Forces officer stationed in Afghanistan, fell victim to a particularly modern hazard of war: PowerPoint fatigue.

Col. Sellin was fired from his post at NATO's International Security Assistance Force after he wrote an essay for the UPI wire service in which he voiced his frustration about PowerPoint-obsessed officers who spend more time worrying about font size and bullet points than actual bullets.

Col. Sellin's was just the latest in a series of complaints about the military use of slide presentations -- you may recall public ridicule of the famously incomprehensible "spaghetti slide," and a recent New York Times article, that cited other officers just as frustrated with the emergence of the military bureaucracy's "PowerPoint rangers."

But PowerPoint isn't inherently bad -- just misunderstood. And bad PowerPoint presentations aren't just a concern of the military. We've all sat through presentations -- or suffered or even dozed through them. The truth is, most are poorly constructed and instantly forgettable.

Why does this matter? Because presentations decide elections, military strategies and multibillion-dollar business deals; they educate our children and they spread the ideas that shape society's most important goals and directives.

Ultimately, a presentation succeeds or fails on the strength of its message and how well it's told. And those elements have nothing to do with the brand of the software package involved in its production. You know instantly when you're watching a great presenter at work -- you may even own the ShamWow to prove it.

Sometimes, presenters try to punch up weak content with stunts. I remember one speaker who rode onto the stage on a motorcycle -- and promptly lost control and crashed. (He was okay.) Another presenter rappelled down to the stage like a mountain climber. I remember the stunts, but not the messages.

Poor presentations can have disastrous consequences. Edward Tufte, perhaps the most important writer on the display of information, demonstrated how the disintegration of the space shuttle Columbia in 2003 might have been averted by a more objective presentation of the damage inflicted on Columbia's wing by a piece of foam debris during takeoff.

As it was, Tufte wrote in his article, "PowerPoint Does Rocket Science: Assessing the Quality and Credibility of Technical Reports," NASA officials came away from PowerPoint-driven briefings by Boeing engineers with an overly optimistic view of the situation, in part as a result of hard-to-understand slides overloaded with bullet points. In other words, a bad presentation may have caused that disaster, and a good one might have prevented it.

Of course, we can't be naive: a persuasive presentation isn't necessarily a good presentation. In 2001, Enron Corp. executives Ken Lay, Jeff Skilling and Richard Causey presented PowerPoint slides at an employee meeting that winningly depicted the company's robust health and the bright future of its projected earnings. By the end of that year the company was worthless. Eventually, the U.S. Department of Justice charged those executives with 10 counts of a variety of crimes -- based on their presentations.

Meanwhile, the Enron scandal may have been preventable by the right presentation. In 1999, a presentation by the Arthur Andersen accounting firm feebly warned the Enron Board of Director's audit committee of the company's sketchy accounting. Had that presentation sounded a bold warning, the audit committee might have been able to save the company. For that matter, it might have saved Andersen, which did not recover from its role in Enron's dealings.

Unfortunately, the development of presentations is a skill that is rarely taught and for which few sources of best practices exist. Bad presentations kill ideas, waste money and impede progress. Great ones illuminate, persuade, generate consensus and spark action.

How do you create a great presentation? I've been in the business for 20 years, but until recently even I couldn't define the deep structures and elements of truly superior presentations.

My research into this question led me in unexpected directions. The answers I found had nothing to do with technology or the internet; they were revealed in screenwriting, Greek and Shakespearean drama, mythology and literature.

Great presenters employ the basic narrative techniques used throughout history to connect with audiences and move them to action and new understanding.

The presentations that work are not the ones with the most data or the most elaborate charts and graphs; the winners are those with the most compelling and convincing narratives.

We're a distracted, multi-tasking society. So presentations need to lure and re-lure an audience simply to keep their attention. Audiences are looking at the clock or fiddling with their handheld devices throughout a presentation. You don't connect with your audience by throwing information at them -- you do it by taking them on a journey toward your perspective.

Whether you're a CEO, a salesperson, a general or a biochemist, you must understand how to connect with an audience, how to construct a powerful narrative argument, and how to visually display information for maximum audience comprehension.

I read recently that our nation is suffering a crisis of literacy, with only 35% percent of high school seniors able to read proficiently. Yes, you read that correctly (assuming you're not part of the 65% of high school seniors.) But literacy really means the ability to communicate effectively. For professionals and citizens in every strata of society, true literacy now includes the ability to communicate effectively through presentations.

The stakes could not be higher for our country. If corporate executives communicate poorly, businesses and the economy suffer, and jobs are lost. If teachers communicate poorly, our children don't learn and advance. If generals communicate poorly, our troops and their missions are put at risk. These are dangers we cannot ignore.

The opinions expressed in this commentary are solely those of Nancy Duarte.

@highlight

Army officer fired after publishing essay complaining about useless PowerPoints

@highlight

Nancy Duarte says bad presentations obscure or conceal key points

@highlight

She says successful presentations don't win because of a wealth of data

@highlight

Duarte: What makes a PowerPoint work is great storytelling