Cairo, Egypt (CNN) -- Thousands of protesters spilled into the streets of Egypt on Tuesday, an unprecedented display of anti-government rage inspired in part by the tumult in the nearby North African nation of Tunisia.

Three people died in the clashes between protesters and police, according to Egypt's official MENA news agency. Two demonstrators died in the eastern city of Suez, and one policeman was killed in Cairo, it said. MENA reported that at least 49 people have been injured.

Earlier, Egypt's Interior Ministry said that 36 police officers had been hurt during the protests.

Throngs in the sprawling capital city marched from the huge Tahrir Square toward the parliament building, according to CNN reporters on the scene.

Demonstrators threw rocks at police, and police hurled rocks back. Tear-gas canisters were shot at demonstrators, and the protesters threw them back.

Protest organizers said they hope to capture the regional momentum for political change set by Tunisians, who 10 days ago forced the collapse of Zine El Abidine Ben Ali's 23-year rule.

The grievances were foreshadowed by several Egyptians who set themselves or tried to set themselves on fire this month, mirroring the self-immolation of a Tunisian man whose action spurred the uprising there.

The Tunisian uprising was the most successful revolt in the region since 1979, but it is anybody's guess whether uprisings will spread to other Arabic-speaking lands.

Juan Cole, a Middle East historian at the University of Michigan, says Tunisia is different from other Arab nations. Tunisia, he said, is the "most secular country in the Arab world." Its traditions have favored women's rights, and its Islamist influence is negligible.

The United States and other governments are monitoring the demonstrations in Cairo and elsewhere closely. U.S. Secretary of State Hillary Clinton urged all people to "exercise restraint" and supported "the fundamental right of expression and assembly for all people."

"But our assessment is that the Egyptian government is stable and is looking for ways to respond to the legitimate needs and interests of the Egyptian people," she said.

To highlight the role of police corruption, the protest organizers in Egypt picked January 25 -- Police Day and a national holiday -- to hold protests.

The protests started off small, but they grew as people came to the center of the city from bridges over the Nile River.

Police were restrained and at times were seemingly outnumbered by the protesters, who sang the national anthem and inched forward to express their ire toward the government.

Witnesses said large groups of plainclothes police were heading to Tahrir Square.

Protesters had been expressing their anger over the rising cost of living, failed economic policies and corruption, but all those concerns were distilled into one overriding demand: the resignation of President Hosni Mubarak, in power for three decades.

The outpouring included young and old, Christians and Muslims, students, workers and businesspeople.

"We breathe corruption in the air," said one demonstrator, who along with others said their children have no future.

At its peak there were perhaps 15,000 to 20,000 people in Tahrir Square, but that crowd later dwindled to about 5,000 to 8,000. The main road in front of parliament, Qasr Al-Aini, was closed to traffic. The square is two blocks from parliament.

"Egyptians have the right to express themselves," Foreign Ministry spokesman Hossam Zaki said of the protests.

The Interior Ministry called on demonstrators to follow the law and avoid threatening the safety of bystanders, the public and private property.

Social media have been all-important in mobilizing and organizing protests. But bloggers and others in Egypt reported problems with electronic communication later in the day. Activists can't access their cell phones or text messages, and opposition websites can't be accessed. Twitter was blocked in Egypt about 11 a.m. ET, the company said.

There were other demonstrations in Cairo suburbs of Heliopolis, Shubra Al-Khaima, Muhandasin and Dar Al-Salam.

One man said Egypt is not Tunisia, it's Romania under Nicolae Ceausescu, a reference to the late and much-reviled communist leader.

The Front to Defend Egypt Protesters, an alliance of lawyers who helped organize the events, said that about 200 demonstrators were in the southern city of Aswan, 2,000 in the eastern city of Ismailiya and about 3,000 in the northern city of Mahallah.

The Egyptian government did not issue permits for Tuesday's planned protests.

In an interview released Tuesday with state-run al-Ahram newspaper, Interior Minister Habib Adly warned that "the security agencies are able to stop any attempt to attend" the demonstrations and called the efforts of the "youth staging street protests ineffective."

By early Tuesday morning, more than 90,000 people throughout the country had pledged to participate in the Facebook event "We Are All Khaled Said," named after an Alexandria activist who was allegedly beaten to death by police.

The Facebook group demands raising the minimum wage, firing the interior minister, creating two-term presidential term limits and scrapping existing emergency laws that the group says "resulted in police control" over the people and the nation.

Amnesty International released a statement Monday "urging the Egyptian authorities not to crack down" on the planned nationwide demonstration.

The banned Muslim Brotherhood, the biggest organized opposition to Mubarak's regime, had stated it would not have an official presence at Tuesday's protests, but some of its members "have reportedly been summoned and threatened with arrest and detention" if they attend and protest, Amnesty International said.

Opposition leader and Nobel Peace laureate Mohamed ElBaradei posted statements supporting the protests on his Twitter account.

He also created a video statement addressing policemen that was released Monday on YouTube.

"I sympathize with you because sometimes you are asked to do things that you do not want to do," ElBaradei said.

"One day, I hope that you will regain your role as the protectors of the people; rather than protectors of ... fraud elections. I am sure that every one of you deep inside is looking forward to the day that his role will again be with the people and a part of them, rather than against them," he said.

Public sentiment against state security forces has grown recently with alleged videos of police brutality shown on the internet. A recent report from Human Rights Watch said the problem is "epidemic," and "in most cases, officials torture detainees to obtain information and coerce confessions, occasionally leading to death in custody."

Some other human rights groups, such as the Arabic Network for Human Rights, have drawn a comparison between Egypt and Tunisia under Ben Ali, in terms of the level of government corruption and police brutality.

Adly, the Egyptian interior minister, dismissed any such comparisons, calling it "propaganda" that had been rejected by politicians as "intellectual immaturity."

But one woman, identified only as Nahla, who planned to attend the Tuesday protests, disagreed. She wrote in an online post, "I hope the (Tunisia-style) revolution will be taught in history. And that Egyptians will learn in school later about the January 25th revolution."

@highlight

NEW: Egypt's official news agency reports 49 people were injured

@highlight

Protest organizers say they hope to capture Tunisia's regional momentum for change

@highlight

Organizers chose January 25 -- Police Day and a national holiday -- to hold protests

@highlight

International human rights groups ask security forces not to crack down on protesters