NEW YORK (CNN) -- Mothers sit propped against pillows and gym mats at the "Real Birth" baby clinic in New York City. It's a sea of unwashed hair, women of various ages and professions, complicit smiles and apologies for not looking more put together. The diverse women share a common drive: the desire to breast-feed their babies. They believe it's the best nutrition, but they have difficulty, for reasons ranging from low milk production to adopted babies to problems with some babies latching on.

Formula makers and the FDA say the amount of bisphenol-A in formula cans is not dangerous.

"Breast-feeding was my absolute first choice," says Helen Niblock, cradling her newborn and watching tentatively as she puts 5-week-old Emma on a scale. "I actually cried when they told me that I had to give her formula in the hospital."

Niblock gives Emma Enfamil from a can to supplement her diet. But a research group says the cans that contain the formula are lined with a toxic, potentially harmful chemical.

The Environmental Working Group, an advocacy and research organization, says in a new report released to CNN that liquid formula from the nation's top baby formula makers is sold in cans lined with bisphenol-A, or BPA. The formula makers acknowledge the presence of BPA, but say it is not harmful. The Food and Drug Administration agrees.

The Environmental Working Group is a nonprofit research organization focused on public health and the environment. It does not take money from special interest groups. The group previously raised concerns about the presence of BPA in plastic baby bottles and is pushing for regulation of the compound.  Dr. Sanjay Gupta explains the Environmental Working Group's findings »

The group says, based on its analysis of existing research on BPA, even a very small amount of the compound may cause a host of problems, from brain and behavioral disorders to cancer, a claim the formula makers and federal regulators adamantly deny.

"BPA is a chemical that is harmful at very low doses," says Jane Houlihan, the organization's vice president for research. "We're talking about millions of babies exposed every year to this toxic chemical that's found in infant formula."

BPA is a fairly ubiquitous chemical used in polycarbonate plastic products, including baby bottles and metal can coatings. It protects the food inside from the can.

It's legal. According to the FDA and the infant formula industry, which adheres to federal packaging guidelines, it is safe.

Formula maker Nestle USA says all U.S. formula companies use cans from suppliers who use bisphenol-A. "The FDA has found these materials to be safe, and to pose no risk whatsoever to consumers. We stand by our products in these type of cans as being safe," the company says.

"There are inherent risks in any material that could be considered for packaging," says Mead-Johnson, makers of Enfamil. "Babies are what we do and safety is of paramount importance. We don't consider there to be a risk."

Regulators say the trace amounts infants are exposed to won't hurt them.

"An infant would have to ingest over 7,100 times more than the current daily dietary exposure to BPA before there would be the potential for an adverse toxic effect," the FDA says in a statement.

While the FDA acknowledges it is actively reviewing safety data on BPA, it sees no reason to ban it or restrict its use in formula cans.

But safety data on BPA are a point of contention.

The National Toxicology Program's Center for the Evaluation of Risks to Human Reproduction convened an expert panel to determine if BPA is a hazard to humans, including more sensitive developing babies. The panel concluded, based on animal studies, that there's "some risk" exposure to BPA causes neural and behavioral effects in children.

But there's a clear lack of scientific consensus on the definition of "some risk." Also at issue is the lack of research on humans.

"There's a lot of data out there, a lot of science that is looking at the effect of BPA in animals, but we don't have any data unfortunately in humans, so it makes it a little bit hard to know what's worrisome and what's not, " says Dr. Ari Brown, a member of the Academy of Pediatrics and author of the book "Baby 411."

The confusing messages have sent moms like Niblock into a tailspin.

"As a new mom there are so many warnings and scares out there you have to take it in stride and do what you think is best for your own child," she says.

But how do already stressed new parents know what is best?

While the American Academy of Pediatrics has no formal position on BPA, some of its member doctors, including Brown, are taking the message into their own hands.

"I tell parents in my practice there is some concern for exposure of BPA in infants and young children. So if there's an easy, cheap way to limit or reduce the exposure in your child's life, why not do it?"

While parents don't have definitive answers, they do have choices, including powdered formula or liquid formula not packaged in cans, and BPA-free baby bottles. Another BPA-free choice for mothers who can do it is exclusive breastfeeding -- the gold standard of infant nutrition.

The formula industry says there's no need for feeding changes for infants, as does the International Formula Council.

Niblock isn't so sure.

"I would do anything in the world to make sure she's growing the right way, and that I'm doing what's healthiest for my baby," she says.

For now, between breastfeeding classes and learning how to negotiate the streets of New York with a stroller, Niblock's duties include homework on BPA.

She says she's prepared to ditch the canned formula if she decides that's the safest way to feed her baby. E-mail to a friend

Amy Burkholder is a producer with CNN Medical News.

@highlight

Enviro group: Lining of baby formula cans has toxic, potentially harmful chemical

@highlight

Bisphenol-A, or BPA, used in polycarbonate plastic products, including baby bottles

@highlight

FDA, formula makers deny danger from small amount of BPA in cans

@highlight

American Academy of Pediatrics has no formal position on BPA