(CNN)Supported by American intelligence and supplied with advanced U.S.-made weaponry, Saudi jets began airstrikes in Yemen late last month in the name of what the kingdom's Washington ambassador described as "restoring the legitimate government" and protecting a "Yemeni constitution and elections."

The need to protect constitutions and elections is a rather strange message from the representative of an absolute monarchy. Indeed, Saudi motives in Yemen likely have nothing to do with protecting the country's "legitimate government," its constitution or its electoral process.

So what is really going on?

The kingdom's real motives seem clear if one looks at Saudi monarchy's history of not allowing regional competition of any kind, while consistently combating efforts to build democratic governments that empower the people. This approach was evident in 2013, when Saudi Arabia voiced its support for the military coup that overthrew the democratically elected government of Mohamed Morsy in Egypt, which was in keeping with counterrevolutionary Saudi policies that aimed to contain or reverse the results of the Arab Spring.

The Saudi goal is simple: Prevent the rise of any popularly supported government in the region that seeks self-determination. And the excuse of "resisting Iran's influence," meanwhile, appears to be nothing but sectarian bluster. For example, in 2009, the Houthis (more accurately described as the Ansarullah) were not yet receiving help from Iran, yet for weeks the kingdom pummeled them with airstrikes, following Saudi claims of a Houthi incursion. True, the Ansarullah movement now benefits from Iranian support. But it is far from the only group getting help from outside sources in the region.

With all this in mind, the American decision to stand behind the Saudi attack on Yemen can best be described as misguided. Although the Houthi movement's rhetoric is unquestionably anti-American, it has not targeted any American interests. In fact, when the U.S. Embassy packed up in Sanaa in January, leaving a fleet of over 20 armored SUVs behind at the airport, the Houthis reportedly said they would round up the cars and deliver them to a U.N. representative in Yemen. And while the Houthis did not welcome the American presence in Yemen, they did not interfere with U.S. operations against al Qaeda in the country.

But one of the biggest miscalculations has been that U.S. policy has adopted the Saudi-Gulf narrative on Yemen, effectively placing Saudi ambitions to control Yemen above previous American priorities like destroying the safe haven for al Qaeda there. Indeed, the Obama administration appears to have abandoned Yemen to Saudi machinations. This reality was underscored when U.S State Department spokesperson Jen Psaki effectively endorsed Saudi bombing, saying the "Saudis have legitimate concerns about the possible impact of current events in Yemen on their security." The implication here seems to be that any country "concerned" about its neighbors can go ahead and bomb them, a view that risks creating a dangerous precedent.

Back in September, White House spokesman Josh Earnest described Yemen as a success story in the war on terrorism, explaining that the U.S. priority in Yemen was not to establish a "Jeffersonian democracy" but to prevent Yemen from becoming a safe-haven for al Qaeda and affiliates. Yet if that policy goal remains in place, then it must be acknowledged that the Saudi war on Yemen will not only undermine the U.S. aim of preventing al Qaeda from making Yemen a safe haven, but also undermine broader U.S. efforts in Yemen.

The reality is that Saudi and Gulf Co-operation Council jets are effectively acting as al Qaeda's air force by bombing the same group that had managed to uproot al Qaeda from several Yemeni regions. Interestingly, while Saudi Arabia deployed about 100 aircraft against the Houthis on the second day of its offensive, it reportedly deployed a mere four fighter jets in the early U.S.-led campaign against ISIS last year.

Regardless, the results of the Saudi campaign are unlikely to be positive -- one only need look at the way a much smaller Houthi force than today was able to outfox the Saudi military back in 2009. Back then, Houthi forces consisted of only a few hundred fighters, but they shocked the Saudi army, reportedly capturing Saudi equipment and forcing the evacuation of almost 250 Saudi villages as it seized territory along the border. Today, that ragtag group of Houthi rebels has been replaced by a much larger group called Ansarullah, modeled after Lebanon's Hezbollah.

Back in 2009, the rebels were limited to parts of the Saada region and were self-funded, although Yemen claimed they had minor assistance from the late Libyan leader Moammar Gadhafi. Yet despite this, they were still able to withstand some 90 days of Saudi bombardment. Today, the Ansarullah group is receiving political, financial and military support from Iran.

Already, the Saudi government was forced to cancel flights to southern airports, and it has also reportedly suspended classes in schools in the border regions. The situation is only likely to deteriorate as the fighting continues.

What should be done now?

Saudi interests in Yemen should not replace those of the United States. With this in mind, the Obama administration should work to find an immediate political solution to the conflict, one that can be embraced by the various Yemeni factions.

A change in approach is essential not only because the Saudi-led war on Yemen is wrong and destined to fail, but because it might end up further opening the Yemeni door to Iran. But perhaps most importantly, by supporting a self-interested Saudi campaign, the U.S. may actually empower an al Qaeda with the potential still to do great harm to the United States.

@highlight

Saudi Arabia has launched airstrikes against rebels in Yemen

@highlight

Ali AlAhmed: Results of Saudi campaign unlikely to be positive