Bangkok, Thailand (CNN) -- A leader of the anti-government Red Shirts has died after being wounded by a sniper's bullet during protests last week, hospital officials confirmed Monday.

Maj. Gen. Khattiya Sawasdipol was a renegade general better known as Seh Daeng, which means Red Commander.

Tensions in Bangkok ramped up when Sawasdipol was shot and wounded by a sniper's bullet Thursday.

His death came after four days of clashes between anti-government protesters and security forces killed 35 people -- with 11 of those deaths occurring in sporadic fighting throughout Sunday and overnight.

The Erawan Emergency Center also announced Monday that the fatalities include a soldier, the first such death since fighting broke out.

The government declared a holiday Monday and Tuesday "in order to ensure the safety of the public" after the protests paralyzed the city center.

iReport: Are you there? Send your images, video

"It's a situation that doesn't appear to be getting any better," CNN reporter Dan Rivers said as dawn broke Monday.

At least nine international embassies in Bangkok -- including the U.S., British, Belgium, Canadian, German, Japanese, New Zealand, Swedish and Australian embassies -- said they will remain closed until Tuesday at the earliest as a result of the clashes.

Meanwhile, an "intense and fierce" gun battle broke out late Sunday in the city's Lumpini Park, where anti-government protesters have amassed by the thousands, according to Rivers, who was near the scene.

On the scene: Bangkok at boiling point

The battle came hours after the Thai government called on the protesters to stop the violence, but stopped short of agreeing to a demand that the United Nations mediate between the parties.

Rivers said the gunshots sounded like automatic gunfire and were punctuated by explosions. It was unclear, he said, whether the shooting came from the Thai military or the protesters.

The normally bustling city was "deadly quiet" except for the gunfire, Rivers said. "This is not the Bangkok that I have known over the last four years. This has suddenly become a very different and much more scary place."

Also Sunday, some women and children were moved into a Buddhist temple for safety, away from the clashes. A spokesman for the Royal Thai police said a group of doctors were traveling to the temple Monday to provide medical care.

The government extended its state of emergency to five more provinces, bringing the total to 22 provinces along with the Bangkok metropolitan area, spokesman Panitan Wattanayagorn said in a televised news conference.

The provinces mainly are in north and northeastern Thailand, where the anti-government Red Shirts' strongholds are located. The government has also banned financial transactions with 106 companies and individuals over the protests, Panitan said.

Throughout the day Sunday, black smoke billowed and gunshots rang out in the capital's streets, which have turned into battle zones during the bitter standoff. Nearly 240 people have been injured in the clashes since Thursday, emergency officials said.

Earlier, the government said it would declare a curfew in Bangkok and that no one would be allowed in the streets, but it reversed course several hours later, saying the tense situation was under control.

Minutes later, the anti-government United Front for Democracy Against Dictatorship (UDD), also known as the Red Shirts, said it was willing to negotiate an end to the unrest if troops move out of the area where protesters have amassed by the thousands for weeks.

"We ask the government to ... withdraw troops out of surrounding area," said Natthawut Saikua of the UDD. "We are ready to enter talks immediately by having the United Nations as mediator for this negotiation."

However, the government seemed disinclined to have the United Nations mediate.

Panitan said in the news conference the Thai government has a policy of not allowing organizations to intervene in its internal affairs. The government has its own sovereignty, Panitan said, and can resolve its own problems.

Panitan said the government demands that the protesters stop confronting police. "Stop firing and enter the judicial process," he said.

"The government has been under pressure to be more decisive in its action," a senior Thai government official said. "We have been showing patience and restraint." That, he said, has upset those who want the government to take action against the protesters.

What are the protests about?

The official said the Red Shirts are "armed to the teeth" with weapons including rocket launchers, handguns and gas bombs, and accused protesters of deliberately provoking clashes with soldiers in order to get "pictures of soldiers using violence to undermine the government."

"If the protesters didn't have any arms, there would be no way the soldiers need to be armed," the official said. "... They have been rallying people to burn the town down. They have shown intent in using and causing violence (and a) willingness to follow up with that intent. In that situation government ... has to act."

The hard-core protesters "don't want a peace offer," the official said. "They don't want a peaceful resolution to this."

While CNN reporters in Bangkok have not seen protesters using rocket launchers, it is believed they may have them.

"If the Thai army was shooting indiscriminately on the streets, there would be hundreds dead," the senior government official said. "That is not the case." The official did acknowledge that there is some army shooting, however, because of high tensions.

Col. Sunsern Kaewkamnerd of the Center for Resolution of Emergency Situation said soldiers have been authorized to open fire when armed people approach within a certain distance.

If officials impose a curfew, men will need to register before leaving the affected area, authorities said.

Demonstrators who leave before then may be exempt from charges for participating in illegal demonstrations, Sunsern said.

Meanwhile, Prime Minister Abhisit Vejjajiva said the new school term would start May 24 -- a week after the scheduled reopening on Monday -- because of the violence.

During his weekly televised address Saturday, Abhisit warned that the longer the protest continues, the higher the risk for the public.

Abhisit said the government's actions were necessary to prevent Thailand from sinking into lawlessness. He said security forces and his administration are attempting to counter a small group of protesters among the opposition Red Shirts trying to foment civil war.

"The government proposed a reconciliation plan but it was rejected. This benefits no one. It only benefits a small group which wants to harm the country and lead it to civil war. It is unbelievable that they use peoples' lives for political advantage," he said.

Protesters armed with slingshots and firecrackers huddled behind barricades of tires, spikes and poles Sunday. They set tires alight to create smokescreens as bullets flew around them.

Eyewitnesses Saturday recounted stories of unarmed people being picked off. One man was shot and whisked away by emergency crews. People at the scene pointed to a building where they thought snipers were based.

The escalating violence prompted the U.S. Embassy to issue a travel warning Saturday advising Americans to defer travel to Bangkok, spokeswoman Cynthia Brown said.

The government said it was forced to take action after demonstrators disregarded an ultimatum by Abhisit to vacate a key intersection by Wednesday.

The United Front for Democracy has been demanding that Abhisit dissolve the lower house of Parliament and call new elections. The Red Shirts support former Prime Minister Thaksin Shinawatra, who was ousted in a 2006 bloodless military coup.

But the senior government official accused Thaksin of being behind the unrest.

"This movement is fully financed, organized and paid for by Thaksin," he said. "At the moment, they are holding Thailand (for) ransom."

The official noted there were two pro-Thaksin governments after his ouster before Abhisit took office and insisted the current government is legitimate.

CNN's Zain Verjee, Sara Sidner and Kocha Olarn contributed to this report.

@highlight

NEW: Maj. Gen. Khattiya Sawasdipol has died, hospital officials say

@highlight

More casualties brings number of dead to 35 since Thursday

@highlight

Government offices closed; number of embassies shut increases

@highlight

Thailand extends state of emergency to five more provinces, 22 in total