(CNN) -- If you can define Ariel Sharon's legacy in one line, citing just one of his dramatic actions, then you have missed most of the man.

The former Israeli prime minister led a life that looks much like the history of his country, filled with trauma, heartbreak, creativity, bloodshed and transformation. He aroused intense hatred from his enemies and profound admiration from his followers. He had strong opinions, took bold, risky actions. He made brilliant moves and disastrous mistakes.

Sharon stood at the center of the greatest disputes, the most feverish controversies in the country's history. And then he stunned the world with a radical change of heart.

The brazen right-wing hardliner remains a target of hatred for many in the Arab world. And yet, when he suffered a devastating stroke in 2006, he had undergone a breathtaking political conversion. Once a major proponent of the plan to build Jewish settlements in territories captured during the 1967 Six Day War, he had decided it was time for Israel to withdraw from much of the territory.

As he told the New York Times' William Safire in 2004, he didn't believe the Palestinian leaders would respect a peace agreement, but he didn't want Israel to rule over millions of Palestinians. So, he said, "I discussed this between me and myself and came up with a new initiative." Initially, nobody liked his idea very much. "In Israel, the right does not like me to do it, and the left cannot do it," he said, "but you don't wait forever."

Despite bitter protests from his former allies and stiff resistance from the settlers, he carried out the "Disengagement" in 2005, removing every single settler and every Israeli soldier from the Gaza Strip. And he cryptically spoke of more "painful compromises" to come. "We yearn for peace with our neighbors," he said to Israelis, "even at the price of painful concessions." There is every reason to believe he was preparing to withdraw Israeli settlements from much of the West Bank, as well.

Had Sharon stayed in office, the Israel-Palestinian conflict would look very different today.

Sharon embodied the Israeli dilemma of how to obtain peace while maintaining security. As he had predicted years earlier, the withdrawal from Gaza ultimately turned the territory into a launching pad for attacks against Israeli towns. And yet, few Israelis wish their country still occupied the Strip.

The larger-than-life prime minister helped his country survive in a deeply hostile region, where Israel's neighbors made it clear from the day the state was founded that they would find it the happiest of outcomes if the Jewish state would cease to exist. But he also drove Israel into terrible quagmires.

Barely 20 years old in 1948, he sustained multiple injuries fighting in a war against half a dozen Arab countries, which attacked the moment Israel declared its independence.

In 1973, when Egyptian and Syrian armies crossed into Israel on Yom Kippur, while much of the country was fasting for the calendar's holiest day, Israel appeared at risk of falling. Egyptian forces were headed for Tel Aviv. It was Sharon who devised and executed a plan to cross the Suez Canal, cut off and encircle part of the Egyptian army, a plan that helped Israel win the war and pave the road to peace.

He suffered head injuries in battle but kept on fighting. Pictures of Sharon with his head bandaged while winning the war became iconic, a metaphor for a country battered, creative, resilient.

He was the defense minister who carried out the withdrawal of all Israelis, including settlers, from the Sinai Peninsula in exchange for peace with Egypt.

The darkest, most destructive chapter in Sharon's life unfolded in Lebanon in 1982 when he was defense minister. It is by that chapter that most Arabs remember him. Back then, Israeli civilians were coming under constant attack from the Palestinian Liberation Organization, the PLO, which had become a state-within-a state inside Lebanon. Sharon launched an invasion to remove the PLO, allying Israeli forces with Lebanon's Christian militias, the Phalangists.

Israeli forces allowed Phalangist fighters to enter the Palestinian refugee camps of Sabra and Shatilla in Beirut to clear out Palestinian militias. Instead, the Phalangists committed horrific massacres of civilians.

Contrary to what many believe, Sharon had no knowledge that the massacres would occur. An Israeli commission of inquiry found that despite previous excesses by the Christian militias, Israel had concluded that Phalangist forces had reached a stage of maturity that would "ensure that such actions would not repeat themselves." Given the sectarian passions, it was reckless to allow the Christian militias into the camp.

The Israeli inquiry headed by the country's President of the Supreme Court, the Kahan Commission, found Sharon bore "personal responsibility" and recommended his removal from office. Israelis were seething at him and their government. He rejected the charges and refused to step down. Israeli peace activists launched protests to push for his removal. When a hand grenade was detonated in one demonstration, killing an Israeli protester, Sharon finally stepped down. Eventually, Sharon rose again.

He had never cared much what people thought about him and was never one to follow ideological fashion. That was probably a result of his childhood. When he was born in 1928, his parents had settled in a socialist farming community, but rejected their neighbors' views on communal living. Sharon and his family were outsiders in their own home. He learned to think for himself and follow his instincts rather than the crowd.

He had reached the height of his career in 2006 when it suddenly ended from a massive stroke that put him in a coma.

Before his illness, Sharon had found a new path. He broke with his rightist party, the Likud, in a rift that put him on the opposite side of other hardline stalwarts such as today's Prime Minister Benjamin Netanyahu. Sharon created the Kadima (forward) party ahead of elections he was poised to win in a landslide.

When he was incapacitated, Kadima won. His deputy Ehud Olmert became prime minister and carried on with peace talks, which ultimately foundered. Sharon had hand-picked Tzipi Livni to join him in Kadima. She is now a leading advocate of concessions for peace and member of Israel's negotiating team.

Despite his missteps, Israelis trusted Sharon as a strong defender of their security. That meant that when he was prepared to take risks for peace, they were ready to join him. That's why he won elections while vowing to undertake "painful compromises." That's why it was so demoralizing when he suddenly left the stage. Israelis, including Netanyahu, know that peace will not be possible without some risk-taking. The question is the extent of the danger they are prepared to accept.

His life showed the complex link between security, peace and politics. And he showed once again that it is often the fiercest warriors who take risks for peace. It was another Israeli right-wing leader, Menachem Begin, who made peace with Egypt. It was Yitzhak Rabin, a respected general, who shook hands with Yasser Arafat on the White House lawn.

It was Sharon, an architect of the settler movement, who said settlements had to be removed. He left a complicated legacy, defending his country from those who would destroy it, and taking on those who disagreed with his controversial views at home.

The opinions expressed in this commentary are solely those of Frida Ghitis

@highlight

Frida Ghitis: Ariel Sharon reflected the history of Israel -- its trauma and its creativity

@highlight

He took bold, risky action and made brilliant moves and disastrous mistakes, she says

@highlight

Ghitis notes Sharon's military wins, his reckless decision that ended in a massacre

@highlight

She says at end of his career, he broke with hard-liners and sought solutions to conflict