(CNN) -- The Food and Drug Administration has issued a final decision to reclassify sunlamp products and ultraviolet or UV lamps used in indoor tanning salons.

The federal agency has changed the labeling requirements from low-risk to moderate-risk devices. They are also requiring the products carry a black box, visible to consumers, that states the products should not be used on people under age 18. Although a black box is the FDA's strongest warning, this does not outlaw or restrict these devices for minors.

According to the FDA, the lamps emit UV radiation that may cause skin cancer. The American Academy of Dermatology says studies have shown people who have been exposed to UV rays from indoor tanning have a 59% increase of developing melanoma, the most dangerous form of skin cancer.

"The FDA has taken an important step today to address the risk to public health from sunlamp products," said Dr. Jeffrey Shuren, director of the FDA's Center for Devices and Radiological Health. "Repeated UV exposure from sunlamp products poses a risk of skin cancer for all users, but the highest risk for skin cancer is in young persons under the age of 18 and people with a family history of skin cancer."

Representatives for the Indoor Tanning Association, which represents indoor tanning manufacturers and distributors across the country, said they believe the FDA is responding to pressure from certain interest groups to put stronger regulations on indoor tanning beds.

"I just don't think the science is there," said John Overstreet, executive director of the association. "I think it's blown out of proportion. We are obviously disappointed in the FDA's latest moves."

The association's website promotes indoor tanning's "well-known side effect" of exposing skin to UV light as producing more vitamin D, which "plays an important role in maintaining good health." It suggests the "health benefits of indoor tanning deserve further research."

In 2009, the World Health Organization classified tanning beds as "carcinogenic to humans."

Skin cancer experts say it is about time these changes be put into effect.

"For years we have watched more and more people being diagnosed with melanoma, the deadliest form of skin cancer. Today the Food and Drug Administration made a decision that may turn that trend around, " said Tim Turnham, executive director for the Melanoma Research Foundation. "Like the tobacco industry, tanning salons market an addictive product disproportionately to teenagers and young women, playing on common insecurities."

"The FDA's decision to more strictly regulate tanning beds will save lives and serve as a valuable resource in efforts to slow down the increasing rate of melanoma, particularly in the young. By classifying tanning beds as Class II devices, tanning salons will now be required to demonstrate they are properly maintaining their equipment," he said.

Noting this is a good first step, other dermatologists said they hope the FDA will do more. Dr. George Verghese, director of Mid-Atlantic Skin Surgery Institute in Waldorf, Maryland, said he sees far too many patients at the practice with skin cancer. Many of them made tanning beds a regular habit.

"Those who use tanning beds on a regular basis, especially teens, have 10 times the risk of developing all three types of skin cancer, including melanoma, which is deadly," Verghese said.

"My youngest melanoma patient was 18. She was using tanning beds since she was 13. She has a huge scar on her back and is constantly being monitored. I think there should be restrictions on these devices for those under the age of 18, because teens don't understand the consequences, especially when they use the beds frequently," Verghese said. "I feel the black box will help, but there needs to be more restrictions put into place."

Even though there has been a push for the FDA to restrict people under 18 from using tanning beds, the FDA said that is not what the latest changes are about.

"That is an action (restricting teens from using tanning beds) we are willing to consider," said Nancy Stade, deputy director for policy at the Center for Devices and Radiological Health at the FDA, "But this is not what we are addressing today."

"Restricting teens' access to indoor tanning is critical to preventing skin cancer. As medical doctors who diagnose and treat skin cancer, dermatologists are committed to reducing its incidence and saving lives," said Dr. Brett M. Coldiron, a board-certified dermatologist and president of the American Academy of Dermatology Association. "Therefore, we will continue to communicate to the FDA the need for stricter regulations on the use and sale of indoor tanning devices for minors under the age of 18."

@highlight

FDA changes label requirements for sunlamps and UV lamps

@highlight

The FDA reclassifies them as "moderate-risk devices" instead of "low-risk"

@highlight

Dermatologists call for even stronger regulations