(CNN) -- Science has come a long way since HIV was identified by the Centers for Disease Control and Prevention. Here are some of the most memorable moments in AIDS history.

1981

On June 5, the CDC's Morbidity and Mortality Weekly Report publishes the first mention of what later is determined to be HIV. The report mentions five cases of pneumocystis carinii pneumonia in young men. The piece prompts reporting from New York, San Francisco and other cities of similar cases.

Six men in New York set up a hot line, receiving 100 calls the first night. The hot line becomes the world's first HIV/AIDS service organization, the Gay Men's Health Crisis.

1982

Health workers first begin to use the term "acquired immunodeficiency syndrome," or AIDS, to describe the sudden cases of sarcoma or pneumonia infection in previously healthy people.

1984

Scientists identify the virus that causes AIDS, first named after the T-cells affected by the strain. Its name is later changed to HIV, or human immunodeficiency virus.

1985

The Food and Drug Administration approves the first licensed test for HIV.

Actor Rock Hudson shocks the nation when he appears on TV with Doris Day as a "gaunt, ravaged" version of his former leading-man self. Soon after, the actor announces that he is dying of AIDS. As People magazine said at the time, his fans "could not accept the idea of a clean-cut, virile star being felled by such an insidious disease." Hudson dies on October 2.

Hudson's good friend Elizabeth Taylor helps launch the American Foundation for AIDS Research (amfAR).

1986

Three brothers, Ricky, Robert and Randy Ray, are barred from a public school in Florida because of HIV infection. The Ray brothers are believed to have contracted the virus from tainted blood treatments for their hemophilia. After they win the ensuing court battle, the family's home is burned down in 1987. The events lead to a nationwide push for education about AIDS transmission. President-elect Bill Clinton tells Ricky before his death in 1992 that he will fund the fight against AIDS.

1987

Activist Cleve Jones makes the first panel for the AIDS Memorial Quilt. By 2011, the quilt contains more than 40,000 panels.

The FDA approves AZT, the first antiretroviral drug for treating AIDS.

Activist Larry Kramer creates ACT UP, the AIDS Coalition to Unleash Power. ACT UP becomes the leader of many nonviolent protests through the 1990s.

1988

The Ad Council partners with amfAR and the National AIDS Network to launch a national AIDS education campaign. It's the first ad campaign in the U.S. to use the word "condom." One of the campaign's taglines: "Using it won't kill you. Not using it might."

1990

Congress passes the Ryan White Care Act shortly after the death of Ryan White, a heterosexual teen in Indiana who contracted HIV through hemophilia treatments. White was expelled from school in the mid-1980s because of prejudice, but his maturity and grace taught the country a lesson about those living with HIV.

Life magazine publishes a photo of AIDS victim David Kirby as he takes one of his last breaths. The photo by grad student Therese Frare haunts the nation and becomes a symbol of the epidemic in America.

1991

Singer Paul Jabara starts the Red Ribbon Foundation, which begins distributing ribbons as a symbol of tolerance for those living with HIV/AIDS.

In June, the Visual AIDS Artists Caucus distributes red ribbons at the Tony Awards. Co-host Jeremy Irons becomes one of the first celebrities to wear one, creating a media stir.

In November, three-time NBA MVP Magic Johnson announces that he has HIV and will retire from the Lakers.

1993

The movie "Philadelphia" is released starring Tom Hanks and Denzel Washington. In the drama, a man with AIDS is fired by a conservative law firm because of his condition, so he hires a homophobic lawyer to sue. The film makes more than $77 million at the domestic box office and is nominated for five Academy Awards, winning two.

1994

The rock opera "Rent" opens off-Broadway in New York. The show is an adaption of Puccini's "La Boheme" but replaces the original's tragic illness with HIV. It earns rave reviews, heads to Broadway and goes on to win a Pulitzer Prize for drama.

Elizabeth Glaser, wife of actor Paul Michael Glaser, loses her battle with AIDS, and her Pediatric AIDS Foundation is renamed. Glaser started the children's research foundation after she contracted HIV while giving birth. She unknowingly passed the virus on to her daughter through breast milk and her son Jake in utero.

1996

The Joint United Nations Programme on AIDS (UNAIDS) is established by the United Nations. It combines experts from six agencies to fight the AIDS epidemic.

At the 11th International AIDS Conference in Vancouver, combination antiretroviral treatment is presented for the first time. These drugs are shown to be effective against HIV.

1997

Media outlets report that for the first time since the epidemic began, the AIDS death rate has declined in the U.S. thanks to the success of drug therapies.

1998

The company AIDSvax starts the first human trial of an AIDS vaccine using 5,000 U.S. volunteers.

Doctors in San Francisco start a trial of post-exposure prevention, a method similar to Plan B in that it aims to prevent HIV after possible exposure before the virus takes hold.

1999

Researchers from the University of Alabama at Birmingham report a discovery of HIV-1 in a subspecies of chimpanzee. They believe this to be the source of the virus and theorize that human hunters contracted it when exposed to infected blood.

Initial findings from a joint Uganda-U.S. study identify a new drug regimen as an effective and affordable way to reduce mother-to-baby transmission of the virus.

2000

The Clinton administration declares, for the first time, that AIDS is a threat to national security and to global stability.

The Rev. Jesse Jackson publicly takes an HIV test after the CDC reports that African-American and Hispanic infection rates have overtaken those of white gay men.

2001

UNAIDS marks the 20th anniversary of the first report of HIV. Executive Director Peter Piot says, "At the time, I read the report with great interest, but I never imagined I was looking at the first sign of an epidemic, that in just 20 years would have infected 60 million people, killed 22 million and achieved the status of the most devastating epidemic in human history."

2002

The FDA approves the first rapid HIV test, which produces results in less than 20 minutes. The test uses a finger prick to draw blood.

2003

The FDA approves the first of a new type of anti-HIV drug called Fuzeon (also known as enfuvirtide or T-20). This drug is designed to prevent the entry of HIV into human cells.

The HBO TV miniseries "Angels in America" premieres, starring Al Pacino and Meryl Streep. Adapting a Pulitzer Prize-winning play of the same name, it follows two couples as they struggle to stay together during the AIDS epidemic in the 1980s. It wins multiple Emmy and SAG awards.

2004

George W. Bush launches PEPFAR, the U.S. President's Emergency Plan to combat AIDS worldwide. "This historic commitment is the largest by any nation to combat a single disease internationally," according to the PEPFAR website.

2005

For the first time, the FDA approves a generic AIDS drug made by a foreign country, allowing PEPFAR to provide cheaper medications overseas. The patent on AZT also reaches an end, allowing more generic versions of the drug.

2006

Singer Bono launches Product Red. Profits from the line of consumer goods are designated to fight the AIDS epidemic worldwide. "I feel a bit of a fraud, a bit of a loser because we are not winning in the war against AIDS," Bono says.

Bill Gates announces that he will step down as the head of Microsoft in order to donate his time to the Gates Foundation, the largest private source of funding in the fight against HIV/AIDS.

Atripla, the first effective one-a-day pill to treat HIV, is approved in the U.S.

2009

President Obama removes a travel ban preventing HIV-positive people from entering the U.S. This leads to the announcement that the International AIDS Conference will be held in the U.S. for the first time in more than 20 years.

Washington's health department reports that D.C. has a higher rate of HIV and AIDS prevalence than West Africa, at 3%.

2010

The trial of a microbicide gel, CAPRISA 004, shows that it reduces the risk of a woman becoming infected with HIV during sex by almost 40%.

A third phase of a PrEP trial reveals that drugs used to treat HIV may also be effective in preventing infection. Subjects taking a once-daily antiretroviral pill were 44% less likely to be HIV-positive after male-to-male sex.

2011

The National Institutes of Health publishes the results of a study that says taking antiretroviral drugs at the onset of HIV leads to a dramatic reduction in HIV transmission to an uninfected heterosexual partner.

"These results represent another significant step forward in HIV prevention and reinforce the importance of people everywhere knowing their HIV status and being linked to services for HIV prevention, care and treatment," CDC Director Thomas R. Frieden says.

2012

The 19th International AIDS Conference takes place in Washington, bringing together more than 25,000 doctors, scientists, AIDS activists, politicians, philanthropists, drug company representatives, people living with HIV and heads of state from around the world. One of the main themes is the launch of "Towards an HIV Cure."

UNAIDS announces that new HIV infections have dropped more than 50% in 25 low- and middle-income countries, and the number of people getting antiretroviral treatment has increased 63% in the past two years. More than 34 million people are still living with HIV, according to global estimates.

2013

Researchers announce they have "functionally cured" a Mississippi toddler of HIV. They believe that early intervention -- in this case within 30 hours of birth -- with three antiviral drugs was key to the outcome.

More on this story

@highlight

Researchers say they have "functionally cured" a toddler of HIV

@highlight

Toddler's case could be game-changing moment for HIV/AIDS treatment

@highlight

Case needs to be duplicated to develop effective therapies, experts say