There are two things you can be sure of when it comes to your taste buds in Morocco.

You'll drink enough sugary mint tea to send your dentist into a spin. And, after a couple of days, you'll be sick to your back teeth of tagine (if you have any left).

What's a hapless (and hungry) traveler to do?

As most locals will tell you, the best Moroccan food is found at home, not in restaurants.

Unless you can wrangle an invite to a local's home, your best bet is to dive into the maze-like medinas and head to the food souks.

Vendors gather in guild-like fashion, so you'll find honey sellers in one area and a row of butchers down another alleyway.

The best cities for street food include Fez (head toward the Achabine area), Marrakech (in Djemaa el-Fna and surrounding streets) and Essaouira (near the port end of Place Moulay Hassan).

"A lot of visitors miss out on street food because they go back to their hotel between 6 and 8 p.m. for dinner," says guide Gail Leonard, who runs food tours of Fez, the culinary capital of Morocco.

"This is when Moroccans promenade and snack, before dinner at home at around 10 p.m.

"It's also the time when you get to connect with Moroccans, because that's when they're out eating."

Street food is also popular for breakfast and lunch and draws on Morocco's mix of Berber, Arab and European cultures.

Best of all, it's fresh, filling and yours for a few dirhams.

Bread

Crusty bread (khobz) baked in communal wood-fired ovens is a Moroccan staple.

The souks also serve an array of pan-fried, waistline-busting loaves.

Particularly good is beghrir (spongy bread, a bit like crumpets), harsha (buttery bread made of fine semolina) and rghaif (flaky, layered flat bread).

Topped with honey or goat cheese, they make a good snack while you're out exploring. Expect to pay from MAD 2-10 ($0.24-1.18), depending on the topping.

Bessara

A bowl of hearty fava bean soup, mopped up with the ubiquitous khobz, is a popular workers' breakfast and costs just MAD 5 ($0.59).

Hole-in-the-wall eateries also dish it up for lunch with a glug of lemon-infused olive oil and a sprinkle of cumin and chili.

The soup is made with loads of garlic (about a kilogram per large vat) and the stallholder will simply shut up shop once he's sold out.

Crumbed liver

Moroccan's are big on nose-to-tail eating.

You can chow down on cow udders, tongues, tripe, even feet.

Too adventurous? There's the Moroccan version of a wienerschnitzel: smooth and buttery calves' livers, crumbed and fried.

Food in souks is sold by weight and a decent portion costs around MAD 10 ($1.18). The vendor will chop it up and serve it in a sandwich or with a handful of fries.

Steamed sheep head

This delicacy is usually eaten for breakfast after a home slaughter during the Islamic festival of Eid al-Adha (Feast of the Sacrifice).

In the souk, sheep heads are steamed for about five hours and ready by lunchtime.

"They're sold as a half (MAD 15/$1.77) or whole head (MAD 30/$3.55), with or without eyes, although the brains are sold separately at another stall," says Gail.

To eat a head, wait for the vendor to scrape off the fur. Then sprinkle it with cumin, salt and chili, and scrape out the tender cheek meat and tongue.

Spicy sardines

Morocco is the world's largest exporter of sardines, making the little fish a street food staple.

Sardines are stuffed with a spicy chermoula paste made of tomato, coriander, chili, garlic, paprika, cumin, olive oil and lemon juice.

They're coated in a light batter, fried until crisp and often served with a fried green chili. Again, they're sold by weight, but MAD 15 ($1.77) will buy you a tasty sandwich.

Aubergine fritters

Vegetarians can happily scoff their way through the souks, too, with plenty of fresh, organic produce for sale.

Sliced aubergine dipped in sweet smoked paprika batter then deep-fried go for MAD 1 apiece ($0.12).

The silky, smoky slices are served with spicy lubia (white haricot beans stewed in tomatoes, cumin, paprika, garlic and ginger) or fresh salad.

Brochettes

Follow the billowing clouds of smoke and you'll find mini-chicken kebabs cooking over charcoal.

The meat is rubbed with salt and spices, such as paprika and cumin. Spiced ground lamb or beef (kefta) is formed around a skewer and grilled.

Brochettes are served with khobz, harissa (red pepper sauce), red onion, cumin and salt and cost around MAD 20-30 ($2.36-3.55).

Snail soup

Stalls selling steaming vats of snail soup are popular across the country. A bowl costs between MAD 5-10 ($0.59-1.18).

First you pluck the snails from their shells with a toothpick before slurping the soup.

"The snails have an earthy flavor, a bit like shitake mushrooms," says Gail.

Flavored with a concoction of around 15 different spices, Moroccans believe the broth is good for digestion and fever, so some drink it without snails.

Stuffed camel spleen

For an alternative take on sausage, how about tehal (stuffed camel spleen)?

Stuffed with ground beef, lamb or camel meat, olives, spices and a little bit of hump fat, the spleen is sent off to be baked in a communal bread oven.

It's sliced, griddled and served up in a sandwich (MAD 15/$1.77). The texture is soft and creamy, like liver, and tastes gamey.

Or you can pop into Café Clock in Fez for one of their famous camel burgers served with fries and salad (MAD 95/$11.23); 7 Derb el Magana, Talaa Kbira; +212 535 637 855; www.cafeclock.com.

Desserts

Super sweet pastries and biscuits are big in Morocco, especially during Ramadan, when Muslims fast from sunrise to sunset.

Each evening, they celebrate breaking their fast with succulent dates, pastries and savory harira (lentil and tomato soup).

Some of the most irresistible (and calorific) goodies include briwat (deep fried filo pastry triangles stuffed with almonds) and shebakia (flower-shaped, fried sesame cookies).

Both are dipped in honey and go for around MAD 1-3 each ($0.12-0.35).

Plan-It Fez offers a half-day souk tasting trail in the ancient Fez medina for MAD 960 ($113) per person; +212 535 638 708; www.plan-it-fez.com.

@highlight

Best Moroccan food is found at home or in the streets, not in restaurants

@highlight

Cities for street food include Fez, Marrakech and Essaouira

@highlight

Street food is popular for breakfast and lunch, draws on Morocco's mix of Berber, Arab and European cultures