Richmond, Virginia (CNN) -- In the Virginia House of Delegates, Republican Robert Marshall is a longtime abortion opponent who has tried repeatedly to pass legislation in his state that would give rights to the unborn.

This year, on his third try, Marshall just might get his wish, and that has advocates for women's reproductive rights concerned.

The House of Delegates passed a so-called "personhood" bill Tuesday sponsored by Marshall that would give unborn children at all stages of development -- including embryos -- the same rights available to "other persons" in the state "subject only to the laws and constitutions of Virginia and the United States, precedents of the United States Supreme Court, and provisions to the contrary in the statutes of the Commonwealth."

"We need to get back to the respect for life that we used to have in this country that's been lost," Marshall told CNN.

Virginia is the latest front in a long-running battle over women's reproductive rights -- a fight that has taken center stage in recent weeks after a controversial decision by the Obama administration to require religious groups to provide their employees access to birth control in their insurance plans at no cost.

The administration later offered a compromise, after drawing fire from Catholic leaders and other religious organizations. However, the issue has stayed in the headlines.

Marshall's bill must still be passed by the Virginia state Senate. If that happens, Republican Gov. Robert McDonnell's office has said he will review the measure if it reaches his desk, but he has not committed to signing it.

Opponents of the legislation believe it could restrict access not only to abortions but to some forms of contraception, like those that prevent implantation of fertilized eggs. Democratic Delegate Eileen Filler-Corn, who supports abortion rights, said the legislation represented an "overreach by the state."

"These decisions should be left to a woman and her physician, a medical professional," Filler-Corn said. "This is a slippery slope and eventually, the goal of the personhood movement is to ensure that birth control is illegal."

Marshall says his law does not directly challenge the Supreme Court's landmark 1973 Roe vs. Wade decision affirming a woman's right to an abortion, although he acknowledged it is a step in that direction. He has dismissed what he calls the "sky is falling" claims of his critics, saying all his bill does is grant legal recognition to the unborn prior to birth.

"By itself, it does not outlaw abortion. It doesn't address birth control," he said. "This is a side show designed to distract people's attention from what we're doing here."

A bill similar to Marshall's is pending in Oklahoma's state legislature. Voters in Colorado and Mississippi have rejected "personhood" ballot initiatives in recent years.

Women's rights advocates say these legislative and ballot efforts around the country to establish fetal personhood are part of a move to place greater restrictions on women's access to abortion.

"Over the past several years, we've seen more and more attempts to restrict abortion directly," said Elizabeth Nash, state issues manager at the Guttmacher Institute, an organization that describes itself as advancing sexual and reproductive health and rights through research and policy analysis. "These efforts around redefining 'person' are a little more of a back door approach, because they don't use the term abortion. They're not an outright abortion ban. Instead they're using a less obvious approach in a way that does not exactly indicate exactly how far they go."

According to the Guttmacher Institute, new laws in 24 states in 2011 restricted access to abortion services, while according to the advocacy group NARAL Pro-Choice America, the number of "anti-choice" measures being implemented in states has risen steadily over the past decade, from 303 in 2001 to 713 in 2011.

NARAL cites measures that place limits on when and where a women can have an abortion, limit state aid or insurance coverage for the procedure, and mandate counseling.

Whether the Virginia bill ultimately succeeds, politicians like Marshall are committed to keeping the issue front and center.

"I've been here for 20 years," he said. "That means I don't quit."

His dedication is matched by those on the other side -- proof positive that 39 years after the Roe decision, the debate over women's reproductive rights is not going away any time soon.

@highlight

A measure giving rights to the unborn passes the House of Delegates

@highlight

It still must pass the Senate, and the governor has yet to commit to signing it

@highlight

Similar measures are under consideration in other states

@highlight

Opponents say "personhood" legislation is a step toward outlawing abortion