(CNN)One year ago this month, Boko Haram's leader Abubakar Shekau released a video announcing a new, reprehensible front in its bloody attempt at forced Islamism: his fighters will begin abducting girls and selling them.

The kidnappings, he said, were retaliation for Nigerian security forces nabbing the wives and children of group members.

And for 12 months, the radical militant group has done just that -- with Nigerians treating the sporadic kidnappings with disgust but resignation.

But that's changed now.

"When this first happened ... what I was hearing from my friends and from other people was like, 'Why do I care?  Nigeria is done. Nigeria is going to disintegrate,'" said Emeka Daniel, whose father was kidnapped in Nigeria in an unrelated incident.

"I refused to believe that," he said. "We can't let this be the new normal."

Here are six reasons why the Boko Haram abductions, the repugnant message its leader released this week, and Nigeria's inadequate response should matter to the rest of the world.

Terrorism isn't isolated

Just imagine if 276 girls had been kidnapped in the United States. The response would be mass outrage and a forceful demand for a response.

As borders become more irrelevant for terrorists, the whole world needs to take notice of the likes of Boko Haram.

"We need to take ownership as if this happened in Chicago or this happened in Washington, D.C.," said Nicole Lee, outgoing president of the TransAfrica Forum.  "We need to be talking about this. ... We need to make sure our own government is helping in any way that we can."

What the Boko Haram has set out to do in Africa's most populous nation is as heinous as the havoc the Taliban is wreaking.

"They actually originated as a group called the Nigerian Taliban, which kind of explains where they're coming from," said CNN's national security analyst Peter Bergen. "They are aiming to impose Taliban-style rule on much of Nigeria, particularly in the north where they are based."

The group's name itself means "Western education is sinful" in the local Hausa language. Its aim is to impose a stricter enforcement of Sharia law. The group especially opposes the education of women.

Under its version of Sharia law, women should be at home raising children and looking after their husbands, not at school learning to read and write.

Then consider its ties to al Qaeda.

How closely related Boko Haram is to al Qaeda is hard to define, but the United States says it has links.

"Al Qaeda in the Islamic Maghreb, which is the North African al Qaeda affiliate, has given money to Boko Haram in the past," Bergen said. "There is reporting suggesting that Osama bin Laden was in communication with the leadership of this group."

Daniel put it succinctly.

"People are thinking, this doesn't affect my country, but I'm telling them terrorists ... didn't just wake up one morning and decide to become terrorists," he said.

"These guys, it takes years for them to decide to go out there and commit these atrocities.  So as the world, we have to come together and try to find a solution to this problem."

The United States is so concerned about anti-Western terrorism in Nigeria that the State Department released a warning last week to Americans traveling within and to Nigeria that "groups associated with terrorism" may be planning an attack in Lagos, the country's commercial center, Bergen said.

The inhumane treatment of children concerns us all

The terrorists raided the girls' school in the middle of the night, posing as soldiers. After a gunfight with security guards, they stormed the students' dormitory and herded the girls into vehicles.

As they made their escape, the militants burned down nearby buildings in the northern town of Chibok. The girls disappeared into the night.

Even worse are fears of what will happen to the girls next.

The new video from the purported leader of Boko Haram detailed this chilling plan:

"I abducted your girls. I will sell them in the market, by Allah," said a man claiming to be Boko Haram leader Abubakar Shekau in the video first obtained by Agence France-Presse.

If the claim proves true, the 276 teen girls could become child brides or sex slaves.

Rights groups have said Boko Haram has kidnapped girls as young as 12.

And the abductions are only getting worse.

In the first two months of this year alone, Boko Haram kidnapped at least 25 girls and women, according to Human Rights Watch.

In November, the militant group abducted dozens of Christian girls and women, most of whom were later rescued by the military deep in a forest in Maiduguri. At the time of their rescue, some were pregnant or had children, and others had been forcibly converted to Islam and married off to their kidnappers.

The parents' hands are tied

Any parent can only imagine the horror of a child getting kidnapped. Now multiply that by 276 and add the fear of a volatile terrorist group.

Families of some of the kidnapped girls are petrified of speaking to the media for fear of retribution against their daughters.

"Many of the parents feel if there is even (any) kind of movement from their end, they could see the children killed," CNN's Nigeria-based correspondent Vladimir Duthiers said.

"The parents told us, over the course of the last three weeks, they themselves have risked their own lives trying to go in armed with machetes, sticks and rocks to do the job they say the Nigerian military is unwilling to do."

It's the price they pay for daring to send their girls to school despite threats from Boko Haram. The kidnapped girls were from Borno state, where 72% of primary-age children have never attended school, according to the U.S. Embassy in Nigeria.

Daniel said he knows what the parents are going through. His father was abducted in Nigeria four years ago while returning home from work.

"You can't sleep. You can't eat." To this day, Daniel said, he can still hear the cries of his family members.

"So I really feel for these mothers that lost their daughters. It's -- I can't -- you can't really begin to understand what they are going through until you're in that situation."

Daniel's father was shot and almost died. He was released only after the family paid a ransom.

What happens in Nigeria has deeper repercussions

Nigeria boasts Africa's largest economy. But internal problems can have a ripple effect far and wide.

Nigerian militant activity has already spilled over to neighbors such as Cameroon, whose government has warned that clerics have been recruiting members in mosques in the country, said Orji Uzor Kalu, a former governor of Nigeria's Abia State.

"In this era of accelerating globalization, it appears Boko Haram hopes to align itself with extremist forces in Niger, Mali and potentially in the Middle East, which raises the specter of coordination on the stockpiling of munitions, intelligence gathering and future assaults," Kalu said.

The Nigerian response has been feeble

Two days after the kidnappings, the Nigerian military said all but eight of the girls were free. That turned out to be untrue, prompting the father of one of the abducted girls to say the government had gone from using "blatant propaganda" to telling "blatant lie."

For three weeks, President Goodluck Jonathan said nothing. He has yet to visit the region.

And when he did begin speaking about the abductions, he criticized the parents for not cooperating with the police, for not sharing information.

"It's been awful, frankly," said Richard Downie of the Nigerian government's response.

Downie is the deputy director and fellow for the African program at the Washington-based Center for Strategic and International Studies.

"These girls were taken in the middle of last month and really it was not until last night that we had the first lengthy comments from the president, which lends credence to this allegation that the government is not sufficiently invested in this crisis," Downie said Monday.

Add to that the comments Jonathan's wife reportedly made.

"Patience Jonathan, who is the first lady, called some of the mothers to her, to meet with her, and she basically told them that they really need to be quiet and they were really bringing shame and embarrassment to Nigeria," said Lee, from the TransAfrica Forum. "That's certainly a problem."

This can't be business as usual

With a World Economic Forum set to begin Wednesday in the capital city of Abuja, the Nigerian government is under mounting pressure to find and save the girls.

The U.S. government is offering to help, but said Nigeria must take the lead in finding the students.

Officials told CNN the Obama administration is sharing intelligence with Nigerian authorities and could provide other assistance, but there is no plan to send U.S. troops.

A group of U.S. senators from both parties has introduced a resolution calling for the United States to help the Nigerian government improve school security and go after Boko Haram.

The resolution stops short of calling for sending American troops. Instead, it urges "timely civilian assistance" from the United States and allied African nations to help rescue the abducted students.

Rights groups are therefore heartened at the groundswell of support, with the globally trending hashtag #BringBackOurGirls.

Crowds from Los Angeles to London rallied over the weekend.

"I think one of the most beautiful things that has happened is people are taking the hashtag, putting them in front of them and saying, 'Bring back our girls,'" Lee said. "I think people are doing that. It's catching fire."

CNN's Erin Burnett, Janelle Griffin, Martin Savidge, Barbara Starr,  Faith Karimi, Tom Cohen, Bill Weir and Aminu Abubakar contributed to this report.

@highlight

The girls were kidnapped from school more than 3 weeks ago

@highlight

The militant group Boko Haram claims responsibility for the mass abduction

@highlight

"Allah says I should sell" the girls, the Boko Haram leader says

@highlight

Advocate: We need to treat this like it happened in the United States