Peace talks between Israelis and Palestinians are about to run out of oxygen. The final weeks of a nine-month negotiating window closes at the end of April and the two sides still stand far apart. The talks could end in a matter of days with disturbing consequences.

What to do?

Secretary of State John Kerry has an idea: How about releasing Jonathan Pollard, the convicted American spy who has already spent almost three decades in prison for passing information to Israel?

According to a number of reports, a deal to free Pollard and extend talks through 2015 is in the works.

Pollard has nothing to do with the two-state solution, with the future status of Jerusalem, with whether or not Palestinians will ever recognize Israel as a Jewish state, with West Bank settlements, or with any of the issues in dispute.

But releasing him could give Israeli Prime Minister Benjamin Netanyahu some political cover to make unpopular decisions.

Over the years, a growing number of Israelis -- along with many prominent U.S. officials -- have come to see the severity of the sentence imposed on the former civilian intelligence analyst as a gross injustice.

A major turning point in perception of the case came when a former U.S. assistant secretary of Defense made an explosive accusation about why Pollard is serving a life sentence. Lawrence Korb, who worked in the Department of Defense when Pollard's crime came to light, wrote a letter to President Barack Obama urging Pollard's release. "I can say with confidence," he told the President, "that the severity of Pollard's sentence is a result of an almost visceral dislike of Israel ... on the part of my boss at the time, Secretary of Defense Caspar Weinberger."

As the 59-year-old Pollard languishes in prison and his health reportedly deteriorates, his plight has gained enormous emotional power, turning him into a valuable negotiating chip.

Not everyone in Israel agrees that he should be released. And many American Jews are also deeply uncomfortable with the prominent place that Pollard has assumed in relations between the U.S. and Israel. After all, Pollard did commit a crime.

Still, his spying, as a recently declassified CIA damage assessment showed, aimed to collect information not about the U.S., but about weapons systems in the hands of Arab states, Pakistan and the U.S.S.R.

If Pollard were released after 29 years in prison for a crime that did not harm America -- in fact, it harmed Israel and its relations with Washington -- no one would argue he was not punished for his crime.

Releasing pollard would constitute a low-cost effort to keep the peace talks alive and give Netanyahu enough room to make politically unpopular decisions at home.

Kerry, whose plate is overflowing with other crises, has invested an astonishing amount of time to bring Israelis and Palestinians together, with no sign of a loss of enthusiasm or erosion of earnestness. His original goal, a peace deal before the end of this month, will not occur. Still, he would like to extend the talks.

The Palestinians say they will walk out of the talks and refuse to extend them unless Israel frees 26 more jailed Palestinians, a fourth round of releases, which have included men convicted of murdering Israelis. Israeli Prime Minister Benjamin Netanyahu, who had agreed to the releases as part of the current talks, says he will not free any more unless the Palestinians promise not to walk away from peace negotiations.

The talks are in the middle of a thick logjam. And, if that were not depressing enough, the logjam is just about whether or not to continue talking. The sad reality is that there is no sign that any tangible progress has been made on the core issues.

During the recent meeting of the Arab League, Arab leaders disagreed about practically everything, but they came together in their rejection of accepting Israel as a Jewish state.

Palestinians doubt that Israelis ever intend to relinquish any territory in the West Bank for a Palestinian state, and Israelis doubt that Palestinians are genuinely willing to accept Israel's existence as the state of the Jewish people. Each side is deeply skeptical of the other's true intentions, even as majorities of both Palestinians and Israelis say they support a negotiated agreement leading to a peace agreement and a two-state solution.

If there is any good news, it is that throughout all the failures of peace-making, the popular desire for a negotiated solution has survived. Despite the high obstacles, the peacemakers know that without negotiations, lasting peace cannot come. And that's where Pollard comes in.

The scraggly man who has spent decades in a prison could become the instrument of yet another round of negotiations, allowing Israel to free more Palestinians. That might just be the worst punishment for him. Pollard is reported to be adamantly opposed to what he calls a "shameful deal."

Every release of prisoners is a triumph for Abbas and a wound for Netanyahu. Israelis cringe when they see the celebrations greeting Palestinian men who have spilled Israeli blood. They seethe at articles in the foreign media that speak of how Israelis "demonize" Palestinians convicted of murdering Israelis, and they feel betrayed knowing those same men have received salaries from the Palestinian Authority while serving their sentences in Israeli prisons.

The pressure from the Israeli hardliners is building on Netanyahu. Deputy Defense Minister Danny Dannon said Palestinians are tricking Israel, with no intention of ever making peace with Israel, just so they can free more prisoners. Dannon says he will resign if a fourth round of releases goes through. Palestinians accuse Netanyahu of reneging on a deal.

Amid charges and recriminations from both sides, Kerry just made another rushed trip to the region, seeking to salvage what has increasingly come to be seen as his peace process.

The idea of freeing Pollard has come up several times before, at times of crisis in the process. Each time the plan has fallen apart. Pollard remains in prison and peace between Israelis and Palestinians remains barely a dream. But, as stubborn optimists know, things stay the same until they change.

@highlight

U.S. may release the spy Jonathan Pollard as a chip in Middle East negotiations

@highlight

Frida Ghitis: The move could give Benjamin Netanyahu political leverage in Israel

@highlight

She says if a deal is reached, Israeli-Palestinian talks can continue through 2015

@highlight

Ghitis: Pollard has nothing to do with peace process, but his release makes sense