The U.S. Supreme Court is being asked to stop the National Security Agency's surveillance of domestic telephone communications data.

In an emergency appeal filed Monday, a privacy rights group claimed a secret federal court improperly authorized the government to collect the electronic records, and said only the justices could resolve the statutory issues at stake.

The Electronic Privacy Information Center filed its petition directly with the high court, bypassing the usual step of going to the lower federal courts first.

Such a move makes it much harder for the justices to intervene now, but the privacy group argues "exceptional ramifications" demand judicial review now.

Published reports linked to Edward Snowden, who has admitted leaking classified national security information, indicated the NSA received secret court approval to collect vast amounts of so-called metadata from telecom giant Verizon and leading Internet companies, including Microsoft, Apple, Google, Yahoo and Facebook.

The revelations have triggered new debate about national security and privacy interests, and about the secretive legal process that sets in motion government surveillance.

The once-secret approval came in April from a judge at the Foreign Intelligence Surveillance Court, which handles individual requests for electronic surveillance for "foreign intelligence purposes."

Verizon Business Network Services turned over the metadata to the government.

"Telephone records, even without the content of the calls, can reveal an immense amount of sensitive, private information. There are no reasonable grounds for the NSA to have access to every call record of every Verizon customer," said Marc Rotenberg, president of the privacy information group.

He added that the surveillance court has applied the law "in a way that is contrary to the text and purpose of the statute."

Opinion: The NSA spies and Democrats look away

The group also argues restrictions in federal law mean only the Supreme Court can review surveillance court orders.

The privacy center is suing as a Verizon customer. Its case is the first direct challenge to the surveillance court order and it says the Obama administration should have to publicly explain its legal justification for the spying program.

The Supreme Court does not comment on pending cases.

The Justice Department has the option of formally replying to the petition as well as asking for more time to do so. That could delay high court consideration of the appeal for another few months.

Prior lawsuits against the NSA program have been unsuccessful.

The American Civil Liberties Union has challenged the telephone surveillance in New York federal court. And Freedom Watch also filed a separate claim on behalf of Verizon customers.

Telecommunications companies were the initial targets of legal action after the NSA domestic surveillance program was unveiled in 2005. Congress later gave retroactive immunity to those firms.

The surveillance court secretly decides whether to grant certain types of government requests, including wiretapping, data analysis, and other monitoring of possible terrorists and spies operating in the United States.

Legal sources say the tiny courtroom and adjacent areas are sealed tightly to prevent any eavesdropping by outsiders.

Eleven federal judges from around the country serve on the court for seven-year terms. They are appointed by the Chief Justice of the United States.

John Roberts has named all current members, as a well as a three-judge panel to hear appeals of related orders.

Because it hears only the government's side of an issue it has been criticized as a "kangaroo court" that too easily accedes to any government request.

@highlight

Privacy rights group seeks Supreme Court review, bypassing lower courts

@highlight

Electronic Privacy Information Center says only justices can resolve issues at stake

@highlight

Petition stems from disclosures linked to leaked classified documents by Edward Snowden

@highlight

Case is first direct challenge to secret court order on telephone surveillance