As Americans read about the flood of private money that is going into the current presidential campaign, most can't help but shake their heads in disgust about how our democracy functions.

With all the talk about changing Washington, voters are shrewd enough to understand that if contributors give this much money to the candidates in both parties, there is little chance that Washington will be much different in 2013.

In Depth: Where money and politics collide

Americans tend to be cynical that campaign finance reform will ever work.   The conventional assumption is that politicians will never be willing to fix the system and they will circumvent any laws that come their way. Trust in government continues to plummet.

Yet we must remember that there have been moments when positive change happened. The most important episode in the history of campaign finance reform took place in the aftermath of the Watergate scandal that brought down President Richard Nixon.

Although Watergate was about a break-in to Democratic campaign headquarters and the coverup that followed, the congressional investigations revealed the ways in which interest groups donated campaign funds with the hope of shaping policy and how politicians, including Nixon's advisers, circumvented existing laws.

The scandal prompted Congress to finally tackle these bigger issues about campaigns. As then Sen. Joseph Biden explained, "Watergate isn't the question. Watergate is merely a vehicle through which we can get through what we originally could not get through because the fellows on the other team are in a very compromising position as a consequence of it." Congress passed legislation that established contribution and spending limits, public financing for presidential elections and an independent elections commission.

During the next two decades, the system for funding presidential elections proved to be remarkably effective.  The system provided partial funds during the primaries and full funding during the general election.

To receive the taxpayer funds, candidates had to agree to abide by restrictions on how much they could spend and how much they could receive from private sources. Candidates in both parties agreed to the system. Though it was far from perfect, the reforms had a big impact in reducing the power of private money.

Former Democratic power broker Robert Strauss and former secretary of Defense and Republican congressman Melvin Laird concluded in 1986: "Public financing of presidential elections has clearly proved its worth in opening up the process, reducing the influence of individuals and groups, and virtually ending corruption in presidential election finance."

This was not the only reform that made a difference. Disclosure laws enacted in the 1970s have produced a much more transparent process that allows voters and reporters to easily find out about where money is coming from and how much is being spent. The nation has come a far distance from the 1950s when there was virtually no data on the sources of campaign finance.

Over time, the system for publicly financed presidential elections did break down. During the 1980s and 1990s, donors found loopholes to move money into the campaigns. As fewer Americans checked the box on their tax returns to donate their money to the system, the amount of funds available seemed meager compared to what candidates could raise on the fundraising circuit.

The lure of massive campaign funds proved to be too great. In 2000, Republican candidate George W. Bush did not take public money so that he could free himself from any restrictions. In 2004, Democrats John Kerry and Howard Dean did not take public funds for their primary runs either. Four years later, Hillary Clinton and Barack Obama did the same for the primaries, and Obama did so for the general election.

Although efforts to stop funding the public campaign budget have failed, President Obama and whoever runs for the Republicans will continue the path set out in 2008. Public funds are now irrelevant. The constraints that came with those funds are gone, and overall limits on private campaign fundraising have been weakened by court decisions.

It is time for the parties to look again at the system that Congress put in place in 1974. While the system was far from perfect and eventually fell apart, it is notable that there was a substantial period of time when  reforms reined in the power of money in politics. It turned out that, for a time,  politicians -- with the promise of public funds to cover the cost of their campaigns -- were willing to abandon the toxic fundraising circuit that otherwise consumed most of their time.

It is time for reform once again. The nation must remember the lessons from Watergate -- not just  what went wrong, but also  how Congress was able to improve the way in which we govern in response to a scandal that rocked the nation.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

@highlight

Julian Zelizer: The flood of special interest money into politics disgusts many

@highlight

He says U.S. shouldn't give up on reform; it worked after Watergate

@highlight

Zelizer says system of public financing of presidential campaigns is broken