(CNN) -- President Obama's remarks Thursday on the death of Michael Brown were an echo of his powerful 2013 speech on Trayvon Martin's shooting. Notably absent was any mention of race.

A year ago, the acquittal of Trayvon Martin's shooter sparked protests across the United States. Martin was 17 and armed with nothing more than a bag of Skittles candy. Protestors believed that Florida's self-defense law helped enable civilian George Zimmerman to racially profile Martin and justify shooting him in self-defense. Studies had found that whites who kill blacks are more likely to be found justified in "stand your ground" states like Florida.

Now, a police officer's fatal shooting of Michael Brown, an African-American, in Ferguson, Missouri has reignited the discussion about racial injustice in America. Brown was 18 and planned to start college this week. Witnesses said he was shot multiple times when he refused to comply with an officer's order to "get the f--- onto the sidewalk" or "get the f--- out of the street."

5 things to know about Michael Brown's shooting

Although the identity of the officer has not been released, a witness who was walking with Brown at the time told CNN that the officer is white. In a primarily black city, only three of Ferguson's police officers are African-American. Facebook and Twitter are abuzz with #iftheygunnedmedown, where young men and women pair a rebellious image of themselves next to a telegenic, shirt-and-tie one to highlight societal stereotypes of minorities.

Officer in Ferguson shooting had no prior disciplinary record

In response to what has become another debate of national -- and racial -- proportion, President Obama advised on Tuesday: "We should comfort each other and talk with one another in a way that heals, not in a way that wounds." He alluded to the protests and looting in St. Louis. The looting was opportunistic, people taking advantage of a tragedy as a cover for criminal activity. And some of the unrest was a cry for help, desperate acts to get attention from a criminal justice system that has not adequately addressed problems of racial injustice in America.

Complete coverage on Ferguson shooting and protests

But there is a major difference between the way the President addressed race in his Trayvon Martin speech and his Michael Brown remarks Thursday. It is representative of the growing disconnect between an administration that has promised to alleviate racial injustice, and a community in which there is a strong sense of disappointment.

After President Obama's lyrical speech on race during his 2008 presidential campaign, minorities and civil rights groups expected the election of a black president to be more than just symbolic. This hope was solidified in the president's selection of the first black U.S. attorney general in 2009.

While his first term reflected a lull in civil rights legislation, President Obama's 2013 speech on Trayvon Martin promised more. He emphasized the importance of racial profiling legislation, even though Zimmerman was a civilian and such legislation affects law enforcement. He indicated a new focus on such laws and described the one he had successfully passed as a state senator in Illinois. The President also suggested he would work on improving conditions for young black men to succeed and called for the examination of state and local laws like the Florida "stand your ground" laws.

However since then, not much has happened. The special nature of state police powers has made federal action difficult. About two dozen states have passed self-defense laws similar to the Florida one that may have helped lead the jury to exonerate Zimmerman, but not one state has repealed them.

Even on a federal level, the U.S. Commission on Civil Rights, a Senate Judiciary hearing and Justice Department investigations have produced no solutions on such laws and the racial profiling that is inherent in their enforcement. The Justice Department considered filing a civil rights lawsuit against George Zimmerman, but did not. In addition, the administration has not made a strong effort to rally Congress around racial profiling legislation.

In the meantime, allegations of racially biased actions by police have flitted across headlines, such as the New York Police Department's "stop and frisk" policy and chokehold incidents that disproportionately affect blacks.

Social media and activism has brought underreported stories and photos to the forefront: for example, the case of Darren Rainey, a mentally ill Florida prisoner whose skin separated from his body when guards locked him into a 180-degree shower, originally garnered only local media attention. Now the petition to the U.S. Department of Justice to investigate his death has over 160,000 signatures across the nation.

President Obama was right in encouraging talking and reflection, in criticizing Ferguson police for harassing peaceful protestors and journalists, and in involving the Missouri governor in crisis resolution. But he is speaking to an audience that wants more. The president should take proactive measures to address the Michael Brown case in particular, and racial injustice in general.

Unlike the Justice Department's previous investigation, news of which came and went with the news of the Trayvon Martin protests, the FBI and Justice Department's investigation into Brown's death needs to be thorough, transparent and broadcast to the public.

Most importantly, the administration should make racial profiling legislation a top priority. Eliminating racial injustice in the criminal justice system is an almost Sisyphean task because of the many levels -- surveillance, arrest, conviction, sentencing and imprisonment. The roots of injustice are deep and tangled. The factors that lead to tragedies such as the death of Michael Brown are entwined with the human psyche, implicit bias and socioeconomic factors that are beyond the government's control.

Racial profiling legislation in particular is valued because it attacks the issue at its origin. By preventing law enforcement from disproportionately targeting ethnic minorities for investigation, interrogation and arrest, we affect the later stages of the justice system. Through training and monitoring, we change the culture of our police and court systems.

In 2003, as a state senator in Illinois, Obama did pass such a bill with unanimous support. The state legislation called for the collection of data on traffic stops and the race of the person who was stopped -- a measure that can be extended more broadly for a national bill. His bill also trained police departments on professionalization and avoiding racial biases.

The U.S. Congress has been less receptive to such measures. Despite the many cries for change, the efforts of Sen. Ben Cardin and Rep. John Conyers to pass the End Racial Profiling Act in Congress have been unsuccessful. But with the same fierce diplomacy that passed healthcare reform through a recalcitrant Congress, President Obama can rally Congress to honor Michael Brown, a promising teenage boy whose tragic death could have been prevented by racial profiling legislation.

President Obama is our best chance for the "more perfect union" he called for as a presidential hopeful in 2008.

A white man's response to Ferguson

Join us on Facebook.com/CNNOpinion.

@highlight

Nafees Syed: President Obama spoke inspiring words after Trayvon Martin case

@highlight

She says his administration has not achieved much progress on racial profiling

@highlight

Syed: Profiling is route by which many minorities become trapped in criminal justice system

@highlight

Legislation to curb profiling should be a key priority for Obama, she says