(CNN) -- The five writers knew a little about each other before they decided to pile into an SUV and embark upon a tour of five Southern states in seven days.

But there's probably no quicker way to get to know someone than by spending a week logging thousands of highway miles, sharing hotel rooms (and sometimes beds) while visiting new cities, like traveling salesmen.

The women of the Southern Summer Comfort Book Tour came together in the kind of self-funded promotional stunt that seems to be the norm for independent writers on small presses, which often lack the resources to support a book tour.

Fortunately, the five bonded over a diet of whiskey, gas-station food and a shared love of writing.

"We were all slightly dreadful at first," author Chloe Caldwell said before a reading on the tour's last stop in Atlanta's Beep Beep Gallery. "Now, we're like best friends. Spending all that time together can do that. Or it makes you hate each another, but luckily, that didn't happen to us."

Caldwell, 26, was hawking her new collection of essays, "Legs Get Led Astray."

"There are days when I prefer the boys I baby-sit to the adult boys in my life.

To be a babysitter is to be part actor, part therapist, part housekeeper, part friend, part playmate, part athlete, part mom, part dad, part chef, part chauffeur, part waiter, and part saint, which I am not."

-- From "Legs Get Led Astray" (Future Tense, 2012) by Chloe Caldwell.

With fewer titles accounting for a larger share of what Americans read, the tours serve as reminders that independent writers and small presses are alive and well, providing alternatives to the "blockbuster" titles that get most of the publicity in mainstream media. Initiatives such as The Lit Pub and Vouched Books, which helped publicize the Southern Summer Comfort Book Tour, promote small press literature through a variety of efforts. Efforts like setting up pop-up "guerrilla bookstores" at readings and art events remind people that great words are being written on small presses, said Laura Straub with Vouched Books.

The writers on this tour were already familiar with each other's work through the "vaguely incestuous" world of online writing, said writer Elizabeth Ellen, 43, who assembled the lineup and booked the venues. The route from Texas to Georgia was based on a book tour that Ellen's husband did a few years ago and resulted from equal parts convenience and curiosity. Two of the writers, Mary Miller and Brandi Wells, already lived in the region -- Austin and Tuscaloosa, respectively.

The rest were scattered north of the Mason-Dixon line and hadn't spent much time in the cities on the itinerary. A tour of the "dirty South" gave them a theme to work around, Miller said.

Each writer brought her own personality and literary sensibility to the "super trashy and weird" group aesthetic of cut-offs and matching T-shirts. That included a liberal attitude toward alcohol consumption before, during and after the readings.

"We're taking ourselves on tour, so to take ourselves too seriously would be kind of embarrassing," said Ellen, a co-editor of the Hobart literary journal and keeper of the Bulleit Bourbon bottle (which actually contained Maker's Mark) that was passed around before readings.

"I didn't cook and it was Thanksgiving so we went to Old Country Buffet. It was after eight and they were already out of turkey. We ate macaroni & cheese and fish sticks and pudding and talked about Columbine. Eli and I had watched Elephant the week before. We were watching a different Gus Van Sant movie every week. All we did was watch movies, smoke cigarettes and weed."

-- from "Middle School Sex" (Future Tense, 2012) by Elizabeth Ellen.

Writers, especially those on small presses, build hype for their books in a variety of creative ways, said Amy McDaniel, who runs Solar Anus, the poetry and fiction reading series that hosted the group's last stop in Atlanta.

Some organize their own tours while others set up readings when visiting cities on other business, she said. Then there are contests and giveaways and oddball ploys for audience engagement. Poet Heather Christle included a temporary phone number in her book and on Twitter and invited readers to call her. Chapbook press Safety Third Enterprises publicized its newest book, "Every Laundromat in the World" by Mel Bosworth, with a photo contest and poetry bomb challenge.

The Southern Summer Comfort Book Tour was partly funded with a Kickstarter campaign that raised $1,300 to help pay for some of the authors' airfare so they could meet and kick off the tour in Austin. Beyond that, they ponied up their own cash for the rental car, gas, lodging, food and admission to the home of American author William Faulkner in Oxford, Mississippi.

In between driving and sleeping, they read to audiences in a puppet theater in New Orleans, bars bookstores and bars in Austin, Houston, New Orleans, Oxford and Tuscaloosa before their last stop in Atlanta. While the tour's name might imply many late-night parties, most nights they were asleep before 12, exhausted from constant driving and performing.

The schedule was tight due to their full-time obligations, said Donora Hillard, who is pursuing a PhD in rhetoric and composition from Wayne State University in Michigan.

"Jeff Bridges tickles his aloe plants.
He shivers and farts because
That s--- is poison, man, and better
out than in. This he tells you
in the voice of God. You walk.
He says you are already dead
and you climb inside his ear.
There is his silver mane,
then an ocean, then a universe."

-- from "Theology of the Body" (Gold Wake Press, 2010) by Donora Hillard.

Hillard acknowledged that she probably fit in least with the tour's "trashy" theme, but relished the opprtunity to step outside academia for a bit to interface with readers.

"I love performing and having the opportunity to speak to an audience," Hillard said. "If we're not affecting the audience, we're not doing our job."

Besides, she couldn't pass up a chance to spend time with other writers whose work she respected, even if the food and lodging left much to be desired.

"We were joking that it could've been called the Combos and Rollos tour because of all the gas station food we ate," said 35-year-old Miller, a Michener Fellow at the University of Texas.

Expectations of publicity were also low, apparently. Miller said her publisher laughed when she said CNN had expressed interest in attending the Atlanta reading and joked that it must have been a slow news week. Yet, thanks to publicity from Solar Anus and Vouched Books, which promotes small press literature, attendees occupied all the folding chairs in the one-room gallery while the rest sat on the floor, beer cans in hand.

"What do you feel like doing tonight? he asks.

This is your least favorite question the man asks. When he asks you this question, you feel very tired. You realize you don't want to do anything except sit on his couch, drink beer, and watch TV on the big screen. You don't have a big screen in your apartment. There is also never any alcohol in your apartment because you drink it all up, immediately. You want to watch America's Got Talent, but you can't say this. You'll have to flip through the channels and casually stop on it and say, is that guy double-jointed? Let's just watch this for just a second, and then a group of nasty dancers will come on or a water skiing squirrel and it would be impossible to change the channel then."

-- From "They Could No Longer Contain Themselves: A Collection of Five Flash Chapbooks" (Rose Metal, 2011) by Mary Miller.

It wasn't exactly the most comfortable spot in the dead of summer, crammed among 40 or so strangers, front and back doors of the gallery open because the air-conditioning was useless. If the sweatbox atmosphere bothered anyone, it wasn't immediately apparent as they listened attentively, laughing and listening as each author read from her book. Wells, 28, got into the spirit by sharing a bottle of white wine wrapped in a paper bag with a friend from her hometown of Vidalia, Georgia. A highlight of the trip for her was throwing beignets at rats on the side of the Mississippi River in New Orleans.

"Perfect love is crawling inside another body and finding a miniature replica of myself, stealing the replica because I fear its destruction, and painting it with a semi-gloss lacquer to ensure its longevity. Somewhere there is a room of min-iatures formed to look like me, or almost like me. I worry there is a group of people searching for this room and they desire to burn it to ashes and to burn themselves to ashes and to insert those ashes into my body."

-- From "Poisonhorse" (Mud Luscious Press, 2012) by Brandi Wells.

A guest author joined the group for most of their readings, with the Atlanta event featuring Scott McClanahan, who had driven nearly seven hours to read for 10 minutes. He left shortly after the event, while guests milled about outside the gallery, smoking cigarettes, and Wells and Miller hula-hooped.

Would you be more likely to show up for a creatively themed book reading than a standard one? Share your thoughts in the comments section below.

@highlight

Indie writers launch self-funded fast-paced book tour of the South to promote work

@highlight

Tour shows there's still an audience for small press lit in era of blockbuster novels

@highlight

Women on Southern Summer Comfort Book Tour shared car, hotel rooms, beds

@highlight

"To take ourselves too seriously would be kind of embarrassing," writer says