Once a sleepy tropical paradise with little more than handful of ramshackle beach huts, the island of Boracay, in the Philippines' Malay Province, has emerged from the backpacker trail to become one of Asia's hottest holiday destinations.

In 2012, Travel + Leisure honoured it with the title "World's Best Island."

Although Boracay now hosts a wide range of resorts with even more under development, it's the combination of seemingly endless stretches of white sandy beach and clear azure water that keeps visitors coming back.

The island packs more than a dozen beaches into a surface area of just over 10 square kilometers (3.9 square miles).

Here's a selection of some of the best.

White Beach

The beach that put Boracay on the map is a five-kilometer expanse of white powdery sand, much of which is in fact finely ground coral.

White Beach is divided into three "stations" which date back to a quieter time when boats would glide through White Beach's shallow waters to deliver visitors to Boracay directly onto the sand before Cagban Jetty Port on the island's south east tip was built.

Today White Beach is Boracay's most developed stretch of shore, lined with resorts, hotels, bars, restaurants and even a shopping mall.

The most expensive resorts, such as Discovery Shores are at the far end of Station One on the northern end of the beach (which also boasts White Beach's finest sand, often painstakingly raked and manicured by resort staff).

More budget-friendly establishments are to be found along Station Three with accommodation along Station Two falling in the mid-range bracket.

Boracay is known for its spectacular sunsets.

Due to White Beach's west-facing orientation, it's an ideal place to watch the sun sink into the ocean.

After dark, White Beach has a lively party scene.

Each month's festivities peak with full moon and black moon parties.

Party destinations range from Epic, the beach's biggest club, on the edge of Stations One and Two, to nearby Aplaya Beach Bar, with its Mediterranean vibe.

Then there's the debauched Cocomangas, where partygoers can binge drink for national pride -- those foolish enough to drink 15 different shots of alcohol get their name and nationality on a small plaque on the bar's wall.

Many bars along the Station Two have live music, which is of the consistently high standard that has led to Filipino musicians finding work in hotel bars the world over.

Bulabog Beach

The Island of Boracay resembles an eight-kilometer-long chicken drumstick that someone has taken a bite out of.

With this in mind, Bulabog Beach lies on the eastern side of the long thin middle section of the island (the bone of the drumstick).

Opposite White Beach, Bulabog Beach greets the rising sun.

At the island's narrowest point, it's less than a 700-meter walk from its more glamorous and developed cousin and, at 2.5 kilometers, about half its length.

From November to April, Bulabog Beach bears the brunt of a blustery northern monsoonal wind known as the amihan.

While wind-blown fine sand and debris rule the beach out as a place to sunbathe during amihan, its choppy waters are ideal for watersports such as kite boarding and windsurfing.

The beach is lined with kite boarding schools, small bars catering to the kitesurfing and windsurfing crowd along with accommodation for kite boarding students and budget conscious travelers who want to avoid the crowds of White Beach.

Yapak Beach (Puka Shell Beach)

More commonly referred to on the island as Puka Beach, this 800-meter-long stretch of glistening white sand on Boracay's northern tip is arguably Boracay's most beautiful beach.

Its sand is coarser than White Beach's due the high content of small puka shells.

Upon arrival by road, visitors are greeted by of stalls selling locally made shell jewelry and shell souvenirs.

Yapak Beach has thus far escaped the rampant development seen on Boracay's main beach and its coconut-palm-lined shores give visitors a feeling of what the island was like when it was known only to a lucky few.

Banyugan Beach

Technically the private beach of Shangri-La's Boracay Resort and Spa, this attractive 100-meter-long sheltered stretch of fine white sand to the west of Yapak Beach is framed by two high rocky outcrops and features comfortable sunbeds with large umbrellas and attentive waiters.

Banyugan is accessible to non-guests, although it's advisable to make a reservation for one of the Shangri-La's bars or restaurants beforehand.

Banyugan Beach is also a great snorkeling spot with large shoals of fish just offshore.

Kayaks and TUSA brand snorkeling gear are available for hire.

Mask and snorkel use is free to guests of the resort.

Ilig Iligan Beach

This small secluded beach, also far from the crowds of White Beach, is located in the upper north eastern tip of the island around the corner from Yapak Beach and on the opposite side of the island to Banyugan Beach.

More protected from northern winds than Bulabog Beach, with two small rocky islands just off its northern edge, amihan still represents the off season for Ilig Iligan Beach's two small resorts.

During this time the beach is lined with colourful fishing boats under repair.

The best time to visit is from May to October, when the monsoon winds shift to the southwest, the season known as habagad.

Once the sea calms, Ilig Iligan Beach offers scenic snorkeling, but be warned: the beach has a strong current and is better suited to experienced swimmers.

@highlight

White Beach, the most developed on Boracay, is the shoreline that put the island on the tourist map

@highlight

Being constantly raked and cared by resort staff, Station Three boasts the best sand on White Beach

@highlight

Yapak Beach has coarser sands but might be the most beautiful beach in Boracay