(CNN) -- Syria's president says he'll welcome the return of U.N. investigators to follow up on more allegations of chemical weapons use in his country.

"We've been asking them to come back to Syria to continue their investigations," President Bashar al-Assad told Fox News in an interview broadcast Wednesday.

Al-Assad said he hadn't had time yet to analyze the U.N. investigators' findings so far, but stressed they have more work to do.

"They haven't finished it yet," he said, adding that it's clear that rebels were behind chemical weapons attacks, not his government.

Ake Sellstrom, the head of the inspection team that visited after an August 21 attack outside Damascus, told CNN that the next visit could take place as early as next week.

In the meantime, Al-Assad vowed that his government would comply with the deal to hand over and destroy its chemical weapons, but noted that the timeframe is uncertain and the costs will be great -- up to $1 billion by some estimates.

And he said that his government's decision to sign on had nothing to do with a threat of military action by the United States.

"Syria never obeyed any threat. We actually responded to the Russian initiative," he told Fox. "We obey because we want to obey. We have completely different incentives."

Russia denounces U.N. report

Soon after Western countries said the U.N. findings implicated the Syrian regime in using sarin gas, Russia fired back, calling the report "distorted."

Deputy Foreign Minister Sergey Ryabkov also told Russia Today that the report was built on insufficient information. He said Russia has its own evidence from the site of the August 21 attack that, according to U.S. estimates, killed more than 1,400 people.

"This analysis is not finished, so the point here is not about accusing parties," Ryabkov told Russia Today. "But the point is ... that those inspectors of the U.N. should come back to Syria to complete their investigation."

In the same interview, he said Syria has given Russia evidence that implicates rebels in the August 21 attack, which occurred outside Damascus.

"This confirmation and this evidence has been transmitted to the Russian side ... and we are in the process of studying those," he said without citing what the evidence was.

Russia will present evidence to the Security Council, Russian Foreign Minister Sergey Lavrov told reporters in Valdai, Russia, on Wednesday. He did not say when the presentation would take place and added that he himself had not seen it.

Russia has been a strong ally of Syrian President Bashar al-Assad's regime, and Russian defense contracts with Syria have probably exceeded $4 billion.

Is the U.S. back to square one on Syria?

The United Nations official in charge of weapons inspectors said that the report alleging chemical weapons use in Syria "stands for itself," shooting back Russian allegations that the report was "biased" and "distorted."

"It is a very sound, scientific report," Angela Kane, the U.N. high representative for disarmament affairs, told CNN's Christiane Amanpour on Wednesday.

Moscow's reaction to the U.N. report has differed sharply from those of the United States and France.

"Based on our preliminary review of information contained in the report, several crucial details confirm the Assad regime's guilt in carrying out this attack," U.S. State Department spokeswoman Jen Psaki told reporters Tuesday.

She said one of the munitions identified in the report, a 120 mm improvised rocket, has been linked to previous attacks by al-Assad's regime, and "we have no indications that the opposition has manufactured or used this style rocket."

French Foreign Minister Laurent Fabius said his country also believes the report proves the Syrian regime used chemical warfare in opposition strongholds near Damascus.

But Nick Brown, editor in chief of IHS Jane's Defence Equipment and Technology Centre, said that though the U.N. report appears to prove that high-quality, weaponized sarin was used in significant quantities in Syria, "I have not personally seen any compelling data that proves beyond doubt who the weapons were used by."

He added: "There is a degree of circumstantial evidence that appears to point to the attack originating with the Assad forces, but the exact forensic detail of who prepared and then triggered the weapons remains unclear and was beyond the scope of the U.N. investigation."

Securing Syria's chemical weapons: Mission impossible?

Syrian government claims a win

United Nations Security Council members met Wednesday to try to hammer out a resolution to get Syria to give up its chemical weapons. It wasn't clear Wednesday night how much progress they'd made.

Reaching a deal will be tough. U.S. and French officials want to include the threat of military action in the event Syria doesn't comply, but Russian officials don't want any wording that could countenance the use of force.

The disagreement came days after Russia and the United States reached a rare agreement on Syria -- a plan for eliminating the country's chemical weapons stockpile. Even Syria agreed to the plan, and U.S. President Barack Obama has held back on possible military action while diplomatic options play out.

But even before seeing a Security Council resolution, the Syrian regime claimed an international win.

Prime Minister Wael al-Halqi told the Syrian Cabinet about "brilliant victories of the Syrian diplomacy realized ... in terms of preventing the U.S. from launching a military aggression against Syria," the Syrian Arab News Agency reported Wednesday.

But the diplomacy hasn't stopped bloodshed. The opposition Local Coordination Committees of Syria reported Wednesday that regime forces killed 24 people in the village of Kafr Zeiba in Idlib province.

The Syrian opposition has blamed al-Assad's government for the violence and called for his ouster.

Al-Assad told Fox News that his government can't back down on what he called a fight against terrorism, arguing that 80%-90% of rebels have ties to al Qaeda or other extremist groups. Civilian casualties in the Syrian conflict, he argued, have come from rebel attacks and from his government's attempts to root out terrorists from residential areas.

"The army has to go there and get rid of terrorists. The army should defend citizens. You cannot leave them free, killing people, beheading people, eating their hearts," he said. "In every way, you have casualties. This is war. (There is) no clean war, no soft war, no good war."

Syria's children deserve chance to be kids again

CNN's Jill Dougherty, reporting from Valdai, Russia, and Yousuf Basil, Jo Shelley, Samira Said, Mick Krever, Nick Paton Walsh, Joe Vaccarello and Alla Eshchenko contributed to this report.

@highlight

NEW: Bashar al-Assad: "Syria never obeyed any threat" from the United States

@highlight

U.N. inspectors will follow up on more allegations of chemical weapons use in Syria

@highlight

Russia slams a U.N. report on chemical weapons use, calling it "distorted"

@highlight

Jane's editor in chief sees no "compelling evidence" indicating who used sarin