(CNN) -- Fighting raged in a major Syrian city Tuesday, with at least two people killed and several others wounded, an activist group said.

Clashes erupted between protesters and security forces in Homs, according to the Local Coordination Committee in Syria, a network of activists that promotes and documents demonstrations across the country.

They occurred in al-Khalidiya neighborhood, and video said to be from the Homs unrest shows protesters running and throwing rocks and contains sounds of heavy gunfire. CNN cannot independently confirm the information.

Demonstrations critical of the government began in the southern city of Daraa and were swiftly suppressed by security forces. Anti-government fervor caught on nationwide as more protests were met with tougher crackdowns.

After three months of protests, more than 1,100 have died and thousands more have been jailed, according to human rights activists.

Ammar Qurabi, chairman of the National Organization for Human Rights in Syria, said Tuesday that dozens of protesters were arrested the day before during peaceful anti-government demonstrations in the city of Aleppo.

Meanwhile, state TV showed images Tuesday of thousands joining pro-regime rallies in Daraa, Aleppo and Homs. Referring to President Bashar al-Assad, some in the crowds chanted, "With our blood, with our souls, we will sacrifice for you, Bashar" and "God, Syria and Bashar only."

The world's attention has been focused on the plight of Syrians displaced from their homes by violence.

At least 10,718 Syrian refugees, many of whom fled a military advance in and around the city of Jisr al-Shugur, have crossed the border into Turkey.

The U.N. refugee agency Tuesday said it participated in a government-sponsored mission to Jisr al-Shugur the day before, a trip that included diplomats, reporters and U.N. agencies.

The group "approached Jisr al-Shugur from Idlib to the east" and "villages were increasingly empty from around 40 kilometers away from Jisr al-Shugur."

"There was no evidence of people working in the fields. Jisr al-Shugur itself was almost deserted, with most shops shuttered and closed."

The agency said the fact that Jisr al-Shugur and nearby villages were "empty indicates significant displacement."

The U.N. High Commissioner for Refugees said 500 to 1,000 people have been crossing from Syria into Turkey daily since June 7. It also praised Turkey and the Turkish Red Crescent whose efforts "to provide protection and shelter and cater for the needs of Syrian refugees were commendable."

The agency said many people are "severely traumatized" by the ordeal and those most vulnerable need help, particularly women with children.

"Syrian refugees spoke to our team about their fears and trauma. Many had lost family members, who they said were either killed, missing or in hiding. Our team heard accounts of murders, targeted assassinations, assaults, civilians getting killed in crossfire, torture and humiliation by the military," the agency said. "Most of these people had lost virtually all their belongings and property. In many cases their livestock were shot, fields were torched, and homes and businesses destroyed or confiscated."

Robert Ford, the U.S. ambassador to Syria, traveled north with ambassadors and members of the media, all of whom appeared to be local, an American diplomat said.

Two sites said to be mass graves were shown to the group. It was not possible to tell how many bodies were present, but the stench was strong.

Ford mentioned the predicament of refugees and a Syrian officer told him they could "return at any time without fear of retribution." He visited Jisr al-Shugur, largely empty with evidence of fighting.

The International Committee of the Red Cross said it has been asking for "unrestricted access to areas and people affected by the unrest."

ICRC President Jakob Kellenberger ended talks with Syrian Prime Minister Adel Safar and Foreign Minister Walid Muallem in Damascus on the issue, ICRC said Tuesday.

"The Syrian officials were receptive, and agreed to give the ICRC and the Syrian Arab Red Crescent wider access to areas of unrest. I will closely monitor how this understanding is put into practice," Kellenberger said.

He also asked that ICRC delegates be permitted to visit detainees.

"The Syrian government has expressed its readiness to discuss terms and conditions relating to ICRC visits," Kellenberger said. "This is a first step forward."

This move comes as the Syrian president offered another general amnesty Tuesday for those accused of crimes, Syrian state TV reported.

It's the second known amnesty overture from the embattled Syrian leader since protests erupted in March, and it concerns any alleged unlawful acts that occurred before Monday.

Al-Assad issued a similar amnesty on May 31 that included the arrests of people belonging to various political groups.

But that offer and mentions of reform in a rare public speech Monday have done little to quell widespread anger toward al-Assad's regime.

On Monday, al-Assad offered vague promises of reform and called for refugees to go back home.

Al-Assad said he was "working on getting the military back to their barracks as soon as possible" but also warned the government would "work on tracking down everyone who shed blood or plotted in shedding the blood of the Syrian people, and we will hold them accountable."

In his third speech to the country in three months, he raised the possibility of amending the Syrian Constitution and referred to the need for a "national dialogue," but he made clear his government would not engage in one-on-one talks with the opposition.

Al-Assad blamed armed gangs and conspiracies for the violence that has gripped Syria, saying the unrest has tarnished the country's image and weakened its security.

"There are those who are killing in the name of religion and want to spread chaos under the pretext of religion," he said, referring to conspiracies as "germs" that cannot be "exterminated."

The speech was met with demonstrations in a number of Syrian towns and cities, opponents of the government said.

.

CNN's Salma Abdelaziz, Jenifer Fenton and Yesim Comert contributed to this report.

@highlight

NEW: Fighting erupts in the Syrian city of Homs

@highlight

U.S. ambassador was among those visiting northern Syria

@highlight

A human rights official says dozens of peaceful protesters are arrested in Aleppo

@highlight

More than 10,000 Syrian refugees reportedly have crossed the border into Turkey