TUOL SAMBO, Cambodia (CNN) -- Van Thy says the government evicted her from her home in the Cambodian capital and trucked her and others out to a town an hour away where she now lives in a hot green metal shed with no running water and dim prospects.

Many Cambodian AIDS patients and their families have been relocated to this community outside Tuol Sambo.

Before the move, she had a job as a dishwasher, but now the 36-year-old woman is unemployed, penniless and her health has taken a turn for the worse. She has AIDS like many of the others in the 40 AIDS-affected families that were resettled here.

"We were called for a meeting and when I got there, a lot of trucks were already prepared. There was no meeting. They told us to prepare our stuff for moving out," she said, her voice trembling as she detailed her departure from the Phnom Penh shantytown she called home for nine years. "Everybody cried the day we left."

As Cambodia emerges from the 1970s Khmer Rouge genocide and decades of conflict, evictions for development purposes have become a hot issue, with rights groups and upset villagers living on desirable land launching protests in recent years. But what sets the families apart at Tuol Sambo is that they have AIDS.

"The problems that this community face are not unlike problems that people face throughout the country," said Kathleen O'Keefe, an independent consultant focusing on HIV/AIDS and land issues.

"What has made these problems extreme is that they have been isolated and treated as a community" and their relocation has added "additional problems, like real health risks of many immune compromised people living far too close together. This place would be a health risk to healthy people."

This is the second relocation for many of these families. They had been living in a shantytown in the Cambodian capital, an area called Borei Keila that was across the street from a hospital where they received medical care and where they could find jobs to earn $1.25 or $1.50 a day.

O'Keefe said they had lived dispersed throughout the community but were forced to move into one building there in 2007 when the area started to undergo development.

"They were segregated into a green building, which very quickly became known as the ... AIDS village," O'Keefe said. "This AIDS colony in Tuol Sambo is the second time they are being even further isolated ... it's been an extremely traumatic situation for them."

O'Keefe said most of the families that were moved to Tuol Sambo told her they have lost their jobs, their health is worsening due to a lack of clean water and food, and they face discrimination from their new neighbors because of their illness.

"We feel very ashamed to go outside, they look like they [are] discriminating against us," Van Thy said.

Phnom Penh Deputy Governor Mann Chhoeun said those who were relocated got a plot of land, a house and $275. He also noted they were provided rice, electricity and said, "when the water supply can be connected to this area, then we can connect it for these people."

Mann Chhoeun said the people were illegally squatting in the Phnom Penh shantytown, but they were not forcefully evicted.

"They proposed to go ... because living in that area (their previous shantytown) they had floods and they have no proper business to do in there, so that's why they proposed to us to go there," he said. "They think that when they go there (to Tuol Sambo), they can own the land, they can own a house and they can make some business or something like that."

He also said he did not believe there was discrimination in the area, "but there is some feeling when they (people) learn that someone has been living with HIV/AIDS."

Van Thy said her new home has brought many challenges and a recent blood test showed that her CD4 count -- a marker of decreased immune function that is often used to demonstrate how well anti-HIV drugs are working, according to the U.S. Centers for Disease Control and Prevention -- had gone down.

She said the doctor told her she needed to eat more, but she said having little money means eating less: "It means that my health is getting worse," she said.

The water in their new home is from a well and is undrinkable unless it is boiled or purified.

"We are patients, we need some clean water," she said. "They said the water cannot be drunk, just for using to wash clothes and things like that."

Another man, Chheang Toma, takes the temperature inside his green shed at noon every day. On average, it is 35 degrees Celsius (95 degrees Fahrenheit) but one time spiked up to 50 Celsius (122).

"This area is very difficult," he said. "I am always sick, and I always have a headache. The weather is so hot even my son has gone to the clinic two times already."

Home care specialist, Oum Vicheth, has been working with this community since 1998 and holds a clinic at Tuol Sambo once a week. He said the move "has strongly affected them."

"This is a long-term effect, not a short-term one, because medicine alone cannot help them. It combines with other factors like food, eating enough, sleeping enough and a good environment, so all this can help make their health stable," he said.

"The problem is right now that what these people are facing is about their food, about their sleep and about the heat. It's very hot. Sometimes this affects the quality of the medicine they keep."

Chheang Toma said his son, who is in first grade, heard that parents of local children told them not to play with him because he has HIV.

"He just told me that he wanted to play with those children but when they saw him they just run away," he said. "I know right now some parents they just learning and understand about us, and they start to tolerate, but some others keep us in isolation -- like they still look at us, treating us very bad by not coming very close and not making friends with us."

Oum Vicheth said he was providing health care to the villagers as a way to bring them closer to the group, and they have held meetings with them about how HIV is contracted.

"There was very little thought given to integrating the community into the larger resettlement area of Tuol Sambo," said Tony Lisle, the UNAIDS country coordinator for Cambodia. "By basically settling the community in one contiguous place it opens the community up to discrimination."

The U.N. team in Cambodia also "was disappointed that the relocation was carried out before the site was made habitable" and monitors would visit the site in late August, Lisle said.

Teng Kunthy, secretary-general of the Cambodian government's National AIDS Authority, said the Tuol Sambo group's worries were about the housing, not their health care, since he said they still had good access to treatment, including home-based care, medicine and the help of charities.

He said the housing situation could not be changed overnight, but it would improve "step by step," and he also noted Tuol Sambo was an area the municipality wants to develop.

"The municipality has a plan for the future," he said. "I asked the government to explain to them (the Tuol Sambo residents), to provide more information to them."

He also noted there was "no serious discrimination" in Cambodia against people with HIV/AIDS, but that the AIDS authority would try to ensure any such problems did not arise in the future.

Back at Tuol Sambo, people think of the future and how they will make ends meet.

One man in the community who has AIDS lost one job in the move but still has part-time work. He said things have improved with their new neighbors.

"When we first arrived here, the villagers around the area just said look at AIDS people living here and so they did not allow their children or relatives to come and play in this area and they don't talk to us. But now after seeing the home care specialist," things seem to be getting better with them, he said.

Still, he and his friends from the old shantytown are not happy with their new lives.

"We are living with disappointment," he said.

@highlight

Many of the people relocated by government to Tuol Sambo have AIDS

@highlight

They used to live in a shantytown near a hospital, their jobs

@highlight

Government says they were illegal squatters, they provided them money, services

@highlight

People say they have lost jobs, income, getting sick, lack clean water