(CNN) -- Iranians coped with soaring gas and food prices sparked by the government's removal of massive revolutionary-era subsidies as President Mahmoud Ahmadinejad left Wednesday for a two-day economic summit in Turkey.

In the Iranian capital, Tehran, police manned gas stations as some cab drivers hiked fares and residents complained about prices going up fourfold for essential items after the government began slashing subsidies to help bolster the Islamic republic's sagging oil-based economy.

The government began its plan to remove subsidies on Sunday and deployed security forces to several major gas stations in the capital city, Tehran, to offset the threat of potential protests.

In 2007, protesters torched a dozen gas stations after the government's abrupt decision to ration monthly fuel allotments.

The cuts in subsidies are far more severe but the response has been muted. Iran observers attribute it to a climate of fear following a government crackdown in the aftermath of the 2009 presidential election controversy.

Still, Tehran residents said the government was beefing up security. Witnesses saw up to 20 police officers at three major gas stations in central and northern Tehran.

"I hope enough people will protest these ridiculous changes, but they are scared of the security forces because of the past protests where our citizens were beaten," said a civil engineer, who like others interviewed by CNN did not want to be identified for fear of repercussions.

"A lot of people are anxious and confused," said a taxi driver,  "They don't know what's coming next but they don't have much choice."

But a courier said he didn't have time to protest.

"They just make prices go higher and life more difficult," he said.

By Iran's own admission, the subsidies have cost the government around $100 billion a year, according to a report on state-run Press TV this week.

Iran was forfeiting potentially huge revenues, according to the International Monetary Fund.

"With the removal of subsidies on oil and gas, domestic demand for energy in Iran is expected to decline, leaving more energy resources available for export. If all goes according to plan, the strategy should serve the dual purpose of generating more revenue for the country and curbing the wasteful use of energy," IMF Senior Economist Roman Zytek and Iran Mission Chief Dominique Guillaume said on the organization's website.

Adding to Iran's economic woes are the effects of blistering international sanctions, imposed for its nuclear program, which Iran says it is developing for peaceful purposes but many other nations fear is aimed at producing a weapon.

On Tuesday, the United States Treasury announced a new round of sanctions against five Iranian companies, including two banks and the country's national maritime carrier, the Islamic Republic of Iran Shipping Lines.

The United States says these companies are directly associated with the Islamic Revolutionary Guard Corps.

Both the Revolutionary Guards and the shipping line "are major institutional participants in Iran's illicit conduct and in its attempts to evade sanctions," said Stuart Levey, the U.S. under secretary for terrorism and financial intelligence.  "We will therefore continue to target and expose their networks."

Ahmadinejad is expected to deliver a keynote address at the Economic Cooperation Organization on Thursday. The group aims to develop economic cooperation among Iran, Turkey, Pakistan and seven other regional nations.

In erasing the subsidies, Ahmadinejad was keenly aware he was treading on the promises made to the people in the 1979 Islamic revolution, said Iranian-American journalist and author Azadeh Moaveni. But the subsidies had become unsustainable and Ahmadinejad had prepared Iranians for the need to pump more money into the economy.

"We have been told for many years that subsidies are ruining the economy and must be eliminated, but no government up to now had the determination to actually go ahead and do it," said a mechanic who gave his name as Abbas.

Around the city, taxi drivers reacted to the cuts differently.

One said he has raised his rates for rides.

"When gasoline prices almost double, my fares should also double," he said.

But another said his company told him not to charge riders extra.

Despite the rise in gasoline prices to as much as 7,000 rials (70 cents) a liter, the driver said that if he makes up to eight trips a day in his taxi, he will make up the difference in the higher price of gasoline.

Iran's gas rationing program previously allowed people to buy up to 50 liters per month at around 10 cents a liter, far below what they or people anywhere else would pay on the world market.

Now, Iranians are paying at least four times that -- 40 cents per liter for the first 50 liters each month and 70 cents above that.

Iran has $10 trillion in oil resources alone, plus natural gas reserves worth between $3.5 trillion and $4.5 trillion, the International Monetary Fund has said. But its economy nonetheless has seen lackluster growth, including between 1% and 2% of GDP this past year.

While gas prices will affect the middle and upper echelons of society, what is most worrying to others are rising prices for food. Working class Iranians will pay as much as 10 times more for bread.

The government is paying $800 for two months for people who registered for help in buying bread at the higher prices.

CNN's Shirzad Bozorgmehr, Reza Sayah and Moni Basu contributed to this report.

@highlight

NEW: The Iranian president is in Turkey for an economic summit

@highlight

The government began cutting subsidies on Sunday

@highlight

It deployed security forces to several major gas stations in Tehran

@highlight

Three years ago, protesters torched 12 gas stations in Tehran after a fuel ration