(CNN) -- Hundreds of migrants departing from unstable Libya died in early October in a shipwreck while trying to reach Lampedusa, their gateway to Europe. But although their tale is tragic, it is far from exceptional.

In the last two decades 20,000 people have perished from hypothermia, drowning, or landmines on the journey toward their "European dream." And while European Union institutions are beginning to address this history of loss, it is crucial that the discussion on asylum, immigration, and borders be further democratized.

INFOGRAPHIC: How illegal immigrants enter the EU

These are defining moments shaping the future of Euro-Mediterranean geopolitics, democracy, and human rights. Members of the EU Parliament recently adopted a joint resolution calling for a coordinated approach to immigration and asylum, to be inspired by both intra-European solidarity and responsibility toward would-be migrants.

Seeking to prevent further disasters, the EU's 28 heads of state have reached a consensus on the need to pursue activities that have long been in place. These include cracking down on organized crime; boosting search and rescue and Frontex border patrol activities; implementing the EUROSUR border surveillance system; cooperating with countries of origin and transit; collaborating with international agencies.

Additionally, a new task force for the Mediterranean has been set up and is expected to offer operational proposals by December. Immigration and asylum will again be discussed at the next EU summit in June 2014 with possible legislative action at that time, when strategic guidelines "in the area of freedom, security and justice will be defined."

Italian Prime Minister Enrico Letta has also announced that his government is working on new national norms to regulate asylum. But he has dodged a crucial question -- whether forced migrants, including children, could be allowed to apply for temporary protection in Italy or elsewhere in Europe while still living in countries such as Libya. As a clear political direction and "strategic guidelines" are still to emerge at the national and EU level, civic engagement with these issues is vitally important.

Demographic and economic disparities between northern and southern Mediterranean shores contribute to migration as an enduring condition. Post-World War II boundaries between forced and economic migration are increasingly blurred as terrorism, corruption, border disputes, trafficking, drought, and sectarianism displace millions of people south and east of the EU. Developing countries host 80 percent of the world's refugees, with Pakistan, Iran, Germany, and Kenya hosting the largest numbers. In protracted refugee situations, such as that of Somalis in Kenya, children are born to refugees who themselves were born in refugee camps.

OPINION: Europe's immigration nightmare just beginning

What all migrants have in common is the hope for a good life. And a good life, for most of them, is not merely about remittances, but also civic and political rights and duties, and belonging to a community that accepts them and their children for who they are and who they become. Some are convinced Europe can offer this. Opaque technocracy, abstract humanitarianism, and militarization alone cannot provide answers to their plight -- answers must be political, and the EU's discussion in this sense is only beginning. A democratized discussion on borders, asylum, and migration would need to include a more grounded assessment of the costs and benefits -- financial and in terms of human rights -- of colossal projects including EUROSUR, Frontex, and EU Border Assistance Missions to non-EU countries such as Moldova, the Ukraine, and Libya.

In the short term, small reallocations of the massive spending supporting these surveillance projects might enable the proliferation of initiatives akin to Germany's Humanitarian Admissions Program. This relatively modest, feasible program has recently flown to Germany in cooperation with the UNHCR for 5,000 Syrian at-risk women and children, people with serious medical conditions, and survivors of torture. For two years they will be integrated into the socio-economic, healthcare, and educational fabric of German cities -- and the program may be extended beyond that timeframe.

OPINION: EU must solve crisis to deserve Nobel Prize

EU institutions are also recommending migration management agreements between the EU and transit countries. But several readmission agreements are already into force. They essentially oblige non-EU signatories to take back not only their own citizens, but also third country nationals. In renewing or promoting such agreements, the EU should better assess whether those countries offer a reliable state apparatus, a functioning asylum system, and the resources to adequately protect human rights. The EU also needs to consider whether the youth in non-EU signatory countries will continue to experience these agreements as disparaging and humiliating, or as equitable and mutually beneficial.

More broadly, EU actors will have to decide whether the Mediterranean is to serve as an integrated space of common growth or as an insurmountable frontier. Both options have their costs. But in the latter case, everyone must appreciate the risk of more deaths at sea -- and billions of euros will need to be invested in permanent "military-humanitarian" operations. And despite the massive deployment of the "Mare Nostrum" Italian military mission off Lampedusa, transnational smuggler networks will look for other routes, as they have done for years, or alternatively bet precisely on patrol and rescue operations and ask inexperienced migrant themselves to take the helm of unseaworthy vessels. Either way, they will profit by gambling with the lives of thousands of people.

OPINION: What's the place of outsiders in Europe?

As consequential and costly decisions are being considered in Brussels and other capitals it is time for citizens and leaders to make a choice as to how they envision national and European liberal democracy. What is the place of outsiders? What is my legacy in writing the history of the present? What will I say to the children of the drowned? Survivors, human rights advocates, pluralists, Islamophobes, Eurosceptics, fiscal conservatives, post-colonial and "second generation" Europeans need to speak out now, engaging each other and their representatives.

I admit I am not a supporter of European right wing parties, and I do believe their growing popularity cannot be challenged by merely adopting sanitized, "light" copies of their rhetoric. National and EU politicians have to pragmatically tackle the serious challenges faced by their constituents. But they also have to more courageously explain what their vision of Europe is, accepting that in a functioning, non-demagogic democracy making everyone happy is impossible.

And yes, the EU has yet to win the hearts and minds of its citizens. It is precisely with our actions, relationships, voices, votes, and laws that we can help ground in democratic methods core EU ideals of freedom, security, and justice. If we fail, the "European Dream" will remain a scam marketed by smugglers and other dream dealers.

The opinions expressed in this piece are solely those of Maurizio Albahari.

@highlight

Albahari: 20,000 people have died in last 20 years trying to realize "European Dream"

@highlight

U.N.: Developing countries host 80 percent of the world's refugees

@highlight

Failure to reform will ensure that "European Dream" will remain a scam marketed by smugglers