(CNN) -- The urban planning equivalent of a Rorschach test, a "Smart City" can be taken to mean almost anything.

But by the most popular criteria; sustainable energy and development, open data and government, and integrated information, communications and technology (ICT) serving wide areas of a city, these ultra-modern hubs are on the rise.

Industrial analysts IHS claim predict there will be 88 cities that fit the description by 2025, up from 21 today, taking in contenders far from the usual suspects of Vancouver and Barcelona. These dynamic new players hope to redraw the map.

Bogota, Colombia

While sister city Medellin has been lauded for its sustainability practices, the capital has used pioneering data analysis to address its longstanding issues with pollution and congestion. Improvements in walkways and a widespread bike-sharing scheme have led to reduced car use, with noise pollution falling almost 10 decibels since 2005.

The city has also benefited from the Transmilenio mass transit bus system and a fleet of electric taxis.

Masdar, UAE

The new oasis in the Abu Dhabi desert was supposed to have been the first zero carbon, zero waste city, and if such ambition is yet to be realized there is still much to admire. It is home to the region's largest solar power plant, serving all its energy needs with 17,500 MWh of clean electricity each year. Autonomous vehicles handle transportation needs, while water and electricity use is monitored for efficiency with high-tech sensors.

Accra, Ghana

A recent IBM paper on infrastructure in the Ghanaian capital indicates some of the radical improvements to be undertaken, including mass transit systems fitted with intelligent technologies to better regulate the city's traffic issues. Locally-sourced renewable energy will tackle blackout problems and enable growth, such as for the $40 million Ghana Cyber City, intended to become a world class tech hub.

Yachay, Ecuador

President Rafael Correa's "City of Knowledge," which he describes as the grandest national initiative for a century. His government is investing over $1 billion in the north highlands site, anticipating its gains would extend the rest of the nation.

A new university campus, modelled on South Korean tech cities, would develop elite engineering, energy and biotechnology projects, complete with extensive education and research facilities.

Guadalajara, Mexico

The "Mexican Silicon Valley" is already a hub of over 100 software companies, from startups to Intel and IBM branches, with thousands of local students graduating with STEM degrees. It will soon receive a major upgrade through the Ciudad Creativa Digital development on a 400 hectare grid, wired full of advanced communications, data-gathering sensors, renewable energy, and transport networks.

Dholera, India

With India set to become the world's most populous nation, ambitious plans are underway for new urban development with Prime Minister Narendra Modi promising 100 smart cities. Dholera, in the western state of Gujarat, would serve as test case. A smart grid is to be constructed on an area twice the size of Mumbai, designated a special investment region (SIR), which would be managed from central command centers with high speed transit routes.

Lima, Peru

The government's commitment to open data means that citizens can access most municipal services online, and that figured can be analyzed as a basis for policy initiatives. This has enabled intelligent transport management systems and a plan for energy efficiencies that could cut carbon emissions by 19% by 2030. The city has committed to tie infrastructure development to carbon reduction, including "area greening" in residential areas.

Lusail, Qatar

The Gulf state's efforts to expand beyond Doha before World Cup 2022 could hinge on this brand-new metropolis to the North. A reported $45 billion will be spent on Lusail, powered by one of the world's most extravagant hydrocarbon centers, completed with luxury marina, commerce and entertainment zones.

Vilnius, Lithuania

One of Eastern Europe's most upwardly mobile hubs benefits from one of the fastest Internet connections in the world, and recently received an IBM grant as part of the 'Smart Vilnius' project. This is earmarked for upgrading transport and its management, as well the development of data-based infrastructure. A new tech park for gaming, big data, and cyber security companies will press its credentials further.

Kalkara, Malta

The island is developing a technology and business park in the village of Kalkara at a cost of almost $300 million, with ICT and robotics among the emerging businesses. The special zone uses advanced monitoring systems to manage energy and water, with buildings architecturally designed to maximize efficiency. Ultra-fast broadband and a low tax, pro-business government are also geared to attracting new investment.

@highlight

'Smart cities' are set to quadruple over the next decade

@highlight

Eastern Europe, the Gulf, and Latin America among the hotspots

@highlight

Entire cities being built on smart grids for intelligent transport, communications, and energy transmission