(CNN) -- Now the party is really starting. Democrats and Republicans are preparing to gather to hold their conventions, each using this precious time to tell the nation what its presidential candidate is all about.

Republicans are hoping that Gov. Chris Christie can tear down the Democrats, New Jersey style, in his keynote address, and that Condoleezza Rice can add some foreign policy heft to a ticket remarkably thin on international affairs. Democrats are depending on former President Bill Clinton to tap into the rhetoric he used against Republicans in the budget battles of 1995 to cut into Mitt Romney and Paul Ryan's vision for Medicare. They hope that San Antonio Mayor Julian Castro, the keynote speaker, can send a message to Latinos about which party is on their side.

Without any more deal-making in smoke-filled rooms, speeches are the highlight of the convention. Even when speeches are made at conventions whose candidate winds up losing, they can offer ideas and rhetoric that become integral to the party for decades to come. A look back at history reveals that there are different types of speeches that we might see in the coming weeks, each with very different purposes and effect.

Ideological Agenda-Setters: There are some speeches that are notable because they lay out a set of principles for the party to embrace in the coming election and thereafter. As opposed to focusing on the particularities of a specific campaign, these speeches put forth ideas that shape the next generation of candidates.

In 1948, the Minnesota candidate for senator, Hubert Humphrey, delivered a thunderous address in which he called on Southern Democrats to embrace the cause of civil rights or leave the party. "To those who say that this civil rights program is an infringement of states' rights," Humphrey said, "I say this: The time has arrived for the Democratic Party to get out of the shadow of states' rights and walk forthrightly into the bright sunshine of human rights." The speech put the party on the side of racial liberalism and accelerated the path toward the Civil Rights Act of 1964.

The same year that Congress passed the civil rights legislation, Arizona Sen. Barry Goldwater gave his most famous address, when he told Republicans to embrace conservatism and avoid the lure of centrism. He ardently defended a right-wing agenda. Even though Goldwater lost the presidential election, the speech signaled the future of the party.

In 1980, Sen. Ted Kennedy, who lost the nomination to President Jimmy Carter, energized delegates by talking about the party's traditions and defense of the common man. "Our commitment has been, since the days of Andrew Jackson, to all those he called 'the humble members of society -- the farmers, mechanics, and laborers.' On this foundation we have defined our values, refined our policies, and refreshed our faith." He warned against the creeping conservatism of the Carter administration and reminded the Democrats to stay true to their core values. His rhetoric continues to offer inspiration for Democrats to this day.

Opposition Attacks: Other speeches are effective primarily because they eviscerate the opposition, defining candidates, and defining parties, in ways that stick. When Franklin Roosevelt accepted the Democratic nomination in 1932, he introduced Americans to his vision of a New Deal -- a program of government assistance that would include help to farmers, workers and small business owners. FDR pushed back against the economic orthodoxies of the time, telling delegates, "Our Republican leaders tell us economic laws --sacred, inviolable, unchangeable -- cause panics which no one could prevent. But while they prate of economic laws, men and women are starving."

In 1984, New York Gov. Mario Cuomo offered a powerful challenge to President Reagan's argument that it was "morning in America" again, and that the country was a "shining city on a hill." Cuomo distinguished between an economic recovery that benefited the wealthy and one that affected all Americans. "There is despair, Mr. President," Cuomo said, "in the facts that you don't see, in the places that you don't visit in your shining city."

Cuomo's speech became a powerful narrative for talking about the impact of Republican economic policies. That same year, Jeane Kirkpatrick, U.S. ambassador to the U.N., ripped into the foreign policy of "San Francisco Democrats," castigating her former party, charging, "They always blame America first."

Inspirational: Sometimes speeches are able to inspire delegates. In 1960, John F. Kennedy said that "We stand today on the edge of a New Frontier -- the frontier of the 1960s, the frontier of unknown opportunities and perils, the frontier of unfilled hopes and unfilled threats. ... Beyond that frontier are uncharted areas of science and space, unsolved problems of peace and war, unconquered problems of ignorance and prejudice, unanswered questions of poverty and surplus." For many Americans, this speech was the moment they fell in love with the charismatic senator and started to believe that he could help the country to do great things

The Star is Born: Convention speeches can put politicians on the map. In 1976, Ronald Reagan won the hearts of Republicans, even if he didn't win enough of their votes to become the party's presidential nominee that year. In unplanned remarks, he spoke to them about the need to stand firm against communism so that the country would protect the world from nuclear destruction. At the Democratic convention in 1976, African-American Rep. Barbara Jordan of Texas introduced herself and a new generation of African-American politicians. In 2004, Sen. Barack Obama's powerful oratory at the Boston convention, about the need to unify the nation, propelled him onto the national stage.

Coalitional: Like the rest of the campaign, a convention speech can help bring broad coalitions together, outlining points of commonality amid significant difference. In 1980, Ronald Reagan displayed his formidable skills with an acceptance speech that reached out to the conservative base, fiscal conservatives, neoconservative hawks, and centrist voters all in one swoop.

The Flop: Sometimes speeches are so bad they are good. When candidates deliver really poor speeches, they can attract considerable attention and, occasionally, they don't end up sidetracking their careers. In 1988, the rising star Arkansas Gov. Bill Clinton delivered a long-winded speech that ended with delegates cheering when he finally said "in conclusion." Although he would later improve his style, going on to win the presidency, the failure of the speech actually gave him even more of the national spotlight.

These are some of the kinds of speeches that we might see in the coming weeks. Each has a very different value and, other than the flop, each can be helpful in energizing the party for the battle that is ahead.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Speeches are the highlight of each party's political convention, says Julian Zelizer

@highlight

Some speeches put forth ideas that shape the next generation of candidates, he says

@highlight

Others eviscerate the opposition, permanently defining candidates and parties, he says

@highlight

Zelizer: Some speeches inspire, others make instant stars, and others flop resoundingly