(CNN) -- In a recent column for The New York Times, David Brooks argued that the nation has now entered into a "capitalism debate." Brooks wrote that President Obama, who he said is feeling defensive about the failure of his policies to revitalize economic growth, has launched an all-out assault on capitalism by depicting Mitt Romney as the embodiment of corrupt and vicious economic practices.

The president's decision to focus on Romney's work at Bain Capital, Brooks argues, has shifted the "focus of the race from being about big government, which Obama represents, to being about capitalism, which Romney represents." Romney responded in kind, "I'm convinced he wants Americans to be ashamed of success."

If this shift continues, the campaigns will spend the next four months presenting voters with a false impression about the the real contest.

While both parties have a strong incentive to ramp up the rhetoric to mobilize voters to turn out, this kind of campaign features a debate that has little to do with the governing that will actually take place after the election.

This election is not a choice between government and markets. The reality is that we will continue to have a system that mixes government and markets, with the political battles centering on the particular priorities that the nation emphasizes within that mix.

Obama, as Brooks points out, has not really been a critic of free-market capitalism. His policies have done little to challenge the forces of globalization, and he has worked closely with economic leaders in his efforts to fix the economy. His financial regulation did little to curb the freedom of Wall Street investors.

Obama is not some kind of exception among American liberals. Indeed, since Franklin Roosevelt, American liberals have been firm supporters of American capitalism. Their goals have been to tame the excesses of this economic system and to make capitalism fairer for all Americans. Many of FDR's economic policies, such as the National Recovery Act, depended on voluntary cooperation from big business.

FDR backed away from any proposals that entailed the federal government obtaining strong control over managerial decisions. The point of legitimating unions, which happened through the Wagner Act (1935), was to provide workers with some kind of countervailing power to business owners within the capitalism system.

Other Democrats, such as Harry Truman, followed in this market-friendly liberal tradition.

Lyndon Johnson offered economic assistance to the poor and educational assistance to all students, so that more people could participate and enjoy the fruits that the capitalist system produced.

With his support of deregulation and deficit reduction, Jimmy Carter moved market-based Democrats even further to the center. Bill Clinton embraced globalization and believed that nurturing free markets could offer the best opportunities to those struggling at home and abroad.

While liberalism has always been a political system that sought to use government to strengthen the market-based economy, conservatives have usually been comfortable with government.

Despite their rhetoric, conservatives have accepted that government is an inevitable part of American life. Romney has been no exception. As governor, he was not some kind of radical slasher of government services. The centerpiece of his term was a bold health care initiative that expanded that role of government in ensuring access to health care.

Romney cut services, but he also increased all kinds of government fees.

During his current campaign, Romney is not talking about eliminating the big-ticket programs like Social Security, and he has firmly defended robust levels of national security spending.

Like Obama, Romney reflects his own political tradition. Libertarianism has long been dead among conservatives. During the Cold War, conservatives like Sen. Barry Goldwater and author James Burnham pushed for the government to spend more on the fight against communism.

During the 1970s, historian Gareth Davies recounted, many conservatives came to accept federal programs such as education as an inevitable part of domestic life.

President Ronald Reagan, the iconic conservative, quickly backed off proposals like an initiative to reduce certain Social Security benefits when they stimulated a strong political backlash, and he left many other kinds of domestic spending, like Medicare or agricultural subsidies, intact.

George H.W. Bush brought the federal government into new areas of domestic life, providing, for example, protections for people with disabilities.

Congressional conservatives like Newt Gingrich proved that they were not much different, as they too were aware that Americans in red states often depended on the government they lambasted.

George W. Bush and the Republican Congress grew government in the early part of this century. Bush pushed several significant domestic initiatives such as No Child Left Behind and a costly prescription drug benefit.

Like all Republicans, he did little to take out the massive welfare state of tax exemptions and deductions upon which many industries depend. In 2008, he saved financial markets through government with TARP, not through deregulation. His homeland security program involved an aggressive expansion of government power, and he launched two wars abroad.

Like it or not, liberals have always accepted capitalism, and conservatives have proved more than willing to live with, and even to use, the federal government for certain purposes.

The debate today is not between big government and free market capitalism but rather about how we should structure our mixture of these two systems.

The more we have these kinds of overblown debates, the less voters get a sense of what politicians are actually about and what they'll do once in power.

A more realistic debate would be about which portion of the public will have tax cuts extended. Rather than an all or nothing debate, we should hear which specific parts of the budget will be trimmed and where will each candidate try to find more efficiency in government. In terms of the economy, where and how will they use government to stimulate economic investment and to curb the deficit, how else will candidates try to raise revenue.

This current rhetoric is not only unrealistic, it fuels public frustration with government by generating false expectations and providing campaign discussions that have little to do with real life in Washington.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Pundits are painting President Obama as the anti-capitalist candidate, says Julian Zelizer

@highlight

But this election is not a choice between government and markets, Zelizer says

@highlight

Liberals have been firm supporters of capitalism, he says

@highlight

Zelizer: Conservatives have accepted that government is an inevitable part of American life