Washington (CNN) -- Former President George W. Bush left the White House more than five years ago and has since stayed out of most Washington debates. But it would be hard to tell that if you have been listening to Hillary Clinton over the past month.

From defending her record at the State Department to defining her economic vision, Clinton has used Bush as her primary rhetorical device to both explain her vision for the future and defend her past.

"The biggest accomplishment in the four years as secretary of state was helping to restore American leadership and we did that in a number of ways," Clinton said earlier this month before faulting Bush for the U.S. standing on the world stage when he left the White House in 2009.

Democrats have always been fond of faulting Bush and it was part of President Barack Obama's 2012 reelection campaign.

But the fact that Clinton, who is admittedly thinking about running for president in 2016, is attacking him says as much about how she views her future as it does about the state of the Republican Party.

The former first lady has started pointing to the Bush administration when talking about the turmoil in Iraq, too.

When pressed about Obama removing troops from the country, Clinton regularly points out -- and did so at a CNN town hall on Tuesday -- that the withdrawal decision was made by Bush, not Obama.

When asked earlier this month in New York about troops in Iraq and the failure to get a status of forces agreement, Clinton said, "The deadline on Iraq was set by the prior administration, that if there were not a status of forces agreement... there would not be American troops."

Strategy not without problems

Democrats close to Clinton love the Bush lines.

"Seems to me Hillary thinks George W. Bush was a terrible President," Paul Begala, a CNN contributor and a longtime Clinton confidant, said before enumerating a number of ways he feels Bush failed, including two "botched" wars, turning "a massive surplus into a crippling debt" and presiding "over an economic collapse."

"I hope she keeps it up," Begala said.

But the strategy does not come without problems.

While Bush was unpopular in office -- and still is with Democrats -- his standing has improved since leaving Washington.

His overall approval rating hit a seven-year high in 2013 with 47% of Americans approving how he handled his tenure. While 50% said they disapproved, the trend has been been up in recent years. Most presidents experience this when they leave the job.

By bashing Bush, Clinton is also looking backward. Her book tour/campaign has carefully tried to keep her looking forward.

She told an audience in Canada on Wednesday that she doesn't think much about her legacy because she is "very present-oriented and future-oriented."

Republicans see any strategy that has Clinton looking backward as a winner for them.

"She is the personification of a political system that voters believe needs new blood and new energy," said Kevin Madden, a Republican strategist and former Mitt Romney spokesman.

"So looking back, Clinton may feel that she has an advantage because she gets to point fingers at George W. Bush, but it is problematic for a candidate who is essentially part of the status quo for the last 25 years," Madden said.

People close to Clinton reject that idea.

"Part of charting a new course for the future is a clear-eyed assessment of where we are and how we got here," Begala said. "Hillary is simply speaking her mind. Radical candor -- I love it."

The enemy of my enemy is my friend

For Clinton, bashing Bush might be more than just a standard red and blue tactic, though.

In front of a liberal audience at the New America Foundation in Washington last month, Clinton brought out her most fiery Bush rhetoric.

The speech was, in part, an attempt to make inroads with progressive Democrats, some of whom have been apprehensive about Clinton's more moderate positions.

Bush, she said, "allowed the evolution of an entire shadow banking system that operated without accountability" and failed "to invest adequately in infrastructure, education, basic research and then the housing crash, the financial crisis hit like a flash flood."

Clinton then went on to say that the Bush years showed that "we can turn surpluses into debt, we can return to rising defects, that is what happens when your only policy prescription is to cut taxes for the wealthy."

CNN contributor and progressive activist Sally Kohn said if she were in Clinton's camp, bashing Bush "is exactly what I would be doing."

Kohn is an outspoken Clinton critic. In a recent CNN opinion piece she asked, "Does Hillary Clinton have to be so boring?"

Other than changing her positions on a number of fundamental issues, Kohn said, siding with the left by showing her distaste for a shared bogeyman could be effective.

"He is a universally known quantity," Kohn said. "It is a way for her to run against something that is concrete because she can't run against President Obama."

To Kohn, Bush is Clinton's foil against the left. She shows that she shares their opinion on him, but subtly says to progressives that she doesn't "want too much noise or else" you will get another Bush.

Don't elevate anyone current

Few president run for elected office again and Bush seems more content these days with painting than politicking.

And Clinton knows that. By focusing on Bush, Clinton isn't elevating any other potential rivals who don't have the name recognition she does.

When Clinton is asked about gridlock in Washington or the lack of legislation getting passed on Capitol Hill, she regularly mentions House or congressional Republicans in general terms and never mentions some of her possible 2016 contenders -- like Sen. Ted Cruz or Sen. Rand Paul - by name.

"There is no distinctive Republican head of the party for her to post up against," Madden said. "So she is again going to this habitual reflex: Just blame Bush."

On the contrary to Clinton, Republicans like Cruz and Paul are ready and willing to be mentioned with Clinton.

Paul regularly jumps at the opportunity to fault Clinton and frequently says the Benghazi terrorist attack should disqualify Clinton from holding higher office in the future.

Asked about Paul's attacks last week, Clinton told ABC that "He can talk about whatever he wants to talk about. And if he decides to run, he'll be fair game too."

Clinton did not, however, refer to Paul by name in her answer.

Cruz, too, is eager to confront Clinton.

"Secretary Clinton from the beginning has stonewalled on this rather than acting as a partner getting to the bottom of what happened," the Texas Republican said on CNN's "Erin Burnett OutFront" after the town hall.

This strategy, Madden says, helps elevate their profile on a level with hers and may be the most potent way to build "a strong national profile as a potential Republican candidate."

@highlight

Hillary Clinton has used Bush to defend her record, explain vision for the future

@highlight

Democrats applaud her strategy but there are risks as Bush's popularity rises

@highlight

Republican strategist says pointing fingers at Bush won't help member of "status quo"