During CNN's "Going Green: Green Light for Business" coverage, we've asked businesses to tell us how they balance the imperative for profit with environmental concerns. Anders Eldrup, CEO and President of DONG Energy, tells us about the company's plans to switch its reliance from fossil fuels to renewable energy.

There are many reasons as to why coal today is the dominant fuel in power generation. In coal many countries found a way to alleviate the extreme dependence of Middle East oil after the 1970's oil crisis.

Horns Rev II will be the world's largest offshore wind farm when it opens on September 17, 2009.

But the solutions of yesterday are not necessarily the solutions of today. We now know that fossil fuels are the prime contributors to global warming.

Today 85 percent of DONG Energy's production comes from fossil fuels, whereas 15 percent comes from carbon-neutral sources.

DONG Energy wants to turn the numbers around within one generation, so that 85 per cent of our energy production is carbon neutral. We call the vision 85/15.

At present we are formulating the strategy through which our vision will be achieved. The strategy is to create growth and reduce CO2 emissions at the same time, and key elements will be increased efficiency and more biomass and wind energy.

Efficient power plants Energy efficiency is an often overlooked method of reducing emissions. DONG Energy's power plants rank among the most efficient with efficiency rates of up to 47 percent and we constantly work to improve efficiency. Furthermore, the central power plants are combined heating plants that channel excess heat from power production to consumers for domestic heating. Such use of energy elevates efficiency rates to 94 percent.

Biomass in power plants To further bring down emissions high efficiency must be supplemented by renewable fuels such as biomass. Already today, Danish power plants use half of the straw from Danish agriculture in our power plants along with increasing quantities of wood chips and wood pellets.

Wind power works Today, DONG Energy has built half of the world's offshore wind mills and wind energy will be an important contribution to achieving the 85/15 vision. Off the coast of Western Denmark, DONG Energy is completing the construction of the world's largest offshore wind farm, Horns Rev II. When it opens on the 17th of September this year, its 91 windmills will generate enough power to supply 200,000 households.

The offshore wind farm, London Array, in the Thames Estuary, will be another testimony to the potential of wind energy. DONG Energy owns 50 percent of the 1GW London Array project, which will be the world's largest offshore wind farm, powering 750,000 homes. First phase of the London Array is due to be completed by 2012.

Green transport The uneasy companion of large quantities of wind power is great variation in power production due to the intermittency of wind. Electric cars can help absorb the surplus power production when energy production is high because of strong winds and when energy consumption is low at night. More electric cars simply mean more wind energy. In addition, electric cars can reduce the rapidly growing CO2-emissions from the transport sector. DONG Energy is developing the infrastructure and technology that will allow for cleaner and more intelligent forms of transportation.

But the approach to the transport sector has to be broad based. DONG Energy is building one of the world's first demonstration plants for second generation bioethanol in Denmark. Contrary to first generation bioethanol produced from food crops, second generation bioethanol is based on residual products from forestry and agriculture. The plant will produce 5.4 million liters of clean and affordable second generation bioethanol each year.

The role of politics These are key elements in our strategy to simultaneously pursue growth and reduce CO2 emissions. But politicians must contribute by creating a political framework that aligns economic growth and climate mitigation. Concerns over growth and over climate change mitigation should not have to be balanced. They should be integrated.

On one hand, politicians must create economic incentives by ensuring a high price on CO2 and a global carbon trade system shared by all developed countries. On the other hand, politicians must formulate ambitious car-emissions standards, building codes etc. The first step towards aligning growth and climate concerns has to be taken in Copenhagen in December this year.

@highlight

DONG Energy aims to reduce its reliance on fossil fuels to produce energy

@highlight

Heavily involved in wind energy, has built half of the world's offshore windmills

@highlight

Opening world's largest wind farm in September, Horns Rev II has 91 windmills

@highlight

Eldrup: "Economic growth and climate mitigation concerns must be aligned"