(CNN) -- A blistering heat wave retreated to the south Wednesday, bringing some relief to the Ohio Valley and northeastern United States.

The number of states under heat advisories has diminished to 12 -- half the number earlier in the week.

Dangerous heat is expected across parts of northern Texas through Thursday evening, according to the National Weather Service. Dallas, Fort Worth, Arlington and other areas will experience afternoon heat indices of 105 degrees or more through Thursday.

Other states still sweltering under heat advisories include Oklahoma, Louisiana, Arkansas, Missouri, Tennessee, Mississippi, Alabama, Georgia, South Carolina, North Carolina and Virginia.

Many Tennesseans should expect the heat index to be between 110 and 114 degrees for the rest of the week, according to the National Weather Service.

"I just had to stop once in a while and catch a breath, it was just that tough to breathe," said Marion, Illinois, resident Ceasar Maragni, who opted to stay inside Tuesday after a swampy Monday evening trip to the Williamson County Fair. Even the frozen lemonade vendor was lagging with few customers in the nearly 100-degree evening heat, he said.

Other areas of the country not under heat advisories touted new record highs Tuesday.

Newark, New Jersey, broke its previous record of 98, set in 1966, when it hit 99 degrees.

JFK Airport and Islip, New York, did the same, reporting 97 and 93 degrees respectively, beating 1993 records of 94 degrees at JFK and 91 in Islip.

In central Oklahoma, temperatures in some places shot past the 100 mark for the 14th consecutive day Tuesday. Highs in much of the state are likely to flirt with triple-digits for almost another week, according to the National Weather Service.

High demand for water amid the heat wave and problems with soil shrinking as the ground warms has resulted in burst pipes and low water pressure in Oklahoma City. This prompted officials to issue mandatory water-use restrictions for the first time in at least a decade, according to utilities department spokeswoman Debbie Ragan.

More than 200 people have suffered from heat-related emergencies in Tulsa and Oklahoma City since June 17, when the agency issued its first heat alert, said Lara O'Leary, spokeswoman for the Emergency Medical Services Authority of Oklahoma.

The heat has been so extreme that a portion of the Cimarron Turnpike in Pawnee County, Oklahoma, buckled on Sunday, creating a 2-foot ramp that sent a motorcyclist flying 150 feet through the air.

In addition to the discomfort and potential danger, the heat could wreak havoc on crops, especially corn, said Chad Hart, assistant professor of agricultural economics at Iowa State University. The heat wave comes at a sensitive time for corn, he said.

"That's why markets are watching the heat wave. We're entering a period of time when corn pollinates, and so if you get a heat wave in the early- to mid-part of July across Iowa, Illinois and Indiana, it can have a big impact," he said.

"The last time we had a big heat wave and drought was in 1988, and that year we saw corn production fall off by over 30% ... so if we think of where we are today with already-high corn prices, a true drought scenario can push prices to highs we've never seen before."

Temperatures will return to nearly normal summertime levels by Wednesday throughout the Northeast, said Chris Vaccaro, a spokesman for the National Weather Service.

High pressure over the Plains is keeping the weather pattern stable, allowing heat to build. A cooler, dryer weather system is nibbling at the northern edges of the heat wave, threatening to exchange high temperatures for potentially dangerous thunderstorms, according to forecasters.

There's not quite so much relief in store for residents of the lower Midwest and South.

"This has been going on all weekend and will continue into this week," Vaccaro said.

In Oklahoma City, forecasters are calling for nearly another full week of temperatures near or above 100 degrees, threatening to break a 1936 record for 22 consecutive days of such heat.

Nighttime will bring little solace.

While record- and near-record daytime highs are being set, many areas are also experiencing record warm lows at night. For instance, the low temperature of 83 recorded early Tuesday in North Little Rock, Arkansas, set a new record for the warmest low in July, Vaccaro said.

Warm nights are a problem for people without air conditioning, he said.

"If you're exposed to the outside elements, your body can't cool down at night," he said.

The heat has already claimed at least one victim, a 51-year-old man in Granite City, Illinois, who died Sunday because of the excessive heat, according to the Madison County coroner.

Forecasters say people should limit outdoor activity during the hottest portions of the day, wear lightweight clothing, drink plenty of water and be watchful for signs of heat exhaustion, which include heavy sweating, pale and clammy skin, weak pulse, fainting and vomiting.

CNN's Monica O'Connor, Meteorologist Jacqui Jeras, Ed Payne, Karen Smith and Chelsea Bailey contributed to this report.

@highlight

The National Weather Service has taken down heat advisories in some states

@highlight

High pressure over the Plains is keeping the weather pattern stable, allowing heat to build

@highlight

The heat wave could harm crops, especially corn

@highlight

Parts of New Jersey and New York also reported record highs