(CNN) -- Neil Harbisson is the world's first legally recognized cyborg. He has an antenna implanted into his skull that gives him access to something he was born without: the ability to perceive color.

In a world where technology is overwhelming our mental focus and social lives, Harbisson, 32, has a closer relationship with technology than even the most avid smartphone user.

As a child growing up in a coastal town in Catalonia, Spain, Harbisson was diagnosed with achromatopsia, complete color-blindness. In 2004, he decided to find a way out of his black-and-white world, by developing a technology that would provide him with a sensory experience that no other human had ever experienced.

The idea came while studying experimental music composition at Dartington College of Arts in Devon, England. For his final project, Harbisson and the computer scientist Adam Montandon developed the first incarnation of what they called the "eyeborg." The apparatus was an antenna attached to a five-kilogram computer and a pair of headphones. The webcam at the end of the antenna translated each color into 360 different sound waves that Harbisson could listen to through headphones.

Although it sounds like a form of induced synaesthesia, a neurological condition that makes people see or even taste colors, Harbisson's new condition is different, and requires a completely new name: sonochromatopsia, an extra sense that connects colors with sound. Unlike synaestehsia, which can vary wildly from person to person, sonochromatopsia makes each color correspond to a specific sound.

It took about five weeks to get over the headaches from the sounds of each new color and about five months to be able to decipher each frequency as a particular color he could now hear as a sound.

In the years after he began wearing the eyeborg, Harbisson went from complete color-blindness to the ability to decipher colors like red, green and blue. He could even detect colors like infrared and ultraviolet, which are outside of the spectrum of human vision.

Going to a supermarket became like a visit to a nightclub. His daily choice of clothes began to reflect the scale of music tones that matched his emotional state, the way that some people match a top and pants. When he was in a good mood, Harbisson would dress in a chord like c-major, colors whose sound frequencies correspond to pink, yellow and blue; if he was in a sad mood, he would dress in turquoise, purple and orange, colors linked to b-minor. His concept of race also changed: he soon discovered that skin color, for him, was not actually black-and-white:

"I thought black people were black, but they're not. They're very very dark orange and people who say they're white are very very light orange," Harbisson explains.

The next step was to find a way to make the antenna less bulky. He began by reducing the weight of the computer to one kilo and strapping it inside his clothes. Then the computer's software was downsized into a chip installed under his skin. And this past December, Harbisson had the antenna installed directly into his skull.

Finding a doctor to do the operation was not easy. He presented his case to plastic surgeons, and then to over a dozen physicians. Each one turned him down. He finally found one who agreed to do it if his identity remained confidential. It took months for the bone and the antenna to fuse, but Harbisson says he achieved exactly what he wanted.

"I don't feel any weight, I don't feel any pressure," he says, grasping the slender neck of the antenna. "It just feels like touching an extension of my body. It feels like a new body part like a nose or a finger."

Cyborgism, of which Harbisson is one of the foremost pioneers, is a slowly growing trend. The development of Google Glass has brought more attention to the concept of wearing technology for extended periods of time. Magnetic implants that allow individuals to feel the attraction of magnetic fields, like microwaves or power cord transformers, have become a popular piece of equipment among self-described "bio-hackers." And more recently, a Canadian filmmaker developed and implanted his own kind of eyeborg, a prosthetic eye embedded with a video camera.

But Harbisson says he holds the distinction of being the first cyborg to be legally recognized by a government: the photo on his UK passport shows him wearing his device, effectively sanctioning it as part of his face.

He thinks the movement needs more momentum: "I thought that after a few years this would be really mainstream, that many people would start extending their senses, but it's still not the case."

For that he blames societal pressure, pointing to an anti-cyborg organization called "Stop the Cyborgs" that specifically targets those who use wearable technology like Google Glass or the Narrative Clip, an automatic, wearable camera that captures your life.

"People are afraid of the unknown. They tend to exaggerate or be very negative about the possible consequences of what is new to them."

For Harbisson, physically acclimating to the technology was the easy part. Acceptance from others has been the real challenge. He frequently compares the obstacles he faces on a daily basis to what transsexuals and transvestites experienced half a century ago.

In an effort to address some of these issues, Harbisson co-founded the Cyborg Foundation in 2010 with his childhood friend Moon Ribas. He asserts he's not doing anything unnatural: "Hearing through bone conduction is something that dolphins do, an antenna is something that many insects have, and knowing where North is is something that sharks can also detect. These senses are very natural, they already exist but we can now apply them to humans."

One way in which the foundation is trying to show people what it's like to be a cyborg is through the Eyeborg app for Android, which translates colors into the sound frequencies that Harbisson hears.

He sees the app as a first step toward introducing people to the cyborg experience: "We all have a mobile phone and we all use technology constantly, so this has become normal. It will also become normal to have tech inside our bodies or have it implanted. I think it just needs time."

Read more from Make, Create, Innovate:

Stealing from nature: Incredible new tech inspired by biology

Forget wearable tech, embeddable implants are already here

This 'Star Trek'-style molecular sensor fits in your hand, reads your food

@highlight

Neil Harbisson is the world's first legally recognized cyborg

@highlight

The 32-year-old was born with an illness that makes him completely colorblind

@highlight

He has a device implanted in his skull which translates color into sound

@highlight

But not everyone is ready to accept the rise of the cyborg...