(CNN) -- Valuable insight into our health is lurking beneath our city streets. "We can reveal the invisible in a city. The underworld we don't see every day," says architect Carlo Ratti.

The underworld Ratti is referring to is our sewers -- home to the most personalized waste a city has to offer. As director of the Senseable City Lab at MIT, his "Underworlds" project is using this waste to open up a new world of information on human health and behavior through a platform he calls "Smart Sewage."

"New techniques in biology allow us to characterize bacteria and viruses leaving our bodies. [This is] the microbiome of us," explains Ratti. His team is currently designing prototype smart platforms that collect sewage, filter it and use computational techniques to analyze any genetic material present to identify any viruses and bacteria, as well as spotting specific chemicals using a technique known as mass spectrometry.

Ratti aims to characterize a city's microbiome (the vast community of microbes that lives in the human body) and ultimately "see epidemics before they happen."

Detecting infections

The main benefits lie in the real-time aspect of the technology, providing insight into the diseases circulating in a community before the people affected know for themselves. "The steps involved in disease diagnosis are slow," Ratti explains. First, people need to notice symptoms of illness, and then they have to begin the process of doctors' appointments and tests to get a diagnosis. Testing sewage could be a faster way to predict the presence of infections among the population.

To begin with, the project will primarily look for influenza and gastroenteritis-related outbreaks, such as salmonella and rotavirus infections, but the potential public health benefits go beyond outbreak prediction and surveillance.

"Most of what's going in and out of a city is the water going in and sewage coming out," says Eric Alm, professor of Biological Engineering and Civil and Environmental Engineering at MIT, who runs the Underworlds project alongside Ratti. "The change in water in and out reflects a broad array of human activity going on in a city," he adds. But Alm admits there are many challenges ahead and that it's not as straightforward as getting DNA from the sewage and sequencing it. "It's only useful if we can figure out what kind of sewage water it is," he says.

The water in our sewers is a mix of water from showers, toilets and rain, and the resulting chemicals and microorganisms will vary depending on the source. "The second challenge is, who has contributed to that water?" explains Alm.

But he believes his team can build a robust platform to not only monitor changes in health, but also see what chemicals are being released into the water by industries, as well as monitor chemical security threats and even assess the impact of health policies by looking at other biological factors. "There's a whole host of applications we can use," says Alm.

Live trials

The first city to trial their prototype will be the one local to MIT -- Boston. This will be piloted in 2016, ready for a bigger prototype set to be implemented in Kuwait City the following year, where the team has formed a partnership with Kuwaiti stakeholders including its Ministry of Health.

Trials are essential to understand the true sensitivity of such a technology and the extent to which microorganisms such as viruses can be detected.

"It's a clever idea in principle," says Sandy Cairncross, professor of Environmental Health at the London School of Hygiene and Tropical Medicine. But he remains unsure whether the bacteria and viruses being targeted can be easily found.

"Some organisms are more fragile than others and will die in the sewers, some are difficult to detect in small numbers and some are more numerous than others," he says. Cairncross recalls a cholera study that took swabs of sewage from manholes in Dhaka, Bangladesh, but failed to find a single one these bacteria. "It has potential but will take a lot of trial and error to find which results are reliable or meaningful," he adds.

The concerns are shared by the team at MIT. "We need to figure out how far down from somebody's home or business you can still see organisms," explains Alm, who also suggests they may need to time sampling to "peak poop hours" during the day, such as the morning.

But they have had some success. "We did some early studies last year and detected some flu viruses, which we were very excited about." Their sewage success was indeed exciting as the types of organisms expected to be found are those associated with the gastrointestinal tract, such as salmonella, whereas flu viruses are respiratory. "I'm optimistic," says Alm.

Smart toilet

Whilst the short-term plan is to use this technology platform to collect information about entire populations, in the future it could become more personalized, via a smart toilet.

"We will be able to monitor the microbiome individually, and tell you about your body," says Ratti about the overall vision for the technology, "to monitor and detect this before you fall sick."

Alm monitored his own microbiome for a year back in 2009, which involved noting every food item consumed and analyzing his every bowel movement. But the arduous task provided detailed insight into the microbial communities living inside his body and the impact any changes in travel, diet or health had on their composition.

The smart toilets are likely to begin simple, with a device to drop into a toilet rather than a toilet you buy outright with technology installed. But the information provided could add to the growing field of personalized medicine and healthcare.

The immediate future, however, remains the glamorous task of mining sewage to visualize urban health patterns. "Sewage is the most logical start point," concludes Alm about his goals to find the bugs infecting a city. "You never know until you go out and find it."

@highlight

"Underworlds" project will analyze sewage to spot diseases

@highlight

Monitoring city sewage could reveal infections circulating in the population

@highlight

The project could one day be applied to create individual "smart toilets"