(CNN) -- The Supreme Court for now is staying out of the hot-button issue of concealed weapons laws.

The Justices on Monday declined to review two cases brought by the National Rifle Association that deal with whether those age 18-20 can buy and then carry handguns in public for self-defense.

The justices gave no reason for denying those cases and a third gun-control appeal on out-of-state weapon transfers.

The decision not to intervene means the state and federal laws at issue will remain in effect, and are at least a temporary setback for gun-rights advocates.

The NRA had hoped the court was prepared to address a broader, politically explosive issue-- whether there was a fundamental constitutional right to carry a concealed weapon in public.

The Supreme Court in 2008 said the Second Amendment guarantees an individual right to have a handgun in the home to protect life and property.

Both current handgun cases originated in Texas, which included a challenge to state restrictions over "concealed carry" permits.

At issue in NRA v. McCraw (13-390) was whether the right to bear arms in public for self-defense extends to responsible, law-abiding 18- to 20-year-olds.

State law permits those 21 and older to apply for a license to carry a concealed weapon.

Many states have similar restrictions, citing concerns over crime rates among certain young adults, and whether they have the necessary level of maturity and responsibility to carry a handgun.

The second legal challenge dealt with a 1968 congressional law that restricts sales of handguns by federally-licensed firearms dealers only to those 21 and older. Those 18-to-20 may still be allowed to purchase shotguns and certain type of rifles, or receive handguns as a gift.

Two young Texas gun owners-- Andrew Payne and Katherine Taggart-- had brought the original lawsuit in NRA v. ATF (13-137).

Again, the nation's most powerful gun rights group failed to convince the high court to address whether a nationwide, class-based, categorical ban on meaningful access to exercise the right to keep and bear arms for self-defense violated the Second Amendment.

The justices also turned down a more narrow appeal in Lane v. Holder (12-1401), denying gun owners in Washington D.C. the ability to sue over city laws making it hard to legally transfer weapons purchased in nearby jurisdictions.

Since the nation's capital does not have any federally-licensed gun shops, residents seeking a handgun typically have to go to nearby Virginia or Maryland.

Once the high court established an "individual" right to keep a handgun in the home, it has been reluctant to broaden that right in a variety of subsequent challenges to other firearm restrictions.

The Justice Department estimates as many as 275 million guns are in the United States. In 2005, the last time figures were available, three-quarters of the 10,100 homicides by firearms nationwide were committed with handguns.

Paul Clement, a Washington lawyer challenging the federal restrictions on handgun sales to those under 21, expressed frustration at that reluctance.

"Given the number of laws enacted by the federal government, states, and localities in the years when a mistaken understanding of the Second Amendment held sway, one would have expected a major reconsideration of extant firearms laws to have occurred," said Clement in a brief filed with the court.

"Instead, jurisdictions have engaged in massive resistance to the clear import of those landmark decisions, and the lower federal courts, long out of the habit of taking the Second Amendment seriously, have largely facilitated the resistance," he said.

Efforts to craft compromise gun-control legislation have stalled in Congress despite the Newtown, Connecticut, school massacre in 2012 and a string of mass shootings since.

The high court six years ago -- for the first time -- affirmed an individual's right to own a firearm, when it struck down Washington D.C.'s handgun restrictions.

But the court confined its analysis just to the home, leaving in place other gun control laws, including those "forbidding the carrying of firearms in sensitive places such as schools."

While the court for now is staying out of the concealed carry issue, it may be forced back into the debate.

Federal appeals courts in Philadelphia and San Francisco have issued opposite rulings in recent weeks.

@highlight

Court declined to review two cases brought by National Rifle Association

@highlight

The decision is seens as a temporary setback for gun rights advocates

@highlight

Gun-control efforts have stalled in Congress despite Newtown and a string of other mass shootings