(CNN) -- Activists in Saudi Arabia utilizing new media tools to call for change "face a repressive and intolerant government," and risk harassment as well as imprisonment, according to Human Rights Watch (HRW).

A report by the rights group, "Challenging the Red Lines: Stories of Rights Activists in Saudi Arabia," released Wednesday, accuses Saudi authorities of "arresting, prosecuting, and attempting to silence rights defenders and to quash their calls for change."

"Independent activists in Saudi Arabia have little to protect them from the repressive practices of their government," said Adam Coogle, Saudi researcher for Human Rights Watch.

"It's time for other countries to break their silence and tell Saudi Arabia to allow independent activism," Coogle told CNN.

Activists in Saudi Arabia -- an absolute monarchy where dissent is little tolerated -- have increasingly turned to social media sites to express growing frustration with the government. Online participation by Saudis has increased so much that the country now has one of the highest usage rates of Twitter in the world.

As the government will not allow for the formation and licensing of independent human rights bodies inside the country, many internet-based nongovernmental rights organizations have been established, and frequently report on human rights abuses within the ultraconservative kingdom.

According to HRW, "despite the authorities' efforts to block online content, Saudis -- at least 49% of whom have Internet access -- use Internet forums to bypass heavily censored state media."

The report also highlights the stories of 11 prominent Saudi political and civil activists and "their struggles to resist government efforts to suppress them," according to HRW.

One of those activists, Waleed Abulkhair, was recently sentenced to three months in jail by a court in Jeddah for signing a petition critical of Saudi authorities two years ago.

"Human rights activists are having a very bad time right now in Saudi Arabia," Abulkhair told CNN. "Authorities don't want anyone to speak out loudly and when we do, the government feels they lose control."

Abulkhair, a prominent human rights lawyer, said he is appealing his sentence, but that he's now also being tried by the Specialized Criminal Court (which prosecutes terrorists) in the country's capital city, Riyadh. According to Abulkhair, he's been charged with "setting up an unlicensed organization" and "breaking allegiance with the Saudi King," among other things.

Abulkhair believes he is being prosecuted solely for his activism and holds out little hope he'll remain free much longer. "I'm sure that I will be convicted," he told CNN.

Another Saudi activist highlighted in the report is Abulkhair's brother-in-law and client, Raif Badawi.

Badawi was recently sentenced by a Jeddah Criminal Court to seven years in prison and 600 lashes for violating the nation's anti-cybercrime law. In jail since June 2012, Badawi was found guilty of insulting Islam through his website and in television comments.

Badawi's legal troubles started shortly after he started the Free Saudi Liberals website in 2008, as a way to encourage discussion about religion; it didn't take long for some clerics to brand him an unbeliever and apostate. Badawi's sentence is being appealed.

The case of Adel Ali al-Labbad is also included in the report. It calls him "a political activist and poet from the Eastern Province city of Awammiyah." HRW says Saudi security forces have arrested al-Labbad, a Shiite, four times over the past ten years and tortured him.

"Saudi Arabia's conviction of eight prominent activists in 2013 alone for their peaceful activities has been largely met with silence by Saudi Arabia's friends in the US and Europe," said HRW's Coogle.

"It's time for other countries speak up and tell Saudi Arabia to end its repression campaign."

Despite repeated attempts, CNN was unable to reach Saudi Arabia's Interior Ministry or Justice Ministry for comment.

Rights groups have frequently accused Saudi authorities of targeting activists through the courts and travel bans.

Many were outraged in March this year, when two of the country's most prominent reform advocates, Mohammed Al-Qahtani and Abdullah Al-Hamid were sentenced to 10 and 11 years in prison respectively.

At the time, Amnesty International called their trial "just one of a troubling string of court cases aimed at silencing the kingdom's human-rights activists."

Asked in January about accusations that Saudi Arabia is cracking down on dissent, Major General Mansour Al-Turki, spokesman for the Saudi Interior Ministry, told CNN, "At the Interior Ministry, our area of responsibility is security."

He added, "My understanding is that these cases are being looked at by the courts now. Nobody will comment on cases being looked at by the courts."

According to HRW, "Saudi Arabia does not have a written penal code, leaving judges free to issue sentences based on their own interpretations of the Quran and the teachings of the Prophet Muhammad, the two agreed-upon sources of Islamic Sharia law."

"Defendants accused of political offenses -- including human rights activists -- are often sentenced by the Specialized Criminal Court, set up to try terrorism-related cases. This court sometimes denies defendants the most basic fair trial guarantees, including the right to a lawyer, and passes sentences in closed proceedings."

Despite repeated criticism of Saudi Arabia's human rights record by numerous rights groups, in November the kingdom was elected to a three year term on the United Nations' Human Rights Council.

@highlight

Activists in Saudi Arabia have turned to social media to speak out against the government

@highlight

The establishment of independent human rights bodies inside the country is forbidden

@highlight

Activists risk harassment and imprisonment says Human Rights Watch (HRW)

@highlight

HRW: "It's time for other countries speak up and tell Saudi Arabia to end its repression campaign."