It's been a tension-filled week for travelers used to flying safely around the world.

The shooting down of a commercial flight over Ukraine and a rocket strike near Israel's gateway international airport have made people keenly aware of the risks of flying through conflict zones.

Safe airspace is top of mind for people considering trips to troubled spots and those just hoping to get home sooner rather than later.

Malaysia Airlines Flight 17 crashed in eastern Ukraine on July 17, killing all 298 people aboard. U.S. intelligence officials say that pro-Russian rebels were responsible for shooting down the commercial airliner traveling from Amsterdam, Netherlands, to Kuala Lumpur, Malaysia. They now believe the rebels probably didn't know that it was a commercial airliner, officials said earlier this week.

On the day of the crash, the Federal Aviation Administration issued a notice prohibiting U.S. flight operations in the airspace over eastern Ukraine until further notice, widening an April ban on flights over the Crimea region.

Less than a week later, a rocket strike about a mile from Ben Gurion International Airport in Tel Aviv, Israel, prompted the FAA to prohibit U.S. airlines from flying into the airport. The ban lasted about a day and a half and was lifted Wednesday night. European aviation authorities also moved to ease their recommendation urging carriers to avoid the region.

A crash of a plane attempting to land in Taiwan in heavy rain Wednesday that killed at least 48 on board and reports Thursday of the apparent crash of an Air Algerie flight carrying 116 people have delivered two more blows to a tragic seven-day period.

The unusual string of events has travelers worried.

"I never had a reason to think I was flying over a war zone where missiles might be flying," said Elizabeth Bratt, 34, an American living in Taiwan, who is planning to travel to Europe and the Middle East in the fall. "I would have trusted an airline to avoid such an area."

Israel-Gaza conflict felt around the world

The concern over routes doesn't surprise aviation security consultant Jeff Price.

"Most travelers were only mildly concerned about where their flights were going prior to the Malaysia flight," Price said. "Many are probably more concerned about it now. I know I would be, and I would definitely be concerned about anything flying over an 'act of war' zone."

Or into a war zone.

The FAA ban on U.S. airlines flying into Tel Aviv -- now lifted -- followed on the heels of a State Department travel warning about the region. It advised Americans to consider deferring nonessential travel to Israel and the West Bank and reaffirmed existing guidance against any travel to Gaza. Other countries are cautioning their citizens against some travel to the region.

Tourism taking a hit

The escalating violence and resulting travel restrictions have translated into tourists starting to avoid Israel. With about 8 million people, Israel welcomed a record 3.5 million visitors last year and a record 1.4 million for the first half of 2014, according to the country's Central Bureau of Statistics.

The country's largest airport, Tel Aviv's Ben Gurion, handled a record 14.3 million passengers in 2013, up 8% from 13.1 million passengers in 2012, according to Airports Council International, a trade group. (Israel has six commercial airports, two of which handle international traffic.)

Israeli tourism had already been affected by the conflict, and the FAA's flight ban had further impact. Hotel occupancy in central cities dropped to 50%, according to Yossi Fatael, managing director of the Israel Tourist and Travel Agents Association.

Since July 15, the number of visitors cutting short their visits increased from 25% to 40%. "The accumulating damage figure is some $500 million," Fatael said.

Should the conflict clear up in the next few days, Fatael said, the overall damage might be lighter than expected. If it continues, he couldn't speculate on the long-term impact on Israeli's tourism industry.

There's never been an event that affected tourism in Israel to this level, he said, in part because of the timing. "During the Gulf War in 1991, the situation was somewhat similar," Fatael said.  "Yet it was in January and not during the height of tourism season."

Travelers reassess plans amid Mideast conflict

Still trying to get to Israel

Gil Travel was still sending tour groups to the Middle East, its owner said Wednesday. The Philadelphia-based company had tour groups scheduled to fly into Israel on Wednesday night.

Working with El Al airlines, Gil Travel was able to get more than 100 passengers switched to flights that would take them from New York to Israel.

"Same goes the other way," owner Iris Hami said before the ban was lifted. "Those who need to leave from Israel will fly out El Al or stay late."

Hassan Khawaled, a tour guide with travel group Ahalan Olympus, had a group of students scheduled to fly into Tel Aviv on Wednesday for an Islamic-focused tour of Israel. Since their flights were canceled, the Israel-based agency flew them into Jordan and drove into Israel, he said.

Many flights soar over conflict zones

Travelers are trying to get home

Many travelers already in Israel had cut their trips short and headed home before the FAA ban.

"For our clients traveling in Israel, we assisted the majority of them in returning home days ago," said Peter Vlitas, senior vice president of Protravel International.

"While we have a few still there now, we are working to get them home via Europe. Also, we proactively contacted all clients scheduled to travel to Israel in the next 30 days and advised them of the situation and the refund policies of the airlines."

Travelers in Israel have been finding help from the tourist association and some airlines.

United Airlines is providing "hotel, meal and transportation accommodations for our Tel Aviv customers impacted by the cancellations," a spokeswoman said.

Atlanta rabbi Joshua Lesser traveled to Israel on July 10, joining a two-week reconstructionist rabbinic study mission to learn about the Middle East conflict from members of the region's diverse communities.

His Wednesday flight home on Delta Air Lines was canceled after the first FAA ban was announced.

Lesser, rabbi of Congregation Bet Haverim in Atlanta, has some perspective. He has taken cover in bomb or makeshift shelters several times since he arrived.

"I have listened to the trauma that Israelis experience feeling like their existence is threatened and the fear of the air raid sirens and loss of life, and I have listened to Palestinians and Israeli Arabs talk about the injustices they face at checkpoints, their limited movement. This is no way for people to live long term.

"This is a small taste of how people's lives and plans are derailed every day," he said

Planning on going to Israel? Share your story

@highlight

Travelers jittery after Malaysia Airlines downing, rocket strike near Israeli airport

@highlight

U.S. lifts ban on airlines flying into Tel Aviv airport after day and a half of restrictions

@highlight

Travel uncertainty comes at height of tourism season in Israel