(CNN) -- In Al Qaem, Iraq, the anger and despair of the refugees is palpable. Two refugee camps have been set up there, nine miles from the border with Syria. As Save the Children's Country Director, I made the dangerous 280-mile journey out to Al Qaem to help with our distribution of urgently needed newborn kits and to hear the stories of the families.

Although in numbers they are fewer than their counterparts in Jordan, Lebanon and Turkey, their suffering and needs are no less pronounced, especially given their low profile, the extreme challenges that organizations are facing in reaching them, the lack of funding and the minimal services in the area. Save the Children is one of very few organizations supporting the more than 8,000 Syrian refugees living in very difficult circumstances in this hardly accessible area in the far western corner of Iraq.

I shiver despite the noon sun. Temperatures are no more than 50 degrees Fahrenheit (10 degrees Celsius). Thirteen-year-old Ali is stoic. "You should be here at night to really feel it." He beams a smile at me. I force myself to ignore the icy air. The thick baby blanket that we included in the newborn kits will come in very handy.

I'm struck by the tidiness of Um Ahmed's tent. There are no possessions; just five sponge mattresses where 14 people sleep. As I sit cross-legged, the cold bites; I retreat to a kneeling position while the girls giggle shyly. These girls are attending the child-friendly space that we have helped set up for kids here. These children have been exposed to much pain, uncertainty, fear, displacement -- they really need the stability and normalcy that child-friendly spaces can offer.

The stories come fast and furious. "What have we done to deserve this? Look at our children just in T-shirts. No one has proper shoes, not even socks. My daughter-in-law had to flee for her life with seven children ... her husband is still there. He's my son; I don't know where or how he is."

Um Ahmed's daughters and their friends fill the tent with their stories -- of children's dirty clothes, of not showering in more than four weeks, of water too muddy to even make tea.

The baby is crying. Her cheeks are swollen and yellowish as are those of many of the older children. "Al Sfar" (jaundice), confirms Um Ahmed. She says the clinic offers no help. One mother hugs her 3-year-old daughter. "I'm just watching my child get sicker every day and there is nothing I can do."

Another woman, Intisar, wordlessly pulls the base of the tent out to show me how damp the gravel is under the tent. "It seeps into those sponge mattresses, into our bones, into our skin. There is no way of staying warm or dry." Her husband shows me the deep crevice dug by their resident rats. "All night they crawl under us, trying to get warmth. The children scream, and I spend all night beating the rats out."

As I walk out, the tears rise in me. It hurts to look into the despair on the children's faces, to see a toddler barefoot on the gravel. There is so much that needs to be done. Without support these children truly suffer. As winter tightens its grip on Syria's neighboring countries, stories like those I heard in Al Qaem are far from unique.

UNHCR estimates that the number of refugee children in the region has surpassed 250,000, and that number continues to climb. They lack medical care, adequate food, warmth and clean water. In Al Qaem, Save the Children has already provided hygiene kits for all families, 430 newborn kits and is helping 520 children through the child-friendly spaces. Regionally, Save the Children has reached 80,000 children and families so far and is working to triple our response in Lebanon, Iraq and Jordan.

As with all other organizations responding to the humanitarian needs of the Syrian refugees in the region, our greatest challenge is funding. We are on the ground. We have established operations in Al Qaem, which is no small feat. We are ready to deliver aid immediately but we need the funds to make it happen.

That night, I cannot get warm, despite the blankets and thick walls. I cannot stop thinking of the children, out in the desert cold.

To donate to Save the Children's Syria Children in Crisis Fund, which provides relief and support for Syrian children seeking refuge in Lebanon, Iraq and Jordan, please click here.

@highlight

More than 8,000 Syrians live as refugees in Al Qaem, Iraq, near the Syrian border

@highlight

Conditions at the Al Qaem camps are expected to worsen over the winter

@highlight

Amy Mina with Save the Children recently visited the camps to distribute supplies for newborns

@highlight

Save the Children is providing aid to Syrian refugees in Iraq, Lebanon and Jordan