(CNN) -- Deciding when to upgrade is a funny, sometimes expensive thing. Carrier contracts that subsidize the cost of a new iPhone are usually for two years, so it's traditional to upgrade every other model or less. You also want to time it just right, during the iPhone development cycle, so you don't buy a phone months before it's outdated.

If you are an iPhone owner who is pondering an upgrade to the new iPhone 5, here are some things to consider:

Do you long for more screen space/watch a lot of movies?

Perhaps you've heard that the iPhone 5 is taller. This is true. After testing its tallness we've found that there is more space on the screen, which is no longer as short as the previous iPhone screens.

The phone retains its width but is now 9 millimeters taller -- that's one extra row of icons. The dimensions are perfect for watching widescreen movies, which were previously smaller and letter-boxed. The space also gives all other apps a bit more breathing room. Third-party applications must now redesign their apps to fix the new aspect ratio -- which requires time and resources -- so until then, older apps will be shown at normal size, the bar of unused screen space cloaked in mourning-black.

There is a market for much larger smartphone screens, and companies like Samsung have delivered with spacious, high-resolution smartphones. This is largely a matter of preference, but if you find that the iPhone 5's screen is still just too small for you, you may need to defect to something like the Samsung Galaxy S3 which has a 4.8-inch screen.

Does your current phone feel slow?

Each iPhone is typically faster than its predecessor, and phones tend to slow down over time. Apple has added a speedier processor to the iPhone 5 in the form of an A6 chip. The company claims it is up to twice as fast, and after testing, the difference is definitely noticeable.

Holding on to a slightly slower iPhone might not be much of an issue if you primarily use it for common tasks -- calls and texts, e-mailing, Twitter and Facebook, reading, even watching movies. If you don't find yourself grumbling at how slow your phone is, and you're still reeling from the speed improvements over the last iPhone you bought, you can probably carry on blissfully unaware of the difference.

However, if you use your iPhone for bigger tasks like playing graphic games, the speed is a very welcome bump indeed. Another place it's a noticeable improvement is the camera (more on that in a moment).

There are also free steps you can take to try and speed up your current phone. Free up some hard drive space by uninstalling apps you never use, emptying Safari's cache and clearing out photos, videos and music (see exactly what's taking up space in Settings->General->Usage). Make sure you regularly close any apps running in the background.

Is your iPhone your primary camera?

Thanks to decent image quality and the ability to share photos and videos instantly, the iPhone is probably more popular as a camera than a telephoning device. The iPhone 5 has the same 8-megapixel camera sensor as the iPhone 4S, but Apple did make a few hardware tweaks to make it fit into the thinner body and to improve image quality.

The best camera improvement is actually just plain old speed. You can take rapid-fire shots as fast as your finger can tap on the shutter button. Tapping to focus is instant. For anyone who has ever missed a moment because of the iPhone's lagging trigger, this is just awesome.

Apple added a new panorama feature to the Photos app, and while there are numerous third-party panorama apps available, such as Microsoft's Photosynth, the Apple feature manages to beat them at their own game. The stitching is both faster and higher quality than competitors, and the final image is higher resolution.

Other adjustments to the camera include improved low-light images and reduced noise.

Do you use your phone for navigation?

If so, there is a slight caveat.

Every iPhone release comes with its own bit of drama. Sometimes it's overblown, like Antennaga2te, when holding your case-less phone in a very specific position could cause it to drop calls. iPhone 4S users reported battery issues. For the iPhone 5, the issue de jour is its new maps app.

Every iPhone 5 comes with iOS 6 pre-installed. That means the old maps app is automatically out, replaced with Apple's first go at a map application. It adds turn-by-turn directions and nice 3D graphics, but drops transit directions and decreases accuracy.

Apple has always excelled at design and smart user interfaces, but it is not a data company. While it continues to work to make this app what it should be, the best solution is to wait for Google to release its own third-party maps app for iOS. (The company is mum on when exactly that will be, but it will probably happen soon.) In the meantime, there are many other map apps in the Apple App Store, and you can still access Google's service through Safari, though the experience is slower and less intuitive.

Do you like beautiful things?

The most impressive part of the new iPhone is its design. Apple is comparing the level of construction to a "finely crafted watch." Like a luxury item, its design is impeccable, the attention to detail visible on every seam and surface. It also tells time.

Not everyone integrates their iPhone 5 into an outfit like a Rolex. If you are one of the many people who protect their iPhone with an opaque case, the details won't be visible to people around you. In that situation, you still get the satisfaction of a well-made device, but previous iPhones were also finely crafted and are still in perfectly good shape.

The most dramatic physical difference of the new phone is that it is thinner and lighter. But while a great overall improvement, that's not enough of a reason to warrant upgrading unless you find yourself constantly bemoaning how heavy and fat your existing phone is. If you wear skinny jeans, this might be the one upgrade you were waiting for.

Do you have anything older than an iPhone 4S?

If you have an iPhone 3GS or earlier, upgrade. Do it for the screen. The retina display introduced on the iPhone 4 has been further refined for the iPhone 5 and in side-by-side comparisons with all screens at full brightness, the colors do look more vivid on the iPhone 5.

If you have an iPhone 4, the decision is harder. Consider what new features you really need. If you would get a lot of use out of the Siri voice-assistant, for example, this is a good time to upgrade. If you are a hardcore mobile gamer or serious iPhone photographer, the speed is worth it. But if you find that your two-year-old, well-crafted iPhone is holding up nicely, perhaps stick it out for another year.

IPhone 4S owners should just relax and enjoy their current phones. Wait a year for the next iteration, when your carrier will offer you the upgrade at the subsidized price and all the iPhone 5 owners will suddenly be stuck with old technology.

@highlight

The iPhone 5's speed is a significant upgrade for gamers and photographers

@highlight

The new, taller screen size is perfect for widescreen movies, but many apps don't fit the new size yet

@highlight

Owners of iPhone 3GS and older models should definitely consider upgrading

@highlight

Decision is harder for owners of later models