(CNN) -- On Friday, October 17, Alex Badeh, Nigeria's most senior military official, announced in the Nigerian capital Abuja that "a ceasefire agreement has been concluded" with the terrorist group Boko Haram.

"I have accordingly directed the [military] chiefs to ensure immediate compliance with this development in the field," he said.

More than one government official followed up with claims that the release of the more than 200 schoolgirls abducted in April was one of the concessions extracted from the terrorist group as part of the truce.

Now, more than three weeks later, there's nothing to suggest that Boko Haram is keen on peace. A video released on November 1 shows a man believed to be sect leader Abubakar Shekau denouncing the so-called deal and vowing to continue the campaign of terror. The abducted girls, Shekau taunts, "are in their marital homes." The sect has also continued to attack and capture towns and villages in the north east -- including, a week ago, Air Marshal Badeh's home town.

Recent history -- a long line of failed attempts to negotiate with, or pacify, Boko Haram -- should have inspired some wariness on the part of the government.

In 2011, Kashim Shettima, then Governor-Elect of Borno, the state worst-hit by the violence, said his government would "offer them amnesty as long as they lay down their arms and embrace peace."

The offer was rejected by someone who claimed to be a spokesperson for the sect, for two reasons; "first we do not believe in the Nigerian constitution and secondly we do not believe in democracy but only in the laws of Allah."

A few months later, former Nigerian President Olusegun Obasanjo travelled to Maiduguri, where the group started out from more than a decade ago, to discuss with the family of Mohammed Yusuf, the sect's founder (whose controversial death in police custody in 2009 triggered the sect's bloody uprising). Barely 48 hours after the meeting, the man who hosted Obasanjo on behalf of the family was shot dead by unknown gunmen.

In April 2013 the Federal Government set up a "Presidential Committee on the Dialogue and Peaceful Resolution of Conflicts in Northern Nigeria." Days later a man claiming to be a Boko Haram spokesperson rejected the amnesty. This was followed by a Hausa language audio recording released to journalists in which a man purporting to be sect leader Abu Shekau, said: "We are the ones to grant them pardon. Have you forgotten their atrocities against us?"

Nonetheless, the government pushed ahead with the plan; the head of the committee announced a ceasefire in July. As 2013 came to an end, Boko Haram intensified its activities, culminating in the abduction of the schoolgirls this April.

Around July this year, presumably inspired by ISIS, it started to seize -- and hold -- territory.

It was against this alarming backdrop that the news of the latest ceasefire emerged, to much relief from around the world.

Now that the ceasefire deal has proven to be a sham, several questions linger: What did the government do to verify the legitimacy of the Boko Haram negotiator? What was the plan regarding the swathes of Nigerian territory seized and held by Boko Haram, pre-ceasefire?

And, most importantly, why did the federal government, aware of how every previous talk of a ceasefire has turned out, fail to exercise greater caution with this latest one, even in the face of valid concerns by those who should know.

The answer to the last question may be found in the fact of Nigeria's brutal, winner-takes-all politics. In the general elections forthcoming early next year, President Jonathan will be seeking a second and final term. It should have been a walkover for the incumbent, as presidential elections traditionally are in these parts. But a potential game-changer emerged last year: a merger of Nigeria's leading opposition parties -- producing arguably the strongest and most determined opposition alliance a Nigerian ruling party has ever faced.

Both parties have stridently sought to capitalize on the Nigeria's dire security situation in northeastern Nigeria; the ruling Peoples Democratic Party (PDP) by alleging that the opposition All Progressives Congress (APC) is sympathetic to Boko Haram and is sponsoring the insurgency to undermine Mr. Jonathan's government, and the APC by highlighting the success of Boko Haram as evidence of the incompetence of President Goodluck Jonathan and his government.

When the news broke -- at a time when opposition presidential candidates were launching their campaigns, and when speculation was rife that the President was due to declare his own bid soon -- more than a few people saw it as a move by a beleaguered government to counter allegations of incompetence, and shore up its image. The release of the abducted girls would no doubt have boosted Mr. Jonathan's re-election chances.

It seems likely that it is this obsession with the approaching elections that fueled the government's shocking gullibility in this matter; allowing it to be hoodwinked into going to town with news of a deal swathed in red flags.

The fact that no room was left for doubt or caution is shocking, considering that it is open knowledge that Boko Haram, far from possessing a unified command, is actually a chain of factions varying widely in motivation and method, presumably "too fragmented to present a common front for dialogue."

The government's blindness -- willful or otherwise -- to that fact should alarm us all. But it's not very surprising.

At every turn the Nigerian government -- everything from the president's office, to the military, and intelligence services -- has demonstrated that it is as confused as the rest of us.

We see this not just in the desperation, at the highest levels, to believe anything regardless of how implausible it sounds, but also in the supremely careless manner in which information regarding the crisis continues to be managed.

If the past is anything to go by, I'm certain we haven't seen the last of the "ceasefire" announcements.

@highlight

On October 17, Nigeria's government announced a truce with Boko Haram

@highlight

Officials said the deal would see more than 200 girls abducted by the group in April freed

@highlight

But a video emerged of Boko Haram's leader denying a truce had been agreed

@highlight

Tolu Ogunlesi says the government's election focus allowed it to be hoodwinked