From the beginning of 2015, Britain is embarking upon an experiment with driverless cars.

Transport Minister Claire Perry has already labeled it "transformational." In Perry's perfect world it'll be the precursor to millions of driverless cars on our roads. For many, it has all the constituents of a recipe for disaster. And for the realists it's unlikely to happen in a major way for at least a couple of decades.

According to Perry, driverless cars will help out harassed mums by taking on the school run. They'll give disabled people who currently can't drive the power of self-mobility. And best of all, they'll scythe into that irritating statistic that says 90% of road crashes are caused by human error.

For many people, driverless cars are an alien concept. Car maker Volvo says 2012 data showed only half of 18-37 year-olds were ready for the driverless car revolution. That means half of this digitally-savvy age group weren't. Perry cites the technology as being the barrier for humans getting to grips with driverless cars. She's wrong.

In 2014, more than two million new cars will be sold in the UK. A significant proportion will feature the cruise control, self-parking systems, autonomous emergency braking and lane departure warning that enable a car to be driverless. We're more than used to the technology.

We understand computers are more than capable of reacting correctly to situations they've been programmed to deal with. But we also know our roads are an incredibly complex, constantly evolving and entirely unpredictable environment.

Despite all our laws and rules, roads are random, like humans. Consequently we are brilliant at reading the situations we find ourselves in; accidents happen because we just don't react correctly. The result of this is that having driverless cars sharing the road with human-driven vehicles has chaos written all over it.

And we're not just talking mayhem at street level. Multiple car makers agree that the technology is already fit for purpose. It's the legislation and logistics that need sorting out.

To operate safely, self-driving cars need to talk to each other. They need to identify cars that are parked and therefore not a threat. If they're traveling in a convoy at motorway speed -- "platooning" as it's called -- Car A needs to tell Cars B and C to the side and behind that it wants to come off at the next junction. Then Car B needs to tell car D behind that it's slowing down to let Car A in and so on.

The only way this can work is if they talk the same language. Some car makers are currently working on this but industry insiders say the specifics are unlikely to be agreed much before 2030. They haven't even agreed how much control the computers should take. Should they drive all the time? Or would humans retain some control?

Once they have agreed that, drivers will need training. If you're buying a car that's going to hold your life in its computerized hands, the majority of responsible adults will want more than the 10-minute handover chat from a salesperson already preoccupied with how to spend their month-end bonus.

And if the car then crashed because its human hadn't operated it properly, who would be liable? Does the owner's insurance cough up? Is it the manufacturer who sold you the car but didn't brief you properly? Or the third party who supplied the manufacturer with the technology? Again more questions.

In an effort to answer some of these, the UK Government has set up a £10m ($16m) fund to look at how driverless cars can be integrated into everyday life in the UK. That sounds great, except £10m barely gets you off the driveway in car industry terms. A major manufacturer such as Ford will spend 100 times that just on marketing a new model.

Let's assume the government does find some answers, will Mrs Smith really be able to trust her car to take Tarquin and Mungo to school? What happens if Mungo starts feeling sick? Or Tarquin's left his maths homework on the kitchen table? I'd hazard a computer will struggle with those little everyday challenges that we humans absorb so brilliantly.

Perhaps more importantly, is just how much control we would cede. I would be happy to let a car do the driving in a slow-moving motorway traffic jam. I'm not sure about driverless cars in a congested urban environment. And I'm even less certain about having cars running around without a capable driver even in them. Perry is right: driverless cars could be transformational. But at the moment, there are too many questions to know if that's going to be in a good way.

@highlight

The UK government has announced a £10 million fund to research driverless cars

@highlight

Transport Minister Claire Perry says the technology could be "transformational"

@highlight

But James Foxall says driverless cars are programed but humans are random

@highlight

Driverless cars sharing the road with human-driven vehicles could be chaotic, he says