London (CNN) -- Britain's late TV presenter and radio host Jimmy Savile sexually abused hundreds of people and carried out more than 30 rapes, police said Friday, as they unveiled a report exposing "vast, predatory and opportunistic" abuses across six decades.

Nearly three-quarters of his victims were children, the report said, with the youngest only 8 years old. Most but not all were female.

Read more: Victim tells of abuse at hands of Savile

Since the inquiry was launched three months ago, about 600 people have come forward to provide information, 450 relating to Savile, London's Metropolitan Police said.

From this, 214 crimes have been recorded, including 34 of rape or penetration, across the country.

The earliest claim against Savile, who was still a household name when he died in 2011, dates from 1955 and the latest from 2009, when he was in his 80s.

Savile used his celebrity to "hide in plain sight" as he opportunistically preyed on the children and young people with whom he came into contact as he presented BBC children's show "Jim'll Fix It" and music show "Top of the Pops," the report said.

Dozens of offenses on BBC premises have been reported across a 40-year span between 1965 and 2006 -- the last at the final recording of "Top of the Pops."

Who was Jimmy Savile?

Fifty allegations against Savile relate to hospital premises, including hospices, the report said. Another 14 relate to schools, including a reform school he visited regularly between 1970 and 1978.

The scale of his abuse is believed to be unprecedented in the UK, it said.

The report by London's Metropolitan Police and a child protection charity, the NSPCC, titled "Giving Victims a Voice," brings to a close a sordid chapter.

Police set up Operation Yewtree to investigate sexual abuse claims after a documentary by broadcaster ITV in October unleashed a flood of allegations against the star, who before that was seen as an eccentric but charismatic man who raised millions of pounds for charity.

Read more: How celebrity child sex scandal has rocked the BBC

The investigation had three strands: one involving complaints against Savile alone, another termed "Savile and others" and a third involving only others. The publication of the report ends the first strand of the inquiry.

However, investigations continue into allegations made against the other suspects, some linked to Savile and others not. A number of arrests have been made.

"It paints a stark picture emphasizing the tragic consequences of when vulnerability and power collide," Commander Peter Spindler, of the Metropolitan Police, said of the report.

Revealed: Disgraced TV star's charm offensive with ex-PM Margaret Thatcher

"Savile's offending footprint was vast, predatory and opportunistic. He cannot face justice today but we hope this report gives some comfort to his hundreds of victims, they have been listened to and taken seriously. We must use the learning from these shocking events to prevent other children and vulnerable adults being abused in the future. They will get a voice."

The BBC, whose reputation has been tainted by the affair, said it would continue to work with police to investigate the claims.

"The police report into Jimmy Savile contains shocking revelations," a statement said. "As we have made clear, the BBC is appalled that some of the offences were committed on its premises. We would like to restate our sincere apology to the victims of these crimes."

The BBC set up three inquiries of its own amid questions about how Savile's abuses went undetected for so long. One is looking at the culture and practices within the BBC and another at its handling of past sexual harassment claims.

The third, which reported on the broadcaster's decision to drop a program investigating allegations Savile in late 2011, slammed senior management as "completely incapable" of dealing with the crisis that erupted.

The BBC's botched handling of the affair forced the director general, George Entwistle, to resign.

The UK Department of Health, which is conducting its own investigation into the access Savile had to hospitals and other institutions, said the police report "highlights the shocking scale of offending by Jimmy Savile over five decades and shows the need to learn lessons from his crimes."

With the police review concluded, civil claims are likely to be brought as some victims seek compensation for the abuse they suffered at Savile's hands. About 73% of them were younger than 18 when they were targeted.

Four-fifths of the victims were girls and women, the report said. The majority of the victims were between the ages of 13 and 16 at the time of the abuse, and the oldest was 47.

Of the 34 reported offenses of rape or penetration, 26 victims were female and eight were male, police said.

"There is no clear evidence of Savile operating within a paedophile ring although whether he was part of an informal network is part of the continuing investigation," the report added.

Most of the alleged offenses were committed around the city of Leeds, where Savile lived, and in London, where he worked.

The peak of offending reported to police was between 1966 and 1976, when Savile was between 40 and 50 years old.

Separately, a review by the Crown Prosecution Service was critical of the decision by two police forces not to file charges against Savile after investigating four separate allegations of sexual abuse.

In 2007 and 2008 Surrey Police investigated three complaints that he had engaged in sexual behavior with young girls. During the same period, Sussex Police investigated a complaint by a young woman.

Alison Levitt, chief legal adviser to the Director of Public Prosecutions, said police were too cautious in their approach and should have asked more questions to push inquiries forward.

The alleged victims and their accounts were treated "with a degree of caution which was neither justified nor required," she said.

"Having spoken to the victims I have been driven to conclude that had the police and prosecutors taken a different approach a prosecution might have been possible."

Peter Watt, director of child protection advice for the NSPCC, said the scale of Savile's abuse "simply beggared belief."

But, he added, one positive is that nearly 800 additional children have been protected from abuse because the publicity around the Savile case has encouraged people to call the charity's helpline.

For many, it's the first time they've spoken out about abuse, he said.

"We are optimistic that this signals a watershed moment for child protection in this country. We must seize the opportunity if we are to make a lasting change," he said.

The report's authors acknowledge that it is too late to act on the claims against Savile, but they say the investigation met "the need for hundreds of victims to have official recognition of the serious crimes they have suffered and to know they have been taken seriously."

Millions of Britons who grew up watching Savile on TV's "Top of the Pops" and "Jim'll Fix It" were shocked by the fall from grace of an entertainer who'd been awarded knighthoods by Queen Elizabeth II and the late Pope John Paul II for his charitable work.

Savile died in October 2011 at age 84, soon after being treated in a hospital for pneumonia. His death was followed by a series of glowing tributes, including BBC specials.

CNN's Jonathan Wald and Alexander Felton contributed to this report.

@highlight

Savile used his celebrity to "hide in plain sight" and targeted the vulnerable, police say

@highlight

He is accused of offenses across 40 years while working as a BBC presenter

@highlight

Police say 73% of his victims were children; 214 crimes are recorded, including rapes

@highlight

Prosecutors say police could have done more to investigate Savile in his lifetime