Princeton, New Jersey (CNN) -- The impact of the oil spill in the Gulf Coast is starting to be made vivid by the steady flow of still images and video that capture this catastrophe. For example, Phillippe Cousteau, the grandson of Capt. Jacques-Yves Cousteau, dove into the oil spill, wearing protective gear. He captured horrifying video images of what has been taking place beneath the sea.

A debate is already unfolding about whether President Obama has been effective in his response. Is this Obama's Katrina, as some commentators have asked? The president has come under fire, primarily from Republicans, but also from a growing number of environmental advocates, for being too slow to act.

Recent news reports have revealed the Obama administration has been as negligent in its oversight of drilling as the previous administration.

The debate over President Obama's performance will continue, and his success or failure at stopping the gusher will determine how much damage this disaster inflicts on his presidency.

But there is another, more significant, question that Democrats and Republicans in Congress must address -- and that is the policy origins of this disaster.

Indeed, one of the most important aspects of Katrina was not simply how President Bush did or did not handle the aftermath of the hurricane, but rather, how American politicians in both parties had allowed a once-vibrant city to decay so dramatically over the past decades. Many Americans were shocked to see the kind of devastating poverty in which so many New Orleans residents lived.

With the BP spill, the question revolves around deregulation. As with the financial meltdown in the fall 2008, the oil spill highlights the cost of weakening regulations -- in this case, those rules that had been adopted to safeguard the environment.

For over four decades, some conservatives and centrist Democrats have waged war on the environmental infrastructure that was put into place during the 1960s and 1970s (including under Republican President Nixon).

At first, President Reagan hoped to directly overturn as many environmental regulations as possible. He appointed James Watt as secretary of Interior and Anne Gorsuch as the head of the Environmental Protection Agency, both of whom opposed many aspects of the environmental movement.

Yet Reagan's efforts to eliminate the regulatory apparatus largely failed. He ran up against an environmental movement that was far more powerful than he expected. His efforts against the regulations in fact stimulated the movement to become even more active.

The next strategy for his administration was to start weakening oversight, using administrative decisions to protect industry and undermine the quality of the agencies responsible for these programs. Watt and Gorsuch, for example, didn't fight against proposed budget cuts that would clearly strain the capacity of their employees and accepted cost-benefit analyses that favored industry.

Gorsuch boasted that under her leadership, the EPA reduced the size of the clean water regulations manual from six inches to half an inch The EPA didn't make sure that companies were complying with regulations such as requirements to use modern pollution control equipment.

This pattern continued under President George W. Bush. As the contributors of my forthcoming book, "The Presidency of George W. Bush: The First Historical Assessment (Princeton University Press)" have argued, Bush administration officials frequently rejected scientific expertise when making decisions and staffed bureaucratic positions with people who were not sympathetic to the goals of their own organization.

The Minerals Management Service is a poster child for the effects of these policies. This MMS, which had the responsibility of monitoring these oil rigs, has been rendered ineffective. Engineers have dominated decision-making over the scientists.

When some U.S. policymakers were insisting on the use of a better shut-off mechanism a few years ago, the MMS, convinced by the complaints of the oil industry, rejected their proposals. Congressional hearings recently revealed that the agency let industry officials complete their own inspection forms. They also accepted gifts from the companies they were supposed to be monitoring.

Though he ran on a campaign of change, President Obama's administration has essentially allowed this deregulatory strategy to continue. Not long before the spill, Obama had announced his support for an expansion of offshore drilling.

According to The New York Times, that announcement caught even oil industry officials by surprise. They were expecting new restrictions, and after the spill, the Times reported, the government continued to give environmental waivers to Gulf oil drilling projects.

Even worse, it has done so for projects using the same kind of techniques that were used by BP in the Gulf.  Secretary of Interior Ken Salazar has come under fire as well for suggesting that his agency did not envision any major change in oil and gas production.

Even some Republicans are slowly rethinking the consequences of deregulation in this area. Louisiana Gov. Bobby Jindal, desperate for the help of the government that he has so often derided, has complained that the president has not done enough.

Jindal's spokesman said that "while BP is the responsible party, the federal government needs to ensure that they are indeed held accountable and responsible ..."

June 11 would have been Jacques Cousteau's 100th birthday. Certainly Cousteau would be weeping if he could see the kind of damage that is being caused by the spill.

President Obama must not only stop this immediate leak, but must be certain to fix the policies that allowed this kind of risky drilling to take place. This does not just entail putting new rules on the books but also making sure they will be enforced. Only then can the government diminish the risk of this happening again.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

For decades, some have argued for deregulating industries such as the oil industry

@highlight

Julian Zelizer says lax regulations helped set the stage for the massive Gulf oil spill

@highlight

He says Obama administration had largely followed Bush administration in lax regulation

@highlight

Zelizer: Government needs to impose new rules and make sure they are enforced