(CNN) -- Despite deep concerns about the economic impact of the looming fiscal cliff and months of talks leading up to this point, Democrats and Republicans are leaving town until after the November elections without making any significant progress resolving their main sticking points.

Meanwhile, economists warn that left unresolved, the fiscal situation could push the country back into a recession.

Lawmakers have said for months that no decisions on taxes, spending and entitlement reform can be made until after voters do their job on Election Day and decide who will control the levers of power at the White House and on Capitol Hill.

"Elections matter," said one top Senate aide involved in bipartisan efforts to come up with various contingency plans depending on the outcome of the presidential and congressional elections.

Fiscal cliff spending cuts: How Americans would be hit

The enormity and complexity of the fiscal cliff -- which would happen at the end of the year when the Bush tax cuts expire, trillion dollars in automatic spending cuts are triggered and a handful of other thorny tax and spending issues need to be addressed -- are worsened by the partisan gridlock that led to it in the first place.

Most of the policy choices are well known to the lawmakers who were involved in the Simpson-Bowles deficit reduction commission, the so-called "Gang of Six" talks, the bipartisan super committee negotiations and other recent failed attempts to reach a grand bargain to reduce the debt.

The real question is whether policymakers can return after the election and find a common path forward.

If former Massachusetts Gov. Mitt Romney wins the White House it is likely Congress will agree to avoid the fiscal cliff by extending current policies for several months to give the new president time to put his stamp on the outcome, several lawmakers and aides said. But if President Barack Obama wins and the makeup of Congress remains close to what it is now, negotiators could try to make headway during the post-election lame duck session.

Whether they can cut a deal during the few weeks after the election and before the end of the year is uncertain.

Fiscal cliff threatens small businesses

"I haven't seen any real successes in a lame duck in a long time, so I don't expect any this time," said Sen. Orrin Hatch of Utah, the top Republican on the Finance Committee. "There's a lot of polarization as we speak."

One of several moderate senators retiring at the end of this term said he didn't think a deal could be reached, either.

"I'm not optimistic that will happen because this is a kick-the-can-down-the-road Congress," said Sen. Ben Nelson, D-Nebraska. "The best you're going to get is to kick it down the road one more time."

Sen. Kent Conrad, D-North Dakota, the chairman of the Budget Committee and a leader of the Gang of Six, is pushing a plan that would have Congress agree in a lame duck session to "hundreds of billions of dollars" in spending cuts and new taxes as a "down payment" on the work congressional committees would do next year to lower the deficit by $4 trillion over the next 10 years. He said GOP members of the Gang of Six support his proposal.

Other senators have raised the idea of a down payment that would buy time for Congress to consider an overhaul of the tax code and replace the automatic spending cuts with more targeted cuts.

"I think there will be a Band-Aid solution to get us into the new Congress," said Sen. Lindsey Graham, R-South Carolina, who is fighting defense cuts required by sequestration. "I'm not a big fan of a lame duck Congress structurally reforming the entire nation."

Boehner 'not confident at all' on budget deal

Sen. John McCain, R-Arizona, said he's never seen a lame duck session "that's had any degree of success" and said the only thing that could change that is "if the markets start to react."

On that point, some Democratic aides have begun to argue that while the situation is very serious, people shouldn't panic immediately about the January deadline because the fiscal cliff may be more of a slope that will gradually take effect as expiring tax cuts are felt in paychecks and cuts to federal programs take hold. They argue it is not comparable to the financial crisis of 2008 that led to sharp drops on Wall Street and a controversial federal bailout of many banks.

In the meantime, members of the Senate Finance Committee this week met with top officials from the Congressional Budget Office, the Joint Committee on Taxation and Federal Reserve Chairman Ben Bernanke as they continued to lay the groundwork for lame duck negotiations.

On the House side, Ways and Means Committee Chairman Dave Camp, R-Michigan, met with Treasury Secretary Tim Geithner to do the same.

At a news conference Thursday two Senate Democratic leaders offered up both optimism that a deal would prevent the fiscal cliff and pessimism that hardened ideologies will stand in the way.

"I understand how we come together in times of crisis," said Senate Majority Leader Harry Reid, D-Nevada. "I do not believe that we're gonna go over the fiscal cliff."

But Sen. Patty Murray, D-Washington, who co-chaired the super committee, raised questions about whether Republicans would ever agree to tax increases, something many Democrats insist must be part of a final deal.

"There is one solution to this and everyone knows it. We need to have both revenue and reductions on the page, and so far revenue has not been there because Republicans have refused to," she said.

Romney: Obama passive in the face of 'fiscal cliff'

@highlight

Economists warn the fiscal situation could push the country back into a recession

@highlight

Complexity of the fiscal cliff is worsened by partisan gridlock that led to it

@highlight

Whether Congress can cut a deal after the election and before the end of the year is uncertain

@highlight

Officials are skeptical that a lame duck Congress will accomplish anything