The second most-dreaded question for new parents after "Is your baby sleeping?" (Answer: "Well, yes, for forty-five-minute stretches, but not during the night, and only after I conduct a two-hour-long routine including feeding, swaddling, singing, rocking, and an ancient tribal sleep dance") is "Where does he sleep?"

Some say a baby should never sleep in the same bed as you, while others say it's the only way to go.

That's because the response is usually just as complicated and the people who ask are often ready to pass judgment on it. At least, that's what more than 6,000 of you told us in our national survey about sleep habits, in which we set out to determine the differences between parents who put their babies down to sleep at night in a crib (for convenience's sake, we're calling them "crib-sleepers") and those who share a family bed with their children (co-sleepers). Here, an illuminating peek into the night lives of new families:

"Now, that's crazy!"

When we were creating this survey, we imagined a giant pillow fight, with moms on one side of the bed yelling "Safety!" and a posse on the other shouting "Bonding!" And we did hear those battle cries: Nearly half of all crib-sleepers admitted that they think co-sleepers are "irresponsible" and that parents who share a family bed are "putting their baby's life at risk." Parenting.com: Guide to baby sleep

Another 39 percent think that co-sleeping parents are spoiling their baby. "I know people who still have a three-year-old in bed with them because the kid won't sleep alone. Now, that's crazy!" exclaims Patty Queen, a mom of two in Marion, North Carolina. "Come on, people, you are only making it hard on the kids by keeping them in the bed with you." Another crib proponent, Esther Tune of Henderson, Nevada, considers co-sleeping to be "the easy option." "I never brought my kids into my bed -- even though it would have been easier. I believe they're safer in their own crib."

So what about the safety issue? In a 2005 policy statement, the American Academy of Pediatrics (AAP) warned that bed-sharing was associated with an increase in sudden infant death syndrome (SIDS) and strongly recommended against the practice. "There is no evidence that co-sleeping can be done safely," adds John Kattwinkel, M.D., chairperson of the AAP's Task Force on SIDS. Parenting.com: Baby sleep strategies

No wonder moms who co-sleep are twice as likely to feel judged compared with crib-sleepers. In their defense, co-sleepers cite the work of James McKenna, Ph.D., an anthropologist whose research shows SIDS rates to be lower in countries where co-sleeping is the norm, and the attachment-parenting theories of Babytalk contributing editor William Sears, M.D. (Both experts believe parents can -- and must -- co-sleep safely; see Askdrsears.com for guidelines.) Parenting.com: Why are infants still dying from SIDS?

In fact, co-sleepers were just as likely to choose their sleeping arrangement for safety reasons as crib-sleepers. And they also slung some arrows: 40 percent of moms who planned to co-sleep believe that parents who use a crib won't have as close a bond with their babies as they do; another 20 percent feel that crib-sleepers are "selfish" and "only thinking of their own sleep." "Babies grow up more secure when they sleep with their moms for the first year of their lives," contends Phasinee Brown of Kansas City, Kansas. Parenting.com: Learning to sleep solo

Giving up control

The majority of parents agreed, however, that in the quest for rest, one size does not fit all babies. "After having three children," Trenny Suggs of Spring Hill, Tennessee, told us, "I have learned that you have to do whatever is necessary to help your children sleep." And for many of you, that means changing your game plan.

According to our results, only 11 percent of moms actually planned to co-sleep with their babies, but a whopping 42 percent ended up doing so once their little bundles arrived (see "Best-Laid Plans" on the previous page).

"During my pregnancy, I studied controversial topics, such as co-sleeping, and thought I knew what I would do," shared one reader in California, who swore that she wouldn't co-sleep but now spends every night in bed with her 5-month-old daughter. "But children set their own schedules. I never understood that having a baby means giving up complete control." Parenting.com: Dreaming of sleep

The perfect sleep solution

For all the stress that surrounds getting your baby to sleep, it's helpful to remember -- in a twisted sort of way, we admit -- that 51 percent of you report being tired all the time, regardless of whether your tot snoozes in a crib or in your bed. In other words, there's no right or wrong answer to that frustrating question "Where does your baby sleep?"

As Jaclyn Petrin of Princeton, New Jersey, said, "I hope this survey helps parents understand that there is no perfect sleep solution. If there is, please let me know what it is." Sorry, Jaclyn, no such luck.

Try a FREE TRIAL issue of Parenting Magazine - CLICK HERE!

Copyright 2009 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

AAP: Bed-sharing associated with an increase in sudden infant death syndrome

@highlight

Study: SIDS rates to be lower in countries where co-sleeping is the norm

@highlight

Survey: Few moms planned on co-sleeping, but 42 percent ended up doing so

@highlight

There is no perfect sleep solution