(CNN) -- A federal judge struck down key parts of a new Texas abortion law, considered among the most restrictive in the country, on Monday, one day before they were scheduled to take effect.

The lawsuit -- filed in U.S. District Court in Austin by Planned Parenthood on behalf of more than a dozen women's health care providers across Texas -- alleged the law violates the constitutional rights of women and puts unreasonable demands on doctors who perform abortions.

The lawsuit specifically targets requirements under the new law that doctors obtain admitting privileges at a hospital within 30 miles of the clinic at which they're providing abortion services, and usage controls on RU486, a drug that induces abortions.

U.S. District Judge Lee Yeakel blocked the law's admitting privileges requirement, arguing that it "places a substantial obstacle in the path of a woman seeking an abortion of a nonviable fetus and is thus an undue burden to her."

He also blocked a part of the law that deals with medication-induced abortions but allowed restrictions on the same issue to move forward. Provisions such as requiring strict use under Food and Drug Administration protocol and mandatory follow-up visits remain in place.

"The medication-abortion provisions may not be enforced against any physician who determines, in appropriate medical judgment, to perform a medication-abortion using the off-label protocol for the preservation of the life or health of the mother," Yeakel wrote.

Abortion-rights groups say the judge did not go far enough on the issue of medication-induced abortion, believing doctors should be able to use it with few restrictions.

"Today's ruling marks an important victory for Texas women and sends a clear message to lawmakers: it is unconstitutional for politicians to pass laws that take personal, private decisions away from women and their doctors," Cecile Richards, president of Planned Parenthood Federation of America, said in a statement.

"While this ruling protects access to safe and legal abortion for women in many parts of the state, part of this ruling will make it impossible for many women to access medication abortion, which is safe and effective early in pregnancy," she said.

Conservative groups were disappointed by the ruling.

"Blocking this law only puts vulnerable women in greater danger. We are very disturbed that a judge would partially block a law that is grounded in the latest science and in common sense," said Anna Higgins, director of the Center for Human Dignity at the Family Research Council.

The bill originally failed to gain approval because of a Democratic filibuster led by state Sen. Wendy Davis. Texas Gov. Rick Perry then called the legislature into a second special session to continue consideration of the bill.

In response to the judge's ruling, Perry vowed he and others will keep fighting.

If the state decides to appeal, the case would head next to the 5th Circuit Court of Appeals in New Orleans.

"Today's decision will not stop our ongoing efforts to protect life and ensure the women of our state aren't exposed to any more of the abortion-mill horror stories that have made headlines recently," the governor said.

He added: "We will continue fighting to implement the laws passed by the duly-elected officials of our state, laws that reflect the will and values of Texans."

Separately, the law prohibits abortions past 20 weeks of gestation. That ban takes effect, as scheduled, on Tuesday.

CNN's Bill Mears, Joe Sutton and Janet DiGiacomo contributed to this report.

@highlight

NEW: The case would head next to the 5th Circuit Court of Appeals in New Orleans

@highlight

U.S. District Judge Lee Yeakel strikes down the law's admitting privileges requirement

@highlight

He delivers a somewhat mixed verdict on medication-induced abortions

@highlight

"Today's decision will not stop our ongoing efforts to protect life," says Gov. Perry