(CNN) -- Why stay in a humdrum hotel when you can sleep in a sewer pipe in Austria?

Or a salt palace in Bolivia?

Here are 15 of the world's most memorable accommodations

1. Jules' Undersea Lodge (Florida)

Originally a research laboratory, this fully underwater hotel sits at the bottom of the Emerald Lagoon in Florida's Key Largo, and can only be reached by scuba diving down six meters.

The lodge can accommodate two couples and has showers, a microwave and a fridge.

The real attraction are the fish; the lodge is like a goldfish bowl in reverse, where you sit and watch angelfish, parrotfish, barracuda and snappers peering in at you through the window.

Jules Undersea Lodge, Key Largo Undersea Park, 51 Shoreland Dr., Key Largo, Florida; +1 305 451 2353; rates depend on packages; single person overnight stay $675

2. Das Park Hotel (Austria)

At Das Park Hotel in Austria can stay overnight in a concrete sewer pipe on the banks of the River Danube.

The drainpipes are two meters in diameter and two and a half meters long, with a porthole, a front door to close and a cozy nest to snuggle into, which includes a low-slung futon, bedside lamp, woolly blanket and light sleeping bag.

It's novel, it's bold, and the best part is that you pay as much, or as little, as you want.

Das Park Hotel, Donaulände 21, 4100 Ottensheim, Österreich, Ottensheim, Austria; +43 650 841 5850; rates chosen by guests

There's a second location near Essen, Germany at BernePark, Ebelstraße 25a, 46242 Bottrop, Germany

3. Hotel Kakslauttanen (Finland)

Being suffused by the northern lights from the inside of a glass igloo is one of the more novel ways of admiring one of nature's most stunning phenomena.

Located within the Arctic Circle, deep in the snowbound Saariselka area of northern Finland, the cabins are built from ice or glass; both are surprisingly warm, but somewhat lacking in privacy.

Hotel Kakslauttanen, Saariselka, Finland; +358 1666 7100; from €300 ($444)

4. Dog Bark Park Inn (Idaho)

For a prairie getaway with flair, visitors need not look further than the "largest beagle in the world."

"This is the only place one can sleep with 26 dogs and still get a good night's rest," says Dog Bark Park Inn owner Frances Conklin.

Many people have been in the doghouse, but few can say that they've actually slept in one.

Then again, the Dog Bark Park Inn, while shaped like a dog -- albeit a dog nine meters high -- is no kennel.

Endearing dog-themed designs indoors -- 26 carved dogs, dog-shaped cookies -- create a comfortable atmosphere, belying the staggeringly large (for a beagle, that is) and vaguely Trojan exterior.

The entire B&B consists of a single room with a queen bed and adjacent loft with two twin mattresses.

Dog Bark Park Inn, 2421 U.S. 95 Business, Cottonwood, Idaho; +1 208 962 3647; $98 per night double occupancy, $10 per additional person, single occupancy $92

5. Sant'Angelo Luxury Resort (Italy)

"Four-star boutique cave-hotel" is the proud boast of the Sant'Angelo in the city of Matera, which is famous for its sassi -- houses dug into the rock.

Matera is the only place in the world where people can boast to be still living in the same houses as their ancestors did 9,000 years ago. The rooms have been fashioned from old sassi stables and workshops.

There are two restaurants, a bar and an art gallery.

Sant'Angelo Luxury Resort, Piazza San Pietro Caveoso, Matera, Italia; +39 0835 314 010; three-night package from $560 per person (two sharing) including some meals, a walking tour and car hire

6. The Dovecote (England)

Regarded as one of the most romantic hideaways in Britain, the Dovecote certainly fits the bill for most lovebirds.

The former dovecote, which fell into disrepair in the early 20th century, has been restored and converted into a cozy self-catering place that can sleep up to four people, though it's ideal for two.

Within the one-meter-thick walls are a glass-fronted balcony bedroom, glorious wooden lantern roof and a sauna.

The Dovecote, Norman & Ali Armitage, 9 Blacknest Gate Road, Sunninghill, Ascot, BERKS, UK; +44 (0)1344 622 596; from £300-600 ($500-1,000) per week, shorter stays available

7. Adrere Amellal (Egypt)

Desert palace meets bedrock at Adrere Amellal.

This extraordinary eco-lodge sits in the middle of the Saharan oasis at Siwa, eight long, dusty hours' drive from Cairo.

Surrounded by endlessly shifting sand dunes 18 meters below sea level, and overlooking a shimmering salt lake, the lodge is built from salt rock and mud.

Candles light up the rooms (there's no electricity) and staff float around in flowing hooded robes, completing the feel that you've just stepped into a biblical scene.

Adrere Amellal, 18 Mansour Mohamed St., Zamalek, Cairo, Egypt; +20 (2) 2736 7879; $460 for standard single room

8. Palacio de Sal (Bolivia)

At the Palacio de Sal, the walls, floors, beds and chairs are made entirely of white rock salt.

Set on the eastern shore of the Great Salar de Uyuni, a vast expanse of white salt 3,650 meters above sea level, it's great for stargazing and watching sunset colors reflect off the salt lake.

The hotel has a spa and salty golf course.

Not recommended for slugs.

Palacio de Sal, Salar de Uyuni, Uyuni, Potosí, Bolivia; +591 6842 0888; rates from $100 for a single

9. 1950s Bristol freighter plane (New Zealand)

One of the last allied planes out of Vietnam has been converted into two self-contained motel rooms.

Up to four people can sleep in the cockpit unit and another four in the tail unit.

The plane is located within Woodlyn Park, where you can learn all about New Zealand culture.

Woodlyn Park, 1177 Waitomo Valley Road, Otorohanga, New Zealand; +64 7 878 6666; NZ$180 ($140) for the cockpit, and NZ$170 ($133) for the tail

10. Kadir's Tree Houses (Turkey)

On Turkey's idyllic Turquoise Coast at the end of a pine-tree clad valley lies the village of Olimpos, where the hoteliers specialize in a different type of accommodation -- tree houses.

These simple wooden bungalows set amid the branches have long been popular with backpackers in the region and are growing in popularity.

Kadir's, one of the original lodges, now operates more than 100 bungalows, plus a few larger cabins and dormitories.

Kadir's is unashamedly hedonistic -- people come to party, hard, with the potential for disaster offered by a potent combination of mass drinking and accommodation several feet off the ground just adding to the fun.

Kadir's Yörük Top Tree House, Olimpos, Antalya, Turkey; +90 (0)242 892 12 50; from 35TL ($20)

11. Poseidon Undersea Resort (Fiji)

Dropped 40 feet below the surface of the clear blue Fijian Lagoon, these 24 underwater suites are reached by an elevator.

With all the comforts of a five-star hotel, most are surrounded by transparent acrylic walls that allow for spectacular views of the ocean and its fishy inhabitants.

Guests are invited to interact with the surroundings -- at the push of a button the fish are fed, and the flip of a switch turns on sparkling underwater lights.

Poseidon Undersea Resort; $15,000 per person for one-week package, including transportation, two nights in an underwater suite, scuba diving and wine tasting

12. Kokopelli's Cave Bed & Breakfast (New Mexico)

While a cave sounds like a questionable place to stay the night, much less pay to stay the night, Kokopelli's Cave Bed and Breakfast in New Mexico isn't about masochism or asceticism, or even being cheap.

With prices starting at $260 a night, Kokopelli's Cave is no mere hole.

Guests stay in a carpeted, fully furnished room 21 meters below the surface, dug into a cliff face of 65-million-year-old sandstone.

There's a TV, DVD player and selection of movies, but guests might find themselves more fascinated with the walls, a "geologist's dream" with a "360-degree view of cross-bedding, petrified and carbonized wood and plant fragments," according to the hotel.

While reaching the cave (there's only one, with bedding for four) requires a short hike, these "difficulties" also mean maximum privacy ... unless you count the ring-tailed cats that are said to occasionally visit.

Kokopelli's Cave Bed & Breakfast, 5001 Antelope Junction, Farmington, New Mexico; +1 505 860 3812; from $280 per night

13. The Balancing Barn (England)

This precariously perched hotel was built by Living Architecture, the brainchild of Swiss philosophical writer Alain de Botton, who wrote "The Architecture of Happiness."

The group created a series of homes in the United Kingdom based on high-quality, modern architecture and de Botton's work on the connection between environment, architecture and happiness.

On the edge of a nature reserve, the Balancing Barn in Suffolk sleeps eight people.

Clad in silver tiles and with large windows giving great views, it's also won a series of travel and design awards.

Living Architecture also runs a boat-shaped room where you can spend the night, perched on top of the Queen Elizabeth Hall on London's South Bank.

The Balancing Barn is sited three miles from the ancient village of Walberswick on the Suffolk Heritage Coast; nearest railway stations are Darsham and Halesworth (approximately 10-minute drive away); rates from £830 ($1,393) for four nights

14. Hotel Saratoga (Cuba)

In Havana there's no cooler place to stay than the Hotel Saratoga.

Its rooftop pool has some of the best views in town and goes some way to offsetting the traffic noise and hustle of the Paseo del Prado below.

It's one of the better hotels in town, though the food is mediocre.

Hotel Saratoga, Paseo del Prado 603, esquina a Dragones, Havana, Cuba; +53 7 868 1000; deluxe patio rooms from $238

15. Great Orme Lighthouse, Wales

Built in 1862 and in full use as a warning to ships until 1985, this old lighthouse certainly has a room with a view -- a 180-degree view over the cliffs of north Wales and the Irish Sea.

This isn't a place for luxury, but you'll get a warm welcome from the hostess and insight into the history of this living monument.

Great Orme Lighthouse, Marine Dr., Great Ormes Head, Llandudno, United Kingdom; +44 1492 876 819; $129 per person per night

@highlight

The most memorable hotels don't always come with five stars

@highlight

Idaho's Dog Bark Park Inn is shaped like a nine-meter-high beagle

@highlight

Desert palace meets bedrock at Egypt's magical Adrere Amellal

@highlight

Near a nature reserve, the Balancing Barn in Suffolk, UK, sleeps eight