Amman, Jordan (CNN) -- Sahab and her family were not willing refugees. Like many in Syria, they were forced to leave their family home and move several times to different locations to avoid the worsening security situation all around them.

The final straw came when they hid for more than three hours, taking shelter under some stairs, as F16 planes attacked the town Al Quaryatayn, in Homs province.

When it was safe to move, Sahab joined around 50 other people heading towards the border in a van that normally transports animals.

From there, it was another five hour journey by foot, at night, in the freezing cold. The small bags of belongings they'd brought with them were mostly thrown away along the route as the going got harder; children lost their shoes as they stumbled in the dark and made the last part of their journey walking in just their socks or barefoot.

"We were just seeking a safe place to stay where no-one would attack us", said 42 year-old Sahab, who I met with her family at the main reception centre in Jordan's Zaatari camp. More than 130,000 people are officially registered at Zaatari, which is struggling to cope with the flood of refugees.

Read more: Syrian exodus reaches one million

"We were terrified. Now we are here, we feel safer. But we'd like to be able to return to Syria as quickly as possible and for the fighting to end," Sahab told me. "I want a decent, secure life, to have a life with dignity."

But aid agencies like mine are struggling to respond to the needs of people like Sahab and to provide them with basic services.

Zaatari is a sprawling camp made up of canvas tents and prefab shelters in the Jordanian desert, close to the Syrian border, which has tripled in size in the last three months, in order to accommodate the thousands of refugees arriving every day.

The Jordanian government wants to open at least two new camps to ease the congestion, but there's no funding.

Hundreds of thousands of other refugees in Jordan, Lebanon and other countries bordering Syria, such as Turkey, Iraq and Egypt, are living in host communities, often in unheated, unfurnished buildings or makeshift shelters, where it is even harder for them to get the help they need.

Read more: The faces of Syria's refugee crisis

In January, donors generously pledged to fund the U.N.'s largest-ever short-term emergency appeal to help those affected by the conflict in Syria, promising a massive $1.5 billion.

But so far, most of the funds have failed to materialize. The U.N. says it has received just 20% of the money promised so far.

That means some very difficult decisions will soon have to be made on the ground.

The U.N. children's agency, UNICEF, which funds Oxfam's emergency work in Zaatari, where the agency is installing latrines, showers and washing areas, says it has only received 9% of the funds it needs for its work in Jordan.

UNICEF has warned that without more money, it will have to scale back, even on life-saving interventions, including water, sanitation, hygiene work and child protection.

Read more: Syrian war 'everybody's problem'

The crisis is spiralling out of control. There are now one million registered refugees, though the true number is far higher, since many fleeing Syria choose not to register. An end to the conflict is nowhere in sight, meaning that the flood of refugees leaving the country is likely to continue.

Host countries, including Lebanon and Jordan, must be commended for keeping their borders open and providing help. But the refugee numbers -- which currently account for 8% of Lebanon's total population and around 5% of the Jordanian population, are now straining limited resources.

Tensions are starting to appear between local host populations, who until now have been extremely generous, and the new refugees, as there's greater competition for affordable housing, health and school facilities.

Even if peace could be secured, that doesn't address the longer-term issue: Funding will be needed to help families rebuild their shattered lives, for months and years to come.

The opinions expressed in this commentary are solely those of Caroline Gluck.

@highlight

The number of refugees fleeing Syria's civil war has reached one million

@highlight

Aid agencies including Oxfam are struggling to cope with the flood of new arrivals

@highlight

Gluck: Without more money to help, difficult decisions will have to be made

@highlight

"Tensions are starting to appear between local host populations... and new refugees"