(Mental Floss) -- Eight trailblazing scientists who are about to change your life.

Japan's Osaka University professor Hiroshi Ishiguro checks a humanoid robot 'Actroid Repliee' in June of 2005.

1. Erich Jarvis, neurobiologist

When Duke professor Erich Jarvis wanted to find the key to human communication, he turned to birds. Strange, but true.

Jarvis has been studying songbirds' brains for insight into human linguistics, and his research has led to a startling discovery: Birds use two distinct neural pathways to learn songs -- one in the front of the brain and one in the back.

Guess what? Humans learn to speak in the same way. Jarvis believes this is an evolutionary clue suggesting that, when we shared an ancestor 300 million years ago, our brains were hardwired for language. Theoretically, once Jarvis and other neuroscientists fully understand this genetic blueprint, they can alter it and, in the process, make it easier to learn new languages and possibly even repair brain damage.

2. Emily Oster, Economist

A few years ago, as an economics PhD student at Harvard, Emily Oster chose to focus her attention on the AIDS epidemic in Africa. Traditionally, that was the turf of sociologists, anthropologists, and public health officials. But the 26-year-old Oster wasn't afraid to hop the scientific fence and join the other side.

She also hasn't been afraid to suggest things we haven't heard before -- namely, that treating herpes and other STDs (instead of AIDS) can significantly reduce HIV transmissions. Oster also believes that while the HIV numbers commonly used by the UN, popular press, and researchers are about three times too high, the disease is spreading faster than ever in Africa.

By casting her economist's eyes on the issue, Oster has forced the old turf-guarders to reevaluate their approaches to AIDS in Africa and come up with new solutions.

3. Hiroshi Ishiguro, roboticist

Most robots look like, well, robots, but Ishiguro's robots look remarkably human. To many people, this is discomforting -- creepy even. To Ishiguro, it's essential. As director of Osaka University's Intelligent Robotics Lab, Ishiguro believes robots' main role in our future will be to interact naturally with people -- to pitch in as the workforce shrinks or to do necessary, unpleasant tasks.

And because Ishiguro contends that people respond better to his humanlike robots (aka, androids) than other machine-like ones, he's taken a no-holds-barred approach to studying cognitive behavior and human activity. In addition to nearly perfecting his silicone molds and metal skeletons, he's figured out how to mimic even the most minute human movements, such as breathing, blinking, and even fidgeting. The result is "android science."

The idea is that by using robots that are indistinguishable from humans in scientific experiments, researchers can still elicit natural responses from their subjects but also have more control over the environment. So far, Ishiguro has already learned plenty about his students using the Geminoid HI-1, an android version of himself, which he operates via remote control to teach class.

4. Pardis Sabeti, biological anthropologist

Pulling a typical all-nighter in med school, Pardis Sabeti achieved a not-so-typical feat -- she confirmed the effects of genetics on the evolution of human diseases. By inputting different DNA sequences into an algorithm she created, Sabeti was able to find genes still linked to their neighbors -- suggesting that their success within the gene pool is due to natural selection, not pure chance.

Sabeti now plans on using her algorithm to deconstruct the malaria parasite. By seeing how the parasite has evolved to develop drug resistances, she hopes to detect genetic vulnerabilities in malaria's makeup. If she's successful, future cures will be designed to attack those weaknesses.

Meanwhile, Sabeti isn't your typical lab rat. She's the lead singer of the alt-rock band Thousand Days and sounds more than a little like Liz Phair. And did we mention that she's a Rhodes Scholar who just graduated summa cum laude from Harvard Medical School in 2006?

5. Thomas A. Jackson, aerospace engineer

Piloting a real-life Luke Skywalker X-wing fighter is every aeronautical engineer's fantasy, and Thomas Jackson is helping make it a reality.

A scientist for the U.S. Air Force Research Laboratory, Jackson is setting the direction for the supersonic combustion ramjet -- aka, the scramjet. By scooping up oxygen from the atmosphere as it ascends, the scramjet eliminates the need for the heavy liquid oxygen and solid oxidizer used by a typical space shuttle.

And once it catches on, it will revolutionize air travel. How does a 2-hour flight from New York to Sydney sound? Or a layover on the Moon? And the best thing is, it'll all happen sooner than you think. In April 2007, NASA successfully test-powered a hydrocarbon-fueled scramjet engine to Mach 5.

6. Sebastian Thrun, probabilistic roboticist

Sebastian Thrun is a Stanford professor who drives a Volkswagen -- but not just any Volkswagen. Thrun's Touareg is autonomous, and its name is Stanley.

The VW drives itself thanks to state-of-the-art road-finding and obstacle-avoidance software, along with radar systems, video screens, and laser range finders. Like every driver, Stanley makes mistakes, and Thrun programmed him with that in mind. Stanley's decisions are based not on absolutes, but on probabilities, which results in more natural and realistic driver reactions.

But Thrun isn't so sure people will immediately hand over the keys to a bunch of Stanleys. It may take up to 30 years, he says, "simply because we don't know how to insure a car where no one is at the wheel."

7. Nima Arkani-Hamed, particle physicist and applied string theorist

Nima Arkani-Hamed thinks big. He has a theory that our universe is one of an infinite number of universes -- meaning the largest thing we can wrap our minds around is actually pretty tiny

He didn't pull the "multiverse" out of thin air, though. After becoming a Harvard professor at age 30, Arkani-Hamed first made a name for himself by suggesting that our universe is five-dimensional. Then he moved on to the multiverse, theorizing that our own universe has a hidden feature called "split supersymmetry," which means that half of all particles have partner particles.

The theory will be tested soon in Switzerland's brand-new Large Hadron Collider (LHC), and if the LHC finds Arkani-Hamed's partner particles, it could prove that the multiverse is real -- and that our place in it is that much smaller.

8. Margaret Turnbull, astrobiologist

Hunting for aliens isn't necessarily the most respected academic endeavor in the world, but Margaret Turnbull pursued it anyway. More precisely, she set out to catalog the stars most likely to develop intelligent alien civilizations.

Turnbull's system was painstakingly tedious. She started with the 120,000 cataloged stars, narrowed down her list to 17,129 (excluding the ones that were too hot, too close together, or too erratic), and then parsed that list down to 100 candidates. Her final criteria? An ideal star would be at least 3 billion years old and have a high iron content (the better to spin off life-yielding planets with).

Turnbull's mind-blowing patience has paid off. In 2015, NASA will be launching its Terrestrial Planet Finder, which will use space telescopes to look for planets beyond our solar system, and it'll start with the stars on Turnbull's short list. In other words, nobody's laughing at Turnbull's search for aliens now. E-mail to a friend

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Stanford professor programmed car to drive itself

@highlight

Air Force scientist may revolutionize travel

@highlight

Economist has theory to help fight AIDS

@highlight

Band's lead singer takes aim at malaria DNA