Kabul, Afghanistan (CNN) -- The Afghan Taliban forcefully denied reports Monday that their leader is dead, dismissing them as "claims and rumors" from the "Kabul stooge regime's intelligence directorate."

Mullah Mohammed Omar "is alive and well and is leading the Mujahideen in all aspects while living safely with reliance on Allah," spokesman Zabihullah Mujahid said.

His statement came after suggestions that Omar might have been killed recently.

A spokesman for Afghanistan's intelligence agency, the National Directorate of Security, said Monday that Omar has disappeared in the past five days.

Lutfullah Mashal said he "hopes" Omar is dead but cannot confirm it.

"So far, we cannot confirm the death or killing of Mullah Omar officially. But we can confirm that he has been disappeared from his hideout in Quetta, Baluchistan" in Pakistan, he said.

"Our sources and senior Taliban members confirm that they can't contact him," Mashal said, adding that Omar had been living in Quetta for 10 years.

Taliban spokesman Mujahid said they "strongly reject these false claims of the enemy" and urged "our fellow countrymen, Mujahideen and the rest of the Muslims not to believe these intelligence lies and false reports."

Pakistan's Interior Rehman Malik also denied that Omar was dead, saying in a news conference that the claims were "baseless."

An official with the NATO-led International Security Assistance Force told CNN there was no indication the rumor was true.

A former top Pakistani intelligence official called the reports "nonsense" and "disinformation," but then said he had no idea whether the Taliban leader is alive or dead.

"How should I know? I'm not concerned with it," Gen. Hamid Gul said on IBN television.

The original news report suggesting Monday that Omar was dead, by Afghanistan's TOLOnews, quoted NDS spokesman Meshal as saying that Gul was moving him when he was killed.

"Am I supposed to be transporting him from Quetta to Waziristan? It's nonsense," he said by telephone from Islamabad.

Pakistan's ISI intelligence agency is thought to have had strong links with the Afghan Taliban over the years.

Omar was a rural Islamic cleric when became a leader of a group of students -- or "taliban" -- who took over Afghanistan in the early 1990s and established a hard-line Islamic fundamentalist regime that gave shelter to Osama bin Laden and his al Qaeda terrorist network.

U.S. Navy SEALs killed bin Laden on May 2 in Pakistan, nearly a decade after the September 11, 2001, attacks on the World Trade Center and the Pentagon.

The United States led an invasion of Afghanistan soon after the attacks, toppling Omar's Taliban and sending bin Laden into hiding.

The reclusive Omar refused to be photographed or filmed and rarely traveled. He infrequently gave interviews and was thought to have met only two non-Muslims in recent years.

Nonetheless what Omar said passed as law when the Taliban ruled Afghanistan, and to challenge him was unknown.

The "commander of the faithful," as he had become known, created the Taliban in the early 1990s and was their spiritual guide.

Those who had met him said he cast an imposing figure -- bearded with a black turban and one eye stitched shut; the result of a wound sustained during a gunfight with Soviet troops during their occupation of Afghanistan.

In the wake of the Soviet withdrawal, Omar created the Taliban to overcome what he saw as Afghanistan's descent into a lawlessness landscape dominated by warlords.

His recruits came from the Islamic schools within Afghanistan and in the Afghan refugee camps across the border in Pakistan. Driven largely by faith, they swept across the country.

Before the final assault on Kabul in 1996, Omar entered Kandahar's grand mosque and took out a rarely seen holy cloth thought once to have been carried by the Prophet Mohammed.

Waving it from a rooftop he received an ecstatic response from his Taliban foot soldiers.

Inspired by religious fervor, they moved on to take Kabul within a matter of days, bolstering Omar's belief in his spiritual destiny.

With most of the country under Taliban control, he set himself the goal of transforming Afghanistan into the purest Islamic state in the world, declaring himself Amir-ul-Momineen, or head of the Muslims.

While many ordinary Afghans disagreed with his hardline interpretation of Islam, others were willing to endure the Taliban's excesses in exchange for the relative peace they brought to the territory they controlled.

In building the perfect Islamic state, though, he had little regard for the concerns of the outside world.

Public executions and amputations were common and the Taliban's treatment of women attracted much international condemnation.

In 2001, he rejected pressure from around the world -- including from many Muslim countries -- not to go ahead with plans to demolish two ancient statues of the Buddha carved into cliffs near the town of Bamiyan.

The statues, described by many as world-class cultural relics, were blown to bits.

Mullah Omar dismissed the global outcry, saying the statues' destruction was merely "breaking stones."

Omar vanished after a U.S.-led coalition booted the Taliban and its leaders from power in Afghanistan in December 2001 for refusing to hand over Osama bin Laden after the 9/11 terror attacks.

His appearance remained a mystery to many, and that presented a challenge to those on his trail, according to Afghan President Hamid Karzai.

"If I come across him tomorrow in the streets of Kabul or Kandahar or Herat or Mazar in Afghanistan, I would not recognize him," Karzai told CNN in 2003. "How would you arrest someone that you don't know how he looks?"

The Taliban, citing ultra-orthodox views of Islam, outlawed photographs of people, saying making any image of a human being was forbidden by the Quran.

But intelligence agencies argued that another key purpose of that move was this: If the leaders of the Taliban could keep anyone from taking their pictures, it would be very hard to track them down or prove they were the men in charge during the Taliban's most brutal and repressive days.

The U.S. government offered a reward of up to $10 million for information leading to his capture. Many in the U.S. intelligence community believed he was holed up in or near Quetta, a city of 1 million people that is the capital of Balochistan province in southwestern Pakistan. Pakistan has consistently dismissed those claims.

Occasionally, the elusive leader would release a written message to reiterate that the Taliban had not given up its fight to regain control of Afghanistan from American and NATO troops.

The battle "is forging ahead like a powerful flood" and "is approaching the edge of victory," said one such online message in 2009.

CNN's Christine Theodorou, Brian Walker, Barbara Starr and Tim Schwarz and Journalist Matiullah Mati contributed to this report.

@highlight

"We hope he is dead but we cannot confirm it," an Afghan intelligence spokesman says

@highlight

Pakistan's interior minister rejects the reports

@highlight

An ISAF official says there is no indication it is true

@highlight

The Afghan Taliban reject "false claims" of Omar's death, saying he is alive and well