Hengdian, China (CNN) -- Never send a live cable across a body of water. Never. It's just good common sense.

But not for the local film crew I was working with in China's Hengdian Studios.

To power the lights for an episode of CNN's "On China," a locally hired grip tied a rope to the end of a cable. From the movie set bridge he was standing on, he called out to a colleague to catch it on the other side of a moat and begin pulling the charged cable across.

Fortunately, they were stopped before the count of three.

Movie-making in China is not for the timid -- something I learned both behind the scenes and while talking to some of China's leading movie-makers in Hengdian, home of the world's largest outdoor film studio.

GALLERY: Where China's best films are made

Sprawling across some 2,500 acres with a full replica of the Forbidden City, Hengdian World Studios is where Zhang Yimou's "Hero" was filmed as well as countless TV dramas for the Mainland market.

It's also where grips like to take short cuts with cables, and makeup artists do touch-ups with dirty brushes. (I opted to do my own makeup for the shoot.)

Movie-making in China is a quick and dirty business, a process director Eva Jin affectionately calls "China Speed."

Her 2009 romantic comedy starring Zhang Ziyi, "Sophie's Revenge," earned 100 million RMB ($16 million) at the box office, making her China's first female director to break that symbolic barrier.

"The process in Hollywood is so slow," Jin says. "The average project development time is four years. In China, if you have a good script, tomorrow you can get the money.

"A few days later, the set is built. That's 'China Speed.'"

As a purveyor of Chinese rom-coms, Jin has the benefit of speeding through China's censorship regime.

That's not the case for Lu Chuan, a director unafraid to challenge convention. His third film, "City of Life and Death," was a commercial success but also received notice for its sympathetic portrayal of Japanese soldiers during the Nanjing Massacre.

So how did he get it past the censors?

"I don't know," says Lu. "You have to allow them to check your script. For the script, it took almost one year, and after you finish the movie and post-production, you have to show the videotape to the censors and (it takes) another half a year."

"It's not the fault of a certain person," Lu adds. "It's a system."

Working with Hollywood studio execs in China, producer Dan Mintz describes the censorship process as a moving target. As CEO of DMG Entertainment, he's responsible for bringing blockbuster Hollywood-China co-productions to the big screen including "Looper" and "Iron Man 3."

"If you look at the films that are actually shown here, a lot of them don't really follow the rules," he says.

Mintz references a list published by the government that details what types of films can not be screened in China. Examples of prohibited movies include those that "disrupt social order," "endanger social morality" or "promote cults and superstition."

"If you look at that list, basically you would not really be able to make anything," says Mintz. "That's very Chinese in a sense, saying 'let me say what you can't do, and we'll work our way backwards.'"

Take, for example "Looper." A strict interpretation of the list would have filmmakers shy away from a time travel movie in fear of "promoting cults and superstition." But ultimately, the sci-fi thriller was filmed partly in China and became a major box office success in the country last year.

"Stars have rules, studios have rules, everybody has rules. You just forge ahead and if it's something that's really worthwhile, it will come out," says Mintz.

Eva Jin is also pragmatic in her view of the process: "As filmmakers, we're so used to getting everybody's different input into the process, sometimes from investors, sometimes from producers, sometimes from the talent. We just have to deal with it and be smart about it."

But Lu Chuan is calling for change in the censorship system, hoping that Chinese filmmakers can be governed less by guesswork and more by a transparent rating system.

Lu says there must be change for the sake of his craft and also because his audience demands it.

"In an American movie, you can blow up the White House. We cannot blow up (Tiananmen) Square. It's different. But the audience wants to see a lot of exciting visual things. So I think the leadership will think about that."

He's asking for the freedom to film China's own "Independence Day," the freedom to blow up anything without fear of political blowback.

Just try to get it on film if that gonzo grip is standing by.

@highlight

This month's episode of "On China" focuses on country's booming film industry

@highlight

Episode filmed in world's largest outdoor film studio, Hengdian World Studios

@highlight

Director Eva Jin says industry operates on "China Speed," much faster than Hollywood

@highlight

Lu Chuan calls for change in the censorship system to a more transparent rating system