(CNN) -- What if the same number of young people who serve in our armed forces, defending the country, were enlisted to go on offense here at home, fighting persistent but solvable national problems -- the dropout crisis, national parks in need of restoration, and childhood hunger?

It's a big idea, one that could make a period of service -- either military or civilian -- a civic rite of passage for America's young people.

This week, the Franklin Project, an initiative of the Aspen Institute, released a "Plan of Action" to establish a large-scale 21st century system for voluntary national service.

Sparked by a stirring speech by Gen. Stanley McChrystal at the Aspen Ideas Festival last year, the plan calls for establishing 1 million full-time service opportunities every year for young adults, ages 18 to 28, putting domestic national service on par with the more than 1 million Americans on active duty in our armed forces.

It's a plan that is strongly endorsed not only by nonprofit, philanthropic and private sector leaders, but also people who have dedicated their lives to our national security, including former Secretaries of State Madeleine Albright and Condoleezza Rice, former Secretary of Defense Robert Gates, former National Security Advisor Gen. Jim Jones, and McChrystal, who is chairman of the initiative's leadership council.

Linking military and civilian service as "two sides of the same coin" is perhaps the Franklin Project's most resonant chord. A vibrant nation requires a shared sense of commitment and shared experience of service and sacrifice. But as McCrystal observes, "Less than 1% of Americans serve in the militaryâ€”a historic low during wartimeâ€”leading to a broad, complacent assumption that serving the nation is someone else's job."

The plan calls for expanding federal programs that are already working, including AmeriCorps, and generating energy behind new ideas. For example, the plan proposes that President Obama ask all federal agencies to examine how they might tap citizens in service to meet their missions.

FEMA is already saving $60 million by utilizing national service participants to respond to disasters. We can also expand the opportunities provided by the GI Bill to encourage veterans to continue their service at home -- in schools and community centers -- so the nation can continue to benefit from their dedication to a greater cause.

The demand for opportunities to serve has been growing dramatically. In 2011, AmeriCorps received 582,000 applications for only 80,000 positions, and the Peace Corps received 150,000 applications for 4,000 full-time placements. There is an overwhelming desire among the rising millennial generation to give back. Missing are clear pathways and opportunities to serve. As recent polling demonstrates, four in five voters support voluntary national service.

The "Plan of Action" calls for tapping this wellspring of American idealism to meet pressing national challenges. High on the list is the nation's dropout crisis. Each year, more than a million students fail to graduate with their senior class. Dropouts are eight times more likely to be incarcerated, and three times more likely to be unhealthy or unemployed. Absent effective intervention, the 10 million students who are projected to drop out in the next decade will cost the nation $3 trillion in lost wages, health care expenses, welfare benefits and incarceration costs.

The good news is that research has shown that future dropouts can be identified, as early as the sixth grade, by early warning signs such as high absence rate, poor behaviors and getting an "F" in math or English. What's needed to close the gap? More people power.

"We've seen the power of having young adults serve in our school through AmeriCorps," said Los Angeles Superintendent of Schools John Deasy. "When a student doesn't show up to school, they get them back in. When they're behind academically, they help catch them up. These young people bring an infectious energy and idealism that makes a huge difference. The only problem is that we don't have enough of them -- we need to scale up national service and tap more young people to give a year of service. It's a resource you can't put a price tag on."

The Franklin Project's "Plan of Action" has a powerful response: Calling for 120,000 young people to serve as full-time tutors and mentors in the nation's "dropout factories:" the lowest-performing high schools and the elementary and middle schools. It is just one example of how young people, perhaps the nation's greatest untapped resource, can help America succeed.

One day, the most commonly asked question of a young adult can and should be, "Where will you give your year of service?"

The answer to that question is the key to our nation's future success.

The opinions expressed in this commentary are solely those of Michael Brown and Andrew Hauptman.

@highlight

Michael Brown, Andrew Hauptman: We need a civic rite of passage for young Americans

@highlight

Brown, Hauptman: The Franklin Project released a plan for voluntary national service

@highlight

They say the plan calls for setting up 1 million full-time service opportunities every year

@highlight

Brown, Hauptman: Young people can help fight problems such as dropout crisis, hunger