Tehran, Iran (CNN) -- From bakery to barber shop, cafe to carpet store, Iranians stroll their capital with a renewed step, uplifted by how their newly elected president seeks something remarkable after decades of cold war-like relations between their country and the West.

Iran wants to talk. With the United States. With Europe. With everyone who's been skeptical of the country. And Iran is willing to discuss its nuclear program, President Hassan Rouhani says.

"I just feel it. It's not like I've seen anything, but I feel it," said retiree Syed Ali Akbar. "It's the best thing to do. We've been hurting ourselves for years."

International economic sanctions against Iran have strained day-to-day living in Iran, making essential goods such as medicine expensive and hard to come by. That punishment has taken a toll.

"The sanctions have hurt us. Prices have gone up. There are things you can't find," said Hossein Mohamadi at the Barbari Bread Shop.

To many Iranians, Rouhani seems to be really advancing the "hope and prudence" slogan he used during his successful campaign to become president in June, posturing as a centrist and reformer against hardline conservatives that characterized previous president Mahmoud Ahmadinejad.

Rouhani had been Iran's national security council chief and its lead nuclear negotiator.

"With Mr. Rouhani here, we've become more hopeful that things will improve," Mohamadi said.

Ramin Atouri, 28, is a part of the young generation to whom Rouhani appealed in his stump speeches.

Atouri dislikes political isolation and applauds diplomacy.

"Everything is solved through friendship. War and sanctions and conflict never solve anything," Atouri said.

One day, U.S. and Iranian president might shake hands

A new sense of optimism

Without doubt, the long years of hostility between Iran and the United States leave many Iranians wary and distrustful of Western countries. Those feelings endure and were captured by an open microphone that CNN set up Wednesday on a busy street in Tajrish Square, inviting passers-by to send a personal sound bite around the world.

"I say hello to all America," said one woman named Zahra. "Your behavior is not very good. Your politics is about war and it's terrifying.... Don't create so many restrictions for us. Don't impose on us so many sanctions. Let us make progress."

In general, however, there's a whiff of euphoria for the first time in many people's memory. That was also expressed at the open mike.

"America is a great county and we want to have good relations with America, and our government is working to make that happen," said Reza, who didn't give her last name. "We hope American politicians understand the circumstances, and through positive talks we can thaw this relationship that has been frozen for 35 years, so we can live side by side as friends."

A Tehran-based author and political analyst also sensed change in the air.

"So far he has done more than we expected," Sadegh Zibakalam said about the new president. "Ever since the elections, there is a mood of optimism. There is a mood of hope. Wherever you go in Iran, you can see people happier."

Zibakalam went so far as to say Iran's supreme leader, Ayatollah Ali Khamenei, also has altered his rhetoric, joining the prevailing hopefulness.

"I cannot fail to detect some changes with regard to the attitude of the supreme leader ever since the elections," Zibakalam said.

Wherever Iranians gathered and did business, they spoke to how new ground was being broken -- and whether they believed it was for real.

At a carpet store, Sadegh Kiyaei, 50, believed a new day was dawning.

"He's the hope of the future of Iranians, especially the way he's talking to the world and especially to America," Kiyaei said of the new president. "We believe the two nations -- Iran and America -- they believe they need each other and like each other. They feel it's the right time to get together and start talking at least."

One mother, however, didn't endorse that sentiment. She is going to press ahead with her efforts to leave Iran. If there's a better future for her and her son, it's outside Iran, she said.

"In my view, I don't think you can get anywhere here in Iran," said the mother, Khoshvakht, who declined to give her last name. "I haven't lost hope. I just don't think anything has changed. I'm just not that optimistic."

Her son, Omid, didn't like her mother's plan to leave. "I want to stay," he said. "My friends are here."

Rouhani calls for 'constructive' dialogue, end to 'unhealthy' rivalries

Wishing for an easier life

At the open microphone, several speakers didn't need prompting to broach perhaps the biggest subject on the international community's mind -- whether Iran is building nuclear weapons.

Iran says its controversial atomic program is for peaceful energy purposes. But several Western countries want Iran to fully comply with a United Nations agency's inspectors looking into whether the nuclear development is to build a bomb.

"Hi, America," said one man named Mohsen. "As far as I'm concerned, I don't think they're making bombs."

Then, he added, "With all the sanctions they put on us, it's like putting a gun on someone's head.

"You respect our civil rights and we'll respect yours. It's just humanity," he concluded.

Hassan Ahmadi has been a barber for 30 years and has three kids. He wants affordable medicine for his family.

"There's been a lot of tough times and rising costs," Ahmadi said. "One hundred percent, I want to see better relations, so we can live a little easier.

"I'm hopeful that change will happen so we can escape all the worry," he added.

Those who held contrary opinions were equally effusive.

"I don't have hope because I don't think Rouhani is everything in Iran. He still has someone over the top of him," said Ali Ahadi at a newspaper stand. That superior is the ayatollah.

A coffee shop owner agreed. "The final decider is the supreme leader. Maybe if things change, then he'll change his mind. So in the end, I'm not optimistic," proprietor Amin, who declined to give his last name. "We just want to live in peace. That's my only wish -- to live in peace."

Perhaps the most commonly shared view on Tehran streets was rejection of how Western leaders harshly characterize the country.

"I know they call us terrorists, but you show me which one of us is terrorists?" Ahadi said at the newsstand. "Iranians are (hospitable) and kind and honest."

Rouhani brings 'charm offensive' to U.N.

CNN's Reza Sayah contributed to this report from Tehran. Michael Martinez wrote from Los Angeles.

@highlight

Throughout the capital, Iranians sense a new future in the air

@highlight

'It's not like I've seen anything, but I feel it,' one retiree says

@highlight

The new president's outreach to Western countries resonates

@highlight

Optimists express themselves at a CNN open microphone in Tehran, but so do pessimists