Hong Kong (CNN) -- The death toll from fighting between Buddhists and Rohingya Muslims in western Myanmar last week has risen to 84 and at least 22,500 people have been displaced by the sectarian violence, state media and the United Nations say.

The state-run New Light of Myanmar newspaper said on Monday that 129 people were also injured during the violence, which erupted on October 21 and has cast a pall over recent reforms in the Asian nation.

However, the paper added that no new clashes had been reported since Sunday and the areas affected had returned to "normalcy."

Following a visit to five townships where the fighting took place, Ashok Nigam, the U.N. humanitarian coordinator for Myanmar, on Sunday said his team had seen "large-scale" destruction of houses and the displaced were in urgent need of humanitarian assistance.

"I am gravely concerned by the fear and mistrust that I saw in the eyes of the displaced people in both communities," Nigam said in a statement.

"It is critically important that the government ensures that the rule of law prevails."

The fighting also prompted Islamic organizations to cancel the four-day religious holiday of Eid al-Adha, which ends on Monday. The groups gave no explanation for the move, but locals regarded it as a precautionary measure.

The worst fighting, according to the New Light of Myanmar, took place in Kyauktaw, a village in Rakhine state, where 12 people were killed. Security forces used tear gas and other riot control devices to "disperse the mob" and seized 71 firearms.

Q&A: What's behind the sectarian violence in Myanmar?

There has been tension between the Buddhists and Rohingya Muslims since May, when violence began in Rakhine state after three Muslim men were arrested on suspicion of raping and killing a Buddhist woman.

Nigam said that, according to government estimates, 4,600 houses had been set ablaze across eight townships in the latest flare-up.

The number of people who have fled their homes could be higher, with the country's government still checking the numbers of displaced people and those that have fled the violence by boat, he added.

The U.N. is already assisting around 75,000 people forced to flee their homes during violence in June earlier this year. Most are living in makeshift camps.

"The violence, fear and mistrust is contrary to the democratic transition and economic and social development that Myanmar is committed to. It should not become an impediment to progress for all people of Myanmar," Nigam said.

Dramatic satellite imagery obtained by Human Rights Watch showed what it said was extensive destruction of buildings in a predominantly Rohingya area of the coastal town of Kyauk Pyu.

The swath of arson, the group said, stretched over 35 acres and included houseboats and floating barges. It added that local police shot at Muslims trying to put out the fires.

Phil Robertson, deputy Asia director of Human Rights Watch, said the government in Myanmar has done little to address the root causes of the violence and the discriminatory treatment that many Rohingya face.

"Extremists in both communities have been empowered by a lack of accountability where people involved in sectarian violence haven't been bought to justice so it's a very, very bad situation and one that is getting worse," he told CNN.

The Rohingya are a stateless Muslim minority who say they have been persecuted by the Myanmar military during its decades of authoritarian rule. Myanmar doesn't recognize them as citizens.

Unrest between the Rohingya and majority Buddhists has tested President Thein Sein's administration, which is trying to seek reconciliation with Myanmar's different ethnic groups and move the country toward more democratic governance.

The government has sent extra security into the troubled region and declared a state of emergency. The president's office warned Thursday that "manipulators" behind the violence can expect to be found and prosecuted.

Opposition leader Aung San Suu Kyi, speaking in Parliament on Friday, called for a greater security presence and urged authorities to investigate suspected human rights offenses.

CNN's Kocha Olarn, Paul Armstrong and Katie Hunt contributed to this report.

@highlight

NEW: Death toll from sectarian violence in Myanmar rises to 84, state newspaper says

@highlight

Fighting displaces at least 22,500, U.N. says

@highlight

U.N. team witnesses "large scale" destruction of houses

@highlight

Homeless in urgent need of humanitarian assistance