(CNN) -- Unless you've been living under a rock, you know people are concerned about the deficit. Or at least they say they are. You'd also have to be willfully ignoring everything around you not to know that health care spending is a significant cause, if not the cause, of our long-term fiscal problems.

The narrative that seems to be going around Washington argues that there are two schools of thought about how to improve our financial outlook. One side wants to cut spending. The other side wants to increase taxes. Or, so it goes.

I was out to dinner on Saturday night with a friend who is rather pessimistic about compromise in our government. He believes that the chances for passing anything that might reduce spending on health care in the future are near zero. There's just one problem with his outlook. We've already passed a law that does a great deal to reduce future health care spending.

I have argued many times that I don't think the Affordable Care Act does enough to contain costs. I still believe that's true. But let's not ignore the fact that it does a lot. More, in fact, than anything else passed by Congress and signed into law by a president in quite some time.

Right off the bat, we need to remember that the Affordable Care Act makes significant cuts to future Medicare spending. Reductions in overpayments for Medicare Advantage constitute almost $140 billion in savings over a decade. Changes in the fee-for-service reimbursement schedule add up to almost $200 billion. That's an enormous amount of money, so large that it scared many people into thinking that Medicare would be severely curtailed. Running against Medicare cuts helped sweep the Republicans into power in the House of Representatives in 2010. Often, such arguments came from the same people now decrying the Affordable Care Act for not cutting health care spending enough.

But that's just the tip of the iceberg. There are lots of other payment reforms (PDF) that should "bend the curve" for Medicare in the next decade. Hospitals will be punished for re-admissions for certain conditions. This is expected to save $8.2 billion. Refusing payments for hospital-acquired conditions should save another $3.2 billion. Accountable care organizations, for better or for worse, are expected to save almost $5 billion in the first eight years as well.

Everyone hates waste in the system. The health care act does something about that as well. Specifically, it strengthens our means to investigate and then go after people who abuse Medicare or Medicaid. The Congressional Budget Office has calculated that the health care act's provisions for abuse of these programs could reduce spending by an additional $1.8 billion.

Surely you've heard about the Independent Payment Advisory Board? This one, too, has cost the administration politically. It's been demonized as an actual "death panel" of unelected, unaccountable people who will ration your Medicare. That's not true. The panel is made up of people who need Senate approval (not easy), and they don't serve for life. Moreover, they have a very specific, limited task.

If, and only if, the amount of money Medicare spends per person goes up faster than the consumer price index, the panel will make recommendations to Congress on how to get Medicare to spend less. By statute, they can't "ration" care or increase premiums, deductibles or co-payments. Still, what makes this a better cost control than what existed before is that these recommendations automatically become law unless Congress can pass a different plan that achieves the same savings. Because Congress has a hard time passing anything these days, that's not as likely to happen. The payment advisory board gets going in 2014, and in just its first five years, it's expected to reduce spending for all Medicare programs by more than $23 billion (PDF).

These are just mechanisms acting on government insurance, though. The Affordable Care Act has some measures that affect private spending as well. The excise tax is one of those. Starting in 2018, plans that cost more than a certain amount will have a 40% tax levied on employers who provide them. Let's acknowledge that such taxes will absolutely be passed on to regular people, so it doesn't matter who is stuck with the bill at first. It's also worth acknowledging that the levels where the tax kicks in are really high ($10,200 for an individual plan and $27,500 for a family). Even so, many believe that this will eventually be one of the strongest levers the Affordable Care Act contains to rein in spending in the future.

We should also mention the insurance exchanges themselves. Although it will take time to work out the kinks, the general idea is that the exchanges should reduce the administrative burden of individually rating and selling plans to consumers. Insurance companies instead will have to compete on value, and try to negotiate with providers to reduce spending to remain competitive. We'll have to see how well this works.

Finally, the law invests in the Patient-Centered Outcomes Research Institute and the CMS Innovation Center, which may lead to new ideas to contain costs as well. These are difficult to score, but they are being researched.

You could argue that any one of these (other than the cuts to Medicare) is on the smaller side. But when you add them up, they start to get significant. So much so, that the Congressional Budget Office estimates that the Affordable Care Act reduced the long-term fiscal gap by 2% of the gross domestic product over the next 75 years. That's about 25% to 33% of what is necessary to stabilize the debt in the long run. Granted, some of that deficit reduction comes from new taxes. But some of it also comes from reduction in future spending. Parts of the act cost money. Parts of the act save money. Overall, it is deficit reducing.

You may not like these types of efforts. They may offend your political sensibilities. You may favor a more consumer-driven type of system, or one that relies less on panels of experts. But there's a difference between arguing that you want different measures and pretending those measures don't exist.

Further, some have argued that these measures won't last. Someone will change them. Someone will gut them. But you have to remember that right now, they are law. Making them weaker requires action. Specifically, it requires a House and Senate to pass something altering them, and then a president to agree to sign it. That's hard to do in today's environment.

Of course, some are campaigning on trying to do that right now. They want to overturn all of the above completely. That's fine; it's their right. But it's hard to understand how you can argue that the "other side" isn't serious about decreasing future health care spending while simultaneously working toward overturning the law it passed that does just that.

The opinions in this commentary are solely those of Aaron E. Carroll.

@highlight

Aaron E. Carroll: Idea that GOP wants to cut, Democrats want to spend is a myth

@highlight

Carroll says the Affordable Care Act cuts future costs of health care significantly, if not enough

@highlight

Cuts in Medicare spending and oversight of abuses mean substantial savings, he says

@highlight

Carroll: Parts of the act save money and some cost, but overall, it reduces the deficit