(CNN) -- 2011 has been a year for young people in the Middle East and North Africa.

More than two thirds of the region's population is under the age of 25, according to the Arab Thought Foundation, and they have emerged as the drivers of the Arab Spring uprisings.

At the second "One Young World" conference in Zurich, Switzerland, this month, 1,600 under 25s from 194 countries spent three days sharing ideas and hearing from global leaders in business, politics and activism.

Here, we profile some young people from the Middle East and North Africa who could be the region's leaders of tomorrow.

Internet activist, Bahrain

Esra'a El Shafei, 25, founded the website Mideast Youth, which campaigns on a diverse range of initiatives.

El Shafei set up Mideast Youth five years ago and has concentrated on issues that do not receive much mainstream media attention, such as the plight of migrant works or the rights of religious minorities.

One of its recent projects is CrowdVoice.org, a user-powered service tracking voices of protests by crowd-sourcing information.

El Shafei said: "I founded CrowdVoice out of my own frustrations of desperately needing a tool to organize the dissemination of assorted information and current events about topics that mattered to activists worldwide.

"CrowdVoice made its mark with thousands of users when the revolutionary protests began in Tunisia and Egypt."

How Arab youth found their voice

Campaigner for education reform, Egypt

Jamal Dayem, 23, is an engineer by trade but passionate about improving education in Egypt.

He said: "The real dream is to implement an education reform movement such as 'Teach for India' in Egypt, where high caliber Egyptian university graduates teach full time in low-income schools around Egypt.

"The education institutions in Egypt have been one of the most affected by the decades of corruption in the country."

Daymen's mother is a teacher in a government school and has spurred his desire to change the system

"There is no question that the education system in Egypt needs a revolution," he said. "In Egypt universities graduate a plethora of extremely capable students every year that are bulwarked by an unemployment rate of 20% for their age group.

"If we as a country are able to harness their energy and passion to fuel the education of the succeeding generation we would be more effective than any curriculum change or incentives given to already dormant and corrupt members of education."

Entrepreneur, Jordan

Rami Al Qadi, 25, is an entrepreneur and electrical engineer who has designed a wind turbine that works in low wind speeds.

His entrepreneurial ideas range from bringing wind energy to Jordan to manufacturing sand buggies.

Al Qadi is worried that this year's unrest across the Middle East has made conditions harder for growing businesses, particularly those which depend on tourism.

He wants to see regulations eased for entrepreneurs and an end to corruption in Jordan.

"Young people are very important in the Middle East because they represent the majority of people," said Al Qadi. "If a small percentage takes some action then a change might happen."

Ten must-read blogs from the Middle East

Youth ambassador, Egypt

Raghada Abdel Hamed, 28, is Egypt's Youth Ambassador for Arab Thought Foundation, an organization which promotes innovation in science, culture, literature, arts and education.

Hamed said: "My main goal is to represent the organization in my country and spread awareness on its objectives."

She has represented Egypt at numerous youth conferences since 2004, and works for the United National High Commissioner for Refugees interviewing people vulnerable to abuse and ensuring they are referred for support.

Hamed was involved in the revolution in Egypt and is keen to help build her nation's future.

She said: "I have seen by my eyes the sacrifices made to this revolution to succeed.

"Therefore, we will work hard to achieve what we paid a great price for: better governance, better social justice, job creation, less corruption and above all a generation who are aware of their rights and duties, so that they can always stand up and fight for it."

Youth employment trainer, Jordan

Mohammad Abulawi, 25, wants to help young people find jobs in his native Jordan.

Abulawi is training co-ordinator for Jordan Career Education Foundation, an organization which aims to give vulnerable and disadvantaged 18 to 24-year-olds a sense of hope and dignity by training them for work.

He said: "My hope is that parents and children fully understand the importance of education and that the numbers of uneducated youth decrease in Jordan.

"I also wish that the 'culture of shame,' where Jordanian youth do not work in certain jobs, is tackled and that the youth become the biggest segment of the workforce in Jordan."

Social entrepreneur, Egypt

Mahmoud El-Refai, 27, co-founded It'sOneHummanity, a global social network for humanitarians that lets them share their work and ideas.

He is also a climate-change ambassador for an international project, an engineering graduate and a corporate strategy officer for Siemens.

El-Refai said: "I'm working on bridging the gap between the private sector, the public sector and the civil society to create projects that can benefit the people at the 'bottom of the pyramid.' I believe that business must be for profit, but profit must also be for purpose."

He added: "I dream of an Egypt where human rights are respected and where social equality prevails. I imagine an Egypt that is in the top 20 countries in the world, a leading country in the political, social and economic arenas."

Researcher and women's advocate, United Arab Emirates

Graduate student Sarah AbdulRazak, 23, is on the board organizing a "Women As Global Leaders" conference in Abu Dhabi next year.

AbdulRazak would love to see more women in public life in the United Arab Emirates and other Middle Eastern countries.

She is also passionate about education and promoting dialogue between the east and west.

AbdulRazak said: "Young people are the voices and torchbearers of a progressive future, especially in the Middle East where they are currently underrepresented on the global stage."

Inventor, Jordan

Abdel Rahman Alzorgan, 21, and his younger brother Mohammad were named among the best young inventors in Jordan after winning fourth place in an Intel International Science and Engineering Fair in the United States.

The pair's invention was an automated irrigation system they had been working on since they were in elementary school.

Abdel said: "We got a patent for it, so we are known now as the youngest inventors of Jordan. At the moment we are working on five other research projects, mainly to do with environmental solutions."

Alzorgan, now an engineering student, also works on awareness campaigns involving politics, fighting hunger and HIV.

@highlight

More than two thirds of Middle East population is under 25

@highlight

Young people are credited with driving uprisings across the region this year

@highlight

'One Young World' conference brought together 1,600 young people from 194 countries