Police chased young men down Ferguson's streets and made arrests, as bottles flew again shortly before midnight.

Protesters locked hand in front of the police line, while some urged the crowd to remain peaceful.

The police presence rose significantly, as did tensions.

Until then, the streets had been calm, as a much smaller crowd milled about, holding signs and chanting.

A few hundred people walked up and down a small area past journalists' cameras. And as hours passed, the crowd thinned down to a few dozen.

"Hands up! Don't shoot" was their mantra, as it has been every night. But many of the demonstrators added a second chant: "We protesters, we don't loot."

Jameila White from St. Louis County walked a mile to hand out free water to protesters.

"We pooled together as a community to bring this," she said, pointing to three Styrofoam coolers of bottles water on ice. "So, we can stay energized and keep walking because they're saying if we stand still we're going to get locked up."

White, who once lived in Ferguson, also poured out several bottles of water and filled them with milk, to help wash tear gas out of people's eyes.

Police cars with flashing lights stood by every block of so apart.

Officers in body armor congregated at a car wash alongside an armored vehicle.

Even the police seemed surprised. Said one state trooper. "Can we be peaceful? That's all I'm saying."

Things must change

Leaders in the Missouri town insisted earlier Tuesday that things must change. Ten days have passed since a white police officer's shooting of an unarmed black teenager triggered emotional, expansive protests that have increasingly devolved into violence.

The state highway patrol captain tasked with maintaining security characterized what's happened in those 10 days as an embarrassment -- to Ferguson, to Missouri, to the United States.

In a statement Tuesday, Ferguson leaders vowed to rebuild the city's business district, parts of which have been ravaged by looting and unrest. They promised to recruit more African-Americans to join the police in their largely African-American community, a relevant point since the Ferguson Police Department is overwhelmingly white. And they signaled their intention to raise money so that all officers and police cars would be outfitted with vest and dash cams.

Those cameras are significant because they could have helped clear up many questions surrounding Michael Brown's death: Was Brown executed by a police officer while holding his hands in the air, as some activists claim? Or was Brown shot after rushing at Officer Darren Wilson, who fired fearing for his own life, as detailed in an account on a radio show?

Sides remain dug in

Without any known video of that August 9 shooting, both sides remain dug in. The Brown family's supporters are as passionate as ever, some saying they lose more and more trust for law enforcement with every armored truck on the road and tear gas canister fired into the air.

Wilson, meanwhile, has gotten more and more support of his own in recent days.

Supporters held a rally in St. Louis this week, and as of Tuesday, nearly 900 people had donated more than $33,000 to a fund for Darren Wilson, according to a GoFundMe page set up to collect donations.

The situation on the streets of Ferguson itself has deteriorated in many ways.

5 things to know about Michael Brown's shooting

From Monday into Tuesday, at least 74 people were arrested for failure to disperse. Two others were arrested on weapons charges and another person for interfering with an officer.

In addition to this, two people were shot -- not by police, authorities said. Four officers were injured.

Outside agitators

Police and protesters blamed agitators -- including many from outside Ferguson -- for the shots and violence. According to the jail records, many of those arrested were local residents. Others came from New York, California, Texas and Alabama.

"What we are dealing with right now are two groups of people," Missouri state Sen. Maria Chappelle-Nadal said. "One, protesters who are peacefully demonstrating, expressing their First Amendment rights. And then we have a smaller group of people who have been infiltrating themselves in the crowds and creating all of this unrest."

But many have criticized the police response.

Gen. Russel Honore, who handled crowd control in the chaos that ensued after Hurricane Katrina in New Orleans in 2005, joined them late Tuesday.

"You're there to protect people," he told CNN's Don Lemon. "They need to sense that from you." Looking at crowd members through the scope of a gun sends the wrong message, he said.

CNN law enforcement analyst Tom Fuentes agreed on that point.

"The overall presence was too aggressive," he said.

But he agreed with the use of tear gas and rubber bullets.

Looters and hooligans caused trouble that called for the response, he said. They used protesters "as human shields."

Demands for prosecution

Many civic leaders worry the unrest is taking away from the main message of the protests: accountability for the officer who shot the 18-year-old Brown.

Brown's parents believe the only real way out of this situation is for Wilson to be charged.

"Justice," the late teen's mother, Lesley McSpadden, told NBC's "Today" show. "Justice will bring peace, I believe."

A grand jury could begin to hear testimony from witnesses and deciding whether to return an indictment in the case as early as Wednesday. That's the same day that U.S. Attorney General Eric Holder is expected to visit Ferguson to check in on the Justice Department's civil rights investigation into Brown's death.

"At a time when so much may seem uncertain, the people of Ferguson can have confidence that the Justice Department intends to learn -- in a fair and thorough manner -- exactly what happened," Holder said in a commentary for the St. Louis Post-Dispatch.

Legal expert Fuentes warned not to expect quick results. Much of the evidence has not yet been processed by crime labs, he said.

Controversy has also embroiled St. Louis County Prosecuting Attorney Robert McCulloch. Some residents and community leaders contend that he has deep ties to the police and has favored law enforcement in criminal cases.

Brown, meanwhile, will be eulogized by civil rights leader Al Sharpton at a public funeral Monday morning.

Magazine: The aftermath in Ferguson

Read more about the flash point in the Heartland at CNN.com/US

@highlight

Missing were the tear gas and rioters of previous nights

@highlight

Civil rights leader Al Sharpton will give the eulogy at Michael Brown's funeral

@highlight

"Justice will bring peace, I believe," Michael Brown's mother tells NBC's "Today"

@highlight

Supporters of embattled Officer Darren Wilson have raised $25,000 and counting