(CNN) -- Afghan schoolgirls sit in the spotlight as their classrooms face alleged poison attacks in the north and threats from insurgents in the south. Questions surround the shadowy incidents, which come at a fragile time in the country's transition. And in many ways, as goes girls' education, so goes the country's procession toward progress.

"Instead of increasing the enrollment of girls in school and establishing more schools, gradually girls' schools are being closed and shut down," said Selay Ghaffar, executive director of the Humanitarian Assistance for the Women and Children of Afghanistan. "Some schools have been put on fire, and we are repeatedly witnessing that girls' schools have been poisoned. Acid has been thrown on the faces of girls in Kandahar."

For several weeks, alleged poisonings have been reported in northern Afghan provinces of Balkh and Takhar. The latest came Tuesday, when 160 girls from a school in Takhar province were admitted to a hospital after complaining of headaches and vomiting. On Sunday, according to Afghanistan's TOLO News, illness sent 40 female students to seek medical care. So far, investigators have found no traces of poison, but evidence is still being examined. The country's deputy education minister told TOLO that "the enemies of Afghanistan and education are behind such incidents."

Regardless of what is found, what is certain is that threats confront a slew of classrooms across the country.

Although some schools have reopened since 2009 after the Taliban's revision of its code of conduct and the reopening of government talks with the Taliban, girls' schools remain in the crosshairs. The Ministry of Education has said that as many as 500 schools have been shuttered out of fear of attack from Taliban or other anti-government forces. But the issue seems to be as much about political power as ideology and security. And Afghan girls are not the only ones to pay the price while their education becomes a political football.

"Education is the backbone of a country," Ghaffar said. "If half of the population are not educated and are not part of the economic sector, the education sector, then how can we manage to have a peaceful, democratic society?"

Taliban leaders have denied responsibility for sickening the schoolgirls in the north, maintaining that accusations they are behind the alleged attacks are "baseless and not true." But local Taliban told The Wall Street Journal that they stood behind a recent spate of warnings to parents and teachers in southern Ghazni province to stay away from school.

Taliban tightens grip on Afghan schools

Said one local Talib to the Journal: "We aren't against education ... the reason is that schools, especially girls' schools, are the only tool that attracts swift government attention."

Certainly one of the most frequent signs of progress policymakers have pointed to in recent years is the return of girls to school. From fewer than 5,000 girls who managed to get educated despite being banned from schools by the Taliban, an estimated 3 million-plus girls are said to be studying today. Women now make up a quarter of the Afghan parliament and more than 3,000 midwives fan out over the country each day to save women's lives -- in a nation that studies find the world's deadliest for expectant mothers.

And yet when it comes to Afghanistan's future, women's rights to work and education loom as the boldest question marks.

The Strategic Partnership Agreement signed by the U.S. and Afghanistan earlier this month emphasized a "shared determination" to an Afghanistan governed on values including the "fundamental rights and freedoms of all men and women." Yet the agreement goes into no specifics about what would happen if a new Afghan government revoked those same rights and freedoms. And when this month's NATO summit in Chicago focused on the transition from international to Afghan responsibility for the country's security forces, women's rights had no place on the agenda.

"Still the discussion of women's issues and women's protection within the international system somehow always seems to be an afterthought, when the bottom line is that the way women are treated is central to American foreign policy," said former Secretary of State Madeleine Albright at a "shadow summit" panel on women's rights hosted by Amnesty International, which I moderated in Chicago.

"The difficulty is men -- and the bottom line is that in fact we have to figure out why and to persuade everybody that having women's rights and women being on various groups is the best way to ensure a better life for everybody, not just for women, but for everybody," Albright said.

Afghan women leaders say they are not seeking the world's pity, but its attention.

"I have one message from Afghan women. 'Don't look at us as victims, we are very active,' " said Afifa Azim, executive director of the Afghan Women's Network. "We need all of you to support us by supporting women and human rights organizations and to put pressure on your policymakers to support the rights of Afghan women."

Chief among those is the right to attend school in safety. And only the coming months will tell whether threats and attacks will keep girls away from classrooms or whether girls will indeed get the opportunity they seek to contribute to their own societies.

"Women are the canary in the coal mine, " Albright said. "It is just a fact that when women are treated badly in a society, it is a sign of what goes on in the society."

The opinions in this commentary are solely those of Gayle Lemmon.

@highlight

Gayle Lemmon: Afghan schoolgirls face alleged poison attacks and other threats

@highlight

Lemmon: Reports of poisonings vary, but it's certain classrooms across the nation are at risk

@highlight

Negotiators must make the safe education of girls a priority for Afghanistan's future, she says

@highlight

Lemmon says that Afghan women leaders don't want the world's pity, just its attention