(CNN) -- Citing an escalation in violence, the Arab League called off its monitoring mission in Syria this weekend.

The announcement came just days after the Syrian government agreed to a one-month extension of the mission.

The sudden change in policy "surprised" the government, according to the state-run Syrian Arab News Agency. It also signaled a new phase in the Arab League's handling of the crisis.

In November, the Arab League voted to suspend Syria from its ranks. A couple of weeks later, it initiated sanctions against the country. One month later, monitors were sent in.

The next step appears to be a U.N. Security Council resolution. The council is set to consider a draft resolution, presented by Arab League member Morocco, that calls on Syrian President Bashar al-Assad to step down and transfer power.

"The Arab League have now exhausted their own internal options and they can be seen to have taken action themselves to try to resolve the crisis," said Chris Phillips, a Middle East professor from Queen Mary, University of London. "It would now seem legitimate for the Arab League to now turn to larger bodies, certainly the U.N., to take action itself."

The Arab League, aka the League of Arab States, was created in 1945 to promote closer relations -- politically, economically, culturally and socially -- among its members.

The first group consisted of six Arab countries: Egypt, Iraq, Lebanon, Saudi Arabia, Syria and Transjordan (now Jordan). Since then, it has swelled to 22 members, including the Palestine Liberation Organization.

The Arab League is one of many regional unions worldwide. These type of groups, such as the African Union, the Union of South American Nations and the Association of Southeast Asian Nations, involve neighboring countries trying to work together for the good of the whole.

For much of its history, however, the Arab League has been viewed as a toothless organization, Phillips said. He told CNN he was surprised when 18 of its members voted in favor of suspending Syria.

"The Arab League will still be seen as the agent of brutal, corrupt regimes: Of the 22 Arab League member states, only three members are even vaguely democratic, and of them only Tunisia has had internationally recognized free and fair elections," he said in November. "But the decision does show that now the Gulf states may have to start recognizing the power of the ballot box in its relations with neighbors."

Q&A: Where is Syria crisis heading?

Early last year, the Arab League suspended Libya's membership, condemning Moammar Gadhafi's regime for attacking peaceful protesters. Within months, the U.N. Security Council voted to impose a no-fly zone over the country, and Gadhafi was history soon after.

Are we now witnessing a stronger, more assertive Arab League?

"We've seen this organization move toward the idea of intervention on behalf of the people, which is something they steadfastly would not do in the past, almost no matter what," said Paul Kinsinger, a professor at the Thunderbird School of Global Management who spent 19 years working for the CIA.

Kinsinger says the Arab Spring has clearly sent a message to the powers-that-be.

"I think there is a sense that they have to be on the right side of the issue more than they have wanted to be in the past, or else they suffer potential increasing irrelevance in that part of the world," he said.

Before recent interventions in Libya, Yemen and now Syria, many of the Arab people didn't take the Arab League seriously, said Mohamed Alsiadi, a native of Syria and coordinator of the Arabic Language and Cultural Studies Program at Fordham University.

"We did not even look at them," Alsiadi said . "But I would say they're gaining more momentum from the mainstream. ... Finally, we can see a serious Arab League that can take initiative and help the Syrian people."

Alsaidi said he and many other Syrians are still taking a cautious approach, as the Arab League still has much to prove and it remains to be seen what becomes of the U.N. resolution.

But it's clear that there has been a meaningful shift.

"We may see (the Arab League) as weak-kneed and autocrat-loving and -protecting, turning the blind eye to all kinds of excesses going on in their countries," Kinsinger said. "But we have to also understand that this is a vastly different part of the world (not familiar with) participatory democracies. They're busy taking baby steps on a long road, and over the last year they have taken a significant journey on this road.

"The mere fact that the Arab League and other Arab leaders have become more willing to intervene on the behalf of people's safety, security and well-being in one another's countries is a significant step forward."

CNN's Nick Thompson and Peter Wilkinson contributed to this report.

@highlight

For much of its history, the Arab League has been viewed as a weak regional power

@highlight

The group has come down hard on Syria, however, suspending it in November

@highlight

After sanctions and a failed monitoring mission, it is now turning to the U.N.