(CNN) -- Ah, fermentation. And distilling.

Where would the world be without them? Yes, the Irish might have taken over the world had God not invented whisky, but what about rum, gin, vodka, beer and wine?

We'll likely never know the answer to that question, but we can find out exactly how the drinks that rule the world are made. Whichever flavor you like to toss back, somewhere there's a booze tour with your name on it. From Belgium to Barbados, here are 10 of our favorites.

Bourbon: Woodford Reserve Distillery, Kentucky

Kentucky's oldest and smallest distillery, Woodford Reserve lovingly crafts its bourbon in small batches. Maybe that's why it's the official bourbon of the Kentucky Derby.

At the distillery, also a National Historic Landmark, visitors take a guided tour that explains the history of bourbon, the bottling process and how Woodford Reserve does something special with all five sources of bourbon flavor.

For example, they don't just use water, they use deep limestone well water. Big difference (as they'll explain). Best of all, guests get to linger with the award-winning craft bourbon.

On the Corn to Cork tour you can dive deeper into the bourbon-making process. Or you can just start serving up mint juleps.

Cost: $7.

Wine: Viña Errazuriz, Panquehue, Chile

Grape for grape, this family-owned estate 100 kilometers north of Santiago pumps out some of the best wine in South America. It helps that Viña Errazuriz has the perfect climate for it: cool, rainy winters and hot, dry summers.

On the two-hour tour, visitors take to the underground cellars and walk the hillside vineyards, covering topics like viticulture, climate conditions and grape management.

Then it's on to sampling four of the estate's Max Reserva wines.

The Pinot Noir contains some amazingly smoky notes from oak aging.

Cost: U.S. $34.

Rum: Mount Gay Visitor Center, Brandons, Barbados

It's the classic rum stereotype -- turquoise waters, tropical island, white-sand beaches.

And for a reason. As the birthplace of rum, Barbados is home to the oldest rum in existence, Mount Gay. Launched in 1703, Mount Gay is a smooth, medium-bodied rum combining notes of ripe banana, almond, vanilla, coffee and chocolate. It gets those last two from an aging process that involves Kentucky oak barrels that previously contained bourbon.

At the Mount Gay visitor center in Brandons (near the capital, Bridgetown), travelers learn about these rum properties in the brand museum. Later, they snoop around a Barbadian rum shop and sample two of Mount Gay's finest rums in the official bar.

An optional lunch is served outdoors, with a Mount Gay punch, naturally.

Cost: U.S. $7-$50.

Lager: Stella Artois Brewery, Leuven, Belgium

In 1926, the Artois brewery in Leuven, Belgium (which has been in existence since 1366), produced a beer so bright it was given the name Stella, Latin for "star."

Which goes to show sometimes a company requires a few centuries to discover its true calling. Today, Stella Artois is sold in more than 80 countries.

The hourlong tour at the Stella Artois brewery divulges all the beer's secrets (so they say). Visitors sample a cool Stella in the cozy Den Thuis bar before being guided to the Stella Artois shop, where they can stock up on chalices. And maybe a bottle opener.

Cost: €8.50 (U.S. $11.30).

Stout: Guinness Storehouse, Dublin

Guinness is like a beer milkshake and the tour of the brand's headquarters is just as filling.

It starts in the atrium next to the world's largest pint glass, which rises up through the middle of the seven-story building.

As the thorough and at times interactive tour moves up each floor, visitors learn about the beer's state-of-the-art brewing process, its "cooperage" (barrel-making) and how it's transported to more than 150 countries.

Awaiting at the top is a pint of Guinness (certificate included) in the Gravity Bar, which affords visitors a 360-degree view of Dublin. There's a reason the Guinness Storehouse is the No. 1 attraction in Ireland.

Cost: €16.50 (U.S. $22).

Whisky: Glenfiddich Distillery, Dufftown, Scotland

Glenfiddich is the world's most awarded single-malt Scotch whisky, having claimed more big-time international medals since 2000 than any other single-malt Scotch.

In the heart of the Scottish Highlands, its distillery is nearly as decorated. The free classic tour runs through 19th-century warehouses and mash rooms and includes three drams of Glenfiddich.

For a more in-depth look (and more chest-hair-producing whisky samples), visitors can opt for the explorers tour or even the pioneers tour, where they can taste a 30-year-old whisky and procure a rare, cask-strength bottle of Glenfiddich.

Cost: Free to £75 (U.S. $121).

Tequila: Casa Herradura, Amatitán, Mexico

If premium tequila is your drink, Guadalajara, Mexico, and a locomotive known as the Tequila Express is your trip. In this case, the Tequila Express is a literal train.

Thirty kilometers later, visitors arrive at Casa Herradura, home of the award-winning and picturesque Herradura Tequila distillery. Surrounded by mountains and agave fields, the tour takes in the original factory and a few 100% agave tequilas (silver, reposado, añejo).

Throw in a mariachi band and a little Mexican folk dancing and it could be a wedding night.

Cost: 100 pesos (U.S.$7.90) and up.

Vodka: 45th Parallel Distillery, Wisconsin

About 50 miles east of Minneapolis, Minnesota, 45th Parallel is a small, family-owned distillery in New Richmond, Wisconsin.

While their resources may be modest, they produce one hell of a vodka, ultra-clean and as neutral as Switzerland. It costs a mere $5 to take the distillery tour. Visitors observe the patient fermentation of mash and slow, small-batch distilling processes.

Then comes a sample of their best stuff in the tasting room. These Midwesterners also churn out a pretty solid bourbon.

Cost: $5.

Cider: Healey's Cornish Cyder Farm, Penhallow, England

Healey's makes a number of ciders, most notably the Cornish Rattler, a cloudy cider with a hefty bite, hence the name and snake on the bottle.

Visitors can explore the distillery, bottling facility, underground cellars and museum and learn about the process of making award-winning cider.

Or, they can take a tractor ride through apple orchards in the valley below, have lunch and a slew of ciders in the restaurant, even pet the farm animals. It's all kid-friendly.

Cost: £7.00 (U.S. $11).

Gin: New York Distilling Company, New York City

OK, this isn't much of a distillery tour. The New York Distilling Co. is small; tours are informal and don't last long.

The hook here is the distillery, located in the hip, converted-warehouse-heavy neighborhood of Williamsburg, Brooklyn, attached to a fully functioning bar called The Shanty.

In this laid-back, exposed-brick haunt, the distillery's hulking steel and copper still are seen through a large window.

Cocktails are available, made with the distillery's two gins, the citrus Dorothy Parker and the strong (57% ABV) Perry's Tot. A distillery-produced rye is on its way.

Cost: Free.

Where's the best drink you ever had? Near home or far across the sea? Please share in the comments below.

@highlight

The tour of the official bourbon of the Kentucky Derby explains the type of water that's used

@highlight

Barbados has beaches, sand and the home of the oldest rum in existence

@highlight

The producer of the beer milkshake known as Guinness is the No. 1 attraction in Ireland