(CNN) -- For Heather Neroy, it used to be a tedious process: Whenever she came across an interesting arts-and-crafts project or recipe on the Internet, she would save it for later by copying the link, pasting it into an e-mail and sending it to herself.

After that Neroy, a stay-at-home mom from Southern California, would file the e-mail in a folder for future reference. It wasn't exactly the most efficient system.

Then last year, during one of her browsing sessions, she read a blog post that gushed about a new website called Pinterest. The virtual pinboard, where users can pin and organize images onto individual "boards," didn't pique Neroy's interest at first, but she quickly changed her mind.

"Someone described it as an online filing system, and I thought, 'That's exactly what I need,' " she said.

Soon Neroy was pinning away and, like many Pinterest users, got quickly hooked. She first started with a Halloween board where she pinned costume ideas. Next, Neroy created a shared color board for redecorating her daughter's bedroom that she and her husband could add to.

Pinterest also allows other users to follow each other's boards and "re-pin" another person's images. In no time Neroy was sharing other people's pins and following users with similar tastes.

"It's been really neat to see what other moms are pinning," she said. "Some days you run out of ideas and you don't know what to do to fill the time before bedtime. I thought it was going to be just me organizing, but it's really a community sharing all these different ideas that I didn't even know existed."

Think of Pinterest as a way of cataloging your passions. Members have used the website to plan weddings and holidays. Others have pinned images of clothes, recipes, architecture, art, crafts, cars and even technology. Thanks to media reports and the devotion of users like Neroy, there's been a lot of buzz around Pinterest in recent months.

In October, TechCrunch confirmed that Pinterest had received $27 million of funding from the venture capital firm Andreessen Horowtiz. The pinboard website has been covered and praised extensively by media like Time magazine, and Mashable, which called it "addictive."

Pinterest co-founder Ben Silbermann declined to cite specifics about the invite-only site's growth. But Experian Hitwise, an Internet analytics firm, estimates that Pinterest received nearly 11 million total visits during the week ending December 17, 2011 -- almost 40 times the number of visits six months earlier.

Silbermann said what's most exciting about his website is how it helps you find new influences for things that you like -- and in turn lets other people with shared interests provide feedback on your pins.

"The things that you collect say a lot about who you are," Silbermann told CNN. "Our job at Pinterest is to help you discover people who have similar taste. It creates an online catalog where every item is handpicked just for you."

The appeal of content curation

Marshall Kirkpatrick, a senior writer at ReadWriteWeb, is not surprised by Pinterest's success. In an analysis of the website in September, he wrote that Pinterest's "clean retro visual design" and our fundamental need to collect and organize are part of its appeal.

In an interview with CNN, Kirkpatrick added that collecting "affirms our relationship with the world around us." Pinterest offers an easy way to digitally curate content without the pain of cutting clippings or saving endless web pages on your desktop, he said.

"Content curation is a timeless problem that a lot of people have tried to solve," Kirkpatrick said. "Pinterest brings a lot of high design to doing it and a lot of user experience. And with a larger group of people then there's a never-ending supply of content to enjoy."

Yet the concept of content curation is hardly new.

FFFFound, vi.sualize.us, We Heart It, Image Spark and Tumblr are among the other websites that offer visual bookmarking with a few clicks and have been doing so for a while. But Elad Gil, director of corporate strategy at Twitter, pointed out in a blog post a few weeks ago that Pinterest takes this further by giving structure to "push button content generation."

Here's what he means: Clicking Pinterest's "Pin It" button, which can be added to your browser's bookmarks toolbar, will automatically grab the picture you want from the website you are on. What is different is that it immediately adds it to any of your Pinterest boards, allowing you to categorize your content then and there. The boards each have a separate page and can be easily accessed, shared and viewed on a sort of mother board on your Pinterest profile.

"Importantly, it was easy for new users to consume these sets of content visually as structured sets, and to share these sets with others," Gil wrote. "This next wave of social curation will fundamentally change how users find and interact with content over time."

Users: Defining 'your own aesthetic'

Blogger Jonathan Lo, creative director of J3 Productions, a design and marketing agency, often pins using the Pinterest mobile app. He calls using the website "instinctual." Lo first started with home and graphic design pins related to his blog and then eventually created a board for his personal taste in fashion.

"It helps you define your own aesthetic," said Lo, who lives in Irvine, California. "I noticed patterns and recurring themes, so I got a stronger sense of what style I have. I wouldn't have necessarily been able to see that earlier. It's nice to be able to put a sense of order to all the things you like."

Business owners also are flocking to the website to lead new audiences to their products.

Jeanine Hays, the creative director and founder of AphroChic, an interior design company and blog, says she uses Pinterest to find inspiration for her business. As a designer, she uses Pinterest as a virtual mood board to develop concepts, and is often up till midnight just pinning.

"Pinterest is a great tool for designers looking for new and different content," said Hays, who lives in Philadelphia. "And it is a way to get into the mind of the designer and the brand of the company. My readers can actually see what the next trend is going to look like."

Silbermann believes Pinterest is different from other social networks because users are using the website to catalog their day-to-day activities.

"I think it's really cool that people are pinning the most important projects in their lives." he said. "I think it's a service that can really make your offline life more interesting."

Neroy is one such user. She is determined to use Pinterest for more offline purposes.

"I want to spend more time doing than pinning, to encourage time with my kids so that mom's not just sitting at the computer," she said.

In fact, Neroy went as far as to start a blog called Pinfluence to make sure of that. The blog chronicles her Pinterest exploits, in which she picks interesting do-it-yourself pins, tries them out for herself and writes about the results.

At present, Neroy has blogged about more than 30 pins, from cleaning her ceiling fans with a pillowcase to an unsuccessful crock-pot lasagna recipe to dressing her daughters in her wedding dress, which has been her most popular post to date.

"I thought it would be interesting to other moms to see me putting my own spin on it and sharing my success and failures," she said. "I want to show that if I could do it, they could do it as well."

Neroy added: "What I tell my friends [is], they are not just pinning but creating. And that's really where they'll find the benefit from Pinterest."

@highlight

On Pinterest, users can organize images into individual "boards"

@highlight

Thanks to media reports and the passion of users, there's been a lot of buzz around Pinterest

@highlight

Co-founder Ben Silbermann: Pinterest "creates an online catalog" that is "handpicked"

@highlight

It's "a great tool for designers looking for new and different content," Jeanine Hays says