Washington (CNN) -- Faced with a divided public over his signature legislative achievement, President Barack Obama on Wednesday hailed the health care reform bill passed in March as important for helping both the government and the American people deal with rising medical costs.

The measure endured a bitter political fight that saw no Republicans vote for its final approval, and recent polls show it remains controversial as Democrats face congressional elections in November amid a tough climate due to lingering economic woes.

Obama, at a carefully orchestrated meeting with people who have benefited from health care reform, told them that their stories are the best way to counter what one participant called "misinformation" spread by opponents of the measure.

"We are now actually able to provide some help to the American people," Obama said, noting new provisions under the bill that take effect Thursday -- the six-month anniversary of the day he signed it into law.

The new provisions will end lifetime limits on coverage; ensure coverage of children with pre-existing medical conditions; allow parents to keep children on their policies until the age of 26; halt the practice of rescission, in which insurance companies drop coverage for arbitrary reasons; and cover preventive health practices, Obama said.

Responding to a Republican argument that the health care bill represents a government takeover of health care, Obama said the bill's provisions are instead "designed to make sure you're getting what you paid for."

Democrats had planned to tout the health care bill's passage in their campaigns for the November 2 election, but some are backing off because of some people's continued negative perceptions.

According to a CBS News/New York Times survey conducted this month, almost half of respondents said they did not approve of the measure while 37 percent said they approved. A CNN/Opinion Research Corp. national poll conducted in early September indicated that 46 percent of the public says that Democrats in Congress will do a better job on health care, while 45 percent say congressional Republicans will do a better job on the issue.

Republican leaders are calling for the measure to be repealed, or at least diminished, if their party wins control of Congress in November. They say it will increase health care costs for businesses and individuals, hurting the economy.

A group of House Republicans who are doctors said later Wednesday that some of the new benefits cited by Obama are good, but the measure still should be repealed.

"These are the kind of things that the American people understand," said Rep. Phil Gingrey, R-Georgia, adding that such benefits didn't need "a 2,400-page bill" to enact them.

"When we go back and repeal, we will keep these things," Gingrey said.

Obama repeated arguments from the debate over the bill, saying how the non-partisan Congressional Budget Office predicted the reforms would eventually reduce the government burden for health care costs by up to $1 trillion. He noted how the plan also helps senior citizens with prescription drug costs, first by a $250 check paid this year and later by eliminating a current gap in coverage.

Obama's appearance was intended to highlight how the reforms have directly helped American families. Held in the back yard of a Virginia home, it featured people from all over the country provided microphones to relate their experiences and ask questions.

Gail O'Brien of Keene, New Hampshire, told how she had no health coverage when diagnosed in March with high grade non-Hodgkin's lymphoma, a form of cancer. Because of the health reform law, she put off treatment until July, when insurance companies were banned from denying coverage for pre-existing conditions, she said.

Now she feels great, she said, thanking Obama because "if it wasn't for this bill, I probably would not have been feeling great because I would have been so stressed out worrying about how we would pay for my medical bills."

Obama mentioned the call by House Minority Leader John Boehner, R-Ohio, to repeal the health care bill and said Boehner should have to look O'Brien in the eye and tell her, "Sorry, Gail, you can't afford health insurance."

"I don't think that's what this country stands for," Obama said.

He emphasized how the health care bill helps small businesses by providing tax breaks to those that provide coverage to their workers. Two of the participants backed him up by saying that before the bill, they faced the choice of either dropping coverage for their workers or going out of business.

Betsy Burton, who runs the King's English book store in Salt Lake City, Utah, said the bill "makes a massive difference in the state of our business" and asked what could be done about the misinformation against the bill. Jim Houser of Portland, Oregon, said health care premiums for his 14 workers doubled over the last seven years, but the tax credits now lowered the cost to 2008 levels.

"That's like a time machine in terms of our premiums," Houser said, adding it would allow him to keep providing coverage for his employees.

Another woman told how she was able to get coverage for her young son despite a serious eye condition. Dawn Josephson of Jacksonville, Florida, remembered being shocked when she realized the insurance company could no longer deny coverage due to a pre-existing condition.

"I said, 'Wow, something affected me personally from the government," Josephson said. "Thank you and everyone for pushing this through."

Obama concluded the gathering by telling how his daughter Sasha contracted meningitis when 3 months old, and his feeling of desperation as she was hospitalized and he wondered how he could have paid for it without health insurance.

"That's what this is about," he said, adding: "Ultimately, the thing that's most important is we've just got to give people some basic peace of mind."

Before the event, Obama met with state insurance commissioners to discuss how the bill was affecting their work and the ability of states to deal with the changes.

Some noted that meeting timelines for changes in the legislation would cost states significant resources, while the commissioner from North Carolina cited a benefit. Policies carrying excess contract reserves have been renegotiated at lower rates, bringing cost savings to participants, said the official, Wayne Goodwin.

CNN's Alan Silverleib and Tom Cohen contributed to this story.

@highlight

NEW: Republicans call for repealing the health care bill, but keeping some benefits

@highlight

Obama lists health care benefits going into effect Thursday

@highlight

President meets with people benefiting from the changes

@highlight

Obama also meets with state health insurance commissioners