(CNN) -- There are cool whites instead of lush greens, herbal showers instead of holes-in-one and empowering juices not intoxicating malt whiskies on the bar menu.

A sleek health club in central London and Muirfield -- home to golf's 2013 British Open -- might not have much in common but they are agreed on one thing -- they only accept members of a certain sex.

Grace Belgravia is one of a few female private members club in the U.K. while, north of the Scottish border, Muirfield is notorious for its men-only membership code.

Women are invited to play at the historic club as visitors or guests but cannot become members, a policy the club has no plans to change.

But is there still a place in the 21st Century's equality-conscious society for single-gender institutions?

"Why should there not be?" Kate Percival, co-founder of Grace Belgravia told CNN in the club's tranquil environs. "It's not anti-feminist, it's not anti-men.

"It's just a fact that some women, not all women, feel more comfortable in an environment where there are other women around.

Battle of the testosterone

"The women that come here know it's a very relaxing place because the men are not here. This becomes a haven, a sanctuary from the battle of the testosterone."

At Muirfield the "battle of testosterone" will be very much in evidence when golf's oldest major tees off on Thursday and no-one watching the prestigious tournament will be particularly troubled by this primeval male instinct.

But when the Open is awarded to Muirfield -- one of three clubs along with Royal St George's and Royal Troon on the Open rotation which still operate men-only membership policies -- there is always intense criticism.

Scotland's First Minister Alex Salmond has publicly pronounced his disapproval of the male-only policy by effectively boycotting the event.

There is a view that holding a global tournament at a club which does not accept female members vindicates Victorian values of patriarchy and keeps women in their place.

But Percival does not necessarily agree -- instead she argues that male-only or female-only policies represent an expression of freedom, not constraint.

"If what people are trying to say is that it is putting women down because they aren't allowed to join, I don't think that's the issue," Percival said.

"If men want to have their own club by all means have their own club, if women want to similarly.

"If some men choose to play golf only with men that is absolutely fine. No-one is forcing anyone to go to an all-male club.

"When Grace Belgravia opened there was just one comment right at the beginning when a journalist said this was anti-feminist.

"I think the point that they were trying to make is that women have striven for hundreds of years to have equality and someone is going backwards by having a women's only club but I just couldn't understand that argument.

"For me, this is really liberating and really being independent of thought, saying no, we want our space because there are lots of issues we want to take up."

Golf economics

Nestled at the back of the19th Century village of Lundin Links is a parkland golf course, home to the Lundin Ladies Golf Club -- which claims to be the oldest female-only golf club in the world and the only one in Scotland.

The club was established in 1891 as a separate entity from the nearby men's club and is now run solely by women as a picturesque place for a game of nine holes. Men can play on the ladies' course but only women can become members.

"It's a nice welcoming environment for ladies getting into golf," club captain Anne Dobie told CNN. "We have beautiful views up to the north."

But with a dwindling number of local ladies that play golf, Dobie concedes that it might be difficult to survive as a single-gender club.

"A lot of our members are quite elderly," Dobie explained. "It's the way that things are now. Young women are working and working longer. That's a bit of a downside.

"Most clubs are just a ladies section in a mixed club so it does mean there are considerable extra responsibilities such as staff, ground maintenance, starters and two greenkeepers.

"Financially it's becoming more difficult as time goes on as we don't have the numbers. The older ladies here will talk about when they used to come up to pay to play on the course in the summer holidays.

"People used to be desperate to play and queue up but we're not in that favorable position now.

"We are finding it harder to make ends meet and the longevity of the club probably is not too rosy."

Just up the road at the Lundin Links men's club -- where a weekday round costs $120 -- the scenario could not be more different.

"There is no comparison with our wealth and the wealth that is in the men's club," Dobie added. "They still have a waiting list for membership. They are in a very fortunate position financially.

"The ladies' club might just be sustainable if we have a closer relationship with the men's club."

In fact, Dobie argues that closer relationships between men and women in the game of golf -- and beyond -- could be the solution to the furore over the female-ban at Muirfield.

"We may all have to give in to the point where all clubs are mixed," she said. "It's the way things are going in society and in sports.

"I don't see that sports clubs have any reason to be any different. It's just equality in all things.

"In time, what we're doing just now will look pretty archaic to future generations when they see that certain people were excluded from certain golf clubs."

Historic hangover

Peter Dawson, chief executive of the R&A, which organizes the Open, argues that the single-sex policy of Muirfield -- and others -- is a historic hangover.

"Single sex clubs are still something of a feature in Scotland," Dawson told CNN. "It's a historical thing actually because women came to the game of golf when men were already established.

"It's something that is reported as an issue far more than the actuality of it. We have a situation where about 1% of clubs in the UK are single sex - it's a very small number.

"Golf has moved on from the stereotypes of 50 years ago. It is chalk and cheese and we'll just have to wait and see what happens in the year ahead."

In Windsor in the south of England there is already a positive example of a single-gender club that has happily merged into mixed living.

The Sunningdale Ladies' Golf Club -- which can count the late Queen Mother as its club captain in the 1932 -- was established in 1902 as a place for women to play the game.

It took more than a century for men to be admitted as members -- but club secretary Simon Sheppard says the advantages of mixed membership are self evident.

Good mixers

"There are ladies out there who do not want to join a ladies-only club," Sheppard told CNN.

"Then there are other people who might feel intimidated by a male-dominated environment. Here those people might feel less intimidated.

"Society is mixed so there is no reason for this club not to be. The best friends I've made, I've made playing golf.

"I play golf here with my wife very happily and afterwards we have a damn good Sunday lunch in the clubhouse."

Whether it is tee for two or tea for two, the concept is one that Percival is also happy to endorse, even within the walls of female oasis Grace Belgravia.

"Invariably in the evening, our members invite male partners in for drinks or an event or lectures," Percival explained.

"A lot of women love the fact that they have their own space during the day but it's nice to have a mix of things.

"It's fine to invite the opposite sex in as guests -- it's quite civilized as men and women do sit side by side -- but if the core of the club is also about single-sex, that's fine too."

And if golf's global organizers wanted to make a stand for equality they could always hold the men's Open at a ladies-only golf club.

Wouldn't that equal things out?

"The Open, held at a ladies club?" Dobie ponders incredulously. " It will NEVER happen."

@highlight

British Open - one of golf's four majors - starts Thursday

@highlight

The decision to hold the Open at Muirfield has attracted criticism

@highlight

Grace Belgravia's Kate Percival says there is a place for single-gender clubs

@highlight

Others argue future generations may see single-sex golf clubs as "pretty archaic"