New York (CNN) -- Jack Alvo drives the streets of the New York City six days a week -- the 5 a.m. to 5 p.m. shift. He never imagined he'd be a cabdriver at his age.

After all, a decade ago, he was pulling down $250,000 a year on Wall Street. He survived the 9/11 attacks while working in wealth management for Morgan Stanley on the 73rd floor of the World Trade Center's South Tower. He was a lucky man.

But Jack lost his last finance job in 2009, not so long after the markets crashed during the Great Recession. He is still in its grasp, trying to raise two kids, his hair now gray, driving a yellow taxi through the steel and concrete caverns of Manhattan.

"I got caught in-between and things got tough," he says simply. "Never would have thought that I could do this, but being a native New Yorker, I knew the streets. I learned the streets a lot better when I had to start paying attention to them."

There's a rhythm to driving a cab -- "a bit of science to this game," as Alvo says. "In the morning, you don't want to be caught on the Upper East Side too early. They don't wake up 'til 7:30. But down on Hudson Street, they're younger, more aggressive. They're going to work at Goldman and Bank of America or wherever, and you take 'em." Then a note of sadness comes to his voice, a slight softening. "A lot of them don't even remember 9/11, you know. The younger guys, it doesn't mean much to 'em."

It means a lot to Jack.

He'd worked his way from Forest Hills, Queens, to Babson College in Massachusetts to a job on Wall Street. On that blue sky Tuesday morning, when the first plane hit the North Tower at 8:46 a.m., Jack remembers one guy in his office who'd lived through the 1993 bombing of the towers running out of his office hollering. "He moved so fast, he caught the last PATH train to New Jersey. He probably saw the second plane get hit from the Jersey side," he says with a half-laugh. "But to give you a juxtaposition, another guy who was also there in '93 had a gas mask in his desk drawer. He put it on and never left."

In the chaos, Jack started to take the stairs down and then curiosity got the better of him. He stopped around the 56th floor and gathered with others in an office with windows facing the North Tower. "That's when you see the burning building, the smoke, the debris, the people falling, and people yelling 'my God, my God.' "

He tried to call his wife, who was pregnant and at home that day, but it just went to voicemail. Then the second plane hit.

"My knees buckled. It was like a crashing chandelier," he remembers. "It was above me, like crashing glass, but the impact was so strong it felt like it was underneath my feet. So I just knew I couldn't stay where I was. I got back out to the stairwell, and this time I started to make my way down a little bit faster, 50, 40, 30."

His family thought he was still on the 73rd floor, near the impact zone. "They were actually taking a tape measure to the TV to try and figure out where the plane hit. They didn't think there was enough time."

There was enough time, then.

But the post-9/11 economy eventually led to layoffs and Jack bounced around -- trading commodities and working for a family firm that hedged precious metals. For a while, he was commuting to Palm Beach, Florida, for work, but cutbacks caused him to be an expensive option easily shed. And so began a year of unemployment, taking care of his kids at their rent-stabilized apartment off Columbus Avenue. It was the worst time to be looking for a job, and Jack found himself caught in a no man's land: too senior to be a quick hire, too junior to have a golden parachute.

"Guys like me can be replaced at a much cheaper rate," Alvo says. "You know, a guy who's well into the six figure category, making 250 plus, he's easily replaceable by a guy who they can get for a hundred grand who thinks it's the best job in the world. Or they can replace me with two young guys."

After months sending out resumes with no response, Alvo started driving a cab to make ends meet. More than a year later, he started to put his resume in the back of the taxi for riders to read. He thinks of it as fishing: "If you've ever been fishing, you know you can spend a whole day on a pond and never catch a fish. But if you know the lay of the land, your odds improve."

Over time, he's gotten some help. A writer helped him tighten the resume, another suggested condensing it to one page and putting them in a basket.

"It does keep my faith in humanity," Jack says. "One thing you learn driving a cab is that it's all connected." He's gotten some leads -- even a few interviews -- but nothing solid has come through, yet.

"Citigroup just laid off 11,000. UBS laid off 10,000 worldwide, so I'm still in a holding pattern," Alvo says. "I've been in and out of markets for 25 years, and there's always an excuse -- there's an election coming up, or it's the end of the year, wait 'til the budgets get finalized. ... But as time passes, it gets more difficult. People look at you a little differently -- you've been out two and half years now, it's not one year -- that's my only discouragement."

Driving through New York, almost anonymous now in the front seat, Jack sees deepening divides.

"People who have a lot of money, they had their dip, but now they're back. Their bank account has been affected a bit, but their lives haven't. They cut back from four vacations a year to three. But if you've been caught in that downward spiral, coming back is extremely difficult."

It's a riff reminiscent of the fiscal cliff debates we're hearing in Washington, reflecting the growing gap between the super-rich and the middle class. "We're a tale of two cities now," Jack says in a tone that's equal parts resignation and frustration.

But that doesn't mean Jack is giving up -- far from it.

"My New Year's resolution is to get out of the cab and back into a 9 to 5. It's just a matter of closing a deal. ... I also want to write a book. I could call it 'From Street to Street' -- from Wall Street to having to work the street, so to speak. I think it would be a story of survival -- understanding that you can have everything at times and sometimes when things get tough, you're forced to take other routes. But there is light at the end of the tunnel. And if you stay focused you can get through anything."

It's not easy, but at 49, Jack remains determined, at turns realistic and optimistic.

"I've been driving a taxi almost half my daughter's life - she's 6. I felt really bad about that idea," he says. "But every now and then, she'll whisper in my ear and say: 'Daddy, I wish for you that you'd get a new job and I'm proud of you.' She actually used those words, 'I'm proud of you.' So I'm stuck driving a cab right now. I never thought it would happen. But I still believe it's all gonna work out -- things do get better."

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

Jack Alvo once made $250,000 a year on Wall Street; now he drives a cab

@highlight

Alvo keeps his resumes in the back seat, hoping it will help him land a job

@highlight

With Wall Street companies still cutting jobs, it's not easy to get back into finance

@highlight

He sees a deepening divide between the super-rich and the middle class