On guns, President Obama needs a "Plan B."

The president himself recognizes that the votes probably aren't there to pass any significant gun legislation through Congress. In his State of the Union address, he was reduced to pleading with Congress to allow a vote at all, never mind actually enact anything.

Even if Congress were seized by a sudden change of heart, the measures the president has proposed seem unlikely to achieve much.

Universal background checks would be a baby step forward. But until state governments join background checks to some effective system of gun licensing, the checks are very easily evaded. A felon or domestic batterer or disturbed person need only find a person with a clean background to buy a weapon for him.

But here are two things that can make a real difference -- without a vote in Congress.

First: The president can direct the surgeon general to compile a scientific study of the health effect of individual gun ownership.

Photos: Coming to grips with guns

The basis of the whole gun debate in the United States is the belief by millions of Americans that they need a firearm in the home to protect themselves from criminals. Testifying to Congress last month, a gun advocate named Gayle Trotter presented a vivid image of how guns might be used.

"An assault weapon in the hands of a young woman defending her babies in her home becomes a defense weapon, and the peace of mind that a woman has as she's facing three, four, five violent attackers, intruders in her home, with her children screaming in the background, the peace of mind that she has knowing that she has a scary-looking gun gives her more courage when she's fighting hardened, violent criminals."

Thrilling. Also wholly imaginary. Such Rambo-like defenses of home and hearth do not happen in real life, unless the home also happens to contain a meth lab. (The oft-cited statistic that gun owners draw in self-defense 2.5 million times a year is a classic of bad social science.)

Incidents like these, however, do happen -- and tragically often:

"A fourteen year-old girl jumped out of the closet and shouted 'Boo' when her parents came home in the middle of the night. Taking her for an intruder, her father shot and killed her. Her last words were 'I love you, Daddy.' "

That true story, reported in the Boston Globe in 1994, appears on page 70 of the classic study "Private Guns, Public Health" by David Hemenway, director of Harvard's Injury Control Research Center. It's just one of thousands of similar incidents in the United States every year.

Hemenway again: "Between 1990 and 2000, an annual average of 320 children zero to fourteen either committed suicide with guns or were accidentally killed by guns." American children are much more likely to suffer these tragedies than children in other countries. States with more guns suffer more than states in which guns are less common.

Complete coverage: Gun Debate

Claims that homeowners often use guns for legitimate self-defense dwindle away on close examination.

What the gun owner claims as self-defense often looks, on closer examination, more like trigger-happy recklessness.

Here's another case, as reported by Hemenway.

"Two women, aged thirty-four and forty, were driving home from work when one cut the other off on a congested highway. Their rage escalated as traffic crawled for miles and the women flashed their headlights and hit their brakes. Both vehicles left the interstate, heading for home. At the first traffic light, one woman left her car and approached the other, perhaps to end the confrontation. The woman in the car shot the approaching woman in the face, killing her."

Self-defense? Maybe. But the shooter herself wasn't so sure. She was recorded weeping, "Oh, my God, I shot her. Oh, my God, I can't believe I shot her. Oh, my God, I can't believe she's dying."

As for guns in the home, Hemenway reports studies find that "(G)uns are used far more often in the home to intimidate and frighten intimates than to protect against intruders."

These are facts about guns that are well-known to the social scientists who study gun injury but poorly understood by the general public.

Read more: Obama in Chicago to talk guns

Fifty years ago, Americans contended with similar public ignorance -- and similar industry misinformation -- about the hazards of cigarette smoking. The argument was settled by the famous surgeon general's report of 1964.

Congress in the mid-1990s forbade the federal government to fund its own research into the health risks presented by guns. By now, however, enough research has been done by privately funded scholars that the surgeon general could write a report based on existing material. Such a report would surely reach the conclusion that a gun in the home greatly elevates risks of suicide, lethal accident and fatal domestic violence. The first step to changing gun policy is to change public attitudes about guns, as Americans previously changed their attitudes about tobacco and drunken driving.

The surgeon general can lead that attitude change with more authority than any other public official.

The second step that might be taken -- again without the need for any congressional vote -- is for the Senate to convene hearings into the practices of the gun industry analogous to those it convened into the tobacco industry in the 1990s.

Read more: Gun focus shifts from ban to checks and trafficking

So many gun accidents occur because guns almost never indicate whether a bullet is present in the chamber. A gun owner might remove the gun's magazine and believe the gun unloaded, when in fact it still contains one potentially deadly shot. Why not require guns to be equipped with indicator lights? Why not require that guns be designed so that they will not fire if dropped? We have safety standards for every consumer product, from children's cribs to lawnmowers, except for the most dangerous consumer product of them all. Not only that, Congress has actually immunized makers of that product against harms inflicted by unsafe design.

Gun makers often design their weapons in ways that present no benefit for lawful users but that greatly assist criminals. They don't coordinate the issuance of serial numbers so that each gun can be identified with certainty. They stamp serial numbers in places where they can be effaced.

They reject police requests to etch barrels to uniquely mark each cartridge fired by a particular gun.

They sell bullets that can pierce police armor.

They will not include trigger locks and other child-proofing devices as standard equipment.

They ignore new technology that would render guns inoperable by anyone except their approved purchaser.

Why? Why? And why?

U.S. gunmakers have never been required to answer these questions. But one Senate subcommittee chairman with subpoena powers could cast much needed light on an industry whose record makes the tobacco industry look a paragon of transparency and accountability in comparison.

There's a gun agenda that need not depend on politics and that will not snatch a single weapon from any owner, whether law-abiding or not. If Congress stalls on the president's ambitious legislative schemes, the president should fall back on this Plan B to publicize what guns really do to those who carry them -- and what gunmakers do to their customers.

@highlight

David Frum: Obama may not have votes for gun legislation to pass

@highlight

He says president's "Plan B" could be a surgeon general's report on hazards of guns

@highlight

Senate could hold hearings to ask gun manufacturers about actions they could take

@highlight

Frum: Why isn't the most dangerous consumer product in America being regulated?