(CNN) -- An autopsy report has revealed that Michael Brown was shot six times. It's among the few bits of concrete information released to the public, another being the name of the officer, Darren Wilson, who shot dead an unarmed and (by some accounts) surrendering Brown on August 9 on the street in Ferguson, Missouri.

Police have argued that their silence has been to protect Wilson from retaliatory acts of violence. After all, as possible 2016 presidential candidate Ben Carson argued on Bill O'Reilly's Fox show, "Police are individuals, too. They have feelings also." They do, but Brown died without due process and is lifeless in a Ferguson morgue.

Even if Brown were guilty of stealing Swisher Sweets cigars a short time before his encounter with Wilson, as some have alleged, there is no death penalty in the United States for such an offense. But a young black man is dead.

We don't know all the details of what happened on that street in Ferguson. But for black men in America, the incident carries familiar, troubling echoes.

Black men occupy and distress the psyches of many white Americans, the way Tom Robinson in Harper Lee's "To Kill a Mockingbird" unsettled the white folks of Maycomb, Alabama. Justice, for black men, often seems whatever officers deem it to be. We remain, as the writer and activist Pauli Murray put it, "the pervasive irritant, the chronic allergy, the vague apprehension which (makes) one uncomfortable and jumpy."

Even as we serve as the cornerstone of American "cool," we continue to be seen by many as aberrant, inferior, threatening, hyper-sexed, and Ã¼ber-violent guests in this experiment in democracy -- still only "in" America and not "of" America, as the great W.E.B. Du Bois wrote more than a century ago

Regardless of what he may or may not have done, Michael Brown's very presence on that Ferguson street would be seen by too many white men as threatening. In what has become a customary occurrence in America, Brown's fate was sealed by being and breathing as a nonwhite man at the wrong place and at the wrong time.

According to a recent FBI report, white police officers in America killed a black person, 18% of whom were under 21, nearly twice a week between 2005 and 2012 -- more than twice the rate of such killings of white youth of the same age. The criminalization, incarceration and slaying of black people, in this so-called post-racial America, remain endemic.

Magazine: The aftermath in Ferguson

Unfortunately, many law enforcement professionals and police departments, but not all of them, seem to care more about safeguarding themselves and their authority than understanding this dynamic and protecting and serving accordingly.

It comes as no surprise then that Ferguson police want to paint a different picture of the circumstances surrounding Brown's death. But as one protester's sign put it, "Ferguson police need better scriptwriters." Their release of Wilson's name Friday was viewed by many not as an act of transparency, but of placation -- and instigation: While naming Wilson, police conveniently released surveillance footage of a man, alleged to be Brown, involved in a strong-armed robbery at a local minimart.

The indirect message here was that Wilson could not be another cop with a jaundiced view of black males and an itchy trigger finger; he was a dutiful white male compelled to use deadly force in the face of a menace. This new narrative is one we've seen over and over through history old and recent: A black man, like Brown, is depicted in the foulest of ways to paper over institutional missteps and white male anxieties, and to grant absolution for the imperfections of both.

As historian and writer Jelani Cobb wrote in The New Yorker, "The parameters of this story have already spread far beyond what happened between Brown and Wilson that afternoon." Is this what concerns the police in Ferguson and beyond; that there are many who would tether this tragedy to broader issues of socioeconomic isolation, criminalization of people of color and others on the margins? That Brown's shooting would expose again the entrenched, systematic authoritarianism in a society that is more diverse than it ever has been, but still vulnerable to stereotypes and intolerance?

The delicate peace that had been achieved in Ferguson on Thursday and Friday has been erased by looting, a declaration of a state of emergency and curfew by Missouri Gov. Jay Nixon. One hopes that more unrest will not follow as more details of Brown's death emerge.

"What happens to a dream deferred?" asked the great Langston Hughes. "Does it dry up like a raisin in the sun? Or fester like a sore -- And then run? Does it stink like rotten meat? Or crust and sugar over -- like a syrupy sweet? Maybe it just sags like a heavy load. Or does it explode?"

@highlight

Matthew C. Whitaker: Michael Brown's death by police carries troubling echoes for black men

@highlight

Black men in America unjustly seen as violent and threatening, Whitaker says

@highlight

He says police's release of robbery video meant to justify anxieties of white males

@highlight

He cites Langston Hughes poem: "What happens to a dream deferred? ... Does it explode?"