New York (CNN) -- The BP oil spill is defining the political landscape in the summer of 2010 as much as the rise of the Tea Party did in 2009. It is driving the national debate, and changing the way we think about both government and business.

Of course, the oil spill's impact is much bigger than politics. One of our nation's most beautiful and historic coastal regions is under threat, whole industries have been put on hold, and we can only guess at the long term environmental and economic impact. But there's no denying that the oil spill is shifting political fortunes with implications that will be felt throughout the midterm elections. A case-study is being written in real time: It's an object lesson in how events can overtake politics in ways no one can anticipate.

There are no winners and losers in the wake of environmental devastation, but there are those who are seizing the spotlight and those who are starting to smell like low tide on the Bayou.

Charlie Crist: The governor of Florida had been on his political heels after leaving the GOP in the face of a strong challenge for the open Senate seat from conservative phenom Marco Rubio and declaring his plan to run as an independent for the office. But the oil spill has given Crist the chance to be seen as a leader above the partisan political fray, focused on solving problems that affect all Floridians, and liberated from the party infighting that seems so small by comparison.

Even the indictment of his former party chairman Jim Greer on corruption charges hasn't been able to stop Crist's post-declaration of independence momentum. A new Florida Chamber of Commerce poll shows Crist breaking out with a double-digit lead over Rubio.

Bobby Jindal: The rising star Republican governor briefly became a political punch-line after his sing-song Kenneth-the-pageboy delivery of a nationwide address. But the youngest governor in the nation was always a more impressive figure than the speech sound bites portrayed, compiling an impressive record of reform in Louisiana during his term. Now, he has emerged as close to a post-9/11 Rudy Giuliani as the slow moving crisis has produced -- a hands-on leader, constructively channeling the frustrations of his citizens on the ground.

His recent argument against the drilling moratorium may have raised some environmental eyebrows, but he's looking at what he can still salvage in the local economy. My guess is that he'll be on the VP short-list for any 2012 GOP presidential nominee.

A new energy bill: During the 2008 campaign, moving America toward energy independence and kicking our addiction to oil was one policy proposal which was broadly embraced by the left, right and center. Both Obama and McCain backed cap-and-trade climate-change legislation as part of their energy plan. But in the wake of the great recession, enthusiasm for environmental aspects of energy planning lost much of their political and popular support -- until, that is, BP.

Now a bipartisan group of senators are optimistic that some sort of energy legislation will pass this year, possibly with a scaled-down cap-and-trade plan that affects only electric utilities. And I can't help but wonder if the evident risks of offshore deep water oil drilling also could cause renewed focus on the comparatively safe option of drilling at the Artic National Wildlife Refuge.

Sharron Angle: The Tea Party-backed candidate wrestled the Nevada Republican nomination for U.S. Senate from GOP establishment candidate Sue Lowden earlier this month, giving her the slot to run against Senate Majority Leader Harry Reid. But her ideological absolutism, such as calls to end the Department of Energy and the Environmental Protection Agency, now looks like dangerously naïve policy bumper-stickers that have nothing to do with solving problems in the real world. This disconnect can be counted on to derail the candidacies of other Tea Party-backed candidates come the fall, because calls for less government and less regulation seem out of touch with the need to respond to the crisis on everyone's mind.

President Obama: The BP oil spill has hardened negative perceptions of President Obama's leadership style, playing into the flipside of "No Drama Obama" -- namely that the president is so analytical as to seem aloof. It has highlighted questions raised during the campaign about his readiness to take the "3 a.m. call" and provided evidence of why we've only elected three people without executive experience to the presidency over the past century: Warren G. Harding, John F. Kennedy and Obama. Comparisons to President Carter are overdone -- a reflexive attack by the right against any Democratic president. But the tick-tock of each day that passes has been compared to the Iranian hostage crisis in that they seem to symbolize an impotence of government.

When the president of Plaquemines Parish, Billy Nungesser, told a Senate subcommittee, "I still don't know who's in charge. ... Is it BP? Is it the Coast Guard? ... I have spent more time fighting the officials of BP and the Coast Guard than fighting the oil." It was a scathing condemnation of a lack of leadership. And when Nungesser said he wanted someone "with the guts and the will to make decisions" -- well, that's what we elect presidents for. There is still time to turn this around -- the $20 billion escrow account was a step in the right direction -- but for the Obama administration, it's later than they think.

'Drill baby, drill': Rarely has a political slogan ever sounded more stupid in retrospect. It was the frat-boy approach to energy policy -- pump now, think later. But Saturday night has turned into Sunday morning and we're forced to confront the consequences. The chant not only took over the Republican convention, it started to change the country's policy mindset. Gallup polls showed that by April 2010, over 50 percent of Americans said the United States should "prioritize the development of energy supplies over environmental protection" for the first time in the 10 years the question had been asked. One month later, with the oil spill spewing, the poll switched, with 55 percent putting the environment over energy.

The right response isn't to choose between the two but to refocus on the larger goal of getting ourselves off our addiction to foreign oil, responsibly increasing domestic supply while transitioning to renewable fuels and a green technology economy.

In the bigger picture, populist anger at both big business and big government is likely to continue through the fall, with BP and a faltering government response the newest targets of frustration. It will remain a tough time for any candidate representing the establishment. But the old hyper-partisan slogans which sustained many protesters last year have slammed up against a new demand from the public: Stop fighting and just fix it.

The opinions expressed in this commentary are solely those of John P. Avlon

@highlight

John Avlon: Oil crisis is changing the dynamics of U.S. politics

@highlight

Last year's concerns are being edged aside by other issues, he says

@highlight

Crisis response is helping two governors, Crist and Jindal, and hurting Tea Party candidates

@highlight

Avlon: New demand from the public is "Stop fighting and just fix it"