Grand jury dismissal of charges against police officers in the July 17, 2014, chokehold death of Eric Garner in New York has returned racism to the forefront of the American political debate.

The entrance of Iranian Supreme Leader Ali Khamenei into the fray, with tweets condemning American police and racism and using the hashtag #blacklivesmatter, has turned the debate into a farce. It's the equivalent of David Duke condemning anti-Semitism or North Korean dictator Kim Jong Un condemning prison overcrowding.

But perhaps Khamenei's tweets can be a teachable moment, for Iranians and Americans both, about racism and injustice in Iran.

In America, journalists discuss racism, politicians debate it and academics study it, because Americans enjoy free speech, a free press and can speak truth to power without fear or risk of torture. Not so with Iranians.

In the months preceding the Shah's 1979 ouster, Iranians joined the revolution because they were tired of dictatorship, wanted democracy, and chafed under the SAVAK, the Shah's dictatorship. Revolutionary leader Ayatollah Ruhollah Khomeini rallied Iranians to his cause. Before his return to Iran, Khomeini spoke the language of social justice and disavowed any interest in personal power.

After the success of his revolution, Khomeini changed course. He may have executed many top-ranking SAVAK officers, but he soon took back their deputies to build the VeVAK (or Ministry of Information and Security), a new intelligence service different only in name.

Iranians might be disillusioned with the regime's revolutionary fervor, but Khamenei, his top deputies and the Revolutionary Guards are not. Whether it's Evin or Kahrizak, Iranian prisons can make their American counterparts look like Club Med.

While many Western commentators consider new Iranian President Hassan Rouhani a reformer, he is anything but. Sure, he purged IRGC veterans from his cabinet, but he replaced them not with liberals but with VeVAK veterans. The increasing rate of public executions since Rouhani took office shows that neither justice nor compassion are high priority values.

What about racism? Here, too, Iranians might learn a lesson from America about tolerance and honest introspection. Some of these themes were explored tangentially in the 1986 Iranian art house drama, "Bashu, the Little Stranger." After the dark-skinned title character flees war and finds himself on a farm in northern Iran, the woman who finds him tries to scrub the darkness off his skin (many southern Iranians have dark skin, in part a legacy of the east African slave trade). The irony here is that Iran's minister of culture at the time, one Mohammad Khatami, initially banned the film for its negative depiction of war and its feminist overtones.

Shining a spotlight on Iranian racism is the rule rather than the exception. Haji Firouz, a black-faced minstrel or clown, is a fixture in Iranian New Year gatherings in Iran. In a November 11, 2008, commentary, the Borna News Agency, an outlet close to then-President Mahmoud Ahmadinejad called U.S. President Barack Obama a "house slave." After Obama's election, Jomhuri-ye Eslami, a daily newspaper close to Iran's Supreme Leader and intelligence services, dismissed Obama as "a black immigrant." And while the Revolutionary Guards' weekly, Sobh-e Sadegh, declared after Obama's election that "A Dark Person Rises to Remove Darkness from America," it then continued to criticize him for hiring a Jewish chief of staff.

Nor are blacks alone targeted. While some Iranians bend over backward to depict Iran as a tolerant community and home to the second largest Jewish community in the Middle East, they omit that this community is only one-sixth the size of what it was before the revolution, and declining steadily against the backdrop of both official and unofficial discrimination.

Repeated rhetoric about Israel being a cancer—sometimes without any differentiation between Jews and Israel—takes a toll. In 2006, an Iranian newspaper published a cartoon depicting Azerbaijanis, Iran's largest ethnic minority, as cockroaches. In 2012, Iranian authorities in Isfahan banned Afghans from a public park. Iranian Arabs fare little better.

Obama is right to say that the American willingness to confront problems head-on "should make us optimistic." As a Nobel peace laureate and an important voice on the world stage, Obama might cast moral and cultural equivalence aside and use his bully pulpit to respond to Khamenei, reminding the Iranian leader that the United States is far less racist than Iran.

@highlight

Iran's Supreme Leader Ali Khamenei posts tweets condemning U.S. police, racism

@highlight

Michael Rubin: His action was ridiculous, but it serves as a teachable moment

@highlight

In America, we can speak truth to power without fear or risk of torture, not so with Iranians

@highlight

Rubin: Shining a spotlight on Iranian racism is the rule rather than the exception