HOOVER, Alabama (CNN) -- Nine-year-old Kyle Graddy looked out across a minor league baseball diamond for the first time in his life and pondered the possibility of his own death.

Kyle Graddy, who has a peanut allergy, enjoys his first pro baseball game.

Exposure to peanuts can be deadly for Kyle, who took advantage of a peanut-free night hosted by the Birmingham Barons in June to enjoy his first pro baseball game.

"I break out all over my arms and my neck, and it makes it hard for me to breathe," Kyle said, describing his symptoms. "And it could cause death or something."

It was hardly an American boy's traditional ballpark initiation. But Kyle seemed to take it all in stride.

He's among an estimated 1 percent of all U.S. children who have allergies to peanuts, according to the Johns Hopkins Children's Center. Among both children and adults, at least 120 U.S. deaths are blamed on peanut allergies each year.

Direct exposure to peanuts or peanut-tainted products could throw Kyle into what doctors call an anaphylactic reaction, when the body's immune system overreacts, triggering the release of chemicals such as histamines that can lead to a range of conditions, from hives to life-threatening airway constriction.

Doctors are trying to solve the mystery of why peanuts are deadly for Kyle and other food allergy sufferers.

To minimize the threat, the Barons power-washed Regions Park stadium for several consecutive days before the game to get rid of any peanuts or their remnants, spokesman Justin Rosenberg said. All peanuts or related products were removed from the facility's vendor booths.  Watch as Kyle attends his first pro baseball game after the stadium undergoes thorough preparations »

Under the threat of rain on a muggy evening, the Graddys -- including Kyle's parents and two younger sisters, Amelia, 7, and Karlin, 4 -- took their seats in the center of the stadium where basketball legend Michael Jordan chased his baseball dreams 15 years before.

Despite the team's promise of providing peanut-free food at vendors' booths, Kyle's mother, Barbara Graddy, packed her own munchies just to be safe.

Along with a treasured red baseball cap, Kyle wore his EpiPen, the auto-injector -- dangling from a hook on his pants.

If he has a severe reaction to peanuts, Kyle would use an auto-injector to give himself a shot of life-saving epinephrine, said Dirk Graddy, Kyle's father. "I don't think he lives in fear of dying or anything. It's important for him to know the seriousness of it, if he lets his guard down."

Many might think that baseball games -- the subject of well-known song lyrics about "peanuts and Cracker Jack" -- would be among the most dangerous places for people with peanut allergies.

But child food allergy specialist Dr. Robert Wood of Johns Hopkins Children's Center says the danger for older children with peanut allergies at stadiums is low.

"In the open air, it's actually very rare to have enough exposure to cause any sort of reaction." More at risk, Wood said, are younger children ages 2 to 4 "who are crawling around on the floor, picking up peanut shells."

The Graddys have been fighting peanut allergies since Kyle and his sister Amelia were diagnosed in 2004.

A frightening episode at Amelia's preschool sparked the family crisis.

"It was scary, because she had put her hand in a bowl of M&Ms and then rubbed her eye," Amelia's mother said. "Eventually, her eye was swollen shut. It looked like she had been punched."

Soon it became clear that the Graddy kids would have childhoods a little bit different than those of other kids.

"At first I was just really scared," Barbara Graddy said. "I was afraid they were going to die at school. There was just such an uncertainly."

Eventually she reached out to experts online and in the medical community surrounding their hometown of Auburn, Alabama. Now she leads an allergy support group.

From then on, Kyle and Amelia would bring their lunches instead of eating school food. They would ask classmates' parents not to send their children to school with peanut butter and jelly sandwiches or any food that could be tainted with peanut products. They would always keep an auto-injector nearby, along with an emergency inhaler for asthma attacks, because they also suffer from asthma, which is common among children with food allergies.

A 2008 study by the U.S. Centers for Disease Control and Prevention revealed that food allergies are becoming increasingly prevalent worldwide.

Although experts don't know what's causing the increase, scientists are researching about a dozen supported theories that might solve the mystery, Wood said.

The most popular, the hygiene theory, "says we live in too clean an environment and that the less our immune systems are exposed to germs or bacterial byproducts, the more" prone they are to allergies, he said.

Other theories, he said, involve nutritional factors such as increased exposure to peanuts early in the diet, food processing or vitamins. One theory says low vitamin D may be behind the cause.

"In reality, it probably is a variety of things over the past 10 or 20 years in the environment that has led to this increase," Wood said.

"Quite promising" immunotherapy studies are in very early stages, Wood said. They involve giving patients the proteins of foods they're allergic to, orally or under the tongue, until they are desensitized.

"There are clearly a majority of patients who can be desensitized to a certain point and at least some patients who appear to be completely cured of the allergy after going through these treatments."

Meanwhile, the Graddys are hopeful that Kyle's and Amelia's allergies will disappear as they enter adulthood, but that doesn't happen very often, experts say.

The family is thinking about venturing out for another baseball game -- this time, at a stadium with peanuts. Dirk Graddy is talking about loading up the minivan and trekking to see the minor-league Biscuits play in nearby Montgomery.

"Yes, we might risk it," he smiled, "as long as people aren't throwing peanuts."

@highlight

Kids with deadly food allergies enjoy rare peanut-free ballpark

@highlight

At least 120 people die each year in the United States from peanut allergies

@highlight

Food allergies are becoming more prevalent worldwide, CDC says

@highlight

Doctors developing theories to explain increasing prevalence of food allergies