WASHINGTON (CNN) -- Mountainous terrain and harsh weather in remote parts of Afghanistan have proven a deadly combination for the U.S. military in its push to reduce mounting violence in the country.

CNN obtained this photo of a U.S. helicopter above Forward Operating Base Keating in the Nuristan province.

On Saturday, Taliban militants attacked American and Afghan troops in the Nuristan province in eastern Afghanistan. Eight American troops and two members of the Afghan national security forces were killed, according to the Pentagon.

It was the largest number of Americans killed by hostile action in a single day since July 13, 2008, when nine troops died, according to CNN records.

The fighting was so fierce that at one point U.S. forces "had to collapse in on themselves," a U.S. military official with knowledge of the latest intelligence reports on the incident told CNN. These revelations about the battle that engulfed Forward Operating Base Keating are a further indication of how pinned down and outmanned the troops were.  Watch more on the attack in rural Afghanistan »

The base was scheduled to be closed in the next few days, CNN has learned. Gen. Stanley McChrystal, the top commander in Afghanistan, wanted to cede remote outposts and consolidate troops in more populated areas to better protect Afghan civilians.

It's a point he reiterated over the summer.

"Practically speaking, there are areas that are controlled by Taliban forces," he told the Los Angeles Times in late July. Over time, McChrystal said, the command would "reduce" those areas, but the first priority will be to make sure populated areas are free of insurgent influence.

The deadly attack over the weekend and the July 2008 attack in Wanat, just 20 miles away, serve to underscore, some say, that the reduction isn't happening.  View an interactive map of the two attacks »

It's an assessment that one veteran military observer discussed in a column earlier this year.

"Screwups are inevitable in war. But there are serious questions to be addressed," Foreign Policy magazine's Tom Ricks wrote in a January 2009 online article.

"As one Army source put it to me, 'The paratroopers sent to Wanat knew they were in big trouble. ... [The soldiers] ran out of water and had little material to build up their defensive positions,' " Ricks wrote.

Peter Bergen, a CNN terrorism analyst, called the repetition "a huge problem."  "It is suposed to be a lessons-learned exercise," Bergen said. "And then, exactly 20 miles away from the event about a year ago, exactly the same kind of attack happened."

In the Wanat fight, 49 U.S. troops were attacked by nearly 200 Taliban fighters, and the base was later abandoned.

"So, you have to ask yourself, what were the lessons learned? Or were the lessons not implemented? And these remote combat outposts, you know, are obviously sitting ducks," Bergen said.

The Nuristan and Wanat fights add to the growing list of problems facing the Obama administration. The White House is in the midst of a comprehensive review of U.S. strategy in Afghanistan.

McChrystal, who took over four months ago as the top U.S. commander in the country, has submitted an assessment in which, sources have told CNN, calls for additional forces to carry out a successful counterinsurgency strategy.

But some in the administration, including Vice President Joe Biden, are advocating a counterterrorism strategy focusing on combating al Qaeda and the Taliban through the use of unmanned drones and special forces without involving additional troops.  Watch more on the varying advice Obama is getting »

Others believe that a broader counterinsurgency approach -- requiring a larger military operation in the country -- is needed.

Several top military leaders and opposition Republicans are pressing Obama to act quickly to increase the present 68,000-troop level by as many as 40,000. In March, Obama announced a plan to send more than 20,000 additional troops to the country to provide security for a national election.

"If we don't add more troops, you're going to see more of what happened yesterday," Sen. Lindsey Graham, R-South Carolina, said on "Fox News Sunday." "The security situation's going to get worse. And any hope of better governance is lost, and the Taliban will re-emerge."

Despite criticism, Obama said Tuesday that U.S. efforts in Afghanistan have had a major impact.

"Al Qaeda and its allies have not only lost operational capacity, they've lost legitimacy and credibility," he said. "We're making real progress in our core mission: to disrupt, dismantle, and defeat al Qaeda and other extremist networks around the world."

Defense Secretary Robert Gates said Monday that the Taliban currently has the momentum in the country. He warned that a Taliban takeover of the country would empower the al Qaeda terrorist network.  Watch more of Gates' remarks »

"Because of our inability and the inability, frankly, of our allies to put enough troops in Afghanistan, the Taliban do have the momentum right now," he told CNN's Christiane Amanpour and former CNN Washington Bureau Chief Frank Sesno in a panel discussion that included Secretary of State Hillary Clinton.

Gates said an eventual Taliban victory would provide "added space" for al Qaeda to set up in the country and enhance recruiting and fundraising, bolstered by the perception that, having driven out the Soviet Union in the 1980s, Muslim forces have won a second victory over a superpower.

CNN's Barbara Starr, Atia Abawi and journalist Matiullah Mati contributed to this report.

@highlight

8 U.S. soldiers, two Afghan soldiers killed in attack in Nuristan province

@highlight

Source: Fighting so fierce that U.S. forces "had to collapse in on themselves"

@highlight

Analyst says lessons haven't been learned in operating in rural Afghanistan