(CNN) -- The use of drones to carry out military strikes is controversial, to say the least.

U.S. lawmakers and international leaders continue to examine the legality of the unmanned attacks and whether their role in curbing terrorism outweighs the risk of unintended casualties.

But British artist James Bridle has made up his mind -- and he's adopting Web and mobile tools to tell his side of the story.

"There are many ways to approach the use of drones, but being against it, my take is old school: raising awareness," he told CNN. "This means not only knowing that drone strikes are happening, but knowing how we frame it, how we understand it."

His Dronestagram is a project that blends art and technology in an effort to show Americans, and others, a side of warfare that few will ever see in person.

The project collects what it says are Google Earth images of the locations of drone strikes. The photos are then posted to Instagram, the Facebook-owned photo-sharing app more customarily used to share filtered images of skylines, cappuccinos and other much lighter fare.

From there, they're pushed to popular blogging platform Tumblr and Twitter.

The idea, Bridle said, is to make the strikes "just a little bit more visible, a little closer, a little more real."

He notes the irony of using technology, from GPS location data to mobile social-sharing, to report on a uniquely high-tech form of warfare.

"History, like space, is co-produced by us and our technologies," Bridle told CNN. "Those technologies include satellite mapping, social photo sharing from handheld devices, and fleets of flying death robots. "We should engage with them at every level. ... We have gotten better at immediacy and intimacy online: Perhaps we can be better at empathy too."

A spokesman for the Department of Defense declined to comment to CNN about Dronestagram or U.S. drone activity.

CNN Explains: U.S. Drones

The largely secretive U.S. drone campaign against al Qaeda and its allies has transformed the nature of modern warfare, becoming a key weapon in the U.S. arsenal against suspected terrorists. Advocates see drones as an effective tool in the fight against extremists. Opponents worry about civilian casualties and loose oversight.

While used for the past several years, the drone strikes have drawn increased attention in recent weeks since President Barack Obama nominated counter-terrorism adviser John Brennan to be the next head of the CIA. Brennan is considered by many to be the mastermind behind U.S. drone policy.

A Senate committee vote on whether to confirm Brennan as CIA director is expected at the end of the month.

The New America Foundation estimates that in Pakistan, between 1,953 and 3,279 people have been killed by drones since 2004 -- and that between 18% and 23% of them were not militants. The nonmilitant casualty rate was down to about 10% in 2012, the group says.

In Yemen, the group estimates, between 646 and 928 people have been killed in a combination of drone strikes and airstrikes, and 623 to 860 of those killed were militants. About 2% of those killed have been "high-level targets," the group said.

Bridle, who describes himself as a "writer, artist, publisher, technologist and a number of other things" on his website, launched Dronestagram in October. The Instagram account now has about 6,600 followers, with about 2,400 on Twitter and more checking in on the Tumblr blog.

Bridle uses media reports and local government sites to find the locales for his images. Many, he says, are in remote areas where information on exact locations is scarce; so if a precise location is unavailable he uses satellite views near the reported location.

"I'm always concerned about misrepresentation, but I also make it as clear as possible in the project description that these are not exact locations, and they're the best I can do," he said. It's definitely far from perfect, and I'm sure mistakes have been made, but I just try to be clear about that."

To some observers, that undercuts the impact of his project.

"It's not like you have the exact longitude and latitude of each strike," said Peter Bergen, a CNN national-security analyst.

"As an art project, this (Dronestagram) is interesting," Bergen said. "As a piece of actual journalism ... it seems quite off."

Bridle also uses information from the Bureau of Investigative Journalism, a British independent nonprofit organization which compiles local reports of drone strikes in Pakistan, Yemen and Somalia.

The debate over the use of attack drones will no doubt continue, even as U.S. troops continue to draw down in places like Afghanistan, reducing the number of combatants apt to encounter militants face-to-face.

And Bridle says he'll continue trying to put people at the scene of the strikes -- even if it's only through the screens of their smartphones, tablets or desktop computers.

"It's about trying to make it literally visible," he said. "The very nature of this kind of warfare makes the perpetrators, the victims, the landscape, essentially invisible."

CNN's Brandon Griggs and Doug Gross contributed to this story.

@highlight

Dronestagram aims to show the impact of drone strikes

@highlight

British artist James Bridle uses Instagram, Tumblr and Twitter for project

@highlight

Advocates praise drones' effectiveness, while critics decry too many civilian deaths

@highlight

Artist: "It's about trying to make it (drone warfare) literally visible"