(CNN) -- In April this year, people in Myanmar picked up their newspapers and saw ... nothing.

Front pages across the Southeast Asian nation were completely black, in a show of solidarity for a journalist that was simply doing his job. This week, as world leaders gather to meet their regional counterparts in Myanmar's capital Naypyidaw for two major summits, attendees should make a similarly firm statement about freedom of the press.

The darkened front pages -- a remarkable move in a country where just a few years before, the military government imposed blanket controls on all media -- were in response to the case of Zaw Pe, a journalist with the independent Democratic Voice of Burma who had been sentenced to one year in jail. His "crime" was to investigate corruption in his home town, a story the authorities apparently did not want to see the light of day.

It was a preposterous ruling against a journalist who was just doing his job, and Amnesty International named him a prisoner of conscience -- jailed solely for peacefully exercising his right to freedom of expression.

Sadly, the move says much about the backslide in free speech in Myanmar, as the authorities re-tighten their grip on media and increasingly target peaceful critics ahead of national elections next year.

This tightening comes despite Myanmar's supposed transition away from military rule, which began in 2011, but which is stalling as the government wrestles over how to secure the benefits of greater economic openness while controlling rising expectations of rights and freedoms that come with this. Unfortunately, its efforts to maintain control have frequently involved resorting to familiar tactics of repression and arrests.

President Thein Sein has promised to clear the country's jails of prisoners of conscience. Yet dozens still remain behind bars, while the jailing of land rights activists, journalists and other human rights defenders has actually picked up pace in the past year.

And this is not just a problem in Myanmar -- governments across Southeast Asia, of all political persuasions, are closing down space for dissenting voices.

Just look at Thailand, where the new government -- formed following a military coup in May -- has imposed blanket restrictions on the rights to freedom of expression and peaceful assembly. Gatherings of more than five people have been banned, and even eating a sandwich or reading a book in symbolic protest against the government can land you in front of a military court.

Indeed, Thailand's media operates under the constant watch of "censorship panels," and the months since the coup have seen a surge in police investigations and prosecutions under the country's lÃ¨se majestÃ© laws, which ban criticism of the royal family.

Authorities in Malaysia, meanwhile, are increasingly making use of the draconian Sedition Act to silence peaceful critics, using a colonial-era law that gives the government sweeping powers to silence dissent. Two people have been convicted of sedition this year, with at least a dozen others currently facing charges. Scores more have been investigated for "seditious" activities, including opposition leader Anwar Ibrahim, who was placed under investigation in September.

In Vietnam, the authorities continue to tightly control the media, and in recent years online activists and bloggers have been thrown into jail on spurious charges -- there are scores of prisoners of conscience languishing in harsh conditions. Next door in Cambodia, where earlier this year, security forces shot dead protesting garment workers, an alleged draft Cybercrime Law would criminalize and censor online expression critical of the government and its policies.

Finally, even in Indonesia, which has been praised for its growing openness to improving human rights, dozens of individuals have been prosecuted under the country's blasphemy laws as repression of minority religious groups has intensified -- that is in addition to the cases of scores of peaceful pro-independence activists from the Papua and Maluku regions who remain imprisoned, some for as long as 20 years, some for simply raising a flag.

Southeast Asia has come a long way in recent decades in its efforts to improve respect for human rights, a change that has helped unleash some of the region's economic potential. Yet the restrictions on free speech sweeping across the region are troubling, and are only likely to discourage much-needed investment from overseas.

Those attending the November summits have an opportunity to reverse this trend. But to do so they must start by speaking out for all those in Southeast Asia whose voices have been silenced -- and demand the release of all prisoners of conscience jailed simply for the peaceful expression of their views.

@highlight

Restrictions on free speech sweeping parts of Asia are troubling: Rupert Abbott

@highlight

Despite supposed reforms, Myanmar is cracking down on media, he says

@highlight

G20 Summit an opportunity for leaders to address freedom: Abbott