Pancreatic cancer patients who are obese may be 12 times more likely to have cancer that's already spread to their lymph nodes at the time of surgery than similar cancer patients who weigh less, according to a study released Monday in the Archives of Surgery.

In the study, 95 percent of patients with a BMI over 35 had a recurrence compared with 61 percent of other patients.

"What we are seeing suggests there is a difference in the way the cancer grows in obese patients versus those who are not," says study author Jason B. Fleming, M.D., of the University of Texas M.D. Anderson Cancer Center in Houston. "That is an area, from a biology standpoint, that has not really been explored."

Overall, pancreatic cancer patients with a body mass index (BMI) greater than 35 (223 pounds or more for someone who's 5'6") were nearly twice as likely to have cancer recur or to die after surgery, as those who weighed less. Health.com: Are you afraid to go to the doctor because you're fat?

Obese patients tended to have slightly larger tumors and were less likely to get chemotherapy or radiation before surgery than other patients. However, the survival rate did not seem to be due to the delivery of cancer care or surgical complications related to excess weight, says Fleming. "People often wonder if obese patients have a worse outcome because they are more inherently at risk for complications, and we did not find that," he says. Health.com: How to achieve your feel-great weight

Fleming says gastrointestinal hormones, insulin levels, and the physiology of lymphatic flow in obese patients may contribute to the spread of the tumor cells. "There is evidence that certain hormones, or growth factors such as insulin, act to stimulate cancer cell growth," he says. "What I am suggesting is that it's not just the tumor that is different, it's the environment the tumor grows in."

In the study, Fleming and colleagues monitored 285 cancer patients who had surgery to remove some or all of the pancreas. They specifically looked at a subset of 20 patients with a body mass index over 35. Health.com: What you should eat to shed pounds

The patients with a BMI greater than 35 survived a median of 13.2 months compared with 27.4 months in patients with a BMI less than 23 (136 pounds or less, for someone who's 5'6"). At the last follow-up, 75 percent of the obese patients had died, compared with 52 percent of patients with a BMI less than 35. Ninety-five percent of patients with a BMI greater than 35 had a cancer recurrence compared with 61 percent of all other patients.

People who are obese are at greater risk of getting pancreatic cancer in the first place, according to Fleming. Other risk factors include smoking, long-term diabetes, hereditary disorders, and chronic pancreatitis. The pancreas is an organ located near the stomach; it releases enzymes to help digest food and produces insulin to control blood sugar.

Pancreatic cancer is the fourth-leading cause of cancer-related death in both men and women, according to the National Cancer Institute. Even if the cancer is caught early, the prognosis is usually poor because the cancer spreads rapidly, and symptoms (jaundice, depression, weight loss, and upper abdominal pain) may not surface until the advanced stage.

Obesity is associated with worse outcomes in other types of tumors too, including breast cancer, according to Fleming. "This isn't the first time that connection has been made," he says. Health.com: Fiber, starch, fats, and serving sizes: Eat right advice for your diet

Tae-Hwa Chun, M.D., an assistant professor at the University of Michigan in Ann Arbor, Michigan, says "there is good evidence" that obesity increases the risk for certain types of cancer such as postmenopausal breast cancer, and cancers of the colon, endometrium (the lining of the uterus), kidney, and esophagus.

About two-thirds of U.S. adults are considered overweight, and one-third are considered obese, which is a BMI of 30 or higher, according to the Weight-Control Information Network, a service provided by the National Institutes of Health. Simple lifestyle changes, such as daily physical activity, will help spur weight loss and may help ward off some cancers, according to Chun.

Not all pancreatic cancer patients are obese or overweight. Recently, Supreme Court Justice Ruth Bader Ginsburg had surgery for pancreatic cancer. Last year, actor Patrick Swayze was found to have stage 4 pancreatic cancer, which he attributes to smoking. Swayze has been reportedly undergoing chemotherapy. Other procedures, including surgery and radiation, can be used to treat the disease.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Obese pancreatic cancer patients twice as likely to have recurrence or die

@highlight

Median survival is half as long for patients with BMI  over 35 than for BMI under 23

@highlight

Researcher: "It's not just the tumor that is different, it's the environment..."

@highlight

Obesity is associated with worse outcomes in other types of tumors too