(CNN) -- You've probably heard by now about the Afropolitans and the Afropreneurs -- but what about the Africapitalists?

It's the term created by Nigerian entrepreneur Tony Elumelu, one of Africa's most successful businessmen, to describe what he believes holds the key to the continent's future well-being.

According to Elumelu, Africapitalism is the economic philosophy "that the African private sector has the power to transform the continent through long-term investments, creating both economic prosperity and social wealth."

Elumelu champions the idea that long-term focus on key sectors such as infrastructure and power does not only offer high returns but, in the process, can also help Africa deal with pressing problems such as unemployment and food security.

"The information people have about Africa in America and the western world is one of aid, one of squalor, one of poverty, one of religious crisis," says Elumelu, who first found success after turning a struggling Nigerian bank into a global financial institution. "They need to begin to see that Africa is a continent of economic opportunities -- a lot of potential and the returns on investment in Africa is huge."

Read this: Africa's mega projects

Backing his words with actions, Elumelu, the former chief executive of the United Bank for Africa, who went on to create investment company Heirs Holdings in 2010, has pledged $2.5 billion to U.S. President Barack Obama's "Power Africa" initiative -- a campaign aiming to double access to electricity in sub-Saharan Africa.

CNN's African Voices spoke to Elumelu about Africapitalism, doing business in Africa and his goals for the future. An excerpt of the interview follows.

CNN: What is Africapitalism and how does it work?

Tony Elumelu: From interacting with customers, with communities, with local governments, state governments and national governments, I started to see a pattern that indeed we can as a private sector help to develop Africa in a manner that's truly sustainable. I also, as a good student of economic history, have observed the development of the African continent and come to realize that despite all the aid inflows into Africa and despite our sovereign government commitment to develop in the continent, not much was achieved.

But ... if we can mobilize the African private sector and non-African private sector operating in Africa to think long-term, to invest long-term in Africa in key sectors, then we might end up creating economic wealth, economic prosperity and social wealth. That is Africapitalism.

CNN: Which areas does the private sector in Africa focus on?

TE: The private sector in Africa was largely dependent on government patronage, government contracts. But today, it has changed significantly. You have the private sector in Africa today that is adding real value to the economy through engagements in payment systems; through engagement in key infrastructure projects; through engagement in manufacturing and processing of raw materials in Africa and exporting this within the continent.

Read this: Ghana plans $10 billion tech city

So it's a significant shift from where the private sector was before to where it is today and we're beginning to see a new crop of private sector people in Africa who believe under the sun that they have a role to play in the development of the continent.

CNN: Why did Heirs Holding decided to commit $2.5 billion to the "Power Africa" initiative?

TE: Because we understand as Africapitalists the importance of power, access to electricity, in unleashing the economic potential of Africa. Because of that, we felt since we preach that the private sector should do long-term investment in Africa in key sectors, there is no sector at this point in time to us that is as strategic as power sector in dealing with the issue of economic empowerment, democratization of economic prosperity across the continent than power.

CNN: Looking ahead, what do you think is going to be the most important source of power?

TE: Africa is coming from a deficit position -- only 20% of 1.2 billion people have access to electricity. So we need to think of the kind of projects that will help us create the quantum leap we need in power. And I think that that is what should guide the options that we take.

Read this: Can Africa unlock solar potential?

So for me, I believe that we need five years of sustained, massive billion dollar investments (in the) power sector in Africa before we come to the level where we need to discriminate, is it this kind of power or that type of power? But let there be light first in Africa.

CNN: What are your goals for the future?

TE: My goals for the future are twofold -- one is personal and two is about the continent. For my personal goal I would like to continue to impact my team. Because you get to a certain level where you wake up in the morning not necessarily because you want to earn a living -- you wake up in the morning I think about impact, about legacies, what impact am I going to leave behind?

And so I decide to look at the African continent and I tell myself this is a continent that is about to explode but lacks certain vital ingredients. And so what role can I play in making sure that some of those challenges are addressed in my lifetime, so that my children will not as a kind of question I asked of my parents and grandparents, where were they when the war started?

So that's important to me. And that is why we invest in power. Not just because I want to make more money, which is good, but because we touch lives significantly making that money.

@highlight

Nigerian entrepreneur Tony Elumelu is pioneering the concept of Africapitalism

@highlight

He says long-term investments in key sectors can create both commercial and social wealth

@highlight

Elumelu founded in 2010 Nigeria-based investment company Heirs Holdings

@highlight

It has pledged to invest $2.5 billion to back the "Power Africa" campaign