First, the good news. News organizations -- including CNN, The New York Times, The Washington Post and Bloomberg -- are asking: Where are the women? They've noticed that President Obama's nominees for his national security team and Cabinet, including Secretary of State, Defense, Treasury, and Director of the CIA, have excluded the talent of potential female appointees.

As co-founders of the Women's Media Center, whose purpose is to make women more visible and powerful in the media, we want to say thank you for noticing.

Now, the bad news. President Obama isn't answering. He wouldn't have been re-elected without 55 percent of the women's vote, something he earned by representing women's majority views on issues, yet now he seems to be ignoring women's ability to be not only voters, but leaders.

Fortunately, there are still possibilities. A second-term President Obama still has time to demonstrate his commitment to equality in a different but equally important area of the federal government, the agencies that have oversight of the media and telecom industries.

Media companies have some of the most powerful resources at their disposal in shaping attitudes and culture. But media culture, from our TV shows to advertising, is often deeply sexist and normalizes roles that limit everyone. There is a powerful "bully pulpit" effect to having women at the head of these agencies.

Four important agencies regulating media include the Federal Communications Commission, the Federal Trade Commission, the U.S. Department of Justice's Antitrust Division and the Commerce Department's National Telecommunications and Information Administration. One slot has already been filled by a man. On January 3, William J. Baer was sworn in as assistant attorney general for the Antitrust Division.

Erin Burnett: White men to fill Obama's cabinet

That could leave three. We say "could" because it's not yet 100% clear that the heads of the FTC or FCC will be stepping down, though top appointees do shift around in a president's second term. For instance, there has already been speculation that Lawrence E. Strickling, assistant secretary for communications and information, which manages the National Telecommunications and Information Administration, is in the running for FCC chair. Why not an equally logical woman's name?

Karen Kornbluh, who has just returned from serving as U.S. ambassador to the Organisation for Economic Cooperation and Development, was one of six women called qualified by the National Journal. Others named as possible FCC chairs were FCC Commissioners Mignon Clyburn and Jessica Rosenworcel, Clinton administration FCC executives Susan Ness and Cathy Sandoval and Obama adviser and communications expert Susan Crawford.

Obama's Cabinet shaping up to be a boys club

We're glad to say the FCC has had black chairmen. William Kennard, for example, made a top priority of closing the digital divide for African-Americans and for Americans with disabilities. It's unfortunate that there have not been more, though we live in a diverse country in which white Americans are about to become the minority. Never in the 80 years of the FCC has a woman of any race or group been its chair, though women have been the nation's majority for a long time.

Then there's the Federal Trade Commission, which has broad oversight over everything from price fixing at the gas pump to whether Google is a monopoly. It includes the Bureau of Consumer Protection, which monitors false and deceptive advertising. Women still have most of the purchasing power in households. According to GfK MRI's Spring 2011 Survey of the American Consumer, 75% of women are the primary shoppers for all household products. Women are more likely to have the expertise for such decisions in the interest of consumers and also to be affected by those decisions.

As we step into 2013, America's media are still largely run by men. Women hold only 6% of all TV and radio station licenses. It's long past the time to close the gender gap in our nation's leadership and in the media and telecom industries' leadership especially, where in 2011 only 28.4% of TV news directors were women, according to the Women's Media Center's 2012 Status of Women in the U.S. Media report.

We thought President Obama wanted women in his inner circle. Right now, the makeup of that  inner circle looks nothing like the country.

@highlight

Jane Fonda, Glora Steinem, Robin Morgan: Obama short on women appointees

@highlight

They say women helped him win, he must show he sees them as leaders, not just voters

@highlight

They say media companies shape attitudes. He should name women to head FCC, FTC

@highlight

Writers: Media is run largely by men. Time to close the gender gap in U.S. media leadership