(CNN) -- Next year's college applicants have some difficult choices to make. Is it better to go to state school or private? Stay close to home or ship out to Abu Dhabi?

Western students receiving their education in the UAE is not as far-fetched as it might sound as some of the world's most respected collegiate brands have set up outposts in the Gulf region.

Dubai hosts 52 universities while Qatar has set up Education City, a sector that houses a number of U.S. colleges including Carnegie Mellon, Cornell, Georgetown, and Northwestern.

Next year, the first students admitted to New York University (NYU) Abu Dhabi will graduate; a benchmark almost as significant as the scheduled completion of the university's new Saadiyat Island campus.

"There are lots of exciting signs that the region is heating up and getting more dynamic in terms of higher education," says Phil Baty, the editor-at-large of Times Higher Education.

"There's recognition (in the Gulf) that they need to prepare for the post-oil world, and they realize that a knowledge-based economy ensures growth in the future."

Several local universities have stepped up their game, too, building state-of-the-art research facilities to attract students from abroad.

Even Saudi Arabia is getting in on the act. This year witnessed the completion of Princess Nora bint Abdulrahman University (PNU) in Riyadh -- a 2,000 acre site and the largest all-female university in the world.

In several instances, investment in education in the region has paid off. One of the most prominent collegiate success stories is NYU Abu Dhabi, which started accepting students to its UAE hub four years ago.

Read more: Seven-star satire in Dubai

Despite initial fears from critics that the new campus could potentially water down both the brand and the quality of its degree, the Abu Dhabi facility is one of the most selective schools in the world, admitting 150 out of 9,000 applicants per class.

Prospective students often have to decide between NYU Abu Dhabi and top tier universities like Oxford and Yale. In recent years, the school has been dubbed "the world's honors college".

NYU president John Sexton -- the brainchild behind the project -- has lofty goals.

"Our mandate is to create in NYU Abu Dhabi a school that educates the leaders of global civil society, from every sector of the world, and in every sector of society," he says.

Though the Emirates outpost has, according to Sexton, "done a great deal to help NYU elevate its game," other universities in the area have met with more mixed results.

A cheating scandal at the Dubai campus of Edinburgh's Heriot-Watts University earlier this year underscored the concerns that universities with operations overseas are not able to maintain their standards.

Other institutions, such as the University of Waterloo in Dubai, had to close because of a lack of enrollment, while Michigan State University curtailed it undergraduate program and now only offers six Masters degrees.

"There have been some examples of market failure, of universities embarrassing themselves and getting it wrong, rather than planting their flag abroad," says Baty.

"The issue is, how much are they invested? Are they just about pushing the global brand abroad, or are they genuinely on the ground, creating an infrastructure that will last?"

Even with the success stories, the moral implications of doing business in states with limited freedom of speech and mixed human rights records has left some critics feeling uncomfortable.

Infographic: Press freedom in the Middle East

Earlier this year, LSE pulled out of a conference in the UAE (and subsequently witnessed one of its scholars barred entry) after the authorities restricted the inclusion of sensitive topics. Back in Manhattan, some of NYU's faculty members have also expressed concern about the UAE's stance towards gays (illegal) and Israelis (unrecognized).

Sexton, however, is unperturbed.

"My experience of the Emirates is that it's a very open society. Now, it's not Greenwich Village but as you move through the world you have to adapt to local customs. My daughter doesn't dress the same way in Istanbul as she does in New York; when I'm in the UK, I'm not as free to criticize public officials as I am in the U.S. You just have to be aware of rules and regulations," he says.

Leah Reynolds, a senior at NYU Abu Dhabi, agrees with Sexton. Her experience, she notes, is about getting exposure to a wide cross section of cultures, not about imposing her own.

"In my classes, every country we refer to has a case study right there; chances are, someone in the classroom that will have had that experience, no matter what it is," she says.

@highlight

Numerous western universities have outposts in Middle East Gulf states

@highlight

UAE and Qatar have an eye on transitioning to a knowledge-based economy

@highlight

Some worry education provided by colleges will be curtailed by restrictions on freedom of speech