(CNN) -- While America faces many big issues -- unrest in the Middle East, the effects of climate change, uneven economic growth, growing income inequality, a costly and less than optimal health care system and more -- the contest to control the House and Senate does not really seem to be turning into a defining struggle over the national agenda.

Clearly the 2014 midterm elections aren't generating much excitement on the hustings. According to Gallup, voter enthusiasm is down significantly since 2010.

Republicans are more enthused than Democrats, according to Gallup, but neither party is doing very well. Given that many of the key races in competitive states might come down to a small percentage of voters, as is usually the case in midterms, enthusiasm and its impact on turnout can be decisive on Election Day.

This election won't be like 1994, when Republicans took control of Congress with a rightward push, or 2006, when Democrats did the same with campaigns to move beyond President George W. Bush's conservatism. In those midterm elections, voters were mobilized as people came to believe that the collective outcome of the races offered a huge opportunity for their parties.

Obama's midterm malaise

Why do so many people seem to be sleepwalking through these races?

Part of the problem has to do with the fact that neither party is in great shape. Democrats and Republicans face fundamental internal challenges going into November, big long-term problems that have significantly dampened much of the enthusiasm on each side.

For Republicans, the vice remains political extremism.

Over the past six years, Republicans have been dragged down by the actions of congressional Republicans associated with the right wing, the tea party faction. As House Republicans were pushed further to the right and the party embraced an extraordinarily ruthless approach to handling the challenges of governance -- willing to take measures such as threatening to throw the nation into default over budget disputes -- the party's popularity has plummeted.

Republicans were forced to devote an extraordinary amount of their time and energy during this year's primaries to navigating through an intraparty battle between tea party and establishment factions who were vying to face off against Democrats.

Republicans fight for 2014's early voters

For tea party Republicans, the problem is a leadership that has become too embedded in Washington, too comfortable with the political status quo. For other Republicans, the tea party is the problem: They have dragged down the reputation of their party, making it seem incapable of leadership, decision-making or rational deliberation.

The struggles within the GOP are so severe that it is difficult for Republican voters to perceive November to be a great rallying moment for candidates and their party. They just want to secure control of the Senate, more focused on what they are against, namely President Barack Obama, rather than what they are for. There has been some evidence in recent days that Republican candidates are finding themselves under pressure in states such as Georgia and South Dakota, where victory should have been a slam dunk.

Democrats are doing even worse than the GOP when it comes to enthusiasm.

President Obama has become the problem as he finds himself in a similar position to President George W. Bush. Democratic candidates are struggling to figure out how far they need to go in disassociating themselves with the president of their own party.

Gergen: White House blames Panetta, not its own faults

For many liberals, President Obama has failed to deliver on key promises from 2008, ranging from measures to combat climate change to liberalized immigration rules and dealing with the growing problem of economic inequality. President Obama has done a lot of talking, but he has not been as successful at achieving his goals. And he has not displayed the aggressive political style that many on the left believe is needed to counteract fierce Republican opposition.

For moderates and independents, there is growing unease and discomfort with the way in which Obama has handled the implementation of health care, the problems with the economy and the response to the growth of ISIS.

Some of these criticisms have come to the forefront with the recent publication of Leon Panetta's book, "Worthy Fights," in which he charges the President had been too passive in handling foreign policy .

Former Sen. and Secretary of the Interior Ken Salazar said to The New York Times that first-term Sen. Mark Udall could only win if he demonstrates to voters that he stands for "the Colorado way, not the Obama way or the Democratic way."

Given that so many prominent Democrats are focused on separating themselves from the president from their own party, rather than proudly running on his record, it makes it difficult to rally around a platform and agenda.

There are some factors that the parties can't control.

Everyone these days seems disgusted with Washington, so it's difficult for people to be enthusiastic that anything will break through the gridlock. The improvement in the economy also makes it harder for both parties to rally the troops than in 2010, when the recession generated more anger and zeal about the elections.

But there are some problems the parties can try to address.

Democrats and Republicans who are getting ready to launch a candidacy for the 2016 election should be paying close attention and thinking hard about how they can move their respective parties beyond this state of affairs.

Effective Republican candidates need to prove that they will make their party a serious governing force in Washington. Democrats will need to show, without creating so much distance from the President that they simply offer fodder to their Republican critics, that they can greatly improve upon and transcend what Obama has accomplished.

Until then, most voters will have difficulty believing that either party is capable of moving government in a new direction and solving the problems that confront the nation.

@highlight

Polls show voters are not caught up in the election, with Democrats even less enthusiastic

@highlight

Julian Zelizer says GOP voters must deal with split between moderates and tea party faction

@highlight

Democrats are struggling with how to dissociate themselves from unpopular Obama policies, he says

@highlight

Zelizer: Candidates for 2016 have to decide how to try to transcend these struggles