(CNN) -- The voice from the top of Formula One is ominous:

"Susie Wolff is good -- but will she ever be in a position to show how good she is?" mused F1's supreme leader Bernie Ecclestone in March. "I doubt it."

For any team boss deciding whether to give a shot to a female driver, the evidence is clear. In the 50 years since a woman first stepped behind the wheel of an F1 car, the sum total of their achievements is half a championship point.

Surely, say F1's top men, there's a reason why a woman can't race with the boys.

Wolff, a development driver for the Williams team who is hoping to become the elite motorsport's first female competitor in 20 years, has always been told why she won't make it.

From fragile necks to lack of grit, team bosses and F1 luminaries have lined up to give their two cents about the female frailties that have prevented a woman driver from making the breakthrough into regular racing action.

Giovanna Amati, the last to enter the championship in 1992, did not start a race.

Maria de Villota had seemed set to become the next, but suffered serious injuries in a crash during her first testing session for the Marussia team in 2012, and she died just 15 months later.

Two years after the Spaniard's crash, all eyes will be on Wolff when she takes part in practice sessions at the British and German grands prix in July for the Williams team.

The big question is, can a woman ever beat the boys at their own game?

'She doesn't have the strength'

"I know that women have around 30% less muscle than men," says Wolff. "And it was always one of the big reasons people said to me that I wouldn't be successful in F1 -- because I simply wouldn't be strong enough."

Former F1 chief doctor Gary Hartstein had a first-hand taste of the physical demands -- and neck-breaking sustained 3.5G cornering forces -- while being taken for five laps in McLaren's two-seater F1 car.

"I thought: if we were doing six laps, I'd have to press the button that tells them 'I don't want to do this anymore!' because my neck hurt so bad," he recalls.

Any driver, male or female, will need to undergo a grueling course of training to bulk up on core and upper body strength if they are to stand a chance of fighting for grand prix podiums. But after all that, won't women still trail behind the men?

"In terms of strength: No. Forget it. There's no hindrance there," Hartstein says.

"That level of core and upper body strength is available to any woman that is prepared to put in the time."

It's not something you need to tell Wolff. She says any doubts she had before her 89-lap test session at Silverstone last year faded fast.

"Already on my first lap out of the pits I knew it was going to be manageable," she says.

"I think we are at a slight disadvantage in terms of physical strength but it's something that can be overcome and it's something that won't stop us being successful in F1."

'She won't be able to handle the pressure'

When 84-year-old racing legend Stirling Moss aired his thoughts about "ladies" driving in F1, he had no doubts that they could achieve the strength. He only worried they lacked the concentration, focus and "mental aptitude" to "race hard, wheel-to-wheel" with the top men.

Wolff's response was to "cringe." For her -- and many other observers -- the comments seemed typical of the offhand chauvinism which she has brushed aside on her way to the top levels of the sport.

"I think we're in a different generation," she courteously put it.

But new evidence suggests not all stereotypes about the gender's mental makeup are without justification.

Hartstein considers the common one: that women are more maternal and men are more aggressive.

"I would have laughed about that a few years ago," he says.

"But I think science is beginning to realize that the human brain and human behavior is dramatically affected by sex.

"There are behaviors that you can look at cross-culturally ... in general, men are more reckless more brazen, more risk-taking."

These gender-based differences in the brain could, in theory, he says, have an impact on those character traits that are necessary to succeed in motorsport, and to succeed on the track in any given race.

But there is nothing to say any individual female driver will not match the aggression levels of even the most hot-headed male drivers, Hartstein says -- or indeed that calmer strategies will not ultimately prevail.

And to put this unknown in context of the things we do know: when it comes to maintaining super-human levels of focus and concentration, female drivers have got all that it takes to challenge in F1, he insists.

Hartstein contends that this, too, has a basis in the physical and we can say from tests in marathon performance -- as a marker of aerobic conditioning -- that the best women are as good as the best men.

For Wolff, all the talk of aerobic conditioning and gender based differences is just academic.

"I'm incredibly lucky to be in a sport where when I put a helmet on and am out on the track, it doesn't matter what my gender is, all that matters is my performance -- and that's what it always comes down to in sport actually, your performance," the 31-year-old says.

'She'll never get the cash'

But for Ecclestone, there's more to it than that. Inevitably, there's also the question of money.

"The big problem with a woman, even if she's good enough, is having the opportunity to show that," Ecclestone said in an interview with The Sydney Morning Herald.

"Because a team won't take a woman driver unless they bring them massive sponsorship."

With all the positive publicity that has surrounded Wolff's rise and rise, you'd think that advertisers would be falling over themselves to be associated with her.

"Generally speaking, women in sport are certainly an attractive proposition for sponsors as they are often seen as more likeable and trusted, compared to their male counterparts," agrees Nigel Geach, senior vice-president of motorsport at market research company Repucom.

But consider Williams' chief sponsor Martini: would its advertising -- heavy on retro "Mad Men"-style imagery and male seduction fantasies -- make sense with a no-nonsense female driver behind the wheel?

Geach talks about "new examples of sponsorship activation" -- new, less macho brands becoming involved with the sport's female drivers. But, there's a catch:

"Drivers must first convince investors that they are capable of vying for the points during the F1 season," he says.

Understandably, no brand wants their name to be seen on the side of a last-place car -- but this is a promise that can rarely be given, even when a prospective competitor has cleaned up in other race categories.

Add to that the sport's danger -- made clear by the tragic crash suffered by de Villota, once the most visible female face of F1, before her death last year -- and here the inevitable boon of publicity works against a trailblazing woman driver.

If everyone's watching you, no-one will miss you pulling in last, or getting hurt.

Whether Wolff is the woman to show that female drivers really can be banked on, no-one wants to guess.

But she is happy to show patience and wait for a chance to come her way:

"There's no pushing women in to get the quota higher, it's simply happening in an organic way," says the Scot -- who is married to Toto Wolff, executive director at the dominant F1 team this season, Mercedes, and a shareholder at Williams.

"I think what it takes now is for women to be on the grid, racing. Little girls will be inspired by that and get racing, then you get the best girls rising to the top, and that's when you get future champions."

Follow the latest action with CNN's essential F1 guide

@highlight

Susie Wolff is set to become F1's first female driver in 20 years

@highlight

Big names have questioned women's ability to compete at the top level

@highlight

Physical strength, mental attributes and money worries are among factors

@highlight

We talk to Susie Wolff and F1 doctor Gary Hartstein about the possibility of a female champion