London (CNN) -- On July 1, 2013 the 27-nation European Union will become 28.

With a low credit rating of junk and a political class stained by accusations of endemic corruption, the Balkan state of Croatia is soon to become the EU's latest addition.

Brussels is embracing recession-marred Croatia, three years into a debt crisis that is plaguing countries across southern Europe.

Leading economies such as Spain and Italy are struggling to cope with high borrowing costs and many EU nations are suffering from chronic unemployment.

But for Croatia, joining Europe's elite club will mark the end a 10-year campaign to enter the region's single market.

As one of the Balkan countries to emerge from the ruins of Yugoslavia in the 1990s, Croatia will be only the second country to join the EU after Slovenia in 2004.

James Ker-Lindsay, a senior research fellow in South East European politics at the London School of Economics, says to some extent Croatia "got lucky" and its imminent membership is down to having "friends in the right places."

He told CNN: "There's always been this sense that Croatia has had a strong champion in Germany and Austria. They have always taken a very strong position on Croatian membership."

Read more: The eurozone's reluctant leader

Ker-Lindsay said he believes some EU member states are turning a "blind eye" to a number of Croatia's problems in favour of the political symbolism that enlargement in the Western Balkans represents.

He added: "It's mission accomplished... The time for conditionality has gone."

Economy

One of the challenges facing Croatia is its growth prospects. The financial crash of 2008 brought about a harsh double-dip recession that left the country's economy lingering in the doldrums.

Forecasts for 2012 project the economy contracted 1.9%. Unemployment peaked at 17.3% which is behind only Greece and Spain, according to Eurostat - the European Commission's data archive.

Croatia relies heavily on its sun-kissed Adriatic coast to draw tourism and its state-run shipyards for revenue -- which will either face privatization or bankruptcy under the EU's accession treaty.

Read more: Europe's 10 hottest destinations for 2013

The country's economic strife echoes the problems compounding many southern European nations. A high budget deficit, rising national debt and a lack of competitiveness has resulted in stagnating growth.

Will Bartlett, a senior research fellow in the political economy of South East Europe at the London School of Economics, told CNN: "The EU will not be a panacea for Croatia's economy."

Bartlett says that at the turn of the century, Croatia's banking industry became largely foreign-owned by European banks.

Despite not being in the single currency, many small businesses in Croatia have debts denominated in euros rather than in kuna - the country's domestic currency - exposing them to exchange rate risk.

Bartlett added: "It's very similar to Greece because it's a highly euro-ized economy... Unlike Greece they don't have access to any of the eurozone bailout funds. They're very much on their own."

Read more: Greece: When anger goes beyond despair

In December, Standard & Poor's - one of the three big credit rating agencies - downgraded Croatia to the lowest investment status known as "junk." This led to the Prime Minister Zoran MilanoviÄ‡ rebuffing suggestions that Croatia would need a bailout from the International Monetary Fund.

Political corruption

Croatia is also in the midst of cleaning up a political class that is rife with corruption. Since the country's inception in the early 1990s, it has struggled to choke off profiteering from those in positions of power.

Transparency International - an organization tackling corruption -- ranked Croatia below Rwanda, Jordan and Cuba in its Corruption Perceptions Index for 2012. But the country still came in above Italy - Europe's third largest economy.

Zorislav Petrovic, head of Transparency Internernational in Croatia said: "The country's evolution has been very slow since 1990."

But the current government - led by Milanovic - is taking steps to clean up the country's act under close supervision from the European Union.

In November last year, the country's former Prime Minister, Ivo Sanader, was jailed for 10 years after being found guilty of taking pay-offs from foreign companies.

Sanader - who was premier from 2004 to 2009 - had fled the country but was arrested in Austria.

Kristof Bender, deputy chairman of the policy institute, European Stability Initiative, says Croatia's progress to the "doorstep of the European Union" is quite remarkable.

He told CNN: "We mustn't forget how bad it [Croatia] was in the 1990s. The darkest moments of war, occupation, mass killings, ethnic cleansing, and autocratic leadership and crony capitalism were all there."

Bender recalls a conversation he had two years ago with Vesna PusiÄ‡, now Croatia's foreign minister. She told him that "no one dares to engage in corruption because everyone is so scared now... no one is immune."

Croatia joining the EU will be "highly beneficial" for the accession process, according to Bender, as it will inspire other "young democracies" in the Balkans and beyond to join the European movement.

@highlight

Croatia will be only the second ex-Yugoslav country to join the EU after Slovenia in 2004

@highlight

Croatia relies heavily on its Adriatic coast to draw tourism and its state-run shipyards

@highlight

The country's economic strife echoes the problems hitting southern European nations