(CNN) -- Whenever a hugely popular and successful company goes public, many people wonder what will happen to all the newly created millionaires. What will they do now that they are financially "set for life"? Will there be "1,000 millionaires"? Will they suffer "sudden wealth syndrome"?

As Facebook begins the public portion of its initial public offering process, curiosity has reached a fever pitch. In truth, it's a bit ridiculous to speculate on the fortunes of Facebook employees. They are just like any other group of employees -- wildly diverse in their actions, thoughts, interests, desires, obligations and behaviors.

In other words, they will behave like individuals. Sure, there will be luxury purchases. Some will buy stunning homes and others will buy fancy cars. There will be those who squirrel the money away for later use or invest in long-term projects. If history is any guide -- just think of Microsoft -- there will be those who start charitable foundations or give directly to existing nonprofits, educational institutions or organizations tied to a variety of causes. Some will ultimately choose the time-honored Silicon Valley tradition of using the spoils from one successful start-up to fund a fleet of new ones.

But what makes Silicon Valley different from other places -- particularly Wall Street -- is that those who are made rich by their jobs tend to be, on average, circumspect about displaying their wealth.

Yes, some of the towns around Palo Alto have street after street of enormous homes with beautiful lawns. And the area has Ferrari, Maserati, McClaren, Porsche and plenty of other high-end car dealerships. But the wise employees, following the lead of many who have trod this path before, will leave those expensive toys in the garage during the work week rather than flash the cash like the young bucks personified by Bud Fox in "Wall Street."

Everyone who lives out here knows someone who has made it big, and many more equally talented entrepreneurs who haven't hit the golden IPO jackpot. Everyone old enough also remembers those who made it big in the first Internet wave and then lost it big just as quickly, when the market moved on or golden future promises turned into leaden current realities.

Knowing that monetary success can be fleeting and watching the mistakes of those in the past who failed to take heed will likely have an impact on the spending patterns of even the youngest Facebook employee.

Of course, they will celebrate, and maybe splurge. And they deserve to. They've worked hard to make Facebook one of the world's most high-profile companies.

Investment advisers and charitable organizations will likely have as much reason to celebrate, as will the local real estate agents and fractional jet services, late this year after the IPO and the expiration of the share lockup period. (The money may not actually be available until late 2012 or even early 2013 depending on the timing of the actual IPO and other specific terms of the transaction.)

Each Facebook employee will make his or her own decision about what to do next. Those in a great hurry to move on to other pursuits have probably already left. Most employees will stay put. Facebook headquarters probably won't look all that different after the IPO deal than before. Those pre-IPO options and shares are only the key to "set for life" as long as the company continues to perform well. After some well-deserved period of celebration late this year when Facebook actually goes public, it will be time to get back to work. After all, in some garage somewhere, a clever kid is already coding the foundation for the next "biggest IPO ever."

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Lise Buyer.

@highlight

Facebook filed for IPO on Wednesday, which would make some people in the company rich

@highlight

Lise Buyer: Why speculate on plans of Facebook employees? They're like any other employees

@highlight

Buyer: People in Silicon Valley tend to be circumspect about displaying their wealth

@highlight

She says Facebook employees will probably keep working hard because of the competition