(CNN) -- It's going to take more than free beer, gift cards and iPads to convince uninsured young adults that opting out of health coverage under Obamacare is a good decision.

Recently, Generation Opportunity, a conservative group, was down in Florida hosting swag-filled events at the University of Miami encouraging young people to do just that.

But health care is too important for our generation to opt out. We recently met with Emily W. Wright, who suffers from aching pain caused by endometriosis and has been putting off badly needed surgery for the past five years because she could never afford health insurance, particularly with a pre-existing condition. Now, under Obamacare, she can afford a high quality, affordable plan and can get the treatment she needs.

Too many young adults, like Emily, lack health insurance. Polls show that young people value coverage and see it as something they need, they just have not been able to afford it. And with fewer employers offering young workers health care benefits, the need for affordable coverage has never been greater.

Luckily, the increased competition among insurers on the health insurance marketplace as well as new tax credits are making health insurance for the young uninsured much more affordable.

On its face, opting out of insurance under Obamacare makes no sense. Paying for financial insecurity is dumb. Purchasing health coverage is like buying a $10 umbrella when you see rain in the forecast. If you don't purchase the umbrella, not only do you risk getting soaked from head to toe, you could end up ruining your new favorite pair of sneakers or iPhone, costing you a lot more than just $10.

In the same way, at some point everyone gets sick and needs health insurance coverage, even those of us who are young and seem healthy. Obamacare provides decent coverage we can actually afford.

If you look at Miami, where Generation Opportunity recently took its Opt Out campaign, competition is so strong that consumers on HealthCare.gov will be able to choose between over 100 plans offered by seven insurance carriers.

For example, a 27-year-old person living in Miami earning $25,000 annually will be able to buy a plan for as little as $87 per month.

The young uninsured population is largely low income; not surprisingly, cost is their greatest impediment to getting covered. In Florida, the average uninsured 18- to 34-year-old earns about $14,659 annually. Since premium tax credits are determined on a sliding scale based on income, most young people will pay far less because they will have access to greater subsidies. In fact, a recent study from the Department of Health and Human Services found that nearly 7 in 10 single, uninsured young people looking to purchase coverage on the marketplace could qualify for a plan that would cost them under $100 a month.

Based on data from the Census' Current Population Survey, we estimate 605,000 currently uninsured 18- to 34-year-olds in Florida could qualify for reduced-cost coverage thanks to automatic monthly premium tax credits. If the state legislature agreed to expand the its Medicaid program, nearly 590,000 currently uninsured young Floridians could be eligible for free care.

It is true that enrollment has been slowed down by initial glitches on the health exchange website, but we have seen dramatic improvements in the site already. The past two weeks have seen a big uptick in enrollment.

Prior to the Affordable Care Act's passage, too many Americans relied on lousy coverage not even worthy of the term insurance. Seventy-eight percent of medical debt-related bankruptcy filers actually had insurance. In an effort to provide consumers with greater financial security, the Department of Health and Human Services identified 10 essential health benefits that all plans on HealthCare.gov must offer consumers. These benefits, like maternity and newborn care, prescription drug and mental health coverage, are particularly important to young people. For instance, according to a 2013 study, young people have a disproportionate need to access mental health services.

So don't let the opt-outers fool you into thinking that plans purchased outside the exchange will have the same level of comprehensive coverage or satisfy the mandate. The worst-case scenario is buying low-quality coverage that doesn't cover what you need and still having to pay the individual penalty.

Young people should take the time to learn more about their new coverage options, encourage their friends to do the same, and enroll in a plan that fits their needs. Generation Y shouldn't gamble when it comes to their health -- especially when Obamacare makes health insurance coverage so affordable.

The opinions expressed in this commentary are solely those of Aaron Smith.

@highlight

A conservative group tried to encourage young Floridians to opt out of Obamacare

@highlight

Aaron Smith: Health care is too important for Generation Y to forgo

@highlight

He says in Miami, people can choose between over 100 competitive health plans

@highlight

Smith: Obamacare makes health insurance affordable; let's not gamble our health