Nigeria defended its response to the kidnapping of hundreds of schoolgirls by the terror group Boko Haram, even as details emerged Tuesday about a second mass abduction, adding to a growing global outrage over the fate of the children.

President Goodluck Jonathan has been under fire over accusations the government initially ignored and then later downplayed the abduction of the girls, who have become the focal point of a social media campaign demanding their safe return.

"The President and the government (are) not taking this as easy as people all over the world think," Doyin Okupe, a spokesman for Jonathan told CNN.

"We've done a lot  -- but we are not talking about it. We're not Americans. We're not showing people, you know, but it does not mean that we are not doing something."

In detailing the government's response, two special battalions have been devoted to the search for the missing girls, Okupe said. That includes 250 locations that have been searched by helicopters and airplanes.

It was unclear whether these were additional troops being dispatched or were forces already in place. More troops, he said, are also on the way.

But the father of two of the schoolgirls taken by Boko Haram told CNN there has been no sign of the military in the days and weeks following the abduction.

He accused the government of "playing" with the parents of the missing girls, treating them as "fools."

"Had there been these military men who went into the bush to rescue our daughters, we would have seen them," said the father, who declined to be identified for fear of reprisals by the government and the terror group. "...We have never seen any military man there."

U.S. offer of military help

In a sign that Nigeria may be bowing to international pressure and outrage, the government announced the creation of an information center dedicated to answering questions and providing daily updates about rescue efforts, Okupe said.

Nigeria's President also accepted an offer of U.S. military support in the search for the girls.

"So what we've done is — we have offered, and it's been accepted — help from our military and our law enforcement officials," U.S. President Barack Obama told NBC News on Tuesday. "We're going to do everything we can to provide assistance to them."

That help includes the creation of a "coordination cell" to provide intelligence, investigations and hostage negotiation expertise, U.S. State Department spokeswoman Jen Psaki said. The cell will include U.S. military personnel, she said.

The joint coordination cell will be established at the U.S. Embassy in the capital of Abuja, and U.S. Secretary of State John Kerry said the work is expected to begin immediately.

But even as the help was offered to Jonathan, new details were emerging about the abduction of at least eight girls between the ages of 12 and 15, who were snatched Sunday night from the village of Warabe.

The village is located in the rural northeast, near the border of Cameroon, an area considered a stronghold for Boko Haram, a group that U.S. officials say has received training from al Qaeda affiliates.

Villagers in Warabe told CNN that gunmen moved from door-to-door late Sunday, snatching the girls and beating anybody who tried to stop them.

The latest abductions come amid international outcry over the April 14 kidnapping of more than 200 girls. According to accounts, armed members of Boko Haram overpowered security guards at an all-girls school in Chibok, yanked the girls out of bed and forced them into trucks. The convoy of trucks then disappeared into the dense forest bordering Cameroon.

Boko Haram: A bloody insurgency, a growing challenge

'Western education is sin'

Boko Haram translates to "Western education is sin" in the local Hausa language, and the group has said its aim is to impose a stricter enforcement of Sharia law across Africa's most populous nation, which is split between a majority Muslim north and a mostly Christian south.

The United States has branded Boko Haram a terror organization and has put a $7 million bounty on the group's elusive leader, Abubakar Shekau.

In recent years, the group has stepped up its attacks, bombing schools, churches and mosques.

But it is the abductions of girls that has spawned the biggest outrage, with a #BringBackOurGirls campaign that initially began on Twitter and then quickly spread with demonstrators taking to the streets over the weekend in major cities around the world to demand action.

6 reasons why the world should demand action

On Tuesday, the United Nations human rights chief blasted Boko Haram, saying the group's claim of slavery and sexual slavery of girls are "crimes against humanity."

"The girls must be immediately returned, unharmed, to their families," U.N. High Commissioner for Human Rights Navi Pillay said in a news release.

'I abducted your girls'

A man claiming to be Shekau appeared in a video announcing he would sell his victims. The video was first obtained Monday by Agence-France Presse.

"I abducted your girls. I will sell them in the market, by Allah," he said, according to a CNN translation from the local Hausa language. "There is a market for selling humans. Allah says I should sell. He commands me to sell. I will sell women. I sell women."

In the nearly hourlong, rambling video, Shekau repeatedly called for an end to Western education.

"Girls, you should go and get married," he said.

Pillay, along with three other African United Nations women leaders, sent a letter reminding the Nigerian government of its "legal responsibility to ensure that girls and boys have the fundamental right to education and to be protected from violence, persecution and intimidation," according to her statement.

In the United States, all 20 women serving in the Senate signed a bipartisan letter calling on Obama to take action.

"More can be done by this administration. I would like to see special forces deployed to help rescue these young girls. Some of these girls are as young as nine years old," Republican Sen. Susan Collins of Maine told CNN. "...They're being sold into slavery, forced into marriages, required to convert. This is just horrible."

More than 355,000 people, including celebrities and lawmakers, to date have signed a change.org petition that calls upon the world to act to save the girls.

The petition calls on Jonathan and the government "to ensure all schools are safe places to learn, protected from attack."

'You can never rule out surprise'

Nigerian Minister of Information Labaran Maku told CNN that despite international reaction and media reports, there have been some successes in combating Boko Haram.

But when asked about bombings in Abuja, which came the same day as the mass abduction of schoolgirls, he said: "In the case of insurgency and guerrilla warfare, you can never rule out surprise here and there."

He also declined to agree that misinformation released by the military in the aftermath of the April kidnapping added to the growing outrage.

First, the military said all the girls had been released or rescued. But after the girls' families began asking where their daughters were, the military retracted the statement.

"When they made that statement, it was based on a report they received," the minister said.

Nigeria's finance minister said Monday that her country's government remains committed to finding the girls but should have done a better job explaining the situation to the public.

"Have we communicated what is being done properly? The answer is no, that people did not have enough information," Ngozi Okonjo-Iweala told CNN's Richard Quest.

What's at stake in war against girls' kidnappers?

CNN Freedom Project: Ending Modern-Day Slavery

@highlight

The father of two missing girls says there has been no sign of Nigerian military

@highlight

"We have never seen any military man there," the father says

@highlight

Nigeria's President is not "taking this as easy as people all over the world think"

@highlight

Nigerian village residents say armed men took eight more girls late Sunday