(CNN) -- Some Syrian writers used to like Bashar al-Assad. Choosing their words carefully, they might say they tolerated him.

Those who churned out hugely popular soaps and television shows thought Syria's president, in his mid-30s when he took power in 2000, wanted to be known as a modern leader who defended free expression. Some said al-Assad even looked the other way when a sketch comedy show aired for several seasons that made fun of corruption in Syria. At worst, many reasoned, the young president wouldn't be anymore hard-line than his father, Hafez Assad, who had long kept a purple-knuckle grip on all media in Syria.

In hindsight it seems Bashar al-Assad was the greatest actor of them all, suggested Khaled Khalifa during a recent phone interview from his Damascus apartment. It was dusk when he picked up the phone. The screenwriter and novelist, one of the most famous writers in Syria, usually spends this time of day writing. But lately he said he's had trouble concentrating.

Now he finds himself looking out to the street, watching people gather for demonstrations. Their loud demands fill the night.

"It is a completely different world than a year ago," he said. "People at night do not sleep."

Khalifa's career hit a stride at the same time al-Assad took power. He remembers all the talk of change from Syria's new leader in the early 2000s, just as the proliferation of satellite television throughout the region suddenly gave Syrians access to different entertainment and points of view. Demand for new shows skyrocketed. More manuscripts than ever were flooding into al-Assad's so-called censorship committee (it never had a formal name). TV, to creative optimists such as Khalifa, was the new frontier, a democratic movement not even the regime could stop.

Khalifa had known since he was a kid that he wanted to be a writer. He adored poetry. His parents, olive tree farmers in Aleppo, said he should do something else. They talked about law, so he went to law school. But could he be a lawyer?

"I was either going to become a writer or commit suicide," he told CNN. With his natural flair for drama, he got a gig writing for TV to support his passion for fiction.

To his surprise, he liked the industry. And it liked him back.

Khalifa became one of the most sought after dramatic television writers of his generation, a Syrian David Kelley.

In 2006, after toiling for 13 years, Khalifa published "In Praise of Hatred," a Faulknerian novel that tells the story of an Aleppo family surviving against the backdrop of the real-life 1980s bloodbath between Syria's military and Islamist militants in the city of Hama.

Critics hailed it as a classic, praising its intricate and colorful storyline. They lauded Khalifa's particularly deft ability to narrate in the voice of a young girl. The book was nominated for the International Prize for Arabic Fiction, known as the "Arab Booker" prize.

Al-Assad's regime promptly banned "In Praise of Hatred."

From fiction to Facebook

Syrian artists give an oh-well shrug to censorship because it's just part of life in the country, Khalifa said, so he did the same. A poetry and fiction magazine he worked on for years had been banned, and government censors frequently tore his television scripts to bits. He coped, usually with humor.

He laughs about smuggling his books across the Lebanese border and giving a moody but curious guard a copy. Booksellers sold "In Praise of Hatred" by reportedly switching the book's jacket with another.

But Khalifa finds very little funny anymore. The violence marring Syria for more than a year has left him sad and furious, he said.

So the writer is doing what few established artists still living in Syria are, especially those who made their professional mint "working" with the regime to produce television shows.

He is aligning himself publicly with the opposition.

Now rather than devoting his days entirely to fiction, the novelist is writing on his Facebook page, constantly posting notes of encouragement to the opposition.

He posted March 15, the anniversary of the start of the Syrian uprising: "On the occasion of the birth of the revolution, can we all remove from our dictionaries words that reference sectarianism -- Sunni -- Shiite -- Alawite -- Christian -- and avoid speaking about weapons. ..."

On International Women's Day, March 8, he posted: "On this day there is no woman besides the mother of the martyr, the sister of the martyr, and the daughter of the martyr, and all the fighters of this great revolution."

Khalifa told CNN, "I want to be close to my people, supportive of them and the revolution."

Stark choice for Syrian artists

Khalifa's recent outspokenness shows how artists have survived for years under artistic oppression in Syria, said Christa Salamandra, an anthropologist who lived in Syria off and on until 2010. She studied pop culture and media there and befriended actors and writers such as Khalifa.

Syrian artists have always faced a stark choice, she says.

"They can choose exile, which is often unfeasible and of no benefit to the country," she said. "Or they can compromise, an option that can lead to an ultimate good if it enables them to convey subversive or critical messages, however muted."

Khalifa's comments may put him in danger, Salamandra said, noting several reports have been published about the Syrian authorities monitoring dissidents' phone and Internet activity. It's possible, she said, that Khalifa's fame has inoculated him from arrest or other harm.

Whatever might be keeping him safe, Khalifa isn't going to stop supporting what he calls "the revolution," even as violence bears down on his city. Increased violence in Damascus, marked by recent twin car bombings that killed at least 27 people and clashes between the military and rebels, portend a dark future for the capital, he said. The fighting has all but stamped out any hope that Damascus could fulfill its potential as an international arts haven, as many predicted a few years ago.

In the late 2000s and even as protests against al-Assad's regime began, blogs and mainstream news organizations raved about Damascus as the Arab world's nerve center for contemporary art.

Foreign capital was flowing into Syria, which prompted a startling push toward modernity in the capital -- at least on the surface. High-end galleries and boutique hotels opened. Glossy magazines such as Vogue wrote breathlessly about Syria's first lady, Asma al-Assad. Damascus' new opera house was the rage. English-language magazine Syria Today lauded the opening of a new media gallery that sponsored the first international video arts festival in the country.

The New York Times reported Syria's art scene might be the Next Big Thing, quoting a California travel agent scoping out Damascus so she could entice rich collectors to go on a buying tour. The buzz wasn't all highbrow. Even American hip-hop songs shouted out to Damascus a few years ago. Wyclef Jean and Missy Elliott told everyone the party was there.

A story for the past and future

Pop culture in Syria was driven largely by TV shows for which Khalifa wrote -- melodramas that kept viewers tuning in daily.

Khalifa and his TV colleagues became so confident that they could push boundaries with al-Assad that they would send in fake scripts with scenes that would never make it past censors.

"We saw it as a game between us and the regime; one time we won, one time we lost," Khalifa recalled. "Sometimes we would intentionally add a scene in a script that we knew would not pass. But we just did it to make a point."

The ardor of this ostensible openness informs Khalifa's "In Praise of Hatred." He set the story against the backdrop of Syrian politics and violence in the 1980s, knowing full well it would irk censors.

Many younger readers, including those protesting for a freer Syria, have told him they are reading his book and re-examining his contemporaries' writing to learn about the country's past violence.

"Many of the youth do not know the details of what happened in the '80s so they are going back and reading ...," he said. "They are feeling really angry that the same cycle is happening all over again."

"In Praise of Hatred" has been translated into several languages, but for the first time, it's about to be published in English.

Khalifa said he is excited about this translation and hopes it will help more people understand the nuances of his country. He wants the world to see what he has seen and to know Syria is more than a nightly news story of blood and despair.

He is quiet when asked if he would ever leave Damascus. The question is absurd to him. He would never abandon Syria, he said, even if it meant greater personal safety and more artistic freedom.

"If I had the choice to remain silent in Syria or leave and speak my mind, I would choose to remain silent and stay here," he said. "I feel that I need to remain close to my people and to the revolution and speak of what I believe."

CNN's Tracy Doueiry contributed to this report.

@highlight

When Bashar al-Assad took power, writers thought he might allow them more freedom

@highlight

Unlike most artists of his generation, Khaled Khalifa has voiced support for opposition

@highlight

Al-Assad's regime banned Khalifa's epic novel "In Praise of Hatred"

@highlight

"People at night do not sleep," Khalifa says, describing how Damascus has changed