(CNN) -- The decisive and positive terms of ETA's response to Monday's "Declaration" in Donostia-San Sebastian by the International Conference group is to be welcomed, as is the response of the Spanish government and others.

It has taken many years of patient work to get to this point and every effort must be made to build momentum into the process.

I first became involved in the efforts to build a peace process in the Basque country at the time of our own peace agreement in 1998. An Irish priest, Fr. Alex Reid, who I have known for almost 40 years, had played a key role in creating the Irish peace process and he was asked by a priest in that region to bring his expertise to bear.

In the years since then, Sinn FÃ©in leaders, including myself, have traveled regularly to the region and met representatives from the Basque country and the Spanish state.

It is obvious that many of those in the Basque region who we met are committed to peace and that they have consciously sought to learn from the Irish experience. Almost two years ago a new group Abertzale Left, which includes the banned Batasuna party agreed on a new political strategy for progress.

For those familiar with the peace process in Ireland the language used by Abertzale Left is strikingly similar to that used in Ireland.

Abertzale Left committed itself to using "exclusively political and democratic means" to advance its political objectives. And it seeks to advance political change "in a complete absence of violence and without interference" and "conducted in accordance with the Mitchell Principles."

These principles were devised by former U.S. Sen. George Mitchell who was chair of the peace negotiations in Ireland.

Last Monday I returned to Donostia-San Sebastian in Euskadi for an "international conference to promote the resolution of the conflict in the Basque Country."

An international group of leaders -- myself, Kofi Annan, Jonathan Powell, Bertie Ahern, Pierre Joxe, and Gro Harland Bruntland -- had been asked to speak on that issue and to set out our view of the next steps needed to encourage a step change in the Basque peace process.

In my contribution I pointed out that violence usually occurs when people believe there is no alternative. Transforming a situation from conflict to peace requires creating an alternative. This is hugely challenging. It demands that we seek to understand what motivates, what inspires, what drives our opponent.

Each conflict is different but in the course of our efforts Irish Republicans learned that there are general principles of peace-making and methods of conflict-resolution that can be applied elsewhere and which can help end conflict if applied properly.

These elements include: dialogue, tackling the causes which lie at the heart of the conflict, a good faith engagement by all sides, an inclusive process with all parties treated as equals and mandates respected. All issues must be on the agenda -- there can be no pre-conditions, no vetoes, and no attempt to pre-determine the outcome or preclude any outcome. And there should be time frames.

Most importantly, participants must stay focused and be prepared to take risks and engage in initiatives and confidence-building measures.

But if there is a starting point, it must be dialogue. I emphasized this again and again. This is the foundation upon which any progress will be built.

Following our deliberations the International Group expressed the opinion that "it is possible to end, the last armed confrontation in Europe".

We called upon ETA to "make a public declaration of the definitive cessation of all armed action and to request talks with the governments of Spain and France to address exclusively the consequences of the conflict."

Thursday's statement meets that requirement. The Spanish government has also welcomed the statement.

So, a breakthrough has been achieved, but it must be built upon quickly if its potential is to be achieved. The next steps should now focus on promoting reconciliation, addressing the issue of victims and recognizing that a serious effort has to be made to heal personal and social wounds.

There are other issues which will need to be addressed and which can act as confidence-building measures within the process.

For example, among these are the issue of prisoners and of demilitarizing the environment and of respecting and acknowledging the democratic rights of all political parties and treating them as equals. And there is for the Basque people the key issue of the right of the people of that historic region to self-determination.

As we learned from our own experience, making peace is very difficult. But as the peace processes in Ireland and in South Africa demonstrate, no conflict is intractable. If there is political will and imagination and a preparedness to take risks for peace it is possible to rewrite the script, make progress and achieve agreements.

The opinions expressed in this commentary are solely those of Gerry Adams.

@highlight

Basque separatist group ETA said Thursday it is laying down its arms

@highlight

Gerry Adams says there are key lessons from Ireland's experience with peacemaking

@highlight

He says violence usually occurs when people believe there is no alternative

@highlight

Adams: Political will, imagination and courage can make peace possible