In a dramatic shift toward a major Arab ally, the Obama administration announced a suspension of significant military aid to Egypt on Wednesday over the bloody crackdown on the Muslim Brotherhood.

The move, involving hundreds of millions in U.S. assistance to the Egyptian military, is the culmination of months of debate within the administration about how to respond to the July 3 ouster of former President Mohamed Morsy, Egypt's first democratically elected leader.

"As a result of the review directed by President Obama, we have decided to maintain our relationship with the Egyptian government, while recalibrating our assistance to Egypt to best advance our interests," State Department spokeswoman Jen Psaki said in a statement.

The Obama administration has still not labeled Morsy's removal from office a coup.

Such a designation would require a cut in all but humanitarian aid, a step Obama has been reluctant to take. Last month, the president's top national security advisers recommended he cut most of the aid to the military.

Officials have said Washington wants to maintain its relationship with the Egyptian military and interim government, and the statement noted the United States and Egypt still "have a "longstanding partnership and many shared interests."

But after U.S. calls for Egyptian military restraint over the past few months were met with a crackdown on Morsy supporters, Obama canceled a joint military exercise and announced the review of all American aid to Egypt.

Death toll rises as violence rages on in Egypt

Some military aid was suspended and military shipments from the United States were slowed while the review was underway.

The United States will "continue to hold the delivery of certain large-scale military systems and cash assistance to the government pending credible progress toward an inclusive, democratically elected civilian government through free and fair elections," Psaki said in the statement.

"The United States continues to support a democratic transition and oppose violence as a means of resolving differences within Egypt," she added.

Senior administration officials briefed reporters on details of the decision. The United States will halt a $260 million cash transfer to Egypt and suspend large-scale military systems, like the F-16 aircraft, M1A1 tank parts, Harpoon anti-ship missiles and Apache helicopters. Some of the aid will be "repurposed" to benefit the Egyptian people.

One of the officials said Defense Secretary Chuck Hagel called Egyptian army chief Gen. Abdel Fattah al-Sisi to advise him of the decision. Hagel told him the United States would continue military training and education, a symbol of the long-term relationship.

The aid cut is meant to be temporary with the hope that the Egyptian military will take steps toward restoring democracy.

The United States also plans to meet its commitments for Egypt-related work being performed by contractors.

Non-military assistance for programs like health, education and private sector economic development programs will also continue, Psaki said, adding that the United States would put a premium on assistance going forward that "directly benefits the Egyptian people."

"The United States wants to see Egypt succeed, and we believe the U.S.-Egypt partnership will be strongest when Egypt is represented by an inclusive, democratically elected civilian government based on the rule of law, fundamental freedoms and an open and competitive economy," she said.

The move does not include funding toward security in the Sinai Peninsula and along the Egyptian border with Gaza, as well as assistance for counter-terrorism, Psaki said.

In September, an Egyptian court banned all activities of the Muslim Brotherhood and froze its finances, drawing complaints from the international community.

At the United Nations General Assembly, Egypt's interim foreign minister sought to quell these concerns.

Nabil Fahmy said Egypt will hold elections in the spring. He also argued that the political process is open to all "as long as they are committed to the renunciation of violence and terrorism and acts of incitement to them."

But violence has continued throughout the country. Dozens of people were killed last weekend when Muslim Brotherhood supporters clashed with their opponents and security forces.

The statement issued on Wednesday suggested the move could be reversed if the govern0ment took steps to restore democracy.

"We will continue to review the decisions regarding our assistance periodically and will continue to work with the interim government to help it move toward our shared goals in an atmosphere free of violence and intimidation," Psaki said.

On Tuesday, Amnesty International sent a letter to Obama urging the United States to not facilitate arms for Egypt.

"The U.S. government needs to stop providing arms or allowing back door sales of weapons or equipment that Egypt's security forces will likely use to violate human rights," Frank Jannuzi, the group's deputy executive director, said.

"Before sales resume, Egyptian authorities must investigate and prosecute those responsible for recent incidents of excessive force. Otherwise, the Obama administration will be giving a 'get out of jail free' card to those who have violently suppressed peaceful protestors," he said.

CNN senior international correspondent Ben Wedeman said in the short-term, the U.S. decision could have a positive impact in Egypt.

"Immediately, probably, the Egyptian government is going to find it's going to gain somewhat in terms of local public opinion," Wedeman said. "Egyptians I've already been in touch with about this decision or announcement from the United States that it's going to cut aid seem to react positively. There seems to be a lot of frustration with the United States, given its role in Egypt over the last two-and-a-half years since the revolution."

But don't expect to see Egypt's military hurting financially, Wedeman said.

"For the Egyptian government, a cutoff in U.S. aid is symbolically significant, but in terms of the actual amount of money they're getting, it will not make a big difference," he said.

Wedeman said Gulf states have been pouring billions into Egypt since Morsy's ouster. A move to cut off aid would likely anger those allies who have urged the United States to support the military and warned against stopping assistance.

Sen. Patrick Leahy, a Vermont Democrat who chairs the appropriations panel that funds U.S. assistance to Egypt, said federal law "is clear" and requires that aid be severed in the event of a coup.

"Rather than encourage reconciliation and restore democracy as it promised, the Egyptian military has reinstituted martial law and cracked down on the Islamic opposition, which has also used violence," he said in a statement. "The administration is trying to have it both ways, by suspending some aid but continuing other aid. By doing that, the message is muddled.  If they want to continue aid to the Egyptian government they should ask Congress for a waiver."

@highlight

Obama administration decision is a dramatic shift toward a major Arab ally

@highlight

The move responds to a military crackdown and involves hundreds of millions in aid

@highlight

The United States is not calling the ouster of Egypt's president in July a coup

@highlight

Officials say Washington still wants to maintain its relationship with Egypt's military