(CNN)  -- Five years ago this month, Katrina hit New Orleans. What it created is a tale of two cities, the haves vs. the have-nots. Enormous progress in the city's Business District overshadows the lingering blight in the 9th Ward and St. Bernard Parish, where folks are still struggling to rebuild and many lots remain empty.

Unfortunately, Katrina attacked the two poorest states in America, Mississippi and Louisiana. It destroyed or disrupted the economic engines of both states: their tourism, shipbuilding, fisheries, port operations industries and petroleum production in the Gulf.

Katrina left about 1,836 people dead, destroyed about 275,000 homes in Mississippi, Alabama and Louisiana, and cost the federal government about $114 billion.

But there is good news. Post-Katrina tax incentives have had a dramatic impact. The region has more hotels and restaurants than it had before the hurricane, and its major infrastructure -- sewer, water, public service buildings, police and fire departments, National Guard -- has new or rebuilt buildings. Federal money has transformed the schools in New Orleans, reorganizing them into charter schools, which are a far cry from pre-Katrina's dysfunctional schools operating in dilapidated buildings.

Public health in New Orleans before Katrina meant treatment in run-down, understaffed public hospitals. Chief of those was Charity Hospital, known as "Big Charity," the state-run teaching hospital for Louisiana State University Medical School. But it is no more.

The Veterans Hospital, next to Big Charity, was also destroyed during Katrina. Afterward, much discussion revolved around whether to repair or replace Big Charity. The Federal Emergency Management Agency insisted on providing only repair money versus money to replace Charity with a hospital that could share a campus with a new Veterans Hospital.

It took four years to get a FEMA decision on helping to pay for replacing Charity, yet during this period of indecision, the city and state public health systems built community-based clinics. This is a 21st-century medical system far superior to pre-Katrina hospital-based public health.

New Orleans' levee and water control systems have been steadily improved by upgrading pumps with backup generators. Gates have been installed at critical canals to help block water from entering the city during storm surges. About 325 miles of levees are around the city and surrounding parish, and work on the levees continues.

But seemingly intractable problems that affect the poorest residents still beset the city. Two years ago, during Hurricane Gustav, water was splashing over the levee protecting the 9th Ward, the neighborhood most devastated by Katrina. Gustav reminded us the city remains vulnerable to levee failure -- any levee is no match for nature.

The enduring erosion of the coastline, caused by bad water management all the way from the upper Mississippi River and the coastal canals, erodes the marshes and leaves coastal Louisiana exposed to the full brunt of future hurricanes.

Public safety and housing remain the most difficult issues. Crime is a major problem in the Big Easy, and the police department is under enormous strain. Several groups of New Orleans Police Department employees are under federal investigation, accused of abuse of power --  including murder charges. Today, in these tough economic times, police officers are being asked to accept a 10 percent pay cut. Most officers cannot take their police cars home without paying for that privilege. Public safety has a long way to go.

Also, more bad than good has been said of Louisiana's "Road Home" program, designed to help displaced residents get back into their houses. The shining star of home rebuilding, instead, is the enormous amount of volunteers who work tirelessly to help poor folks get back into their homes.

Many middle-class neighborhoods still include blighted houses. The only option for the owners, who don't have the cash to rebuild, is to tear them down. The 9th and 7th Wards and St. Bernard Parish have the worst problems.

Many people remain frustrated with the "Road Home" program. Although some got enough money to rebuild, most complain that the amount of provided by insurance and FEMA falls far short of actual repair costs.

FEMA used pre-Katrina values to determine repair costs, but the costs of building materials and labor were a lot higher after the hurricane. New Orleans also had one of the highest number of renters in the country, at about 37 percent of residents. Initially, FEMA did not provide funding to rebuild rented housing.

The slow economy that followed Katrina put limits on the amount of cash for building affordable housing. Most of the city's public housing projects were demolished. The city and private companies are building mixed-use public housing, but most of the poor people I speak with are suspicious of the effort.

The Business District is in better shape than ever, but the legacy of Katrina's destruction lives on in the poorer neighborhoods of the 9th Ward and St. Bernard Parish.

The opinions expressed in this commentary are solely those of Russel L. Honoré.

@highlight

Russel Honoré: Post-Katrina New Orleans is a tale of two cities, haves vs. have nots

@highlight

Progress in the Business District but lingering blight in poorer neighborhoods, he says

@highlight

Honoré points to new hotels, restaurants, public service buildings, charter schools

@highlight

But crime remains high, many homes still a wreck, little public housing for poor, he says