Amman, Jordan (CNN) -- The Arab Spring toppled regimes in power for decades within only months of each other.

The region's youth were hoping that the adage "out with the old and in with the new" would translate into more opportunity. But on the streets of the region's most populous city Cairo you hear despair.

Here's the view of a young, female college graduate who's been stymied in her search for work and asked to remain anonymous.

"I was not thinking at all about leaving Egypt before the revolution. It is my country and I have to stay here. But now I cannot see anything that is good."

She is not alone. The International Labor Organization(ILO) put youth unemployment at 28.3% in 2012 and says it will not reverse course for the next 5 years. Despite a global economic recovery the ILO projects a rise to 30% by 2018.

The Middle East and North Africa region is the unfortunate title holder of having the worst youth unemployment in the world.

Deadly protests at the presidential palace in Cairo to finish out 2012, the seizing of the foreign ministry in Tripoli by those who wanted to ban members of the Gaddafi regime to work in government and a murder of an opposition leader in Tunis illustrate that this post Arab Spring journey is fraught with deep potholes.

Mohamed ElBaradei, the Egyptian Opposition Leader and Nobel Laureate said the unsettled nature in this post-Arab Spring environment is scaring off investment.

"We need to restore law and order and we need to jump-start the economy and we need to make sure that people are part of cohesive society and all this not there right now."

Despite prolonged negotiations with the International Monetary Fund on a near $5 billion loan, one of the largest mall developers in the region, Dubai based Majid Al Futtaim has stepped back into the country, with its sprawling development, the Mall of Egypt. It also has a deal pending for an Egyptian supermarket chain.

But Chief Executive of the group, Iyad Malas, says the youth of the region are paying a heavy price for a lack of action for decades.

"There has been a chronic unemployment issue in our part of the world because of late reforms. But what has happened because of these delayed reforms there is more and more people coming into the labor market, therefore you see higher rates of youth unemployment. It is a time bomb if you like."

At the World Economic Forum in the Dead Sea last week, it was evident that momentum is building, albeit very late, on public private partnerships, micro financing for small businesses and calls for an Arab Stabilization Plan to fund major infrastructure projects. The panel I chaired "A New Vision for Arab Employment" presented all those concrete ideas and fielded tough questions from the audience and youth outside the forum who were watching online. They were the most skeptical.

In Saudi Arabia, holder of the world's largest proven oil reserves, the youth jobless rate is right near the regional average, despite a half trillion dollar diversification package from King Abdullah.

One of his corporate champions picked to drive change is Mohammed Al Mady, Chief Executive of SABIC, the petrochemical and steel manufacturer with $27 billion in annual revenues.

"The intention is very good," admits Al Mady, "The problem is execution."

Al Mady faced some heat when he admitted that he employs only 50 women in his Saudi operations of more than 20,000 workers. Equal rights remain not only a problem for those unemployed, but it also undermines productivity.

Then there is the giant problem at the heart of the region that no one seems capable of solving. Syria. Its civil war has led to a flood of refugees -- over a half million in Jordan. This places additional strains on an economy with the youth unemployment just below 30%.

There remains an economically divided Middle East. On one side, the oil rich Gulf states like Saudi Arabia pump billions of dollars into diversification; on the other are the oil importers which includes Egypt, Tunisia and Jordan.

In his opening remarks this weekend, King Abdullah of Jordan said that "double action" was needed to deal with the disgruntled youth and a potential doubling of refugees in his country.

The IMF released a report calling the situation complex, with downside risks.

"The risks come from further prolonged political transition which could still hold back that investment, hold back that recovery because the private sector is waiting to see how things settle down," said Masood Ahmed, Director of the Middle East & South Asia for the Fund.

The IMF is projecting regional growth of just over 3%, which looks decent by global standards but experts say it is about half of what is required to generate enough opportunity for those who are part of this unprecedented youth bulge.

@highlight

Middle East and North Africa has world's worst youth unemployment rates

@highlight

Unsettled environment post-Arab Spring is scaring off investment, says Mohamed El Baradei

@highlight

Uneven development between oil-rich states and oil importers

@highlight

King Abdullah of Jordan says 'double action' needed to deal with refugees and jobless in his country