Hong Kong (CNN) -- For six mornings each week Hong Kong's Aberdeen fish market is one of the busiest places in an already hyperactive city.

Fishing boats unload their catch: still thrashing live fish caught in the South China Sea and more tropical waters further afield.

From the murky holding tanks they're soon dispatched in lorries to feed the city's hearty appetite for live seafood. Around 30 tons each day are landed at the Aberdeen market alone, according to the Hong Kong's Fish Marketing Organization, with six other live fish markets dotted across the territory.

But while the market continues to do brisk business, the livelihood of the city's fishermen has been in slow decline for years.

"It's quite hard to do business now because there is not much supply," says fisherman Mr Lee, proudly holding up his prize catch, a grouper large enough to make a dining table groan.

"We now do one trip only, with little supply we cannot even out the cost. There is not much fish in the sea."

The specimen he was showing off came from thousands of miles away. That alone tells the story.

Hong Kong's territorial waters have severely depleted since the 1980s, according to the environmental group WWF. Although being close to fished out for years, it was only in January of this year that a five-year ban on trawling in Hong Kong waters came into effect.

Championed by environmental groups, it's proved controversial among some of the trawler owners and the fishermen and families that rely on the fishing fleet. The trawlers can still fish outside the banned area, but many of the vessels with their characteristic high bows remain idle in port with their nets folded; their owners and crew relying on a slice of a $200 million government compensation fund.

Even if fishing stocks do recover, many are doubtful the traditional way of life -- a part of Hong Kong's culture for as long as the city has existed -- will ever really return.

Preserving heritage

Cheng Wah Ming was a lifelong fisherman who saw out many stormy periods in the industry until 2004, when he swapped the high seas to join the Lamma Fisherfolk Village, located a few kilometers from Hong Kong's main island. In place of nets and rigging, he now has buckets of fish feed at the fish farm and education center.

"From what I remember, in the 1950s and 1960s, the fishermen population in Hong Kong was close to 100,000. Now I believe it's less than 10,000," he says.

Citing numerous reasons for the decline -- from fuel prices to declining stocks and the unstable income from fishing -- Cheng fears the recent ban could prove a final nail in the coffin of the local industry, one he wishes will be preserved as much as possible.

"I hope that people who have the passion can continue to work in the fishing industry. Hong Kong was a small fishing port and has now developed and become an international financial center. Not a lot of people know about Hong Kong's fishing history and culture, so I think this project is worth trying."

Farming for the future

Appetites won't abate for seafood and fish farming seems to be the answer. Around 70%-80% of fish sold at Aberdeen fish market already comes from fish farms and aquaculture facilities, mostly around mainland China.

Making aquaculture environmentally sound is another issue; much of the feed for fish farms comes from live caught "trash fish" -- the price of which has increased in Hong Kong since the trawling ban.

High-tech schemes, like OceanEthix indoor fish farm technology, housed on the 15th floor of a skyscraper 30 miles from the sea, offer some ingenious solutions to aquaculture's problems of sustainability and quality. Using vast tanks to grow out valuable fish for the restaurant trade, the company has developed a method where the water is recycled and fish feed comes from sustainable sources, not trash fish.

The demand for its fish, like live coral grouper, is in good health says Lloyd Moskalik, managing director of OceanEthix, but making it as affordable or cheaper than other products will be key to its success.

"In the long term the fishermen of Hong Kong don't have much of a future," Moskalik says.

"There's a lot of lip service from wholesalers about a sustainable product, but really it comes down to the price mechanism."

@highlight

Hong Kong ban on trawling puts emphasis on aquaculture to meet growing demand for seafood

@highlight

Fish farms provide around 70% of fish to local wholesale markets

@highlight

Many fear the traditional fisherman's life will soon be a thing of the past

@highlight

High-tech indoor fish farm in Hong Kong provides new method of aquaculture