(CNN) -- When temperatures start to dip to uncomfortable lows at night, there are always calls from charities to donate blankets and warm clothes for homeless people. Some iReporters came up with less predictable ways to help their fellow humans and make a creative impact in the lives of those less fortunate.

Tina Hovsepian, for example, wondered if she could help the homeless with origami. She was exploring the principles of this ancient paper-folding art at the University of Southern California School of Architecture when she envisioned a way to provide a portable shelter for the people she saw at night sleeping out on the pavement.

After working through many iterations of the design, Hovsepian developed an accordion-like shelter she calls "Cardborigami." Because of the origami design, the folding mechanism increases the sturdiness and structural integrity of the cardboard. This also allows it to be folded flat and easily carried by one person.

Watch Tina unfold her "Cardborigami," on CNN iReport

Hovsepian knows "Cardborigami" is not a permanent solution, but she hopes it can be a transition to something better.

"Sometimes people just need a moment out of the elements, a moment to rest and prepare for the next day."

"It has been very inspiring, hearing from people around the world who are interested in my design," says Hovsepian, who is creating a 501(c)(3) nonprofit organization to help get the folded homes on the streets.

For guidance and motivation, Hovsepian turned to the team at "Everyone Deserves a Roof," a pioneering nonprofit group that provides portable shelters for homeless people in Los Angeles, California.

The group's EDAR, a four-wheel pushcart that transforms into a shelter, offers secure storage of belongings during the day. At night, it unfolds into a one-person raised tent, providing privacy and protection from the elements.

iReporter Julie Yurth Himot, EDAR program coordinator, sees an added benefit to portable shelters.

She said that although 140 EDARs are in use, with another 50 being manufactured, the greatest measure of the units' success is the fact that one has already been returned.

One woman is no longer in need of the EDAR because she curbed her drug habit and moved into transitional housing. "It was experiencing her own bed, her own place to stay," in the EDAR, said Himot, "that made her remember the life she could have."

See photos of the EDAR in action, on CNN iReport

Spencer Aronfeld filed an iReport about helping homeless people with the law. He provides free legal services in Miami, Florida, shelters, with the organization Lawyers to the Rescue.

He said there is a growing need for legal assistance with housing issues.

"There are more and more questions on foreclosures, property rights and mortgage law" said Aronfeld, who said this now accounts for up to a quarter of the legal inquiries he receives at the shelters.

Aronfeld said he helps many people still living in their foreclosed home. "They are desperate, knowing that on any day they will be kicked out. Some of these people have already lost their home and just don't know where to go or what to do," Aronfeld said.

He said if he can help keep the roof over just one family, it will take the strain off the homeless shelters, which are already overcrowded.

Spencer with his legal team at the Camillus House, on CNN iReport

Neil Donovan, executive director for the National Coalition for the Homeless, is pleased to hear that individuals losing their homes are consulting lawyers.

"Many of these people were not entering into the conversations with lawyers or bankers about viable options other than foreclosure." said Donovan, who has seen the added pressure the housing crisis has placed on the homeless population.

"This economy and the lack of employment have increased the number of homeless, and the second tier effect would be from foreclosures, which in turn is making rental property scarce." Donovan said.

He is concerned about those that find themselves without a place to stay. "America's homeless shelter system is called the last safety net, and this net is beginning to fray."

Have you helped make a positive change in the lives of those who need shelter? Share your story with iReport and Impact Your World.

@highlight

iReporters find personal ways to fight homelessness

@highlight

Building a portable shelter is how two iReporters tackled the problem

@highlight

One iReporter offers free legal advice to help those in foreclosure from becoming homeless