(CNN) -- CNN's new documentary, "Our Nixon," tugs open the curtain for a moment on one of the most complex, haunted presidents in modern times.

I worked on his White House staff for more than three years and can attest that that while this isn't the complete Richard Nixon, viewers get a revealing, first-hand look at parts of the man rarely seen.

It is hard for younger generations to grasp just how dominant a figure Nixon was for over four decades in American life. With the exception of Franklin Roosevelt -- the Babe Ruth of 20th century politics -- only Nixon has been nominated by his party for high office in five national elections.

From the days he rocketed to power as a young, ambitious congressman until he went to his grave, Nixon made the cover of Time magazine 56 times. No one else in his time was as widely respected or reviled; no one else won a massive re-election only to leave the White House in disgrace.

Nixon almost had it all -- and then he lost it. Why? Why do colossally powerful men make a colossal hash of things, even down to today?

I was a relative innocent when I left the Navy in the early 1970s and by serendipity, was offered a job in the Nixon White House by Raymond Price, then the head of the speechwriting team and soon a wonderful mentor. Ray asked me to be his administrative assistant and within weeks, I was a note taker in Cabinet meetings, where I had a bird's-eye view of Nixon at his best.

The CNN documentary captures some of those heady moments through the home movie cameras of Bob Haldeman (chief of staff), John Ehrlichman (top domestic adviser) and Dwight Chapin (RN's aide-de-camp and television impresario).

The films show how much Nixon doted on the pomp and circumstance of the office -- the balloon drops at conventions, waving to mammoth crowds (7 million turned out when we went to Cairo), walking the Great Wall in China, sipping champagne with Zhou Enlai. Nixon lapped it all up.

Photos: Nixon through the years

What is missing from the films are the serious, thoughtful conversations of Nixon away from cameras. In truth, he was the best strategist I have seen in the presidency -- someone able to go up on a mountain top, look 30 years into the future and try to bend the arc of history to favor the nation's security interests. He was a student of the past and like one of his heroes, Winston Churchill, thought that a leader who can see farther back can see farther ahead.

Americans knew he could be mean and duplicitous, but I sensed they voted for him because they also thought he was smart enough and tough enough to keep the Soviets at bay. They were right.

If your home is threatened, you want a German shepherd, not a cocker spaniel.

In my early days as a junior lieutenant, I mostly saw the bright side of Nixon -- the one who read books recommended to him by his early counselor, Pat Moynihan, and debated the virtues of World War I generals with Henry Kissinger. Only when I had more experience and he invited me in closer did he begin to reveal the rest of him -- the dark side.

That darker side is woven through the CNN documentary, mostly through the secret tapings that he made of himself and those with whom he was talking. Only a select few knew of the taping system; learning of it was a shock to all the rest of us on staff.

I had not heard most of the tapes here but found them consistent with the Nixon I eventually came to know: a brooding, deeply insecure man who laments how little support he has from his own Cabinet and how much bias he sees in the press.

It has been said that even paranoids have real enemies. Indeed, Nixon had plenty of real enemies, but his insecurities prompted him to create even more in the way he lashed back. He came to believe that politics is a jungle and that to survive, one must observe the law of the jungle: Either eat or be eaten.

Zelizer: Four lessons from Nixon's presidency

The late Leonard Garment -- along with Ray Price, one of the white hats in that White House -- thought Watergate could be traced back to the Vietnam War. Nixon came to power not only with insecurities but with a bitterly divisive war on his hands, one that threatened to tear the country apart.

As was his wont, Nixon thought he had to control events, not be controlled by them. So, he started bugging the phones of reporters and his own appointees and eventually he set up a "plumbers" unit to stop national security leaks. In view of Garment, who served as a close legal adviser to Nixon, that effort to control anti-war fever turned into a political operation during the 1972 re-election. From there, it was only a tiny step to the Watergate break-in at Democratic headquarters.

That is a persuasive theory, but I concluded there was something more basic also at work in Nixon's downfall -- and we see pieces of it in the CNN documentary.

Fundamentally, I believe that as Carl Jung argued, each of us has a bright and dark side, and that the task of becoming a mature, integrated adult is to conquer one's dark side or at least bring it under control.

Nixon simply did not have that dark side under control -- he had demons inside him and when they rose up in fury, as they did so often, they could not only destroy others but destroy him, too.

There have been moments since his downfall that I have actually felt sorry for him. As a wise counselor of his, Bryce Harlow, once observed, we will never know what happened to Nixon when he was young, but it must have been something terrible.

A word about the three men behind the cameras in the documentary: I knew each of them in varying degrees and am sure they never envisioned themselves as Nixon "henchmen."

As their films suggest, they thought they had a ringside seat on one of the greatest shows ever -- and loved it. But they were swept into the web of intrigue in that White House and went along with the deceits, the dirty tricks and yes, the criminality. Ehrlichman eventually felt bitter and betrayed by Nixon; Haldeman, as the film represents, felt the critics were terribly wrong and that one day, Nixon would be better understood.

Emotionally, I was drawn more to Chapin: he was young and relatively innocent, too, and he was one of the most creative advisers I have seen in the White House -- an impresario in the league of Mike Deaver and Jerry Rafshoon.

His "sin," I believe, is that he was so devoted that he would do anything to protect Nixon. He paid with a broken career -- the price reckless leaders often exact from the young.

Forty years later, Dwight -- to his credit -- is still trying to protect what he can of Nixon, telling me and others where he thinks the CNN documentary film is wrong (too one-sided, he thinks, and misleading in various ways).

To this day, historians as well as those of us who lived through the Nixon period, disagree in our judgments.

I will always believe that Nixon had elements of greatness in him, but he was ultimately the architect of his own downfall -- he could not control that dark, inner fury and, for the good of the country, he had to go.

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

David Gergen worked in the Nixon administration as a young staffer

@highlight

He recalls being impressed by Nixon's thinking but got glimpses of his dark side

@highlight

Nixon had enemies but also dealt with inner demons he couldn't control, Gergen says

@highlight

Gergen: New film gives viewers a side of Nixon rarely seen