HONG KONG, China (CNN) -- On the eve of what was to become the biggest sale ever of a Chinese contemporary painting, Trevor Simon wanted to get the word out about "Execution," a painting he had hidden from everybody.

The painting had been stored in a  London warehouse for more than a decade after arriving from Hong Kong.

"Not a single person in the world had seen it other than me for more than a decade," said the 36-year-old investment banking strategist by phone from London on Thursday. That includes his mother and the woman he loves.

Beijing artist Yue Minjun's painting, inspired by the bloody crackdown on Tiananmen Square in 1989, sold for 2.9 million pounds ($5.9 million) Friday night in London. The sale exceeded the 2.15 million pounds ($4.37 million) paid in June for the previous record, Yue's "The Pope."

Simon remembers seeing the oil painting at Manfred Schoeni's gallery in Hong Kong during the late 1990s and how it fascinated him at first sight. "As soon as I saw it, my whole self changed," he said.

"I realized that this stood for everything that was going on at the time, so I was stunned into silence literally. I saw what was happening in China. I was rising in banking, and I saw an execution of people who were smiling.

"I saw that was what was going on in banking."

Schoeni and Simon were already on friendly terms, and Schoeni had wanted to show him "Execution," which had been covered up.

But when Simon insisted he wanted the painting, he recalled Schoeni telling him it wasn't going anywhere and was not for sale. But Simon said he would not leave and remembered saying: " 'Fine, have a drink with me.' And maybe I loosened his head a bit. After a couple hours, I struck a deal."

A junior investment banker in his 20s at the time, Simon would spend $250,000 Hong Kong dollars ($32,200), or two-thirds of his annual salary, on "Execution." The painting reflected what he felt was going on in the world in which he worked: a soulless place.

"While you can apply a good mind, the job eats your life. You spend 14 hours in the markets. A week in Paris, a week in London running around. No life. My girlfriend didn't want to be with me: 'I can't have you.'" She'd leave him and has since become engaged to someone else, he said.

"It was not only an image of an execution of characters in front of the walls of Tiananmen, but an execution of me," he said, describing himself as "committed to this painting."

Under the terms of the deal he struck with Schoeni, the painting was to be "out of sight for five years" and shipped to London, Simon explained.

He described the painting -- at 3 meters (10 feet) wide and 1.5 meters (5 feet) high -- as "monumental," "physical," and "like a wall."

He put "Execution" in a box, shipped it out of Hong Kong to London. "And it hasn't moved since that day. It's in a crusty warehouse behind a main road."

He finds a key distinction between "Execution" and Francisco de Goya's "The Third of May, 1808: The Execution of the Defenders of Madrid" and Edouard Manet's "The Execution of the Emperor Maximilien of Mexico."

In those, he said, "that's murder, true assassination of a political figure. But here [with "Execution"], it's far more potent. Because they're killed by culture."

The laughing was a "response to unimaginable persecution," he said.

"You don't know what the hell else to do. You're nervous. You're not laughing, 'Ha ha hee hee.'"

As for the underwear, Simon said, "You're stripped down, you're defenseless. Even worse, you're being shot with cultural forces, not bullets."

And while the man on the far right of Manet's painting cocks the gun and delivers the coup de grace, the figure in "Execution" has a similar role, said Simon.

"He's wearing a generic T-shirt -- the guy who's delivering the last shot to be delivered into the heartland of Chinese heritage." Yue's painting was in keeping with "cynical realism," the term coined by art critic Li Xianting to describe post-Tiananmen artists disillusioned by and critical of Chinese society, Simon said.

When asked if he, as a young 20-something, ever harbored doubts or questioned his sanity about dishing out a large portion of his salary for this work, Simon replied: "No, no, no, no. I knew. I stood there. You just know. You just absolutely know beyond all doubt that the theme is something special.

"This art was a representation of all the ambition and all the anxiety that had been held back behind the Chinese wall and was now allowed to live, allowed to go free.

"I knew without a millionth of a doubt that that was the story of China on canvas."

Simon said he would probably cry if he and Yue met. "He's an immensely brave man, anyone who paints like this. None of his paintings are as politically dangerous as this."

Simon left the painting in a box in the warehouse and never brought it out or hung it up, despite having other work elsewhere in his house. For one thing, Schoeni was murdered in 2004 in the Philippines. Simon felt that it was because Schoeni was involved in championing the works of people from "repressive" countries.

The painting became a mental crutch for him. He determined that he would walk out on the most important job he could think of in investment banking, one that earned him more than a million dollars a year. "The painting helped me leave the job because I could see a country being executed and surviving, and so maybe I could too," he said in a follow-up email.

Simon had left Hong Kong for "the lion's den," as he put it, in London, where he felt further "executed by the politics and chaos one step below the top rung of the bank." The very top was where the more rational and humanity prevailed, he said. "All the rest is scratching and positioning and seldom is the best thing done."

He'd leave his job. That was five years ago, and while he is still involved in finance, he works on his own now, he said.

Selling the painting brings Simon full circle to being "un-Executed," he said. Yue's got a new museum and is being recognized by the Chinese government. "He's no longer repressed by China. And I'm no longer repressed by commercial ambition. It's about doing it the right way," Simon said.

"The value of this piece is not the dollar value. It's lovely to have that extra money. But the real value, should I die tomorrow morning, has already been placed in my heart," he said.

"I'm not laughing at being shot at. What I'm most proud of is the courage to live.

"God gave me talents. I'm going to use them for good, not for money. Not for trading."

But first, he plans to get the girl back.

@highlight

Beijing artist Yue Minjun's "Execution" sold for record 2.9 million pounds ($5.9M)

@highlight

In the painting, Simon saw metaphor for himself and his life in the bank world

@highlight

Simon spent two-thirds of his annual salary on the painting in the 1990s

@highlight

Under deal, Simon kept painting out of sight, shipped it out of HK to London