HONG KONG, China (CNN) -- "The Earth is just too small," sighed South African adventurer Mike Horn, one of the few people on the planet who can get away with saying such a statement.

Action man of climate change: Horn is hoping to inspire a new generation of leaders.

During the past eight months the 43-year-old has sailed around the world twice and during a life of exploration, often living on the edge of survival, he has trekked to both poles, sailed solo across oceans and walked across almost every continent.

The challenge for Horn now is to find the challenge.

Even his first trek to the South Pole earlier this year, a dream he'd had childhood, left him underwhelmed.

"I think it was just an overrated experience," he told CNN. "You were walking to civilization, away from the edge of Antarctica, which is completely wild, to the pole where there's an American base, airplanes landing everyday, red lights telling you if you can cross the runway or not. If I can't satisfy myself walking to the pole and back, let's try and do something else."

That something else is pursuing a different type of adventure: motivating a new generation to take action to conserve the planet in the face of climate change. Using a specially designed and made 35-meter exploration boat called Pangaea, Horn is showing a lucky few parts of the world unreachable to most.

Nearly a year into the four-year Pangaea Expedition, he's been more than encouraged by what he's seen in his "young explorers" selected from across the world.

"I haven't been disappointed by one of them. They're not polluted by politics or money. I'm not changing their lives, they're changing them themselves. I'm just taking them to somewhere it's nearly impossible for them to go without the boat, infrastructure and my knowledge," he said.

It's a knowledge he said he has gained through hard experience; he lost the tips of fingers to frost bite in the Arctic and claims to have narrowly avoided execution at the hands of militia in DR Congo. His desire to preserve nature in a changing world stems from his respect for it.

"To come back alive [from an expedition], you haven't conquered nature, you've just managed to live in harmony with it. That is true competition to me. There's no start or end to it. Adventure becomes a way of living, an inner search of your knowledge," he said.  View the gallery of Mike Horn's adventures »

Spirit for adventure

Horn's adventurous spirit manifested itself early. Growing up in South Africa he was given his first bike at age 8 and set off to visit his uncle, not the one 12 kilometers (7.5 miles) away, but the one nearly 300 kilometers away.

While his parents encouraged him to explore, a degree in Human Movement Science and honors degree in marketing gave him a greater of a sense of the psychology of competition. Time with the South African military's Special Forces fighting in Angola gave him a harsh lesson in survival and the difference between life and death. And a wife and two children who live in Switzerland remind him not to push it too far on his solo expeditions.

Now when choosing the teenagers and young adults to join his expeditions he looks for things in them he saw in himself at that age; a curiosity and enthusiasm similar to his own and that continues to keep him motivated every day.

Lecturers join Pangaea's voyages to add some scientific knowledge to Horn's first-hand understanding of the world, and there are ongoing projects for the young explorers to pursue when their time on the boat is over. Yet it is action, not words, that defines Horn.

"I think it's time to act more than anything else. Why discuss global warming and what are we going to do, if we can basically go out and do it?" he said.

"I don't believe in global warming as such, I believe more in the climate and seasons changing. I'm not a specialist, I'm an adventurer, but maybe I've seen things that other people haven't seen that leads to what I think is a change in climate," he said

"On the North Pole where before there was three to four meters of ice, today the ice breaks up, seals come through and polar bears can hunt there. When you see the big ice shelves break off around Antarctica, you think that there is something happening. I just talk about what I see."

Action, not words

He's criticized the United Nations as a talking shop and says he has rebuffed advances to become affiliated with them, but has some plans to work with environmental groups, such as the World Wildlife Fund in Indonesia, in the near future.

"Politics slows down a lot. Everyone should have the freedom of speech and with organizations usually you have to keep to the protocol, but there's no protocol when it comes to the world and the future of the planet," he said.

He's equally tired of adventures or projects that just raise awareness of climate change.

"We have to have a different approach, not that the one I have is completely right, but an approach where you have to build a boat out of plastic bottles... is that something we really must do? It's not enough to just take water samples and say the planet is warming up, or say there is plastic floating in the oceans," he said.

"Pangaea" has some eco-friendly elements. As well as being able to go almost anywhere in the world's oceans, it is made from aluminum, since it is the most recyclable metal and is unpainted to reduce pollution from noxious paints usually found on ships. Part powered by solar, the crew is able to make its own water onboard and there is a plastic compactor for all the trash the boat trawls out of the oceans.

Horn's single-mindedness has also secured lucrative partnerships with some big-name brands that bankroll his missions. Mercedes Benz are contracted to change Pangaea's engines every year with the most efficient model; next year they will get one with zero CO2 emissions.

"It gives them something to work on and me an opportunity to stay with my philosophy. There are some [companies] that don't give a s**t; you mustn't preach to the converted. That's why it's important to get companies involved that might change their mindset."

Horn is positive that he can make a difference through educating his young charges and the problems many fear are impossible to solve, can be dealt with.

"I came back after the expedition around the Arctic and the North Pole and I saw 'An Inconvenient Truth' and I thought, 'It's not that bad.' The world is still a beautiful place. Let's conserve that beauty and teach [the younger generation] how to conserve it."

@highlight

Explorer Mike Horn aims to encourage new generation to take action on conservation

@highlight

His Pangaea Expedition takes 'young explorers' around the world

@highlight

Horn has circumnavigated the world and been to both poles

@highlight

"I'm not a specialist, I'm an adventurer, but maybe I've seen things others haven't"