(CNN) -- Staunton,

Your mother and I are so proud that in less than a week you'll be graduating college, and from my alma mater, no less! So this seems an opportune moment to share some thoughts about what you might look for in a career. And as luck would have it, I've just finished a new book, "Capital in the 21st Century," which has helped crystallize in my mind some things you ought to consider.

The book has caused a predictable stir among the pro-equality set because the author, Tom Piketty is a French economist with the gall to propose a global tax on wealth. But putting aside this naÃ¯ve, socialist claptrap, the book is a veritable treasure trove of advice on getting into (or staying in) the top 1%.

The book confirms what you already know firsthand: The rich are getting richer; the really rich are getting really richer; capital is hot; labor is not.

The obvious implication is that you must find a job where the distinction between capital and labor is blurry. A job where you can take a slice off the top by getting paid as if you owned a piece of action even though you don't. Because without some capital working on your behalf, no amount of even the hardest and most skillful labor will get you anywhere near the top. (How many doctors or engineers join the country club these days? Virtually none.)

The great news is that there is a record amount of capital out there to work on your behalf. Piketty estimates that total capital is up almost threefold since I graduated from college 30 years ago. And these days, the real owners of capital don't seem to notice if people take a little off the top or are largely powerless stop it when they do.

This was not always the case. Indeed, Adam Smith -- the first economist -- felt that even a "principal clerk" (his word for CEO) would always be paid based on his "labour and skill" and never in "proportion to the capital of which he oversees the management."

Fortunately, times have changed in part because economists -- Smith's intellectual heirs -- invented myriad ways like the "principal agent problem," "competitive assignment models," or the "marginal product of labor" to justify otherwise outrageous levels of compensation, provided there is enough capital in the picture. Smith must be turning in his grave!

Now you may be wondering: "How much capital will I need working on my behalf?" It's a tricky question, but Piketty provides the answer.

Let's assume that you won't settle for mere membership in the top 1.0% but have your sights set on the top 0.1% with a corresponding annual income of roughly $4 million. Piketty's analysis of long-run returns (4% to 5%) suggests that this would require you to have roughly $100 million of capital working on your behalf. Although this seems daunting -- it's what the average American makes in 2,000 years -- fear not, for there are a few places where this type of money can be found:

Listed stocks: The average Fortune 500 company has a market value of $28 billion (280 times more than you need) and its real owners -- the shareholders -- are virtually powerless to stop senior management from taking 3.0% or more off the top. So even if the company's performance is lackluster, and the pot is split between you and four or five other top guys, there's plenty to go around. So while the corporate ladder can be long and greasy, it's worth the climb. I'd suggest you steer clear of smaller companies as they're just as hard to run as the bigger ones but don't hold enough capital -- the average Russell 3000 company has a market value of only $1.4 billion -- to be worth your while.

Venture-capital-backed start-ups are also a decent bet provided you get in early and abandon ship at the first sign that the organization is not steadily progressing toward an IPO, or a buyout from Facebook, Google and the like. You might try a few ventures in your 20s and then go back to business school if it hasn't worked out.

Private Equity and Hedge Funds: This industry is a dream come true. The standard take is generous -- a 2.0% fee plus 20% profit share -- which should net out to at least 3.0% assuming average performance and even after deducting the operating expenses of the fund. At 3.0%, you'll need $130 million working for you, which is more than achievable when private equity and hedge fund assets are a record $4.5 trillion (35,000 times more than you need) despite lackluster aggregate performance. This mountain of capital attracts a lot of competition, so don't be discouraged if you fail to break into the industry the first few times. Just keep at it, but please don't be tempted to cheat, as the government appears to be getting tougher on the insider stuff these days.

Asset Management: This is a decent fallback if the hedge fund thing hasn't worked out by age 35. The take is much lower -- probably 0.6% after costs -- so you may need $600 million or more working on your behalf but don't be daunted. Despite strong evidence that the industry destroys value compared with lower-cost index funds, it still manages trillions. And the lifestyle is decent as many people secretly accept that they can't beat the market so they don't work that hard trying.

Personal Services: If you're satisfied with being toward the middle of the top 1% then consider offering personal services to those with capital or access to it. They tend to be very brand/quality conscious and willing to pay top dollar for services, particularly when spending the real owners' money. Most well-paid service positions are in investment banking, law, and management consulting, though the occasional doctor, psychotherapist, real estate agent, or art adviser can make the cut.

It goes without saying that you must steer clear of government and the nonprofit sector at all costs. Although the Citizens United decision suggests that the Supreme Court may one day allow it, explicit profit sharing by government officials remains strictly illegal at the moment. As a result, you should only consider public service as second career after you've made the money you need. The nonprofit sector is even worse because it holds little capital, has no profits, and generates nothing but a "social" return that would hardly pay the bills even if you got to keep it all.

Finally, never fear that mooching off someone else's capital is somehow second-rate compared with earning income from your own. I've never felt that way, and nothing could be further from the truth. You'll seldom be exposed to meaningful losses (even the London Whale gave back only two years of compensation), and your slice is often in addition to, not in lieu of, a decent salary.

Furthermore, if you mooch long enough, you can build your own capital provided you avoid profligate spending, multiple divorces and the like. I'm not denying that there is a certain nostalgic appeal to building your own capital the old-fashioned way by starting a business, or by saving gradually over a lifetime of work. But these are risky and time-consuming strategies in the low-growth, high-capital environment you'll likely be living in.

Son, the time for internships is over, and now your real quest begins. In the 21st century, a man without capital runs a grave risk of finding himself squeezed towards the bottom of the top 10% and possibly even lower. This is not a place you want to be. Somewhere out there is a $100 million slice of capital with your name on it just waiting to be found. Your mother and I have given you everything money can buy, and your children deserve no less. I know that you won't disappoint us.

Dad

@highlight

John MacIntosh writes letter to imaginary son turning Piketty's controversial book on its head

@highlight

MacIntosh: If you want to be be super rich, find a job that lets you benefit from others' capital

@highlight

He says in such a job, you can take a slice off the top even though you don't do much

@highlight

MacIntosh: These jobs are in industries like hedge funds, private equity, venture capital