Beijing (CNN) -- Last week, China unveiled a list of wide-ranging reforms to the "gaokao" -- the hyper-competitive and grueling college entrance examination that represents most families' best shot at the Chinese dream.

Chinese media have hailed these reforms as a panacea to China's education woes: The poor will have a better shot at a top school, and students won't feel so stressed out all the time.

However, as someone who's either observed or worked in Chinese education since 1999, I believe that unless the government decides to cancel the gaokao, no systemic reform will matter.

According to the State Council, English is no longer mandatory. Students must take the Chinese and math exams, but they can choose the other four subjects to be tested, and they can take these examinations separately (much like the Advanced Placement system in the United States.)

Colleges can no longer recruit artists and athletes, a system that has been prone to abuse. Finally, universities are encouraged to increase their quota of students from the poor inland provinces, and to make public their quotas.

Education liberalized

To understand China's current education system, we have to go back to 1999.

That's when former Premier Zhu Rongji decided to liberalize the housing and education markets.

Government subsidies to Chinese universities were cut, forcing universities to increase tuition and student enrollment.

The effect of this change was dramatic: in 1991, only 4% of the cohort of Chinese college-aged students attended universities; today, according to ministry of education statistics, it's about one quarter.

To meet this demand for a college degree, vocational colleges were folded into universities, universities were merged to create super-universities, and super-universities built satellite campuses.

This decision had severe consequences for how Chinese parents perceive education, and how employers perceive university degrees:

1.) With a glut of university degree holders flooding the marketplace, employers began demanding university degrees for jobs that previously only required vocational training. This puts even more pressure on families to send their only child to college.

2.) This means that a university degree is severely diluted, and middle-class families feel that it's no longer enough to send their child to university -- he or she must get into a "key" or, best of all, a "top ten" university in China.

3.) This has led to an escalating arms race in which families put pressure on their child to succeed from day one. In China, there's now a considered track for academic success: Students get into the best elementary schools, which then secures them a place in the best junior high schools, which allows them to test into the best high school,s which gives them the best shot at testing into a top university. If students fall off this elevator to success at any point, they are considered "lost."

The gaokao system is essentially a lot of people trying to push each other away so that they can squeeze into the door of elite college admissions.

It doesn't really matter if you paint the door a different color or call the door a different name or let certain people jump the line -- it's still a door with limited space, and you'll still have tiger moms and dads who will fight tooth and nail to make sure their kid gets through the door.

This system is what economists like to call a zero-sum game, and explains why children are so sleep-deprived and stressed-out, and why parents must flatter and bribe teachers.

So, in essence, China's new gaokao reforms are just window dressing.

What's more, China's wealthy and well connected are opting for a new system outside the gaokao, enrolling their child in private bilingual schools and overseas high schools and colleges.

Those who cannot pay their way are forced to continue in a system that promises the destruction of their child's childhood, curiosity, and creativity.

What should be done

Rather than try to dress up its system of narrowing doors, the Chinese government should better serve the people and the nation by concentrating resources on building ladders.

Even if no one can say it aloud, the socialist dream of educational equality is dead and buried, and to move forward China needs to adopt a system of social mobility.

That means a Finnish-style early childhood education program in which poor rural children as young as eight months old are given access to daycare to address deficiencies in nutrition, literacy, and emotional stability that can plague them in their adult lives.

That means a strong German-style system of vocational training to provide the rural poor real marketable skills so they no longer have to sweat and grunt in the fields and factories.

And that means building a system of community colleges and continuing education programs to permit laborers to upgrade their skill sets and work towards a college degree.

Any of these three initiatives would be real and significant education reform in China. And together, they'd give those who most need it a good shot at the Chinese dream.

The opinions expressed here are solely those of Jiang Xueqin.

@highlight

China unveils reforms to "gaokao"-- the grueling college entrance examination

@highlight

Reforms aimed at giving poor better shot at top colleges

@highlight

But educator Jiang Xueqin says reforms are no pancea

@highlight

Says China needs less focus on one exam; more vocational training