(CNN)Ever since musician Eduardo Miranda met a patient with locked in syndrome 11 years ago, he has been on a mission to create a way for the paralyzed to make music.

His latest invention is the brain computer music interface (BCMI) which allows people to create music using just their eyes.

How it works

By connecting electrodes to the back of the head, the system can tell where you're looking by monitoring brain activity. Flashing icons representing different snippets of music appear on screen and you can make a selection, just by staring at one.

In real time, a musician plays a score generated from the user's selections.

"Our brain is producing electricity all the time," says Miranda, head of the Interdisciplinary Centre for Computer Music Research at Plymouth University.

"These are very faint electrical signals but we can amplify and analyze them. Let's say you have two icons on the computer screen: one flashing at 10 hertz and the other flashing at 15 hertz. If you look at the one flashing at 15 hertz, we can detect it."

"We can detect up to eight different frequencies at the moment," explains Eduardo Miranda who is helped by a team of doctoral students and research assistants at his lab.

"My latest composition is for a string quartet. It's an interaction between eight people, four of them generating music and the others playing the music as its being generated.

"The score for the quartet is a computer monitor rather than sheet music so the musicians have to be quite skilled and perform the piece as it's generated."

Listen to Miranda's string quartet playing using the BCMI.

Motivation

Speaking of his inspiration for the project, Miranda says: "I wanted to create something to enable people with severe disabilities to make music. I was struck by an encounter I had once with a man who had had a stroke and was paralyzed completely from the neck down.

"That had a profound impact on me and I thought, as a musician, how I could provide a voice for him -- that's where this research began."

He adds: "A few years ago I tested a prototype with a paralyzed patient in a hospital in London he was able to play music by looking as these icons. The nurses and carers there told me that one of the things that these patients really miss is interaction with other people, not with machines. That's how this system was created."

Funding

It has been 11 years since Miranda started his lab, with financial support from Plymouth University as well as securing funding throughout the years. He has also been successful in securing funding from engineering organizations such as the UK's Engineering and Physical Sciences Research Council.

"It was very difficult at the beginning to convince people that this research could work and produce something useful. It sounded like science fiction to begin with, people didn't believe it. But as I began to produce results, papers and scientific journals, it became easier to put the arguments on paper."

Future plans

Miranda is now working on making the system more robust and user-friendly. But it might be a while before his technology hits the shops, not least because it costs around £10,000 (around $15,600).

"I don't think I would sell the BCMI, the problem is that the hardware is very expensive ... all the electrodes you need we have to buy ourselves.

"I would be quite happy to give away the software to people who really need it, provided they are able to buy the hardware."

"We have seen companies selling equipment (at) a tenth of the price of ours promising a lot of things, but when you really test them they don't compare to ours.

"It's going to take a long time for this to become cheap," he says.

But you may soon be able to try out the software in your local "brain booth."

"We are working on a project, which will allow the public to use the system in a 'brain booth' and download the music they create from the internet afterward.

"You don't need musical talent to use the system, but the more you understand music the easier it is for you -- if you understand for example that crochets are quicker than semi-quavers you have an idea of what you're selecting -- but after 10 seconds you hear the snippet of music you chose being played by the string quartet, so you learn quickly."

Julie Tugwell, from the Queen Elizabeth's Foundation for Disabled People, who was involved with a similar project, thinks the technology could have wider applications.

"It was amazing to explore how technology can help to unleash the creativity within people that they may find difficulty expressing through traditional methods."

"We're also looking forward to seeing how brain-wave technology might, in the near future, be able to control other types of equipment such as wheelchairs or computers," she says.

@highlight

Eduardo Miranda has created a system which allows people to make music using their eyes

@highlight

The system uses electrodes and was inspired by people suffering from paralysis

@highlight

The musician and professor has a research lab at the University of Plymouth