(CNN) -- Afghan opium kills 100,000 people every year worldwide -- more than any other drug -- and the opiate heroin kills five times as many people in NATO countries each year than the eight-year total of NATO troops killed in Afghan combat, the United Nations said Wednesday.

An Afghan police officer digs up a field of opium poppies in April.

About 15 million people around the world use heroin, opium or morphine, fueling a $65 billion market for the drug and also fueling terrorism and insurgencies: The Taliban raised $450 million to $600 million over the past four years by "taxing" opium farmers and traffickers, Antonio Maria Costa, head of the U.N. Office on Drugs and Crime, said in a report.

Not all the money is going into the pockets of rebels or drug dealers; some Afghan officials are making money off the trade as well, he said.

"The Afghan drug economy generates several hundred million dollars per year into evil hands: some with black turbans, some with white collars," Costa said.

The latter reference is "to officials in the Afghan administration, federal government of Kabul or the provinces or the army or the police," Costa told CNN's Christiane Amanpour.  Watch Costa talk about the problems »

And the problem is spreading, he added.

Drug money is funding insurgencies in Central Asia, which has huge energy reserves, Costa said.

"The Silk Route, turned into a heroin route, is carving out a path of death and violence through one of the world's most strategic yet volatile regions," he said.

Authorities are seizing too little heroin, intercepting only about 20 percent of opiate traffic around the world, according to the U.N. report, "Addiction, Crime and Insurgency: the Transnational Threat of Afghan Opium."

It comes on the heels of a U.N. warning last month that two years' worth of opium is effectively "missing," probably stockpiled by the Taliban and criminal gangs.

More than 12,000 tons of opium, which can be consumed as a narcotic itself or turned into heroin, is unaccounted for, the United Nations estimated in September.

It is not clear who has it or why, but the United Nations speculates that criminals could be holding it as a hedge against falling prices or that insurgents or terrorists could be stockpiling it to fund attacks.

The latest report claims to be the first systematic attempt to track where Afghan opium ends up.  See how Afghan heroin reaches Europe and the West »

Europe and Russia together consume just under half of the heroin coming out of Afghanistan, the United Nations concluded, and Iran is by far the single largest consumer of Afghan opium.

Afghanistan is also probably supplying an increasing share of the heroin in China -- perhaps as much as a quarter, the report said.

Afghanistan is by far the world's largest producer of opium, although Laos, Myanmar and Latin America produce small quantities, it said.

The United Nations found that Afghanistan may be supplying more heroin to the United States and Canada than had been suspected.

The two North American countries consume more than twice as much heroin as Latin America produces. That means either that more Afghan heroin is making its way to North America than had been known or that Mexico and Columbia are producing more than was realized, the United Nations said.

The report confirmed an estimate that $400 million in drug profits goes to the Taliban, Costa said.

The Taliban "are deeply involved" in processing, in protecting farmers and in exporting, he said.

The solution "is very clear," he said. "We need a much greater effort and commitment by governments to prevent drug addiction, to take care of drug addicts ... to reduce demand."

But the popular will for change needs to increase, he said, noting that the Security Council in 2006 and 2007 passed resolutions inviting member states to give the names of drug traffickers to authorities so that their ability to travel can be curtailed and their assets seized.

"So far, much to my dismay, not a single name was provided to the Security Council," he said.

The report offered little new in the way of possible solutions, said Ethan Nadelmann, founding executive director of the Drug Policy Alliance, which promotes alternatives to the war on drugs.

"It's very good at describing a problem," he said. "But it truly is devoid of any kind of pragmatic solution, and it essentially suggests that the answer is to keep doing more of what's failed us in the past."

So long as there is a global demand for opium, there will be a supply, he said.

"If Afghanistan were suddenly wiped out as a producer of opium -- by bad weather or a blight or eradication efforts -- other parts of the world would simply emerge as new producers, "creating all sorts of new problems," he said.

And Afghanistan itself would not be helped either, he said.

"You would see in Afghanistan millions of people probably flocking to the cities unable to make a living and probably turning more to the Taliban than they are now," he said.

He listed three possible options. The first, global legalization and control, "is not happening, not any time soon," he said.

The second option is to increase drug treatment for addicts who want it and to provide legal access to the drug, as Switzerland, Germany, the Netherlands, England, Spain and Canada have done, he said.

"In all of these places, there are small, growing programs of heroin maintenance that allow addicts to obtain pharmaceutical-grade heroin from legal sources rather than from the black market," he said.

But Nadelmann added that more people died of opiate overdose last year involving pharmaceutical opiates than died from illegal heroin.

A third possibility, he said, would be to view Afghanistan as essentially a red-light zone of global opium production and to think about the solution as a vice-control challenge, "which means acknowledge that Afghanistan is going to continue to be the world's supplier of illegal opium for the foreseeable future and then focus on manipulating and regulating the market participants, even though it is still illegal."

He added, "That, I think, is in some respects the de facto strategy, even though it cannot be stated openly, for political reasons."

@highlight

Afghan heroin trade funds terrorism, insurgencies, U.N. report says

@highlight

12,000 tons of opium missing, probably stockpiled by Taliban, gangs, U.N. says

@highlight

Afghanistan is world's largest producer of opium, from which heroin is made

@highlight

Iran is by far largest consumer of Afghan heroin, U.N. report says