(CNN) -- We are about to mark the 12th anniversary of 9/11. Since then, al Qaeda and its affiliated groups haven't launched a successful attack in the United States.

The Boston Marathon bombings in April, however, serve as a reminder that the United States still faces a terrorism threat from disaffected U.S. citizens and residents who are influenced by al Qaeda's ideology.

So what is the status of this kind of threat?

The good news is that the number of "homegrown" jihadist extremists who have been indicted or convicted has steadily declined over the past few years, according to New America Foundation data. Where there were 41 cases in 2009, there have been six so far this year.

The number of individuals indicted for plotting actual attacks within the United States -- as opposed to other terrorism-related crimes such as raising money for a terrorist group -- also declined from 12 in 2011 to only three so far in 2013.

In recent years, extremists plotting attacks against the United States have also shown little, if any, connection to foreign groups. None of the 21 homegrown extremists involved in plots against the United States from 2011 to so far in 2013 is known to have received training abroad.

Of these extremists, only one, Tamerlan Tsarnaev, one of the alleged Boston bombers, is reported to have had contact with foreign militant operatives, but it remains unclear to what extent, if any, those contacts played a role in the Boston attack.

This lack of coordination between domestic extremists and overseas groups is likely the result of two factors. First, the ability of terrorist organizations to coordinate with extremists in the United States has been reduced by policing efforts inside the country and counterterrorism operations abroad.

Second, Internet use among jihadist extremists enables them to come into contact with extremist communities abroad and be radicalized without face-to-face meetings.

Of the 45 "homegrown" jihadist extremists who were indicted, convicted or killed from 2011 to now, 18 are known to have communicated with other extremists over the Internet or posted materials related to their radicalization online.

The shift to plotting by individuals who lack ties to foreign groups poses a distinct type of threat -- plots and attacks that are more difficult to detect but are also likely to be of a smaller scale. And because of the measures now in place to prevent the acquisition of precursor chemicals and materials suitable for making conventional explosives, homegrown extremists have also often struggled to produce effective bombs.

Before the Boston Marathon bombings, homegrown jihadists in the United States had shown little success at producing explosives. Joseph Jeffrey Brice -- who has professed admiration for Osama bin laden and Oklahoma City bomber Timothy McVeigh -- almost killed himself in April 2010 when a homemade bomb he was constructing exploded prematurely.

A month later, Faisal Shahzad's car bomb failed to explode in Times Square, even though he had received explosives training in Pakistan.

If the Tsarnaev brothers built the bombs used in the Boston attack without guidance from jihadists abroad, it suggests that the difficulties other "homegrown" militants have had building or detonating explosives may have been overcome. On the other hand, the Tsarnaevs' successful bombmaking could just as easily have been a fluke.

While the number of terrorism-related indictments fell between 2009 and 2013, the number of terrorist incidents has stayed about the same -- about one per year -- though not all of them have been lethal:

-- In June 2009, Abdulhakim Mujahid Muhammad killed a soldier outside a recruiting station in Little Rock, Arkansas.

-- Five months later, Major Nidal Malik Hasan shot and killed 13 people at Fort Hood in Killeen, Texas.

-- Shahzad's 2010 attempt to bomb Times Square was foiled when his bomb did not ignite properly.

-- Yonathan Melaku's drive-by shooting of military facilities in Northern Virginia in 2011 produced no casualties.

-- The Boston Marathon bombers killed four and wounded hundreds of others in April 2013.

The incidents carried out by homegrown extremists continue to be limited in their lethality, and major operations such as the 9/11 attacks are well beyond the skills of even the most capable domestic extremists.

Additionally, no homegrown jihadist militant in the United States is known to have acquired or used chemical, biological, radiological or nuclear (CBRN) weapons in the past twelve years. This point bears repeating, as there has been considerable overheated commentary on this subject over the past decade. Of the 221 individual cases of jihadist extremism since 9/11, not one case involved an allegation of CBRN acquisition, manufacture or use.

However, the fact that jihadist extremists in the United States have shown no interest in CBRN weapons does not eliminate the need for securing potential sources of chemical, biological and radiological agents.

According to a count by the New America Foundation, since 2001, 13 extremists motivated by right-wing ideologies, one left-wing militant and two individuals with idiosyncratic motives have deployed, acquired or tried to acquire chemical, biological or radiological weapons.

For example, William Krar and Judith Bruey, two anti-government extremists, possessed precursor chemicals for hydrogen cyanide gas, which they discussed deploying through a building's ventilation system. They were arrested in 2003 and later pleaded guilty.

The threat from homegrown extremists to the U.S. homeland has been constrained in recent years by a variety of security measures. According to data collected by the New America Foundation, family members of extremists and members of the wider Muslim American community provided useful information in the investigations of about a third of the homegrown jihadist extremists indicted or killed since 9/11.

Noncommunity members provided useful reports of suspicious activity in another 9% of homegrown extremist cases, while an informant or undercover agent monitored almost half of all homegrown extremists.

The Boston Marathon bombing, however, demonstrate the potential for these security measures to fail when plotters have few, if any connections, to known terrorist groups.

Looking forward, a concern about the Boston attack is whether it represents an intelligence failure that could have been avoided through a better implementation of existing policies or a new trend where "lone wolf" extremism is largely undetectable with the existing systemic checks in place.

The threat from homegrown extremists has changed substantially in the past three years, becoming the province of fewer individuals who are less connected to foreign groups than was once the case.

Whether this remains the case will depend on law enforcement being able to successfully adapt to confront the threat from disaffected U.S.-based individuals motivated by al Qaeda's ideology as well as whether the past few years' counterterrorism successes against al Qaeda overseas can be maintained.

@highlight

Authors: Since 9/11, al Qaeda hasn't carried out a successful attack in the U.S.

@highlight

They say the threat has evolved into a danger of homegrown extremists launching attacks

@highlight

Study finds that the number of attempted attacks has been declining

@highlight

Authors: Could the Boston bombings have been prevented through better intelligence?