(CNN) -- Heman Marion Sweatt and Abigail Noel Fisher both wanted to attend the University of Texas at Austin, and both claimed race was a primary reason for their rejection.

They filed civil rights lawsuits and the Supreme Court ultimately agreed to hear their appeals, filed more than a half-century apart.

Questions over academic competition, fairness, and demographics as well as the role of government in promoting political and social diversity populated their claims.

But it is the key difference between the plaintiffs that now confronts the court: Sweatt was African-American, Fisher is white.

The justices are poised to rule this month in Fisher's appeal, possibly in coming days, on the use of race in college admissions.

Sweatt's 1950 case produced a landmark court ruling that set the stage for the eventual end of racial segregation in public facilities.

The question around Fisher could come down to whether a majority believes affirmative action has run its course, no longer necessary in a country that has come far to confront its racially divisive past.

"There's a good chance that affirmative action, at least in the case of education, is on the chopping block," said Thomas Goldstein, a Washington appellate attorney and SCOTUSblog.com editor.

Read selected quotes from arguments

"The Supreme Court 10 years ago approved the use of race as a factor. But it's just changed. [Now retired Justice] Sandra Day O'Connor isn't there and she was the decisive vote. And the current conservative majority is just very suspicious of the use of race in government decision-making," Goldstein said.

Specifically in Fisher, do race-conscious admission policies at the University of Texas, the flagship state college, violate the rights of white applicants?

Other, similar cases on docket

The timing of the decision is not lost on the justices. The court is also set to rule by month's end on two other contentious appeals over classification -- voting rights enforcement, and same-sex marriage.

Fisher sued the state university after her college application was rejected in 2008 when she was a high school senior in Sugar Land, Texas, outside Houston.

She claims the individualized, discretionary admission policies violate her rights, and favor African-American and Hispanic applicants over whites and Asian-Americans.

The state of Texas provides for a hybrid admission policy: Automatic acceptance to its university's main campus in Austin for in-state students finishing in the top 10 percent of their high school class.

Three quarters of the in-state student body gets in this way, which ensures a measure of non-subjective diversity.

Fisher just missed that opportunity, so she had to compete in a separate pool of students seeking to attend the highly competitive school.

It is that a selection process that is before the court.

"If any state action should respect racial equality, it is university admissions," she and her lawyers told the high court in their written brief. "Selecting those who will benefit from the limited places available at universities has enormous consequences."

The school, with a large 52,000 student body, defends the educational benefits of its

"holistic" policy of considering race as one of many factors -- including test scores, community service, leadership and work experience -- designed to create a diverse campus.

"We must have the flexibility to consider each applicant's unique experiences and background so we can provide the best environment in which to educate and train the students who will be our nation's future leaders," said school administrators.

A summary of major upcoming Supreme Court decisions

Obama administration backs school

The Obama administration agrees, and is backing the school, saying to grow a nation built on differing complexions and backgrounds will depend on future leaders "who possess the understanding of diversity that is necessary to govern and defend the United States."

The NAACP Legal Defense and Educational Fund is among more than five dozen outside groups that filed legal briefs in support of the school.

Many of them worry the conservative high court majority is poised to strike down or severely limit affirmative action.

"A broad ruling could have very far reaching effects and could possibly affect the pathway to opportunity for minority students at a range of universities," said Debo Adegbile, the group's special counsel. "Not just at state universities, but at all institutions of higher education."

But groups opposed to the state's policies think the time has come to rethink how affirmative action will be applied in the future, if at all.

"Using race in admissions decisions, to achieve diversity, amounts to stereotyping people by their race," said Joshua Thompson of the conservative Pacific Legal Foundation, which filed a legal brief in support of Fisher. "Racial diversity in a student body does not guarantee a diversity of experience and perspectives. It is unrealistic and wrong to try to pigeonhole people by their race."

A bigger debate

A larger social debate is whether race-conscious policies serve their ultimate purpose -- to help minority students ultimately achieve success, especially in high-profile professional positions.

"What we're seeing now is affirmative action is backfiring quite badly," said Gail Heriot, a law professor at the University of San Diego and a member of the U.S. Commission on Civil Rights.

She and two fellow Commission members filed a brief, citing recent studies that race preferences are doing more harm than good, and suggesting there are fewer African-American professionals than would have been with race-neutral methods.

"The problem is what is called mismatch," said Heriot. "As a result of affirmative action, black students in particular, Hispanic students as well, are likely to go to a school where their entering credentials put them towards the bottom of the entering class," at top schools like Harvard or Texas.

Their lower grades as a result, said Heriot, means those students are much more likely to give up on the ambition to major in science, or go into medicine or the law.

Many social scientists and civil groups, including the NAACP, reject that analysis.

"I think those studies and arguments don't really jive with the real world," said Adegbile. "The admissions officers are best situated to make the determination and some of the tradeoffs, to have a mix of students that can accomplish all of the things that college and universities are engines to do."

The high court has had an evolving record on the discretion of state officials to decide who attends their institutions.

The justices said in 2003 that state universities can narrowly tailor their admissions policies to consider an applicant's race, to achieve a "critical mass" of minority students.

But they reaffirmed existing limits -- bans on the use of quotas, extra "race" points in selective criteria, or "balancing" measures to reflect the larger population.

That landmark case from the University of Michigan is the subject of a separate pending high court case over a state ballot measure designed to eliminate any racial criteria.

A divided federal appeals court had concluded the voter-approved ban on "preferential treatment" at public colleges and universities was unconstitutional, and "alters Michigan's political structure by impermissibly burdening racial minorities."

The justices have accepted that case for review, and will hold oral arguments in the fall. It has the potential to complement, or surpass in impact, the separate Fisher case.

But her appeal is complicated by the issue of "standing" and whether Fisher should even be allowed to bring her lawsuit.

Fisher graduated from another school

She graduated last spring from Louisiana State University, where she went after being rejected by the University of Texas -- and school officials had argued she has no "live" controversy or claim necessary for the high court to intervene.

They said her only "harm" would be trying to recoup nonrefundable application fees.

Through her lawyers, Fisher said she did not want to be interviewed separately by CNN. But after October's argument she told reporters, "I hope the court rules that a student's race and ethnicity should not be considered when applying to the University of Texas."

In hearing the case, the high court made no mention of whether the standing issue would affect its ultimate ruling.

Another wildcard: Justice Elena Kagan will not participate in the case since she apparently had been briefed on the issue as the Obama administration's solicitor general, before joining the high court.

That leaves the possibility of a 4-4 ruling, meaning Fisher would not prevail, but leaving undecided the larger constitutional questions presented.

The University of Texas proudly touts its diversity: The most recent freshman class is about 46 percent white, 25 percent Hispanic, 18 percent Asian, and 5 percent African-American.

Some states, including California, do not allow race considerations in college admissions.

The issue now before an arguably more conservative high court is whether the Texas policies should be re-evaluated, as states have had nearly a decade to re-evaluate such diversity considerations.

Impact of Sweatt

A final word about Sweatt. When the Houston mailman applied to the University of Texas in 1946, no African-American at the time could be admitted to any law school in the state, and there were even no black-only law schools.

School administrators cited the established white-only policies for their rejection and instead offered Sweatt an out-of-state scholarship.

He refused and took his case to court.

The high court unanimously found in favor of Sweatt and he became the first African-American ever ordered admitted to an all-white institution.

His legal victory was an important legal landmark-- a building block that culminated three years later in the 1953 Brown v. Board case, where the justices ordered a permanent end to state-mandated public, racial segregation.

Sweatt's personal victory was bittersweet. He entered the UT law school, but later dropped out, following ill health as well as hostility from white classmates. He died in 1982, and the Travis County civil courthouse in Austin was renamed in his honor.

The current case is Fisher v. University of Texas at Austin (11-345).

Court transcript

Audio recording of arguments

@highlight

Supreme Court looks at case asking if admissions policies violate rights of white applicants

@highlight

Some groups worry conservative majority will strike down or severely limit affirmative action

@highlight

A larger debate is whether race-conscious policies serve their ultimate purpose of helping minority students

@highlight

Decision could come in coming days as part of busy end to Supreme Court term