Hong Kong (CNN)It wasn't supposed to work.

But China's Great Firewall  --  a massive Internet surveillance and content control system -- has, in many respects, been an unparalleled success.

China has Internet companies worth billions of dollars and more web users than the population of the United States -- all while still being able to block information it deems counter to its interests.

And now, some fear, the model is going global.

"If you are sitting in Beijing, what's the problem?" asks Bill Bishop, China watcher and author of the Sinocism China newsletter in the latest episode of "On China."

"You are still in power, you have 650 million Internet users, you have billions of dollars of economic value going to the Internet everyday, you've used the Internet to increase government transparency, investors love us and they can't throw enough money at our companies that have more than half a trillion dollars in market capitalization," says Bishop.

Soon after China tip-toed onto the Internet in the late 1980s, it laid down the foundation of the Great Firewall but critics asserted that an Internet with Chinese characteristics would be no Internet at all.

During a high-profile media tour in Beijing in 1999, MIT Media Lab founder and technology pundit Nicholas Negroponte declared that a "healthy disrespect for authority" was required for any successful Internet industry.

A year later, then-U.S. President Bill Clinton announced that "liberty will spread by cell phone and cable modem" and that any attempt to control the Internet in China would be "like trying to nail Jell-O to the wall."

Well folks, it's now 2015 and China has done the impossible.

It's nailed the Jell-O. China has proven it can have its Great Firewall and enjoy great prosperity too.

Lokman Tsui, associate professor at the Chinese University of Hong Kong and former head of free expression at Google Asia-Pacific, says that most Chinese are happy with the status quo.

"Their lives have noticeably improved," he says. "The model has worked so far."

Currently home to the world's largest Internet market, China is also home to some of the world's most valuable Internet companies including e-commerce giant Alibaba and Tencent, now estimated to be worth $66.1 billion.

The government has fostered the development of the Internet by offering incentives for local entrepreneurs while building walls to keep big Western rivals out.

The ban on Western social media sites like YouTube and Facebook has also given home court advantage to China's own Internet stars like Youku and WeChat.

And contrary to Negroponte's declaration, respecting the strict rules that govern China's Internet has not gotten in the way of innovation as Chinese tech developers reinterpret existing business models and build out new mobile apps.

"I haven't really come across anybody who would say that yes, because we don't have a free Internet, therefore we can't innovate," says Bishop.

"From Beijing's perspective, there's this fear that if we open up the Internet then it will be chaos.

So if the cost is good-enough or almost-good-enough innovation... it seems like a pretty straight forward equation from the perspective of the policymakers."

And there are signs the Great Firewall is expanding its reach.

Last week, the Chinese and English news websites of Reuters news agency became inaccessible in China, joining a number of foreign media destinations that are barred online in China.

There have been ways to get around it.

Through VPNs, or Virtual Private Networks, web users in China can access restricted content.

But in a recent crackdown, the Chinese government is shutting down VPNs -- Beijing's latest move to shore up its cyber-authority.

"You can filter out keywords, you can filter by URL, you can block or poison DNS (domain name system), and increasingly now they identify VPNs," says Tsui.

"The problem is that it's decided on a national level by the government," he adds. "It's this attitude that 'father knows best.'"

And that "father" would be Lu Wei, the so-called Internet czar of China who was recently photographed smiling at Mark Zuckerberg's desk during a visit at Facebook's headquarters in California.

"Lu Wei is really pushing this 'Internet sovereignty' model, where we can control the information, we can control the Internet within our borders and we will use our model," says Roseann Rife, the East Asia research director of Amnesty International.

"More than that, the Chinese authorities are pushing this as a model for the globe and they are going to get a lot of acceptance or buy-in from a lot of different countries."

Amnesty International fears the Great Firewall could become the next great export from China.

"It would be a very attractive model for instance for Russia, for Egypt, or for other states," Rife says.

"It would be obviously in China's interest for other people and other nation states to agree with them and their interpretation of Internet sovereignty."

And instead of backing away, Western onlookers may be nodding their heads in agreement.  Last year, the U.S.-based LinkedIn decided to censor some content on its Chinese site.

And fear is mounting that Zuckerberg's recent charm offensive with Lu Wei reflects Facebook's desire to do whatever it takes to crack the China market.

So would global Internet users rise up against a Facebook that censors its posts and monitors its users to comply with local laws in China?

It's unlikely, says Bishop.

"I actually think most users don't care."

"At the end of the day, they're not going to give up Facebook because Facebook is operating differently in China."

A Facebook that fits the firewall, and fortune at the expense of freedom.

That is precisely China's vision of how the Internet should be.

@highlight

China's "Great Firewall" is a massive Internet surveillance and content control system

@highlight

Critics said it would stifle business but now Chinese Internet companies are worth billions

@highlight

Amnesty International fears China is exporting its model to places like Egypt and Russia