(CNN)Want to get a head start on your teen's reading list -- or find new titles to feed your young adult fiction habit?

While many recognize the Newbery and Caldecott awards for the year's best children's books, the seventh annual Morris Award celebrates debut books published in 2014 by promising first-time authors in young adult literature.

It puts fresh, diverse choices in front of parents, teachers, librarians and teens, while spotlighting titles that might get lost during heavy publishing seasons, like offerings from small press.

Previous winners have included authors like John Corey Whaley for his book "Where Things Come Back." But it's not just the winner who benefits -- finalists Kami Garcia and Margaret Stohl, nominated for their book "Beautiful Creatures," have also become favorites in the young adult fiction community. Their book also became a film in 2013.

"The Morris Award committee wants a distinct voice that takes readers to new places," said Chris Shoemaker, president of the Young Adult Library Services Association. "They have exemplary voice, as well as strong world-building and character development."

Here are the five finalists:

"The Carnival at Bray" by Jessie Ann Foley

Love, loss and '90s grunge music collide in this story of leaving what you know behind. After 16-year-old Maggie Lynch moves from Chicago to Bray, a small town in Ireland, she experiences her first love and a family tragedy at the same time. Foley, a Chicago Public School teacher, drew on personal experience visiting Bray in 2010 and set the story during the 1990s to include Nirvana as a relatable thread throughout the novel.

Teens can relate to the way the characters connect through music, Angie Manfredi, former Morris Award committee member and head of youth services for the Los Alamos County Library System in New Mexico, told CNN. Including Nirvana and the band's late lead singer Kurt Cobain ties in with the theme that nothing can last, creating a "bittersweet urgency" in the novel, she said.

"Gabi, a Girl in Pieces" by Isabel Quintero

In Quintero's semi-autobiographical tale, high school senior Gabi Hernandez tries to figure out her place in her Latino community and her collegiate future. Her eventful senior year is told through lyrical, humorous and brutally honest diary entries about one best friend who is pregnant, another who just came out as gay and a father trying to quit his meth addiction.

Quintero, a community college teacher from the Inland Empire of Southern California, wanted to reinforce that young women should feel empowered to make their own life choices, rather than simply live up to societal expectations based on gender or patriarchy: "There is not just one true experience for everyone -- not as an American, not as a woman, not as a Mexican-American, and I felt like this was a story that needed to be told," Quintero told CNN.

"It's a stunning, first-person narrative from this character with a crazy life," Teri Lesesne, a professor and former Morris Award committee chairwoman, told CNN. "She's a good student who doesn't want to fall in love and lose herself. From the realistic voice to the rhythms of her language -- I felt like I knew her."

"The Strange and Beautiful Sorrows of Ava Lavender" by Leslye Walton

Magic and history weave together this multigenerational tale. Ava Lavender is a perfectly normal teenage girl, except for two things: Her family tree is full of doomed love that threatens to repeat itself, and she was born with the wings of a bird. Ava must look to the past in order to navigate her future, especially when she encounters the vastly different ways one can love and be loved at 16.

Walton, a teacher and self-described collector of oddities, has always kept a notebook of intriguing moments, facts, scenes and names. Rather than paint a picture of a "freak" defined by her oddities, Walton wanted to tell a story that related being odd and strange to being very human.

This tale of magic realism is reminiscent of how teenagers visualize their life experiences, Manfredi said. It's a hero's journey that follows a character trying to figure out who she's going to be through poetic storytelling, she added.

"The Scar Boys" by Len Vlahos

Bullies tied Harbinger Jones to a tree when he was 8 and he was struck by lightning, leaving him scarred for life. As a teen, he makes a friend, forms a punk band and people finally notice him for something other than his scars. When the band goes on tour, his life changes forever.

Drawing on his personal experience of dropping out of NYU film school to tour with a punk-pop band called Woofing Cookies, Vlahos connected all of the dots when he came up with the Harbinger character. "That idea, of a teenage punk band touring America in a dysfunctional van, was a story I always wanted to tell," he said. "The book is really about the complexity of friendships, and the power of music to heal all."

"You meet that character and you learn about his scars and how he deals with how he looks -- this thought that 'I'll make fun of me before anyone else does,'" Lesesne said.  She also said that the story's power is rooted in this emotion and how it utilizes music.

"The Story of Owen: Dragon Slayer of Trondheim" by E.K. Johnston

In this alternate reality, dragons are everywhere and only dragon-slayers can combat them. When his renowned dragon-slayer aunt retires, Owen learns to continue her legacy. The story is narrated by Owen's tutor, the young, musically inclined Siobhan, who soon discovers her destiny as his bard.

Johnston, a forensic archaeologist from Seaforth, Ontario, wanted to tell a story about a dragon slayer and a musician "and make it as Canadian as possible."

"There is so much wonderful humor here, balanced with a lot of action," Lesesne said. "It's a fresh take on heroism and what it means to be a hero. That book is pulled off so beautifully."

@highlight

The Morris Award celebrates debut books by first-time authors in young adult literature

@highlight

The award committee looks for a distinctive voice

@highlight

The five finalists for the 2015 award represent diverse genres