(CNN) -- Europe's top football clubs will resume their battles for a place in the quarterfinals of the continent's biggest competition this month, with some still reeling after tie-changing moments of controversy.

Last month's last-16 opening legs provided bitter lessons for two English teams hoping to make their mark against benchmark opponents, and prompted calls for changes to the game's rules.

Spanish supremacy continued, though the signs are that Germany will likely have at least one finalist for the third year in a row.

France may provide an outside threat to the status quo, thanks in part to a mercurial talent who will sadly not be displaying his maverick talents at this year's World Cup in Brazil.

Here are the key talking points for the upcoming clashes:

Time for the sin-bin?

When the draw was made for the Champions League last 16, two ties stood out for neutrals and fans alike.

Manchester City's imperious form was vanquishing all-comers, and the prospect of the English club being pitted against a stuttering Barcelona was electrifying. Even the normally bullish Catalan press were concerned.

Meanwhile, Arsenal's panache in England's Premier League suggested questions could be posed for the reigning European champion Bayern Munich.

By the time the ties rolled around, Barcelona had found its feet again, while Arsenal had drifted somewhat off the boil. Nevertheless, the early exchanges in both games promised fascinating double-headers. Barcelona's immense skill was gradually being tempered by City's physicality, while Arsenal hinted that it might threaten Bayern's goal if it could just keep its composure.

Then two big moments turned the ties on their heads. In Manchester, City defender Martin Demichelis' limitations were cruelly exposed by arguably the best player in the world, Lionel Messi; in London, Arsenal goalkeeper Wojciech Szczesny committed a clumsy but innocent-looking foul on Arjen Robben.

The incidents led to the reviled "triple punishment" of a penalty, a red card, and less crucially for the games themselves, an automatic ban for both players. As contests, both matches -- and very probably the ties -- were effectively ended.

Aside from the debate over whether Demichelis' foul was committed inside the penalty area, the letter of the law was followed in both cases. But as many have since argued, the games were ruined as a result, and certainly in Arsenal's case the punishment brutally outweighed the crime.

On March 1, football's lawmakers, the International Football Association Board, met to debate the idea of a "sin-bin" -- something already employed effectively in rugby and ice hockey -- and ultimately rejected it. But it did sanction the continued experiment of sin-bins in recreational youth football.

While controversial, and arguably open to abuse by cynical defenders, a sin-bin would offer referees an extra layer of discretion, and paying spectators a better chance of seeing 22 players complete a game. In the high-stakes environment of Champions League football it could be a welcome addition to the rule book.

England's Premier League fluffs its lines on the big stage

With the exception of Manchester United, sent so forcefully back to the drawing board by Olympiakos that embattled manager David Moyes' head probably crashed through it, each of the English Premier League clubs could take a little solace from disappointing first-leg performances.

City, having withstood an initial Barcelona barrage, seemed to be finding some rhythm before that red-card handicap came into play. Mesut Ozil may need counseling to banish the trauma of his first-half penalty miss, but at least Arsenal had started to threaten the visiting Bavarians. Chelsea also looked relatively comfortable before John Terry's absent-mindedness in the six-yard box let Galatasaray back into the tie.

Nevertheless, like the curate's egg, these good-in-parts performances all left a sour tinge on the lips. Chelsea will rue not going for the jugular when the Turkish home side was reeling, while Jose Mourinho's striking options continue to -- rather publicly -- vex the Portuguese. His team should still go through, though, but this performance did not impress.

While refereeing decisions may have helped Bayern and Barcelona coast to their respective 2-0 victories, their ability to retain the ball -- such an important skill at this level -- was at times startlingly superior.

The idea of an unsophisticated English Premier League, lacking the tactical nous and basic skills to thrive at this level, may be less true than it once was, but City and Arsenal still have a way to go before they can match these hugely impressive opponents.

Don't write off Barcelona and Real, but Bayern still favorite

With the Catalan giants beset by financial scandal and facing an unusually tough challenge on the home front, Barcelona's star looked to be on the wane in 2014. Likewise, it is not often that Real Madrid plays second fiddle to city rival Atletico, but this year there is a genuine threat to its hegemony from the Vicente Calderon.

Both teams, however, look to be slipping back into their respective grooves. Barcelona warmed up for the first-leg clash with City by thrashing Rayo Vallecano 6-0, while back-to-back 3-0 wins over struggling Getafe and Elche showed Real's cool efficiency.

Against City, Barca reminded the world of its precocious talent. Yes the red card ended the English side's chances of rising to the challenge, but Barcelona's metronomic passing and accurate finishing showed just how tough an opponent this team can be.

It will be interesting to see how Tata Martino's team bounce back from Saturday's setback against Valladolid.

Real, meanwhile, was irresistible in its 6-1 humiliation of Schalke in Germany, and leads the Spanish league after Sunday's win over Levante. If City's prospects for the second leg show only the barest twitches of life, Schalke's are not even worth a memorial service.

But then we have Bayern. There is a sense that Pep Guardiola has, after only the barest hint of teething trouble, got this team playing exactly the way he wishes. Added to the muscular intensity of Bayern's previous incarnation are a fluidity and impudence that characterized the best performances of Guardiola's Barcelona side.

It is very hard to see how the Germans could be improved. Embarrassingly unchallenged in the Bundesliga, there is little to suggest that "Die Roten" will not be sewing yet another Champions League star above the club badge in May.

Two-speed Champions League makes things too predictable

The Champions League may be the pinnacle of club football, but survey the last-16 second-leg ties and it is difficult to suppress a feeling of disappointment.

With very few exceptions, the quarterfinals look pretty much set. Just as the group stages generally went the way of the obvious, the tournament's big seeds are rolling into the next round with only minor distractions en route.

Europe's top club competition remains controversial for the way in which it perpetuates the status quo. Without massive independent injections of cash from outside the game it is difficult to see this changing anytime soon.

Arguably only Paris Saint-Germain has realistic hopes of breaking into the tight group of winners this year. It has to be a concern for UEFA, and the TV rights holders that may struggle to entice neutrals to their screens again before the quarterfinals.

Whether anything can be done about it longer term, however, is another question.

Zlatan is a genius

In a world in which sporting stars can sometimes be anodyne and uninspiring, Swedish striker Zlatan Ibrahimovic smashes the mold to smithereens.

His swagger and apparent arrogance would be laughable if he did not so regularly back them up, but his continuing ability to underscore words with deeds is extraordinary.

At PSG he is playing in a competition -- the French Ligue 1 -- that rarely stretches his talents and in a team that is built to serve him, so the best measure of his greatness is in the Champions League. Once again, he did not disappoint.

Ibrahimovic's second goal against Bayer Leverkusen went viral before the final whistle had even sounded, and with good reason. The fact that he will not be playing in the 2014 World Cup is a huge loss to football.

@highlight

The European Champions League resumes this week

@highlight

Eight teams will be hoping to reach the quarterfinals

@highlight

Bayern Munich seeking to become the first team to defend title

@highlight

Three of the four English clubs involved face an early exit