(CNN) -- Rand Paul arrives in South Carolina on Friday for a handful of fundraisers and closed-door meetings with local Republicans, the latest in a series of expeditions to key primary states as he mulls a presidential bid in 2016.

In New Hampshire, early signs of the 2016 presidential race

If the Kentucky senator decides to embark on a White House run, a likely prospect according to those around him, his South Carolina foray crystallizes what could be a central challenge as a Republican candidate: assuaging skeptical donors in the party's establishment without rankling the grass-roots activists who helped lift him to national prominence.

2016 Watch: Rand Paul's travel plans very telling

How well he straddles those two worlds could very well determine if the diminutive ophthalmologist can re-shape the party in his own image.

"It's going to be a hard line to walk," said Robert Cahaly, a South Carolina Republican consultant. "But he is bridging some gaps that we haven't seen before from another Republican."

As Paul's advisers began sorting out his political travels earlier this spring, they worked hand-in-hand with the South Carolina Republican Party to set up two very different kinds of fundraisers designed to appeal to two different wings of the party.

Paul's first order of business Friday is a $1,500-a-plate luncheon in Greenville, a run-of-the-mill "high dollar" event that raises money for the South Carolina GOP and offers a handful of wealthy Republican donors a chance to get close to the potential presidential candidate and chat candidly behind closed doors.

Friday's trip is Paul's political debut in the early primary state, and the session with donors is just introductory. Compared to the kind of money thrown around in the heat of a presidential election, the ticket price also happens to be quite modest.

But these white tablecloth sessions with old-line donors are sure to become increasingly important to Paul if he wants to prove his viability to Republican Brahmins.

With individual contributions capped at $2,600 under federal election law, Paul will need more than just online fundraising and a series of "money bombs," small donor activity that helped his father raise competitive sums during his insurgent campaigns, to compete on a national level for the long haul.

"You can't raise enough libertarian Ron Paul money and hope to win," said Trey Grayson, the former Kentucky Secretary of State who lost to Paul in his 2010 Senate primary. "At $2,600 increments, you have to break into establishment money to win the nomination, even if the field is fractured, because it will eventually consolidate."

Later Friday, Paul heads to the state capital of Columbia for a casual "low-dollar" fundraiser with a menu of barbecue and sweet tea at the state farmer's market, a chance to mingle with grass-roots activists who purchased tickets for $40 a pop.

Paul's political team also arranged a pair of intimate, off-the-record meetings with activists from the South Carolina "liberty movement" who were intensely loyal to his father, former Texas Rep. Ron Paul, during his two underdog presidential bids in 2008 and 2012.

It's a small but vocal grass-roots constituency that remains deeply resentful of the very party establishment that Paul will be courting, and raising money for, earlier in the day.

Since his unexpected rise to the Senate in 2010, the younger Paul has been viewed with suspicion in certain corners of the libertarian movement, in part because he has taken some more hawkish foreign policy stands than his father, such as supporting sanctions on Iran.

He also has revealed a pragmatic streak as his stature, and ambitions, have grown. Paul has cozied up to Senate Minority Leader Mitch McConnell, a beacon of the Republican establishment who backed Grayson in that 2010 primary, and he endorsed Republican presidential candidate Mitt Romney last summer when Ron Paul was still, technically, a candidate for the nomination, irking many of his libertarian devotees.

Paul's advisers are up-front about the differences between the senator and his father.

"There are some people from the more libertarian side who don't see Rand as libertarian enough, even though he has a more libertarian voting record than any senator in my lifetime," said Doug Stafford, one of Paul's political aides. "He is not a libertarian, he is a libertarian-leaning Republican."

Paul faces blowback after new drone comments

In South Carolina, at least, libertarian activists seem willing to let Paul rub elbows with the establishment if it helps him push the party in their ideological direction.

"Rand has moved the playing field right down to the goal line," said Chris Lawton, a self-described "liberty activist" from Taylors who backed Ron Paul in the past two cycles. "He is politically more deft than Ron. He realizes that he has a game to play. He is aligning himself with mainstream, but 95% of his political beliefs are similar to Ron's."

Lawton, though, said he is skipping Paul's tour through South Carolina because his events are raising money for the state Republican Party, an institution that Lawton and other libertarians in the state loudly resent.

Much of the anxiety surrounding Paul in South Carolina is coming not from his activist base but from the traditional donor class -- even some with long ties to former South Carolina Sen. Jim DeMint, who supported Paul in 2010 and welcomed him into the Senate's "Tea Party Caucus" after his victory.

"Rand Paul is probably a little too out there, maybe, for me," said Barry Wynn, a longtime financial backer of DeMint's who said, for now, that he's more intrigued by Floridians Marco Rubio and Jeb Bush in 2016. "I don't have anything against him. He is just a little more outside of the tradition of the people I would tend to gravitate towards."

Republican donor Peter Brown, a Columbia signage manufacturer who tried, unsuccessfully, to lure DeMint into the 2012 presidential race, was more blunt.

"The biggest thing that will hurt (Paul) with people like me is he's got to distance himself from his dad," Brown said. "I live in the real world, and the real world says you can't ignore certain things, you can't ignore the other countries in the world, and the government is here, and it has a purpose. We got what we got, and we have to make the best of it."

That concern -- that Paul is a pie-in-the-sky ideologue who can't be bothered by the grim realities of governing -- emerged as a common theme in conversations with members of the South Carolina business community.

"Being a slight libertarian myself, I agree with a lot of his issues," said Leighton Lord, a well-connected Columbia attorney. "But I am also a practical business guy. You can't maintain those hard-line libertarian views and be a chief executive. My gut is that Rand Paul is not one of those gets-things-done guys."

Stafford, the Paul adviser, said he's heard similar worries from potential supporters before, going back to the 2010 campaign in Kentucky when Paul would meet with Chamber of Commerce-types in Louisville and Lexington.

In later fundraising swings around the country, in tony locales like Silicon Valley and Manhattan, Stafford said Paul has used a personal touch to soothe fretful donors who just don't think he can win.

"The best part about Rand is you put him in the room with them and they become way less skeptical," he said. "He is a smart, reasonable person and I don't know that they are expecting the person that they meet. They will walk out, almost to a man, less skeptical. That's why we go to these things. That's why we do GOP events and not just activist events."

In a state with eight military installations, Paul has the added burden of convincing the South Carolina establishment that he won't push American foreign policy in an isolationist direction that could affect the livelihoods of thousands of veterans and military families.

Paul: Helping Syrian rebels a dangerous risk

Paul's national security views are leavened by his fidelity to protecting personal liberties. He fiercely opposes drone strikes and military intervention overseas, and he has condemned the recently revealed NSA surveillance program -- positions that put him at odds with South Carolina's hawkish Sen. Lindsey Graham, a reservist in the state's Air National Guard.

"There are some mainstream Republicans who are concerned that people who come from Paul's side of the party do not stand for strong national defense," said Cahaly, the Republican consultant. "He needs to make clear, especially in South Carolina, which is full of vets and people who support the military, that he is not a threat to them."

Lee Bright, a state senator who endorsed the elder Paul in 2012, argued that Rand Paul's views are "obviously more mainstream" than his father's.

But even if Paul can't persuade GOP elders to back him in a presidential campaign, he predicted, they might be able to persuade themselves.

"Keep in mind that the establishment always seems to gravitate toward a winner," Bright said. "If he is a front-runner, the establishment will find a way to support him."

@highlight

Sen. Rand Paul, R-Kentucky, is considering a 2016 White House bid

@highlight

Challenge for Paul could be winning GOP establishment while keeping libertarian grass-roots

@highlight

"It's going to be a hard line to walk," a South Carolina GOP consultant says

@highlight

Paul is the son of former Rep. Ron Paul, R-Texas, a well-known libertarian