Kabul, Afghanistan (CNN) -- The U.S.-led war in Afghanistan marked its 10th year Friday having passed two major milestones: The Taliban has been forced out of power and Osama bin Laden is dead.

But there was little observance by U.S. troops in Afghanistan, where a month earlier many participated in commemorations to mark the 10th anniversary of the September 11, 2001, terrorist attacks.

"We really celebrated the 10th anniversary of 9/11, and we were out here in Afghanistan," Marine Corps Maj. Gen. John Toolan Jr., commanding general of ISAF troops in southern Afghanistan, told reporters during a briefing on Thursday.

"I think that to us it was a far more significant date than 10 years of fighting in Afghanistan because, really, when you look at the 10 years, you're looking at different levels of forces, different levels of attention given to Afghanistan."

The U.S.-led war in Afghanistan began October 7, 2011, with an air campaign that was followed within weeks by a ground invasion. President Barack Obama has called it "the longest-running war in the nation's history".

The aim was to oust the Taliban and dismantle al Qaeda's leadership, though the leaders of both groups -- Mullah Omar and Osama bin Laden -- managed to escape capture.

Bin Laden was killed in May during a raid by U.S. commandos on his hideout in Abbottabad, Pakistan. The whereabouts of Mullah Omar is unknown, and he has not been seen in public in years.

As the United States turned its attention toward Iraq, insurgent violence in Afghanistan flared against Afghan civilians and security forces as well as the U.S. and its coalition partners.

More than 2,700 troops from the United States and its partners have died during the 10 years of war, according to a CNN count. Of those, 1,780 were American, 382 were British and 157 were Canadian.

Since the conflict began, the number of casualties has risen by the year, with a significant jump from 2008 to 2009. At least 296 coalition troops died in 2008.

It nearly doubled in 2009 when 517 coalition troops were killed. That year, President Barack Obama authorized a surge of 33,000 U.S. forces to Afghanistan to combat the violence.

Two years later, the United States outlined its plan to withdraw its troops from Afghanistan, beginning with pulling the 33,000 surge troops by the end of 2012 and the remaining 68,000 by the end of 2014.

The move was followed by withdrawal announcements by most of the NATO nations.

On Thursday, defense ministers from the 49 nations that make up the International Security Assistance Force pledged their support to Afghanistan even as they make plans to withdraw troops by 2014.

"Let there be no mistake: transition is not departure. We will not take our leave when the Afghans take the lead," NATO Secretary General Anders Fogh Rasmussen told reporters Thursday in Brussels, Belgium.

The ministers are scheduled to meet again in May in Chicago where Rasmussen said they will "need to decide what more we will do."

While NATO has insisted that the transition of security for the country to Afghan forces is conditions-based rather than calendar-driven, the clock is ticking on the withdrawal deadline.

The planned withdrawal has raised a number of questions about the stability of Afghanistan, which has been hit by a wave of high-profile attacks in recent months that have jeopardized the peace negotiations.

Last month's turban bomb assassination of former Afghan President Burhanuddin Rabbani, revered by many as a father of the Mujahideen movement that ousted the Soviets in the 1980s, appears to have dealt the biggest blow to the peace process.

Rabbani was the chairman of President Hamid Karzai's High Council for Peace, which has been trying for a year to foster dialogue with the Taliban -- a strategy that Karzai publicly abandoned following Rabbani's killing.

The war in Afghanistan, once viewed by a majority of Americans as a must, has become widely unpopular as concerns have shifted to the economy and job losses.

In a new Pew Research Center report on war and sacrifice released this week, half of post-9/11 veterans said the Afghanistan war has been worth fighting. Only 44% felt that way about Iraq, and one-third said both wars were worth the costs.

Robert Messel is among those veterans who question the war.

Messel, who was a freshman in college and a ROTC student on September 11, 2001, said he remembers thinking that the war in Afghanistan would be over before he joined the Army.

But as the war continued, Messel said he began to have mixed feelings.

"I joined to defend the country, and I feel that a lot of the things we were doing were not exactly that," he said in a CNN iReport.

"In my opinion, it basically should have been limited to what we initially were going in to do: Hunt down bin Laden and the architects of the attacks."

Messel said it is very difficult to look back objectively on the experience.

"You lost friends and made sacrifices. You don't want to ever think that everything that happened was in vain," he said.

But Asmatullah Kohistani has a different perspective on the war, which he says gave his family back their home and their livelihoods.

He was 13 when he and his family fled their home in Afghanistan's Kapisa province amid a civil war that would see the Taliban take control of the country. Driven out by bombardments and fighting, his family crossed into Pakistan, making their home in Islamabad.

Kohistani, 28, said "everything changed" after the Taliban were forced from power.

Kohistani, who worked for a U.S. business for two years upon his return to Afghanistan, founded media startup Afghan123.com last year.

"(E)veryone can have a job and go to school (now), and I can have my business," he said in a CNN iReport.

@highlight

The U.S.-led war in Afghanistan began October 7, 2001, with an air campaign

@highlight

More than 2,700 NATO troops have died during the war, according to a CNN count

@highlight

Of those killed, 1,780 are American, 382 are British and 157 are Canadian, according to the count

@highlight

The U.S. and most NATO nations have announced plans to withdraw troops from Afghanistan by 2014