(CNN) -- Aaron Sorkin's HBO show "The Newsroom" represents the reality of working in television news about as accurately as "The West Wing" captured working in politics -- which is to say, not at all.

But both dramas did something more worthwhile: They expressed the idealism that should animate these careers. And in this time of creative destruction throughout the news industry, it's more important than ever before. That's why "The Newsroom" matters.

When "The West Wing" debuted in 1999, the political arena was suffering from a well-deserved dose of post-Monica cynicism. The smart kids were all making piles of money on Wall Street by surfing the tech bubble, and with the 2000 election looming between Bush and Gore, the status quo of peace and prosperity seemed boring.

But "The West Wing's" alternate reality -- with a White House helmed by a flinty, New Hampshire-born Nobel Prize-winning economist named Josiah Bartlett -- offered a glimpse into a less gray world, where the dialogue was as sharp as the sense of patriotic purpose. And through at least the first four seasons, written primarily by the show's creator Aaron Sorkin, no matter which party you belonged to, once a week the show reminded you why you cared about politics in the first place.

More than a dozen years later, "The Newsroom" debuted on HBO (which, by the way, is owned by Time Warner, CNN's parent company). Expectations were high, but the unremitting earnestness of the first season could be off-putting -- especially to journalists -- and made shrugging off the show more fashionable than saying you were a fan. But here's the thing: Aaron Sorkin with a few miles per hour off his fastball is still better than almost anything else on television.

Despite the critics, the show's lead character, Will McAvoy, quickly made an imprint on civic debates via social media, even if only as a peripheral fantasy about how the news could be. Played by Jeff Daniels, McAvoy is on a self-styled "mission to civilize," and for all the Don Quixote-meets-Ed Murrow posturing, his message was refreshing amid the high-water mark of hyperpartisan cheerleading that passed for much of cable news between the tea party wave of 2010 and the 2012 presidential election. McAvoy's fictitious prime-time show, "News Night," is revived by dedication to the idea in this quote usually attributed to Sen. Daniel Patrick Moynihan: "Every one is entitled his own opinion, but not his own facts."

Sorkin is often accused of writing "liberal fantasies" -- a chorus President Obama joined with a gentle jab at the White House Correspondents' Assocation dinner. But McAvoy's character is bearded a bit by making him a Nebraska Republican, who graduated from the district attorney's office in New York to serve as a speechwriter to the first President Bush before entering the TV fray. His politics are old-school "I Like Ike" Main Street Republican, which is to say centrist in the current environment. McAvoy is quick to criticize liberals for their losing ways and the yippie-fueled unhinged extremism in the late '60s that caused the left to lose credibility for decades.

But McAvoy's hottest criticism is reserved for the rise of right-wing radicalism, as in this famous diatribe: "Ideological purity. Compromise as weakness. A fundamentalist belief in scriptural literalism. Denying science. Unmoved by facts. Undeterred by new information. A hostile fear of progress. A demonization of education. A need to control women's bodies. Severe xenophobia. Tribal mentality. Intolerance of dissent. Pathological hatred of the U.S. government. They can call themselves the tea party. They can call themselves conservatives. And they can even call themselves Republicans, though Republicans certainly shouldn't. But we should call them what they are -- The American Taliban."

This intemperate, unvarnished surgical strike drew criticisms of the show in real-world media as well as a congressional condemnation in the show's fictional universe. But McAvoy does not mistake the goal of nonpartisanship for neutrality.

Perhaps the biggest narrative risk of the show is its location in the recent past. The first season began with the BP oil spill and hit heights with the shooting of Gabby Giffords and the midterm elections. The second season started in the summer of 2011, with the Republican presidential primaries, and already extends to the outburst of Occupy Wall Street in the early fall. This dynamic indulges a bit of instant nostalgia but also, as Sorkin explained on "The Daily Show," it allows the viewers to know more than the characters -- a neat trick.

This kind of transference gave rise to perhaps the most interesting aspect of the show. Between the seasons, the character of Will McAvoy waded into online political debates via Twitter -- courtesy not of an enterprising PR firm, but of an otherwise anonymous 29-year-old working for an airline, who is a major Sorkin fan and an aspiring screenwriter.

The @WillMcAvoyACN tribute Twitter handle has attracted more than 58,000 followers, including many journalists with whom he jousts in character. The point is that the character of McAvoy is so well developed that fans can adopt his voice and persona to engage in real debates and make some impact. That's a mark of a fictional character that has come to life. And it indicates how much interest there is in a real-life newsman who would play the role of McAvoy -- razor-sharp, principled and ignorance-intolerant -- in real life.

Which brings me to the final reason "The Newsroom" matters. At a time when trust in media is declining because of the rise of partisan news, when newspapers seem to be dying every day and online clicks reward stories about celebrity scandals and soft-focus pictures of kittens, "The Newsroom" offers an inspirational alternate reality. The PR industry might be bigger than journalism and certainly pays better, so the attraction for young would-be reporters has to be something bigger than a paycheck or job stability. The attraction is a job that comes with a built-in sense of purpose, that sweet soul spot where idealism meets realism. That's what journalism at its best promises to provide. And even though the reality might involve long hours, lots of criticism and little compensation, our democracy depends on it.

So spare me the easy cynicism and petty complaints. If "The Newsroom" helps inspire a few more talented young people to enter the world of journalism, as "The West Wing" did for a generation of politicos before it, that is a valuable contribution to contemporary culture -- and much more than most TV shows would ever promise to provide.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: "The Newsroom" isn't reality, but it expresses idealism journalists feel

@highlight

Avlon: Show's anchor Will McAvoy is now a character in social media, debates

@highlight

He says when news is about stars and cats, "Newsroom" offers inspiration

@highlight

Avlon: Show could attract young, talented and idealistic to journalism careers