Beijing (CNN) -- A Chinese court on Monday suspended the death sentence of Gu Kailai, the wife of a disgraced Communist Party leader, after finding her guilty of murder in the death of a British businessman, a court official said.

Gu's death penalty has been suspended for two years due to her weakened mental capacity while committing the crime and her close cooperation with police during the investigation, according to Tang Yigan, deputy chief of Hefei Intermediate People's Court.

"I think this verdict is fair. It fully reflects the court's respect for law, reality and especially human life," Gu said in video from Monday's court session shown on state-run CCTV.

Her sentence is likely be commuted to life imprisonment, if she doesn't commit any crimes during the two-year reprieve, as is customary in the Chinese legal system. Her punishment could be even further reduced for good behavior.

She was jailed immediately following the verdict.

Four police officers also were convicted of covering up the murder and received prison sentences ranging from five to eleven years, Tang said.

Gu and a former household aide went on trial August 9 on charges of poisoning 41-year-old Neil Heywood.

Murder trial at heart of Chinese political scandal

Near the end of that day's court proceedings, she said according to state-run news agency Xinhua that she "accepted all the facts written in the indictment" -- including poisoning the Brit at a time when she thought her son's life was in danger.

At the time of Heywood's death last November, Gu's husband Bo Xilai was the head of the Communist party in the bustling southwestern city of Chongqing and an influential and controversial member of the Communist Party's politburo, the elite group of 25 men who run China. He is now awaiting his own fate after being stripped of his political office earlier this year due to an unspecified "serious breach of party regulations."

Gu Kailai, the woman who had it all

Gu's aide, Zhang Xiaojun, also was found guilty Monday in Heywood's death and sentenced to nine years in prison, Tang said.

The British Embassy in Beijing welcomed the Chinese investigation and the verdict.

"We consistently made clear to the Chinese authorities that we wanted to see the trials in this case conform to international human rights standards and for the death penalty not to be applied," said John Gallagher, an embassy spokesman.

"Our thoughts are with Mr. Heywood's family during this distressing time. Consular officials have attended the trial to fulfill our consular responsibilities to the family and our focus remains on offering them all the support we can."

Neither Gu nor Zhang will appeal their verdicts, according to the court.

The verdicts were announced at the Hefei Intermediate People's Court in the eastern Chinese city where the trial occurred but about 1,250 kilometers (775 miles) east of the scene of the crime. The guilty verdicts were widely expected, as a U.S. State Department report noted -- citing the Chinese Supreme People's Court -- that Chinese prosecutors had a 99.9% conviction rate in 2010 in that nation's first and second levels of criminal courts.

Chinese authorities had previously said that Gu and her son had "conflicts" with Heywood "over economic interests" and that she was motivated to kill the Briton because of fears for the safety of her son, Bo Guagua. Bo declined to comment on his mother's confession or "any details pertaining to the case." However, the day before the trial he told CNN he'd submitted a witness statement to her defense team.

Prosecutors claimed Gu had invited Heywood to Chongqing -- the bustling southwestern Chinese city where her husband Bo was then Communist Party chief -- from Beijing. The two drank alcohol and tea in a hotel room, after which the British businessman got drunk and began vomiting, a prosecutor said. When Heywood asked for water, Gu asked Zhang, who'd been waiting outside, to come into the room.

It was then that Gu got cyanide from Zhang and, after her aide carried Heywood to the bed, poured the poison into the Briton's mouth, according to the prosecutor.

Gu then scattered capsules containing narcotics on the floor to make it seem like Heywood was using drugs, the prosecution said. She put a "Do not disturb" sign on Heywood's hotel room door and told hotel staff not to bother him, a hotel employee said. He was found dead on November 15, 2011, in the hotel room.

Speaking at the end of court proceedings, Gu referred to her worries about her son.

"During those days last November, I suffered a mental breakdown after learning my son was in jeopardy," Gu, 53, said then. "The tragedy, which was created by me, was not only extended to Neil, but also to several families."

Her alleged co-conspirator, Zhang, likewise admitted to a part in the crime and said he wanted to say "sorry" to the victim's family.

"I hope the court can give me a chance to take a new lease on life," Zhang said in the court in the eastern city of Hefei, according to Xinhua. "I really know that I did wrong."

The verdict was announced as the future of Gu's husband, once a rising star in Chinese politics, remains in limbo.

Bo, 63, had been widely expected to get into the Politburo's nine-member standing committee -- the country's supreme decision-making body -- later this year, when the Communist Party convenes for its once-in-a-decade leadership change.

In the sprawling riverside megalopolis of Chongqing, the charismatic and urbane politician Bo launched a "smash black, sing red" campaign that promoted Chinese communist culture as zealously as it cracked down on organized crime.

His economic policies, which included millions spent on social housing -- garnered him rock star status in Chongqing -- a fact that did not go down well with other members of the party hierarchy. His populist policies and high-profile personal style were seen as a challenge to the economically liberal and reform-oriented faction within the Chinese Communist Party.

Bo's world eventually came crashing down earlier this year when Wang Lijun, his handpicked former police chief, tried to defect to the U.S. consulate in the neighboring Sichuan city of Chengdu, triggering a political crisis that rocked the leadership in Beijing.

Premier Wen Jiabao obliquely reprimanded Chongqing's leadership over the Wang incident during his annual press conference on March 14. Wen also referred to the damage wrought by the Cultural Revolution -- a reference that alluded to Bo's red revival in Chongqing -- and said that the city's stellar economic performance had been the fruits of several administrations and not just Bo's work alone.

The following day, Xinhua announced that Bo had been dismissed as Chongqing party chief and, almost a month later, he was suspended from the Communist party's Central Committee and its Politburo ahead of an investigation. He has not been seen in public since.

@highlight

Four police officers are convicted of covering up the death

@highlight

Gu Kailai's death sentence is likely to be commuted after two years

@highlight

A court sentences the wife of an ex-Communist leader to death but suspends sentence

@highlight

They were tried in the fatal poisoning of British businessman Neil Heywood