(CNN)Nigerians are scheduled to head to the polls this Saturday in what will be the most closely watched elections in Africa this year.

The poll will test the strength of an electoral process that has been marred by violence and flawed results throughout the country's short democratic history. The stakes are high, and there is a very real danger of prolonged violence across the country if the electorate questions the legitimacy of the outcome.  The conduct of the elections will have long lasting repercussions on both Nigerians and the U.S.-Nigeria relationship.

Against the backdrop of these elections is the ongoing threat and destabilization caused by Boko Haram, a group that has killed more than 10,000 people in northeastern Nigeria during its five-year campaign of terror, and kidnapped hundreds more, including young girls. These actions have shocked and horrified Americans.

What many Americans may not recognize is how important the relationship with Nigeria is for the United States.  We have economic and security interests that are at stake in this election, especially as Nigeria has been one of our strongest allies in the region since military rule there ended.

In the last decade, the U.S. has trained and equipped thousands of Nigerian soldiers who have participated in peacekeeping missions in Mali, Cote d'Ivoire and Liberia, helping bring a measure of peace and stability to nations in the West Africa region. But now we need Nigeria to be a front-line ally against terrorism, particularly as Boko Haram pledges fidelity to the Islamic State of Iraq and Syria.

Meanwhile, Nigeria also has the largest economy in Africa and has the continent's largest population. Indeed, it has been identified as one in the next set of prominent emerging economies, making it a tantalizing target for U.S. private investment. It is also Africa's No. 1 oil producer, although an increasingly diversified economy -- for example in the agriculture sector -- provides a myriad of opportunities for more robust trade with the United States. Ultimately, a stable Nigeria will mean real economic opportunities for Americans -- a win-win proposition.

Yet despite this potential, the uncertain electoral environment and other serious challenges stand in the way of a deeper bond.

The reality is that endemic corruption remains an obstacle to more cooperation, especially when you consider the Nigerian military's poor performance fighting Boko Haram, despite security spending reportedly being around $6 billion last year -- clearly, much of the money meant for the military is not being spent on salaries, equipment or materiel.

Similarly, weak governance remains an impediment to Nigeria's progress and enhanced ties with the United States. Nearly 70% of those in areas in the north live in absolute poverty, according to recent data, as compared to about 50% in southern areas of the country.  Such failure on the part of the government to address poverty and inequality facilitates Boko Haram's recruitment effort and foments internal instability.

The Nigerian people clearly believe that these issues must be addressed.  According to an Afrobarometer survey released in January, 74% of Nigerian citizens said that their country is going "in the wrong direction."  Half of Nigerians surveyed expressed significant concern about political intimidation or violence in the current election environment.

If the Nigerian leadership rises to the challenge of tackling these difficult issues, there is nothing standing in the way of even closer ties between our two countries. But it is not just about the leadership -- this election offers the chance for all Nigerians to choose their future, and decide which policies will shape the next four years.  Their example, for better or worse, will be watched -- and perhaps even replicated by other African states.

The decisions made in the coming days and weeks will shape U.S.-Nigeria relations for years to come. But more importantly, they will determine the future for Nigeria's people. The world is watching Nigeria's historic choice with great expectation and even greater hope.

@highlight

Robert Menendez: Nigerian vote will test the democracy's electoral process, marred by violence and flawed results in past

@highlight

U.S. ties to this regional ally are crucial; U.S. economic and security interests at stake as Nigeria's voters choose their future