Dhaka, Bangladesh (CNN) -- Bangladesh on Monday entered the second day of a strike amid clashes between protesters and security forces that have killed dozens of people after an Islamist party leader was sentenced to death last week for war crimes.

The violence, which has shaken the South Asian country in recent days, left 21 people dead Sunday, authorities said, after supporters of the Islamist party Jamaat-e-Islami attacked police stations and government offices.

CNN iReport: Bangladesh protesters fight 'anti-Islam' label

The unrest flared after a war crimes tribunal on Thursday handed down a death sentence to Delwar Hossain Sayedee, a top Jamaat leader, for acts including killings and rapes committed during the country's nine-month war of independence in 1971.

The sentencing of Sayedee, 73, followed convictions of two other Jamaat leaders by the tribunal in recent weeks, deepening political divisions in the country and causing longstanding tensions to boil over into violence.

Human rights advocates have called on Jamaat leaders to rein in their followers and also urged restraint from the Bangladeshi security forces dealing with the protesters.

Adding to the strains on the country, Jamaat-e-Islami and its ally, the Bangladesh Nationalist Party, a leading opposition group, called on workers to go on strike across the country for three days starting Sunday. Thousands of supporters took to the streets to enforce the stoppage, causing disruption to businesses, transport and communications.

Police outposts attacked

During the violence Sunday, stick-wielding protesters in the town of Bogra set fire to police outposts and attacked government offices before police fired rubber bullets and tear gas to repel them. Authorities said said at least 10 people were killed there.

Thousands of people took to the streets in the northwestern district of Jaipurhat, resulting in clashes with police in which at least six people were killed, according to local authorities.

Elsewhere, protesters cut down trees onto railway tracks to prevent a train from running, and overturned passenger buses and burned cars.

Violence following Sayedee's sentencing on Thursday had already left 64 people dead, prompting calls for calm.

"The leadership of Jamaat should immediately issue public statements to its followers to stop these violent, unacceptable attacks against law enforcement officers and those who support the verdicts of the war crimes trials," Brad Adams, Asia director at Human Rights Watch, said in a statement Friday.

He also called on the government to ensure security forces "use maximum restraint and avoid lethal force unless necessary to protect their lives or those of others."

"If cool heads don't prevail, Dhaka could dissolve into uncontrolled violence," he warned.

The United States has express sadness over the loss of life in the recent unrest.

"While engaging in a peaceful protest is a fundamental democratic right, we believe violence is never the answer," Patrick Ventrell, a State Department spokesman said at a regular news briefing Friday.

The 1971 war

Set up by Bangladesh in 2010, the war crimes proceedings are dealing with offenses committed during the country's war to gain independence from Pakistan more than four decades ago.

Bangladesh had been the eastern part of Pakistan until it gained independence in 1971 in a conflict that claimed between 1 million and 3 million lives.

Jamaat-e-Islami opposed East Pakistan's struggle for independence and has decried what it calls a smear campaign against it for its role in the war. The movement has called the war crimes proceedings politically motivated.

So far, the court has indicted 10 people, seven of them top leaders of Jamaat-e-Islami.

According to Human Rights Watch, "the trials conducted thus far have been replete with irregularities."

In January, the court tried its first case and convicted Abul Kalam Azad, an expelled Jamaat member who is at large. Azad was sentenced in absentia to death by hanging.

But the court's decision February 5 to sentence Abdul Quader Mollah, Jamaat's assistant secretary general, to life imprisonment rather than death set off a different type of demonstration.

Hundreds of thousands of demonstrators, led by youths and fueled by social media, gathered at an intersection in Dhaka, saying the sentence was too mild and demanding the death penalty for those convicted of war crimes.

Those protests, which have remained largely peaceful, have also called for a ban on extreme fundamentalist parties.

Journalist Farid Ahmed reported from Dhaka, and CNN's Jethro Mullen from Hong Kong.

@highlight

Clashes in different parts of the country kill 21 people on Sunday

@highlight

The unrest flared after an Islamist leader was sentenced to death

@highlight

War crimes proceedings have fueled tensions in the South Asian nation

@highlight

A human rights group warns of the risk of "uncontrolled violence"