Washington (CNN) -- Between the Ebola threat, fears about ISIS, a slow economic recovery and little enthusiasm for President Barack Obama or Congress, it's hard to believe that many Americans feel good about anything.

But an overlooked piece of data in a recent CNN/ORC poll revealed a surprising number of Americans are upbeat despite the seemingly constant onslaught of bad news.

When asked, "how are things going in the country today," 50% of respondents said things were going either "very well" or "fairly well."

Of course, that's not an overwhelming vote of confidence in the state of the union. And, indeed, 49% of people in the same survey felt the country was in bad shape.

Still, it is the first time at least half of the people who took part in CNN's regular surveys expressed that much confidence since April 2013. And it was only the seventh time at least 50% said that they felt this good since early in 2004.

In some ways this relative equanimity may not be as surprising as it may seem at first blush. For some time, researchers have seen a brightening mood in the country about the economy. And despite breathless concerns being voiced in several quarters that the existence of several Ebola patients would transform the U.S. into a sequel of the movie "Contagion," the public has not become very worried about the disease.

According to Keating Holland, CNN's polling director, the percentage of people who feel good about the current status of the country, "has been ticking up the last few times we asked the question. It went down when the ISIS crisis started and before the Syrian airstrikes started. That tells me that people were worried about ISIS, but they became less concerned when the U.S. started taking some sort of action."

The optimism isn't much help to Democrats heading into the midterm elections weighed down by unhappiness with Obama. Majorities in the same CNN/ORC poll still disapprove of his handling of the economy, foreign affairs and health care policy. Half of those surveyed also disapprove of his handling of terrorism.

And the sanguine mood can also be ephemeral, changing from week to week as different news events impact the sense of calm. For example, the CNN/ORC poll was conducted before the death of Thomas Eric Duncan, the Liberian man who was hospitalized in Dallas with Ebola and the news that one of the health care working tending to him also contracted the disease.

There is no question that the CNN/ORC survey is out of step of most polls that depict the American public in a fearful and dour mood. Just this week, a Wall Street Journal/NBC News poll found that two-thirds of registered voters felt the country is on the "wrong track," while just a quarter believe it was headed in the right direction.

The varying results could be explained in the difference in the question's wording.

Asking how things are going today prompts a person to make a clear-eyed assessment of the status of the country right now. The right track/wrong track question asks people to gage how things will be in the future. It is not inconceivable for a person to feel pretty sanguine about the current states of affairs, but very worried about what could be around the corner.

"There have been times in American history -- and this may be one of them -- when people feel things are ok right now, but there are good reasons to be concerned about what may happen in the future," Holland said.

Beyond feeling somewhat better ISIS, there is the economy. It is possible that lower unemployment, an uptick in consumer spending and the robust growth in GDP growth may be starting to affect outlook.

"There are a lot of polls showing improvement in the public's perception of how the economy is doing," said Karlyn Bowman, a resident scholar at the American Enterprise Institute who specializes in analyzing polls and public opinion. "Having said that, it's been a long, slow road to full recovery."

While some experts say that the continued stagnation in wage growth contributes most to the publics displeasure with the economy, there is one trend that is making a large contribution to the improve public mood: gasoline prices.

Despite continued turmoil in the Middle East, prices at the pump are set to be at their lowest level since 2010, according to gasbuddy.com, which tracks prices in North America. The website says 10% of the country's gas stations are pricing a gallon of regular gasoline under $3.00.

While many economic statistics such as GDP growth and jobless figures are mere abstractions to most people, gasoline prices are a tangible marker visible on almost every street corner, every day.

"One economic indicator you see once every few minutes while driving around your neighborhood is the price of gas," said Jared Bernstein, a senior fellow at the Center on Budget and Policy Priorities. "It registers with people when that improves and I believe it feeds into consumer confidence and polling results."

Happiness about the fall in gasoline prices could be offset by increases in the cost of meat, bread, milk and other food staples.

But since studies indicate that women overwhelmingly still do the grocery shopping, men are somewhat insulated from confronting fluctuations in food prices. In contrast, everyone sees changes in the price of gas as they drive around town. That may be one reason why 56% of men felt things were going well in the country, compared to 44% of women.

"Gasoline is magical," says Tom Kloza, senior oil analyst for gasbuddy.com. "Everybody knows what they pay for it."

@highlight

Many Americans still optimistic despite negative headlines.

@highlight

Optimism isn't helping Democrats heading into the midterms.

@highlight

Poll shows this is only the seventh time since 2004 that at least 50% said they felt this good.