(CNN) -- The stock market crashed. Wall Street panicked. People stashed silver and gold under mattresses while businesses shut doors across America.

People in Detroit, Michigan, line up for food at the Capuchin Soup Kitchen.

We're talking, of course, about the Great Depression ... of 1873.

That's the event that Scott Reynolds Nelson cites when asked to give an historical perspective on today's sputtering economy. The historian says the economic panic of 1873 started with the same toxic mix as today's crisis: risky mortgages, a stock market dive and the use of complex financial instruments that few understood.

"Until 1929, when people used the word[s] Great Depression they referred to 1873," says Nelson, a professor of history at the College of William and Mary in Williamsburg, Virginia.

"That was a worldwide international depression that started with the banks. That's what we're seeing now. This looks like 1873."

The nation's economic crisis is not only causing people to look more closely at their 401(k) account statements. They're also turning to their history books. Politicians and commentators routinely invoke the Great Depression and other historical events to describe today's economic crisis.  Watch the debate over 'Depression' talk »

But how fair is that historical analogy?

Why Great Depression comparisons may be unfair

James Kolari, an economist at Texas A&M University, says the nation experienced two "rough" recessions in the mid-1970s and the early 1980s. A recession is generally defined as a decline in the Gross Domestic Product for two or more consecutive quarters.

He says it's not fair to compare the current economic crisis to the Great Depression, because the federal government was far more passive in the 1920s.

"We let 15,000 out of 30,000 banks fail," he says. "Government efforts to jump-start the economy were slow and relatively weak until President [Franklin] Roosevelt came along with the New Deal."

Kolari says people can learn more by looking at Japan. He says the U.S. economy is facing the same crisis as Japan in the 1990s when the Japanese economy collapsed from a real estate bubble and never fully recovered.

"The Japanese government moved too slowly and not aggressively enough," he says. "The problems festered."

David George, a professor of economics at La Salle University in Philadelphia, Pennsylvania, says the federal government better protects ordinary people from financial ruin today than during the first stages of the Great Depression. Today we reap the benefits of policies created during that era, George says.

Roosevelt helped create New Deal legislation to insure bank deposits and enacted other modern relief efforts like unemployment compensation to help those in distress.

"By any measure, incomes were lower then than now, and the worst imaginable loss of output today would still keep the nation well above where we were back then," George says.

Marjorye Heeney is not an economist, but she definitely knows something about the Great Depression. Heeney, 83, grew up on an Oklahoma farm during the Great Depression and lived through the 1930s Dust Bowl storms. For much of that decade, "black blizzards" -- formed by a prolonged drought and poor farming techniques -- ravaged the southern Plains.

Heeney, who now lives in Topeka, Kansas, snorted when told that today's conditions remind some of the Great Depression. During the Depression, crops failed, and few had a job, car or clothes, she says.

"Everyone had one nail for themselves in the clothes closet," Henney says.

Henney says the Great Depression toughened people up. People grew and canned their own food, sewed their own clothes and learned how to make possessions last.

"No one really came from wealth, and nothing was easy," she says. "But people got by because they had a wonderful spirit of survival. We're not as gutsy. I don't know if we have that today."

Why this economic period is still frightening

Victor Matheson, an economist at the College of the Holy Cross in Worcester, Massachusetts, says the nation's most recent recession was the dot-com bust, which hit around March of 2001.

"This recession has already eclipsed the dot-com bust in every fashion," he says. "During that time, the GDP did not fall much, and unemployment did not rise much."

Matheson offers one bit of good news, though. He says today's unemployment rate is not as bad as in previous eras. The unemployment rate reached 10.8 percent during the early 1980s and 25 percent during the Great Depression, he says.

Yet Matheson says there is an ominous feature to the current situation: The Federal Reserve has already lowered interest rates as far as they can go, to around zero percent, but the recession marches on.

The current recession is so "scary" that Matheson says he has reversed his attitude on Obama's $787 billion stimulus plan. He once opposed it but now supports it because he can't think of anything that might work better. He says the economy will not bounce back on its own anytime soon

"You gotta go with what you got," he says. "The Federal Reserve has loosed all of its cannons, and it has nothing left. Now we're down to fiscal policy."

Nelson, the historian who has studied the panic of 1873, says today's economy might even be worse than the American economy in 1873.

"This is a perfect storm: banks failing, stock markets declining and commodity prices dropping," Nelson says.

Nelson says it took America four years to recover from the 1873 panic. Tens of thousands of workers -- many Civil War veterans -- became homeless. Thousands lined up for food and shelter in major cities. The Gilded Age, where wealth was concentrated in the hands of a few "robber barons like John D. Rockefeller," followed the panic.

America, of course, pulled out of the panic. Nelson is just not quite sure how the nation is going to do it now. His ultimate assessment of today's economy is blunt:

"It looks grim."

@highlight

Is it fair to invoke Great Depression?

@highlight

Some economists say comparison overblown

@highlight

Nation had another Great Depression few remember, scholar says

@highlight

Depression survivor: "People had a wonderful spirit of survival"