(CNN) -- Historic flooding in the Balkans sent tens of thousands of people scrambling to higher ground on Sunday and sparked concerns that landmines from the Bosnian war could surface in mudslides, putting rescuers' lives at risk.

"A vast number of landslides have worsened the situation and relief efforts," the Red Cross said, describing the rains as the "worst floods in more than a century."

"There are reports that landmines buried during the conflict and not yet removed are in some instances being shifted with the landslides, adding (to) the dangers of people living in the areas as well as rescuers," the Red Cross said.

In Serbia, the severe flooding has prompted the evacuation of at least 24,300 people.

Dragan Radovanovic, president of the Serbian branch of the Red Cross, said the number of people affected by the high water is actually much larger. Many people stayed in the houses or apartments, one rescuer told Reuters.

"Some people simply do not want to leave their homes," Novica Biorac, a volunteer from a rafting club in Raska, said. "We are trying to convince them to leave, but it's very difficult."

Water in some places was chest high as rescuers shouted up to people in buildings who are stranded.

One woman lowered a bucket, and a worker put a loaf of bread in it.

"Thank you, please come back again and also let us know what the time is. I have a clock but don't have any batteries," she shouted to the rescue team, according to Reuters.

Twelve bodies have been recovered in Obrenovac, about 35 kilometers (22.7 miles) from the capital of Belgrade, the Serbian government said Sunday evening. One of the 12 was someone who had already died "of natural causes," Serbian Prime Minister Aleksandar Vucic said, according to a government statement. Authorities estimate that 90% of the town has been flooded.

At least 13 people are dead in Bosnia and Herzegovina, Deputy Minister of Security Samir Agic said.

The toll is likely to go even higher, officials cautioned.

One of the deceased was a rescuer, Radovanovic said, though he said he knew of five deaths in Serbia.

It's the worst flooding Serbia has seen since the country began keeping records 120 years ago, according to meteorologists.

"Many cities and villages in western Serbia are completely under water," the Serbian Embassy in Washington said in a statement Sunday, describing the situation as "critical" and an "unimaginable catastrophe."

Volunteers, soldiers and rescue workers have stacked sandbags in towns near rivers throughout the country, the statement said.

The catastrophic weather has prompted authorities to declare a state of emergency in neighboring Bosnia and Herzegovina, according to a government statement. Bosnian authorities say the flooded town of Maglaj received the average rainfall for two months in less than two days.

The Prime Minister pointed out that a dam 7.3 meters tall (24 feet) has been erected, but that the current level of the Sava River is over 6.3 meters -- a historic high. The river is expected to rise near Belgrade. He warned that it is difficult to predict what will happen if the river reaches 6.8 meters, or slightly more than 22 feet.

In Kostolac, along the Danube River, workers were building sandbag walls to protect the thermal power plant there, one the energy minister called the most important power facility in Serbia. A written statement said it produces 20% of the nation's power.

The Prime Minister thanked the many countries that have already come to Serbia's aid. He was especially grateful to members of the Russian special forces, highlighting one member who swam 200 meters (656 feet) in cold water to save several people.

Russia and Israel each announced Sunday they would send relief supplies.

According to Finance Minister Dusan Vujovic, more than 10,000 troops have already been involved in rescue and assistance operations.

CNN's Jo Shelley and Radina Gigova contributed to this report.

@highlight

NEW: Serbia: "Many cities and villages ... are completely under water"

@highlight

At least 13 people dead in Bosnia and Herzegovina, government says

@highlight

It's the worst flooding Serbia, part of the Balkans Peninsula, has seen in at least 120 years

@highlight

The Red Cross says surfacing landmines could endanger rescuers and residents