Just hours before the 2012 NFL season kicks off, a new study suggests that professional football players are three times more likely to have neurodegenerative diseases than the general population.

When researchers specifically looked at Alzheimer's disease and ALS -- amyotrophic lateral sclerosis, also known as Lou Gehrig's disease -- that risk increased to four times greater than the rest of us.

The study, published Wednesday in the medical journal Neurology, surveyed nearly 3,500 retired NFL players who were in the league between 1959 and 1988.

The National Institute for Occupational Safety and Health, a division of the Centers for Disease Control, had been following this group of players since the early '90s, when the NFL asked the institute to evaluate them for their risk of cardiovascular disease.

This time, the authors decided to look at the neurological outcomes of the players by specifically evaluating the autopsies of 334 players.

"We looked at all the death certificates, and Parkinson's, Alzheimer's and ALS had significant contribution to the death," according to study co-author Everett Lehman.

When tallying those specific diseases, the authors found that among the 334 players, seven had died from Alzheimer's and another seven with ALS. Three players had died with Parkinson's disease, but the authors didn't find that to be significant when compared with the larger population.

The average age of the players who had died was 57.

Those numbers may seem small, but as Lehman explains, "these are generally rare diseases, especially at the younger age. Even when looking at the general population, you're generally going to have small numbers."

However, the numbers, although small, were still considered statistically significant, according to Lehman, an epidemiologist at the National Institute for Occupational Safety and Health.

More than 2,000 former professional football players are currently suing the NFL, claiming that the league "downplayed and misrepresented the issues and misled players concerning the risks associated with concussions."

The NFL has repeatedly stated that player safety is a priority and that "any allegation that the NFL intentionally sought to mislead players has no merit."

Ohio State linebacker choosing career over concussions

While the study published Wednesday did not examine players' concussion history of the players, researchers did investigate whether the position played made a difference.

The study authors found that players in speed positions like wide receivers and running backs were three times more likely to develop neurodegenerative disease than players in non-speed or lineman positions.

"There's a lot of velocity," Lehman said.

However, "We have to be very careful and note that we don't know if this is a result of concussions," says Jeffrey Kutcher, associate professor of neurology at the University of Michigan.

"Are these increased risks because of exposure to contact? In their words, there's an assumption that there is causality there. I think a general lifestyle of playing sport at a competitive level is abusive. It's hard to do physically and mentally."

In addition, genetics and family history may also be factors for dementia and Alzheimer's but weren't accounted for in the study.

Studies have linked repeated concussions in football players to chronic traumatic encephelopathy, a neurodegenerative disease with Alzheimer's-like symptoms. Those symptoms can include depression, memory loss and mood swings. Former Chicago Bears safety David Duerson, who committed suicide, was diagnosed with CTE postmortem. It can be diagnosed only after death.

Player's text: Send my brain to NFL research bank

Research on CTE shows commonalities with ALS and Alzheimer's, and examining the neurodegenerative diseases might be the best way to look at it, Lehman said.

"CTE maybe one of the outcomes or causes, but we just can't tell."

Dr. Julian Bailes, co-director of the NorthShore Neurological Institute and chair of the Pop Warner Medical Advisory Board, said, "A study like this is very limited in its scope and how deep they can dig down. It's merely an observation in reporting in cause and death, and you can only draw so much -- but it supports in general a trend that we've seen, that neurodegenerative disease impacts football players."

Dr. Bob Stern, a professor of neurology and neurosurgery at Boston University, agrees.

"In general, it provides further evidence that repetitive brain trauma is associated with the development of neurodegenerative disease, like CTE, later in life," he said.

Asked about the new study, the NFL said in a statement: "Well before this study was released, the NFL took significant steps to address head injuries in football, provide medical and financial assistance to our retired players, and raise awareness of the most effective ways to prevent, manage and treat concussions."

The league announced Wednesday that it had awarded a $30 million unrestricted grant to the National Institutes of Health to support research into CTE, concussion management and treatment, as well as examining the relationship between traumatic brain injuries and late-life neurodegenerative disorders, including Alzheimer's.

@highlight

NFL players more likely to develop Alzheimer's, ALS than general population

@highlight

Study authors found quarterbacks, running backs had three times greater risk

@highlight

Neurology expert says concussions may not be the cause