Washington (CNN) -- Is this week's anti-American chaos in the Arab world going to be President Barack Obama's Jimmy Carter moment or Republican challenger Mitt Romney's John McCain moment?

The unrest so far in Libya, Egypt and Yemen -- embassies attacked, an American ambassador killed, spreading protests -- evokes memories of another U.S. crisis more than 30 years ago.

In 1979, Iranians celebrating their revolution invaded the U.S. Embassy in Tehran and took 52 Americans hostage to launch a crisis that helped doom Carter's re-election bid a year later.

Romney and some conservative backers seek to draw parallels between the Carter and Obama presidencies, hoping to weaken what has been a major advantage for Obama on foreign policy and cement in voters' minds that he doesn't deserve a second term.

Romney: 'A strong America is essential to shape events'

The question is whether the strategy at a vital moment in the November election campaign, following the two party conventions and heading into the debates, will end up raising or sinking Romney's hopes.

Unable to catch up in the polls, the former Massachusetts governor launched immediate and initially inaccurate criticism of Obama's foreign policy on Tuesday night -- the 11th anniversary of the September 11, 2001, terrorist attacks -- after first reports of protesters breaching the U.S. Embassy in Egypt and of an attack that had killed an American at a U.S. diplomatic compound in Libya.

"It's disgraceful that the Obama administration's first response was not to condemn attacks on our diplomatic missions, but to sympathize with those who waged the attacks," the Romney statement said in reference to a Cairo embassy statement that was released before protesters stormed the compound.

When news emerged Wednesday that the Libya attack killed four people, including U.S. Ambassador Chris Stevens, Romney found himself criticized by Democrats and some Republicans and conservatives for what they depicted as a crass and non-presidential move.

"Governor Romney seems to have a tendency to shoot first and aim later," Obama told CBS in an interview on Wednesday. "And as president, one of the things I've learned is you can't do that. It's important for you to make sure that the statements that you make are backed up by the facts and that you've thought through the ramifications before you make them."

Obama: Romney overstepped on Libya, Egypt attacks

Daniel Larison, a contributing editor at The American Conservative, wrote on the group's website that Romney tried unsuccessfully to apply his campaign theme that Obama has been a weak leader to a situation that didn't fit.

He called the mistake akin to McCain's unorthodox reaction to the unfolding financial crisis during the 2008 campaign, when the Arizona senator called for both candidates to suspend campaigning and insisted the fundamentals of the economy were sound in the face of collapse.

A more reasoned response by Romney "wouldn't have fit his ready-made scheme of Obama-as-Carter, but it would have spared him of most of the ridicule he's receiving now," Larison wrote, adding: "Now instead of portraying Obama as Carter, he has presented himself as the bumbling McCain figure of 2012."

Mark Salter, a former chief of staff and campaign adviser to McCain, also took issue with Romney's move, writing on the website realclearpolitics.com that "the rush by Republicans -- including Mitt Romney, Sarah Palin and scores of other conservative critics -- to condemn (Obama) for policies they claim helped precipitate the attacks is as tortured in its reasoning as it is unseemly in its timing."

"I understand the Romney campaign is under pressure from some Republicans to toughen its attacks on the president," wrote Salter, comparing it to similar pressure on McCain four years earlier. " ... But this is hardly the issue or the moment to demonstrate a greater resolve to take the fight to the president."

After his vigorous attacks on Obama on Tuesday night and Wednesday, Romney dropped some of the harshest rhetoric from remarks at a campaign event on Thursday in Virginia while continuing to label the president as a weak leader.

"As we watch the world today, sometimes it seems we're at the mercy of events rather than shaping events," he said, later adding that "the world needs American leadership, the Middle East needs American leadership, and I intend to be a president that provides the leadership that America respects and will keep us admired throughout the world."

For his part, Obama emphasized U.S. muscle on Thursday in promising a Nevada campaign event that "no act of terror will go unpunished." The president added that he instructed his administration to "do whatever is necessary to protect all Americans who are serving abroad."

Opinion: Romney foreign policy attack was disgraceful

The back-and-forth on the issue reflects the competing efforts by the Obama and Romney campaigns to frame the election in terms favorable to their candidate.

Obama seeks to make it a question of competing visions for the future, while Romney pushes for a referendum on Obama's presidency at a time of high unemployment, sluggish economic recovery and mounting federal deficits and debt.

Romney previously has sought to tie Obama to the troubled, one-term Carter presidency, focusing on the economy -- considered the most important issue of the campaign.

However, Romney trails Obama in the latest polling, particularly on foreign affairs. A recent CNN/ORC International poll showed Obama favored over Romney on foreign policy by 54%-42%.

With less than eight weeks to the election, Romney appeared to leap at the chance to challenge Obama on foreign policy when first reports of attacks on U.S. compounds in Egypt and Libya emerged. He continued to sharply criticize the administration on Wednesday, saying it sent "mixed messages" on American values and policy to the rest of the world.

"I think it is a terrible course for America to stand in apology for our values," Romney said of the statement issued by the embassy in Cairo that condemned the anti-Islam video that fomented protests outside the compound. "When our grounds are being attacked and being breached ... the first response of the United States must be outrage at the breach of the sovereignty of our nation. And apology for America's values is never the right course."

Although Romney said the statement was released after the violence at the embassy, in fact it was released hours earlier.

Arab Spring turmoil evokes political response

Democrats quickly fired back, with former presidential candidate John Kerry saying Romney's comments demonstrated "an insensitivity and a lack of judgment about what is happening right now."

"I don't think he knows what he's talking about, frankly," the Senate Foreign Relations Committee chairman from Massachusetts told CNN.

However, some Republicans including Romney's running mate in November, conservative Rep. Paul Ryan, quickly came to Romney's defense.

"It's never too early to be in strong support of the American values to stand up for what we believe in and to condemn those people who are damaging our property," Ryan said in an interview with WLWT in Cincinnati.

Conservative analyst Liz Cheney, the daughter of former Vice President Dick Cheney and a former State Department official in the Bush administration, accused Obama of a litany of missteps that she said weakened U.S. influence abroad.

"Apologizing for America, appeasing our enemies, abandoning our allies and slashing our military are the hallmarks of Mr. Obama's foreign policy," Cheney wrote in the Wall Street Journal, concluding that "an America already weakened by four years of an Obama presidency will be unrecognizable after eight."

Republican strategist Alex Castellanos, a CNN contributor, agreed that Obama's foreign policy was "weak" and "vacillating," but he also acknowledged that Romney must win the foreign policy debate that the candidate himself launched to the forefront of the campaign.

To Larison, the Romney gambit appeared to be a desperate move by a campaign that "knows it's losing."

"When senior Republican foreign policy professionals start referring to this as his 'Lehman moment,' likening it to McCain's mid-September meltdown in response to the financial crisis, we can see that Romney's latest attempt to seize on an international event has done significant and possibly irreparable damage to his campaign," Larison wrote. "Most Americans may not sympathize with Romney's more aggressive foreign policy, but they might have been willing to believe him to be competent and have good judgment. This blunder undermines his claims to both of these."

Ex-SEALs, online gaming maven among Benghazi dead

CNN's Rachel Streitfeld and Kevin Liptak contributed to this report.

@highlight

Mitt Romney seeks to draw parallels between presidents Obama and Carter

@highlight

Some Republicans say Romney blundered in his attack on Obama

@highlight

Polls show voters favor Obama on foreign policy issues