London (CNN) -- Moments after Michael Adebolajo had nearly decapitated his victim, the British soldier Drummer Lee-Rigby, he turned to one of the numerous cameras trained on him and his accomplice Michael Adebowale, and said:

"The only reason we have killed this man today is because Muslims are dying daily by British soldiers. And this British soldier is one. It is an eye for an eye and a tooth for a tooth. We swear by the almighty Allah we will never stop fighting you until you leave us alone."

Here Adebolajo was, perhaps unwittingly, following one of the oldest philosophies in modern terrorism: the propaganda of the deed.

Conceptualized by Russian and Italian anarchists during the mid to late 19th century, it refers to the terrorist's belief in the didactic power of violence which they see as necessary not only to draw attention to a cause but to inform and educate people about their movement in the hope that it will encourage increased recruitment.

Thus, Rigby's killers did not attack the shocked and curious passers-by in Woolwich who began to film them, and instead invited the curious gaze of their smart phones.

This murder was not an irrational act of madness, but a calm and calculated effort both to strike a blow for what they see as Muslims oppressed by Western forces around the world, and to publicize the cause of the global jihad far and wide.

In order to maintain a presence in the West, the global jihad movement that was sparked by al Qaeda on September 11, 2001 requires effective propagandists. Such individuals help to define grievances, as well as formulate responses and offer motivation. In doing so, they are able to offer a version of global jihadist ideology that resonates with the experiences of Muslims living in the West.

While Adebolajo should not be seen as a key leadership figure or propagandist, his act should be regarded in the same light.

Indeed, Adebolajo was also known among members of the extremist group which radicalized him for giving sermons on street corners, where he would emulate well-known propagandists, seeking to replicate their work on a smaller scale.

In a 2009 video which emerged after Rigby's murder, he is shown leading his group's protests against an anti-Muslim organization that was calling for the shut-down of a mosque in north London.

"They are pigs," he shouted, referring to the anti-Muslim demonstrators, while also encouraging his audience to "not be scared of the kuffar [unbelievers]."

The Woolwich attackers emerged from an ideological milieu which sees the West as engaged in wide- ranging efforts to destroy Islam and subjugate Muslims. In response, members of this milieu support acts of violence.

Some believe that this violence only has a place in warzones involving Muslims, while others add to their target list the home soil of the Western countries involved in these conflicts.

Adebolajo and Adebowale are clearly from the latter category, and so would have been many of those with whom they interacted on a regular basis.

However, when faced with a grouping like this, it is often very difficult for security services to determine which among them will graduate from non-violent activism of the sort that Adebolajo was engaged with in 2009, and take part in violence.

Adebolajo, however, had already been known to authorities as he was arrested by Kenyan security forces in 2010 after travelling there with the intention of joining the Somali al Qaeda-linked militia Al-Shabaab.

This act of mobilization should have made him stand out from his British extremist peers as among the most likely to carry out an attack on home soil, and yet it appears he was allowed back onto the streets of London without any sort of monitoring of his movements.

The details behind why he was not charged or extensively monitored after attempting to join a proscribed terrorist group are unknown, but British authorities have faced some awkward questions about this revelation.

In future, an attempt to join up with a global jihadist group abroad, while not necessarily an indicator of a desire to take part in violence back home, should nonetheless be regarded as a step in the wrong direction.

When looking at how authorities can respond to the wider problem of homegrown radicalization and the role of propagandists, one should begin with accepting the limitations of what can be done.

What Adebolajo and Adebowale did last spring is, at least in a planning and execution sense, incredibly easy to replicate and difficult to detect and protect against. Thus, no government should be expected to fully guarantee against similar attacks in the future.

The propagandists who assist in domestic radicalization often do not directly call for violence and stay within the legal parameters of free speech.

Nonetheless, either via the Internet or in face-to-face interactions they use highly inflammatory language and promote extreme interpretations of Islam, both of which play a role in the radicalization process.

In order to protect against this, Western countries could seek to pursue legislation that curbs free speech or censors the web. The question is how much do we want our society to change in response to this ongoing threat?

Attacks like that in Woolwich are relatively rare in the West. This is instructive, and should serve as a reminder that we are dealing with an extremist minority that cannot simply be ignored or erased from our consciousness through bans and proscriptions.

The strength of a truly liberal society is not based on its ability to ban things which it doesn't like, but on the power of its ideas to equip the vast majority of its population with the ability to recognise, reject and confront illiberal and violent ideologies.

Rigby and others like him have paid the ultimate price for our open society, as will others in the future. This is not, however, a call for a grim acceptance of the status quo. It is a realistic assessment of the threat we face, and there is still much that can be done without infringing on basic liberties.

Civil society is key here, and we must seek to further cultivate strategies that help to delegitimize illiberal ideologies such as global jihadism in the eyes of vulnerable Western Muslims.

It is our responsibility to make sure that the deaths of Rigby and others will never be in vain, and use events such as Woolwich as catalysts to develop strong responses to this threat without compromising the very foundations of our society.

The opinions expressed in this commentary are solely those of Alexander Meleagrou-Hitchens.

@highlight

Michael Adebolajo believes in didactic power of violence, writes Alexander Meleagrou-Hitchens

@highlight

This murder was a calm and calculated effort, he writes

@highlight

Meleagrou-Hitchens: Adebolajo's act should be seen in same light as key propagandists

@highlight

The Woolwich attackers see West as engaged in efforts to destroy Islam, he says