Kinshasa, Democratic Republic of the Congo (CNN) -- In the heart of Kinshasa, the frenzied capital of the Democratic Republic of Congo, classical music has found an unlikely band of heroes.

Past the noisy, gritty markets and the cacophony of the city's congested streets, a large group of amateur local musicians has been defying adversity and challenges to bring musical harmony to one of Africa's most chaotic capitals.

Passionate about the likes of Beethoven and Handel, the Orchestre Symphonique Kimbanguiste is a musical ensemble of some 200 enthusiastic men and women, eager to make their voices heard and follow their dream of making classical music.

"I love music," says violin player Pauleth Masamba, who has been in the orchestra since 1995. "It makes me feel good -- I can say music is one of the things that comforts me, takes off the stress and makes me happy."

Watch the orchestra perform Handel's Messiah

Yet, running such an orchestra in a city like Kinshasa is no easy task.

Rehearsals usually take place in the late hours as most musicians have to work during the day to make a living. More often than not, power blackouts -- a regular occurrence in Kinshasa -- will bring the evening rehearsals to a temporary halt, prompting the musicians to put down their instruments and try to fix the problem.

Read: Malian kora legend breaks music barriers

Another challenge the orchestra faces is a lack of practice space. When they are not practicing outdoors, musicians will often converge at the house of founder and conductor Armand Diangienda, which despite its large size cannot fit all of the group's members; quite often some of the choir's singers have to stand outside the rehearsal room, piling around open windows and doorways to make sure they are heard.

But despite the constant logistical problems, the lack of resources and the limited funding, the Orchestre Symphonique Kimbanguiste is constantly growing.

"This is a passion," says violin player Rodrick Muanda. "That is why when we are here, we forget about everything else, we only think about music and nothing else."

Muanda says the members of the orchestra are united by their love of music.

"We're all musicians and we are so used to each other that we live like a family," he adds. "We even call the orchestra the 'big symphonic family.'"

Read: Guitar hero of the desert

Self-taught musician Diangienda put together the orchestra some 20 years ago after he lost his job as an airline pilot. At the beginning, he says, people did not understand what he was trying to achieve.

"It is only after our concert in December of 1994 that people understood what we wanted to do, because then the orchestra was there in front of them," he remembers. "What was extraordinary was that after the concert there were lots of people that came to register to be trained in music and to start playing in the orchestra. People were blown away -- it was something new in our community."

Diangienda says that when the orchestra started out they didn't have enough instruments to go around, so musicians often had to pool money together to buy used ones.

They also had to figure out a way to fix broken instruments, or even build them from scratch.

"We tried to find substitutions for some instruments" he says. "For example, we didn't have a place where we could buy strings, so we used bicycle cable for the strings.

"So many times also we tried to fix ourselves some instruments and also I remember one day I was with a friend, I told him, 'Why must we buy instruments? Can we try to build a cello or double bass?' So we tried to do this."

Read: Street musicians unite world through songs

In 2010, a German documentary brought international attention to the group, as well as bringing additional funding and support. Called "Kinshasa Symphony," the film captured the musicians' remarkable musical talent and resilient spirit in the face of daily challenges.

"The passion is there and that has allowed us to go above the difficulties," says Diangienda. "The symphony orchestra has brought us a form of discipline, something new that allows each one of us to bring a contribution in what we were doing."

Every now and then the orchestra holds free concerts in Kinshasa, aimed at inspiring a new generation of musicians and enabling more people to discover the work of classical composers.

"Up to now, this style of music is still foreign to people here," explains Diangienda. "Some people feel it's Western music but we say it's not -- it's an expression for us of our own culture."

Diangienda says that another reason for the concerts is to show people in the DRC that music can be appreciated in a different way from the one they're used to.

"Here in our country, music is listened to so that you can dance," he explains. "It is very rare that it is listened to just for meditation but I think classical music takes you really far.

"It allows you to meditate and express certain things that you might not be able to express with other style of music."

Ultimately, Diangienda says his biggest dream is to create a music school that will enable local musicians to export the country's rich culture through classical music.

"I believe that kids growing up with this music and their Congolese culture will be able to express themselves better than us tomorrow," he says.

"They'll do symphonies or sonatas which will be classical but completely African. That is my biggest dream, to create a music school where kids will learn how to play instruments and adults will be able to learn as well."

Teo Kermeliotis contributed to this report.

@highlight

Kinshasa-based symphony orchestra has been going strong for nearly 20 years

@highlight

It has to contend with power cuts and has had to use bike cable for violin strings

@highlight

The orchestra holds free concerts to inspire a new generation of musicians

@highlight

Founder Armand Diangienda says his ultimate dream is to build a music school