Cairo (CNN) -- An Egyptian judge on Monday said he would announce the verdict in the trial of three Al Jazeera journalists on June 23.

The prosecution had argued that channels like Al Jazeera brought down Iraq and were planning to do the same in Egypt.

One of the defendants, Al Jazeera bureau chief Mohamed Fahmy, argued that "a TV channel can't destroy a country."

He held up a copy of a book by U.S. President George W. Bush, then slammed it down on the judge's elevated desk, telling him he had "underlined the parts in which Bush admits to invading Iraq based on misinformation."

The prosecution told the court in final statements on June 5 that the three Al Jazeera journalists' reports "included footage of clashes between police and protesters, but why? In order to bring down the regime. But no, Egypt won't fall. Who added this footage? These defendants."

"Mercy with these (defendants) leads to drowning, the drowning of the entire society in darkness," one prosecutor added, asking for the maximum sentence, which could go up to 25 years in prison.

The three Al Jazeera journalists -- Fahmy, Peter Greste and Baher Mohamed -- face charges of spreading false news that harms Egypt's national security and social peace and having membership in an illegal organization, the Muslim Brotherhood. Seventeen others claiming no affiliation to the channel are facing similar charges. Only nine defendants are in custody.

Since its start in February, the case has been entangled in domestic and world politics. In Fahmy's final statement to the judge, he said it was a political case. He has told journalists repeatedly that it was the result of a feud between Qatar and Egypt. The Qatari-owned channel backed the Muslim Brotherhood during the rule and after the ouster of Egyptian President Mohamed Morsy last year. Its 2011 popularity plunged as supporters of the new regime saw it as a political adversary rather than an opposing network.

National Security officer Ahmed Hussein, who did the initial investigation, told the court that the link between Al Jazeera and the Muslim Brotherhood was enough for him to consider the defendants to be members of a terrorist organization. The then-interim government declared the Brotherhood a terrorist organization in December 2013, days before the arrest of the defendants.

For five months, defense lawyers picked apart the case, stressing that the prosecution failed to provide hard evidence that the defendants altered facts or misrepresented reality, especially in a way that would endanger national security, social peace, and unity as the charges claim.

When the prosecution first presented video footage and pictures it said were collected from defendants' devices and cameras in March, defendant Peter Greste told reporters he was angry "that we spent two months in prison for such flimsy evidence."

Video footage and pictures, which were displayed twice again in court, included 2012 reports by Sky News Arabia, reports from Greste's original base in Kenya, and personal images and pictures of guns and ammunition, in addition to raw footage for some reports about demonstrations shot in Cairo. It also included photos and videos from Fahmy's work with CNN in 2011 and 2012.

The requirements of a journalist's work were often at the center of the argument. Defense lawyers focused on questioning the procedure, starting with the initial investigation and up to viewing the evidence in court. They said the prosecution charges refer to a different Al Jazeera channel, Al Jazeera Mubasher Misr, which was banned by an Egyptian court. "Once the officers made the arrest, they realized this was an English channel, rendering the investigations and everything that was built on it null and void," lawyer Shaaban Saeid told CNN.

He was optimistic about the judge's decision to announce the verdict in a week, an unusually short period for a process that traditionally could extend to weeks and months.

"It means the judge doesn't need time to write reasons for a conviction," Saeid said. An acquittal could be on the horizon, but others are holding back their excitement, fearing the politicization of the case, and public opinion that doesn't view Al Jazeera favorably, could lead to a conviction.

Later on Monday, in a separate case, Egypt's prosecutor ordered the release of Al Jazeera Arabic journalist Abdullah El-Shamy, arrested last August and on hunger strike since January, due to his deteriorating health condition.

CNN's Ian Lee contributed to this report.

@highlight

Three Al Jazeera journalists face charges in Egypt of spreading false news

@highlight

Prosecutors say the channel is trying to bring down Egypt; defendants forcefully deny it

@highlight

Defense attorneys say the charges were actually meant for a different Al Jazeera channel