Editor's note: The staff at CNN.com has been intrigued by the journalism of Vice, an independent media company and Web site based in Brooklyn, New York. Motherboard.tv is Vice's site devoted to the overlap between culture and technology. The reports, which are being produced solely by Vice, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (Motherboard.tv) -- Geneva may have given the world precision watches, but its biggest contribution to humanity is a giant time machine.

Buried beneath the Swiss countryside and stretching across the border to France, the Large Hadron Collider isn't just any science experiment. The underground particle racetrack is present-day summation of questions about matter -- really, our entire puzzle-like understanding of the natural world -- that humans began to ask over a millennia ago. But it goes back much further than that. As it smashes trillions of protons together at near the speed of light in the hopes of breaking them apart to see what they're made of, the LHC takes us back to the moments just after the birth of the universe.

Nearly a year after the proton beams were successfully circulated in the main ring of the collider, the project's overseer, the European Organization for Nuclear Research, or CERN, invited Motherboard.tv to come by for a visit. In interviews with the research students and their bosses, including Lyn Evans, the project manager, we learned all about the $9 billion machine that's 17 miles in circumference and straddles the border of Switzerland and France. It's arguably the fastest racetrack in the universe, able to create things like quark-gluon plasma and, if theory holds up, the Higgs boson, the so-called Holy Grail of particle physics. That might help explain why protons and neutrons weigh 100 times more than the quarks they're made of, what dark matter is, and how the universe came to exist.

But we weren't satisfied with merely a visit to the most intricate machine ever built. We also wanted to clear the air about something that had been bothering us, in a few different ways -- the imminent collapse of Earth.

That's at least the theory of people like Otto Rossler, a professor of biochemistry at the University of Tubigen. He argues that CERN's proton collisions could generate dangerous miniature black holes. These won't necessarily bring about the end of the world -- there's just a one-in-six chance. This kind of planetary Russian Roulette, Rossler says, "is a risk you musn't take." While at least two separate scientific panels have certified the safety of the project, the doomsday theory has gained traction on the Internet, where, laments CERN spokesman James Gillies, "many sensible, intelligent and rational people have been unnecessarily worried by some some completely baseless speculation."

Rossler's theory, meanwhile, has been met in kind from another left field - Holger Bech Nielsen's simultaneously serious and funny proposition that the many technical problems that have plagued the LHC are the work of a time-traveling Higgs boson particle, hell-bent on preventing us from ever finding it, lest we say, opening up some sort of fundamental particle Pandora's Box. This wonderfully absurd theory doesn't stand up, according to CERN researchers, at least not since they observed cosmic rays with energies equal to and much higher than the LHC. Says Gillies, "If he were right, we would not see such rays."

Watch "Big Bangs and Black Holes" at Motherboard.tv

Still, technical issues have dotted the project's history over its decades of construction and scant three years of operation. Everything from electrical failures to minor explosions have given the project's leaders, not to mention thousands of scientists around the world, a bit of indigestion. At the end of 2012, the experiment will be shut down for a 15-month upgrade, which became necessary after a nearly catastrophic accident in 2008 that cut the collider's design energy in half. But the scientists have little to complain about. It's not often that the stars align to allow for a project of this magnitude, and nothing this complex has ever been built before.

It could have happened here. During the 1980s, American physicists looked with a fevered hope to a giant construction site in Texas, where the Department of Energy was building the Superconducting Supercollider, a particle accelerator intended to be the last word, for a few years at least, on particle physics research. But funding for the project was cut in the early 1990s, and today the giant tunnels built for the project lie fallow. It was a missed opportunity for the United States, says physicist Neil de Grasse Tyson. "Here's this huge project, and we would have led the field in this subject, and now we just stand on the shores looking across the pond to Switzerland as Europe leads the way."

Scientific competitiveness aside, the Large Hadron Collider is a truly international project, built in collaboration with over 10,000 scientists and engineers from over 100 countries. To process the data collected by the collider's six particle detectors and distribute it to researchers around the world, CERN relies on another of its inventions. In 1990, CERN physicist Tim Berners-Lee, created the World Wide Web. Today, the lab is developing a new approach to distributed computing it calls the Grid. (No relation to "Tron" -- yet.) The aim is to make internet access to computing resources -- CPU and storage -- as accessible to users as the Web makes access to information.

The Web has also been crucial in generating public interest in the Large Hadron Collider, with an assist, of course, from a strong marketing push. CERN has sought connections with Hollywood (the collider played a starring role in Ron Howard's version of Dan Brown's "Angels and Demons") and the arts (the lab has established an artist-in-residence program). "We have been working for many years to build up CERN's public profile," says Gillies, "seeing the LHC as a unique opportunity to raise the profile of science in general." As for the absurd theories, he says, "we've had to build the buzz surrounding the more fanciful ideas into our communication strategies."

Even if the popular fascination with the collider may sometimes stray into science fiction, it has made made its research not only the object of popular fascination, but a cause of inspiration too. In that way, the project isn't just looking for the Higgs. It's helping humanity examine practically everything.

@highlight

2011 marks 100th anniversary of discovery of atomic nucleus

@highlight

in 2009 Motherboard toured the European Organization for Nuclear Research, or CERN

@highlight

CERN is home to the Large Hadron Collider, used to study smallest known particles