London (CNN) -- Rosetta mission controllers have made the first call to "Go" for an attempted landing on Comet 67P, the European Space Agency (ESA) announced in a webcast Tuesday.

If it succeeds it will be the first time a spacecraft has landed on a comet.

Scientists say there are still a few more key decisions to take in the coming hours before a planned separation of the landing craft Philae from the mother ship Rosetta on Wednesday.

Philae, which has spent 10 years fixed to the side of Rosetta during the journey across the solar system, cannot be steered once released.

Before Tuesday's announcement, ESA lander system engineer Laurence O'Rourke told CNN that the orbiter Rosetta has to be in the right position to allow the craft to "free fall" on the correct trajectory to the chosen landing site.

Scientists are hoping the probe will help us learn a lot more about the composition of comets and how they react when they get close to the Sun.

Weighing in at 220 pounds, it might be the size of a domestic washing machine but Philae is considerably smarter.

It is equipped with an array of experiments to photograph and test the surface of Comet 67P as well as finding out what happens when the roasting effect of the Sun drives off gas and dust.

But first it has to reach the landing site -- and there's a lot that could go wrong.

O'Rourke explained that hours before separation, Philae's on-board batteries are prepared and a fly wheel is started to give the probe stability on its journey to the comet surface. Without the gyroscopic effect of the fly wheel there's a danger that the lander could turn end over end, he said.

To release Philae, wax over a latch is melted and the lander is automatically unscrewed. If it fails there's a back-up plan. A pyrotechnic charge will fire and push the lander away at just the right speed to set Philae on the right course, O'Rourke said.

Mission controllers then face a nervous seven-hour wait for Philae to reach the surface. The comet is so far away that a confirmation signal relayed from Rosetta, which remains in orbit around the comet, will take nearly half an hour to reach Earth.

The comet's gravity is so weak that engineers have come up with ingenious solutions to keep Philae in place. At touchdown two harpoons fire out from the legs, a thruster on top of the craft helps push it to the surface and screws on each of the three feet help attach it to the comet.

Built by a European consortium, led by the German Aerospace Research Institute (DLR), the landing probe has 10 instruments.

If all goes well the first picture should be of the landing site taken by Philae during the final moments of descent, followed by a panoramic image from seven cameras on the top edge of the lander, O'Rourke told CNN.

According to details on ESA's Rosetta website, sensors on the lander will measure the density and thermal properties of the surface, gas analyzers will help to detect and identify any complex organic chemicals that might be present, while other tests will measure the magnetic field and interaction between the comet and solar wind -- high-energy particles given off by the Sun.

Philae also carries a drill that can drive 20cms (8 inches) into the comet and deliver material to its on-board ovens for testing.

O'Rourke told CNN that the landing is fraught with danger. Philae could hit a boulder or a crevice and tip over.

However, mission scientists are already pleased with progress.

ESA project scientists Matt Taylor said: "The orbiter will remain alongside the comet for over a year, watching it grow in activity as it approaches the Sun, getting to within 180 million kilometers (112 million miles) in summer next year, when the comet will be expelling hundreds of kilograms of material every second.

"It's got an awesome profile -- the adventure of the decade-long journey necessary to capture its prey, flying past the Earth, Mars and two asteroids on the way," he said.

And science fiction writer Alastair Reynolds added: "This is science fiction made real in terms of the achievement of the mission itself, but Rosetta is also taking us a step closer to answering science fiction's grandest question of all -- are we alone?"

What can we learn from comet landing?

How comet mission helps search for alien life

What is a comet and what will Rosetta discover

@highlight

NEW: Scientists give first 'go-ahead' for an attempted landing on Comet 67P

@highlight

The landing craft Philae is about the size of a domestic washing machine

@highlight

It is equipped with nine experiments including a drill to sample the surface and test in an on-board oven

@highlight

The comet's gravity is so weak that engineers have come up with ingenious solutions to keep Philae in place