(CNN) -- Last year on World AIDS Day, President Barack Obama said that we can achieve an AIDS-free generation "if we stay focused, and if we keep fighting," and challenged the world to "come together to set new goals" in the war against AIDS. Three decades into the epidemic, important headway has been made thanks to ambitious efforts by the U.S. government to end AIDS here and abroad.

The National HIV/AIDS Strategy, released in 2010, is the nation's first comprehensive road map with clear and measurable targets to be achieved by 2015: reduce new HIV infections, increase access to care and improve health outcomes for people living with HIV and reduce HIV-related disparities. Over the past four years, it has prioritized funding where it will have the most impact.

This World AIDS Day on December 1, marked today, we can point to successes in combating HIV in the United States.

The overall number of Americans who know their HIV status increased to 84% approaching the Strategy goal of 90% by 2015. From 2008 to 2012, HIV diagnoses declined among blacks, Latinos and women nationally. The latest surveillance data show that new HIV infections have been declining among black women and injecting drug users. Importantly, AIDS diagnoses (or diagnosing people late in their disease progression) decreased among all racial and transmission groups during this time.

The Affordable Care Act has enabled millions of uninsured Americans to have access to health care and get free HIV testing.

The White House's HIV Care Continuum Initiative has boosted federal efforts to prevent and treat HIV. Meanwhile, a series of recent breakthroughs in HIV cure research have also brought us more clarity than we have ever had on the precise steps and tools needed to finally eradicate this disease.

The federal government has prioritized cure research and amfAR, The Foundation for AIDS Research, recently upped the ante on cure research as well, setting a goal to invest $100 million in developing the scientific basis for a cure by 2020.

Unfortunately, we still have work to do. About 50,000 Americans continue to become infected with HIV each year, with nearly 80% of infections among men and two-thirds of new infections nationally among gay and bisexual men.

We continue to see high rates of new infections in the South, especially amongst African-Americans. Astoundingly, one third of all black gay men nationally are HIV-positive -- and they remain the population with the greatest number of infections in the black community and the only population in the black community in which new infections are increasing. Though HIV diagnoses decreased among injecting drug users from 2008 to 2012, AIDS-related deaths remain the highest in this population.

And beyond our borders, we have also reached a turning point. According to the UNAIDS report that was released last week and the GAP report released in July 2014, we have five years to break the epidemic for good or risk it rebounding out of control. We have made many gains, but there is still much more work to do.

The annual number of new HIV infections has dropped by 33% since 2001. And more people than ever are receiving lifesaving antiretroviral treatment, leading to historic declines in AIDS-related deaths worldwide. This progress is encouraging, but we have a chance to rid the world of the epidemic now. The United States must be a leader in this effort.

The United States leads the world in its commitment to combating AIDS globally. American investments through the Global Fund to Fight AIDS, Tuberculosis and Malaria (Global Fund) as well as the President's Emergency Plan for AIDS Relief (PEPFAR) have been transformative in the global response to AIDS. PEPFAR is helping provide lifesaving HIV treatment to 6.7 million people, and has prevented countless infections among infants born to HIV-positive moters in some of the hardest hit regions.

Yet challenges remain.

An estimated 35 million people worldwide are living with HIV, 19 million of them do not know they are infected, and more than 2 million become infected each year. HIV medications remain out of reach for far too many globally -- more than 20 million are unable to access treatment -- and budget cuts threaten the advances that we have made and the possibility of ending the AIDS epidemic by 2030. We have an obligation to sustain and increase our contributions to the global HIV effort, especially since the U.S. contribution to foreign aid (including HIV prevention and other efforts) is less than 1 of our total budget.

Congress must do its part by providing level funding for PEPFAR and the Global Fund in fiscal year 2015, and increasing our contribution in subsequent years. Level funding for PEPFAR alone will allow an additional 272,000 people on treatment, keep an additional 17,000 infants from being born with HIV and avert an additional 62,000 AIDS-related deaths. Although we now have the tools and the knowledge needed to end the AIDS crisis, the looming question is will we?

We believe that we can and we will. We must reject budget cuts that threaten to paralyze proven lifesaving HIV interventions. Evidence continues to show that the scale-up of treatment for people living with HIV not only saves lives, but also greatly reduces the chances of an HIV-positive person transmitting the virus to others. UNAIDS recently declared that, "If the world does not rapidly scale-up [treatment] in the next five years, the epidemic will spring back with a higher rate of new HIV infections than today."

Momentum is on our side. Now is not the time to slow down our efforts, or be complacent in our attitudes toward a disease that has already claimed 40 million lives and continues to ravage families and economies around the globe.

Our country has led on this issue domestically and globally. We must overcome our differences, combine our strengths and our resources and unite in our quest to finally end AIDS and ensure the health and prosperity of future generations.

@highlight

Barbara Lee and Kenneth Cole: Big strides made in HIV/AIDS fight

@highlight

HIV diagnoses have declined among blacks, Latinos and women, they say

@highlight

An estimated 35 million people worldwide are living with HIV, authors argue