The Netherlands' first ever clinic for assisted suicide and euthanasia has opened and includes a mobile service for those who wish to die at home.

Its launch made headlines, and the clinic received 60 applications in the first two days of operation -- mostly from terminally ill patients -- but the Levenseinde Kliniek (End of Life Clinic) in Amsterdam has yet to euthanize a single patient.

"No, of course not!" exclaimed spokeswoman Walburg de Jong, laughing in shock at the notion. "It's not that you can go to the clinic and say, 'well, I want to die,' and then tomorrow someone is coming."

The U.S. presidential campaign oddly put euthanasia in the Netherlands into the news limelight in February, after Republican candidate Rick Santorum criticized it to make an argument against socialized medicine.

Santorum has made death at the hands of a Dutch family doctor sound much easier to come by than the clinic's spokeswoman or the Netherlands' health ministry.

The candidate claimed that in the Netherlands physicians euthanize elderly Dutch patients against their will to hold down medical costs.

"Half the people who are euthanized in the Netherlands -- and it's ten percent of all deaths for the Netherlands -- half of those people are euthanized involuntarily at hospitals, because they are older and sick," Santorum said at an appearance at a conservative rally in Columbia, Missouri on February 3, 2012.

Santorum's rant set off indignant reactions in the media in the Netherlands, including headlines of a Labor party politician demanding the Dutch ambassador or the country's foreign minister rebut the U.S. candidate.

"Rick Santorum thinks he knows the Netherlands: massive murder of the elderly," read a headline in the February 18 edition of the Dutch daily newspaper NRC Handelsblad.

Almost 140,000 people die in the Netherlands per year, according to the CIA World Factbook. The intentional ending of life with a doctor's help accounts for about 3,000 of those deaths, according to the Netherlands Ministry of Health -- percentage mathematics would land at a figure of under 2.5%, far lower than Santorum's numbers.

Santorum has also claimed that elderly people wear bracelets in the Netherlands reading "Do not euthanize me," a claim de Jong has refuted.

CNN reached out to Santorum, whose campaign is in high gear, via his press representatives to inquire into the source of the Republican candidate's statistics.  As of press time, there has been no on-the-record response.

The New England Journal of Medicine has published percentages of doctor-assisted death at a patient's request in the Netherlands, and they range from 1.7% and 2.6% of all deaths in the country.

It also placed the percentage of patients dying in palliative care at 7%. Palliative and hospice care are common end-of-life treatment alternatives in many countries, including the U.S.A. Its not clear if Santorum was including palliative and hospice care when he said 10% of all deaths in the Netherlands are the result of euthanasia.

Those seeking medical help to quell their suffering by ending their lives have to take a long road to get it, according to the Dutch health ministry, and the majority of patient requests -- a full two-thirds -- are denied.

The patient must first convince his doctor that his suffering is unbearable. His ailment must be incurable.

"The criteria are that there must be a reoccurring voluntary request," clinic spokeswoman de Jong said. "There must be an unbearable and hopeless suffering, no alternatives anymore, and there must also be a second opinion doctor, who says 'yes, this doctor is fulfilling the criteria.' And then the euthanasia or assisted suicide can be done."

Sometimes the patient dies while waiting for the euthanasia to pass approval.

Under the Dutch definition, euthanasia is when a doctor administers a lethal dose of a medication to end a patient's life at the patient's request. Assisted suicide is when the doctor acquires the deadly dose for the patient, who then administers it on him- or herself.

Commonly used medications to hasten life's end are muscle relaxers and barbiturates.

Then there are the legal hurdles.

"Euthanasia is still a criminal offence," a statement on the foreign ministry website explains the Netherlands stance on the topic to the world. But doctors are exempt from prosecution, if they follow a strict set of criteria laid down by a 2002 law, the Dutch Termination of Life on Request and Assisted Suicide Act.

"Patients have no absolute right to euthanasia and doctors no absolute duty to perform it," the ministry says.

"A doctor's main duty is indeed to preserve life." "On the other hand," it adds, "they have a duty to relieve the patient's suffering."

The doctor, it seems, would be between a rock and a hard place.

After helping terminate the life, a doctor must report it as a death by unnatural causes to the coroner's office, where it faces review by a legal expert, a doctor and an ethics expert. If they don't like what they see, the case is forwarded to the Public Prosecution Service.

Add this tension to other more personal qualms, and many doctors just won't give that lethal dose.

Enter the brand new End of Life Clinic -- founded by the advocacy group "Right to Die NL," for which de Jong is also the spokeswoman.

"People are dependent on their doctors, and when you have a doctor who doesn't want to do it, sometimes you have no one to turn to," de Jong said.

"The biggest doctors' organization in the Netherlands says that every doctor has the moral obligation to refer to another doctor, when he doesn't want to do it," she continued. "But there are also doctors who don't want to refer to another doctor. Therefore this clinic can be a possibility for those people."

Once the patient opts for the help of one of the End of Life Clinic's doctors, it can still take a long time for the end to come. By law, the doctor who carries out the euthanasia or assisted suicide must be considered the patient's attending physician.

The clinic declined to let CNN interview one of its participating doctors or nurses, who are everyday medical professionals and work for the clinic part-time. De Jong said she was afraid patients would snow the clinicians at their private practices with euthanasia requests due to the publicity.

After the patient has filed a request, "a doctor and a nurse will look whether they can fulfill the criteria," de Jong said. Then they contact the patient, his relatives and the attending physician for a series of conversations.

These can last as short as two weeks, if a patient's prognosis and suffering are obvious -- or as long as a year, de Jong said.

"People talk about it too late and then discover that their doctor won't do it," de Jong warned. Right to Die NL encourages its 130,000 members to make a living will, which includes end of life plans, ahead of time.

The vast majority of patients -- about ten times as many as receive euthanasia or assisted suicide -- end up with the palliative alternative of heavy sedation, while waiting for the end to come naturally, according to a 2005 academic review of the euthanasia law and its consequences. A possible side effect of that sedation is the hastening of death.

But with all the considerations, in 2005 doctors in the Netherlands reported helping 2,425 patients who voluntarily decided they wanted to end their lives and 3,136 in 2010.

There is some truth to Rick Santorum's claim that some patients' lives are taken without consent, but at a lower rate than five percent of all deaths in the Netherlands, as the presidential candidate had said. The 2005 report placed the number at 550 deaths.

It tends to be patients in palliative care, who are unconscious, which means the doctor can't ask what the patient wants, de Jong said. "And maybe the doctor did something he shouldn't do." "But I think this is a problem everywhere in the world."

There are also newborns, children and teenagers who are euthanized in accordance with strict legal protocol and parental involvement, which include that "suffering must be unbearable and with no prospect of improvement." Teenagers over 16 years of age are allowed to make the request without parental approval but require their consultation.

People plagued with psychiatric illness also request and receive help ending their lives, although it is discouraged.

"The first priority in responding to such requests is to explore the prospects of an improvement in the patient's quality of life," according the foreign ministry.

The overwhelming majority of cases of doctor assisted end-of-life care are easier to understand than those involving children or psychiatric patients.

"Experience shows that in practice the vast majority of cases of euthanasia (almost 90%) relate to patients with terminal cancer," according to the foreign ministry. A 2010 review commission report revealed terminal cancer at the root of the overwhelming majority of cases.

Even with its humane intentions, such open dealings with euthanasia and assisted suicide as it is practiced in the Netherlands may rub many cultures the wrong way.

Dutch authorities are aware of this.

"Dutch law on euthanasia is not incompatible with international conventions and the fundamental human rights they enshrine, such as the right to life laid down in article 6 of the UN's International Covenant on Civil and Political Rights," a statement reads on the foreign ministry's website.

"The Dutch government vigorously endorses these rights, but does not believe that a request to end life made by someone experiencing unbearable suffering without the prospect of improvement should be refused solely on those grounds."

De Jong anticipates that the End of Life Clinic's mobile team may become active as soon as this week "to visit a patient, and of course they are also to consult the doctor of the patient."

The clinic's mobile team does not have any kind of special vehicle like an ambulance, de Jong said. The doctors and nurses simply drive their own cars.

In some scenarios, de Jong says, the clinic's focus is not on euthanizing the patient as much as it is on ensuring the doctor feels comfortable committing to the process.

"They want to take him by the hand in the process and maybe afterwards or in the process he can say, 'Well, I can do it myself,' or afterwards he can say, 'The second time I can do it myself.'"

@highlight

The Netherlands' first ever euthanasia clinic opens and includes mobile service

@highlight

Rick Santorum claimed Dutch physicians euthanize elderly patients against their will

@highlight

Santorum also said elderly Dutch people wear bracelets reading "Do not euthanize me"