(CNN) -- For the second time in three years, the African city of Luanda has been declared the most expensive city in the world for expats by Mercer, a human resources consulting firm.

While it's true that most of the Angolan capital's population lives in poverty on the outskirts of the city, in the center, Porsche Cayennes share the road with Cadillac Escalades and the latest Range Rovers.

Hugo Boss makes such a killing here that it opened a second store within walking distance of the first.

For those not familiar with Luanda, however, the ranking may come as a surprise.

Tokyo (which took top spot in Mercer's survey last year) makes sense as the world's most expensive expat city.

So might Moscow or New York.

But Luanda?

What's it like to visit?

So, what's this scandalously expensive place -- where a mid-level expat professional might earn $10,000 a month -- like to visit?

First, some context.

Luanda is the capital of Africa's second largest oil producer, Angola (Nigeria beats it), a rising political and economic powerhouse.

Yet the country also suffered a destructive and violent 27-year civil war, ending only in 2002, which crippled its infrastructure and decimated its ability to produce its own food.

As a consequence, almost everything in Luanda has to be imported.

Heavy import duties, along with high taxes and monopolized supply chains linked to the powerful political elite further drive up the price of goods and services to astronomical levels.

Then there's institutional corruption, which creates high prices through price fixing and price collusion.

Sky-high hotel bills

Hotels are the visitor's biggest expense.

Despite more opening in recent years, prices have remained stuck at about $500 a night for five-star hotels, $350-400 for four-stars and $300-350 for mid-level lodging.

A meal at Luanda's smartest restaurants will easily top $100 per person, including appetizers and drinks.

Such prices can be supported only by expats working for multinational companies and wealthy Angolans who work for the country's burgeoning oil and banking sectors.

Most Luandans, by contrast, live on the city's periphery and make vastly inferior incomes.

While a mid-level banking professional might take home $8,000-$10,000 a month, a driver or housemaid makes $500 a month, if the boss is feeling generous.

Luxury car traffic jams may be a common sight in the capital, but the roads are appalling and public services -- from driver's license renewal to the post -- are horrendous.

(Perhaps send your postcards after leaving the country.)

Still keen to go?

Luanda is a dynamic, albeit challenging, place to visit and one you're unlikely to forget.

But it doesn't have to be prohibitively expensive -- if you know where to look.

A 'cheap' day and a night

Say you're in Luanda for a day and a night.

You'll need a hotel: Epic Sana Luanda (Rua da Missão, Mutamba; +244 222 642 600; from $500 a night) is considered the best in the city, with prices to match, while Executive Hotel Samba (Rua da Samba s/n, Samba, Luanda; +244 915407117; from $300), offers rare decent value, all things considered.

As soon as you step out of the hotel door, the only way to avoid a cash hemorrhage is to follow the age-old expat line and start living like a local.

The city doesn't have much in the way of museums and public parks, but it's worth walking along the recently refurbished Marginal, the seafood promenade that stretches from the local port to the Ilha, the peninsula jutting into Luanda Bay.

If you do, keep an eye on the imposing, whitewashed Portuguese fort perched on a hill overlooking the city; once you get close, take a left, go up the hill and you'll find an armed forces museum (+244 222 373 623) located inside the structure.

Beach life

Beaches are a must in Angola in summer.

Near Luanda, Mussulo Island is a spit of land with thatch-roofed restaurants and hotel bungalows on one side and miles of deserted beach, with fantastic waves, on the other.

You can catch water taxis out to Mussulo at the Embarcadouro dock ($5) and spend the day there.

Another option is to get out of Luanda altogether and head 40 kilometers south to the Miradouro da Lua, a beautiful landscape of cliffs, pinnacles and valleys stretching toward the horizon.

Dotted with baobab trees, the long, empty savanna will make you question why everyone stays crammed in the city.

At Cabo Ledo, about 150 kilometers south of Luanda, you'll find some of the country's finest beaches, excellent for surfing.

Angolan cuisine

Angola has a culinary tradition influenced by 500 years of Portuguese colonization and seafood from more than a thousand kilometers of coastline.

In the Mutamba, Luanda's central business district, a good spot for lunch is Tendinha (Rua da Missão 16, Mutamba; +244 923 542 868), a friendly Angolan bistro where the beer is cold and the food is cheap. It's within walking distance of some of the city's most popular hotels and the average check is $20.

At Ilha, where many of the city's best restaurants are located, two low-key favorites are Casa do Peixa da Gabela (Rua Massano de Amorim, Chicala) and Restaurante da Dona Bela (Rua Massano de Amorim, after Poupalá on your left side; it has blue walls and white bars on the outside).

At both places you can eat a feast -- featuring excellent mufete, a local delicacy of beans stewed in palm oil, grilled tilapia, onion vinaigrette, boiled plantains, sweet potatoes and yucca -- for about $17.

For dinner, on the fringes of central Luanda in the Bairro Popular you can try the excellent cuisine of Angolan master chef Rui Sá at his Restaurante & Bar 688 (Rua da Janela Aberta, Bairro Popular, Luanda; +244 943 256 193).

Entrees here rarely top the $30 mark, and if they do it's because you're getting enough food for two.

Splurge time

And if you want to splurge -- this is the world's most expensive city, after all -- Lookal Mar (Rua Murtala Mohamed 15, Ilha do Cabo, Luanda; +244 936 000 018/9) is the king of Luanda restaurants.

Entrees here can cost $150 -- seafood is flown in from Portugal three times a week.

You're spoiled for choice if you want to prolong your night in Luanda.

The city's new nightlife darling is the Switch Supper Club, in the bowels of the Epic Sana Hotel.

But you could skip the $40 minimum spend there and experience true Luanda nightlife at the W Club -- where there's all kinds of music, a welcoming crowd and the $20 cover includes three drinks.

Claudio Silva runs the Luanda Nightlife website.

@highlight

Luanda is the priciest city in world for expats, says survey for second time

@highlight

Luxury traffic jams and Hugo Boss stores common

@highlight

Corruption endemic and services appalling

@highlight

Possible to visit without breaking bank -- and have a memorable experience