WASHINGTON (CNN) -- Colleges aren't getting any cheaper, but federal student loans are.

Students who graduate with college loan debt can use a repayment plan that will give lower monthly payments.

Millions of borrowers will get a better deal on their student loans based on federal rules that went into effect Wednesday. Lower interest rates and loan forgiveness in some cases are some of the rules that will make borrowing cheaper for many students.

Also among the rules: an income-based repayment program that considers income and family size. The program allows borrowers to set their monthly loan payment at 15 percent of their annual adjusted gross income.

Under the traditional 10-year plan, a borrower who graduated with $25,000 in student loan debt and whose income is $30,000 a year would pay $288 a month at an interest rate of 6.8 percent, according to the the Department of Education's Web site. Now, the student could opt for payments of $172 a month spread over a longer time.

Borrowers can apply the plan to their remaining loan amount as of Wednesday.

Single borrowers who earn less than $16,245 -- the poverty level -- would not be required to make any payments on their federal loans as long as their income remained that low.

Payments would be significantly lower under the income-based plan, but loans would take longer than the standard 10 years to repay. That could increase overall interest costs for borrowers. Proponents argue that for some it is well worth the tradeoff by making lower-paying jobs more appealing.

"Just imagine all those people that went to college and had expectations of a good job market and now it's not so hot," said Deputy Undersecretary Bob Shireman of the U.S. Department of Education. "This provides a kind of safety net, helps give them some assurance that they'll be OK, and that they'll even be OK if they go into lower paying jobs."

For students who eyed public service as a career but thought the salary underwhelming, a loan forgiveness option for public sector workers might inspire some.

Borrowers who work for 10 years in a public service job, such as public school education or the military, will have the remainder of their federal loans forgiven after that decade ends.

Graduates must pay monthly loan bills during those 10 years and can use the income-based plan to lock in lower payments. The government counts work from October 2, 2007 onward, Shireman said. Thus, the earliest a borrower can have loans forgiven is October 2, 2017.

Also providing relief to borrowers are a lowered interest rate, increase in Pell Grants for current students and a reduced loan origination fee.

The government cut the interest rate from 6 percent to 5.6 percent. Payouts of Pell Grants, which allow students to borrow less, increased by $619 to $5,350 for the 2009-2010 school year. Loan origination fees decreased from 2 percent to 1.5 percent and will fall to 1 percent next July, Shireman said.

Congressional Democrats pushed the income-based plan, public service program and decrease in loan interest rates, all signed into law by former President George W. Bush under the College Cost Reduction and Access Act. President Obama's stimulus bill supported the increase in Pell Grants. Last year, the government gave out about $80 billion in student loans to more than 7 million students.

CNN's Khadijah Rentas and Lisa Desjardins contributed to this report.

@highlight

Changes include lower interest rates, income-based repayment program

@highlight

Borrowers who take public sector jobs can have part of loan forgiven

@highlight

Bush administration law includes Pell Grant increases from Obama