(CNN)Journalist Steven Brill has written a new book about our dysfunctional system of health care and it's getting a lot of attention. In "America's Bitter Pill: Money, Politics, Backroom Deals, and the Fight to Fix Our Broken Healthcare System," he describes the various struggles to implement the Affordable Care Act and dissects the ongoing opposition to the bill.

As a nurse, I've always supported the ACA as a way for more Americans to get needed health care. But many people, including many nurses, view Obamacare as a government intrusion into individual lives. I can see their point of view, but I believe it's mistaken. The ACA does not allow government to interfere in our lives; it compels government to keep us as safe and healthy as possible.

For the record, the Affordable Care Act was based on "Romneycare," the market-based health insurance reform that Republican Mitt Romney put in place when he was governor of Massachusetts. The ACA, like Romneycare, prohibits insurance companies from excluding patients due to preexisting conditions, requires all individuals to buy insurance (since otherwise only the sick would sign up for coverage and the system would quickly become insolvent) and offers subsidies to middle-class and low-income families to make higher-quality coverage affordable.

Despite its Republican provenance and utilization of private insurance companies, though, the "government takeover" label stuck to the ACA. And that was intentional. In his book, Brill explains that the phrase "government takeover of health care" came from conservative pollster Frank Luntz and became a rallying cry for the enemies of the Affordable Care Act who said Obamacare would deny Americans free choice over health insurance.

"Free choice" is a tricky phrase here, because the ACA does curtail insurance choices, in that it disallows low-cost policies that don't provide anything close to real coverage of health care costs. But the only Americans who really had free choice over their health care prior to the implementation of Obamacare were those with excellent insurance or unlimited funds of their own.

Consider Brill's story of his own aortic aneurysm and how glad he was to end up at New York-Presbyterian, one of New York's flagship hospital systems. There, he was operated on by an MD with an impeccable record in the exact surgical repair Brill needed. His hospital stay offered "Mother Teresa care," and though his total bill came to $190,000, his insurance paid for the bulk of it.

Now consider Sean Recchi, who's profiled in Brill's book: A 42-year-old, non-Hodgkin lymphoma patient from Lancaster, Ohio, with health insurance that, Brill specifies, provided minimal reimbursement for health care costs.

Recchi had to pay M.D. Anderson Cancer Center in Houston $83,900 in advance in order to begin treatment there. M.D. Anderson is a great hospital and I'm sure Recchi also received Mother Teresa care, but the upfront cost was enormous and the Recchis are not rich. The treatment he received did save his life, but it was obviously not free or freely chosen; his life was at stake and he believed M.D. Anderson would save him.

Contrasting these anecdotes gets to the nub of the problem with health care: when people's lives are at stake -- as Brill's and Recchi's both were -- survival becomes much more important than cost. But cost of care can vary dramatically depending largely on whether someone has insurance and what the quality of that insurance is.

The Affordable Care Act was intended to reduce those price disparities by better standardizing what insurance covers and what it costs, making it possible for more Americans to get the health care they need. The bill is complicated and imperfect, but it has created a much fairer system of health insurance than we had before.

Brill, however, says the ACA does not go far enough in terms of controlling overall costs and improving quality. Right now, the United States pays much more for health care than any other developed country and we have worse health outcomes overall.

The Affordable Care Act regulates insurance companies, but does not limit the huge profits made by pharmaceutical companies, device manufacturers or hospital administrators. That's because the ACA would not have passed without the support of those three groups.

To corral those industries and really make American health care better, cheaper and fairer will probably require government intervention. I say that because every developed country that has some version of national health care uses government regulation to control access and set prices. Any move in that direction in the U.S., though, would bring further accusations of "socialized medicine" and stoke the "government takeover" fire.

This is why I say we're focusing on the wrong thing -- on principles instead of lives. And I came to that conclusion by thinking back to my own father. A country boy from Osceola, Missouri, with the gumption to become a philosophy professor, my dad deeply resents "Fasten Seat Belt" lights in cars. "It's the government telling me how to drive!" was his common complaint.

And he's right. But it's also true that seat belts save lives when automobiles crash, and Americans have acclimated ourselves to wearing seat belts and acknowledging their value.

Obamacare then, may not effectively control health care costs in the long term, but the part of it that has made insurance newly affordable for millions of Americans is not an attempt to control people's lives, but to save them: a seat belt for travelers on our unbelievably expensive, miracle-delivering, health care highway.

But don't take my word for it.

Rely instead on Steve Beshear, governor of Kentucky, quoted in Bitter Pill describing his state's Obamacare exchange, called Kynect: "Just have a look . . . You'll like it. It's not about me or President Obama. It's about you."

@highlight

Journalist Steven Brill has written a new book about our dysfunctional system of health care

@highlight

Theresa Brown: Many view Obamacare as a government intrusion into individual lives -- but they are mistaken