(CNN) -- India has long been cited as one of the fastest growing economies in the world, but it hasn't always been the most hospitable place for business travelers.

Ranked 132 out of 185 on the World Bank's Ease of Doing Business Index, the country is often viewed as a hassle by executives. Part of the problem is that India has grown faster than its infrastructure.

"Infrastructure that we created for 2020 are already getting filled up by 2012," says Amitabh Kant, the man who is planning to bring India up to speed by 2017.

Kant already revolutionized his country once. The instigator of the "Incredible India" campaign, he polished India's flagging tourism image and turned it into a must-visit destination for the discerning traveler.

Marketing aside, the campaign made sure journeying through the subcontinent was met with relative ease. Roads were repaved, landmarks rebuffed and the sector as a whole was trained to work with foreign guests. Today, the country sees 6.8 million overseas tourists annually.

Now he is tackling what may be India's most ambitious infrastructure project to date. The Delhi-Mumbai Industrial Corridor, a $90 billion state-run enterprise, will involve connecting the 932 mile stretch between Delhi and Mumbai with new ports, airports, highways and rail links.

For Kant, though, the real achievement will be the undertaking's economic knock-on effect.

"The train opens up a completely new route for India," he explains. "It opens up the heart of six states, and what it does is really drive manufacturing. It creates seven new industrial cities of India," he explains.

The country has already seen several new cities develop on the outskirts of industry centers. Outside of Delhi, for example, sits Gurgaon, a 30 year old suburb with a GDP that has started to match its next-door neighbor's. Unfortunately, many key urban features like adequate power and sewage are only just starting to be built.

"The city is doing some retro fitting," admits Kant. "You are seeing power lines coming up, you are seeing drainage and sewage coming up."

Kant is hoping to avoid this type of scenario with the Delhi-Mumbai Industrial Corridor.

"You need to have a very good plan of the backbone of the city you've created, and then allow the private sector to come in at the appropriate time," says Kant.

The project may be ambitious, but Kant notes that its supersonic timeframe is necessary given the speed the country's young population is growing.

"India has a very young population; the median age is 25, and the aspirations are very high," he explains. "We have to push for reforms at twice the speed we have been doing."

Despite the wealth of foreign investment in India, Kant also notes that the drive for change is coming from within the country. India's middle class is 400 million strong, and Kant reckons that by 2021 it will account for 47% of the country's GDP. Many will likely work in cities, and the number is only going to keep growing.

"By 2030, 350 million Indians are going to get into the process of urbanization, 700 million Indians by 2050," he explains. "India has to create two and a half Americas. That is the challenge for India."

@highlight

Delhi-Mumbai Industrial Corridor scheme will cost $90B

@highlight

Leading project is Amitabh Kant, the man who lead India's successful tourism campaign

@highlight

Project seen as necessary as country's middle class grows

@highlight

Speed of reform and modernization needs to be faster believes Kant