New York (CNN) -- Who am I? I used to think the simplest explanation was black and white. But I've recently discovered that the truth is much more colorful.

Because I've spent most of my adult life being mistaken for everything but who I am -- Moroccan, Brazilian, mixed African-American and white American, Israeli, Palestinian, the list goes on -- the very question has inspired me to embark on a travel adventure back through time in search of answers.

This is what I know for sure: Ethnically, I am a New York City born woman of Dominican parentage. I self identify as a Latina, Dominican-American and Latino-American, interchangeably. But racially, through the science of DNA testing and tracing my family's own migration story, I've begun to receive confirmation of what I've always believed to be true not only for myself but many of the 47 million-plus Latino-Americans across the country: the subject of race in our community is kaleidoscopic, more complicated than what the census 2010 checkboxes offer.

Last year, as part of a documentary project I began developing, my father and I took ancestral DNA tests. Our racial background had become somewhat of an urban myth in my family: are we Jewish, African, Spanish, aliens perhaps?

Instead of checking off the usual black, white and American Indian options I've become way too comfortable with because of my racial ambiguity, I decided it was time to solve my familial puzzle and, at once, break out of the Other box.

I found out through Bennett Greenspan, founder of the Houston based commercial genetic genealogy company, Family Tree DNA, was that who I am is "the face of miscegenation in the New World." And the journey is just beginning.

My mother's mother's mother's direct maternal line is L3d, a subgroup of African descent, (we found matches in Guinea-Bissau). My father's maternal ancestry is Native American, from an "extremely rare" line of Amerindians. Finally, my father's paternal lineage is Arabic, perhaps Berber, entering Spain through North Africa.

With a growing number of Latinos becoming vested in discovering their ancestral roots -- a Tejana friend of mine from Austin, Texas, recently learned she belongs to a Central Asian group that reputedly descends from Genghis Khan -- the subject of race within our community will enable us to self-identify in ways our parents' generation could only dream of. As our numbers grow to more than 130 million in the next several decades, so will the racial landscape of the nation shift radically.

One may offer a convincing argument about health care and the economy being more worthwhile issues uniting and affecting all Americans. But race still matters. Couple anti-immigration hysteria and a 41 percent spike in hate crimes against Latinos over the past six years with a troubled economy, and one may find a pressure cooker waiting to explode.

While the census form is supposed to help show the sociopolitical climate and composition of America, it only underscores how out of touch its architects truly are. From the reintroduction of the offensive term "Negro" that will undoubtedly put off many Latino-Americans, to the failed attempt at engaging the hip-hop generation with a cloying rap commercial, the U.S. Census Bureau is alienating the very people it's spending millions of dollars trying to target.

On the one hand, it's important for every citizen to be counted because the information collected determines how $400 billion dollars of federal funding is allocated to public schools, hospitals, job training centers and more. However, the hotly debated question number 9 on the census only serves to prove that even after making history by electing our first African and white-American president, our society has only managed to place a "post-racial" Band-Aid over the subject of race in the United States.

While we collectively continue to ignore the festering wound, I intend on honoring my ancestors on the census form by rejecting the term "Negro" and opting to identify my African, Amerindian and Arabic roots by filling in the blanks under "some other race."

I hope by the time the next census rolls around, we'll realize the ideal of living in a post-racial society by recognizing that our citizens are more diverse than the flat picture that's being drawn now.

The opinions expressed in this commentary are solely those of Raquel Cepeda.

@highlight

Raquel Cepeda says she identifies as a Latina and a Dominican-American

@highlight

She says genetic testing confirms her ancestory is a kaleidoscopic mix

@highlight

She says census form shows that its architects are out of touch

@highlight

We're more diverse than the one-dimensional picture census draws, Cepeda says