Washington (CNN) -- Rep. Jesse Jackson Jr. is "receiving intensive medical treatment at a residential treatment facility for a mood disorder," according to a statement released by the congressman's office, which attributed the quote to an unidentified doctor.

The Illinois Democrat and son of the Rev. Jesse Jackson, the civil rights leader, has not been on Capitol Hill since late May, and in early June his office announced he was taking a leave of absence because he was suffering from a "medical condition."

Jackson's office on Wednesday noted that information on Jackson's status is protected by federal law, as is the information of all medical patients. At the same time, the congressman's office released what it said was a statement from Jackson's doctor. Jackson's office declined to give the doctor's name.

The doctor also was quoted as saying Jackson "is responding positively to treatment and is expected to make a full recovery."

Depression in the workplace: Don't ask, don't tell?

According to the American Psychiatric Association's Diagnostic and Statistical Manual of Mental Disorders, "mood disorder" is a broad term covering a variety of neurobiological abnormalities that can include a major depressive episode, bipolar disorder and catatonia.

"Generally speaking, to be diagnosed with a mood disorder, your feelings must be intense, with the patient feeling either depressed, or having excessive energy for days at a time, where sleep is not needed and decision-making can be significantly hindered, or one can fluctuate between both extremes," said Nancy Molitor, a psychologist in private practice in Wilmette, Illinois, and assistant clinical professor of psychiatry and behavioral science at Northwestern University School of Medicine in Chicago.

Jackson's illness comes as the House Ethics Committee is examining allegations that in 2008 he or one of his associates offered to raise funds for then-Illinois Gov. Rod Blagojevich in exchange for the Senate seat vacated by President Barack Obama going to Jackson.

Pelosi: Jackson should take all the time he needs

Jackson has maintained his innocence and pledged to continue to cooperate with authorities. "I did nothing illegal, unethical or inappropriate in that pursuit, and I believe that is what the Ethics Committee will conclude at the end of this process," he said.

In a separate incident, Jackson apologized to his constituents in September 2010, after the Chicago Sun-Times reported that a Chicago businessman told federal investigators that Jackson had asked him to pay for a restaurant hostess to fly between Washington and Chicago several times.

He said he was "deeply sorry" that he had "disappointed some supporters."

A life shaped by history

Earlier Wednesday, before Jackson's office released the statement about his health, Democrats in the House of Representatives aired differing views on whether the younger Jackson should reveal the details behind his leave of absence.

House Minority Leader Nancy Pelosi, D-California, said Jackson should disclose information on his own timetable, but Steny Hoyer of Maryland, the House minority whip, said more information should be provided.

"He's obviously facing a health problem," Hoyer said Wednesday in response to a question from CNN. "People get sick. And when people get sick, they miss work. Everybody in America understands that, but I think the family would be well-advised to give his constituents as much information as is appropriate."

It was a direct message from a House Democratic leader who had been reluctant, until now, to publicly press Jackson for more detail.

Rep. Jackson's ailments 'more serious' than 'initially believed'

The chairman of the Congressional Black Caucus told reporters Wednesday he has spoken several times with members of Jackson's "blood family" and is confident Jackson will return from his leave of absence.

Rep. Emanuel Cleaver, D-Missouri, said there was no urgency for Jackson or his family to come forward with any details about the absence.

Cleaver told reporters outside the House chamber that "when the people in his district have become concerned, then Congressman Jackson will respond, but so far there is no evidence that there is upheaval in his congressional district."

Added Cleaver: "He's fine. He's an old football player -- he'll be back."

Cleaver made it clear he is in regular contact with Jackson's family, not directly with Jackson himself.

"It's frustrating and upsetting to me" that other Democrats on Capitol Hill have called on Jackson to provide more information, Cleaver said. Every member of Congress deserves privacy, he added, and he cited Congress' vote on a law that keeps medical information confidential.

"This is not about a congressman. This is about a human being who is sick. This is not a political matter; it's a health matter," he said.

Cleaver said Jackson's situation was discussed at the weekly Congressional Black Caucus lunch on Wednesday and added that caucus members were alarmed that other Democrats were urging the family to provide more information.

"We all agreed today, 100%, that that should not be the way in which we deal with members of Congress who get ill," Cleaver said.

Pressure began mounting on Jackson, a nine-term representative, on Tuesday after comments to reporters in Chicago by fellow Illinois Democrat Sen. Dick Durbin.

"As a public official ... there reaches a point when you have a responsibility to tell people what you're facing and how things are going. Sen. Kirk has done that, and I think Congressman Jackson will face that, too," Durbin said.

Earlier this year, Sen. Mark Kirk, R-Illinois, suffered a stroke. He is still recovering and his office continues to give updates on his progress.

More questions arose late last week, when Jackson communications director Frank Watkins said, "Congressman Jackson's medical condition is more serious than we thought and initially believed."

"We have been made aware that he has grappled with certain physical and emotional ailments privately for a long period of time," Watkins said.

Initially, Jackson's office said the congressman was suffering from "exhaustion."

House Ethics Committee finds 'probable cause' to suspect Jackson misconduct

CNN's Jennifer Bixler contributed to this report

@highlight

Jackson's office releases what it says is statement from congressman's doctor

@highlight

Colleagues in the House split on how much information Jackson should reveal

@highlight

The nine-term congressman hasn't appeared in the House since late May