(CNN) -- The Reverend Dr. Martin Luther King, Jr. would hardly recognize America in 2013, the 50th anniversary year of his world-famous "I Have a Dream" speech on the steps of the Lincoln Memorial.

The efforts of King and countless others have not only made it possible for Barack Obama to become the first black president of the United States, but also created unprecedented opportunities for the likes of Oprah Winfrey, Supreme Court Justice Sonia Sotomayor, and virtually anyone who had previously been given a check that has, as King put it, "come back marked 'insufficient funds.'"

I personally cannot think of MLK Day without reflecting on my life as a product of post-civil rights America: I was conceived on the coattails of that movement to a single mother, absent father, horrific poverty, and despair and fear I would not wish upon anyone.

Yet here I am, a direct beneficiary of King's legacy. I do not take the opportunities given to me lightly. Especially since my mother, born in South Carolina in the Jim Crow-era, has sickening memories of the racial oppression back in those days. Her family had no electricity, no indoor running water and no television.

The day that King delivered his "I Have a Dream" speech, my mother turned 20. "We knew there was colored folks marching in Washington," my mother told me. "We just did not know what for exactly."

The what for had everything to do with democracy, freedom, voting and citizenship rights, for a group longed blocked from the doors of the American dream. It means the only way we could ever come to "a beautiful symphony of brotherhood" that King spoke of is for each of us, no matter our background, to honor and recognize who we are, including very uncomfortable parts of our history, like slavery, which was depicted in recent films like Steven Spielberg's "Lincoln" and Quentin Tarantino's "Django Unchained." We cannot sit at the table of diversity and multiculturalism if we are not even clear what we are bringing to share.

In King's speeches and writings in the last years of his life, he wanted people, including black people, to embrace and appreciate their culture and heritage. But it was never an either or for him. King worked for and loved Black America, and he worked for and loved America.

From 1963 to the present, the United States has changed dramatically. When I attended integrated schools, I remember sitting elbow to elbow with children of different races, something my mother could not have fathomed in her childhood dominated by "Whites Only" and "Coloreds Only" signs everywhere.

But the work is far from over.

I think King would be saddened that the poverty and economic disparities he fought against at the end of his life are still here. He would be outraged by the kind of racism that routinely profiles young black and Latino males and fills our nation's prison system with black and brown bodies.

He would be awestruck and angered by the visionless black leadership that has come to dominate black communities nationwide, more concerned with media moments and money than solutions. He would wonder how black culture has deteriorated from Harry Belafonte, Motown and Nina Simone to Nicki Minaj, Lil Wayne, and reality TV shows that present utterly destructive black images.

I think he would be disheartened by the numerous wars that have occurred since Vietnam and by the fact that more than one million Americans have died by gun violence since he himself was shot and murdered in Memphis on April 4, 1968. And moreover, he would be very outspoken about how some Americans treat immigrants, and our inability to see their plights as great civil rights issues of our time.

But, King would smile broadly, in that way he did, as we witnessed the stunning rainbow coalition of Americans who voted Barack Obama into office in 2008, as a direct extension of King's prophetic dream.

Despite the historical significance of electing Barack Obama into the Oval Office twice, and the great victories we accomplished together as a nation in the past 50 years, King would urge us to continue his work since a lot more needs to be done.

The harsh reality is that Martin Luther King Jr. is never coming back. We have a federal holiday dedicated to him, we have the moral authority of his spoken and written words, and we have his mighty spirit hovering over our nation like an uninterrupted sheet of light. But I sincerely believe that if we are going to live up to the extraordinary vision of King, then we must open our hearts more to each other, as sisters and brothers, as part of the human family.

We know, as he knew, that love must be a living and breathing thing. In celebration of his legacy, let's keep in mind that service to others must become as natural to us as breathing, for the good of America and for the good of all of us.

The opinions expressed in this commentary are solely those of Kevin Powell.

@highlight

Kevin Powell: Dr. Martin Luther King, Jr. would hardly recognize America in 2013

@highlight

Powell: King and others made it possible for Barack Obama to be elected president

@highlight

He says despite progress, King would find a lot more that needs to be done

@highlight

Powell: In celebration of his legacy, let's treat each other with humanity and compassion