Did Ferguson police Officer Darren Wilson shoot Michael Brown dead as he staggered to the ground, hobbled by gunshot wounds? Or, did the 18-year-old aggressively charge at Wilson even after the officer ordered him to stop?

A St. Louis County grand jury heard both versions and many more from dozens of witnesses who gave accounts of what happened on August 9, the day Wilson shot Brown to death in the middle of the street outside an apartment complex as dozens of people watched.

The panel of nine white and three black members heard 70 hours of testimony from 60 witnesses and three medical examiners before declining to indict Wilson on Monday in Brown's death. Their decision touched off riots and looting in the streets of Ferguson and St. Louis, and protests nationwide.

After the decision was announced, the St. Louis County Prosecuting Attorney's Office released transcripts of the proceedings, offering a rare glimpse into the closed-door hearing. It may have been a gesture of transparency, but the conflicting witness accounts, redacted police statements and contradictory autopsies only seemed to leave a murkier picture of what happened.

When the grand jury first convened on August 20, St. Louis County Prosecutor Robert McCulloch told panelists that he hoped to wrap up proceedings by mid-October. Instead, the panel sat for 25 days over three months as multiple jurisdictions investigated Brown's death. In that time, a grass-roots social justice movement coalesced online, Brown's parents addressed the United Nations, and Wilson got married in secret.

As weeks dragged on jurors appeared to understand that the public was getting impatient. In an exchange on September 20 before testimony got underway, two jurors raised concerns.

"My concern is that everybody is saying 'hurry up, hurry up, hurry up,' from what I'm hearing. Hurry up, make a decision, hurry up and get this done, hurry up and get that done," one juror said on September 30.

"I think everybody needs to ratchet it down a little bit and let us do what we can do. I have faith and trust in everybody in here, to make the decision that's appropriate. I'm not saying it is the right decision, I'm not saying it is the wrong decision, but make the decision that's appropriate based on the facts. But is that being disseminated by these groups or whatever to the people there?"

"Do they not understand the process?" another juror said. "Is that the problem, or is there a way to bypass this because it seems to me that we're doing what needs to be done and we're doing what's right and people are not seeing that."

The transcripts provide a window into evidence the grand jury considered in making its decision. Some sticking points are beginning to emerge as CNN reviews the transcripts. What follows is a work in progress as we continue to read.

When did Wilson start shooting?

In Wilson's David-against-Goliath-like portrayal of the events, the six-year veteran of the force told the grand jury that he called for backup before he got out of his car. He feared for his life against the 6-foot-4, 290-pound Brown, likening the matchup to "a 5-year-old holding onto Hulk Hogan."

Whether it was a tussle, a wrestling match, witnesses said they saw a confrontation between Brown and Wilson while Wilson was in his police SUV. Accounts varied regarding who was the aggressor, and not everyone heard gunshots that Wilson fired, by his own admission. But everyone saw Brown suddenly take off running east behind the car.

What happened after Wilson stepped out of his car is unclear. Several witnesses testified that Wilson began shooting while Brown was running away from him.

One witness claimed to watch from a bedroom window as Wilson shot at Brown as he ran in the opposite direction (volume 7, page 18). By the time the witness ran outside for a better look, Brown was "bent down" and facing Wilson with his arms tucked on his stomach, "so I'm thinking now he's shot," the witness told the jury.

Another witness supported that claim, saying in an audio recording played for the grand jury that Wilson immediately began shooting after emerging from his vehicle (volume 7, page 86). The witness also said that a bullet appeared to strike Brown, "jerking his body."

A different witness testified that Wilson got out of the vehicle with his gun drawn but did not point it at Brown until Brown turned around to face him (volume 6, page 166).

Did Brown raise his hands in surrender?

What happened after Brown turned around is also hotly disputed. Were his hands up -- as in clearly raised up and out -- in surrender? Or were his palms up, meaning was he looking at his body with his arms near his sides, not necessarily in a conciliatory gesture? Or, did he put his hand in the waist of his pants, as if moving toward a gun, as Wilson testified?

The same witness who said Wilson did not open fire on Brown as he ran away also said that Brown made absolutely no motion to surrender.

"He stopped. He did turn, he did some sort of body gesture," the witness testified. But "it was not in a surrendering motion."

"I could say for sure he never put his hands up after he did his body gesture, he ran towards the officer full charge. The officer fired several shots," the witness told the grand jury (volume 6, pages 166-167). In an earlier police statement, the witness admitted that his version differed from what others claimed to see, as bystanders traded stories on the street in the immediate aftermath.

The same witness who claimed to see Brown's body jerk from a gunshot said Brown turned around and put his hands up.

"And, the officer walks up to and continues to just shoot, shoot him until he falls to the ground," the witness said.

"Even though his hands were up?" a detective asks on the recording.

"Yes."

Did Brown charge at Wilson?

Wilson testified Brown came at him after turning around to face him.

"As he is coming towards me, I tell, keep telling him to get on the ground, he doesn't. I shoot a series of shots," he told the grand jury.

At least one witness agreed with Wilson, the one who said Brown ran toward the officer "full charge." Those who testified that Brown already had been wounded said the charge was more like a wounded stagger.

"He was going down definitely," said the witness watching from the balcony. "And, the officer just let out a few more rounds to him and he hit the ground and that's when I seen blood." (volume 7, page 21)

As he was taking small steps "like he was stumbling," the officer "lets out some more shots and that's when he hit the ground," the witness testified.

Another witness said Brown made it about 25 to 30 feet when he turned to face the officer, who had exited his vehicle by then, and Brown raised his hands, "but he didn't raise them all the way up."

As Wilson yelled "stop," Brown took two to three steps forward and "pow, pow," the witness said in a police statement that was read aloud to the grand jury.

Wilson staggered forward with the "weirdest look on his face," the witness told police -- not a menacing look, but "like he's coming to him like to plea with him stop."

Wilson continued yelling "stop," but Brown stumbled forward "real slowly," hunched forward and rocking back and forth as if he were in pain.

Wilson fired again, the witness said. "And as he was going, he kept firing. He kept firing. Until he hit the ground."

That last set of rounds was what set off everyone who was watching, the witness said. Brown was already down. Did Wilson have to keep shooting?

"He was, to me and I'm going to say it, he was executed," the witness said of Brown. "Maybe he got caught up in the heat of the moment or whatever was his intention I cannot read that officer's mind, but he did not have to fire that last volley."

Was Wilson credible?

This grand jury had something most grand juries don't get -- the man who fired the fatal bullets. Michael Brown, the best witness to cast doubt on his version of events, was dead.

In the end, it came down to whether jurors believed Wilson's self-defense claim -- or if they could find a reason to disbelieve him. Wilson did say he was afraid another blow to the face would knock him out; he also feared Brown would take his gun and shoot him.

In the end, the grand jury appeared to give more weight to Wilson's testimony.

Complete coverage of what's happening in Ferguson

@highlight

Grand jury heard 70 hours of testimony from 60 witnesses, three medical examiners

@highlight

Accounts vary on when Darren Wilson started shooting at Michael Brown

@highlight

Some witnesses said Wilson shot Brown when he was down and no longer a threat

@highlight

Witnesses differed on whether Brown charged Wilson