Lagos, Nigeria (CNN) -- If North Korea is the crying capital of the world, Nigeria holds the aces when it comes to smiling and laughing. It's not simply anecdotal evidence.

Nigeria has been adjudged a happiness-ridden country at least twice in recent years. In 2003, the UK's New Scientist magazine conducted a survey that found that Nigeria had the highest percentage of happy people in the world. Seven years later, another survey, a Gallup poll this time, found that Nigeria had the world's highest rates of optimism.

Now don't ask me about the methodology of measuring Gross Domestic Happiness, or assembling an Optimism Index. What is not in doubt is this: the appearance of Nigeria -- an oil-rich, natural-disaster-starved, fertile-land-suffused country where 70% of the population survives on less than $2 per day -- at the top of these surveys, seven years apart, must mean something.

Months ago, while at school in England, a Taiwanese friend observed the enduring optimism of the Nigerian soul, telling me Nigerians were fond of saying things would work out fine. The Taiwanese, she explained, were a lot less sanguine. Decades ago Afrobeat musician and 'prophet' Fela Anikulapo Kuti saw this.

The saxophone-wielding sociologist-of-the-streets recorded "Suffering & Smiling'"as a testament to the never-say-die Nigerian spirit; to the remarkable capacity of the Nigerian soul to look beyond the prison wall and see, at midnight, a sun that not only hadn't risen but was not actually slated to rise.

The song accuses organized religion (Christianity and Islam) of brainwashing Nigerians into a delusion-filled contentment with a dysfunctional status quo. "Suffer suffer for world, enjoy for heaven," Fela chants, in that timeless masterpiece.

Is a 'Nigerian Spring' next?

Commercial buses in Lagos are mobile placards, bearing text drawn from Holy Books, local sayings and conventional wisdom. "One with God is a majority." "The downfall of a man is not the end of his life." "It is well." The most popular, "No condition is permanent," says it all; succinctly capturing the psyche of a people who delight in trading grass-to-grace stories.

Most fascinating are the ones that involve a sudden turn-around: the man who last week didn't know where the next meal was going to come from, but who today is feeding thousands at a party to celebrate his appointment as a Government minister.

Pentecostal churches devote a chunk of their services of "testimonies" -- dramatic renderings of miraculous divine interventions. President Jonathan's most memorable campaign message involved juxtaposing his shoeless childhood with his adult influence. Yes, Obama did something similar (his father's humble beginnings in Kenya), but there was a difference: in Jonathan's version there was the subtext of a God-ordained destiny.

It was no ordinary "only-in-Nigeria-is-this-possible-by-dint-of-aspiration" story. Nigerians, you see, are strong believers in the concept of a divinely-ordered "destiny" (not saying this is unique to us, though), strongly linked to the names we're given at birth. (We must be the only country in the world whose President is named "Goodluck.")

It is because of this gift of nature that you will find Nigerians insisting -- erroneously, of course -- that suicide, like homosexuality, and revolutionary uprising, is an un-Nigerian act. This explains why you'll find Nigerians who insist that the Christmas Day bomber failed not because he was incompetent, but because he was Nigerian, and couldn't process the thought of a self-inflicted death. And this is why, when a lone suicide bomber attacked the Nigeria Police headquarters in Abuja last June, early reports said he was from a neighboring country.

Nigeria's oil economics fuel deadly protests

In light of the foregoing you can understand why, when the Arab spring commenced, a common topic of discussion amongst Nigerians was "Is this possible in Nigeria?" "Can Nigerians rise up in protest against their governments?" It was often asked in a rhetorical tone, questioner assuming the answer to be 'No'.

Explanations would follow: Nigerians are too docile, too easily compromised, too steeped in hopes of an approaching -- and almost inevitable -- turn-around in their fortunes. There is apparently such a thing as an "adjustment bureau", founded, staffed and headquartered in Nigeria, which helps citizens, like the fabled frog, to consistently adjust to the rising temperature of boiling water. In our case until the time when, by divine intervention, the heat is turned off.

It is therefore with surprise that I have observed, and participated in the series of public protest rallies now known as 'Occupy Nigeria' -- tens of thousands of Nigerians across the country and in the Diaspora, trooping to the streets to protest the insensitivity of a government that cut fuel subsidies benefiting a largely poor population whilst itself guilty of astonishing levels of profligacy.

At one of the rallies, a man, told me that not even the protests that followed the annulment of the June 12, 1993 elections -- arguably the most significant act of subversion of the will of the Nigerian people in recent history -- drew such crowds. Had June 12 drawn those crowds, he said, things would have turned out differently.

What is behind Nigeria fuel protest?

So what has changed? What, in the collective Nigerian DNA, has undergone a mutation? Why are people trooping to the streets in an unprecedented manner, seeking to register their opposition.

We'd have to turn to Tahrir Square in Cairo, and the Arab Spring, for some explanation. All of last year we were treated, via Al-Jazeera and CNN, to real-time scenes of dictators literally toppling from their thrones. Those images are powerful, and I think they filed themselves in our subconscious, awaiting such a moment as this.

When the moment came, with the 110% rise in fuel prices on New Year's Day, I suspect that an exhuming started happening, of the buried images of people power from last year. Nigerians, with some tentativeness at first, and then with increasing boldness, seemed eager to not be left out of the wave of people power that has gripped their continent, everywhere from Tunis to Cairo to Kampala.

Nigeria cuts fuel prices after national strike

And then of course the internet provided a platform for the accumulation and direction of the anger and frustration. While it may be true that the internet is currently being used only by a minority of Nigerians, it appears that that minority is more significant than we all assumed, because all of those online people are connected to the larger society, and are thus able to channel the information and energy that effortlessly pools online.

The numbers I saw last week at the Gani Fawehinmi Memorial Park in Lagos were astonishing, and hugely inspiring. And it grew by the day. By Thursday the spots where my friends and I stood comfortably on Tuesday had been taken over. And this was happening in cities all across the country.

It is still too early to know the full extent of what this means for Nigeria's rather uncertain future. But one thing is not in doubt, Nigerians, experts at suffering and smiling, surprised themselves last week.

The opinions expressed in this commentary are solely those of Tolu Ogunlesi

@highlight

Tolu Ogunlesi found 'God-ordained destiny' mindset used to stop Nigerians from uprising

@highlight

But to his surprise, recent protests against the fuel price hike proved something different

@highlight

The Arab Spring has inspired Nigerians to express their opposition, said Ogunlesi

@highlight

Ogunlesi also pointed out that the internet is key in directing public opinion in Nigeria