(CNN) -- The hard-nosed stance taken by Mayor Rahm Emanuel in the Chicago teachers' strike dovetails with the education goals of his former boss, President Barack Obama, but observers disagreed Monday over how well it serves the city's schoolchildren.

Critics such as Fordham University professor Mark Naison say Emanuel is slavishly following the Obama administration's educational policies to the detriment of children and teachers.

"It makes teachers look at students as their adversaries," said Naison, who works with public school teachers as part of the Bronx African American History Project and is a professor of African American Studies and History at the university.

"It makes teachers hate their jobs and it makes students not want to go to schools, because all you do is study for bubble tests," he said, referring to computer-scored standardized tests.

But the mayor's supporters see teachers desperately trying to hold on to their jobs amid a challenging environment that mixes rising calls for accountability with falling budgets.

"The only negative consequence, if you think about it as negative, is that some people are going to lose their jobs. And maybe rightly so," said Juan Rangel, CEO of United Neighborhood Organization, a nonprofit that manages 13 largely Latino charter schools in Chicago.

Chicago's 30,000 school teachers were in the second day of a strike Tuesday after 10 months of negotiations failed to reach a deal.

Emanuel came out swinging in his fight with the union -- typically a reliable part of the Democratic base -- saying Monday that educators had opted for what he called an unnecessary strike that could endanger the futures of 350,000 children.

The former Obama chief of staff backs Chicago Public Schools administrators who want to evaluate teachers in large part based on student performance on standardized tests and maintain the authority of local principals to hire anyone they choose for job openings.

The question of changing how teachers are evaluated -- for the first time in decades in Chicago, according to Emanuel -- has emerged as the central issue of the strike.

And Emanuel's position is straight out of the Obama's administration playbook, said Naison, who is critical of the mayor's stance.

"Rahm Emanuel is very faithfully following the strategy for urban school systems outlined in the Obama administration's signature education policy, which is his race-to-the-top initiative," he said.

Key issues behind the strike

The idea is that by rating teachers on student test scores and closing failing schools, bad teachers will be weeded out and students will get a better education, he said.

The Obama initiative attempts to apply a business model to public education, according to Naison.

"They're trying to see if by putting pressure on teachers to raise student test scores, they can reduce the performance gap between schools in poor neighborhoods and schools in more affluent neighborhoods," he said.

But the results have brought unintended consequences that may be worse than the putative reforms, Naison said.

Schools in danger of closing have cut recess, gym, arts and music, he said, and the atmosphere at many schools has been poisoned.

"Basically, all kids do is study for the test all day, which is the only way you have any chance of teachers keeping their jobs and administrators keeping schools open," Naison said.

"What the Chicago teachers have done is say enough is enough," he said.

Voices of the Chicago Public Schools strike

Rangel, the United Neighborhood Organization CEO, said Emanuel has "done an outstanding job in putting forth a reform agenda for education.

"When you have change, it's going to inconvenience people," he said.

Rangel, whose organization manages the UNO Charter School Network, dismissed Naison's criticism that schools end up doing little but "teaching to the test."

"The reality is this," he said. "At some point, we have to be able to assess the progress of children, and we do that through testing."

Those opposed to the plan "just don't want to be held accountable to standards," he said. "The only negative consequence, if you think about it as negative, is that some people are going to lose their jobs. And maybe rightly so."

The conflict underscores the Democratic Party's new openness to changes, such as charter schools and teacher accountability, that labor historically has not supported, said Timothy Knowles, director of the University of Chicago's Urban Education Institute.

"You've got three factors -- labor, new Democrats, and you've got no money -- and that, it turns out, is combustible."

Naison said the policies favored by Obama and Emanuel have gained traction among Democrats because they appear to be a low-risk way to bring in campaign donations from the corporate world.

Romney, Obama spar over strike

"It makes perfect sense that Emanuel pushes this, because this policy makes money for the Democratic Party," he said. "The big funders love it. Teachers hate it, but teachers don't have anywhere else to go, right? They're not going to go Republican."

"So, if you look at this fairly cynically, you can beat on teachers without undermining the Democratic Party base that much and bring in much-needed financing from the corporate sector. Emanuel is at the forefront of both," he said.

He called teachers "collateral damage to the Democratic Party's fundraising strategy."

Still, Naison accused Emanuel of hubris for thinking he could impose his plan on teachers. "When the teachers balked, I'm sure he figured, 'I'm an incredibly popular mayor; teachers are pretty unpopular now; they'll cave.' Well guess what? They didn't."

Emanuel also has faced criticism that he is stretched too thin. He recently stepped down as a co-chair of Obama's re-election campaign to take on a key role raising money for the campaign through the Priorities USA Action super PAC.

Rangel said the criticisms are off the mark.

"He certainly knows how to multitask," Rangel said. "I think he can do this -- and more."

In a statement, Emanuel spokesman Thomas C. Bowen implied -- but did not state explicitly -- that his boss was shifting away from his role as a fundraiser for the Democratic super PAC Priorities USA Action.

"The Mayor's first priority is the residents of the City of Chicago," Bowen said in the statement. "He is committed to reelecting the President, but he must focus on his job as Mayor right now."

Emanuel himself addressed the issue Monday.

"Don't worry about the test of my leadership; that gets tested every day," he told reporters in Chicago. "The only test that matters to me is the test these kids take on whether, when you've got a kid going into first grade, do they know the letters? By third grade, can they read? By fourth grade, can they do the basic math? That's the test that matters here."

The battle is being watched closely around the country, Knowles said.

"Mayors want to know if a hard-charging, reform-oriented stance toward labor will prevail," he said. "And, likewise, labor wants to know whether a dig-in-our-heels-and-fight-and-be-willing-to-go-to-the-streets-and-take-job action will prevail."

Teachers: Why do you teach?

@highlight

The combination of labor, new Democrats and no money called "combustible"

@highlight

"The big funders love it. Teachers hate it," Fordham University professor says

@highlight

"What the Chicago teachers have done is say enough is enough," he adds

@highlight

"People are going to lose their jobs ... maybe rightly so," head of charter school network says