Editor's note: The Rev. Robert Barron is Francis Cardinal George Professor of Faith and Culture at Mundelein Seminary and author of several books, including "Eucharist," "Word on Fire: Proclaiming the Power of Christ" and "The Priority of Christ: Toward a Post-Liberal Catholicism." Barron is the director of WordOnFire.org, a global media ministry based in Chicago, Illinois. For another view on this topic, read here.

The Rev. Robert Barron says celibacy sets the priest apart as a symbol of the world to come.

(CNN) -- The scandal surrounding the Rev. Alberto Cutie has raised questions in the minds of many concerning the Catholic Church's discipline of priestly celibacy. Why does the church continue to defend a practice that seems so unnatural and so unnecessary?

There is a very bad argument for celibacy, which has appeared throughout the tradition and which is, even today, defended by some. It goes something like this: Married life is spiritually suspect; priests, as religious leaders, should be spiritual athletes above reproach; therefore, priests shouldn't be married

This approach to the question is, in my judgment, not just stupid but dangerous, for it rests on presumptions that are repugnant to solid Christian doctrine. The biblical teaching on creation implies the essential integrity of the world and everything in it.

Genesis tells us that God found each thing he had made good and that he found the ensemble of creatures very good. Catholic theology, at its best, has always been resolutely, anti-dualist -- and this means that matter, the body, marriage and sexual activity are never, in themselves, to be despised.

But there is more to the doctrine of creation than an affirmation of the goodness of the world. To say that the finite realm in its entirety is created is to imply that nothing in the universe is God. All aspects of created reality reflect God and bear traces of the divine goodness -- just as every detail of a building gives evidence of the mind of the architect -- but no creature and no collectivity of creatures is divine, just as no part of a structure is the architect.

This distinction between God and the world is the ground for the anti-idolatry principle that is reiterated from the beginning to the end of the Bible: Do not turn something less than God into God.

Isaiah the prophet put it thus: "As high as the heavens are above the earth, so high are my thoughts above your thoughts and my ways above your ways, says the Lord." And it is at the heart of the First Commandment: "I am the Lord your God; you shall have no other gods besides me." The Bible thus holds off all the attempts of human beings to divinize or render ultimate some worldly reality. The doctrine of creation, in a word, involves both a great "yes" and a great "no" to the universe.

Now there is a behavioral concomitant to the anti-idolatry principle, and it is called detachment. Detachment is the refusal to make anything less than God the organizing principle or center of one's life.

Anthony de Mello looked at it from the other side and said "an attachment is anything in this world -- including your own life -- that you are convinced you cannot live without." Even as we reverence everything that God has made, we must let go of everything that God has made, precisely for the sake of God.

This is why, as G.K. Chesterton noted, there is a tension to Christian life. In accord with its affirmation of the world, the Church loves color, pageantry, music and rich decoration (as in the liturgy and papal ceremonials), even as, in accord with its detachment from the world, it loves the poverty of St. Francis and the simplicity of Mother Teresa.

The same tension governs its attitude toward sex and family. Again, in Chesterton's language, the Church is "fiercely for having children" (through marriage) even as it remains "fiercely against having them" (in religious celibacy).

Everything in this world -- including sex and intimate friendship -- is good, but impermanently so; all finite reality is beautiful, but its beauty, if I can put it in explicitly Catholic terms, is sacramental, not ultimate.

In the biblical narratives, when God wanted to make a certain truth vividly known to his people, he would, from time to time, choose a prophet and command him to act out that truth, to embody it concretely.

For example, he told Hosea to marry the unfaithful Gomer in order to sacramentalize God's fidelity to wavering Israel. Thus, the truth of the non-ultimacy of sex, family and worldly relationship can and should be proclaimed through words, but it will be believed only when people can see it.

This is why, the Church is convinced, God chooses certain people to be celibate. Their mission is to witness to a transcendent form of love, the way that we will love in heaven. In God's realm, we will experience a communion (bodily as well as spiritual) compared to which even the most intense forms of communion here below pale into insignificance, and celibates make this truth viscerally real for us now. Though one can present practical reasons for it, I believe that celibacy only finally makes sense in this eschatological context.

For years, the Rev. Andrew Greeley argued -- quite rightly in my view -- that the priest is fascinating and that a large part of the fascination comes from celibacy. The compelling quality of the priest is not a matter of superficial celebrity or charm. It is something much stranger, deeper, more mystical. It is the fascination for another world.

The opinions expressed in this commentary are solely those of the Rev. Robert Barron.

@highlight

The Rev. Robert Barron: Why does Church back practice that seems unnecessary?

@highlight

He says he rejects the "marriage is spiritually suspect" defense of celibacy

@highlight

But celibacy sets the priest apart as a symbol of another world, he says