Just four Formula One drivers turned up to Roland Ratzenberger's funeral after his death during qualifying for the San Marino Grand Prix on April 30 1994.

The 33-year-old Austrian driver's passing was overshadowed by events that took place 24 hours later when three-time world champion Ayrton Senna was killed in Sunday's race at the Imola circuit.

On the 20th anniversary of that tragic weekend, it's Senna's death that still haunts the sport while Ratzenberger's fate has largely been ignored.

"He's the forgotten man of Formula 1," said former track rival Johnny Herbert, who was one of the drivers at Ratzenberger's funeral. "Forgotten to many, but not to me."

Ratzenberger was competing in only the third grand prix of his F1 career when the mountings on his Simtek car's front wing became dislodged on his warm-up lap after hitting a curb in qualifying.

Exiting the Tamburello corner, which would become synonymous with Senna's fatal accident, on the next lap, the wing broke and he went careering into a concrete wall at the Villeneuve Curve head on at 200 mph.

While Senna's death spawned all manner of books and an eponymous documentary of his life, Ratzenberger's was a mere snapshot in that superb film.

And while an estimated three million people flocked to the streets of Sao Paulo for Senna's funeral, about 250 people were in Salzburg as Ratzenberger was laid to rest.

Herbert was among them, paying his respects to a friendship that first started in 1985 when the pair were vying for victory in the prestigious Formula Ford Festival in England.

"I always think about Roland," three-time grand prix winner Herbert told CNN. "I miss him even now. I think about him at certain points particularly at the European races. Monaco's always one.

"The year before he died we had a nice dinner there -- then he was trying to get into F1. I remember him saying he was the better driver and I'd only got into a drive with money. I was like 'bad luck, I'm here you're not', that's just the kind of craic we had.

"He was a good friend, and we'd spoken of our dreams for many years. I'd got to F1 before him but that season it was great to see him. He had this very happy face, he had that 'I got there' face."

Family tragedy

Rudolf and Margit Ratzenberger moved into their son's Salzburg flat after his death as a way of ensuring their son's memory is not forgotten.

The home is littered with motorsport trophies from the junior formulae in Japan, Germany and England, pictures of their seemingly ever-smiling son on the mantelpiece.

The couple have been to Imola just once since their son's death 20 years ago to see the place where he lost his life but they will return this year for a four-day memorial to their son and Senna.

"It's still heavy," says Rudolf in broken English, "but this year we return. It's a celebration of his life, a memory. Yeah, it will be difficult to go back.

"It's 20 years since, 20 years of Roland living in that moment. But we live in his flat so Roland is always by us.

"But we also say goodbye to Senna, whose death was very difficult for us too, very heavy, especially when we heard he had the red flag of Austria in his car he planned to fly from the cockpit for the win for Roland.

"That's a very special moment for us amid the sadness."

Rudolf admits time has been a healer and that there is no bitterness towards the sport.

"We were just happy that he'd achieved his dream to be a driver in Formula 1," he added.

"It had been a long time driving in Japan, Germany and England to get there. I didn't see one of his grands prix.

"I've never wished that he didn't do Formula 1, no, because that was what he wanted to do, that was his dream. We were very happy for him, it was what he loved to do."

Ratzenberger, who was so delighted on making it to F1 he handed out pin badges with his helmet on it to supporters, is buried in the family grave with a small replica of his helmet and a picture of him on the tombstone, with the final words summing up his father's aforementioned words translating as "he lived for his dream."

Horror crash

The couple were at home having just returned from holidaying in Mexico and were watching qualifying in bed when the tragedy struck.

They watched as their son came to a halt, his head slumped to one side, part of the car's monocoque ripped aside before later footage showed his heart being pumped by the medical crews.

"I remember his head being sloped to one side and part of the monocoque was open," recalled Herbert. "I remember thinking I'd just hoped he'd been knocked out. Sadly that wasn't to be.

"It was so sad as he was such a nice guy but at least he died doing what he loved doing. I know he knew the risks, we all did.

"If that had happened to me, he would have wanted the others to carry on, which we did in the end. Yes, he died too early and it was so unfair but it was something we accepted although you never thought about it."

Author and journalist Maurice Hamilton was commentating at the time of the crash for BBC Radio.

"I'd only met Roland once at the previous race weekend in Aida in the Austrian TV commentary box," said Hamilton.

"I was struck by his nice smile, he was very handsome. It doesn't take long to get a first impression of someone and mine was very good.

"When the crash happened, it looked bad, it was such a vicious crash. There wasn't a lot you could say at the time in commentary.

"I then went back to the press room to write it up for the Observer newspaper and it was then the announcement was made. I remember the mood was absolutely terrible.

"I'd been in the sport long enough to have experienced deaths before but it was still such a shock, the first F1 driver death for 12 years."

Herbert, Gerhard Berger, Heinz-Harald Frentzen and Karl Wendlinger were the only F1 drivers of that time to attend Ratzenberger's funeral, along with then FIA president Max Mosley.

In defense of his F1 peers, Herbert says, "no one really knew him but also people had different ways of dealing with things.

"Eddie Irvine for example decided not to go to either Ayrton or Roland's funerals. I decided it was important to pay my respects to a guy I don't think had a single enemy".

Herbert continued: "He was almost a gentleman racer of a bygone era. In those early days, he was the driver, team boss and mechanic all in one. He deserved his break in F1 and he got it.

"It's just such a tragedy even today."

The sport paid its respects at the subsequent race in Monaco, with a Brazilian flag laid out and an Austrian flag painted in the front-row grid positions.

The Simtek team, meanwhile, committed to the rest of the season with the words 'For Roland' written on the car's airbox.

But whereas Senna is understandably still revered and often talked about, Ratzenberger's memory has faded over the past two decades to all but a few.

@highlight

Roland Ratzenberger died in qualifying on the same tragic weekend as Ayrton Senna

@highlight

The 33-year-old hit a wall at 200 mph at the Imola circuit

@highlight

His former friend and rival Johnny Herbert calls him 'the forgotten man of F1'

@highlight

Austrian driver's parents plan return to Imola to mark the 20th anniversary of his death