(CNN) -- Steve Jobs, who resigned as CEO of the world's largest tech company late Wednesday, is often identified as the singular face of Apple -- the man who is the energy and creative spirit behind the company.

But Apple is much more than just Steve Jobs.

Jobs himself has said so in the past.

"Apple is an incredibly collaborative company," Jobs said in an onstage interview at a tech conference last year. "We're organized like a startup. We're the biggest startup on the planet."

Not everyone buys this argument, of course, and Apple stocks fell 5% in after-hours trading on Wednesday after his resignation was announced in a letter. Jobs has been elected as Apple's chairman, but some observers question how much he will be able to contribute due to health reasons.

The 56-year-old went on a medical leave of absence earlier this year, his third time as CEO.

At the AllThingsD tech event last year, Jobs boasted that Apple's corporate structure doesn't include committees, which is a common practice among big business for distributing the responsibility for strategy among key executives. A different person leads each hardware, software and business division, he said.

"Teamwork is dependent on trusting the other folks to come through with their part without watching them all the time," Jobs said at the time. "We're great at figuring out how to divide things up into these great teams that we have and all work on the same thing, touch bases frequently and bring it all together into a product."

Furthermore, Apple has a succession plan in place.

Tim Cook, the operations wizard who is replacing Jobs as CEO, already has proven himself an adept manager. Cook filled in as interim CEO during Jobs' three medical leaves. Jobs announced his most recent absence in January, and Cook has taken over his duties since then. Apple has set business performance records during every quarter this year.

In his resignation letter, Jobs wrote that he strongly recommended Cook's appointment.

"I believe Apple's brightest and most innovative days are ahead of it," Jobs wrote. "And I look forward to watching and contributing to its success in a new role."

"Steve's extraordinary vision and leadership saved Apple and guided it to its position as the world's most innovative and valuable technology company," Art Levinson, an Apple board member, said in a statement, adding that the board "has complete confidence that Tim is the right person to be our next CEO."

The CEO of any company has an important role, but Apple is structured in a way where it's less so, according to Jobs.

Jobs' influence touches practically all facets of the company, analysts say. In the onstage interview, Jobs described his role as having to meet with the various units and contribute ideas. But what features make it into the next iPhone or iPad is often determined by the people who are dedicated to working on their respective products, he said.

"If you want to hire great people and have them stay working for you, you have to let them make a lot of decisions, and you have to be run by ideas, not hierarchy," Jobs said. "The best ideas have to win, otherwise good people don't stay."

At Apple, the good people Jobs is referring to are part of the "top 100," a group that convenes regularly at off-site locations to share ideas, according to a recent Fortune article. A smaller group of executives also meets weekly to discuss the business, Jobs said.

"We all meet for three hours once a week, and we talk about everything we're doing," Jobs said. "And there's tremendous teamwork at the top of the company, which filters down to tremendous teamwork through the company."

As Jobs' managerial presence dwindles, Apple is in no immediate danger, because his thinking has been ingrained into many of the company's 46,600 employees, industry analyst Tim Bajarin said in a statement.

Apple outlines its product plans five years in advance and "has a deep bench of executives who know how Steve Jobs thinks, what his vision is for the next decade and are more than capable," Bajarin wrote.

Jobs and others have indicated that Apple is poised to continue producing popular products, and so most consumers won't notice a change, Sarah Rotman Epps, a Forrester Research analyst, said in a recent interview.

"I don't think the average person cares what's going on with Apple's leader," she said.

Apple is driven by "core values," Jobs said last year, not by one man. "We have the same values now, as we had then," he said. "We're a little more experienced, certainly beat-up, but the core values are the same."

@highlight

Apple founder Steve Jobs says he is not the sole decision maker at Apple

@highlight

Jobs resigns as CEO of Apple, appointing Tim Cook who is familiar with that role

@highlight

Apple is organized in a way so that many people share responsibilities, Jobs says