(CNN) -- South Sudan appealed for international aid for a remote region that has been under attack by roaming fighters, as thousands of residents fled into the bush to avoid the violence.

The government declared Jonglei state a "humanitarian disaster area" and called on international aid agencies to help provide urgently needed assistance.

It is not yet clear how many people have been killed or injured in the violence.

The United Nations said Thursday it was mounting a "massive emergency support programme" to help those displaced by fighting.

The organization sent a battalion of peacekeepers to the area last week amid reports that members of the Lou Nuer tribe were marching toward two towns which are home to the rival Murle tribe.

The Lou Nuer fighters, who numbered 6,000 to 8,000, have now agreed to leave the area following "intensive negotiations," a United Nations statement released Thursday said.

But as many as 50,000 people who fled their advance on the towns of Likuangole and Pibor now need food, water and shelter.

"The situation in humanitarian terms is grim," U.N. Humanitarian Coordinator Lise Grande is quoted as saying.

"They haven't had food; they haven't had access to clean water. In a number of cases, some of the people are wounded. They haven't had shelter. As the day progresses, you can see hundreds of people coming back into town and there is no question they are in trouble."

The U.N. World Food Programme has already delivered food supplies for some of the most vulnerable, including children, the statement said.

Grande said the United Nations had helped evacuate citizens from the area and avert a greater crisis.

Ethnic tensions in Jonglei state have flared as tribes fight over grazing lands and water rights, leading to cattle raids and abduction of women and children.

Government officials have urged the two ethnic groups to return women and children abducted in the spate of violence.

More forces will be deployed and a committee established to push for reconciliation between the two groups, according to government spokesman Barnaba Marial Benjamin.

Kouider Zerrouk, a spokesman for the UN Mission in South Sudan (UNMISS), said Thursday that the United Nations was "beefing up" its presence across Jonglei state in support of government efforts.

Zerrouk said the situation was now calm but UNMISS was operating daily land and air patrols to deter further violence and ensure the Lou Nuer fighters did leave the area.

The mission would also help the South Sudan authorities transport about 800 additional police to the area, he said in a statement.

Jennifer Christian, Sudan policy analyst with the Enough Project, said that while it's important to get emergency food and medical aid to those affected, a longer-term strategy is needed to avoid future violence.

"The underlying, largely economic, causes of this cycle of inter-communal violence must be addressed to ensure permanent peace and stability in Jonglei state," Christian said.

"In Jonglei, cattle is currency. For instance, young men need cattle to pay dowry prices and marry. A lack of access to basic services and economic opportunities compounds the reliance of Jonglei's communities on this cattle economy, which, in turn, fuels conflict associated with cattle raiding," she said.

The international community should work to support the South Sudan government in developing its security forces and judicial system, she added.

As residents fled the fighting last weekend, the United Nations said peacekeepers were having trouble accessing the rugged and isolated region, which is surrounded by thick forests.

"The problem we faced in this particular region of Jonglei state was one of access, because there are no roads, because of insufficient helicopters," said Herve Ladsous, the U.N. peacekeeping chief. "So we did reinforce our available staff there. The government of South Sudan itself is trying to do the same, but facing the same constraints."

The violence in Jonglei state is the latest to rock South Sudan, which officially gained its statehood in July after separating from neighboring Sudan to the north.

Decades of civil war between the north and south, costing as many as 2 million lives, ended with a U.S.-brokered peace treaty in 2005.

But before South Sudan gained independence in July, human rights monitors expressed concerns that long-standing grievances could end in violence consuming the region again.

The United Nations estimates that more than 1,100 people died and 63,000 were displaced last year by inter-communal violence in Jonglei state, not taking into account the latest clashes.

CNN's Moni Basu, Nima Elbagir and Laura Smith-Spark contributed to this report.

@highlight

NEW: The United Nations says it is providing emergency help to those most in need

@highlight

At least 50,000 people have fled violence in Jonglei state

@highlight

The government declares the state a "humanitarian disaster area"

@highlight

Ethnic tension flares as tribes fight over grazing lands and water rights