An internal Veterans Affairs audit released Monday said tens of thousands of newly returning veterans wait at least 90 days for medical care, while even more who signed up in the VA system over the past 10 years never got an immediate appointment they requested.

The review provides a more complete picture of widespread problems at the agency's health care facilities -- as reported by CNN over the past seven months -- than preliminary findings last month that led to the resignation of Veterans Affairs Secretary Eric Shinseki.

"This data shows the extent of the systemic problems we face, problems that demand immediate actions," said acting VA Secretary Sloan Gibson, who took over after Shinseki stepped aside.

Deadly waits

Reports of the sometimes fatal waits, with the VA acknowledging 23 deaths nationwide due to delayed care, sparked public anger over problems at the VA that have existed for years.

Despite efforts to address some issues in recent years, including reductions in backlogs for benefits and the number of homeless veterans, the long waits have continued for newly enrolled veterans to get initial appointments for care.

Reasons for the chronic problems include the increasing number of veterans returning from wars in Iraq and Afghanistan, and a bonus system that rewarded managers for meeting goals regarding access to treatment.

14-day goal "not attainable"

The audit findings, covering 731 VA facilities nationwide and based on interviews with more than 3,700 staff members, said a 14-day goal for providing care to newly enrolled veterans proved "simply not attainable" due to growing demand and a lack of capacity.

"Imposing this expectation on the field before ascertaining the resources required and its ensuing broad promulgation represent an organizational leadership failure," it said of the deadline imposed under Shinseki.

According to CNN's previous reporting, managers in Phoenix and elsewhere used secret waiting lists to cover up the amount of time it took for veterans to get appointments.

"In some cases, pressures were placed on schedulers to utilize unofficial lists or engage in inappropriate practices in order to make waiting times appear more favorable," said a fact sheet released with the audit.

At the same time, the audit said that questions it posed "were not worded to ascertain the reason that policy may have been violated," adding that its findings "cannot be extended to identify deliberate deception, fraud, or malfeasance."

Keyword search the audit

The figures in the audit -- 57,436 newly enrolled veterans facing a minimum 90-day wait for medical care; 63,869 veterans who enrolled over the past decade requesting an appointment that never happened -- show the scope of the problem.

At the same time, both figures represent about 1% of the total 6 million or so appointments in the VA system now, and don't reflect possible changing circumstances, such as enrolled veterans who seek care at a different facility than the one where they first  signed up.

Gibson's statement said the VA has contacted 50,000 veterans "to get them off of wait lists and into clinics" so far, and planned to contact another 40,000.

Steps taken

Other steps he announced included:

•Removing the 14-day scheduling goal.

•Suspending all performance awards for VHA senior executives for fiscal year 2014, which runs through September.

•A  hiring freeze at VA central headquarters in Washington and the 21 VHA regional offices, "except for critical positions to be approved by the secretary on a case-by-case basis."

•A new patient satisfaction measurement program.

•Ordering an independent, outside audit of VHA scheduling practices across the system. This would differ from a review being conducted by the VA inspector general's office.

•Applying reforms announced for the Phoenix VA facility to others considered the "most challenged."

•Deploying mobile medical units to provide services to veterans awaiting care.

CNN first reported the extensive problems at the Phoenix VA facility, including an interview with a whistleblower who said dozens of veterans died while waiting for care there.

Fatal waits in Phoenix

Changes needed

White House spokesman Josh Earnest said the new audit showed "some personnel changes need to be made and some have already," in reference to Shinseki's departure and some top managers in Phoenix placed on administrative leave.

"It's also clear there need to be some management changes in terms of ... the procedures that the VA has in place to fulfill their responsibilities," Earnest said.

Some in Congress on both sides of the aisle have called for a criminal investigation, and 21 senators sent a letter Monday to Attorney General Eric Holder asking for the FBI to get involved.

"This challenge requires resources that only the Department of Justice can provide in developing and assessing evidence, pursuing leads, and initiating active prosecutions aggressively if warranted," said the letter from 10 Republicans and 11 Democrats.

Bring in the feds

The signers included Kay Hagan in North Carolnia, Mary Landrieu of Louisiana and Mark Pryor of Arkansas -- Democrats from traditionally conservative states who face tough re-election battles in November.

Richard Griffin, the acting VA inspector general conducting his own review of the system, has said he regularly consults with the Justice Department as part of his inquiry.

A Justice spokesperson said Monday that "the department continues to consult with the Veterans Affairs Office of Inspector General regarding their ongoing review."

Declining further comment on an "ongoing matter," the spokesperson said the department "often consults with inspectors general on legal matters and acts on any referrals should they find sufficient predicate for a criminal investigation."

Griffin said on Monday that his office is now looking at 69 VA facilities.

@highlight

Audit confirms widespread scheduling problems at VA

@highlight

CNN first reported on the issue in November, VA Secretary Eric Shinseki resigned over the scandal

@highlight

Twenty-one senators from both parties call for FBI investigation

@highlight

VA acting inspector general says his office is now looking at 69 VA facilities