(CNN) -- All that texting and social networking by teenagers could come back to byte them.

A new study by the Case Western Reserve School of Medicine links poor health behaviors -- including smoking, drinking and sexual activity -- to hypertexting and hypernetworking.

The study defines hypertexting as sending more than 120 messages per school day. Hypernetworking is spending more than three hours per school day on social network sites like Facebook, it said.

"The startling results of this study suggest that when left unchecked texting and other widely popular methods of staying connected can have dangerous health effects on teenagers," said Scott Frank, lead researcher on the study.  "This should be a wake-up call for parents to not only help their children stay safe by not texting and driving, but by discouraging excessive use of the cell phone or social websites in general."

Teenagers are "spending really an excessive amount of time online," he added later during a CNN interview.  By doing so, they are contributing to "high-tech peer pressure."

Hypertexting was reported by nearly 20 percent of the Midwestern teens surveyed, according to the study.

According to the study, teens who are hypertexters are:

-- two times more likely to have tried alcohol

-- nearly 3.5 times more likely to have had sex

-- 40 percent more likely to have tried cigarettes

-- 41 percent more likely to have used illicit drugs

-- 43 percent more likely to be binge drinkers

-- 55 percent more likely to have been in a physical fight

-- 90 percent more likely to report four or more sexual partners

Hypernetworking was less pervasive, at 11.5 percent, but still associated with a similar list of maladies, the study found.

According to the research, these teens are:

-- 60 percent more likely to report four or more sexual partners

-- 62 percent more likely to have tried cigarettes

-- 69 percent more likely to be binge drinkers

-- 69 percent more likely to have had sex

-- 79 percent more likely to have tried alcohol

-- 84 percent more likely to have used illicit drugs

-- 94 percent more likely to have been in a physical fight

Frank noted that minorities, children of parents with less education, and teenagers from homes without a father are more likely to engage in hypertexting and hypernetworking.  He also cautioned, however, that the study "does not demonstrate cause and effect."

"We are not saying texting causes these behaviors," he stressed.  "We can recognize that these kinds of connections ... may be facilitating or enabling these kinds of behaviors, but we certainly can't think of (the online connections) as causing them."

Nevertheless, researchers say the results of the study are so striking that they are giving rise to a new health risk category for the age group.

The study is not the first time texting and social networking have come under fire.  The activities have been blamed for accidents and promoting bad grammar skills.

In January, federal safety regulators proposed a set of guidelines for states to create laws that would ban text messaging while driving.

Under the proposed guidelines, drivers caught typing on a handheld device while behind the wheel would face a minimum fine of $75 and unspecified action against their driving privileges. In cases resulting in serious injury or death, a driving while texting offense could be considered a felony.

A ban on texting behind the wheel has already been enacted in 19 states and the District of Columbia. Seven states have banned the use of all handheld devices while driving.

And educators have long decried electronic forms of communication for gutting written language skills in students, starting with e-mails, expanding to instant messaging and continuing with text messaging and social networking.

But it should be noted that teachers also complained about poor grammar before the internet came to be.

CNN's Alan Silverleib contributed to this report

@highlight

NEW: Study's top researcher cautions there is no proof of cause and effect

@highlight

More than 120 messages a day qualifies as hypertexting

@highlight

More than three hours a day on Facebook would be considered hypernetworking