A federal appeals court Thursday blocked a ruling that deemed the New York Police Department's stop-and-frisk policy unconstitutional, while removing the judge from the case as other appeals are heard.

The three-judge panel of the U.S. Court of Appeals for the Second Circuit said the lower court judge "ran afoul" of requirements that judges avoid even the appearance of impropriety.

Judge Shira A. Scheindlin, the appeals court said, jeopardized "the appearance of partiality ... by a series of media interviews and public statements purporting to respond publicly to criticism of the District Court."

Scheindlin, in a related 2007 proceeding, said, "If you got proof of inappropriate racial profiling in a good constitutional case, why don't you bring a lawsuit? You can certainly mark it as related," adding, "I am sure I am going to get in trouble for saying it, for $65 you can bring that lawsuit," the ruling said.

New York City appealing stop-and-frisk ruling

The ruling also points to interviews with the New York Law Journal, The Associated Press and The New Yorker in which the judge spoke about her personal beliefs on the issue and defended her decision.

The stop-and-frisk policy -- in which police stop, question and frisk people they deem suspicious, even if they've committed no crime -- has been one of the most controversial policing techniques in recent time, fueled by clashes between civil rights and civil liberties groups challenging the practice as racist and illegal. Law enforcement and other proponents say the practice works to reduce crime.

In August, Scheindlin ordered that the stop-and-frisk policy be altered, finding that it is unconstitutional in part because it unlawfully targets blacks and Latinos.

City officials had bristled at the contention that police racially profile suspects and appealed the ruling.

Scheindlin, ruled that the policy violated plaintiffs' Fourth Amendment rights barring unreasonable searches, finding that police made at least 200,000 stops from 2004 to June 2012 without reasonable suspicion. She also found evidence of racial profiling, violating plaintiffs' 14th Amendment rights guaranteeing equal protection.

The panel did not rule on Scheindlin's decision in the case.

Michael A. Cardozo, counsel for the New York City Law Office, applauded the appeals court's ruling.

"We could not be more pleased with the court's findings," he said, because the ruling puts off a decision on the constitutionality of the policy until another judge can weigh in.

The nonprofit organization representing the plaintiffs in the case criticized the ruling.

"We are dismayed that the Court of Appeals saw fit to delay the long-overdue process to remedy the NYPD's unconstitutional stop-and-frisk practices, and we are shocked that they cast aspersions on the professional conduct of one of the most respected members of the federal judiciary and reassigned the case," the Center for Constitutional Rights said in a statement.

Thursday's ruling effectively stalls changes mandated by Scheindlin, who said stops should be based on reasonable suspicion and made in a racially neutral manner.

Her ruling called for the appointment of a former Manhattan prosecutor to develop reforms of the NYPD's policies and a pilot project in which NYPD patrol officers in five precincts -- one in each borough with the most stops in 2012 -- must wear video cameras.

Outgoing Mayor Michael Bloomberg is an outspoken proponent of the policy, saying it saves lives and lowers crime.

NYPD Commissioner Ray Kelly was forced to cancel a speech at Brown University on Tuesday after protesters shouted at him on stage about stop-and-frisk policies.

On Thursday, Kelly said he has been "concerned about the partiality of Judge Scheindlin, and we look forward to the examination of this case."

The controversy about the policy extended into the mayoral race.

Democratic nominee Bill de Blasio, who is heavily favored to win Tuesday, has made his opposition to stop-and-frisk a major campaign issue.

"I'm extremely disappointed in today's decision. We shouldn't have to wait for reforms that both keep our communities safe and obey the Constitution," he said in a statement.

Republican nominee Joe Lhota said, "Bravo! As I have said all along, Judge Scheindlin's biased conduct corrupted the case, and her decision was not based on the facts."

@highlight

A three-judge appeal panel finds a lower court judge "ran afoul of the Code of Conduct"

@highlight

A new lower court judge is to be assigned to the case

@highlight

NYPD's stop-and-frisk policy continues during appeals