WASHINGTON (CNN) -- Thirty-five years since Roe v. Wade, and little, it seems, has changed.

The January 22, 1973, Supreme Court decision legalizing abortion remains the law of the land, and passions remain high on both sides of the issue, with annual protests on the anniversary. Access to abortion, then and now, is more than just about simple legalities. Social, religious and family values, as well as finances and politics, still play a role in shaping the abortion issue, but many legal and medical experts say the debate has become predictable.

"Much of the controversy about abortion is really stimulated by the interest groups on both sides of the political question, rather than by ordinary Americans," said David Garrow, a law professor at Cambridge University, and a longtime Supreme Court scholar. "The American people and many political leaders have already made up their minds about legal abortion."

Public opinion on abortion has remained remarkably stable over the years. A CNN/Opinion Research survey in October found 36 percent of Americans think abortion should be legal in most or all circumstances, 40 percent believe it should be available in a few circumstances, such as to save the mother's life, and 22 percent say abortion should never be legal. That is almost unchanged in the past 15 years.

The Roe decision did not prompt "abortion on demand," as many opponents of the procedure predicted it would. Nor have various legislatures or court rulings restricted access as much as some supporters claim.

New research from the Alan Guttmacher Institute found the rate of abortions is at its lowest level since Roe, and the total number is also in decline, about 1.2 million in the year 2005, down 25 percent since the all-time high in 1990.

For the Supreme Court justices, Roe reflected earlier cases involving the right to privacy. That "right," wrote Justice Harry Blackmun in the main opinion for the court, is "broad enough to encompass a woman's decision whether or not to terminate her pregnancy."

"Prior to Roe," said Garrow, "whether one could obtain a legal abortion in the face of an unwanted pregnancy was a crapshoot. For 30 years now, it's been a constitutionally guaranteed right."

But the ruling was a qualified one, as many anti-abortion supporters have noted over the years, and that fact has been used by them in their efforts to narrow the scope of other abortion provisions. Blackmun noted the state's "important interests in safeguarding health, maintaining medical standards, and protecting potential life" are compelling enough to justify regulation "at some point in pregnancy."

That "qualified right" found its form in the controversial "trimester analysis" laid out by the justices in Roe: permitting no government regulation during the first three months; allowing limited regulation in the second trimester to protect women's health and safety; and granting government the power to ban abortions during the third trimester -- in which medical consensus has concluded the fetus is capable of living on its own.

After Roe, the high court affirmed the right to abortion in subsequent cases: striking down a provision requiring a husband's consent for a first-trimester abortion and a provision requiring parental consent for an unmarried woman under 18; striking down efforts to expand on laws requiring women to give informed consent before having an abortion; striking down a 24-hour waiting period; and striking down a law requiring doctors to inform women of the risks and of assistance available if she completed pregnancy.

But there was one notable victory for anti-abortionist activists: banning use of taxpayer funds to finance abortions for poor women.

The abortion issue has been revisited several times since Roe, most famously in two cases: Webster v. Reproductive Health Services (1989) and Planned Parenthood v. Casey (1992).

Webster (a 5-4 decision) upheld major parts of a Missouri abortion law that prohibited use of public facilities or the participation of public employees in abortions, and required doctors to test the viability of a fetus before performing an abortion.

Justices William Rehnquist, Byron White and Anthony Kennedy said they would allow restrictions on abortion, but only if the restrictions had a rational basis. More important, the three conservative justices said a compelling government interest need not be required to justify restrictions on abortion. That was a blow for anti-abortion forces.

Then came the Planned Parenthood ruling, in which the justices clearly outlined their views on Roe. The decision (also 5-4) reaffirmed the heart of Roe while giving states the power to regulate procedures so long as they did not impose an "undue burden" on a woman's right to abortion. The standard: Undue burden exists if "the purpose and effect is to place substantial obstacles in the path of a woman seeking an abortion before the fetus attains viability." The ruling left supporters on both sides of the issue dissatisfied, feeling it was ambiguous.

Justice Sandra Day O'Connor did not join either opinion, saying there was nothing in it to justify reconsidering Roe. Nevertheless, Blackmun wrote, "the right to reproductive choice" was in danger of being overturned.

Another legacy of Roe that remains: The head-counting of justices on the court, a what-if scenario that could lead to the overturning of Roe. The current 5-4 conservative majority could shift significantly in either direction if two or more justices leave the bench in the next few years, as is widely expected.

In the meantime, conservatives in Congress have promised to push for tougher restrictions on the access to abortion, though many political experts say the goal is not necessarily aimed at overturning Roe.

They found success last year when the justices in a sharply divided 5-4 ruling upheld a federal ban on a controversial a late-term procedure, rejecting concerns the law didn't take into account the physical safety of the mother.

The procedure is typically performed by doctors in the middle to late second trimester. The legal sticking point was that the law lacked a "health exception" for a woman who might suffer serious medical complications, something the justices have said in the past is necessary when considering abortion restrictions.

The swing vote, as in previous cases, came from Kennedy. In angry dissent, Justice Ruth Bader Ginsburg, the lone woman on the high court since O'Connor stepped down, called the majority's conclusions "alarming" and said they "cannot be understood as anything other than an effort to chip away a right declared again and again by this court, and with increasing comprehension of its centrality to women's lives."

If there is one last legacy of the Roe decision, it may be that it opened up and expanded the entire debate on the rights of women, sexuality, health care, and medical decisions. Issues like cloning, stem cells, and fetal research have become part of the national lexicon. As significant as it was, Roe v. Wade was only the beginning of the battle. E-mail to a friend

@highlight

35th anniversary of January 22, 1973, Supreme Court decision Roe v. Wade

@highlight

36 percent of Americans say abortion should be legal in most or all circumstances

@highlight

40 percent believe it should be available in a few circumstances, poll says

@highlight

22 percent say abortion should never be legal, poll says