Editor's note: Joseph Flaherty writes about design, DIY, and the intersection of physical and digital products. He designs award-winning medical devices and apps for smartphones at AgaMatrix, including the first FDA-cleared medical device that connects to the iPhone.

(Wired) -- Many of England's bridges have become pop culture icons—London Bridge inspired a song known by kindergarteners the world over and the Tower Bridge has its own Lego set. However, if architect Thomas Heatherwick has his way, the River Thames will soon have a new plant-filled pedestrian crossing inspired in part by Leonardo DiCaprio. (More on that in a second.)

The Garden Bridge will span the 1,204 foot-wide river and contain 2 million pounds of soil, giving root to 270 trees, as well as innumerable shrubs, bushes, and flowers. The project is led by actress Joanna Lumley, star of the cult favorite Absolutely Fabulous. Inspired to commemorate Princess Diana's death, she labored for over a decade establishing a trust to secure financing and political support.

As pedestrians proceed, stately oaks and manicured shrubs will dot the landscape. In 2012 she turned to architect Thomas Heatherwick, who crafted the cauldron for the London Olympics and successfully redesigned the city's iconic double-decker buses, to help make it a reality.

This is no mean feat. "We need to hold up this large weight, complete with worms, rainwater and decomposing leafy mulch, without letting the bridge structure become visually more important than the garden," says Heatherwick. "To do this and not resort to tall steel columns and cables that compete with the trees on the bridge, we are bunching all our structure underneath the garden around the two river columns."

Read more: Do these buildings turn you on? The strange psychology of curvy architecture

So how does Leo figure in? Distributing the weight to the two pylons necessitates an hourglass shape. The perimeter could have been smoothed, but Heatherwick saw potential in a saw-toothed solution. He was inspired by the scene in Titanic when DiCaprio took Kate Winslet to the bow of their doomed ship and proclaimed, "I'm the king of the world!"

Adding these ridges to the perimeter creates semi-private "balconies" allowing couples to reenact the scene. His hope is that this feature, and others, provide places to pass the time, kiss, and even propose while traversing the city.

The design thinking that goes beyond movie catchphrases, romantic notions and the landscape has been carefully orchestrated. Plants near the entryways on either side will be wild common river varieties like birches and willows. As pedestrians proceed, stately oaks and manicured shrubs will dot the landscape, and the center of the bridge will have little vegetation to create better views of the river and skyline.

The concept is conceptually similar to other elevated gardens like New York's High Line or Paris' Promenade plantée, but the technical challenge is ratcheted up given its location over the river and the new construction that's required.

Structural engineering firm Arup and landscape designer Dan Pearson helped give the concept form, while dealing with the unique technical challenges of a green bridge. "We will only be using plants which we feel will cope with the special challenges posed by a garden in the middle of a river," says Pearson, who also promises that there will be species that thrive in each season, giving residents and tourists something to look at no matter when they cross.

Read more: Bali's spectacular bamboo village sets new heights for barefoot luxury

Heatherwick's design takes advantage of modern materials and simulation, but he believes it's more of a throwback to the London Bridge of Henry VIII's reign. During that time the bridge contained homes, shops, and was a center of commerce and community as well as a river crossing.

However, since the last building was demolished in 1762, bridges have become more utilitarian. "It's not surprising that for centuries it has been treated like an obstacle to breach, rather than an opportunity for people to spend time above a vast piece of nature in the heart of our city," says Heatherwick.

The Garden Bridge is expected to cost $245 million, and Lumley has already raised half that amount from private backers. London Mayor Boris Johnson has promised another $50 million, and if the trust set up to fund the project can harvest the balance of the seed money, it could be ready by the spring of 2017.

Read more from WIRED:

Powerful Photos Go Deep Inside America's Fracking Boom

How a Math Genius Hacked OkCupid to Find True Love

The Most Amazing Images NASA Took of Earth From Space

A Teeny House Filled With Clever, Space-Saving Contraptions

11 Must-Watch New Netflix Movies to Stream in 2014

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

The River Thames might soon have a new plant-filled pedestrian crossing inspired in part by a famous Titanic scene.

@highlight

Engineers promise to use species of plants that can cope with the specific river environment and that thrive in each season.

@highlight

The Garden Bridge is expected to cost 245 million dollars, mostly raised from private backers.