(CNN)A deadly gun attack on the French satirical magazine Charlie Hebdo has shocked France. And while no one has yet claimed responsibility, a history of threats over the magazine's controversial coverage of Islam fueled immediate speculation that Islamic extremists were to blame.

Adding weight to that suspicion is video taken by a journalist for the Premieres Lignes news agency which showed the gunmen shouting "Allahu Akbar!" (Arabic for "God is great!") as they began the attack. They also shouted, in French, that they were avenging the prophet, according to Paris Prosecutor Francois Molins.

If the attackers are confirmed as Islamist extremists, it will be the latest tragic example of the growing threat posed by radical Islam in Europe.

France, which has the largest Muslim population in Western Europe and an interventionist foreign policy, has already been at the sharp end of such violence.

Just last month, two attacks were carried out in the space of a weekend, apparently motivated by Islamist extremism.

In one, a 20-year-old French-Burundian posted the ISIS flag on his Facebook page, then entered a police station in the Tours suburbs, shouted "Allahu Akbar" and wounded three police officers before a fourth shot him dead.

A day later, a 40-year-old French-North African with a long history of psychiatric problems shouted the same words as he plowed into pedestrians in Dijon, injuring 11 people before being arrested after a police chase.

The deceased Tours knife attacker -- a convert named Bertrand Nzohabonayo -- appears to have been a lone wolf inspired by but not directly connected to ISIS. According to French media reports, his brother had been on the radar screen of French security services, suspected of wanting to wage jihad in Syria.

In March 2012, Mohammed Merah, a self-styled al Qaeda jihadist, killed seven people -- including soldiers and Jewish children -- in a series of attacks in the southwestern city of Toulouse.

French extremists have also been active beyond their country's borders.

Mehdi Nemmouche, a Frenchman accused of the deadly shooting at Belgium's Jewish Museum in May, recently spent a year in Syria and is a radicalized Islamist, according to French officials. Prosecutors say that when police arrested Nemmouche in France, they also seized a Kalashnikov rifle wrapped in a flag bearing the ISIS insignia.

French Prime Minister Manuel Valls said last month that his country had never faced a greater terrorist threat.

Nearly 400 French extremists are fighting alongside jihadist groups in Syria and Iraq, according to French officials last month, with more on their way. Meanwhile, 234 have left the conflict zone, with 185 now back in France.

French police say they have thwarted five terror plots since the summer of 2013.

European officials say the threat of terrorist attack in the European Union is greater than at any time since 9/11 because of the emergence of jihadist safe havens in Syria and Iraq, according to CNN terrorism analyst Paul Cruickshank.

But no country faces a greater terrorist threat than France, he said, with support for ISIS running deep among disenfranchised immigrant communities in the run-down, crime-ridden banlieues, or suburbs, that surround many French towns.

Adding fuel to the fire, France joined the U.S.-led coalition against ISIS last year. The French military is also involved in fighting Islamist extremists in the African nation of Mali.

Following the expansion of the coalition bombing campaign into Syria, a senior ISIS leader for the first time called for attacks against Western citizens.

He specifically urged lone-wolf attacks in the United States and France -- two countries that had already been conducting airstrikes against ISIS in Iraq. And the group singled out what it called "the spiteful and filthy French" for punishment.

Alisa Lockwood, head of Europe analysis at IHS Country Risk, said that while it was too early to be sure who was behind Wednesday's attack, the range of potential suspects is limited.

"Neither anarchists nor the extreme right would have an obvious motive to target the magazine, and intimidation or extortion by organised crime would be highly unlikely to take the form of such an attack," she wrote in an analysis.

"On the other hand, Islamic State has explicitly threatened to attack French citizens and Al-Qaeda may also have the motivation."

The risk of such an attack has increased since France joined the coalition against ISIS, she wrote, adding: "France has a long history of jihadist militancy, while exclusion of migrants, French foreign policy and domestic secularism are all drivers of radicalisation."

A U.S. counterterrorism official told CNN that U.S. counterterrorism agencies are looking at a number of groups as possibly being responsible, including al Qaeda in the Arabian Peninsula, ISIS, and core al Qaeda.

Britain has also been a target in recent years of violent attacks by Islamist extremists.

In May 2013, a soldier was killed in the street in southeast London in a bloody attack by two converts to Islam who ran him down with a car before attacking him with a machete. They are both now serving long prison sentences.

Cell phone footage replayed in court showed one, Michael Adebolajo, still clutching a meat cleaver in his bloody hands, ranting that the killing was "an eye for an eye, a tooth for a tooth" for British soldiers killing Muslims overseas.

Britain raised its terror threat level to severe last summer. And UK Home Secretary Theresa May, outlining new counterextremism policies in November, highlighted the threat posed by extremists returning from Iraq and Syria.

More than 500 have traveled there from Britain, she said, joining "thousands" from other European and Western nations.

"When the security and intelligence agencies tell us that the threat we face is now more dangerous than at any time before or since 9/11, we should take notice," she said.

Going farther back in time, the July 2005 bomb attacks on London's public transit network left more than 50 people dead and hundreds more injured. The four men who carried out the attack were Muslims, one a convert.

Spain's public transit system, too, has been in the sights of suspected Islamist extremists. In 2004, the bombings of commuter trains killed 191 people and injured 1,800. Islamic militants with possible ties to al Qaeda were designated later as the prime suspects.

The Netherlands has also been impacted by extremism. In 2004, Dutch director Theo van Gogh was stabbed to death by a member of a radical Islamic group after his short film "Submission" used verses from the Quran written on women's bodies to criticize the treatment of women in some Islamic cultures.

Newspapers in Norway and Denmark prompted furious demonstrations around the world in 2005 when they ran cartoons depicting the Prophet Mohammed. Any depiction of Islam's prophet is considered blasphemy by many Muslims.

Despite, or perhaps because of, the rising tensions, Charlie Hebdo -- which also satirizes Christianity and other faiths -- also published cartoons of Mohammed, spurring protests and the burning of the magazine's office three years ago.

Its last tweet before Wednesday's attack featured a cartoon of ISIS leader Abu Bakr al-Baghdadi and the words, "And, above all, health."

French President Francois Hollande appealed for national unity Wednesday as France confronts perhaps the worst terror attack ever seen on its soil.

But he made no bones about calling it a terror attack and said the country's security alert level had been boosted as police hunt the gunmen.

"We knew that we were threatened like other countries in the world," he said. "We are threatened because we are a country of freedom."

Paris-based security expert Jean-Charles Brisard described the attack as "obviously an act of war." And he warned that it was probably only the first in the current climate, with others still to come.

Dominique Moisi, a French political scientist, told CNN that the attack was an assault on some of the nation's key values: a free press, democracy, transparency.

But while it's shocking, he said, at the same time he was not surprised.

"There was an expectation in Paris, a fear, that an attack was about to occur. Police officers were saying it's not whether an attack will take place but when, that is the only question," he said.

"And of course Charlie Hebdo was one of the likely targets of the terrorists."

France can expect strong support from its European neighbors as it hunts those responsible.

"This is an attack on all of us, on our fundamental values, on the freedoms our #EU societies are built upon," European Commission Vice President Frans Timmermans said on Twitter via a spokeswoman.

German Chancellor Angela Merkel and UK Prime Minister David Cameron also gave their backing.

"We stand with the French people in the fight against terror and defending the freedom of the press," said Cameron.

Charlie Hebdo: Satirical magazine is no stranger to controversy

CNN's Tim Lister, Jim Sciutto, Greg Botelho and David Ford contributed to this report

@highlight

Attackers shouted that they were avenging the prophet, Paris prosecutor says

@highlight

Security officials have warned of a rising threat from Islamist extremists

@highlight

No responsibility has been claimed for the attack on Charlie Hebdo

@highlight

But it has in the past been subject to threats over its coverage of Islam