After spending years of his life sexually abusing boys entrusted into his care and recent years denying it, Jerry Sandusky is likely to spend the rest of his life in jail. A judge sentenced the 68-year-old former Penn State assistant football coach Tuesday to at least 30 years in prison.

He had faced a maximum of 400 years for dozens of charges stemming from his sexual abuse of 10 boys over a 15-year period. Sandusky was convicted in June.

After an emotional hearing in which victims detailed the horrors they endured -- and Sandusky still maintained his innocence, portraying himself as a victim -- Judge John Cleland ruled that the "dangerous" Sandusky will not be eligible for parole for 30 years. His maximum sentence is 60 years.

The once-beloved coach, whose abuse triggered a scandal for one of the nation's most storied college football teams, was given credit for 112 days served.

He will also have to cover costs of the prosecution, Cleland said. The amount was not immediately known.

"All the qualities that make you successful concealed your vices," Cleland said. "This, in my view, makes you dangerous."

Victims angrily confront Sandusky at sentencing

He noted the long-term damage Sandusky inflicted on victims: "This crime is not only what you did to their bodies but their psyche and souls."

Despite the mountain of testimony that convicted him and a plea from a victim Tuesday that Sandusky finally admit his guilt, Sandusky remained stalwart. "I did not do these disgusting acts," he said repeatedly.

His attorneys have 10 days to appeal the judge's decision. They have already vowed to appeal his conviction. After the sentencing, defense attorney Joe Amendola insisted that if the team had had more time to prepare for the trial, Sandusky would have been acquitted.

Cleland designated Sandusky as a sexually violent offender, which will partially determine where he will be housed in prison and which programs he will be required to participate in, according to Jean Casarez of HLN's "InSession."  Sandusky told the judge he did not oppose the status but maintained his innocence.

One of his attorneys said before the hearing that Sandusky's legal team would not contest the classification but would stipulate that they disagree with it.

Across the country, victims of sexual abuse and organizations that represent them hailed the downfall of the notorious abuser.

"Now that Sandusky will be locked up and unable to harm more children, our hope is that even more survivors will take their first steps towards recovery -- with the confidence that their family, friends and community will believe them and support them," said Scott Berkowitz, president of the Rape, Abuse & Incest National Network.

But the most emotional words of the day came from Sandusky's victims. Some spoke at the hearing, pushing for a harsh sentence, while one and the mother of another offered written impact statements read by the prosecution.

"The pain is real, and it will be inside me forever," said a man identified as Victim No. 5.

He added that he will never forget the image of Sandusky "forcing himself on me and forcing my hand on him."

"He took away my childhood the day he assaulted me, and he should be sentenced accordingly."

Another victim, No. 6, described the "deep wounds" that left him praying for help.

"As I put the 1998 incident in the shower into focus, I think about how you manipulated me," he said, adding that Sandusky "called yourself the tickle monster so you could touch me."

Victim No. 4 assailed Sandusky's refusal to acknowledge what he had done. "Rather than take responsibility for your actions, you attacked us," he said.

"My only regret is that I didn't come forward earlier."

In her written statement, the mother of Victim No. 9 said, "Words cannot describe the pain and impact on my son and family."

"Because of you, we had to move four times," she said.

"I had to endure two attempts from my son trying to take his life. ... You caused him a lifetime of sorrow and suffering.

"I question every decision I made as a parent," she added.

"Shame on you, Mr. Sandusky, for your narcissistic and selfish acts.

"Whatever comes to you I hope it is tenfold for what you did to my son and others."

Victim No. 1, in his statement, said of Sandusky, "There is no remorse ... just evil."

'Victim 1' sues Penn State over Sandusky abuse

Lead prosecutor Joseph McGettigan said Sandusky is among "the most insidious and depraved of criminals."

Sandusky founded his charity for young people, Second Mile, to help children but used it to identify victims, McGettigan said.

"He inserted himself into the lives of children, deceiving their mothers."

A touch became a grope and "too often a penetration," McGettigan said.

"No deceit was too shameful for him," the prosecutor added. "He relied on shame to silence his victims. ... He treated his victims like sexual property, which he used as he saw fit."

McGettigan also slammed Sandusky for whining about "his own pain" in an audio statement Monday night.

Sandusky, speaking for about 13 minutes at the hearing, called his situation "the worst loss of my life."

"I will cherish the opportunity to be a candle for others," he said, adding that "somehow, some way, something good will come out of this."

His wife, Dottie, had tears in her eyes.

Cleland addressed the victims: "The fact that you were assaulted is no cause for shame. ...  It is for your courage that you will be remembered."  And, he said, they will heal.

Sandusky entered the courthouse Tuesday wearing a red jumpsuit with a bullet-resistant vest underneath. Though he was handcuffed, he clutched a manila envelope and smiled briefly as he got out of a police vehicle. His wife arrived in the parking lot moments earlier.

In his audio statement Monday, Sandusky said, "They could take away my life, they could make me out as a monster, they could treat me as a monster, but they can't take away my heart."

He accused the judge of bringing the case to trial too quickly, the victims of conspiring together and the attorneys of trying to make money in future civil suits -- which an attorney for Victim No. 5 called "preposterous."

It has been nearly a year since the Penn State scandal erupted, leading to the firing of iconic head football coach Joe Paterno and the ouster of the university's longtime president, Graham Spanier.

Forging a new meaning for the rally cry 'We Are...Penn State'

Jurors determined in June that Sandusky, who retired from Penn State in 1999, used his access to university facilities and his foundation for underprivileged youth to sexually abuse the boys.

On June 22, Sandusky was convicted on 45 counts of child sex abuse, ranging from corruption of minors to involuntary deviate sexual intercourse, which were laid out in graphic testimony by his accusers over the course of the less-than-two-week trial.

During the trial, which garnered national attention and cast a shadow on Penn State's heralded football program, the 23-year-old Victim No. 4 testified that he was only 13 when Sandusky sexually abused him in a university shower.

That account is separate from a 2001 incident that Mike McQueary, a former Penn State assistant football coach, testified about, saying he saw the former coach pressed up against the back of a boy in the shower room of the Lasch Football Building.

McQueary filed a whistle-blower lawsuit last week against the university, according to a court document from Centre County, Pennsylvania.

Less than a month after Sandusky's conviction, former FBI Director Louis Freeh released his university-funded report that blamed Paterno, Spanier, suspended Athletic Director Tim Curley and ex-Vice President Gary Schultz for taking part in a cover-up to avoid bad publicity.

When a hero falls off a pedestal

Freeh also said Paterno could have stopped the attacks had he done more, though neither McQueary, Sandusky nor Paterno -- who died in January -- were interviewed by his investigators.

Attorneys for Spanier blasted the review, calling it a "blundering, indefensible indictment" and "a flat-out distortion of facts" that was "infused with bias and innuendo."

In July, the NCAA imposed sanctions against Penn State, including a $60 million fine, scholarship reductions, the vacating of 112 wins of the football team, five years' probation and a bowl ban for four years.

After the sentencing decision was announced, the university's president released a statement.

"Our thoughts today, as they have been for the last year, go out to the victims of Jerry Sandusky's abuse," Penn State President Rodney Erickson said. "While today's sentence cannot erase what has happened, hopefully it will provide comfort to those affected by these horrible events and help them continue down the road to recovery."

@highlight

Sandusky will have to cover prosecution costs

@highlight

Groups for abused people hail the sentence

@highlight

"He took my childhood," a victim says

@highlight

Sandusky was also designated as a sexually violent offender