(CNN) -- Each year, about 30,000 people are killed and 300,000 violent crimes are committed with firearms. In economic terms, firearm violence -- for things such as medical care, police, criminal justice, lost productivity, pain and suffering -- costs $100 billion a year, according to studies by Johns Hopkins University and the Public Services Research Institute.

This reality tears at the social fabric of the United States, and Americans pay the social and psychological consequences. But the gun debate will continue to be a one-sided fight until the American public chooses to take action.

Most of the debate revolves around what government should do. But we can also look at the issue as a marketing problem. American consumers are the central part of a vast aggregate marketing system, and the central issue as it pertains to guns is power.

The gun lobby has wielded its power effectively, but the potentially powerful American consumer market has not. The gun lobby influences how guns are marketed and under which laws. The only difference between the gun lobby and concerned Americans is that the gun lobby -- and thus the politicians supporting the gun lobby -- pays attention to details.

Opinion: In the gun control debate, logic goes out the window

It has made its primary goal to vehemently block any change to gun laws for fear that passage of even one law could lead to the eradication of firearms for all.

But that is not the issue here. Many concerned citizens are not advocating the abolition of firearms for responsible gun owners.

The problem is that there are too few and very limited laws to force manufacturers to safeguard their distribution channels, and manufacturers are not putting these safeguards into place.

Our research found that about 45% to 60% of the guns traced to crime came from about 1% of the nation's gun dealers and that implementation of safeguards is associated with a smaller number of guns being diverted to crime or used in crime. Interestingly, many of the common sense distribution laws that would force a safer distribution of firearms are in place for other industries that sell products that can cause harm.

Opinion: A father's murder, a plea on gun control

Firearms product diversion involves the seepage of guns from legal channels of distribution into illegal hands.

To prevent this from occurring, firearms manufacturers have the opportunity to implement distribution safeguards, common across many of the industries that manufacture products that can cause harm (such as explosives, fireworks, and pharmaceuticals).

Such safeguards include manufacturers training their dealers and distributors to identify and handle illegal purchasers at the point of sale, developing a code of conduct for distributors, and requiring them to implement record keeping measures in order to keep guns out of the wrong hands.

Gabby and Mark: The new 'Bradys' of gun control

The notion of safeguarding is important because a recent study found that 1 in 9 (11%) of handguns distributed into legal channels in 1996 were found to have been used in crime by 2000. It was also found that one manufacturer had 55% of its guns end up in crime during this time period (the range was 2% to 55% for all manufacturers studied).

This study also found that the number of safeguards used across the studied firms (which accounted for over 90% of the U.S. gun sales) was very low, averaging less than one safeguard (.77) per firm. Only a slight majority employed any recommended safeguards during that time.

One reason the public has not been paying attention is that they think the Bureau of Alcohol, Tobacco, Firearms and Explosives can address enforcement for us. But at this point, the bureau needs our help -- it does not have the resources to combat this problem, because gun lobbies and the politicians who support them have tied its hands. So, Americans must act.

The National Rifle Association grades political candidates on their voting history, giving high marks to those who vote for its policies. These ratings influence how guns are distributed in the United States.

In response, concerned citizens should do the same thing.

We should grade firearms manufacturers on how well they address distribution and the diversion of their guns to criminals. Americans should look at these grades and buy firearms accordingly.

The group Mayors Against Illegal Guns suggests that if manufacturers don't comply with set goals of safety, the nation's mayors and municipalities will not do business with them. Concerned Americans should follow suit.

The opinions expressed in this commentary are solely those of Kevin Bradford.

@highlight

Kevin Bradford: Each year 30,000 killed and 300,000 violent crimes committed with guns

@highlight

It's also a marketing problem, he says. Manufacturers are not monitoring distribution of guns

@highlight

Bradford: Laws are minimal, manufacturers are not putting safeguards into place

@highlight

He says use gun lobby tactic: Grade manufacturers on ability to keep guns from criminals