Phillips Andover Academy, one of the most elite and selective boarding high schools in the country, failed again to elect a girl to its top student position -- the school presidency.

Since the school went co-ed in 1973, only three girls have held this office. In a letter that launched a fiery debate across its campus, senior girls implored their peers to look hard at the school's "staggering gender imbalance" in student leadership.

Headmaster John Palfrey responded by telling The New York Times, "Girls have not had equal access to top leadership positions." Yet, access for girls is rarely the problem when it comes to pursuing leadership.

Feeling authorized to take leadership roles is the problem.

It starts early. From childhood to adolescence, girls face mixed messages about displaying power and authority.

The girls at Andover and elsewhere are socialized to be likeable, to please others, to not tout their own successes and to speak softly like proper girls. As a result, they face powerful psychological barriers to attaining leadership roles.

The impact of what I call the "curse of the good girl" effect first appears in friendships, when young girls take pains to avoid direct conflict with peers. "I want to tell her how I feel," a typical girl would say in my research interviews, "but what if she hates me or turns other people against me?"

These girls often resorted to gossip and other forms of indirect communication, or they internalize their feelings in unhealthy ways.

Over time, pretending not to be angry with a friend when you are, or turning to a text messages instead of having an honest conversation, becomes a formative habit of communication. Meanwhile, the muscles that girls need to assert their strongest feelings and opinions atrophy.

By the time girls join sports teams and school organizations, many have imported these social habits into student leadership contexts.

In a study by the Girl Scouts, girls from 8 to 17 worried that leadership positions would make them seem "bossy" and lead to negative attention from peers.

By college, a skills and confidence gap becomes apparent. On the nearly 40 college campuses that run Elect Her, a program that trains women to run for student government, female students comprise over half of the student body but only hold about a third of the executive positions in student government.

A study by Jennifer Lawless and Richard Fox, co-authors of "It Still Takes a Candidate: Why Women Don't Run for Office," found that self-doubt plagues young women ages 18 to 25 who are considering a run for public office. In contrast, their male peers were 60% more likely to view themselves as "very qualified."

Parents, too, play a role.

The same study shows that parents are key influencers in a girl's decision to run for office. Not only did the data show that many more boys than girls are encouraged by a parent to run for office, but half of the students whose mothers suggested they run said they would like to in the future, compared with only 3% of those who got no nudge.

Everyone -- women and men -- need to be more aware of the social cost of punishing girls for being too assertive. Just as a woman becomes instantly less likeable when she asks for a raise -- as research indicates -- a teenage girl can lose social standing when she seems too opinionated.

The penalties are different, but the message is the same: Be too "bossy" or say too much, and you will pay the price. The potential for a girl to become a leader seems over before it even begins.

We can help girls feel more confident as leaders by teaching them the right skills early on, such as talking to a person you don't know or negotiating a compromise.

Organizations such as the Girls Leadership Institute teach girls as young as 5 to express their feelings with friends and how to be assertive. Our educators should consider integrating leadership skill instructions into lesson plans.

The White House recently convened a conference on girls' leadership to address the public leadership gender gap. As the father of two girls, President Barack Obama must understand how important it is to educate girls so that they can grow up and become leaders -- if they so choose.

It is time for all of us to help close that gap.

@highlight

At prestigious Phillips Andover Academy, only three girls have been school president

@highlight

Rachel Simmons: The real problem is that girls don't feel authorized to be leaders

@highlight

She says girls from childhood onward get mixed messages about displaying power

@highlight

Simmons: Awareness and education can help close the leadership gender gap