Atlanta (CNN) -- Kerry Swift stands in the kitchen of her Georgia home, warming food and setting out cutlery for her guests. Another humid summer day in the South nears its end. She is hosting a dinner party tonight with numerous families attending, and her guests are slowly trickling through the door.

"Salaam-a-lakom," she says, greeting her guests as they enter the foyer. The women are in headscarves, and the men are in modest attire. They respond cordially and thank Kerry, also known as Kareemah Budair. Kareemah is hosting Iftar, the meal in which Muslims break their Ramadan fast. It is often celebrated in a community setting such as this.

Kareemah says she was raised as a devout Catholic but converted to Islam 17 years ago. Like many young people, she searched for meaning in her life after graduating from college.

"I started to meet people of different faiths," she says. "The Muslims I met, I really connected with. I started asking about the teachings, and I just connected with the ideas."

Kareemah's features immediately give away her Irish heritage. One can't help but wonder what it's like to see life through her eyes.

"It's a blessing, honestly," she says, her green eyes sparkling from within the framing of her headscarf. "I know that there's a lot that's in the news, but the everyday life experience of a Muslim and as an American is that people have decent values. They value life, and they value different cultures. I can't say it's hard. I would feel guilty saying that it's hard."

Spate of attacks trouble U.S. Muslims

In an elegant comparison, Kareemah relates her strict Catholic upbringing to her current devotion to Islam. "I really valued faith," she says. "I mean it's kind of ironic that I'm looking like the nuns that I admired."

The sound of prayer playing from an iPod echoes through her house. It is time for her and her patrons to break their fast. The men and women move to separate rooms and sit around their respective tables. In keeping with the tradition of the Prophet Muhammad's practices, they eat three dates to begin the breaking of their fast.

Depriving oneself of water and food, from sunrise to sunset, is the core practice of Ramadan. A moderate Muslim will only honor the fast, but a pious believer's day is filled with prayer and reflection. "The miracle of it is that Allah has partnered the fast with the prayer," says Kareemah. "It's an opportunity to purify ourselves, and either one by itself does not work."

After only a few dates and small sips of water, the guests file into their respective prayer rooms, separated by gender. They will recite a final prayer before sitting down to the hostess's elaborate dinner.

The house is quiet and serious, as Kareemah's husband, Maher, sings out the prayer. It is an awe-inspiring moment, showcasing discipline and devotion in its barest form. This home in suburban Atlanta is suddenly transformed into a house of Islamic worship.

More than 20 minutes later, the prayers are over, and it is time to feast. Tonight, Kareemah and her family provide the bounty of food they set out on the table. The guests line up to eat, as Maher piles food on each plate.

This evening, Kareemah's family and friends are among their peers. Every adult in her home tonight abides by the strict demands of Islam and Ramadan.

In predominantly Muslim countries, laws strictly enforce Ramadan, banning eating and drinking in public during daylight hours. In the southern United States, most people don't observe Ramadan, so for the relatively few Muslims there, doing so can be a challenge.

"Sometimes, you are the only fasting person in your workplace or your classroom," explains Ali Gebril, speaker at the Roswell Community Mosque in metro Atlanta. "Everybody else is not practicing, but you're practicing. So you feel that you are doing this alone. It's not easy, but we do it because we believe that the order came from Allah, and you should do it wherever you are."

'Don't call me late for Iftari'

This month, more than 1 billion Muslims around the world are celebrating Eid Al Fitr, which officially ends the Islamic month of Ramadan. Many hope that they can continue to emulate the spirit and generosity of this month throughout the year.

"The idea is to go back to life better than when we entered Ramadan," says Kareemah. "To try to improve ourselves and Inshallah ('God willing') improve the world through that process."

By the end of the night, the dinner is done, and Kareemah and her guests sit and share stories of how they cope with fasting and the other strict rules of Ramadan. But no one ever questions its purpose or its value. They feel purified by it, ready to begin another year of life, reflection, love and personal growth.

@highlight

Kareemah Budair hosted a gathering for Iftar at her suburban Atlanta home

@highlight

The feast marks the breaking of the fast during the holy month of Ramadan

@highlight

Raised Catholic, she converted to Islam 17 years ago

@highlight

Of Ramadan, she says: "It's an opportunity to purify ourselves"