(CNN) -- Apple has called it the biggest change to the iPhone since the very first one launched in 2007, but does the latest software, iOS 7, make the iPhone a more compelling buy for travelers than its Android- and Windows-powered competitors?

While iOS 7 sports a significant redesign alongside improved battery life and multitasking ability, it's the assortment of new photo functions that iPhone-toting tourists will find most useful in the iOS 7 update.

The big deal is a faster, easier way to scroll through that endless stream of photos you've amassed over the years and trips.

In previous versions, those photos all existed as part of one, big linear stream.

The iOS7 automatically organizes photos into categories called Collections, Moments and Years, what Apple describes as "smart groupings of your photos and videos based on time and place."

Collections is a grouping of moments -- say, a trip to Canada.

Moments are organized according to date and location.

Years are obvious -- groupings of photos by year.

The cool part of the Years organization is a collage of thumbnails of every picture from a given year that appears on the user screen. This can look a little overwhelming -- the more photos, the more intricate the collage -- but it's actually a handy way to find images quickly.

A redesigned photo Share panel adds a number of functions that users should welcome.

The most useful is a new Shared Photo Stream that not only allows the user to share photos with others, but allows others to add photos to someone else's photo stream.

Just back from a family vacation in Greece?

In the past you might have streamed all of your vacation photos to family members -- with the iOS7, those same family members can now add their photos to the same stream.

Better Maps app

Another key asset is the new built-in Maps app, which will now include spoken turn-by-turn navigation for pedestrians.

Instead of bumbling down Las Ramblas or Lan Kwai Fong, eyes glued to an app and smacking into other people, wandering tourists can pocket their iPhones, stick in an earbud and listen out for the next turn, in the same way drivers use sat-nav apps -- and similar to how Google Maps works on Android smartphones.

The App Store on iPhones with iOS 7 will also incorporate GPS location to suggest locally popular apps, which is potentially useful for first-time visits to an area -- for example, firing up the App Store in Hong Kong's Sheung Wan district shows two bus schedule apps and a "taxi translator" that gives the names of streets and places in phonetically spelled Chinese.

Other minor traveler-friendly refreshes include an enhanced camera with vintage filters and a square viewfinder mode -- all the better to share those holiday snaps on Instagram; and additional security for a lost iPhone that prevents would-be thieves from erasing it in order to sell it.

Passbook now a bigger plus

An app that launched with last year's iOS 6 software remains one of the iPhone's biggest travel boons.

Passbook is a travel wallet app that holds digital boarding passes, hotel confirmations and other booking tickets, then uses the iPhone's GPS sensor to pop up the required boarding pass around the location of use.

Though it launched with relatively few airlines and hotels on-board, the app now supports boarding passes for dozens of airlines and travel companies, including Airbnb and Booking.com.

Of course, boarding pass apps, trip organizers and other travel helpers are readily available on Android (and to a lesser extent, BlackBerry and Windows Phones).

For now, Passbook is an advantage only for multi-stop trips where travelers are likely to be carrying more than a couple of boarding passes or hotel bookings at a time.

Should existing iPhone users upgrade to iOS 7?

"Software updates fix bugs, enhance performance and add new features," says Richard Lai, editor in chief of consumer tech blog Engadget China.

"It's up to developers then to take advantage of the new tools in their apps."

Users of the iPhone 5, iPhone 4S and iPhone 4 will be prompted by Apple to update sometime this month, while iOS 7 will be available for the second-, third- and fourth-generation iPads plus the iPad Mini later in the year (rumored to be October).

As for whether an iPhone packing iOS 7 is a worthy alternative to the slew of other smartphones, it comes back down to those nice new photo/camera features and the apps.

Great travel apps for iPhone such as Skyscanner flight booking and TripAdvisor guides are usually also available for Android, while major apps such as TripIt travel organizer and Skype calling will also support Windows Phone and BlackBerry.

For current iPhone owners, iOS 7 will make photo organization simpler, but it won't revolutionize their next trip away -- the next generation of iOS 7 apps could.

CNN's Brent Deverman contributed to this report.

@highlight

New iOS7 offers easier way to sort and scroll through photos -- a big plus

@highlight

App Store suggests locally popular apps

@highlight

Older iOS 6 Passport app is still the best travel-related resource

@highlight

Another new feature -- turn-by-turn audio navigation for walkers