(CNN) -- Horror-meister, Stephen King calls George Pelecanos "perhaps the greatest living American crime writer." His stories are set in Pelecanos' hometown of Washington, D.C., but this is not the side of the U.S. capitol that you see portrayed on TV with white marble monuments, lawyers and lobbyists. Pelecanos is more interested in working families struggling to get by, the racial tensions in its ethnic neighborhoods and the low-lifes on the edges. His crime-writing peers call Pelecanos the "undisputed poet" of Washington's gritty side.

The best-selling and award-winning author is out this week with his 17th and latest novel, "The Cut." It's the first in a new series featuring Iraq war veteran and private investigator Spero Lucas. When he's not working for a Washington defense attorney, Lucas recovers stolen property for a 40% cut. Now, a high-profile crime boss hires Lucas to find out who's been stealing from him, and it could turn out to be Lucas' biggest payday or an untimely end.

While Pelecanos made his bones in the noir tradition, there's a definite "Western" feel to "The Cut." The new novel takes place in a morally gray and often violent world. It's peppered with pitch-perfect dialogue and captures the sights, sounds and taste of Washington in rich detail. In short, Pelecanos reads like the real deal.

Pelecanos knows a thing or two about capturing the authenticity of urban America with an ethnically and socially diverse cast. In addition to his success as a novelist, Pelecanos is a producer and writer for HBO's New Orleans-set, "Treme." He was previously a producer and Emmy-nominated writer on the hit series "The Wire" and the miniseries "The Pacific."

Read an excerpt from "The Cut"

CNN recently spoke to Pelecanos about his new novel. The following is an edited transcript.

CNN: Tell me more about your new character, Spero Lucas. Is he meant to be representative of the current generation of young American veterans?

Pelecanos: I had met many wounded veterans at Walter Reed Army Medical Center when I was researching my 2009 novel "The Turnaround," and I continue to be very interested in how returning servicemen and women deal with their new lives back home, and how they're treated by America.

At the same time, I noticed that there were an unusual amount of Marines with combat experience who had taken jobs as investigators for attorneys here in D.C. Then one day, I had a chance encounter and enlightening conversation with a vet who had lost a leg in Iraq. All of these things were knocking on the door of my imagination, telling me to write a novel.

CNN: Spero, like a lot of your characters, is not a conventional "good guy." He does some bad things to some bad people in "The Cut," and you allude to some dark events from his past.

Pelecanos: My father was a Marine who fought in the Pacific in WW II. He was a very tough guy, but after the war, he lived his life in a quiet and reserved manner, because he had nothing to prove. I know now that he internalized his war experience. I imagined Spero Lucas to be the same way. In the next Lucas book, more will be revealed.

CNN: "The Cut" reveals, as do all of your books, a side of Washington, D.C., we don't often see portrayed. What is it you see in D.C. that others miss?

Pelecanos: I've just been very interested in the living side of Washington, rather than the federal side, since I was a kid. I basically go out there and get engaged. Some of my books are heavily researched in terms of archival work, but this one was all street-level, shoe-leather stuff.

I am on my bike daily, and most of the locations, warehouses and specific residences from "The Cut" were found while I was riding. On those rides, I took photos and videos from my iPhone. D.C.'s an alley town, so it's particularly conducive to bike reconnaissance.

Lucas likes to walk at night; in one scene, this leads to a violent confrontation in an elevated church parking lot on Georgia Avenue, just behind Fort Stevens Park. I walked that route myself one summer night. The kayak scenes were written after I paddled the waters of the upper Potomac. When walking or biking wasn't practical, I drove my Jeep. If I wanted to go fast, I took my Mustang.

CNN: You describe the streets, neighborhoods and shops of Washington in near map-like detail. I'm pretty sure if I got lost, I could pull out one of your books to find my way back.

Pelecanos: I hope so. I'm leaving a record.

CNN: Your books always include great descriptions of food and music. I can almost taste the meals the characters eat, hear the music on the jukebox. Is this as fun to research and write as it is to read?

Pelecanos: Absolutely. I usually buy a bunch of music that fits the book and its characters before I start writing, and give myself an education. I can tell you that the restaurant scenes were heavily "researched." When David Simon and Eric Overmyer asked me to participate in their show, "Treme," I didn't have to think too hard on it. New Orleans, food, music ... I was there. Just because it's work, doesn't mean you can't have fun.

CNN: You're an award-winning writer and producer for "The Wire" and now "Treme." How is working for TV different from writing novels?

Pelecanos: Collaboration versus solitude, of course. I actually like working with a bunch of creative people who come together to build something. After 10 years, the process still fascinates me. When you write for television, you have to come to terms with the fact that what you pen is not yours. Show runners, directors, actors, editors and costume designers are your co-writers, in a sense, and often they elevate what you do. By my first love is writing novels. The books are all mine.

CNN: You write about some of your favorite books, movies and music on your website. Anything you're reading, watching or listening to right now you'd like to recommend?

Pelecanos: Last week, I watched three extraordinary genre movies from, respectively, Japan, South Korea and Hong Kong: "13 Assassins," also "The Man from Nowhere" and "Ip Man." The last 45 minutes of "13 Assassins," directed by Takashi Miike, is one of the most stunning extended action sequences ever filmed. Recently, I re-read my John Steinbeck library and was reminded that "The Red Pony" is one deep, dark book. Thurston Moore's new one, "Demolished Thoughts" is a beautiful, dreamlike record. D.C. has seen a reggae and funk resurgence of late. In that vein, I recommend See-I's debut and the compilation "The New Gold Standard 2" by Fort Knox Five.

CNN: What's next? Can readers look forward to Spero's return?

Pelecanos: I'll get started on a new Spero Lucas book soon. In the meantime, I recently finished a novel set in 1972. More on that to come.

Watch video of George Pelecanos reading from "The Cut"

@highlight

Author George Pelecanos returns with his new novel, "The Cut"

@highlight

The first in a new series features Iraq war vet and private investigator Spero Lucas

@highlight

Pelecanos is also currently a producer and writer for HBO's New Orleans-set "Treme"