(CNN) -- As Iranian President Mahmoud Ahmadinejad visited the U.N. General Assembly in New York last month, the spotlight was once again on Iran. And true to form, the Iranian president made his fair share of provocative statements for the Western media.

But while Ahmadinejad's mercurial rants captured our media's attention, back in Iran a coordinated strategy against the women's movement continued.

On the eve of Ahmadinejad's arrival to New York, Shiva Nazar Ahari, a prominent young female defender of human rights, received a heavy sentence of six years in prison on charges including the vague crime of "waging war against God" -- a convenient catch-all offense for anyone who criticizes the regime and its human rights record.

There's no denying it -- Iran's women have had a bad year. Nazar Ahari joins a steadily increasing number of other women's rights activists who are in prison for no greater crime than their attempt to fight for the rights of the women.

Hengameh Shahidi, Alieh Eghdam Doust, Bahareh Hedayat and Mahdiyeh Golrou have all been sent to Tehran's notorious Evin Prison on trumped-up charges related to their activism. And while Nobel Peace Prize laureate Shirin Ebadi, arguably the most internationally recognized Iranian women's rights activist, remains unable to safely return to her country, the government is targeting those affiliated with her for arrest and imprisonment, including her lawyer Nasrin Sotoudeh and her former aide Jinous Sobhani.

Since the 2009 disputed elections and associated government crackdown on the overall reform movement, the government has increasingly targeted women activists. The reasons behind this go well beyond the misogynist nature of Iran's religious leadership.

Rather, it is more part of a deliberate and calculated strategy of the Iranian authorities to strike at the heart of the regime's greatest vulnerability -- internal legitimacy with its own people.

See more CNN.com opinion articles

Iran's government recognizes and fears the broader power of the women activists who have been on the front line of reform in Iran for more than a decade. One can roughly draw an analogy between the women's movement in Iran to movements of religious groups in Burma or Tibet, or the labor "solidarity" movements in the former Eastern bloc and associated labor-Roman Catholic solidarity in Poland -- all advocating initially for the freedoms of a specific group but which provoked government fears for their transformative power to promote broader human rights progress.

While the outside world occasionally reacts to the most egregious manifestations of Iran's repression of women -- such as the international condemnation associated with Sakineh Mohammadi Ashtiani, an Iranian widow sentenced to stoning on charges of alleged adultery -- these events are often portrayed simply as a consequence of the regime's archaic viewpoint about gender.

However, the government's direct targeting of women goes beyond chauvinism and is an integral part of a strategy to quell any momentum for larger internal reform.

Women activists in Iran have worked for years at the ground level to promote internal change. Although Iran's women suffered a significant setback with the imposition of discriminatory laws following the 1979 revolution, an ease in restrictions during Mohammad Khatami's presidential term in the late 1990s and early 2000s allowed women to organize around reforms and emerge as a formidable grass-roots force in civil society.

Women-led campaigns to collect signatures in support of reform of gender discriminatory laws and protest the stoning of women formed and grew rapidly, attracting many members and international attention. In the years that followed, women were often at the forefront of staging public protests.

During the presidential election campaign in 2009, women activists, drawing on their grass roots and organizational experience, played a critical role in shaping and influencing the political platforms of the opposition candidates.

So when the government set out to suppress the larger civil unrest that broke out in Iran's major cities after the election, it set its sights on a perceived catalyst for this unrest -- the well-established women's movement.

In the mass indictments issued in August 2009 by Tehran's prosecutor general, women were identified as an element of an alleged "soft" revolution. Women's rights activists report that government interrogators warned them to cease their activities and accused them of supplying the political opposition with organizational and leadership skills and knowledge.

Today the regime continues to systematically target the women's movement, whose leading campaigners are being silenced, imprisoned and exiled in increasing numbers.

It's not sufficient for members of the international community to speak up only occasionally at the most shocking manifestations of the Iranian regime's targeting of women. Rather, a sustained, consistent and broader campaign must be waged that seeks to promote and give voice to the major catalysts of comprehensive human rights progress in Iran -- its brave women activists.

The opinions expressed in this commentary are solely those of Gissou Nia.

@highlight

Women's rights activist Shiva Nazar Ahari serving six years for "waging war against God"

@highlight

Nia: Women's rights activists are imprisoned for no crime other than fighting for women's rights

@highlight

Nia believes Iran targets women activists to curb any momentum for larger internal reform

@highlight

Women activists have been on the front line of reform in Iran for more than a decade