(CNN) -- Sheryl Sandberg wants young girls to "ban bossy," but for those of us soon-to-graduate, just-graduated and will-I-ever-graduate ladies just entering the working world, there's another word that's even more toxic.

That word is "pushy."

At least, that's what my Lean In Circle thinks.

A new book by Sandberg, "Lean In: For Graduates," targets women like us, but we were already paying attention. My Circle is all 20-somethings with dreams of media industry success. We wanted our group to exist as a third-wave feminist answer to boys clubs, with their oak-paneled rooms and clouds of cigar smoke. We share job announcements, work dilemmas and interviewing tips and tricks.

A guy recently asked me, "Lean In Circle -- is that, like, a book club?"

Sort of. Not quite.

According to Sandberg's Lean In Foundation, 14,000 Lean In Circles meet regularly around the globe, and we don't just reread "Lean In" over mimosas. Lean In Circles were conceived as "small peer groups that allow you to learn and share in an atmosphere of confidentiality and trust." The Washington Post described the ethos as "Alcoholics Anonymous fused with Girl Scouts," and I have yet to find a more accurate depiction of my particular Circle environment.

And so we formed, and rallied around our Circle mission: to sit at the table and push back against "pushy" to find our first jobs.

'Wait your turn'

My mom was one of many who cautioned their daughters with the same advice: Wait your turn, don't be pushy.

But when I was 22, still in college, interning at a magazine in New York City and illegally subletting a run-down room, that advice just wasn't cutting it anymore.

I was one semester away from graduation and the real world, and I was dreading it. One of my internship supervisors jokingly introduced me to a colleague: "This is Julia Carpenter, and she is terrified that she will graduate without a job."

It was true. Many of my peers moved back home with their parents to wait out this horrific economy, and unequivocally, they were miserable. Many of my friends in journalism moved to cities like New York or San Francisco and waited months for a job. Some worked multiple part-time jobs to make ends meet, and every day without a lead meant more hope slipping away.

When I was reading "Lean In" within the mouse-ridden confines of my apartment, Sandberg's words stoked the long-squelched dreams that had always hovered in the top pages of my journals.

As an English major and a journalism student, many of the feminist tenets in "Lean In" weren't new to me, but they also weren't applicable to me yet. She urges women to find supportive significant others who will see a relationship as a partnership, not a trade-off. Many of her stories about the intersection of family planning, motherhood and careerdom didn't have much of an effect. Those were things I'd been reading about in women's studies textbooks for years, examples of how progressive society had helped women out of the home and into the workplace and back.

What was new to me was her practical application of these sometimes abstract concepts. For every lesson, Sandberg had a story to share about boardroom drama at Facebook, Google and elsewhere. In my young life, I hadn't had any Peggy Olson moments in which men looked up my skirt in the office or openly critiqued me for being a woman in a college classroom.

Instead, Sandberg's vivid depictions of workplace inequality -- of women who were constantly overlooked for the promotion, of female executives too shy to raise their hands in team discussion -- resonated as examples of the gender bias traps still harming women's success. I had been passed on for projects because of reasons like "Why would a girl be interested in politics?" and the word "bitch" had been thrown at me to end a conversation. Sandberg's examples provided simple solutions: Speak with purpose. Sit at the table.

Sandberg writes that many women struggle to be bold in workplace. In my case, it was in the world of job hunting. We fear that putting ourselves out there means we will be perceived as "pushy." No one wants to be called that dreaded word just as she's trying to get a job.

I realized that not pushing hard enough for the job that I wanted was even scarier than not having a job. I feared that I would be waiting in the wings, clutching my pages-long rÃ©sumÃ© and feeling insecure, as droves of confident, talented men dared to sit at the table.

I knew to get that dream job, I was going to have to push forward and sit right beside those guys, just as Sandberg wrote.

'Is there a job there for me?'

Closing that confidence gap isn't easy, especially after a lifetime of "Wait your turn."

I read that when Sandberg was job hunting -- honestly, more like "job picking" -- then-Google CEO Eric Schmidt gave her some invaluable advice, which ultimately became my guidepost.

"Only one criterion matters when picking a job -- fast growth."

In my own job hunt, in the midst of interviewing and applying, I found myself playing the same neurotic games many of my female peers have copped to: "Did they even get my application?" "Oh my God, they hated my application" and of course, "Why did I even send in an application, I suck."

On the other hand, men send in applications even if they meet just some of the listed qualifications.

"I've been really forward (almost to the point of being pushy?) in the last year," a member of our Lean In Circle told me. "But the only consequence there might've been for that is not getting a response to an application."

Not all of Sandberg's advice resonated with my Circle. Business cards and job titles don't mean much to us, and unlike many of Sandberg's contemporaries, we've come up in a startup culture that eschews formalism.

"A lot of my job search happened over beers, over shared criticisms, over social media interactions," said one member of my Circle. "If I said some of the suggested scripts she uses in the book, the person I was talking to would think I was a robot.

When members of my Circle discuss job prospects -- which we're doing ever-more-frequently as members prep for graduation -- the first question we ask isn't "What's the position?" Instead, it's "What would you be doing?"

The day before I graduated from college, I received a job offer from the magazine where I had interned while reading "Lean In." The job was awesome. I would be living in a city I loved, working with amazing people and doing something I knew I was good at.

But my heart was still set on another opportunity. A member of my Circle had referred me for a sweet spot on the Washington Post's digital engagement team, but after a few rounds of interviews I was still waiting for an answer.

"You just have to wait," people told me.

My newly Sheryl-fied inner voice said otherwise. I called and explained the situation.

"Is there a job there for me?" I remember saying.

"We were going to offer you the job tomorrow," my now-boss said. "So -- what are you thinking?"

'That's my girl'

At a recent brunch with a college friend, she told me she's happy at her job, but looking for the next step, hopefully a new gig that will allow her to travel and improve her skills.

"I want to e-mail these giants in my field to introduce myself and ask about job openings," she said. "But I don't want to. I don't want to impose. They're going to be like 'Who is this girl? Why is she e-mailing me?' And I know my male colleagues wouldn't think twice. They'd send that e-mail."

I immediately made a mental note to add her to our Circle.

I know my Circle members would say it's an ongoing struggle for women in the workplace, and you have to lean in bit by bit. They're right. If anything else, you need to do it to improve the quality of workplaces for other women, even on the days when the confidence gap thwarts your plans to proceed boldly.

So even when I couldn't find a connection with Sandberg's discussion of work-life balance and motherhood or the buttoned-up culture of top tech executives, "Lean In" can't just be written off as a book for mid-level career women.

For me and my Circle -- all women new to our first job or still in college and looking for that first job -- Sandberg's simple suggestion to proceed boldly, empowered us to look at the job hunt and our workplace interactions. We're wary of the gender gap not just in salary, but in how it shapes discussion and assignment in our offices. Even in the early days of a new gig, we're committed to closing that confidence (and achievement) gap.

That's something we can take away from the pages. That's why a Circle is more than just a book club.

In the middle of a conference call at work last week, I jumped into the conversation. "I can explain this," I said, and launched into a short description of a project my team and I had been rolling out.

"When you said 'I can explain this,' you actually leaned in," a female colleague said to me afterward. "You physically leaned in closer to the desk. I was like, 'That's my girl.'"

How did you land your first job? Share your experiences in the comments, on Twitter @CNNLiving or on CNN Living's Facebook page.

@highlight

Sheryl Sandberg recently published a new book, "Lean In: For Graduates"

@highlight

Julia Carpenter read the original "Lean In" shortly before graduating college

@highlight

She's part of a Lean In Circle, and used the ideas to push for a job

@highlight

Still, not all of Sandberg's original advice resonates with her generation, she said