WASHINGTON (CNN) -- Libya has paid $1.5 billion to the families of terrorism victims, overcoming the final obstacle to full relations with the United States, the State Department said Friday.

Police officers survey the wreckage of Pan Am Flight 103 in Lockerbie, Scotland, in December 1988.

The payment ends Tripoli's legal liability in U.S. terror cases and paves the way for increased U.S. involvement in the oil-rich nation.

President Bush signed an executive order Friday restoring Libyan immunity from terrorism-related lawsuits and dismissing pending cases over compensation as part of a deal reached this summer.

David Welch, the top U.S. diplomat for the Middle East, who negotiated the agreement, called Libya's rehabilitation from a terrorist nation to a U.S. ally "historic."

The pact closes the book on a contentious period in U.S.-Libyan relations, which began in the 1980s with a series of attacks involving the two countries, including the bombings of Pan Am flight 103, a German disco and U.S. airstrikes over Libya.

U.S. business executives hope the new relationship will lead to billions of dollars of new investment in Libya, a country rich in petroleum reserves but lacking a developed infrastructure.

This summer, the United States and Libya signed a deal for the State Department to create a $1.8 billion compensation fund to finalize the claims for the 1988 bombing of Pan Am Flight 103 over Lockerbie, Scotland, and the 1986 bombing of La Belle disco in Berlin, Germany. It also compensates Libyan victims of U.S. airstrikes in the 1980s.

Congress unanimously adopted the Libyan Claims Resolution Act, sponsored by Sen. Frank R. Lautenberg, D-New Jersey, which cleared the way to end the feud and created the victim compensation fund.

Under the agreement, Libya pays more than $500 million to settle remaining claims from the Lockerbie case and more than $280 million for victims of the disco bombing. It will also set aside funds to compensate victims of several other incidents blamed on Libya, although Libya has not accepted responsibility.

In exchange, Libya will now be exempt from legislation passed this year enabling terrorism victims to be compensated using frozen assets of governments blamed for attacks. Tripoli sought the protection to encourage U.S. companies to invest in Libya without fear of being sued by terrorism victims or their families.

An initial payment of $300 million was received this month, after the opening of a U.S. trade office in Libya and a historic visit by Secretary of State Condoleezza Rice. Another $600 million was received Thursday and the remaining $600 million Friday, Welch said, adding that the families could start receiving payments within days.

The remaining $300 million will go to Libyan victims of the bombing in Libya by U.S. warplanes in 1986. Libyans say dozens of people died in the U.S. air attack, including an adopted daughter of Libyan leader Col. Moammar Gadhafi.

President Reagan ordered the attacks on Tripoli and Benghazi after two U.S. soldiers were killed and 79 Americans were injured in the 1986 Berlin disco bombing.

The bombing of Pan Am Flight 103 killed 270 people, including 189 Americans. Of the dead, 259 people died on board the plane and another 11 on the ground.

Libya has paid 268 families involved in the Pan Am bombing $8 million each of a $10 million settlement. But it withheld the remaining $2 million owed to each family over a dispute regarding U.S. obligations to Tripoli.

A group of relatives of Pan Am victims said in a statement Friday that they applauded Libya's fulfillment of the agreement.

"The Pan Am 103 families deeply appreciate Sen. Lautenberg's work to urge the administration to take every step to bring the agreement to fruition," spokeswoman Kara Weipz said in the statement. "While our loved ones will never be forgotten, we are glad this chapter in our efforts is finally over."

Ties between the two countries began to improve in 2003, when Libya gave up its weapons of mass destruction program and began compensating Lockerbie victims. But lingering lawsuits prevented the two countries from fully normalizing ties.

The State Department has said the deal was pursued on a "purely humanitarian basis and does not constitute an admission of fault by either party."

Senior State Department officials said the formula was designed to respect Libyan sensitivities about compensating victims for incidents for which it hasn't taken responsibility and also allow Libya to settle outstanding claims for the air strikes on Tripoli. Donations to settle Libyan claims were placed in the "voluntary" fund, from which each country involved in the claims draws the money to pay its citizens.

Welch would not say exactly where the money came from but stressed that no American taxpayer money would be used to compensate Libya.

The deal is to be followed by an upgrading of U.S. relations with Libya, including the confirmation of a U.S. ambassador, which was held up until the payments were made.

Lautenberg applauded the payment Friday.

"American victims and their families have waited decades for Libya to pay for its deadly acts of violence and today they have received long-overdue justice," he said in a statement. "I am pleased that our relentless pressure and support for terror victims has led to this historic moment."

Rice's visit in September, the first by a secretary of state since 1953, was hailed by both countries as a breakthrough. It followed months of negotiations between the two countries.

@highlight

Payment is part of multitiered plan to normalize relations between the two countries

@highlight

Tensions go back to attacks on Pan Am 103, German disco, U.S. airstrikes

@highlight

Libya now exempt from legislation allowing victim compensation from frozen assets

@highlight

Deal ends Libyan liability in terror cases, paves way for U.S. investment