(CNN) -- Beyond skateboards, Silicon Valley and hippies, California has a trendsetting streak of a different kind.

The state has been first to pass major public health initiatives that have spread throughout the country. California was first to require smog checks for clean air, pass anti-tobacco initiatives and bike helmets laws.

While these laws were met with skepticism and ridicule, they've often become standard practice in other states. The Golden State was first to ban smoking in workplaces, bars and restaurants in 1998. Now similar rules exist throughout the country.

Some advocates tout the state as a forward-thinking vanguard in which its health and safety laws are routinely emulated by other states.

"There have been progressive legislations in tobacco, environment and obesity prevention," said Mark Horton, a lecturer at the University of California Berkeley School of Public Health. "In some respect, the rest of the country looks to California as a laboratory for moving forward with those various types of initiatives."

But some critics liken the Golden State to a nanny state. California has 151,002 health and safety laws.

"It never ends," said Laer Pearce, who works in public affairs in Orange County. "Every year, several hundred bills come through and dozens of them tell us how to live our lives."

Starting in January, 760 new California laws went into effect -- for example, the importing of shark fins is prohibited, student athletes are required to have medical clearance after suffering a head injury, teens are banned from using tanning booths and the sale of caffeinated beer is forbidden.

There's a perception that California has "more folks who are health-oriented and more health-minded," said Horton, former director of the California Department of Public Health.

It's not just workout fanatics hanging out at Muscle Beach, Sierra Club members hiking mountains or the uber-health-conscious touting organic foods. Californians in general tend to have healthier habits, ranking 10th for physical activity, fourth for healthy blood pressure and fifth for a diet high in fruits and vegetables compared with other states, according to America's Health Rankings.

Californians have a stake in their health and the environment, because they want to enjoy the state's natural landscape, said several people interviewed for the article.

"What brings many people to California is the climate and the culture," said Matt Rodriquez, California's Secretary for Environmental Protection. "That means people who do come here have an interest in preserving ... a beautiful environment, clean air and clean water."

The willingness to innovate in health laws is part of the California's culture, said Marice Ashe, founder and executive director of Public Health Law & Policy in Oakland, California.

"You see that in technology innovation in Silicon Valley, there's a lot of sharing of ideas and resources that lead to major breakthroughs." A similar vibe exists in public health because there is a high concentration of medical, public health and law schools and organizations exchanging ideas, she said.

Since California started allowing ballot initiatives in 1911, its voters have swept in many several pioneering health laws.

In 1986, the state's voters passed a ballot initiative requiring information on products if they contain chemicals known to cause cancer, birth defects or reproductive harm. Products like electrical cords and Tiffany-style lamps carry statements: "WARNING: This product contains lead, a chemical known to the State of California to cause cancer and birth defects or other reproductive harm. Wash hands after handling."

One of California's biggest examples of its influence on public health law is tobacco regulation. In 1988, voters approved a proposition to become the first state to tax cigarettes to fund a tobacco control program. Ten years later, California banned smoking in public places such as trains, planes, buses, workplaces and restaurants. Now, about half of the states have similar policies about smoking in public places.

California became a guide for developing anti-smoking policies, said Lawrence Green, who formerly served as the acting director of the Centers for Disease Control and Prevention's Office on Smoking and Health.

The state also has a long history of limiting air pollution. California was the first state to ban a chemical used in laundromats called perchloroethylene, prohibit leaded gasoline, require smog checks and reduce carbon dioxide and other greenhouse gases. The state's air resource board passed another rule in January requiring reductions in greenhouse gas emissions and putting more zero-emission vehicles on the road.

California, home to more than 37 million people and the world's ninth-largest economy, has major clout.

"It's a large and powerful state, it can challenge national industries and has done so," said Green, professor of epidemiology and biostatistics at the University of California at San Francisco School of Medicine.

In certain cases, California laws have gone too far, according to the courts. Last year, the Supreme Court struck down a California law that would have banned selling violent video games to children. The state asserted that it had a legal obligation to protect children from graphic interactive images, but the court ruled the law violated the First Amendment.

"As far as red states and blue states go, it's probably the largest blue state with more progressive attitudes towards issues around public health," Green said. "And some cities, San Francisco and Los Angeles, have been passing some of the laws at municipal level, that lays the ground for state legislation."

California's cities often grab headlines with health-oriented initiatives. The City of Los Angeles recently passed a law requiring all adult film workers to use condoms to prevent the spread of sexually transmitted diseases. Pornography filmmakers have responded by threatening to move elsewhere.

Santa Clara County, located in northern California, became the first to ban fast- food restaurants from handing out give free trinkets with their kid's meals in 2010. San Francisco quickly passed a similar law and New York City's leaders have also indicated interest.

But California does not rank as one of the healthiest states, according to America's Health Rankings. It ranks in the middle, at 24, when the health of its residents is compared with other states. California came in as the worst for air pollution and near the top in cancer deaths (sixth), infant mortality (fifth) and occupational fatalities (fourth).

Because California houses more than 10% of the U.S. population, it may not be fair to compare a state with such a huge, diverse population with one that's more homogenous and smaller, like Vermont, which ranks as the healthiest state.

"The amount of cultural and income diversity in the state, the huge size of low-income population puts health equity to test here," said Ashe, a lawyer who specializes in public health issues. "We are not the healthiest state despite innovations; we have challenges that we embrace and try to offer solutions."

Pearce, author of "Crazifornia: Tales from the Tarnished State" said all the regulations have hurt California's economy. The state has lost manufacturing jobs and companies because of too much regulation, he said. For years, California has faced budget shortfalls, and its governor, Jerry Brown, is now calling for tax increases in sales and high-end income.

"It's a love-hate," Pearce said about his views of California. "There's so much to the government, it drives me a little crazy."

Ashe said people who blame regulations for economic woes don't see the bigger picture.

"People love to beat up on the nanny state and point a finger at regulation," said Ashe. For example, she said that not regulating air quality means more people would have health problems such as heart disease and asthma.

"If we don't do something, we are costing the state untold billions of dollars," she said. "It'd be worse without protection."

@highlight

California led several public health efforts in tobacco control, air quality

@highlight

Residents tend to be health-conscious because of culture, environment

@highlight

Critics say the state over-regulates, stifling freedom and economy

@highlight

Several metrics show laws don't translate into healthy population