Before the mysterious disappearance of one of its passenger jets this month, Malaysia wasn't a country used to finding itself dominating headlines around the world.

Some of its Southeast Asian neighbors, including Indonesia and the Philippines, have suffered devastating natural disasters in recent years and are all too familiar with the media frenzy that accompanies a major crisis.

But Malaysia has largely managed to stay out of the international spotlight since its independence from British colonial rule more than half a century ago.

"It is one of these countries, because of its geography, that doesn't have earthquakes," said Ernest Bower, senior adviser for Southeast Asia studies at the Center for Strategic and International Studies. "It doesn't have tsunamis. It hasn't been tested with a disaster like this."

The disappearance of Malaysia Airlines Flight 370 has thrust the government into the dazzling glare of worldwide attention. And it hasn't emerged with very good grades.

"I think on a stress test, they're failing," Bower told CNN's Jake Tapper, pointing to the government's coordination of different agencies and communication with other countries.

China among critics

Criticism and complaints have come from other countries involved in the search for the missing plane, including China and Vietnam, and from the relatives of passengers. Malaysian officials have created confusion by issuing contradictory statements on key aspects of the investigation.

The majority of the people on board the plane were Chinese, and Beijing has increasingly voiced its displeasure with the search, especially after Malaysia announced over the weekend that evidence suggested the plane had been deliberately flown west into the Indian Ocean, away from its last confirmed location over the South China Sea.

"The new information means the intensive search in the South China Sea for the whole past week was worthless and would never bear fruit," said a commentary published by China's state-run news agency Xinhua. "Even worse, the golden time for saving possible survivors, if any, was generously wasted."

"It is widely asked why the Malaysian government failed to provide such crucial information as early as possible to avoid futile search by around a dozen countries," the commentary said.

China's Foreign Ministry urged Malaysia to keep providing more "thorough and correct information."

Chinese family members of the missing plane's passengers have been especially vocal, including some who loudly, emotionally demanded answers Wednesday outside the room where Malaysian authorities have been briefing reporters.

"We have been here for 10 days and (gotten) no single piece of information," one woman who identified herself as the mother of one passengers told a horde of reporters.

"... I just don't know where the plane has gone to. We are not satisfied with the Malaysian government's inaction."

Malaysian officials have defended their handling of the crisis, stressing that the situation is unprecedented.

"This is not a normal investigation," Hishammuddin Hussein, the country's acting defense and transport minister, said last week.

The shock of scrutiny

But some analysts say the missteps are symptomatic of a governing elite that's grown increasingly aloof.

"Although theoretically a democracy with regular, contested elections, Malaysia has been ruled since independence by the same governing coalition that has become known for its lack of transparency and disinterest—even outright hostility—toward the press and inquiring citizens," Joshua Kurlantzick, senior fellow for Southeast Asia at the Council on Foreign Relations, wrote in an article for Bloomberg Businessweek.

That resistance to scrutiny has come to haunt Malaysian government officials.

"It's not surprising. The Malaysian government has been able to live on its own terms for a very, very long time," said Clive Kessler, a professor at the University of New South Wales in Sydney who specializes in Malaysian studies.

The governing Barisan Nasional coalition and its predecessor have been in power for more than five decades. Prime Minister Najib Razak, the son and nephew of former prime ministers, has been in office since 2009.

Najib maintained a conspicuously low profile during the first week of the plane's disappearance. He appeared before the news media over the weekend to announce that the government believed the plane had flown off course as the result of deliberate actions. But he refused to take questions from journalists.

Some critics say that, in this instance, Malaysia can't afford to be insular and assume it has all the answers. The scope of this crisis -- and the fact Malaysia doesn't have much experience in this regard -- begs for more international outreach, not shutting out others who can help, they say.

U.S. Defense Secretary Chuck Hagel raised the issue of "transparency" in a phone call Monday night with Hishammuddin, with two U.S. officials saying that Hagel made this point to emphasize the need to share information given the complexity of this investigation and search.

"He was saying the best way to handle this is to continue to be transparent and tell what you know, when you know it," one official said of Hagel's intent.

Decades of dominance

Malaysia is an Islamic state with a Muslim majority. But it's also a multiethnic country with a wealth of varying opinions, experts say, including from within different ethnic and religious groups.

Ethnic Malays enjoy government preferences for positions due to their status as "sons of the soil," or Bumiputera, a term that comes from the Sanskrit word "bhumiputra" -- "bhumi" can mean land or earth, and "putra" means son.

"They have historically enjoyed political dominance," said Donald K. Emmerson, the director of the Southeast Asia Forum at Stanford University.

But the governing coalition's grip on power isn't as strong as it used to be. In elections last year, it failed to secure more than half of the popular vote, its worst ever performance. It kept its majority in parliament in part thanks to voting district boundaries that favored its candidates.

The government is finding itself increasingly fragile, analysts say, and the popularity of social media has undermined the clout of state-run news organizations.

"It's starting to open up," said Bower. "Social media has opened it up, a growing middle class has opened it up."

Tensions with opposition

Human rights activists say the repeated prosecution of opposition leader Anwar Ibrahim on sodomy charges is evidence of the lengths the Malaysian government will go to in order to sideline its opponents.

After being acquitted of the charges in 2012 after a lengthy legal battle, Anwar was found guilty again this month when a court overturned the previous verdict. The decision prevented Anwar from entering the race for important regional elections.

"The trial and conviction of Anwar should be seen for what it is: an underhanded move by the ruling party to tarnish and weaken the political opposition without regard to the harm caused to the nation's judiciary and democratic process," said Graeme Reid, director of the Lesbian, Gay, Bisexual and Transgender Rights Program at Human Rights Watch.

The government has repeatedly denied that the case against Anwar is politically motivated.

To shore up support, Najib's government has become increasingly reliant on a populist, religiously conservative approach that caters to ethnic Malays in rural areas, said Kessler, who has studied Malaysian society and culture for about 50 years.

The government's approach has fueled increasing disillusionment among other ethnic groups, notably the Chinese, and urban dwellers, he said.

Against that backdrop, dissatisfaction over the handling of the search for the missing plane could be a moment of truth for the government, according to Kessler.

"It may well be that Malaysia will not be the same after this because it has only served to exacerbate all the tensions in Malaysian society between the government and many of the people it rules over," he said.

Flight 370: Get up to speed on the latest developments

Pilot: Was that Boeing 777 diverted deliberately? Not necessarily

Malaysia Flight 370: The 10 big questions

Why are we so gripped by missing Malaysia Airlines Flight 370?

Just what is a transponder?

@highlight

Passengers' kin protest, say they are "not satisfied" with Malaysian response

@highlight

U.S. defense secretary urges Malaysian counterpart to be transparent

@highlight

Malaysian authorities aren't used to heavy media scrutiny, experts say

@highlight

"I think on a stress test, they're failing," an analyst says of Malaysia's government