ATLANTA, Georgia (CNN) -- On a plot of soil, nestled against the backdrop of skyscrapers in downtown Atlanta, Georgia, a group of residents are turning a lack of access to fresh produce into a revival of old traditions and self-empowerment.

Urban farming is a way for African-Americans to connect with the earth, says Cashawn Myers of HABESHA.

HABESHA Gardens is one of many urban gardens sprouting up around the country. Fruits and vegetables are thriving in this community garden located in an economically depressed area of the city known as Mechanicsville.

But the garden serves an even greater purpose. The harvest helps feed some of the neediest members of the neighborhood.

"It's a reawakening going on. It's almost like it's a renaissance," says Cashawn Myers, director of HABESHA Inc.

"There's a Ghanaian proverb that says Sankofa. Sankofa means return to your past so you can move forward. Even if you look at coming over here during our enslavement, we were brought here to cultivate the land because that's something we did on the continent. So really, that's what many of the people are doing now," he said.

Myers believes urban farming is a way for many African-Americans to reconnect with their past. iReport.com: Show us your urban farm

"They are going through a process of Sankofa and going to what they traditionally did, which is connect to the Earth so they can move forward and grow," he says.

But HABESHA Gardens isn't unique.

Former pro basketball player Will Allen, who is considered to be one of the nation's leading urban farmers and founder of Growing Power Inc., estimates that there are hundreds of thousands of urban gardens in inner cities across America.  Urban farms help feed people, sustain neighorhoods »  "It's beyond a movement at this point. Its more like a revolution," says Allen.

Both Allen and Myers agree that the boom in urban farming for African-Americans is born out of necessity and not just echoing traditions.

"Minority people are affected by poor food, more than any other groups," and many inner cities lack access to quality fruits and vegetables, Allen says. "Our food system is broken."

"When you're poor, when you don't have access to resources, you have to create your own," says Myers. "So this is a way for people of African descent to use their creativity to grow their own food."

Many poorer communities don't have full-scale grocery stores. Allen charges that companies have red-lined those areas and won't build stores there.

So community activists like Myers have taken up the fight.

"[Starting] community gardens in local communities, specifically in urban areas, is important, so you create your own food security network," says Myers. "You're not relying on large grocery stores to provide food for everyone because if those grocery stores have problems, your access to food is done."

HABESHA Gardens makes the fresh food accessible to people in Mechanicsville by opening up the garden to people in the community every Sunday from noon to 4 p.m.

"We invite people from the local community here, the immediate community but also from the greater Atlanta community ... to come out, work in the garden; learn, reconnect with the Earth and also be able to take food home with them after the harvest."

In addition to providing food for those that work in garden, HABESHA partners with organizations such as the Atlanta Community Food Bank and the MLK Senior Center to provide food from the garden to the hungry and elders in the community.

HABESHA is more than just an urban garden. HABESHA, an acronym for Helping Africa By Establishing Schools at Home and Abroad. The organization mentors young African-Americans by sending them on a yearly trip to Ghana and educates the youth in Mechanicsville through the garden's after-school program called Sustainable Seeds.

"Not only are we teaching them about agriculture, [we're] teaching them about solar technology, rainwater catching," Myers says. "A majority of the food that was planted here was done by the youth in the after-school program. They helped to build the shed, they helped to build the greenhouse, they helped to build the shade nursery ... They are very much a vital part of the process that goes on here."

Malik Parks, 12, is a member of HABESHA's mentoring program.

"Well, it feeds us. That's a big thing -- to know that we're helping the earth. Us planting it, that gives us exercise; then also, eating it gives us nutrients," says Parks.

Sporting a "Black to Our Roots" T-shirt, Parks is already well aware of the higher purpose he and HABESHA have with their garden.

"I believe to some, its hope. I know there are a lot of people over here that live in poverty. I know you can come and pick food, so that's food for them," Parks says. "So it's hope to stay alive longer and be energized and do what you have to do to get back on your feet."

Myers, who is his mentor, agrees.

"We encourage the people in the community to come, be a part of the process of growing the food, so it's more empowerment than it is giving as charity," says Myers.

And with urban farms like Will Allen's becoming half-million dollar enterprises in Milwaukee, Wisconsin, Chicago, Illinois, and many other farms in New York City and Detroit, Michigan, urban gardening is spreading like the roots of the vegetables they grow.

"This has become a multicultural, multigenerational movement, a revolution," says Allen. "This isn't just the hippies and tree huggers. Everyone is getting on board. It's really exciting."

@highlight

HABESHA Gardens is one of many urban farms sprouting up around the country

@highlight

Cashawn Myers says it's important for urban areas to create their own food sources

@highlight

HABESHA offers mentoring programs, harvests food to feed the local community

@highlight

Allen: Urban farming is a 'multicultural, multigenerational movement, a revolution'