(CNN) -- Luis Caplan served the poor of the South Bronx for decades out of a small medical office. His leg was amputated after a bout with cancer in 1990, yet he continued to work for another five years.

Luis Caplan, 71, asks of the stimulus package: "What happens to the real middle class?"

Now, his savings have nearly been wiped out because of the economic crisis. At the age of 71, he faces losing his apartment if things don't change soon. The government bailed out the big institutions, but "what happens to the little people?" he asks.

"What happens to the real middle class? What happens to me?" he says, choking back tears. "It's awful. It's really awful."

With Congress working to pass the $800 billion stimulus bill, millions of  Americans -- especially those with homes they're trying to sell or about to be foreclosed on -- are asking the same thing: What's in it for me?

Caplan says most of his equity is tied up in his 800-square-foot apartment that he purchased in 1985. He wants to sell it to move to Seattle, Washington, to be near his daughter, who was recently diagnosed with multiple sclerosis.

But his place has sat on the market for three months without an offer. Located in a tony neighborhood in Manhattan's Upper East Side, apartments used to sell in a matter of weeks. Caplan has dropped $50,000 from the original asking price of $625,000 and may have to drop the price again.

He says he can barely afford maintenance fees and other monthly costs associated with his place. He hopes to make enough money to pay off the reverse mortgage he took out to supplement his Social Security payments.

"I don't know how much more I can go through like this," he says, sobbing even more. "I'm going crazy with this."

His son, Danny Caplan, says, "He's collateral damage. He has equity and could sell it and walk away and have enough to live comfortably. But [he can't] because of the economic situation."

America's housing crisis has become a key issue for Washington policymakers. Millions of Americans are in foreclosure or facing foreclosure; others are out of work trying to sell their homes in a down economy. And there are elderly people, such as Caplan, who want to sell immediately to help stabilize their finances. Send us your thoughts on the stimulus plan

President Obama on Tuesday told people at a town hall meeting in Fort Myers, Florida, that he plans to announce in coming weeks "what our overall housing strategy is going to be."

Secretary of Treasury Tim Geithner made the rounds in Washington on Tuesday to push the stimulus bill, including the need to jump-start America's housing market.  See stimulus bill provisions »

"Homeowners around the country are seeing the value of their homes fall because of forces they did not create and cannot control," he said. "This crisis in housing has had devastating consequences, and our government should have moved more forcefully to help contain the damage."

At one Senate hearing, Sen. Jack Reed, D-Rhode Island, said "decisive action" is needed to address the housing crisis. "I think the message should come through clear from all of us, you have to move aggressively, clearly, and to start working," Reed said.

"I agree with you," Geithner responded. "Our objective is, and our hope is, that our program meets that test."

The stimulus bill does sweeten the pot for potential homebuyers, which supporters say could help spur the economy. Critics charge that letting housing prices stabilize on their own is healthy for the economy.

The Senate's version of the bill offers a $15,000 tax credit to anyone who purchases a home in the next year, more than double the tax credit offered by the House.

Dwight Jaffee, a professor of real estate and finance at the University of California-Berkeley, says the housing market is the "perfect instrument in leading the economy out of recession because housing is such a big-ticket item."

"We will not turnaround this economy until we start to turn around housing. I hope people in Washington are hearing it," he says.

In the case of Luis Caplan, Jaffee says, "What it means to him, if they did carry out this program, then the government would be stimulating the demand -- the buyers -- for his apartment to sell it at a fuller price and much sooner."

Caplan says that would be a good thing. He needs all the help he can get.

Born in Argentina, Caplan came to the United States as a legal immigrant in 1964 to pursue his dream of becoming a doctor. He eventually became a naturalized U.S. citizen and opened his medical office to help treat the Spanish-speaking poor of the South Bronx.

He believed his calling was to help "the poorest of the poor" get decent medical treatment, rather than pursue the more high-paying lifestyle of other doctors. Most of his patients were on Medicaid, so he got paid at a rate much less than other doctors. He beams with pride at the lives he saved.

"I caught cancers very early," he said. "I'm not the savior of humanity. ... I just did what I could to help poor people."

In June 1990 at the age of 53, Caplan started having pain in his left leg. It turned out to be a malignant tumor and his leg was amputated. Yet his passion and commitment to helping others kept him going.

Even after losing his leg, he went back to work for another five years. When he retired, he got another shocker: Social Security initially rejected him -- a man without a leg -- for disability.

He says he scraped and saved money along the way, "a very small amount that has practically disappeared." He now scoots around his apartment in his wheelchair hoping for better days. As far as he's concerned, the big Wall Street institutions can "burn in hell."

"I don't have a Rolls-Royce. I don't have a Cadillac," he says. "The government ... isn't trying to help everybody: People like me that went through this, people who did something good for the community, people who didn't buy an expensive painting for their office."

Caplan pauses. "This is what I'm left with: an apartment that can hardly sell."

His son is proud of his father's accomplishments, yet he's frustrated that his dad is in such a financial pinch during a time that's supposed to be the Golden Years of his life.

"He bought the American dream and paid for the American dream," says Danny Caplan.

CNN's Jackie Adams contributed to this report.

@highlight

Luis Caplan, 71, committed his life to the poor; now, he faces losing his home

@highlight

On the stimulus bill, he asks, "What happens to the real middle class?"

@highlight

Stimulus plan offers a $15,000 tax credit for homebuyers to try to spur the market