(Health.com) -- The secret to a long, healthy life in America? According to longevity researchers, it may be to act like you live somewhere else.

It seems like every year another country's lifestyle is touted as the new magic bullet to cure us of obesity, heart disease, and premature death: For an unclogged heart, herd goats and down olive oil like a Mediterranean. Avoid breast cancer and live to 100 by dining on tofu Japanese-style. Stay as happy as Norwegians by hunting elk and foraging for cowberries.

The places we're usually told to emulate are known as Blue Zones or Cold Spots. Blue Zones were pinpointed by explorer Dan Buettner and a team of longevity researchers and are described in his book "The Blue Zones: Lessons for Living Longer from the People Who've Lived the Longest." They're areas in Italy, Japan, Greece, California, and Costa Rica where the people have traditionally stayed healthy and active to age 100 or older.

Similarly, Cold Spots, as identified by integrative medicine physician Daphne Miller, M.D., author of "The Jungle Effect," are five areas in Mexico, Iceland, Japan, Greece, and Cameroon with low rates of "Western" ailments like heart disease, depression, and certain cancers.

Health.com: How to live to 100

Now I'd like to eat my way to a long life, but I'm not about to start foraging for raw plants -- I live in Brooklyn. I admire the vascular supremacy of Mediterranean folks, but I doubt I could completely replace butter with olive oil and chips with nuts. My kids would mutiny.

But it's crucial that we all try, says David L. Katz, M.D., founding director of the Yale Prevention Research Center: "The Centers for Disease Control has projected that one in three Americans will have diabetes by 2050." Message received! So I took a look at a few key regions to see which habits we Americans could make our own.

French women stay slim with petite portions

According to the best seller "French Women Don't Get Fat" by Mireille Guiliano, the paradox of how French women consume butter and cream without gaining can be explained in two words: portion control. They have small amounts of fresh, quality food and antioxidant-rich wine, lingering over multiple courses and savoring every bite.

French women also tend to walk everywhere instead of attempting to get to the gym. "In France, they climb stairs. Many of the buildings are older and don't have elevators," says Steven Jonas, M.D., professor of preventive medicine at Stony Brook University School of Medicine in New York and coauthor of "30 Secrets of the World's Healthiest Cuisines."

Health.com: Little ways to lose big pounds

Plus, the price of gas is a lot higher, so people are motivated to walk instead of drive. All of this adds up to French women having a low incidence of heart disease and obesity (12% compared to the U.S.'s 36%).

I admire the French "food is the focus" idea, in theory. If only I could while away the afternoon strolling from boulangerie to fromagerie. But as a working mother of two teenagers, I scramble to pull off a 30-minute meal. And that's OK, Jonas says: "Even if it's quick, a homemade meal with whole ingredients is better than going to a restaurant with huge portions and empty calories."

Scandinavians eat farm to table

The traditional Northern European food philosophy is to eat what you -- or someone nearby -- grew or gathered. The key words are local and fresh. Native plants include cruciferous vegetables, whole grains, and berries. Northerners eat omega-3-rich fatty fish, as well as elk and game birds, which tend to be leaner than farm-raised livestock.

The Nordic diet and way of life produces low rates of obesity (as low as 8%, depending on the country).

Despite scarce sunlight, Icelandic and Scandinavian people actually suffer from depression less than Americans, possibly due to all those omega-3s.

Health.com: SAD or just sad? 7 signs of seasonal affective disorder

In Scandinavia, there's also a physical component to producing food. "They expend energy growing and gathering," explains Amy Lanou, Ph.D., a senior nutrition scientist for the Physicians Committee for Responsible Medicine in Washington, D.C. "But that isn't feasible in many regions in America."

If backyard gardening isn't possible for you, even a weekend apple- or berry-picking trip will connect you to your food and is a good workout to boot.

The Japanese value family connections

Okinawa, a Japanese island region, is known to have the highest concentration of centenarians (people aged 100 or older) in the world. Compared to Americans, they have an 80% lower rate of breast cancer death and less than half the rate of ovarian or colon cancer deaths. They also have much lower rates of dementia and a lower risk of heart disease.

How they do it: On Okinawa, they practice hara hachi bu, or eating until 80% full. A spiritual lifestyle that includes prayer and meditation seems to reduce stress -- and possibly ailments related to it. Low cancer rates are believed to be due to a high-fiber plant-based diet of rice, soy, cruciferous and sea vegetables, fruit, omega-3-rich fatty fish, and only a tiny bit of dairy and meat.

Health.com: 6 cancer-fighting superfoods

Just as crucial is a sense of connection and community. "In Blue Zones like Okinawa, there is strong social support, family bonds, and a value placed on continuing to be active in society into your 80s, 90s, and 100s," Buettner says. "The sense of belonging matters for lowering stress, disease prevention, and longevity."

Good fats lead to longer lives in the Mediterranean

The much-heralded Mediterranean diet has been linked to a longer life and a lower risk of heart disease, diabetes, obesity, cancer, Parkinson's, and Alzheimer's. As we've heard before, this diet includes good fats (olive oil, nuts, fish), lean proteins, antioxidant-rich fruits and vegetables, and a moderate amount of wine.

Of course, it's all about knowing when to say basta -- enough. "Eat like an Italian" doesn't mean diving into a never-ending pasta bowl. Buettner adds, "In Blue Zones like the island of Ikaria in Greece, you find extended families under one roof making family meals." What's more, activity is a part of daily life -- "not something to suffer through at the gym."

7 things to do starting today

Buettner is crossing Iowa in a bus, attempting to change American towns into homegrown Blue Zones. "More than 40% of Americans smoked in the '60s, and only 20% do now," he points out. "We can turn around our diet and lifestyle, too." One thing we Americans have going for us: We are always up for a challenge. So try these healthful Blue Zone -- and Cold Spot -- inspired ideas.

Take 20% off. "In every Blue Zone, they eat less than we do, by at least 20%," Buettner says. One trick for slashing portions: "Instead of putting big platters of food at the center of the table, fill each plate at the counter," Buettner says.

Pile on the plants. Not only are plant-based diets rich in antioxidants and other good-for-you nutrients, they're also better for your waistline. "A plate of food in Okinawa has one-fifth the calorie density of a typical American meal," Buettner says. "You can chow down for a fraction of the calories." Buettner suggests thinking of meat as a condiment rather than the main event, and subbing in more beans, legumes, and nuts.

Learn to love the foods that love you back. A diet of berries and elk or tofu and sea vegetables might seem utterly foreignâ€”but taste buds can be retrained. "Americans love fat, salt, and sugar because that's what 9 of 10 we're used to," Katz says. "But studies show that if you eat more wholesome foods, you can learn to prefer them."

An easy way to start: Search for stealth sugar, which Katz says is found in many packaged foods. "Once you get rid of that hidden sugar, you'll start to prefer less-sweet foods," he notes.

Sit down -- and slow down. It might be too much to cook every meal. But we can sit at a table to eat our takeout instead of scarfing it down in the car. Savor each bite as the French do; stretch your meals out for 20 whole minutes. You'll end up eating less and enjoying more.

Get up. "The longest-living people don't think of exercise as a chore," Buettner says. Instead, little bits of movement are a constant part of their everyday lives. Make like a French woman and take a short walk after dinner. Shovel your own snow instead of paying the kid next door; make extra trips carrying laundry up and down the stairs.

Get out. Every Blue Zone is known for its strong social and family bonds. Besides spending quality time at home with family, surround yourself with healthy-living friends -- good health habits are contagious, research shows. Be sure to get involved in your community, too, whether it's at church, a gardening group, or a volunteer organization. These connections can add years to your life, Buettner says.

Take it easy. Even the world's healthiest people get stressed out sometimes. What they all have, Buettner says, are daily strategies to shed stress. Meditate, go for a run, make a dinner date with your best friend -- and don't worry about your inability to be a French woman or a Greek farmer.

It's OK to enjoy the occasional cheeseburger. What matters is a cumulative lifestyle pattern of enjoying healthful food, staying connected to others, and keeping yourself moving. That's how I plan to live to be 100 in the Brooklyn Blue Zone.

Copyright Health Magazine 2011

@highlight

French women tend to walk everywhere instead of attempting to get to the gym

@highlight

The Nordic diet and way of life produces low rates of obesity

@highlight

On Okinawa, they practice hara hachi bu, or eating until 80% full