(CNN) -- The Australian government has admitted it has 153 people, including children, in custody at sea while it fights a High Court challenge to any plans to send them back to Sri Lanka.

Until Tuesday's court hearing in Melbourne, the government had refused to confirm or deny it was holding the suspected asylum seekers, in line with its policy of not commenting on operational matters under "Operation Sovereign Borders."

All those on board are thought to be Tamils who left the Indian port of Pondicherry on a 72-foot boat in mid-June. They include three-year-old Febrina, whose image was released by a worried relative who hasn't heard from his family for more than a week.

"I am desperate to know where my family is. I can't function at all not knowing. I know all of them would be in very big trouble if sent back to Sri Lanka," he said, via an interpreter to the Tamil Refugee Council in Australia, before Tuesday's hearing.

The government launched Operation Sovereign Borders last September, a military-led campaign to "stop the boats," referring to a steady stream of vessels crammed with asylum seekers trying to make it to Australian waters.

Critics, including human rights campaigners, have slammed the policy, which advocates "turn-backs" and the offshore processing of asylum claims, as cruel and unnecessary.

'Culture of secrecy'

On Tuesday, they also took aim at the "culture of secrecy," which created days of uncertainty for family members whose relatives were presumably lost at sea, and resulted in a vacuum of official information to back up claims that a boat had gone missing.

"It took getting a case to the High Court before the government would admit that they did have those people in custody and that they were on the high seas, that's not good enough," said Ian Rintoul, from the Refugee Action Coalition.

David Manne, Executive Director of the Refugee and Immigration Legal Center (RILC), said the government's silence raised "profound concerns" about whether their rights and Australia's obligations under international law were being breached.

"Our system of Constitutional democracy is meant to deal with such grave matters with checks and balances under rule of law, not under a government-imposed shroud of secrecy with sweeping assertions that our international obligations are being met when the circumstances strongly suggest they are, in fact, being breached," he told CNN.

Greens Party Senator Sarah Hanson-Young said: "The ugly truth is that the government has been keeping dozens of children detained out on the high seas. These families have been at sea for over three weeks; they are anxious and frightened.

"The government has shown total contempt for the truth and for the rights of the Australian people to know what is being done in their name. Thankfully the courts have been able to shed some light on this immoral behavior," she added.

Why was the matter before the High Court?

On Tuesday, lawyers acting for 50 passengers on board the boat -- including 21 women and eight children from as young as two years old -- were seeking to extend a 24-hour injunction granted Monday to stop the Australian government from handing them over to Sri Lankan authorities.

Fears they would be returned to face potential persecution intensified earlier Monday when the government confirmed it had on Sunday returned 41 Sri Lankan nationals found aboard a boat west of the Cocos (Keeling) Islands in late June.

According to a statement from Australian immigration minister Scott Morrison, 38 Sinhalese and four Tamil Sri Lankans had been subject to an "enhanced screening process" at sea.

It found only one Singhalese Sri Lankan had a possible case for refugee status, but that person had asked to return with the others, the statement said.

Human rights advocates said evaluating asylum seekers at sea was not an appropriate way to deal with serious claims.

"It sounds as though three or four or five questions are being asked by video conference, snap judgments are being (made), and they're simply being returned," said Gillian Triggs, president of the Australian Human Rights Commission. "There is an obligation with international law to have a proper process," she added.

In a statement, the United Nations High Commissioner for Refugees (UNHCR) said, "UNHCR's experience over the years with shipboard processing has generally not been positive. Such an would rarely afford an appropriate venue for a fair procedure."

On Tuesday, the returned Sri Lankans faced court in the city of Galle, charged with illegally departing the country.

What does the government say?

The government has repeatedly defended Operation Sovereign Borders as the only way to put people smugglers out of business and to prevent lives being lost at sea.

In a radio interview last week, immigration minister Morrison said: "I know there's a lot of people out there who feel uncomfortable about elements of this, I get that... But this is how you stop the boats. This is how it has to be done because this is what works. This is why we're sticking to it."

Ministers often refer to the 1,200 people thought to have been lost at sea while trying to make the dangerous journey through seas to Australia during the previous Labor government's tenure. The Liberal government boasts that not one person has drowned in the 202 days since the last successful people smuggling venture arrived in Australia.

In a statement on Tuesday, acting Immigration Minister Julie Bishop said: "The government provided the High Court with the information it requested. However, in accordance with the policy established by the Operation Sovereign Borders Joint Agency Task Force Commander, the Government will not provide commentary about on-water matters under Operation Sovereign Borders."

"The Government will act in accordance with undertakings made before the Court," she added.

High Court ruling

On Tuesday, the government agreed to give 72 hours' written notice before any move to hand the asylum seekers back to Sri Lanka.

Lawyers for the government revealed for the first time that the boat had been intercepted in Australia's contiguous zone, the area stretching beyond its territorial waters. Because the boat was not in Australian waters, the people on board were not able to seek protection under the country's Migration Act, the court heard.

However, the presiding judge, Justice Susan Crennan, said there was no barrier to the government moving the asylum seekers to another location for processing, presumably one of its two controversial offshore processing centers on Manus Island in Papua New Guinea or Nauru.

How did advocates know about the boat?

Until Tuesday, most of the details known about the boat and those on board came from the vessel itself.

On Thursday, someone claiming to be a passenger called a well-known human rights advocate.

"We're on our way to Australia," the caller said, according to Bala Vigneswaran from the Australian Tamil Congress, which represents the country's Tamil community.

The caller said the boat had left the Indian port of Pondicherry, with 153 people on board, all Tamils, including women and children. Other phone calls were made before communication with the boat suddenly ceased on Saturday morning, Vigneswaran said, who passed the information to local media who called the Australian Maritime Safety Authority (AMSA).

Asked how he thought the asylum seekers might be feeling about being held, Vigneswaran said: "The only thing I can think of is they'd be very happy. Why not? Not all of them know the government policy (of offshore processing), some of them might.

"But, at the end of the day, they would think 'if we prove we are real refugees then the government will take us.' That's the mindset everyone has, isn't it?"

The Australian government has been returning asylum seekers to Sri Lanka, a country Australian Prime Minister Tony Abbott has said is "at peace", despite reports of the abuse and mistreatment of Tamils since the end of the civil war in 2009.

Australia extradites alleged people smuggler in asylum crackdown

Opinion: Deterring and denying asylum seekers in Australia

@highlight

153 asylum seekers from Sri Lanka being held at sea after boat intercepted

@highlight

High Court hearing brought by lawyers seeking to stop handover to Sri Lankan authorities

@highlight

Australian government has a policy of not commenting on operational matters

@highlight

Silence condemned by human rights advocates, critics of "harsh" policy