(CNN) -- "The name's Bond, Commander Bond." Words uttered by the world's most famous secret agent who is adored by his country, feared by the bad guys and trained by Britain's Royal Navy.

I have just spent three years with the Royal Navy and written the "Royal Navy Way of Leadership" commissioned by the Commander in Chief of the Royal Navy and issued to 15,000 personnel.

I spent long spells at sea on all types of vessel; I followed officer training with the Surface Fleet and with the Royal Marines. Never have I found a more cheerful, consistent and yet flexible and innovative working environment.

The Royal Navy is expert at planning, measuring and executing -- the key management disciplines; it does these things highly professionally as it moves throughout the 140 million square miles of the world's oceans.

Here's the surprising thing: the Royal Navy runs on "soft skills" (and never on shouted orders). These are the qualities of character and culture that are remarkably resilient and, most importantly, instilled in all Royal Navy personnel.

They understand the uses of commitment, loyalty, integrity, respect and cheerfulness in ways that the commercial and public sector can only dream of.

Read more: Top business brains on success

What I learned is that when people gather together to achieve an end (excellence in military operations or in business for example), what gets things done is those soft skills.

And where two groups attempt the same thing, the successful group will be the one whose leaders understand how to use those soft skills in motivating their people and maintaining their effort.

The soft skills are pretty easy to identify and pretty hard to learn. They are a form of emotional intelligence. Produce a workplace with the soft skills, and your people will flourish. And remember that half the Royal Navy at any one time might be working in an office (even at sea or on land deployment), so their workplace is much more like yours or mine than you think.

Take cheerfulness. Are you happy at work? Happy with what you are being told to do, or with what you are asking your people to do? Happy that your commitment and hard work are being nourished? Do you work for someone cheerful? Or are you happy to follow a pessimist?

Read more: Neurotics at work aren't all bad

Here is the opportunity. There are over 1.5 million people employed in FTSE 250 companies in the UK; a further 13.8 million in small and medium-sized enterprises nearly three quarters of a million in London. All contain managers, whose job it is to do things right, and leaders, whose job it is to do the right thing. Improve leadership at work, and you improve the lives of over 15 million people.

And in this current uncertain and fast-moving global environment, there is even more need for leadership of the right kind. Doing the right thing means three things: looking after your shareholders, looking after your customers, and looking after your people. And it's in the latter where leaders fail.

They tend to lack the emotional intelligence, the subtlety of character to elicit the best from their people when times get tough. These are not matters for management but for leadership.

So here is the take-home -- or better, take-to-work -- advice for leaders. This is military philosophy applied to everyday working life.

First, develop soft skills and see how employees who are trusted, valued, respected and treated cheerfully actually begin to flourish and prosper. In a recession, if money is not the first reward, then improving the individual's relationship with work should be. Your people will achieve more with fewer resources.

Second, figure out your ethos or culture -- "It's the way we do things around here." If you achieve this, then customer service becomes a reality rather than a hopeful promise; innovation is inculcated into the way everyone thinks all the time; honesty is not a matter of compliance but a matter of fact.

Third, be clear in your thinking and you will be more efficient. The Royal Navy works with what the military call Mission Command, which sets out the intent, strategy, resources, contingency and inspiration for any large-scale activity (it actually derives from Nelson's order of battle set out a month before Trafalgar). The simplicity is compelling because it works. And it has been tested in all manner of fast, dangerous, uncertain and difficult conditions for hundreds of years.

Read more: Army field doctors' team-building triage

How about when things go wrong? Sir Edmund Hillary, the first man up Everest, used to say that if you were in real trouble in a difficult place you needed an explorer called Ernest Shackleton, because he understood his people, knew how hard it was to lead well, and was prepared to do the right thing. Shackleton never lost a man in the Antarctic, despite being marooned there in 1915, because he understood his people, got them to make sacrifices for the common good, and earned their love and respect.

The love and respect found in Shackleton's crew really count commercially. A Mercer survey in the U.S. last year found that half of U.S. employees were unhappy at work, and that a third were thinking of leaving their organization; even worse, 20% of U.S. workers were disgruntled and yet loath to move on. The declines in productivity from ignoring the soft skills are huge.

Conversely, high-performing teams tend to have high levels of employee engagement and satisfaction. They depend on shared culture, goals, and methods; which is precisely what makes the Royal Navy so good at getting things done. A survey by Aon Hewitt last year found that employee engagement must be over 67% if a company has any hope of success: the average UK level is 57% (the lowest since 2008).

The soft skills that create happiness at work are not expensive to develop. Yet we know CEO tenure is short and therefore leadership/business culture -- the vital essence that carries continuity -- is suffering. It takes time to develop something worthwhile.

Yet it is a formula understood instinctively by every navy captain, every galley chef, every officer of the watch. How people are at work affects how they work. The culture counts. If businesses can get this right, like the Royal Navy, it will be revolutionary.

The opinions expressed in this commentary are solely those of Andrew St George.

@highlight

Royal Navy runs on soft skills more than shouted orders

@highlight

Soft skills are easy to understand but hard to learn

@highlight

Half of Royal Navy may be working in an office at any one time

@highlight

Leaders and managers could learn much from navy's way of operating