(CNN) -- Dick Traum, who made history as the first amputee to run a marathon, has a message of hope and triumph to those who lost limbs during the Boston Marathon bombings.

"If I lost a leg in Boston, you know what I would be thinking of is that I'm going to come back next year and slay the monster," said Traum, who ran the New York City Marathon in 1976 on a prosthetic leg.

Traum, now 72, participated in last week's Boston Marathon in a hand-cranked wheelchair. He finished the race three hours before the twin explosions struck near the marathon's finish line, killing three and wounding more than 260.

His personal story demonstrates how the victims of last week's Boston terror bombings can overcome the devastating setback of losing a limb. At least 13 of those injured in the Boston attacks underwent amputations.

While it might sound crazy to even think about running 26.2 miles after a devastating injury, Traum has invited the amputees to join him and his nonprofit group of disabled runners, Achilles International, to participate in next year's Boston Marathon.

"I would tell them the marathon is a lunatic fringe, but as they progress out of the hospital, we'd love to have them join us in Boston," said Traum, who lost his leg when a car hit him in 1965. His work with disabled athletes earned him a CNN Hero nomination last year.

The patients don't have to run in the first year of recuperation -- although it's been done before. Newcomer amputees can use hand-cranked wheelchairs as Traum did this year, in an act of mercy on his 72-year-old joints.

As these victims work on physically recovering from their injuries, they also must cope with the emotional shock of losing a part of their body.

"I don't think I ever had a more horrifying moment in my life than when I pulled the cover up after my surgery and I saw my leg was gone," said Denise Castelli, a triathlete and softball player who lost her right leg below the knee four years ago at age 23. "It was like, this is your life now and there's no looking back. Unfortunately you can't grow a limb back, and it is very frightening."

While she did not compete in this year's Boston Marathon, she had an emotional reaction after learning of the horrendous attacks.

"My first reaction was I just want to give them a hug, to let them know they will be OK," Castelli said.

"I have no doubt in my mind that any of the marathoners who lost a limb will run a marathon again."

Waking to the new reality can be tortuous. The patients confront the anguish of a loss just short of life itself, and yet they must find a way to advance themselves.

"The initial phase of recovery for the victim is going to be psychological, accepting what happened to them and stop asking 'Why did this happen to me?' and move forward to the next step," said Roy Perkins, senior director of programs for the Challenged Athletes Foundation, which supports people with disabilities in their pursuit of athletics and an active life.

Dr. Andrew Ulrich, executive vice chair of emergency medicine at Boston Medical Center, which treated victims of the marathon blasts, described recovery as "an extended process."

"It's going to take a long time," Ulrich said. "As the patients come to more realization as to what happened, there's going to be a lot of work to be done in a lot of places.

"Everyone is going to figure how to go forward," he said.

Opinion: Amputees never say 'I can't'

Family and friends will play key roles in overcoming grief and depression.

"There's so many times when I got down on myself, and my confidence would waver, and parents and friends would say 'You can do this, hang on,'" Castelli said. "They tried to be as encouraging as possible. That helped me cope a lot."

Lindsay Ess, a quadruple amputee, urged the victims to be resilient. As hard as it may seem, life does improve, she said. Her limbs were removed in 2006 after she suffered from Crohn's disease and organ failure brought on by septic shock.

"I've been there, and I could tell them that it gets better. Just never give up," Ess said.

Counseling and physical therapy become like a "full-time job," she said.

"That's huge," she said, "because for a long time I didn't want to take any pills that would make me happy. I didn't want to accept that I needed the medication to stabilize.

"You have to realize that it's not forever," she continued. "It's something that you have to deal with and fight, and keep fighting."

The rewards can be profound.

"You will love yourself even more afterwards because of how much you have gone through and overcome," Ess said. "And other people probably will never be able to relate. And in a way that's a good thing, because they didn't have the opportunity to have a near-death experience and live."

Mike Lenhart ran this week's Boston Marathon as a guide to an amputee runner who had completed a sports camp operated by Lenhart's Getting 2 Tri Foundation. The two men were about four blocks from the finish line when they heard the bomb blast, which Lenhart said sounded like a garbage truck dropping a Dumpster. He and amputee runner Richard Blalock weren't injured.

Lenhart attests to how science keeps improving an amputee's quality of life. His foundation promotes people with disabilities swimming, cycling, running and racing wheelchairs as a way to integrate in their communities.

"We're at a point in this country where the technology is much more advanced than 20 years ago regarding prosthetic limbs," Lenhart said. "It used to be, 20 years ago, you got an ugly rubber foot and it wasn't very functional. And now they're very functional."

Insurance companies will pay for a prosthetic leg used for walking, but they don't typically cover prosthetic legs used for running or cycling, which can cost between $25,000 and $40,000 each, said Jenna Novotny of the Challenged Athletes Foundation.

That's why the foundation awards annual grants -- $1.9 million to more than 1,200 para-athletes around the world this month -- to pay for the running prosthetic legs and other adaptive equipment, Novotny said. The foundation has also started a fundraising web page for the Boston victims who lost limbs.

Castelli, 27, didn't trust her prosthetic leg at first. Would it support her next step? She spent about six months learning how to walk on it.

After two more months, she learned how to run.

"I feared falling," said Castelli, who was a collegiate softball player when she broke her leg sliding into second base on a steal, leading to infection and ultimately amputation. "And there's always a fear that if I can't run, then it would be a reminder of what my life used to be, that I would never be that speedy little center fielder. My entire life I identified myself as an athlete."

Eight months after she learned how to run, she tested her old identity: She signed up for a women's softball league in West Milford, New Jersey, as the only amputee in the league, she said.

She conquered the amputation in her first at-bat, she recounted proudly.

She hit a home run.

And because the field had no fence and an outfielder chased down the ball, she enjoyed no home run trot.

She ran.

CNN's David Ariosto contributed to this report.

@highlight

Para-athletes offer hope to Boston Marathon blast victims who lost limbs

@highlight

Recovery is "an extended process" as patients deal with amputation, a doctor says

@highlight

"Just never give up," a quadruple amputee urges

@highlight

An athlete who lost a leg below the knee at age 23 tells of her comeback with a home run