The next time you find yourself facing some questionable drinking water, look for some cilantro.

At least that's what a team of U.S. and Mexican researchers made up of undergraduate students suggest.

The research team, lead by Douglas Schauer of Ivy Tech Community College in Lafayette, Indiana, along with colleagues from the Universidad Politécnica de Francisco I. Madero in Hidalgo, Mexico, have been studying the region of Tule Valley near Mexico City to identify cheaper ways to filter water.

Mexico City has long dumped its waste water in the valley, and the contaminated water is then used by regional farmers to irrigate crops. Once in the edible foods, heavy metals such as lead and nickel can make their way to consumers, where they can contribute to neurological and other health problems.

"The organic toxins we can take care of pretty easily with a number of different methods, but the only way to really get rid of those heavy metals is to treat them with filtering agents like activated charcoal (like what's found in a Brita filter), but those types of materials are kind of expensive," says Schauer. "They are a little expensive for us to use, but they are very expensive to the people living in that region."

TIME.com: Hazardous haze

After testing various samples of plants from cacti to flowers, the researchers determined that cilantro is the most prevalent and powerful so-called bioabsorbant material in the area. Bioabsorption is the scientific term for using organic materials often found in plants, that when dried, could replace the charcoal currently used in filters.

The team suspects that the outer wall structure of the tiny cells that make up the plant are ideal for capturing metals. Other plants, like dandelions and parsley may also provide similar bioabsorbant capabilities.

Schauer says ground-up cilantro can be inserted into a tube into which water is passed through. The cilantro allows the water to trickle out but absorbs metals, leaving cleaner drinking water. Dried cilantro can also be placed into tea bags that are placed in a pitcher of water for a few minutes to suck out the heavy metals.

"It's something they already have down there, it takes minimal processing, and it's just a matter of them taking the plants and drying them out on a rock in the sun for a couple of days," says Schauer.

Because cilantro isn't an essential crop, using it as a purifier won't take away from people's food needs in the region, and the relative ease with which the plant grows also makes it a realistic option for cleansing water.

TIME.com: Pollution in utero

So far, the researchers reported success in removing lead and nickel with their cilantro filters, and are studying how well the herb can removed other heavy metals found in the Tule Valley water such as arsenic and mercury. "We are hoping we can look at how cilantro absorbs those metals, and see if those metals work in some kind of synergy when they come into contact with the biomass," says Schauer. "We need to look at mixtures of metals to see if cilantro evenly pulls all the metals out."

How much cilantro would it take to effective make contaminated water drinkable? Schauer says a handful of cilantro will nearly cleanse a pitcher full of highly contaminated water of its lead content.

The researchers are presented their findings at the national meeting of the American Chemical Society.

This article was originally published on TIME.com

@highlight

Research team studying cheaper ways to filter water near Mexico City

@highlight

Heavy metals such as lead and nickel can cause neurological health problems

@highlight

Scientists found cilantro is the most prevalent and powerful bioabsorbant material