(CNN) -- Cameras in the cockpit. Real-time streaming of communications and flight information. Increased capacity flight data and voice recorders. Transponders that detach on impact and float.

Once the mystery of Malaysia Airlines Flight 370 is solved, there are changes in air safety that might result from the lessons of the disappearance of a jumbo jetliner in the age of instant communications.

The technologies -- each of which has its supporters and its detractors -- come into question as the search for Flight 370 enters its third week. Here's a look at some possible technological changes:

Camera images beamed from cockpit to ground

Investigators would be able to see and hear all that transpires in the cockpit.

Former American Airlines pilot Mark Weiss and other experts agree that images could prove highly important during investigations.

The National Transportation Safety Board has for years campaigned for cockpit video, arguing that images would have helped it solve what happened in crashes like that of EgyptAir 990 in 1999, which the agency concluded was a deliberate act by the co-pilot. A camera would have clarified who was in the cockpit and what was happening.

Opponents, however, are not ready to welcome Big Brother in the sky. Many pilots -- and unions that represents them -- worry about an invasion of privacy.

"Years ago there was an American Airlines flight that took off out of Chicago and an engine came off the wing, and that airplane went right into the ground," Weiss told CNN. "They had a camera on that airplane, and people were able to see inside the airplane exactly what was happening to them."

Union officials have said that having a camera monitor what pilots do would affect their ability to perform.

Longer life for batteries powering locator beacons

The hunt for Malaysia Airlines Flight 370 is two weeks old. That means it's near the halfway mark in the minimum battery life for the pinging beacon device on flight recorders.

When the expected battery life runs out, possibly around April 6, the job of finding the flight data and cockpit voice recorders -- to which the beacons are attached -- will get significantly harder

And, thereby, so will the job of solving the mystery of Flight 370.

Every commercial airplane is required to have pingers -- technically called underwater locator beacons -- to help locate lost aircraft. One is attached to the flight data recorder; another to the cockpit voice recorder.

The depletion of a device's battery will not wipe out data, however. Data has been known to survive years on modern recorders in harsh sea water conditions.

The battery life on the beacons has been a hot subject since the crash of Air France Flight 447 in 2009. The flight was carrying 228 people when it disappeared from radar between South America and Africa en route from Rio de Janeiro to Paris. It took two years to find the aircraft's flight data recorder and cockpit voice recorder in oceanic mountainous terrain under 13,000 feet of water.

The battery died before searchers could locate the wreckage. Since then, regulators and the airline industry have undertaken efforts to increase the beacon battery life from 30 to 90 days. There are also efforts to require pingers to be attached to aircraft airframes, making it easier to locate wreckage.

The next-generation pingers emit pings that can be heard 6 to 10 miles away, said Anish Patel, president of beacon manufacturer Dukane Seacom Inc.

Uplinking information from plane to satellite before a crash

The Air France crash spurred U.S. aviation safety officials to look into uplinking critical flight data to orbiting satellites from airplanes flying across oceans.

Today, flight data recorders use computer chips to record information about how the plane is working in flight. The cockpit voice recorder captures audio from crew members including pilots.

But all that data could be uncollected if the plane crashes in a large body of water. Then, the devices can't be retrieved without help from special recovery teams.

The National Transportation Safety Board had been researching a new system that would uplink airplane data about a plane's location, direction, equipment functions and about 30 other parameters to orbiting satellites, which would then beam the data back to the ground for storage.

In the event of a crash, that data could be easily accessed and analyzed for clues.

Such a system would be pricey but advocates contend that it could save millions of dollars in operations to recover onboard flight data devices when a crash occurs. Searching for the Air France devices and aircraft wreckage cost $40 million, according to a report by France's aviation investigation agency, the Bureau d'Enquetes et Analyses.

But critics cite potential reasons why in-flight data uplinks might not work, including high costs, limited bandwidth, security concerns, privacy issues, and cumbersome aviation bureaucracies.

In fact, two powerful government bureaucracies with oversight of the U.S. aviation industry -- the NTSB and the Federal Aviation Administration -- disagree about the promise of in-flight uplinks.

Real-time streaming of flight information

In the age of Netflix streaming and trans-Atlantic Wi-Fi on flights, why can't aircraft-in-flight data come in real time?

Canadian company Flyht Aerospace Solutions says it can. The company makes the Automated Flight Information System, or AFIRS, which automatically monitors data such as location, altitude, and performance.

The data can be live-streamed when something goes wrong. The technology would have answered many questions about Flight 370, according to Flyht director Richard Hayden.

"We would know where the aircraft has gone, where it is, and we would have information on what had happened in the meantime," he said.

On a normal flight, the system would send updates every five to 10 minutes. And it could be programmed to recognize when something is wrong, such as a deviation in flight path, to automatically begin streaming second-by-second data.

The main objection has been cost, but Hayden said AFIRS is designed to save carriers money.

"A typical installation would be under $100,000 including the box and the installation parts and the labor," said Hayden. "Normally our customers recover that expense in a matter of months to, at most, a couple of years by virtue of the savings it creates." Those savings come from troubleshooting mechanical problems while the plane is in the air, he said, as well as collecting data that can help cut fuels costs.

Former Inspector General of the Department of Transportation Mary Schiavo doesn't believe carriers will get on board.

"(Airlines are) very cost sensitive," she said. "They simply will not add additional safety measures unless mandated by the federal government."

Increased capacity for data and voice recorders

Today's recorders are better than recorders of the past, when data was recorded on magnetic tape. But they fall short of current technical potential.

Voice recorders, for instance, have only two hours of recording capacity. Since Flight 370 flew almost seven hours beyond the point where something went terribly wrong, it's almost guaranteed that crucial cockpit sounds have been erased.

Cockpit voice recorders memorialize pilot's words -- from the inconsequential to the tragic. In 1999, a voice recorder captured the last words of the startled captain of EgyptAir 990 as he fought to maintain control of his plane. The cockpit voice recorder helped establish that the pilot was trying to pull the plane out if a dive while his co-pilot, investigators determined, flew it into the ocean.

Voice recorders also record clicks and hums -- sounds that can reveal pilot's actions.

Flight data recorders capture a wide array of data, including altitudes, air speeds, headings, engine temperatures, flap and rudder positions.

And the types of data recording is growing as technology advances, a National Transportation Safety Board official said.

"We see recorders that come in for the newer aircraft of at least a few hundred (types of data) if not more than 1,000," the official said.

They must record the previous 36 hours of operations.

Pilots, however, don't like being recorded -- via audio or video. "It's their work environment," said Peter Goelz, a CNN aviation analyst and former NTSB managing director. "They believe that the voice recorders intrude on their work environment."

Two hours of voice recording capacity is not adequate, he said. "It should be the last 24 hours," Goelz said told CNN. "There is no reason in the world now not to have data recorders digitally recording in 24-hour time."

Some have suggested designing flight data and voice recorders that detach from the plane on impact or shortly before impact. The transponders would then float.

Theories abound about Malaysia Airlines Flight 370

Search hampered by ocean garbage problem

Nothing but water -- and questions

The passengers: Lives, not numbers

CNN's Logan Whiteside, Thom Patterson and Mike M. Ahlers contributed to this report.

@highlight

Beijing-bound Flight 370 disappeared two weeks ago with 239 aboard

@highlight

Debris was spotted in the southern Indian Ocean on Sunday

@highlight

Despite intensive search efforts, the debris has not been located.

@highlight

Mystery of missing Malaysia Airlines flight could lead to important changes in air safety