London (CNN) -- It's not just any old talent show, it's an institution -- an annual event that attracts an estimated global audience of 125 million.

But to the uninitiated, the Eurovision Song Contest can seem a mystifying cultural anomaly. Each year, this relic of the post-war era inspires scores of camped-up performers to perform even camper songs in a self-conscious display of continental unity.

But don't let that put you off. From Sweden to Spain, Portugal to Poland, the show gathers an ever more devoted following each year -- and 125 million people can't all be wrong, can they?

So, if you haven't seen it -- and don't know the first thing about what you're missing -- keep reading.

Forgettable song, memorable outfit: The crazy clothes of Eurovision

Who competes?

Forget the "Euro-" prefix. Contestants can come from any member country of the European Broadcasting Union (EBU) which includes numerous non-European nations.

Bizarrely enough, the boundaries of the EBU are determined by the catchment area of telegraphy cables built in the 19th and 20th centuries, extending to Israel, Armenia, Morocco and, let's not forget, Azerbaijan.

Melodifestivalen: Sweden's not-so-guilty Eurovision pleasure

Why?

Contrary to popular belief, the Eurovision Song Contest was not forged in the flames of international unity.

According to Dr Karen Fricker, co-director of the Eurovision Research Network, the contest was set up for the practical purpose of testing the scope of new broadcast technology in the 1950s.

"The whole gloss we put on it that it's about uniting Europe is actually a misrepresentation," she said. "Eurovision was set up not to unite Europe in song, but to test the latest broadcast technology," she said.

"The EBU needed content so thought, 'Let's create a song contest,'" she said. The contest caught on, and has endured as a reliable ratings hit for the broadcasters of participating nations.

So who chooses the acts?

The EBU is made up of broadcasters, not governments, and each year it is up to the participating broadcaster from each country to submit one act chosen through their own selection process.

The prospect of a ready-made domestic audience and a studio full of premium-rate phone lines often proves an irresistible draw to broadcasters, many of whom conduct their selection through a national public telephone voting contest.

In fact, some countries' national finals produce a greater public frenzy than Eurovision itself.

In Sweden, Melodifestivalen (literally, Melody Festival) is the biggest entertainment event of the year, with 32 songs competing in stadia around the country to become the nation's Eurovision entry.

Then what?

Since the early 1990s there have been more countries eager to compete in the contest than would be sensible to include on one already marathon TV show.

This prompted a wave of convoluted screening processes -- most of them short-lived -- until the EBU began broadcasting semi-finals in 2008.

The semi-finals are conducted along the same lines as the final (more on that later), except there's two of them. Each country performs their song and is judged by all the other countries in their semi-final group. Unlike the final, however, the tally of votes won is kept under wraps, with the successful qualifiers simply announced while the losers are sent packing.

The process applies to everyone except the previous year's winner (who earns the automatic right to host and compete in the next contest) as well as the Big Five of France, Germany, Italy, Spain and the United Kingdom -- all of whom qualify automatically.

That doesn't sound fair.

It isn't, but you get what you pay for. The Big Five are the biggest financial contributors to the contest, and without them the high production costs simply wouldn't be met.

So what happens on the big night?

One by one, the performers from each nation get on stage and sing their hearts out, often wearing a flamboyant outfit and performing a dance routine. Until 1999, each entry was obliged to sing along with a live orchestra, but since a rule change scrapped the requirement, no one ever does.

Live instrumentation is not permitted. This rule exists because there isn't enough time to wire the instruments during the short break between the songs. On the other hand, the backing tape can't have any vocals as live singing is (for the time being) what it's all about.

After the performances, there's an intermission. Convention dictates that this is an opportunity for the host nation to launch a long musical advertisement for itself. Then the moment that everyone's been waiting for (and, it is said, the moment that most people tune in): The voting.

Finally! So, how does that work?

Countries award a set of points from one to eight, then 10 and finally 12 for their favorite songs. They can't vote for themselves and, for a much needed dose of sophistication, they must announce the score in both English and French.

Until the late 1990s, a mysterious jury of music industry experts -- sequestered somewhere in the capital city of each participating nation -- were the contest's soul arbiters.

But since 1997, when a handful of nations experimented with televoting -- giving people in those countries the opportunity to vote for their favorite songs over the phone -- the public choice has counted for half the final vote.

In a surprisingly straightforward conclusion, the winner is quite simply the country with the most points.

Which countries have the strongest track record?

The notorious luck of the Irish seems to have turned on its head when it comes to Eurovision. Ireland is head and shoulders above the field with seven wins to its name, including a run of three consecutive victories in 1992, 1993 and 1994.

France, the UK and Luxembourg each have five wins to their credit. Sweden now has five wins, and the Netherlands have four, while Israel and Norway have a respectable three wins each.

Do all the winners go on to fame and fortune?

No. One of the few "rules" that has remained consistent since the contest's inception in 1956 is that winners are rarely heard from again. Among the few notable exceptions are ABBA, who won in 1974 with "Waterloo," and Celine Dion, who was imported from Quebec to represent Switzerland in the 1988 contest.

@highlight

The Eurovision Song Contest is one of the most watched non-sporting events in the world

@highlight

Not just any old talent contest, it's an institution with a devoted following

@highlight

But many outsiders don't get it, so CNN is here to help