Cairo (CNN) -- He was once a powerful symbol of autocracy in the Arab world, but Wednesday, a frail Hosni Mubarak was wheeled into a Cairo courtroom cage to face trial for allegedly ordering the killing of anti-government protesters.

Dressed in a white prison uniform, Mubarak, 83, was placed in a mesh and iron cage, a standard procedure in Egyptian criminal trials. The former leader, who also faces charges of corruption, peered between the bars, identified himself and denied any culpability.

"All the things that have been said are not true," he said.

It was a jaw-dropping moment, leaving many incredulous at the sight of the former dictator stripped of his power, the first of the targets of this year's Arab Spring to face justice. If convicted, Mubarak could be punished with death.

Arab media described it as the "trial of the century." People all over the region were glued to televisions and radios for news of the proceedings.

It garnered an array of reactions from the Egyptian people as other embattled leaders in the region -- among them Libya's Moammar Gadhafi, Syria's Bashar al-Assad and Yemen's Ali Abdullah Saleh -- watched closely the fate of one of their own. Tunisian President Zine El Abidine Ben Ali, deposed before Mubarak in January, fled to Saudi Arabia and was tried in absentia.

"Every dictator in the region is watching this in total fear, thinking he could be next," said Egyptian journalist Mona Eltahawy. "And all the citizens in the region, ordinary people in the Arab or Middle East or North Africa, are thinking 'we wish we could put our tyrants on trial.'"

Mubarak, his much despised interior minister, Habib El Adly, and six of the latter's assistants face trial on the same charges. Also facing charges are Mubarak's sons, Gamal and Alaa.

Mubarak will return to court August 15, when his trial resumes. Legal proceedings will continue Friday when El Adly appears before the judge.

Seeing the once Pharoah-like Mubarak reduced to a crippled man in a cage could garner some sympathy for him, said Barak Barfi, a researcher with the New America Foundation.

Mubarak arrived in Cairo after a short trip from his hospital in the Red Sea resort town of Sharm el-Sheikh aboard a medically equipped military aircraft. A white helicopter took him to the police academy on the outskirts of Cairo where the proceedings were held.

Opponents and supporters gathered at dawn to await the trial of the strongman who ruled Egypt for three decades.

As the helicopter hovered before landing at the police academy, the crowd went wild. Some darted in its direction and clapped.

Mubarak's trial represents vindication for Egyptians who suffered under his rule and, more recently, those who lost loved ones who protested on the streets for his ouster. Many had awaited eagerly for Mubarak's moment of humiliation.

About 840 people died and more than 6,000 were wounded in the 18 days of uprising that toppled Mubarak, according to Amnesty International. A police officer accused of indiscriminately shooting protesters has been sentenced to death in absentia.

"Thirty years of corruption, at least we can see justice is taking place," said a woman outside the police academy who did not want to be named. "I don't know how Mubarak sleeps, when he was responsible for 80 million people and he did not do his job."

But not all were so outwardly against Mubarak. Supporters outside the trial venue waved flags and photos of the ousted leader. They, along with his foes, stood riveted to a big screen set up outside the venue to broadcast the trial.

The tension ran high and at one point gunfire erupted as supporters and opponents chased one another, hurling rocks and bottles. Several people were carried away in ambulances.

"How is the army letting this happen? Where is the unprecedented security they promised?" said Nevein Rashed after she ducked behind a van.

When the brief clashes subsided, riot police stood watch as dozens of Mubarak supporters chanted. They wore T-shirts that read: "I am Egyptian, I will not insult my president."

"Mubarak is a symbol of Egypt," said Entessar Ahmed, 14, who was outside the police academy. "If there were 30 years of corruption during his time, then every Egyptian should be sentenced because they let it happen."

Others welcomed the former leader's trial, but don't think anything will come of it.

"I believe that he will not be sent to jail. He will find a way to leave the country in one month," said Basma Nasr, 20. "I don't expect any verdict. I came here to watch this historic moment with other people. This has never happened before in Egypt."

A popular revolt forced Mubarak to step down February 11, leaving the nation under the control of a military council.

He has been hospitalized since suffering heart palpitations in April, but the nation's health officials declared last month that he is "fit to stand trial, given a proper transportation arrangement."

Former Israeli Cabinet minister Benjamin Ben Eliezer told Israeli Radio Wednesday that he had offered Mubarak refuge in the southern Israeli city of Eilat.

"Mubarak is a patriot and therefore turned down the offer," Ben Eliezer said.

Last week, Israeli Prime Minister Benjamin Netanyahu told the Arab-language news network Al-Arabiya that he respects Mubarak and hopes Egypt's next government maintains its commitment to peace with his country.

However, his office said Thursday that Netanyahu has made no offers of asylum to Mubarak.

CNN's Amir Ahmed, Frederik Pleitgen, Faith Karimi, Mohammed Jamjoom, Rima Maktabi and Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Arab media call it the trial of the century

@highlight

Hosni Mubarak is the first leader to face trial since the Arab uprisings started this year

@highlight

Other defendants, including his former interior minister, are also on trial

@highlight

Mubarak faces charges of corruption and ordering the killing of protesters