New York (CNN) -- On a chilly Saturday afternoon, a man with all the time in the world stands outside the bus he calls home.

While he takes in a view of the Brooklyn Bridge, Bob Votruba boasts he lives on 84 square feet of pure luxury.

"It's a cherished spot for me," he says, "something that is a little sacred."

Votruba, 58, a retired father of three, is in the middle of a 10-year journey to spread kindness across the country. So far he's logged almost 60,000 miles on a school bus he bought and has lived in for four years. His Boston terrier, Bogart, keeps him company.

The bus advertises his mission in giant letters painted on one side, "One Million Acts of Kindness." It's a goal, he says, a person under 30 can realistically meet if he or she makes it a point to be kind to someone every day.

"It's a constant reminder that I have chosen this path to be as kind as I can in every possible way," he says.

The impact of Virginia Tech shootings

Votruba says he felt compelled to champion kindness after learning a gunman had killed 32 people on April 16, 2007, at Virginia Tech.

He had begun a period of introspection, realizing he wasn't satisfied with his lifestyle, which he considered "cushy." His construction business had become just a job, and he felt unfulfilled with the direction of his life, especially with his kids headed off to college.

"It seemed like there was a higher meaning in going forward with life," he says. "That's when Virginia Tech happened."

Votruba drove to Virginia Tech the week of the shootings and talked to people about their experiences dealing with the tragedy. It wasn't just one conversation that affected him but the range of emotions he saw that week, which, he says, motivated him to change his life.

He returned to his home near Cleveland, and the single father told his children that he planned to sell all his belongings and drive to university campuses across the country to talk about kindness. Daughter Lizzie, 23, says she and her siblings were taken aback but not surprised. They always said Dad was kind.

"It was a different step than most people take in their life," his 25-year-old son, Peter, says. "I was proud that he left and he was going to do something he felt was right and needed to do."

Reminders

April 16 -- the date is as familiar to Bob Votruba as it is to anyone the Virginia Tech shootings personally affected.

Meeting recently with the Chamber of Commerce in Chesterland, Ohio, he told the group what that day meant, but Votruba says he was saddened to see a crowd of blank faces.

"That's how these events end up being lost in the public memory," he says. "The Boston bombings (were) on April 15, and there was so much coverage on April 16, April 17 and April 18. Here was an event that was so big six years ago that hardly got a mention."

Votruba says we live in a "Post-it note" society, where people need constant reminders to love and care for one another.

He sets at least four alarms each day to remind him to think about others and what he can do to spread kindness. Small gestures can help folks get into the habit of being kind, he says.

"If you want to say a prayer, or a moment of silence," he says, that's what you should do. "Whatever you need to do to honor someone."

On the road

Votruba made good on his vow to sell his home and belongings, taking an early retirement to embark on his journey of kindness. He funds it with his savings and retirement checks but also accepts small donations.

"It's all a buck here, 20 bucks there, that sort of thing," he says.

He drives to places where the weather is nice, visiting elementary schools and senior centers to drop off fliers announcing his mission. Those organizations will call him up (sometimes up to a year later) and ask him to come give a talk.

A couple of years ago, he added a bike to his travels and has ridden it nearly 18,000 miles to spark up conversations with the people he encounters about issues such as domestic violence and child abuse.

He placed two stickers on the back of his bike telling people what they should do: "Be a man. Don't raise a hand. Stop domestic violence," and "Stop childhood sexual abuse now." By the handlebars, a big black-and-white sign reads: "Boys should never hit girls," a message to which the children respond.

"These are issues as I'm driving across the country I'm hearing so much," he says. "I'm having firsthand conversations with people losing loved ones because of suicide. I've had adults break down and cry 30 to 40 years later because of something that happened in high school."

Votruba likes to hand out "kindness certificates," so people can frame a visual reminder of the mission of his trip.

Wake up and smile. Hold the door for someone. Let everybody go through traffic. These are the things Votruba says he does when he's on the road and recommends for others.

A living memorial

On this trip to Brooklyn, a dozen people from places as far away as Australia stopped by his bus to read the messages people left behind.

"There is a sense of wonder that turns him into a joy," says Sister Claire Young, who lives in Vero Beach, Florida. "You come outside and say hello to him, and he's just so thrilled to see you. What can be better?"

There is no heat inside Votruba's bus -- or air conditioning for that matter -- but the walls are filled with more than 400 messages, written by children and adults who stop by and chat.

It's a living memorial, he says, of the people who took the time to write on it. But it also speaks to the future, when days are long and he needs a reminder to keep going.

He likes the simplicity of one note that a 3-year-old left with the help of his mother: "Just be nice."

And the wisdom of a 92-year-old man who was married for 60 years: "Tell your love, you love her every day."

Even on a cold day, Votruba says, "it warms the soul."

@highlight

Bob Votruba has traveled nearly 60,000 miles across the U.S. to talk about kindness

@highlight

After the tragedy of the 2007 Virginia Tech shootings, he decided to change course

@highlight

He rides with his Boston terrier, Bogart, as company and sometimes bikes

@highlight

He gives himself reminders each day to be kind and gives assignments to others