(CNN) -- Travel warnings from the U.S. Department of State didn't stop Faith Hentschel, 65, from venturing to Iran this May to visit the rustic sites in ancient Persepolis and the colorful bazaars in Tehran.

A photo of Khaju Bridge in Isfahan, Iran, taken by an American traveler.

"I had no idea what to expect," said Hentschel, who spent two weeks in Iran after booking the trip through a private tour operator and applying for a visa. "I was stunned with the friendliness of all the Iranian people. That alone makes me want to go back."

Iran is still a relatively rare destination for Americans, creating a niche market for only a handful of tour operators across the nation that organize group trips for travelers once or twice a year. And with news of the arrest of three American backpackers, along with the June election riots and government crackdown, Iran may be an even harder sell, some travel companies said.

"It really depends on the political climate and the perception of Iran," said Mike McDonnell, who operates the site BestIranTravel.com in San Francisco, California. The site books trips for non-Iranian travelers interested in visiting. His site saw a decline in booking travel to Iran this summer. "It's already really hard to get to Iran in the first place."

Officials at the U.S. Department of State say travel warnings have been implemented on Iran since the hostage crisis in 1979, when militants captured 52 American diplomats and staff. The Americans were held for 444 days. Since then, the two countries have had no diplomatic relations.

U.S. passports are valid for travel to Iran and visas are required to enter the country, according to the State Department Web site. Going with an organized tour group is the easiest way to attain a visa. Travelers who do visit Iran run the risk of being denied entry, U.S. officials say. In some cases, Iranian officials have prevented American citizens, academics, scientists and journalists from leaving the country, and even detained, interrogated and imprisoned some on unknown or various charges, the Web site said.

"It's made well-known that the destination [Iran] could be perilous for American citizens," said Darby Holladay, spokesman at the State Department.

Last week, three Americans were detained after crossing into northern Iran during a hiking trip. The two men and one woman, said to be seasoned travelers, began their trip in Turkey and went into Iraq before crossing the unmarked border into Iran. The U.S. State Department and the Australian and British government warn against traveling into the border zones.

"Obviously, we are concerned," Secretary of State Hillary Clinton said Monday to reporters. "We want this matter brought to a resolution as soon as possible."

Mudhafer Mohammed, owner of the Miwan Hotel, told CNN that the hikers said they had come to the area because they heard it was safe. Mohammed said he tried to discourage them from going to Ahmed Awa, a popular tourist destination in the northern Kurdish region of Iraq.

"I told them, 'Don't go there because it is unsafe for you because you're American and Ahmed Awa is very close to the Iranian border,' " Mohammed told CNN. It is unclear whether the three wandered into Iran accidentally or intentionally entered the country.

Pauline Frommer, creator of the Pauline Frommer's Travel Guides, said it's  safer when visiting countries in conflict to use travel companies and tour operators that rely on local accommodations and guides. She warned against staying in big hotel chains, which have been targets in recent terrorist attacks in Indonesia and India.

"When it's an iffy destination, it's always a good idea to try and travel under the radar," she said. "You don't want to be a target."

Despite worries about safety, demand for visiting Iran has grown in recent years. Last May, travel writer Rick Steves shot a 10-day video of his visit to Iran in a one-hour special that launched on PBS. The project cleared up misconceptions about Iran and sparked Americans' interest in traveling there, travel experts said.

At Geographic Expeditions, a luxury travel company that organizes trips to Iran, the number of participants doubled from 25 in 2007 to 50 in 2008. Spiekermann Travel Service, Inc., one of the oldest travel agencies that specializes in Iranian travel, has booked more than 350 tours to the country since it began operating there in 1995.

"My path is known," said Ihab Zaki, owner of Spiekermann, which is based in Michigan. He said he began offering tours after he visited the country himself and was awed by its history and art.

"We send all our paperwork to local governments and they know we are coming. I don't let my people roam around in the middle of nowhere. It's very safe."

But the recent uncertainty in Iran has caused interest to wane. Spiekermann's bi-annual trips to Iran, limited to 14 travelers, usually sell out. But only four have signed up for the fall trip. Far Horizons Archaeological & Cultural Trips, Inc. in San Anselmo, California planned a second trip to Iran for October after their first trip in May sold out. But owner Mary Dell Lucas said the trip maybe be canceled because travelers are withdrawing.

"What's happening most recently is scaring people," she said. "Those three Americans made a mistake, but with us, it's very different. We are taking a group, and we are invited."

Lucas' firm and other tour companies say they take precautions.  Participants are required to abide by Iranian law, which means women must dress conservatively and cover their heads with scarves. A professor and a local guide, who are familiar with the country, accompany the American travelers.

Barbara Bailey, a 73-year-old from rural Ohio, went on a two-week vacation to Iran last April with a tour group. Her favorite part of the trip was talking to the Iranian women at the local restaurants.

"I went because nobody has really been before, and I know they have a wonderful history," Bailey said. "If you can get past the government, the people there are great."

If travelers can't afford to spend between $6,000 and $10,000 on organized excursions of  two or three weeks and decide to backpack, they still need to follow the rules, said Jon Dorn, editor in chief of Backpackers Magazine.

"If you're going to a place that's not like America, then do your homework on what's appropriate," said Dorn. Backpackers Magazine, an online and print publication specializing in backpacking, hiking and travel, reaches 2.5 million readers in the U.S.

Dave Stevenson, who oversees the Web site www.travel-security-and-safety.com, said hikers should be equipped with GPS systems, satellite or cell phones and maps when traveling in border areas, especially in conflict zones. They should also notify relatives back home where they are hiking abroad.

"The world is a big place," Stevenson said, "And there are always plenty of places to hike that aren't dangerous or war zones."

CNN's Arwa Damon contributed to this report.

@highlight

Three American hikers were detained last week by Iranian officials

@highlight

A handful of tour operators provide tours for Americans to visit Iran

@highlight

A U.S. passport is valid in Iran; visitors need a visa

@highlight

Travel warnings for Iran have been in place since the 1979 hostage crisis