(WIRED) -- Apple is a powerhouse of ingenuity, patenting ideas as soon as an engineer can scratch them down on paper (or iPad). Around three dozen Apple patents made their way through the U.S. Patent and Trademark Office this week alone.

Here we share three of the most notable -- one helps prevent cracked cover glass, another would deliver power to multiple devices with just a single adapter, and a third is a far-reaching location-based services patent that could keep Apple's competitors on their toes.

First off, Apple has come up with a solution for keeping the glass on the back of your iDevice from breaking in the event of a fall. Obviously, the simplest solution would be to avoid glass screens altogether, but if glass is going to stay, it should be made more resilient.

Apple dreamed up a tunable shock mount that would sit between the glass and the body of the device. This shock mount would inflate when the device's accelerometer senses that the phone or tablet is falling. An actuator within the device would suck in the cover glass as it accelerates toward earth, protecting it from damage. This technology could also be used to provide a water-tight seal.

The patent also describes using alumino silicate glass, better known as Gorilla Glass, instead of normal glass. Gorilla Glass is already used in the iPhone 4 and 4S. Future cover glass could be chemically treated in a solution including potassium to help strengthen it further. As K+ ions replace Na+ ions on the surface and edges of the glass, the glass would have higher compression thresholds in those areas, making it less susceptible to cracking.

Next up, Apple proposed an intelligent power adapter that could detect the varied power needs of different devices, and service them simultaneously.

Today's power adapters typically convert AC current from a wall outlet to a single DC current that can be fed to your device. Because different devices have different power needs, you currently need a different cable for each new gadget you use. (Well, that's the main reason. If power cords and adapters were universally interchangeable, manufacturers wouldn't be able to reap additional revenue when these accessories eventually need to be replaced.)

Apple's patent details an adapter that would have multiple, daisy-chained DC-to-DC converters (either in the adapter itself, or the cord or a connector), supplying power to more than one device. Alternatively, the adapter would have a relay that dynamically controls the power delivered to a device, and would only deliver juice to compatible devices.

The third major patent that rolled through the USPTO this week was innovative back when it was first filed by Xerox in 1998. The patent involves location-based services, and could potentially be another tool Apple could use to crush other mobile competition (or at least get them to pony up some royalties).

Apple acquired this patent in 2009 from Xerox, and on Tuesday the patent was reissued. The patent predates the mobile app revolution, and even the rise of major social networks, and is worded uncomfortably broadly.

Here's the bulk of what it says:

"A location information system that displays location specific information, the location information system, comprising: a receiver that receives location identification information from at least one site specific object identifying a location.Iadd., where the at least one site specific object is a beacon.Iaddend.; and a transceiver that transmits the location identification information to a distributed network and that receives the location specific information about the specified location from the distributed network based on the location identification information, wherein the location specific information provides information corresponding to the location."

Yes, patentese is an obtuse dialect, but if you could decipher any of the above, you'll know the patent describes what tons of apps and mobile devices already do on a near constant basis. Apple could, theoretically, start pursuing companies like Foursquare or Facebook for performing location-based services that fall under the patent's very wide umbrella.

Is this patent really a threat to such companies?

"Apple gets interesting new patents all the time. I think this one is an example, but the moment of truth for any patent or patent portfolio is litigation," FOSS Patents' Florian Mueller told Wired.com over email. In other words: Don't get your panties in a wad until Apple starts aggressively wielding its patent power in the courts.

For now, it's just something the company has got in the bag. Along with its other some thousand patents.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

One of Apple's most recent patents helps protect glass screens by using a shock mount

@highlight

Another patent filed by Apple is for an adapter for multiple DC-to-DC converters

@highlight

A third patent involves the use of location-based services