Strict building codes and the preparedness of millions of Chileans who live along an arc of volcanoes and fault lines likely kept the death toll -- only six by Wednesday afternoon -- low after an 8.2-magnitude earthquake rumbled offshore and prompted a tsunami, observers said.

Officials said four of those whose deaths were blamed on the quake late Tuesday that triggered landslides, power outages, and a tsunami suffered heart attacks, while two others were crushed.

"They're a seismically active region of the world and they are very good at implementing their building codes similar to California," John Bellini, a Denver-based geophysicist at the U.S. Geological Survey told CNN on Wednesday.

He added, "Because of that, you would see less damage than in other places that have poorer building codes .... that's probably one of the reasons there haven't been as many casualties as there could have been from a magnitude earthquake of this size."

Nearly 928,000 people were evacuated, said Ricardo Toro, director of Chile's office of national emergency.

More than 2,500 homes sustained serious structural damage in the region around the northern port city of Iquique, the mayor of Alto Hospicio, Ramon Galleguillos, told reporters. Most of the homes were built with poor workmanship through government subsidies, Galleguillos said. Alto Hospicio is about a mile from Iquique, 60 miles southeast from the epicenter of the quake.

A 7.6-magnitude aftershock struck the region late Wednesday. There was no immediate word on damage or injuries.

Chilean President Michelle Bachelet, who toured the region Wednesday, praised local authorities for responding in an "exemplary manner" to a powerful earthquake and the tsunami that followed.

"This is a great example to all of us that when we work together in an adequate manner and we when we follow the plans that have been established in the region, we work well," Bachelet said.

Chile is in one of the most earthquake-prone regions in the world.

The country sits on an arc of volcanoes and fault lines circling the Pacific Ocean known as the "Ring of Fire," according to Mark Simons, a geophysicist at Caltech in Pasadena, California. This area sees frequent earthquakes and volcanic eruptions. Since 1973, Chile has had more than a dozen quakes of magnitude-7.0 and above.

Simons said Tuesday's quake occurred as the fault line along Chile's coast has constantly shifted in the last 140 years. In recent weeks, this area has seen a cluster of activity -- something like 50 to 100 smaller quakes. Then, late last month, a 6.7- and a 6.1-magnitude quake struck.

The keys to surviving the big ones

Chile has over the years implemented strict building codes and rigorous evacuation plans, experts said.

"People are more familiar with them," Bellini said of the temblors. "They, in general, know what to do as part of their daily lives, plus the building codes are fairly well-enforced in Chile. It's in their culture."

In February 2010, about 500 people died when an 8.8-magnitude earthquake hit. That quake was so violent, it moved one whole Chilean city about 10 feet west.

One month earlier, the importance of strict building codes was underscored when Port-au-Prince, Haiti, was hit by a magnitude-7.0 earthquake that leveled 70% of the Haitian capital's structures and killed at least 230,000 people.

"That's actually a perfect example of the differences in building codes and enforcement in two different regions," Bellini said. "Any place that has a magnitude 7 or an 8 is going to have some kind of damage. However, the building codes play a large part in the damage and destruction that is seen, as well as the casualty level. Population density plays an important part as well -- but the building codes are really what can save lives in areas that have large earthquakes."

In a 2011 report, the United Nations Office for Disaster Risk Reduction credited Chile's "strict building codes" with playing "a large part in protecting people."

"The key to surviving high magnitude quakes is to live and work in seismically safe buildings, while being aware of how nature around us can also change," Margareta Wahlstrom, U.N. special representative of the secretary-general for disaster risk reduction, said in the report.

The report found that Haiti's quake, which struck closer to the surface than in Chile, was "no match for the homes and buildings."

"In Haiti, in addition to [lack of strict] building codes, you have a population that doesn't have a regular historical experience of large quakes like this," Bellini said. "Last time there was a quake in Haiti that size was 100 plus years ago and they don't have large regular seismic activity plus the building codes are not there."

He added, "In Chile, they're better prepared. Whether it's in their mind every single moment of the day, I'm sure it's not. But in general, their infrastructure and their population is much more prepared for it."

Steven Godby, an expert in disaster management at Nottingham Trent University in England, praised the Chile's disaster preparedness, saying an estimated 500,000 people participated in a drill in May 2012 in the coastal region of Valparaiso.

"The government of Chile has been working hard to improve the awareness of people living along the coast to the threat from tsunamis and on what to do if one is approaching," Godby said in a statement. "Several tsunami drills have taken place since the tsunami that killed an estimated 500[-plus] Chileans in February 2010 and recent earthquakes in the region have helped to keep the threat firmly in people's minds."

Chile's big quake is not California's fault, scientists say

Inmates turn themselves in after temblor

In Chile on Tuesday, landslides damaged roads in some regions. Power and phone outages were reported in others.

The tsunami following the quake was similar to "high tide," Galleguillos added.

Bachelet huddled with regional authorities as images broadcast from the affected region showed deep cracks across paved roads and a crumpled coastline strewn with beached boats.

Bachelet said Chile faced the "first emergency hours very well" and Defense Minister Jorge Burgos said things were calm on Wednesday.

He said the military had been dispatched throughout the quake zone to ensure safety.

Some 300 relief personnel were deployed in Iquique, which has a population of more than 200,000, Burgos said.

Of 293 inmates who escaped from prison in Iquique, 131 had turned themselves in voluntarily.

Although the temblor was powerful, geologists say an even larger quake could be lurking.

"This magnitude, 8.2, is not the large earthquake that we were expecting in this area," said Simons. "We're expecting a potentially even larger earthquake."

It could be tomorrow. Or it could come in 50 years.

"We do not know when it's going to occur," he said.

The quake struck around 8:46 p.m. local time and had a depth of 12.5 miles, the U.S. Geological Survey said.

The Pacific Tsunami Warning Center issued several warnings but canceled them by early Wednesday. Tsunami watches initially extended as far north as Mexico's Pacific Coast were called off as well.

Tsunami waves of more than 6 feet washed ashore on the coast of Pisagua, said the center's Victor Sardino. Iquique saw 7-foot waves.

An earthquake of the scale that struck Tuesday night is capable of causing tremendous damage. So if the initial reports stand, Chile may have dodged a catastrophe.

On March 16, a 6.7-magnitude quake struck about 37 miles west-northwest of Iquique. A 6.1-magnitude quake hit the same area a week later.

Chile quake: This was big but a bigger one awaits, scientist says

@highlight

7.6-magnitude aftershock strikes late Wednesday

@highlight

Quake triggered small landslides, cut power and generated a tsunami

@highlight

President: "The country has faced these first emergency hours very well"

@highlight

About 300 prisoners escaped in the northern port city of Iquique, but 131 surrendered