It was clear from the statement from the National Security Council (NSC) on Monday that the United States is deeply annoyed with Hong Kong.

Couched in diplomatic language, the statement spelled out Washington's position: Hong Kong dropped the ball on Edward Snowden and the U.S. wants Russia to pick it up.

"We are disappointed by the decision of the authorities in Hong Kong to permit Mr. Snowden to flee despite the legally valid U.S. request to arrest him for purposes of his extradition under the U.S.-Hong Kong Surrender Agreement," said NSC spokeswoman Caitlin Hayden in a statement.

"We have registered our strong objections to the authorities in Hong Kong as well as to the Chinese government through diplomatic channels and noted that such behavior is detrimental to U.S.-Hong Kong and U.S.-China bilateral relations."

The statement went on to remind Russia that the U.S. had in the past returned numerous high-level criminals at the request of the Russian government.

"We expect the Russian Government to look at all options available to expel Mr. Snowden back to the U.S. to face justice for the crimes with which he is charged."

While there has been speculation that Beijing was behind the final decision to allow NSA leaker Snowden to leave Hong Kong -- a semi-autonomous Chinese territory -- on Sunday, Hong Kong authorities insist the judicial process was independent of China.

Simon Young Ngai-man, director of the Centre for Comparative and Public Law at the University of Hong Kong, downplayed the apparent spat between Washington and Hong saying there may be nothing more to the Hong Kong decision than what it has publicly maintained: that Washington failed to meet the requirements under Hong Kong law that would have allowed the police to detain Snowden.

"We don't know all the details as to why the Hong Kong government said the paperwork for the request was not in place; maybe the U.S. government rushed in sending their package over and really didn't submit a good set of documents," Young said, adding that he thought the response from the U.S. Justice Department had been fairly measured.

Nevertheless, he said that getting a provisional warrant in order required a "low threshold" of preparation.

"Why didn't Hong Kong authorities move more quickly? Hong Kong authorities would probably say this is just our protocol, this is how we do these things and in this case we didn't see any reason to make it an exception or treat it with any greater urgency."

A U.S. Justice Department official said that the United States had met requirements and disputed the assertion from Hong Kong's government.

Despite fears bilateral ties between the U.S. and Hong Kong could be damaged, Young said the relationship between the two governments was too deep and longstanding for the extradition drama to have any permanent affect.

"It may well be they will just sort of brush it under the carpet as a regrettable incident and it probably won't have any implications beyond that," Young said. "It's probably too early to say, but my intuition is that there probably won't be too much (fallout from Snowden)."

While the Hong Kong statement on Snowden pointedly requested a clarification from Washington of Snowden's claims that the U.S. had hacked targets in the territory, Young said he believed that this was aimed at domestic concerns over Snowden rather than any veiled attack on Washington.

"It simply says to the Hong Kong people you've expressed a lot of concern about this, CY Leung (the territory's chief executive) has said he is going to make inquiries and I think it just reiterated that," he said.

Other analysts said that Hong Kong and Beijing were probably relieved that a potentially protracted and embarrassing diplomatic problem was now outside their jurisdiction.

Jin Canrong, a leading foreign relations scholar and associate dean of Renmin University's School of International Relations in Beijing, told Hong Kong's South China Morning Post that Snowden's departure was ideal for Beijing.

"A time bomb that could threaten the Sino-U.S. relationship has been defused, even though the saga will go on and Snowden can still make more revelations. The strategy Beijing has been using in dealing with the case was to let Hong Kong handle it independently and keep a distance from it. I believe Beijing would not proactively take advantage of the intelligence Snowden revealed, because that would provoke Washington and rub salt into its wounds."

Jin also told the paper:  "Actually Beijing made some gains from the Snowden saga, because his revelations provided Beijing some bargaining chips for future negotiations with Washington in cybersecurity; Washington has lost the moral high ground on this front."

Analysts say China has used Snowden's claims that the U.S. hacked computer networks in Hong Kong and the mainland to put the U.S. on the defensive in their ongoing cybersecurity dispute.

Meanwhile, analysts will be waiting anxiously to see if Washington files any official complaint over the matter.

Whether the requisite amount of face -- an essential part of the Chinese diplomatic discourse -- has been saved from the Snowden saga has still to play out.

"I think in the long run (it will be resolved), but there will be questions asked," Young said.

@highlight

Washington sends tersely worded statement to Hong Kong over Snowden case

@highlight

Understated language spells out U.S. anger that Snowden was allowed to leave for Moscow

@highlight

Speculation strong Beijing was behind decision to allow Snowden to leave Hong Kong

@highlight

Analysts say Hong Kong acted within its laws and independently of Beijing