(CNN) -- Levon Helm, the drummer, multi-instrumentalist and singer for The Band who kept the band's heart for more than three decades, died "peacefully" Thursday afternoon, according to his record label, Vanguard Records. He was 71.

"He was surrounded by family, friends and band mates and will be remembered by all he touched as a brilliant musician and a beautiful soul," the record label's statement said.

A statement from the Rock and Roll Hall of Fame, which inducted Helm in 1994, called him the backbone of The Band.

"As a member of the one of the most influential rock and roll groups, The Band, Levon Helm produced music that was as much timeless as it was timely," it said. "In the late 1960s and early 1970s when the country was divided, The Band still projected a sense of unity and brought generations of fans together from all over the world."

Helm had a voice unlike any other in rock music: definitively Southern, soulful and gritty, an oak-barreled whiskey that sometimes went down with a fiery kick.

He could be mournful, calling up ghosts, as he did in "The Night They Drove Old Dixie Down" and the half-chanted chorus of "King Harvest (Has Surely Come)."

He could be playful, as he was in "Ophelia" and "The Weight," where in the latter he lunges into the "Take a load off, Fanny" chorus with joyful abandon.

And he could belt in sheer pleasure, galloping through "The W.S. Walcott Medicine Show" or simply lending his unique harmonies to "The Shape I'm In" and "This Wheel's on Fire."

It was an American voice.

Helm had been suffering from throat cancer. Despite reducing his voice to a rasp in recent years, it had not robbed him of his spirit.

At his home in Woodstock, New York, he regularly hosted the Midnight Ramble, weekly concerts that attracted sell-out crowds and all-star support from the likes of Emmylou Harris, Kris Kristofferson and Steely Dan's Donald Fagen. In the past decade, he recorded two albums, 2007's "Dirt Farmer" and 2009's "Electric Dirt," that won Grammys. And he occasionally took the show on the road, making appearances at Tennessee's Bonnaroo, the Newport Folk Festival and Los Angeles' Greek Theater.

Music, TV industries mourn Dick Clark

But Helm is best known for providing the vocals to such rock 'n' roll standards as "The Weight" and "The Night They Drove Old Dixie Down," the latter a tale of a Confederate veteran sizing up his wasted land. That song was credited to The Band's primary songwriter, Robbie Robertson, who has said he was inspired by tales of the South from Helm and others.

Certainly, there was never a doubt who would sing it: the Arkansas-born, Southern-mythologizing Helm. "I aimed it right at him, I wrote it for him, he gets to say it all," Robertson told Rolling Stone in 1969.

Levon Helm was born Mark Lavon Helm in Elaine, Arkansas, on May 26, 1940, the son of a cotton farmer. He told CNN that he was inspired by "the old traveling medicine tent shows" that would make the rounds in the South.

"They had comedians and wine and music. Always a lot of music," he said in 2010.

After high school, he joined Ronnie Hawkins' band, the Hawks. When the Hawks moved to Canada in the early '60s, Hawkins and Helm recruited several local musicians, including Robertson, Rick Danko, Richard Manuel and finally Garth Hudson. Hawkins left the band in 1963, and the group renamed itself Levon and the Hawks.

The next year the group met Bob Dylan, beginning one of rock's great partnerships. The group, already known for its blazing live performances, ended up accompanying Dylan on his famous 1965-66 tours -- though Helm left by the end of 1965, upset at the vicious reaction the newly electric Dylan was getting from audiences.

Helm rejoined the Hawks in 1967, playing on what became known as Dylan's "Basement Tapes." The group also wrote and recorded its own songs in the same place, a house called "Big Pink" in West Saugerties, New York.

Renamed The Band, the group put out its debut album, "Music from Big Pink," in 1968, to rapturous reviews. "Six months are left in this proselytizing year of music ... but I have chosen my album for 1968. 'Music from Big Pink' is an event and should be treated as one," wrote Al Kooper in his Rolling Stone review of the LP.

The music was something new in American rock: both ancient and modern, rooted in the past and eschewing the psychedelic sounds then in vogue. The group, too, looked like something just emerged from a 19th century daguerreotype.

And Dylan did the cover and wrote or co-wrote three of the songs.

The next album, 1969's "The Band," earned them the January 12, 1970, cover of Time magazine, headlined "The New Sound of Country Rock." The magazine's artwork featured a menacing-looking Helm, bearded and hatted, looking every bit the American prophet he sometimes sounded.

The group was, and remains, hugely influential; the whole alt-country movement can trace at least some of its roots to The Band. (Patterson Hood, the leader of the Drive-By Truckers, named one of his earlier groups "Virgil Kane" after the protagonist of "The Night They Drove Old Dixie Down.") Elton John and Bernie Taupin were huge fans, and their song "Levon" drew its character's name from Helm.

The Band put out several more albums, including "Stage Fright," "Cahoots" and "Moondog Matinee," but touring and internal dissension took their toll. In 1976, the group decided to bow out with an all-star concert, "The Last Waltz," filmed by Martin Scorsese and considered one of the great music concert documentaries.

The tensions of the band were obvious on screen, and Helm in particular didn't hide his anger. In his 1993 autobiography, he talked about his disgust, as Greg Kot observed in a 2002 article on the film's anniversary.

"As far as I was concerned, the movie was a disaster," Helm wrote in the book, "This Wheel's on Fire."

He also disputed some of Robertson's songwriting credits, though Robertson questioned Helm's version. "Who did the work? I tried, I begged Levon to write songs or help me write songs -- all the guys. I always encouraged everybody to write," he told Kot. "You can't make somebody do what they don't want to do or can't do, and he's not a songwriter."

Robertson, in a statement sent to CNN Wednesday, said he was "shocked and so saddened to hear that my old band mate, Levon, was in the final stages of his battle with cancer. It hit me really hard because I thought he had beaten throat cancer and had no idea that he was this ill.

"Levon is one of the most extraordinary talented people I've ever known and very much like an older brother to me. I am so grateful I got to see him one last time and will miss him and love him forever," Robertson said.

After the Band's split, Helm recorded a handful of solo albums and toured with his old bandmates, minus Robertson. There were losses there, too: Manuel committed suicide in 1986, and Danko passed away in 1999. Helm occasionally played with other groups, notably Ringo Starr's All-Starr Band.

He also appeared in several movies, the best remembered of which is "Coal Miner's Daughter," which won Sissy Spacek an Oscar for her portrayal of country star Loretta Lynn.

Helm had some hard times in the late '90s. His studio was hit with a fire. The throat cancer took his voice and medical bills threatened his house. He nearly declared bankruptcy.

"You got to pick one -- pay your medical bills or pay the mortgage. Most people can't do both, and I'm not different," he told CNN.

But the Ramble, intended as a one-off "rent party," according to Helm, helped raise money and revived his career.

"If I had my way about it, we'd probably do it every night," he said. "I never get tired of it."

Indeed, it seemed there was nothing he enjoyed more than playing music for a few friends. In 2008, Helm received a Grammy Lifetime Achievement Award with The Band. He wasn't present to receive it.

He held a Midnight Ramble in Woodstock instead.

People we've lost in 2012: The lives they lived

@highlight

Helm, the drummer, multi-instrumentalist and singer for The Band, is dead at 71

@highlight

He had been suffering from throat cancer

@highlight

Helm is best known for providing the vocals to The Band's rock 'n' roll standards