London (CNN) -- Over the last 15 years, I've been lucky enough to work in the industry of tech-driven start-ups, and I've watched as revolutions have taken place.

Technologies we now take for granted -- wifi, the iPhone, Twitter and Facebook, for example -- have transformed the way we communicate, do business and even facilitate political upheavals.

Yet they remain youthful technologies. Wifi had its earliest start around 1991, and didn't hit the mainstream until the early 2000s. It's now in every decent coffee shop and threatening to infiltrate the last bastion of un-connectivity -- the London underground.

The United Kingdom is integral in this narrative of global upheaval. But, unlike its American peers, it's shy of celebrating its success.

But without the ground-breaking work of UK companies, this brave new world would not be possible.

ARM, a spin-off of the loved but now-defunct Acorn Computers, pioneered the high-speed, low-energy brains that power this revolution.

Without ARM's "reduced instruction set computing" your laptop would barely last a few hours, and would be too hot to keep on. This relatively small company has created such huge opportunity and promise, but the UK barely celebrates them, let alone acknowledge the huge impact they've had on the future of computing.

Ever heard of Cambridge Silicon Radio? They create Bluetooth platforms, a technology which is now emerging as a potential way of securing mobile to mobile transactions, revolutionizing advertising and making sure that you're still connected to your phone even when driving.

British brains are also behind many of the greatest innovations. Tim Berners-Lee invented the world wide web, while Jony Ive is the design guru at Apple.

And it is these British visionaries who are as central to our new world, if not more so, than the social platforms that are part of our everyday conversations.

Consumer technology is all very attractive and tangible: Twitter is immediate; Facebook is ubiquitous. In contrast, ARM, Cambridge Silicon Radio and their peers, like Datasift, Autonomy and Wolfram, are technical, complex and powerful. And hard to make sexy.

In these times of instant gratification, sexy is a necessary condition. However such companies are all products of long-term vision, backed with massive intellectual prowess, creating cutting edge technologies that will remain a core part of the technological future for many, many years.

This stands them apart from Facebook and Twitter. These things are, by their very nature, faddy, nascent, fast to grow and fast to die. MySpace, Friends Reunited and countless others became "also-rans" who didn't keep the consumer's attention beyond a few years.

So, the UK needs to celebrate its vital role in our new, connected world. We're ambitious, dedicated, passionate, diligent and intellectually capable. But we're also refined, genteel and not one to brag about new riches.

That attitude stands in stark contrast to our American peers, who are incredible at creating and monetizing opportunities, then playing to consumers of the digital age -- just as Hollywood did with the silver screen.

They talk themselves up, they champion their industries, and they invest in each other, both financially and in spirit. In short, they are the noisy cousins bragging about their new riches.

We need to stop being distracted by this hype, and instead invest in and recognize our nation of incredible promise and intellectual capacity.

We don't invest enough in academia -- which is why I have established a free school, The Ada Lovelace Academy, to nurture the new generation of entrepreneurs.

Without such investment, we are at risk of failing subsequent generations with an endemic short-termism that doesn't set the stage for the next ARM, CSR, Wolfram or Autonomy to emerge from this green and pleasant land.

The opinions expressed in this commentary are solely those of Benjamin Southworth.

@highlight

Technologies we take for granted such as Twitter and Facebook are still young

@highlight

They've transformed the way we operate, but social platforms can end up as "has-beens"

@highlight

British minds are behind some of the most vital innovations in tech's brave new world

@highlight

However, they are complex and we don't celebrate our success like the Americans do