ATLANTA, Georgia (CNN) -- It's the middle of the night and Steven Ford is wide awake.

Insomniac Steven Ford says he needs to find a better way to wind down after a long day on the job.

"I toss and turn and watch the clock, sometimes at 3 in the morning, 2 in the morning," lamented Ford, 44, a commercial sign installer in Atlanta, Georgia.

Valerie McCloskey, a 42-year-old mother of two from Grand Rapids, Michigan, complained of a similar problem. "My husband is sound asleep next to me and I'm thinking about everything that I'm worried about."

McCloskey and Ford are among a huge group of Americans who suffer from some type of insomnia.

"Sleep problems are very, very common," explained Dr. David Schulman, director of the Sleep Laboratory at Emory University in Atlanta. "They affect more than a third of Americans in a given year."  Health Minute: Watch more on sleep disorders »

Sleep problems may be common, but Schulman stressed that insomnia is not normal if it lasts more than a month or two.

He said most adults need about eight hours of sleep a night. In reality "the average American sleeps just under seven hours," he said. "That's a problem."

A persistent lack of sleep or poor quality sleep can leave you feeling exhausted when you wake up.

"These folks are walking zombies," Schulman said. "They are out there with four or five hours of sleep a night."

Long-term sleep problems also may exacerbate other chronic medical conditions such as diabetes or hypertension, experts say.

Before you can treat the problem, you probably need to figure out what kind of insomnia you're dealing with.

The condition is classified as primary or secondary. The latter means that a patient may be having trouble sleeping because of a health condition or medication.

Primary insomnia is not related to any side effects. It is considered its own disorder that can be broken down into two groups: sleep-onset insomnia and sleep-maintenance insomnia.

Like its name, the sleep-onset version occurs in the beginning of the night when someone tries to fall asleep and can't.

"Sleep-maintenance insomnia is much less common," Schulman said. "It occurs when somebody can go to sleep, but wakes up once or several times throughout the night and has difficulty resuming sleep."

Stress, anxiety and depression may be some of the causes of chronic insomnia.

Before he prescribes medications, Schulman typically suggests that his patients try a number of things to regain control of their sleep cycle.

First, he said, don't stay in bed for longer than 20 to 30 minutes if you can't fall asleep or fall back asleep.

"If you accustom your body to being in bed for hours at a time unable to fall asleep, that behavior to some degree becomes subconsciously ingrained," he said.

Avoid caffeine within 8-10 hours of bedtime. Studies show that "if you take caffeine at noon it's still in your system at 8 or 10 at night," Schulman said.

Don't eat or exercise within three hours of bedtime. Schulman said both detract from sleep.

He also suggested avoiding alcohol before bedtime because it might trigger a lighter sleep and make it more likely you'll wake up in the middle of the night.

Finally, he recommended finding light, relaxing activities that will induce sleep, such as reading or listening to soft music.

He cautioned insomniacs to avoid bright light before bedtime. He also warned against watching television and using video games and computers before turning out the lights.

Cooling off might help. "One of the ways you can fool your body into thinking it is cooling off is to heat it up just before bedtime," Schulman said. "Take a warm bath or shower 30 to 45 minutes before going to sleep. As your body cools off afterwards, it is very sleep-inducing."

Steven Ford admitted he needs to find a better way to wind down after a long day on the job.

He doesn't consider his problem to be serious enough yet to see a doctor, adding "I'm too manly to try to look for help. I just deal with it, go to work and wait for the weekend."

@highlight

Sleep problems affect more than a third of Americans in a given year, expert says

@highlight

If you drink caffeine at noon, it's still in your system at 8 or 10 p.m., studies say

@highlight

Avoid eating and exercising three hours before bed if you have sleep problems

@highlight

Long-term sleep problems may exacerbate other chronic medical conditions