Libya's justice minister held a "cordial" meeting with U.S. Ambassador Deborah Jones on the capture of alleged al Qaeda operative Abu Anas al Libi by American forces over the weekend in Tripoli, two senior State Department officials said Tuesday.

The session was "all very cordial albeit with concerns," one of the officials said.

The meeting had previously been described as a "summoning," a more formal diplomatic term frequently used when one country wants to express displeasure with another.

Libya's General National Congress on Tuesday demanded that U.S. officials hand over al Libi, spokesman Omar Hmidan said. He also demanded that Libyan authorities and al Libi's family have access to him in the meantime.

The developments come as 200 heavily armed U.S. Marines headed to an Italian naval base, poised to fly at a moment's notice to Libya should the U.S. Embassy come under assault from angry crowds in the wake of al Libi's capture.

U.S. Army Delta Force soldiers captured al Libi this weekend in Tripoli. He is accused of playing a role in the 1998 U.S. Embassy bombings in Kenya and Tanzania.

The deployment, which began Monday, was made in coordination with the State Department, a military official told CNN. The official called the move a "prudent measure" after the U.S. military raid to capture al Libi.

The Marines are part of a 500-member unit formed after the 2012 attack on the U.S. diplomatic compound in Benghazi that left Ambassador Christopher Stevens and two other U.S. citizens dead. Military forces were not close enough to respond to that attack.

The official said they were being moved along with three V-22 Osprey aircraft capable of delivering them and their supplies to Libya, which lies about 328 miles (528 kilometers) across the Mediterranean Sea.

What the terror raids say about an 'Obama Doctrine'

Al Libi Interrogation

On Monday, al Libi was on a U.S. Navy warship, where he was being questioned by a high-value detainee interrogation group -- an FBI-led team with intelligence experts from the CIA and other agencies -- which is determining whether he has information about al Qaeda operations, future attacks or the whereabouts of known associates, U.S. officials have said.

A Defense Department statement says he is being held "lawfully under the law of war in a secure location outside of Libya."

It is unclear how long he will be interrogated, but U.S. officials have said he will be transferred to New York for trial.

The 49-year-old alleged al Qaeda operative is accused of playing a role in the 1998 U.S. Embassy bombings in Kenya and Tanzania that killed 224 people and wounded about 4,000 more.

He was indicted in the Southern District of New York in the embassy bombings and in connection with his alleged roles in al Qaeda conspiracies to attack U.S. forces in Saudi Arabia, Yemen and Somalia.

Wife: al Libi no longer with al Qaeda

Civilian trial

President Barack Obama and Attorney General Eric Holder have previously said they prefer to try individuals such as al Libi in American courts.

Al Libi isn't on alleged 9/11 mastermind Khalid Sheikh Mohammed's level, so don't expect the same hullabaloo over U.S. plans to try the Libyan terror suspect on American soil, legal experts said Monday.

"He will be brought back to the United States and tried in a federal criminal courtroom," CNN senior analyst Jeffrey Toobin said. "Obama's trying to close Guantanamo, not add prisoners."

And unlike previous cases, such as Mohammed's, "I really don't think there's going to be too much protest or concern or worry if they proceed that way," said James Forest, a professor and the director of security studies at the University of Massachusetts Lowell.

"I honestly don't think he has the name-brand recognition, shall we say, of a Khalid Sheikh Mohammed," Forest said.

In the past, terrorism suspects captured on American soil generally have been tried in federal courts -- such as Umar Farouk Abdul Mutallab, the would-be "undiebomber" who tried unsuccessfully to set off a bomb on a U.S.-bound jetliner in 2009; attempted Times Square bomber Faisal Shahzad; or 9/11 co-conspirator Zacarias Moussaoui.

It's "murky territory" when a fugitive is nabbed overseas by American forces, said Forest, a former director of terrorism studies at West Point. But "my hunch is they'll probably go the criminal route."

When the White House in 2009 proposed trying Mohammed and four other 9/11 suspects in Manhattan, the plan was met with staunch criticism from Republican leaders who said such a trial would be costly and asserted that the five terror suspects -- none of whom was an American citizen -- didn't deserve the rights and protections civilian courts afford defendants.

In 2011, Holder begrudgingly announced that the five suspected conspirators' fates would be decided via military tribunals at Guantanamo Bay, Cuba, prompting backlash from Democrats and human rights groups who painted the tribunals as untested, flawed and the likely subject of numerous legal challenges.

"Had this case proceeded in Manhattan or in an alternative venue in the United States, as I seriously explored in the past year, I am confident that our justice system would have performed with the same distinction that has been its hallmark for over 200 years," Holder said at the time.

Al Libi's case should not raise the same issues, Toobin said, because, as the suspected 9/11 mastermind, Mohammed was "in a separate category from everyone else in the world."

While the United States considers al Libi a dangerous terrorist, neither he nor his crimes are as well-known as Mohammed's, Toobin said.

As for al Libi's interrogation, Toobin noted that there is no indication he is being tortured and that if al Libi were subjected to enhanced interrogation techniques, the U.S. government has been clear that "they will not use the results of torture like waterboarding in any criminal case."

"The government obviously believes he's a very dangerous person, captured in a dangerous part of the world, and he needs to be isolated and brought back to the United States," Toobin said.

But Forest questioned how much valuable intelligence al Libi would be able to provide his captors. A former jihadist associate told CNN it was unlikely that he was still playing an active role with the terrorist network, and his wife said he had been living a normal life and was seeking a job with the Libyan oil ministry.

"Who knows if he's really up to speed on anything useful these days?" Forest asked.

Opinion: Good thing U.S. terrorist hunters weren't furloughed

@highlight

Libya's General National Congress demands return of al Libi, spokesman says

@highlight

Meeting between Libyan, U.S. officials "cordial," State Department officials say

@highlight

200 U.S. Marines go to an Italian naval base, poised to fly to Libya, if needed

@highlight

American forces captured al Libi over weekend in Tripoli, transferred him out of Libya