Washington (CNN) -- When the Bureau of Land Management retreated from a standoff with Cliven Bundy, a few hundred people traveled to his Nevada ranch to protest what they see as an overreach of the federal government.

One protester from neighboring Utah, Stephen L. Dean, 45, called the Bureau of Land Management's actions "tyranny in government." And a banner at the protest site blared: "Has the West been won? Or has the fight just begun!"

Showdown on the range

The Bundy standoff is emblematic of the larger anti-government sentiment around the country that has been amplified with the creation of the tea party movement in 2009. But the latest move in a two-decade-long tug of war between Bundy and the federal government is bringing to light the delicate balance that has lasted between citizens in the West and the federal government over the use of federally owned land for generations.

Private rancher on public lands?

Bundy tends his 900 cattle grazing on taxpayer-owned land about 100 miles north of Las Vegas.

To an East Coast dweller, the concept of public lands can be a foreign one, as people own or rent their plot of space in urban, suburban and commuter towns that crowd the Eastern Seaboard.

But out West, public lands are a big deal. Almost everyone uses them or depends on them. They are key to people's recreational hiking, fishing, hunting and skiing. And they are critical to people's livelihood, as they are used to cut timber, drill oil, mine coal and ranch cattle.

Vast swaths of the land in the West are predominately public. In Nevada, for example, 87% of the state is owned by the federal government, and the BLM oversees 245 million acres of public lands mostly west of the Mississippi River, not including the lands overseen by the National Forest Service and half a dozen other federal agencies.

"Public lands are true assets of the U.S.," said Bob Abbey, former director of the Bureau of Land Management.

Reid calls Bundy, supporters 'domestic terrorists'

How did Bundy ever get use of federal lands?

In Nevada, ranchers depend on the federal lands for their livelihood.

The government began allowing the use of the land in 1877 to promote the economic development of dry, difficult-to-cultivate desert areas. So it offered land for dirt cheap. Bundy says his family has owned the ranch since about the time the Desert Land Act passed.

A version of the law still exists today, allowing ranchers to graze their cattle on public lands for a nominal rate. The fee is cheaper than what the rancher would pay the state or a private land owner, but the tradeoff is that the rancher has to share the land with the public.

Feds end roundup, release cattle after showdown

The history

This is not the first standoff between public land users and the government. The most famous one, the Sagebrush Rebellion in the 1970s, pitted ranchers, loggers and miners against the federal government. They thought the Jimmy Carter administration was too heavy-handed in its regulatory and environmental policies.

Former Nevada state Sen. Dean Rhoads, who is also a rancher, led the negotiations with the federal government, which he said were peaceful and productive.

Ronald Reagan, Carter's opponent in the 1980 presidential election, sided with the Sagebrush rebels, saying, "The next administration won't treat the West as if it were not worthy of attention. The next administration will reflect the values and goals of the Sagebrush Rebellion. Indeed, we can turn the Sagebrush Rebellion into the Sagebrush Solution."

Reagan was a former governor of California, where the federal government owns roughly half the state's land

Since then, the BLM and the corresponding state agency have confiscated cattle from violators, but nothing escalated to the temperature of the Bundy Ranch situation.

The Bureau of Land Management

The BLM is a federal agency that operates predominantly in the West and is in charge of managing these lands. It must balance the desires of ranchers, environmentalists, recreationalists, and industrialists.

"I think a lot of people who live in the East don't understand the BLM," said Abbey, the former director.

Jon Griggs is manager of the 200,000-acre Maggie Creek Ranch in Elko, Nevada, a third of which uses public lands. He says he's sympathetic to the BLM, citing its difficult job.

"A lot of times they don't make anybody happy," he said, because the bureau is responsible for managing lands for so many uses. "I think that folks on the ground at BLM are good folks trying to do the best they can."

But this system unique to the United States brings conflict.

The environmentalists

The balance between conservation and public use is a major source of tension when overseeing government land.

The desert tortoise is a factor in the Bundy equation, and the rancher was ordered to remove his cattle from public lands in 1993 after the tortoise was placed on the protected species list. Bundy refused to comply, and he racked up more than $1 million in fines.

Brian O'Donnell, executive director at the Conservation Lands Foundation, called Bundy "one of the most selfish and irresponsible users of public land that I've ever witnessed."

"The key tenet in public lands in America is they belong to all of us," he said. When one person puts his "own selfish interest above everyone else's, the whole system falls apart."

Ranchers' sentiment

The Bundy situation is a common topic of conversation in rural Nevada, a part of the country filled with libertarian sentiment distrustful of the government, Griggs said. And like his, he said people's feelings are mixed.

While the ranch manager is sympathetic to the BLM's mission, he said its tactics were the wrong approach. Griggs said he understands where Bundy is coming from, saying the BLM "put his back up against the wall."

But Griggs also said that Bundy lost all efforts at appeal and that now he should follow the law.

"I think it's a mess any way you slice it," he said.

'Welfare ranchers'

Because of the cheap rent, some, including fellow cattlemen who don't ranch on public lands, call public land ranchers "welfare ranchers" and have no sympathy for the Western lot.

But Griggs said they don't understand that ranching public land is "not a bargain."

"On public lands, you might get kicked off at any moment for a turtle. That's kind of the deal," he said.

Rhoads, the former Nevada state senator, said 600 ranchers are currently paying their fees to the federal government for use of the land. He says that because of Bundy, people will "think that us in Nevada are getting away with not paying the government what it owes them."

The politics

Unsurprisingly, Bundy has become a political symbol.

Senate Majority Harry Reid, D-Nevada, called him a "domestic terrorist."

"These people who hold themselves out to be patriots are not," he said in Las Vegas.

Democratic Rep. Dina Titus told journalist John Ralston that Bundy is "not a folk hero," Ralston tweeted, but said Reid shouldn't call him a terrorist.

But libertarian-minded Sen. Rand Paul of Kentucky criticized the federal government's response, saying it "shouldn't violate the law, nor should we have 48 federal agencies carrying weapons and having SWAT teams."

"Can everybody decide what the law is on their own? No, there has to be a legal process," he said on WHAS radio in Louisville. "But I think there is definitely a philosophic debate over who should own the land."

The future

The BLM might have lost the latest battle with Bundy, but it has other tools at its disposal, including arresting Bundy for failing to follow the law, seizing his assets through the Treasury Department or sending the case to the Department of Justice.

The agency has not yet said what its next course of action will be, but former BLM director Abbey said that it must prevail because of the precedent it would set. If Bundy gets away with illegally grazing on lands and not paying fines, it could encourage other ranchers to follow suit.

While Bundy is a source of contention, ranchers out West are watching the BLM's next steps in the Bundy standoff, and they are worried about the BLM's next major action: Conservationists are asking for protection for the sage grouse.

The Nevada Cattlemen's Association says the BLM's draft proposal includes "overly burdensome grazing requirements." It would also reduce the number of grazing permits.

@highlight

Bundy Ranch supporters say the federal government is trampling on its rights

@highlight

But not all ranchers in Nevada support rancher Cliven Bundy

@highlight

The use of public lands out West is critical to people's livelihood