(CNN) -- Harold Pinter, the Nobel Prize-winning playwright and screenwriter whose absurdist and realistic works displayed a despair and defiance about the human condition, has died, according to British media reports. He was 78.

The much-honored Harold Pinter received the French Legion d'honneur in 2007.

Pinter's wife, Lady Antonia Fraser, confirmed his death.

Pinter, who had been suffering from cancer, died on Christmas Eve, according to the reports.

Fraser told the Guardian newspaper: "He was a great, and it was a privilege to live with him for over 33 years. He will never be forgotten."

Pinter was known for such plays as "The Birthday Party" (1957), "The Homecoming" (1964), "No Man's Land" (1974), "Mountain Language" (1988), and "Celebration" (2000). The works caught a linguistic rhythm -- the legendary "Pinter pause" -- and an air of social unease that resonated throughout the English-speaking world and in myriad translations.

His movie credits, like his plays, span the decades and include "The Quiller Memorandum" (1965) and "The French Lieutenant's Woman" (1981).

Pinter also wrote the screenplay for his 1978 play "Betrayal," the story of a doomed love affair told backward, which was made into a 1983 film with Ben Kingsley, Jeremy Irons and Patricia Hodge.

He received the Nobel Prize in literature in 2005.

Pinter's later plays were more overtly political, with works such as "One for the Road" (1984) and "The New World Order" (1991) focusing on state torture.

In commentaries, he became a blistering critic of the United States, writing in his Nobel lecture that the country "quite simply doesn't give a damn about the United Nations, international law or critical dissent, which it regards as impotent and irrelevant. It also has its own bleating little lamb tagging behind it on a lead, the pathetic and supine Great Britain."

But Pinter could also be a man of great humor. In 2006, he recounted a story about a fall that had landed him in the hospital a year earlier.

"Two days later, I woke up to find that I'd been given the Nobel Prize in literature," he said. "So life is really full of ups and downs, you see."

Harold Pinter was born in London on October 10, 1930. He was the son of Jewish immigrants, his father a dressmaker, his mother "a wonderful cook," he once recalled. In 1948 he was accepted into the Royal Academy of Dramatic Arts, then as now one of Great Britain's most renowned drama schools. But the RADA didn't take; Pinter hated the school and dropped out after two terms.

He became an actor and turned to playwriting with his first work, "The Room," in 1957. Later that year he wrote "The Birthday Party," a "comedy of menace," in the words of one critic, that helped make Pinter's reputation -- though, in an irony he could appreciate, after it closed in London due to scathing notices.

Ensuing Pinter plays, including "The Dumb Waiter" (1957) and "The Homecoming," made him Britain's most famous playwright, as influential to "late 20th-century British theater [as] Tennessee Williams is to mid-century American stages," CNN.com's Porter Anderson wrote in 2006.

"What's generally meant as a 'Pinter play' in the purest sense usually revolves around one or more characters who are imposing on themselves a constricted, even deprived existence in order to hold off a presumed but uncertain threat," Anderson wrote.

Pinter's plays featured sparse dialogue, often spiced with paranoia or simple befuddlement. In "The Birthday Party," a boardinghouse resident is accosted by two malevolent visitors who insist it's his birthday; in "The Homecoming" -- which won the Tony Award for best play when it premiered on Broadway in 1967 -- a professor and his wife return to his working-class British family, where the wife becomes the center of attention.

Pinter credited Samuel Beckett, among others, as an influence. (He starred in a production of Beckett's "Krapp's Last Tape" in 2006.) In turn, writers such as David Mamet and Sam Shepard followed Pinter's elliptical lead.

"One way of looking at speech is to say it is a constant stratagem to cover nakedness," Pinter once said.

He was married first to the actress Vivien Merchant. Following a 1980 divorce, Pinter married writer-historian Lady Antonia Fraser.

@highlight

Harold Pinter died on Christmas Eve, his wife tells British media

@highlight

Pinter, 78, had been suffering from cancer

@highlight

He won the Nobel Prize for Literature in 2005