(CNN) -- They just don't get it.

Two months after playing partisan chicken with the debt-ceiling limit and leading directly to a U.S. downgrade, our dysfunctional divided Congress was at it again -- carelessly bringing the country to the brink of a government shutdown.

This time the debate was over disaster-relief spending. Republicans wanted to ensure that any extra money needed for FEMA in the wake of Hurricane Irene would be matched by cuts in spending elsewhere. The Democrat-controlled Senate rejected the House bill as a form of extortion and so the stalemate continued through the weekend, bringing FEMA within days of being insolvent. Ultimately, the two parties came to an agreement that funded FEMA but simply kicked the prospect of a government shutdown to right before Thanksgiving.

It used to be that at least a disaster could unite Congress to think beyond party politics. But we are living in a time where extreme measures are used every day. The threat of a government shutdown is seen as negotiating leverage. Threat of filibuster has gone from a rare event to a routine parliamentary procedure.

There is no question why Washington is broken. The two parties have become so polarized they seem unable to reason together. Special interests threaten to eclipse the national interest.

Hyper-partisanship is hurting our country because it is stopping us from being able to solve the serious problems we face.

That was the unambiguous message Standard & Poor's sent the United States with its downgrade in August that specifically cited an atmosphere of partisan gamesmanship. It was echoed by Federal Reserve Chairman Ben Bernanke -- a Bush and Obama appointee -- in remarks at the Jackson Hole conference in Wyoming. We have a political crisis, which is compounding the fiscal crisis.

This is not an elite concern, but a problem increasingly recognized by everyday Americans far away from the Beltway.

"Members of Congress are intelligent but they have no common sense," Darlene Swithers of Pennsylvania recently told The New York Times. "They fight too much. They should be put in a corner and take a time out and start working together as a team. I'm so sick of hearing Republicans this and Democrats that."

This is the articulation of the impulse that led 77% of Americans to tell CNN that Congress acts like "spoiled children" rather than responsible adults.

This latest flirtation with a government shutdown just shows how tone-deaf Congress has become. House Republicans played politics with disaster relief and felt that they would be rewarded by their base if they do so. Their all-or-nothing mindset leads them to the logic that Democrats will be to blame for a shutdown if they simply refuse to do what Republicans demand.

What's doubly dumb about this particular battle is that it is over relatively small change -- some $2.5 billion in disaster relief at a time when a bipartisan joint super committee is struggling to find a minimum of $1.2 trillion in deficit reduction. President Obama and Speaker John Boehner and 35 senators have encouraged the super-committee to go bigger -- to $4 trillion in deficit and debt reduction -- the amount almost achieved by so-called grand bargain that failed to materialize in August. Bipartisan committees like Bowles-Simpson and the Gang of Six -- as well as a plan proposed by Budget Committee Chairman Paul Ryan -- also set out different paths to a $4 trillion savings, bringing us to a more sound fiscal footing.

We know what such a step will require: spending cuts and some revenue increases, best achieved with tax reform and entitlement reform. The far right opposes any tax increases while the far-left opposes any entitlement reform. But there should still be room to reason together. For example, one solution would be to cut tax rates but close select loopholes, allowing higher revenue to be raised from lower rates. Unfortunately, some folks on the far-right have decided that raising revenue at all will be considered a tax-hike and a violation of the anti-tax pledge. That all-or-nothing logic threatens to doom the deliberations that democratic republics depend on.

It doesn't have to be this way. For most of the 20th century, congressional voting patterns were clustered toward the center -- the presence of conservative Democrats and liberal Republicans allowed for creative across-the-aisle coalitions. But in the past two decades, as the parties have become more ideologically and geographically stratified, the capacity for coalition building has decreased. The rigged system of redistricting and closed partisan primaries have helped further polarize the process as centrists are pushed out of both parties.

Likewise, in the past divided government has not meant dysfunction. America accomplished the Marshall Plan and the National Highway System under divided government during the Truman and Eisenhower administrations. The achievements of the Reagan era came with liberal Democrat Tip O'Neill at the helm of the House of Representatives. The two men disagreed deeply on political philosophy, but they had the capacity to disagree agreeably, sit together and tell stories at the end of the day. (And not incidentally, Reagan and O'Neill were able to form a bipartisan commission to help fix social security in the 1980s by requiring both parties to jump in together). Even Bill Clinton and House Speaker Newt Gingrich found ways to work together despite intense personal dislike, achieving welfare reform and turning deficits into a surplus.

But now, politics is increasingly seen as ideological blood sport and a zero-sum game. The parties are willing to politicize disaster relief and bring our nation to the brink of default. They oppose even bipartisan plans for fear that the other side might gain politically. Trust is eroded and replaced with the demonization of disagreement. This approach is fundamentally incompatible with the facts of divided government, which requires some degree of compromise based on defining common ground and then building on it.

Some hyper-partisans in Washington are simply looking to the next election to solve these problems. But the problem of extreme partisanship is bigger than one election. During this cancer in our body politic will require a cultural change. It will require actively supporting responsible voices in both parties. It will require pushing for policies like redistricting reform and open primaries. There need to be procedural reforms in congress as well -- for example, ending the special interest weapon of "secret holds" and requiring that filibusters be conducted in person.

In a larger sense, we need to rediscover some forgotten wisdom from the founding fathers. As Thomas Jefferson said in his first inaugural address, after a bitterly hard-fought campaign, "every difference of opinion is not a difference of principle." We need to remember what President Lyndon Johnson used to say: "I am an American, a Texan, and a Democrat -- in that order."

We have been through much tougher times as a nation before and emerged stronger. The danger today is that this crisis is self-inflicted and self-indulgent. The parties need to remember that they are not the purpose of our politics -- and even though they might be polarized, the vast majority of the American people are not.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Once rare, tthreats of shutdown, filibusters are now routine

@highlight

Avlon: Parties are willing to politicize disaster relief, bring nation to the brink of default

@highlight

All or nothing mindset of Congress defeats coalition building, he says

@highlight

Parties need to remember that they are not the purpose of our politics