New York (CNN) -- As a 9/11 widow, I understood my role on the memorial jury to have both a personal and a public component. At no time was the confluence of those roles more clear to me than when we discussed the placement of victims' names on the memorial.

And nothing had a more profound effect on my feelings of closure than the decision to use the concept of "meaningful adjacencies" to determine the placement of those names.

When I first heard the phrase "meaningful adjacencies," I had no idea how powerful the concept would prove to be. At the time, in 2004, those of us who had the honor of serving on the jury that selected the winning design for the 9/11 Memorial had been struggling hard with how best to display the names.

It was clear that arranging the names alphabetically or by company would be too cold and dispassionate, as if this were a listing you'd see in a building directory posted near the elevator. The alternative, displaying the names randomly, seemed at first to make more sense. After all, it was random, wasn't it, who lived and who died on that terrible morning 10 years ago?

But ultimately, we realized, a random arrangement felt wrong, too. The deaths of our loved ones may have been random, but their lives were not.

In the concept of meaningful adjacencies, we had at last found a powerful response to the senselessness of our loved ones' deaths. Placing names in thoughtful proximity to one another would give us the opportunity to bear witness to the shared care and concern, the labor and joy that bound these people together while they were alive -- whether as siblings or colleagues, as friends or family, or even as former strangers who turned to one another for comfort at that moment of cataclysm.

In a profound way, we realized that meaningful adjacencies would convey both the disturbing appearance of randomness with a comforting underlying truth: We are all connected. The idea captured us all.

Michael Arad, the designer of the memorial, came up with this simple yet powerful concept. I will always remember how he explained it to the jury: A memorial is a monument unless it lists the names of those lost. It was crucial that the names on this memorial be displayed, and displayed with purpose.

And so although it would be a Herculean task to get the needed input from family members, we all felt strongly that the effort to evoke this underlying network of connections would elegantly and simply convey not only the way in which these precious lives were lost but, perhaps more importantly, how these precious lives were lived. It would be upon us, the family members, to decide who to list our loved ones near, and it would come from knowledge that only we could supply.

When the 9/11 Memorial sent personalized letters to victims' next of kin across the globe, there were more than 1,200 meaningful adjacency requests. All of them were honored. Powerfully calling to mind the image of an invisible web linking those who perished, the reasons for some adjacencies will be fairly obvious to the general public.

The Hanson family — Sue, Peter, and their 2-year-old daughter Christine, the youngest victim on September 11 — died together on Flight 175 and will be listed together. Their names might have been adjacent even in an alphabetical listing. But then there is a family that died on Flight 77 — Charles Falkenberg and Leslie Whittington, married for 17 years, and their children Zoe and Dana — whose names would have been separated by a simple alphabetical order. And then there are adjacencies that express connections that are more hidden, and yet profound. Abigail Ross Goodman lost both her father, Richard Ross, on Flight 11, which crashed into the North Tower, and her best friend, Stacey Leigh Sanders, who was working that morning in the North Tower on the 96th floor. For Abigail Ross Goodman, the names of these two loved ones will forever be linked in her memory and now also at the memorial.

It's important to note that the memorial also launched a Memorial Guide, a digital tool to help family members and visitors locate any name. Not only does the guide show the exact place where a person's name will be, but it also provides background information on all of the victims and lists any adjacencies. People will be able to locate a name in advance via the 9/11 Memorial's website or use an on-site kiosk to find a loved one or learn more about any of the victims.

In the case of my husband, David Berry, I requested that he and his trusted colleague and friend, Thomas Theurkauf, be listed near each other. Although we will never know for certain, Tom's widow and I are convinced that our husbands died together. There is no more powerful testament to the special bonds that could not be broken by the murderous attacks of that day. We are comforted to know that their names will be kept close, reflecting how they stood together on the morning of September 11.

The opinions expressed in this commentary are solely those of Paula Grant Berry.

@highlight

Paula Grant Berry was one of the jurors who selected the memorial design

@highlight

Architect Michael Arad had an idea for listing names by "meaningful adjacencies"

@highlight

Those who lived or died together are listed together if families wish

@highlight

Berry: The deaths of our loved ones may have been random, but their lives were not.