Washington (CNN) -- President Barack Obama used his first Oval Office address to the nation Tuesday to say 90 percent of the oil gushing into the Gulf of Mexico will be captured within weeks, and to call for a new clean energy policy to end U.S. dependence on fossil fuels.

The 18-minute speech, televised nationally, described what happened in the April 20 explosion and fire on a Gulf of Mexico oil rig that led to what Obama called "the worst environmental disaster America has ever faced." He compared the millions of gallons of oil leaking into the ocean to an epidemic "we will be fighting for months and even years."

Obama meets Wednesday with the chairman of oil giant BP, which owns the broken well at the bottom of the Gulf, and the president made clear he expects BP to pay all clean-up costs and damages from the massive leak.

He said he will tell BP Chairman Carl-Henric Svanberg to "set aside whatever resources are required to compensate the workers and business owners who have been harmed as a result of his company's recklessness."

"This fund will not be controlled by BP," Obama said. "In order to ensure that all legitimate claims are paid out in a fair and timely manner, the account must and will be administered by an independent, third party."

In response to Obama's speech, a BP spokesperson said the company shared the president's goals of "shutting off the well as quickly as possible, cleaning up the oil and mitigating the impact on the people and environment of the Gulf Coast," and looked forward to Wednesday's meeting "for a constructive discussion about how best to achieve these mutual goals."

Earlier, senior administration officials told reporters that negotiations on the BP fund were continuing, with one major unresolved issue being whether workers who lose their jobs due to the government's six-month moratorium on offshore drilling will be eligible to file damage claims.

Republican critics have complained the moratorium is eliminating badly needed jobs as the nation recovers from economic recession, but Obama said the government must ensure the safety of such deep-water operations before allowing them to continue.

Obama said he knows the moratorium "creates difficulty for the people who work on these rigs."

"But for the sake of their safety, and for the sake of the entire region, we need to know the facts before we allow deep-water drilling to continue," he said.

Obama also called the Gulf oil disaster "the most painful and powerful reminder yet that the time to embrace a clean energy future is now." The United States must end its dependence on fossil fuels, he said, calling for Congress to rise above partisan politics to take on the challenge of passing energy reform legislation that will lead the way to development of a clean energy economy.

In an attempt to counter complaints of a sluggish government response to the oil disaster, Obama noted cited resources have poured into the region including nearly 30,000 people working in four states to contain and clean up the oil, along with "thousands of ships and other vessels." He said he had authorized deployment of more than 17,000 National Guard members along the coast to be used as needed by state governors.

Republican responses, some distributed to reporters before the speech began, criticized Obama for using the oil disaster to push his energy reform policies, which GOP critics say will increase energy prices and eliminate jobs.

"Every day seems to bring more bad news about the size and scope of this crisis, and reversing that trend should be the president's priority," said Senate Minority Leader Mitch McConnell, R-Kentucky.

"The White House may view this oil spill as an opportunity to push its agenda in Washington, but Americans are more concerned about what it plans to do to solve the crisis at hand," McConnell said.

He complained the energy reform legislation supported by Obama also is endorsed by BP and will "raise energy prices for every American family and business" but "won't end our dependence on foreign oil or protect the coastline and marshes of the Gulf coast."

Sen. Kay Bailey Hutchison, R-Texas, said the administration's focus should be on stopping the leak, not pushing Obama's policies.

"I am concerned the administration is attempting to capitalize on public outrage over the spill in order to push through a cap-and-trade bill that will significantly raise energy prices for all Americans and add more burdens on businesses," Hutchison said in a statement. "Right now, the president's number one priority needs to be keeping the jobs in the energy sector from going overseas and restoring the Gulf of Mexico."

Environmentalists supported Obama's call for Congress to pass energy reform legislation, with former Vice President Al Gore, now chairman of the Alliance for Climate Protection, saying that "in the midst of the greatest environmental disaster in our country's history, there is no excuse to do otherwise."

Ultimately, Gore said in statement, "the only way to prevent this type of tragedy from happening again is to fundamentally change how we power our economy."

Earlier Tuesday, Obama named Michael Bromwich to direct the federal government's efforts to regulate offshore oil drilling. Bromwich, who was a Justice Department inspector general in the Clinton administration, will oversee the reorganized agencies that formerly comprised the Minerals Management Service in the Department of Interior.

White House Press Secretary Robert Gibbs told ABC News on Tuesday morning that Obama's goal is to "restore the Gulf, not just the way it was the day the rig exploded, but years ago."

Presidents have tackled a variety of topics in Oval Office speeches -- from the Challenger disaster in 1986 to the attacks of September 11, 2001. Energy was last a topic in 1979, when Jimmy Carter spoke about America's inability to overcome the energy crisis.

While Obama has dealt with major issues including the wars in Iraq and Afghanistan and a major economic downturn since taking office in January 2009, he had never spoken to the public from the Oval Office until now.

CNN's Dana Bash, Anderson Cooper, Suzanne Malveaux, Ed Henry, Ed Hornick and Tom Cohen contributed to this report.

@highlight

NEW: Republicans criticize Obama for linking oil disaster to call for energy reform

@highlight

NEW: BP says it wants to work with Obama on ending leak, cleaning oil

@highlight

Obama says he will push BP to create a BP-funded account to pay for oil spill damages

@highlight

Oval Office speech is Obama's first White House address to nation