(CNN) -- If you're watching the first round of the National Basketball Association playoffs this weekend, take a good look at the players' jerseys.

You'll see the standard features: names of the teams, numbers and names of the players.

Make a mental picture of what you're looking at. Because there's a chance the old-style jerseys may become just a memory.

As Richard Sandomir of the New York Times reported, NBA owners at a meeting in New York this month were presented with a display of six mannequin torsos. Three of the mannequins wore Chicago Bulls jerseys. Three wore Boston Celtics jerseys.

But the jerseys had been intentionally altered, for the owners' consideration. They were festooned with advertising. The prominence of the on-jersey ads varied: One version did away with the team name and replaced it with the name of a corporate advertiser; a second version featured the advertiser's name beneath the player's number; a third put the advertiser's logo on a strap of the jersey.

The NBA has not decided whether it will begin the move to jerseys bearing ads. None of the four major North American sports leagues -- the NBA, Major League Baseball, the National Football League and the National Hockey League -- permits advertising on team uniforms.

But other professional sports -- auto racing, golf and soccer -- let athletes display ads on their clothing. And when Sandomir asked Adam Silver, deputy commissioner of the NBA, about the league's position on instituting jerseys with ads, Silver said: "If we add sponsor logos to jerseys, we recognize that some of our fans will think we've lost our minds. But the NBA is a global business and logos on jerseys are well-established in other sports and commonplace outside the U.S."

If and when it happens -- if the NBA becomes the first major American sports league to turn uniforms into advertising billboards -- the surprising thing may turn out to be how quickly the public, after expressing initial consternation, decides that it's no big deal.

Advertising once was seen as having the potential to be an unwelcome intrusion of hucksterism into places where hucksterism did not belong. But if there was a line that was not supposed to be crossed, that line was obliterated long ago. Not only is advertising ubiquitous and largely unquestioned today, it has managed to become a sought-after symbol of something's -- or someone's -- worth.

If a national corporation -- a soft drink, a breakfast cereal, an energy bar -- pays to put its brand on the T-shirt for a charity race, or on a local school's football stadium, or in the program for a college reunion, there is a sense of officially making the big time.

"Selling out" was for years a pejorative phrase, but it has lost much of its punch; national advertisers have worked so effectively to elevate the power of their brands, that there is status inherent in being connected with them and with their success. To paraphrase the old Dean Martin song: You're nobody till somebody buys you.

And, increasingly, national companies don't even have to offer money to people to promote their brands -- people pay their own money to do just that for the companies. All the customers who eagerly hand over cash so they can wear the Nike swoosh become free ambassadors for the manufacturer. At least the hardy souls who wear sandwich boards on city sidewalks to promote stores and products are compensated for doing it.

Objecting to this trend is futile. It has been building steadily for years. The Chicago Bulls won their first three NBA championships while playing in the classically named Chicago Stadium, but their second three championships were won while playing in the new United Center, sponsored by the airline, and it just seemed like the way of the world. People sometimes bemoan encroaching commercialism inside Wrigley Field, home of the Chicago Cubs, but that ballpark was, in contemporary parlance, and early adopter of you-can't-escape-it advertising, having been named for the man who owned it, a chewing-gum manufacturer.

If there was a stigma associated with advertising appearing in untraditional places, it is all but gone. Should the NBA decide to go forward with ads on jerseys, the players will probably put up a fight until they get their desired percentage of the income from the sponsors, but that will be negotiated. If the players resist, the owners will say: Do you want to keep making more money or not? In professional sports, there is only one thing considered more important than winning, and that is finding new revenue streams.

The major sports leagues won't be the end of this. What are two parts of American life that urgently need an economic boost? The U.S. Postal Service and the financial system itself.

So perhaps the day will come when top-shelf advertisers are invited to bid for the right to place their logos on postage stamps, and on currency. It would be an unbeatable way to pump cash into the postal service and into the U.S. Treasury. There would be certain complications: Burger King might not be thrilled if consumers bought its food with dollar bills emblazoned with the McDonald's arches. Ground rules would have to be worked out.

James Dean, more than a half-century ago, made the plain white T-shirt the ultimate symbol of cool. That shirt, in marketing circles, would seem naked now; where's the logo? Dean would be seen as foolishly missing a golden opportunity. All that potential ad space on his shirt, wasted.

Dean never played in the NBA, though. Enjoy the playoffs this year, and savor the sight of the unadorned jerseys. The startling thing is not that a major sport is considering plastering ads on those uniforms. The startling thing is that it has taken them this long.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: News report says NBA considers putting ads on players' jerseys

@highlight

He says none of the four major leagues permits ads on uniforms

@highlight

People would grow to accept it; ads have evolved into status symbols

@highlight

Greene: It's about revenue. Could ads on stamps help bail out the Postal Service?