(CNN) -- The doorbell rings. You answer it and find a long-dead loved one at your front door, apparently come back to life and looking just the same as the day they died. How would you react? That's the idea behind Jason Mott's debut novel, "The Returned."

In the hands of an author such as Stephen King or Dean Koontz, this could be the start of something scary, but this is no zombie tale. Inspired by a dream in which his late mother visits him, Mott tells a personal story about one family caught up in a worldwide event.

"The Returned" is set in a small Mississippi town and focuses on an elderly couple, Harold and Lucille Hargraves. A government agent shows up at their home with the couple's son, who drowned on his eighth birthday 50 years ago. Jacob looks and acts the same but how could this be the Hargraves' son? Obviously, the couple is much older and has tried to move on. How will this little boy fit into their lives now or be accepted in their community?

Jacob is one of thousands being reunited with families all over the world. Initially there's elation, then fear and eventually hysteria. Are these "Returned" a miracle or a sign of the end times?

Mott was almost unknown before "The Returned," but critics and advance readers are calling his first novel "eloquent" and "elegiac," also "haunting" and "heart wrenching." Brad Pitt's "Plan B" entertainment snapped up the rights and is already shooting a TV series based on the novel.

Entertainment Weekly recently listed him as one of their 10 "New Hollywood: Next Wave" people to watch. As his first novel hits shelves, Mott, who lives in rural North Carolina, says he's terrified and excited by his newfound fame.

Fast facts: Jason Mott

Age: 35

Hometown: Born and raised in Bolton, North Carolina, a small town of less than 700 people and one traffic light in the eastern part of the state near the coast.

For fans of: Magical realism, British author Neil Gaiman and readers who enjoyed Stephen King's "The Green Mile."

What else he has written: Mott is the author of two previous poetry collections, "We Call This Thing Between Us Love" and "...hide behind me..."

Before he was a novelist: Mott worked for several years as a customer service representative for Verizon Wireless, fielding complaints in New York from angry customers.

Five questions with Jason Mott

CNN: What was the idea behind "The Returned?"

Mott: It actually started with a dream I had about my mother. Both of my parents have passed away, my mother in 2001 and my father in 2007. In the summer of 2010, I had this dream that I came home from work one day and found my mother sitting at the kitchen table waiting for me.

I came in and sat down with her, and we just talked about everything that had happened since her death. My going to college, friends that I'd met, it was this warm kind of cathartic dream where I was able to be with my mother again for the first time in almost a decade.

It was one of these really vivid dreams where you wake up and question whether it was real or not. I really expected to find her sitting on the couch when I came out of my bedroom but of course she wasn't. That dream stuck with me, I couldn't get it out of my head. I was talking to a friend of mine who's also a writer and we discussed it, at some point in the conversation he said: What if that really happened and what if it wasn't just her?

I wrote a short story not long after about a couple whose son returns. I did a reading and the crowd really seemed to respond to it. People came up afterward and said how it reminded them of people they had lost. So after seeing that strong reaction, I started writing and about a year later, I had a manuscript on my hands.

It's still kind of hard to believe how it all happened, but it's been a lot of fun and I feel really special about it.

CNN: This could have been a horror story, but you took a much different approach. Why?

Mott: I tried to make the story as grounded as I could because I felt it was such a difficult topic to approach.

When I was working on the manuscript I talked to a lot of my friends, their parents, people that I knew, asking them what they would do if someone they loved who had passed away suddenly showed up again. The responses were really interesting. Usually people were very excited to hear about it, saying they would love to have so and so back, that it would be a really wonderful moment.

Then I would follow up with what would happen a year later, is it still just as exciting and wonderful? Sometimes the answers became really complicated. You had people who had changed dramatically since their loved one had passed away.

I'm not the same person as I was when my mother passed in 2001. I was 22 years old then, now I'm a 35-year-old adult. It's two completely different mindsets. So as much as I love her still, I'm much different now and that could create some friction. There were other people who had similar answers who had moved forward in life. That was the thing I tried most to carry into the novel, to be as realistic as possible.

CNN: What's behind the recent fascination in books, TV and movies with the undead?

Mott: It's the ultimate mystery: What happens after we die? If people are coming back, what does that mean to our beliefs?

The whole genre revolves around that idea as well as the emotional impact of someone you've let go of suddenly thrust back into the equation.

So how do you react to it? On a national level and on a personal level, I think it's everyone really trying to understand life and who they are versus people who have passed away. I think there's a lot of self-exploration going on right now.

CNN: Your book is now being turned into a TV series. How is that going?

Mott: It's going really well. I don't have much direct involvement, which I'm actually very glad about since things are so busy right now. I made a deal with Plan B, Brad Pitt's film company, and they brought in a wonderful writer, Aaron Zelman, who worked on AMC's "The Killing," and they're doing a great job. They're filming outside Atlanta right now.

I've had a chance to meet the cast, and they're all really excited. I had a chance to see the pilot, and I like what they're doing with it.

It's a little bit surreal, seeing the actors playing these characters who've I had close to my heart. It's like being outside of yourself for a moment. It's almost like sending a child out into the world. It's been fascinating, fun and a little bit scary at times. With all authors when you option the rights to your work, there's a little bit of nervousness over what will happen to it, how will it come out? But once I saw the pilot, it was so well-done, I'm really excited about it.

CNN: What kind of response have you had from people who've read the book?

Mott: Many of them will come up to me and talk about someone they lost that this reminded them of. Once they finished the book, they got a photo album out and looked at photos they hadn't thought about in a long time because the book really made them remember that person and brought to the forefront all the good times they had with that person.

To me, this is the most rewarding part. That's what I wanted the book to do. It came from a very personal place for me, so I wanted the readers to have a personal experience as well.

I didn't want it to be just my story. I also wanted it to remind you to really value the time you have with someone who's here now and realize how precious this time is. If the book can do that for anyone, then I'm happy with it.

@highlight

Jason Mott says vivid dream about his dead mother inspired him to write "The Returned"

@highlight

Book focuses on what happens after a loved one returns from the dead

@highlight

Brad Pitt's film company is adapting the novel into a series for ABC