(CNN) -- A prominent conservative judge expressed concerns Tuesday about whether Michigan's voter-approved ban on same-sex marriage was constitutional, saying that given "modern conceptions of marriage," the state's law seems "harder to justify."

The remarks came during an unusual series of oral arguments played out over one afternoon at the federal appeals court in Cincinnati.

A three-judge panel 6th Circuit U.S. Court of Appeals heard lawyers from four states defend their same-sex marriage bans, in a dramatic series of consecutive cases from Michigan, Ohio, Kentucky, and Tennessee.

In the first petition from Michigan, Judge Jeffrey Sutton had tough questions for the state's solicitor general.

"What do we do about a reality that marriage -- it changes with social mores?" asked Sutton from the bench.

"And maybe, originally, marriage was about encouraging procreation ... but modern conceptions of marriage are more about love, affection, and commitment. And when you think of that way, it does seem a little harder to justify, even on rational basis grounds," he said.

A winning streak

Sutton, who was named to the court by President George W. Bush, added: "If you think about marriage just through that at lens â€” love, affection, commitment-- it does start to get gets a little difficult to see the difference between the one group eligible (to marry) and the other group not."

The appeals panel could extend a remarkable winning streak for gay rights supporters, after state and federal judges in about two dozen cases have struck down same-sex marriage bans in the past year.

This after the Supreme Court in June 2013 tossed out a key part of a federal law defining marriage as only between one man and one woman.

Four separate rulings

The current intermediate review stage will produce four separate written rulings in coming weeks. Appeals of one or all of those state bans will likely end up at the Supreme Court.

There the justices could finally answer whether same-sex couples have a constitutional equal protection right that must be applied in every state, including the 31 with current bans.

Federal appeals courts have already struck down similar bans in Utah, Oklahoma, and Virginia in recent weeks.

Two of the three judges on the panel this week were appointed by Republican presidents, leading to predictions they would uphold state bans.

The judicial panel was tough on both sides, particularly Sutton, who ask probing questions of lawyers representing various gay and lesbian couples seeking the right to wed, or to have their home states recognize valid out-of-state marriages.

"If respect and dignity (for gay couples) are critical elements here, I would have thought the best way to get respect and dignity is through the democratic process," said Sutton, citing those states that have chosen to change the law in the past decade.

Conservative argument

He suggested taking the challenge in the courts was not the best strategy.

"Don't you think you're more likely to change hearts and minds through the democratic process, than you are with the decision of five justices on the Supreme Court? Assuming you can win on this, why do you want that route?" he asked.

That has been the argument many conservative activists have made in preserving the marriage status quo.

Michigan's Solicitor General Aaron Lindstrom defended the current ban, saying "It's rational for the state to have an interest in promoting marriage, so it will be more likely a child will have both a mother and father, and will have the benefits of having both a mother and a father.

But Judge Martha Craig Daughtrey, named to the bench by President Clinton, jumped in.

"But what is the rational basis of excluding everybody else? It doesn't interfere with the procreation of children just because you've got two people of the same sex marrying in and in some of those marriages, one of the partners is able to procreate."

Complete discretion

And when Lindstrom said the state had an interest ensuring "procreation occurs in long-term committed relationships between opposite sex couples," the judge seemed unconvinced.

"Isn't that a little hypocritical," said Daughtrey, "to allow people to marry who can't procreate, but prevent same sex partners from marrying, and in some of those marriages, one of the partners is able to procreate?"

The nine members of the high court have complete discretion to accept or deny any case presented to them.

Their recent precedents however, give unbridled optimism to many in the gay rights and civil rights communities they will at least get their day in court. A sweeping judicial victory may be tantalizingly close.

"You never know how any Supreme Court case is going to be resolved, especially when the stakes are this high, but the challengers definitely have the upper hand," said Thomas Goldstein, publisher of SCOTUSblog.com and a prominent Washington attorney.

Also argued Tuesday was Kentucky's ban. The commonwealth's Democratic Gov. Steven Beshear hired outside lawyers to defend the ban on recognizing out-of-state same-sex marriages, after his attorney general tearfully refused in March to take part in any further legal challenges.

More than 70 lawsuits

By CNN's count, there are more than 70 same-sex marriage lawsuits pending in every state with a current ban. North Dakota this spring becoming the latest, and last, to have one filed in court, on behalf of seven homosexual couples.

The Supreme Court could historically alter how marriage is treated under a legal framework, potentially striking down every current same-sex marriage ban. Or the justices could leave the current patchwork of state laws in place, allowing state legislatures and state courts to sort it all out, for now.

A CNN/ORC International poll released a year ago found an apparent cultural shift-- 53% of Americans now support same-sex marriage, up from 40% in 2007. And that survey showed 56% of the public feels the federal government should also legally recognize same-sex marriages.

Virginia ban overturned

GOP on same-sex marriage

The facts about same-sex marriage

@highlight

Conservative judge expressed concerns about Michigan's same-sex ban

@highlight

Unusual series of oral arguments in a federal appeals courtroom in Ohio

@highlight

Gay rights supporters in the midst of legal winning streak