The Arctic winter may be long and dark but one light still shines bright in the land of the midnight sun -- Iceland's booming tourist trade.

Foreign visitors increased by 15.9% last year whilst travel now accounts for 5.9% of GDP, according to the Icelandic tourist board.

Given the financial catastrophe confronting the country as recently as 2008 -- when the IMF stepped in with a $2.1 billion loan after several major Icelandic banks collapsed -- this turbo-charged development is all the more remarkable.

"We've had this extraordinary growth in tourism in the last few years," Iceland's president, Olafur Ragnar Grimsson, told CNN's Richard Quest.

"Because [in] the tourism structure of Iceland we have many small and medium-sized companies in the north, the east and the west, the economic benefits spread through the economy and all over the country in a way that no other sector actually does."

Watch video: Richard Quest's presidential tour of Iceland

Iceland's economy is predicted to grow by 2.7% this year and unemployment will fall to 5.7%, according to Statistics Iceland -- thanks in part to the expansion of tourism.

For President Grimsson, this is just the start of a back-to-basics economic approach that will focus less on risky financial services and more on industries such as clean energy tech, fishing and, of course, travel.

Official figures show that Iceland currently attracts 600,000 visitors a year, but by 2020 Grimsson says he hopes this figure will be nearer two million, almost seven times the country's population.

Key to meeting these ambitious targets is the successful promotion of Iceland's pristine natural beauty -- its rural hinterland is famed for its spectacular volcanoes and natural hot springs -- as well as its potential as a business and aviation hub.

According to Oli Bjorn Hauksson, CEO of Keflavik, the country's only international airport, Iceland's geographic location makes it the perfect pit stop for long-distance flights.

"We are in the middle of the Atlantic Ocean between Europe and the North America, which is the best place for a hub ... airport to be," he says.

That gives tourists traveling between the outer reaches of the two continents the option of breaking up their journey.

See also: Discover Iceland's fire and ice

So far, the tactics aimed at enticing travelers to Iceland appear to be working. Iceland's tourist trade was even able to safely negotiate the ash-cloud chaos caused by the erupting Eyjafjallajokull volcano in mid-2010.

Close to 100,000 flights were cancelled and millions of passengers were left stranded in what was the biggest disruption to air travel since World War II.

"We were worried, if the handsome growth we had been experiencing year-on-year would be halted," says, Steingrimur J. Sigfusson, Iceland's tourism minister. "But fortunately that did not happen."

He added: "For the good or worse, the eruption proved to both Europe and America that Iceland is not so far away. At least we were close enough to cause all this trouble for the aviation industry."

Despite an initial dip in visitor numbers, Iceland returned to double digit travel growth by late 2010. Such resilience so soon after the financial crisis provides Sigfusson with a bullish outlook for the future.

"If things go on for a number of years, in addition with growth of 10 to 15%, tourism will be Iceland's industry number one, in terms of foreign currency earnings," he says.

See also: Eat like a viking in Iceland

President Grimsson however cautions that such rapid development will require precise planning to ensure Iceland can cope.

Some in Iceland already fear that the country is becoming overrun with tourists, but Grimsson is confident Iceland can cope.

"This is a country the size of England -- a big part of it is volcanic desert, glaciers, rivers, lakes -- so  if we decide to do it we can control the traffic in such a way that we allow people to enjoy the beauty of the country without being overcrowded," he says.

He adds: "When this decade comes to an end we might have two million tourists coming to Iceland every year, and we have to plan for that.

"That is a debate I have encouraged the nation to engage in over the next few years."

@highlight

Iceland has experienced rapid growth in its tourism sector since its economy collapsed in 2008

@highlight

The country is home to spectacular landscapes, volcanoes and hot springs

@highlight

President Olafur Ragnar Grimsson hopes Iceland will be attracting 2 million visitors a year by 2020