(CNN)Job one for newly appointed Attorney General Loretta Lynch is to create a muscular federal response to months of national unrest over controversial police killings like that of Freddie Gray, 25. Gray's death last week -- from a spinal cord injury he suffered while in police custody -- has touched off days of protests and rioting in Baltimore.

Lynch's job won't be easy: As the nation's top law enforcement officer, she takes the reins of a Justice Department that has been walking a fine line between nudging local police departments in the direction of better community relations, and threatening legal action against departments where discrimination or brutality are out of control.

But as events in Baltimore demonstrate, too many local departments aren't getting the message. Lynch will need to put down the carrots, pick up the stick and make clear that the Justice Department intends to crack down on police abuse by using one of its most potent weapons: the power to withhold federal funds from local departments.

More about that in a moment. The first order of business will be to re-establish order in Baltimore, where the National Guard has been mobilized and a state of emergency declared.

"In the days ahead, I intend to work with leaders throughout Baltimore to ensure that we can protect the security and civil rights of all residents," Lynch said within hours of being sworn in on Monday.  "And I will bring the full resources of the Department of Justice to bear in protecting those under threat, investigating wrongdoing and securing an end to violence."

A key part of that vow -- "investigating wrongdoing" -- must include a close look at the Baltimore Police Department, which has been the subject of bitter complaints of brutality. According to a major investigation by The Baltimore Sun published last fall, the city has paid out $5.7 million in court judgments or settlements to more than 100 people since 2011 in connection with allegations of brutality and/or violations of civil rights.

"Officers have battered dozens of residents who suffered broken bones -- jaws, noses, arms, legs, ankles -- head trauma, organ failure, and even death, coming during questionable arrests. Some residents were beaten while handcuffed; others were thrown to the pavement," the Sun expose says. "And in almost every case, prosecutors or judges dismissed the charges against the victims -- if charges were filed at all."

That kind of behavior helped set the stage for the riots and looting we now see. Lynch has already launched a probe of the death of Freddie Gray, and the Justice Department is also investigating the recent videotaped police killing of Walter Scott in North Charleston, South Carolina, where an officer has been arrested and charged with murder.

As attorney general, Lynch has several tools with which to guide local law enforcement toward better behavior. A Justice Department program called Community Oriented Policing Services, launched in 2011, helps local departments implement best practices. The COPS program's effectiveness will surely come under question, since Baltimore was one of the eight departments participating in the voluntary program.

Lynch can also apply the tougher approach of suing local departments and securing court-ordered reforms, a power conferred by the Violent Crime Control and Law Enforcement Act of 1994. The provision was a result of the 1991 videotaped police beating of Rodney King by Los Angeles cops and the riot that ensued when the officers were acquitted.

The Obama administration has sued local departments 15 times -- more than either the Clinton or Bush administrations -- and has opened 11 more investigations of departments including those in Cleveland, Miami, and Ferguson, Missouri.

But even those tough remedies may not be working, according to the Marshall Project, a nonprofit news organization that focuses on criminal justice issues.

"Even where local leaders have embraced Washington's prescriptions, Justice Department officials have increasingly found themselves returning to grapple a second time with problems they thought they had fixed," writes reporter Simone Weichselbaum, noting that "recurring problems have emerged in police departments in Miami, New Orleans and New Jersey, all of which had promised to carry out major changes in response to Justice Department investigations that turned up evidence of discriminatory policing."

That leaves Lynch with a final, even tougher weapon: the power, under Title VI of the Civil Rights Act of 1964, to deny federal law enforcement dollars to departments that engage in discriminatory practices. Lynch's predecessor as attorney general, Eric Holder, generally refrained from yanking funds, although in 2013 he did deny drug forfeiture money to the sheriff's office in Alamance County, North Carolina, claiming the department was unlawfully targeting Latinos for traffic stops.

The sheriff of Alamance County sued the Justice Department and the case remains unresolved -- but it underscores the fact that Lynch has the power to press local departments, legally and financially, to curb local abuses. She should invoke the power where necessary and calm cities like Baltimore as the nation heads into what could be a long, hot summer of unrest.

@highlight

Errol Louis: New AG Loretta Lynch will try to get cops to improve community relations, end abusive practices

@highlight

He says Baltimore case shows too many local departments not getting message

@highlight

Lynch will have to apply range of tough measures to fix this, Louis says