Washington (CNN) -- Valerie Jarrett does not like to talk about herself.

I know this because we've sat down on numerous occasions for interviews, going back to the early days of Barack Obama's presidential campaign. But this one was perhaps the most challenging because the focus was on her.

She is fiercely loyal to Obama, as one of his closest friends. But she also advises him as president, with the title of Senior Adviser and Assistant to the President for Intergovernmental Affairs and Public Liaison.

The ultimate insider does not spill the beans. But doing a series on the power players inside the White House would not be complete without looking at Jarrett's role.

She has called her relationship with the president a "mind meld."

"We're good friends who have known each other for a long time," Jarrett says. "Eighteen years, you get a pretty good sense of him."

Her first sense of him came in 1991 when Obama was a young law professor in Chicago, Illinois.

Jarrett was interviewing his fiancée, the future first lady, Michelle Robinson, for a job in Chicago Mayor Richard Daley's office. The protective partner, Obama, was making sure Jarrett was on the up and up.

Jarrett first explained the scene when I interviewed her in May 2008.

"They sat next to each other and when she was speaking he would just look at her with this adoring look,"Jarrett said with a laugh, "but he was really tough on me in the nicest possible way."

The three became fast friends. Now Obama says he runs every important decision by Jarrett, trusts her completely and considers her family.

When I bring this to her attention she accepts her role humbly.

"Well, I hope he would trust me the way any close friend does. He knows I have his best interest at heart and that I understand, because I'm part of the administration, the myriad of challenges he faces," Jarrett says. "So I hope he views me a sounding board, someone who's going to be honest, direct and candid with him at all times."

She laughs when I suggest perhaps she is his consigliere.

"You can tell I'm uncomfortable with this," she says when I try to get her to focus more on her role.

She does not like to be singled out from the rest of the White House team.

Instead she paints a picture of what it would be like if I were in an Oval Office meeting with the president.

"When everyone's done talking, if there've been a couple of people who've been quiet, he'll say, 'Well, Suzanne, what do you think of this issue?' " Jarrett says.

She describes his style in running the meetings as "accommodating."

"He reads people very well. He's extraordinarily perceptive. He can tell from the body language if someone is uncomfortable with something," Jarrett says.

But she can also read the president's body language when he's heard enough talk.

"He's not moody, but you can tell when he's ready for a conversation to end," Jarrett says. "He enjoys making sure there is robust debate, but when he's finished with debate he's finished. He's ready to move on. So I can detect when enough is enough, let's bring in the next issue."

Jarrett says newcomers to the administration have pulled her aside to get her take on how things were going.

"Particularly early on, people who didn't know the president as well as I did would come to me after a meeting and say 'What did he really mean? I know he said this, but what is he really thinking?' and I took such delight in being able to say he meant exactly what he said. That's who he is."

It's the intangibles that Jarrett sometimes brings to the table.

"People are always looking for the hidden intent, the body language, and he is about as straight a shooter as you're going to ever come across. So I think part of what I do is go around and give people some comfort to really trust what he said. He meant exactly what he said. You can take him at face value."

Jarrett says the president does not make deals after his meetings are done. People don't trail him through the back door trying to change his mind.

"That's just not the way he operates," Jarrett says. "He likes to hear from everybody at the same time. Then he makes a decision."

Jarrett's job includes acting as a liaison to the business community and conducting outreach to African-American groups. But it's her role as confidante to the president that makes her the ultimate insider.

Jarrett sits in on Obama's daily briefings in the morning that deal with national security and the economy. She also attends policy meetings regarding the president's agenda on health care, energy and education. She facilitates and hosts small groups of CEOs to have lunch with Obama. And she heads the Office of Public Engagement as the president's contact with outside groups.

Jarrett says she also spends "a good deal of time" with Michelle Obama both personally and professionally. Part of her portfolio is working closely with the first lady's team, "making sure there's seamless interaction between the East and West Wings."

Jarrett occupies the office previously used by Karl Rove and former first lady Hillary Clinton.

She is often the only woman in the room in briefings with the president. But she dismisses talk of tension with "the boys," as some of the male power players are referred to in the White House.

"We really do pull together as a team," Jarrett says.

While Jarrett's ability to freelance as the president's senior adviser has rankled some, Jarrett says being inside the circle of power is a "warm" and "inclusive" environment.

As for Obama's all-male pickup basketball games, Jarrett says that's not where the real power resides.

"I think what's really important is who does the president surround himself with and give substantial responsibilities to."

Jarrett's got plenty of responsibility.

Her challenge is separating her friendship with the president from her job. Often she takes her cues from where she stands.

"If we're in the Oval Office, I call him "Mr. President." It's very formal. I think it's appropriate. It's not just deferential to him but to the office," Jarrett says.

"I really try to compartmentalize our friendship and what my role is outside the office, and my role as senior adviser."

When I ask her if that's a difficult thing to do, requiring her to flip a switch, she says "no." She says when she's in the Oval Office, they're all about business, outside, "everything but business."

"The one thing I don't do is try to mix the two. I don't try to be his friend when we're having a business conversation and I try not to burden him with office issues when trying to have downtime," Jarrett says.

When they're hanging out as friends, it's often indulging in their favorite pastime.

"We like to eat," Jarrett says with a hearty laugh. "He's a healthy eater. I'm not. We have a lot of wonderful conversations around the dinner table -- something we've always enjoyed."

But now that dinner table is in the White House. The movies they enjoy watching, they now take in at the White House movie theater. But despite that, Jarrett insists her longtime friend is the same.

She says what she finds "so appealing" is he's still "grounded."

"He has a very good sense of self, he's steady. His temperament is very predictable," she says.

A year after Obama captured the White House, Jarrett is still in awe.

"Not a day goes by I don't pinch myself and treasure this experience and opportunity to serve this president who also happens to be my friend."

@highlight

Jarrett has known Barack and Michelle Obama for 18 years

@highlight

She's now a senior adviser in the Obama White House

@highlight

Obama says he runs every important decision by Jarrett

@highlight

She says she tries to keep business role, friendship separate