(CNN) -- Nuclear scientists in Switzerland recently dropped some antimatter. The world didn't blow up, but there were some tiny explosions.

Scientists are hoping the experiment will teach them more about how the universe developed after the Big Bang.

Physicists with ALPHA Collaboration research group are trying to figure out how antimatter interacts with gravity, and if it produces "antigravity," says the group's founder, Jeffrey Hangst.

Their experiment mirrors the way Sir Isaac Newton came up with the law of gravity in the late 17th century.

Legend has it that an apple fell off a tree and hit the English nobleman on the head.

Newton got to thinking how gravity made the apple speed up as it fell.

He postulated that matter attracts matter via gravitational force, which is why an object like an apple would fall toward a larger object: the earth.

So, if matter attracts matter, what happens when antimatter interacts with it?

Will it produce antigravity? And would then a ball of antimatter fall up?

Gravity with a twist

"That would be a revolution," Hangst says. "That would mean we don't understand something fundamental about the universe."

And a big piece of the puzzle is indeed missing, he admits.

Though people live with the effects of gravity every day and Newton's law of gravity has been around for over 300 years, scientific understanding of gravity is lagging, he says.

"The way planets and stars move, we understand that well." But how matter attracts matter on a molecular level is still greatly a mystery, Hangst says. The ALPHA Collaboration hopes to raise the level of understanding.

Antimatter science vs. fiction

Antimatter may be the stuff of science fiction movies and novels, but it is hardly futuristic, according to CERN, the European Organization for Nuclear Research in Geneva, where Hangst's group runs its experiments.

Scientists have known about antimatter for more than 80 years, after physicist Carl Anderson discovered positrons in the 1930s.

CERN makes the antimatter for ALPHA's experiment using a particle accelerator, which speeds up subatomic particles to nearly the speed of light and crashes them into each other to produce new particles.

In the world of Dan Brown's "Angels and Demons" and Gene Roddenberry's "Star Trek," antimatter can make the Vatican explode or power a star ship.

If a large chunk of antimatter were to touch a large chunk of matter, the explosion would indeed be enormous, but it's unlikely to happen. Antimatter has not existed naturally in the universe for a very long time.

"Not in the last 13.7 billion years," Hangst jokes. That's basically as long as the known universe has existed.

Antimatter abounded

But scientists have long theorized that a lot of antimatter was produced during the universe's inception. It has since disappeared, and they would like to know why.

If equal amounts of matter and antimatter existed initially, they should have annihilated each other, but they didn't. Only matter is left behind.

The kind of antimatter CERN makes for the experiment is antihydrogen, a mirror image of hydrogen, which is the smallest known atom.

Because it is composed of so few parts, it's the easiest antimatter atom to make. Antihydrogen's subatomic particles have an electronic charge opposite from those of regular hydrogen.

Hangst's team uses the latest technology to catch the antihydrogen atoms, hold them without letting them touch matter, and then drop them.

When the falling antimatter meets matter, the two "annihilate" each other, as scientists say, and give off energy in the process -- a kind of nano-explosion. The ALPHA scientists measure the energy bursts to find how fast the antihydrogen molecules fell after they dropped them.

The result

So, did the antimatter fall up? Scientists with the ALPHA Experiment couldn't tell, according to study published in Nature Communications.

But the fact that they now have the technology to let it free-fall is a big deal, Hangst said. "That you can do this at all ... is a bit of a revolution."

It paves the way for scientists to get the answer in a relatively short time -- a few years instead of a few decades.

If scientists can figure out how antimatter interacts with gravity, it would take them a step closer to understanding how the universe was formed during the Big Bang, when a lot of antimatter was still around, Hangst says.

Many scientists believe that antimatter acts in the same or in a similar manner as matter when it comes to gravity. The ALPHA Collaboration puts that stance to the test.

"In a world in which physicists have only recently discovered that we cannot account for most of the matter and energy in the universe," the study says, it would be "presumptuous" to cling to the idea.

"We know that there is something fundamental about the universe that we don't understand," Hangst said.

In essence, scientists don't know why the universe exists at all.

More space and science news from CNN Light Years

Follow @CNNLightYears on Twitter.

@highlight

Scientists have long hypothesized that the Big Bang produced lots of antimatter

@highlight

It no longer exists in nature, physicists say

@highlight

It is produced on Earth in particle accelerators

@highlight

Physicists study it to learn more about the formation of the universe