(CNN) -- Vladimir Putin is basking in the glory of territorial conquest, enjoying his highest domestic approval ratings since returning as president two years ago.

But he should take time to consider whether the foundations of Russian power are as stable as he would like us to believe.

As an act of geopolitical assertiveness, the seizure of Crimea was meant to convey a message of strength. But the negative reaction of financial markets and Western sanctions against Russia have highlighted existing economic vulnerabilities in a way that raises serious doubts about Russia's ability to sustain its new position.

The revival of Russia's international standing during Putin's first two terms was, above all, a consequence of the country's rapid economic recovery following the collapse of the immediate post-Soviet years.

The resources boom of 2000-2008 produced huge increases in export earnings and average growth rates of 7%.

By 2006 Russia had paid off its Paris Club debts and was recording net inflows of capital.

Its inclusion as one of the BRICs -- the elite group of large emerging economies -- seemed natural.

But the limits of Putin's business model were becoming apparent even before the global financial crisis struck in late 2008.

The combination of the war in Georgia and threats made by Putin to the private steel company Mechel led to a resumption of large-scale capital flight and a dip in growth. This turned into a deep recession after the sharp decline in international commodity prices hit the bulk of Russia's export earnings.

Although growth returned along with higher oil and gas prices, it has remained well below pre-crisis levels. Last year it reached only 1.3%.

Russian stagnation now threatens to turn into a double-dip recession. Growth forecasts are being downgraded as a result of the crisis over Ukraine.

Economic data suggests that the Russian economy may have contracted in the first quarter of 2014. Since the start of the year, net capital outflows of up to $70 billion have already exceeded the total for 2013, according to Reuters.

To make matters worse, Putin's threat to seize Western assets in the event that sanctions are expanded has turned Russia into a major investment risk at a time when it urgently needs to attract foreign capital and technology to upgrade infrastructure and create a broader base for economic growth.

It would be a mistake to see these problems as the short-term effect of the diplomatic turbulence over Ukraine.

In reality they are the culmination of serious structural problems that have been ignored and in many case made worse by Putin's lurch towards authoritarian statism.

Endemic corruption swallows up around a third of Russia's GDP according to the InDem Foundation, and weakens property rights and investor protection.

These deficiencies were highlighted most visibly by the expropriation of Yukos Oil and Hermitage Capital, both involving active government complicity.

But the practice of reiderstvo, in which the legal system is misused to seize or extort legitimate businesses, is much more widespread and probably involves thousands of cases every year.

The effect is to undermine economic activity by deterring investment and stifling entrepreneurship.

Why bother to start a business when a cabal of corrupt politicians, prosecutors and judges could abuse their positions of authority to take it away from you?

This explains why small and medium businesses contribute such a low proportion of Russian GDP -- 24% compared to 58% for the EU.

Prime Minister Dmitry Medvedev bemoans the fact that the most ambitious Russian graduates would rather find a sinecure within the state apparatus than go into business, but the message that it's easier to seize wealth than create it comes from the very top of government.

Although the Sochi Winter Olympics was meant the showcase the best of Putin's Russia, the thing that will stick longest in the memory is the knowledge that a project projected at $12 billion ended up costing around $50 billion.

These predations make the regime vulnerable. After more than a decade of talking about the risks of over-reliance on the extractive industries, particularly oil and gas, Russian leaders have completely failed to diversify their economy.

In fact, the non-commodities contribution to exports has shrunk by almost half to 8%.

This has happened at a time when the combined impact of corruption, inefficient state intervention and rising budgetary commitments has increased the fiscal break-even price of oil from $20 per barrel to $117.

A sustained drop in the oil price could seriously threaten the rentier bargain that enables Putin to sustain popular support. Yet the impact of Ukraine has been to scare Russia's European customers into seeking out alternative suppliers.

In the estimation of his admirers, Putin deserves credit for restoring Russia's pride and prosperity after the chaos of the Yeltsin era. The alternative version of history is that he was fortunate to benefit from the delayed effect of reforms carried out by his predecessor and the resources boom that began just as he was taking office.

Having been gifted a promising legacy he promptly squandered it by imposing a corrupt and wasteful form of authoritarian governance. Unless he can find new sources of growth and dynamism at time when he is closing down Russian society and cutting it off from the outside world, it is likely to be this second version of history that sticks.

Read more: 
Sanctions on Russia: Would World Cup boycott hit harder?
Opinion: Europe has power over Russia, but needs more than gesture diplomacy
Hagel: Russia causing itself long-term harm with Ukraine steps

@highlight

Russia Foundation chair David Clark questions the foundations of Russian power

@highlight

He says Putin's threat to seize Western assets has turned Russia into an investment risk

@highlight

Russian reliance on commodities exports might prove risky for Putin, Clark writes