(CNN) -- Time magazine's recent cover story featuring Jamie Lynne Grumet breastfeeding her almost four-year-old son raised a firestorm about different styles of parenting. Along with the headline -- "Are you mom enough?" -- the piece makes every mother question whether she should practice attachment parenting and in the process, embrace all things natural. Wear your baby! Make your own baby food! Breastfeed! Sleep with your baby! Give birth at home -- and don't use painkillers!

Like the white, radiant and married woman on Time's cover, many mothers who embrace natural mothering are likely to be educated, middle class, married, fit and savvy. They take motherhood as seriously as they take their education and careers. Which is not a bad thing. The kids will surely benefit.

But the pressure to be the best mother misses a point: Given the realities of the 21st century society, not every woman can be "mom enough." For one thing, breastfeeding is not for all mothers.

Successful breastfeeding -- especially extended breastfeeding -- takes a lot of planning, time off from paid work, money and resources.

I, too, decided to breastfeed when I had my first baby. Everything I read said that breastfeeding was natural, intuitive, cheap and easy. But I found breastfeeding painful, time-consuming and difficult. And, when you factor in the extra amounts of healthy foods I was consuming (organic only, of course), the money I spent on gadgets and experts, and the house cleaner who allowed me to catch up on my sleep -- it wasn't cheap.

I was not alone. A graduate student in sociology at the time when I had my baby, I interviewed women about breastfeeding. Most of them shared my experience. One woman listed the accessories she invested in: a special "Boppy" nursing pillow, a rocking chair, nursing bras, a pump, and herbal supplements (rumored to enhance milk supply). She estimated that by the time she got into a groove she'd spent close to a thousand dollars. And that's not counting household help.

Another woman told me that for weeks she was fatigued, in pain and dreading every feeding. But she was a go-getter. The same attitude that got her through an Ivy League PhD program and helped her succeed in Silicon Valley helped her master breastfeeding. Granted, she saw a lactation consultant twice a week.

Then there was a woman who likened her one-year breastfeeding goal to running a marathon (she had completed two). She was happy to finally swear off the three daily pumping sessions that allowed her to keep her baby off formula after her maternity leave ended.

No mother really needs all the paraphernalia and experts in order to breastfeed. Most of the time, mothers' breasts produce sufficient milk and babies are adept at getting their food. So shouldn't we know better?

Since the early 20th century, women were told that breast milk alternatives were the modern, scientific, superior and American way to go. The result? By the 1970s fewer than 25% of American women even tried to breastfeed and experiential knowledge had been lost. This explains why new mothers feel ill-prepared: They can't get advice from their mothers, aunts, grandmothers and neighbors. The women I interviewed took classes, read books, practiced with dolls, and met with lactation experts. Helpful, yes. Intuitive? Not really.

Breastfeeding advocates raised legitimate concerns about breast milk alternatives (corn syrups for babies?) and many women who decided to breastfeed and practice attachment parenting genuinely believed that going natural was the better route. Hence, breastfeeding rates have been growing steadily for the last several decades for all groups of women, but especially for those who are white, educated and married.

However, touting breastfeeding as the way to go defies logic. For all of its benefits to infants, breastfeeding on demand 24/7 is challenging when our sleep cycles are regulated by artificial light and we are separated from our baby for hours on end because of our jobs.

Yes, we can use breast pumps to provide babies with breast milk. But pumps just aren't as efficient as babies at extracting milk. Mothers who go back to work find themselves fighting an uphill battle to maintain an adequate milk supply. Many spend hours a day at the pump before, during and after work. The lucky ones have a private space in which to pump and a fridge to store their milk. Some of the women I talked to weren't so lucky; they pumped in public bathrooms or cubicles that offered little privacy. One woman used a supply closet.

Some mothers may have the financial means to quit their jobs and dedicate themselves to full-time parenting. For most women, this is not a viable choice, since the more time they spend away from work, the larger the negative impact on their potential lifetime earnings. Even for women who aim to be great mothers, breastfeeding is not always a feasible option.

Branding breastfeeding as natural and economical without fully acknowledging the difficulties of balancing family and career creates unnecessary pressure and guilt. British psychologist Donald Winnicot understood this when he set his bar for good parenting. Rather than challenging women to be "mom enough," he urged mothers to be "good enough" -- bottles of formula included. I was certainly happy to be a good enough mother. And by the time my kids hit preschool, nobody really cared whether and how long I had breastfed my children.

The opinions expressed in this commentary are solely those of Orit Avishai.

@highlight

Time magazine published a controversial article about attachment parenting

@highlight

Orit Avishai: Not all women can be 'mom enough;' breastfeeding is not for all women

@highlight

She thought breastfeeding was intuitive and cheap, but found it to be difficult and expensive

@highlight

Avishai: Given the realities of juggling career and family, it's OK to be 'good enough'