More than 1,000 veterans may have died in the last decade because of malpractice or lack of care from Department of Veterans Affairs medical centers, a new report issued by the office of Sen. Tom Coburn finds.

The report aggregates government investigations and media reports to trace a history of fraudulent scheduling practices, budget mismanagement, insufficient oversight and lack of accountability that have led to the current controversy plaguing the VA.

The VA has admitted that 23 patients have died because of delayed care in recent years, but the report, titled "Friendly Fire: Death, Delay, and Dismay at the VA," shows many more patient deaths have been linked to systemic issues affecting VA hospitals and clinics throughout the U.S.

Coburn, an Oklahoma Republican and physician, says that if the VA's budget had been properly handled and the right management had been in place, many of these deaths could have been avoided.

"Over the past decade, more than 1,000 veterans may have died as a result of VA malfeasance," said Coburn, a three-time cancer survivor who says the government should offer veterans access to private hospitals.

"Poor management is costing the department billions of dollars more and compromising veterans' access to medical care," he said.

Since November 2013, CNN has been reporting on how veterans wait excessive periods for VA health care, causing some to die in the process.

Coburn's office says the VA has allocated about $20 billion since the beginning of the wars in Iraq and Afghanistan to numerous non-health-related projects, such as office makeovers, unused software licenses, undocumented purchases on government debit cards and the funding of call centers that received an average of 2.4 calls per day, among others.

In 2013, four VA construction projects in Las Vegas, Orlando, Denver and New Orleans cost an extra $1.5 billion because of scheduling delays and excessive expenditures, the report shows.

Additional funds have been funneled into legal settlements. Since 2001, the VA has paid about $845 million in malpractice costs, of which $36.4 million was used to settle claims involving delayed health care.

Criticism of the VA's budget has increased in light of a controversial performance bonus system that allegedly created financial incentives for managers to hide the fact that patients were waiting months for care.

At a congressional hearing Friday, Gina Farrisee, the VA assistant secretary for human resources and administration, confirmed that 78% of VA senior managers qualified for extra pay or other compensation in fiscal year 2013, despite ongoing delay and malpractice controversies.

Former VA Regional Director Michael Moreland received a $63,000 bonus in 2013 for infection prevention policies, for example, but the VA's Office of Inspector General concluded that his policies failed. Moreland presided over the Pittsburgh VA, where an outbreak of Legionnaires' disease killed six veterans in 2011 and 2012.

The report identifies crimes committed by VA staff, including drug dealing, theft and sexual abuse of patients dating back many years. Earlier this year, one former staffer at the Tampa, Florida, VA was sentenced to six years in federal prison for trading veterans' personal information for crack cocaine.

A CNN investigation recently uncovered an additional scheme at the Phoenix VA hospital, where records of dead veterans were changed to hide how many died while waiting for care.

The VA's inspector general is investigating 69 medical centers for allegations that administrators altered appointment data to make patient wait times appear to be shorter.

A letter released Monday by the U.S. Office of Special Counsel rebuked the VA's medical review agency for refusing to admit that delays in care have affected veterans' health.

Acting VA Secretary Sloan Gibson said in a news conference in Washington last week that he plans to remove more VA officials from their positions once he receives more information from the inspector general.

Veterans neglected for years in VA facility, report says

VA deaths covered up to make statistics look better, whistle-blower says

@highlight

Sen. Tom Coburn looks at lack of care, malpractice at VA medical centers over the last decade

@highlight

The report from his office aggregates government investigations and media reports

@highlight

It says proper budgeting and management could have prevented many of the deaths

@highlight

The report also identifies crimes committed by VA staff