(CNN) -- As President Obama pushes forward with his agenda, he may find that a homecoming king's likeability is just as integral as the power and authority inherent to the Oval Office.

President Obama's likeability is key to his leadership, experts say.

"I just don't think you can be effective without being liked," said Bruce Newman, a professor of marketing at DePaul University and editor of the Journal of Political Marketing.

Newman describes Obama's leadership as a "two-pronged support system of both being popular but yet having the respect."

"I don't think you can be effective without that first step of making that emotional connection with the voter, but to continue to be effective, it's not enough," he said.

Newman pointed to three recent examples of presidential candidates who lacked the appeal of their opponent: Bob Dole vs. Bill Clinton, John Kerry vs. George W. Bush, and John McCain vs. Obama.

"We are looking for leaders that we could relate to, that we would like to have dinner with or have a beer with or a glass of wine with," he added.

Obama has been likened to Republican President Ronald Reagan, who was generally considered more popular than his policies at the start of his first term.

Nearly 80 percent of those surveyed in a  CNN/Opinion Research Corp. poll released earlier this month said they approved of Obama as a person. But when poll takers were asked if they approved of how Obama was handling his job, the number dropped to about 60 percent. Surveys this week show Obama's approval ratings to be in the mid to high 50s, down a few points from last month.  Watch: Is the honeymoon over? »

While Obama's numbers have dropped since he took over the job, Mark Penn, who polled for President Clinton, says it's not time to worry yet.

"The kind of numbers you see in the high 50s are, in fact, very good numbers. Look, they're not the Inauguration Day numbers, but there's a very tough economy out there. The president is trying to move forward health care. There's a lot of increased contentiousness, given these issues," said Penn, who is the CEO of public relations firm Burson-Marsteller.

Obama's numbers are particularly low on health care. A USA Today/Gallup poll released last week found that half the country disapproves of how he's handling the issue.

The president has a lot riding on health care because he's championed it as his top domestic priority. "It is pivotal to his presidency," CNN senior political analyst David Gergen said. "It's his single most important domestic initiative. He didn't run to fix the economy -- he inherited that. But he ran to fix health care."

Shortly before the presidential election, Brad VanAuken, a leading expert on brand management and author of "Brand Aid," conducted an analysis of McCain and Obama's political brands.

On specific issues, "supports universal health care" was the quality closest associated with Obama. "His success with that issue is, to a very large degree, going to reflect on him because it's so closely associated with him. So therein lies the difficulty of that particular issue," VanAuken said.

Obama's leadership is based on the fact that he is liked, Newman said, and that's something he can use to his advantage. "He's created an emotional connection with the American public now," he said.

The currency Obama has amassed in that emotional bond is what allows him to take gambles on issues like health care, he added. "I think he's got an awful lot of currency built up. And I think he can make several mistakes before he begins to go down in popularity."

VanAuken's survey showed that Obama has a lot of strong personal capital built up with voters. He attributes Obama's ability to connect with audiences of different ages, races and religions to the fact that "he is as much a part of the American melting pot as anyone."

But with Obama's added role of being the United States' homecoming king comes an added responsibility of being all things to all people at times.

Last week, for example, the public turned to Obama to get his opinion on the controversy surrounding Harvard professor Henry Louis Gates Jr., who was arrested on a charge of disorderly conduct after a confrontation with an officer at his home in Cambridge, Massachusetts. That charged was later dropped.

Obama said police acted "stupidly" in the arrest, but then backpedaled, saying he did not mean to slight the Cambridge Police Department. The president also acknowledged his words "helped to contribute to ratcheting" up the situation.

"Obviously, he had no authority over that whatsoever, but as the chief communicator ... they ask him for ceremonial and symbolic reasons," said Vincent Hutchings, an associate professor of political science at the University of Michigan.

And that ceremonial role crosses borders each time the president travels outside of the country and becomes the face of the United States government to the rest of the world.

A Pew study released last week indicated that the United States' image has improved considerably in much of the world since Obama took office.

"Ideally, of course a politician would like for their personal popularity to translate to their policies, and sometimes that does happen and it's maybe even happening now to a degree, but there are limits," he said.

But, Hutchings noted, it's premature to start pointing to disparities in Obama's personal popularity and that of his policies to come to conclusions about his performance.

"The jury is still out on that," he said. "It may well be that this is the beginning of a trend, or it may just be that this is just a blip."

@highlight

A president can't be effective without being liked, marketing professor says

@highlight

Obama's ratings as a person are higher than those of his policies

@highlight

Obama's ceremonial role of being U.S. homecoming king affects U.S. image abroad

@highlight

Too early to tell if polling will be a trend or "just a blip," politics professor says