It's the earthquake that rocked the GOP.

In a year when mainstream Republicans have mostly bested tea party-backed challengers, a little-known and little-funded tea party challenger in Virginia's 7th Congressional District pulled the upset of the year, defeating House Majority Leader Eric Cantor by 10 percentage points.

The victory by economics professor Dave Brat gives the tea party an instant jolt of energy, sends shock waves through Capitol Hill, shakes up the GOP House hierarchy -- as Cantor was seen by many as the next speaker -- and effectively kills any chance of immigration reform passing through the House any time soon.

"I think this is a scale eight earthquake. I think it will shock the Washington establishment; it will shock the House Republicans," former House Speaker Newt Gingrich said.

"It certainly upsets the balance of power inside the Republican conference. And combined with the results last week in Mississippi, it sends a pretty strong signal that while money matters, voters may matter more, and people have to have a little respect for the right of the voter to have attention paid to them, and the right of the voter to throw people out if they're not happy with them," added Gingrich, a 2012 Republican presidential candidate and co-host of CNN's "Crossfire."

Cantor becomes only the second member of Congress running for re-election this year to go down in defeat in the primaries, following 91-year-old Republican Rep. Ralph Hall of Texas. Longtime Sen. Thad Cochran of Mississippi may soon become the third. He's fighting for his political life as he faces a primary runoff election in two weeks against a tea party-backed state senator who narrowly edged him in last week's primary but not by enough to win outright.

"This victory is the 'Pulp Fiction' equivalent of the adrenaline needle plunged into the chest of the tea party," said GOP consultant Ron Bonjean, who served as a top strategist and adviser to House and Senate Republican leaders. "They had largely conceded most of the Republican primaries to the establishment."

Brent Bozell, an anti-establishment leader and "ForAmerica" chairman, proclaimed that "Eric Cantor's loss tonight is an apocalyptic moment for the GOP establishment. The grass-roots is in revolt and marching."

Eric Cantor loses primary in big upset; Lindsey Graham avoids runoff

How Cantor lost

In the primary's closing days, aides close to Cantor said they expected the majority leader to win around 60% of the vote in his primary. He didn't come close.

"Obviously, we came up short," the seven-term congressman told supporters as he conceded the race.

Cantor apparently didn't read the pulse of conservatives in his Republican-dominated district, which is anchored in the Richmond area but stretches some 100 miles from the Tidewater to the outer reaches of the Washington exurbs.

"Eric Cantor lost this race as much as Dave Brat won it. Two years ago, Eric Cantor got 37,000 votes in his primary. Nine thousand fewer votes this time. He simply violated rule number one of politics: Go home," said CNN chief national correspondent John King. "This is Eric Cantor's fault. He was in Washington on primary day, not back in his district."

Cantor also turned down last-minute help from political allies.

"His confidence, his arrogance, his smugness cost him his seat," King added.

"My sense from talking to people in the 7th is that he had lost touch with the base of the Republican Party there, and by the time he realized it and tried to make amends, it was too late," Virginia political analyst Quentin Kidd said.

"The real problem that the (tea party) base had with Cantor is that they got to where they didn't trust him," added Kidd, director of the Wason Center for Public Policy at Christopher Newport University. "The issue that broke the bank for him was immigration. They saw him say one thing in Washington, then say something else to them, and it caused deep distrust in the district."

Cantor's campaign shelled out a couple of million dollars in television and radio ads to send its message that Cantor was "a strong conservative." It outspent Brat's by more than 10 to 1. To put it another way, Cantor spent well over $100 for each vote that he won. Brat spent around $5 per vote.

In his victory speech, Brat told supporters, "Dollars do not vote -- you do."

Brat framed his challenge as another case of a grass-roots conservative taking on the GOP establishment, a major theme in Republican contests this year. And Brat made immigration reform the central issue and said Cantor's position would hurt the economy.

"The amnesty issue is the symbolic powerful expression about the difference between Eric and I on jobs," Brat said.

Cantor has publicly supported proposals allowing children of those who enter the country illegally -- so-called Dreamers -- the ability to obtain some type of legal status. But Cantor opposed the bill passed by the Senate last year that included a pathway to citizenship for most of the 11 million undocumented immigrants in the country.

Cantor's team pushed back, calling Brat, a "liberal college professor."

That worked against him, Kidd said.

"His negative turn played into this narrative that Cantor couldn't be trusted ... that he was out of touch with the conservative principles of the district, and was using Washington-style campaign tactics to beat his opponent down."

Brat's victory may have also been fueled by popular conservative talk radio host Laura Ingraham, who was an early supporter.

"The seeds for Brat's upset were sown on right-wing radio talk shows, particularly Laura Ingraham's," CNN senior media correspondent Brian Stelter said. "This time last week, Ingraham was busy headlining a giant rally for Brat. On Tuesday, her website implored fans to vote for him."

Two pieces of irony: Cantor's defeat comes just three days after Virginia Republicans, meeting at their state party convention, nominated Ed Gillespie -- the poster boy for "inside the beltway" Republicans -- as the party's U.S. Senate nominee. And Cantor's loss also came on the same night that GOP Sen. Lindsey Graham of South Carolina, a frequent target of conservatives, easily bested six primary challengers from the right.

Aftershocks on Capitol Hill

In his 13 years in Congress, Cantor has rocketed up the ranks, all the way to majority leader, the No. 2 spot in the House Republican leadership. And Cantor was seen by many as biding his time until the eventual retirement of House Speaker John Boehner.

Now that succession is upended, and Cantor's defeat will only embolden the powerful tea party wing in the House. Conservatives will most likely demand that Cantor be replaced with someone on the right.

"It's going to speed up the process of tea party members positioning themselves for a leadership run. This stunning news could be the first shot in an all-out war between the establishment and tea party over leadership control," said Bonjean, the GOP consultant.

The No. 3 House Republican, Majority Whip Kevin McCarthy, is popular among members and has chits from many of the freshman and sophomores he helped elect. But because he's part of the current GOP leadership lineup, many tea party groups and members on the right of the conference don't trust him as a solid conservative. He is likely to want to move up to Cantor's post, but could draw a challenge.

Some are floating House Budget Chairman Paul Ryan's name, but a source close to the 2012 GOP vice presidential nominee calls those rumors "baseless and unfounded" and notes that Ryan batted down questions about his interest in any run for the top spot.

But because the news of Cantor's defeat is still sinking in, members are still calling around and testing the temperature for what should happen next.

Cantor's defeat also effectively kills any hopes that the House will pass an immigration reform bill.

"It's going to be a tough case to make that immigration is going to be brought to the House floor anytime soon," Bonjean said.

CNN senior political analyst David Gergen agreed.

"For Cantor to be knocked off by a tea party conservative over his efforts to push for immigration reform and his earlier efforts to lift the debt ceiling, I think it will send shock waves through Republican ranks."

Look at the price he paid for doing things the majority of Americans support," said Gergen, a senior adviser to both Democratic and Republican presidents.

Cantor challenger, Dave Brat, 'shocked' as results rolled in

Graham defeats conservative challengers, avoids runoff

@highlight

Cantor's loss shakes up GOP leadership, kills hope for immigration reform in House

@highlight

Challenger's win also gives jolt of energy to tea party movement

@highlight

Cantor's problem was that base grew distrustful of him, analyst says