(CNN) -- U.S. Secretary of State Hillary Clinton and Saudi Arabia's foreign minister expressed concern Monday over Iran's nuclear ambitions during a meeting between the two leaders.

At the meeting in Riyadh, Saudi Arabia, Saudi Foreign Minister Saud al-Faisal called on Iran "to respond to efforts to remove regional and international suspicions toward its nuclear program" and stressed his country's desire for a region "free of weapons of mass destruction, most notably nuclear weapons."

Clinton called Iran's recent announcement that it will start to produce higher-grade enriched uranium, "a provocative move in defiance of United Nations Security Council resolutions" and warned that the "increasingly disturbing and destabilizing actions" by Iran "will result in increasing isolation."

Clinton's comments came hours after she told a town hall meeting in Doha, Qatar, that the United States believes Iran "is moving toward a military dictatorship."

Clinton was responding to a question about whether the United States was getting ready for military action in Iran.

"No, we are planning to bring the world community together in applying pressure to Iran through sanctions adopted by the United Nations that will be particularly aimed at those enterprises controlled by the Revolutionary Guard, which we believe is, in effect, supplanting the government of Iran," Clinton said.

"We see that the government of Iran, the supreme leader, the president, the parliament, is being supplanted, and that Iran is moving toward a military dictatorship. Now, that is our view."

The tough comments on Iran came during Clinton's four-day trip to the Middle East.

A day earlier, Clinton called for stronger actions against Iran in the wake of its announcement that it is stepping up production of highly enriched uranium.

"Iran leaves the international community little choice but to impose greater costs for its provocative steps," she said. "Together, we are encouraging Iran to reconsider its dangerous policy decisions."

Speaking at the U.S.-Islamic World Forum, Clinton said the United States is "working actively" with its partners "to prepare and implement new measures to convince Iran to change its course."

Iran already faces U.N. sanctions.

The five permanent members of the U.N. Security Council -- the United States, Britain, Russia, China and France, all of which have veto power -- have been engaged along with Germany in discussions about possible further sanctions.

While Clinton was in Qatar, Adm. Michael Mullen, chairman of the Joint Chiefs of Staff, arrived in Israel Sunday evening to meet with that nation's top military officials, including Minister of Defense Ehud Barak.

"Right now, diplomatic efforts continue," Mullen said, according to the Israel Defense Forces Web site. "The option to attack Iran is still on the table, but we're not there yet."

Iranian President Mahmoud Ahmadinejad has said Israel "must be wiped off the map" politically. The United States has had to assure Israel that its interests will be protected to keep its military on the sidelines.

"Conflict with Iran would be a big problem for everyone," Mullen said. "I worry about the unintended consequences of an attack. While every situation has limits, we're not there yet. The diplomatic efforts must be exhausted until the end."

Iran said last week that it had completed its first batch of 20 percent enriched uranium and will soon triple production.

Uranium enriched to 20 percent can set off a nuclear reaction, scientists say, but is not weapons grade.

U.S. Assistant Secretary of State P.J. Crowley told CNN Monday that the United States, France and Russia recently sent a joint letter to International Atomic Energy Agency Director General Yukiya Amano challenging Iran's decision to enrich uranium to 20 percent and emphasizing other options available to Iran so it would not need to increase enrichment.

"We referred back to the Tehran research reactor proposal from last fall that Iran has yet to accept and we alluded to the availability of medical isotopes on the international market," Crowley said. "Given these two legitimate and immediately available options, there is no rationale for Iran to attempt to produce its own fuel."

Asked about comments made Monday by the director of Iran's Atomic Energy Organization, Ali Akbar Salehi, to the semiofficial Fars News Agency that Iran would be prepared to stop its 20 percent enrichment, Crowley encouraged Iran to bring its ideas to the table.

"If they have ideas on how to enact the Tehran research reactor proposal, they should bring them to the IAEA and we can have another round of talks," Crowley said. "Within the parameters of the Tehran research reactor proposal, we are happy to discuss effective ways of implementing it. Our problem is that we had one meeting on the issue and Iran has yet to come back to the table."

The Islamic republic insists its nuclear program is solely for peaceful civilian purposes.

"But Iran has consistently failed to live up to its responsibilities. It has refused to demonstrate to the international community that its nuclear program is entirely peaceful," Clinton said. "And last year, the world learned of a secret nuclear facility near the city of Qom."

The country could get the enriched uranium that it says it wants for medical research by accepting a proposal under which Iran would ship its uranium abroad to be enriched and then returned, but Iran has rejected that offer, Clinton said.

"This has only deepened the international community's doubts about Iran's nuclear intentions, along with the Iranian government's own isolation."

Iran has also refused recent diplomatic efforts to reach a resolution, she said.

A soon-to-be released U.S. assessment of Iran's nuclear program is expected to conclude the government has resumed limited work on a nuclear weapon, according to a U.S. official.

CNN's Elise Labott contributed to this report.

@highlight

Hillary Clinton calls trend of greater military lock on leadership disturbing

@highlight

Iran already faces U.N. sanctions

@highlight

Tehran insists nuclear program strictly for civilian purposes

@highlight

Clinton: Iran has refused recent diplomatic efforts to reach a resolution