(CNN) -- A month after defending the health care law, the Obama administration again confronted the buzz saw of skeptical Supreme Court justices on Wednesday -- this time on immigration. But come November, Republicans may very well be on the losing end of the argument.

As has been widely reported, oral arguments regarding Arizona's SB 1070 illegal immigration law began with an unusual interruption: Chief Justice John Roberts broke in during U.S. Solicitor General Donald Verrilli's opening comments to ask assertively, "No part of your argument has to do with racial or ethnic profiling, does it?"

And, while it is difficult to predict how the justices will rule, Justice Sonia Sotomayor signaled the tough road ahead when she said of the administration's argument, "You can see it's not selling very well."

But in the court of public opinion, Arizona's SB 1070 law has stirred the fastest-growing electorate in the nation: Latino voters, who made up 7.4% of all voters in 2008.

Republicans are in serious trouble.

Co-authored by one of Mitt Romney's informal advisers, signed into law by Republican Gov. Jan Brewer, and touted by Romney endorsers, SB 1070 is the gum sticking to the presumptive nominee's general election shoes.

And President Obama knows it.

In an interview with Rolling Stone magazine, Obama said, "I don't think that their nominee is going to be able to suddenly say, 'Everything I've said for the last six months, I didn't mean.' "

The mind-boggling part is that Romney knew branding himself as an anti-immigrant firebrand was going to present a problem in the general election. But instead of moderating his approach -- as Republican strategists implored -- he doubled down.

Guided by Kansas Secretary of State Kris Kobach, who is co-author of SB 1070, Romney endorsed the concept of "self-deportation" of undocumented immigrants while trying to talk about the Latino community's economic needs. He went even further by saying he would halt lawsuits against SB 1070 "on day one" of his presidency -- surely agitating thousands of Latino voters in Arizona in the process.

No voter is going to listen to Romney's economic message if he wants the voter's mother to "self-deport."

Political common knowledge suggests the Republican candidate needs at least 40% of the Latino vote in order to hang drapes at 1600 Pennsylvania Avenue. In fact, Latino, Asian and other new immigrant voters may well provide the margin of victory in Arizona, Colorado, Nevada, Florida, North Carolina and Virginia.

What's a candidate for president to do?

Regardless of the Supreme Court's decision, the Obama re-election campaign would like to believe SB 1070 opens the floodgates for the madre of all get-out-the-vote efforts. But leading an administration that has detained and deported a record 1.2 million people, the president has a trust deficit of his own.

Obama needs to use the powers granted to the executive branch to fully implement new guidelines that prioritize immigration enforcement resources. The only way he can make up for Democrats' inability to deliver immigration reform is to take decisive action and continue to deport people here illegally who mean to do us harm -- but stop deporting landscapers, nannies and their hardworking families.

Clearly, Romney has the bigger challenge.

He cannot smile and nod his way out of this problem, as he tried to do at a recent meeting with Hispanics in the Phoenix area. To a former University of Arizona president's question about the DREAM Act, Romney responded, "Thank you. Appreciate it, thank you."

To earn anywhere near a winning percentage of Latino votes, Romney must redirect citizens' frustration with the broken immigration system away from SB 1070 and its copycats, and join Republicans such as Jeb Bush, John McCain and Lindsey Graham, all of whom have called for immigration reform that includes a path to citizenship for the undocumented.

For political cover, Romney can look to a growing alliance of conservative faith, business and law enforcement leaders working together across the country to forge a new consensus on immigrants and America.

If Republicans fail to appreciate the anger and frustration of new American voters and their allies who want pragmatic immigration solutions, a different buzz saw -- one of electoral justice -- will decide their fate come November.

And it will not be pretty.

The opinions expressed in this commentary are solely those of Ali Noorani.

@highlight

The Supreme Court heard oral arguments about Arizona's immigration law

@highlight

Ali Noorani: Arizona's law matters to the fastest growing electorate, Latino voters

@highlight

He says it's mind-boggling that Mitt Romney is still an anti-immigrant firebrand

@highlight

Noorani: If GOP can't come up with smart immigration policy, it will suffer in fall election