(CNN) -- Here we go again. This week, Israeli-Palestinian negotiations will begin in Israel and the West Bank.

Having participated in my own fair share of these kinds of negotiations over the years, I wouldn't presume to discount Secretary of State John Kerry's effort. But I also wouldn't get my hopes up.

In 2001, Secretary of State Colin Powell assigned me to assist Gen. Anthony Zinni, who had just been given a mission impossible: Negotiate a cease-fire between Yasser Arafat and Ariel Sharon in the middle of the second intifada.

I asked Zinni straight out why he wanted to risk ruining a brilliant career on a goal he couldn't possibly achieve. He replied that he loved hopeless causes. In that case, I told him, he'd come to the right place.

Will these be the "Star Trek" negotiations and go where no man or woman has ever gone before? It's hard to say. But here are five signs that might offer clues as to whether there's life (or not) on planet Arab-Israeli negotiations.

Opinion: Americans, stay open to both sides in Mideast talks

1. Will the two sides maintain radio silence?

So far, Kerry has done what no other U.S. official has ever accomplished: He's gotten the two sides who have a pathological history of leaking to essentially shut up. That's either because there's something meaningful to protect, or alternatively, there's nothing really there there, and that's worth hiding. I suspect it's the former. So watch the leaks from both sides.

If the substance of what's being discussed is being backgrounded to embarrass, pressure or undermine the negotiators, the negotiations are in serious trouble. Because this process depends on things Kerry has heard from each side that they can't say publicly yet or won't say to one another, radio silence is critical -- for now.

2. Are folks writing things down?

The famous Hollywood mogul Samuel Goldwyn was right: an oral agreement isn't worth the paper it's written on. Oral exchanges and verbal commitments can be starting points. But serious negotiation requires stuff on paper.

More than this, every negotiation needs a way to organize the effort, and an agreement must be reduced to a text.

Ideally, the United States would control that text -- as Jimmy Carter did at Camp David or as James Baker did with the terms of reference and invitations to the Madrid Peace Conference. But the key question is whether the negotiators are working on language that will actually fill in the agreement. And what kind of agreement are they working toward: Borders/security first or an accord on the basic principles on all the issues?

If the parties aren't crystal clear on where they're heading, then any road will get them there -- and that's a recipe for drift and disaster.

The same is true for showing maps. Borders of a Palestinian state are a key element in these negotiations. If you hear that one side or the other won't produce them, start looking for a new conflict to mediate.

3. What's happening away from the negotiating table?

There was a time that we believed we could insulate the talks at the table from the environment outside. That was called Oslo, and the process failed. There must be some correlation. That's why Kerry has tried to get each side to stop doing negative things for a period of time -- six to nine months.

Israelis are supposed to do a phased release of Palestinian prisoners and limit settlement activity. Palestinians are supposed to stand down from efforts to bring the issue of statehood to the United Nations or press their claims against Israel in international bodies, and stop incitement too.

Already, both sides are unhappy with nonobservance of these actions. A certain amount of dysfunctional behavior from both sides is built into the reality that one is the occupier and one the occupied. But given how little the Israeli and Palestinian publics seem to have invested in these talks, everything possible must be done to demonstrate that life on the ground is changing too. And we're not off to a good start.

4. Watch what the tough guys say

Israeli-Palestinian negotiations are as much about domestic politics as anything else. And watching those in each camp react to what's going on in the negotiations is important.

A certain amount of bluster from each side is expected. But one way to gauge the seriousness of what's happening is to look at how worried the opponents of the peace process are.

The Palestinians public is deeply skeptical of these talks. And Hamas for sure will oppose them. So will members of Israeli Prime Minister Benjamin Netanyahu's Likud party.

More important will be the reaction of the two newbies in Israel in politics and in the coalition: Naftali Bennet and Yair Lapid. Pay careful attention to Bennet, whose right wing views count, and who will try mightily to make sure he knows what's being offered at the table. If he's relaxed and silent, you can bet the negotiations are remaining in pretty safe territory from Benjamin Netanyahu's perspective -- or he's being frozen out. Either way, watch out, signs of trouble may be brewing at home for the prime minister.

5. What's the U.S. doing?

The odds against a conflict-ending accord that addresses all the issues are pretty long.

It will require major moves from Palestinian Authority head Mahmoud Abbas and Netanyahu and traveling to a place they've never been before. But it will also require the U.S. to be in the middle of the mix. Right now, Kerry describes the U.S. role as a facilitator, a term that has very little meaning. (It's the one we used to describe the American approach at the July 2000 Camp David summit). If this is going to work, both Kerry, and at the right time, Obama, will have to be all over these talks like a cheap suit.

Middle East peace is hard. And if the US wants an agreement -- assuming the two sides do -- they'll have to push, shove and use ample amounts of vinegar and honey to get a deal, including developing formal proposals to bridge the gaps on tough issues such as Jerusalem. And those U.S. positions need to be fair and reflect the needs of both sides.

Does the president want it that badly? If he does, a high-level, pretty high-risk leaders' summit is in his future. Stay tuned.

We may just have a chance this year to find out.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Israeli-Palestinian talks are set to begin this week

@highlight

Aaron Miller says there are signs to look for to see if the talks are going anywhere

@highlight

He says watching if the parties keep talks confidential is key; so is the U.S. role

@highlight

Miller: Negotiators need to set out key principles, talk about borders