(CNN) -- DARPA, the U.S. Defense Advanced Research Projects Agency, funds some of the world's most far out, forward-thinking research into new military technology.

Something like Q Branch in the James Bond movies, DARPA is constantly working on what it describes as "radical innovations." But where James Bond has the character Q to build his exploding pens, DARPA often funds private companies and external organizations to develop its high-tech hardware.

It is currently funding research into, among other things, a robot ostrich, a flying car and a plane that could stay airborne for five years at a time.

While some of the technologies it is supporting might seem more suitable for science fiction than the battlefield, the fact that DARPA is willing to fund them is a sign they are at least possible -- if not always plausible. Don't forget, DARPA's Arpanet program is widely credited as being the precursor to today's internet.

So here are some of DARPA's most incredible research programs, which could change the future of warfare, and might one day have applications that extend far beyond the military.

Disc-Rotor Compound Helicopter

The Disc-Rotor is a collaboration between DARPA and Boeing. Hoping to marry the best features of a helicopter and an airplane, the Disc-Rotor program aims to develop a new type of aircraft capable of a seamlessly transitioning from hovering like a helicopter to flying like a plane.

The design is propelled by rotor blades that extend from a central disc, letting it take off and land like a helicopter. But those blades can also retract into the disc, minimizing drag and letting the Disc-Rotor fly like a plane, powered by engines beneath each wing.

Vulture

DARPA's Vulture program is developing the technology to enable an "airborne payload" to remain in the sky for more than five years at a time, performing intelligence, surveillance and communication missions. In practice, that means developing unmanned aircraft that act like satellites.

Boeing is again working on the project, researching its "SolarEagle," a solar-powered, unmanned craft with a 120-meter wing span. It is designed to operate at altitudes above 18,000 meters. Boeing hopes it will make its first demonstration flight in 2014.

ChemBots

Tech company iRobot worked with DARPA on its "ChemBots" program. The aim was to build soft, flexible robots that could deform their bodies to move through openings smaller than themselves (e.g. under doors) to carry out covert tasks.

IRobot used a transitional -- or "jamming" -- material, with properties of both a solid and a liquid, to create a flexible robot that can crawl on six floppy legs. While DARPA's funding has now expired, iRobot is still researching soft robotics and "jamming" technology.

LANdroids (Local Area Network droids)

DARPA also funded iRobot to research its LANdroids program.

The aim was to give soldiers reliable communications in urban areas by creating pocket-sized robots they could scatter as they moved through an area. The robots would each act as a node in a wireless communications network. As the soldiers move, the robots would autonomously move with them, filling gaps in the network.

According to iRobot, the LANdroid it created weighed around one pound, was highly mobile and used a flipper mechanism for self righting and obstacle climbing.

Following the DARPA research, iRobot has developed a throwable robot for soldiers that will be available from 2012. It says the robot could be used to investigate hard-to-access places such as tunnels and ditches.

Falcon HTV-2

The ultimate goal of the Falcon Hypersonic Technology Vehicle 2 (HTV-2) program is to create a vehicle that can fly anywhere in the world in less than an hour -- while enduring temperatures in excess of 1,925 C (3,500 F).

DARPA has already produced and flown a test HTV-2 -- an unmanned, rocket-launched aircraft that travels at Mach 20 (about 13,000 miles per hour). At that speed a flight between New York City and Los Angeles would take less than 12 minutes.

HTV-2 made its maiden flight in April 2010, but crashed into the Pacific after just nine minutes. A second flight, in August 2011, lasted a similar time before meeting the same end.

Following the second flight HTV-2 program manager Major Chris Schulz said: "We do not yet know how to achieve the desired control during the aerodynamic phase of flight. It's vexing; I'm confident there is a solution. We have to find it."

FastRunner

This "robot ostrich," called FastRunner, is a joint project between DARPA, MIT and the Florida Institute for Human and Machine Cognition (IHMC).

It aims to build a two-legged robot that can cover a moderately rough terrain "as fast as the best human sprinters."

The Florida group has been running computer models it says show that when built, its robot could go from zero to 20 miles per hour in 15 seconds, with a top speed of 27 mph. An Olympic 400-meter runner moves at around a 20.5 mph.

Why an ostrich? Because it's the fastest two-legged animal on land, said Sebastien Cotton, a research scientist with the IHMC.

"All the inspiration is coming from the ostrich so we spent a lot of time studying ostriches and trying to figure out which movements are essential to its locomotion," said Cotton.

The team plans to build and test a real robot in 2012.

Phoenix

Communication satellites orbit more than 20,000 miles above the Earth. When they break they usually have to be replaced by launching a new satellite, even though many of these broken satellites still have usable parts, such as antennae and solar arrays.

The Phoenix program is trying to find a way to remove and re-use valuable components from broken or "retired" satellites -- in essence, recycling space junk.

DARPA envisions small "satlets" or "nano satellites" being carried to a broken communication satellite by a "tender" satellite, and then robotically attaching to the broken satellite's antenna.

But before it can become reality they must develop new robotics and remote imaging systems, and design grappling tools to grip, cut, and modify satellite parts.

Shrike

DARPA has funded aerospace company AeroVironment's development of the Shrike -- a vertical take-off-and-landing unmanned aircraft "small enough to be carried in a backpack."

Intended for use in military surveillance, the Shrike has four rotors and is equipped with a high-resolution camera that transmits real-time video. It can hover in place for up to 40 minutes and can also land, or "perch," in a discrete location and transmit video from its perch for several hours. Once it's finished filming it takes off vertically and flies back to base.

Transformer

The Transformer program aims to build a flying car for the battlefield. And the car will need to fly itself.

The aim is to create a vertical take-off-and-landing vehicle that can carry four people more than 250 miles on one tank of fuel.

Six contractors are working on the project, including Lockheed Martin, AAI Corp. and Carnegie Mellon University (CMU).

Sanjiv Singh, a CMU research professor of robotics, said: "In practical terms ... the vehicle will need to be able to fly itself, or to fly with only minimal input from the operator. And this means that the vehicle has to be continuously aware of its environment and be able to automatically react in response to what it perceives."

Cognitive Technology Threat Warning System (CT2WS)

The Cognitive Technology Threat Warning System program is developing binoculars that can identify threats from a long distance and then inform a soldier of the danger.

It will use wide-angle optics and digital imaging, but the really clever bit is its use of "cognitive visual processing algorithms" and "operator neural signature detection processing." That means monitoring the subconscious patterns in a soldier's brain to detect a threat the soldier has perceived before they are even consciously aware of it.

Nano Air Vehicle (NAV)

The Nano Air Vehicle (NAV) program is developing a tiny, ultra-light air vehicle for indoor and outdoor military missions. The program has already produced an impressive prototype robotic hummingbird, complete with fast-flapping wings that let it hover and fly.

@highlight

U.S. Defense Advanced Research Projects Agency funds tech research

@highlight

Current projects include a robot ostrich, a flying car and a helicopter/plane hybrid

@highlight

Nano Air Vehicle program has built a tiny flying "robot hummingbird"

@highlight

Falcon HTV-2 plane has already flown at 13,000 miles per hour