(CNN)One night in early October 2014 I woke up at 2 a.m. and began watching Vital Signs on CNN International. The show was about the future of cancer treatment through immunotherapy -- a topic close to my heart.

In 2012, I was diagnosed with stage 3c ovarian cancer, at age 52.

As I watched Dr. Sanjay Gupta interview doctors, researchers and two patients at Yale New Haven Medical Center/Smilow Cancer Center, I decided, then and there, that I wanted to be in a research trial.

Some days in our lives are memorable.  We all prefer the good days, marriages, births, and graduations.  June 8, 2012 was not one of those days for me. That was the day I was diagnosed.  I went immediately from being a lawyer, mother, and wife -- taking care of everyone -- to being a professional patient.

Before diagnosis, I did not know approximately 21,000 women are diagnosed with ovarian cancer annually in the United States, and 14,500 women die from this disease. That's 40 per day and 1200 per month.

I am positive for the BRCA genetic mutation, inherited via my father who carried the mutation in his genes. Women like me, with this mutation, have a 50% chance of getting ovarian cancer in their lifetime.

While women with breast cancer have a 90% five-year survival rate, women with ovarian cancer have a 45% five-year survival rate.  As there is no test to find it at an early stage when it is most treatable, it's most often found in the late stage (stage 3 or 4) when it is difficult to treat and life expectancy is at its lowest -- 2.5 years on average, But I am now exceeding that average.

I had seen my gynecologist eight weeks before diagnosis and had a pap smear (which does not test for ovarian cancer) and a pelvic exam, which were clear. Over the next few weeks I began to experience bloating, decreased appetite, back pain, and frequent urination.   I had all the classic symptoms but was not seeing what they were -- signs of ovarian cancer.  I hadn't paid attention because I was busy running my practice and my home.  Busy with life.

Suddenly, June 6, I could not urinate properly.  My GP examined me and scheduled a CT scan the following day.

Then on June 8 came the tornado named cancer.

Surgery was June 11. After nine days, collapsed veins from IVs, and losing over 20 pounds of ascities -- a fluid produced by the cancer -- I was released from the hospital and allowed a few weeks to heal.  The pathology report showed I had low-grade epithelial cancer which is notoriously difficult to treat. I have a less than 35% chance of living through the next five years.

Unfortunately, there has been no breakthrough drug for ovarian cancer treatment in more than 20 years.

My treatment began with chemotherapy -- three weeks on, one week off. The drugs Carboplatin and Taxol were infused into my body.  I spent the weeks off trying to clear my "chemo brain" and raise my blood levels. I went through six of these cycles spanning July to December 2012.  The treatment appeared to be effective, but by May 2013, I was back on chemo, (this time with Doxil and Avastin).

After 16 cycles, in August 2014, this too had stopped working. I was faced with the difficult decision of whether to try treatment that would further deplete me, or enter a clinical trial.

I knew I needed a new approach to my treatment and then the night came when I saw the show. The next day I called Yale and learned a new ovarian cancer trial was about to start for which I might be eligible.  They were seeking five patients and my timing appeared to be perfect.

Within four weeks I had cleared all the testing and began the trial.  My form of cancer made me eligible as it releases certain proteins which attract the experimental drug, enabling it to attack in a targeted manner.  I describe this as tactical airstrike treatment as opposed to most treatments, which carpet bomb and kill healthy cells in our bodies as well as cancer cells.

My treatments are weekly via IV for one hour. Since it is a trial, I also regularly undergo comprehensive diagnostic tests and the chemo nurses check my vital signs to ensure that this drug is helping, rather than harming, me.

After six treatments, the cancer is stable and has not grown.  Thus, I am allowed to continue treatment for another six weeks and undergo another evaluation.

I know I am one of the fortunate women with a lot of support. My husband has been with me every step, every day, and participates in my care, and the fabulous doctors and nurses have cared for me from the beginning to now.

As I say regularly, I am not in the mood to die yet. So, one day at a time I will keep trying until we find something that will work, even temporarily.  Perhaps this trial will keep me alive long enough for science to catch up and help find a cure for this, and other cancers.

The opinions expressed in this commentary are solely those of Deborah Cummis Sandlaufer

@highlight

Deborah Cummis Sandlaufer was diagnosed with stage 3c ovarian cancer in 2012

@highlight

Despite numerous round of chemotherapy her cancer did not subside

@highlight

After watching CNN's Vital Signs, Sandlaufer enrolled in a clinical trial at Yale University