(CNN) -- The year is 1969 and Britain is at the peak of its counter-culture revolution -- a time of sex, drugs and rock 'n' roll. The Beatles are putting together their final album while a relatively unknown musician, David Bowie is making waves with his track "Space Oddity."

Meanwhile, in Liverpool, a 15-year-old schoolgirl is headed for trouble.

Though academically gifted, Jude Kelly is bored at school and overcome with a mix of teenage angst and a vivid imagination. She's beginning to hang around with a rough crowd and soon finds herself in trouble with the law. But one person has taken notice of her downward spiral -- her high school principal.

"The headmaster said to me, 'I don't care if you do maths or biology or whatever, it doesn't matter ... but make sure that you use your imagination for creative good rather than self-destruction'," recalls Kelly.

Fast forward several decades and she's done just that. Today Kelly, 59, is the artistic director of Britain's beloved cultural institution -- London's Southbank Centre.

Looking back, it's clear how defining that very moment was.

"As soon as he said it, I knew he was right -- I feel very strongly that young people deserve help, time, space and permission to be expressive."

His advice spurred Kelly to form a drama club with her fellow classmates including Clive Barker, the now bestselling British horror author, and comedian Les Dennis.

After high school, her passion for the arts continued to flourish. Studying Drama at Birmingham University, she decided to become a director. It was a bold career choice for women in the 1970s -- but by age 22, she defied naysayers by becoming one of the youngest artistic directors in the country.

"If you have a sense that you want to make the world change, then you've got to go and do it. You can't ask somebody else to change the world for you."

It's hard not to be intimidated by Kelly before meeting her. Her illustrious career has seen her open and run theater houses across the country, such as the West Yorkshire Playhouse and Battersea Arts Centre. Directing over 100 productions including the Royal Shakespeare Company, the National Theatre, Chichester Festival Theatre, the English National Opera, the ChÃ¢talet in Paris while in the West End, she has worked with some of industry's finest thespians, including Sir Ian McKellen and Sir Patrick Stewart.

But as Kelly enters her glass office, I'm immediately struck by how her theatrical aura and energetic spirit fills the room. Wearing a sleek black dress over her petite frame, she crosses her legs showing off a simple pair of sneakers -- an unlikely combination that works. Wasting no time, she delves into her passion for combining education with the arts.

"I believe wholeheartedly that in terms of human progress, arts education and arts and cultural expression is a key part of how great societies develop," says Kelly.

As she leans forward, she talks of creativity being the key to helping troubled youth -- a path she can relate to.

"My experience [is] that if I hadn't found that sense of purpose and identification, and had a way of doing it, that my life could have turned out differently."

"To lose any generation because they haven't been able to fulfill their potential is a tragedy," she adds.

So far, during her tenure as head of Southbank Centre and a once wayward teen herself -- she has made it her mission to provide a space for young people to express themselves.

To that end, Britain's largest arts center is currently undergoing a massive refurbishment to develop a festival wing which will include a youth village, a children's future center, arts education studios and a backstage space for emerging DJs, dancers, filmmakers and photographers to cultivate their skills.

Additionally, the cultural hub offers a schools-in-residence program giving educational institutions the opportunity to move all of their classes to the Southbank location and immerse the students with the subjects while on the premises.

"We are also working with all kinds of urban artists -- hip-hop artists, graffiti artists, parkour, BMX riders -- sort of merging of culture, leisure and art so that young people have a route in [to the arts] via the thing that excites them."

But Kelly's commitment to ensuring the art world is inclusive goes one step further. Not content with the investment made in shaping female minds of the future, in 2011 Kelly established the Women of the World (WOW) Festival. Held each March in honor of International Women's Day, it's an event she calls "a celebration of everything women and girls can do, have done and could do."

The week-long festival provides an opportunity for women to come together, share success stories and network. It has proven so popular that the WOW festival has spread to a number of cities across the globe, most recently in Baltimore and Sydney.

"Women very often have been amazing pioneers in a sense of saying here's something that is clearly missing on the landscape and it needs somebody to roll their sleeves up and make it happen," says Kelly.

"I'm not saying it's only women that pioneer in the arts, but I think that people would be shocked to understand just how many women have put in the scaffolding upon which current arts policy has been created."

From Ethel Smyth, a British conductor and member of the suffrage movement, to Lilian Baylis, a theatrical producer who opened London's Old Vic Theater, Kelly admits, as an artistic director, she has often looked to female role models for inspiration.

These days Kelly herself has become somewhat of a pioneer of the arts. She sat on the London 2012 Cultural Olympiad Board, represents Britain on cultural affairs within UNESCO and is the founder and chair of Metal, an artistic laboratory.

In 1997 she received the honor of Order of the British Empire (OBE) for her services to British arts and culture. And in February, Kelly was named one of the 100 most powerful women in Britain by BBC Radio 4's Women's Hour.

While she doesn't recognize her work as revolutionary, she does believe she has been part of a larger shift in the UK's cultural landscape.

"I think I have been part of a transformative movement, a pioneering movement of people saying that we must never underestimate what human beings are capable of.

"We have got a right, a duty to make more space, more time, more opportunity for the many and not the few."

@highlight

Jude Kelly is the artistic director of the London's Southbank Centre

@highlight

She has overseen over 100 productions with theatrical greats such as Sir Ian McKellen

@highlight

She has also established the "Women of the World" festival celebrating female achievement