(CNN)A hint of France's expected response to the Charlie Hebdo slaughter -- and a claim of responsibility by al Qaeda in the Arabian Peninsula for the rampage that claimed 12 lives -- came in remarks President Francois Hollande made aboard his country's nuclear-powered Charles de Gaulle aircraft carrier before it embarked to the Middle East.

"The exceptional situation that we're in must lead us to revise our rhythm for reducing personnel," Hollande said Wednesday, referring to military cuts planned before the attacks.

That exceptional situation was a terrorist rampage that was years in the works, an AQAP leader said in a video, claiming U.S.-born cleric Anwar al-Awlaki was the mastermind. Al-Awlaki was the terror group's spokesman before a U.S. drone strike killed him in Yemen in 2011.

As intelligence analysts try to piece together whether the gunmen who attacked the satirical magazine met al-Awaki on trips to Yemen -- a theory that could be bolstered by the new video's claim -- France's ultimate response will be colored by numerous factors.

Why deploy the Charles de Gaulle?

An invasion of Yemen is unlikely.

"In terms of international engagement and what's happening in Yemen, the United States has been engaged in drone strikes for a number of years," says David Schanzer, director of the Triangle Center on Terrorism and Homeland Security and a professor of public policy at Duke University. "I would think the United States is doing about everything that could be done in Yemen."

Of France's deployment of the flagship Charles de Gaulle, Schanzer said: "I don't know how much of this is symbolic or adding to capability. I just have my doubts."

In fact, Schanzer wrote in an op-ed piece this week, France and the United States have been on a "war footing" against terrorism for nearly 14 years.

"As early as October 2001, France participated in NATO operations in Afghanistan against al-Qaeda and the Taliban," he wrote. "In 2013, France launched a military operation in Mali against an al-Qaeda affiliate that had overtaken large swaths of the country. And last year, France joined the U.S.-led military engagement against ISIS in Iraq and Syria."

On Saturday, Prime Minister Manuel Valls declared that France was at "war against terrorism, against jihadism, against radical Islamism."

The attacks and the international response they have elicited evoke the days following the 9/11 attacks, Peter Feaver, a political science professor at Duke, wrote in Foreign Policy.

"This problem is best understood using the language of war," he wrote. "Yes, it requires all of the tools of diplomacy, law enforcement, intelligence, and so on, but they are all components of a larger frame that is war."

Will France go to war?

France has moved more and more in the direction of military force against terrorists overseas in recent years, Christopher Chivvis, associate director of the International Security and Defense Policy Center at the RAND Corporation, said via email.

That's a change from a decade ago, when the nation tended to focus primarily on the domestic front in counterterrorism strategy.

An important factor is recognition that the nature of the terror threat has grown increasingly complex, with links to overseas terrorist safe havens, according to Chivvis.

Chivvis said the case of Mohammed Merah, who killed seven people in a series of attacks in southern France in 2012, was influential. Merah was shot dead after a long siege in Toulouse that year.

Merah told police he had attended an al Qaeda training camp while visiting Afghanistan and Pakistan, according to a French prosecutor. Merah's relatives denied the claim.

"France's decision to intervene against al Qaeda in the Islamic Maghreb in Mali in 2013 was shaped by this growing concern about the ways that overseas terrorist safe havens increase the threat to France itself," Chivvis said. ("Islamic Maghreb" refers to North Africa.)

"All of this suggests that, contrary to what might have been the case a decade ago, a French counterterrorism operation against AQAP is a real possibility."

Is a large French operation likely?

You probably won't see a repeat of Mali, where France had 2,150 soldiers on the ground and 1,000 more troops supporting the operation from elsewhere.

Instead, France might chose to use special operations forces, which have been working closely with the United States Special Operations Command in recent years, or even air strikes against specific targets, according to Chivvis.

"From a French perspective, airstrikes have the additional benefit of being high-profile and showcasing French airpower," he wrote. "Airpower was used to great effect in Mali. French (special operations forces) performed well in Mali, however, when it came to the element of surprise and keeping the initiative against a retreating al Qaeda foe."

For France, an international and domestic response are in order.

"In both cases, France cannot go it alone, but needs allies like the United States to back it up," Chivvis said. "There are always risks that such operations can backfire, and I'm sure that French leaders are doing their best to weigh those risks against the risks of not responding."

Has the military option worked?

It depends on the goals, experts say.

"Has it led to the destruction of al Qaeda in the Arabian Peninsula? No," Schanzer said. "Has it prevented any 9/11-sized attacks in the United States or anywhere else in the world? The answer to that question is no as well."

The effectiveness of the military approach is hard to measure.

"Al-Awlaki has been taken off the battlefield," Schanzer said. "He was a very threatening individual and, even in his death, is having influence. Some of the things that were done there have contributed and maybe helped to contain this organization but it hasn't led to its elimination."

And the rise of ISIS in Syria is instructional.

"We did think when bin Laden was killed and al Qaeda central was really strongly wounded that maybe we were on the down slope of this problem, but the civil war in Syria has really been a game changer, Schanzer told CNN.

What can France do at home?

In his op-ed piece, Schanzer wrote that France should revise laws to make support for foreign terrorist organizations, whether fighting or training with them, a crime punishable by a lengthy period of incarceration.

"In the United States, our 'material support for terrorism' law has been an effective tool for incapacitating potential terrorists," he wrote. "The law is only triggered by specific actions taken in furtherance of terrorist organizations. If applied properly, it does not violate civil liberties by punishing people for their ideas."

Toughening criminal laws will expand the scope of surveillance against people with terrorist connections, according to Schanzer.

"Can every single person that has radical impulses be arrested and prosecuted in a democracy? No," he told CNN. "But people who have known connections and have in some way interacted with foreign terrorist organizations, to me that's a crime and we should consider locking more people up. That's not a long-term response to this problem that the whole world is facing, but it is something that can reduce the immediate level of risk that they're facing."

Cherif Kouachi, 32, and Said Kouachi, 34, who authorities say carried out the Charlie Hebdo shootings, were killed during a standoff northeast of Paris last week.

The brothers were French citizens known to the country's security services, according to officials. One spent time in jail for ties to terrorism, and was in Syria as recently as this summer, according to a French source. The other went to Yemen for training, officials say.

Before they were killed in a shootout with French security forces, one of the brothers spoke on the phone to a journalist from the French news network BFM.

"We are just telling you that we are the defenders of Prophet Mohammed," he said. "I was sent, me, Cherif Kouachi, by al Qaeda in Yemen. I went there and Sheikh Anwar Al-Awlaki financed my trip... before he was killed."

Cherif Kouachi, the younger of the brothers, was arrested by French authorities in 2005 when he was about to leave to fight in Iraq. He planned to travel to Iraq via Syria. He was sentenced to three years in prison in 2008.

Schanzer wrote: "The key steps France needs to take to address the current threat have everything to do with expanding domestic counterterrorism and little to do with the tools of war."

@highlight

France's response to Charlie Hebdo attack colored by many factors

@highlight

Cleric Anwar al-Awlaki masterminded rampage, terror leader says

@highlight

France moves in the direction of military force against terrorism, expert says