(CNN) -- Scientific evidence shows that the health benefits of circumcising baby boys outweigh the risks, America's top pediatrics group said Monday.

But the "benefits are not great enough to recommend routine circumcision," the American Academy of Pediatrics said in a policy statement, and the decision to circumcise should be up to the parents in consultation with the child's doctor.

"Scientific research shows clearer health benefits to the procedure than had previously been demonstrated," said the group, which represents 60,000 pediatricians in the United States and Canada. It also said the health benefits are great enough for insurance coverage.

A debate has emerged over the practice. Circumcision, the removal of the foreskin from the penis, is a religious rite commonly practiced by Jews and Muslims and is a widely accepted and common medical practice. But staunch critics of the procedure say it is not medically necessary and carries the risk of complications and pain.

Why I didn't circumcise my sons

"Scientific research shows clearer health benefits to the procedure than had previously been demonstrated. According to a systematic and critical review of the scientific literature, the health benefits of circumcision include lower risks of acquiring HIV, genital herpes, human papilloma virus and syphilis. Circumcision also lowers the risk of penile cancer over a lifetime; reduces the risk of cervical cancer in sexual partners, and lowers the risk of urinary tract infections in the first year of life," the group said.

Johns Hopkins University researchers recently concluded that the rates of HIV and other sexually transmitted diseases are likely to climb as American parents increasingly leave their baby boys uncircumcised.

"The medical benefits of male circumcision are quite clear," said Dr. Aaron Tobian, an assistant professor of pathology at Johns Hopkins and lead author of the study published in the Archives of Pediatric and Adolescent Medicine. "But while the medical evidence has been increasingly more positive, male circumcision rates in the U.S. have been decreasing."

Mom: Why I chose circumcision for my boys

But such benefits may not trump "other considerations for individual families." The study also says the procedure poses rare risks such as "bleeding and swelling."

"Although the evidence also is clear that infants experience pain, there are several safe and effective ways to reduce the pain. If the baby is born prematurely, has an illness at birth, or has congenital abnormalities or blood problems, he should not be circumcised immediately," the AAP said.

"For example, if a condition called hypospadias is present, in which the infant's urinary opening has not formed normally, your doctor will probably recommend that your baby boy not be circumcised at birth. In fact, circumcision should be performed only on stable, healthy infants."

And the procedure, the AAP said, "is safest and offers the most health benefits if performed during the newborn period," it said. Newborn circumcision "should be performed by trained and competent providers, using sterile techniques and effective pain management," it said.

Dr. Susan Blank, chairwoman of the task force that produced the AAP policy statement and technical report, said it's ultimately up to the parents.

"Parents are entitled to medically accurate and non-biased information about circumcision, and they should weigh this medical information in the context of their own religious, ethical and cultural beliefs," Blank said.

AAP: Health benefits of circumcision outweigh the risks

She said parents should speak to a doctor about benefits and risks and "discuss who will perform the circumcision."

"It's a good idea to have this conversation during pregnancy, and to learn whether your insurance will cover the procedure, so you have time to make the decision," Blank said.

The American College of Obstetricians and Gynecologists has endorsed the policy as well.

"This information will be helpful for obstetricians who are often the medical providers who counsel parents about circumcision," said Dr. Sabrina Craigo, MD, the college's liaison to the AAP task force on circumcision. "We support the idea that parents choosing circumcision should have access to the procedure."

Decline in circumcisions could cost billions

@highlight

Circumcision is a religious rite for Jews and Muslims

@highlight

The health benefits include lower risks of acquiring HIV

@highlight

The procedure should be performed only on "stable, healthy" infants, group says

@highlight

Ultimately, parents should decide whether to do the procedure, task force chairwoman says