(CNN) -- A decade after Angola emerged from devastating civil war, the sea front road that winds around the bay of its capital, Luanda, is now dotted with multi-million dollar condominiums, exclusive clubs, and boutique stores catering for the country's elite.

Most of Luanda's population, however, live in the nearby slums, where health facilities are non-existent and children must work, not study, to survive.

Africa's natural resource wealth has certainly fueled a decade of rapid growth, but most Africans have still not seen the benefits. More urgently, rapid population growth combined with deepening inequality could one day prove explosive.

It does not have to be this way, of course. Botswana successfully used its diamond wealth to develop quickly, growing from one of Africa's poorest countries at independence in 1966 to become a democratic, stable, and upper middle-income country. But countries such as Ghana and Liberia have also made impressive strides towards better natural resource management in recent years.

With surging global demand keeping export prices high and new exploration revealing larger reserves than were previously known, Africa stands to reap a windfall from its natural resources.

The challenge is to translate this wealth into meaningful benefit for African citizens.

Find out more: How Africa's resources fuel the world

This year's Africa Progress Report, "Equity in Extractives: Stewarding Africa's natural resources for all," recommends policies so that more Africans can benefit from the minerals under their soil and coastal waters.

Among our recommendations for African policy makers, the international community, and the private sector, five major themes emerge.

First, from revenue flows to company ownership, transparency is critical because it reduces the opportunity for corruption. International initiatives, such as the Extractive Industries Transparency Initiative (EITI), have brought serious progress, and African governments such as Guinea, Liberia, and Ghana are increasingly publishing contract details online.

But there is still plenty of work to be done.

The international community must do more to tackle the issues of money laundering and anonymous shell companies, which facilitate corruption by hiding the true recipients of corrupt payments. This is a global challenge which requires multilateral solutions.

Our report analyzed five recent deals, for example, which cost the Democratic Republic of the Congo an estimated US$1.36 billion through the systematic undervaluation and sale of nationally owned mineral assets to unknown buyers. These losses were equal to more than double the combined 2012 budget for health and education in a country that has some of the world's worst malnutrition, its sixth highest child mortality rate, and over seven million children out of school.

Read this: Where is Angola's oil money?

These issues may have been on this year's G8 political agenda, but G8 leaders did little to legislate against anonymous company ownership in their jurisdictions. The world will be watching Australia's G20 leadership next year for meaningful progress on this issue.

Second, African countries must secure a fairer share of natural resource revenues for their citizens.

Africa has too often received an unfair return on its mineral resources. At the beginning of this century, for example, half a million Zambians in the mining sector were paying a higher tax rate than the multinational companies they were working for.

Inevitably, some African governments have been at a natural disadvantage when negotiating with companies whose experience stretches over many decades and different continents too.

But fairer deals can be good for multinationals. Companies prefer a stable business environment and fairer deals tend to last much longer.

Third, African governments must spend their natural resource revenue more effectively on poverty reduction.

Between 2000 and 2011, for example, Equatorial Guinea grew an average 17 percent per year, making it the fastest growing economy in the world and propelling it into the league of high-income countries. But three quarters of its population still live in poverty and its child mortality rates are among the highest in the world.

By using resource flows to eliminate malnutrition, African policymakers could eliminate the greatest barrier to Africa's social and economic progress, which blights the lives of 40 percent of Africa's children.

Fourth, the international community must tackle tax avoidance and evasion, especially relevant for Africa's oil, gas, and mineral sectors.

Read this: World's biggest dam to light up Africa?

As we said in our report, Africa still loses more money each year through tax avoidance than it receives in either international aid or foreign direct investment.

But the examples of Amazon, Google, and Starbucks show G8 policy agenda aligns with an African agenda too. Throughout the world, governments and citizens will all benefit from tackling tax evasion and avoidance.

Fifth, African policy makers must grasp this opportunity to create more jobs. Oil, gas, and mining don't create large amounts of jobs per se, but job creation is a critical issue for Africa, which has one of the world's fastest growing populations.

Governments must require extractive companies to procure more goods and services locally. But policy makers can also use extractive industries as a base for diversifying their economies.

We are upbeat about Africa's prospects. Not only do we see democracy taking root across the continent and much stronger economic governance, we also see more commitment from multinationals to contribute to society.

Ultimately, it is in all our interests that Africa succeeds. We all benefit from an Africa that is prosperous, fair, and stable.

The opinions expressed in this commentary are solely those of Caroline Kende-Robb.

@highlight

Africa stands to reap a windfall from its resources, says Caroline Kende-Robb

@highlight

But most Africans have not benefited from continent's resource-driven growth

@highlight

APP calls for transparency, fairer distribution of revenues, focus on jobs and poverty reduction

@highlight

It also urges the international community to tackle tax avoidance and evasion