(CNN) -- "Until death do us part" is what generations of couples have vowed at the altar. But a legislator in Mexico City wants to give people a much shorter option.

Leonel Luna from the leftist Party of the Democratic Revolution wants to make it easier for couples to divorce if things don't work out the way they hoped in the first two years after tying the knot.

The bill is at the center of a controversy about family values and the definition of marriage in Mexico City. But Luna, who introduced the bill at Mexico City's Legislative Assembly last week, says his measure is simply a reflection of reality.

"Almost 50% of couples in Mexico City end up in divorce," Luna says. "What we're trying to do is acknowledging reality and creating a mechanism that will allow couples to end their marriage without going through the additional pain and suffering of a legal battle."

Luna uses statistics from the Mexico City registry to illustrate his point. Out of 33,000 couples who got married in the past two years in Mexico City, around 16,000 filed for divorce. Ending the marriage, Luna says, costs approximately $3,500. The couple normally spends anywhere from $1,000 to $1,500 in legal fees and attorneys and the Mexico City legal system absorbs the rest.

Under Luna's bill, couples would sign a marriage contract that would last two years. Once that term was over, the couple would have the option to renew. The contract would specify if property is owned by both spouses or separately. It would also state who would get custody of the children, if any, and how benefits would be distributed.

The bill is now in committee. It may take up to three weeks before it is voted on in front of the full legislative assembly. If approved, the bill would apply only to couples getting married in Mexico City.

But is there a demand for it?

Norma Ojeda, a sociologist at San Diego State University who has researched marriage and divorce in Mexico, said that at first glance, the proposal seems like an unnecessary law that would simply create more bureaucracy.

As it is, she said, the majority of marriage dissolutions in Mexico -- 70% -- come not from a formal divorce but from informal separation.

Costs, as Luna pointed out, are an obstacle to divorce, but to date, couples have dealt with that simply by splitting and starting new families in many cases.

Ojeda did say, however, that a temporary contract could provide additional protection for children whose parents split, whose needs are often overlooked in informal separations.

Jorge Perez, a Mexico City resident, said the bill would benefit many couples who tie the knot in a rush. "It's like renewing your vows (after two years) if you want. If there's a fight, they can plan what to do from the beginning" of the marriage, Perez said.

Angelica Cesar, who also lives in Mexico City, strongly disagrees with the bill. "If you're making a commitment to share your life with someone, it better be for more than two years. It has to be for the rest of your life," Cesar said.

As a country, Mexico has the second largest Catholic population in the world after Brazil, and many say the bill goes against the beliefs of most Mexicans.

But things are different in the capital, where the population tends to be less conservative than the rest of the country. Two years ago, the liberal majority in the Mexico City legislature also made gay marriage legal in the Mexican capital.

The Mexican Catholic Church denounced that law then and is strongly opposed to the passage of the two-year marriage bill.

The Rev. Jose de Jesus Aguilar, a spokesman for the Mexican Conference of Catholic Bishops and the Mexico City Archdiocese, has denounced the bill. "Mexico is suffering very serious problems precisely because we're losing family values. I think that instead of creating all kinds of comfortable rules for political purposes, legislators should focus on promoting strong marriages and family values," he said.

Luna, the bill's author, said the chances of getting the measure passed are good. Out of 66 legislators in the Mexico City Assembly, 34 belong to his party and are likely to vote in favor of the bill. Luna said he's working on getting votes from the left-leaning Labor Party to ensure he gets the majority needed for passage.

CNN's Mariano Castillo contributed to this report.

@highlight

Legislator Leonel Luna wants to make it easier for couples to call it quits

@highlight

Newlyweds would sign a two-year marriage contract, then decide whether to renew

@highlight

The law would apply only to Mexico City