(CNN)Father Theodore M. Hesburgh, who led the University of Notre Dame to national academic prominence and became an influential figure in both the spiritual and political worlds, has died. He was 97.

Hesburgh died Thursday. His death was confirmed by a posting on the university's website.

"We mourn today a great man and faithful priest who transformed the University of Notre Dame and touched the lives of many," said the Rev. John I. Jenkins, Notre Dame's current president, in a statement. "With his leadership, charisma and vision, he turned a relatively small Catholic college known for football into one of the nation's great institutions for higher learning. In his historic service to the nation, the Church and the world, he was a steadfast champion for human rights, the cause of peace and care for the poor."

Over the course of a career that spanned more than seven decades -- 35 of them as president of Notre Dame -- Hesburgh ended up at the highest levels of both church and state.

He marched with civil rights leaders. He was instrumental in giving influence to the laity at Catholic universities. He was a Vatican representative to the International Atomic Energy Agency.

He was an adviser to presidents, serving on commissions concerning civil rights, immigration and military clemency issues. (And, incidentally, angering Richard Nixon over a report about racial discrimination, which prompted Hesburgh's resignation.)

In 1962, he made the cover of Time magazine -- back when that was one of mainstream America's most powerful indicators of influence -- for a story about Catholic intellectuals.

He was even one reason that the former Eppie Lederer ended up as advice columnist Ann Landers. As she told the story, when she applied for the position, she was given a handful of letters to answer as a test. For help on some topics she called her friends, including Supreme Court justice William O. Douglas and Hesburgh.

Needless to say, she got the job. Hesburgh, a close friend, remained one of the column's go-to experts.

But Hesburgh's primary focus was always the school he loved and first attended when he was 16. At the time -- the mid-1930s -- the college in South Bend, Indiana, was known for its football team, its seminary and little else.

Hesburgh, a native of Syracuse, New York, graduated from a university in Rome, Italy, and was ordained in 1943. He wanted to become a military chaplain but ended up pursuing a doctorate at Washington's Catholic University. He returned to Notre Dame after the war and became head of its Theology Department, rising in its administration.

He made his passions clear even before he became president, clashing with football coach Frank Leahy. When he took over the university in 1952, his goal was to create a "Catholic Princeton."

"The Catholic university should be a place where all the great questions are asked, where an exciting conversation is continually in progress, where the mind constantly grows as the values and powers of intelligence and wisdom are cherished and exercised in full freedom," he once wrote.

People we've lost in 2015

He used Notre Dame's athletic fame for bigger ends. The number of students doubled during his tenure. A library now named for him opened in 1963. Its famous mural, visible from Notre Dame's football stadium, is referred to as "Touchdown Jesus."

And when he started at Notre Dame, its endowment was $9 million. Today it stands at close to $10 billion, the 12th-largest in the country.

"The great challenge ... at Notre Dame was to create the greatest Catholic university of all time. And I think we achieved that," he told Maureen McFadden of South Bend TV station WNDU, a CNN affiliate.

There was criticism, of course. He traveled so much he became the subject of a campus joke: God is everywhere, Hesburgh is everywhere but Notre Dame. He disliked the Vietnam-era campus protests and threatened to expel students who were too disruptive. He sometimes butted heads with Catholic leaders.

But he was, usually, beloved -- not least by the Notre Dame community. He was known for his availability to students and liked to chat with them.

Perhaps his greatest influence "was on the lives of generations of Notre Dame students, whom he taught, counseled and befriended," said Jenkins, the Notre Dame president, in his statement.

He was amply honored during his long life. He received the Presidential Medal of Freedom, the Congressional Gold Medal and more than 100 honorary degrees.

For all his influence, Hesburgh never saw himself as high and mighty. His calling was service, and that alone was enough.

"I never wanted to be anything but a priest, which is in itself a great and unearned grace," he said. "I hope to live and die a priest, nothing more, but nothing less either."

@highlight

Father Theodore Hesburgh was leader of Notre Dame for 35 years

@highlight

Over his tenure, he revolutionized university and made it academic powerhouse

@highlight

He was adviser to presidents, served key position for popes