(CNN) -- Time magazine has clearly kicked up a hornet's nest with its downright insulting cover headlined "Rotten Apples," and coupled with the blurb, "It's nearly impossible to fire a bad teacher. Some tech millionaires may have found a way to change that."

The cover is a slap in the face to every teacher who has dedicated his or her life to bettering the lives of children. Right now, we should be lifting up and championing educators. The last thing we should be doing is discouraging or dampening the enthusiasm of a new generation.

Worse, the Time story gives sloppy credence to the well-funded, well-orchestrated attacks from a small cadre of wealthy business interests, many of whom have never even set foot in a classroom. These attacks on public education, educators and neighborhood schools have unfortunately become the norm. It's gone too far. Enough is enough.

Due process policies such as tenure are put in place to protect good teachers from being fired without cause. They aren't there to protect "bad" teachers. In fact, research from economist Jesse Rothstein suggests removing tenure might worsen educational outcomes because it would eliminate one of the major attractions to the profession. And since one of the biggest challenges in public education these days is teacher retention and recruitment, abolishing tenure could be incredibly harmful.

Recently, Democrats for Public Education was formed to show that Democrats remain united around a core set of principles. As a co-chair, I've seen how in just two months after officially launching, scores of elected officials, activists and party leaders in all 50 states have signed up to join our organization as supporters. They understand it's time we collectively push back against efforts to undermine our schools, our teachers and the children themselves.

DPE conducted a poll with Harstad Strategic Research, a Colorado-based firm that worked on President Barack Obama's historic 2008 election and 2012 re-election. The poll shows voters support public education in resoundingly large numbers. Roughly two thirds of Americans agree with traditionally Democratic positions when it comes to education.

I've seen an awful lot of polling through the years. And there isn't a profession out there that wouldn't love to have the kind of favorability numbers enjoyed by local public schools and teachers in this survey.

Moreover, any campaign manager would give his or her eye teeth for their candidate to have these results and engender these warm feelings among the masses. Contrary to what some naysayers -- and magazine covers -- continue to hawk, the American people are proud of their public schools. And they're proud of their teachers, too.

Overall, 82% of voters able to rate their local teachers believe them to be excellent, very good or good. So, even though we've seen lawsuits from California to New York scapegoating "bad teachers," the divisive views espoused by Campbell Brown and Michelle Rhee simply aren't rooted in public opinion.

When presented with four broad reasons as to why public schools aren't performing better, almost no one puts the blame on "bad teachers."

Instead, 40% cite a lack of parental involvement/support. Another 29% name inadequate funding and resources for public schools. And 18% peg it on the effects of poverty, hardships and problems kids bring to school. Only a mere 3% uttered the words "bad teachers" -- including 4% of Republicans and 3% of conservatives. The truth is that voters support their teachers, who are the furthest thing from "rotten apples."

Rock-solid majorities (61%) back additional funding for public schools, including 79% of Democrats and 57% of independents. In fact, even 45% of Republicans hold this belief. It's no surprise that voters of all stripes are fed up with GOP cuts to education across the country hurting children and neighborhood schools.

In 2010, a slew of obstructionist governors swept into statehouses on the tea party wave. Over the past four years, in Wisconsin, Ohio, Pennsylvania, Florida, Texas, Michigan and other states, we've seen -- and felt -- drastic cuts in funding for public education.

Unfortunately, this year, far too many Democrats have largely avoided this issue out of a mistaken fear that running on a pro-public education platform would be a far too risky topic for their campaigns. Turns out these Democrats are just plain wrong. They're missing a golden opportunity to highlight this important issue. The good news is that there is still time over this final week of the campaign season.

Throughout the country, there are opportunities to shine a lantern on these dramatic cuts, ehether it's Gov. Tom Corbett slicing education funding by $1 billion in Pennsylvania or Gov. Scott Walker, who made the biggest cuts to education in Wisconsin's history. In Florida, Gov. Rick Scott cut education by more than $1 billion. In Michigan, Gov. Rick Snyder proposed cuts to public school funding by 4%, or about $470 per student. There is no doubt that Americans are feeling this sting in their public schools. The list goes on.

In North Carolina, Sen. Kay Hagan, a Democrat, has impressively and smartly utilized education as a main issue in her campaign. She's hammered her Republican challenger for gutting education when he was the GOP ringleader in the General Assembly. In fact, Hagan used the exact term "gutting education" four times as a cudgel in a recent debate. And that's because she knows this is an issue that resonates with voters and is keenly felt on the ground in a tangible way.

Over the years, I've worked for and alongside the American Federation of Teachers and National Education Association. That's because I am proud of our public school teachers -- including my niece who teaches down in Louisiana -- just as I am proud of our nation's education system.

Those who slam public education and educators are simply out-of-touch. And the numbers bear this out. The information from this new DPE survey could and should be used as a roadmap for those who want to speak out loud and clear in support of neighborhood schools and public education. Not only for the stretch run of the 2014 campaign trail, but beyond.

@highlight

Time magazine's cover story about bad teachers is demeaning to educators

@highlight

Donna Brazile: Research shows that removing tenure might worsen educational outcomes

@highlight

She says Americans are proud of their public schools and teachers, according to poll

@highlight

Brazile: The last thing we should do is discourage enthusiasm of a new generation