Sanford, Florida (CNN) -- Supporters of slain teen Trayvon Martin and his acknowledged killer continued Tuesday to battle over the significance of evidence in the case.

A Martin family attorney insisted Tuesday that the former prosecutor in the case met with the now sidelined police chief to discuss the case hours after Martin died, overruling a police detective who the family says prepared an affidavit urging that neighborhood watch captain George Zimmerman be arrested.

Meanwhile, a friend of Zimmerman's told CNN that video of the neighborhood watch volunteer in police custody does seem to show injuries consistent with Zimmerman's report that Martin slammed his head to the concrete after the two exchanged words.

FBI agents were in Sanford on Tuesday, continuing their interviews in a civil rights investigation of the case, which Martin family supporters say is a clear-cut case of racial profiling leading to an unjust killing. One of the people they met with Tuesday is Frank Taaffe, Zimmerman's neighbor and friend.

On Monday, agents interviewed Martin's girlfriend, the 16-year-old girl who, phone records show, was on the line with him shortly before the fatal confrontation, Martin family attorney Daryl Parks confirmed Tuesday.

Special prosecutor Angela Corey's investigation also continued.

Martin's family and supporters say Zimmerman, who is Hispanic, profiled Martin, who was black, as "suspicious" and ignored a police dispatcher's request that he not follow him. Martin had a bag of Skittles and an iced tea at the time of his death.

The 28-year-old neighborhood watch volunteer has said he killed the unarmed 17-year-old in self-defense, saying the teen punched him and slammed his head into a sidewalk before the shooting, according to family members and police.

Rallies nationwide have called for Zimmerman's arrest, decrying the Sanford Police Department's handling of the case.

Zimmerman's legal adviser, Craig Sonner, said on Tuesday that criminal defense lawyer Hal Uhrig would represent Zimmerman and that Sonner would serve as co-counsel if the case were to proceed. Uhrig spent more than six years with the Gainesville Police Department in Florida before graduating from law school in 1974.

In an interview with WOFL-TV in Orlando, both lawyers said they had communicated with Zimmerman only by telephone. Sonner said Zimmerman, who has not appeared publicly since the shooting, was concerned about "people who will do him harm."

On Tuesday, Martin family attorney Jasmine Rand insisted again that the former prosecutor in the case, State Attorney Norm Wolfinger, met with the now sidelined Sanford police chief on the night of the killing and overruled a police detective urging that Zimmerman be arrested.

In a letter delivered Monday to the U.S. Justice Department, the Martin family said the Sanford police detective "filed an affidavit stating that he did not find Zimmerman's statements credible in light of the circumstances and facts surrounding the shooting."

The Martin family said Sanford Police Chief Bill Lee and State Attorney Norm Wolfinger met the night of the shooting and disregarded the detective's advice, allowing Zimmerman to remain free.

ABC News has reported that the lead homicide investigator, Chris Serino, filed an affidavit pushing for charges the night of the killing, but was overruled by the state attorney's office.

Neither Sanford police nor prosecutors have confirmed the existence of such an affidavit. Sanford officials and special prosecutor Corey's office declined to comment.

On Tuesday, Rand said she had not seen a copy of the affidavit, but said she believed several news organizations had.

But Wolfinger, who stepped aside in the case last month, vehemently denied that any "such meeting or communication occurred" between him and Lee.

"I am outraged by the outright lies contained in the letter by Benjamin Crump," a Martin family attorney, Wolfinger said in a statement Monday.

"I have been encouraging those spreading the irresponsible rhetoric to stop and allow State Attorney Angela Corey to complete her work," he said. "Another falsehood distributed to the media does nothing to forward that process."

Rand said the family's legal team has multiple, credible sources who say Wolfinger and Lee met that night. She declined to elaborate.

The two sides also argued Tuesday over surveillance video showing Zimmerman in police custody after the shooting.

An enhanced copy of the video appears to show a bump, mark or injury on Zimmerman's head more clearly than does another copy of the video previously reviewed by CNN. That video had a grainy quality.

While the video does not appear to show major wounds, Taaffe, Zimmerman's neighbor and friend, said Seminole County paramedics cared for Zimmerman before they released him to police.

"That's why you don't see him like he came out of a 12-round fight like Rocky Balboa against Apollo Creed," Taaffe said.

But Rand, the Martin family attorney, said Tuesday that it doesn't matter what the videotape shows.

"That does not change our position," she said. "Once again, George Zimmerman was the aggressor. He pursued Trayvon in this instance. If he did have any medical injuries, that did not give him the right to use deadly force and shoot and kill Trayvon."

Also Tuesday, Taaffe told CNN that the neighborhood had experienced a spate of burglaries over 15 months, which he said were committed by black men. But Taaffe said Zimmerman was not a racist.

"Young black men were never the topic of discussion," he said. It was that neighborhood homes had been repeatedly burglarized, he said.

Police records didn't appear to support Taaffe's assertion, describing four incidents involving black men. Taaffe declined further comment to CNN.

The continued discussion over recorded evidence carried over from Monday, when a major point of debate was a 911 call placed on the night Martin was killed.

Zimmerman has said he was yelling for help, according to his family members and his account to authorities, as first reported by the Orlando Sentinel and later confirmed by Sanford police.

But Martin's relatives, including his cousin Ronquavis Fulton, have said they are certain the voice heard on the 911 call is Trayvon Martin's.

Audio experts Tom Owen and Ed Primeau, who analyzed the recordings for the Sentinel using different techniques, said they don't believe it is Zimmerman who is heard yelling in the background of one 911 call. They compared the screams with Zimmerman's voice, as recorded in a 911 call he made minutes earlier describing a "suspicious" black male.

"There's a huge chance that this is not Zimmerman's voice," said Primeau, a longtime audio engineer who is listed as an expert in recorded evidence by the American College of Forensic Examiners International.

"After 28 years of doing this, I would put my reputation on the line and say this is not George Zimmerman screaming."

What witnesses say

Owen, a forensic audio analyst and chairman emeritus of the American Board of Recorded Evidence, also said he does not believe the screams came from Zimmerman.

He cited software that is widely used in Europe and has become recently accepted in the United States that examines characteristics like pitch and the space between spoken words to analyze voices.

Using it, he found a 48% likelihood the voice is Zimmerman's. At least 60% is necessary to feel confident two samples are from the same source, he told CNN on Monday -- meaning it's unlikely it was Zimmerman who can be heard yelling.

The experts, both of whom said they have testified in cases involving audio analysis, stressed they cannot say who was screaming.

But CNN and HLN legal analysts Beth Karas and Sonny Hostin raised questions about what the public should consider regarding the conclusions reached.

Hostin said several questions and variables must be considered, including the fact the tests did not analyze similar speech. That is, the analysis was based on screams heard from a distance in a 911 call, compared with a direct phone conversation Zimmerman had with a 911 operator.

"Ideally, you want (Zimmerman or Martin's) voice saying the same exact thing, screaming 'Help!' in order to analyze it," she said.

Would these tests be admissible in court and considered evidence?

"It really depends on the individual judge," Hostin said. "In Florida, they are going to conduct a Frye test, the legal test, which asks if the science is generally accepted in the community."

Karas questioned whether the test stood up to the voice-comparison standards of the American Board of Recorded Evidence.

The standards indicate that, when analyzing speech, there should be a minimum of at least 10 words to be compared with each other in order to say you can have a "possible elimination" conclusion. But in this case, the cries for help don't have nearly that number of words.

Owen said the published American Board of Recorded Evidence standards apply only partially to the kind of test he conducted.

"These standards apply to the older aural-spectrographic analysis and software," Owen said. "This only partially applies to the biometric software."

Both Karas and Hostin urged caution in reaching any conclusions about the findings of Primeau and Owen.

"I do think we need to take a step back, as with most of the facts in this case, and look at it the way the court would," Hostin said. "And that is by asking if the circumstances of how, and if, the test was done, OK, and wait to determine whether it's reliable."

The ongoing friction from the incident has continued to divide Sanford and the country. But Sanford Mayor Jeff Triplett said Tuesday he senses that people in his community are ready to start trying to move on.

"I think there's a big portion of the city that are trying to get to the healing mode," he said.

CNN's Deborah Feyerick, Jason Basso, Wolf Blitzer, Vivian Kuo, Tracy Sabo and Natisha Lance contributed to this report.

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

Martin family attorney insists prosecutor and police chief met

@highlight

State Attorney Norm Wolfinger says he's "outraged" by the claim, which he says is a lie

@highlight

Friend of George Zimmerman defends the neighborhood watch volunteer

@highlight

Frank Taaffe says the community was suffering through a spate of burglaries