BAGHDAD, Iraq (CNN) -- The head of Iraq's main humanitarian group said an 18-year-old approached him with a baby suffering from leukemia. The desperate mother said she'd do "anything" for treatment for her child -- and then offered herself up for sex.

Baha, 12, waits for treatment in an Iraqi Red Crescent center after shrapnel pierced his left eye.

Said Ismail Hakki breaks down in tears as he recalls that story. Leukemia can be treatable to a degree in much of the world, but not in Iraq. The baby died two months later.

"It shook me like hell," said Hakki, the president of the Iraqi Red Crescent. "All my life I've been a surgeon. I've seen blood; I've seen death. That never shook me -- none whatsoever. But when I see the suffering of those people, that really shook me."

The plight of Iraq's children is nearing epidemic proportions, he said, with mothers and fathers abandoning their children "because they're becoming a liability." The parents don't do it out of convenience, they do it out of desperation.  Watch the plight of Iraq's children »

"When you become so desperate, you tend to just throw everything up and go," Hakki said.

"Every time I look at those children, I ask myself first, 'What crime have those children committed?'"

Hakki says Red Crescent has the monumental task of treating and feeding more than 1.6 million children under the age of 12 who have become homeless in their own country. That's roughly 70 percent of the estimated 2.3 million Iraqis who are homeless inside Iraq. How to help the Iraqi Red Crescent

With 95,000 volunteers and 5,000 employees, the Iraqi Red Crescent is the last line of defense for the country's poor, sick and displaced. They try to blend in as best they can, with Shiites, Sunnis and Kurds working in the neighborhoods distinct to their ethnicities.

Six employees of the Iraqi Red Crescent have been killed over the last four years. Eight have been wounded, including six left disabled by the severity of their wounds.

Hakki says the spike in numbers of abandoned children is especially alarming, the result of sectarian violence and drastic socio-economic problems. The majority of parents in Iraq, he says, leave their children with a single relative who often has about 20 to 30 children to look after. Some parents just leave their kids altogether.

Many of the families are living in areas without basic needs, like water and electricity, and there are no jobs available. "It's a desperate situation," he said. "Children are becoming a liability for both the father and the mother."

The greatest concern is the ripple effect it will have in the long term -- an entire generation lacking basic life skills, surviving with no education, no income and no families.  See wounded Iraqi children get help in neighboring Jordan »

"The trauma of what's happening to those children is enormous," he said. "If somebody is injured by a bullet or shrapnel, it takes a week or two and he's fine. ... The psycho-social injury is pretty deep and can take months, if not years, to heal.

"That's the task -- the mammoth task -- the Iraq Red Crescent is facing."

The group gets some financial support from the central government. It's also negotiating with the U.S. Embassy, he said, to see if it can offer financial aid. But funds are low.

Just recently, the group closed 18 camps for the winter and is trying to house those thousands of people in abandoned government buildings.

At a waiting room at an Iraqi Red Crescent treatment center in Baghdad's Mansour district, CNN came across several young children in desperate need of care. But they were among the lucky ones -- if that term can even be applied -- because their parents remain with them.

Baha, a 12-year-old boy, was waiting to see a doctor, recalling the exact date -- January 16, 2004 -- he lost his left eye. "I want my eye to get well," he said.

Baha was with his father in a market when someone opened fire on U.S. soldiers. When the soldiers fired back, shrapnel hit his eye. Despite what happened, this brave boy still goes to that same market. "I'm not afraid," he said.

Across the room, 3-year-old Saja lightened the mood in the room. "Iraqis, we are still brothers!" she sang.

She giggled, laughed and darted around, bringing smiles to all who saw her. Yet, she couldn't see most of what was around her. She's blind in one eye and losing sight in the other -- the result of shoddy medical care.

Her father, Dia'a, said he heard about the Iraqi Red Crescent from television and others who had been treated here. He said he can't afford to travel outside the country for medical treatment for his girl. This clinic, he said, has given him "a ray of hope that I had lost."

He, too, expressed despair over the plight of Iraq's youngest generation.

"Our children are suffering. All they talk about is weapons and bombs," he said. "They are children. We are older; our hair turns gray. What happens to them hearing all the explosions and bombs?

"We can't make them feel better because we are down."

That's a sentiment that haunts the head of the Iraqi Red Crescent.

"There are times I get up in the middle of the night and I say, 'Oh my God, how are we going to solve it? God help me to help those kids!'" E-mail to a friend

CNN.com's Wayne Drash contributed to this report in Atlanta.

@highlight

Head of Iraqi Red Crescent says parents abandoning their kids at alarming rates

@highlight

Sometimes he wonders: "Oh my God, how are we going to solve it?"

@highlight

The greatest concern is the long-term effect on an entire generation

@highlight

"Trauma of what's happening to those children is enormous"