Toluca, Mexico (CNN) -- For decades, Richard St. Denis has advocated for the rights of Americans who, like him, are living with a disability.

But the attorney from Colorado saw his life shift in 1997, when he was invited to speak in Mexico.

"I was asked to bring one wheelchair to give to somebody," he remembers. "As I was waiting for the program to begin, I was shocked to see people using branches for crutches, being pushed in wheelbarrows and crawling."

The lone wheelchair went to Leti Elizale Marcial, a 17-year-old suffering from polio. She had never walked a day in her life, and she was carried around daily by her mother.

"I saw how happy she was, but I looked around and saw the other people that had nothing," St. Denis said. "Their life was going to be exactly the same, and one wheelchair was not enough. I just felt someone had to come and help."

So once a year from 1997 until 2004, St. Denis would load a van with 10 to 15 donated wheelchairs and drive 30 hours -- from Colorado to Mexico -- to distribute them to people with disabilities.

Now, he has a permanent residence in the country and a nonprofit, World Access Project, that provides custom-fit wheelchairs, walkers and canes to people in rural Mexican communities.

"We want to distribute the more than 75,000 wheelchairs we estimate get thrown away in the U.S. every year," said St. Denis, 56. "What we call our trash becomes their riches, and it makes an incredible difference in their lives."

The used wheelchairs are collected from hospitals, nursing homes, medical supply businesses and individual donors from across the United States. With help from a U.S.-based nonprofit, Hope Haven, the wheelchairs are refurbished by senior citizen volunteers and prison inmates in Iowa before being shipped to Mexico.

St. Denis' group also began purchasing mobility equipment from a company in Mexico that makes wheelchairs designed for use on the country's rough terrain.

Do you know a hero? Nominations are open for 2011 CNN Heroes

St. Denis said the wheelchairs provide recipients with more independence, access to job opportunities and the chance to pursue a social life.

"Before it, I didn't know anyone; I was in the house," said Marcial, who is now 32. "After I got my chair, it was like I was born again. I went out, and I got to know other people with disabilities when I'd thought I was the only one. I also started working, and I have my own house now. I'm married, and my 2-year-old girl thinks of Richard like a grandfather. I really am thankful for all of his support."

The mission of World Access Project goes beyond a one-time gift.

"We don't just give them a wheelchair and say, 'Adios,' " St. Denis said. "We develop relationships, and we teach people how to use the chair -- not just as something to sit in. Volunteers from the United States come down a few times a year to help make the recipients' homes more wheelchair-accessible, and we host classes and camps to teach people how to play sports with their chairs."

St. Denis has become a familiar face throughout Mexico, where an estimated 2 million people have some form of disability, according to a government housing census. He is frequently welcomed into homes and greeted kindly wherever he goes, and he has formed relationships with other organizations that serve people with disabilities.

He believes his project's popularity is due, in great part, to a personal connection to the people he serves.

"I understand what they're going through, and they know I understand," St. Denis said. "We're conquerors of the limitations in our life."

In 1976, St. Denis fell while skiing in Lake Tahoe, California. The result was a severed spinal cord, a surgery-filled hospital stay and the rest of his life in a wheelchair.

"I thought (it) was a horrible tragedy," said St. Denis, who was an airplane mechanic in the Air Force at the time. "I woke up every morning wishing I was dead ... angry at God for taking the ability to walk away from me. ... I just stopped wanting anything for my life."

St. Denis rejected most forms of assistance from anyone. But with time -- and inspiration from a wheelchair-bound veteran he befriended -- he eventually "adjusted" and found a new purpose.

St. Denis said he is now content and comfortable in Mexico, where he lives and works for 10 months out of the year. But he acknowledges that he has received some criticism from friends and family in the United States.

"People say, 'it's too dangerous in Mexico; why do you go there to help when you can help people in the United States?' " he said. "I feel like God has called me to do this. They need a presence here, and what I'm doing is teaching other people so that when the day comes when I can't come to Mexico anymore, the people of Mexico will continue doing this work. That would be the biggest dream that I could ever imagine."

Through World Access Project, St. Denis has helped more than 500 people in Mexico. He has also made lifelong friendships and learned that personal losses can be used to transform the lives of others.

"One day, someone said, 'Richard, I want to thank you for giving up your legs so we could have a better quality of life,' " St. Denis said. "I didn't intentionally give up my legs, but I feel like I gave up something to help other people. I know people's lives are getting better in Mexico. I feel really great to be part of that."

Want to get involved? Check out the World Access Project website at www.worldaccessproject.org and see how to help.

@highlight

Richard St. Denis helps provide free wheelchairs for people in rural Mexico

@highlight

The wheelchairs are collected from the U.S., refurbished and custom-fit

@highlight

St. Denis' group also teaches people how to use their chairs and maximize their quality of life

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes