(CNN) -- It's been a bad year for the African rhino, particularly for those that call South Africa home.

In 2013, over 1,000 rhinos were poached in South Africa alone. It's a dangerously high number, when you consider there are only 5,000 black rhinos left on the continent (a 97.6% reduction since 1960).

The white rhino story is a happier tale. Rescued from the brink of extinction, the species now numbers 20,000 -- though conservationists worry they too are in danger, as rhino horn continues to sell for a hefty sum on the black market.

"A rhino is killed every seven hours, and when you mention rhinos to anyone, they tend to shake their head in desperation," says Dereck Joubert, who, along with his wife Beverly set up Rhinos Without Borders, a charity that has recently come up with a novel approach to saving one of Africa's most iconic creatures.

In 2015, the charity will move 100 rhinos from South Africa -- which holds 80% of Africa's rhino population -- to Botswana, which has the lowest poaching rate in the continent. The rhinos are mainly donated from private sellers and the South African government.

"It's a bad idea to keep all your high-value assets in one place. Ecologically and genetically, it makes a lot of sense to spread them around, so if there's a catastrophic event in one place, you don't lose everything," he explains.

Botswana: 'Shoot to kill'

One of the reason's Botswana's poaching levels are so low is that they have zero tolerance when it comes to poachers. Anti-poaching is handled by the Botswana Defense Force, who have a "shoot to kill" policy.

"If poachers are apprehended, and don't immediately put down their weapons, the military basically treats them like an aggressive military threat," Joubert notes.

"The risks are very high for poachers, and the rewards are very low."

Botswana is also more remote and less populous -- two factors that he says helps keep poaching at a minimum.

"A group of foreigners walking through with AK47s are very quickly identified," he explains.

Making the move

Rhinos Without Borders has partnered with tourism venture andBeyond, who moved rhinos from one of their private reserves to Botswana in 2011. Rhino candidates are sedated and their blood samples studied to make sure they're strong enough to make the trip.

The rhinos then recover during a six-week quarantine before they're moved by plane to a secret location in Botswana.

"They won't be going in reserves near the borders either, because the president and the Botswana Defense Force don't want to attract poachers," explains Beverly Joubert.

Because rhinos' first instinct is to seek out other herds, and Botswana has a low density of the species, synthesized rhino dung is used to help the relocated animals establish their territory. The process costs about $45,000 per rhino.

Busting the horn myth

Rhinos are killed almost exclusively for their horn, which currently sells for $65,000 per kilo (2.2 pounds). The demand is driven primarily by buyers in East Asia, who (inaccurately) ascribe various medicinal cure-alls to the horn.

In addition to running their charity, the Jouberts are also filmmakers and photojournalists for National Geographic. Together, they have made several films dispelling the myths concerning rhino horn's supposed medicinal properties, in the hopes of changing attitudes abroad.

"It's been claimed that rhino horn cures cancer, reduces fevers and is an aphrodisiac, and it's been proven that none of those things are true," says Beverly.

"Really, it's like chewing your own finger nail. It's keratin, that is all."

The ivory link

The history of the rhino horn trade is closely intertwined with that of the ivory trade. In 1989, the Contention on International Trade in Endangered Species (CITES) succeeded in implementing an international ban on ivory. The price for the material crashed overnight and poaching of elephants mainly came to a halt. In 2002, trade opened back up when a handful of nations, including South Africa, were allowed to sell their ivory stockpiles.

"The minute that happened, we saw an influx of poachers. At the same time, the market shifted straight across to include rhinos as well," says Dereck.

Some conservationists have proposed farming elephants and rhinos to meet the global demand -- an idea the Jouberts view as hopelessly misguided.

"If the strategy is to flood the market, the economics don't add up," he says.

"Maybe you could produce 6kg of horn a month from farming, but the market is over a billion strong."

@highlight

The black rhino population has plummeted 97.6% since 1960

@highlight

Poaching is on the rise in South Africa. Over 1,000 rhinos were hunted last year

@highlight

Charity Rhinos Without Borders is planning to populate Botswana with rhinos

@highlight

Botswana has the lowest poaching level in Africa