Once one of Africa's most beautiful destinations, Zimbabwe has been off the mainstream tourism radar for years.

Robert Mugabe's three decades of rule, while ostensibly democratic, have been widely criticized by locals as a dictatorship.

Tourism collapsed when white farmers were driven from their land, and famine and hyperinflation ensued.

Since adopting the U.S. dollar as its currency in 2009, economic healing has slowly begun, with foreign investment driving much of the recovery.

Now, the country's stunning natural and cultural attractions are recapturing the attention of both foreign travelers and investors keen to capitalize on that interest.

Tourist arrivals increasing

The Zimbabwe Tourism Authority's latest Tourism Trends and Statistics Report claims visitor numbers increased 17% to 400,000 visitors in the first quarter of 2013 compared with 2012.

Nearly half come from South Africa.

Euromonitor International predicts steady growth in several tourism areas (accommodation, transport, attractions) for the next five years.

Victoria Falls, the top tourist draw, has always brought visitors, even in the dark years.

Hotel occupancy isn't at capacity, to be sure. But hotels, airports and other logistics all run relatively smoothly.

Five-star properties such as the Victoria Falls Safari Lodge have been able to maintain a luxurious standard.

Work began earlier this year on a massive upgrade of the Victoria Falls airport, which currently handles commercial flights from Harare and Johannesburg.

The overhaul, reportedly costing $150 million, is financed by a loan from the Export-Import Bank of China, and will include a new runway, control tower and terminal building.

A number of international carriers had stopped service into the country. Now Emirates and KLM are offering service to Harare again.

Air Zimbabwe resumed its service to Johannesburg in August.

New hotels, malls

Luxury projects in the capital include a proposed $70 million Mall of Zimbabwe.

Hilton is said to be considering a five-star hotel in Harare.

"At this time we have no signed projects to announce in Zimbabwe, but we think there is great potential in the market," says Heather Shaw, a spokesperson for Hilton.

"We are exploring opportunities that we believe would create value for us and our partners."

Tara Walraven, an Africa Safari Specialist at Audley Travel, says the company is fielding numerous queries from people who want a dedicated trip from the UK to Zimbabwe, or who want to add a few nights to a Botswana safari.

"It's a lovely country, people are so friendly, so excited to have people visit them," says Walraven, who grew up in Zimbabwe and visits her family there.

"We don't have any concern about people traveling to Zimbabwe at the moment. We can't send people to a country that isn't safe."

Politics and challenges

In March, the European Union dropped most of its sanctions against Zimbabwe following the country's adoption of a new constitution.

However, recent election results proclaiming another Mugabe win have widely been dismissed by Western observers as fraudulent.

The Times of London reports that the UK will "shun" Zimbabwe by not sending any delegates to the UN World Tourism Organization's meeting later this month, which will be held jointly in Victoria Falls and Livingston, Zambia.

Marcelo Risi of the UNWTO says the General Assembly selected the host countries nearly two years ago and that the decision shouldn't be seen as politically motivated.

The meeting is expected to draw a thousand or so delegates and their teams from overseas.

In anticipation of the UNWTO meeting, border posts at Victoria Falls and Katima Mulilo were recently computerized, to ease passage between the countries.

The country still needs to modernize its immigration process, as highlighted in a recent policy brief by the Zimbabwe Economic Policy Analysis and Research Unit, a Harare think tank.

Other problems include limited domestic transportation options -- tourists with limited time frequently take light aircraft between destinations -- water and power shortages and retention of quality staff.

"Executive chefs and managerial positions in the hotel industry are occupied by a majority of personnel with limited experience and technical skills," compounded by a decline in the quality of recent tourism studies graduates, according to the brief.

Not the place for voluntourism

Journalists and humanitarian aid workers, including short-term volunteers, still need to proceed with caution.

"You should be very aware of your surroundings and seriously consider the risks of taking any pictures outside game parks and known tourist areas," warns the U.S. Bureau of Consular Affairs.

South African photographer David Southwood recently made his second trip to Zimbabwe, and called it one of the "most unnerving" experiences he's ever had.

Although he entered on a tourist visa, he was in the country on an assignment that brought him into contact with "revolutionary and resistance circles."

"Everybody we spoke to had been pummeled by the regime in some way," he reports. "The paranoia Mugabe has inculcated into the people rubbed off onto me. The ambiance in Zimbabwe for a photographer is not cool."

Still, he adds, "If you weren't aware of the possibilities of what might happen, it might be one of the most easygoing trips you ever had."

The U.S. government currently has neither an official Travel Warning nor a Travel Alert about its citizens visiting Zimbabwe.

If you go

In Zimbabwe, travelers should expect delays.

Roadblocks in and out of cities and dropped Internet connections are par for the course.

Road travel can be slow. It's best to avoid car trips at night.

Upscale tours offer light aircraft to quickly cover the distances between destinations.

Credit card facilities and ATMs aren't always available, so you may want to pay for big-ticket items before departure.

Bring the cash you'll need in U.S. dollars or South African rand; bring small bills, as change isn't always handy.

Destinations

Harare

You probably won't want to book an extended stay in Harare, but most people fly in and out of the capital city. Here are some of the better options for a stay.

Restaurants

Victoria 22

The continental menu at this fine dining restaurant changes depending on seasonal availability, but may include Italian-style seafood and deep-fried prawns.

22 Victoria Road, Harare; +265 04 776429; about $45 per person before drinks

Amanzi Restaurant

Amanzi is a social hub for many people in Harare. The restaurant serves global fusion; it's Westernized, but with an African feel. The same owners operate a boutique hotel (see below).

Amanzi Restaurant, 158 Enterprise Road, Highlands, Harare; +263 4 497 768; restaurant@amanzi.co.zw; dinner entrees $20-25.

Hotels

Amanzi Lodge

The boutique hotel franchise of Amanzi Restaurant provides a deluxe lodge stay.

Amanzi Lodge, 1 Masasa Lane, Kambanji, Harare; +263 4 499 257; lodge@amanzi.co.zw; ; rooms from $230/single, $340/double

Shopping

Sam Levy's Village

This open-air shopping center has coffee shops, fashion stores and souvenirs such as wooden carvings.

Sam Levy's Village, Suite D, Julia's Parade, Sam Levy's Village, Borrowdale Road, Harare; +263 4885 6236

Victoria Falls

Zimbabwe itineraries for foreign visitors generally focus on Victoria Falls, with good reason. One of the seven natural wonders of the world this waterfall dwarfs Niagara.

When you're not getting sprayed by the falls you can enjoy the trees full of monkeys, adventure activities and artisans selling carvings and curios in the village market. (Many claim the view from the Zambian side is superior.)

Helicopter flights are also available.

Victoria Falls & Zambezi National Parks; P. Bag 5925, Victoria Falls; +263 13 42294 or 44566

Zambezi Helicopter Company; +263 13 43569 or +263 13 40059; $120 per person

Victoria Falls Hotel

If you want to go colonial, this is the place.

More than a hundred years old, the views inside and out are classic, and worth a visit, even if for just a cocktail.

Masked dancers from several local tribes present traditional dances nightly from 7-8 p.m.

Victoria Falls Hotel, 2 Mallet Drive, Victoria Falls; +263 13 44751; rooms from $300

Great Zimbabwe National Monument

For about a thousand years, this well-preserved town (now a UNESCO World Heritage site) has inspired Shona palaces.

The word "zimbabwe" means "stone houses" or "venerated houses"; there are several hundred zimbabwes in the country, this being the most prominent.

Granite slabs form tall, curved walls, they're the largest structures in Africa south of the pyramids.

Hwange National Park

Zimbabwe's largest national park used to be an unproductive farm, until pumped water began attracting wild animals.

Today, elephants, lions, wild African dogs and excellent birdwatching opportunities lure visitors.

Hwange National Park, P. Bag DT 5776, Dete; +263 18 371 or 372

Mana Pools National Park

The Zambezi River starts in Zambezi, widens to a mile across as it crashes over the Victoria Falls, then fills Kariba and Cahora Bassa lakes, before ending at the Indian Ocean.

Large dry-season game gather here.

Unlike some wildlife preserves where you have to stay in your vehicle, here walking safaris are allowed.

Canoe trips that let you get eye-to-eye with hippos and crocs are also available.

Mana Pools National Park, P. Bag 2061, Karoi; +263 63 533 or 538

Ruckomechi Camp

This stylish safari puts visitors in 10 tents on a riverbank. An outdoor bath overlooks the Great Rift Valley.

From $595, fully inclusive, booked through agents such as Kingfisher Safaris.

@highlight

Zimbabwe has been off the mainstream tourism radar for years

@highlight

With economic improvement, the country is recapturing the attention of travelers and investors

@highlight

Visitor numbers have increased 17% in 2013 over previous year

@highlight

Luxury projects include a proposed $70 million Mall of Zimbabwe