(CNN) -- A small Polish wild horse that was used in Nazi experiments during the 1930s has become the center of wetland regeneration efforts across parts of Europe.

The rare Konik breed is one of Poland's least known ecological exports and is believed to be descended from the Tarpan; a prehistoric horse that roamed wild in Europe until the end of the 19th century and whose last known individual died in a Russian zoo in 1909.

Marek Borkowski, President of the Białowieża Forest Trust, says the group's breeding program has helped to stock reserves in Britain, France, Germany and the Netherlands with small herds that graze on the woody stems of invasive bushes allowing indigenous growth to re-establish itself -- sometimes after decades and even centuries of agricultural use.

"Once farming stopped in these marshlands, bush began to grow, which limits the habitat for many marshland birds that need the open space," says Borkowski. "The horses graze on the bark and seedlings of these bushes, which limits its growth, allowing the marshland to survive."

Borkowski says that the horses mirror the natural fauna that would have roamed the area in prehistoric times, helping to return land to its pristine condition.

"They are the closest breed to the original wild horse of Europe -- the type we see painted on caves in Spain and France 20,000 years ago," he says.

"But because of Neolithic farming they were pushed out of most Europe except for small pockets in Poland, Russia and the Ukraine."

Send in your photos from Poland

In one of the strangest stories of pre-war Poland, the Konik came to the attention of biologists in the 1930s who saw that horses in the Białowieża forest in Poland retained certain features of the Tarpan.

Polish biologist Tadeusz Vetulani noticed that semi-wild horses used by peasants in Bialowieza Forest displayed the Tarpan's mousey dun color, their coats turning to white in winter, another Tarpan characteristic.

While many regard America's mustang or the Australian brumby as a wild horse, zoologists say that strictly speaking these are really feral domesticated horses.

Vetulani launched a re-breeding program, mating horses with strong Tarpan-like characteristics, in an attempt to regain the lost breed of horse.

At the same time, the breed came to the attention of Lutz Heck, the director of Berlin Zoo who, along with his brother Heinz, the head of the Munich Zoo, began a re-breeding program.

Heck was a committed Nazi and zoologist whose efforts to "re-breed" extinct species such as the prehistoric ancestor to the modern cow the Aurochs, received support from senior Nazis such as Hermann Goering.

While the re-breeding of extinct species by mating animals of similar characteristics is regarded as impossible by modern science, the Nazis experimented with a program aimed at resurrecting prehistoric animals that reflected Nazi claims to racial purity.

When the Nazis invaded Poland in 1939, many of the horses in the breeding program of Vetulani were stolen and brought to Germany.

The horses met a grisly end, most probably eaten by a hungry populace, along with many of the animals in Berlin and Munich zoos, in the closing stages of the Second World War.

"The best animals were taken to Germany and we don't know exactly what happened to them. It was only after the Second World War we started from scratch again," says Borkowski.

"The Nazis didn't take all the animals," he says. "They didn't know the war would end the way it ended so they only took the best specimens. Later, well of course, they were busy with other things so there were still some horses left."

Bison thrive in primeval Polish forests

John Wilson, the nature warden for Blean Woods at Kent Wildlife Trust, says the Konik -- first introduced to Britain in 1995 -- has been an instant hit with ecologists and conservationists.

"We've currently got them on the site of an old dairy; land which we say has been 'agriculturally improved' with herbicide or fertilizers," he says. "That lush green grass, however, makes it more difficult for the rarer, more specialized plants to flourish and eventually they disappear."

The Konik are perfectly adapted to a variety of harsh environments, from wetlands to open forests, requiring little veterinary care for problems such as hoof rot that might afflict other horse breeds in similarly wet conditions.

The grazing is introduced to take the nutrients out of the ground to take it back to a state where it's unimproved," says Wilson. "That takes a lot of time and a lot of grazing."

Green hay from sites where indigenous plants grow is then spread on the site after grazing in the hope that some of the native species will establish themselves in the soil.

The horses breed well and flourish without the need for the kind of intervention that so fascinated Nazi scientists, says Wilson.

"The Nazis were very interested in the whole idea of racial purity," he adds. "It seems it didn't just extend to human being, but to beasts as well."

@highlight

Rare konik breed of pony revived in Poland and exported across Europe

@highlight

Related to the Tarpan, a prehistoric horse that once roamed the continent

@highlight

Nazis were interested in the Polish horse because of purity of breed

@highlight

Konik ponies thought to be hardy and help ecosystems return to natural state