(CNN)In 2001, the Taliban wiped out 1700 years of history in a matter of seconds, by blowing up ancient Buddha statues in central Afghanistan with dynamite.

They proceeded to do so after an attempt at bringing down the 175-foot tall sculptures with anti-aircraft artillery had failed.

Sadly, the event was just the first in a series of atrocities that have robbed the world of some of its most prized cultural heritage.

But historical architecture is also under threat from calamities which might well escape our control, such as earthquakes and climate change.

The thought of losing a piece of our collective history is a bleak one. But if loss can't be avoided, technology can lend a hand.

Now CyArk, a non-profit company founded by an Iraqi-born engineer, is using groundbreaking laser scanning to ensure that -- at the very least -- incredibly accurate digital versions of the world's treasures will stay with us forever.

Ben Kacyra was born in Mosul, Iraq, in 1940. He moved to the United States in 1964, and in the 1990s he was instrumental in the design of the first portable laser scanner.

He founded CyArk, a company that specializes in digital preservation of threatened ancient and historical architecture, in 2003.

"Two events happened that really influenced me and my wife," he told CNN's Nick Glass, "The Taliban blew up the Buddhas and an earthquake happened in Bam, in Iran.

"It demolished a whole mud city. So we looked at each other and we said, you know, sometimes you can't prevent an earthquake, obviously, and it's very expensive to go back and rebuild, but if it had been scanned, our children and grandchildren would get the opportunity to come back and learn the history of that place."

Since then, Kacyra has been doing exactly that: in a 2011 TED talk he explained his quest to preserve our "collective treasure", and he has a plan to scan 500 World Heritage sites in five years.

So far, the list of completed scans includes Ancient Thebes, Chichen Itza, Fort Laramie, Mesa Verde, Mount Rushmore, Petra, Pompeii, Rapa Nui, the Sydney Opera House, Tikal, and his native Mosul.

The idea is not just to protect endangered structures, but to offer free educational access to the digital recreations of important monuments via the web.

"We have that data, and if something -- God forbid -- happens to these, the data is there," says Kacyra.

In fact, current events have already caught up with the project: the Royal Tombs of Kasubi, in Uganda, were destroyed in 2010 by suspected arson.

CyArk had mapped them a year earlier, and that could lead to the reconstruction of what was lost.

"I'm constantly looking at what's happening in Iraq and Syria.

"I'm so glad that we had already started and developed the tools that allowed us to go and be proactive to capture some of these things before these very unfortunate events."

To scan the surroundings, CyArk uses a portable, eye-safe laser device based on a technology called Lidar -- a portmanteau of the words light and radar.

It accurately maps a physical area much like a radar, but using lasers instead of radio waves.

"We have a very powerful laser that sends a beam of light  pulsing 50,000 times per second," explains Kacyra, "which means that it's collecting 50,000 points of everything that's in front it as it pulses up and down and in a circular fashion, generating the geometry of everything that's in the space around it."

In other words, "We gave the world a 3D laser scanner that has revolutionized how reality is captured."

Although its focus is in providing open access to cultural heritage, CyArk is also attracting interest for alternative uses of the technology.

"We are discovering applications way beyond what we had anticipated," says Kacyra.

"For example, the Highway Patrol wants to use it in accident reconstruction on the road or in crime scene investigations. Where did the bullets go, trajectories and all that - this gives you the entire thing in minutes and then you can do all the analysis work."

Not even Hollywood is immune from the allure of laser scanning.

"Imagine it going all the way to art, the movies, movie sets. My wife got really excited about the first use in the movie field."

Before founding CyArk, Kacyra had developed a similar technology called Cyrax, which he then subsequently sold. This technology was first used during the production of the 1997 sci-fi cult movie Starship Troopers, to scan an underground cave.

"They found out it was going to cost too much money to measure the cave so they could model it, something like half a million dollars and six weeks.

"They had heard about our scanning system so we went there. I think we did it for 20,000 dollars, and in a day or two, and it got used in a movie for the first time.

"It's ubiquitous now in the movie industry for virtual sets."

@highlight

A company called CyArk specializes in digital preservation of threatened ancient and historical architecture

@highlight

Founded by an Iraqi-born engineer, it plans to preserve 500 World Heritage sites within five years