Rob Portman is mapping out a possible presidential run, creating a narrative, talking to fundraisers and looking to change his image from the senator who once ran George W. Bush's budget office to the anti-Obama from Ohio with a serious resume.

"I probably have more experience than other people who are running or thinking about running," he said. The first-term senator and policy wonk could run as a sort of anti-Obama -- a swing state pragmatist with a loaded resume.

Portman certainly wouldn't run as an outsider. He embraces his previous White House experience having worked for both Bush administrations. He went so far as to point out his executive branch background is both foreign and domestic.

He traveled overseas as counsel to the 41st president and later served as the U.S. Trade Representative under the 43rd. He worked in the legislative affairs office of the elder George Bush and was budget director for his son, developing relationships on Capitol Hill that span decades. His experience could also make a bid difficult in a GOP primary. Portman ran the White House budget office in t years when tax cuts and war spending spun up government spending and added to growing deficits.

But his time in Washington is certainly a not-so-subtle counterpoint to that of President Obama, who clocked just two years, a month and six days in Washington before announcing his intention to run it -- and the country.

Following President Obama's "flash," as some Portman confidants describe it, the Ohioan would be the prototype of substance and competence. Next to hostility -- witness New Jersey Gov. Chris Christie shouting "sit down and shut up" to a heckler just before Election Day -- Portman offers civility.

Bill Kilimnick, the general manager of the Portman family restaurant, Lebanon Ohio's Golden Lamb, gushes about how nice the senator is, saying he has "a servant's heart." For the last few weeks, he says his diners have been buzzing, "Is Robby gonna be the president?"

Unknown

Purveyors of conventional wisdom in Washington don't dispute his qualifications or likability, but they dismiss the 58-year-old Midwestern lawyer as not electrifying enough to galvanize voters across the country. Supporters say he could be a foil to Obama. But they have also worked to alter the "boring" perception by sending Portman out to kayak and bike-ride in some of his recent media interviews. (He agreed to lunch on the lip-smacking ribs with this CNN reporter.)

Perceptions can be a problem, but voters have to know you exist. Portman acknowledges that gaining attention would be his first obstacle.

"I'd be an asterisk in the polls," he said, adding that the national primary debates are his only chance to prove himself. Debates could be key for Portman. He was considered a top-notch stand-in twice for President Obama, as well as John Kerry and Al Gore in debate prep during the last four presidential elections.

Portman says he has a national network of donors that could keep his campaign afloat until debate season arrives. The downside is the Republican National Committee has already pledged to limit the number of sanctioned debates.

It wasn't lost on Portman's boosters that one of his contemporaries at the Republican Governors Association, Chris Christie, took a victory lap the morning after the election by appearing on all five of the network morning shows to claim credit for a Republican romp of statehouses coast-to-coast.

Portman, too, has connections nationwide. Wearing one of Cincinnati's infamous Montgomery Inn bibs in front of a plate of pork, poultry and Saratoga chips, the senator said he's sent the restaurant's ribs all over the country. He's also sent cartons of the Oprah-approved Cincinnati Graeter's ice cream around the United States, most recently to Maine, for the enjoyment of the greater Bush family.

Those connections come not only from his White House service or his vetting two years ago as a potential running mate to Mitt Romney, but from his recent vice chairmanship of the National Republican Senatorial Committee. He was charged with fundraising for the competitive Senate races, but had a heavy hand in recruiting and counseling the top candidates who shocked the political world by swamping Democrats early this month.

He said some of those donors he's been speaking with over the last few weeks have been pressing him on whether he's planning to take the plunge. His answer has been that the best way for Republicans to approach 2016 is to focus on a proactive agenda and show they can govern rather than simply obstruct.

But he acknowledged that family, good friends and advisers are encouraging him to make the race, even as he prepares to run for re-election to his Senate seat in 2016. According to sources close to him, conference calls about a potential presidential run are well under way. Those advisers are pushing him to get his name in the mix and get aggressive.

Can a Republican beat Clinton?

Portman thinks any Democratic candidate -- including Hillary Clinton -  can be beaten if the GOP shows it, too, can have a bigger tent and reach out to minorities and women. He's worried both about how polarized the country is and how narrowly the Republican Party has approached that division.

"I do think there's good people thinking about running, some folks who are in the mix, but I do want to be sure that we in the Republican Party also have strong candidates that can win in a general election," he said.

He found President Obama's message of unity in 2008 "really compelling," even though he didn't vote for him, and he thinks the red and blue states do need to find common ground.

Portman casts himself as the solution to that problem. He deepened his Capitol Hill relationships during his twelve years as a congressman and four years as a senator. In the House, former President Bill Clinton signed 12 bipartisan bills he authored; in the Senate, President Obama has signed 10.

Asked about the challenge of taking on Hillary Clinton in a general election, he didn't hesitate with this critique: "I don't know Mrs. Clinton well personally, but I can tell you looking at her record as secretary of state, which is apparently what she intends to run on, I can't think of any place in the world that got better."

As examples, he listed the U.S. relationships with Iran and China, the Israeli-Palestian conflict, Russia's incursions into eastern Ukraine, and threats from North Korea, underscoring that she did not leave "a more peaceful, stable world."

But he left Benghazi off his list, later explaining, "I know some of my colleagues focus a lot on Benghazi, and it was a tragedy... but it's not just about Benghazi; it's a much broader issue."

Timing of a bid

Although he has declined to provide a timeline before, Portman said he'll think it through with his family and make his decision after the first of the year.

"That's true for a lot of these candidates.... That's kind of the timing for most people."

Family matters are most often cited as the reasons would-be candidates opt not to run. They tend to be the wake-up calls that can arrest presidential dreams, given how grueling two-year national campaigns have become and the toll they take on the families that pursue them.

"It's not about me, it's not about what I want or, frankly, what my family wants," he said. "Running for president isn't good for your family. My family understands that. They support me doing what I'm doing. They would support me if I wanted to do the bigger campaign, but it's about what's best for the country."

His wife, Jane, and three children have encouraged him throughout his career. His son, Will, a recent Yale graduate and current Google employee revealed to him that he's always been gay, convincing him to support gay marriage.

Related: Portman's dramatic reversal on gay marriage

While some Republican strategists wondered whether that would haunt him in future GOP primaries, Portman points out same-sex marriage is among the fastest-changing issues in politics.

"I'm told that of all the issues out there that pollsters look at, this has changed the most rapidly."

@highlight

Sen. Rob Portman has a packed Washington resume and is considering a White House run

@highlight

He has roots in Ohio, a critical presidential swing state