Guatemala's new anti-impunity commissioner, Ivan Velasquez, arrived to the Central American nation in October with an ambitious agenda, promising to probe links between drug traffickers and political parties.

"We're going to investigate if organized crime has permeated political campaigns with their financing," he told CNN en Español in an exclusive interview.

The announcement sent shock waves across a country that faces one of the highest murder rates in Latin America. Widespread institutional corruption and societal violence related to drug trafficking continue to be a concern, according to a recent U.S. State Department report.

Previous commissioners have had successes exposing networks that colluded with the government. But Velasquez envisions an investigation that could expose the very apparatuses of criminal activity leaving no stone unturned.

For Velasquez, it's a question of transparency.

"We need to consolidate the activities of political parties so in return they can be more coherent, stronger and permanent," he said.

The 58-year-old Colombian magistrate was tapped in September by the United Nations to take the helm of the International Commission against Impunity in Guatemala, a special independent body of prosecutors known by its Spanish acronym CICIG. A special treaty-level agreement between Guatemala and the U.N. signed in 2006, gives the commission special power to investigate a limited number of sensitive cases.

Investigating political parties is sure to ruffle feathers, but it's something Velasquez done before.

And he's asking Guatemalans to take part.

"In this investigation in particular we need the biggest citizen involvement possible," Velasquez said. "We will vet all of the information they are willing to give us."

From Colombia to Central America

Velasquez rose through the judicial ranks exploring the links between congressmen and paramilitary groups in Colombia in the 2000s. This ended with several members of Colombian congress behind bars.

During its worst period, Colombia overrun by organized crime before order was restored, Velasquez said.

Guatemala can still prevent falling into those same depths that other countries have faced.

"By what I have seen in Guatemala over the course of these last two months, we're in the beginning stages," he said.

Guatemalan Attorney General Claudia Paz y Paz is confident the commissioner's experience in Colombia will allow him to tackle such high-caliber investigations. After all, Paz said, "there are similarities in how organized crime has permeated different sectors of society both within and outside of the state apparatus."

According to international observers, Paz's leadership of the public ministry in conjunction with the commission has been instrumental in quashing organized crime gangs.

For Eduardo Stein, a former Guatemalan vice president who was one of the key negotiators to bring the CICIG to Guatemala, it could be a determining moment for this nation's democracy.

"This is emblematic. Finally, we could have some sort if transparency in how we do politics in this country," Stein said.

But other segments of society, including President Otto Perez Molina himself, appear less supportive of Velasquez's quest.

Velasquez "doesn't have enough time" to investigate political parties and should only focus on finishing the commission's mandate, Perez told local media.

Perez's office did not return CNN's multiple requests for comment.

In the past, CICIG has successfully prosecuted several high-profile cases, including the death of lawyer Rodrigo Rosenberg, which nearly brought down the government of former President Alvaro Colom.

Rosenberg had taped a video claiming that if he was killed it had been at the hands of the president. The commission's investigation revealed it was Rosenberg who had order the hit on his own life. The members of the hired eight-person gang were later convicted for the murder.

Its long-term mission, however, is strengthening state institutions before the commission leaves in Guatemala, expected in 2015. The commission's mandate could also be renewed. But, since its inception, some Guatemalan legislators and other officials have lobbied unsuccessfully to have the U.N.-backed entity expelled.

Velasquez isn't going quietly into the night over a little hostility.

"Just because some segment of society opposes the investigation, it doesn't mean it will fail or be truncated," he said.

Testing democracy

Despite the opposition that CICIG faces, however, there are many observers at home and abroad who support its mandate.

An investigation into the nexus between political parties and organized crime has been a long way coming for both the CICIG and Guatemala, said Anita Isaacs, a longtime Guatemala scholar and professor of political science at Haverford College in Pennsylvania.

"It's the next step that had to be taken," Isaacs said. "The landscape in Guatemala has shifted ever so slightly. It's been biting at the edges and it's finally gotten to the core."

Prior to the commission's creation, Guatemala had a 97& impunity rate. Only 3 percent of homicides ended in a conviction.

CICIG oversaw the hiring of hundreds of new prosecutors, the creation of new units and the purging of the country's public ministry.  Under Paz's tenure, the attorney general's office slashed the impunity rate by more than a quarter.

In a recent report of the public ministry's results for 2013, Paz's office convicted a record 7,122 people in 2013—an increase of 20 percent as compared to 5,941 in 2012.

Michael Frulhling, Swedish ambassador to Guatemala, says the future lies in the hands of Guatemalans themselves. Sweden has donated  more than $25 million to the commission.

"In the end," he says, "the fight against impunity completely depends on the country's authorities."

@highlight

Ivan Velasquez is the new commissioner for a U.N.-backed anti-impunity commission

@highlight

He vows to go after ties between drug traffickers and political parties

@highlight

Velasquez did the same as a judge in Colombia

@highlight

His work makes some officials uncomfortable