Des Moines, Iowa (CNN) -- Forget the ads, the weather, and all those back-and-forth attacks -- the Republican caucuses in Iowa will come down to thousands of small pieces of paper.

While Iowa Democrats famously caucus by literally standing up for their chosen candidate, the Hawkeye State's GOP holds secret ballot votes.

Here's how the unique process will work: On caucus night, would-be voters will gather in 809 locations across the state -- school gyms, churches and auditoriums of all shapes. To participate, each person must be a registered Republican who will turn 18 by the general election on November 6.

But, in a closely watched twist, voters can switch party affiliation at the caucus and register as Republicans that night.

"From a process standpoint, it's a nightmare," said Dallas County Republican chairman Mike Elam, "but I think it's a good thing. People can decide they want to be involved up to the very last minute."

Republicans this year hope that ability leads to a surge of registrations from disgruntled Democrats and independents. But the practice also allows potential cross-party sabotage, where members of one party can participate in a rival caucus in order to vote for the candidate they see as the weakest potential opponent.

All registrations must be complete by 7 p.m., when the caucuses begin, in order for people to participate.

Inside each caucus, party officials will first conduct some housekeeping, including the approval of the person who will chair the meeting. Then comes the only campaigning allowed. Each candidate may select one person to give a short speech on his or her behalf. Often, these are limited to just two or three minutes apiece.

"It's hard to get people to speak," insisted John Bloom, former chairman of the Polk County Republicans. "I assure you every candidate right now is still out hustling to find speakers for every precinct in Iowa. And in some of the smaller precincts they won't get anybody."

After the speeches, it's time to vote. Now we get into some technical truth. The Iowa Republican caucuses vote in what is actually a nonbinding poll, sometimes called the presidential straw poll. The results do not mandate how convention delegates are divided per se.

So why does everyone care so much, you ask? Good question.

There are two answers. For one, the vote measures who's present at the caucuses. That's important because in a later business item, caucus-goers determine who will represent them at the party conventions, which will determine the national delegates from Iowa. Thus, the caucus poll is seen as the best indicator of how the state's delegates ultimately could be divided.

The second and simpler, answer: The caucus poll is the first statewide vote in the presidential nomination contest. It is the first test of a wide field of candidates.

This brings us to a current complaint about the Iowa caucuses: their track record at picking a nominee.

It's mixed. Several recent Republican winners in Iowa have petered out after the Hawkeye State caucuses, including Mike Huckabee in 2008, Bob Dole in 1988, and George H.W. Bush in 1980. (Though in the case of the elder George Bush, that 1980 Iowa victory put him on course to become Ronald Reagan's vice-presidential pick and then president himself. )

Iowans brush off this complaint.

"The Iowa caucuses aren't here to pick the next nominee," said Mark Lundberg, chairman of the Sioux County Republican Party. "The Iowa caucuses are here to cull the herd a little bit."

And that culling happens with the caucus vote. Back to that.

Caucus-goers select their candidate on simple paper ballots. How this happens varies widely from county by county. In many places, these are blank pieces of paper on which each person writes down a single name and hands it in. In some places there is a list of candidates printed for people to circle or check.

At all caucus sites, voters can write in the name of anyone they like. It is not limited to official presidential candidates. That means you could vote for your boss, your sister or even Justin Bieber. (Though a vote for Bieber would be wasted, since he's Canadian and not old enough to become president. Yet.)

Next, the votes are collected and counted by hand. Each campaign has the option of sending a monitor to watch the process. Often these are the same folks who spoke on the candidates' behalf.

How long does counting take? When will we get results? It depends on the size of the caucus. In smaller precincts, this will take just minutes and results could be ready before the clock strikes 7:30 p.m. In other places, it may take 90 minutes or more to count and recount the ballots.

Finally a point person calls in the results to state Republican headquarters. Candidates react. Speeches ensue. The field of candidates is likely culled.

The process overall is on the heavy participation end of the election spectrum. It is heavily decentralized, with county parties retaining strong control over specifics. And it emphasizes passionate community participation.

All that requires a lot of planning and an army of volunteers. And Iowans boast about that, almost in dare-like fashion, to the other states salivating in envy at their state's first-in-the-nation status.

"I have a feeling that if some of those states, like Florida, who wanted an earlier primary,actually tried to do a caucus, that they would be overwhelmed by the amount of work involved," Cory Adams, chairman of the Story County Republican Party, told CNN. "They'd be happy to remain fourth or fifth in line instead."

@highlight

On Tuesday night, Iowa Republicans will gather for 809 caucuses across the state

@highlight

They'll cast paper ballots for their choice for the nomination, and it could be anybody

@highlight

It's the first actual vote in the march toward the GOP convention

@highlight

"The Iowa caucuses are here to cull the herd a little bit," says one county chairman