Washington (CNN) -- The interpretation of complex legal verbiage is the Supreme Court's bailiwick, but sometimes the outcome of a case falls upon the meaning of single word. The magic word in an appeal argued Wednesday was "personal," and whether it extends beyond humans to "artificial" entities like corporations.

Telecom giant AT&T wants "personal privacy" protections applied to businesses, just as they have long been granted to individuals.

At issue is whether corporate "personhood" extends to the Freedom of Information Act, which exempts the public release of government documents that invade personal privacy. The company wants material gathered by a federal agency during a consumer investigation to be kept secret.

Several justices seemed deeply skeptical of the company's claims for relief.

Citing "dozens and dozens" of examples in a study of government bureaucracy, Justice Ruth Bader Ginsburg said that "overwhelmingly, 'personal' is used to describe an individual, not an artificial being."

"Can you give me any examples in common usage where people would refer to the 'personal privacy' of a corporation?" asked Justice Antonin Scalia. "It's a very strange phrase to me."

But others on the bench were not willing to say personal privacy applies only to a single human being.

The dispute began in 2004 when AT&T Inc. found out it may have overcharged the federal government for the E-Rate program, which provides affordable internet and telecom access for schools and libraries across the United States. The company voluntarily turned over documents to the Federal Communications Commission, the agency charged with investigating the matter.

Months later, a trade group that included some of AT&T's competitors filed a Freedom of Information request for all correspondence related to the E-Rate probe. The material included AT&T memos, e-mails, invoices and employee names.

The company said the material was exempt from public release, since it was collected strictly for "law enforcement purposes," according to court filings, and it argued that disclosure would cause an "unwarranted invasion of personal privacy."

The FCC ultimately rejected the claims, saying the personal privacy exemption applies only to individuals. A federal appeals court reversed, finding for the corporation, and prompting the government's Supreme Court appeal.

Wednesday's hourlong oral arguments featured several justices offering various examples of the extent to which "personal" privacy could ever be applied to the corporate theory.

"For example, you could refer to personal jurisdiction over a corporation, couldn't you?" Justice Samuel Alito asked the Justice Department's lawyer, Anthony Yang.

"I suppose families have rights of personal privacy, don't they?" added Chief Justice Roberts, extending the term beyond individuals.

AT&T's attorney, Geoffrey Klineberg, told the court the issue is one of fairness. "All we are asking for and indeed all that Congress provided for is that the privacy interests be weighed against the public interest in disclosure. And what the FCC did here was to categorically exclude corporations from the protections" under federal law.

Ginsburg was unconvinced. "How does the commission, unaided by AT&T, go through the papers and decide what would be embarrassing for an AT&T employee, as distinguished from the corporation?"

Klineberg said e-mails could be exposed to public view showing corporate officers who "may engage in a frank exchange about the competence and intelligence of a would-be regulator of the corporation. Or disparaging comments" about a business competitor, something that should be protected under privacy laws.

"Why does that relate to the corporation's privacy interest?" replied Scalia. "Anything that would embarrass the corporation is a privacy interest?"

The AT&T lawyer ran into further trouble when he tried to mince words -- suggesting that because "person" is defined to include a corporation in the relevant federal statute, the term "personal" also must apply.

"I tried to sit down and come up with other examples where the adjective was very different from the root noun," said John Roberts. "It turns out it is not hard at all. You have craft and crafty. Totally different. Crafty doesn't have much to do with craft. Squirrel, squirrely. Right? I mean, you have a pastor and pastoral. Same root, totally different. So I don't think there's much to the argument that because 'person' means one thing, 'personal' has to be the same relation."

Beyond interpreting the meaning of personal privacy, the court may also have to wrestle with defining or redefining "corporate," either as an association of citizens with extended, shared rights, or as a state-chartered entity with its own separate, competing rights apart from those of its members.

Such interpretation was key to the high court's controversial campaign finance ruling a year ago, in which the conservative majority gave corporations greater power to spend freely in federal elections, overturning a federal law that had imposed strict limits.

The court said corporations had to be treated as "persons" when it came to campaign spending, with the same power as individual donors. Now the dispute is whether corporations enjoy similar protections in the privacy context.

Liberal groups have complained that the Roberts court has been overly friendly to businesses in recent rulings, at the expense of individual consumers. They want a blanket rule exempting corporations from personal privacy protections.

"Congress did not and could not imbue corporations with the dignity interests that FOIA protects when it shields living, breathing human beings from invasions of personal privacy," said Elizabeth Wydra, chief counsel of the Constitutional Accountability Center. "A corporate charter cannot blush or feel embarrassed by FOIA's policy of transparency,"

A number of media organizations have also filed briefs in support of the Obama administration, saying the Freedom of Information Act has been a powerful tool to hold governments and corporations accountable.

Coalitions of business groups, including the U.S. Chamber of Commerce and the Business Roundtable, are backing AT&T.

Justice Elena Kagan is not participating in the case because she had handled the appeal as the administration's solicitor general before being nominated to the high court last year.

The case is FCC v. AT&T Inc. (09-1279). A ruling is expected in the next five months or so.

@highlight

The Supreme Court mulls whether a corporation has "personal privacy"

@highlight

AT&T says yes, as it tries to prevent release of documents gathered by a federal agency

@highlight

Some justices seem skeptical as they hear oral arguments