(CNN) -- What's next in Syria's civil war? The answer will have major implications on Syria's neighbors and the Middle East.

The Sunni monarchy of Saudi Arabia is among the most prominent countries backing the Syrian opposition. Meanwhile, Iran -- the Shiite Islamic republic across the Persian Gulf -- casts itself and its allies in Damascus as part of an "Axis of Resistance" to domination of the region by outsiders. Iranian President Mahmoud Ahmadinejad has warned that "enemies are striving to waste Muslim governments and nations' energy and wealth by pushing them to fight one another," Iran's state-run news agency IRNA reported.

So what's at stake for Syria's neighbors?

The Gulf monarchies

The Saudis and some of the neighboring Persian Gulf states fear Iran's push to develop nuclear technology and the spread of Tehran's influence in the region. Bahrain's rulers accused Iran of fomenting unrest among its majority Shiite population during a wave of anti-government protests in 2011, but a government inquiry later found little evidence to support that contention. Saudi Arabia and the United Arab Emirates dispatched forces to Bahrain to help bolster their smaller neighbor.

Saudi King Abdullah said a year ago that there was "no justification" for the Syrian crackdown. Saudi Arabia and Qatar are believed to be sending arms and assistance to the Syrian rebels, while the United States -- a leading ally of both countries -- has been providing nonlethal assistance.

More: What options are left in Syria?

Lebanon

Syria dominated Lebanon for much of its independence and kept troops there until 2005. Now many fear its civil war threatens to upset the careful sectarian balance of Lebanese politics.

Syria and Iran support Hezbollah, the anti-Israel Shiite militia that has become a powerful force in Lebanese society. But a large segment of the Lebanese population supports the rebels, and 36,000 Syrians have taken refuge in Lebanon since Bashar al-Assad's government launched its crackdown on opposition in 2011, according to U.N. figures.

In addition, Lebanon still hosts more than 400,000 Palestinian refugees from the Arab-Israeli wars -- and tensions fueled by that refugee population helped spark the civil war that wracked the country from 1975 to 1990.

More: Clashes in Lebanon on 'Syria Street'

Iran

Already facing intense pressure from sanctions aimed at making it halt its production of nuclear fuel, Tehran is strongly backing longtime allies in Damascus. As the leading Shiite power, it's solidly behind al-Assad, a member of the minority Alawite sect, a Shiite offshoot.

And the alliance with Syria allows Iran to project power from the Gulf to the Mediterranean, not only through Syria but via the Lebanese Shiite militia Hezbollah. Andrew Tabler, an analyst at the Washington Institute for Near East Policy, calls Syria "a keystone" for Iran.

"There is sort of a cold war taking place between the two sides," Tabler told CNN in May. "I think you can see that playing out in terms of Qatar, the United Arab Emirates, Saudi Arabia and Turkey clearly on the side of the opposition in Syria, while the Iranians are strongly backing the regime. What's at stake is larger than what's within Syria's borders."

More: What's Iran getting out of al-Assad support?

Turkey

NATO member Turkey is hosting Syrian opposition groups and more than 50,000 refugees. It's a vital link for the opposition, which brings in opposition fighters and weapons via Turkey.

Turkey, meanwhile, has built up forces on its border after Syria shot down a Turkish fighter jet over the Mediterranean in June. The United States and Turkey are developing contingency plans for the possible collapse of al-Assad's government, U.S. Secretary of State Hillary Clinton has said.

And the Turks, who have battled Kurdish separatists in their southeast for decades, fear that movement may gain a foothold amid a power vacuum in Syria. The separatist Kurdistan Workers Party raised the movement's flag over several ethnic Kurdish communities along the border, raising alarms in Ankara.

Iraq

In the last decade, hundreds of thousands of Iraqis fled to Syria amid sectarian warfare between Sunnis and Shiites and a persistent insurgency that followed the U.S. invasion of 2003. American commanders blamed Syria for allowing fighters to pass through its territory and into Iraq to fight U.S. troops.

Now, Syrian refugees are starting to take shelter in Iraq -- about 10,000 at the latest count -- and Western powers fear jihadist groups such as al Qaeda are moving across the porous border to battle al-Assad's forces. The Iraqi government, now dominated by Shiite parties, is still battling the fundamentalist Sunni jihadists.

@highlight

Syria's crisis is bleeding into its neighbors

@highlight

The outcome will have deep influences on the region

@highlight

Saudi Arabia backs the rebels, while Iran supports the regime, for example