(CNN) -- An appeals court on Monday sided with the federal government in blocking several provisions in Alabama and Georgia's controversial anti-illegal immigration laws, while allowing other key parts of those laws to stand.

Advocacy groups like the American Civil Liberties Union and the Southern Poverty Law Center applauded the decisions, with National Immigration Law Center executive director Marielena Hincapie saying in a statement they "should send a strong message that state attempts to criminalize immigrants and their loved ones will not be tolerated."

Still, while three judges from the 11th U.S. Circuit Court of Appeals did strike down more challenged provisions than they allowed in a pair of rulings, officials from both Alabama and Georgia pointed out that the vast majority of their states' immigration laws remain valid.

"The essence of Alabama's immigration law has been upheld by today's ruling," Alabama Gov. Robert Bentley said in a statement. "The core of (the) law remains if you live or work in the state, you should do so legally."

Talking about the appeals court decision's effect on his state's law, Georgia Attorney General Sam Olens said, "While I disagree with the Court's decision on Section 7, after over a year of litigation, only one of 23 sections of HB 87 has been invalidated."

Undocumented immigrants line up for relief from deportation

While dealing with two different states and laws, both decisions were signed on by a trio of judges -- Charles Wilson, Beverly Martin and Richard Voorhees -- who considered the two cases at the same time.

The issue of illegal immigration has become a hot-button issue in recent years, with several states passing their own laws in bids to boost local and state law enforcement agencies powers to prevent undocumented residents from living, working and getting benefits in their states. Political leaders in these states, many of them Republican, have criticized the federal government for not doing enough in this regard and argued this lack of action made it imperative that states do more.

But the federal government has challenged all or parts of many of these laws, insisting that it is the federal governments' responsibility, and not individual states, to enact and enforce immigration laws.

The U.S. Supreme Court waded into this debate in June, when it ruled by a 5-3 vote to uphold the authority of the federal government to set immigration policies and laws while weighing in on legislation in Arizona that helped kickstart the debate.

The court, however, did allow one of the most controversial provisions of that state's law to stand: letting local and state police check a person's immigration status while enforcing other laws.

The rulings Monday resembled that high court ruling in many respects, with the appeals court judges' Alabama decision even quoting U.S. Supreme Court Justice Anthony Kennedy's majority ruling on the Arizona.

"Although (illegal immigration) is a problem that gives rise to unique issues in our nation, we must be mindful that individual states 'may not pursue policies that undermine federal law,'" the three judges said.

One provision the court assessing the two state's laws did let stand, as the Supreme Court had in the Arizona case, is to allow law enforcement to check the immigration status of those suspected of a crime.

Taking the chance of a lifetime

This was one of only two provisions in the Georgia legislation, known as HB 87, that the federal appeals court considered.

The other would institute three crimes for "interactions with an 'illegal alien'." These are knowingly transporting such a person "while committing another criminal offense," "concealing or harboring" an undocumented person and lastly "inducing an illegal alien to go into" Georgia, according to the appeals court ruling citing the state's legislation.

The federal court struck down this aspect of Georgia's law, known as Section 7, on Monday.

"We are ... convinced that Section 7 presents an obstacle to the execution of the federal statutory scheme and challenges federal supremacy in the realm of immigration," the court explained as part of its reasoning.

Four provisions of Alabama's law were blocked by the appeals court judges on Monday, while three still stand despite the federal government's arguments.

Faces of hope: Lining up for two more years in the U.S.

Authorities in that state cannot make it a crime for undocumented immigrants to work or solicit work, as prescribed by the legislation known as HB 56 but denied by Monday's ruling.

Similarly, the appeals court upheld a lower court ruling and knocked down parts of the law that would have made it a crime to hide "an alien," to encourage one to live in the state, to transport such a person or agree to a rental agreement.

The provision prohibiting companies that employ undocumented workers from taking a state tax deduction for wages (and instituting stiff penalties for those who don't abide by this law) was also blocked. So, too, was part of the Alabama legislation to characterized the hiring or employment of a illegal immigrant over a U.S. citizen or "alien authorized to work" in the country as a "discriminatory practice."

Yet the federal government's argument in favor of jettisoning other measures were determined "at this stage (to be) facially invalid" by the appeals court.

That includes checking into a person's citizenship if a driver does show police his or her driver's license. The court also ruled that Alabama can prevent illegal immigrants from engaging in a "business transaction" (except for pursuing a marriage license) with a state or municipal government agency, as HB 56 states.

Five things to know about big change in policy

@highlight

A federal appeals court rules on Alabama and Georgia's immigration laws

@highlight

Judges say police in both states can check citizenship of criminal suspects

@highlight

Parts of law making it a crime for undocumented immigrants to work was blocked