It's been nearly two weeks since Thailand's military took over the country after months of political and social unrest that led to outbursts of violence in Bangkok.

But while the political situation is still in flux and no election date set, life in Thailand has resumed to something approaching normality.

On Tuesday, the military government announced it was lifting the nation-wide curfew in three tourist hot spots -- Pattaya, Ko Samui and Phuket -- reportedly in response to pressure from the country's ailing tourism industry.

All other Thai destinations, including Bangkok, Krabi and Chiang Mai, remain under a daily curfew from midnight-4 a.m.

However, air passengers with arrival and departure flights scheduled during the curfew are permitted to travel to and from the airports at any time, and are advised to carry a printout of their flight itinerary.

All airports in Thailand remain open and flights are still operating as scheduled.

Life in Bangkok

In the Thai capital, streets are calm and most residents are carrying on as normal.

The military presence is minimal -- many locals report having not seen a single soldier since the May 22 coup -- though tourists are advised to follow news reports as sporadic demonstrations have taken place in Bangkok in opposition to the coup, which have brought out the military.

Since the coup announcement was made on May 22, protest groups on both sides have dismantled their camps and no major incidents of violence have taken place.

Tourist attractions, government offices, embassies, shops, bars, restaurants and malls are all open and operating as normal, though some have adjusted their hours in line with the curfew.

All Bangkok expressways currently remain open.

The city's BTS Skytrain, MRT subway, Suvarnabhumi Airport Rail Link, public ferries and trains continue to operate, while taxis are available 24 hours a day at Bangkok's airports

Television and social media

In the initial days following the coup, all state-run, satellite and cable TV providers were ordered to carry only the signal of the army's television channel but all are now back on the air.

Facebook was temporarily shut down last week, leading to fears the junta was cracking down on social media, though the military later denied it had any part in it.

Twitter remains one of the best ways to get real-time information on the situation in Thailand.

Richard Barrow, a full-time travel blogger based in Bangkok, is a top source for those seeking news about the political situation as well as travel advice. He can be followed at Twitter.com/richardbarrow.

Local English-language media on Twitter include the Bangkok Post: Twitter.com/BPbreakingnews; The Nation: Twitter.com/nationnews; and MCOT: Twitter.com/MCOT_Eng.

Government warnings

Though from a tourist's point of view Thailand is returning to normal, travelers are advised to check with their governments before visiting as warnings vary and can impact the validity of their travel insurance.

According to the National News Bureau of Thailand, a total of 63 countries have issued travel advisories against Thailand, with 19 warning its citizens against visiting the country.

Among these is the United States, which issued a travel alert last updated on May 28 that recommends U.S. citizens reconsider their journey to Thailand, particularly Bangkok.

"The Department of State has advised official U.S. government travelers to defer all non-essential travel to Thailand until further notice."

Some countries have since downgraded their warnings in light of the relative calm on the country's streets since the coup, including Italy.

Though the UK doesn't advise against visiting, it did issue a warning to citizens about the political situation.

"It is illegal to criticize the coup and you should be wary of making political statements in public," says the advisory.

"Some anti-coup demonstrations are taking place in Bangkok and some other cities. These could become violent. You should exercise extreme caution and remain alert to the situation."

VIDEO: Thai protesters borrow from Hunger Games

Tourist hotlines

The Tourism Authority of Thailand issued a statement advising tourists seeking assistance to call the following hotlines.

TAT Call Centre: 1672

Tourist Police Call Centre: 1155

BTS Hotline: +66 (0) 2617 6000

MRT Customer Relations Center: +66 (0) 2624 5200

SRT (train service) Call Center: 1690

Transport Co., Ltd., (inter-provincial bus service) Call Center: 1490

AOT (Suvarnabhumi Airport) Call Centre: 1722

Suvarnabhumi Airport Operation Center: +66 (0) 2132 9950 or 2

Don Mueang Airport Call Center: +66 (0) 2535 3861, (0) 2535 3863

Thai Airways International Call Center: +66 (0) 2356 1111

Bangkok Airways Call Center: 1771

Nok Air Call Center: 1318

Thai AirAsia Call Center: +66 (0) 2515 9999

@highlight

Nation-wide curfew lifted in Pattaya, Ko Samui and Phuket

@highlight

Tourists advised to follow news reports as sporadic anti-coup demonstrations have occurred

@highlight

U.S. State Department advises against non-essential travel to Thailand