(CNN) -- Last week, the news broke that Russian aircraft will commence patrolling the skies over the Caribbean Sea and Gulf of Mexico. Washington reacted mildly to Defense Minister Sergey Shoigu's announcement. The U.S. State Department questioned Moscow's rationale for operating off North American coastlines while insisting that such flights "must be consistent with international law and conducted with due regard for the rights of other nations and the safety of other aircraft and of vessels."

That's about it. Nor should Washington go further than this pro forma statement. Why? Because an informal compact preserves freedom of the seas and skies. Coastal states grit their teeth and tolerate rivals' presence in exchange for their own freedom to operate along foreign shores. It's a form of reciprocity.

Shoigu's announcement came the same week a Russian naval flotilla appeared off Australia's northern periphery, setting commentators abuzz Down Under. But Prime Minister Tony Abbott's government, like the Obama administration, struck the right, low-key note vis-Ã -vis that voyage. Defense spokesmen noted that the Russian vessels -- guided-missile cruiser Varyag, along with a three-ship retinue -- were doing nothing unlawful or especially provocative.

And indeed they weren't.

No one claimed the Russian task force passed through Australian territorial waters, the 12-nautical-mile belt of sea off any coastal state's shores. (Although it could have done so, provided commanders complied with the rules of "innocent passage.") No one claimed it placed Australian security at risk. As coastal states will, nevertheless, Canberra dispatched assets to keep watch. Royal Australian Navy men-of-war and surveillance aircraft took to sea and sky to monitor the Russian warships' whereabouts and, presumably, document their activities.

And so things stand. Move, countermove: That's a normal day in the life of sea services. Why would Moscow go to the trouble of mounting a Pacific cruise so far from Russian shorelines? Thucydides, the chronicler of the Peloponnesian War, offers a starting point for answering such questions. He lists "fear, honor and interest" as three of the prime movers for human actions. Each is probably shaping decisions in Moscow.

Take Thucydides' motives in reverse order. The Russian leadership probably saw an interest in telegraphing how seriously it takes the G20 summit that has been taking place in Brisbane. It may also want to impress prospective Southeast Asian buyers of Russian weaponry. Displaying naval prowess in Australia's extended neighborhood, then, could constitute part of a sales pitch. Artfully employed, ships remain tokens of political and economic interest, today as throughout maritime history.

And honor? Russia clearly wants to announce, yet again, its return to history. A painful interlude of weakness followed the Soviet Union's downfall. Sending a rejuvenated Pacific Fleet to promenade around the region helps banish bad memories while restoring luster to Russia's reputation as a great power. On the personal level, moreover, the cruise could represent President Vladimir Putin's way of replying to Abbott's vow to "shirtfront," or upbraid, Putin over last summer's downing of a Malaysian airliner over Ukraine. Childish? Maybe. But hardly unprecedented. Political leaders have been known to use implements of state to avenge personal slights.

Lastly, fear. Moscow doubtless feels beleaguered. The international community reacted vehemently to Russia's proxy war against Ukraine, levying an array of sanctions. Russia's isolation is a problem of its own making, to be sure. But staging naval forces in the South Pacific reminds the West and its allies that Moscow still has options.

In all likelihood, then, a variety of motives are at work. And yet forbearance remains the best posture, regardless of what is behind Russian actions. Why? To uphold the principle of freedom of the seas. Australian warships and warplanes traverse the global commons -- the seas and skies beyond any coastal state's jurisdiction, open to unfettered use by all -- every day. The same goes for American ships and planes, those from Japan and South Korea, and on and on. Indeed, it's virtually impossible to project power into faraway regions or carry on marine commerce unless the commons remains open. Such untrammeled liberty is an asset beyond price.

Accordingly, it behooves great sea powers such as Australia and the United States -- the biggest beneficiaries of freedom of the sea -- to make every effort to keep the commons a commons. That means refraining from words or acts that corrode the freedom embedded in international law and practice. Overreacting to routine use of the commons because we dislike the power using it sets a double standard: freedom for me, but not for thee. That's the worst way to respond. Better to watch, wait and keep mum until and unless a foreign navy does something unlawful.

In a sense the seafaring world is renewing a very old argument about the law of the sea. Romans saw an ever-increasing swath of the Mediterranean Sea as "mare nostrum," or "our sea." In this view the sea was subject to ownership. Dutchman Hugo Grotius, one of the forefathers of international law, countered during the 17th century with the idea of the free sea, or "mare liberum." Beyond the range of a cannon shot from shore -- the farthest offshore a government could exert control -- mariners were at liberty to pursue trade and commerce, project naval force, and undertake any number of seaborne ventures.

Grotius' foil -- ironically, since it was Great Britain that later midwifed the liberal maritime order we know today -- was the English jurist John Selden. Selden put forth the countervailing doctrine of "mare clausum," the closed sea.

The gist of mare clausum was that governments were entitled to exercise sovereign jurisdiction over sea space, much as they did on dry land. Coastal states could literally rule the waves -- just as they wielded a monopoly of legitimate force within their terrestrial frontiers. Selden insisted that England was sovereign over northwestern European waters -- including the approaches from the Atlantic Ocean high seas to Dutch seaports. Small wonder Grotius wanted to deny rival England the right to dictate the terms of his homeland's access to the sea lanes -- or cut that vital lifeline altogether. A similar quarrel played out in South Asia, where Portugal styled itself the lord of the Indian Ocean while the Dutch clamored for free access.

Hugo Grotius' doctrine of free seas ultimately seemed to win out. Grotius remains a fixture in international-law circles, while John Selden is a largely forgotten figure. But there are few permanent victories in legal debates. Protesting deployments like Russia's too loudly gives Selden's intellectual descendants comfort -- to the detriment of freedom of the seas. China, for instance, claims the right to make the rules governing merchant and naval traffic crisscrossing the South China Sea. It wants to forbid military surveillance, underwater surveys, and other endeavors explicitly permitted by the law of the sea. It wants to amend the system by fiat.

Australia could unwittingly advance China's project. If Canberra objected vehemently to plainly lawful maritime endeavors, that is, it would have implied that Beijing has a point when it constricts freedom of the seas and skies for fellow seafaring states. That point being that the nearby coastal state can regulate who operates in the commons, who doesn't, and on what terms. By soft-pedaling the Russian deployment, on the other hand, Australia denies proponents of the closed sea that aid and comfort.

And this is a deployment worth soft-pedaling in any event. The Australian press duly pointed out that one of the four Russian vessels was an oceangoing tugboat, sent along in case one of the combatant ships suffers a mechanical breakdown or some other cataclysm. Dispatching a tug as a matter of routine betokens a navy less than confident in its hardware, material upkeep and basic seamanship. U.S. Navy expeditionary forces don't travel with tugboats. We don't expect to break down at sea. The same goes for the Royal Australian Navy and the other highly professional services fielded by America's allies.

Target audiences notice such things -- and they detract from the political impact of a naval deployment. One doubts this month's voyage will reap much benefit for Moscow. So let's make softly, softly the principle guiding diplomacy toward naval voyages -- those undertaken by prospective foes as well as by allies and friends.

@highlight

James Holmes: Mild reaction correct over Russia's Caribbean plan

@highlight

Russia clearly wants to announce, yet again, its return to history, Holmes says

@highlight

Moscow doubtless feels beleaguered, he says