(CNN) -- In the many media stories about the Islamic State of Iraq and Syria, much of the focus has rightly been on the thousands of foreign fighters ISIS has attracted, its brutal tactics and its robust social media presence.

But an arguably even more important development has not received the attention it deserves: the group's widening influence across the Muslim world, driven by the numerous terrorist and insurgent organizations that have recently sworn loyalty to it.

In the past six months, ISIS has drawn into its fold some dozen groups from Algeria to Pakistan. Al Qaeda, in contrast, had been in existence for a decade before it recruited its first affiliate, Egypt's Jihad Group, in 1998. And, in its 2Â½-decade existence, al Qaeda has only manged to add some half dozen affiliates, one of which was al Qaeda in Iraq, the parent organization of ISIS that has now split off from the core al Qaeda organization.

Indeed, just this week, an ISIS delegation met with leaders of a splinter group of the Pakistani Taliban to talk about how to unify Pakistani militants, The Associated Press reported.

Also this month, Ansar Beit al-Maqdis, one of the most violent militant groups in Egypt, pledged allegiance to ISIS, The New York Times reported. ABM is believed to have been responsible for an attack on a police checkpoint near Gaza last month that killed 30 Egyptian soldiers.

And ISIS has continued to expand its geographical reach. Three other groups -- al-Mujahidin in the Arabian Peninsula, al-Mujahidin in Libya and al-Mujahidin in Yemen -- also recorded statements of allegiance to ISIS in November, which ISIS broadcast online. Meanwhile, ISIS now controls the eastern Libyan city of Derna, not far from the Egyptian border.

And last month, six Pakistani Taliban leaders reportedly swore allegiance to ISIS in an audio message, although Shahidullah Shahid, the Pakistani Taliban's official spokesman, said he was speaking for himself and five other Taliban leaders in the message, not for the rest of the Pakistani Taliban.

The Taliban reacted by firing Shahid, but a senior Taliban official told the BBC that "he was the most important of the five who have left us" and said that the leaders had defected because they were unhappy with senior Taliban leaders.

Among other groups that have pledged allegiance to ISIS is Jund al-Khalifa (Soldiers of the Caliphate), a terrorist group operating in Algeria. Previously, the group was part of al Qaeda's North African branch, al Qaeda in the Islamic Maghreb, until the group split from AQIM because it was "deviating from the true path." And just 10 days after proclaiming its allegiance to ISIS, Jund al-Khalifa beheaded Herve Gourdel, a 55-year-old French hiker they had taken hostage. (Beheading Western hostages is, of course, one of ISIS' signature tactics).

Inside Syria and Iraq, ISIS has also gathered up smaller militant groups. For example, Ansar al-Islam, a former al Qaeda-linked group, is now cooperating with ISIS. Also, Jaysh Mohammed (Army of Mohammed) used to work to repel U.S. forces from Iraq and has now joined the ranks of ISIS.

Finally, ISIS and the al Qaeda-aligned Nusra Front had previously been at war with each other in Syria for much of this past year. But this month, representatives from the two groups met in Syria and agreed to stop fighting each other and focus on fighting their common enemies, sources told The Associated Press. This brings together the two most effective Sunni militant groups fighting in Syria.

Why are all of these militant groups suddenly pledging their allegiance to ISIS or aligning themselves with the group, and in many cases giving up former affiliations with al Qaeda's core group to do so?

The answer is simple: ISIS is successful.

In many ways it really is the "Islamic State of Iraq and Syria" that it claims to be, because it has taken large portions of both countries from government control, replacing local administrators with ISIS governors who distribute social services. ISIS is also winning critical cities and key points of infrastructure, including dams and oil wells, and that means the group has substantial funding and resources at its disposal.

Partnering with ISIS makes sense from an economic perspective for many of these organizations, especially the smaller militant groups operating inside Syria and Iraq. For other militant groups around the Muslim world, it allows for a cross-pollination of ideas and training through a sort of jihadist exchange program, where some groups send members into Syria or Iraq to learn from ISIS.

ISIS controls territory in a 400-mile swath from Aleppo in the west of Syria to Fallujah in the east, near the Iraqi capital, Baghdad, while its dozen or so affiliated organizations stretch from the coast of North Africa to the mountains of the Hindu Kush.

The fact is that al Qaeda's core organization can only dream of such success.

@highlight

Peter Bergen: More and more terrorist and insurgent groups are swearing loyalty to ISIS

@highlight

In past six months, ISIS has attracted about a dozen groups, he says

@highlight

ISIS' perceived success is attracting these recruits, Bergen says