(CNN) -- Inside a dilapidated warehouse, underneath scattered clothes hanging from rusty pipes, a young black man is down on his knees. His feet are naked, his trousers rolled up to his knees as he beats his sodden shirt against the ground to remove the dirt from it. Near him, a cluster of men cut desolate figures -- some of them crouching down to wash their worn-out clothes, some standing, naked, trying to clean up their work-wasted bodies.

This is not a scene from prison life -- but it might as well have been. Instead, this is a communal shower room for mineworkers in South Africa under apartheid as captured by pioneering photographer Ernest Cole some five decades ago.

A tiny man -- barely five feet tall -- with a great eye for detail, Cole was one of South Africa's first black photojournalists. His captivating and often clandestine images documented different aspects of black life under apartheid, opening a window into the oppression and economic inequality endured by his people during that brutal era, including mineworkers forced to live in squalid conditions.

In 1967, one year after leaving South Africa to go into exile, Cole published his first and only photo book, entitled "House of Bondage." The book, which was banned in South Africa, quickly sold out and received great critical acclaim.

But despite the initial success, Cole died destitute and lonely in New York in 1990 and until recently his story was largely unknown.

Yet in recent years, Cole's work has received renewed recognition, with several exhibitions in South Africa and abroad. And now, New York University's Grey Art Gallery is the latest institution to commemorate his ground-breaking work by hosting the first solo touring museum exhibition of 120 rare black-and-white gelatin silver prints from Cole's archive at the Hasselblad Foundation in Gothenburg, Sweden.

"Ernest Cole's life and work were dominated by the apartheid system," says Gunilla Knape, curator of the exhibition that runs until December 6. "It was the theme of his most important photographic work, it was the reason for his going into exile and becoming a stateless, but recognized, stranger in the world," she continues.

"The story of Ernest Cole is very little known and this exhibition is an attempt to shed light on his life and work, and to make part of a large collection of his photographs available to a broad international audience, not the least in Cole's native country."

Dangerous mission

The son of a tailor and a laundry woman, Cole was born in Eersterust, a black freehold township near Pretoria, in 1940. The fourth of six children, he grew up living in the countryside with an aunt because his parents wanted to protect him from crime in urban townships.

Cole reunited with his parents as a teenager and it was then that his interest in photography began. Aged 15, Cole received his first camera from a family friend, and from then on he would carry it everywhere, always taking pictures of friends, relatives and people in his community.

In 1958, Cole started working as a darkroom and layout assistant at Drum Magazine, a radical black lifestyle publication in Johannesburg. He also enrolled in a correspondence photography course from the New York Institute of Photography before leaving Drum in 1960 to work as a chief photographer on a weekly South African newspaper and as a freelancer for the international press.

During that period, Cole came across the photo essays of Henri Cartier-Bresson, the celebrated French photographer. Inspired by Cartier-Bresson's style, especially his refusal to crop his images, Cole set out on a dangerous mission to capture the injustice of the apartheid system and communicate it to the people outside South Africa.

"He had an intention to make stories that would enlighten the world about what was happening in South Africa," says Knape. "His mission was to get change through his pictures."

Powerful photographs

To achieve his goal, Cole would often use covert tactics such as working without flash and sneaking his camera inside lunch bags whenever he visited mines or prisons. Pretending that he was an orphan, he even managed to convince authorities to reclassify him as colored (mixed race), a deception that gave him more freedom to travel in areas where black people were required to carry a permit.

Subtle yet incendiary, Cole's powerful photographs offer a stark insight of what it meant to be black under apartheid -- there are pictures of townships being bulldozed to make way for white settlements; of benches marked "Europeans only;" of crammed commuter trains; of handcuffed black men arrested for being in white areas without a pass; of downtrodden mineworkers enduring humiliating examinations and dehumanizing living conditions.

Other, happier, photographs include those of children playing with water cannons, friends sharing laughs and couples dancing.

"He was living with his people," says Knape. "He was documenting their struggles, their joys and everything, so he really knew what was going on around him."

In 1966 Cole was arrested with a group of street gangsters with whom he'd built a relationship so he could capture their lives. The police told him he'd need to become an informant to avoid jail time, so Cole decided to flee South Africa, taking little more than the layouts for his book with him.

But life in exile -- first in Europe and then in the United States -- was painful for Cole. Penniless and lonely, he spent much of the remainder of his life living on the streets and subways of New York. He died of pancreatic cancer at the age of 49 in February 1990, one week after the release of Nelson Mandela from prison.

Click through the gallery above to see some of Ernest Cole's most formidable photographs.

@highlight

New York exhibition is showcasing the work of photographer Ernest Cole

@highlight

The S. African photographer's images captured black life under apartheid

@highlight

His 1967 book, House of Bondage, was banned in South Africa

@highlight

Cole died in poverty in exile one week after Nelson Mandela's release from prison