(Mental Floss.com) -- You might be planning a weekend camping trip with your family or friends. As you stuff your car with all the necessary equipment, take a moment to reflect on the fascinating history of some of those must-have camping accessories.

1. Duffel bag

While rucksacks have been around for hundreds (if not thousands) of years, they were usually made from animal skins or wool, which only did so much to protect contents from the harsh elements. But Spanish and Portuguese sailors of the early 17th century hit on a better solution.

They found that bags made from the leftover scraps of fabric used to repair a ship's sails did a fine job against rain and seawater. This coarse, sturdy, waterproof material was imported from its one supplier in the town of Duffel, Belgium.

2. Flashlight

When D cell batteries became commercially available in 1896, it opened the door for all kinds of battery-powered inventions. One was the "electrical hand torch," introduced in 1898 by the American Electrical Novelty and Manufacturing Company, which would later change its name to The American Ever-Ready Company.

The first lights were paper and fiber tubes, with a carbon filament bulb covered by a lens on one end, two D batteries inside, and a metal ring on the side. Pressing down on the ring caused it to hit two metal poles -- one positive and one negative -- which completed the electrical connection, lighting up the bulb.

Early batteries were quite weak, though, so the light only came on in brief flashes before going out again, which is how they got their nickname, "flashlights." Heavy use of the light also meant that it had to be "rested" so that the batteries could recharge.

Still, it was much better than carrying a candle that could go out, a lantern that had to be refilled with oil, and, more importantly, there was no chance of starting a fire.

As battery and filament technologies improved, the flashlights could stay on for minutes at a time, but the name had already become synonymous, so it stuck (in America and Canada anyway; the rest of the world still calls them "torches").

While the lights were fairly popular, sales really skyrocketed in 1898 when Ever-Ready donated their new and improved metal flashlights to the New York City Police Department.

When officers reported how useful the lights were in their duties, these testimonies were included in the company's product catalog, adding weight to the quality and usefulness of the brand.

Mental Floss: The origin of the Boy Scouts

3. Sleeping bag

The modern sleeping bag was influenced by a number of different sources. In the 1850s, French officials who patrolled the mountains had a knapsack bag made of sheepskin and lined with wool that could be rolled up and buckled in place, then carried with shoulder straps.

Then, in 1861, Alpine explorer Francis Fox Tuckett tested a prototype sleeping bag made from a blanket with a waterproof rubber bottom. Both of these designs were little more than an open-ended man-sized bag, so getting in and out for a late-night bathroom break was a bit of a hassle, but it got the job done.

A more convenient design came from Welsh inventor and father of the mail order business model, Pryce Pryce-Jones. In 1876, he introduced the Euklisia Rug. The Rug consisted of a wool blanket with an off-center pocket at the top for a sewn-in, inflatable, rubber pillow. Once inside, you folded the blanket over and fastened it together to keep you snug as a bug.

P.J., as he called himself, had produced 60,000 Rugs exclusively for the Russian Army; many were used in the 1877 Siege of Plevna during the Russo-Turkish War. However, when the city fell, the Russians canceled the rest of their order, leaving P.J. with 17,000 Rugs left undelivered.

He quickly added the Euklisia Rug to his catalog and sold it as an inexpensive bedding solution for charities working with the poor. The rug caught on, and it was soon being used by the British Army and Australians camping in the Outback, too.

No known examples of the Euklisia Rug exist today, but in 2010, the BBC commissioned a replica made from the original patent as part of a special TV series called "A History of the World." They donated the recreation to a museum in Powys County in Wales, where Pryce-Jones lived.

4. Air mattress

The first air mattress was invented in 1889 by the Pneumatic Mattress & Cushion Company in Reading, Massachusetts. Surprisingly, the design of the mattress has remained virtually unchanged over the last 120 years, closely resembling the standard air mattress used for lounging in the swimming pool today.

The rubber mattresses were originally produced as an alternative to hair-filled mattresses on Atlantic steamships because they could be deflated and stowed easily, and could even be used as a life raft if needed.

The mattresses' easy storage was also a big selling point for landlubbers who, in the early part of the 20th century, moved out of the country and into one-room city apartments where space was limited.

To sell their inflatable mattress, the company offered a 30-day trial period, a tactic still used today by many mattress retailers. If you didn't love your pneumatic mattress, you could return it for a full refund of $22 for the adult version, or $11 for the baby crib-sized version.

Mental Floss: How Teddy Roosevelt got Abe Lincoln's hair

5. Leatherman tool

Ask any outdoorsman, farmer, EMT, computer technician or soldier to give up his Leatherman Multi-tool and you'll likely be told, "You can pry it from my cold, dead hands." Fans of the handy gadget are dedicated to the multi-tool thanks to its compact size, versatility, and quality construction.

But just what is a "Leatherman" anyway? Is it a nickname given to rough and tumble mountain men in the 19th Century? Maybe they were soldiers that were part of a special brigade that fought in the Civil War? Nope. It's a guy. His name's Tim.

When Tim Leatherman, a mechanical engineer, and his wife were traveling through Europe in 1975, their rented Fiat kept breaking down. Tim was pretty handy, but he found that his old Scout knife, which had a couple of blades, a can opener, and a flat head screwdriver, simply wasn't enough tool to keep the old car running.

So, using cardboard cutouts, and then later making a metal prototype in his garage workshop, he developed what he called a "multi-tool" that he thought would change the world. Unfortunately, the world wasn't too impressed.

Tim tried to sell the idea to knife companies, but they said it was more like a tool. Tool companies said it wasn't a tool, but a "gadget," so they weren't interested, either. Tim eventually decided to make and sell the Leatherman on his own, but still couldn't find anyone to carry it in their stores.

Finally, in 1983, he convinced a mail-order catalog to sell his "Sportsmen" multi-tool. Tim had the resources to produce as many as 4,000 Leatherman multi-tools. He received 30,000 orders in his first year.

6. Sterno

If starting a campfire isn't your strong suit, it never hurts to have some Sterno, the flammable gel in a can, within reach. This "canned heat" has been around since 1893 and takes its unusual name from the company's founder, S. Sternau.

The product really hit its stride during World War I, when the Sternau Company ran a marketing campaign suggesting soldiers going to Europe could use Sterno to heat water and rations, sterilize surgical instruments, and provide light and warmth in the cold, dark trenches.

Soon, just about every Doughboy had a few cans in his duffel bag.

Mental Floss: 7 alternative uses for beer

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Mechanical engineer Tim Leatherman invented Leatherman Multi-tool

@highlight

Early batteries only powered the first flashlights briefly, hence the name "flashlight"

@highlight

17th century Spanish and Portuguese sailors used ship sails to make duffle bags

@highlight

Air mattresses  designed as alternatives to hair-filled mattresses on Atlantic steamships