(CNN) -- It was once the place Greeks flocked to when leaving for pastures new.

Now, the site of the old Hellinikon Airport in the south of Athens could be set to bring in billions of dollars worth of international investment to the debt-stricken nation.

The Greek government hopes the sale of its stake in Hellinikon SA (the operating company established in 2011 to develop the property) to a private investor will help ease its financial difficulties as well as lead to the development of thousands of new homes, leisure facilities and commercial space.

Greece is in the process of shedding state-owned assets as dictated by the conditions of its IMF, European Commission and European Central Bank bailout.

See also: Regal apartments transform Thai capital

A missing Olympic legacy

The sprawling 64 million square foot plot ceased to operate as city's main airport in 2001 when it was shuttered and replaced by Athens International to the east of the city.

When the 2004 Olympics came to Athens, a section of Hellinikon was redeveloped so it could host five of the Games' events. New venues were constructed for baseball, softball, canoeing, kayaking and field hockey. Yet the stadiums and the vast majority of the site have lain dormant ever since, a barren wasteland testament to a lack of legacy planning.

Today, weeds grow where sporting champions were once crowned and stray dogs roam where hulking jumbo jets took-off.

The Hellenic Republic Asset Development Fund (HRDAF) hope a buyer for the site will be announced in the coming weeks after the number of bidders was whittled down to three from an original nine last year.

The final bidders are Israeli developer Elbit Cochin Island Ltd, Athens-based Lamda Development SA and British firm London & Regional Properties, HRDAF CEO Ioannis Emiris confirmed to CNN.

Each will likely have their own visions for the site but if sale and development proceeds as planned, Hellinikon could quickly become one of Europe's largest construction projects, covering an area roughly twice as big as New York's Central Park.

See also: Visit London's insane luxury basements

Emiris also points to reports that estimate the project will create around 35,000 construction jobs alone over the next 10 years and add as much as 1.2% to Greece's GDP between now and 2016.

An alternative plan

Some believe there are more effective ways to make Hellinikon productive for both public and private sector in the long term.

Urban planner and former CEO of Hellinikon SA, Spiro Pollalis, told CNN that putting all 64 million square foot up for sale in one go is too much for one developer to digest.

He suggests spreading the risk and selling to numerous separate investors instead and developing the site in phases.

Others, meanwhile, fret about what the larger issue of selling off state assets will do to Greece in the medium to long term. The privatization drive has so far failed to bring in the amounts advocates of the process had previously advertised.

See also: Could world's tallest building topple China?

Supporters of the reform drive, however, point to deals on state-owned real estate such as those for the Astir hotel, which recently sold for more than originally expected.

An Arab-Turkish consortium agreed to pay $660 million to purchase the Greek state's share in the resort. The sum invested represents 200 times the Astir's earnings of just over $3 million last year.

According to Petros Christodoulou, one of the bankers who put the Astir sale together, credit for the transaction has to go to the incumbent administration of prime minister, Antonis Samaras.

"The government is making every effort to cut red tape," Christodoulou said. "The prime minister said we used to have red tape for international investors now we have red carpet. I think this (deal) is the first manifestation of this."

Many in Greece feeling the harsh effects of austerity, rising political extremism on the right and left as well as a high unemployment rate (which at 28% is the highest in Europe, according to Eurostat) will disagree with the positivity of this analysis.

Whether the Hellinikon sale goes to plan and brings in as much income as expected, however, will help determine whether Greece's long term privatization plans are on track or if claims the country is selling the family jewels for less than their true worth are justified.

@highlight

Greek state hopes to sell its stake in the site of the old Athens airport to private developers

@highlight

The vast plot of land is expected to host new commercial and residential space

@highlight

Proponents say Hellinikon could create 35,000 new jobs in construction alone

@highlight

Others warn against selling off state assets to private developers on the cheap