(CNN) -- Nearly a year after the presidential election, the excitement of Barack Obama's campaign has faded into the reality of an Obama White House.

As observers try to determine what time it is in American politics, they arrive at opposite conclusions.

To some, said Tulane University political scientist Thomas Langston, Obama is like Jimmy Carter, and the nation will soon hammer the nails into the coffin of a dying Democratic coalition just as voters, tired of the Carter "malaise" era, handed the White House to Republicans in 1980.

To others, Obama has come to usher in a new understanding of the relationship between the government and the people. To them, Langston said, it's the dawning of a new age, as depicted in a famous 1984 Ronald Reagan campaign ad that declared, "It's morning again in America."

Both Obama and Carter were elected into office at a time when voters were hungry for change. Carter represented the antithesis of President Nixon and a break from the disillusionment and mistrust of government caused by the Watergate scandal.

Carter, like Obama, learned the ropes in a state Senate. Critics accused Carter of being inexperienced, having served one term as the governor of Georgia. But the Democratic candidate presented himself as a politician outside of politics and a reformer uninterested in partisan games.

"With Carter himself, there was a sense of a kind of national renewal in some ways that people have said has been true after the very difficult years of the Bush presidency," said Russell Riley, chair of the Miller Center's Presidential Oral History Program at the University of Virginia.

Shortly after taking office, Carter's approval rating peaked at 75 percent but dropped to the low 40s in a little more than a year. He entered office weighed down by a sagging economy, and eventually, the energy crisis, the Soviet Union's invasion of Afghanistan and the Iranian hostage crisis took a toll on his administration.

"He ended his presidency, of course, holed up in the White House as a virtual captive himself of the Iranian hostage takers," Langston said.

The parallels to Carter come primarily from Obama's Republican critics. Florida Gov. Charlie Crist speculated last month that a Carter-esque loss "may happen again," and former House Speaker Newt Gingrich has predicted that a Republican resurgence -- like the one he led in the mid '90s -- could be just around the corner.

"Carter is held up as the model of the ineffectual president -- a saint of a man but an ineffectual president. And so when people compare Obama to Carter, that is an attack," said David Gergen, a senior political analyst for CNN who also worked in the Nixon, Ford, Reagan and Clinton administrations.

The comparison to Carter, Gergen said, is more of a danger sign for Obama than it is a reality because it shows how the storyline has changed.

When Obama first came into office, observers likened him to some of the most successful presidents in U.S. history, such as Franklin Roosevelt, Gergen said. Now, Obama's also being compared to a president who didn't live up to expectations.

The Carter comparison shows how much polarization has occurred in the country since the election, Gergen said.

Under Carter, there was also a sense of polarization -- but it was in the president's party. The liberal wing of the Democrats felt abandoned to the point that Sen. Edward Kennedy, one of the top liberals in Congress, challenged Carter in his 1980 re-election bid. Kennedy came up short, but his bid severely weakened Carter and contributed to his eventual defeat in the 1980 election to Reagan, Riley said.

While the similarities are not lost on Riley, what's more telling is the "most important mistake that [Obama] didn't make."

When Carter took office, there were Democrats with executive branch experience available, but he didn't want to use them. "Carter was criticized for bringing in the 'Georgia Mafia,' " Riley said, referring to Carter's decision to give key positions to people from his home state.

Obama, however, stacked his bench with pros from the Clinton administration. He brought in some advisers from Chicago, Illinois, some from Washington and others such as Chief of Staff Rahm Emanuel with deep ties to both places.

That move was critical, Riley said, "because if you've got seasoned people in these positions, they're much more likely to make adjustments and to know Capitol Hill in a way that will allow them to weather the kinds of problems that were common to both Carter and Obama."

John Geer, a Vanderbilt University political scientist, said the comparisons to Carter are weak.

"Jimmy Carter is a very rare exception in American history. Most first-term presidents get a second term," he said, adding that it's especially rare since Carter's term came on the heels of previous Republican rule.

President George H.W. Bush also served one term, but it came after eight years of Republican control of the White House.

The more analogous comparison so far, Geer said, is to Reagan, who also entered the White House with a full plate of foreign policy problems -- mostly surrounding the Cold War -- and a major economic crisis at hand.

Reagan was a gifted politician, Geer said. He was known as an inspiring communicator, and his appeal crossed party lines. Like Obama, polls showed that Reagan was more popular than his policies. More than 20 years after he left the White House, Republicans still look to him as the last great face of the party.

"Reagan continues to be the touchstone, the smiling Buddha figure. Everybody rubs his belly for good luck," Langston said. "Like the smiling Buddha, he is whatever you want him to be."

In his book "The Audacity of Hope," Obama wrote that although he and Reagan had differing political viewpoints, he understands the Republican president's appeal.

"Reagan spoke to America's longing for order, our need to believe that we are not simply subject to blind, impersonal forces but that we can shape our individual and collective destinies, so long as we rediscover the traditional values of hard work, patriotism, personal responsibility, optimism, and faith," he wrote.

Gergen, who was director of communications for Reagan, said the comparisons to Reagan are strained because of their opposite governing styles. Where as Obama tries to draw consensus, Reagan drew lines, he said.

"Reagan was a conviction politician, and Barack Obama is a consensus-seeking politician," Gergen said. "Barack Obama was a magical figure in his campaign, ran an extremely good campaign, but also based it more on the sense of hope and change as ideas, the particular policy solutions, à la Reagan."

Martin Anderson, an economic policy adviser to Reagan, said Obama and Reagan faced similar problems in their first year but approached them with different solutions.

Faced with an economic crisis, Reagan's strategy was to reduce taxes, let the American people figure out what to do and then find out what went wrong, Anderson said.

After Reagan cut taxes in his first year, there were no immediate changes. "It looked terrible, and it didn't look very good during the second year. And then it began to catch and it worked ... and it was really terrific on the third and the fourth and the fifth and so on," Anderson said. As for Obama's approach to country's economic woes -- it's too early to tell what will happen, he said.

In his first few months in office, Reagan also went through a game-changing experience that had ramifications for both him and the country: He got shot.

"He came very close to dying. It was right down next to his heart. Just stunned everything, stunned everybody," Anderson recalled.

But within weeks, Reagan was back at work -- with a positive attitude and good sense of humor.

"And the Democrats -- after he came to life again -- they took a deep sigh and said, 'OK, you can do whatever you want,' " Anderson said.

As tragic as the 1981 assassination attempt was, Reagan's quick recovery -- and the sympathy from Democrats -- provided momentum for the president's agenda.

"The first year is a very tough year for any president," Anderson said, noting that each year thereafter is "dramatically different." Asked what he thinks about comparisons to Carter and Reagan, Anderson replied, "You know who he looks like? Obama."

Looking to administrations past, Obama can learn a valuable lesson, Gergen said.

"Don't spend time wallowing in arguments about who you might be -- spend time worrying about who you are and worrying about governing."

The similarities between Obama and his predecessors, while interesting to discuss, are not foreboding, Riley said.

"There is no exact historical parallel to what we are looking at right now. There are bits and pieces here and there," he said. It's impossible, however to take those similarities and "piece out from them a guaranteed scenario that he is going to end up in the same place."

That idea, he said, is perhaps best summed up in a quote attributed to Mark Twain: "History doesn't repeat itself, it rhymes."

@highlight

Presidents Obama, Carter both elected at a time when voters wanted change

@highlight

Analyst: Carter comparison shows how expectations have changed since Obama's win

@highlight

Obama, Reagan faced similar problems but approached them differently, Reagan aide says

@highlight

Obama should worry about who he is, not who he might be, analyst David Gergen says