(CNN) -- The technology industry often finds itself pontificating about the future, but the busy news cycle this year gave us plenty to discuss.

Very influential tech pioneers died; cyber-security cost companies billions of dollars; and trends in electronics and on the Web provided new tools and created new challenges.

Smartphones and tablets each grew so immensely this year that we decided to give them their own mobile year-in-review list.

As for future talk, there were plenty of bold, futuristic initiatives that did not quite bear fruit this year.

The seeds of Hewlett-Packard's mobile strategy, Google's plans for Motorola post-acquisition, Intel's 3-D silicon transistors and mobile payment systems like Google Wallet were planted this year. But those stories were left off of this list because their products did not reach a mass market in 2011. Look for those to make big splashes in 2012.

These 10 stories in 2011 had a huge impact that could resonate for many years:

1. Steve Jobs dies

From humble middle-class roots to running the most valuable tech company in the world, Apple co-founder Steve Jobs was powerful and revered. His death on October 5 after a long battle with cancer made waves around the world.

Public grieving could be seen outside Apple's hundreds of stores, where fans left flowers, candles and written notes of tribute. His authorized biography by Walter Isaacson, which came out in November, instantly became a bestseller.

At Apple, Jobs helped create the personal computer industry, and built a team that worked with him to design mega hits like the iMac, iPod, iPhone and iPad. He also found time to lead Pixar Animation Studios, the "Toy Story" creator that the Walt Disney Co. paid $7.4 billion to acquire in 2006.

The fast-paced tech industry halted for a moment after Jobs' death this year, prompting business and world leaders to speak publicly about his impact. It may never be the same after.

2. Social media's role as a tool for protestors

Much praise was heaped on Facebook, Twitter and YouTube after they played a role in the Arab Spring, a series of protests in the Middle East that started late in 2010.

Use of social networks to spread the word about demonstrations persisted this year, especially in the Egyptian uprising that toppled longtime President Hosni Mubarak.

In London, participants in riots used BlackBerry Messenger.

Micro reports from Occupy Wall Street and other U.S. protests frequently popped up on Twitter.

Perhaps in a nod to those events, Facebook CEO Mark Zuckerberg said onstage at his conference this year, "We exist at the intersection of technology and social issues."

3. Hackers

The Guy Fawkes mask, a stark white symbol of political upheaval, can be seen at many Occupy protests, but the accessory from the movie "V for Vendetta" was adopted earlier by an online group called Anonymous.

Members of the loosely organized group emerged from the Internet underground this year with a series of politically fueled computer attacks on churches, e-commerce and banks. A sister group called Lulz Security staged its own hacks before quickly vanishing.

After Sony's online networks had been hacked, researchers discovered a file planted on one of its servers containing the Anonymous chant, "We are legion." The word "hack" was so ingrained in people's vernacular after all of these incidents that it became a catchphrase anytime a site was down or an account password had been stolen.

4. Tablet market gets dozens of new entrants

The decade-old tablet PC market received a jolt with new products this year, sparked by the massive success of Apple's iPad.

Electronics makers tried to figure out whether consumers were looking for tablets or just iPads. Google, with its Android tablets, and Research in Motion, with the BlackBerry PlayBook, were not pleased with the answer.

Amazon.com may have cracked the formula with its $199 Kindle Fire. It has been selling about a million devices each week since it debuted in November. Hewlett-Packard only managed to attract meaningful sales to its TouchPad when it ran a $99 fire sale to clear inventory.

5. Facebook and partners add 'frictionless' sharing

What do you call it when someone you know finds out something about you without you telling them?

Facebook calls it "frictionless," and companies that have implemented the feature, including some music-streaming services and news publishers, have found a great promotional vehicle.

Still, many are opposed to their private reading habits being broadcast instantly to their Facebook pages. Zuckerberg is convinced people will continue publishing more about themselves online each year -- now, whether they actively choose to or not.

6. Patent wars

The biggest names in mobile, including Apple, Google, HTC, Microsoft, RIM and Samsung, have engaged in a giant game of patent Risk.

These companies have filed lawsuits and countersuits in countries around the world to seek licensing agreements or block the sale of rivals' products. Google has said that its $12.5 billion acquisition of Motorola Mobility was to gain the phone maker's stockpile of patents.

Check with your local government about whether you can legally buy a Galaxy Tab in stores this week.

7. Google+

People are spending more of their time on social networks than searching the Web. In other words, more Facebook and less Google.

So Google created its own Facebook-like environment in Google+. Users can share photos and browse friends' updates.

Google+ got off to a promising start, but Facebook has had a long lead. Google asserts that its social network is key to the future of the company. That's a big bet.

8. Apple becomes the most valuable company in the world

When Jobs returned to Apple in 1997, he said the company was weeks away from bankruptcy. Over the next decade, he orchestrated a masterful turnaround that culminated in Apple briefly becoming the world's most valuable company by market capitalization.

Exxon Mobil has reclaimed a sizable lead, but that shouldn't undermine how effective Apple has been in creating a lust for gizmos. The ultra-thin iPad 2 has done gangbusters, and the iPhone 4S, with Siri, has introduced voice-command services to a wider audience this year.

9. IBM's Watson beats human champs on 'Jeopardy!'

At times, the Watson computer, built by IBM, failed to understand some nuances of the English language, prompting mocking laughter.

However, as the world had learned when IBM's Deep Blue defeated chess champion Gary Kasparov, computers aren't clueless. Watson proved that two smart men, Ken Jennings and Brad Rutter, were no match for banks of servers running artificial-intelligence software.

10. Spotify and Facebook take on digital music

With iTunes and iPod, Apple had a strong formula for dominating the digital music industry. Amazon and Google haven't made a dent.

But Spotify has proved itself as a worthy opponent in Europe, and after years of negotiations with the record labels, it finally hit U.S. shores this year.

Facebook Music, a page that shows what friends are listening to, has helped introduce wider audiences to on-demand streaming services like Spotify, MOG, Rdio and Rhapsody.

@highlight

In 2011, perhaps no news story was bigger than the death of Steve Jobs

@highlight

Social media was used heavily to organize protest around the world

@highlight

Mysterious hacker groups rose to prominence in 2011