Washington (CNN)A pillar of President Barack Obama's global anti-terrorism strategy is in peril as sectarian chaos consumes Yemen, a vital U.S. ally where chronic instability allows the deadliest surviving al Qaeda franchise to flourish.

Iran-backed rebels of the Shiite Houthi sect sparked alarm in Washington after seizing a presidential palace in the volatile Sunni-majority nation, in what officials called a coup.

There are now signs that the rebels -- which have been resistant to American anti-terror efforts despite a common antipathy to al Qaeda --  and the U.S.-backed government of President Abdu Rabu Mansour Hadi have agreed a deal to end the crisis.

But the situation remains volatile and a reminder of how the intricate, shifting and treacherous tribal and sectarian divides of the Middle East often confound U.S. efforts to frame coherent anti-terror policy.

Obama has spent much of his administration sponsoring a political transition designed to restore stability in Yemen and to cap the sectarianism that sustains al Qaeda in the Arabian Peninsula (AQAP).

Washington has offered counter-terrorism training to the government in the Yemeni capital Sanaa and has also mounted a campaign of drone strikes against key AQAP leaders.

The group is regarded by U.S. officials as the most potent offspring of Osama bin Laden's jihadist movement and has claimed responsibility for the attack on the French satirical magazine Charlie Hebdo this month.

AQAP also almost succeeded in bringing down a United States commercial jet over Detroit on Christmas Day 2009, and has tried to attack the U.S. mainland on at least two other occasions.

The group's potential was underlined in a video released on Wednesday in which a senior leader of AQAP in Yemen, Nasser bin Ali al-Ansi, said it was better for jihadists to wage war in their home nations, rather than fighting on the front lines in Syria.

The message will alarm Western governments fearful that Muslim extremists radicalized at home or who have fought in Syria, Iraq or Yemen are plotting new attacks in the wake of the Paris carnage.

RELATED: Yemeni government, rebels reach tentative agreement, source says

CNN's Brian Todd reported that meanwhile, ISIS -- al Qaeda's jihadist rival -- was now also beginning to establish a presence in the country.

Yemen, which borders the Red Sea and the strategically important Gulf of Aden -- a major oil transit route -- sits next to key U.S. allies, Saudi Arabia and Oman.

But it is also important rhetorically for the Obama administration. In a speech in September on combating ISIS, Obama held up U.S. operations in Yemen as an example for a new anti-terror doctrine which does not rely on sending troops into dangerous foreign quagmires.

"This strategy of taking out terrorists who threaten us, while supporting partners on the front lines, is one that we have successfully pursued in Yemen and Somalia for years," Obama said.

Obama vowed to use "force against anyone who threatens America's core interests, but to mobilize partners wherever possible to address broader challenges to international order."

The obvious problem with that strategy is that it needs secure, powerful local partners to have a hope of working.

In failed states like Syria and Yemen, those partners often do not exist, or are, like Hadi, are deeply vulnerable.

Stephen Seche, a former career foreign service officer, who served as U.S. Ambassador to Yemen between 2007 and 2010, said the current situation was bad news for the White House.

"The Hadi government has been a good partner of ours in the counter-terrorism arena," he said. "If you move President Hadi from the equation, then I think all bets are off in many respects."

After fighting raged in the streets of Sanaa, and a U.S. diplomatic vehicle was caught in the crossfire, the Pentagon moved two ships within range of the country in case the State Department gives the order for an evacuation of the embassy.

With memories of the raid by extremists on U.S. compounds in Benghazi on Sept. 11, 2012, which killed four Americans still haunting the administration, and fears of a hostage drama, no one wants to take chances.

SEE ALSO: ISIS gaining ground in Yemen

But the White House faces a tough decision as it seeks to preserve limited influence that it still has on the ground in Yemen.

"If we were forced to close down in Sanaa, the embassy, this would be a major foreign policy defeat," CNN intelligence analyst Robert Baer told Wolf Blitzer. "We need a government in that country to crack down on al Qaeda. You cannot do this from the air, or the National Security Agency [cannot just] intercept intelligence.

"We need a strong central government -- whether it is a Houthi one or an independent one."

White House spokesman Josh Earnest said Wednesday that the safety of embassy personnel in Sanaa was a top priority. He also made clear that preserving anti-terror cooperation in Yemen was also vital.

But the long-term U.S. diplomatic posture in Yemen is unclear.

The fact that al Qaeda is a common enemy of Washington and the Houthis raises the intriguing suggestion of possible cooperation.

But any tie up would likely be tacit and covert, and Washington would have trouble publicly recognizing any Houthi regime.

Mohammed Albasha, a spokesman for the Yemeni embassy in Washington said, "Americans should care about the Houthis."

"We need to find out a way for the Houthis and the government to co-exist ... they are now a fact of life," he told CNN.

Charles Schmitz, an expert on Yemen and professor at Towson University, said the fallout from the apparent coup against Hadi was a mixed bag for the United States.

"The Houthi are virulently anti-al Qaeda. They have gone after al Qaeda like no one has before. There is a certain coincidence of interest with the U.S. with the Houthis against al Qaeda," he said. "The Houthi have done nothing to even slightly irritate the Americans. they have been very careful not to do anything like that. The Americans are very much leaving the door open."

Kamran Bokhari, an adviser on Middle Eastern and South Asian Affairs for Stratfor, a global intelligence and advisory firm, said that the Houthi movement could not be ignored.

"It is not clear to me to what extent Washington has relations with the Houthi movement. But now effectively the Houthis are kingmakers. While they do not dominate Yemen, they control the largest piece of real estate and they are the single-largest group," Bokhari said.

The level of Iran's support for the Houthi movement, beyond rhetorical backing is in question. Tehran's intelligence resources are already stretched by the Syrian crisis and its finances have been hampered by western nuclear sanctions and the fall in the price of oil.

Iran, however, has spent years spreading its influence throughout the region in its wider proxy battle with its rival Saudi Arabia, an important U.S. ally, and now sponsors or heavily influences governments or key political forces in Damascus, Beirut and Baghdad, as well as Sanaa.

The complex web of tribal and sectarian forces scrambling alliances and traditional alliances in Yemen represent the region in microcosm and reflects massive challenges facing U.S. officials in search of a working policy.

"We don't have a lot of leverage in there at the moment," Seche said.

"There are so many forces and counter forces at play -- none of which we or anyone controls effectively," he said.

"There are currents and issues and long standing hostility they are going to have to work themselves to some extent."

As violence flares, 7 things to know about Yemen

@highlight

Houthi "coup" puts U.S. anti-terror cooperation in Yemen in doubt

@highlight

Most feared al Qaeda franchise uses Yemen as haven