Creativity, the ability to see things differently and come up with new breakthroughs, isn't some God-given gift to be enjoyed by the lucky few. It's a natural part of human behavior. Unfortunately, sometimes creativity gets blocked and we lose confidence in our own ability to create.

Albert Bandura is one of the great psychologists: Only Freud, Skinner and Piaget have been cited more. Bandura is 86 now and he still works at Stanford.

One day we met on campus and got to talking about this methodology he'd developed to cure phobias, called "guided mastery." I mean, Bandura's methodology didn't just cure people with a lifelong fear of snakes; it affected other parts of their lives.

Watch David Kelley's TED Talk: How to build your creative confidence

First Bandura would invite the person with the fear of snakes into a room and say, "You know, there's a snake in the next room and we're going in there." To which they usually responded, "Hell no, I'm not."

Then he'd have the person stand in front of a two-way mirror looking into the room where a friend of theirs was holding a snake. Gradually, the person would start to feel more comfortable. Many small steps later, eventually they wouldn't just be in standing in the same room as a snake, they'd be wearing leather gloves, getting ready to actually touch one. And as soon as someone with a phobia of snakes actually touched a snake in that room, they were fine. Better than fine.

TED.com: Elizabeth Gilbert on nurturing creativity

In fact, the people who had touched the snake ended up having less anxiety and more success elsewhere in their lives. They tried harder, they persevered longer, and they were more resilient in the face of failure. They had gained a new confidence in their ability to attain what they set out to do. Bandura calls that confidence "self-efficacy," and it could possibly change the world, one person at a time.

Well, meeting Bandura was really cathartic for me, because I realized that this famous scientist had scientifically validated something we'd been seeing for the last 30 years. At IDEO and the d.school (Stanford's school of design), we meet people from all kinds of businesses.

A lot of these highly skilled people have spent years honing their analytical, practical mind -- but they can't remember the last time they created something new. They say things like, "I'm afraid I'm just not the creative type." We've found that we can help people regain their creative confidence through a series of small successes that take fear and turn it into familiarity.

Even better, when people regain this creative confidence -- and we see it all the time at the d.school and at IDEO -- we've found that they start working on the things that are really important in their lives. They go in new directions. They come up with more interesting, more prolific ideas, so they can choose from better options. And they make better decisions.

TED.com: Ken Robinson says schools kill creativity

To me, that journey to creative confidence looks like Doug Dietz.

Doug Dietz is a technical person. He designs life-saving, award-winning medical imaging equipment, MRI machines, and he's had a fantastic career at GE. But at one point Doug had a moment of crisis. He had come to a hospital to observe one of his MRI machines in use and met a young family whose little girl was so terrified of the MRI that she had to be sedated before getting a scan. Then Doug found out she wasn't the only one. Nearly 80 percent of the pediatric patients in this hospital had to be sedated in order to deal with the scary MRI machine.

Around that time he was taking classes at the d.school, learning about design thinking, about empathy, about iterative prototyping. And he decided to take his new creative confidence and do something quite extraordinary. He decided to redesign the entire experience of being scanned.

He painted the walls and he painted the machine, and he had children's museum people retrain the operators, and he turned the MRI experience into an adventure story for kids. Now when a kid comes in, they're in a story, not a machine. The operators say things like, "Okay, you're going to go into the pirate ship, but be very still because we don't want the pirates to find you."

Because of Doug's MRI redesign, this pediatric ward went from 80 percent of the kids needing to be sedated, to something like 10 percent. The hospital and GE were happy too, because less anesthesiologist time meant more patients could finish in one day. So the quantitative results were great. But the results that Doug cared about were much more qualitative: He was waiting with a young family one day when a little girl came out of her scan, ran up to her mother, and said, "Mommy, can we come back tomorrow?"

TED.com: 5 dangerous things you should let your kids do

Doug's story takes place in a hospital. I know a thing or two about hospitals, too. A few years ago I felt a lump on the side of my neck, and it was my turn in the MRI machine. It was cancer. I was told I had a 40 percent chance of survival.

So while you're sitting around with the other patients in your pajamas and everybody's pale and thin and you're waiting for your turn to get the gamma rays, you think about a lot of things. Mostly you think about, "Am I going to survive?" But you think about other things, too, like, "What was I put on Earth to do?" At this point I knew that if I survived, my purpose was to help as many people as possible regain the creative confidence they lost along their way.

So I hope you'll join me on my quest. Let's not let people divide the world into the creatives and the non-creatives, like it's some God-given thing. Let's help people realize that they're naturally creative, and they should let their ideas fly. Achieve what Bandura calls self-efficacy.

Find the belief that you can do what you set out to do. Believe that you can reach a place of creative confidence. Touch the snake.

Follow @CNNOpinion on Twitter

@highlight

David Kelley: Creativity isn't something that only a few can do, it's natural human behavior

@highlight

He says sometimes creativity gets blocked and we lose the confidence to create

@highlight

A series of small successes can help people develop creative confidence, he says

@highlight

Kelley: Creativity can turn the world around, as it did at an MRI unit for sick children