Tokyo (CNN) -- Japanese authorities trying to stave off meltdowns at an earthquake-damaged nuclear power plant reported more grim news Tuesday as radiation levels soared following another explosion at an overheating reactor.

The risk of further releases of radioactive material from the Fukushima Daiichi nuclear power plant remains "very high," Japanese Prime Minister Naoto Kan said Tuesday. In addition to an explosion at the No. 2 reactor, the building housing the No. 4 unit -- which had been shut down before Friday's earthquake -- was burning Tuesday morning, Chief Cabinet Secretary Yukio Edano announced.

The plant's owners, the Tokyo Electric Power Company, evacuated all but about 50 of their workers from the plant following Tuesday's explosion at the No. 2 reactor. Radiation levels at the plant have increased to "levels that can impact human health," Edano said -- between 100 and 400 millisieverts, or as much as 160 times higher than the average dose of radiation a typical person receives from natural sources in a year.

Evacuations have already been ordered for anyone living within 20 kilometers (12.5 miles) of the plant, and Edano said anyone between 20 and 30 kilometers (between 12.5-18.6 miles) should remain indoors. At least 500 residents were believed to have remained within the 20-kilometer radius Monday evening, Edano said.

Edano spoke more than four hours after an explosion at the No. 2 reactor, the third blast in four days. The cooling system at that unit was damaged by a hydrogen explosion at the No. 3 unit on Monday, and workers had been attempting to keep temperatures at unit 2 in check by pumping seawater into the reactor ever since.

The "explosive impact" took place shortly after 6 a.m. Tuesday (5 p.m. Monday ET), TEPCO said. Pressure readings indicated some damage to the No. 2 reactor's suppression pool, a donut-shaped reservoir at the base of the reactor containment vessel.

"We are continuing the water injection into the pressure vessels, but the operators who are not directly engaged in this operation are being evacuated to safer locations," a TEPCO executive told reporters at a news conference Tuesday morning.

Monday's hydrogen explosion at reactor No. 3 injured 11 people, Japanese authorities said. A similar hydrogen explosion on Saturday blew the roof off the containment structure around the No. 1 reactor and hurt four people.

Edano said earlier that he could not rule out the possibility of a meltdown at all three troubled reactors at the plant.

The buildup of hydrogen in the reactor vessels is "the first sign that things are going haywire," said Kenneth Bergeron, a physicist who used to work at the Energy Department's Sandia National Laboratories in New Mexico. The release of radioactive material such as cesium, a reactor byproduct that has been detected outside the Fukushima Daiichi plant, is another, he said.

"What is fairly clear, from the release of hydrogen and the fission products, is that all of these reactors have probably had fuel rods exposed for significant periods of time over a portion of their length," Bergeron told CNN.

Japan's Nuclear and Industrial Safety Agency said Tuesday that up to 2.7 meters (8.8 feet) of the No. 2 reactor's control rods -- about half -- have been uncovered.

Authorities began pumping a mix of sea water and boron into the No. 2 reactor after Monday's explosion, as they have been doing with units 1 and 3. But the pump ran low on fuel when workers left it unattended, and the water soon burned off and exposed the reactor's fuel rods, allowing them to emit levels of heat and steam that can melt the reactor's core.

When that problem was resolved, Edano said, a new problem sent the water levels plummeting again. A valve that was supposed to be open to allow the heat and steam to escape was closed, causing pressure to build up inside the reactor building, according to TEPCO. But pumping had resumed by early Tuesday, Edano said.

If the effort to cool the nuclear fuel inside the reactor fails completely -- a scenario that experts who have spoken to CNN say is unlikely -- the resulting release of radiation could cause enormous damage to the plant, and possibly release radiation into the atmosphere or water. That could lead to widespread cancer and other health problems, experts say.

But Bergeron said that while it is likely the reactor cores have been damaged, "it will have to get a lot hotter" for the dense uranium in the reactor's fuel rods to melt down. That would give authorities and the surrounding population time to prepare.

"I believe they would be able to tell from various signals having to do with release of radioactivity and other things that things were a lost cause, you might say, and they might start initiating additional evacuations," Bergeron said.

"There would be warning, but we're talking massive, massive responses required," he added.

About 200,000 people have evacuated the area following a government order over the weekend.

And low levels of radiation were detected at least as far as 100 miles (about 160 kilometers) northeast of the plant, according to the U.S. Navy, which repositioned ships and planes after detecting low-level "airborne radioactivity." Tests also detected low levels of radioactivity on 17 U.S. Navy helicopter crew members when they returned to the aircraft carrier USS Ronald Reagan, but no further contamination was detected after the crew members washed with soap and water, the Navy said.

The Navy said the maximum potential radiation dose received by any ship personnel when it passed through the area was "less than the radiation exposure received from about one month of exposure to natural background radiation from sources such as rocks, soil, and the sun."

The United States has sent a team of 10 experts from the Nuclear Regulatory Commission, including two cooling experts, to assist the Japanese, the NRC announced Monday night. Two were sent Saturday, and the rest left Monday, the agency reported.

NRC Chairman Greg Jaczko said Japan has asked for additional types of equipment that will help provide water and keep the reactors cool. But based on the reactor design and nature of the accident, there is very low probability of any harmful radiation levels reaching the United Sates, including Hawaii and U.S. Pacific territories, Jaczko said.

CNN's Stan Grant, Steven Jiang, and Sabriya Rice contributed to this report.

@highlight

NEW: Dangerous levels of radiation reported at Fukushima Daiichi

@highlight

NEW: No. 4 reactor is burning after explosions at units 1-3

@highlight

A new explosion hits the No. 2 reactor Tuesday morning

@highlight

A Monday explosion at reactor No. 3 injured 11 workers