(CNN) -- Author John Updike, regarded as one of the greatest and most prolific writers in modern American letters, died Tuesday, his publicist said. He was 76.

John Updike won many literary awards. His books, such as "The Witches of Eastwick," were also best-sellers.

Updike passed away Tuesday morning after battling lung cancer. He lived in Beverly Farms, Massachusetts.

"He was one of our greatest writers, and he will be sorely missed," said Nicholas Latimer, vice president of publicity at Updike's publisher, Alfred A. Knopf.

Updike was a rarity among American writers: a much-esteemed, prize-winning author whose books -- including "Rabbit, Run" (1960), "Couples" (1968), "The Witches of Eastwick" (1984) and "Terrorist" (2006) -- were also best-sellers. Updike won the Pulitzer Prize twice: for "Rabbit Is Rich" (1981) and its successor, "Rabbit at Rest" (1991). iReport: Share your tributes to John Updike

The "Rabbit" series, about an angst-ridden car dealer in a town much like Updike's hometown of Shillington, Pennsylvania, spanned four novels, a novella and four decades. In the books -- which also included 1971's "Rabbit Redux" and a 2001 novella, "Rabbit Remembered" -- onetime basketball star Harry "Rabbit" Angstrom negotiates marriage, divorce, wealth and health problems, never quite understanding the larger forces shaping his life.

"Rabbit is not a character calculated to inspire affection, but he is an unflinchingly authentic specimen of American manhood, and his boorishness makes his rare moments of vulnerability and empathy that much more heartbreaking," wrote Time's Lev Grossman in naming "Rabbit, Run" to Time's "All-Time 100 Novels" list.

Updike was incredibly prolific, penning essays, reviews, short stories, poetry and memoirs. His works frequently appeared in The New Yorker, including a famed 1960 essay about Ted Williams' final game, "Hub Fans Bid Kid Adieu."

"No writer was more important to the soul of The New Yorker than John," said David Remnick, the editor of the magazine, in a statement. "Even though his literary career transcended any magazine -- he was obviously among the very best writers in the world -- he still loved writing for this weekly magazine, loved being part of an enterprise that he joined when he was so young.

"We adored him,"  Remnick continued. "He was, for so long, the spirit of The New Yorker and it is very hard to imagine things without him."

The magazine said that Updike had written 862 pieces for it over the years, including 327 book reviews, 170 short stories and 154 poems.

He was well-regarded in his adopted home state of Massachusetts.

"John Updike's place among America's literary greats is forever secure, as is his special place in every Red Sox fan's heart for his magnificent 'Hub Fans Bid Kid Adieu,' " Sen. John Kerry (D-Massachusetts) said in a statement. "We honor his memory and his contributions, and Massachusetts today bids him a sad and wistful adieu of our own."

Updike never won a Nobel Prize, but one of his characters, Henry Bech, received one in "Bech at Bay" (1998).

His works, particularly given their sexual content, could be as divisive as they were poetic. Many critics accused him of misogyny, and others accused him of using his graceful prose to cover thin subject matter -- and Updike put out his prose by the ream.

"It seems to be easier for John Updike to stifle a yawn than to refrain from writing a book," the literary critic James Wood wrote in the London Review of Books in 2001.

But his frank discussion of sex also garnered him many readers, the cover of Time magazine (for 1968's "Couples") and a lifetime achievement Bad Sex in Writing award from Great Britain's Literary Review.

He was criticized by Norman Mailer, hailed by fellow author (and Updike obsessive) Nicholson Baker in "U and I" and even appeared as an animated version of himself on a "Simpsons" episode as the ghostwriter of a Krusty the Klown book.

"[I] was flattered to be asked to be one of the many voices that they worked into the endless saga of Springfield," Updike said, noting that the hardest part of his performance was "producing a chuckle."

John Hoyer Updike was born March 18, 1932, in Reading, Pennsylvania, and grew up in Shillington. From an early age he took to reading and writing, and earned a full scholarship to Harvard, where he headed the Harvard Lampoon. Upon graduation, he accepted a one-year fellowship to Oxford University in England. By the time he was 23, he had been offered a position at The New Yorker, which was to become his literary home over the next 50-plus years.

Updike's first novel, "The Poorhouse Fair," came out in 1959. The next year, in "Rabbit, Run," he introduced Angstrom, who was to become one of the most famous characters in American fiction.

When introduced, Rabbit is a man fleeing his pregnant wife, the songs on the car radio reflecting both the era and his life. Over the course of the "Rabbit" books, the character would routinely infuriate his spouse, mistresses and offspring, try to make things right, and never quite succeed.

His attitude didn't help. "Men are all heart and women are all body. I don't know who has the brains. God maybe," the character said in "Rabbit, Run."

"Rabbit, Run" was successful, as were Updike's other '60s books, including "The Centaur" (1963), which featured a teacher much like Updike's father, and the short story collection "The Music School" (1966). But it was "Couples" that made Updike a household name. The book, about a group of spouses engaging in the sexual revolution in suburban Massachusetts, became a No. 1 best-seller.

Updike's interests ranged widely. He wrote about an African state in "The Coup" (1978). He discussed the relationship between science and religion in "Roger's Version" (1986). He revisited "Hamlet" in "Gertrude and Claudius" (2000). And he created a group of promiscuous witches in "The Witches of Eastwick" (1984), which became a hit movie in 1987 starring Jack Nicholson as the devil.

Though Updike's work routinely sold well, he was painfully aware of the decline of what's come to be called "literary fiction." In a 2000 interview with Salon, he lamented its difficulties.

"When I was a boy, the best-selling books were often the books that were on your piano teacher's shelf. I mean, Steinbeck, Hemingway, some Faulkner. Faulkner actually had, considering how hard he is to read and how drastic the experiments are, quite a middle-class readership," he said. "But certainly someone like Steinbeck was a best-seller as well as a Nobel Prize-winning author of high intent. You don't feel that now."

And yet, Updike himself never lost his zest for the written word, and the pleasure brought by jotting, tuning, refining -- creating -- a new story, even as the years drifted by.

"An aging writer has the not insignificant satisfaction of a shelf of books behind him that, as they wait for their ideal readers to discover them, will outlast him for a while," he wrote in AARP The Magazine late last year. "The pleasures, for him, of book-making ... remain, and retain creation's giddy bliss. Among those diminishing neurons there lurks the irrational hope that the last book might be the best."

Updike's most recent novel, "The Widows of Eastwick," came out in 2008. A collection of stories, "My Father's Tears and Other Stories," is due out later this year.

@highlight

John Updike, author of "Rabbit" books and "The Witches of Eastwick," dies

@highlight

Updike, 76, had been suffering from lung cancer

@highlight

Pulitzer Prize winner was titan of American letters