Earthquake experts worldwide expressed shock at the manslaughter convictions of six Italian scientists who failed to predict the deadly L'Aquila quake, warning that the decision could severely harm future research.

Two scientists resigned their posts with the government's disaster preparedness agency Tuesday after a court in L'Aquila sentenced six scientists and a government official to six years in prison. The court ruled Monday that the scientists failed to accurately communicate the risk of the 2009 quake, which killed more than 300 people.

Luciano Maiani, the physicist who led the National Commission for the Prediction and Prevention of Major Risks, resigned in protest of the verdict Tuesday afternoon, Italy's Civil Protection Agency announced.

"The situation created by the sentencing yesterday on the facts from L'Aquila is incompatible with a clear and effective performance of the functions of the commission and its role as a consulting bodies for the state," Maiani said in a statement released by the agency.

In addition, Mauro Dolce quit as director of the office that monitors volcano and earthquake threats, the agency said. Dolce will be given another post, it said.

Seismologists were aghast at the court's decision, noting that earthquakes remain impossible to forecast with any kind of accuracy.

"To predict a large quake on the basis of a relatively commonplace sequence of small earthquakes and to advise the local population to flee" would constitute "both bad science and bad public policy," said David Oglesby, an associate professor in the Earth sciences faculty of the University of California, Riverside.

"If scientists can be held personally and legally responsible for situations where predictions don't pan out, then it will be very hard to find scientists to stick their necks out in the future," Oglesby said in a statement.

Prosecutors argued that the scientists gave "inaccurate, incomplete and contradictory information about the dangers" facing L'Aquila at a meeting a week before the magnitude-6.3 quake. The experts determined that it was "unlikely" but not impossible that a major quake would take place, despite concern among the city's residents over recent seismic activity.

The court agreed, finding the six scientists from the National Institute of Geophysics and Volcanology and a member of the Civil Protection Agency guilty and ordering Italian authorities to pay 7.8 million euros ($10 million) in damages.

"It's chilling that people can be jailed for giving a scientific opinion in the line of their work," Roger Musson, the head of seismic hazard and archives at the British Geological Survey, wrote in a comment published on the organization's Twitter feed.

Comments from one of the defendants -- Enzo Boschi, former president of the National Institute of Geophysics and Volcanology -- suggested that the scientists were shell-shocked by their conviction.

"I'm dejected, despairing. I still don't understand what I'm accused of," Boschi said after the ruling, according to ANSA, Italy's official news agency.

Boschi and the six others convicted Monday will remain free during the appeal process.

The Italian geophysics institute expressed "regret and concern" about the verdict in a statement Monday. It said the ruling "threatens to undermine one of the cornerstones of scientific research: that of freedom of investigation, of open and transparent discussion and sharing of results."

Some experts have argued that the issue was a failure of communications, not calculations. Domenico Giardini, who held Boschi's old job at the institute for several months, said last year that the trial was about "the number of weak points in the communication chain."

"We all have to work on new, and more clear, protocols, on the transfer of information," said Giardini, who now conducts research in Switzerland.

Survivors of the 2009 quake, some of whom who lost relatives or property in the disaster, have voiced anger at the officials who downplayed the risks despite the worries expressed by residents.

"I can understand the grief of people who lost loved ones and the frustration that people feel when terrible events happen, especially ones outside their control," Oglesby said. "Convicting honest scientists of manslaughter does nothing to help this situation and may well put a chill on exactly the kind of science that could save lives in the future."

The ruling may well change the way experts disclose their opinions, according to David Spiegelhalter, a professor specializing in the public understanding of risk at Cambridge University in Britain.

"L'Aquila trial shows public scientists need to take media communication very seriously," he wrote on his Twitter account. "And get indemnity."

@highlight

Italian scientists quit government posts over L'Aquila convictions

@highlight

Seismologists say the decision sets a dangerous precedent

@highlight

The 2009 earthquake killed more than 300 people in L'Aquila

@highlight

Prosecutors argued scientists gave residents "incomplete and contradictory" information