Washington (CNN) -- House Republicans offered their own proposal Monday in the heated battle to avert the so-called fiscal cliff, but it was quickly rebuffed by President Barack Obama's administration for not demanding more from the nation's wealthiest taxpayers.

The GOP plan promises $2.2 trillion in deficit savings over the next decade, including $800 billion from tax reform, $600 billion from Medicare reforms and other health savings and $600 billion in other spending cuts, House Republican leadership aides said. It also pledges $200 billion in savings by revising the consumer price index, a measure of inflation.

House Speaker John Boehner called it a "credible plan that deserves serious consideration by the White House."

The move follows spitting back and forth in recent weeks, with each side claiming the other isn't sincere about striking a deal to avoid automatic tax increases and spending cuts in January, a scenario many economists say would hurt the U.S. economy.

Senior Obama administration officials slammed the Republican plan, calling it a step backward in negotiations and not worthy of its own counteroffer because it isn't serious enough.

Opinion: Beware the fiscal cliff deniers

White House spokesman Dan Pfeiffer criticized it for not meeting "the test of balance." Another Obama spokesman, Jay Carney, earlier said the president "will not sign a bill that extends those tax rates for the top 2%," as the GOP proposal would do.

"Until the Republicans in Congress are willing to get serious about asking the wealthiest to pay slightly higher tax rates, we won't be able to achieve a significant, balanced approach to reduce our deficit," Pfeiffer said.

Republicans make budget counter-offer

Republicans offered the plan amid pressure for a House vote -- which Boehner has so far prevented -- on a measure already approved by the Senate to extend tax cuts for families making less than $250,000 a year and to allow rates to return to Clinton-era levels for wealthier households. Lower tax rates set in 2001 and 2003 were extended for two years as part of budget talks in 2010.

In line with his stances during his first term and re-election campaign, Obama's deficit-reduction plan would increase tax revenue by almost $1 trillion over 10 years, a significant cut of a $4 trillion overall deficit reduction goal. In addition to adding a $50 billion stimulus package, his proposal closes loopholes, limits deductions, raises the estate tax rate to 2009 levels and increases tax rates on capital gains and dividends.

Opinion: A tax we could learn to love

Yet Republicans, led by Boehner, have objected to any increase in tax rates, even for the wealthiest Americans. They have said an agreement must include major reforms of entitlement programs such as the Medicare and Medicaid government-run health-care programs for senior citizens, the disabled and the poor.

Their plan offered Monday proposed $800 billion in deficit savings through tax reform, including an unspecified amount of revenue raised by eliminating tax deductions and loopholes.

The GOP letter said the offer is based on a framework proposed last year by Erskine Bowles, a Democrat and one-time White House chief of staff who co-chaired a bipartisan deficit reduction panel appointed by Obama in 2010.

"This is by no means an adequate long-term solution, as resolving our long-term fiscal crisis will require fundamental entitlement reform," the letter said. "Indeed, the Bowles plan is exactly the kind of imperfect, but fair middle ground that allows us to avert the fiscal cliff without hurting our economy and destroying jobs."

GOP, break Grover Norquist's grip on you

In his response, Pfeiffer said the Republican proposal "includes nothing new and provides no details on which deductions they would eliminate, which loopholes they will close or which Medicare savings they would achieve."

"Independent analysts who have looked at plans like this one have concluded that middle class taxes will have to go up to pay for lower rates for millionaires and billionaires," he said.

And Bowles denied any direct connection to the GOP proposal, saying it reflected his view of a middle-ground approach a year ago but "circumstances have changed since then."

"It is up to negotiators to figure out where the middle ground is today," Bowles said.

Recent posturing on both sides -- such as Boehner saying this weekend he was "flabbergasted" by Obama's plan -- reflects mistrust built up over two years of deficit wars that have left Congress with a reputation for dysfunction.

5 ways you would stop the fiscal cliff

In 2011, Republicans demanded major budget cuts before they authorized a hike in the federal debt ceiling, a fight that contributed to a U.S. credit rating downgrade.

The end of that crisis was a temporary fix that set up the current crisis, which sets the stage for sharp and widespread tax increases and the start of budget cuts of $1 trillion over 10 years if there is no agreement.

Experts have said failing to reach a fiscal cliff deal and devise a framework for a broader deficit reduction package to be negotiated when the new Congress is seated in January will cause economic turmoil and threaten the U.S. credit rating. The non-partisan Tax Policy Center estimates that middle-class families would pay about $2,000 a year more in taxes without action.

According to a CNN/ORC International Poll released last week, 56% of respondents said higher taxes were a fair tradeoff if it helps lower-income people, while 36% said taxes should be kept low to create jobs.

Listen: WWJD...about taxes?

Another survey, by ABC News and the Washington Post, showed two thirds of respondents support Obama's call for holding down tax rates for everyone except the wealthiest Americans.

So what happens next? Senior Obama administration officials said Monday the GOP's plan was a nonstarter, primarily because they said it would actually lower tax rates for those in the top 2% income bracket and was too short on specifics.

But even with no more offers officially in the works, both sides will keep talking, the officials said. That may happen as soon as Monday night, when all members of Congress are invited to a holiday reception at which they can talk to, among others, the president himself.

Defense companies see cuts coming even with a budget deal

CNN's Ashley Killough, Adam Levy, Deirdre Walsh and Greg Botelho contributed to this report.

@highlight

House GOP leaders call for some revenue increases, more spending cuts

@highlight

House Speaker John Boehner rejects any increase in tax rates

@highlight

Obama administration officials dismiss the GOP offer as not serious

@highlight

The tax issue has stymied deficit reduction talks for two years