Port-au-Prince, Haiti (CNN) -- French rescue workers pulled a 24-year-old man alive from the rubble of a hotel in Haiti on Saturday, 11 days after an earthquake devastated much of the country.

Wismond Jean-Pierre, who had no visible injuries but was severely dehydrated, was immediately loaded into an ambulance and taken to a hospital for treatment.

Lt. Col. Christophe Renou, a rescuer with the French team, called the three-hour effort "a miracle" as he was briefly overcome with emotion. Other members of the team -- assisted by American and Greek workers -- were seen weeping with joy following the rescue.

"This is God," Frank Louvier, the chief of the French rescue team, said as he pointed to the sky.

Full coverage | Twitter updates

The man's brothers said they reported hearing tapping from within the ruins of the Hotel Napoli Inn for several days but struggled to get authorities to the scene. A Greek journalist said he alerted Greek rescue workers after hearing the tapping for himself.

Jean-Pierre was a clerk at a store in the hotel. After the building collapsed, he searched in the dark and found some soda that sustained him, his brother said. His rescuers told CNN's Christiane Amanpour that cookies and beer were also found in the pocket after Jean-Pierre was rescued.

In video shot by French Civil Protection, Jean-Pierre is seen wriggling out of an opening in the rubble no wider than his shoulders, a big smile on his face as he sees his rescuers for the first time.

Renou said Jean-Pierre was found in a pocket in the rubble and was able to move all of his extremities. A doctor who examined him said Jean-Pierre was protected by a desk.

Renou said Jean-Pierre did not say much when he was pulled out but indicated that there were three or four people around him when the building collapsed. However, Jean-Pierre told rescuers he had not heard any sounds around him for a couple of days. Workers were going into the rubble with radar equipment to check for any other possible survivors.

The emotional rescue came a day after the Haitian government said that more than 111,000 people died in last week's earthquake.

It is the worst death toll from an earthquake since the 2004 Asian tsunami and the second-highest death toll from an earthquake in more than three decades, according to the U.S. Geological Survey.

Meanwhile Saturday, much of Haiti was mourning as rescue operations turned into recovery missions and the country's president attended the funeral of an archbishop who was one of the victims.

A Mexican rescue team pulled the body of 63-year-old Monsignor Joseph Serge Miot from ruins near the national cathedral, which he oversaw as archbishop of Port-au-Prince. The cathedral was destroyed.

Read more about the funeral

At the funeral, President Rene Preval was asked to respond to criticism that he has not shown strong public leadership and been largely unseen in the aftermath. "This is not about politics today," he said.

Friday night's star-studded "Hope for Haiti" telethon raised a record-breaking $58 million, with more donations continuing to pour in from around the world, the benefit's organizers announced Saturday.

Additionally, the "Hope for Haiti Now" album, a compilation of the night's musical performances made available on Apple's iTunes, was the No. 1 album in 18 countries Saturday.

Read more about the telethon

Before the search-and-rescue effort ended Friday afternoon, the U.N. office said, rescuers had managed to pull more than 130 people alive from the rubble.

"Rescue teams continue to work in Port-au-Prince. We continue to hope that they will be able to find people still alive, but as time passes, we must gradually shift our resources from rescue to recovery," Nick Birnback, spokesman for U.N. peacekeeping operations, said Saturday.

Some families of Americans who were staying at the collapsed Hotel Montana started an online petition Saturday in an effort to continue search efforts there "until all the survivors are accounted for."

As of Saturday night, the petition had generated nearly 1,400 signatures and 3,600 messages to U.S. government officials, according to Sue Keller, a friend of a family whose relative is among the missing. Keller said the families hope to have at least 5,000 signatures by Monday.

Meanwhile, 120 to 140 flights a day are regularly arriving at the single-runway Port-au-Prince airport, compared with 25 the day after the quake struck January 12, the U.N. Office for the Coordination of Humanitarian Affairs said. To relieve congestion at the airport, humanitarian cargo is being moved to a forward dispatch area at one end of the runway.

The Las Americas airport in Santo Domingo, in the neighboring Dominican Republic, is starting to report congestion as it becomes increasingly useful as an alternative airport, the U.N. office said. It will now be open overnight to accommodate the extra traffic.

The U.S. military has obtained landing rights at the Dominican Republic's air base at San Isidro, about 135 miles (220 kilometers) east of Port-au-Prince.

Port-au-Prince's main port is now working at 30 percent capacity, which should increase in the coming days, the U.N. agency said. The port is handling only humanitarian cargo and is still closed to commercial traffic.

See where aid is available

Haiti is negotiating with the Dominican Republic to use the port at Barahona, about midway between the two countries' capitals, for more humanitarian deliveries.

Those managing the land transport of supplies will need fuel, and the U.N. agency said there is enough in Haiti to last an additional 18 to 19 days. But it expects no shortage of fuel because supplies of fuel will be able to enter the port during that time.

iReport: List of missing, found | Are you there?

One concern with cross-border traffic is the unauthorized departure of Haitian children.

Charities and aid groups have said in recent days that they are concerned about the danger of child trafficking after the earthquake. Groups including Save the Children and World Vision have called for a halt to adoptions, saying many children may appear to be orphaned but in fact have simply been separated from their families.

"If children must be evacuated from Haiti because their protection needs cannot be met in country, the evacuation must be carefully documented, the children must be registered with the proper authorities, and all efforts must be made to reunify them with family before any adoption proceedings are considered," the U.S.-based Women's Refugee Commission said.

The number of unaccompanied children needing support is greater than the capacity to respond, the U.N. office said. Authorities are working with unaccompanied children who are being released from hospitals, it said.

There are now 47 hospitals, 11 mobile clinics and two floating hospitals -- from the United States and Mexico -- in and around Port-au-Prince.

One of those floating hospitals is the USNS Comfort, a U.S. Navy ship just off the Haitian coast. Capt. James Ware, the commanding officer, oversees a team of 80 doctors, including 24 surgeons and 140 nurses.

Ware said Friday that the hospital had received about 240 patients over 36 hours. In the next few days, he said, he expected the ship to treat about 150 patients a day.

About 609,000 people have also been left homeless in and around the capital of Port-au-Prince, the U.N. Office for the Coordination of Humanitarian Affairs said.

CNN's Hala Gorani, Lisa Desjardins and Edvige Jean-Francois contributed to this report.

@highlight

"Hope for Haiti" telethon raised record $58 million; more donations roll in

@highlight

Rescue of Wismond Jean-Pierre, 24, from rubble of Hotel Napoli called "a miracle"

@highlight

More than 111,000 people have died in the quake and its aftermath, government reports

@highlight

U.N.: Haitian government declares end to search-and-rescue phase