(CNN) -- In the wake of last week's tragedy in Newtown, I have been asked a million questions about gun control. I've seen pictures of the weapon the killer used. I've heard stories about the number of bullets in the clip and the number of guns in his mother's home. I've even heard politicians argue that school officials should be armed with semiautomatic weapons.

I've also heard about mental health.

We should be careful not to blame the mentally ill for all crimes. But we should also be prepared to accept that we might be able to prevent some tragedies if we did a better job of caring for them.

I've seen mental health illness in children, and our system is ill-equipped to handle it. I've seen families struggle with it. One of my greatest frustrations with clinical practice is that there are far too many times when I lack the tools necessary to care for children who need help. It's relatively easy to cure an infection or an acute physical ailment. It's so much harder to take a mental health issue. There are rarely pills that will do the job. Even when they are, they almost never work perfectly to eradicate the problem.

Opinion: On gun control, two places to start

Studies show that more than 10% of children in the United States might benefit from some sort of mental health treatment. Most don't get it. We often don't have the research to tell us how best to care for these problems. Even when we do, we often lack the capacity. There is a shortage of resources and services available to serve children. Furthermore, even when those resources exist, a lack of coordination often prevents they're being used effectively.

It doesn't help that the upcoming fiscal cliff will likely cut National Institutes of Health research funding by $2.4 billion. That would mean 2,300 fewer grants in the coming year, which represents about 25% of grants that might otherwise be offered. It doesn't help that we keep talking about cuts to services such as Medicaid and the Children's Health Insurance Program, which cover the health care for about one in every three children in the United States.

If a child is actively suicidal or homicidal, an emergency room can spring into action and admit him or her for inpatient care. But that's often all inpatient care will do. Once a child is no longer actively threatening harm to himself or others, he or she will be released. That's what the hospital system does. It cares for the acute problem, leaving the long term, and often much harder, work to a system ill-equipped to handle it.

Opinion: Mourn ... and take action on guns

It's natural to try and blame poor parenting when kids don't turn out as well as we'd hope. And, certainly, in many instances such parenting can lead to a misbehaving child, or even a child we don't necessarily like. But mental illness really does exist, and a lot of it can't be cured by good parenting and isn't caused by bad parenting. We don't have a good system for dealing with it.

I want to stress that I don't think that all violence is associated with mental illness. In fact, it's quite the opposite. But the problems with guns and injuries go so far beyond school shootings, and a lot of that is amenable to a more focused health care system.

Opinion: Predicting mass killings impossible

One of the things I do as a pediatrician is "anticipatory guidance." We ask questions about issues that have not yet occurred but might occur in the future. A lot of anticipatory guidance focuses on injury prevention. We might ask about bike helmets, or swimming, or fire alarms in the house. I even ask about guns in the home.

I don't ask this question because I'm eager to lecture patients or parents on the morality of owning guns, or the rights of individuals under the Second Amendment. I'm asking because I'm trying to prevent injury or death. The No. 3 killer of children age 10-14 is suicide; the fourth is homicide. The No. 2 killer of children age 15-19 is homicide; No. 3 is suicide.

Opinion: In school shootings, patterns and warning signs

I have been trained to ask parents if they have a gun in the home. If they do, I ask how it's stored. I strongly recommend that they keep it unloaded, locked up, and that they store the bullets separately. I do this because guns are part of almost 85% of homicides and more than 45% of suicides in kids 5 to 19 years old. This doesn't even account for injuries not resulting in death.

Yet recent laws have attempted to stop pediatricians from doing even this.

I don't know what the best outcome is from a tragedy like this. I imagine much of the focus will be on banning the weapon used or on limiting the number of bullets that could be fired without reloading. I think that's somewhat missing the point. The vast majority of injuries or deaths due to guns are carried out on a small scale.

While what happened in Newtown is a horrific occurrence, it represents the exception, not the norm, with respect to gun violence in the United States. While I welcome the opportunity for us to address the problem, I hope we focus on how we might best help all our children, not just those who make the national news.

The opinions expressed in this commentary are solely those of Aaron E. Carroll.

@highlight

Aaron Carrroll: We might be able to prevent tragedies if we did better job treating mental illness

@highlight

Carroll says more than 10% of kids should have mental health care, but few get it

@highlight

He says emergency rooms treat acute instances, but system ill-equipped for long-term treatment

@highlight

At checkups, he asks parents if guns are in house, but recent laws have tried to stop even this