(Health.com) -- New FDA rules are helping ensure that we get the protection we pay for, and with skin cancer on the rise (one in five Americans will develop skin cancer in the course of a lifetime), these changes can't come soon enough.

Key fixes: Sunscreens will be labeled "water resistant" (as opposed to waterproof or sweatproof); they can no longer be called "sunblocks" (as it overstates their effectiveness); and they can no longer claim to provide instant sun protection or to last more than two hours without reapplication.

On top of that, sunscreens can be labeled "broad spectrum" only if they protect equally against UVB (the main culprit of skin cancer) and UVA rays, which cause aging.

Unfortunately, the changes won't be on store shelves this summer. Last week the FDA announced it is giving manufacturers six additional months from their original deadline to meet the new requirements.

And even with these changes, most of us still have questions. Here are the ones you sent to us, answered by our dermatologists.

How much sunscreen do I really need to put on?

Anytime you're planning to be outdoors, go with an SPF of at least 30 (45 for a little extra insurance) and put plenty on. The rule of thumb is 1 ounce (the size of a shot glass) on your body, and a teaspoon for your face, but derms advise being even more generous.

Reapply every two hours -- more often if you're in and out of the water.

Health.com: 7 ways you're aging your skin

Are there any sunscreens good for oily skin?

Yes. What you want is an oil-free mineral block in an ultralight gel or liquid.

"Mineral sunscreens help mask redness, and because they reflect UV light, they help keep your skin surface cooler," Rodan notes. While you're at it, keep your skin clean by always washing your face after working up a sweat outdoors: Summer breakouts often have more to do with sweating than wearing sunscreen.

How do I know if I'm spraying on enough sunscreen? I feel like it all blows away!

Spray sunscreens aren't as powerful as lotions, so the trick is to look for one labeled "continuous spray" (no need to pump; it keeps spraying as long as your finger stays on the button) and apply two coats -- not one -- every hour, Rodan says.

What should I look for in a sunscreen if I have sensitive skin?

All the dermatologists we interviewed recommend mineral-based or physical sunscreens made with micronized titanium dioxide and/or zinc oxide instead of chemical sunscreens because they're less likely to irritate sensitive skin.

Plus, the latest mineral sunscreens give the gentle protection of a physical sunscreen without leaving a white cast.

Health.com: Short-and-sweet skin advice

Is sunscreen really necessary for lips?

Absolutely. In the past, it wasn't unusual for lip products to come with little or no SPF. Thankfully, many companies have upped the level of protection in lip balms. That's critical because skin cancers on the lower lip, in particular, are especially aggressive.

"These cancers are dangerous, as they're more likely to spread," explains Jeremy Green, M.D., a Miami dermatologist.

What's the easiest way to stay protected when I'm working out?

Dab an SPF (of at least 30) stick or gel on your face, neck, and chest, and on hot spots like shoulders and the backs of your hands.

"The non-tacky sticks are great because they really stay put," says Washington, D.C.--based dermatologist Dr. Tina Alster.

For the rest of your body, use a sunscreen spray. If you're swimming or perspiring a lot, opt for one of the new formulas that are marked "water resistant" for up to 40 or 80 minutes.

Health.com: Fun-in-the-sun workout

I hate reapplying! Can I throw on a long-sleeved T-shirt instead at the beach?

"Most cotton shirts are no substitute for sunscreen," Rodan says. "At best, they give you a UPF (ultraviolet protection factor, the equivalent of SPF for clothing) of 8 -- and if they get wet, that devolves to UPF 2."

Instead, invest in a long-sleeved rash guard -- a type of shirt made up of a spandex and nylon mix that was originally used for water sports, but is now popular as a sun protector. Look for one with a UPF rating of 50+.

"Those things are lifesavers -- total protection, even when wet," Alster says. Likewise, your sun hat should be floppy, wide-brimmed, and made from a tightly woven material.

Will my SPF foundation do the trick for workdays?

"You'd have to slap on a heck of a lot to make it truly effective," Green says.

A better idea: Layer. Wash your face, swipe on a few drops of antioxidant serum to boost your protection, and apply a tinted moisturizer or foundation with SPF 15 or more. Top it with an ultra fine SPF mineral powder. Green recommends carrying the powder in your bag for touch-ups during the day -- especially if you're lunching alfresco.

Copyright Health Magazine 2011

@highlight

Labels will say "broad spectrum" only if they protect against UVB and UVA rays

@highlight

If you have oily skin use an oil-free mineral block in an ultralight gel or liquid

@highlight

Reapply every two hours -- more often if you're in and out of the water