Port-au-Prince, Haiti (CNN) -- A large crane used to load and unload containers from cargo vessels, was bent, twisted and leaning toward the water at the main port for Haiti's capital city on Thursday.

Roads leading toward the city from a dock normally used for offloading ships were impassable, buckled about 5 feet high by Tuesday's 7.0-magnitude earthquake.

Three vessels loaded down with medical supplies, food, clothing and water for earthquake victims had nowhere to dock and offload, according to a Haitian shipping company who provided them.

Meanwhile, so many aid planes had landed at the Port-au-Prince's airport that a bottleneck was created, and space to unload aid items was at a premium. Some planes were held in the air because there was no space to land and unload them.

The Haitian government stopped accepting flights Thursday because ramp space at the airport in Port-au-Prince was saturated and no fuel was available, said Federal Aviation Administration spokeswoman Laura Brown.

The FAA put a ground stop in effect, meaning the United States was not granting takeoff clearances for Haiti until it was notified space was available.

"There is one big problem," said Raymond Joseph, Haitian ambassador to the United States, on CNN's "Amanpour." "The aid is coming now and getting to the Port-au-Prince airport. And it's not getting out, because of the road system."

He said he hoped the United States and other nations would bring in equipment to help clear the roads.

In addition, he said, the airport was overcrowded. "And that is due, probably, to the fact that the control tower fell ... but we understand that the U.S., especially the Defense Department, was putting up an emergency control tower." Weary Haiti continues search for survivors

State Department spokesman P.J. Crowley said Thursday afternoon that U.S. military air traffic controllers were running Port-au-Prince's airport, per an agreement with the Haitian government. However, the government was in charge of airspace, Crowley said.

Earlier Thursday, United Nations Secretary-General Ban Ki-Moon said the quake's aftermath represented "a major humanitarian disaster."

He said the international goal is to save as many lives as possible within the first 72 hours following the quake.

Ban called the outpouring of global support "one of the most heartening facts in this otherwise heartbreaking story."

Nations worldwide were sending doctors, medical supplies, medicine, food and water, as well as security personnel and troops.

French President Nicolas Sarkozy suggested the world use the crisis in Haiti as an opportunity to help the nation move out of its difficult economic situation, and is calling on leaders of several nations to set up a conference to discuss Haitian reconstruction and rehabilitation.

One of two U.S. military cargo planes carrying a 30-member assessment team arrived at Port-au-Prince airport Wednesday evening to assess Haiti's needs. One of the team's first jobs is to get the airport working enough to handle aid flights from around the world.

Also Thursday, the United Kingdom announced it would provide $10 million for relief efforts. Belize, Brazil, China, Chile, Spain, Canada, Israel, Iceland, Ireland, the United States and Morocco were among the many other countries offering aid.

Global agencies also were assisting. The World Bank pledged $100 million in emergency funds. The World Health Organization was dispatching personnel to Haiti Thursday morning, with a priority of identifying hospitals functioning well enough to treat the injured and coordinate an international health response.

After relief organizations found themselves tripping over one another following the 2004 Indian Ocean tsunami, they decided to coordinate their efforts with those of non-United Nations organizations in what is called the "U.N. Cluster System."

In the system, the World Health Organization plays the lead coordinating role for health; the U.N. high commissioner for Refugees or the Red Cross does it for shelter; and the World Food Programme does it for food, according to Christy Feig, WHO's director of communications.

The United Nations was releasing $10 million from its Central Emergency Relief Fund, as well as mobilizing an emergency response team.

Ban said he had appointed Assistant Secretary-General Edmond Mulet to Haiti to direct the emergency response from Haiti. One Chinese and two U.S. search and rescue teams were arriving Wednesday, he said, with more expected Thursday.

Impact Your World: How you can help

Former U.S. President Bill Clinton urged people to donate to www.clintonfoundation.org/haitiearthquake.

"Anybody who sends us money, we're just going to move it into those supplies quickly," he said.

He urged world leaders who have already made a commitment at a Clinton Foundation donors' conference to ensure they had fulfilled it. "Most countries are way behind on fulfilling it," he said. "They [Haitians] need your help now."

Ban said the United Nations will issue a "flash appeal" on Friday. The U.N. defines a flash appeal as a tool for structuring a coordinated humanitarian response for the first three to six months of an emergency.

However, officials are trying to figure out how much to request, Ban said. "It is very hard at this time to have an exact estimate."

The Red Cross promised $10 million in aid, along with supplies such as tarps, mosquito nets and cooking sets. The World Food Programme was airlifting 86 metric tons of food, enough for more than 500,000 meals, including ready-to-eat food and high-energy biscuits, it said.

Doctors Without Borders said in a statement it has treated more than 1,000 people since the earthquake, operating out of open-air hospitals, and its primary concern is "the overwhelming numbers of people who need immediate treatment and major surgery." Food, water and shelter materials are also in short supply, said the organization. http://www.clintonfoundation.org/haitiearthquake/

Numerous other aid groups -- Islamic Relief USA, AmeriCares, UNICEF, the International Rescue Committee and the Salvation Army, among others -- were also contributing to relief efforts. UNICEF relief worker Guido Cornale told CNN that in Jacmel, a city southwest of Port-au-Prince, UNICEF was providing clean drinking water to those affected by the quake and has distributed 2,500 kits that can be used to set up kitchens in camps set up by the government to house victims.

Aid also came from other, more unconventional sources. The Jolie-Pitt Foundation, started by actors Angelina Jolie and Brad Pitt, donated $1 Million to Doctors Without Borders; the New York Yankees donated $500,000, Major League Baseball $1 million. And the American Red Cross and musician Wyclef Jean's Yele foundation were accepting donations by text message -- $10 by texting "Haiti" to 90999, and $5 by texting "Yele" to 501501. The donations will appear on cell phone bills.

And businesses including UPS, Google, Coca-Cola, Lowe's, the Bank of America Charitable Foundation and Wal-Mart each pledged at least $500,000 for relief efforts.

CNN's Eric Marrapodi and Chris Lawrence contributed to this report.

@highlight

Nations and agencies rushing to send aid to Haiti faced with problems in trying to deliver it

@highlight

Relief agencies coordinate efforts after "tripping over each other" after 2004 tsunami

@highlight

World Bank promises $100 million in emergency funds

@highlight

Movie stars, Major League Baseball, corporations making large donations