(CNN) -- President Obama introduced a health care plan that he says will bridge the gap between the House and Senate bills passed last year. His proposal is similar to the Senate bill, with a few nods to the House plan.

Here are some of the highlights of his plan, according to the White House.

Basics

The president says his health care proposal will help more than 31 million uninsured Americans get coverage. Obama says his plan includes the largest middle-class tax cut for health care in history.

It establishes a health insurance market that would provide the same insurance choices that members of Congress have. Health insurance exchanges, as proposed in the Senate bill, would be created to make it easier for small businesses, the self-employed and the unemployed to purchase less expensive coverage.

There is no public option, an idea strongly backed by liberal Democrats but fiercely opposed both by Republicans and key Democratic moderates.

Like the House and Senate plans, Obama's proposal would bar insurers from charging higher premiums based on a person's gender or medical history or denying coverage based on pre-existing conditions.

Key differences

Obama's plan eliminates the controversial proposal added to the Senate bill that exempts Nebraska from paying increased Medicaid expenses. It also provides additional federal financing to all of the states for the Medicaid expansion.

The president's proposal closes the Medicare prescription drug "doughnut hole." Under current Medicare limits, seniors must pick up the costs once their drug costs reach $2,830 and pay all costs out of pocket until they reach $4,550, at which point Medicare coverage kicks back in.

Obama's proposal eases the "doughnut hole" in the short term by providing a $250 rebate to Medicare beneficiaries who reach the limit in 2010. The plan closes the doughnut hole completely by 2020.

The plan also establishes a Health Insurance Rate Authority to provide an additional level of oversight of insurance premium increase at the federal level, giving the government new authority to block excessive rate hikes by health insurance companies.

Tax credits

The president's proposal increases federal subsidies to help people buy insurance.

New health insurance subsidies would be provided to families making up to 400 percent of the federal poverty level.

Compared to the Senate bill, Obama's proposal lowers premiums for families making between $44,000 and $66,000, according to the White House. Compared to the House bill, it lowers premiums for families making between $55,000 and $88,000.

Obama's plan also provides more cost-sharing assistance than the House and Senate bills for families with incomes below $55,000. For families making about $55,000, the president's proposal matches the assistance in the Senate bill.

Penalties and fees

The House and Senate bills both require payments from individuals who choose not to get health care coverage. Obama's plan lowers the maximum penalty for individuals.

Obama's plan also provides $40 billion in tax credits for small businesses to help them provide health care options for their employees.

Like the Senate bill, the president's proposal does not mandate that employers provide insurance.

Under Obama's plan, companies with more than 50 employees would be required to pay a fee of $2,000 per worker if the company does not provide coverage and any of that company's workers receives federal health care subsidies. The first 30 workers would be subtracted from the payment calculation. As with the individual requirement, this represents a compromise between the House and Senate plans.

Obama's proposal delays the $67 billion assessment on health insurers, pushing it to 2014, when exchanges and the new health insurance market will be set up.

The president's proposal also increases the revenue drawn from the pharmaceutical industry to $23 billion over the next three years -- $10 billion more than the Senate bill. It delays the implementation of these fees to 2011.

Waste, fraud and abuse

The president's proposal includes a number of provisions to help eliminate waste and fight fraud.

Some of those provisions include establishing Medicare and Medicaid sanctions databases, increasing access to the health care integrity and protection data bank, expanding efforts to recover overpayments made to providers and suppliers, and establishing a system to more quickly identify potentially fraudulent payments.

Obama's proposal also calls for preventing delays in access to generic drugs.

Questions

The president's proposal doesn't address many of the sticking points that hung up the House and Senate bills.

Obama says his plan also reduces the deficit by $100 billion over the next decade and about $1 trillion over the following decade by "cutting government overspending and reining in waste, fraud and abuse."

The White House says the plan would cost about $950 billion over the next 10 years, but that's not an official estimate. There are also not a lot of specifics on how to pay for the plan. The Senate plan, according to the nonpartisan Congressional Budget Office, would cost an estimated $871 billion; the more expansive House plan has been estimated to cost over $1 trillion.

The Obama plan resembles the Senate version on how to block subsidies from funding abortions, choosing it over the more conservative House version. On health care and illegal immigrants, the president's proposal follows the Senate language, which imposes far more limits on undocumented workers than the House version.

Outlook

Obama's proposal is a long way from becoming law. His proposal would need to be drafted into legislation, debated and passed by the House and Senate. As the past year has shown, health care is an emotional subject, and debate can drag on for months.

Immediate reaction from Republicans suggests that this time around, it won't be any easier.

"Nearly one year ago, the president moderated a health care summit that kicked off a national debate that has led us to where we are today: a partisan bill devoid of support from the American people and a diminished faith in this government's capacity to listen. Let's not make the same mistake twice," Senate Minority Leader Mitch McConnell said.

House Minority Leader John Boehner revived the abortion debate, saying, "Republicans are also standing with the American people by calling for health care reform to protect human life and not use taxpayer money to fund abortion. ... Health care reform should be an opportunity to protect human life -- not end it -- and the American people agree."

CNN's Lisa Desjardins, Kristi Keck and Alan Silverleib contributed to this report.

@highlight

White House releases "The President's Proposal" for health care

@highlight

Plan similar to Senate version passed last year

@highlight

No public option; plan offers same insurance choices members of Congress have

@highlight

Questions remain over cost, funding, other sticking points