(CNN) -- A large pop-up box will greet Facebook users logging on to the social-networking site on Thursday, asking them to modify their privacy settings.

The company says the changes will help streamline privacy controls that have confused many of its 350 million users and were sprawled over six separate pages.

What is getting the thumbs-down

Complaints have started flowing in, focusing on three areas:

The changes treat as "publicly available information" the following: your name, profile picture, current city, gender and networks, and the pages you're a fan of.

Until now, you had the option of restricting much of that information. That option has been removed.

The ramifications, as the nonprofit Electronic Frontier Foundation sees them:

"For example, you might want to join the fan page of a controversial issue (like a page that supports or condemns the legalization of gay marriage), and let all your personal friends see this on your profile, but hide it from your officemates, relatives or the public at large." You cannot do so now.

The foundation says: "These changes are especially worrisome because even something as seemingly innocuous as your list of friends can reveal a great deal about you. In September, for example, an MIT study nicknamed 'Gaydar' demonstrated that researchers could accurately predict a Facebook user's sexual orientation simply by examining the user's friends list."

Facebook counters that a user's friends list can be made nonviewable. But it is either viewable by all or by no one.

Another source of consternation is Facebook apps, such as the quizzes developed by third parties that many users are fond of taking.

Until now, Facebook provided an option so you could specify that your information not be shared with others when one of your friends adds such an app.

But now, whenever a friend adds an app, your "publicly available information" becomes accessible to the developer.

So why did Facebook undertake the changes?

The Weblog TechCrunch explains it this way: If a user retains the "Everyone" option, the information is accessible by the Web at large.

"In short, this is Facebook's answer to Twitter. ... That means Facebook can leverage it for real-time search, and can also syndicate it to other places, like Google and Bing. The feature has been available in the site's privacy settings since last summer, but most people didn't use it (and probably didn't even know it was there). The new privacy launch today puts this as the default option for many users."

The changes have met with mixed reaction. By early Thursday, more than 2,700 users had approved of the changes on the Facebook blog.

But about 700 people said they were unhappy.

"The new setting[s] are ridiculous," commented user Victoria Anne Archer. "I have less control than before and my friends are visible to everyone ... I can't hide them ... but I have no choice ... because if I select only friends ... then NO ON[E] CAN FIND ME!"

What is getting the thumbs-up

The most commended aspect of the new settings is that they allow users to micromanage who can access every bit of information on the site.

One way to do so is to separate your friends into lists and grant those lists varying levels of accessibility.

For example, if you would rather your bosses not know what you do on downtime, you can place them on a specially created list.

In addition, a user can specify accessibility post by post.

After each status update you type or photo you post, you can pick from a drop-down menu whether you want that item visible to everyone, to just your friends, or to friends of friends as well.

How to access the changes

The new controls will be available under the "Settings" link at the top right of every page, in addition to being available in the dialogue box.

For each section -- profile information, contact information, applications and search -- users will be asked to pick from three options about who can access the information: Friends, Friends of friends, or Everyone.

The changes do away with "regional networks," which let users designate themselves as residents of a geographic area. But Facebook is retaining school- and company-based networks.

It is worth noting that many users will find their privacy options set at "Recommended settings" by default. If you retain those, your information will be available to everyone.

If you would rather the site not share your information publicly, you will need to click through each section and restrict it to "Friends" only.

This applies for photos as well. A user will have to specify album by album how much access to grant others.

In addition, you will have to go under "Search" and specify whether you want Facebook to make your information available to users who look for you on Facebook and on the Web.

@highlight

Pop-up on Thursday asks Facebook users to change their privacy settings

@highlight

Some users dislike how much information is made public to non-friends unless they make changes

@highlight

More popular is the new ability to decide on every post who gets to see it

@highlight

Blog calls the changes "Facebook's answer to Twitter"