(CNN) -- By the time you read this Twitter may have already announced it's getting into the online-music business. If so, they will have plenty of company -- courtesy of some of the tech world's biggest names.

After days of speculation, Twitter on Friday rolled out a Web page for Twitter Music. Of course, it was a page that didn't do anything, but sent a pretty clear signal that the much speculated-about service was about to become a reality. (The prevailing theory late Friday was that it would go live over the weekend, in conjunction with the Coachella music festival. But it did not.)

Early reports suggest the service will let users listen to the songs that are trending as most popular on Twitter and elsewhere on the Web. And it would be only one of several music-streaming services to either be introduced recently or rumored to be in the works.

And it's not just startups with names like Grooveshark any more. Google, Apple and Microsoft are among the major players now in the mix.

Why are so many Internet titans getting into the game? The answer is simple: dollars and cents.

Online streaming, by which users listen to music either for free or for a monthly fee, is the fastest growing form of music listening, according to industry reports.

The Recording Industry Association of America, in its annual report, said that while overall music sales were down in 2012, digital-music sales were up 14%, topping $4 billion.

"Digital growth was driven by large increases in revenues through what can broadly be referred to as 'access models,' where users can choose to listen from large libraries of music rather than purchasing individual songs or albums," the report read.

At the top of that heap are sites like Pandora and Spotify. Pandora lets users give it suggestions, then creates a personalized radio station. Spotify lets users pick exactly what they want to listen to out of a library of more than 16 million songs. Both make money either through ads or by letting users pay a monthly fee to go ad-free.

Spotify has made no bones about its desire to make even the Apple iTunes model for digital music obsolete. Why pay for music when you can listen to virtually anything you want to hear for free (or for a modest fee), they ask? (Some musical artists would say because it helps them make a living wage, instead of fractions of a penny for each of their songs played.)

For the first time, royalties earned from digital-music services in the UK just surpassed licensing revenues from radio broadcasts. And digital streaming is growing particularly fast among younger users. A Nielsen research poll from August suggested that teens now discover and listen to music on YouTube more often than on the radio, iTunes or CDs.

"The accessibility of music has seen tremendous expansion and diversification," said David Bakula, a Nielsen senior vice president. "While younger listeners opt for technologically advanced methods, traditional methods of discovery like radio and word-of-mouth continue to be strong drivers."

Here's a closer look at the heavyweights hoping to get their share of the increasingly lucrative music market.

Twitter

On Thursday, music-discovery company We Are Hunted confirmed reports that it had been bought out by Twitter. Instantly gone from the Internet, We Are Hunted would search blogs, social media and other sites for new music that was picking up serious buzz and add it to a constantly updated stream.

One would assume Twitter plans something similar.

"We can't wait to share what we've been working on at Twitter," reads a message on the now-closed Hunted site. "We wish we could say (what it is), but we're not yet ready to talk about it. You'll hear more from us when we are."

DJ turned "American Idol" host Ryan Seacrest praised the app on Twitter on Thursday, saying it "shows what artists are trending, also has up and coming artists."

The official rollout could happen at Coachella on Saturday, though Twitter did not respond to a request for comment and had not confirmed that as of Friday afternoon.

Apple

Reports have suggested that Apple, which already lets iTunes users listen to their own music libraries, is also eyeing the streaming-music space.

Last month, reports surfaced that CEO Tim Cook had met with Beats Electronics, founded by hip-hop producer Dr. Dre and music-industry stalwart Jimmy Iovine. The maker of the popular "Beats by Dre" and other headphones announced in January that it had begun "Project Daisy," a music-subscription service.

Eddy Cue, an Apple executive who played a major role in creating iTunes, also attended the meeting, Reuters quoted three unnamed sources as saying.

In its announcement of Daisy, Beats said the service would be released in late 2013 and "bring an emotional connection back to the act of music discovery."

Google

Google, meanwhile, is reportedly working to expand the already wide reach of YouTube in the Web music world.

For young listeners, YouTube is already a massive music-discovery and listening tool. And, like Apple, Google provides virtual lockers for users to store and listen to their own music on multiple devices.

Google's service would reportedly let users subscribe to expanding streaming options. The company wouldn't confirm its plans on the record, but didn't shoot them down, either.

"While we don't comment on rumor or speculation, there are some content creators that think they would benefit from a subscription revenue stream in addition to ads, so we're looking at that," said a spokesperson for YouTube, which Google owns.

Microsoft

Here's the major player that's already in the game. Xbox Music was introduced in October.

It's offered across a full range of Microsoft products, including the Xbox 360, and uses the increasingly familiar ad-supported or ad-free for a fee model.

While Microsoft flailed with its attempt at an iPod competitor, the Zune, the tech giant has been far more successful pushing the Xbox as an all-in-one entertainment device, not just a gaming console.

@highlight

Twitter is the latest Web player to get into music streaming

@highlight

Ad-or-subscription streaming services like Spotify, Pandora are booming

@highlight

Apple, Google and Twitter all reportedly will roll out music services

@highlight

Microsoft's Xbox Music feature was introduced in October