An old wooden shack and rows of tilted fence posts: In a way, this deserted little patch of Midwestern dirt was the starting point for every airport in the world.

On a cold winter's day I scan a snowy, lonely field north of Dayton, Ohio. Not sure exactly where I am, I wonder for a minute if I'm lost. A National Park Service sign makes it clear what I'm looking at: "The first airport. Exploring Huffman Prairie Flying Field."

Wait. Back up. I don't think I knew about that.

Like millions of other Americans, I was taught that the Wright brothers worked their flying magic in a place called Kitty Hawk, North Carolina. Then it hit me: What I'd stumbled onto was the Wrights' outdoor laboratory -- where they took powered flight to the next level.

This 84-acre pasture is where Mrs. Wright's boys let themselves screw up. By learning from each misstep, they were able to develop "a practical and usable machine," said park ranger Robert Petersen.

"This is the Holy Grail," he said. "This is literally where aviation gets its start."

Related: Were the Wright brothers really first?

After the brothers made history at Kitty Hawk, they schlepped more than 600 miles back to Dayton with a contraption that could fly 852 feet in 59 seconds.

That was cool and all — but folks were wondering: Could an improved aircraft do more? Could it transport people from city to city? Maybe. Could it help defend democracy in a world war? Perhaps.

The brothers and their employees had their work cut out for them.

Between 1904 and 1916, according to Petersen and the National Park Service, a series of aviation firsts took place at Huffman Prairie:

-- First controlled turn

-- First circle

-- First controlled bank

-- First figure-eight

-- The "world's first permanent flight school," was established here, said Petersen.

-- Among the first students was Henry "Hap" Arnold, who would become the only five-star general in the history of the U.S. Air Force.

-- Another student was Calbraith Perry Rodgers -- who in 1911 became the first pilot to fly coast to coast.

-- The first "cargo flight," took place out of Huffman Prairie, said Petersen. As publicity for a retail shop, a Wright aircraft flew several bolts of cloth to Columbus, about 55 miles away.

"So, yeah," Petersen said. "It is the world's first airport."

Hold on now. Other experts aren't so sure about that word, "airport."

"That's not really an airport," said historian Deborah Douglas, curator of Science and Technology at the MIT Museum. "An airport has to do two things: get airplanes in and out of the sky safely and it has to transfer people and goods from one mode of transportation to another. If you're not doing those things, then I'd say you're not really an airport."

No other place, as far as I can tell, calls itself the "first airport."

College Park Airport, a tiny facility outside Washington, D.C., has a good shot at the claim, said Douglas. However, it avoids the controversy by simply calling itself the "oldest continually operating airport in the world."

"If someone says 'first airport in America,' you could argue Kitty Hawk," said Chelsea Dorman, program coordinator at the College Park Aviation Museum. "But we've been flying here since 1909 and that's our distinction."

Related story: Were the Wright brothers really first?

Another airport, Pearson Field, which serves southwestern Washington state, says it started four years before College Park, in 1905, as a landing facility for a blimp. But its website calls it "one of the oldest operating fields in the U.S."

The actual word "airport" wasn't used until 1919, when a newspaper coined it to describe Atlantic City, New Jersey's Bader Field, which opened in 1910. Now closed, Bader was "the first municipal airport in the U.S. for both land and seaplanes," according to the Federal Aviation Administration.

"For academic historians, we find that 'firsts' are really, really hard to establish," Douglas says with a laugh. "They're hard to know."

Related: World's most terrifying airport

Whatever the case, by the end of the first decade of the 20th century, America needed more landing and takeoff locations to support U.S. air mail deliveries. That spurred the creation of airfields in New York and Philadelphia.

Across the Atlantic, European aviators were establishing prototype airports, too. Spurred by World War I, cities there eventually established London's Croydon Airport, Berlin's Templehoff and Le Bourget in Paris.

Back in Ohio, the Wrights faced a few surprising challenges. The landowner allowed the Wrights to use the field under the condition that they moved the horses and cows out of the way first, said Petersen. "Sometimes there were issues."

Another problem: how to get airborne. The plane's engines weren't much more powerful than engines for riding lawn mowers. Nature wasn't always cooperative either. Ohio winds aren't quite as gusty as the beaches of Kitty Hawk.

Solution: Use a catapult.

Here's how it worked: The plane sat at one end of a 240-foot-long wooden rail atop a wheeled trolley. Ropes and pulleys connected the trolley to a 1,600-pound weight suspended from a 20-foot-tall wooden derrick. With the plane's engines revving, the weight was dropped, propelling the craft down the rail and -- one hoped -- into the air.

"This becomes the forerunner of catapult systems used to launch planes from aircraft carriers today," Petersen said.

A replica of the catapult derrick stands at the site, along with a replica of the Wrights' hangar, built on the exact spot of the original.

Because Huffman Prairie is part of Wright-Patterson Air Force Base, it has remained virtually untouched by real estate development, said Loyola University Chicago history professor Elizabeth Fraterrigo, who researched and wrote a paper on the property for the park service. (PDF)

"You can really get a sense of what it was like for the Wright brothers to work there," she said. "You can think about what they accomplished at that place, and really feel a connection to it."

The field is among five Dayton-area sites that make up the Dayton Aviation Heritage National Historic Park, including the Wright family mansion and one of the Wrights' bicycle shops. Eventually, Huffman Prairie was swallowed up by two nearby military installations: Patterson Field and Wilbur Wright Field. Later, the two merging facilities became Wright-Patterson Air Force Base, which has contributed to research and development of groundbreaking advances, including pressurized plane cabins, cockpit navigation instruments and night-vision technology.

Amazing to think that it all sprouted from the exploits of two brothers, their bicycle shop and this hallowed piece of farmland.

@highlight

Most know about Kitty Hawk, but the Wrights perfected their planes in Ohio

@highlight

National Park Service touts Huffman Prairie Flying Field as the "first airport"

@highlight

Many historic aviation firsts took place at Huffman Prairie, located north of Dayton

@highlight

Oldest airports include Maryland's College Park, Pearson Field in Washington state