(CNN) -- Greece is hoping a derelict airport on the outskirts of Athens -- one which has sparked a keen contest among international investors -- will help solve its debt woes.

Hellinikon airport, the sale of which initially piqued the interest of U.S. business tycoon Donald Trump, could be vital to reversing the fortunes of the Greek economy.

Greece is awaiting a financial lifeline of 31.5 billion euros [$40.3 billion] from international creditors, following the approval of a 13.5 billion euro austerity package by Greek lawmakers earlier this month.

Alongside aid packages and austerity measures, Greece is selling off assets from gas reserves to sewage works as it tries to gain control of its 340 billion euro pile of debt.

And while the potential sale of Greece's coveted islands caught early -- and controversial -- headlines, hopes are now resting on the dilapidated airport as a potential economic savior.

Four property developers -- Elbit Cochin Island Ltd, Lamda Development, London and Regional Properties and Qatari Diar Real Estate Investment -- have been shortlisted by the Hellenic Republic Assets Development Fund (HRADF) to win exclusive rights to the site. The bidders did not respond or were unavailable for immediate comment.

A fund spokesman declined to disclose the airport's potential purchase price but says redeveloping the land will cost around 6 billion euros.

The fund has projected a redevelopment of the site will bolster Greece's gross domestic product, which has contracted by 39.5 billion euros in the past five years to 171.4 billion euros, by 0.3% over the next ten years.

Greece's vast, derelict, symbol of hope

Hellinikon airport was once Greece's flagship terminal and hub for international travel, but has been abandoned since its closure in 2001. It stretches across 6.2 million square meters -- making it roughly twice as big as New York's Central Park -- and it represents a huge commercial project for investors.

The Greek government has put the full plot of land up for sale in an effort to raise revenues, spur growth and create jobs. The site is the largest open regeneration project in Europe and could create up to 9,000 jobs immediately, according to the HRADF.

But 6 billion euros is a significant sum to inject into a country whose financial crisis has left the eurozone teetering on break-up.

"The Greek financial system is in trouble and it's very difficult to raise this kind of money in the private sector," the fund spokesman told CNN. "Also, the international banking system has not been prepared to take that kind of risk on Greece up to now."

Theofanis Exadaktylos, an academic from the Greek Politics Specialist Group and a lecturer at the University of Surrey, says the sale of Hellinikon airport is a "priority" for the government and would boost the local economy.

He told CNN: "It could provide space for tourism, housing or entertainment... It's a big, big scale investment."

Greece has valued its sell-able assets at 50 billion euros, with 55% of it in real estate, including Hellinikon.

Europe's most indebted nation has set a target to privatize 25 billion euros of these assets by 2020.

Proposals from foreign investors are first considered by a board of directors and overseen by representatives from Greece's international creditors, known as the "troika."

A shortlist is then drawn up and ultimately, the highest bidder wins.

Greek Prime Minister Antonis Samaras and his coalition government are hoping that privatization will increase competitiveness and make up for cuts in the public sector, particularly in jobs.

Could Greece's coveted islands be up for sale?

Some eurozone politicians have advocated the country sell off more than just its infrastructure projects. Greece's islands, which draw tourist dollars and showcase the country's beauty, have previously been flagged as potential investment gold.

In October Frank Schaeffler, a German member of Parliament and a member of Chancellor Angela Merkel's coalition, told CNN Samaras himself said Greece is willing to sell its uninhabited islands. Samaras' office did not respond to the comment.

But while the idea might seem unpalatable, Exadaktylos believes leasing the islands -- if such a program was properly managed and debated -- wouldn't be a bad idea.

Exadaktylos noted shipping tycoon Aristotle Onassis had leased the island of Skorpios in the Ionian Sea, where he married Jackie O, previously the wife of U.S. president John F Kennedy.

Exadaktylos added leases for islands "may last for 99 years and then possibly there is an option to renew, but investors do not own the island, so there is no issue of state sovereignty."

Meanwhile, the HRDAF continues to try and draw investors into the country, soothing nervousness around the country's two bailouts, a hefty debt restructuring and two elections.

@highlight

Greece is selling off assets from gas reserves to sewage works as it seeks to contain its debt woes

@highlight

The fund has projected a redevelopment of the site will bolster Greece's gross domestic product

@highlight

Hellinikon airport was once Greece's flagship terminal and hub for international travel