Editor's Note: Actor and writer Joseph C. Phillips has appeared widely on television, including on "The Cosby Show," "General Hospital" and "Without a Trace," and in films and theater. He writes a syndicated column and is the author of the book, "He Talk Like A White Boy."

Joseph C. Phillips  with his wife, Nicole, of 14 years, and their children, Connor, 10, Ellis, 8, and Samuel, 6.

(CNN) -- I was truly honored to participate in the CNN documentary "Black in America."

As often happens in projects of such ambition, it is difficult for everyone to have sufficient time to flesh out ideas. Though I went on tape with the program's producers for several hours, it just wasn't possible to explore all of my ideas at length. Working in Hollywood, I am used to ending up on the cutting room floor. That's life in the big city.

Soledad O'Brien and I had a long conversation about sentencing disparities among black and white criminals -- specifically, the disparity between sentencing for crack cocaine and powder cocaine. The context of our conversation concerned whether the sentencing disparity was evidence of the racism inherent in the criminal justice system.

Despite efforts by the Supreme Court and the U.S. Sentencing Commission to increase flexibility in sentencing, the punishment for possession by a first-time offender of more than 5 grams of crack cocaine is a minimum 5-year prison sentence -- while possession of any amount of powder cocaine is a misdemeanor punishable by no more than a year in prison.

In the mid-1980s, when these mandatory minimum sentences came into effect, America was experiencing a surge in violent crime, much of it fueled by the introduction of a new and extremely profitable (to say nothing of addictive) form of cocaine -- crack.

There was tremendous violence associated with the crack cocaine trade as drug gangs fought over territory. The media told us that our neighborhoods were filling with crack babies -- children born addicted to cocaine because their mothers smoked the deadly toxin while pregnant. Our representatives in Congress, particularly the Congressional Black Caucus, decided to take a tough stance and supported harsh sentencing guidelines for selling crack cocaine.

I have little sympathy for men and women who prey on the innocent hardworking members of the community. I am particularly critical of men who are guilty of criminal behavior, as this runs counter to what I see as one of the primary duties of men: to be guardians of the home and of the community, not parasites on that community. I am, however, uncertain that society gains very much by sentencing thousands of young black men to prison for nonviolent drug offenses. The sentences introduce them to a system from which it is difficult to extricate themselves and begins the downward path to joblessness, absentee fatherhood and more criminal behavior -- in short, creating more of the very behavior we are trying to discourage.

The disparity in the guidelines' impact does not in my mind prove systemic racism. I would, however, argue that it does not represent the best the American justice system has to offer and in fact undermines faith in that very system, especially among black folk.

Studies show that more than 50 percent of inmates have drug and alcohol problems. When we are discussing nonviolent offenders, I think it may be prudent to spend a bit more time with rehabilitation as opposed to tossing folk in jail. We have tried for many years to attack the supply side of this equation; it is in my humble opinion time to begin addressing the demand side and approach the drug war as a health issue.

We also need to get a handle on single parenthood and absentee fathers. Responsible members of our community cannot stress enough the effects of single parenthood on the development of children and how that development translates into criminal behavior in the community.

Studies indicate that nearly 90 percent of the change in violent crime rates in a neighborhood can be accounted for by the change in percentages of out-of-wedlock births.

Children from fatherless homes are: • 9 times more likely to drop out of high school. • 10 times more likely to abuse chemical substances. • 20 times more likely to end up in prison.

These are sobering statistics. A change in the sentencing guidelines for crack cocaine will have very little effect if we do not begin to commit this community to raising our children in two-parent homes.

Finally, there must be a corresponding responsibility on the part of citizens to avoid drugs and alcohol and obey the law. There must also be a continued demand by the rest of us that our fellow citizens engage in moral and ethical behavior. We must insist that concepts like nobility, duty and honor are not sacrificed on the altar of relativism. Nothing distresses me more than the e-mails I receive attempting to explain away the antisocial and criminal behavior of some of our neighbors as the result of poverty and or racism. (Left unanswered, of course, is why they who have also been targets of racism and economic hardship are not engaged in criminal behavior.)

To suggest that people attempt to live lives of virtue is not simplistic. It is in fact wisdom that is preached in our houses of worship each and every Sabbath day. Whether it concerns sexual behavior, decisions concerning our education or how we conceive of civil behavior, when it comes to creating lives of purpose and fulfillment nothing will replace the individual accessing the wisdom that has been passed down from antiquity. In the words of the poet William Ernest Henley:

It matters not how strait the gate, How charged with punishments the scroll, I am the master of my fate: I am the captain of my soul.

The opinions expressed in this commentary are solely those of the writer.

@highlight

First-time possession of crack carries more severe sentence than powder cocaine

@highlight

Phillips: Disparity doesn't prove racism, it was prompted by 1980s crime wave

@highlight

One-parent families are responsible for many social ills, he says

@highlight

People should try to live virtuous lives and take control of their fate, Phillips says