(WIRED) -- As a freshman in college, my one (moderately) responsible financial decision was setting up a checking account that rounded up every purchase I made to the next dollar and shuttled the extra change into a mini savings account. When a friend from the business school suggested I'd be better off investing that money, I ignored him completely. None of the seemingly complex investing options he proposed made any sense to my 19-year-old mind. I was happy to let my money accrue nickel by dime by penny in what amounted to a glorified piggy bank.

As it turns out, I wasn't all that different from the rest of my penny-pinching generation. One recent study by UBS called millennials the "most fiscally conservative generation since the Great Depression," saying they hold the bulk of their assets in cash and view saving, not investing, as the most sound financial strategy. Often, members of this generation find themselves either unable to come up with a lump sum to meet account minimums for most investment firms, or they're simply unwilling to pay a financial adviser's hefty commission fees.

Now, a startup called Acorns wants to solve these problems with a new smartphone app, hoping it can help millennials outgrow the piggy bank. Much like the checking account I set up all those years ago, the app links to a user's debit or credit card and rounds up on every purchase. But rather than letting the cash stagnate, Acorns invests it. Users can choose one of five portfolios, ranging from conservative to aggressive risk, and the cost is $1 a month, plus anywhere from 0.25% to 0.5% of their earnings. They can also withdraw their funds at any time.

'Fiscally conservative generation'

With this app, Acorns joins a growing list of startups attempting to create an onramp for a new type of investor, the under-30 set, which many have referred to as "the recession generation." Companies like Betterment and Wealthfront are using behavioral science and automation to reduce human error in investing and charge lower fees than traditional financial advisors. But Acorns takes a more streamlined approach. Founded by Walter and Jeff Cruttenden, a father-and-son team from Newport Beach, California, the startup is hoping that its dead simple "invest the change" model can serve as a sort of gateway drug to the wider world of investing.

Haunting photos of the children toiling in Egypt's limestone mines

If successful, Acorns could radically change the narrative of this generation, transforming them from post-recession conservatives to savvy financial risk takers. "There are 315,000 financial advisers out there. We're not trying to compete with them," says Walter Cruttenden, the company's CEO. "We're trying to be the starter account, the farm school, the incubator."

That plan appears to be paying off. Among the more than 10,000 users who tested Acorns before launch, more than one third of them are under the age of 22, and a full 85 percent are under the age of 35. "We're really excited to be engaging this young group," says Jeff Cruttenden, Acorns' COO, a millennial himself.

'It's going to happen this way'

The young co-founder is unique among his peers in that he's been investing in the stock market since he was in high school, something he owes largely to his father's influence. Before founding Acorns, Walter launched the investment banking firm Cruttenden Roth, now Roth Capital, and also started the investment banking arm of E*Trade.

It was during Jeff's senior year at Lewis & Clark College that he and Walter began discussing how technology had drastically reduced the cost of trading. Walter predicted that this cost reduction would usher in a new age of microinvesting in the U.S. "Jeff held up his smartphone and he said: 'Dad, it's going to happen this way," Walter remembers.

Why are we so fat? The multimillion-dollar scientific quest to find out

From that day on, the two began brainstorming ways to build an investment platform for a demographic that's both mobile-first and wary of traditional investing. Originally, they planned to design a front-end app for existing companies, like Schwab or Fidelity, but soon realized that the multitude of options those companies offer investors would only overwhelm Acorns' potential users. "We had to consider people who are Ubering home and walking down the street. They don't have a check with them or 15 minutes to pore over a complicated document," Jeff says. "We wanted to simplify and streamline it."

So the team spent the next two years dealing with regulators and becoming their own broker dealer, raising some $9 million in funding along the way. All the while, they worked on simplifying the technology to enable users to set up an account and start investing in minutes. Users sign up using their bank username and password, and provide basic details about themselves, including their social security number, income, net worth, and investment goals. That allows Acorns to recommend the right portfolio for them. Rather than offering an array of investment options, Acorns only offers users so-called exchange traded funds.

Unexpected shooting targets used by the world's armies

This both simplifies the set up process for users and lowers Acorns' own costs, by reducing the number of variables the system needs to contend with. "There's not a place to put in a stock symbol or a price or type of order," says Walter. "It just sweeps your money into this pre-constructed portfolio, and when you want it, you withdraw instantly."

The Tinder of investing

Acorns has been called the Tinder of investing. Just as Tinder made online dating as easy as swiping left or right, so too has Acorns simplified the often tedious and complex process of investing. But that doesn't mean the investment strategy is any less sophisticated. The portfolios were designed with help from Dr. Harry Markowitz, a Nobel Prize winner, who is commonly referred to as the father of modern portfolio theory. Jeff met Dr. Markowitz through a friend who was a student of his at the University of California, San Diego.

When Dr. Markowitz heard about Acorns, he took a special interest in the company and worked as a paid adviser in the company's early days. "Investing in a broadly diversified portfolio for the long term is the right choice for most people," Dr. Markowitz said in a statement. "Acorns enables this to happen automatically in tiny increments with minimal cost. This has the potential to help people across all demographics."

Of course, all by itself, this approach isn't likely to make anyone rich. The average user invests about $.57 per transaction, with three transactions a day. That's about $50 a month. According to Jeff, the average expected return of these portfolios ranges from 4 to 9 percent. The hope is that as Acorns' users become more accustomed to investing, they'll opt to invest even more of their money in the markets. And when that day comes, the Cruttendens say, they'll be ready.

"We want to make our investors feel comfortable as their accounts grow, so our focus on small accounts isn't at the expense of large accounts," Jeff says. "We built the platform to handle multimillion dollar accounts."

More from Wired:

Someone reinvented the butter knife and it is amazing

How the next iPhone could finally kill the credit card

Inside the rainbow factory where Crayola crayons are made

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Acorns is an app that simplifies the process of investing

@highlight

Every time a user spends on their debit or credit card, it rounds up the figure and invests the difference

@highlight

Cost is $1 a month, plus anywhere from 0.25% to 0.5% of user's earnings