New Orleans, Louisiana (CNN) -- New Orleans is richer than it was before Hurricane Katrina struck in 2005, but largely because many of its poor have not returned since the storm, according to a report released Wednesday.

Average wages are up, "knowledge-based" jobs are gaining ground on the area's traditional blue-collar economy and basic services like schools and hospitals are improving, New Orleans Mayor Mitch Landrieu told reporters.

"But there are also some sobering and thoughtful statistics about how far we have to go," he said.

While the poverty rate of 23 percent is the lowest since 1979, that's nearly double the national average of 13 percent, according to figures from the Greater New Orleans Community Data Center and the Brookings Institution. And many of the city's poor residents have either moved to the suburbs or haven't returned to the area, the report's authors said.

"It's the dispersion of the impoverished population in general and the struggles that folks have had to return is probably the main factor," said Allison Plyer, of the Community Data Center. And while the number of poor people in the city has fallen by about half, to about 68,000, the number of poor people living in the six suburban parishes is up, to about 93,000, Plyer said.

Since the storm, the metro area's population has rebounded to about 90 percent of the 1.3 million who lived there before the hurricane, according to Wednesday's report. The central city's population of about 355,000 is about is 78 percent of the pre-storm figure, and it's more middle-class and slightly less African-American and Hispanic than before, according to the report.

The city's non-white population remains a solid majority, but dropped from 72 percent in 2000 census figures to 69 percent currently, the report states. The non-white population grew slightly in the suburbs, from an estimated 43 percent in 2000 to 45 percent currently, according to the report.

Katrina killed more than 1,800 people on the Gulf Coast when it struck near the Louisiana-Mississippi state line on August 29, 2005. Most of the dead were in and around New Orleans, where more than three-quarters of the city flooded after its protective levees failed. Nearly 300,000 people were displaced, and the disaster turned a harsh light on a city that had seen its traditional economy -- based on oil, shipbuilding and tourism -- shrivel since the 1980s.

As a result, more of the area's economy is based on white-collar fields like higher education, legal services and education, the report found. Landrieu said those fields and innovative new industries are where the region's future lies.

"Relying on raw materials is important," he said. "But what you do with them and how you transform them by adding value to them is where our future economic success is going to be, as opposed to just extracting raw material. There is a better way, there is a higher way, and it's all for the most part based on knowledge."

Housing costs, which went up sharply when the storm destroyed so much of the city, are still high. Nearly 60 percent of city households and 45 percent of those in the suburbs pay more than 35 percent of their income for shelter, Plyer said.

But in part because of the reconstruction effort, New Orleans was sheltered from the worst of the recession that began in late 2007, the report states. And researchers found the people who live there are more engaged in civic life than before, and have demanded reforms of institutions once considered hopelessly broken or corrupt.

"In general, higher numbers of New Orleanians are participating in public meetings and processes and are now more likely than residents of other cities to attend public meetings where city affairs are discussed," the report states. Residents "have demanded and pursued systemic changes in key community and government institutions that were failing to deliver optimal results for citizens and taxpayers," such as health care, schools and the courts, it concluded.

@highlight

Report examines New Orleans five years after Katrina

@highlight

Wages up, poverty down, but many poor didn't return

@highlight

Mayor says a "knowledge-based" economy is the city's future

@highlight

Metro population is 90 percent of pre-storm figure; city at 78 percent