MADRID, Spain (CNN) -- A battle royale over an estimated $500 million treasure that a Florida deep-sea salvage company found last year is due for a fresh round in court in Florida on Monday.

Security forces cordon off the Ocean Alert, an Odyssey Marine Exploration ship, in July 2007.

The Spanish government now says the 500,000 silver and gold coins that the company, Odyssey Marine Exploration, found last year in the Atlantic Ocean near Spain came from one of its ships that sunk in a 19th-century naval battle. Spain wants the entire treasure returned, but Odyssey insists Spain may have no right to it.

Lawyers for both sides are due to present arguments Monday morning in a U.S. federal court in Tampa, Florida, in another round of the case that started last year, Odyssey spokeswoman Natja Igney told CNN.

Odyssey found the coins last year and quietly airlifted them in crates from Gibraltar, a British colony on Spain's southern tip, to Florida for safekeeping. The company then said it was unclear how the huge quantity of coins it found on the seabed had gotten there. It declined to reveal the location, citing security reasons, and mysteriously dubbed the site "Black Swan."

But the Spanish government, at a recent Madrid news conference, said it's really not so complicated.

"The mystery is over," said James Goold, a U.S. lawyer representing Spain, told the news conference. "Using a variety of methods to conceal what it was doing, Odyssey Marine Exploration stripped the gravesite that is the Spanish navy warship Nuestra Senora de las Mercedes of coins and other objects."

"The coins and other artifacts that Odyssey took from the site are documented to have been on the Mercedes," Goold said.

The Mercedes was a 34-gun frigate, a ship very common at the time in the Spanish navy. The Mercedes left Peru, stopped in Uruguay and was just a day's sail from Spain when the four-ship Spanish squadron was attacked by a British fleet in October 1804, according to a Spanish government's filing to the Florida court.

In the ensuing Battle of Cape St. Mary, south of Portugal, the Mercedes exploded after being hit in its powder magazine. It sank with its cargo, killing the 200 Spanish sailors and civilians aboard.

Spain accuses Odyssey of looting the gravesite of a sovereign Spanish-flagged navy vessel. But Odyssey executives aren't so sure the coins came from the Mercedes, and they say they certainly didn't come from a gravesite.

"I think in order to have a gravesite, you certainly need the remains of a shipwreck, and you would certainly need the remains of some humans. Neither has been found at the site," Odyssey co-founder Greg Stemm told CNN. He invited Spanish experts to join Odyssey in further investigation.  Watch Stemm describe the gold that was found »

But Spain says it has seen the evidence. It recently dispatched a team, including a government marine archaeologist and coin expert, to Florida to examine the treasure held by Odyssey.

These specialists told the Madrid news conference that it's a vast trove of coins, including fabled "pieces of eight," some minted in 1803 in Lima, Peru -- then a Spanish colony.

Stemm told CNN most of the 500,000 coins are silver; with a smaller amount being gold. The visiting Spanish experts, he said, saw only a small percentage of the coins, and he called for more research.

"We are not after the gold," Guillermo Corral Van Damme, a Ministry of Culture senior official told CNN. "We are after the history, of the memory, of the respect, essentially, for what is a marine graveyard of our people."

But Stemm countered, "Well, if they're really not in it for the money, then we would be happy just to keep all the coins and do the archaeological work at no charge, if it turns out there's a Spanish interest."

The Peruvian government also is monitoring this case, a Peruvian diplomat told CNN. Media reports have quoted some authorities there as saying Peru might also have a claim, if it's proven that some of the treasure came from Peru.

Spain might be willing to share some of the treasure with Peru, but out of a sense of a common cultural heritage, rather than a strictly monetary operation, Jose Jimenez, another Spanish Ministry of Culture senior official, told the Madrid news conference.

Odyssey says its leading hypothesis is that the coins may have come from the Mercedes, pending further research, Odyssey lawyer Melinda MacConnel told CNN. But MacConnel said even if it's proven that the treasure was aboard the Mercedes, Spain still doesn't have an automatic claim because the ship, at the time, did not meet the legal standard for "a sovereign immune vessel."

"This ship was not on a military mission at the time of its sinking. It was transporting mostly private goods, actually," MacConnel said.

But Goold, the Washington-based lawyer for Spain, told CNN, "This case has a lot more visibility because of the artificial mystery that was created, and because of the large amount of gold and silver that was taken from the ship. But the legal principles are not new."

"I've been to court before on them and we have always won and we expect the same result here," Goold said. "A navy ship is a navy ship. This is property of the national government, subject to exclusive control of the national government."

The court hearing on Monday in Tampa is not expected to be the last round in this battle over the treasure.

@highlight

Lawyers for both sides are due to present arguments Monday morning

@highlight

Mercedes sank during Battle of Cape St. Mary, killing 200 Spanish sailors, civilians

@highlight

No shipwreck or human remains were found at the site, Odyssey's Stemm says

@highlight

"We are not after the gold," Spanish Ministry of Culture senior official tells CNN