Washington (CNN) -- For months, voters have been in the dark about key details of Mitt Romney's tax plans.

He specified $5 trillion in tax cuts, a 20% cut in income tax rates, a 40% cut in the corporate tax rate, repeal of the estate tax and alternative minimum tax and elimination of taxes on interest, dividends and capital gains for households with incomes below $200,000.

He did not want his changes to raise the deficit, but he was utterly mum on how to raise $5 trillion to offset the tax cuts.

During the summer, two colleagues and I showed that if Romney did not want to add new taxes on savings and investments -- and raising savings and investments is the second of four main planks in Romney's overall economic package -- he could not finance his tax cuts without generating a net tax cut for households with income above $200,000.

Politics: 5 things we learned from the presidential debate

Even if all the available tax expenditures were closed in the most progressive manner possible, it would not raise enough revenue among high-income households to offset the tax cuts they would receive. This was true even when we adjusted the revenue estimates to allow for the impact of potential economic growth, and even when we gave the campaign a trillion-dollar mulligan by ignoring the cost of the corporate tax cuts.

As a result, we concluded that if Romney did not impose new taxes on savings and investments, the only way to finance his tax cut proposals and reach revenue neutrality was to raise taxes on households with income below $200,000.

This was not a forecast of what Romney would actually do; it was simply a matter of arithmetic.

But it highlighted the need for specifics; $5 trillion is not a trivial amount, even in Washington, and the prospect of middle-class tax increases sets off alarm bells.

Earlier this week, Romney finally started the process of proposing ways to pay for his tax cut proposals. He broached the idea of putting a cap on each taxpayer's total amount of itemized deductions -- including mortgage interest, state and local taxes, charitable contributions.

Although critical design features remain foggy, Romney has said the cap could range from $17,000 to $50,000, and it could vary with income.

Several things are already clear.

Opinion: Why you should vote for Romney

First, capping -- or even eliminating -- itemized deductions will not come close to paying for Romney's tax cuts. It would be a step toward financing, but much more will be needed.

Nevertheless, as a piece of the revenue puzzle, a cap is an interesting and important idea and a welcome step forward.

Members of Congress are quick to see the political advantages of a cap. Relative to curtailing specific deductions, a cap allows them to leave existing deductions in place but restrict the overall use of such deductions. In that sense, the cap is like the alternative minimum tax was intended to be -- a limit on the overall use of tax shelters, even if political leaders could not shut down each one.

A cap on itemized deductions goes after one of the three areas of the income tax where the money is. The other two are the exclusion of health insurance premiums from taxation and saving and investment incentives like 401(k) plans, and the lower tax rates on capital gains and dividends and carried interest. A cap on a taxpayer's use of all of these subsidies -- as opposed to just itemized deductions -- could get at all three areas.

Martin Feldstein of Harvard University and the Romney campaign and Maya MacGuineas of the Center for a Responsible Federal Budget have proposed a different style of cap that applies to more than just itemized deductions.

While Romney's cap appears to apply to all itemized deductions, it may have a disproportionately negative effect on charitable contributions. After all, people have to pay their state and local taxes, and many people are already in the middle of a long-term commitment to pay down their mortgage.

Opinion: Romney shakes up the race

For those households, there may be little room left under the cap to take deductions for charitable contributions. And, for all households, the cap would eliminate tax deductions for contributions larger than the cap, so large gifts to charities would automatically lose their tax-preferred status.

So, a cap is not a panacea, but it could well be one part of a constructive solution. Likewise, his acknowledgment that his earlier, disparaging comments about the 47% of households that do not pay federal income taxes were misguided suggests a reconsideration of the role taxes play in those households. If the journey of a thousand miles begins with a single step, Romney has finally taken the first step. But there is still much more work to be done.

The opinions expressed in this commentary are solely those of William Gale.

@highlight

William Gale: Mitt Romney's $5 trillion tax cut proposal didn't add up for months

@highlight

He says new idea of a cap on deductions is a first step toward a viable plan

@highlight

Gale says the cap wouldn't be nearly enough to pay for the tax cuts, but it would help

@highlight

He says that it could make taxpayers much less likely to give to charity