(CNN) -- When Russia invaded and annexed Crimea, Western leaders warned Russia against trying the same trick in mainland Ukraine. Russia is now trying the same trick in mainland Ukraine.

Over the past several days, masked, heavily armed men have seized strategic locations in eastern Ukraine.

In Kharkiv, pro-Russian armed forces have occupied City Hall. In Donetsk, they have taken control of the regional legislature building and the interior ministry. In Luhansk, they have taken the compound of the state security agency. In the city of Kramatorsk, in the Donetsk region, armed men shot their way into police headquarters.

Cell phone towers are being toppled through the area, according to Ukraine's acting interior minister, apparently with a view to silencing nonmilitary communications.

Uniformed men have established checkpoints around the city of Sloviansk, also near Donetsk. A gunfight erupted at one checkpoint on Sunday, apparently leaving two dead.

The Russians have infiltrated special forces into Ukraine over the past weeks and months. Now they are busily creating conditions of "instability" that could provide a pretext for outright Russian intervention, followed most likely by a partition of Ukraine and alignment of the eastern provinces toward Russia. In Crimea, Russian intervention has been followed by a campaign of "disappearances" of opposition and potential opposition figures. Inside Russia too, policy is turning again sharply repressive, symbolized by the spread of hammer-and-sickle flags at pro-Putin demonstrations.

Europe outside the Balkans has known profound peace since 1991. Even the murderous wars in the former Yugoslavia, atrocious as they were, never threatened the general European peace. The Russians' actions in Ukraine do threaten the general peace. Russia is using military force -- as opposed to its usual tool kit of corruption, intimidation, and no-return-address assassination -- to reclaim former Soviet-occupied territory. In Ukraine, Russia has launched a war of reconquest. It's very hard to predict where that war will stop.

President Obama was very wrong in his speech in Brussels on March 26 to suggest that the United States had no national interest in Ukraine. What's at stake in Ukraine is the peace and stability of the European continent, an issue over which the United States fought two world wars. Yet the president has signaled to Russia that it need not fear any very robust U.S. or NATO response to its depredations in Ukraine.

Opinion: The West must not blame itself for Putin's revanchism

More from the March 26 speech: "Of course, Ukraine is not a member of NATO -- in part because of its close and complex history with Russia. Nor will Russia be dislodged from Crimea or deterred from further escalation by military force."

When a president announces that he does not think a foreign aggressor's actions can be deterred, what message does that foreign aggressor hear? "Green light!" Unsurprisingly, Russia is driving right through that green light. The U.S. response? Over the weekend, the White House announced that Vice President Joe Biden will visit Ukraine on April 22, or not for another 10 days. Ten days from now, Putin could be standing under a "Mission Accomplished" banner in Kharkiv.

Every supposed benefit we receive from Obama's famed Russia "reset" is disintegrating before our eyes. News is arriving of another Syrian chemical attack, in the village of Kfar Zeita, 125 miles northeast of Damascus. Syria still holds most of the chemical warfare arsenal that was supposed to have been entirely surrendered to Russia by February 5. Russia has announced plans to bust up the international sanctions regime against Iran with purchases of 500,000 barrels of Iranian oil a day, potentially nearly doubling Iran's oil exports.

This is a rampage of mischief, far beyond one remote region of southeast Europe. And yet even as the threat to peace intensifies, the Western leaders and Western alliances charged with keeping the peace dither, fidget, and hem and haw.

The most urgent necessity now: deploy teams of NATO observers to the cities that are targets of Russian activity in eastern Ukraine. NATO needs eyes and ears on the ground -- and Russia must confront that it is fomenting an international crisis.

NATO needs rapidly to expand its permanent presence with the exposed eastern members of the alliance, especially the three Baltic republics. Such a move would violate the terms of the 1997 agreement with Russia on NATO expansion, which is precisely why it's an apt response to Russia's violation of the 1994 agreement on Ukraine's territorial integrity.

Ukraine needs help improving its military and police capacities. Russia is infiltrating forces across the border with pathetic ease. This is partly because Ukraine's wretchedly underpaid officials are easily bribed and partly because Ukraine's forces are too small, ill-equipped and untrained to do much even when not bribed.

The next round of sanctions on Russia should focus on banks and financial institutions that move the ill-gotten wealth of Russia's corrupt leadership to safe havens in the West. Putin's fortune is not stored in rubles. He's all too aware that someday, the kind of rebellion that toppled his Ukraine stooges might topple him.

It won't be easy to find that money, although of course NATO authorities should start the search. What is easier is to target institutions, Russian and Western, that move money out of Russia -- or that have suspicious clients from Russia.

In the longer term, Europe needs to shift its natural gas sourcing away from Russia. The U.S. will have to allow natural gas exports, and both Canada and the United States will need to induce private actors to build the liquid natural gas facilities that make exports feasible.

It's a big job. But we face a big threat.

@highlight

Gunmen seize key parts of eastern Ukraine; pro-Russian forces create instability

@highlight

David Frum: Remark that military intervention won't work implies West will look away

@highlight

Frum: Russia threatens stability of Europe; NATO observers need to monitor events

@highlight

He says sanctions must hurt Russian investments; Ukraine's weak military needs help