(CNN) -- Travel is meant to be a rich experience, a means of engaging with culture, cuisine and pleasure. In the last decade, cities around the world have helped this along by building exceptionally designed, clean, well-functioning airports.

Along with them have come equally stunning airport lounges, and the super-luxe first-class areas in international hubs around the world are a testament to a new age of luxury.

Instead of feeling like they're on the wrong side of a quarantine -- and serving decidedly lack-luster food (everyone's had a run-in with those dreaded airport "panini") -- these lounges are oases offering first-rate amenities, privacy and calm. It's all so good, in fact, you might even want to get to the airport early.

Departures: The top villas in Tuscany

Airports are gateways to the world, and these 10 airport lounges cater to global travelers who want the journey to be as memorable as the destination.

Amazing first-class air cabins

Virgin Atlantic JFK Clubhouse, John F. Kennedy International Airport, New York

The feeling that half of Manhattan has joined you at your gate at JFK is over. This March, Virgin Atlantic premiered its new Clubhouse with an Austin Powers-meets-uptown mod cocktail lounge at its heart, complete with a red leather sofa and purple lighting.

But it's the Clubhouse Spa, featuring Dr. Hauschka products and treatments, that really makes the JFK Clubhouse a standout layover option.

14 outstanding airport amenities

In the end, just like the $17 million flagship at Heathrow airport, this lounge offers everything you need (massages, facials, foot treatments), everything you didn't know you needed (a Bumble and Bumble salon) and several things that you don't really need at all but are certainly nice to have (anyone for a game of pool?).

Beyond TSA checkpoint in A Concourse, above boarding gates A4 and A5; virgin-atlantic.com.

Departures: Let's go glamping!

British Airways Concorde Room, Heathrow Airport

The decidedly unfashionable herringbone print, velvets and crystal chandeliers of the Concorde Room at Heathrow recall a well-to-do British gentleman's study in all its relaxed, un-modern glory.

Quite simply, this is a retreat -- albeit one with full waiter service, complimentary wines and Champagne and private, hotel-style cabanas with day beds and en-suite bathrooms. If retreating isn't your habit, book a theater ticket with the concierge, then head to the terrace for a drink from the fabulous Concorde Bar and views of the runway.

Terminal 5; britishairways.com.

Etihad's Diamond First Class Lounge, Abu Dhabi International Airport

To enter Etihad's first-class lounge is a dangerous game of choose-your-own-indulgence. Leave the kids at the door. Staff nannies keep little ones busy in the kids' retreat among colorful beanbags and toys; parents head to the Six Senses Spa for a complimentary treatment.

Departures: Spectacular hotel rooftop pools

Then the real decision-making begins. Will it be the Champagne bar for the finest wines and bubbly or the cigar lounge? À la carte dining in a fine-dining atmosphere or dinner at the chef's table? Just don't forget the kids.

Terminal 3; etihadairways.com.

Finnair Lounge, Helsinki Airport

From felt walls that swallow outside noise to Marimekko tableware to the wireless, mobile phone-charging system PowerKiss (wireless!), the simplicity and thoughtfulness of the Finnair Lounge make it exceptional. A buffet is always on, and in addition to the views, the elegant Finnish and Nordic furniture designs provide their own easy pleasure. For those on the way to Asia, the midnight buffet is particularly elaborate.

Travelers in need of a spa will need to have patience -- the Finnair Spa (complete with traditional Finnish saunas) will reopen this winter, but in the meantime there are showers at the lounge.

Terminal T2 between Gates 36 and 37; finnair.com.

Lufthansa First Class Terminal, Frankfurt Airport

Lufthansa's First Class Terminal offers its own passport control and security checkpoints, so travelers get personal attention all the way until they walk down the gangplank to the airplane. (Behind security in Departure Area B, there is also a smaller but no less elegant first class lounge for non-Schengen flights.)

Creatively done lighting radiates from behind a black glass wall and from the tops of marble partitions in the restaurant. Everything, from the size of the tables to the marble and oak bar to the monsoon showerheads, is presented generously and thoughtfully.

Next to Terminal 1; lufthansa.com.

Departures: Top hotel room service

The Pier, Hong Kong International Airport

The seasoned traveler will be forgiven for any long-standing preconceptions about eating (or, sadly, not eating) in airports. Thankfully, not far from Gate 62 at Hong Kong International, those expectations will be overturned.

At The Pier — Cathay Pacific's glass-enclosed first- and business-class break area — you'll find freshly made Japanese noodles at the Noodle Bar and proper fine dining and modern decor at the first-class Haven restaurant. (There are also two more fully stocked café/bars.)

In addition to the business centers, the WiFi, the leather armchairs and the pebbled showers, a glass of Champagne also goes a long way to ease travel stress.

Gates 62-66, Northwest Concourse; cathaypacific.com.

Qantas First Lounge, Sydney Airport

Modernity, with polished surfaces, clear glass and stainless steel, is the norm of airport luxury today, give or take a Dutch modern knock-off table or two and a leather armchair. Which is why we're thrilled with the 98-foot, 8,400-plant vertical garden that greets passengers at the Qantas First Lounge at Sydney Airport.

It leaves the air in the atrium feeling cleaner and lighter. Better yet, part of the garden is incorporated into each of the Payot Paris day spa treatment rooms, so you can forget, for the moment, that you're in transit.

The upper floor of the lounge, designed by Marc Newson and replete with recliners and sofas (in addition to those leather armchairs), also includes an open kitchen restaurant serving food by Australian chef Neil Perry.

International Terminal; qantas.com.au.

Qatar Airways Premium Terminal, Doha International Airport

Doha airport knows how to do things on a massive scale better than anyone, which is why Qatar Airways worked with it to create this first- and business-class terminal cum mall cum hotel.

It includes a handful of worthwhile airport elements (duty-free, fine boutiques) and complements them with the fundamentals of a fine lounge (a full-service Elemis spa, including Jacuzzi and sauna; several restaurants, cafés and bars; private meeting rooms and business centers).

Hotel-style bedroom suites and child entertainment round out the offerings, and the result is truly over the top.

Near main Departures building; qatarairways.com.

Singapore Airlines SilverKris Lounges, Singapore Changi International Airport

At Singapore Changi International, as throngs of travelers roll handcarts piled high with suitcases to overflowing check-in lines, Passenger Relations Officers greet first-class passengers of Singapore Airlines curbside, taking their bags, guiding them to an armchair in the first-class check-in lounge and checking them in personally.

Next it's off to the first-class SilverKris Lounges, where, depending on their mood, guests can choose from meeting rooms, café/bars or 13 Italian-leather slumberettes. Don't worry -- the staff will wake you before your flight.

Terminal 2 on Level 3 (North Wing); Terminal 3 on Level 3; singaporeair.com.

Swiss Lounge, EuroAirport Basel Mulhouse Freiburg

Guests of the Swiss Lounge can sun themselves under an enormous glass dome, surrounded by bright, simple materials -- like chrome and wood -- rather than some of the richer, upholstered surfaces found in other first class lounges. The architecture is open, the greenery is plentiful and the staff at the welcome desk is attentive.

Expect warm and cold buffets, leather recliners facing the panoramic windows, a proper European bar and a Japanese bridge in an atrium surrounded by palm trees. Somehow, it all works together impeccably -- Priority Pass just voted it the best airport lounge of 2012.

Y Terminal on the Departures Level; swiss.com.

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

In the last decade, cities have built exceptionally designed airports

@highlight

The JFK Clubhouse in New York, which features a spa, is a standout layover option

@highlight

The Concorde Room at Heathrow is a soothing retreat

@highlight

Qatar Airways has hotel-style bedroom suites and child entertainment