(CNN)  -- If you've ever pretended to be talking on your cell phone to avoid talking to, or acknowledging, someone nearby -- you're not alone. One in 13 Americans have used this ploy, a new survey says.

In its report, the Pew Internet and American Life Project also explores the pros and cons of having a cell phone. Cell phones are great for quick information retrieval, Pew found. But not having fast mobile access to info can cause problems.

"Half of all adult cell owners (51%) had used their phone at least once to get information they needed right away," the report said. "One quarter (27%) said that they experienced a situation in the previous month in which they had trouble doing something because they did not have their phone at hand."

Among cell phone users ages 18-29, 42% reported experiencing trouble doing something because their phone wasn't nearby.

It's no surprise that the survey found cell phones prove handy in emergencies. It said that 40% of cell owners "said they found themselves in an emergency situation in which having their phone with them helped."

And smartphones' growing rep as a tool for killing time? More than 40% of all cell owners entertain themselves with their phone when bored. (For users 18-29, that's 70%.)

At the same time, the report found that cell phones can frustrate users.

According to Pew, 20% of cell owners "experienced frustration because their phone was taking too long to download something; 16% had difficulty reading something on their phone because the screen was too small; and 10% had difficulty entering a lot of text on their phone."

Despite the vast amount of media attention given to on-the-go social media, Pew found that more cell phone owners use mobile e-mail (38%) than mobile social media (29%). This echoes earlier findings from Nielsen and from comScore, which found this year that mobile e-mail use has been growing.

Pew's survey of nearly 2,800 U.S. adults also highlighted some differences in how people use smartphones vs. simpler feature phones.

Some context: Earlier Pew found that 35% of all adult U.S. cell-phone users own smartphones, so less-smart "feature phones" remain the largest part of the mobile market by far.

How many cell phones are we talking about? According to comScore, as of June there were 234 million U.S. cell-phone subscribers 13 and older, and about 33% of these were smartphone owners. This slight discrepancy with Pew's estimate of smartphone ownership might be attributable to teens, who have less disposable income and thus may be more likely to use inexpensive feature phones.

Pew's earlier study also acknowledged the difficulty in distinguishing between smartphones and feature phones in a user survey since this technological line is blurring and since users often incorrectly identify which type of phone they have.

According to the latest Pew report, 92% of smartphone owners (but only 59% of feature phone owners) said they send or receive text messages and use their phones to take photos. Sharing images is less popular -- 80% of smartphone users and 36% of feature phone users have used their phones to send photos or videos to others.

Also, 84% of smartphone users report using their phone to access the Internet, compared with just 15% of feature phone users.

Apps are interesting: Why get a smartphone if you're not going to use apps? However, Pew found that 30% of smartphone owners have not downloaded apps. It's likely that many of these are BlackBerry users, a still-popular smartphone platform with a comparatively sparse app ecosystem.

However, I've personally been surprised to encounter several iPhone users who never download apps -- and who rarely use stock iPhone apps aside from Safari and iTunes.

Meanwhile, 4% of feature phone users have downloaded apps. That may sound paltry, but that's about 6 million people. (Yes, most feature phones can run simple apps based on the Javascript programming language.)

As the line between feature phones and smartphones continues to blur, apps and the mobile web on feature phones may become a more important part of the mobile landscape. Since feature phones tend to cost much less than smartphones, and since in the U.S., it's harder to get smartphones that don't require a pricey two-year carrier contract, it's unlikely that feature phones will vanish entirely anytime soon.

@highlight

New Pew survey explores cell phone usage and the pros and cons of having a phone

@highlight

Study finds not having fast mobile access to info can cause problems

@highlight

More cell phone owners use mobile e-mail (38%) than mobile social media (29%)

@highlight

Pew says 30% of smartphone owners have not downloaded apps