Washington (CNN) -- President Barack Obama, who took his renewed pitch to cut taxes for the middle class to Iowa Tuesday, and Republican presidential candidate Mitt Romney ratcheted up the tense back and forth over outsourcing work overseas in an appeal to those hit hardest by the economic downturn.

At its core, the debate is a fierce battle to win the support of middle class voters -- especially those in battleground states.

The Obama campaign continued hammering Romney over his private equity firm, Bain Capital, which "owned companies that were pioneers in the practice of shipping work from the United States to overseas call centers and factories making computer components," according to a television advertisement released Saturday. Obama's campaign has also been forcefully pushing a Washington Post report that calls Romney's former private equity firm, Bain Capital, a "pioneer" in outsourcing jobs overseas.

The campaign has made the report a focal point of its ads against Romney, and the president frequently mentions it in his stump speeches.

Romney and the GOP have spent the past few days fighting back against the Obama campaign's line of attack that when the former Massachusetts governor was at Bain Capital he outsourced jobs overseas to the detriment of middle-class American workers. Republican National Committee Chairman Reince Priebus, who was also in Iowa as part of a GOP strategy of "bracketing" the president's public appearances in battleground states, unveiled a new website, called ObamanomicsOutsourced.com, which the RNC said shows instances where the president's policies have led to job creation overseas.

Romney addressed the issue during a stop in Grand Junction, Colorado.

"It is interesting that when it comes to outsourcing that this president has been outsourcing a good deal of American jobs himself by putting money into energy companies -- solar and wind energy companies that end up making their products outside the United States," Romney said. "If there's an outsourcer-in-chief, it's the president of the United States, not the guy who's running to replace him."

In response, Obama's campaign said:

"President Obama has fought continuously to end tax breaks for companies that ship jobs overseas, fostered incentives for companies to bring jobs back to America and doubled the rate of trade enforcement actions we've taken against China to ensure an even playing field for American workers," the statement read.

In addition to Priebus' event, Romney's campaign is also pointing to a new story in The Washington Post that details criticism of Obama for allowing domestic jobs to shift overseas.

"American jobs have been shifting to low-wage countries for years, and the trend has continued during Obama's presidency," states the article, published online Monday night.

During his campaign rally in Cedar Rapids, Iowa, a state the president won by 10 points in the 2008 election, the president held a roundtable discussion with an Iowa family and then talked about middle-class tax relief at a campaign event. That message included a call to pass a one-year extension of the Bush-era tax cuts for households making less than $250,000 a year and let cuts for wealthier Americans expire.

"We're going to have two choices in this election. And one choice is to take us down a path of top-down economics and an approach that says if we do good for folks at the very top, somehow everybody benefits," Obama told the crowd. "And my vision, which says, when we grow best it's because our middle class is doing well and everybody who's fighting to get into the middle class."

Obama's renewed push to extend the tax cuts also serves to steer the conversation from Friday's news of relatively stagnant job growth rate and an unemployment rate of 8.2%.

The mission for both candidates, political experts say, is to frame their messages in a way that makes it clear each empathizes with the plight of those who are struggling to make ends meet.

Facing a tough re-election fight against Romney, the Obama campaign seeks to frame the contest as a debate between the president's goal of restoring middle-class opportunity versus GOP policies that it says would primarily benefit corporations and wealthy Americans.

For Obama that message is, " 'We're coming back. We're producing jobs and we're trying to restore fairness,' " said Robert Lehrman, who was a speechwriter for dozens of Democratic political figures, including former Vice President Al Gore, and is author of "The Political Speechwriter's Companion."

Romney's challenge is to shake the image of a wealthier, disconnected business executive and convince voters that his experience as a leader in his field gives him the qualifications to be the nation's leader.

For Romney the message is, "There are too many people out of work and it's terrible," Lehrman said, adding that Romney needs to make clear that he "feels for the people who are having a hard time."

A recent CNN/ORC International poll conducted June 28-July 1, with 1,517 adult Americans, including 1,390 registered voters, also indicates that while voters are divided on whether Obama or Romney would do a better job on the economy, Romney holds an edge among crucial independent voters in the race for the White House. Forty-eight percent of registered voters say the president would better handle the economy, with 47% saying Romney would do a better job.

President Obama's re-election team is working overtime to paint Romney as someone who is rich and out of touch. The campaign has kept up the attacks on Romney over what is described as his lack of transparency.

A new Web video released by the Obama campaign Tuesday claims that the presumptive GOP presidential nominee is "defying calls to release more than one year's worth of tax returns."

And at a Las Vegas speech for the National Council of La Raza convention, a large Latino civil rights group, Vice President Joe Biden continued the campaign's recent blitz against Romney over reports of his offshore investments.

In January, Romney released his tax returns for 2010 and an estimate for 2011. Federal campaign law does not require candidates to release tax returns, but it does require candidates to file annual financial disclosure paperwork, which Romney has done.

However, the Obama re-election team often points to Romney's father, the late George Romney, who released 12 years of tax returns when he ran for president in 1968.

"His son has released one year of his tax returns. Making a lie of the old adage: Like father, like son," Biden said.

As the campaigns continue the messaging slugfest, there are some pitfalls they must avoid, Lehrman said.

"The worst thing for Obama to do would be to sound apologetic all the time or to say we haven't done all that we wanted to do," Lehrman said. For Romney, the worse thing "would be to concede too much to what the administration has done. But I don't think there's any chance Romney would do that."

CNN's Becky Brittain, Tom Cohen, Ashley Killough, Paul Steinhauser and Jessica Yellen contributed to this report.

@highlight

NEW: Obama, Romney argue over who sent more jobs overseas

@highlight

Obama's pitch to middle-class voters continues in Iowa

@highlight

GOP and Democrats are fighting to appeal to middle class voters

@highlight

Both campaigns must avoid political pitfalls in the messaging battle