WASHINGTON (CNN) -- A new policy sets guidelines for how long U.S. border officials can hold computers and downloaded information seized at checkpoints, and with whom they can share that information.

New rules announced Thursday specify border searches to be conducted "as expeditiously as possible."

The policy, announced Thursday by Homeland Security Secretary Janet Napolitano, continues to give border officials the authority to search files in travelers' laptop computers, mobile phones, Blackberrys and similar devices with or without suspicion that a crime has occurred.

That is in keeping with long-standing court rulings that say the federal government's powers of search and seizure are greatest at the border to protect the country.

But the new policy also attempts to address complaints from travelers that border officials are needlessly perusing confidential information, downloading it and keeping devices and information indefinitely without any explanation.

The policy gives travelers the right to be "present in the room" during searches, although they are "not necessarily ... permitted to witness the search itself." It says searches should be conducted "as expeditiously as possible." And Customs and Border Protection officers should keep devices no longer than five days unless there are "extenuating circumstances."

Officers with Immigration and Customs Enforcement, the investigative branch of the Homeland Security Department, can keep devices up to 30 days.

It also requires border officers to document searches and conduct them in the presence of a supervisor. And it says they should take steps to prevent the unauthorized disclosure of information and share it only with federal agencies "that have mechanisms in place to protect" the data.

Border officers have long had to deal with issues pitting privacy versus security. But with the proliferation of laptop computers, travelers increasingly are traveling with sensitive information, including confidential legal documents, medical records, credit card and bank information and trade secrets.

"Keeping Americans safe in an increasingly digital world depends on our ability to lawfully screen materials entering the United States," Napolitano said in a written statement. "The new directives ... strike the balance between respecting the civil liberties and privacy of all travelers while ensuring DHS can take the lawful actions necessary to secure our borders."

The American Civil Liberties Union said the new rules are a "welcome first step," but said they do not go far enough.

"There are two key aspects of this new policy worth applauding -- the limitations on the time that electronic devices can be held by customs officers and requirements that information from electronic devices only be retained if there is probable cause that a crime has been committed," said ACLU attorney Christopher Calabrese. "These procedural safeguards recognize that the old system was invasive and harmed many innocent travelers."

"But unless and until the government requires agents to have individualized suspicion before reviewing such sensitive information as medical records, legal papers and financial information, even the most elaborate procedural safeguards will be insufficient," he said.

The ACLU this week filed suit seeking records about the Customs and Border Protection's policy of searching travelers' laptops.

The Homeland Security Department's statement said its new policies "enhance transparency, accountability and oversight of electronic media searches at U.S. ports of entry."

"Searches of electronic media ... are vital to detecting information that poses serious harm to the United States, including terrorist plans, or constitutes criminal activity -- such as possession of child pornography and trademark or copyright infringement," the statement said.

The department said it searches electronic media "on a small percentage of international travelers."

The border protection agency said that between October 1, 2008, and August 11, it conducted about 1,000 laptop searches while processing more than 221 million travelers at U.S. ports of entry. Just 46 searches were in depth, it said.

@highlight

New policy attempts to address travelers' complaints about privacy at borders

@highlight

Travelers given right to be "present in room," but not necessarily view searches

@highlight

Homeland Security: New rules "enhance transparency, accountability"