New Orleans, Louisiana (CNN) -- More oil than what would fill an Olympic-sized swimming pool slipped by the cap on BP's ruptured undersea well due to bad weather on Friday, said Coast Guard Rear Adm. Paul Zukunft.

The cap on the well in the Gulf of Mexico, bouncing in the rough conditions, captured 20,000 barrels (840,000 gallons) fewer than anticipated, Zukunft said.

Bad weather has also prevented skimming or burning for the past two days, displaced boom and made it unsafe to fly, he said.

Crews are standing by to resume skimming operations and survey inland waterways that may have seen impacts due to a storm surge. Shoreline cleanup operations continue with limited weather interruption.

For the 12-hour period from noon Thursday until midnight, approximately 9,515 barrels of oil were collected and about 4,150 barrels of oil and 28.6 million cubic feet of natural gas were flared.

Thursday's total oil recovered was approximately 25,150 barrels.

High winds account for the cap's "wobble," said Mark Proegler, a BP spokesman. He noted that forecasters expect rough seas to calm a bit this weekend.

The oil is more likely to move east than west along the coastline and, if it rides on the Loop Current, could reach the southwestern Florida coast in a degraded form, the National Oceanic and Atmospheric Administration said in a report released Friday.

The Loop Current flows northward between Cuba and Mexico's Yucatan peninsula into the Gulf of Mexico, then U-turns and flows out between Cuba and Florida into the Atlantic Ocean.

NOAA predicts that there's up to an 80 percent that the Florida Keys, Miami and Fort Lauderdale will be affected by the disaster, depending on the weather conditions, currents and recovery efforts. It would reach the shore in the form of tar balls or weathered patches -- not as a slick. The western side of Florida is highly unlikely to be hit, NOAA projected.

Hurricane Alex whipped up strong winds and waves before it made landfall in northeastern Mexico late Wednesday night.

With Alex fading, many in the Gulf states were hoping they could get back to cleaning up the massive oil spill.

The dangerous storm had created choppy seas in the Gulf of Mexico and caused hundreds of oil skimmers to be docked.

"We had to stand down because of the storm activity. Now that oil has been spewed all over the Chandeleur Islands," Craig Taffaro, the president of St. Bernard Parish in Louisiana, said Thursday. "We are going out again tomorrow to start cleaning it up. We have to go back out, basically start over."

Newly retired Coast Guard Adm. Thad Allen announced Friday that since June, the skimming capability in the Gulf has increased more than fivefold -- from approximately 100 large skimmers to 550 skimming vessels of various sizes working to collect oil in all parts of the region as of today.To date, 28.2 million gallons of an oil-water mix has been skimmed from the Gulf's surface.

Shoreline cleanup operations continued Friday with limited weather interruption.

The administrator of the Environmental Protection Agency, Lisa P. Jackson, planned to tour parts of the Gulf Coast on Friday, a day after her agency gave BP a new directive on how to deal with the clean-up of the massive oil spill.

Jackson will hold a town hall meeting in New Orleans and tour areas of Pensacola, Florida, on Friday, which is her sixth trip to the area since the April 20 oil disaster, the EPA said.

On Thursday, the EPA and the U.S. Coast Guard issued a directive to BP on how the company should manage recovered oil, contaminated materials and waste recovered in cleanup operations in the Gulf of Mexico.

Among other requirements, the directive requires the oil giant to give the EPA and state agencies access to any waste storage site and to provide specific plans, waste reports and tracking systems for liquid and solid waste.

"While the states of Louisiana, Alabama, Mississippi and Florida are overseeing BP's waste management activities and conducting inspections, this action today is meant to complement their activities by providing further oversight and imposing more specific requirements," the Coast Guard said Thursday. "Under the directive, EPA, in addition to sampling already being done by BP, will begin sampling the waste to help verify that the waste is being properly managed."

Waste sampling to date has been done in compliance with EPA and state regulatory requirements, the Coast Guard said.

Researchers have estimated that between 35,000 barrels (about 1.5 million gallons) and 60,000 barrels (about 2.5 million gallons) of oil have been gushing into the Gulf every day since April 20, when the Deepwater Horizon rig exploded and sank off the coast of Louisiana.

@highlight

NEW: Containment cap bounced, allowing 20,000 barrels to get by

@highlight

NEW: Skimming and burning halted, Coast Guard says

@highlight

NEW: Loop Current could deposit degraded oil on Florida coast

@highlight

EPA toured coast Friday after giving BP new cleanup directive