(CNN) -- Courtesy of the U.S. government shutdown, Chinese President Xi Jinping finds himself in the box seat at his first Asia Pacific Economic Cooperation (APEC) forum as leader of the world's second largest economy.

Usually the United States makes the running at the annual APEC get-together of China, the U.S., Russia, Japan and 17 other Asia-Pacific economies that between them account for half the world's output, 45% of its trade and 3 billion of its inhabitants.

But U.S. President Barack Obama's decision to pull out of the APEC forum and leaders' retreat in Bali, Indonesia this week because of a domestic political brawl leaves Xi and Russian President Vladimir Putin as the two most powerful men in attendance.

U.S. Secretary of State John Kerry now leads the U.S. delegation to Indonesia for APEC and to the East Asia summit and U.S.-ASEAN meetings that follow in Brunei starting Wednesday.

Obama's cancellation was no surprise. He had already trimmed Malaysia and the Philippines from his Asia itinerary because of the failure of the U.S. Congress to pass a new budget. The possibility that the U.S. government shutdown could escalate into the almost-unthinkable disaster of a debt default later this month prompted him to drop the visit entirely.

As Obama warned the world in remarks in Rockville, Maryland Thursday, "As reckless as a government shutdown is, ... an economic shutdown that results from default would be dramatically worse."

Obama's comments have been dismissed by his Republican opponents as scare tactics, but the world economy can do without this sort of drama. As Putin said after the G20 summit in St. Petersburg, Russia, last month, the global economy is doing better than it was five years ago, "but the risks are still very high."

Obama was scheduled to speak Monday, the last day of the APEC forum before the leaders' retreat on Tuesday, on a theme that now seems particularly pertinent -- "America's leadership and priorities: What they mean for the world."

Obama's 2010 "pivot to Asia" policy was supposed to enmesh the U.S. ever more deeply into the region, as a counterweight to the rapidly growing influence of China. But he cancelled trips to Asia in 2010 because of domestic pressures, and in 2012 declined an invitation to attend the APEC forum in Vladivostok because of the timing of the Democratic convention. His cancellation statement on Thursday showed his frustration at another domestic issue getting in the way of his Asia-Pacific aspirations: "This completely avoidable shutdown is setting back our ability to create jobs through promotion of U.S. exports and advance U.S. leadership and interests in the largest emerging region in the world."

Obama's withdrawal is a gift for Putin and Xi. Putin, who was scheduled to follow Obama on the APEC speaking agenda, has as his conversation theme the evocative "Taking another look at the Asia Pacific: Where are the new opportunities for growth?"

Xi is APEC's final speaker and will deliver a keynote address entitled "China in transition: What can the Asia Pacific expect?" China's economy may have slowed a little in 2013 and its structural employment, environmental and social issues present big challenges ahead, but it remains very much the regional engine of growth and its Asian neighbors know their prosperity is intimately linked to what happens in China.

The U.S., of course, has enormous commercial advantages as a consequence of its recent shale gas energy revolution, but the current political impasse is putting stress on its reputation, and a debt default -- however unlikely it may be -- would be an enormous setback.

With Obama out of the APEC picture, Kerry is doing the heavy lifting in discussions with Xi, Putin and other key leaders such as Japanese Prime Minister Shinzo Abe and Indonesian host President Susilo Bambang Yudhoyono.

In particular, Kerry is pushing the Trans-Pacific Partnership (TPP) trade negotiations that have the ultimate objective of creating a free trade pact for Asia-Pacific nations. Twelve countries are in the TPP talks -- Australia, Brunei, Canada, Chile, Japan (which entered in July this year), Malaysia, Mexico, New Zealand, Peru, Singapore, the United States and Vietnam.

Although some observers see the TPP as an U.S.-promoted exclusionary device aimed at China, Xi has already welcomed the "mushrooming" of regional free trade agreements (FTAs) as a "positive sign." In remarks released by his office last week, Xi referred to a Chinese saying, "the ocean is vast because it admits hundreds of rivers," and said China supported the process of Asia-Pacific economic integration with an "open attitude." But, he said, "at the same time, we believe that in developing FTAs, the parties should cherish the principles of openness, inclusiveness and transparency and, in particular, demonstrate flexibility for economies at different development stages, so as to offer more options for integration."

There is an expectation on the Chinese side that it will be a TPP member within three or four years, though issues such as restrictions on internet access remain a potential stumbling block.

When Xi and Obama met on the sidelines of the G20 summit in St. Petersburg last month, the focus was on Syria, greenhouse gases, global economic growth, job creation and investment. In part, it was a continuation of their informal discussions in California in June this year, when Xi made it clear that he wanted to work with Obama on building what he called a "new model of a major country relationship."

For Xi, APEC would have been another opportunity to talk to Obama about rebalancing the U.S.-China relationship, to give due weight to what Xi regards as China's role as a world power not just economically, but in strategic terms as well.

Instead, he has more time this week to talk with Putin about the growing Sino-Russia relationship and with other Asia-Pacific leaders on regional free trade agreements, economic integration, expanded investment co-operation and sustainable long-term growth.

@highlight

Chinese President Xi Jinping and Russian President Vladimir Putin speak at APEC Monday

@highlight

U.S. President Barack Obama canceled his trip to Asia to deal with the U.S. shutdown

@highlight

Comes as U.S. trying to pivot foreign policy strategy to be a bigger player in Asia

@highlight

Hiscock: Obama's withdrawal is a gift for Putin and Xi, as they steal the limelight