(CNN) -- When Pope Francis gave his now-famous, 80-minute interview on the plane back to Rome from Brazil, he was asked, not surprisingly, about the role of women in the Roman Catholic Church. He said that John Paul II had "closed the door" to the possibility of women priests, but he affirmed that the church lacked "a deep theology of women." His comments conveyed a deep respect for women.

Whatever Francis' own virtues, however, the church will continue to be accused of sexual discrimination, especially by many Americans and Europeans, as long as it denies the priesthood to women.

No matter what efforts Pope Francis makes with respect to women, if he refuses to move the ordination question forward, many, including Catholics, will consider his efforts toward women as insufficient or even hypocritical.

That John Paul II "closed the door" to women's ordination is undoubtedly true, but the door may not be closed for all time. After John Paul II's pronouncement against the ordination of women, the Catholic Theological Society of America, the country's leading professional society of Roman Catholic theologians, at its June 1997 meeting, endorsed a resolution indicating that there are "serious doubts regarding the nature of the authority of the teaching" that the church lacks the authority to ordain women to the priesthood and that the all-male priesthood is a truth that has been infallibly taught and that the faithful must accept.

What we learned about Pope Francis in Brazil

The resolution continued that "there is serious, widespread disagreement on this question not only among theologians, but also within the larger community of the Church," and recommended it be given further "study, discussion and prayer."

But the ordination of women is not the most pressing question for most Catholics or even for most Catholic women. Women also experience discrimination and exclusion in the secular sphere in the United States and Europe, but their exclusion and discrimination in the developing world are far greater.

Throughout the world, women and their children make up the greatest percentage of human beings living in destitution. Their main concern is not women priests but food, health, education and physical safety. Francis' genuine concern for the real lives of the poor and suffering warmly embraces women.

Pope Francis is charting new territory. I don't know how Pope Gregory the Great acted out his self-understanding of the pope as the "servant of the servants of God" -- the humble designation he first used -- in the sixth century, but clearly Francis sees himself as a leader who is committed to serving.

Many commentators have pointed out his letting go of the material trappings of hierarchy and exclusion, from Prada shoes to papal apartments, and they have commented favorably on his compassion for the poor, his desire to lead all the faithful to a discipleship of service. Francis clearly sees himself as a disciple, and wishes to set an example like that of his namesake, from Assisi, who said, "Preach the Gospel, using words when necessary."

Opinion: What do pope's remarks on gays mean?

Will Pope Francis advance the conversation regarding the ordination of women? I suspect he will not. But I think his behavior toward all, from the most powerful to the least, but acting very explicitly without judgment and with love and compassion on behalf of the least -- most of whom are women -- will "open the door" to future conversation.

The opinions expressed in this commentary are solely those of Alice L. Laffey.

@highlight

Alice L. Laffey: Pope Francis says Catholic Church needs "deep theology of women"

@highlight

But she says many will accuse church of discrimination as long as it denies women priesthood

@highlight

She says jury still out: By some theological readings, women not precluded from priesthood

@highlight

Laffey: His warm stance toward women in church bodes well for taking on issues of poverty