Students gathered as the chef sliced tomatoes with a plastic knife in a Brooklyn public school cafeteria. Their eyes followed as she held up a slender green cylinder before the crowd of parents and kids in plastic aprons and hairnets.

"What's that?" kids shouted.

"It's a scallion. But don't eat it now," warned Leigh Armstrong, a culinary student and volunteer chef. "It doesn't taste like celery."

Armstrong was helping at Cooking Matters, a free, six-week class that teaches parents and kids how to shop for and prepare healthy, inexpensive meals. The program launched 20 years ago through the nonprofit Share our Strength, and it now serves more than 11,000 families across the country.

Most participants use or have used food stamps, free or reduced-price school lunches or food pantries to cover their nutritional needs, and almost all are still looking for ways to stretch a few ingredients into meals.

The number of families that struggle to get enough food has increased in recent years.

The U.S. Department of Agriculture reported that in 2010, 14.5% of households in the United States -- about 17.2 million -- lacked the resources to provide enough food for everybody. Among those, about 6.4 million households saw normal eating patterns disrupted or reduced because there wasn't enough food.

Food insecurity -- uncertainty about where the next meal will come from -- is particularly hard on one group: children.

The nonprofit Feeding America, a network of more than 200 food banks around the United States, reports one in five children are at risk of hunger. For children in African-American or Latino households, it's closer to one in three.

They're likely to have trouble focusing in school. They might experience illness or poor health as a result. They're also likely to struggle with stress at home or in class. While many are eligible for free or reduced-price food at school, those programs don't provide food at night, on weekends or during breaks from school.

Hunger is still a more frequent problem for homes headed by single parents and for homes below the federal poverty line, the USDA reports, but it has also crept into homes that have never experienced it before.

"It's invasive and real," said Paula Thornton-Greear, a Feeding America spokeswoman. "It's a time of record need, a time when you're seeing people from all walks of life needing to turn to assistance to meet their food needs."

For adults, the most important step might be talking about it, Thornton-Greear said -- reaching out to friends and family who can help and learning what government and nonprofit food programs are available.

"At some point, we're all in need of something," she said. "It's reflective of a society experiencing a huge downturn. It's not reflective on one individual."

For kids, it might mean getting adults more engaged in teaching nutrition and stopping hunger before it starts.

On TV, a new "Sesame Street" puppet, Lily, is talking about food insecurity from the perspective of a 7-year-old who doesn't always have enough to eat.

In Orange County, California, chef and restaurateur Bruno Serato feeds pasta to about 300 children every night.

Serato, one of the Top 10 CNN Heroes of 2011, began cooking for kids when his mother visited from Italy and saw a child eating potato chips for dinner. The boy, like dozens of others near his restaurant in Anaheim, lived in a motel, where his family had limited access to food and cooking space.

"'Bruno, you must feed them pasta,'" he recalled her saying. Serato continued the nightly pasta feast throughout the recession, even as his restaurant struggled.

"They're customers," he told CNN earlier this year. "My favorite customers."

And back in Brooklyn, it means teaching parents to shop and cook with kids in tow. The Cooking Matters curriculum includes taking families to grocery stores and then getting them into kitchens at schools, community centers or even housing units.

Today's menu: breakfast burritos with eggs, cheese and homemade salsa. The cost: less than $2 a serving.

At Saprina Gressman's first Cooking Matters class this month, the 25-year-old mother of three said her kids first told her about the class.

"I'm hoping to learn a lot," she said, as she helped her 4-year-old daughter, Kiara, cut a tomato to make salsa. "I'm hoping to learn to cook with my children, because you need patience."

While parents will usually be the ones to budget, buy and cook food, getting kids excited about preparing and eating homemade meals can keep everyone engaged in healthier choices and smart shopping.

Aliyah Rowe, the Cooking Matters program coordinator for City Harvest in New York, said some members of the class rely on food stamps, but it's designed for anyone with food insecurity -- people who recently lost jobs and have to rethink their food budgets, or families that occasionally seek assistance from food banks.

It also gets parents and kids spending time together and talking about the food the fuels them.

"I remember baking with my grandmother, but that doesn't happen anymore," Rowe said.  "The reality is parents are busy; you have some that work two jobs. But the kids come here and they are so excited, and they go home excited. And that inspires parents to cook with their children."

@highlight

Millions of American households don't have enough food for everyone

@highlight

The problem is spreading to families who have never experienced it before

@highlight

Food insecurity can be especially tough on children, experts say