"We are determined to prevent Iran from acquiring nuclear weapons."

So said President Barack Obama on Friday at the annual general assembly of the Union for Reform Judaism.

As presidential sentences go, it's an artfully constructed one. It's not a statement about Iran. It's not a statement about nuclear weapons. It's a statement about the president's feelings. As such, the statement arrives with a built-in loophole.

"(W)e have imposed the most comprehensive, the hardest-hitting sanctions that the Iranian regime has ever faced." That sentence, from the same speech, is likewise literally true. The president has somewhat tightened the sanctions already in place when he entered office. So yes, the sanctions now in place are the "hardest-hitting" the regime "has ever faced."

On the other hand, despite the tightening, the sanctions remain pitifully inadequate to the job. Iran's most crucial import is gasoline, because this oil-producing nation cannot refine enough gasoline for its automobiles. Gasoline imports to Iran are supposedly sanctioned. Despite sanctions, Iran has increased its imports of gasoline over the past 90 days, according to news reports.

As sanctions fail to bait, the options on halting Iran's nuclear program get uglier.

Somebody (Israel? Iranian dissidents backed by Saudi Arabia?) is carrying out a campaign of violent sabotage against Iran's nuclear program. On November 12, a huge explosion leveled an Iranian missile base near Tehran. Iran acknowledged the explosion killed several dozen people, including the head of its missile program. By some reports, the dead included a team of visiting North Korean missile scientists.

Two weeks later, another huge explosion was heard near Isfahan, site of an Iranian uranium enrichment facility. This time, however, the Iranian regime offered no statement or details on the explosion. If any Western government knows anything, that government is not sharing its information.

Over the past few years, there have been numerous reports of the assassination of Iranian nuclear scientists, including one shot dead on a busy street by a motorcyclist in July.

Some foreign policy analysts suggest a policy of "containment" and "deterrence" of Iran's nuclear weapons. That policy seems incredibly unrealistic, given the Iranian regime's long history of reckless adventurism, including terrorist operations on the soil of (among others): Argentina, France, Germany, Lebanon, Iraq, Israel, Saudi Arabia, Turkey, the United Kingdom and the United States.

But even if containment and deterrence were realistic options, the situation has moved far past that point. There's a covert war being waged apparently over the Iranian nuclear program. Iran is waging a brutal irregular campaign of its own: It's suspected of being behind an assassination attempt against the Saudi ambassador to the United States; it has given aid to Bashar al-Assad's Syria and to Hezbollah in Lebanon and has aided insurgents in Afghanistan.  And Iran's nuclear ambitions have unleashed a cycle that will not be stable -- that is much more likely to end in open conflict than in a standoff.

Yet there is a leader pushing a plan that could end the cycle without war: U.S. Sen. Mark Kirk, R-Illinois.

For a year, the freshman senator has been urging a new approach to sanctions, an approach that truly would force an Iranian rethink. The Kirk plan, co-sponsored by Robert Menendez, D-New Jersey, would impose sanctions on the Iranian central bank, in effect severing Iran from the entire global payments system.

Specifically, the Menendez-Kirk amendment would forbid any U.S. financial institution to deal with the Iranian central bank -- or to deal with any financial institution that does so. Every bank would find itself confronted with a stark threat: If you do business with Iran, you will lose access to the largest financial market on earth. These sanctions would collapse the central bank of Iran and shove the Iranian economy onto a barter system for all external transactions.

The Menendez-Kirk amendment passed the Senate 100-0 as an amendment to the Defense Authorization Act. On Friday, it passed the House of Representatives and will now head to the president's desk for his signature.

The Obama administration has opposed Mendendez-Kirk for fear of roiling world oil markets. Iran exports 2.5 million barrels per day. To put that figure in perspective, the Keystone XL pipeline from Canada (a decision on which the Obama administration has just postponed) could have added 700,000 barrels per day to world exports, alone substituting for almost one-third of Iranian exports.

Libya and Iraq have capacity to increase their production quickly and substantially, and of course the U.S. government has 727 million barrels in the strategic petroleum reserve, more than ample to deal with supply shocks. Still, to respond to administration concerns, the Menendez-Kirk amendment now empowers the president to issue waivers on both national security and economic grounds.

Most observers expect the president to sign the Defense Authorization legislation with the Menendez-Kirk amendment -- and then seek to evade the amendment's requirements. He will certainly have the authority to do so. This evasion will however come at a political price. The central bank sanctions in Menendez-Kirk begin to bite hard six months out --- i.e., about the time of the Republican and Democratic conventions. If the president is then granting waivers to banks that want to do business with Iran, that action will be visible and politically costly.

The utmost irony here is that detractors in the administration and in the foreign policy establishment criticize Menendez-Kirk as a form of confrontation with Iran. In reality, Menendez-Kirk is the last and best chance for regional peace: the last best hope to avoid the horrible choice of either using force to stop Iran -- or acquiescing as Iran gains the power to wage nuclear terror against its neighbors and the world.

@highlight

David Frum: Obama talks of commitment to Iran sanctions, but they are not strong enough

@highlight

He says "covert war" over Iran's nuclear program more likely to end in conflict than in standoff

@highlight

Frum: Plan for sanctions on Iran central bank would sever Iran from global payments system

@highlight

Frum: Obama should support Menendez-Kirk plan -- best and last chance for regional peace