Hoping her celebrity will bring attention to the widening Syrian refugee crisis, actress and U.N. envoy Angelina Jolie spoke of the horrors that children, many of them orphans, have witnessed in Syria.

"Body parts separated, and burned people being pulled apart like chicken -- a little 9-year-old girl said that," Jolie said during her visit to a refugee tent camp in Jordan near the Syrian border.

Every day, an estimated 2,000 Syrians are fleeing the relentless bloodshed that has gripped their country for the past 18 months, the United Nations' refugee agency said Tuesday.  That adds up to more than one quarter million Syrian refugees -- 253,000 -- now living in camps and other temporary homes inside Jordan, Turkey, Lebanon, and Iraq.

U.N. breakdown of refugees

Life in the dusty Zaatari refugee camp outside Mafraq, Jordan, is not easy for those living there, many of whom have almost nothing after leaving their homes amid violence. Members of one family told CNN they had fled over the border with a 4-day-old baby and the clothes on their backs.

Others complained of being short of food and water.

Escorted to the border overnight by the Jordanian military, Jolie witnessed the moment when Syrians crossed into Jordan, becoming refugees before her eyes. The actress, who is raising six children with partner Brad Pitt, said she was greatly moved by what she had seen and spoke of the connection she felt in particular with the mothers and their children as they faced such challenging times.

"The amount of innocent children that have been reported dead, the amount of innocent children I've met here who are wounded and unaccompanied -- with their parents being killed and now they're on their own -- it's impossible to imagine any mother standing by and not stepping up and doing something to prevent this," she said.

Jolie has made countless trips to the world's hotspots in her role as a U.N. goodwill ambassador -- including a visit to Syrian refugees in Turkey last year.

Jordan is bearing the brunt of the refugee crisis sparked by Syria's civil war: More than 85,000 refugees have escaped to Jordan, and many more have fled to neighboring Turkey, Lebanon and Iraq.

"Jordan has already reached its limit in absorbing the refugee influx, and what is needed now is to build more refugee camps for the Syrian refugees," Jordanian Foreign Minister Nasser Judeh said. "We have limited means, but this is the land of the good people, and we will share with them whatever we have, no matter how little (it) is."

Jolie urged other countries to do more to help the Syrian people.

"I am grateful to Jordan and the border countries for saving the lives (of those) who are dying in Syria. It's an extraordinary thing. We encourage the international community to support the people here until one day they go back home."

In other developments Tuesday:

Diplomacy: U.N. envoy set to meet Al-Assad

Veteran diplomat Lakhdar Brahimi, who was recently appointed the U.N. and Arab League envoy to Syria, will "soon" meet Syrian President Bashar al-Assad, U.N. Secretary General Ban Ki-moon said.

It's the latest international diplomatic effort to resolve the ongoing fighting that has claimed more than 20,000 lives over the past year and a half, according to Ban. Brahimi took the place of former U.N. envoy Kofi Annan, who resigned from the post last month after a failed peace deal with Syria.  Annan met with al-Assad during his peace efforts.

Brahimi has acknowledged that he faces an uphill struggle, saying he is "fully aware" that his mission is "extremely difficult." He expects to travel to Damascus in the next few days, he said.

Analysis: Al Qaeda looks to Syria to revive its fortunes

Humanitarian crisis: A quarter of Homs residents need aid

The humanitarian situation in Homs is "grave and continues to deteriorate," according to a team of international health experts who visited the embattled province last week as part of a U.N. exploratory mission.

Some 550,000 of the 2.2 million people in the province are in need of humanitarian aid, said World Health Organization spokesman Tarik Jasarevic.  And there is little time to get that aid into Homs, which has been a bastion of anti-government sentiment in the Syrian civil war.

"The urgency of scaling up delivery of humanitarian aid is exacerbated by the approaching winter," Jasarevic said.

About half of the province's medical doctors have left, and only about three surgeons remain, he said. Facilities across the province have been damaged or destroyed, leaving only a fraction of the existing hospitals overwhelmed with patients and short on medicine and supplies.

Photographer captures Syria's rebels, escapes death

On the ground: Damascus, Aleppo take another beating

Opposition activists reported a wave of fresh violence in Syria that claimed at least 130 lives nationwide, 30 of them in aerial shelling, according to the opposition Local Coordination Committees of Syria.

Among the deaths were 43 in Aleppo province, where a bakery in Marea was shelled, the LCC said. Syrian regime forces have previously attacked bread lines in the province, according to human rights groups and U.N. officials.

The state-run Syrian Arab News Agency reported that four military operations inflicted "heavy losses upon the terrorists" in Aleppo.

Damascus and its suburbs also saw at least 34 deaths Tuesday. Fierce clashes between regime forces and rebels and heavy gunfire were reported by the LCC, as well as shelling of farms and residential areas.

Earlier Tuesday, the opposition activist network reported that helicopter gunships were dropping so-called barrel bombs on the village of Dabaa in Homs province and the rebel Free Syrian Army was responding with machine guns.

In Elfaya, in Hama province, the opposition network reports what it describes as a "new massacre" by regime forces, with eight people seized from their farms and executed. Four more are missing, the LCC said.

In Homs, regime forces renewed heavy shelling by tanks and mortars, the LCC said.  And in Daraa, the birthplace of demonstrations against President Bashar al-Assad last year, the group reported "heavy and indiscriminate gunfire by regime forces."

State-run media, meanwhile, reported Tuesday that 30 civilians were killed in a "terrorist bombing" Monday in front of an Aleppo hospital. The government said children were among those killed.

Baby survives as family dies in onslaught

@highlight

Opposition reports helicopters dropping bombs on a village in Homs

@highlight

Jolie describes wounded children who are orphaned from the civil war

@highlight

More than 253,000 Syrian refugees have fled their country, a U.N. spokesman says

@highlight

At least 130 people are killed in violence nationwide Tuesday, opposition says