(CNN) -- Hurricane Sandy gave the Eastern seaboard a real pounding this week, with heavy rain, widespread flooding and high winds.

In addition to damage from water and wind, the East Coast is experiencing cascading effects of power outages and disrupted transportation systems. Downed power lines have led to fires and electrocutions. Widespread shutdowns of government and business operations are curtailing economic activity.

More than 50 lives have been lost. It is too early to get an estimate of damages, but the economic costs will likely amount to billions or perhaps tens of billions of dollars. The element of risk is epitomized by the disabled boom of a construction crane, dangling 80 stories over the streets of Manhattan, an all-too-real sword of Damocles.

Many of the areas buffeted by Sandy were hit by Hurricane Irene in August of 2011.

What is going on? Is the punch from Sandy or the one-two pounding from Irene and then Sandy a consequence of climate change or an unlucky roll of the climate dice?

The evidence is not yet in for the East Coast in 2011 and 2012, but the general trends are increasingly clear. In its 2012 report on managing the risks of extreme events and disasters, the Intergovernmental Panel on Climate Change (IPCC) concluded that "A changing climate leads to changes in the frequency, intensity, spatial extent, duration, and timing of extreme weather and climate events, and can result in unprecedented extreme weather and climate events."

Many observations and many lines of evidence support this conclusion. Yet, the fact that hurricanes and other climate extremes occur only rarely means that it is very difficult to know for sure that the recent pattern is really outside the range of historical variation.

Globally, we don't have conclusive evidence that hurricanes are increasing, but we do see a clear indication that the major storm tracks outside the tropics are moving further from the equator.

From the perspective of expected damages, two trends highlight causes for concern. First, economic losses from weather-related disasters have increased over the last several decades. This is mostly because of increases in the value of the assets in harm's way. Second, sea level is rising. Globally, sea level is now about 6 inches higher than in 1900.

This may not sound like much, but a modest change can have big effects. Flooding from storm surge is a classic threshold event. If the waves are 1 inch below the top of the sea wall, there is no damage. One inch above leads to flooding. This combination of increasing exposure and increasing sea level is gradually notching up the level of risk.

What can be done? For disaster managers, the long-standing foundations for effectiveness are preparation, response, and recovery. So far, disaster management agencies, from the local to the national level, have taken Sandy very seriously, appropriate for a storm of its magnitude.

The tradition in disaster management has been to base planning on past experiences. That's a reasonable approach when the future looks basically like the past. But it is a recipe for regret when climate and development are changing. Much can be done to incorporate new knowledge into disaster management, including steps to reduce the risks of future disasters.

One key is recognizing that the future won't be like the past. To cope with changes in climate, development and population, we should be building climate and sea level projections into infrastructure planning, building codes and plans for managing disasters.

We have the scientific knowledge and engineering knowledge to improve all three phases of disaster risk reduction -- preparation, response and recovery. But we don't know everything.

As a consequence, it is important to make learning by doing an integral part of disaster management. We need to continue to refine our understanding of the role of climate change in altering the risks, at the same time we test technologies and strategies for dealing with a future that we know will be different from the past.

Climate change is occurring now. We see its consequences in hotter temperatures, higher sea levels and shifted storm tracks. In many parts of the world, we are also seeing an increase in the fraction of rainfall that comes in the heaviest events. When it rains, increasingly it pours.

Climate change over the next couple of decades is already largely baked into the system, but changes beyond that are mostly in our hands. As we learn more about the links between climate change and extreme events, it will benefit all of us to think hard about the opportunities and challenges of getting a handle on climate change, so we control it and not vice versa.

The opinions expressed in this commentary are solely those of Chris Field.

@highlight

Chris Field: Superstorm Sandy gave the Eastern seaboard a pounding

@highlight

He says rising sea level has greatly complicated problem of protecting coastline

@highlight

Storm tracks outside tropics moving further from the equator, he says

@highlight

Field: One key to disaster planning may be that the future won't look like the past