(CNN) -- They're tall, they're historic and they're one of the most significant collections of freestanding treasures of ancient China.

No, they're not the Terracotta Warriors of Xi'an.

They're the "diaolou" of Kaiping, more than 1,800 centuries-old watchtowers that dot the rice fields around the city of Kaiping in the Guangdong Province.

Despite the city's gorgeous landscape and a UNESCO World Heritage Site listing, Kaiping sees relatively few visitors each year -- for China, anyway.

Last year's record 600,000 visitors was disappointing for local officials, who lament that Kaiping is more deserving of visitors than more well known cities in China, which can hit that number in a week.

China's official desire to raise Kaiping's profile is understandable -- the city offers a rare and tranquil travel experience that doubles as a history lesson on unique Chinese architecture.

Fusion architecture

The multistory watchtowers were built in the beginning of the Ming Dynasty (1368-1644) as a defensive response to incessant bandit raids.

Heavy flooding in the area also played into the need for towers and three types of diaolou emerged over the centuries; defensive, residential and communal.

"Most diaolou were designed with reinforced structures, thick walls and small windows," explains Liwen Huang, marketing manager for the Tourism Administration of Kaiping Travel Resource Development Center.

At the beginning of the 20th century, Kaiping became a major source of overseas emigres.

Many Kaiping natives eventually returned to the homes with newly acquired wealth, and built diaolou with Western touches incorporated into the architecture.

Residential diaolou became a way for owners' to display their wealth via flamboyant designs.

Along with the ancient diaolou's historic significance, the unique fusion of Chinese and Western architecture was a major factor in UNESCO's 2007 decision to confer World Heritage Site designation upon the structures.

China's ancient donut-like homes: Where to see the tulou

Baroque, Roman and Gothic influences are clearly visible in many of the watchtowers.

"Chinese who went overseas brought these exotic elements back home, as they found Western architecture splendid while they were abroad," says Huang.

In some cases, local builders worked from images on postcards that were sent from abroad, creating unique designs.

Li Garden

The best example of a luxurious diaolou can be found at Li Garden, in the Beiyi Xiang district.

Built in 1936 by wealthy Chinese emigrant businessman Weili Xie (he had four wives and more than 20 children), the 11,000-square-meter complex is composed of one diaolou, six villas, two gardens, waterways and bridges.

The luxurious interior was built with materials imported from overseas.

Quanzhou: China's forgotten historic port

The complex was equipped with then-modern Western elements, such as flushing toilets, sinks, marble tile and fireplaces -- this at a time when most Chinese were living in tiny cottages with outdoor toilets.

The garden has 20-meter steel pillars, a huge golden pavilion shaped like a birdcage and a green pond for turtles.

Each window was built with at least four panes of glass to protect against firearms.

What to eat while in town

Sweets are a specialty of Kaiping street stalls.

Grass jelly: Made of mesona chinensis, a Chinese herb, grass jelly is one of Kaiping's most popular summer snacks. The jelly tastes best when served with shaved ice, syrup, honey or condensed milk. The sweetness balances the mild bitterness of the herb.

Tofu pudding: A popular local dessert, tofu pudding has a delicate, creamy texture. Locals add a little sugar to make it more flavorful.

Maltose sticks: A short wooden stick is used to stir, then mount melted maltose -- turning it into a delicious golden, sticky snack.

How to get there

Fly to Guangzhou Baiyun International Airport, take a taxi to Tianhe Coach Terminal Station, which should cost about RMB120 ($20); buses depart from Tianhe Coach Terminal Station to Kaiping from 7:30 a.m. to 7:15 p.m.; tickets cost RMB38 ($6).

@highlight

The watchtowers in Kaiping, China, were originally built for defense against bandit raids

@highlight

They received a UNESCO World Heritage Site listing in 2007

@highlight

In the early 20th century, wealthy emigrants returned to Kaiping and built more towers with Western influences