(CNN)The horrific events in Paris and northern Nigeria have underlined again how troubled and fragmented our world is. Religious extremism and sectarianism is fueling terrorism and widespread conflict which has forced millions in Syria, Iraq and elsewhere to flee.  Aggressive nationalism and politics based on prejudice and a false view of identity is on the increase in many countries.  Disease and hunger continue to take a terrible toll.

Yet we know what needs to be done, for example, to end the Ebola disaster, halt climate change, rid our world of hunger and begin the difficult process of healing deep divisions in our societies. Our failure is not because of a lack of knowledge or global resources but leadership and resolve -- by politicians but also throughout society. How we put this right must be at the heart of all discussions at Davos this week.

Let's start with Ebola. We have known about this disease for 40 years, how deadly it is, how it is transmitted and how to prevent infection. Yet we have lost thousands of lives already to the epidemic in West Africa and only now have the resources, from within countries and outside, been mobilized to halt it.

We need to learn the lessons and ensure we can move much more quickly and effectively before such deadly diseases take hold. The last few months have also underlined the need for big pharma to invest more into the research of diseases that occur in poorer countries. The extraordinary progress in tackling some of the world's greatest killers through the development and distribution of vaccines shows what can be achieved through our collective efforts.

Second, Africa, with the world's most uncultivated arable land, has the potential to help end the global food security and nutrition crisis. Yet it fails to grow enough food even to feed its own people.

Africa's governments have recognised their responsibility to put in place the policies and investments which will enable the continent's farmers, big and small, to provide the food needed. They must deliver the improved infrastructure which is vital to this ambition. Business must respond as well, particularly by giving small-holder farmers the access to new crop varieties, techniques and markets.

The third area where leadership is absolutely crucial is the climate crisis. How is it possible that climate change conferences continually fail to provide the breakthrough given that the science is so clear about the threat to future generations and our planet?

In December, a global agreement must be reached in Paris on the framework and policies needed to halt climate change. Political leaders need to look beyond the next electoral cycle. Civil society has largely already understood what needs to be done. I believe corporations will quickly respond to the challenge as many already have. There can be no clearer example of where our common values must be rediscovered. There are welcome signs that this is, at last, beginning to be understood.

Fourthly, we know that successful peace processes are our only chance of escaping the circle of violence. Without the resolve to address the past openly, and without leaders showing the courage to give peace commissions the independence they need, solutions will be haphazard. It takes courage to address the rights of victims genuinely, but it is fundamental to heal wounds permanently. In a world riddled with conflict, this courage will be more essential than ever. The international community needs to do more to support countries through this often difficult process.

Finally, there is also an urgent need to step up support for democracy and elections. While almost every country now votes, public faith in democracy is on the wane. In too many countries, political leaders manipulate the process to deny their citizens a proper voice.  Even in mature democracies, there is an increasingly widespread belief that elections change little and that the political elite serve only their only narrow interests.

Leaders in 2015 will once more have the choice between using elections to give their regimes a veneer of democratic legitimacy or ensuring a level-playing field, respecting the secrecy of the ballot and, above all, accept the result peacefully. Last year's successful Presidential elections and peaceful hand-over of power in Indonesia, the world's third largest democracy, even when the result was very close provided real hope for the future.  Supporting the integrity of elections in Africa and elsewhere will be an area, like all these challenges, I and my Foundation sees as particular priorities this year.

In times of uncertainty, it is all too easy to surrender to fear and retreat, look inward and think short-term. But what is urgently needed is the ability in politics but also in business and society as a whole to look beyond national borders, the next election or set of quarterly results. This must underpin not just discussions at Davos but all our actions as voters, citizens and consumers in the coming months and years.

Read more of CNN's coverage from Davos 2015

More from African Voices

The views expressed in this commentary are solely those of Kofi Annan.

@highlight

Annan: Failure to deal with global issues is because of lack of leadership and resolve

@highlight

Ebola disaster, climate change and hunger are testing societies

@highlight

Davos talks must focus on finding solutions

@highlight

In business and politics, long-term perspective key to ensuring future prosperity