PADUCAH, Kentucky (CNN) -- He arrives in the early morning hours, when the downtown streets here are empty and quiet.

Former U.S. soldier Steven Green has been convicted of raping and killing a 14-year-old Iraqi girl.

An electric gate jerks to life as the black sedan with tinted windows pulls into a parking lot protected by an iron fence. It's five blocks from the local county jail to the U.S. Federal Courthouse of Western Kentucky. Not even a five-minute drive.

This is the only freedom Steven Green knows.

He's ushered from the car by a contingent of U.S. marshals. It's 30 feet out in the open air. A brief chance to look up at the clouds. A moment to hear sounds not reverberated against cell walls: a bird, a car engine, a breeze in nearby trees.

He is a lanky 24-year-old. He looks lean, like he could grow a little more. Not really a man, but too old to be called a boy.

Regardless, he is a convicted murderer, rapist, and conspirator.

The orange prison coveralls make him look a bit taller. The jury never sees Green in the fluorescent jumpsuit. Inside the federal courthouse there is a change of clothes. Usually it's a button-down shirt and a pair of khakis. He keeps his cuffs buttoned.

He looks nerdish, and you half expect him to start working on the courtroom computers. Not like a man who once asked FBI agents if they thought he was "a monster."

Evidence comes in a steady display of pictures and videos that seem oddly connected. The snapshot of a smiling woman lying in a field of bluebonnets. The image of a dead Iraqi strapped to the hood of an Army Humvee. A high school yearbook photo of a Texas football team. The diagram of a brain cell. Video of a firefight shot from an insurgent perspective.

The most unusual trial exhibit sits against the wall behind the prosecutor's table: a small architectural mock-up of a home. Roughly 18 by 18 inches, it is like no home in Kentucky. A flat-topped square with a raised rectangular structure at the top providing access to the roof. It is beige in color. The tiny windows have tiny bars. It is a 3-D map of a crime scene.

Earlier this month, a jury found Green guilty of a raping a 14-year-old girl who lived in the home in Iraq, then killing her and setting her body on fire to destroy evidence. Green also was found guilty of killing the girl's parents and 6-year-old sister.

There is a casual manner to Steven Green's daily entrance into the courtroom. It defies the circumstances of the moment and the imagination without proper context. This is the sentencing phase of his death penalty trial and he is the defendant.

Testimony resumes Monday, with the expectation of closing arguments as early as Wednesday. Green faces life in prison without the possibility of parole, or death in prison.

The testimony transports the court to unusual places: across Texas following Green's dysfunctional childhood, into the sense of structure and order of Army basic training at Fort Benning, Georgia, and back to the chaos of horrendous combat situations four years ago in Iraq's Triangle of Death.

Green is a former member of the 101st Airborne Division, inserted into a very bad section of Iraq during some of the worst fighting of the war. His memories are of a place known as Yusufiya, 20 miles south of Baghdad. Jurors form a mental picture of his life then as former members of his unit, Bravo Company, take the stand.

Amid the military lingo, the witnesses pause occasionally, struggling to convey the contempt, confusion, exhaustion, and death they knew. They speak of being shot, of killings, booby traps and sudden bloody dismemberments.

This toxic emotional mix is what former Pfc. Green knew in 2005 and 2006 almost every day, along with the very real possibility of his own death. If the jury opts for its most extreme option -- the death penalty -- unlike his daily death watch in Iraq, at least Green will see that coming.

When a friend or family member enters the courtroom, Green tries to make anxious eye contact. He whispers a lot to his attorneys. His hands stay around his face and his gaze on the table when the victims' family speak through an interpreter.

The Al-Janabis' relatives do not speak of details of the crime. The questions come only from the prosecution, and the defense does not cross-examine. They speak of an orchard worker, Kassem, and his wife, Fakhriya. They speak of a simple family who did not own either their home or the furniture. They speak of a funny 6-year-old girl, Hadeel, being chased through the orchard trees by siblings. They speak of a 14-year-old girl, Abeer, with dreams of living in the city and wearing nice clothes.

The jury never hears the words "rape" or "murder" come from the translation. It is a testimony about loss. The defendant sits rigid the entire time.

The mention of other names comes frequently in court. Spc. James Barker: The jury knows him as the soldier who concocted a plan over a card game to target the Al-Janabi family -- a mission of gang-rape and murder. Sgt. Paul Cortez: The defense counsel describes him as senior non-commissioned officer, the one who approved the mission as long as he was the first to rape Abeer. Pfc. Jesse Spielman: His name is familiar as the fourth member of the squad to leave their traffic checkpoint on March 12, 2006, after donning disguises, and enter the Al-Janabi home. Pfc. Bryan Howard is the soldier left behind to guard their post.

Each is out of the Army, sentenced to prison time by a military court for his part in the crime and the failed coverup. Green, the trigger man, is the odd man out. He sits before the jury, convicted in civil court for this war atrocity. His early release from the Army two months after the crime is a possible death sentence, while three of his accomplices face the possibility of parole from an Army prison in 2016.

Green still sports a military haircut. Seated at the table alongside his defense team, he often leans over and speaks with Darren Wolff, a former Marine Corps captain turned Kentucky defense lawyer. There are letters on file in the court docket from Wolff petitioning Defense Secretary Robert Gates to re-enlist Green in the Army, so the former private could face trial under the Uniform Code of Military Justice. It is not unheard of in this war.

Wolff points out in conversation that the Pentagon re-activated two former Marines after word surfaced of an alleged murder in Falluja in 2004. He says Green should face a jury of his military peers. The fact that has not happened, and the former Army private sits in the U.S. District Court of Western Kentucky tried under the Military Extraterritorial Jurisdiction Act for crimes committed in Iraq, may be a point of appeal.

At the end of the day, Green exits the courtroom, climbs back into his prison garb and is shackled. There's another short walk to the car, then a five-block return drive to take in the world. He returns to solitary confinement. This is his human interaction for the day.

@highlight

Steven Green was convicted of murder, rape in deaths of girl and her family in Iraq

@highlight

Jury in Kentucky to decide his sentence; death penalty a possibility

@highlight

Closing arguments could start as soon as Wednesday

@highlight

Green faces harsher penalty because he had left Army and was tried in civilian court