(CNN) -- I write this piece with some trepidation, because people are understandably troubled by the crash of Asiana Airlines Flight 214 and want to know why it happened. They do not want to hear that it "could have been worse," that such events are extremely rare or that the causes of the accident aren't clear. But I will focus below on all of these points, because they are true and worth noting.

It is tragic that two teenage girls perished in the Asiana crash. But given the conflagration that left the plane a charred hulk, it is remarkable that 99% of the passengers survived the accident. Moreover, these were the first two deaths on scheduled commercial flights in the United States this year or, for that matter, in the last 4Â½ years. During that period, more 3 billion passengers flew with no fatalities in the United States or on U.S. airlines. Two in 3 billion is a very small number.

Did Asiana pilot have enough 777 experience?

How small? At that risk per flight, a traveler could on average fly once a day for 4 million years before succumbing to a fatal crash. An American youth at an airport is far more likely to grow up to be president than to perish on today's flight. (That youth is also more likely to win the Nobel Prize in physics.)

U.S. flying has become so safe that fear of an air journey is almost as farfetched as fear of a ceiling collapse at the grocery store. That circumstance is a remarkable tribute to the efforts of airlines, aircraft manufacturers, governments, the media and a flying public that holds aviation to the highest standards of safety.

Yet we should not tolerate even two deaths if they can plausibly be avoided. For that reason, we need to study carefully what went wrong on Asiana Flight 214 to minimize the risk of recurrence. We should resist the temptation to characterize what happened as pilot error, which can lead to the fatalistic view that "to err is human" and that these things are bound to happen. Even if the pilots did err in some way, the germane question is why.

It appears Asiana Flight 214's problem was that it was flying so slowly it eventually stalled and collapsed to the ground.

Shock and survival: Crash through the eyes of children

But why were the pilots unaware of the slow speed? Were some of the instrument readings faulty? Might some of the readings have been hard to interpret (like the confusing readings about the rate of descent that caused a jet to crash in 1992 into a mountain)?

The pilots did get a warning about an impending stall about seven seconds before the plane hit the sea wall. But why was there only a seven-second warning? Could systems be reconfigured so that warnings about potential stalls are issued sooner? To be sure, earlier warnings might yield a proliferation of false alarms, but might that price be worth paying so that true alarms arrive in time to be useful? Had Asiana Flight 214 been warned seven seconds earlier, we might never have heard about it.

Under the circumstances, it is heartening that the National Transportation Safety Board will painstakingly study everything that happened on Asiana Flight 214, and will identify indirect as well as direct causes of the crash. That is the best reason to hope that what happened at San Francisco International Airport will never occur again within our lifetimes. And given all the progress to date in aviation safety, that hope is anything but forlorn.

The opinions expressed in this commentary are solely those of Arnold Barnett.

@highlight

Arnold Barnett: Commercial flight fatalities rare, and most survived Asiana Flight 214 crash

@highlight

He says a U.S. youth more likely to be president or win Nobel Prize in physics than die in crash

@highlight

He says we must focus on mechanical reasons for crash

@highlight

Barnett: Seven-second warning of stall should have come sooner