(CNN)ISIS has stepped up the use of children in its bloody campaign of terror, the United Nations says -- subjecting them to horrors that include putting price tags on them to sell as slaves.

A report released this week focused on children in Iraq, as well as the responsibility of that nation's government for ensuring the safety and security of young civilians in the conflict. But it certainly doesn't preclude similar things happening in Syria, where ISIS is also entrenched and also has been blamed for various atrocities.

In reference to Iraq, at least, the U.N. report found that the terrorist group is resorting more and more to brutal acts such as enslaving, raping, beheading, crucifying and burying people alive. Some of those affected are children.

"We have had reports of children, especially children that are mentally challenged, who have been used as suicide bombers, most probably without them even understanding what has happened or what they have to expect," said Renate Winter, an expert with the U.N. Committee on the Rights of the Child.

Some as young as age 8 are getting training to become soldiers, she said.

"Children of minorities have been captured in places where the so-called ISIL has its strength, have been sold in market with tags, price tags on them, have been sold as slaves," Winter said.

People of the Yazidi faith -- which draws from Christianity, Judaism and the ancient monotheistic religion of Zoroastrianism, and which some Muslims consider devil worship -- have long faced persecution, though by comparison ISIS' cruelty to them has been extraordinary. Kurdistan Regional Government adviser Nazand Begikhani, for instance, has said Yazidi "women have been treated like cattle, ... subjected to physical and sexual violence, including systematic rape and sex slavery."

Yazidi children haven't fared much better at the hands of ISIS. An earlier U.N. report described how militants rounded up all Yazidi males "older than 10 years of age at the local school, took them outside the village by pickup trucks, and shot them."

The U.N. report, while alarming, isn't surprising considering all the accounts of ISIS' brutality in recent years.

The self-proclaimed Islamic State has made a name for itself -- in its quest to form a vast caliphate governed under a strict version of Sharia law -- both through its conquests and its savagery.

The savagery was on display again this week with the release of video showing Jordanian pilot Lt. Moath al-Kasasbeh being burned to death, the latest example of ISIS not just executing its captives but broadcasting such violence as propaganda.

While there was no response specifically to the U.N. report, ISIS has in the past attempted to justify atrocities -- including the enslaving, raping and selling of captives -- as being done in God's name.

The terror group printed a pamphlet last fall, then distributed it in Mosul in December, entitled "Questions and Answers on Female Slaves and their Freedom." It spells out rationales for having sex with prepubescent girls and generally capturing those who are "nonbelievers," i.e. they don't subscribe to ISIS' extreme take on Islam.

ISIS: Enslaving, having sex with 'unbelieving' women, girls is OK

As such, the ISIS document claims, "It is permissible to buy, sell or give as a gift female captives and slaves, for they are merely property."

The U.N. report wasn't just critical of ISIS. It also urged the Iraqi government -- which, along with neighboring Syria, is fighting the Islamist extremist group -- to do more to protect children, saying the Iraqi forces are contributing to the problem.

A "very large number of children" have been killed and severely injured by airstrikes, shelling and military operations by Iraqi forces, the report said.

Still, it's ISIS that is beneath all others involved in the fray when it comes to barbarity.

Not only has the group not apologized for its actions, but it's reveled in them. And it's used to children to drive home this point.

An ISIS propaganda video released last month -- one that CNN could not independently verify -- shows a boy with a pistol apparently shooting two men in the back of the head. The boy then stands over one of the bodies, fires two more times, and later raises his pistol high. And last August, a photo posted to Twitter from an ISIS stronghold showed a 7-year-old boy holding a man's severed head and his father's words, "That's my boy."

ISIS has featured children as fighters before, calling them the "cubs of the caliphate" (the adult jihadis call each other "lions") and has encouraged foreign fighters to bring their families.

It has taken over schools to indoctrinate children. Human Rights Watch claims ISIS and other extremist groups "have specifically recruited children through free schooling campaigns that include weapons training and have given them dangerous tasks, including suicide bombing missions."

That children celebrate such violence is horrifying enough, as evidenced by an ISIS video showing a young boy watching al-Kasasbeh's killing.

Since the propaganda video is carefully orchestrated, CNN has no way of knowing whether the boy was coerced. In it, the child looks up as if in awe and says he would "burn the pilot" himself if he had a chance.

He adds, "All Arab tyrants should also be burned."

CNN's Jessica King contributed to this report.

@highlight

U.N. official says the terror group is using mentally-challenged children

@highlight

She urges Iraq to protect children nationwide