(CNN) -- Tech visionary Steve Jobs understood better than anyone the impulse to believe that technology can solve our most complex societal problems. "Unfortunately it just ain't so," he said. "We need to attack these things at the root, which is people and how much freedom we give people. ... I wish it was as simple as giving it over to the computer."

That's certainly true when it comes to education, particularly in impoverished communities.

As a founder of two organizations that recruit top college graduates to expand educational opportunity, I've spent a lot of time examining what's at work in successful classrooms and schools over the past two decades. In every classroom where students are excelling against the odds, there's a teacher who's empowered her students to work hard to realize their potential. Whenever I ask the leaders of successful schools their secret, the answer is almost always the same: people, people, people. They are obsessed with recruiting and developing the best teams.

Research confirms that great teachers change lives. Students with one highly effective elementary school teacher are more likely to go to college, less likely to become pregnant as teens and earn tens of thousands more over their lifetimes. Faced with the choice between giving every child in a school his or her own laptop or putting 30 of them in a classroom with one exceptional teacher, there's no question which is the better investment.

So it's disappointing to see more and more people herald technology as an educational panacea while dismissing the indispensable role of people.

In a recent article on this site, Richard Galant asked whether we'd be better off ditching teachers, giving kids computers and leaving them to their own devices to teach themselves and each other. The idea is based on the work of Sugata Mitra, an education professor who set up an experiment in India where he gave children in the slums access to a "computer in the wall" and found that without guidance, they were soon using it to learn on their own.

Galant's piece could leave the impression that teachers are obsolete and that their main function is to enforce discipline and administer tests. (Instead of spending money on teachers, Mitra recruits cheerleading "grannies," older women from the UK who offer the kids words of praise and encouragement via Skype.)

The idea that computers can ever replace teachers and schools reveals a deep lack of understanding about the role leadership plays in student success.

When Anam Palla started teaching ninth and 10th grades at an all-girls school in Pakistan, her students were performing four years behind grade level and many considered themselves nalaiq (incapable). She set a mission that each of her girls would gain the skills and self-confidence to become contributing members of society.

"My first task was to build a sense of responsibility in the girls towards their own learning and success, which would be achieved by collaborating with other members of the class and the community at large," she says. Today, here students are not only thriving academically, they are empowered and independent young women.

Now, I'm no Luddite. Technology has enormous potential to address educational needs more efficiently, help teachers improve their performance and enrich and individualize student learning. Indeed, in places such as India that face massive underserved populations and a shortage of qualified teachers, it's hard to imagine making a dent without leveraging technology in a big way.

But we must be wary of concluding that we should focus our energy on technology rather than people.

Computers cannot create a culture of excellence and push students to meet high expectations.

Computers cannot visit students' homes to get to know their families and engage them in their progress.

Computers cannot raise money and organize college visits to show students who have never left their communities what they're working toward.

Technology is a tool, not a silver bullet. And like all tools, it can be helpful or harmful depending on how we use them.

Rocketship Education, a high-performing charter network that serves low-income students in California, uses technology to enhance -- not replace -- the work that teachers are doing. Students spend up to two hours a day in a computer learning lab mastering basic math and reading skills through exercises and puzzles, freeing up teachers to spend their time on advanced skills and concepts. The schools invest the money they save through computer learning back into teacher salaries and coaching. At Rocketship, technology strengthens the personal ties between students, parents and teachers that are the key to its success.

Children growing up in poverty need all the support and nurturing from adults that they can get. If we want a real revolution in education, we should make an all-out effort to attract and keep our best people in our schools. Technology can be a powerful force in that effort when guided by leaders who understand what students and teachers need to do their best.

We can't outsource the human connections at the heart of the learning experience. Transforming the lives and learning of our children will take more than machines. It will take the best of our human resources.

The opinions expressed in this commentary are solely those of Wendy Kopp.

@highlight

Wendy Kopp: Even Steve Jobs realized computers couldn't solves societal problems

@highlight

She says in education, teachers make the difference when kids excel against the odds

@highlight

A CNN.com article presented idea that kids could learn mainly with computers

@highlight

She says research shows kids with one effective grade school teacher achieve on many levels