BAGHDAD, Iraq (CNN) -- Voting in Iraqi provincial elections ended peacefully Saturday evening, and the mood was festive in some places, unlike the violence, intimidation and apathy that marked the balloting in 2005.

An Iraqi casts his vote Saturday in Ramadi. Preliminary results are expected in a week.

"There is a new norm of politics. ... It is truly a proud moment," Iraqi Deputy Prime Minister Barham Saleh told CNN. "The distance that we have come is truly inspiring."

Faraj al-Haidari, who chairs the Independent High Electoral Commission of Iraq, and Staffan de Mistura, special U.N. representative for Iraq, issued statements saying the election went smoothly.

"Hundreds of thousands of IHEC staff worked dutifully according to procedures," said Mistura, who also said he was pleased at the number of women who turned out to vote.

Preliminary results from the electoral commission are expected within five days, de Mistura said. Final numbers are due at the end of February.

"Some security incidents were reported during the day, but we didn't have any confirmation on serious security incidents that might effect the total electoral process," al-Haidari said.

President Obama congratulated the Iraqis on the elections.

"Millions of Iraqi citizens from every ethnic and religious group went peacefully to the polls across the country to choose new provincial councils," Obama said in a statement released by the White House. "It is important that the councils get seated, select new governors and begin work on behalf of the Iraqi people who elected them."

He said the United States "is proud to have provided technical assistance, along with the United Nations and other international organizations, to Iraq's Independent High Electoral Commission, which performed professionally under difficult circumstances."

CNN's Arwa Damon, who toured polling stations with UN observers, said she noticed an increased sense of awareness and optimism among voters, who felt that their participation would have an impact on their lives and country.  Watch Iraqis head to polls »

Political analysts said this election could correct some of the political imbalances that resulted from the 2005 election. Saturday's voting also was seen as a referendum on Prime Minister Nuri al-Maliki.

"We are trying to build a new system of government in the heart of the Islamic Middle East," Saleh said.

The last provincial elections were in January 2005, after the ousting of Saddam Hussein, and most Sunnis did not vote.

"This time, happening four years after the first elections, means that this process is on track to building a functioning democracy," Saleh said. "I think the election results will point to the real political map of Iraq.

"The overwhelming majority of the people of Iraq are having a stake in this process, are buying into this democratic process."

He added that politics "is no longer defined by violence" and is now transcending "sectarian and ethnic dimensions."

Voting was extended by one hour, partly because a curfew had been lifted, allowing more Iraqis to go to the polls, said Judge Qassim al-Aboudi, a member of the Electoral Commission. He described turnout as "good."

Those elected will have regional power over the essentials Iraqis have been desperate for: basic services and jobs, Damon reported.

She said there was a sense of jubilation in Anbar province, the Sunni heartland west of Baghdad. The sprawling desert area was dominated largely by al Qaeda in January 2005, when the first provincial elections after the fall of Hussein were held.

In 2005, fearing retribution from the terrorist group, only about 2 percent of eligible voters cast ballots.

In Najaf, the Shiite center south of Baghdad, voters also were eager to let their voices be heard, Damon said.  Watch Arwa Damon on the importance of these elections »

At a polling station in Baghdad, 80-year-old Ibrahim Saleh, a retired lawyer, said this election "is completely different from previous elections." When asked how, he replied, "because it is open for all the society components to express their opinion freely."

Asked what she expects from her candidate, a woman in Diyala, northeast of Baghdad, said, "we hope stability and security and employment."

Observers believe that the provincial vote will be a gauge of the country's political direction and a guide to how to the parliamentary elections will turn out this year.

The results should spell out the status of the Sunni "awakening" movement and the popularity of the Shiite factions, such as those backing al-Maliki, cleric Muqtada al-Sadr and the Islamic Supreme Council of Iraq.

There were tough security measures in place throughout the country, including security rings around polling centers and vigorous searches of voters.

Nevertheless, three mortars exploded near a polling station in central Tikrit, about 100 miles north of Baghdad, Saturday morning, an official with the Interior Ministry said. There were no casualties.

Police also detained four people wearing Iraqi police uniforms who they said had thrown stun grenades at voters outside a polling center in Tikrit, Saddam's hometown.

Al-Maliki cast his ballot in Baghdad's Al-Rasheed Hotel, in the highly protected and fortified International Zone. He told reporters at the polling station that the election is evidence that Iraqi people live under a high level of safety.

In Anbar province, Iraqi police and army troops lined the streets of downtown Ramadi. One of the police officers said he was proud to be working on election day.

""Let the people see us standing here," he said.

Police vehicles blasted music outside, creating a festive atmosphere. One man brought his 7-year-old brother with him to the polling center.

"I want him to learn about democracy," the man said.

CNN's Ingrid Formanek and Arwa Damon contributed to this report.

@highlight

NEW: President Obama praises election, says he's "proud" of collaborative efforts

@highlight

Preliminary results of provincial elections expected within five days

@highlight

Polls close after one-hour extension; no serious violence reported

@highlight

"There is a new norm of politics," deputy prime minister says