This week, New York's Mayor Michael Bloomberg tweeted his intent to learn computer code by the end of the year.  He joined about 300,000 other people who have signed up at CodeYear to receive free interactive programming lessons each week from the Codecademy, a web-based tutorial. I am greatly relieved.

It's time Americans begin treating computer code the way we do the alphabet or arithmetic. Code is the stuff that makes computer programs work -- the list of commands that tells a word processor, a website, a video game, or an airplane navigation system what to do. That's all software is: lines of code, written by people.

We are socializing, working, consuming, and living in a world increasingly defined by programs. Learning to code is the best way to understand what all those programs do, or even to recognize that they are there in the first place.

Just a couple of years ago, I was getting blank stares or worse when I would suggest to colleagues and audiences that they learn code, or else. "Program or be programmed," became my mantra: If you are not a true user of digital technology, then you are likely being used by digital technology. My suggestion that people learn to program was meant more as a starting point in a bigger argument.

No, I did not expect American adults to take the two or three weeks required to get their heads around programming, much less the months of effort they'd need to become proficient.  But I wanted people to at least become aware of the digital systems on which we are conducting so much of our activity -- and the sorts of thinking and behaviors those systems have been programmed to encourage.

Class of 2011 scores higher-paying jobs

Most adults realize that, say, Facebook is engineered to increase the value of our "social graphs" to its customers, the corporations and research firms that buy this data. We understand that we're not the customers, but the product. The more critically we engage with all of the iPhones and Google searches in our lives, the better we can tell what they want from us.

But I no longer think that's enough. It took a few centuries after the invention of text for regular people to learn how to read and write. The printing press, which democratized print by reducing the cost of manuscripts, certainly helped. Now that we live in a world with newspapers, road signs, package labels and drug inserts, almost no one still questions the idea that teaching kids to read is a good thing, or that basic literacy makes us more likely to create value for ourselves or our employers.

Well, we now live in a world with apps, networks, and stock market trading algorithms that we use, even though desperately few of us understand how they work. And while learning to code may have once been an arduous or expensive process, the college dropouts who developed Codecademy have democratized coding as surely as Gutenberg democratized text. Anyone can go to Codecademy and start learning and creating code through their simple, fun, interactive window, for free.

How can it be free? Is this a charity? No. It's big business. As my friend, Jason Calacanis -- CEO of Mahalo and founder of the startup showcase LAUNCH conference -- explained it to me, "The HR cost of landing an individual programmer might be $50-100k for a large company. That's taking into account advertising, headhunter fees, interviewing time and internal staff."

Still, competition for the few programmers out there looking for work is very steep. So few Americans know how to program that firms like Google and Facebook are actually buying whole companies just for their code-literate employees, in what are known as "talent acquisitions."

According to Calacanis, each employee who understands how to code is valued at about $500,000 to $1 million toward the total acquisition price. One million dollars just to get someone who learns code.

Firms' other strategy, of course, is to import Chinese and Indian programmers, through a costly and often only temporary visa. (That's because, unlike those countries, we don't teach programming to students in the United States. At best we teach kids how to use programs that are already on the shelves. But that's another article.)

All Codecademy needs to do to make bank is connect those of us who complete its courses and are looking for work with the companies paying good money to find us. It's a model that takes the cumbersome costs of education off the students, and puts them onto the companies benefiting from the skills we have learned. And it's a model that could be applied to many other fields.

So to anyone out there who says you can't get a job: You can have one. A fun one. Learning code is not about numbers and mathematics. It's more like architecture, where you are presented with a puzzle problem such as "How do we get all these cars from this highway to that one without having to build a bridge across this river or putting an overpass next to the hospital?"

Learning to code means being able to imagine a new way of using the camera in your iPhone, or a new way for people to connect to each other, and then being able to bring that vision to reality.

If you know how to code, you can get a high-paying job right now, or make valuable stuff right now. You will understand more about how the world works, and become a participating member in the digital society unfolding before us. You will be enabling America to compete effectively on both the economic and military frontiers, where we are rapidly losing our competitive advantage due to our failure to teach ourselves code. We should not have to wait for the NYSE to be hacked by kids from Asia to learn this lesson.

Join CNN Opinion on Facebook and follow updates on Twitter.

@highlight

Douglas Rushkoff: Americans should be learning computer code the way we learn math

@highlight

Learning to code teaches us what programs do, how they're used on us, he says

@highlight

A free Web-based interactive tutorial makes it possible

@highlight

Rushkoff: Programmers in demand; employers hire code-savvy workers from abroad