NEW ORLEANS, Louisiana (CNN) -- The skies crack open and release a torrential shower. It seems fitting to return with my cousin Adrian in a fit of wind and rain to the home he shares with his brothers.

CNN White House correspondent Suzanne Malveaux caught up with her cousins on a trip to New Orleans.

We pass the Superdome under heavy, dark clouds and head to New Orleans East, the windshield wipers punctuating our brief catch-up time on the eve of Hurricane Katrina's two-year anniversary.

We pull up to Adrian's home in the city's Upper 9th Ward, in what was once the comfort and security of a black, middle-class community.

In front of his leveled four-bedroom suburban home sits his tiny FEMA trailer. Parked in the backyard is another FEMA trailer, the deluxe version for his brothers -- my cousins Roy, Leo, Kenneth and Vernon (aka "the Artist," as many came to know him through my profile of his story immediately after Katrina on CNN).

Little has changed in the two years since the story I did on my cousins -- brothers who had been living in the 7th Ward, in the house they grew up in.  Watch Malveaux catch up with her cousins »

They qualify for a low-income loan and a $30,000 grant to elevate their home but like so many New Orleans residents, they are in a holding pattern, waiting for the funds to come through.

They now live in FEMA trailers in the backyard of their brother Adrian's property, which is closer than theirs to being rebuilt. Adrian is actually more fortunate than his brothers, for his home, located in New Orleans East, will stand again.

Vernon, who had lost so many of his paintings in the storm, decimated by the water and mold left by Katrina, showed me his works in Adrian's gutted garage.

They were restored by a group of generous volunteers from an art studio in Pensacola, Florida, and returned to him in New Orleans, where they've been housed in this dry place.

With no electricity in the garage, Vernon holds up lanterns to the oil canvases and shows me where he has been retouching the beautiful contours of his images of Jesus Christ, and his model-like angels. We run from the garage, under an umbrella, onto a ramp and into the FEMA trailer where he and "the brothers" live. Compared with the previous trailer where the five men shared into cramped quarters, I am, perhaps amusingly, impressed at how large the living space is.

They are lucky to have gotten one equipped for the handicapped, so their bathroom and kitchen are, surprisingly, relatively large. Leo opens up a cabinet full of food with the pride only a cook can possess.

We take a tour of Adrian's house, just a skeleton now but full of potential. It was appraised at $277,000, and he is pleased. He was covered with flood and homeowners insurance, and has received $51,000 from the state's Road Home program.

After two years of paperwork and pain, it looks like he will finally be able to rebuild his home. But he is exhausted. He has been carrying the financial and emotional burden of taking care of his brothers for two years, and it is beginning to show.

He has trouble sleeping and experiences occasional nightmares. He works seven days a week managing a business, and from time to time goes through "crashes" -- 36-hour periods when he just rests.

He is the glue that keeps the family together and above water, at least post-Katrina. He lives in a tiny FEMA trailer parked on the lawn in front of his destroyed home. Everyday he is reminded of the past, and the possibilities of the future.

He gets angry when he sees stories about New Orleans residents accused of being "lazy."

"We're not looking for handouts," he says. "Why don't you tell the stories about people being resilient?"

He also implores politicians to come down and experience what it's like to really live in New Orleans -- not taking the typical bus tour, but seeing what it's like to live in the cramped quarters of a trailer.

Adrian and his brothers try to keep a sense of humor about it all. While Vernon the artist is so thin that he is easily blown by the storm's winds that whip through the scaffolding of Adrian's home, Adrian jokingly points to his trailer's tub, which he once tried to squeeze into, only to find himself stuck.

Each of the brothers finds solace in simple escape. Trailer life demands it.

Vernon retraces the brush strokes of the portraits of angels he once painted. Leo sits in his favorite spot in the sun. Kenneth, nicknamed "Rooster," quietly sips a beer, and takes a slow drag of his cigarette.

Roy changes the TV channel, in search of a picture different from the one that surrounds him. And Adrian, who gives so much of himself to others, ocassionally takes a brief respite with a long walk.

They work hard in their lives, and in being patient. It is two years now since the storm hit. They've lived with relatives, in a hotel, and now in these trailers.

My cousin Leo's eyes swell with tears when he talks about the day he'll feel at home again, when he has a home.

I want to take all of them back with me, but New Orleans is where they belong. It is where they long to be whole again. E-mail to a friend

@highlight

CNN's Suzanne Malveaux returns to check on cousins hit by Katrina

@highlight

She finds little has changed since two family homes were destroyed

@highlight

Cousins have lived with relatives, in a hotel, and now in FEMA trailers

@highlight

One gets angry with stories of New Orleans residents accused of being "lazy"