(CNN) -- Politics might be a tough profession, but in few places is it as bruising as in Australia where mudslinging and name-calling occur on an almost daily basis in parliament.

To outsiders, the Australian parliament can look like a bear pit and throughout its history, it's had some legendary brawlers.

George Reid, Australia's fourth prime minister from 1904 to 1905 was famously heckled in parliament over his fat stomach when an opposition politician shouted from the benches: "What are you going to call it?"

Without pausing for breath Reid shot back: "If it's a boy, I'll call it after myself. If it's a girl, I'll call it Victoria. But if, as I strongly suspect, it's nothing but p*** and wind, I'll name it after you."

In many respects, Australia's electorate expects its politicians to come out of this mold and few have disappointed.

Former Prime Minister Paul Keating (1991-96), when pressed to name an election date, told the leader of the opposition he wouldn't reveal the date because, as he said: "I want to do you slowly." More recently, former Prime Minister Julia Gillard gave the opposition a spirited lecture in sexism that went viral and even drew praise from U.S. President Obama.

But not since leader of the Labor opposition Mark Latham broke a taxi driver's arm in a dispute over a cab fare in 2001 have Australians had the chance to elect a real brawler as premier.

Latham's bid for prime minister failed, but in Tony Abbott, the leader of the Liberal-National Coalition who is tipped to be Australia's next leader, the country may have found a natural successor.

Combative in debate and with the media, Abbott may have shown little of his predecessors' verbal flair -- recent gaffes had him talking about the "suppository," rather than the repository, "of all wisdom" and praising a female candidate for her "sex appeal" -- but he has displayed the kind of dogged aggression that Australians like to see in their sportsmen.

So far, it's played well with the electorate.

The boxer

A former Rhodes Scholar who won an Oxford Blue in boxing, he allegedly punched the wall either side of the head of a female political rival during his student days in the 1970s. Abbott claims the incident "never happened."

For one former alumni from his Jesuit secondary school St. Ignatius' College, Riverview, in Sydney, the episode would not have been out of character.

"All I remember is his rictus grin and the rolled-up sleeves of his short-sleeved shirt, giving his biceps something to rub up against," the former classmate, who now works in the Hong Kong banking industry, told CNN.

"What struck me was the raw emotion he could elicit just by being him. You could pour an enormous bucket on him, and he was not only impervious in terms of being hurt but would grin back at you and give it back -- with compound interest and probably a compound fracture," he added.

While Abbott is a polarizing and pugnacious character to the electorate, the socially conservative politician is known to hold complex views in some areas of policy.

READ MORE: Internet, economy and boat people key issues in Australian election

He has been known to defend areas of Medicare -- the country's national health system normally championed by the Labor Party -- and even opposed his own party on industrial relations reform, arguing that it was too harsh on workers.

Early beginnings

Born in England in 1957 to an Australian mother and an English-born father, he graduated in economics and law from Sydney University where he became involved in the rough and tumble world of student politics.

Avowedly right-wing at a time when the prevailing orthodoxy on campuses was deeply left-wing, Abbott, according to one of his biographers Michael Duffy, was beaten up at a student conference.

Briefly training as a Catholic priest before working variously as a concrete contractor and as a journalist for The Australian newspaper, he entered politics in 1994 when he was elected to represent the affluent Warringah district of Sydney.

Under former Prime Minister John Howard's government, he served as an employment minister between 1998 and 2001, and as minister for health and aging in 2003. In 2009, he narrowly beat then leader Malcolm Turnbull in a party leadership vote, winning 42 votes to Turnbull's 41.

He also polled well in Australia's 2010 general election, which was called following Gillard's ouster of Kevin Rudd as prime minister, denying the government a majority and delivering a hung parliament that Gillard's government could only hold together with the support of independents.

Labor Party infighting boosted Abbott's standing in the polls and -- under Gillard -- the Labor Party faced certain defeat at elections this year. While the installation of Rudd as prime minister for a second time has clawed back some of the ground Labor lost under Gillard, many analysts say his arrival has come too late to save the Australian Labor Party.

Catholic values, populist instincts

Abbott supports lower taxes, smaller government and tough border controls and backs the government's policy of processing asylum seekers -- many of them illegal boat arrivals -- offshore. He recently announced that almost 32,00 asylum seekers who already in Australia will never be granted permanent settlement.

He has also pushed a "tow-back" policy that would see asylum seekers' boats turned around when it is safe to do so.

Dismissing the climate debate as faddish and fashionable, Abbott has vowed to roll back the controversial carbon tax put in place by Gillard, which he has condemned as "socialism masquerading as environmentalism."

He has pledged to get rid of the 30% mining tax introduced by Labor, saying that it is a serious disincentive to investment in Australia's booming commodities sector.

READ MORE: How Australia's prime ministerial candidates view China

On social issues, he has remained true to his Catholic faith, consistently voting against relaxing abortion laws, gay marriage and stem cell research. He has stated that he wants abortions to be "safe, legal and rare." As health minister in 2005, he opposed the use of the abortion drug RU486, but it was later overturned by parliament.

Australian journalist David Marr, author of Abbott's latest biography "The Making of Tony Abbott," says the leading contender to become Australia's next prime minister is nothing if not the sum total of his contradictions.

"He is a highly successful, aggressive, populist politician but all throughout his career he has argued there is another side to him -- that there is a deep commitment to values -- and they are very traditional Catholic values," he told ABC's Question Time.

However, he added that while his values informed his political views, he was able to shift and adapt them to prevailing political reality.

"There's no occasion in his political career where those values have stood in the way of his politics. When it comes down to it, Tony Abbott is an absolutely secular politician."

@highlight

Tony Abbott, the man tipped to be Australia's next leader, is known for his aggression

@highlight

The socially conservative Catholic has a pugnacious character that plays well with his base

@highlight

Australian politics has a long tradition of verbal brawlers