A century ago this Saturday on a street corner in Sarajevo, Gavrilo Princip fired the shot that started World War I when he killed Archduke Franz Ferdinand. What do we know about history's greatest teenage troublemaker?

1. His name was Gavrilo, or Gabriel.

Our history teachers taught us that World War I began after a gunman killed Archduke Franz Ferdinand in Sarajevo on June 28, 1914.

The shooting acted as a trigger, metastasizing from a Balkan street corner into a continental crisis by releasing pent-up tension between rival blocs of Great European Powers: the Austro-Hungarian Empire and Germany on one side and France, Russia and Great Britain on the other.

The name of the gunman was Gavrilo Princip, his first name meaning Gabriel in his mother tongue, Serbian. His mother had wanted to call him Spiro after her late brother, but the local priest intervened saying the boy should be name after the Archangel Gabriel.

Statue of assassin who unleashed WWI unveiled in Sarajevo

2. He was only 19 when he triggered the first global conflict.

Surely history's greatest teenage troublemaker, Princip was a student in his last year of high school -- the eighth grade -- when he fired the shot that sparked World War I.

His exact age was a matter of intense legal scrutiny after the assassination because so many people in Austria-Hungary believed a death sentence appropriate for the assassin who had killed the heir to the Habsburg empire. But the Austro-Hungarian legal code was clear on capital punishment. Only those 20 years of age or older on the day of the offense could be executed.

The recorded birth date for Gavrilo Princip was 13 July, 1894, making him 19 years, 11 months and 15 days on the day of the assassination, in other words just two weeks inside the deadline that would have seen him hanged.

It all got a bit complicated when a council record was found by investigators that suggested he had actually been born on 13 June 1894, making him old enough to execute. But after much legal debate it was accepted that this record was a mistake -- the month of July in the Cyrillic script used by the parish can easily be mistaken for June.

Princip was sentenced to 20 years in prison -- the maximum penalty for someone his age at the time -- but would be dead before the guns of WWI fell silent, dying of tuberculosis in the hospital at his jail on April 28, 1918.

3. He had the same nationality as Adolf Hitler.

100 years ago, at the twilight of the grand imperial era, the notions of the nation state and of nationality belonged to the future. Countries like Poland, the Czech Republic, Slovakia, Hungary and Austria did not exist.

Instead they were bundled together in the sprawling Habsburg Empire, also known as Austria-Hungary, a muddle of divergent ethnic groups often speaking very different languages, and of varying vintages, all under the imperial control of Vienna -- the system was so chaotic that in parts of the empire vehicles drove on the left, elsewhere on the right.

Gavrilo Princip was born in a province of Austria-Hungary that had recently been acquired, an area known as Bosnia Herzegovina. For centuries it had been occupied by the Ottoman Empire but in 1878 it was "flipped," becoming Habsburg territory overnight.

Its citizens did not have passports but they did have travel passes, and as a young man Gavrilo Princip qualified for the same type of pass as that given to Adolf Hitler, who was born further to the northwest, but still within the Austro-Hungarian empire.

4. As an assassin, Princip had the luck of the devil.

The driver of the Archduke's car should have driven straight past Princip at speed but, because of a misunderstanding, he turned the car on the exact corner where Princip was standing and was immediately shouted at to stop.

Princip found his target a sitting duck right in front of him. He fired only one shot at the Archduke with a pistol. By a fluke the bullet cut Franz Ferdinand's jugular vein. He was dead in a matter of minutes.

5. He was not a Serb nationalist.

Princip was actually a south Slav nationalist; although ethnically a Bosnian Serb, he supported a group of activists calling for the unification of all local Slav people in Bosnia: Muslims, Croats and Serbs.

Their dream was to drive out the Habsburg occupier, so shooting the Archduke was seen as a "grand gesture" to inspire others to rise up against the foreign power.

6. The plan worked, but at a terrible price.

The shooting triggered a war that Princip could never have anticipated. Millions died and empires fell -- and eventually, the hated Austro-Hungarians were driven out of Bosnia.

As a result, the local Slavs had the chance to unite in one country, later called Yugoslavia, meaning a nation for south Slavs. In the eyes of some locals there, Princip could be heralded as a "liberator."

7: His legacy in the Balkans was toxic.

The wars that ripped Bosnia apart in the 1990s were driven by ethnic divisions between the local Slav communities: Serb, Croat, Muslim.

The dream of all local Slavs living together was shattered.

Though Princip fired his gun a hundred years ago in hopes of freeing his Slav kinfolk, today he is "blamed" for being an ethnic Bosnian Serb, tainted by association with those extremists responsible for committing atrocities during the Balkans war.

The issue is so toxic that, as the centenary of the June 28, 1914 assassination approached, in Bosnia there was no national consensus on how it should be acknowledged.

History's greatest teenage troublemaker is also, perhaps, history's most toxic teenage troublemaker.

READ MORE: June 2014: Echoes of June 1914?WATCH: The signature that started World War I

@highlight

Gavrilo Princip fired the shot that started World War I when he killed Archduke Franz Ferdinand

@highlight

Princip, a Slav nationalist, wanted to drive the Austro-Hungarians out of Bosnia

@highlight

He was a high school student when he carried out the assassination, in Sarajevo

@highlight

He got close to his victim purely by chance, and only fired one shot