(CNN) -- It still makes Fatoma Dia's eyes widen whenever the Hilton hotel cleaning worker sees a bar of barely used soap on a bathroom counter.

"This," she says, picking it up with a gloved hand and dropping it in a brown bucket, "is valuable where I come from."

The 35-year-old grew up in a mountainous region of southern Sudan where soap can cost more than a day's wages. Because some in the region, could not wash, they got sick.

Across the globe, 2.4 billion people do not have access to clean sanitation, according to the World Health Organization. An estimated 1.5 million children die every year because their immune systems are not mature enough to battle diarrheal and respiratory diseases spread in contaminated environments.

Sicknesses related to contaminated water supplies and poor human hygiene tend to plague poorer regions in sub-Saharan Africa, Central and South America, East Asia and the Caribbean. Water-borne illnesses such as cholera can hit countries suddenly, particularly in the wake of a natural disaster where there is little infrastructure previously in place to handle sustainable cleanup and recovery.

A recent example is Haiti. Hit by an earthquake in January 2010, many Haitians were forced to live in tent camps and use water that was contaminated. Incidents of cholera plagued the country, a problem that continues today.

Politically vulnerable nations or countries in the grip of war are also breeding grounds for sickness caused by poor sanitation. Illness tends to spread quicker when people are forced into cramped and overcrowded refugee camps where there are few bathrooms or none at all.

Dia, who says she was the victim of religious persecution in Sudan, came to the U.S. several years ago. Her immigration liaison connected her with a job cleaning hotel rooms. In her home country, she personally had access to soap. But coming from a place with little sanitation to a hotel that observed a spick-and-span ethos was strange.

"It may be hard for people here to understand because it is so easy to wash, everything is here for you, you don't ever think about it," she said. "Keep in mind that what you do every day may be the biggest task of the day for someone else."

Each day she works, Dia takes a little extra time during her shift to retrieve all gently used bars of soap in each room. She and other cleaning staff at this Hilton typically collect several hundred pounds of soap each month.

The nonprofit Global Soap Project, which works with more than 300 hotels across the country, relies on their hard work and many other volunteers to pick up those heavy hauls and deliver it to a reprocessing location near Atlanta, where the soap is stripped, cleaned, reprocessed and then tested to make sure there is no trace of bacteria left. The bars are then cut into smaller pieces and shipped to nations such as Haiti, Kenya, Swaziland and Uganda.

The founder of the Global Soap Project, Derreck Kayongo, is a Ugandan war refugee and one of the Top 10 CNN Heroes of 2011.

"I was shocked just to know how much (soap) at the end of the day was thrown away," Kayongo said. Each year, hundreds of millions of soap bars are discarded in North America alone. "Are we really throwing away that much soap at the expense of other people who don't have anything? It just doesn't sound right."

Children are key

In recent years, international health organizations, including WHO and the Centers for Disease Control and Prevention, have had success facilitating better sanitation in needy regions and teaching people the importance of basic hand washing. Since July 2010, more than 40 countries and regions have started hand hygiene campaigns, according to the WHO.

"It seems so simple, soap and water. But imagine never being taught how to do that," said Dr. Eric Mintz, who leads the Global Water, Sanitation, and Hygiene Epidemiology team at the CDC. "Washing hands is an afterthought for us. But at some point in American history, in the early part of the century, we had to build and improve our water infrastructure."

Mintz has worked in the field of water-borne illnesses for 22 years, specializing in the treatment of cholera, dysentery and typhoid fever. He has been part of projects to build latrines in villages in Kenya and Haiti. He also participated in a campaign in Kenya where school teachers encouraged students to learn how to wash their hands by making it seem cool to join a hand washing club. The children were sent home with comic books that explained when and how to wash in the hope that the kids would teach their parents.

"Children are often much more receptive than their parents or other adults because they don't feel that we are outsiders judging them and telling them they're living wrong," Mintz said. "The adults feel less threatened when their children, innocently in the home, pass along what they've learned. To change a community's habits, reach the children first."

Colorful messages on cleanliness

Mintz and other health care experts also stress the effectiveness of posting large, brightly colored posters in public places to advocate frequent hand washing. Many point to the recent success of Global Handwashing Day to primarily target children and schools in developing countries. The campaign has a bright, cheerful and easily recognized logo, and its website offers tools to use in classrooms and community centers.

In Ghana, where children suffer as many as 35 episodes of diarrhea and respiratory infections a year, children celebrated Global Handwashing Day (October 15) by performing plays about washing with soap. Two talk radio shows made it their main topic of conversation.

In Somalia, hand-washing facilities were installed in health-care clinics and schools, a huge step forward in a war-torn region that suffers from a shortage of clean water and overcrowding in displacement camps and settlements.

Radio ads also encouraged good hygiene and dispelled myths about illnesses resulting from bad sanitation. One 9-year-old Somalian girl wrote in an essay that she thought getting diarrhea was a "punishment from God" until she heard otherwise on the radio.

In Pakistan, a new animated character named Sabu helped teach children the importance of hand washing with soap. Watch a video of Sabu on YouTube

Haiti was a big focus of the campaign this year. More than 400,000 have been sickened from cholera since the disease emerged in October 2010.

At a Port-au-Prince school that was rebuilt by UNICEF, children learned a catchy phrase: "Good morning, water! Good morning, soap! Goodbye, microbes!" They then sang a song about why it's important to wash before eating and after using the bathroom. They also practiced washing their hands, a habit the Global Soap Project hopes they'll keep after recently sending many bars of soap to the nation.

Fatoma Dia thinks about her own 15-year-old daughter when she considers the children whose lives may be saved by her simple task of collecting soap every day.

"I know that there are little ones who care and need this," she said, dropping another bar into a bucket. "I am proud to do this. To be so far away, but to know I reach my people in this way, this makes me happy."

@highlight

Millions of people in developing countries don't have access to soap or clean water

@highlight

Many young children die because their immune systems can't fight diarrheal diseases

@highlight

Often, experts say, children and their parents don't even know how to wash their hands

@highlight

CDC doctor: "To change a community's habits, reach the children first"