The Mexican Senate has just passed, 72-2, an 8% tax on candy, chips and other high-calorie foods. It continues to debate a special additional tax of about 8 cents per liter on sugary soda.

You can understand why Mexican leaders are worried about their nation's eating habits. Mexicans consume more sugary soft drinks per person than any other people on earth. Mexico suffers the highest incidence of diabetes among the 34 countries in the Organization for Economic Cooperation and Development. Mexicans are more likely to be obese even than Americans, the next runner-up.

Taxes on junk foods constitute just a part of a vast fiscal reform proposed by Mexico's new president, Enrique Peña Nieto. The overall plan aims to rationalize tax collections, curtail tax evasion and shift Mexico away from dependence on oil revenues. That's all a topic for another day.

The question for today is: Will fat taxes work?

There's reason for pessimism. In 2011, Denmark became the first country to impose a tax on fatty foods. Less than a year later, it became the first country to abolish the tax.

In the words of the Danish tax ministry: "The fat tax and the extension of the chocolate tax, the so-called sugar tax, has been criticized for increasing prices for consumers, increasing companies' administrative costs and putting Danish jobs at risk. At the same time it is believed that the fat tax has, to a lesser extent, contributed to Danes traveling across the border to make purchases."

Economists doubt that the moderate tax increases imposed in Denmark or proposed for Mexico will suffice to alter behavior. Adjusting for inflation, soda prices have declined by nearly 40% in the last three decades, and soda consumption was already disturbingly high in 1980.

To counteract such a price drop would require very large tax increases. But high soda taxes would likely encourage smuggling, tax evasion and other efforts to game the system.

It might work better to pay people to eat better, rather than tax them for making unhealthy choices.

Britain's Daily Telegraph reported in 2012 on a study at Northwestern University in which participants were offered cash if they ate more fruits and vegetables and exercised more.

Researchers were surprised to see that the participants kept up their new good habits even after the payments stopped, according the study's lead author, Bonnie Spring.

"We thought they'd do it while we were paying them, but the minute we stopped they'd go back to their bad habits. But they continued to maintain a large improvement in their health behaviors."

The Mexican fat-tax experiment isn't bolstered by payouts of pesos. But it's probably still worth a try, and for three reasons:

First, the Danish failure is not dispositive. Denmark is a small place with a lively tradition of cross-border shopping. From Copenhagen, it is an easy 35-minute drive to Malmo, Sweden's third-largest city. Southern Denmark conveniently adjoins shopping in northern Germany. Mexico's population is concentrated in and around the capital city, far from any border.

Second, while incentives may work better than penalties in controlled experiments, it seems administratively unfeasible to operate such schemes on any large scale. It's one thing to weigh and pay 204 people, a very different thing to weigh and pay millions of them.

Finally Mexico's obesity problem is much worse than Denmark's -- and trending fast in the wrong direction. Even marginal improvements are worth pursuing there. In particular, simply reducing Mexican soda consumption could yield substantial benefits. When things are bad enough, policymakers have more reason to say: "What the heck, it's worth a try."

There's one last thing that needs to be said about Mexico's emerging experiment with fat taxes. When Americans talk about immigration from Mexico, there exists a tendency to speak of Mexico as a nation of desperate poverty, a kind of Somalia on the Caribbean, from which people naturally wish to flee by any means possible.

In fact, by any global standard, Mexico is a reasonably successful country. Mexico is not especially poor: Gross domestic product per capita is well above the global median. Within the Americas, Mexico is poorer than Chile and Argentina, but richer than Brazil and oil-producing Venezuela. Mexico's election system is fairer, more impartial and more reliable than that of the United States. Mexico is a country of free speech and free exercise of religion. It scores poorly on international rankings of social mobility. But so does the United States, and the indications are that Mexicans who migrate to the United States face particularly poor opportunities here.

There is one respect, however, in which Mexico has historically done poorly: providing enough work for all its people. Mexico's economy is slowed by a wasteful and expensive public sector and by rules biased toward monopoly and oligopoly in the private sector. Mexican elites have historically preferred to address their employment problems by encouraging the discontented to migrate northward.

Almost one in 10 of people born in Mexico now live in the United States, mostly illegally. This migration has helped Mexico avoid reckoning with its domestic problems, by the simple device of transferring the people disadvantaged by those problems to another jurisdiction.

Very understandably, Mexicans want jobs and higher wages. Aware that powerful interest groups in the United States have paralyzed the enforcement of immigration laws, many ambitious Mexicans have ignored U.S. law to seek those jobs and higher wages north of the border. That migration has had real costs for Americans, however. And when it is suggested that those who migrated illegally be pressed to return home, immigration advocates respond with horror: How can any decent person propose such a thing? Return these destitute people home to starve?

But as the Mexican Senate acknowledges, Mexicans are not fleeing starvation. Just the opposite. Americans should pay Mexico the respect of acknowledging its success and advances -- and expect in return that Mexican authorities will respect American law and cooperate in its enforcement.

@highlight

David Frum: Mexican Senate passed junk food tax and is mulling a tax on sugary soda

@highlight

He says tax on junk foods is part of Mexican president's fiscal reform

@highlight

Frum says such a tax failed in Denmark, but Mexico's problem is worse and worth try anyway

@highlight

Frum: Problem raises issue of whether illegal immigrants to U.S. are really fleeing starvation