(CNN)The shootings' main similarity is that the officer was white and the victim was black and unarmed. Outside of that, the highly publicized police shootings in Ferguson and North Charleston bear only mild resemblance.

So what's changed between the shooting death of Michael Brown in Ferguson, Missouri, in August, and that of Walter Scott in North Charleston, South Carolina, last weekend? And did the backlash and publicity of the Ferguson shooting influence the handling of the North Charleston incident?

It's tough to say for sure, but here are some of the stark differences in the cases, the lessons learned by both police and the public, and concrete changes that could help mend tensions in the future.

Ferguson: Officer Darren Wilson said he shot Brown after the two struggled over Wilson's gun, and witnesses to the shooting had different accounts -- often conflicting -- of where Wilson was, where Brown was and whether Brown was surrendering or charging the officer.

North Charleston: Though it's unclear what happened in the moments before a bystander began recording the incident on his phone, it's 100% clear from the video that Scott was not posing a threat to Officer Michael Slager when the policeman opened fire on Scott as he ran away.

Takeaway: Where Brown's killing was a breeding ground for speculation -- with a stark divide between those who said Wilson was justified and those who said Brown was senselessly slain -- no such debate has emerged in the Scott shooting.

It would be tough to extrapolate for certain, but it's possible that the clear-cut imagery of an officer shooting a fleeing man in the back resulted in the prompt charges against the officer, and that quick reaction by authorities in South Carolina after the video surfaced headed off the sort of violence that repeatedly unfolded in Ferguson as the process of determining Wilson's fate dragged on for months.

Ferguson: Black residents outnumber whites in the St. Louis suburb by more than a 2-to-1 ratio, yet at the time of Brown's shooting, there were only three black officers on the city's 53-member force, and there was only one African-American member of the six-member City Council. (Two more African-Americans were voted in during this week's city's elections.)

North Charleston: It's closer to an even split here, with census data from 2010 showing the city is 47% black and 42% white. The makeup of the city's police department is unclear, though it's been widely reported that 2007 federal figures indicated it was about 80% black. Three of the 10 City Council members are black.

Takeaway: The ratio of white and black officers on the North Charleston Police Department appears to more closely mirror the makeup of its population than does the Ferguson Police Department, but both are considerably off. As for the city councils, the latest election in Ferguson makes its governing body more representative than North Charleston's.

But before you place too much emphasis on the percentages, there are other variables to consider, like policing methods, as CNN political commentator Marc Lamont Hill pointed out. Changing the racial makeup of a department alone won't do the trick if officers aren't taught the best practices.

"Black people didn't march and fight and struggle to have black officers kill us and black officers beat us and black officers harass us," he said. "I want police officers who are capable of doing the job properly. We need community-based policing if we're going to believe that police are the proper force to be in our neighborhoods."

Ferguson: There was no bystander video of Michael Brown's death -- no concrete evidence to support or refute different witness claims about what had transpired.

North Charleston: It's unlikely Slager would have been fired and charged with murder so quickly if not for video shot by witness Feidin Santana. Even North Charleston's police chief said he was disgusted by the footage of Scott's shooting.

Not only does the video show Slager firing eight shots at Scott as he's running away, it also shows him placing a dark-colored object next to Scott's lifeless body.

That could be significant, because Slager initially said Scott had taken his Taser and he feared for his life. But if investigators determine the object dropped next to Scott's body was actually the Taser, Slager could be accused of planting evidence.

The takeaway: Ferguson resident Alexis Templeton said what happened in her city helped people across the country to feel empowered to stand up for themselves. The video of the North Charleston shooting, she said, is vital.

"If there is no video, folks don't believe it because it sounds so asinine that something like this would ever happen in this country," she said. "But with a video, you can't say it's not happening."

Ferguson: The largely peaceful protests in Ferguson were marred by looting, arson and even shootings. Violence erupted again in November after Darren Wilson, the officer who shot Brown, wasn't indicted. And even after Ferguson's police chief resigned last month, two officers were shot during a protest at the Ferguson Police Department.

North Charleston: After Scott was killed in South Carolina over the weekend, protests in North Charleston have been peaceful so far.

The takeaway: Some Ferguson residents say what happened in their city is playing a role in the way North Charleston is handling its own tragedy. Lee Smith, who recently made an unsuccessful bid for a Ferguson City Council seat, said he was glad to see authorities in South Carolina charge Slager with murder.

"I am hopeful that their motives are right and not just based on the fact that they are trying to avoid the same types of issues that came down in Ferguson," Smith said.

Ferguson: It took Ferguson police six days to publicly identify Wilson as the officer who shot Brown, and in the immediate aftermath of the shooting, then-police chief Thomas Jackson decided not to visit Brown's family. And rather than charge Wilson and let a grand jury decide whether the charges had merit -- as many civil rights advocates wanted -- the prosecutor in the case instead made the unorthodox choice of presenting both sides himself and letting the grand jury decide whether to charge the officer.

North Charleston: Slager was identified by authorities and charged with murder on Tuesday, two days after Santana shared his video with Scott's family. Mayor Keith Summey denounced the shooting and said Slager made a "bad decision." Both Summey and the police chief also visited Scott's family.

"When you're wrong, you're wrong," he said. "And if you make a bad decision -- don't care if you're behind the shield or just a citizen on the street -- you have to live by that decision."

The takeaway: Former Ferguson Mayor Brian Fletcher said the city has influenced others.

"I think these situations are given much more scrutiny now," said Fletcher, who won a seat on Ferguson's city council this week. "They have seen what has happened here in Ferguson. Every mayor and city council is very cautious in what they say and what they do."

Ferguson: After Brown's death in August, many asked why Wilson didn't have a body camera. The shooting spurred a nationwide debate over whether officers should wear cameras on their lapels. Three months later, President Barack Obama pledged $263 million to procure body cameras and training for up to 50,000 police officers.

North Charleston: Slager also was not wearing a body camera when he killed Scott. But after the shooting, the mayor said the city was ordering an additional 150 body cameras "so every officer on the street" in the city will have one. That's in addition to 101 body cameras already ordered, Summey said.

The takeaway: Not everyone agrees that all officers should wear body cameras. Some police unions have scoffed at the idea, and the American Civil Liberties Union has cited privacy concerns. They're also expensive. Several camera models cost at least $500 each, and storing all that footage can cost as much as $20,000 a year.

But National Urban League President Marc Morial said more body cameras will help protect not just the public, but also police.

"I think if officers know that their actions are being recorded on a consistent basis, it's going to protect good officers who do the right thing," Morial said. "But it's also going to ferret out, if you will, bad actions by bad officers."

CNN's Moni Basu, Gregory Wallace and Wolf Blitzer contributed to the report.

@highlight

Protests in South Carolina have been calm compared to the violence in Ferguson

@highlight

North Charleston's mayor says hundreds of body cameras will be on officers

@highlight

It took six days for Ferguson police to identify Darren Wilson, who was not wearing a camera