Educators and Parents: This Educator and Parent Guide is provided for teachers and parents to use as a catalyst for discussion and learning, if they choose to watch this program with their students. CNN provides Educator and Parent Guides for all of its "In America" programming.

(CNN Student News) -- Watch or record "Battle for Blair Mountain: Working in America" when it airs on CNN on Sunday, Aug. 14 at 8:00 p.m. ET/PT. By recording the documentary, you agree that you will use the program for educational viewing purposes for a one-year period only. No other rights of any kind or nature whatsoever are granted, including, without limitation, any rights to sell, publish, distribute, post online or distribute in any other medium or forum, or use for any commercial or promotional purpose.

Program Description: Sharples, West Virginia -- population around 100 people -- is ground zero in the fight over an issue of importance to every American who has ever plugged in a computer, watched a television or taken a hot shower: How should the U.S. mine coal? About 50% of U.S. power still comes from burning coal. In West Virginia, over the past few decades, there has been a push for Mountaintop Removal Mining, a destructive yet highly effective form of strip mining that literally blows the tops off of mountains to reach the rich coal seams buried inside. Miners say mountaintop removal projects provide much-needed jobs. Their opponents say the cost of those jobs -- to the environment, the people and the future -- is just too high. There is an intense, enormous struggle going on in tiny Sharples. Soledad O'Brien is there to cover it from all sides in her documentary, "Battle for Blair Mountain: Working in America."

Recommended grades: 9-12

Subject Areas: Civics/Government, Contemporary Issues, Economics, Environmental Sciences, Health

Before-viewing Discussion Questions: Use these questions to promote discussion before viewing the program.

1. What do you know about coal mining? What role do you think that coal mining plays in the U.S. and state economies? Why do you think that some people might support or oppose using coal as a fuel source?

2. What do you think might be the working conditions for a coal miner? What do you think might be the potential benefits and risks of being a coal miner in America?

3. What are some sources of energy other than coal? In your opinion, what might be the advantages and disadvantages of obtaining and using each of these energy sources?

Post-Viewing Discussion Questions: Use these questions to facilitate discussion and critical thinking after watching "Battle for Blair Mountain: Working in America."

1. According to the documentary: What role does coal mining play in the economy and history of southern West Virginia? How has the coal mining industry shaped the economy of the town of Sharples?

2. According to the documentary, approximately what percent of America's power comes from coal? What arguments are made in the documentary that either support or oppose the mining of coal?

3. What is mountaintop removal mining? What comparisons are made in the video between mountaintop removal and underground coal mining?

4. What is reclamation? How have coal mining companies used reclamation? What evidence is shown in the documentary that reclamation does or does not work? What do you think might be the differences, if any, for the environment between a reclaimed mountaintop and one that has not been disturbed by mining?

5. According to the program: What is the significance of the proposed Spruce One project? What impact might this project have on the local economy and on the environment? How have people who live near Blair Mountain reacted to the Spruce One proposal? Why do you think that some residents are in favor of this project, while others are not?

6. How did the U.S. Environmental Protection Agency rule in the Spruce One case? What factors do you think that the EPA weighed in making its decision? What did EPA administrator Lisa Jackson say in the program about this decision? What is your reaction to this decision and Jackson's statement?

7. What is the focus of West Virginia University professor Michael Hendryx's research? What has Hendryx concluded from his research? What do the coal mining industry officials say in response to his findings?

8. What was the outcome of a march on Blair Mountain that took place in 1921? Why did Chuck Keeney and other West Virginia residents march on Blair Mountain recently? What connections does Keeney make between these two events? How does Linda Dial react to the recent march? Do you think that Keeney and Dial can find any common ground with regard to the issues surrounding coal mining? Explain.

9. In your opinion: Does a corporation have a responsibility to repair any damage that is done to the environment by its actions? If so, why? If not, who, if anyone, should be responsible for repairing this damage?

10. Summarize each of the different perspectives presented in this documentary. Are there any individuals whose stories resonate with you? Explain. In your opinion, how should the situation at Blair Mountain be resolved?

Media Literacy Question

How might the various stakeholders seen in this documentary use different forms of media to influence public opinion?

Learning Activity

The Economy, the Environment and Public Health

Ask students to consider how businesses in communities might impact local economies, the environment and public health. Direct small groups of students to conduct research to learn more about businesses and their impact -- both positive and negative -- on the communities in which they are located. Have each group choose one of these businesses and present a case study on the business and its impact on the region. Groups may want to include information, for example, about jobs generated and community and infrastructure development, as well as any resulting pollution, habitat destruction and/or alleged ties to health hazards. Groups will also want to share any evidence of balance among the business, environment and public health.

After the presentations, generate a class discussion to help students draw conclusions about what they have learned. Ask:

• What benefits might a business operation bring to a region's economy? • How might a business operation negatively impact a region's quality of life? • Do you think that it is possible to promote economic development while protecting the environment and human health? If so, how? If not, why not?

After discussion around the last question, challenge students to write emails to their local elected officials expressing their opinions on economic development and quality of life. They might choose to offer their suggestions for promoting economic development while protecting the environment and public health in their community, or advocate positions that prioritize one or more of these factors.

Curriculum Connections

Science

CONTENT STANDARD F: SCIENCE IN PERSONAL AND SOCIAL PERSPECTIVES

As a result of activities in grades 9-12, all students should develop understanding of

• Personal and community health • Natural resources • Environmental quality • Natural and human-induced hazards

The National Science Education Standards (http://books.nap.edu/html/nses/pdf/index.html ) are published by the National Academies Press (http://www.nap.edu).

Social Studies

National Curriculum Standards for Social Studies: The Themes of Social Studies 3. PEOPLE, PLACES, AND ENVIRONMENTS

Social studies programs should include experiences that provide for the study of people, places, and environments.

5. INDIVIDUALS, GROUPS, AND INSTITUTIONS

Social studies programs should include experiences that provide for the study of interactions among individuals, groups, and institutions.

6. POWER, AUTHORITY, AND GOVERNANCE

Social studies programs should include experiences that provide for the study of how people create, interact with, and change structures of power, authority, and governance.

The National Curriculum Standards for the Social Studies are produced by the National Council for the Social Studies.

@highlight

"Battle for Blair Mountain: Working in America" examines the issue of mountaintop removal, which literally blows the tops off of mountains to reach the rich coal seams buried inside

@highlight

West Virginia coal miners say mountaintop removal projects provide much-needed jobs.

@highlight

Their opponents say the cost of those jobs -- to the environment, the people and the future -- is just too high

@highlight

Use this educator's and parent's guide to examine all sides of this issue

@highlight

The guide includes before-viewing and post-viewing questions and a learning activity