(CNN) -- Jaelithe Judy has been taking her son with her when she votes ever since he was born. They've been talking about politics since he was 4.

Now 7 years old, Isaac likes to say that he's going to become a science teacher -- and the president of the United States.

Judy herself was raised by a politically motivated mom and accompanied her on Equal Rights Amendment marches when she was as young as 8. It inspired her to become a political blogger, both with MOMocrats and her own blog, The State of Discontent.

Tackling heated discussions, educating yourself about issues and getting candid about candidates can be difficult, even for the politically inclined. But political mom bloggers have taken the challenge to a new level: combining the delicate art form of being a parent with being politically active, and including their children in the entire process.

"I think it's really important to raise children with a sense of public responsibility," Judy said. "One of the values I want to instill in my son is this idea that as an American citizen, he's responsible for paying attention to what the government is doing so later, when he's old enough to vote, he's empowered to make rational decisions."

Isaac may not be running for president any time soon, but he's on the right track. Children inherently possess a sense of fairness, which makes them prime candidates for political understanding and conversations, Judy said.

While reaching out on a smaller scale than other parenting-centric mom blogs, these politically motivated websites are a great way to connect like-minded mothers and share ideas. These blogs tend to become increasingly active around elections, Judy said. MOMocrats was one of only 55 national blogs to attend the Democratic National Convention.

"The blog had literally been started in 2007 by three moms talking over coffee in a cafe," Judy said. "So we personally felt like recognition as legitimate press from the DNC was a pretty powerful sign that the trend of mothers blogging about politics was being taken seriously by the political establishment and the wider media."

In addition to political blogging, these moms try to incorporate politics into their home life. Molly Teichman's kids wouldn't be as interested in politics if their family weren't so actively involved. While she is holding a central committee meeting in the gym, her kids are playing basketball just a few feet away.

"When parents become involved and talk about it, you become a model for your kids, and then they understand that it's their responsibility to seek out news and information you can trust and make solid decisions on," said Teichman, a conservative who runs the Political Mommentary blog. She was also an official blogger for the Conservative Political Action Conference.

Teichman's reasons for being so politically active run deep. Her grandmother once posed the question, "Why do you keep having these children? Why would you want them to grow up in this world?"

Teichman knew that she had to do something to make a difference in the world her children were growing up in, and that route was politics. Blogging as a politically inclined mother has connected her with both like-minded and opposing party-affiliated women all across the country. While there may be tension between their differing views on issues, Teichman considers the political mom blogger movement to be a beautiful thing.

"When women start to collaborate, there's this warm, holistic nature," she said. "We may be affiliated with different parties, but we come to a consensus and an understanding when the day is over. Both online and at conferences, I just see so much 'come together.'"

Her 10-year-old son, Jackson, is getting caught up in the spell of the election because while his dad has picked a favorite in the political season, Mommy has not.

"He likes to set himself up right between us and ask questions about how we make our decisions," Teichman said. "He asks what we're looking for if we're watching one of the debates, he asks who's asking the question, why do they want to know, what's the reporter, what's their role?"

In fact, these mom bloggers say there has never been a more exciting or engaging time for kids to become interested in some facet of the election scene.

"As they talk about issues in school or they come up naturally in history or social studies classes, your kids come home and talk about that," said Joanne Bamberger, the mind behind the PunditMom blog. "We're in an election season and that provides a good opportunity to have a conversation, if you want to."

While Bamberger and her husband align with progressive Democratic politics, they don't want to influence their daughter or her future decisions. This age range, "between the elementary and tween years," can be a great time to have political discussions with kids, but it is also incredibly easy to sway their views. Bamberger takes the same kind of balanced approach that she sees in some of the families she interviewed for her book, "Mothers of Intention."

She has witnessed a trend of families aiming to indoctrinate their kids with hyperpartisan politics, but doesn't agree with it. Instead, she suggests explaining all partisan beliefs and objectives, even if they don't align with your own.

"Our kids understand there is more than one side to every issue," she said. "I tell them, we may believe this, but there are other people who think this other thing for varying reasons."

Shannon Drury, founder of The Radical Housewife blog, tries to keep her party affiliation as a separate entity from her children, although she actively talks about politics with them often. Politics actually bring her family together.

"As a political activist myself, I can't help but talk with my kids about why I take the stands I do," she said. "After all, I share my values about everything else in my life -- I tell them why I recycle, why I drive the speed limit, why I eat my vegetables, and I tell them why I prefer Madonna to Ke$ha, so I might as well explain why I voted for Obama!"

Drury takes her kids with her to abortion rights rallies, candidate events, marches and even a few Occupy Wall Street-allied demonstrations in Minnesota and Wisconsin. She encourages them that while they aren't old enough to vote now, they can still be a part of the political process with her. Her children are becoming activists in their own right.

"The even greater reward of their childhood activism, though, will be growing into adults who are confident that they have the ability to participate in the political process, no matter where on the liberal/conservative spectrum they eventually fall," she said. "Civic engagement is an important part of being a healthy, fully rounded person."

While some moms have the ability to be actively involved in their community or work directly in politics, not all mothers have that ability. Blogging about parenting and politics connects them to this sphere. They can talk about the two topics separately, or how to talk about political news with their kids.

"We don't talk to our neighbors as much as we used to, so the online community helps," Judy said. "The Internet is a wonderful outlet, a great place for women to connect and share parenting experiences. This movement has the potential to create new common-ground alliances between women with very different backgrounds."

@highlight

Mom bloggers are tackling the challenges of parenting and being politically active

@highlight

No matter their party affiliation, these bloggers agree that the community aspect helps them

@highlight

Bloggers swap parenting advice and political sparring