(CNN) -- Picture a field full of heavy-set men sporting shaved heads and covered with tattoos. They pump their fists in the air and dance raucously in front of a stage festooned with Nazi flags and racist skinhead symbols. Others, including a few women, watch around the perimeter.

Onstage, people are playing deafening music, shouting more than singing, with lyrics urging white people "to stand up and fight."

Without the racism element, this might just be another concert. But this is music with a message -- a white power music concert. Every year, versions of this scene play out across the United States, if not in a field, perhaps in an old warehouse or, more rarely, an actual music club.

Some white supremacists drive for hundreds of miles to attend. Others purchase or download white power music from the Internet. Since white power music arrived in the United States in the late 1970s, it has become a pillar of the subculture permeating the white supremacist movement.

White supremacist groups strong

It is in this subculture that Wade Page, the white supremacist responsible for the massacre earlier this week at a Sikh temple in Wisconsin, moved, made friends, and fully immersed himself. Page, 41, was a white supremacist skinhead who played in two white power music bands, End Apathy and Definite Hate, affiliated with the Hammerskins.

The Hammerskins are a longstanding hardcore racist skinhead group with a history of violence and hate crimes. Page was a member, identifying himself as a Northern Hammerskin, part of the group's upper Midwest branch.

White power music is a small music scene, not comparable to any mainstream music genre. The largest concerts won't attract more than 300 people; most organizers would be happy to see half that number.

Music, military marked Sikh temple gunman's path

At any given time, about 100 to 150 white power bands are in the United States. The bands' own names defiantly express feelings of hate or violence: Aggravated Assault, Angry Aryans, Attack, Definite Hate, Final Solution, Force Fed Hate, Fueled by Hate, Hate Crime, Jew Slaughter and White Terror, among others.

Most of these bands are the white supremacist equivalents of garage bandsâ€”nobody is getting rich from this music. Behind them are small record labels or distributors that specialize in white power music: Label 56, Tightrope Records, Final Stand Records, and others. Many bands are associated with a racist skinhead group such as Volksfront, the Vinlanders Social Club or, especially, the Hammerskins.

The Hammerskins dominate much of the white power music scene. Many bands are Hammerskins-affiliated, while the group itself organizes hate music concerts, including Hammerfest, its largest annual event.

Temple killings put spotlight on hate rock

The music comes in many flavors. The oldest is a racist form of Oi!, associated with the original skinhead subculture in Great Britain. Also popular is hatecore, a white supremacist version of hardcore punk. A white supremacist form of death metal music, known as National Socialist Black Metal Music or NSBM, has become popular. There are other small subgenres of hate music; even a few white power hip hop artists, though most white supremacists dislike hip hop.

White power music conveys many messages. Obviously, it conveys hatred: antagonism toward Jews, immigrants, nonwhites, Muslims, gays and left-wingers. But songs can convey other messages, too. Some white power songs may glorify heroes or martyrs of the white supremacist movement. Some are essentially self-promotional, praising a group or leader.

Songs that urge or celebrate generic violence are also common, emerging from a subculture in which violence is easily condoned. A number of songs attempt to convey some sense of commonality, to strengthen the sense that listeners are in a movement with shared ideas, goals -- or enemies.

What are the effects of white power music? It's often hard to know exactly how music of any kind may affect someone. Music is universally acknowledged as powerful, yet its effects are often indirect.

Hate music does sometimes create direct effects. Incidents of hate crimes being committed by people who had just been at a hate music event have been reported. More indirectly, hate music certainly contributes to the shared ideas and notions of the white supremacist movement, including its willing acceptance of violence.

But there is a "chicken and egg" question, too. It is almost certainly the case that, for many white supremacists, the music doesn't motivate them to violence so much as reflect attitudes about hate and violence they already possess. Does the music motivate them to be hateful, or does the fact that they are hateful cause them to appreciate the music? For each individual, there's probably a different answer.

White power music is often cited as a recruiting tool for white supremacists. This is certainly true to some degree, although most of their recruitment tends to be passive rather than active. Organized attempts are made from time to time by white supremacist groups to use white power music to attract young people, but none of these attempts has truly been successful.

Of more importance is simply the existence of hate music. A certain number of people will like the music or the message, or both, and some may be drawn into the movement itself. The Internet has allowed more people to encounter this music than previously.

What can be done about this music and the violence it seems to beget? One solution is to shine the light of day on the hateful lyrics and subculture, so that more people will speak out and reject their disturbing and sometimes violent message. This is part of the work we at the Anti-Defamation League do every day.

A previous version of this commentary incorrectly included the band Hatebreed in a list of white power bands. Hatebreed is a self-described "hardcore metal" band. CNN regrets the error.

The opinions expressed in this commentary are solely those of Lonnie Nasatir.

@highlight

Lonnie Nasatir: Tattooed men pump fists in front of Nazi flags at white power music concerts

@highlight

Nasatir: This music a part of white supremacist movement subculture since 1970s

@highlight

For supremacists, the music reflects attitudes toward hate they already have, he says

@highlight

Concerts don't attract a lot of people, he says, attempts to recruit are not truly successful