(CNN) -- The recent closure of 32 privately owned radio stations and a proposed law to punish "media crimes" are signs that Venezuelan President Hugo Chavez is moving to quash criticism of his government, according to a recent U.S. intelligence report.

A group of pro-Hugo Chavez rioters beats Venezuelan journalists in downtown Caracas on August 13.

Chavez's government is "moving forcefully to silence critics," said the unclassified U.S. analysis prepared by the Open Source Center, a U.S. government office that translates and analyzes reports from foreign news organizations.

The relationship between privately owned media in Venezuela and the leftist Chavez has never been rosy. Chavez has accused private television stations of supporting his brief ouster in 2002, and the president was a driving force behind denying a license renewal in 2007 to one broadcaster he said cooperated with the opposition.

But the decisions this month by the Chavez government to close 32 radio stations and two television broadcasters and to support legislation that would create prison sentences for people who commit "media crimes" have created a new level of scrutiny from outside Venezuela.

"The media crimes bill is the most blatant example of the government's steady encroachment on media freedom in an effort to establish a media monopoly and stifle freedom of expression," said the unclassified intelligence report, dated August 3.

The Venezuelan government denies that the media crimes law and the closure of the radio stations are related and maintains that each initiative was grounded in Venezuelan law.

"As usual, much disinformation has shaped the debate surrounding these developments," the Venezuelan Embassy said in a fact sheet about the developments.

At the same time Chavez was extolling these two measures, supporters of his government attacked the Globovision television studio, one of few remaining networks that gives a voice to the opposition.

In the August 3 attack, more than 30 members of a pro-government party threw tear gas at the studio and injured three people.

The leader of the attack, ardent Chavez supporter Lina Ron, was arrested. Chavez condemned the incident, but last week, people alleged to be among his supporters attacked a group of journalists who were passing out leaflets in the street.

The leaflets that journalists from the private media conglomerate Cadena Capriles were passing out criticized an education bill that they said would hamper press freedom.

According to local news reports, a group of assailants threw the journalists to the ground and kicked them, sending 12 to the hospital.

The intelligence report coincides with numerous critical statements against Chavez by press freedom organizations.

"The harassment (of journalists) is a permanent condition," Carlos Lauria, Americas program coordinator for the Committee to Protect Journalists, told CNN.

The shuttering of the radio and television stations and media crimes law are part of a larger strategy that Chavez has followed since he was briefly deposed in a coup in 2002, he said.

Chavez's goal can be described as a three-point strategy, Lauria said: to control the flow of information, stop critical reports and disseminate pro-government propaganda.

Much of the pro-government propaganda comes through Chavez's use of state-owned media outlets, critics say.

The media crimes law in particular was an escalation from previous measures aimed at the press, Lauria said.

Chavez has used the media as a scapegoat, the intelligence analysis said, but "he may be willing to give this up in order to clamp down on the negative news reporting and commentary, which have been hammering away at the country's economic problems and Chavez's increasing authoritarianism for the past year."

The media crimes law met resistance from the National Assembly and was tabled for the time being because of opposition to it.

Chavez's government defended the draft of the bill, as well as the recent closure of the broadcasters, as being within the law.

The radio stations that were ordered off the air were all violating the law, either by operating with expired broadcasting concessions, failure to renew such licenses or illegally holding a concession, the Venezuelan government's fact sheet said.

According to the document, "neither the regularization of the situation of radio and television (stations) that have been operating outside the law in Venezuela, nor the development of a law to clearly regulate subsequent imposition of liabilities in the case of serious media abuses are measures that limit freedom of speech in Venezuela."

Chavez's intervention with the press is also worrisome because of Chavez's influence over other leaders in the region, including the leaders of Ecuador, Bolivia and Nicaragua, CNN was told by Robert Rivard, chairman of the Inter-American Press Association's Committee on Freedom of the Press and Information.

"Freedom of expression in general, for everyone, is under attack in these countries," Rivard said. "They all have a deep, abiding distrust of journalists and freedom of the press."

Ecuadorian President Rafael Correa was only days behind Chavez in seeking to close radio stations for technical infractions, Rivard said.

Chavez "has clearly been alienated by a free press and has seen it as a threat and a target," he said.

Not only journalism advocacy groups have been vocal against Chavez.

The United Nations Educational, Scientific and Cultural Organization this month released a statement expressing concern about the closure of the radio stations.

"There can be no freedom of expression, or even democracy, in the absence of media pluralism," UNESCO Secretary-General Koichiro Matsuura said in a statement.

The divisions over the media measures run deep, both locally and internationally, but on a trip this week to Ecuador, Chavez continued to pitch his plans to other leaders. He has faced strong opposition before, and he has weathered it.

@highlight

32 radio stations closed; law proposed to punish "media crimes"

@highlight

Chavez government moving "to silence critics," U.S. intelligence report says

@highlight

Chavez, Venezuelan media have had a turbulent relationship

@highlight

Venezuela denies that media crimes law, radio stations closures are related