(CNN) -- ISIS, al Qaeda, weapons of mass destruction -- it's easy to understand why these threats to global stability consistently make the headlines. But it doesn't take a nuclear device to devastate countries. While the international community has mobilized to tackle global threats posed by terrorism and nuclear proliferation, hundreds of thousands of people have already been killed by conventional weapons that have largely been overlooked by headlines and policymakers.

Despite the immeasurable human suffering caused from Latin America to the Middle East by conventional weapons such as machine guns and grenade launchers, it has been an uphill battle to generate the international will to control and regulate this trade -- until now.

After years of difficult negotiations, governments joined together to adopt the Arms Trade Treaty. The treaty, which enters into force this week, is the only global, legally binding defense against the irresponsible and largely unregulated international arms trade. I spent more than five years advising the United Nations and the diplomats that drafted it, and the treaty has enjoyed widespread global support since the U.N. General Assembly adopted it in April 2013. Indeed, only three countries opposed its adoption: Iran, Syria and North Korea.

And it's a good treaty. It's not a perfect one, but for the first time, the estimated $85 billion annual trade will have clear rules: outright prohibition of some arms transfers, greater scrutiny over others and government obligations to consider whether a transfer would contribute to violations of international humanitarian law, human rights law or be used to commit gender-based violence before a transfer is granted.

In short, the treaty represents a global foundation from which countries can build and adapt their own policies. And, by formalizing the global rules of the road to help prevent powerful weapons from falling into the hands of bad actors, the security of the United States and our allies will be strengthened.

So why is the United States suddenly absent from the front lines of recent discussions to shape the treaty's future?

To its credit, the Obama administration actively participated in treaty negotiations, demanding that the text meet U.S. requirements, including that there be no change in U.S. law. These concessions allowed the United States to sign the treaty three months after it was opened for signature, and as a result the United States maintained that it wanted to be part of the treaty and help plan for its future.

Yet at a meeting to discuss the future of the Arms Trade Treaty last month in Berlin, the United States was conspicuously absent. The Obama administration said it skipped the gathering because it was protesting the decision not to allow all U.S. civil society organizations and industry into the meeting. The Berlin meeting was only open to those organizations that could demonstrate a record of actively promoting the Arms Trade Treaty and supporting its objectives and purpose, preventing groups that have worked to try to undermine the treaty, such as the National Rifle Association, from admission.

As a result, other governments are now questioning the depth of U.S. commitment to the treaty. And while missing one meeting may not harm the United States moving forward, its strong-arm tactics hardly seems constructive. Insisting other governments give in to U.S. demands and open the meeting to treaty opponents and nonsignatories alienates treaty supporters. After all, the treaty is no longer being negotiated -- after Wednesday it is international law, and it is time to set the treaty up for success in the long term.

Of course, the Arms Trade Treaty is far from a panacea -- it is not going to put an end to all global illicit arms transfers. But it will help states develop laws, regulations and good practice to inhibit illegal and irresponsible transfers and better regulate the legitimate flow of weapons to help reduce human suffering.

The U.S. reluctance to engage constructively is all the more disappointing because it has good practices and experiences on the arms trade to promote and share with other countries, and also, as the largest arms producer and exporter, its views and actions carry significant weight internationally.

This treaty has been years in the making, and will help address an issue that is far too often overlooked. The United States should therefore embrace the leadership platform -- something it can't do from the sidelines.

@highlight

Conventional weapons are often overlooked in headlines, Rachel Stohl says

@highlight

Stohl: Arms Trade Treaty enters into force this week

@highlight

U.S. must take leadership role, she says