New York (CNN) -- Ernest Bai Koroma is the fourth president of Sierra Leone, a nation still very much living in the shadow of a brutal decade-long civil war that only ended in 2002.

He came to power in a wave of exuberance, promising to transform a country still scarred by civil war. Since then, the former CEO has gone hard on the message that his country is open for business to foreign investors.

A World Bank report in 2008 deemed Sierra Leone the easiest place to start a business in West Africa, a message that Koroma has been pushing across the world.

Koroma believes that while progress has been slow, his country is finally realizing its potential, particularly as a destination for foreign business investment in Africa.

Sierra Leone has some high profile advocates; former UK prime minister Tony Blair and George Soros are among those who back Koroma's plans for foreign business investment in the country.

One of the country's ambitious initiatives is establishing a private, special economic zone outside of the capital Freetown, where some 20 hectares of land are being cleared to welcome foreign businesses.

President Koroma sat down with CNN's Stephanie Elam during his recent visit to New York for the United Nations General Assembly.

CNN: Sierra Leone has been battling poverty for so long. Are new jobs being created so that people in Sierra Leone can start working to help build their wealth, build their earnings so that they can live comfortably?

EK: Unemployment is still a problem, especially among our youthful population. We have some that are not educated, some that are not skilled. We are trying to ensure that we develop appropriate technical vocational institutions that will address the youth, will prepare them for the job market. The issue is not only to create jobs for them but to make them competitive and to make them earn wages that will guarantee them a future.

CNN: For a lot of people, when they hear Sierra Leone they wonder about the diamonds. They wonder about whether or not the idea of a 'blood diamond' is something of the past. What do you say to that?

EK: Yeah the issue of the blood diamond is an issue of the past. And this was when the war was raging, and before the war. But now we have put in place new mining act controls to regulate the mining sector.

And we now have companies that are engaging the expectation of diamonds that are working and a government diamond office that regulates the processing of diamonds. And it is creating employment for the people and it is increasing revenue generation for the country.

CNN: What would you say has been the progress so far on getting corruption out of the government?

EK: We have made substantial progress -- we have now put in place the 2008 Anti-Corruption Act which has given anti-corruption [officials] the independence that is required, by giving them the authority to prosecute anybody that they believe is found wanting -- and I have also in the broadcast to the nation, and on many occasions, made it clear that nobody is protected, not even a member of my family.

CNN: Do we see people feeling safer in Sierra Leone? Do you yourself feel safe when you're out?

EK: I believe I am one of the presidents that drives around without any security. I drive around in the streets and people know that I am moving around and they yell, they wave. You can drive at any time, at any location in the country without any hit-and-runs. That is how safe the country is.

CNN: Let's talk a little about women in Sierra Leone and in your government. I know that you have a female foreign minister. How important is this idea of having gender equality in the government?

EK: We are working on improving the gender participation in government and other sectors. I must say that it has not improved as much as we want but we are making progress. There are ambassadors that are women, we have heads of companies in the country that are women, chairpersons. It is growing and becoming very interesting.

CNN: What do you hope your legacy will be for Sierra Leone?

EK: A Sierra Leone that has changed from a post-conflict humanitarian rehabilitated country to a country that has taken off on the path of real growth, and I want to be remembered as the person that led the business for the new economic growth of Sierra Leone.

CNN's Edvige Jean-Francois contributed to this report

@highlight

Ernest Koroma has been president of civil war-torn Sierra Leone since 2007

@highlight

Koroma seeks to rebuild his country through extensive economic and corruption reforms

@highlight

Koroma believes Africa should have a permanent seat on the UN Security Council