Breathtaking scenery, championship design -- many of the courses dropped into the Canadian Rockies are among the most memorable in the world.

Centered in the province of Alberta and heading north from Calgary, you can find several must-play courses that inspire awe, and might even improve your game -- the elevation and thin mountain air can add an easy 10 yards to your drives.

These courses are situated in the valleys that hug this northern stretch of the Rockies, with massive peaks rising up around you.

The Fairmont Banff Springs Golf Course

Located within Banff National Park, this course is a natural panoramic wonder that's both challenging and captivating.

Surrounding mountain cliffs stare down on you on nearly every green of the championship course.

The original 18 holes were designed by Canada's master golf architect, Stanley Thompson, back in 1928.

With a judicious use of bunkers and a layout that hugs the winding Bow River, it's a course that thrills amateurs and professionals alike.

The Tunnel Mountain nine-hole course added in 1989 allows you to get in an early game and still enjoy the wide array of outdoor activities in the area, like a raft trip down to nearby Canmore, where more magnificent courses await.

The Fairmont Banff Springs, 405 Spray Ave., Banff, Alberta; +1 403 762 2211

Silvertip Resort

Located on the "sunny" side of the Bow Valley, this course brings you as close to wildlife as you'll get -- at least while holding a golf club.

Between two wildlife corridors, the course has been certified as an "Audubon Cooperative Sanctuary" for its conservation and preservation practices.

The par 72 sports 600 feet of elevation change and is the only course in the area on the south-facing side of the mountains -- so you can tee off later and enjoy longer days on the links.

The clubhouse deck offers one of the most spectacular views in golf and offers front row seats overlooking the 18th, so you get to be judge, jury and commentator as your fellow golfers display their downhill skills on an extremely steep par 4.

Silvertip Resort, 2000 Silvertip Trail, Canmore, Alberta; +1 403 678 1600

Stewart Creek Golf Club

Built on an abandoned coal mine, this may be the area's most rugged and rewarding championship course.

On the eastern slopes of the mountain range near Canmore, it's a 15-minute drive from Banff and consistently ranked with 4.5 stars by "Golf Digest."

A massive, eye-catching three-peak wall known as The Three Sisters hovers over the property and makes for stellar selfies.

In a nod to its proud past, this reclaimed masterpiece incorporates a number of refurbished mine entrances that add authenticity, and places to hide from the rain.

While the mine shafts that still run beneath the fairways have been reinforced, the steep tees and vanishing fairways may leave you feeling a bit shaky -- all the more reason to make sure you get some "beautiful shots" of the photographic kind.

Stewart Creek Golf Club, 4100 Stewart Creek Drive, Canmore, Alberta; +1 403 609 6099

The Fairmont Jasper Park Lodge

Another Stanley Thompson creation, this course is considered his greatest work.

Having designed or reworked more than 100 courses in his native Canada, the Jasper showcases his trademark features:  scruffy-edged bunkers, mounded fairways and daring par threes.

Fairways here are carved out of the forest, with attention paid to the natural contours of the mountains.

An 18-hole, par-71 course, it has elevated tee boxes with views that soak in the surrounding mountain peaks.

The 14th tee is the crown jewel. Overlooking a pristine green lake, it's both inviting and exhilarating, requiring a gutsy drive over water and through some well-placed pine trees.

Accept the challenge and you'll be rewarded with a rare bunker-less green that's defended by only the natural slope of the land.

Fairmont Jasper Park Lodge, Old Lodge Road, Jasper, Alberta; +1 780 852 3301

Canmore Golf and Curling Club

Conveniently situated in the heart of an alpine village, this easily accessible course has deep roots in a proud mountain community.

Constructed and funded solely by the residents of Canmore, it's a public space that embraces visitors with its natural beauty and hospitality.

The surrounding snow-capped peaks serve as reminders that this is still Canada.  And though they love their golf in Canmore, when the greens are inevitably blanketed with ice and snow, people around here turn to another sport to test their patience and precision: curling.

Like golf, curling can be mystifying to those who've never tried it, yet magical to those who'll never leave it.

Canmore Golf and Curling Club, 2000 8 Ave., Canmore, Alberta; +1 888 678 4785/+1 403 678 4785

@highlight

Built on an abandoned coal mine, Stewart Creek Golf and Country Club is one of the area's most rugged and rewarding courses

@highlight

Fairmont Jasper Park Lodge showcases scruffy-edged bunkers, mounded fairways and daring par threes

@highlight

Residents of Canmore constructed and funded the golf and curling club