Bloomington, Indiana (CNN) -- Those fundamentalist members of the Iranian government who have long sought to blow up any possibility for the normalization of relations between Tehran and Washington may just have succeeded.

At the very least they are likely to have put any negotiations with Iran on issues ranging from nuclear power to the Iraqi insurrection and the Taliban counterattack in Afghanistan on the back burner.

An Iranian-American, Manssor Arbabsiar, has been charged in a plot to assassinate the Saudi Arabian ambassador to the United States. According to U.S. authorities, the plot included hiring a DEA informant posing as a member of a Mexican drug cartel who asked for $1.5 million to explode a bomb in a restaurant frequented by the Saudi Ambassador.

The Iranian-American allegedly had been recruited and directed by his cousin, Abdul Reza Shahlai, a senior member of the Quds Force of the Islamic Revolutionary Guard Corps (IRGC) in Iran, and by Shahlai's deputy, Ali Gholam Shakuri.

Arbabsiar was recruited in early spring and began arranging the terror plot in late May of this year using monies wired from Iran at the direction of the Iranian government, prosecutors revealed. Shakuri has also been charged in absentia in the criminal complaint that was filed by the FBI in the Federal Court of the Southern District of New York. The Iranian government has denied any involvement.

While in New York for the U.N. General Assembly meetings last month, Iranian President Ahmedinejad and his Foreign Minister Ali Akbar Salehi suggested that relations between Tehran and Western governments need to improve. They also indicated that negotiations over Iran's nuclear program should be re-started. Their recent comments came on the heels of several months of outreach by the Iranian president's office to the United States and European Union. The current terror plot may have been, in part, an attempt by others within the Iranian government to sabotage those discussions before they can begin. The United States is expected to ask that the Security Council impose additional sanctions against Iran for the terror plot.

The Revolutionary Guard Corps was founded after the Iranian revolution of 1979. It complements, supplements and often eclipses Iran's regular military forces in resources, manpower, tactics, and operations. The IRGC's overall commander, Gen. Mohammad Ali Jafari, who was appointed by and is loyal to Iran's Supreme Leader Ayatollah Khamenei, recently threatened "military action against all other who disavow the Islamic Revolution." Another IRGC officer, Brig. Gen. Rostam Ghasemi -- who like Jafari is under international sanctions but still heads the influential economic wing of the IRGC (which controls approximately 50 percent of Iran's economy) -- is also Iran's Minister of Petroleum and so currently serves as president of the Organization of the Petroleum Exporting Countries (OPEC).

The IRGC's Quds Force is a special unit utilized for enforcing militant fundamentalism at home, ensuring the mullahs stay in power to the dismay of many Iranian citizens, exporting the Islamic revolution to other nations, supporting Iran's political cronies abroad and conducting terrorist attacks against foreign targets. The Quds Force reports directly to Supreme Leader Khamenei, who appointed its commander Brig. Gen. Qasem Soleimani -- another Iranian official listed as a terrorist by the U.S. government. Soleimani is suspected by the U.S. government of helping shape the terror plot just thwarted by the United States

The IRGC generally and its Quds Force specifically have been implicated in several terrorist attacks on Americans, Israelis, and others. The July 1994 bombing that killed 85 persons at a Jewish community center in Buenos Aires was traced back by the government of Argentina (and even noted in the U.S. Congressional Record) to the IRGC. The June 1996 truck bomb that killed 19 U.S. servicemen in Khobar, Saudi Arabia, was believed by the 9/11 Commission to have been assembled at an IRGC facility and then provided to its partner in crime Hezbollah, which carried out the attack.

The IRGC has trained and armed not only the Lebanese Hezbollah but also Palestinian Hamas, Shiite militants in Iraq, and even Taliban fighters in Afghanistan. Now it is suspected of sharing tactics and weapons with Bashar al-Assad's troops against protestors in Syria's current populist uprising. So, many of the IRGC's international activities are aimed at weakening the United States and preventing American attempts to stabilize the Middle East and South Asia.

The choice of a Saudi diplomat as the plot's target is not surprising. Saudi Arabia sent troops to Bahrain in March to put down a rebellion by that island nation's majority Shiite population who are tied religiously to Tehran. The Saudi government blames Iran for instigating both Bahraini unrest and Shiite protests in eastern Saudi Arabia. So, the Sunni monarchy in Riyadh has been trying to line up a coalition of Sunni Muslim states to oppose Iran's ambitions in the Middle East specifically. The timing of Arbabsiar's recruitment for the terror plot suggests the assassination is also in part tit-for-tat retribution for the Saudi military action against Shiites in Bahrain.

Planning the plot for Washington fits well with hardliners in Tehran detesting the U.S. government for threatening military actions and spearheading economic sanctions against Iran for its nuclear program. The Stuxnet computer worm attack on Iran's nuclear facilities in June 2010, and the assassination of Iranian scientists, all of which are attributed by Tehran to Washington and Jerusalem may also have factored into this attempt at retaliation.

In the wake of the 1979 Islamic Revolution many Iranians from all walks of life fled to North America and Europe. They and their descendants are by and large opposed to the fundamentalist regime in Iran and have become loyal citizens of the United States and other countries to which they emigrated. So, if the charges are true, the person arrested is an anomaly.

Likewise our own research in Iran has shown that most Iranians feel goodwill toward Americans and seek renewal of relations with the United States. Those in Tehran who plotted these attacks intended to sunder that goodwill between peoples and to further alienate their own citizens from the rest of the world. Those terrorist masterminds should not be permitted to get away with their plans at home or abroad.

The opinions expressed in this commentary are solely those of Jamsheed K. Choksy and Carol E. B. Choksy.

@highlight

U.S. authorities charged that a terror plot was planned by Iranian officials

@highlight

Authors say hardliners in Iran may achieve their aim of scuttling talks with the U.S.

@highlight

Revolutionary Guard has played a role in earlier international terror plots, authors say

@highlight

Authors: Plot targeted Saudi ambassador; Saudis have been in conflict with Iranians