Video gamers spend tons of time -- for many it's 10,000 hours by age 21 -- battling mythic monsters, shooting aliens and rescuing princesses from digital castles.

Adrien Treuille wants to put those efforts to better use.

The Carnegie Mellon computer scientist is the creator of two online games -- Foldit and EteRNA -- that put video gamers to work solving epic scientific puzzles.

His aim is to make super-boring-sounding scientific mysteries like "protein folding" and "RNA synthesis" fun and challenging for gamers.

The results have been staggering, as Foldit and EteRNA players -- there are about 430,000 of them between those two games, most of them playing Foldit -- continue to make discoveries that had eluded  scientists and their supercomputers.

Earlier this month, for example, Foldit players helped solve a puzzle about proteins that could further research into HIV/AIDS. Their work was co-published in the journal Nature.

Players know they're working on science puzzles, but the games are meant to be fun.

"One of our goals when we made Foldit is to make proteins toy-like, which is actually a technical term from game design," Treuille said in a recent interview at the PopTech conference. "It should be something you want to play with, like a Lego or a Tinkertoy.

"Proteins are these esoteric things that most people don't know very much about, but through computer graphics and interaction we were able to make them something you can play with and wiggle and pull -- and make them physically real for people. And I think that realness -- that toy-like aspect of proteins -- is what made it ultimately comprehensible to our players, and allowed them to solve problems that elude computer programs."

To get why this is significant you have to understand a little bit about proteins, which Treuille describes as building blocks for life. If scientists can better understand the shapes of proteins, they can do more to build them themselves, which could lead to new methods of disease prevention and treatment.

But they need help figuring out how to use these tools.

"We're building with, like, completely new materials," he said, "so we know how to build with hammers but we don't know how to build with As Gs Cs and Us yet."

That's where the games come in.

Gamers essentially are teaching scientists and computers how to build with genetic code, by toying with the shapes of RNA and proteins to see what works best.

In Foldit, they're awarded points for making proteins that use the least amount of energy.

In EteRNA, which launched earlier this year, a Stanford lab actually will create a picture of the sequences made in the game.

"When you create a molecule in the game we actually synthesize it -- we make it for real and we send you back pictures of what you've made," he said.

Here's more on how that game works:

"What we actually do is give the players very simple tasks like build a circle, build a star," he said. "These are tasks that are beyond the limits of science today, but through trial and error and being able to play with real molecules through this computer game, people have been able to figure out how to solve these tasks, which is sort of extraordinary."

Treuille has high hopes for gaming's potential to unlock good in humanity -- and impact the real world.

"People can solve much more complex problems online at the edge of human knowledge," he said in a PopTech speech, "and I think we've just scratched the surface."

@highlight

Adrien Treuille, a computer scientist, designs games that further science

@highlight

In Foldit, players mold 3-D models of protiens as if they're puzzles

@highlight

Another game, EteRNA, lets players toy with genetic sequences

@highlight

Treuille: Gamers have made discoveries that elude scientists and computers