Washington (CNN) -- Heralding the long fight toward racial equality that many say hasn't ended, President Barack Obama commemorated the 50th anniversary of the Rev. Martin Luther King Jr.'s "I Have a Dream" speech Wednesday on the same steps the civil rights leader spoke from half a century ago.

"His words belong to the ages, possessing a power and prophecy unmatched in our time," Obama told a diverse crowd that gathered under gray skies and intermittent drizzle to attend the hours-long ceremony.

King, Obama said, "gave mighty voice to the quiet hopes of millions," hailing leaders who braved intimidation and violence in their fight for equal rights.

On that August day in 1963, when King and his fellow marchers attended what he labeled "the greatest demonstration for freedom in the history of our nation," few in that crowd could have imagined that half a century later, an African-American president of the United States would mark the occasion with a speech in the same location.

And during his remarks from the steps of the Lincoln Memorial, Obama cast his own election to the Oval Office as a consequence of persistence and courage from leaders such as King.

9 things about MLK's speech and March on Washington

"Because they kept marching, America changed," Obama said. "Because they marched, city councils changed and state legislatures changed and Congress changed and, yes, eventually, the White House changed."

While other, negative changes have forestalled the push toward racial harmony, Obama stressed Wednesday that the work of civil rights leaders had permanently changed the discourse between races in America.

"To dismiss the magnitude of this process, to suggest, as some sometimes do, that little has changed, that dishonors the courage and the sacrifice of those who paid the price to march in those years," Obama said.

Read Obama's full remarks

Adopting words from another of King's speeches, Obama declared that "the arc of the moral universe may bend toward justice, but it doesn't bend on its own."

Leaders speaking at Wednesday's anniversary event, including Obama, stressed that income disparity, high unemployment and a shrinking middle class have slashed hopes for attaining equality for millions of Americans, though the president said those facts couldn't erase the forward march of the civil rights movement.

"To secure the gains this country has made requires constant vigilance, not complacency," he said, adding, "We will suffer the occasional setback, but we will win these fights. This country has changed too much."

In an interview after the speech, he said he wished his policies had done more to improve the gap between those who have wealth and those who do not.

"It certainly weighs on me," he told PBS. "In my first term, essentially, my job was to make sure, as you said, that the economy didn't just completely collapse."

10 signposts on America's race journey

Other speakers Wednesday marked the great progress toward King's goal of racial accord, though many suggested that the dream was far from realized, specifically citing voter identification laws that critics say prevent African-Americans from casting ballots, and the verdict in the closely watched Trayvon Martin murder trial.

"We have come a great distance in this country in the 50 years. But we still have a great distance to go before we fulfill the dream of Martin Luther King Jr.," said U.S. Rep. John Lewis, D-Georgia, adding that progress toward King's goal could be marked by his own election to Congress.

"But there are still invisible signs, barriers in the hearts of humankind that form a gulf between us," said Lewis, the only speaker from the 1963 march who also spoke Wednesday.

Another leader from King's era of the civil rights movement, Myrlie Evers-Williams, said the United States had "certainly taken a turn backwards" in the quest for civil rights.

Two former presidents also delivered remarks Wednesday, each representing a distinct era in the movement for equal rights in America. President Jimmy Carter, speaking ahead of Obama, asserted that recent developments in American policy would have disappointed King.

"I believe we all know how Dr. King would have reacted to the new ID requirements to exclude certain voters, especially African-Americans," said Carter, a Democrat. "I think we all know how Dr. King would have reacted to the Supreme Court striking down a crucial part of the Voting Rights Act just recently passed overwhelmingly by Congress."

And another Democratic president, Bill Clinton, argued during his speech for working together against stalemates and inaction, saying King "did not live and die to hear his heirs whine about political gridlock."

Opinion: Did we really learn the lesson of the March on Washington?

"It is time to stop complaining and put our shoulders against the stubborn gates holding the American people back," Clinton said.

Neither of the living former Republican presidents attended Wednesday's event. In fact, no elected Republican delivered remarks at the 50th anniversary commemoration. George H.W. Bush and his son George W. Bush both opted out, citing health concerns. The latter is recovering from a recent heart procedure.

Before Obama addressed the throngs gathered at the Lincoln Memorial, civil rights leaders past and present remembered the decades-long movement to secure equal treatment and rights for African-Americans.

The daughters of two presidents key to enacting the Civil Rights Act were also present: Lynda Johnson Robb and Caroline Kennedy, whom Obama recently nominated as ambassador to Japan.

Celebrities and entertainers at the event included Forest Whitaker and Oprah Winfrey, who star as husband and wife in one of the summer's hottest movies, "Lee Daniels' The Butler," about life in the White House through the eyes of the (mostly black) hired help.

Winfrey declared that King had seen injustice and "refused to look the other way."

"We, too, can be courageous by continuing to walk in the footsteps of the path that he forged," Winfrey said.

Two musicians who performed at the 1963 march also sang Wednesday. Peter Yarrow and Paul Stookey, from the trio Peter, Paul and Mary, sang Bob Dylan's "Blowin' in the Wind," backed by Sybrina Fulton and Tracy Martin, the parents of Trayvon Martin, whose 2012 shooting death sparked a national conversation about race. Mary Travers, the third artist in the group, died in 2009.

Obama's most personal remarks on race ahead of Wednesday's speech came in the aftermath of the July verdict that found Martin's killer not guilty.

5 faces of the March on Washington

In the crowd at the Lincoln Memorial, attendees used the occasion to remember where they were when they first heard King's "I have a Dream" speech.

"I grew up in a segregated environment. I never met a white person till I was a junior in college," said Betty Waller Gray, who traveled to Wednesday's march from Richmond. "It was just so emotional to be here today after knowing where I was in 1963. I was just a kid finishing high school back then."

Gilbert Lyons, an employee of the National Park Service, attended the original March on Washington half a decade ago and heard King utter his famous works in person.

"I went home with it in my head. I even spoke to my wife about it," he said. "It stayed with me. And the more I heard about Martin Luther King, the more things he was doing, I said, 'this man is great. He is a gentleman that can bring America back to themselves like they're supposed to be.' We're not supposed to be this race and that race. We are Americans."

The only class MLK ever taught

CNN's Joe Johns, Stacey Samuel, Athena Jones and Larry Lazo contributed to this report.

@highlight

Obama commemorates the 50th anniversary of King's "I Have a Dream" speech

@highlight

King's words "belong to the ages," Obama says

@highlight

As the first black president, Obama is seen as a product of the civil rights movement