(CNN) -- There has been a lot of chatter in the media lately about Hillary Clinton's record as secretary of state.

And aside from what Karl Rove says, the right wing's talking point du jour has been that she didn't have one "signature" accomplishment. But that couldn't be further from the truth.

While she achieved a great deal as our nation's top diplomat, one accomplishment stands out: She restored America's standing in the world.

Believe me, this was no small feat.

Think back to 2009 when Secretary Clinton took office: The United States was engaged in two lengthy, expensive, deadly wars; the previous administration's unilateral foreign policy had alienated our strongest allies; our respect around the world was extremely low; and Osama bin Laden -- the most wanted man in the world -- was still on the run. We weren't just in a rut; we were in what seemed like a bottomless pit. And we were in desperate need of a strong leader to dig us out.

Rove criticized for Clinton 'brain injury' suggestion

That leader was Secretary Clinton. On Day One, Clinton began the long, arduous task of shedding the black cloud that had hovered over U.S. foreign policy for nearly a decade. She embarked on a world tour with the goal of repairing diplomatic ties with leaders, restoring America's stature on the global stage, and reinvigorating longstanding friendships.

Hillary Clinton knew that there was "a lot of damage to repair:" "There's a great exhalation of breath going on around the world as people express their appreciation for the new direction that's being set," she said.

As Michael Hirsh explained in Foreign Affairs, "Because of her worldwide popularity and tireless travel -- she set a new record for a secretary of state by visiting 112 countries -- Clinton helped undo the damage that the habitual unilateralism of the George W. Bush administration had done to the global image of the United States."

Secretary Clinton was perfectly clear that this was a top priority: "[I] inherited such a range of problems and deficits across the world that it would be a luxury to say, 'I'm going to focus on this and this alone.'...My big-picture commitment is to restore American leadership, and I think that's about as big a job as you can get. And everything I've done is in furtherance of that."

And there is no doubt that she was successful. A Pew Research poll found that the opinion of countries all over the world toward the United States has improved dramatically since the tenure of Clinton's predecessor. But restoring America's standing in the world not only required repairing relationships with global leaders, it required tackling two colossal tasks left behind from the previous administration -- winding down two wars and bringing Osama bin Laden to justice.

Secretary Clinton took office eight years after the September 11, 2001, terrorist attacks on America, yet Osama bin Laden -- the mastermind of those attacks and leader of the world's most infamous terrorist organization -- had still not been found. Clinton supported the raid that finally brought our nation's greatest enemy to justice.

Secretary Clinton's work to restore America's standing in the world paved the way for many of her other major accomplishments and helped bring forward a new era in American diplomacy.

Clinton: No need for new Benghazi committee, but GOP 'calls the shots' in the House

The Israeli-Palestinian conflict is one of the most deeply rooted, complex issues of global politics. Dealing with this conflict has been high on the agenda of nearly every secretary of state for decades. In November 2012, Clinton helped avert an all-out war in Gaza by negotiating a cease-fire between Israel and Palestine. After eight days of violence, as Politico noted, "Secretary of State Hillary Clinton got a Gaza cease-fire right at the moment hope seemed dead for a rapid end to the violence."

In today's complex world, where we are not always dealing with predictable actors, one of the single most important thing we can do to protect our great nation -- and our allies -- is to ensure that there are fewer nuclear weapons.

As secretary of state, Clinton made great strides in countering the proliferation of nuclear weapons around the world. She played a pivotal role in the passage and enactment of the New START Treaty, which will reduce key nuclear arsenals to their lowest levels in 50 years. Concerned with Iran's expanding nuclear program, Secretary Clinton focused her efforts on building a multinational coalition to impose unprecedented sanctions designed to press Iran to comply with its international obligations.

Through aggressive diplomacy she persuaded countries around the world, including the EU, Japan, South Korea, Canada, and Australia to impose sanctions of their own, multiplying the power of our sanctions and the pressure on Iran. These sanctions decreased Iran's oil exports by more than a million barrels a day -- costing Iran nearly $3 billion a month.

These are all impressive feats, but Hillary Clinton's accomplishments don't end there. From establishing the first-ever ambassador for Global Women's Issues to breaking new ground on human rights matters like protecting girls from violence, Secretary Clinton consistently worked to promote the work of women in the United States and globally.

The fact is: Clinton's record as secretary of state speaks for itself. And it speaks loud and clear that she was exactly the kind of skilled leader our country needed.

Join us on Facebook.com/CNNOpinion.

@highlight

Rep. Joe Crowley credits Hillary Clinton for turnaround of America's global standing

@highlight

Clinton became one of the most traveled secretary of states by visiting 112 countries

@highlight

He contends that Clinton reversed the "habitual unilateralism" of Bush era