(CNN) -- The highest-level talks between the United States and North Korea since President Barack Obama took office unfolded Wednesday in Pyongyang, with a virtual lock-down on information.

The top U.S. envoy for North Korea, Stephen Bosworth, is on a three-day visit for meetings to determine whether North Korea will return to six-party talks on its nuclear program.

The veteran diplomat is the first senior official from the Obama administration to hold direct talks with Pyongyang.

The White House offered no new details about the talks, and North Koreanstate media only acknowledged Bosworth's arrival in a one-line report.

North Korea abandoned the six-party talks last April, declaring them "dead," in anger over international criticism of its nuclear and missile tests. But the North also sent signals that it wanted to pursue bilateral talks with the United States instead of a multilateral dialogue.

Meanwhile, the North also has cooled its tough rhetoric against the United States.

Many are wondering what's behind the North's latest moves.

"The visit gives North Korea a lot of 'face,' a sense of importance," said Wenran Jiang, political science professor at the University of Alberta in Canada.

Some analysts say North Korea might just be trying to buy time. Earlier reports in Seoul claimed that North Korea is in the final stages of restoring its Yongbyon nuclear plant, which Pyongyang had begun to disable before walking away from the six-party talks in April. Given the secrecy of the North, those reports could not be verified.

Analysts say North Korea is also desperate to break out of its diplomatic isolation and ease its economic pain, especially after the U.N. Security Council imposed tougher sanctions on the communist country in response to Pyongyang's nuclear and missile tests earlier this year.

Another reason for Pyongyang's moves, analysts say, is neighboring China.

When Chinese Premier Wen Jiabao visited Pyongyang in October, China pledged much-needed economic, trade and military aid to its communist ally.

During the three-day visit, President Kim Jong Il indicated that North Korea was willing to return to the stalled six-party talks -- on condition that there would be progress in direct talks between North Korea and the United States.

China has hosted several rounds of the six-party talks, which bring together the United States, North and South Korea, Japan, Russia and China. The talks aim to negotiate a deal for North Korea to abandon its nuclear program in exchange for security guarantees and aid.

In the end, Pyongyang wants direct talks with Washington that will eventually lead to diplomatic ties, a peace treaty and economic and trade relations.

"China can only act as a go-between, but in the end, the U.S. and North Korea will have to resolve critical issues between themselves," Jiang said.

A U.S. State Department official said Bosworth would not carry any new proposals or new initiatives on his visit.

"Our goal here is, of course, the resumption of the six-party talks and to secure North Korea's reaffirmation of the September 2005 joint agreement," State Department spokesman Ian Kelly said a few days before Bosworth's trip.

He added: "The complete and verifiable denuclearization of the Korean Peninsula ... will be the focus of Ambassador Bosworth's trip to Pyongyang."

Some observers point to a wide difference in the United States and North Korea's negotiating positions.

Selig Harrison, an expert on North Korea who has visited the North many times said, "the U.S. side always says we don't want to buy the same horse twice. Defense Secretary (Robert) Gates actually said that several months ago, meaning that we keep giving North Korea things to get results which we don't get and we feel that we've been cheated and we're making the same deal over and over again. But actually the North Koreans feel that they're the ones who don't get what we have promised."

Bridging their differences, observers say, will not be easy.

"If Bosworth can persuade the North Koreans to return to the six-party talks, all the better," said Zha Daojiong, a professor at Peking University in China.

"On the other hand, it will be understandable if he does not. In terms of negotiations, just about all the cards have been put on the table," he said. "It is critically important to be patient with both North Korea and the United States."

Some see the potential for progress.

Koh Yu-hwan, an expert on North Korea at Dongguk University in Seoul, South Korea, said there might be options when it comes to North Korea's nuclear weapons.

"It's not that clear-cut," he said. "The Korean War ended with an armistice. Technically the war is not yet over. The North wants nuclear weapons as a deterrent against the U.S. So, if the U.S. offers a security guarantee, pledges that it wouldn't try a 'regime change' and sign a peace treaty with North Korea, the goal of denuclearization is still possible."

Bosworth's visit comes after meeting with U.S. allies. He stopped in Seoul on Monday to brief South Korean officials on his trip to the North.

Bonnie Glaser, a North Korea analyst at the Center for Strategic and International Studies in Washington, noted that even the North's renewed indication that it might return to the stalled six-party talks is not enough and there still is a long way to go to accomplish the denuclearization goal.

After his visit to the North, Bosworth is expected to consult with the other six-party countries before returning to Washington.

CNN's Jaime FlorCruz contributed to this report.

@highlight

Highest-level talks between U.S. and N. Korea since President Obama took office unfold in Pyongyang

@highlight

U.S. envoy Stephen Bosworth will try to determine if North will return to six-party talks on its nuclear program

@highlight

U.S. officials maintain Bosworth does not know in advance Pyongyang's position

@highlight

North Korea's missile launches and nuke test in April brought U.N. Security Council condemnation