Hong Kong (CNN) -- When China's most successful homegrown movie went on international release last month, hopes were high that the slapstick comedy, which has drawn comparisons with "The Hangover," would blaze a trail for Chinese-language cinema.

But "Lost in Thailand," which picked up the highest grossing film at Hong Kong's Asian Film Awards on Monday night, flopped outside mainland China -- only collecting $57,000 in the United States and $72,000 in Hong Kong, according to figures from consultancies Film Business Asia and Beijing-based Entgroup.

The film earned $202 million in China, making the unexpected hit the most profitable movie ever after Hollywood extravaganza "Avatar."

"We heard that it is not doing well overseas, or could be considered a failure, due to the cultural differences," Entgroup's Aiden Sun told CNN.

China's movie market is the world's second largest, in terms of box office takings, but its films are a hard sell for international audiences.

Poor marketing, a lack of recognizable stars and plot lines and humor that get muddled in translation weigh against Chinese films and it's a trend that's not improving despite the country's thriving movie industry.

While Chinese-language films have never been mainstream viewing for English-speaking audiences, a decade ago titles such as "Crouching Tiger Hidden Dragon," "Hero" and "In the Mood for Love" captured the imagination of movie buffs worldwide.

Today, according to industry players at Hong Kong's Filmart trade fair this week that accompanies the Asian Film Awards, it is getting harder to sell Chinese films, even in markets with a shared language and culture such as Singapore.

"The enthusiasm created by "Crouching Tiger, Hidden Dragon" is no longer there. We are starting more or less from scratch -- whether and how we can rebuild the international market for Chinese language films," said Jeffrey Chan, who is charge of international sales for Chinese studio Bona Film Group.

Part of the reason is stronger local-language film production in places like Singapore, Thailand and South Korea, said Lim Teck, a Singaporean film producer and distributor. Teck said that he made more money from the five locally made movies he released in the city state last year than from the 16 Chinese-language titles he distributed.

Doris Pfardrescher, president of Well Go USA, the main distributor of Asian films in North America, says that Chinese martial arts movies and action flicks, with their simple stories and visual effects, play well with U.S. audiences but these films are no longer being made in such great numbers as Chinese moviegoers seek out lighter fare.

"Films that are doing really, really well in China are your romantic comedies and your fantasies that are really difficult to translate over to the U.S.," she said. "There is a lot of political humor and cultural differences that Americans don't understand."

Arbitrary censorship rules make Chinese films harder to market. Some genres, like horror, that are popular internationally are frowned upon in China and officials have the final say on release dates making the advance marketing materials and trailers necessary for an international theatrical release harder to handle.

China also lacks a new generation of globally bankable stars to replace the likes of Chow Yun-Fat, Jackie Chan and Michelle Yeoh, who made their name in Hong Kong action movies of the 1980s and 1990s before moving onto Hollywood.

By contrast, today's young actors are making so much money in China that they have little incentive to head west.

"You're an A plus plus star in China but outside you are nobody. Psychologically, you have to overcome these hurdles," said Jeffrey Chan.

Of course, given the size and profitability of China's market, in some respects, it matters little that its movies don't perform well overseas or that its stars aren't household names. India has a thriving movie industry but Bollywood hits only find a niche market outside the country.

However, Beijing is becoming more assertive in its attempts to project its own view of the world and looks at the global reach and appeal of U.S. films and television shows with envy. Many people believe China would like to see its movie industry become a force to be reckoned with on the silver screen.

"I think they want (their film business) to expand internationally," added Chan.

"But despite that intention, we're in a business where the product matters a lot more than in a lot of other industries. We're not mass producing something that is easy to replicate."

@highlight

Chinese-language movies a hard sell to international audiences

@highlight

Biggest domestic hit, Lost in Translation, flopped in U.S.

@highlight

Obstacles include poor marketing, lack of stars and cultural differences

@highlight

China in quest to be force on silver screen