(CNN)This week, Google CFO Patrick Pichette made headlines when his resignation memo announcing his retirement surfaced in the media. But the uproar wasn't that Pichette was quitting so much as why.

"After nearly seven years as CFO," he began, "I will be retiring from Google to spend more time with my family." What he wanted now was to enjoy life at home and abroad with his wife, to "grab our backpacks and hit the road -- celebrate our last 25 years together by turning the page and enjoy a perfectly fine midlife crisis full of bliss and beauty."

The letter, which he said he wrote in part because, "so many people struggle to strike the right balance between work and personal life," has been held up as a manifesto for the "work/life balance" ideal that's become something of the new American dream. The media has described it as "powerful" and "unusually reflective." Google co-founder and CEO Larry Page said, "Well worth reading, it will warm your heart."

But if Pichette's work/life balance was achieved by quitting his job to go see the world, what message does it send to the rest of us seeking work/life balance? What message does it send to those workers -- and in particular women -- who are constantly told they can "have it all," or who can be at the top of their field and have a family? What does it say to all those women to whom we say that, with a little "leaning in" or "playing big" they don't have to choose between work and life?

Successful women from Sheryl Sandberg to PepsiCo CEO Indra Nooyi have spoken out about the pressure to "have it all," and how, perhaps, there's really no such thing. Research backs them up.

A November 2014 study published in the Journal of Health and Social Behavior found that women show more signs of depression as they move up the career ladder. Similarly, a survey of Harvard Business School grads found that the pressure women put on themselves to balance work and family is causing them significant stress. The survey also found that the majority of men expected their partners to take primary responsibility for childcare -- and indeed that happened in more than 70% of cases.

And yet in recent years, "work/life balance" has been held up as a legitimately attainable ideal, one that you can achieve if only you give your personal life as much attention as your professional one.

But if you look at those we tend to hold up as models of that ideal -- those who leave work earlier, silence their cellphones more, retire, as in the case of Pichette, at 52 -- are they really striking a balance?

Which is why talking about work/life balance at all is a perilous business, an invitation to fail. Having it all is very difficult, if not downright impossible. Pichette, after all, did not practice work/life balance. He wrote, "I was always on -- even when I was not supposed to be."

Like many successful men (and women), he was likely able to work as hard as he did while still having a family because he had the support of someone at home. "When our kids are asked by their friends about the success of the longevity of our marriage, they simply joke that Tamar and I have spent so little time together that 'it's really too early to tell' if our marriage will in fact succeed." It's in jest, of course, and yet likely rooted in some serious reality. This is a man who didn't achieve work/life balance as an executive.

Of course, one could argue that the idea of balancing work with life may be harder for men than for women, who are the traditional breadwinners and the ones more likely to find self-worth through their work. This is one reason we see many wealthy, powerful men working well into their 80s. At the same time, it's undeniably easier for these men to make a decision to leave the whole thing early. Pichette retires as Google's highest paid executive, with millions in stock incentives. He can afford to retire and not even have to work for the remainder of his life. The rest of us are nowhere close to having that luxury of choice.

Corporate America, it should be noted, shoulders much of the blame for keeping balance at arm's length, with increasingly long days and ever-tightening limits on vacations, paid leave and other "benefits." We shouldn't have to leave our jobs to achieve balance, and the fact that some do, means that companies need to make real changes. That includes staffing workplaces reasonably, putting workers' well-being on par with profits, showing workers you don't expect them to be "on" all the time. Only then will real work/ life balance start to take shape.

Until then: "Google CFO Patrick Pichette's Goodbye Note Will Make You Dream of Quitting Your Job," so reads a headline at ABC News. Indeed, that's the kicker. Pichette can "carpe diem" and "find balance," if that's what he's doing, at 52, because he truly does have choices. But for most of the workers in America, finding that sort of balance -- or choosing life over work -- will remain an impossible dream.

@highlight

Google CFO Patrick Pichette's memo announcing his resignation in order to seek work/life balance went viral

@highlight

Peggy Drexler: Most Americans who want to find work/life balance don't have the luxury to just quit their jobs