(CNN) -- On an island chain located halfway between Africa and Argentina, local authorities say a massive penguin rescue operation is under way.

A mix of island officials and resident volunteers are struggling to save tens of thousands of Northern Rockhopper penguins threatened by an oil spill in the remote stretches of the south Atlantic, roughly 1,500 miles west of Cape Town, South Africa.

The islands' conservation director said at least 300 penguins have died after a cargo ship leaked thousands of tons of heavy oil, diesel fuel and soya bean near Nightingale Island, a British territory part of the Tristan da Cunha archipelago.

"I've seen about 15 to 20 dead penguins just today," director Trevor Glass said.

Thousands more are covered in the ships' oil and diesel fuel, according to local officials and conservationists.

"The danger now is getting the rest of these penguins past that oil slick," Glass said.

The rescue operation began shortly after March 16, when the M.S. Oliva -- a Maltese-registered ship -- ran aground, fracturing its hull and ultimately splitting the vessel in two.

The ship was heading from Santos, Brazil, to Singapore and had been carrying 60,000 metric tons of soya beans and 1,500 metric tons of heavy fuel, according to islands' administrator Sean Burns and Transport Malta, the Maltese shipping authority.

The agency said in a statement that it "is investigating the grounding and subsequent complete hull failure" of the bulk carrier cargo ship.

The dramatic rescue of the ship's 22 crew members was captured on video, along with the spills' aftermath, which showed penguins soaked in heavy oil.

It was shot by an expedition team from an eco-tourism ship -- whose crew used inflatable boats to help ferry the sailors to safety, according to David E. Guggenheim of the Washington-based Ocean Foundation. Guggenheim witnessed the rescue aboard the vessel, called the Prince Albert II.

Since then, an oil sheen has surrounded the island chain, which officials say could lead to an environmental disaster.

Rescue workers, using inflatable watercraft and fishing vessels, are now ferrying penguins to a series of makeshift rehabilitation centers at the main island of Tristan da Cunha, according to Glass.

There, he added, conservationists and volunteers are working in an effort to nurse the blackened penguins back to health.

"We need help," said Katrine Herian, a spokeswoman for the Royal Society for the Protection of Birds who is also apart of the ongoing rescue effort.

"The priority is to get food into the birds as they are very hungry," she said. "We are trying locally caught fish and some are starting to take small half-inch squares of the food."

Herian noted that some of the islands' residents had emptied their personal freezers in an effort to help feed the animals.

By Friday, Glass said his team had corralled and transported a total of nearly 5,000 penguins, despite harsh winds and high seas that had hampered earlier rescue attempts.

But the timing of their task is daunting.

The shipwreck, having occurred at the end of the birds' molting season -- a period during which penguins shed their feathers, do not eat and largely stay out of the water -- left the birds "at their weakest possible state," Guggenheim explained. "They're very hungry."

The season's end also marks the beginning of a period when penguins re-enter the sea, now laden with heavy oil and soya beans.

In a written statement, Tristin da Cunha administrator Burns said it is unclear what the impact of the ship's cargo will have on the local marine environment, particularly "any long-term effect on the economically valuable fishing industry for crawfish, crayfish or Tristan Rock Lobster ... which is the mainstay of Tristan da Cunha's economy."

Fewer than 300 people live on the island chain, eclipsed by the its massive penguin population -- estimated at 150,000 -- which accounts for roughly 40 percent of the world's total, according to the International Union for the Conservation of Nature, a global network of conservationists.

The Northern Rockhopper penguin had been listed as "one of the world's most threatened species of penguin," according to the RSPB.

@highlight

Rescuers are struggling to save tens of thousands of Northern Rockhopper penguins

@highlight

The penguins are threatened by an oil spill following a shipwreck near remote island chain

@highlight

At least 300 penguins have died since the spill, local officials say