(CNN) -- When it was first invented, soda pop was a treat most people had once in a while for special occasions.

Now it's a daily fixture in American life -- in bright containers glowing inside vending machines, chugged from 32-ounce bucket-like containers at self-service stations and served as the default beverage in fast-food meals.

In today's carbonation nation, half of the U.S. population over age 2 consumes sugary drinks daily, according to a report released by National Center for Health Statistics.

The sugary drinks include sodas, sweetened waters, and energy, sports and fruit beverages. Not included in the total were diet drinks, 100% fruit juices, sweetened teas and flavored milk. The report states that sugary drinks have been linked to "poor diet quality, weight gain, obesity, and in adults, type 2 diabetes."

Male teens are the most frequent consumers and guzzle about 252 to 273 calories every day from various drinks, the report says. Their one-day consumption is more than half the weekly intake suggested by the American Heart Association, which recommends no more than three 12-ounce cans of soda in one week (equivalent to 450 calories).

The consumption of such sugary drinks has increased over the last 30 years, the report stated.

A 2003 study published in the Journal of the American Dietetic Association found that soda drinking for youths between the ages of 6 and 17 was at 37% in the 1970s and then 56% in the 1990s. This latest research from the Centers for Disease Control and Prevention suggests that from 2005 to 2008, consumption increased again.

"If you look at male children, 70% consume on a given day," said lead author Cynthia Ogden, a CDC epidemiologist who specializes in obesity.

The analysis was based on 17,000 participants who were asked to recall what they ate in the last 24 hours in the National Health and Nutrition Examination Survey.

The American Beverage Association denied that its products fueled obesity: "Contrary to what may be implied ... sugar-sweetened beverages are not driving health issues like obesity and diabetes."

It pointed to market data indicating that the calories in beverages decreased by 21% from 1998 to 2008, while obesity rates climbed. It also stated that sugar-sweetened beverages account for 7% of calories in the average American diet.

"That means Americans get 93 percent of their calories from other foods and beverages," the group stated.

The latest CDC research released Wednesday also found similar results: Kids and teens get about 6.7% to 8.2% of their daily caloric intake from the beverages, and adults get about 5% to 8%.

But the extra calories from drinks could add several pounds every year, said Marisa Moore, a nutritionist.

"A lot of times, people don't think of beverages as part of their daily total calories," she said. "When I think about soda drinking -- in general, it provides empty calories. It takes the place of more nutritious options."

She suggested alternatives like water, sparkling water, tea and skim milk.

The CDC's report found major differences in soda consumption depending on race, sex and income level.

In every age category, males consumed more sugary drinks than females. This could be because males consume more calories than females, Ogden said.

In terms of race, black children got about 8.5% of their total daily calories from sugary drinks, compared with 8.2% for Mexican-American and 7.7% for white children. Black adults received 8.6% of their daily calories from sugary drinks, and the figure was 8.2% for Mexican-Americans and 5.3% for whites.

There was also a direct association between income level and sugary beverage consumption. Adults living in a family of four earning approximately $29,000 per year got 8.8% of their daily calories from sugary drinks, compared with 4.4% for those who earned about $77,000.

Last year, New York attempted to end subsidizing the purchase of sodas in the food stamps program, saying the benefits were used to fuel a serious public health problem. But this month, the U.S. Department of Agriculture rejected the city's proposal, citing agency concerns that "the scale and scope" of banning soda would be "too large and complex."

The Big Apple has actively campaigned for soda reduction with a stomach-churning ad that likened drinking soda to chugging dollops of fat.

The recent CDC report also found that while half of the population doesn't drink sugary beverages, about 25% consumes amounts of the drinks that total fewer than 200 calories per day. About 5% drink about 567 calories on any given day, which amounts to more than four 12-ounce cans of cola.

Sugary drinks became ingrained in American daily life because of effective ad campaigns, fast-food restaurants and increased serving sizes, said Michael Jacobson, executive director of the Center for Science in the Public Interest. But the tides are turning, he said.

The group announced a campaign Wednesday called Life's Sweeter to nationally organize civic associations, minority groups and religious communities to reduce soda consumption.

"There's pretty much a consensus among health officials that soft drinks are a major cause of obesity," Jacobson said.

Boston's government buildings have banned soda, several public school systems have kicked them out of their campuses, and the Cleveland Clinic has stopped selling the beverages in its hospitals.

"There's a real movement in that direction, and the soda industry recognizes this and is diversifying away from traditional carbonated drinks to bottled water and noncarbonated things like energy drinks and sports drinks," Jacobson said. "The soft drink industry is very nervous and will diversify to maintain their profits."

While energy drinks and sports drinks may have fewer calories and less sugar, they enjoy health halos that are not warranted, he said.

Pediatricians: No energy drinks for kids; greatly limit use of sports drinks

Dr. Sandeep Gupta, director of the Pediatric Overweight Education and Research Program at Indiana University Health, said it's easy to be misled by drink labels.

"Many times, they don't know," he said about his pediatric patients who guzzle sugar-sweetened beverages with labels touting vitamins and antioxidants. "The marketing is so skewed. 'Get your 100% vitamin C, juice.' They don't tell you how much sugar is there. Look at the back, not the front of the package."

@highlight

Half of U.S. population over age 2 consumes sugary drinks daily, CDC says

@highlight

Report says the drinks have been linked to weight gain, obesity and diabetes

@highlight

Beverage makers say their products have not fueled obesity and diabetes

@highlight

Male teens are most frequent consumers of sugary drinks, report says