Rome (CNN) -- The new pope gave an insight into his choice of the name Francis in an audience with journalists Saturday -- and said how he wished for a church that was both poor and "for the poor."

His words came in his first meeting with the media since he became the only Jesuit and first Latin American to be chosen as leader of the Roman Catholic Church three days ago.

Francis, who before he became pope was known as Cardinal Jorge Bergoglio, said a fellow cardinal from Brazil had told him "don't forget the poor" as the votes stacked up in his favor.

This thought stuck in his mind, Francis said, as it became clear that he had won the two-thirds majority that meant he was the new pontiff.

"Right away, with regard to the poor, I thought of St. Francis of Assisi, then I thought of war," he told the assembled journalists. "Francis loved peace and that is how the name came to me."

He had also thought of St. Francis of Assisi's concern for the natural environment, he said, and how he was a "poor man, a simple man, as we would like a poor church, for the poor."

St. Francis of Assisi, who gave up his own wealth and prestige, is revered among Catholics for his work with the poor.

The journalists included Vatican communications staff and several Latin American reporters, mostly from Argentina.

Francis began by thanking them all for their efforts to share with the world the momentous events for the church in the days since Benedict announced his unexpected resignation.

Pope Francis a pontiff of firsts

Blessing for all

He drew a parallel between the work of the media and that of the church, saying both worked to communicate "truth, beauty and goodness."

The media also had an important role to play in explaining the way the church works, he said, which is made more complicated by the role played by faith rather than more worldly or political concerns.

The new pope concluded the audience -- which did not include questions -- with a blessing for all the journalists present and their families.

He acknowledged that not all those present were Catholic, saying he gave them his blessing "knowing that you are of different religions, because all of you are children of God."

5 things to know about the new pope

As a cardinal in Buenos Aires, Francis developed close relations with Argentina's Jewish community.

He wrote to the chief rabbi in Rome this week, saying he strongly hoped to "contribute to the progress of the relations that have existed between Jews and Catholics" since the Second Vatican Council in the 1960s, which redrew the church's relations with the modern world, "in a spirit of renewed collaboration."

On Sunday, Francis will celebrate Mass in Vatican City and for the first time deliver the Angelus, or noon blessing, from his papal apartment window to the crowds gathered below in St. Peter's Square.

The official Mass to inaugurate Francis as the bishop of Rome -- and leader of the world's 1.2 billion Roman Catholics -- takes place Tuesday.

Catholics: 5 ways for Francis to move forward

Reforms to come?

Francis has already struck observers with his simple and humble style since being elected to the papacy -- and prompted speculation that he may bring in wider changes.

The Vatican said Saturday that he's decided that the heads of the various Vatican offices will keep their jobs for now, but he's not making any definitive appointments.

This, writes CNN Vatican analyst John Allen, who's also a correspondent for the National Catholic Reporter, is the first clear signal that he may be serious about reform.

"It's customary for new popes to swiftly reconfirm the department heads who lose their positions when the previous pontificate ends, and then take his time about bringing in his team," said Allen.

"The fact that Francis has not followed that path may suggest that significant personnel moves will come sooner rather than later."

Francis wants "a certain period for reflection, prayer and dialogue before [making] any definitive nomination or confirmation," the Vatican statement said.

Military dictatorship

The pope's media audience came only a day after the Vatican sought to damp down reports over his conduct during Argentina's so-called Dirty War, amid accusations that he could have done more to protect two Jesuit priests who were kidnapped.

The Vatican rejected the allegations as defamatory and untrue in a news conference Friday.

"This was never a concrete or credible accusation in his regard. He was questioned by an Argentinian court as someone aware of the situation but never as a defendant. He has, in documented form, denied any accusations," said the Rev. Federico Lombardi, a Vatican spokesman.

"Instead, there have been many declarations demonstrating how much Bergoglio did to protect many persons at the time of the military dictatorship," he said.

Francis will meet with his predecessor, Pope Emeritus Benedict XVI, in a week, the Vatican said Saturday.

The March 23 meeting will take place at the papal summer residence, Castel Gandolfo, where Benedict has been staying since his historic resignation.

It comes amid concern in some quarters that the presence of a living former pope might lead to a conflict of interests or influence.

The Vatican has said that Benedict will not seek to interfere in the running of the church, but will focus on study and prayer.

First Latin American pope 'very exciting,' faithful say

CNN's Hada Messia reported from Rome and Laura Smith-Spark wrote and reported in London.

@highlight

NEW: Pope Francis will deliver his first Angelus blessing on Sunday

@highlight

Francis tells journalists he chose his name as pope to reflect a concern for the poor

@highlight

He will meet with Pope Emeritus Benedict XVI in a week, the Vatican says

@highlight

Since his election, he has faced questions over his past in Argentina