(CNN) -- Look miles into the future and imagine a day, when geneticists can design a flawless set of human genes in a laboratory.

That future vision may never arrive, but it has taken a step closer.

Scientists have built a designer chromosome and inserted it into a cell, geneticist Jef Boeke from New York University announced this week.

The chromosome was a heavily altered version, a departure from its natural counterpart. A team of scientists from around the world made 500 changes to its genetic base.

"When you change the genome, you're gambling," said Boeke, who led the project. "One wrong change can kill the cell."

But the cell survived and made use of its new chromosome. It also reproduced, and subsequent cells carried the new chromosome forward.

Actually, make this breakthrough a second step closer to that way-out-there future.

Researchers were already able to duplicate a chromosome on a computer four years ago, build it in the lab, insert it into a cell and watch it work.

It was a huge advancement that created the first synthetic bacteria cell, scientists said then.

But, now, there's been a leap forward, Boeke said.

"Our research moves the needle in synthetic biology from theory to reality," he said.

It makes scientists more able to alter the design of living things.

Meet yeast -- your cousin

The new chromosome and the cell Boeke's scientist built it for are much more complex and are closer to those of a human being.

The kind of cell Boeke used? Brewer's yeast.

Yeast cells, human cells, plant and animal cells have in common that they are "eukaryotes" -- cells with a nucleus wrapped in membrane.

Our chromosomes, which are located in those nuclei, are made of enormously long strings of DNA.

They are wound up like twists of yarn that take on that familiar "X" shape many associate with the genes they contain. And they are called eukaryotic chromosomes.

Boeke's breakthrough represents the first report that a whole eukaryotic chromosome was constructed from scratch, NYU said.

Boeke and his team call their new designer chromosome "synIII."

Mammoth knitting task

It took seven years and the help of 60 students to build synIII with the help of computer modeling.

Each student put together about 1,000 genetic molecule pairs called "base pairs" to make strings of DNA.

They were joined together to make a genetic strand 273,871 base pairs long.

That's actually shorter than the yeast's natural chromosome, which contained 316,667 base pairs.

And that's where the design and manipulation come in. Broeke and his team took out 47,841 base pairs that were repeats of other pairs -- along with some "junk" DNA.

The new designer chromosome is a cleaned up, streamlined version of the original.

Shuffling the genetic deck

Yeast has about 6,000 genes and shares about a third of them with humans, although yeast is a much simpler beast.

That makes it easier to study. In fact, its genetics are probably better known than those of any other living thing, NYU said.

Although Boeke studies human genetics, too, he is not planning to design a set of synthetic human chromosomes.

But he would like to build all 16 required for an entire yeast cell. And he has made some progress already.

Students are figuring out how to make DNA strands 10 times as long as the ones they made the first time around. It should speed up production of subsequent chromosomes.

Boeke also wants to improve upon the yeast cells in the process, now that his team can shuffle its genes around like cards in a deck.

"It will allow us to ask, can we make a deck of cards with a better hand for making yeast survive under any of a multitude of conditions, such as tolerating higher alcohol levels."

That might make for stronger glass of beer, but it could also have other uses: The new cells could possibly be programmed to "brew" medicines, vaccines and fuels.

@highlight

Scientists built a designer chromosome and inserted it into a yeast cell

@highlight

The cell survived, made use of its new genes and reproduced

@highlight

It took seven years and the help of 60 students to build "synIII"

@highlight

The breakthrough makes scientists more able to design living things