(CNN) -- The United States and its allies face a variety of risks in taking direct military action against Syria over allegations that it used chemical weapons against civilians, including more poison gas attacks and retaliation against American interests.

Those warnings come from experts in chemical weapons and veteran Middle East analysts, some of whom say Washington faces no good choices in confronting embattled Syrian leader Bashar al-Assad.

Missile strikes on Syrian military command bunkers, airfields or the artillery batteries and rocket launchers used to fire chemical projectiles are among the options U.S. officials say are under consideration. But there is no indication that the missiles would target stockpiles of chemical weapons -- something Hamish de Bretton-Gordon, a former commander of the British military's chemical defense regiment, called "the worst possible option."

Syria: How did we get here?

"If the missile and the explosive are big enough, they will, of course, destroy it," de Bretton-Gordon said. "However, there will be a downwind hazard, and those people in the vicinity -- and it's very difficult to say how far, but certainly a kilometer or so -- are likely going to suffer and become casualties from the fallout of those exploding chemical weapons."

And any attack on Syria might encourage al-Assad to order more chemical attacks on rebel forces and civilians in opposition-held areas, said Amy Smithson, a researcher at the James Martin Center for Nonproliferation Studies in Washington.

Syria 'a 10-year issue,' U.S. general says

"Not doing anything tells Assad he's not going to get punished, go out and use the chemicals," said Smithson, who has studied chemical and biological weapons for two decades. "Striking the chemical sites presents a very real risk of releasing toxic chemicals over nearby civilian populations. Not striking the chemical sites leaves Assad with potent weapons in his hands that he's shown he's willing to use."

Striking other military targets leaves "a very ticked-off despot that is now perhaps even more tempted to use his chemical arsenal," she said. "He's already been punished for it." That might convince al-Assad to go out "in a blaze of glory -- or in this case, infamy."

'Red line' debate: Are chemical weapons worse than attacks?

Juan Cole, a professor of Middle Eastern history at the University of Michigan, said the kind of intervention being discussed isn't likely to affect the balance of power in the 2-year-old Syrian conflict beyond providing a psychological boost to the rebels, who have suffered battlefield setbacks over the summer.

"This is more about Washington saving face, it seems to me, than it is a consequential intervention in the Syrian conflict," Cole said, adding, "When you're in a position where it is assumed that the United States must do something, a couple of Tomahawks make a statement."

The war "is being fought in alleyways and at close quarters, with artillery and tanks inside cities," he said. Missile strikes from distant warships or aircraft wouldn't be able to knock out enough of those weapons to make a difference without inflicting extensive civilian losses, he said.

Opinion: Syria 'a problem from hell'

Syria has admitted to possessing chemical weapons but has denied using them, saying its troops were the victims of rebel attacks. U.N. inspectors are now in Syria to investigate whether the reported deaths of hundreds of people outside Damascus a week ago was the result of a chemical attack. But U.S. Vice President Joe Biden said Tuesday there was "no doubt" government troops used chemical weapons on civilians.

The United States has already demanded that al-Assad cede power and is supporting Syria's opposition, but the possible American strikes are not about removing him, White House spokesman Jay Carney said Tuesday.

"They are about responding to a clear violation of an international standard that prohibits the use of chemical weapons," Carney said.

Opinion: Why Western intervention in Syria will leave chaos

Syria's civil war is already spilling over the borders of its neighbors in the form of bombings and refugees and is widely seen as a proxy war among different regional powers. Cole said al-Assad's government might try to strike back by targeting American military, diplomatic or commercial interests in the Middle East, perhaps employing its allies in the Lebanese militia Hezbollah -- which has a long and bloody track record targeting Americans during Lebanon's long civil war.

"If Washington bombs things in Syria, I wouldn't want to be an American in Beirut within reaching distance of Hezbollah," he said. "You could see a return to 1980s types of things happening, when our embassy was blown up in Beirut and our CIA station chief was kidnapped and killed in the woods."

Both de Bretton-Gordon and Smithson said a better course of action might be to start supplying Syrians with the means to defend themselves against chemical attack. That means distributing masks, detectors and drugs used to treat patients exposed to nerve gas and training Syrians how to use them.

What justifies intervening if Syria uses chemical weapons?

Smithson said those supplies and training could be provided by numerous countries, whose militaries are trained in chemical defense, and rushed into the field by aid agencies and opposition groups, possibly via neighboring Turkey. It could be done "very quickly and very publicly," and with broader support from the international community than American airstrikes, she said.

"If the civilian population can be equipped to contend with this, just as they have adjusted their lifestyles to adapt to urban warfare around them, then perhaps that takes away some of the advantage," she said. "If your chemical attack doesn't have an effect, then why use the weapons?"

Opinion: 5 reasons the U.S. must intervene in Syria

@highlight

U.S. has few good options in Syria, observers say

@highlight

Chemical weapons experts say send gas masks, not bombs

@highlight

White House: A "clear violation" of global standards needs a response

@highlight

Strikes are "more about Washington saving face," historian says