(CNN) -- The sounds of battle echo across a desolate stretch of land just east of Bagram Air Base, America's biggest base in Afghanistan. As it turns out, it's just battle practice.

"Training exercises on our big weapons to include our small arms," explains Sergeant 1st Class Steve Cunningham, of the 381st Military Police Unit. "Just put some ammo down range. The Afghan people let us do this to make sure our weapons stay functional for future missions."

He says rehearsals like this help his troops keep their skills sharp, adding that they're skills U.S. troops need to keep Afghans safe.

But villagers living around the East River Range couldn't disagree more -- they argue U.S. military exercises here are putting them in danger.

"Kids wander around and touch what they find," says Wali Muhammad Kuchi, a nomadic shepherd who is sitting across the road watching soldiers fire volleys of rounds into the mountainside. "These kids, they don't know what is and isn't full of explosives."

A handful of boys standing around him are waiting for the soldiers to leave. They'll scavenge for left over metal casings and fragments to sell for much needed cash for their families.

One boy tells us one kilogram, or about 2.2 pounds, of scrap metal will earn him roughly 150 Afghanis, or $3.

Wali Muhammad lost a leg and an arm to Soviet landmines in the 1980s, and he worries for the safety of his 13 year-old son, Esakhil -- one of the boys who will soon be out in the range searching for metal.

According to Mohammed Sediq Rashid, Chief of Operations of the Mine Action Coordination Centre of Afghanistan (or MACCA), at least 12 civilians from villages surrounding the range area have been maimed by unexploded ordnance, or UXOs, in the last four years. At least one was killed.

The shepherds are also at risk. They graze their sheep on slopes littered with bullets, grenades, and in a recent case, an anti-aircraft rocket, according to the U.S. military.

In a frayed cloth tent next to the range, we find 17 year-old Abdul Rahman. He winces from pain as he tells us how he lost part of his left arm.

"We are nomads. We take our herds to the mountain site for feeding. I saw something there," describes Abdul Rahman. "When I picked it up and then hit it with a stone it exploded."

His father, Zayar Gul, recounts how he rushed his son to nearby Bagram Air Base for emergency treatment. He says they were turned away by local guards at the gate. A U.S. military official at the base said he wasn't aware of the case.

Abdul Rahman was eventually taken to the Kabul Emergency Surgical Center, and then transferred to an eye hospital to save his sight. Four weeks after the explosion, he's still wearing sunglasses to protect his injured eyes.

The 17-year-old also lost part of his other arm in a similar explosion several years ago. He believes that in both incidents he was hurt by unexploded U.S. ordnance.

As Gul describes what happened to his son, his anger grows.

"It wasn't just something thrown from the sky. If it wasn't for the Americans doing their military exercises here, why would my son have been blown up?"

Gul's leg was severed by a Soviet era landmine, but he says it's U.S. forces who are now sowing destruction.

"We can't do any other kind of work," says Gul, "We don't have houses and we can't go to the cities. But they, the Americans, have made this place like fire for us."

All along the 20 kilometer (12.4 mile) stretch of flat terrain at East River Range is wide open land, with very little to indicate there's any danger. Fencing is nonexistent, and the few signs there warning that this area is a firing range are in faded English. For a largely illiterate population that speaks mostly Dari and Pashto, it's almost impossible for them to understand their lives are at risk.

Three decades of successive wars made Afghanistan one of the most heavily mined countries in the world. But now, UXOs account for three times as many casualties as mines -- and most of them are children, according to MACCA.

United Nations estimates that roughly 10 million landmines still remain in Afghanistan. Most of them are Soviet made, the deadly legacy left over from Afghanistan's war with that country.

But these days, Mohammad Sediq Rashid, MACCA's Chief of Operations says U.S. forces need to fully recognize their responsibility -- and that to a degree, they have failed in their duty to protect Afghan civilians.

"They should do something to make sure that the civilians are protected after the war is finished or after the training is finished," says Rashid.

Bagram's Deputy Garrison Commander, Michael Hartman, is in charge of the range. He acknowledges the U.S. military needs to do more at various sites throughout the country, and says he empathizes with the local population.

"I'm a grandfather and I'm hearing these stories of kids out there getting injured," he says. "I have seven grandkids. My oldest is 13, my youngest is seven. So, in addition to being a concerned grandparent, I know how I'd feel if my kids got injured. I think we have to do a better job of marking."

To that end, he says the military plans to soon place big concrete blocks about 200 meters apart on the flat terrain part of the range -- and intends to mark them with the international symbols that indicate a minefield.

"We think using those markings, red on one side, white on the other, is something they'll recognize," Hartman explains.

"The second part of that would be to have a warning or safety warnings," adds Hartman, "'unexploded ordnance or impact area' -- written in there in three languages -- English, Pashto and Dari -- because that's the languages that are understood here."

He adds that people in the area know it's a firing range, "but usually economics drive them to go out there and scavenge metals."

As members of the 381st Military Police Unit finish up their exercises, they pick up spent shell casings from the road. Cunningham says his unit does the right thing.

"I'd say that we're really big on picking up the metal that we lay down," he explains.

"We pick up the trash and we pick up after ourselves. We brought it with us, we're taking it back with us."

Still, these troops won't venture far beyond the road because they know there are decades worth of explosive remnants of war out there.

But Wali Muhamad has other worries.

"The remains from the foot solders aren't that dangerous," he says, "it's the things that are dropped first from the helicopters -- those things are very dangerous and lots of people have lost body parts because of that."

The range is used to test fire everything from 40mm grenades to 2.75-inch rockets fired by helicopters, all the way up to Hellfire missiles, says Hartman. 20mm rounds are fired off A-10 jets, and 30mm rounds are fired off the Apache helicopters.

We asked what posed the greatest risk to civilians in the area. Hartman said that while he's not an explosive ordnance disposal expert, it's "usually the 40mm rounds, 40mm grenades that are usually fired with a shoulder, a rifle, Mark 19, or some other weapons system."

Casualty reports from East River Range started coming in to MACCA in 2008. Rashid says it's been tough to communicate with the Americans. Ahead of the troop withdrawal from Afghanistan by the end of 2014, he's worried about UXOs that will be left behind by coalition forces.

"We need to know the possible location of unexploded ordnance," says a somewhat frustrated Rashid. "We need to know the possible areas that are affected by improvised explosive devices. We need to have information ... before the international community forces leave -- they should pass it on to us so that the mine action program of Afghanistan is aware of these problems and able to address those legacies of the war in the years to come."

The U.S. military says it is aware of the dangers.

"We're at war," explains Hartman, "and you know, war is an inherently dangerous business. And we try to mitigate that danger by consolidating those routine, so to speak, firing and expenditure of weapon munitions into a controlled area as best we can."

Hartman, who arrived in Afghanistan in February, says he's not sure exactly what will be done to clean up UXOs from the East River Range, but says a concerted effort is now being made to minimize future casualties.

But for Abdul Rahman and others living close to the range, it's too late. They say this is their land, and they have nowhere else to go.

@highlight

Unexploded ordnance left on one range in Afghanistan killed 12 civilians in last four years

@highlight

Children living around East River Range scavenge leftover arms from the range for scrap metal

@highlight

U.S. military aware of dangers and says it is creating new safeguards around the area