Washington (CNN) -- The Obama administration is likely to come under new pressure to take more decisive steps in Syria following opposition claims that Bashar al-Assad's government used chemical weapons to kill more than 1,000 people.

While the regime denied the fresh accusations, the administration said it could not immediately verify the accuracy of newly released videos online purportedly showing civilians suffering from chemical agents outside Damascus.

Still, the images were searing and prompted the United States to seek an urgent U.N. investigation, demand accountability, and not rule out additional help.

"There is an investigation team that's on the ground in Syria right now. And we are hopeful that the Assad regime will follow through on what they have claimed previously, that they are interested in a credible investigation that gets to the bottom of reports that chemical weapons have been used," White House spokesman Josh Earnest said.

Earnest added the administration has regularly considered increased aid for the rebels.

"The conduct of this investigation, the results of this investigation or the efforts by the Assad regime to inhibit this investigation will certainly impact that calculation about possible additional aid," Earnest said.

Key questions would immediately surface if the latest troubling development from a region wracked by civil war for more than two years were to change the overall calculus for the United States.

What new steps would it take? How would it address uncertainty about the rebel makeup? And how would it approach what some believe is a worsening multidimensional trust gap on the issue of rebel assistance?

The administration has rebuffed calls for a stronger military aid response, opting to push for a political solution and provide humanitarian, logistical and limited weaponry and other hardware.

Syrian activists: Videos show chemical weapons used

A chief problem has been identifying those rebels the United States would happily deal with vs elements said to be militants, including some with ties to al Qaeda.

"Syria today is not about choosing between two sides but rather about choosing one among many sides," Joint Chiefs Chairman Gen. Martin Dempsey wrote this week to Rep. Eliot Engel of New York.

"It is my belief that the side we choose must be ready to promote their interests and ours when the balance shifts in their favor. Today, they are not," he said in the August 19 letter.

Inherent political mistrust amid sharp partisan divisions in Washington coupled with close congressional vetting also have influenced the response to Syria. Congress is currently on vacation until after Labor Day.

Also critically, mistrust cuts both ways.

According to experts who have traveled to Syria during the war, opposition groups have little faith in the United States.

Syrian refugees stream into Iraq

"Our credibility wasn't high to begin with and obviously didn't improve with time," said David Lesch, Middle East history professor at Trinity University and author of "Syria: The Fall of the House of Assad." "They basically shrug their shoulders and say, 'Oh well, what is new?' They feel like they are on their own on this."

Lesch said the administration had not had enough contact with oppositions groups from the outset.

"There is just a lack of knowledge of these groups," he said.

This is the second time the administration has faced questions about chemical weapons use in Syria.

Last August, President Barack Obama said using those weapons would cross a "red line" and provoke a U.S. military response. His administration confirmed in June that chemical agents were used in April and it resulted in an uptick of military aid.

But the "red line" tag has seriously damaged U.S. credibility in the region, said Andrew Tabler, author of "In the Lion's Den: An Eyewitness Account of Washington's Battle with Syria."

"Reacting way too late - that has been our policy on Syria for some time," Tabler said. "(The United States' credibility is) very low because of its inability to keep to its word. We have done absolutely nothing to enforce the red line. What kind of signal does that send to the Syrian people?"

But in his letter, Dempsey warned that even limited military action in Syria could lead to deeper involvement -- a point the military has made previously. The administration has said it has no plans to put "boots on the ground."

A team of U.N. chemical weapons inspectors landed in Syria this week to begin probing chemical weapons allegations, and the U.N. Security Council planned a meeting on Wednesday to address the issue.

CNN's Samira Said, Ed Payne, Jessica Yellin, Dana Bash and Chloe Sommers contributed to this report.

@highlight

NEW: White House won't rule out more help for rebels, hasn't verified latest claim on chem weapons

@highlight

Chairman of the Joint Chiefs points to lack of trust as major issue in military involvement in Syria

@highlight

Syrian opposition groups don't trust the Obama administration, experts on the region say

@highlight

Distrust stems from the U.S. debate over chemical weapons, likely to reignited after latest claims