A year after Mohamed Morsy became Egypt's first democratically-elected president, millions of Egyptians took to the streets calling for him to step down.

Among the protesters' complaints was the alleged "Brotherhoodization" of the government -- the imposition of the Islamist views propagated by the Muslim Brotherhood, of which Morsy is a member.

So what is the Muslim Brotherhood?

The Muslim Brotherhood is a religious and political group founded on the belief that Islam is not simply a religion, but a way of life. It advocates a move away from secularism, and a return to the rules of the Quran as a basis for healthy families, communities, and states.

The movement officially rejects the use of violent means to secure its goals. However, offshoots of the group have been linked to attacks in the past, and critics blame the Brotherhood for sparking troubles elsewhere in the Middle East. Many consider it the forerunner of modern militant Islamism.

In a 1997 study for Harvard International Review, Muslim Brotherhood Deputy Chairman Mohammad Ma'mun El-Hudaibi said the Brotherhood was based on two "key pillars."

They are: the introduction of the Islamic Sharia (way of life or principles) as the basis controlling the affairs of state and society and working "to achieve unification among the Islamic countries and states, mainly among the Arab states, and liberating them from foreign imperialism."

When was the Brotherhood  created?

The Muslim Brotherhood has been part of the political scene in Egypt for more than 80 years. It was formed there by Hassan al-Banna in 1928.

Teacher al-Banna and his followers were initially united by a desire to oust the British from control in Egypt, and to rid their country of what they saw as "corrupting" Western influences.

The original Brotherhood slogan was "Islam is the solution."

What is its history?

In its early years, the group concentrated on religion, education and social services, but as its membership grew, it moved into the political sphere, organizing protests against the Egyptian government.

In the 1940s, an armed wing of the Brotherhood was blamed for a string of violent acts, including the assassination of Egyptian Prime Minister Mahmud Fahmi al-Nuqrashi in 1948 -- shortly after he had ordered the dissolution of the Muslim Brotherhood.

Al-Banna himself was assassinated soon afterwards -- his supporters claimed he had been killed on the wishes of the government.

The movement went underground in the 1950s, and decades of oppression by successive Egyptian rulers led many of the Brotherhood's members to flee abroad, while others were jailed.

In the 1980s, the group disavowed violence and attempted to join the mainstream political process, but it was banned by the regime of former Egyptian President Hosni Mubarak.

Nonetheless, the Brotherhood grew throughout the decade, as part of a general growth of interest in Islam, and the U.S.-led invasion of Iraq in 2003 saw a spike in membership.

In 2005, it won 20% of the seats in Egypt's parliamentary elections, running as independents. Mubarak cracked down on the group, jailing hundreds of members.

Why is it important in Egypt?

The Brotherhood is the oldest and largest opposition group in Egypt. It has had widespread support among Egypt's middle classes, and its members control many of the country's professional organizations.

Up until 2011, it was illegal under Egyptian law banning all parties based on religion. But in December that year, its political party -- the Freedom and Justice Party -- dominated parliamentary elections, winning about half of the seats up for grabs.

The group initially said it would not put forward a candidate for president, but Mohamed Morsy ran and in June 2012, became Egypt's first democratically-elected president.

Read more: Who is Mohamed Morsy?

So how successful has the Brotherhood been in power?

Morsy came to power on June 30, 2012, but since then his approval ratings have plummeted.

His government failed to keep order as the economy tanked and crime soared, including open sexual assaults on women in Egypt's streets.  The chaos drove away many tourists and investors.

CNN's Ben Wedeman says the job of running Egypt today "has to be one of the most difficult jobs on Earth." He says once the Brotherhood took over, they found that much of the bureaucracy opposed them due to fears the group would impose their own supporters at every level of government.

"If you're president of Egypt and you can't trust your police and you're not sure about the army and you know that the bureaucracy doesn't like you, you're going to have a very difficult job at running this very complicated country," Wedeman said.

Read more: Morsy has few friends as deadline looms

Is there still support for the Muslim Brotherhood?

Columnist Frida Ghitis says one of the most striking things about the 2013 protests against Morsy has been the intensity of anger towards the Muslim Brotherhood.

She points out that in June 2013, more people had signed a Tamarod -- or rebel -- petition to withdraw support for Morsy  than voted for him in the election -- a sign, she says that "discontent has spread beyond the liberals, or former regime supporters."

Read more: Egyptians are fed up with Morsy

Why has the brotherhood fallen out of favor?

Ghitis argues that the Brotherhood and Morsy's credibility suffered when they "repeatedly broke their word."

Ed Husain, a senior fellow for Middle Eastern studies at the Council on Foreign Relations, points out that Morsy promised, then failed to appoint a female vice president and a Coptic Christian deputy, for example.

Read more: Give Morsy a chance to fix this

Egyptians accuse Morsy and the Brotherhood of engaging in a process of "ikhwaninzation" -- or "Brotherhoodization", Ghitis says, describing it as "a quest to take control of state institutions and impose their Islamist views on the population."

"In the first wave of elections, many voters thought if they were Muslim -- as most Egyptians are -- they should vote for the Muslim Brotherhood. And they thought secular was synonymous with atheist. Now they're discovering how religion can be exploited for power," Ghitis says.

Egyptian historian Khaled Fahmy says Morsy adopted a "hard line, exclusive approach," choosing Muslim Brotherhood members or sympathizers for powerful and not so powerful positions in his government and the broader Egyptian administration.

Read more: 'We did not risk our lives simply to change the players'

So has the Brotherhood lost its power in Egypt?

CNN's Reza Sayah says Egypt's Islamists and the Muslim Brotherhood have a history of perseverance. For decades they were oppressed, sidelined, sometimes torture and even killed - most recently under the Mubarak regime, he says, but they managed to stay organized.

He says losing power after so long could be a bitter pill to swallow.

How influential is the Brotherhood elsewhere?

There are branches of the Muslim Brotherhood in countries across the Middle East and North and East Africa, including Sudan, Syria and Saudi Arabia. There is also a branch in the U.S.

Its offshoots outside Egypt are markedly more conservative in their views: The Kuwaiti branch is said to oppose the right of women to vote.

Sayyid Qutb, a member of the Muslim Brotherhood in the 1950s and 1960s, developed the doctrine of jihad, and the radical group Hamas is believed to be an offshoot of the Palestinian Muslim Brotherhood.

@highlight

The Muslim Brotherhood was formed in Egypt by Hassan al-Banna in 1928

@highlight

In the 1940s, the group was blamed for violent attacks and it went underground in the 1950s

@highlight

In the 1980s, it attempted to join the mainstream political process, but it was banned

@highlight

In 2005, it won 20% of the seats in parliamentary elections, running as independents