(Budget Travel) -- It's all the rage to criticize the airlines. But we found some smart, practical initiatives that point the way to a better future.

This test design for Personal Rapid Transit is part of plans for driverless pods to replace airport shuttles.

Driverless pods at airports

Someday, driverless pods may be zipping passengers between an airport and its parking lots. Fully automated, pods are more convenient than shuttle buses driven by humans. Currently, 18 pods are being tested at London Heathrow's Terminal 5. They let you board when you want to, rather than wait for a bus on a fixed schedule. Punch in your destination, such as a parking lot, on a touch screen. Then leave the driving to the machine, which glides on rails at speeds of 25 mph. A bonus perk: The pods are battery powered, so they don't spew out environmentally destructive exhaust.

Improved design of coach seats

Hong Kong based Cathay Pacific Airways has reinvented the economy-class seat: As the seat reclines, the bottom slides forward, but the back stays in place. So the passenger sitting behind doesn't have to endure a seat hovering inches from his or her chin. The new seats are especially welcome on long-distance hauls -- which happen to be routes Cathay Pacific flies regularly. American Airlines is among the other carriers reportedly interested in installing similar, slide-forward seats.

In-cabin mood lighting

Poor cabin lighting on a long flight may worsen jet lag. For instance, exposure to bright light at an hour when you are ordinarily asleep can confuse your body's internal clock. But smart cabin lighting may actually help your body adjust to a new time zone -- and beat back jet lag. Virgin America has an in-cabin lighting system that subtly shifts through 12 shades of violet, including a welcoming, bright blue-purple during the day, a softer violet hue after dusk, and a deep, calming near-black on red-eyes when it's time to sleep. Elsewhere in the world, Air Canada, Malaysia Airlines, Singapore Airlines, and Thai Airways offer mood lighting on many long-haul flights.

Luggage check before you get to the airport

Schlepping your bags isn't fun. It's also not necessary -- at least not in the many capital cities where you can drop checked luggage at bus or train stations and forget about it until you land at your destination. Many passengers can check bags at London's Paddington station (for Heathrow flights), Vienna's Wien Mitte station, Moscow's Kievsky Station, and Hong Kong Station. In the U.S., the best advance luggage-check option is at Walt Disney World: Guests staying at Disney lodging can check bags at their hotel before hopping on the free Magical Express ride to the Orlando airport.

Paperless boarding passes  Boarding passes printed on flimsy paper seem almost as outdated as paper airline tickets. Now, cell phone check-in is allowed at many airports, such as Chicago O'Hare and Los Angeles's LAX. Punch in your phone number at check-in and a bar code appears on your phone via e-mail or text message. Security officers and gate agents scan your phone's screen, making for an entirely paperless process. Some airlines, including American, Continental, and Delta (plus its sister unit, Northwest), plan to adopt the new technology at every airport gate nationwide.

More power --sockets -- for the people

Sometimes it's the simple things that count. Virgin America not only became the first airline to offer Wi-Fi on every flight, but it did so in an especially sensible way, with standard sockets (no adapter necessary) at every seat on the plane. Because while Wi-Fi is nice (even when there's a fee for it), it's even nicer to know that you won't run out of juice in the middle of a flight. Sockets obviously work with portable DVD players and cell phone chargers, too.

Replacements for outmoded radar-tracking systems

Radar is outdated. Locating a plane's position can take up to half a minute, a long time when planes are traveling at speeds over 500 mph. To play it safe and avoid accidents, planes fly extremely far apart from each other. They also fly routes that zigzag rather than go straight. The reason? Aircraft need to remain within signal range of radar beacons, which are irregularly spaced around the country. To shave flight times -- and improve safety -- the FAA is rolling out NextGen, a GPS-based air traffic control system that provides real-time plane locations to pilots and air traffic controllers. Using GPS technology (already in trial use by Alaska Airlines), planes will be able to fly straighter, more efficient routes while maintaining a safe distance from other aircraft. But we may have to wait until 2025 to see this technology adopted nationwide. Sigh.

Easier upgrades

With most airlines, upgrading is an esoteric process that may involve loyalty program points, elite status, or just dumb luck. But when you check in at the airport for a Spirit Airlines flight, the kiosk presents a simpler formula. The screen may inform you that one of Spirit's Big Front Seats (the carrier's version of business class) is available for as little as $35 extra. The roomy seats are often dispensed on a first-come, first-served basis close to departure time. Depending on how you're feeling that day, you may very well decide that an upgrade to a more comfortable seat is money well spent.

Copyright 2009. Newsweek Budget Travel, Inc.

Note: This story was accurate when it was published. Please be sure to confirm all rates and details directly with the companies in question before planning your trip.

Note: This story was accurate when it was published. Please be sure to confirm all rates and details directly with the companies in question before planning your trip.

@highlight

18 driverless pods are being tested at London Heathrow's Terminal 5

@highlight

Virgin America has in-cabin lighting that subtly shifts throughout the day

@highlight

A GPS-based air traffic control system is in trial use by Alaska Airlines