Washington (CNN) -- The most conservative Republicans are embracing some of the same campaign strategies -- decreased federal spending, lower tax rates and repealing Obamacare -- that many say led to the party's defeat in November.

It may be a telling glimpse of the GOP leadership's ongoing gut check. The message: We may have lost the presidential battle but we can still win the war of principles.

"First, the Republican Party needs to be a conservative party with no apologies," Al Cardenas, chairman of the American Conservative Union, said on Thursday to audience applause at the Conservative Political Action Conference.

CPAC is an annual event which also serves as a way to check the pulse of the political right. This year's conference is being held along the banks of the Potomac River just outside Washington in Maryland.

It is the same type of message House Budget Committee chairman and 2012 GOP vice presidential nominee Rep. Paul Ryan echoed earlier in the week.

"The election didn't go our way," said the Wisconsin Republican, who is slated to make an appearance at the conference this week. "Believe me, I know what that feels like. That means we surrender our principles? That means we stop believing in what we believe in?"

For the most conservative wing of the party's faithful, the answer is a resounding "no."

Such emotions are a deep undercurrent in the GOP's search for identity.

That soul-searching is unfolding as party leadership braces itself for the next round of contentious budget battles and takes tentative steps toward working with a president whose very name is still a rallying cry for many in the base.

Major conservative conference comes at crucial time for GOP

Agenda topics include "Reversing Obamacare and Reaching Minority Voters: The Language That Works" and "Has Atlas Shrugged? Business in Obama's America."

Flying in the face of the old-time religion fervor, Republicans face the task of wading through internal divisions as they await the Republican National Committee's expected release of a post-mortem "Growth and Opportunity" report that dissects why the party lost the 2012 presidential election.

The autopsy is expected to highlight issues like beefing up RNC technology, voting by mail, fundraising and other campaign mechanics, as well as outreach to specific demographic groups in hopes of identifying more effective ways to attract minority and younger voters.

The report will deal with things that can be fixed, some Republican strategists say.

The core message, they say, is solid. It just needs better packaging. In this, some party faithful see Ryan and his budget as an indication that the party is on the right path.

Ryan's budget shows "the Republican Party is sticking to its principles of fiscal responsibility," said Ron Bonjean, a veteran GOP strategist for several congressional leaders and partner at the communications firm Singer Bonjean Strategies.

The lessons the overall party "learned were more about the presidential candidate" and less about the broader party, he said.

White House charm offensive does not extend to Ryan budget

White House officials, speaking on condition of anonymity, essentially accused Ryan of misreading last November's election in releasing a spending plan on Tuesday that seeks to unravel much of the Obama domestic agenda.

Ryan said repealing the president's health care law is critical to efforts to balance the budget.

"We will never be able to balance the budget if you keep 'Obamacare' going because 'Obamacare' is a fiscal train wreck," Ryan said on Tuesday.

Ryan's budget and a Democratic plan by Senate Budget Committee Chairman Patty Murray of Washington, which will likely include a tax increase for the wealthy and business and some spending cuts, are seen as partisan efforts unlikely to win congressional approval.

And that's the problem, some Republicans say. Conservative positions â€” like those championed by Ryan on issues like trimming entitlement spending as a way of cutting the deficit -- are lost in messaging that reminds voters too much of a failed presidential platform.

"They should have learned from the 2012 elections, and stand by the issue that the debt is the main problem. But the language has to be different," said Maricruz Magowan, an economist and conservative political commentator.

"The Republican Party has problems in communication on a number of levels. The way he is communicating in a 'take it or leave it' way is not going to resonate with the American people," Magowan said.

But the Republican Party needs more than a message makeover, political experts say. It needs a major overhaul.

"Now we know the messaging was bad. And we are getting to the second stage: the recalibration," CNN chief political analyst Gloria Borger wrote recently. "'Think of it as a reappraisal,' one senior GOP strategist told me. I prefer to think of it as a matter of survival."

CNN's Jim Acosta and Paul Steinhauser contributed to this report.

@highlight

Conservative Republicans revisiting core policies in search to redefine message

@highlight

GOP struggles to clarify its direction during the Conservative Political Action Conference

@highlight

Some political experts feel party needs major overhaul