Seoul, South Korea (CNN) -- Just hours after the United States warned that North Korea would achieve nothing with threats or provocations, Pyongyang moved a long-range rocket it plans to test fire to a launch pad Monday, a South Korean Defense Ministry official said.

A U.S. official said the United States also has seen signs the North Koreans are preparing to launch a long-range rocket.

The news broke at the start of a two-day nuclear summit in Seoul that is bringing together leaders from the United States, Russia, China and dozens of other nations to discuss how to deal with nuclear terrorism and how to secure the world's nuclear material.

Overshadowing the summit's message of international cooperation was an announcement by North Korea that it plans to carry out a rocket-powered satellite launch in mid-April.

South Korea has said it considers the satellite launch an attempt to develop a nuclear-armed missile, while U.S. President Barack Obama said Monday such a launch would bring repercussions.

"Here in Korea, I want to speak directly to the leadership in Pyongyang. The United States has no hostile intent toward your country," Obama said during a speech to students at Seoul's Hankuk University of Foreign Studies.

"But by now it should be clear, your provocations and pursuit of nuclear weapons have not achieved the security you seek. They have undermined it."

South Korean President Lee Myung-bak said Monday his country would "thoroughly retaliate against North Korea" if provoked.

If the rocket is launched, South Korea is prepared to "track its trajectory," said the Defense Ministry official, who did not want to be named.

"There are concerns that parts of the rocket may fall within South Korean territory," he said. "If that were to happen it would threaten lives and cause damage to the economy. To guard against that, they (the military) will be tracking the orbit."

The rocket was moved to a launch pad in the northeastern portion of Dongchang-ri, a village in northwest North Korea, the South Korean official said.

North Korea says it has a right to a peaceful space program and has invited international space experts and journalists to witness the launch. Prior to Obama's speech, Pyongyang said it will see any statement critical of its nuclear program as "a declaration of war."

Using ballistic missile technology is in violation of U.N. Security Council Resolution 1874 and against a deal North Korea struck with the United States earlier this month that, in return for food aid, it would not carry out nuclear or missile tests.

"There will be no rewards for provocations. Those days are over," Obama said in his speech. "To the leaders of Pyongyang I say, this is the choice before you. This is the decision that you must make. Today we say, Pyongyang, have the courage to pursue peace and give a better life to the people of North Korea."

The U.N. nuclear watchdog agency's director general, Yukiya Amano, said the U.S.-North Korea deal is "not over" despite Pyongyang's plans to launch the rocket.

"We have established contact at a working level, and they are keeping contact with the North Korean mission in Vienna," Amano said. "Nothing has been decided yet."

He said the International Atomic Energy Agency needs to consult with North Korea and other parties involved in the multilateral talks, known as the six-party talks.

Obama's wide-ranging speech also touched on the U.S. commitment to further cut its stockpile of nuclear weapons, and he issued a stern warning to Iran.

The president said sanctions have led to the "slowing" of Tehran's nuclear program. But it remains a concern.

While the president didn't specify the course of action if Iran does not comply with international demands and produces nuclear weapons, he left little leeway for Tehran's leaders.

"Iran must act with the seriousness and sense of urgency that this moment demands. Iran must meet its obligations," Obama said.

Later, Obama met with his Russian counterpart, Dmitry Medvedev, and the two agreed that there is a window of opportunity to pursue diplomacy and that Iran should take advantage of it, Ben Rhodes, one of Obama's deputy national security advisers, told reporters.

The two leaders also agreed the proposed launch by North Korea would be a violation of U.N. Security Council resolutions, he said.

"There is agreement that provocative acts like this will only increase isolation going forward," Rhodes said.

The rocket launch site is near the Chinese border.

China has somewhat of a diplomatic relationship with North Korea, though the relationship between the two countries is limited because of Pyongyang's routine provocations.

As a result, North Korea's planned launch was front and center in a meeting between Obama and China's president, Hu Jintao.

"The two leaders agreed to coordinate closely to this potential provocation, and registering our serious concerns," Rhodes said.

The two also agreed there is a broad view in the international community that a satellite launch would be destabilizing, he said.

Obama and Hu also discussed North Korea's new leadership, "this being a sensitive time on the Korean peninsula, and this being a new leader who is going to take some lessons from what works and what doesn't," Rhodes said.

North Korean leader Kim Jong Un took over from his father following the latter's death in December.

"That's a conversation President Obama had with both China and Russia," Rhodes said. "... I think they also share a frustration with the choices the new leadership has made as well."

CNN's Paula Hancocks, Tim Schwartz, Becky Brittain, and Pam Benson contributed to this report.

@highlight

NEW: South Korea says it will retaliate if provoked

@highlight

A U.S. official says there are signs the North Koreans are preparing a launch

@highlight

China and the United States agree a rocket launch would be destabilizing

@highlight

North Korea moves a long-range rocket to a launch pad in Dongchang-ri, an official says