(CNN) -- Paid family leave, which tops the agenda of Monday's White House Summit on Working Families, and which was discussed at Tuesday's CNN town hall with Hillary Clinton, is a good idea whose time has come -- and gone. And come. And gone.

Asked whether paid maternity leave should be mandated by law, Clinton said "eventually, it should be, but, right now, we're seeing some -- some very good proposals being implemented in other parts of the country, so that we have answers."

Efforts to pass paid maternity leave in the United States stretch back to at least 1919. In the intervening years, as most other countries have guaranteed income for new mothers taking time off and many have also covered new fathers and those caring for seriously ill family members, we've learned much about the specific ways paid leave helps babies, parents and entire families.

So why don't we have a law requiring paid leave yet? At virtually every juncture, its benefits have been overshadowed by a single powerful argument: that paid leave is bad for business.

But is it? As a journalist and researcher, I set about trying to answer that question over the past year by looking to one of those states that have passed their own paid family leave proposals.

Though there's no national paid family leave law, three states now provide cash benefits to workers bonding with babies or caring for sick relatives: California, New Jersey and Rhode Island. Researchers were already studying employers in California, where paid family leave has been in place since 2004, and Rhode Island just began its program this year, so I decided to explore businesses' experiences in New Jersey.

Since 2009, New Jersey has been offering workers caring for seriously ill relatives or new babies up to six weeks of payments that amount to two-thirds of their salary, capped at $595 a week. The state has granted more than 100,000 family leaves in that time, more than 80% of which were used to bond with and care for infants, according to the state's labor department.

"Family leave insurance," as it's called, poses no direct costs to businesses, because it's entirely funded by a small (up to 60 cents per week) tax on employees. Still, there are other ways that the program could be a drag on employers. So, with a grant from the Ford Foundation, I visited as many businesses as I could find where a worker had taken a family leave in the past year and asked if the law had hurt them in any way.

Despite the diversity of the 18 businesses I wound up visiting, which spanned the gamut from shipping to home nursing, pharmaceutical, and accounting, most of the owners or human resources managers I spoke with said the same thing: that paid leave hadn't affected how they do business. Not a single company felt it affected turnover or productivity. And while some had feared employees would take advantage of the program -- receiving benefits they weren't due, for example -- no one knew of any instances of abuse actually happening.

Perhaps surprisingly, since some had predicted the law would be so burdensome it would drive businesses from the state, many employers said they actually liked the program. When I asked how it had affected their work "all in all," none responded negatively. Six saw the law as neutral, while 12 felt it had a positive impact.

Employers seemed most appreciative of the fact that paid family leave decreased their workers' financial stresses. One human resources manager noted that, before the law, employees returning from leaves not infrequently received calls from collection agents in the office. Since the paid leave law has been in place, she said, the number of those calls has dropped.

Another human resources manager, who worked for a bank, recounted her own contrasting experiences of taking time off to care for her two children -- one born before New Jersey's paid leave program was in place, the other after. The first time, money was so tight, "I didn't even drive and put gas in my car," she said. Her second leave, during which she received six weeks of pay through the state program, was far less stressful.

Though one might assume that employees would prefer to have income when they're out dealing with the exigencies of life, the experience of another employer I spoke with confirms the point.

The company, a health and pharmaceutical firm, also has an office in Pennsylvania and its employees who work there may choose to file taxes in -- and thus participate in the benefit programs of -- either state. The person in charge of family leaves at the firm told me she has fielded several unpleasant calls from those who chose not to file in New Jersey. As she puts it, "When they find out they can't get the benefit in Pennsylvania, they freak out."

Though employees have good reason to like paid leave, employers' financial health since the policy has been in place may be the most important measure of its success -- and I made sure to ask about it. Most of the companies I interviewed -- 14 of 18 -- felt the program had no effect on their bottom lines.

Two others felt it actually saved them money by sparing them the cost of paid leave they had provided themselves before the state program was in place.

One vice president at a professional services company explained that, though she's recently had to hire the occasional temp to cover the work of employees out on family leave, those expenses have been offset by the money saved by not paying workers' full salaries during those leaves. (The National Partnership for Women and Families estimates that 12% of workers in the United States have access to paid family leave through their employers.)

Two employers, however, felt that the relatively new program did wind up costing them. Though their employees -- indeed, virtually all employees -- occasionally took time off to care for babies and sick relatives before New Jersey's paid family leave program was in place, these companies felt that the availability of wage replacement encouraged more of their employees to take leaves and to stay out longer when they did. Because some of them hired temps to cover the work of employees who were out, the program led to an increase in those costs.

Interestingly, it was these two employers -- the ones who felt the program hurt their bottom line -- who did the most to obliterate the claim that paid leave is bad for business. Both were hospitals where many nurses took leaves to care for new babies and ailing relatives. Though the managers I interviewed felt they may have spent more on temps since the paid leave law has been in place, both felt that the financial burden was worth it.

"From an organizational standpoint, I'm not sure it's made a huge difference," a human resources manager at one of the hospitals said of the paid family leave program. "It has made a difference to the people that use it, though." Having overseen many leaves, she is familiar with the situations that lead to needing time off -- not just the arrival of new babies, which are both joyful and stressful, but also the decline of parents, which are primarily taxing. She was genuinely pleased to now be able to offer a leave option that doesn't add to workers' financial burdens. And her staff seemed to share her enthusiasm.

"I don't think it's until someone really needs it that they realize how valuable it is to them," she said of paid leave. "They are so grateful knowing they can take the time off to be with their loved ones."

Read CNN Opinion's new Flipboard magazine

@highlight

Sharon Lerner: Efforts to ensure family leave in U.S. go back nearly a century

@highlight

She says only 12% of businesses provide family leave, which is standard in other nations

@highlight

Lerner says her research found that businesses tend to benefit from family leave programs

@highlight

Lerner: Employees appreciate the flexibility they gain from family leave