Gaza (CNN) -- One moment there are rocket attacks and claims Israel fired at Palestinian fishermen.

The next there's the head of a Palestinian negotiating team detailing a five-day extension of a cease-fire in and around Gaza.

Then -- after yet more rockets hit Israel -- there are Israeli airstrikes.

So what gives? Is Israel's military action a blip or does it signal a full-scale resumption of the offensive that left nearly 2,000 in Gaza dead, most of them civilians? Will Israelis once again find themselves seeking shelter as rocket after rocket rain from overhead? And do the peace talks, and the just announced cease-fire, have any chance?

None of these questions could be easily answered early Thursday. One of the lone things that was patently clear is that -- as with most anything to deal with this region and these longtime foes -- the situation is both very complicated and very fragile.

Palestinian officials offered hope of positive movement late Wednesday, when lead negotiator Azzam al-Ahmed said the 72-hour cease-fire put in place earlier this week should last another five days, from midnight (5 p.m. ET Wednesday).

The idea, senior Hamas member Izzat Risheq explained to CNN, was to give the parties "more time to reach an agreement on the issues."

"There remains a positive atmosphere towards reaching a comprehensive agreement," al-Ahmed told reporters. "But there are still sticking points."

There's also still violence. About the time al-Ahmed spoke, the Israeli military claimed that at least eight rockets were fired toward its territory from Gaza.

By Thursday morning, Israel still hadn't officially commented on whether it would go along with any cease-fire extension.

But its military did respond to the new rocket attacks, by "targeting terror sites across" Gaza, according to Israel Defense Forces spokesman Peter Lerner. CNN crew in Gaza heard multiple explosions overnight.

"#IDF alert & prepared with defensive & striking capabilities to address renewed #Gaza aggression & threat to #Israel," Lerner tweeted.

Israel wants security; Gazans want more freedom

The fact there was 70 hours of relative peace earlier this week and the Palestinians, at least, believed the truce would be extended into next week is a good sign.

Other cease-fires failed more quickly and more miserably. Even the scale of attacks overnight Wednesday was far less than what happened earlier this summer.

The two sides have been talking in Cairo through go-betweens.

One core issue is difficult to quickly overcome. Israel, as well as the United States and European Union, labels Hamas -- the Islamist militant group that controls Gaza -- a terrorist organization; Hamas rejects Israel's right to exist.

Israel says it wants Hamas to disarm and Gaza to be demilitarized.

The Palestinian delegation in Egypt, which includes Hamas, demanded an end to Israel's economic blockade on Gaza, an extension of fishing rights off the coast, the reopening of an airport and seaport, and the release of prisoners held by Israelis.

Al-Ahmed, head of the Palestinian team, said late Wednesday that there's still no agreement on the opening of crossings into Israel, "the launching of a free fishing zone" and various "security issues."

The stakes are high for the residents of Gaza, where 1,962 people have been killed in the fighting, according to the United Nations. Around 72% of the dead are estimated to be civilians.

Stakes are also high for Israelis, who have been living in fear of rockets fired from Gaza and the militant attacks carried out through tunnels dug under the border.

Israel's Iron Dome missile defense system intercepted many of the roughly 3,500 rockets the Israeli military says have been launched from Gaza. But Prime Minister Benjamin Netanyahu decided to send ground troops into Gaza during the conflict to destroy Hamas' network of tunnels, resulting in intensified fighting.

Israeli officials say 64 of its soldiers have been killed, as well as three civilians in Israel.

The Israel Defense Forces pulled its soldiers out of Gaza last week after they had demolished around 32 tunnels, but they remain positioned around the Palestinian territory.

Israel and its neighbors: Decades of war

Warning shots for Palestinian fishermen

Even if a cease-fire ends up sticking, it shouldn't be confused with widespread agreement.

Take, for example, claims on their websites by Hamas and the Islamic Jihad that Israel violated the 72-hour cease-fire -- which had been set to expire at midnight -- by firing on Palestinian fishermen.

Nizar Ayesh, head of the Gaza fishermen's union, told CNN that Israel's navy fired into the air Wednesday morning at about 35 fishermen. There were no injuries reported, "but the fishermen had to go out to sea because they are poor and want to make some money and bring food to their families," Ayesh said.

The Israeli military confirmed that it fired "warning shots" after "a Palestinian boat" went into part of the Mediterranean Sea that Israel considers "a closed military area."

Then there was the renewed rocket attack from "Gaza terrorists" that struck in the Hof Ashkelon area of southern Israel on Wednesday night, according to an Israeli military spokesman.

There were no initial reports of injuries or damage. Hamas -- in a text message from spokesman Sami Abu Zuhri -- denied that it had anything to do with any rockets fired toward Israel.

Israel didn't appear overly alarmed.

"Just one rocket is probably something we can move on from," an Israeli official, speaking on condition of anonymity shortly before Palestinian officials announced a cease-fire deal.

But a slew of new rockets toward Israel, right around when the original cease-fire was to expire, may have changed the equation -- for both sides.

Aid flows into Gaza during lull in violence

Whether or not it lasts, this week's lull in violence did allow Gaza residents to try to tackle some of the most urgent problems they face, including a lack of drinking water and leaking sewage pipes.

Aid groups said the situation remains dire, with more than 300,000 people estimated to have been displaced by the fighting in the small, densely populated enclave. The thousands of people wounded in the conflict have put a severe strain on medical resources.

During the cease-fire, people have attempted to stock up on badly needed supplies, which have been allowed in through reopened border crossings.

The International Committee of the Red Cross said it had brought in trucks of water, hundreds of mattresses, surgical equipment, food and household items like diapers.

Among the many families sheltering in U.N. schools, some are unable to return to their homes because they were destroyed, and others have been going back just for the day and returning to shelters at night. Some people feel it is too risky to leave shelters altogether, because so many of the previous cease-fires have failed.

Residents have also taken advantage of the calm to go out into the streets and visit beaches, parks and markets.

But dangers left by the conflict remain.

Despite the cease-fire, at least five people died and six were injured Wednesday when an Israeli rocket exploded as Gaza police bomb disposal technicians were working on it.

Among the dead were an Italian video journalist for The Associated Press and a Palestinian freelance translator working with him.

The AP identified the journalist as Simone Camilli, who had worked for the news service since 2005.

Meher El Halapi, chief of the police station in Shekh Zayed city, told CNN the explosion was the result of an accident during efforts to disarm the missile, which he said then exploded and set off another explosive nearby.

Opinion: Why Israel is its own worst enemy

Opinion: Hypocrisy of 'condemn Israel' campaign

Is Mideast peace as far away as ever?

CNN's Antonia Mortensen reported from Gaza, Reza Sayah reported from Cairo, and Greg Botelho reported and wrote from Atlanta. CNN's Jethro Mullen, Sarah Sirgany, Ali Younes, John Vause, Andrew Carey and Martin Savidge contributed to this report.

@highlight

NEW: IDF: At least 8 rockets fired from Gaza; Israel responds with airstrikes

@highlight

NEW: Palestinian negotiator: "Positive atmosphere," but "sticking points" remain

@highlight

Palestinian officials announce a 5-day extension of a cease-fire for Gaza

@highlight

But the firing of rockets, Israeli strikes raise questions about whether it will hold