Some residents of Oakland, California, fear their community is creating a monster.

The city calls it the Domain Awareness Center, but opponents call it a "spy machine" and a potential "tool of injustice."

Known as "the DAC," it's a proposed central surveillance facility where authorities can monitor the Port of Oakland and the city's airport to protect against potential terrorism.

But the broader issue of centralized data surveillance poses serious privacy questions for millions of people in cities around the globe.

In March, more than 100 worried Oakland residents waited past midnight to complain about it during a City Council meeting. Standing at the mic, Maya Shweiky, a self-described public school teacher and Muslim, warned lawmakers their proposal would be used to "discriminate against minorities and perpetuate racial, religious and political profiling."

While the council voted on the proposal, rowdy protesters began chanting, "No! No! No! No!"

Council members have proposed expanding the DAC to add live, 24/7 data streams from closed circuit traffic cameras, police license plate readers, gunshot detectors and other sources from all over the entire city of Oakland.

The danger, say opponents, is putting all these data resources into one place.

"If you need to go to four different locations to track someone's movements across town, you're not going to do it unless you have a good reason," said Linda Lye of the American Civil Liberties Union of Northern California. "But when you can do it with the press of a button because it's all at your fingertips, you'll end up doing it based on your idle curiosity." That, Lye said, creates a situation ripe for abuse.

Oakland represents just one battleground in a fiery debate about how cities should be using so-called "Big Data," especially aggregated video and other types of surveillance.

City closed-circuit TV cameras performed famously when they helped identify suspected terrorists in London in 2005 and in Boston last year.

Community surveillance 2.0

But the issue has progressed far beyond the power of a few hundred video cameras and streetlight posts. Community surveillance 2.0 is now all about huge data mash-ups and incredible software that quickly sorts through mountains of information. Bottom line: A relatively small number of people have easy access to data that can track your whereabouts.

In many cities, cameras mounted on police patrol cars gather video of millions of license plates. That data that can be used to track vehicles, possibly yours. Add traffic cameras to the mix. Then include cameras at bus stops, airports and train stations. How about cameras owned by schools and private security companies?

The key to using all this information is the data-mining software that can easily and effectively rifle through it.

Cities leading the way in video data collecting include London -- an early and strong adopter of widespread camera surveillance. The UK reportedly has 5.9 million CCTV cameras nationwide. For every 11 British citizens, there's one CCTV camera, according to Salon.

Nice, France, has been expanding its surveillance center, which is projected to eventually count one camera for every 500 residents.

As Rio de Janeiro hosts the World Cup and the 2016 Olympics, the city plans to make heavy use of its IBM-designed Operations Center, which combines video and other data from 30 agencies including traffic cameras, subways and even weather satellites.

The network includes more than 550 cameras, 400 employees and 60 different layers of data streamed from citywide sensors. Mayor Pedro Junqueira says the center helps emergency teams warn residents in landslide-prone areas when to evacuate during heavy rainstorms.

The center also takes credit for a rapid response to an emergency after a truck toppled a pedestrian bridge, blocking lanes on a major highway. Traffic was back to normal within nine hours.

Read more about Rio's Operations Center

In New York, a company called Placemeter is using feeds from hundreds of traffic video cameras to study 10 million pedestrian movements each day. It's using that data to help businesses learn how to market to pedestrian consumers. Placemeter also says it wants to use the data to help consumers with information such as when to visit your neighborhood coffee bar when the line is shorter. Placemeter says it doesn't store the video, nor does their analysis involve facial recognition.

Watch how Placemeter uses mindblowing technology to track pedestrians

Los Angeles Police use a game-changing data mining software program called Palantir that can claim the CIA as an early investor.

Watch how LA police use Big Data to fight crime

Lessons from Boston

Last year's Boston bombings investigation showed how fast police were able to sift through mountains of surveillance data. After London's terrorist attacks in 2005, it took thousands of investigators weeks to painstakingly analyze all the CCTV footage. Eight years later in Boston, the FBI was able to release blurry images of two suspects in just three days.

Read more about the pros and cons of security cameras

But the facial recognition data tools used in the Boston probe wasn't perfect. Images of the two suspects were available in public data bases, but the computers that searched that data missed them, CNN's Tom Foreman reported last year. Security analysts widely admit facial recognition technology is not yet good enough to spot a suspect in a crowd.

Read more about facial recognition tech

Studies trying to determine the crime-fighting effectiveness of cameras have been inconclusive. According to the Surveillance Studies Centre at Queen's University in Ontario, urban surveillance systems have not been proved to have any effect on deterring criminals. But a study from the U.S. Justice Department says it depends on the circumstances. Sometimes cameras can be a "potentially useful tool for preventing crimes" the study says, "when actively monitored."

Meanwhile, U.S. communities are taking steps to make their surveillance more robust.

-- Chicago: When the transit authority put more cameras in rail stations, crime went down, according to CNN affiliate WGN.

-- Dayton, Ohio: Police plan a new crime fighting strategy that includes 27 video cameras placed downtown, according to the Dayton Daily News.

-- Sacramento, California: The sheriff has asked homeowners and businesses to register their security cameras on the department's website. Investigators would contact camera owners located near crime scenes to search their video for potential evidence, according to CNN affiliate KCRA.

Even in tiny Chadbourn, North Carolina -- population about 2,000 -- CNN affiliate WECT reports they're talking about putting a camera down at the local Piggly Wiggly grocery store.

Cities looking for guidelines aimed at safeguarding surveillance centers from privacy abuses might look to The European Forum for Urban Security, which suggests putting systems into place that include mechanisms for transparency, independent oversight and accountability.

Privacy safeguards are being put in place in Menlo Park, California, where leaders recently passed a law requiring all data captured by automated license plate readers to be destroyed after six months unless it's part of an investigation.

The whole issue is "very explosive" and the Oakland City Council recognizes this, said the ACLU's Lye. At the March meeting, after so many residents expressed their concerns, the council voted to curtail the scope of the DAC, limiting surveillance to just the port and the airport. The vote was 5-4.

"There will be efforts in the future to expand the DAC to include city-based surveillance systems," Lye warned.

Oakland Mayor Jean Quan has promised to look into what privacy safeguards might be needed before trying again to expand the scope of the surveillance center.

Quan, who favors the DAC, told the San Francisco Chronicle: "This is obviously an issue that is splitting the country."

What do you think? Do you believe one-stop city surveillance centers threaten your privacy? Share your views with other CNN commenters below.

@highlight

Oakland, California, debates creating a one-stop shop for video/data surveillance

@highlight

Opponents fear the ability to track people with "the press of a button" will threaten civil liberties

@highlight

Central data surveillance poses serious privacy questions for millions around the globe

@highlight

Operations in London, Boston, Rio have resulted in success stories