Let me tell you the story of an outbreak that could have happened, and didn't.

A year ago, a mother traveled to the Democratic Republic of the Congo with the body of her son, who had died suddenly in rural Uganda. She came in contact with many people in her travels and at the funeral.

She soon died, as did the man who helped transport her and the body of her son.

What could have gone on to become a major outbreak, killing many people, was stopped because health officials acted quickly.

Workers in Uganda, trained by the Centers for Disease Control and Prevention, contacted staff at the local plague laboratory. Using a rapid dipstick test, the lab quickly determined that the cause of death was pneumonic plague, one of the world's most deadly diseases.

Within 12 hours, preventive medicine was provided to more than 130 people who had come in contact with the family. The number of deaths was stopped at three.

A blind spot anywhere is a risk to us everywhere

Keeping people safe is the role of public health agencies such as the CDC -- a role that becomes even more important every day. We are all connected by the air we breathe, the water we drink and the food we eat, and the next outbreak may be just a plane ride away.

The world faces a perfect storm of vulnerability. On average, we identify one previously unknown microbe each year. We're also finding that more and more infections are showing resistance to all available drugs.  And the threat exists that sometime, somewhere, someone will unleash a deadly, genetically modified microbe for which we may have no warning and little preparation.

Since we can't predict where or when the next outbreak will happen, we have to be vigilant at all times.

For example, nothing has the potential to kill more people than influenza. A strain such as H7N9 could create a pandemic. When something with that much potential to cause widespread harm emerges, we must identify it in hours or days, not weeks or months. H7N9 doesn't yet spread from person to person, and it may never. But when it comes to new infectious diseases, the question is not whether, but when and where.

One of the most serious health issues facing us today is the fact that our antibiotic drugs don't work as well as they used to -- or at all -- against a growing number of infections. We risk a future where simple infections can turn deadly.

CDC sets threat levels for drug-resistant 'superbugs'

For a few bacteria, we're already there. CRE, carbapenem-resistant Enterobacteriaceae, is a nightmare strain of bacteria that can resist all antibiotics, kill a high proportion of the people it infects and spread readily.

We still have time to close the door on antibiotic resistance, but it means public health must collaborate with clinical medicine, both in the United States and around the world. That's a key challenge for the next decade in many aspects of global health.

Find. Stop. Prevent.

This is what it takes to save lives and protect people.

The steps are clear: Find out what's harming people, figure out how to stop these harms, put programs in place to protect people by preventing these harms -- and then monitor to see if the programs are working.

CDC has staff in every state of the United States and in more than 60 countries around the world. Our experts are passionate about their work and are committed to saving as many lives as possible.

But you can do your part too. We can all help by not demanding antibiotics from our doctors and by taking antibiotics only and exactly as prescribed. Get smart and know when antibiotics do or don't work.

If you or a loved one is receiving care at a medical facility, ask what they are doing to prevent drug resistance. Also, ask your doctors what they are doing to protect you or your loved one from infection.

Drug-resistant infections can be prevented by immunization, safe food preparation and handling, and general hand washing. Learn more at CDC.gov.

@highlight

"The world faces a perfect storm of vulnerability," CDC director Dr. Tom Frieden says

@highlight

Someone could unleash a deadly, genetically modified microbe that we can't fight

@highlight

Nothing has the potential to kill more people than influenza, Frieden says