The Egyptian revolution has a new, and shocking, image: It's the Egyptian flag, but the eagle in the middle has been replaced by a simple blue bra. The image refers to the recent, savage beating of an abaya-clad female protester by Egyptian military forces.

Graphic videos of the beating, captured on phones and uploaded to YouTube and Facebook, have quickly proliferated. They show a limp woman being dragged by her arms along the street. Her abaya is ripped open, exposing her naked torso and blue bra. Security forces surround her, many wielding batons. As the beating progresses, the guards hit her and one even stomps on her. Photos of the man bringing his heavy boot down on her bare stomach made the front page of newspapers around the world.

In response, thousands of women -- and men -- marched Tuesday in Cairo's Tahrir Square. Observers say it was the largest demonstration of women in Egypt in decades. Not since 1919, when women mobilized under the leadership of feminist Hoda Sha'rawi in anti-colonial demonstrations against the British have so many Egyptian women taken to the streets.  (After representing Egyptian women at the International Women Suffrage Alliance in Rome in 1923, Sha'rawi returned to Cairo and very publicly removed her veil.)

Women have played an important role in Egypt's modern revolution but have struggled to translate their activism into a political role in the new, emerging system. They have been excluded from important decision-making bodies, and the military leadership declined to continue a Mubarak-era quota for women that ensured them at least 64 seats in parliament. Based on early election results, it appears that few women will win a place in the new government.

Nevertheless, one intrepid woman, Bothaina Kamel, is breaking ground with her candidacy for president. The campaign of Kamel, a well-known television presenter, at first was shocking, and certainly quixotic, with polls indicating her support is less than 1%. But her persistence has gained her credibility. While she has little chance of winning, she is helping to normalize the idea of women in politics -- an idea that is deeply contested in Egyptian society. Leaders of Salafi parties, which gained a surprising 20% of the vote in the first rounds of elections, have spoken out against women running for office.

The recent women's protest may breathe life into a movement that desperately needs new energy. In the early weeks of the revolution, women activists tried to bring attention to women's issues but never succeeded in getting the masses behind them.

A women's march in Tahrir Square to mark International Women's Day on March 8 ended badly. Only a few hundred women showed up, and they were soon harassed by a mob of angry men who shouted at them to go home and warned that their demands for rights were against Islam.

Around the same time, the Egyptian military rounded up scores of women demonstrators, and in a show of raw intimidation, subjected many of them to "virginity tests." Military leaders at first denied the accusations, and later defended their abuse by claiming the women "were not like your daughter or mine."

In a remarkable show of courage, one of the victims, Samira Ibrahim, is pursuing a criminal case against the military for her ordeal. The only one of the 17 victims willing to take her case to court, Ibrahim is challenging not only the heavy-handed tactics of the military but also the social stigma associated with her issue.

The woman attacked by the military in the recent protests has declined to come forward, so for now she is only known as "blue bra girl." But her mistreatment seems to be a galvanizing force. Thousands of people joined the march through Cairo on Tuesday, many of them taking to the streets for the first time in outrage. Organizers of the march used the hashtag #BlueBra on Twitter to encourage people to join them.

Some of the protesters held giant posters of the blue bra/flag icon. Others carried photographs of the beating. Men formed a cordon around the women, chanting "The women of Egypt are the red line." Still, many Egyptians were not supportive.

Bloggers and tweeters offered negative comments on the blue bra girl -- criticizing her for being out in public protesting in the first place and accusing her of being provocative for not wearing more clothes under her abaya.

It remains to be seen whether these new humiliations for Egyptian women will lead to significant changes. But given the country's deep-seated patriarchy, women in Egypt should not take their rights for granted.

@highlight

Isobel Coleman: Videos of vicious beating of Egyptian woman have prompted protests

@highlight

Women have been active in revolution but largely excluded from political process, she says

@highlight

Coleman says the battle for women's rights in Egypt is a vital but difficult struggle