LONDON, England (CNN) -- The first child in Britain known to have been screened as an embryo to ensure she did not carry a cancer gene was born Friday, a spokesman for University College London told CNN.

Genetic screening allows lab-fertilized embryos to be tested for genes likely to lead to later health problems.

Her embryo was screened in a lab days after conception to check for the BRCA-1 gene, linked to breast and ovarian cancer.

People with the gene are known to have a 50-80 percent chance of developing breast or ovarian cancer in their lifetimes.

British newspapers have dubbed the girl the "cancer-free" baby.

"This little girl will not face the specter of developing this genetic form of breast cancer or ovarian cancer in her adult life," said Paul Serhal, a consultant at University College London Hospital and Medical Director of the Assisted Conception Unit.

"The parents will have been spared the risk of inflicting this disease on their daughter. The lasting legacy is the eradication of the transmission of this form of cancer that has blighted these families for generations."

Yet not everyone is thrilled with the idea of testing embryos for genes that could cause health problems later in life, a process known as preimplanatation genetic diagnosis.

"This is not a cure for breast cancer," said Josephine Quintavalle, co-founder of Comment on Reproductive Ethics, which describes itself as group that focuses on ethical dilemmas related to reproduction.

What do you think about testing embryos for gene defects?

"This is simply a mechanism for eliminating the birth of anybody (prone to) the disease," she said. "It is basically a search-and-kill mechanism."

She opposes the procedure because embryos found to carry disease-causing genes often are discarded. She says that is essentially murder.

"They will be destroyed," she said. "They will never be allowed to live."

Doctors in Britain and elsewhere increasingly test embryos for genes that are certain to cause illnesses such as cystic fibrosis or Huntington's Disease.

What's different about the girl born Friday is that she is the first infant known to have been tested in Britain as an embryo for a gene that is merely likely -- not certain -- to cause disease.

In the United States, geneticists are free to test for any condition for which they can develop a probe -- and they're free to look for genes that are certain to cause diseases as well as genes that merely may pose problems later in life.

Quintavalle opposes any form of in-vitro fertilization where embryos are "killed," she said. But she is particularly troubled by the idea of screening an embryo for the BRCA-1 gene because carriers of the gene do not always develop the disease, and the disease is not always fatal.

"The message we are sending is: 'Better off dead than carrying (a gene linked to) breast cancer,'" she said. "We have gone very much down the proverbial slippery slope."

Peter Braude, one of the top British experts on the genetic testing of embryos, said he understands the ethical objections but focuses on the benefits.

"There has always been a vociferous group in opposition," he said. But "there are people who can benefit and I think they should be allowed to do so."

In fact, he argues that the procedure actually prevents abortions because it takes place on a three-day old embryo in a lab. Only embryos that lack the defective gene are implanted.

"I don't think you can equate eight cells in a dish to an embryo or a child," said Braude, head of the department of women's health at the King's College London School of Medicine.

For many couples, the alternative to testing an embryo is to conceive a child naturally and test the fetus weeks or months into a pregnancy. Some couples opt for an abortion when such testing reveals a defect.

Diagnosing an embryo genetically typically involves fertilizing an egg with a sperm in a lab, testing the resulting embryo and implanting it in the mother if no defects are found.

Braude agrees that testing for diseases that may not be fatal -- or may not manifest themselves for decades -- raises thorny ethical questions.

"How serious does it have to be before you throw away an embryo?" he asked. "Are you prepared to throw away a 16-week embryo for Huntington's, which will not manifest until age 40?"

In Britain, the Human Fertilisation and Embryology Authority determines the conditions for which geneticists can test. It has approved testing for more than 60 conditions since it was established in 1990.

The authority approved testing for the BRCA-1 gene in 2008.

Dr. Mark Hughes, who founded a genetics clinic in the United States, said he likes the idea of an authority that regulates what tests can be performed -- the system in place in Britain -- but believes that parents who want to test for genetic abnormalities should be allowed to do so.

At his Genesis Genetics Institute in Detroit, Michigan, Hughes carries out about two tests a month for BRCA-1 or BRCA-2, a related gene.

"The couple is the best one to be making these decisions, because they live with these diseases," he said.

"When it hits your family over and over again, many couples are saying: 'Enough of this. Let's prune this out of our family tree forever.'"

He rejects the notion that parents will use genetic testing to remove all imperfections from children.

"You can get up on your high horse and say people are looking for perfect children, but let's give these families more credit," he said. "They just want one that has a fighting chance of not having a disease."

Hughes said he doubts genetic screening will ever be used to test all babies. That's partly because it costs the equivalent of about $11,755 -- 8,000 British pounds -- to screen embryos.

It's also because the process is very complex.

"It's gotten easier to do now than it was 19 years ago," when Hughes did his first test for cystic fibrosis, he said. "But it has not exploded, not burst onto the medical field like some technologies do.

"No one would use these technologies for a trivial reason. It's too much effort," he said. "Not just the money -- it's so many hoops to jump through for a couple that would prefer to make their baby on vacation rather than in a clinic."

@highlight

"Cancer-free baby" born; baby girl is first in UK to be screened for cancer gene

@highlight

Embryo was screened to check she didn't carry gene linked to breast, ovarian cancer

@highlight

Ethicists criticize screening for genes that could cause later health problems

@highlight

Doctors say cost of screening makes it unlikely all embryos will ever be tested