(CNN) -- If 21st century Africa is a story struggling for equality in the global community of stories, to paraphrase Africa's most famous novelist, Chinua Achebe, then Bob Geldof, Bono, and international aid and charity organizations are not the only actors seeking a space in that narrative. Continental Africa too is seeking a space in her own story -- the first step in telling and owning her own story. Eventually. For Western actors in the Mercy Industrial Complex, there is a story; for Africans, there are stories.

Perhaps, folks have been a tad harsh on the Mercy Industrial Complex. Perhaps there has been a little progress, a slight evolution in their narrative. In the 20th century, the Mercy Industrial Complex saw Ethiopia as Africa. In the 21st century, the tally of countries allowed to stand in for the entire continent has increased to three: Sierra Leone, Liberia, and Guinea. Gone are the days when a single country could function as Africa's metonym.

Across Africa, there are folks who challenge this narrative with alternative stories showcasing the continent's boundless energy, genius, innovation, and youth opportunity. These African voices insist that they know it is Christmas. They insist that their hard work has rebuilt Angola to the point where that African country now has to bail out debt-ridden and economically-stagnating Portugal in Western Europe with financial aid and bailouts.

There is a third force in the struggle to narrate Africa. This third force is opposed to the narrative of the Mercy Industrial Complex but does not rush to embrace the euphoric counter-narratives of the new voices of African hope either. Yet, you cannot accuse her of racism or not wanting the best for Africa. She is Africa's new diaspora in Euro-America. And she is insisting that Africa's new story will not be told without her. She left Africa at the beginning of the 1980s when murderous military despotism, combined with a deadly cocktail of ruinous policies imposed by the IMF and the World Bank to empty the continent of hope.

Now, this activist diaspora insists on her story of Africa. She is saying that new narratives of progress must not overlook the albatross of corruption and poor governance. Social media has enhanced her activism, allowing her to intervene and shape opinion in individual African countries in a manner that is unprecedented. Her relentless scrutiny of the narratives of progress and hope often pitches her against the state in Africa.

Ordinary citizens in Africa also sometimes view the vocal intervention and activism of the new diaspora with suspicion. "You are always talking about corruption and poor governance as if that were the only story in Africa. What is the difference between you and those who only see Ebola in Africa? Who made you a referee on African issues from the safety of Euro-America? After all, you abandoned the continent when the going was tough!" These are the usual arguments with which Africa delegitimizes her new diaspora on social media.

But this new diaspora will not be shooed away easily. She insists on her legitimacy, brandishing the monetary remittances she makes annually to the continent. Diaspora remittances now outweigh Western aid to Africa. The BBC reports that in 2010, Africans living outside of the continent remitted $51.8 billion to the continent. In the absence of formal welfare mechanisms in many African countries, diaspora remittances fill the void.

"If I am sending this sort of money to the continent", says the new diaspora, "I have a stake in her stories. I can criticize corruption and poor governance. I can be dissatisfied with mediocrity. I will not be silenced".

Defying silence is what led to the story of Sahara Reporters, one of Africa's most phenomenal diaspora success stories. Founded by New York-based Omoyele Sowore, Sahara Reporters is an online news dedicated to fighting corruption in Nigeria. It has become the go-to medium for international news organizations for Nigeria news. Sahara Reporters' website nets over two million visits per month. Her Facebook fan page has over a million likes. Yet, Sowore and his syndicated columnists, myself included, are always attacked by the Nigerian state and irritated citizens based mostly on the fact that their intervention in Nigerian affairs is done from the United States and Canada.

In London this weekend, organizers of TEDxEUSTON, will assemble some of Africa's best to discuss the theme, Facing Forward. In my view, the speakers, a healthy mix of Africans based in the continent and Euro-America, will confront an important question: can Africa face forward by delegitimizing her new diaspora?

Angelique Kidjo: 'Do I LOOK like I have Ebola?'

More from African Voices

The opinions expressed in this commentary are solely those of Pius Adesanmi.

@highlight

Pius Adesanmi is one of the speakers at the Africa-focused TEDxEUSTON event on December 6

@highlight

He says that activist diaspora insists on her story of Africa -- and social media has enhanced its voice

@highlight

"New narratives of progress must not overlook the albatross of corruption and poor governance"