NEW YORK (CNN) -- On the 16th floor of a nondescript building in lower Manhattan, a group of tech-savvy staffers clad mostly in jeans and T-shirts is changing the way Americans watch TV election coverage.

CNN's John King uses the "Magic Wall" to illustrate and explain election projections.

Perceptive Pixel is a high-tech startup company. You may not have heard of them, but you've probably seen their most famous product: an interactive, Multi-Touch Collaboration Wall better known as CNN's "Magic Wall."

Throughout the 2008 primaries and the general election, John King, CNN's Chief National Correspondent, has stood before the now-familiar electronic wall map, zooming in and out of battleground states with a few pokes of his fingers. The big map allows King to instantly tally electoral votes, shift swing states from one candidate's camp to another's and highlight red swaths of John McCain turf alongside blue pockets of support for Barack Obama.

"Multi-touch is a whole new way of working with the computer where you can actually use more than one finger at a time. That means both hands, that means all ten fingers, that might mean multiple users in front of a screen," says Jeff Han, founder and chief scientist of Perceptive Pixel.

"Never have you been able to manipulate this many objects, with this many degrees of freedom, at the same time."  Watch the wall in action »

The inspiration for the multi-touch technology came from a decidedly non-digital event: Han was drinking a glass of water. He noticed the way light was interacting with his fingers as they touched the glass, and an 'Ah ha!' moment was born that put him straight to work.

"After you get an inspiration like that you run back to the lab where you have a lot of spare parts and all of a sudden, literally within days, you can start going to prototype, " he says. "It was pretty neat."

In 2006, Han became the darling of the tech world after unveiling his multi-touch tricks at the annual technology, entertainment and design conference known as TED. In front of some of the industry's biggest movers and shakers, Han zigged and zagged his way across the screen, using both hands to manipulate images, draw cartoonish figures and toss around digital vacation photos like Polaroids.

By the time TED ended, Han knew his technology was a hit. But he never expected that CNN would take his product mainstream. Han was exhibiting his multi-touch screen at a military trade show when he bumped into some executives from the cable news network who saw a groundbreaking use for the technology.

That meeting marked the birth of King's eight-foot-long electronic sidekick, which has gotten almost as much air time this year as Wolf Blitzer. In recent months the "Magic Wall" has been parodied on Comedy Central's "The Daily Show" and NBC's "Saturday Night Live," on which cast member Fred Armisen played with the map like it was a toy.

David Bohrman, CNN's Washington Bureau Chief, praises the Magic Wall for giving viewers "both deep and clear information"  in a visually interesting way.

"Here is a perfect example of how effective it can be: During our coverage of the Indiana primary, we were able to zoom in, county-by-county, to voting returns, and even though some of our competitors had already called the race, we were able to explain why we weren't able to do so," Bohrman says.

"John King was able to show the votes outstanding, the votes in Gary, Indiana, and how the race could have gone for Obama or [Hillary] Clinton, with a slight difference in that county's results. We were actually able to show viewers a lot more information and make the story clearer."

On Election Night, Bohrman anticipates the Magic Wall will allow King to display and interpret county-by-county votes for every state across the country.

"So if we're able to project or not project a race, we will explain to viewers why," he says. New additions to the Magic Wall also will allow it to illustrate balance of power scenarios in the Senate, Bohrman says.

Other television networks have since added similar products to their news coverage.

Han declines to reveal the workings of his technology, but he believes the screen will have an impact on much more than the nightly news.

"We're just scratching the surface of what's possible with it," he says. "We see huge growth in diverse areas such as creative applications, architecture, in education, in collaborative brainstorming, ideation processes -- which starts to cover a huge range of companies."

Han is tight-lipped about Perceptive Pixel's current clients, although he tells CNN, "most of our customers are three-letter agencies, classified work, a lot of secret stuff."

As his touch-screens have risen in popularity -- Han says there are still some obstacles in getting people to understand how they work.

Han's multi-touch screens are undeniably cool, with a seemingly magnetic effect on users and audiences alike. One of Han's presentations has been viewed on YouTube over 250,000 times. But he says he doesn't get too caught up in their revolutionary potential.

"I don't see one kind of interface, multi-touch or whatever it is, [replacing] the traditional keyboard and mouse," he says. "When the mouse came about, the keyboard didn't go away."

@highlight

A New York startup developed the technology behind CNN's "Magic Wall"

@highlight

CNN's John King uses the electronic wall map to explain election results

@highlight

The multi-touch-screen map can be manipulated by multiple fingers or users at once

@highlight

Inventor Jeff Han's inspiration for the device came from drinking a glass of water