(WIRED)  -- Blockbuster videogame heroes have tamed the Wild West, repelled alien invasions and driven the Nazis from Normandy. But can they fight off "Angry Birds"?

The popular mobile app hit 50 million downloads last year, and the iPad version made waves last week at the DICE Summit here when it was nominated for the Academy of Interactive Arts and Sciences' prestigious Game of the Year award.

"Angry Birds" didn't win -- that honor went to "Mass Effect 2" -- but it was the first time a smartphone game had broken free of the Best Mobile Game ghetto and moved up into the big leagues.

With a reported development cost of about $150,000, the addictive fowl-flinging game is racking up ungodly profits.

Ironically, it's quite likely that a great portion of those dollars are coming not from your mom and other casual gamers but from hard-core players more likely to get deep into Halo than to spend a few minutes with an iPhone time-waster.

At the annual confab of game executives, eye-opening stats outlined the evolving habits of hard-core gamers, who are spending a surprising amount of time playing games on smartphones and tablets.

WIRED: Videogames need auteurs, but good luck finding them

Anita Frazier, an analyst with the NPD Group, said game console owners spend more time playing mobile games than do those in the general population. And 38 percent of people who play social networking games like "FarmVille" are "established console gamers," she said.

"Is there anybody in this room who really thought they would have been spending a lot of time playing social network games?" Frazier asked the audience.

The surprising popularity of casual games among even the hardest of the hard-core foreshadows a sea change for an industry that over the years has grown to resemble Hollywood, complete with star directors, creaking franchises and budgets that dwarf the annual operating costs of a small city. As indie and casual titles lure gamers away from powerful consoles, some big gamemakers are scrambling to imitate the success of Facebook and iPhone games.

EA Sports boss Peter Moore's assertion that the gaming industry is "standing on a burning oil platform" kept coming up at DICE. The metaphor is clear: Stand still and it's certain death; jump into the chilly waters and you just might live.

Everyone seems to agree that it's time to jump. But nobody quite knows what direction to swim.

"I think it's going to be crazy in the next few years," said BioWare CEO Ray Muzyka in his DICE keynote. "A lot of existing [industry] players are going to have to adapt in order to survive and to thrive."

The social blockbuster

Travis Boatman, vice president of Electronic Arts' mobile business, said that contrary to the popular belief that mobile games are played in brief bursts while on the go, about half of all mobile game time is spent at home.

By porting hard-core titles like survival-horror game "Dead Space" to iOS, EA is pursuing Xbox 360 and PlayStation 3 owners who would rather sit on their couch and play with their iPads instead.

"I don't think it's all about us quitting our jobs and making 'Angry Birds' and 'FarmVille' clones," said Jade Raymond, managing director of Ubisoft Toronto and producer of "Assassin's Creed," in an interview with Wired.com.

Raymond, who referenced Moore's dire predictions in her own DICE speech, said she wants any new gaming franchise created by her company to include robust social features that connect gamers with friends.

WIRED: When game developers go Indie, everybody wins

Games shouldn't be the water-cooler discussion topic but the water cooler itself, the hub around which socialization occurs, she said. That's already the case with "FarmVille," but not with the type of $60 Blu-ray games that directors like Raymond create.

She pointed to rival Activision's "Call of Duty: Black Ops," which allows players to bet in-game currency on the outcomes of online matches, as an interesting example of how to build a better blockbuster.

"The whole wager system ... adds a whole new dimension to multiplayer gameplay," she said.

Both Ubisoft and Electronic Arts have made efforts at pushing their big game franchises onto Facebook, hoping that snagging social gamers and getting them interested in the series will get them to spend big bucks on the blockbusters.

Ubisoft rolled out a Facebook game for "Assassin's Creed," while EA crafted a social game based on its upcoming role-playing game "Dragon Age II."

Besides mixing social features into big games, publishers are likely to pursue core gamers who'd rather play on mobile devices. EA's Boatman says the success of complex iPad games like "Dead Space" and Epic's "Infinity Blade" show that many traditional gamers are getting sucked in by robust, console-style content sold at a cheaper price on mobile platforms.

End of the cycle

With "Assassin's Creed," Ubisoft's Raymond oversaw the launch of the biggest new game franchise of the era, one that has sold 19 million copies since 2007. But she's conscious of the fact that the game market is getting squeezed at the top.

"To be one of those big blockbusters that's really profitable is very hard," she said. "You have to be in the top five."

WIRED: Farm wars -- how Facebook games harvest big bucks

Not the best odds.

Raymond's plan to integrate social features into her games a la "Call of Duty" seems to be a push to get into that top tier again. But for all but the biggest publishers, the top may not be worth shooting for anymore.

Mark Cerny, a game design consultant and creator of classics like "Marble Madness" and "Crash Bandicoot," said in his DICE speech that the future of $50 million blockbuster games is "looking a little shaky." If Raymond's math is right, Cerny is understating the situation.

"There aren't many of these high-budget games," he said. Only about 60 games sold more than 1 million units last year, according to Cerny, and a game produced on a relatively thrifty $20 million budget has a much better chance of being profitable in that environment.

But he's not sure publishers can staunch the spending spree.

"There's no intrinsic value to a $50 million game," Cerny said. He likened the situation to Hollywood, where the cost of making summer tent-pole films has spiraled upward in the last decade. "Waterworld" was widely mocked for its $175 million budget in 1995, but that kind of money is routinely spent on big films today.

The trouble, Cerny said, is that the games industry has learned how to spend big gobs of money just like those movie moguls.

"In 1994, if someone had given me $20 million, I would have had no idea how to spend it," he said, but game teams have become bloated with superspecialized jobs these days.

To pare these groups back to only the essential members would be a daunting task, he said, but there's a silver lining: The rapid advance of game console technology seems to have slowed down.

New game machines won't materialize for a while, and anything that comes out probably won't be as radical a leap in power as Xbox 360 and PlayStation 3 were over the previous generation of consoles.

"We can take time now to learn our craft," said Cerny. "To learn what is important to spend money on, and what isn't."

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

With a reported development cost of $150,000, "Angry Birds" racking up big profits

@highlight

Hard-core gamers spending surprising amount of time playing mobile games

@highlight

Games industry has learned how to spend big gobs of money just like movie moguls