(CNN) -- It was cloudy the afternoon of January 3 when residents say the cluster bombs fell on the Syrian town of Latamneh.

Three rockets containing the cluster munitions fell in nearby fields, apparently doing no harm, but a fourth landed on the street between residential buildings. Its impact was devastating.

Read more: Journalists die amid Syrian clashes

One man was driving down the street when submunitions from the rockets exploded, killing him instantly, residents said. Fifteen civilians walking down the street or in their homes were wounded, including women and children, according to two residents and video evidence. Residents said that an hour after the attack, a submunition that had failed to detonate on impact killed a man who tried to remove it from his yard. It exploded in his hands.

Since mid-2012, Human Rights Watch and others have reported several times on civilian casualties caused by Syrian use of air-dropped cluster bombs, but Latamneh and other recent attacks are the first known instances of Syrian use of ground-based cluster munitions. The rockets were apparently launched from the vicinity of nearby Hama airport, which is under government control.

Evidence we have seen suggests that Syrian government forces delivered the 122mm cluster munition rockets containing submunitions using a BM-21 Grad multi-barrel rocket launcher, a truck-mounted system capable of firing 40 rockets nearly simultaneously with a range of 4 to 40 kilometers (2.5 to 25 miles). Grad rocket launchers are notorious for their inability to be accurately targeted due to their lack of a guidance system. This exacerbates the danger from the wide-area effect of the submunitions the rockets contain.

More: Syrian regime denies use of cluster bombs

Many countries, including Lebanon and Cambodia, have experienced civilian casualties from similar types of submunitions, both at the time of attack and from submunitions that didn't explode on initial impact. Each submunition is the size of a D-cell battery with a distinctive white ribbon, and the design of their fuze system makes each one very sensitive and liable to detonate if disturbed.

After years of civilian harm caused by cluster munitions, Israel's massive use of the weapons in southern Lebanon in 2006 helped propel governments into action. Working with civil society groups such as Human Rights Watch and international organizations, a broad-based coalition of like-minded governments sought to do something to reduce the unacceptable harm caused by cluster munitions.

Read more: Moscow suspends consular operations in Aleppo

The resulting Convention on Cluster Munitions, adopted May 30, 2008, comprehensively prohibits cluster munitions and requires their clearance and assistance to victims. A total of 111 nations, including many former users, producers, and stockpilers of the weapon, as well as countries contaminated by cluster munition remnants, have embraced the ban convention.

Yet there has been limited interest in the Middle East and North Africa regions, where just three countriesâ€”Iraq, Lebanon, and Tunisiaâ€”are onboard the treaty banning cluster bombs. Some nations, such as Jordan, say they need more time to study the convention's provisions, while others including Egypt, Iran, and Israel have produced, imported, exported, and stockpiled cluster munitions.

Read more: Envoy: 2013 could bring 100,000 deaths in Syria

The 122mm cluster munition rockets used by Syria bear the markings of the Egyptian state-owned Arab Organization for Industrialization and an Egyptian company called Sakr Factory for Development Industries. Syria could have bought these cluster munitions from Egypt, received them through military cooperation, or acquired them another way. With no transparency, it is impossible to say how or when they were made or transferred, though it is likely Syria acquired them long ago.

Syria's relentless use of cluster munitions, including in populated areas, is yet another sign of its blatant disregard for international law and the protection of its own civilians. Syria's use of cluster munitions runs counter to the new international standard being created by the Convention on Cluster Munitions, rejecting any use of the weapons.

The preventive impact of the convention and the standard it is establishing can already be seen as countries that have joined the ban rapidly destroy their stockpiles of cluster munitions.

In Syria, every time the government has used cluster munitions and other explosive weapons, a lethal legacy of unexploded ordnance is created. Given the terrible humanitarian impact, all governments, regardless of their position on joining the ban convention, should press Syria to stop using cluster munitions.

Read more: 'Innocence' survives 11 hours under bomb rubble in Syria

@highlight

Human Rights Watch says cluster bombs were used on Syrian town of Latamneh

@highlight

Cluster bombs release dozens of smaller bombs, which can maim or kill long after impact

@highlight

Syrian regime has previously denied cluster bombs on civilians