(CNN) -- Much like buses coming in twos and threes, Britain found itself Sunday in the unprecedented position of having not just one but two cyclists on the 2012 Tour de France podium.

Against the backdrop of the Champs Elysees and resplendent in yellow -- the jersey that denotes the Tour winner -- Bradley Wiggins will deservedly take the plaudits for becoming the first Briton to win the most prestigious cycling race in the world.

But the presence of second-placed Froome is testament to an organizational effort that has ensured Team Sky has steamrollered its way past all the opposition.

Wiggins claimed his second stage win on the Tour as he sealed his overall victory Saturday in an individual time trial.

Froome also won a mountain stage and forged his reputation as a Tour de France winner in his own right in the near future.

While their teammate Mark Cavendish sprinted to victory on the final stage in Paris for his third stage victory and 23rd overall on the Tour as Team Sky's domination was complete.

Wiggins seals Tour triumph in Paris

How times have changed since Scot Robert Millar was racing on the roads of France.

"There hasn't been a GB winner before because there was no investment in road cycling up until now," Millar, who was crowned King of the Mountains and finished fourth in the 1984 Tour, told CNN.

"If you wanted to be a pro rider before it was largely an individual process. There wasn't any back up and very little encouragement from those running the sport. It's only lately it has changed, due to the arrival of government money and sponsorship deals."

When Millar first turned professional with the French team Peugeot in 1980, it was during an era when aspiring British riders had to brave the European amateur scene to achieve their dream.

Government funding

It is a different story today. Off the back of growing success on the track, including a 14-medal haul at the 2008 Beijing Olympics, British cycling now receives over $40 million of government funding.

"We invest in Olympic sports with money from National Lottery and government along 'no compromise' principles," explained a UK Sport spokesman, "rewarding success and potential success for the next Olympics.

"The sports basically get all funding except commercial deals from us."

For British road cycling, the breakthrough moment came in 2009 when Team Sky was founded, the country's only professional cycling outfit.

Spearheaded by Dave Brailsford, a driving force behind Team GB's eight gold medals in China, Team Sky has produced Britain's first Tour de France winner in only its third attempt at the race.

"When I raced you had to figure out most things for yourself," Millar, who raced between 1980 and 1995, explained. "You received advice from friends and colleagues but the back-up was nothing like Bradley has to call upon.

"Types of training, the whens, hows and whys, diet, dealing with your psychology, they were all subjects you had to untangle yourself. It's taken them a while to understand all those aspects and come up with a plan."

Cycling immortality

Despite his hardships, Millar can take comfort in the fact his struggles paved the way for Wiggins to earn cycling immortality.

"When I started racing I looked at what had been achieved before by GB riders and put that as one of my targets," said Millar. "You can only hope that inspires others to go further than you did.

"I know how much work it took, how much it hurt sometimes and if someone comes along and beats that then I can have nothing but respect for them. There are no easy answers it comes down to hard work, commitment, sacrifices and talent."

Whilst Wiggins, Froome and Cavendish may be making all the headlines for Team Sky at the moment, there is another Briton content to take a backseat role -- for the meantime at least.

Alex Dowsett will be competing in his first Grand Tour in Spain next month, and is keen to match the success of his elder compatriots.

"My ambition is to emulate Wiggins and to emulate what he has achieved -- I feel I'm capable of achieving that too."

"Having those other Brits around me is a big help and inspiration. Wiggins went through the same system that I am in, and he's proven that success is possible. There's no reason that I can't do that when I'm his age."

Wiggins' 2012 challenge was aided by the absence of two cycling superstars. The 2010 champion Andy Schleck missed this year's race with a broken pelvis, while Spain's Alberto Contador is still serving a ban for doping offenses.

Doping problems

Doping has cast a long shadow over cycling throughout the history of the sport, with Andy's brother Frank Schleck failing an in-Tour test earlier this week, but the ever forthright Millar denied it was an excuse for British riders past failings.

"I don't consider the doping aspect to be a factor, it's a cop-out for those happy with being the big fish in a small pond or even a small fish in that pond.

"It is easy to hide behind the excuse that everyone is doping so it's not worth doing but the reality is there hasn't been enough investment or the people with the talent and commitment to make the top level on the road."

Dowsett was keen to stress that Team Sky wear their cleanliness as a badge of honor.

"If there's one thing in our team it's a clean philosophy. It's an even stronger testament to Wiggins' ability that he's done all this clean.

"The Tour de France has some of the most tested athletes on the planet and our team's ethics are unrivaled. Wiggins and Froome have put all these riders to shame both on and off the bike."

So what has Wiggins got which previous British challengers have lacked? And what has gone into transforming him from track speedster to road racing extraordinaire?

Millar believes Wiggins' switch to the American Garmin Slipstream team was key point on his path to greatness.

"Only when he went to Garmin did he take steps forward with his road career," Millar said of the 32-year-old.

Key switch

"Probably due to a mix of the French teams he was at previously not asking the right questions of him talent wise and Bradley's own contentment with being just a pursuiter who could win short time trials and prologues."

Tactically, Team Sky were impeccable throughout the three-week marathon. Ably assisted by Froome and sprint star Mark Cavendish, Wiggins was consistently in the right place at exactly the right time.

"It's been more about how Sky as a team have been above everyone else," added Millar. "That limits possibilities to challenge when they are riding so fast.

"They've put their general classification riders in the best positions by controlling the race and then Wiggins and Froome have performed better than the other challengers in the time trials."

The support role adopted by Froome and Cavendish is a vital one, and not one to be undermined, as Dowsett testifies to, "With cycling you have days when you go for the results and you have days when you know it doesn't suit your ability, so you help the team as much as you can.

"Cycling, essentially, is all about pushing the air out of the way. If you have a chain of guys in front of you you barely have to pedal at all. It can keep you fresh -- and keep you out of crashes, too."

After finishing a then British-best fourth in the 1984 Tour, what does Millar think he could have achieved under the tutelage of the meticulous Brailsford and with a ruthless team like Sky at his back?

Different times

"Who knows," he replied. "These are different times with different riders, sometimes I raced too much and usually there were never enough rest periods. It was difficult to prepare well because the thinking used to be one race after another.

"It's like trying to compare eras and champions. The best riders of each era are at the top because of the talent, commitment, intelligence and suffering they cope with."

Regardless of his teammates' performances and the peerless tactical guidance he has received, Wiggins' win in a race many professionals struggle to finish should not be belittled.

"It takes commitment to be a professional cyclist and the Tour de France will push you to your absolute limits," insisted Millar.

"If you do well it's a fantastic feeling and it makes the tiredness and mental fatigue justifiable. It's only later you fully realize what's happened when you've had a bit of time to reflect, if you've achieved something that'll go down in history then you can be happy with yourself.

"Then you start planning for the next step, improving, making sure you are staying at that level everyone else is aiming for."

Robert Millar spoke to CNN International on behalf of the cycling charity Braveheart

@highlight

Bradley Wiggins claims historic victory for Britain in Tour de France

@highlight

Team Sky teammate Chris Froome finishes second

@highlight

Government backing for cycling in Britain plays key role

@highlight

Team Sky had promised Tour de France winner in five years