OXFORD, Iowa (CNN) -- Brianne Leckness stares into the camera, a crooked smile spread across her face. It's the epitome of youth -- a young girl with bows in her hair ready to tackle the world. A dog scampers behind her in a blur.

Brianne Leckness is one of 100 people featured in a new book called "The Oxford Project."

But then you learn her story and how her life has changed since that day in 1984 when photographer Peter Feldstein took her picture in Oxford, Iowa, a town of about 700 people. You may pause. You may even cry.

"My mom left me at a church when I was 3. She used to travel with the carnival, and the carnival ended up going broke in Iowa. When my mom and my stepfather had a hard day, they'd take it out on me. So she left me at this church with our dog Freddy," she says.

"She pinned a note to my shirt that said, 'Please take care of her. We can't any longer.' "

Brianne's story is one of 100 captured in a new book called "The Oxford Project." It combines black-and-white portrait photographs -- one from 1984, a second 20 years later -- with oral histories to give a mosaic of a small town, of hopes and dreams, of triumphs and tragedies, of life and death.  "Old hippie" works hard, parties hard; meet other townfolk too »

Intimate details are shared: Pat Henkelman was the last in town to learn her husband of 45 years was cheating; Hunter Tandy says his second cousin, Ashton Kutcher, once visited with Demi Moore and stayed in the Super 8; Jim Hoyt Sr. breaks his silence and describes being one of the first four U.S. soldiers to liberate the Buchenwald concentration camp in Germany during World War II.

Feldstein began his project in 1984 with a simple idea: Snap photos of all 676 residents of Oxford. He typed up letters in April that year and delivered them to every home, most of the time taping the notes to the back door.

"The sessions will take about 5 minutes and of most importance is that you feel comfortable. We would like you to dress 'as you are,' not as you might look in your Sunday best," he wrote.

By summer's end, the University of Iowa arts professor had photographed 670 people, six shy of the whole town. He displayed the photos at the American Legion, but then tucked them away. The prints were destroyed in a flood; the negatives were stuffed in boxes. See photos of how people changed »

Two decades later, Feldstein set out on a new quest -- to rephotograph as many people as he could find from 1984. But this time he brought along Stephen G. Bloom, a University of Iowa journalism professor, to interview the residents and record their life histories.

"I learned secrets. I learned things that some of them hadn't even told their spouses," says Feldstein, a resident of the town since 1978. "More than anything, I learned about my neighbors more."  Watch no "Hallmark questions" here »

Many stand in nearly the exact same pose as two decades before, their shoulders drooped with age. Children are now men; girls are now mothers. Bloom, with Feldstein present, interviewed each person separately, and the townspeople revealed their innermost feelings.

Now, Feldstein traces his finger along cracks on the wall where residents stood for the photos the second time around. The cracks look like varicose veins breaking through plaster. "The wall has changed just like the people have changed," Feldstein says.

Bloom says journalists these days too often talk to the nation's power players and too few times to working-class people.

"The idea was not to talk to the decision makers, but talk to the people whose lives are affected by the decision makers," he says. "My job in Oxford was to talk to the voiceless, to people who don't have any voice who are the backbone of America."

On a recent Sunday, Oxford residents flocked to St. Mary's Hall for the big debut. Books were sprawled out on 1960s-style wooden tables. Residents snatched them up and began signing each other's copies, as if it were a high school yearbook signing.  Learn facts about Oxford »

Kathy Brack clutched her book to her heart. "I've been hugging it ever since I got it," says the schoolteacher of 34 years.

"There were things in there that the gossip line didn't know about!"

Nearby, one of her former students, Ben Stoker, held his copy. In 1984, his father, Dave, held his boy proudly for Feldstein's camera. The father's arms are outstretched, his newborn son asleep in his hands. A gentle smile can be seen from beneath his dad's thick beard. Ben's mother, Darnell, was photographed a couple of weeks before. She's dressed in a plaid maternity outfit, pregnant with Ben.

"When I was 10, my dad died," Ben Stoker told Bloom and Feldstein. "Pretty much I think about my dad every day. I remember feeling his beard against my face. I remember his hands -- they were soft and warm.

"Two years ago, when I was 19, my mother died of cancer. She was my guiding light."

In a corner of the hall this day, Kevin Somerville -- a large man in overalls, a bushy beard and a boisterous laugh -- sits with his wife, Mary, and grown daughter, Kristi. They say they thought they knew everything about everybody in town, until they got ahold of the book.

Everyone seemed to spill the beans -- to two "East Coast Jews," as Feldstein puts it.

Why would residents of an entire town open their hearts?

"People will talk if you're willing to listen," Kristi Somerville says. "They're not small-town stories. They're human stories."

Her mother adds of Bloom's at-ease style. "He said, 'Tell me about your life.' How often does somebody ask you that: Tell me about your life?"

Brianne Leckness, now 30 years old, shows up with Blanche Smith, her foster mother during her years in Oxford. Blanche has taken in more than 500 foster children over the years.

But she still remembers that day when she gave up Brianne to another foster home. She was raising three teenage sons and couldn't handle a young girl in grade school.

"Yes," she says, crying when asked if she wished she had kept Brianne.

Later in the day, about three dozen Oxford residents make the 16-mile trek to Iowa City. Hundreds of Iowans pack the Englert Theatre for an on-stage performance of The Oxford Project.

Sixteen local Iowans read the stories of the Oxford residents as told in the book. Only one person tells her own story. It's Brianne Leckness.

"When I was 9, Blanche said to me, 'I really can't be your mom any longer.' In my next family, the mother would put my hair up. But I was a tomboy, and it drove them mad. I went to three or four other foster homes after that."

"... On my 18th birthday, my mother blew into town. She wanted us to go on 'The Montel Williams Show' and say how she really never wanted to give me up."

She ends with: "Nothing for me has been normal, so why should now be normal?"

Brianne is a mother now, determined to raise her own children and not to make the same mistakes her mother made. As the night drew to a close, she stood with the 16 others on stage to raucous applause. She smiled and took a bow.

She was a portrait of courage. A model of a small town. A real American.

Afterward, she said it felt good to "relive part of my past that was a good experience."

"It was nice. It was really nice."

What are we to make of stories like these?

"I walked away from this knowing that life turns on a dime," Bloom says. "I realized that life is really dependent on moments, and you don't know when those moments are going to take place when you wake up. And sometimes when you go to sleep at night, you don't realize those moments have taken place."

"The story in Oxford really isn't about Oxford, Iowa. It's about any small town in the United States -- anywhere in the world."

@highlight

Peter Feldstein set out in 1984 to photograph everyone in Iowa town

@highlight

He then rephotographed them 20 years later and recorded their oral histories

@highlight

Feldstein's colleague Stephen Bloom: "My job in Oxford was to talk to the voiceless"

@highlight

Resident: "There were things in there that the gossip line didn't know about!"