Washington (CNN) -- The Supreme Court gave an Idaho couple another chance Wednesday to challenge a government ruling barring construction of their "dream house," an important property rights defeat for the Obama administration.

The justices unanimously ruled Chantell and Mike Sackett can appeal a compliance order that said wetlands on their residential lot were improperly filled with rocks and dirt. A building permit was then revoked.

"Since the agency's decision was final and since the Sacketts have no other adequate remedy in a court, they may bring their suit" under federal law, said Justice Antonin Scalia.

The couple's supporters had billed this as "David vs. Goliath" fight against the Environmental Protection Agency.

"We're here to stand up for the property rights and the constitutional rights of all Americans," Mike Sackett told CNN in January, when the case was argued at the high court. "We felt blindsided by the EPA, and we remain determined to fight."

The high court had displayed wide support for the Sacketts during oral arguments 10 weeks ago.

"If you related the facts of this case -- as they come to us -- to an ordinary homeowner," Justice Samuel Alito asked the government's attorney, "don't you think most ordinary homeowners would say this kind of thing can't happen in the United States?"

What happened has become a six-year fight pitting business and property rights groups against the federal government and many in the environmental community. The effect could be huge for the longstanding tension over the balance between commercial and private development, and maintaining clean air, water, and soil.

The Sacketts bought a small parcel of about two-thirds of an acre in the Idaho Panhandle in 2005, near the shores of the resort community of Priest Lake. They hoped to build a three-bedroom home, surrounded by neighbors' houses, and had obtained a county permit. Gravel had already been laid for the foundation when EPA officials told them their land was a wetland. That barred any development.

They were ordered to immediately "restore" the land to its natural state or risk fines of up to $37,500 a day.

At issue before the high court was whether the Sacketts have a right to have a "timely and meaningful" hearing before a court to challenge a Clean Water Act wetlands-restoration order of a federal agency. About 3,000 administrative compliance orders are issued each year by the EPA.

A federal appeals court agreed with the agency that the couple's only remedy was to go through a lengthy wetlands permit process, which the Sacketts said would cost thousands more than the property is worth.

"EPA is not above the law," said Damien Schiff, an attorney with the Pacific Legal Foundation, representing the Sacketts in court. "That's the bottom line with today's ruling."

Agency officials said in a statement: "EPA will of course fully comply with the Supreme Court's decision, which the agency is still reviewing, as we work to protect clean water for our families and future generations by using the tools provided by Congress to enforce the Clean Water Act."

The EPA still maintains the land is a wetland, and says the couple passed up the chance to work with federal officials for an "after-the-fact" permit, which may have resolved the situation quickly and cheaply, a remedy the government says it uses often for individual homeowners.

But Alito, in a concurring opinion Wednesday, said for "a nation that values due process," the bureaucracy the Sacketts endured was "unthinkable."

"The combination of the uncertain reach of the Clean Water Act and the draconian penalties imposed for the sort of violations alleged in this case still leaves most property owners with little practical alternative but to dance to the EPA's tune," he said.

Defining "wetland" and the potential impact on drainage and "discharging pollutants" from nearby land has long been a tricky, subjective process. Federal regulators for decades have had the authority to protect water quality, even when land is not directly adjacent to streams, rivers, swamps, lakes or oceans. The Sacketts property did not border Priest Lake, but the EPA determined gravel on the lot amounted to a pollutant into "waters of the Untied States."

The high court in 2006 failed to reach a standard that would have redefined current wetlands mitigation laws, the laws now confronting the justices and the Sacketts.

"The Supreme Court has come to our rescue," Mike Sackett said just after the decision was issued, "and reminded the EPA -- and everyone -- that this is still America, and Americans still have rights under the Constitution."

"We did everything right," he told CNN about the permit process to build their home. He said the experience has been "literally terrifying."

The case is Sackett v. Environmental Protection Agency (10-1062).

@highlight

An Idaho couple can file suit against an EPA ruling, the Supreme Court says

@highlight

The couple's supporters had billed this as "David vs. Goliath" fight

@highlight

Mike Sackett: "We're here to stand up for the property rights ... of all Americans"