(CNN) -- Michelle Obama says her call for the country to fight childhood obesity isn't about physical appearances, but rather quality of life.

"Teachers are seeing the challenges that kids with weight issues are having -- not being able to participate in gym, feeling a little more sluggish," the first lady told CNN's "Larry King Live" on Tuesday. "It's not about weight ... it's about fitness and it's about overall nutrition."

Obama earlier Tuesday introduced the Let's Move campaign, which aims to reduce childhood obesity in the United States within a generation. Obama asked parents, teachers, physicians, coaches and kids to get involved and suggested they look at the new Let's Move Web site for helpful tips, strategies and updates on beating obesity in children.

The first lady, during the "Larry King Live" interview, said a doctor got her own family to take a hard look at its exercise and eating habits, even though she thought she already was doing everything she could to promote healthy lifestyles for her own grade-school daughters.

The family, while her husband was campaigning, was eating too much fast food, she said. A pediatrician "saw a little uptick in the kids' [body mass index], and he kind of pulled me aside," she said.

"I was shocked at first because I thought I was doing what I was supposed to do, and I hadn't noticed any changes in my kids, so it was a little bit shocking and a little disorienting," Obama said. "But I went home, and it was kind of a wake-up call, and we made some changes even with busy schedules."

The changes, she said, included smaller portion sizes, more cooked meals, a dessert ban on weekdays and substituting sugary drinks with milk, water and fresh-squeezed juices. "The point is that small changes made a difference," she said.

That interview aired hours after she announced the Let's Move initiative at the White House. The program focuses on what families, communities and the public and private sectors can do to help fight childhood obesity, which she and health experts have termed an epidemic in the United States.

"There are more and more kids with type 2 diabetes and high blood pressure today than ever before. Things we used to see only in adults," she said at the White House.

From more farmers markets to increasing physical activity in schools or expanding and modernizing the President's Physical Fitness Challenge, the first lady said the Obama administration will partner with public health professionals and private companies to address the obesity issue.

"About one-third of our children are overweight or obese. None of us want that for our country," she said. "It's time to get moving."

Mayors, doctors, members of the Cabinet, and leaders in sports, entertainment and business joined the first lady for the announcement.

Former NFL player Tiki Barber introduced several speakers, including a pediatrician, an urban farmer and mayors from Mississippi and Massachusetts.

President Obama signed a memorandum earlier Tuesday morning establishing a federal task force to tackle childhood obesity, calling it "one of the most urgent health issues that we face in this country."

"We think that this has enormous promise in improving the health of our children, in giving support to parents to make the kinds of healthy choices that oftentimes are very difficult," he said.

The task force, according to the memorandum, will have 90 days to craft a plan encouraging "optimal coordination" between the federal government and both the private and nonprofit sectors. Several Cabinet members, including the secretaries of Interior, Agriculture and Health and Human Services, will serve on the task force to complement Michelle Obama's public awareness effort.

In the weeks leading up to the announcement, the first lady urged America's parents to turn off the television, drink more water and serve smaller portions to curb the growing public health problem.

She stressed that parents need the tools to make it easier to understand how to help their kids stay healthy. She said many parents know certain foods are bad for their kids, but don't know the solutions.

"They feel like the deck is stacked against them. They feel guilty," she said. "We need to help them."

The administration, in partnership with public health professionals and private companies, will address these issues in several ways:

First, according to Obama, package labels should be easier to read.

By the end of the year, the Food and Drug Administration will begin working with retailers and manufacturers to adopt new nutritionally sound and consumer friendly front-of-package labeling to provide 65 million parents in America and other caregivers with easy access to the information they need to make healthy choices for their children.

Talking to tweens about healthy eating

The average soda contains 110 calories, yet many kids drink one or more a day. In an effort to make kids and parents more aware of these calories, the American Beverage Association has voluntarily committed to put calorie labels on the front of its cans, bottles, vending and fountain machines within two years. The label will reflect total calories per container, up to 20 ounces and 12-ounce serving size in multiserve containers.

School lunches also will play a big role.

According to the White House, on school days, many American children consume more than half their daily calories at school, and more than 30 million of these kids participate in the National School Lunch Program.

With this program, students will have access to healthier food in schools through several initiatives:

• The Obama administration is requesting an investment of an additional $10 billion over 10 years, starting in 2011, to improve the quality of the school lunch and breakfast programs, increase the number of kids participating and ensure that schools have the resources they need to make program changes.

• With the money, more fruits, vegetables, whole-grain foods and low-fat dairy products will be served in school cafeterias.

• Major school food suppliers are to decrease the sugar, fat and salt in school meals over 10 years, and also increase whole grains and produce served within 10 years.

Obama also set an ambitious goal to eliminate food deserts, which are areas with limited access to affordable and nutritious food.

"Let's move to ensure all our families have access to healthy, affordable food in their communities," she said. "We're making a commitment to completely eliminating food deserts in America. And we plan to do that within seven years."

Go to USDA's food environment atlas to get local information on community health and food choices

The Center for Science in the Public Interest applauded Obama for taking on childhood obesity.

The "first lady has the clout and visibility to change that and mobilize the nation's resources to address the problem," the nonprofit health advocacy group said.

Obama encouraged doctors and parents to work together to help kids stay healthy.

In this initiative, the American Academy of Pediatrics will educate its members about obesity to make sure pediatricians regularly measure a child's body mass index and identify a weight problem early. If a child is getting heavy, the physician can write an official prescription for healthy, active living.

Body mass index is a number -- calculated from height, weight, age and gender -- that measures body fat.

Calculate your BMI

On Tuesday, Dr. Judith Palfrey, president of the American Academy of Pediatrics, said there are ways to encourage activity -- like making charts recording children's TV time and having children set jump-roping, running and fitness goals.

"This is a long-term commitment to our children's health," she said.  "It will take a concerted effort among all of us -- the whole nation -- to create healthier communities for our children.  We must take on this challenge."

The number of overweight children ages 6 to 19 has tripled since 1970, a 2007 New England Journal of Medicine study found.

Obama concluded her statements quoting President Franklin Roosevelt.

"We cannot always build the future for our youth, but we can build our youth for the future."

CNN's Val Willingham, Suzanne Malveaux, Alan Silverleib and Madison Park contributed to this report.

@highlight

NEW: Michelle Obama on "Larry King Live": Small changes can make a difference

@highlight

First lady introduces national campaign to fight obesity in children

@highlight

President Obama signs memo establishing task force on childhood obesity

@highlight

Number of overweight children has tripled since 1970, study finds