PRETORIA, South Africa (CNN) -- The United States no longer supports a power-sharing deal between Zimbabwe's President Robert Mugabe and the country's main opposition because a viable unity government is not possible with Mugabe in power, a top U.S. diplomat said Sunday.

Zimbabwe President Robert Mugabe, in a speech to supporters Saturday, refused calls to step down.

The statement from U.S. Assistant Secretary of State for African Affairs Jendayi Frazer follows recent calls from  President Bush and other world leaders for Mugabe to abandon power amid a growing cholera epidemic that the United Nations says has killed more than 1,000 people in recent months.

Frazer visited southern Africa to articulate the change in U.S. policy toward Mugabe at the request of U.S. Secretary of State Condoleezza Rice. She made the comments Sunday during a roundtable discussion with journalists in Pretoria, South Africa, before her expected return to the United States later in the day.

She called for a new vote in Zimbabwe.

"Fresh elections are necessary but not possible under the current environment," Frazer told reporters.

Zimbabwe has had no Cabinet since the March presidential election, during which no candidate won enough votes to avoid a runoff, according to the government. After opposition leader Morgan Tsvangirai withdrew from a June runoff, saying Mugabe's supporters had waged a campaign of violence against opposition supporters, Tsvangirai and Mugabe reached a power-sharing agreement that has yet to be implemented.

The political impasse has aggravated the country's humanitarian and economic crisis, including a cholera outbreak that began in August.

Frazer said that during her trip, she consulted with the leaders of Zimbabwe's neighbors who are stuck between their concerns about Mugabe's grip on power and their support of the power-sharing agreement, which they still think is the best way to deal with the crisis without creating a backlash.

Frazer said she believes it could be weeks before African leaders put pressure on Mugabe to step down, which she said could be achieved by simply telling him with one voice that he should go.

She said the U.N. Security Council will deal with the issue of Zimbabwe next month. This time, she said, South Africa will not be able to block resolutions calling for more sanctions because South Africa will no longer hold a seat on the council in 2009. Watch what options the international community has in Zimbabwe

"The South African government will be held responsible for what is happening in Zimbabwe because they are the country with the most influence in Zimbabwe than any other in the world," Frazer said.

The Security Council's recent failure to impose sanctions on Mugabe's regime drew scoffs from the 84-year-old Mugabe, who has accused Britain -- Zimbabwe's former colonizer -- of trying to take over the country to get its resources.

Tsvangirai said Friday that his party will withdraw from efforts to form a unity government unless 42 party members who have been kidnapped are either released or brought to court to face formal charges by New Year's Day.

Mugabe's ZANU-PF party and the Movement for Democratic Change, led by Tsvangirai, have failed to implement the September 15 power-sharing deal because they cannot agree on who should control key ministries.

Under the deal, brokered by former South African President Thabo Mbeki, Mugabe would remain president while Tsvangirai would become Zimbabwe's prime minister.

There had been hope that a unity government would reverse Mugabe's policies, which are widely blamed for the country's economic crisis. Mugabe blames economic sanctions imposed by Western nations for Zimbabwe's economic collapse.

Zimbabwe, once the breadbasket of Africa, is now a net importer of food and facing acute shortages of most essentials such as fuel, electricity and medical drugs. Its inflation rate -- the highest in the world -- is officially at 231 million percent.

Last week, Zimbabwe's central bank introduced a $10 billion note worth less than 20 U.S. dollars.

Mugabe has repeatedly refused calls from Western leaders to step down, most recently telling his supporters late Saturday that he would not follow the U.S. president to his "political death."

"They now want to topple the Mugabe government. Mugabe must go because Bush is going," he said in his address Saturday to his party's 10th annual conference outside Zimbabwe's capital, Harare.

"Zimbabweans will refuse that one of their sons must accompany Bush to his political death," Mugabe said. "Is it a ritual now that Bush with his political death must be accompanied by some African from Zimbabwe, and that African must be the leader himself, and that leader is Mugabe?"

Mugabe did not mention the cholera epidemic, which his government has said is under control despite the United Nations' assessment that half the country's population may be at risk.

There are more than 20,000 suspected cases of the water-borne disease in Zimbabwe, and the U.N. said it fears that number will triple by the time the rainy season ends in April.

In addition to Bush, the leaders of Britain, France and several African countries have called on Mugabe to abandon power and let a national unity government take over to help prevent the cholera epidemic from spilling across Zimbabwe's borders.

@highlight

U.S. diplomat: Zimbabwe power-share deal can't work with President Robert Mugabe

@highlight

Power-share deal is stalled because of dispute over control of ministries

@highlight

Zimbabwe faces cholera epidemic, economic crisis

@highlight

Mugabe has resisted international calls for him to step down