Havana, Cuba (CNN)All eyes are going to be on the new kid finally allowed to play and the big kid who for so long wanted nothing to do with him -- Cuba and the United States in the same diplomatic playground.

Cuba pulled off a diplomatic coup by marshaling the support of other regional countries to insist on their attendance at the Summit of the Americas.

And for the first time since 1962, the U.S. has not blocked Cuba's attempt to join.

Now it's time to see how they play and who they play with -- especially Venezuela, which often falls out with Washington for crushing dissent at home and supplying Havana with billions of dollars in oil.

Cuba is trying to re-establish itself at the two-day summit in Panama, arriving with more than 100 government officials, diplomats, small business people and artists.

But Cuba's attempts to rebrand itself as an open, diverse society stumbled Wednesday when government supporters and anti-Castro supporters brawled in the streets of Panama.

Video of the incident showed Cuban government officials exchanging punches and insults with dissidents until Panamanian police in riot gear broke up the melee.

With the historic thawing in relations between the U.S. and Cuba, Washington now has urgent business to discuss with Havana.

"We have really big issues with the Cubans that do need to be solved," said Ambassador Vicki Huddleston, who served as the chief of the U.S. Interests Section in Havana.

She added "The Cubans are typical of their negotiating style. You think it's going to be easy because we have said 'We are going to have good relations with you' and they say, 'That's not exciting for us and it is for you.' So they are hard negotiators as they always have been."

The forum could provide the opportunity to push forward an agreement to re-establish formal relations and re-open embassies after nearly four months of negotiations.

While President Barack Obama is not scheduled to meet Cuban leader Raul Castro, U.S. officials said there will be opportunities for "interaction" between the two leaders.

The first time the two heads of state met was in 2013 at Nelson Mandela's funeral. Their brief handshake captured the world's attention and lit up social media. Few people then knew that the two countries were secretly involved in negotiations to thaw five decades of deadlocked Cold War-era relations.

Obama had said he had hoped a U.S. Embassy would reopen in Havana before the summit, but Cuban officials have said they cannot imagine a full restoration of diplomatic ties until Cuba is removed from the U.S. State Department list of countries that support terrorism.

"It would be difficult to explain that diplomatic relations have been resumed while Cuba has been unjustly listed as a state sponsor of international terrorism," said Josefina Vidal, the general director of U.S. affairs at the Cuban Foreign Ministry and lead negotiator in the talks.

Cuba was added to the list in 1982, which includes Syria, Iran and Sudan. The designation carries financial sanctions which Cuban officials say further damages their already ailing economy.

The State Department has sent a recommendation to the White House that Cuba be removed, paving the way for the White House to announce its intent to de-list Cuba as early as this week, two administration officials told CNN.

Removal from the list "does not relate to whether or not we agree with everything a country does or whether we agree with its political system, or its foreign policy," Deputy National Security Adviser Ben Rhodes said on a conference call with reporters Tuesday. "It's a very practical review as to whether or not a government is sponsoring terrorism."

Rhodes also dialed backed rhetoric on Venezuela, saying the country did not pose a national security threat to the United States, despite a recent declaration to that effect.

The designation was meant to allow officials to target seven allegedly corrupt Venezuelan officials, but it ignited a firestorm, particularly in Cuba, which has close ties to Venezuela.

Deceased Venezuelan President Hugo Chavez was a friend and admirer of former Cuban leader Fidel Castro. Chavez's successor Nicolas Maduro continues to send Cuba tens of thousands of barrels of oil each day, despite his country's own economic turmoil.

In exchange, Cuba sends doctors, military advisers and sports trainers to Venezuela.

In Cuba's state-run media, criticism of U.S. policy towards Venezuela has overshadowed the improvement in U.S.-Cuba relations.

In March, Fidel Castro published a letter criticizing the U.S.' "brutal plans towards" Venezuela and the Cuban government promised "unconditional aid" to help defend against American threats.

Its remains to be seen how much Cuba will risk its warming relations with the United States to back up ally Venezuela.

But apparently there is little doubt among the Cuban people on what their government should do.

A poll of 1,200 Cubans released on Wednesday found that 97% of the people surveyed by Miami-based polling firm Bendixen & Amandi on behalf of The Washington Post and Univision Noticias/Fusion supported improved U.S.-Cuban relations.

@highlight

Cuba pulled off a diplomatic coup by gaining attendance at Summit of the Americas

@highlight

First time since 1962, the U.S. has not blocked Cuba's attempt to join

@highlight

Cuba is trying to re-establish itself at the two-day summit in Panama