(CNN) -- The video of Ray Rice knocking his then-fiancee Janay Palmer unconscious and then dragging her body out of an elevator brought the topic of domestic violence to the nation's attention.

Unfortunately, the series of events in this case -- the initial abuse, then the victim-blaming, and the NFL's response -- is not unique to the hyper-masculine culture of the NFL, but is a microcosm of what occurs in our society more broadly. I have seen this far too often in my work specializing in domestic violence law.

What the nation saw in the video of Ray Rice's abuse happens every day in America. In our country, one-in-three high school girls and women experience intimate partner violence,according to the Centers for Disease Control and Prevention. That is: one-third of our female population experiences untold physical, psychological, and developmental harm. Stated another way, domestic abuse occurs at rates higher than the combined number of automobile accidents, stranger rapes, and muggings that women experience.

Janay Rice's experience is not really sensational or extraordinary, it is ordinary.

She has asked the public to leave her family alone, but we don't have to talk about her to talk about domestic violence.

Instead, we could talk about my client whose husband called 911 saying, "I think I've killed my wife." He was an elementary school teacher, not a professional athlete or celebrity, so there was no media coverage of the severe injuries he inflicted or the five-year jail sentence he received after nearly killing his wife.

We could talk about another client whose boyfriend (now husband) burned her with a scalding hot iron, permanently scarring her arm, and later tried to run her over with his car. Or we could talk about my many clients who have been raped, beaten unconscious, and otherwise brutalized by their intimate partners. And this is only the physical abuse; emotional and psychological abuse often inflict deeper harm.

Nor is the NFL's permissive, slow, and underwhelming response to domestic violence unusual in our country. Sadly, our society and legal systems have largely failed to prevent or respond to intimate partner violence. Historically, as long as a husband didn't kill or maim his wife, he would not be prosecuted. During the 1800s and 1900s, legal doctrine gave the husband the right of chastisement over his wife and immunity for marital rape.

Laws against domestic violence are recent and it wasn't until the mid-1990s that each state had protection order laws. Even with laws in place, police and prosecutors are frequently slow to act, and by the time an abuse survivor seeks police or court intervention, he or she has typically experienced repeated and severe abuse. The question of how to prevent abuse persists.

To prevent domestic violence, we must grapple with the causes of violence and the societal forces that condone and perpetuate abuse. Gender inequality and masculine norms of dominance, toughness, and control chiefly contribute to the continuation of abuse. The other major factor is the intergenerational effect of domestic violence, with research showing that witnessing abuse between one's parents is the strongest risk factor for transmitting abusive behavior across generations.

I can respect that Janay Rice does not wish to be tokenized or become a national spokesperson. Let's instead have a larger conversation about prevention and intervention in our domestic violence epidemic.

@highlight

Jane Stoever: The abuse Janay Rice suffered not extraordinary in U.S. It's painfully ordinary

@highlight

1 in 3 teen girls, women suffer partner violence. Stoever sees many grim cases in her law practice

@highlight

Only since '90s have all states had protection order laws. Abuse long tolerated, she says

@highlight

Stoever: U.S. must grapple with causes: male domination, gender inequality, violence seen in home