A film that features a dance routine inspired by Karl Marx and examines African art has won Britain's most prestigious and controversial art prize.

The Turner Prize, which is worth £25,000 ($40,000), was awarded to the Irish film artist Duncan Campbell in a glittering ceremony last night.

His film, It For Others, which was described by the panel as "an ambitious and complex film which rewards repeated viewing", is a response to a "film essay" from 1953 about African art and colonialism.

This archive footage is interspersed with new material, including a dance routine based on the equations in Karl Marx's seminal work, "Das Kapital," created by the choreographer Michael Clark.

All of this is overlaid with a voiceover that imitates the style of a lecture.

Inevitable controversy

The critical response has been largely hostile, with commentators describing Campbell's video as "overlong," "baffling," and "hectoring."

The judging panel, however, admired the artist's "exceptional dedication to making a work which speaks about the construction of value and meaning in ways that are topical and compelling."

Campbell was the bookmaker's favorite. He topped a four-person shortlist that included James Richards, Ciara Phillips and Tris Vonna-Michell to win the coveted prize.

The artist described winning the award as "surreal," but acknowledged that "this money will make a huge difference."

"Even being nominated for the prize has given me great heart," he said.

Some critics have, however, been vocal in their condemnation of Campbell's winning video.

Media debate

Digby Warde-Aldam, the art critic for the UK's Spectator magazine, said: "Surely no arbiter in their right mind could have let such hectoring, cultural studies-sanctioned guff slip through the net?"

"If you're serious about the rubbish on show this year, you are insulting every artist working in Britain today," he said.

The Guardian newspaper, based in London, acknowledged that Campbell has produced "the most consistently interesting body of work of all four shortlisted artists," but described his winning, 54-minute video as "overlong," "over-complicated," and "more like a lecture than an artwork."

And the Telegraph newspaper quoted the director of the Tate Britain, Penelope Curtis, as saying that the video was "a bit baffling" and "quite odd."

Campbell, who lives in Scotland, is a graduate of the Glasgow School of Art. He is the fourth alumni of the school to have won the prize in the last 10 years.

The school's director, Professor Tom Inns, described Campbell's success as "a great accolade both for Duncan and for the Glasgow School of Art."

The power of illustration: 11 drawings that altered history

How did this human face appear in a gemstone?

Stunning geometric shapes appear in snow on frozen, isolated lakes

@highlight

Irish artist Duncan Campbell takes home the 2014 Turner Prize, worth £25,000

@highlight

Past recipients include Damien Hirst, Tracey Emin and Chris Ofili

@highlight

Mixed reviews circle the media as critics and audiences debate Campbell's work