(CNN) -- When Yahoo's relatively new CEO Marissa Mayer decreed that workers would be required to show up at the office rather than work remotely, the immediate backlash from outsiders was mostly on the side of the angry Yahoo employees who were losing the comfort and convenience of telecommuting. Inside the company, reactions were mixed.

It struck a deep chord, contrary as it was to the techno-utopian impulse that has helped define Silicon Valley: the idea that someday soon we'll all be working in coffee shops or at kitchen tables, with broadband connections replacing in-person interactions.

Mayer may have been extreme in her demands for face time at the office, but it's the right call for a leader who is working to turn around one of the Internet's laggards.

First, let's consider what's at stake for the company and what Mayer is hoping to accomplish. Yahoo is famous for having bungled its position as a one-time Internet leader. Mayer was brought on specifically to revitalize the benighted company after the departure of Jerry Yang; the firing of Carol Bartz, and the departures of another CEO who inflated his resume and an interim director. All the while, Yahoo has been a company in search of a direction.

What does the end of telecommuting have to do with giving the company a sound footing? The reasons go well beyond the obvious issue of reining in slackers who have taken advantage of Yahoo's reportedly lax monitoring of work done from home.

Talk Back: Is Yahoo wrong to end telecommuting?

Jackie Reses, Yahoo's head of human relations, has it exactly right in the memo she wrote to employees about the policy: Personal interaction is still the most effective way of conveying a company's direction, and keeping tabs on what different parts of the organization are up to. And that's what Mayer has to do with all of Yahoo's 11,500 employees to succeed.

What do in-person meetings accomplish that e-mail can't? Part of the answer lies in time use surveys of CEOs that go back nearly 40 years.

Management scholar Henry Mintzberg was among the first to track how top managers spend their time in the early 1970s. Much to his surprise, he found that around 80% of their time was spent in face-to-face meetings; the subjects of his study had few stretches of more than 10 minutes at a time to themselves.

More recent time use studies by researchers at Harvard, the London School of Economics and Columbia have found that little has changed. Despite the IT revolution, business leaders still spend 80% of their time in face-to-face meetings.

The reason is that there's only so much that one can glean from a written report or a spreadsheet. To cut through the hidden agendas, and office politics, most of the time you need to look someone in the eye and ask them, "Really? How exactly would that work?" It is this probing and questioning that allows effective managers to gather the scraps of information needed to understand what's really going on.

Similarly, all the way down the organizational chart, person-to-person interactions are crucial to ensure that an organization's change of direction isn't misrepresented or garbled in its retelling.

The bland proclamations made in reports and e-mails are given clearer meaning through the way they're communicated in the "high fidelity" that only personal interaction will allow. In-person meetings can also help teams avoid misunderstandings: As one of our friends who runs a virtual workplace puts it, with e-mail exchanges alone, everyone starts to get a bit paranoid.

Finally, the Yahoo memo notes that it's hard to innovate via e-mail exchanges or the occasional agenda-filled meeting. New ideas spring up through chance encounters in the cafeteria line and impromptu office meetings. It's an assertion that's backed up by academic research highlighting the importance of physical proximity in driving scientific progress.

Work at home? Share productivity tips

Yet there are rarely benefits without cost. Lots of tasks are easily managed from a distance. A large number of the affected Yahoo employees are customer-service representatives who aren't going to be driving innovation at the company anyway.

In one study of telecommuting at a Chinese online travel agency, customer-service reps were both happier and more productive when working from home -- probably Yahoo service reps aren't any different from their Chinese counterparts in this regard. And every Yahoo employee surely has some aspects of their jobs that could be done just as well at the kitchen table as in an office cubicle.

But it's hard to create a norm of "physically together" if the office is always half-empty. And once it becomes that way, the half that have been showing up will be less and less inclined to bother. Finally, such a shocking and provocative directive will most certainly have the effect of imbuing the organization with the sense of urgency it needs to get the job done.

Will Yahoo employees come around to appreciating the change? Not necessarily the ones that liked to sleep in or work on a startup on Yahoo's dime, but it may be welcomed by the ones already showing up. Will it be damaging to morale? Possibly, though it may help Yahoo employees to remember that, if they're successful, the change is likely to be temporary.

But the job of the CEO isn't to maximize worker happiness. It's to make sure they get their jobs done. And in driving change at Yahoo, Mayer thinks they need to show up at the office.

The opinions in this commentary are solely those of Raymond Fisman.

@highlight

Raymond Fisman: Marissa Mayer needs to revive Yahoo, and face time at the office is key

@highlight

Fisman: Granted, this goes against Utopian vision of everyone working from cafes

@highlight

Fisman: In-person work means innovations, avoids misunderstood directives

@highlight

He says more jobs will get done and it'll encourage those who work in a half-empty office