Hong Kong (CNN) -- When the new names of China's elite political committee were announced Thursday they didn't come as a surprise to one leading China expert. Rather, they reinforced the sense of "a major opportunity lost."

"This Party congress has sent a very clear signal that this leadership is politically conservative," said Cheng Li of the Brookings Institution, who predicted that the lineup wouldn't go down well with the Chinese people who he said were looking for signs of political reform.

"You can imagine the Chinese public may start to express some dissatisfaction with the dominance of princelings (sons of revolutionary leaders), with the elder and retired top leader Jiang Zemin's interference in the process of succession, and also that two liberal leaders Li Yuanchao and Wang Yang are excluded in the new Politburo Standing Committee (PSC)," he said.

As expected, the number of seats on the PSC shrank from nine members to seven and included the names at the top of many speculative lists:  Xi Jinping (President), Li Keqiang (Premier), Zhang Dejiang, Yu Zhengsheng, Liu Yunshan, Wang Qishan and Zhang Gaoli.

"Of these seven people, it's really five-versus-two or maybe even six-versus-one because only two people are Tuanpai," Li said.

Tuanpai are Party members who rose through the ranks of the Communist Youth League and typically have ties to outgoing president Hu Jintao.

"One of the Tuanpai members -- Liu Yunshan -- is actually very close to Jiang Zemin. So this lack of balance will potentially be a serious problem in the months or years to come," Li added.

CNN asked Li for his immediate reaction to the lineup and the possible implications for Xi's term as China's new president.

After months of mystery, new leaders revealed

What do you make of the new lineup?

It is not a surprise but a disappointment. The disappointment is based on several reasons: First, apparently there was no intra-party multiple-candidate election for the Politburo and its standing committee. They were still selected through the old way of "dark-box" manipulation by departing Politburo Standing Committee members. Also, it's dominated by Jiang Zemin's protégés, especially the so-called princelings.

Despite a profound sense of disappointment, I should say there are some positive things coming out of this leadership transition.

One is that Hu Jintao stepped down as Chairman of the Central Military Commission, making the succession more institutionalized and complete. By and large, this leadership transition is another orderly transition in PRC history. The leadership change follows the rules and norms of age limits, and the turnover rates in all leadership bodies are all very high: 64% for the Central Committee, 77% for the Disciplinary Commission, 68% for the Secretariat, 71% for the PSC.

The size change (from nine to seven members of the PSC), including the elimination of the police czar and the propaganda czar, is a welcome development. These are all positives but, in my judgment, this leadership lineup does not generate an uplifting spirit for the nation; I think this is a major opportunity lost.

Some leaders, particularly the Tuanpai leaders, will be very unhappy. You need to give an explanation to the Chinese public why Li Yuanchao and Wang Yang -- two strong advocates for political reform -- are out.

Opinion: Why China's reforms have hit a wall

Why are they out?

The reason, in my view, Wang Yang is out because he is seen by many conservative leaders as a threat. Particularly as Wang's main political rival Bo Xilai is out, they don't want him to be in -- previously Wang and Bo tended to balance each other in terms of power, influence and policy preference.

In many ways, both are very outspoken, very courageous, very innovative in politics -- they reach out to the public for support -- so in a way, some conservatives are very scared. In my view, this group of seven leaders is very capable in economic and financial affairs, but politically they are quite conservative.

Read more: Bo Xilai stripped of last official title

How long will it take for Xi to make his presence or policies known?

Xi will enter a short honeymoon period despite all the criticism and worries that have already emerged. The criticism may not be against him but rather against Jiang Zemin, against the dominance of princelings.

He needs to demonstrate that he can provide new hope and confidence for the public with new economic policies. He should do so relatively quickly. He can't wait too long because a large number of people are very unhappy with rampant official corruption and growing economic disparity.

He needs to do a lot on the economic front, but I'm a little bit concerned that because of the composition of the new Politburo Standing Commitee the political reform will be delayed. These leaders are not famous for political reform -- not like Li Yuanchao and Wang Yang.

How will Xi rule?

I think he will emphasize economic reform -- to make the middle class happy -- and to promote the private sector, to introduce more economic reform mechanisms, including banking reform and state-owned enterprise reform, basically with the goal to promote private sector development.

Some of his team members, like Wang Qishan, Yu Zhengsheng and Zhang Gaoli, are all pretty capable in that regard. The problem is that economic reform needs serious political reform; otherwise, it can not go too far because of the political bottleneck. This leadership lineup has sent a very clear signal that it is politically conservative.

What can Li Keqiang bring as Premier?

In many ways, he's surrounded by Jiang Zemin's people who will tremendously restrain his power. There were previously a lot of people who wanted to block him from the premiership -- that failed. But now even in the state council, certainly in the standing committee, he's quite alone.

What does it say about the enduring influence of Jiang?

The backlash against Jiang Zemin will be overwhelming. Yes, Jiang's camp wins many seats in the Politburo Standing Committee, but in the future they may pay a huge price for this "victory." The public resentment will be very strong. These leaders are still selected by old-fashioned, behind the scenes deal-making and retired leaders' influence, not really through an intra-party multiple-candidate election. That's a big opportunity missed. That will undermine their legitimacy and credibility.

Read more: Hu warns of enemy within

Why and how is Jiang still able to wield such influence?

Because of the need to protect his interests and his family interests. To a certain extent his protégés also want to have him to help them, in a way. Jiang Zemin is strong largely because his protégés are in important positions. People like Xi Jinping, Zhang Dejiang and Wang Qishan, they're already well-positioned.

Why has Hu failed to be the type of leader who could win out against Jiang's people in the PSC?

It's still too early to give a well-grounded answer due to a lack of reliable information about what happened inside Zhongnanhai (Communist Party headquarters in Beijing).

There are several possible reasons: One is, Hu wants to make a contrast between himself and Jiang Zemin. Jiang stayed in power for two more years after the transition at the 16th Party Congress. But Hu wants to immediately give up that position. So it is an institutional improvement. Secondly, his volunteering to give up that position makes Jiang's activity to promote his protégés in the past few months very problematic.

The balance in the Politburo Standing Committee is broken, but the balance in the Politburo and the Central Military Commission -- between the two camps -- largely stays intact. There are many of Hu's people in the central committee. Consequently, this may create structural tensions between these very important leadership bodies.

Read more: Can Hu retain clout after handover?

@highlight

Cheng Li of the Brookings Institute expresses disappointment at lineup of PSC

@highlight

Politiburo Standing Committee stacked with supporters of former president Jiang Zemin

@highlight

Premier Li Keqiang, part of Hu Jintao's camp, is "quite alone," Li said

@highlight

Li: "This leadership lineup does not generate an uplifting spirit for the nation"