(CNN) -- A popular antibiotic used to treat bacterial infections can cause abnormal -- and possibly fatal -- heart rhythms in some patients, according to a new warning from the Food and Drug Administration.

The drug, azithromycin, sells under the name Zithromax or Zmax and is commonly sold in what's called a Z-Pak.

The FDA warning comes after the agency reviewed a study on the drug that was published last May in the New England Journal of Medicine, as well as another study by a manufacturer of the antibiotic. The warning is "not the result of adverse event reports related to azithromycin," according to an FDA spokeswoman.

Researchers at Vanderbilt University looked at the records of thousands of Tennessee Medicaid patients over a period of 14 years. They found a 2.5 times higher risk of death from heart disease in the first five days of using a Z-Pak when compared to another common antibiotic or no antibiotics at all.

The drug may cause changes in the electrical activity of the heart, according to the FDA.

People with underlying heart problems seem to be especially vulnerable to developing this condition, said Wayne Ray, professor of preventive medicine at Vanderbilt and the study's lead researcher.

The FDA said patients who have low blood levels of potassium or magnesium are at a higher risk. Patients who have a slower than normal heart rate or are already taking drugs to treat arrhythmias should also be cautious.

Ray told CNN it's unclear why azithromycin can cause heart issues. He pointed out that similar antibiotics, such as amoxicillin, have also been found to cause heart arrhythmia.

Pfizer, which produces the drug, released a statement Tuesday, saying: "The majority of patients treated with Zithromax (azithromycin) are not affected by this label update."

So should people with heart problems stop taking the drug? Not necessarily.

"This just adds another 'con,'" said Ray.

He said it's important to ask your doctor the follow questions: How serious is the infection? If I use a Z-Pak could it aggravate any underlying health issues? Are there any other antibiotics that could work just as well?

Ray said doctors often prescribe Z-Paks because the drug only needs to be taken for five days, versus the 10-day periods that are typical with other antibiotics.

Drug labels for azithromycin have been updated to include warnings about this risk, the FDA said.

@highlight

Antibiotic sells under the name Zithromax or Zmax

@highlight

Study found 2.5 times higher risk of death in the first five days of using the drug

@highlight

Pfizer says majority of patients treated with the drug are not affected