(CNN) -- Destructive graffiti wars are being waged by anonymous vandals, deliberately defacing many of the meticulously painted murals that vividly illustrate San Francisco's streets.

The attacks have sparked calls by outraged professional artists and their supporters demanding everything from public humiliation to experimental collaboration with the hostile graffiti "taggers" to avoid violence and more lost art.

If you're going to San Francisco, keep in mind that the outdoor murals you see are ephemeral, so appreciate them -- and take lots of photos -- before they disappear.

Countless gorgeous, larger-than-life murals illustrate this city's weathered exteriors, bestowing visual intrigue to homes, shops, parking lots, recreational facilities, derelict buildings and alleys.

Artistic themes include anarchy, surrealism, science fiction, eroticism and other fantasies and realities.

Some gigantic paintings include political slogans or poetry for the public to ponder.

Now, however, a rolling population of taggers has been wreaking havoc on many of the best murals, by hurriedly spray-painting initials, names, words, acronyms and other lettering across the majestic urban displays.

Gang intimidation at work

Some victimized artists worry that the taggers may include criminal gangs marking their neighborhoods, making it unwise to confront them or remove their destructive scrawls.

"There is always that possibility of violence, if you approach someone tagging a mural," said Carlos Daniel Perez-Boza, 26, who teaches art at San Francisco's Cultural Arts Division of the Recreation and Parks.

"Some taggers come in large numbers, some are gang related. Their intention is to mess things up and possibly look for a fight," he said in an interview.

"I can only hope taggers would appreciate the street arts, and truly see what are the possibilities that we are building, for artists to showcase their talents in public space," said Perez-Boza, who is also a muralist, painter, street and studio artist.

Mission District art targeted

Clarion Alley, the Mission District neighborhood's prestigious, free, open-air gallery, isn't immune from desecration.

Since 1992, Clarion Alley's urban lane has allowed artists to voluntarily adorn its outdoor walls, fences, residences, gutters and every other available space with fanciful and often profound murals.

The public alley runs parallel between 17th and 18th streets, linking Mission and Valencia streets -- you can visit anytime day or night for free.

Prominent artist Mats Stromberg completed his 12-foot-tall, 15-foot-wide, ant-infested "Giant Selfie" Clarion Alley mural in 2013.

His mural portrays a man's huge turquoise head -- resembling himself -- laying on the ground, "with two factions of ants battling it out in front of his very eyes, representing the sort of narcissism associated with all the latest social media gadgets, as well as the individual's helplessness in the face of conflicts either nearby or globally," he said in an interview.

Stromberg wasn't amused when his masterpiece was defaced in July.

Big, bold blobs of silver-colored letters, outlined in red -- spelling the name "Blake" -- suddenly smothered much of the mural.

Asked what punishment anti-mural taggers should suffer, Stromberg suggested perhaps the person should be "tarred and feathered, and tied to the defaced wall for a few days and nights? Spray-paint their faces?"

Compromising with taggers?

Stromberg, whose signature "Mats!?" includes double punctuation, has seen his art attacked by other taggers in the past.

His previous response was to painstakingly paint over the graffiti, and restore his mural.

This time, however, Stromberg painted fresh chaotic designs over parts of the silvery letters, rendering "Blake" unrecognizable under blossoming, newly evolved weird images.

"My response this time is to collaborate with my tagger, and not return the piece to its original state, but see what happens," said Stromberg, 50, while laboring to repair his mural.

"The tags inspire new visual vocabularies I would not have thought to paint, had the piece not been tagged."

Tagger response: "Its war"

In August, "Blake" returned with a vengeance to Clarion Alley and ominously wrote in black letters across the repaired mural: "THIS ISNT ART. ITS WAR. BLAKE."

"I wish you could get ahold of Blake, my tagger-collaborator, but I've no idea who, where, what, he is," Stromberg lamented after the fresh assault.

Stromberg's Facebook friends analyzed the tagger's motive.

"You could think of it in terms of mental illness. It's Tourette's -- but they have to write their name over and over maybe," posted one colleague.

"He is expressing some sort of superiority -- read: 'internalized inferiority' -- over a real artist. I was just marveling at the tags on the toilet seat at a local establishment. How low do you have to be, to want to tag that?" someone else wrote.

"I really just don't get why he has chosen to target Mats Stromberg of all people. A legendary, grimy, old school Mission dude, underground pioneer," another dismayed artist wrote.

"This same stuff has happened to mine as well. It's a bummer, but it is good to keep in mind that anything we put out there into the public is ephemeral, meaning it could last a long time or no time," that artist said.

"Stick a nanny cam on there, get a mug shot, and then paint the dude's face on there, wearing a T-shirt that says 'I'm with stupid' and an arrow pointing the guy's head," suggested another post.

Attack on establishment art

"I'm guessing they see a legitimate commissioned or permitted works of art, as being part of the establishment," said Stromberg.

He was referring to the alley's envious status of enshrining some of San Francisco's best art, organized by the volunteer artists' collective Clarion Alley Mural Project (CAMP).

"Sadly, CAMP has helped to contribute to the extreme gentrification of the Mission District over these past two decades," wrote artist Megan Wilson, a CAMP "core organizer" who defends the alley's roots.

"What started as a neighborhood-based project committed to diversity and inclusion, is now a magnet for lots of folks hoping to profit off of the image that CAMP has created -- from the developers and real estate agents who use CAMP as a selling point for the 'cool, hip Mission experience,' to those who use the space for fashion shoots, to corporations hoping to include the 'gritty urban street art' image to sell their products, to any number of paid tours by folks unrelated to CAMP, spreading misinformation about the project, artists and murals," she wrote on her website.

No control over taggers

Many of San Francisco's large murals are the result of serious negotiations between artists and wall owners -- including shopkeepers, residents or city officials -- to ensure the painting remains visible and not erased for violating private property.

But no one can control malicious taggers.

"I believe taggers will always state their voice," said Perez-Boza. "Whether it's tagging a white wall, a mural, local mom and pop, venues, billboards, public transit or corporate buildings."

People attack murals because "they knew the artist, and maybe that artist they knew 'sold out.'

"Or they at one point were in the same crew, and now they are in different crews.

"Or jealousy and envy. Or they just don't care.

"Or they can be sending gang messages.

"I don't know what the punishment should be, if someone intentionally spray-painted over a mural.

"It's not like the law is involved, unless you're tagging a McDonald's ad," Perez-Boza said, laughing.

"I had someone tag one of my work-in-progress murals.

"The silly part about this was how they displayed it.

"My wall was about 15 feet high, 20 feet wide. Their mark was no bigger then six inches."

You can see some of San Francisco's best murals and other art at websites for the Clarion Alley Mural Project; Carlos Daniel Perez-Boza; Mats Stromberg; SF Mural Arts.

Richard S. Ehrlich is a freelance writer from San Francisco. He's reported for international media from Asia since 1978, based in Hong Kong, New Delhi and now Bangkok.

@highlight

Authorized murals and street art routinely being defaced by vandals in San Francisco

@highlight

Some of best murals in historic Mission District have been ruined

@highlight

"Its war" declared one tagger after an artist attempted to paint over his tag

@highlight

"There is always that possibility of violence if you approach someone tagging a mural," says local art instructor