(CNN) -- By now, all have heard the appalling news that storm researchers Tim Samaras, his son Paul and Carl Young lost their lives while studying the tornadic supercell thunderstorm that struck the Oklahoma City area Friday.

Tim and Carl were my colleagues and seasoned meteorologists involved in TWISTEX, or Tactical Weather Instrumented Sampling in/near Tornadoes Experiment, whose mission it is to sample aspects of the environment near tornadoes. I've known them for years.

I have been involved in storm research and/or the storm chasing community since 1985. In this 28-year span, there had not been a death, and I know of no injuries among meteorologists studying tornadic storms until now. It will be several days before the exact circumstances of this tragic loss become clear. But even before the storm that ravaged the El Reno and Union City, Oklahoma, areas occurred, many questions appeared in the media about storm chasing, or storm observing in the field.

Storm chasing: Science, thrill-seeking or tourism?

Reducing this issue down to its core, emergency management personnel complain that storm chasers are clogging roads and making it difficult for first responders to reach victims. This issue came to a head in Ellsworth County, Kansas, on April 14, 2012, as an EF4-rated tornado approached Salina.

Whether it is true that storm chasers did indeed impede traffic in that and other cases, it's clear that the number of chasers out on the roads has dramatically increased in the last decade. And some of these people engage in foolhardy and dangerous behavior. The question is "why?"

CNN Photos: Professional storm chaser

From my perspective, as a professor of meteorology, the term "storm chasing" means what it always has meant to atmospheric scientists who study storms in the field. It means interweaving meteorological reasoning and forecasting skills for the purpose of understanding severe thunderstorms in general, and tornadic supercells in particular.

It's enough to say that the early forays of meteorologists studying severe storms in the field in the 1960s and 1970s continued into the 1980s and 1990s. Eventually, their missions split into two tracks.

On the one hand, in the middle to late 1990s and early 2000s large National Science Foundation-funded projects such as VORTEX, or Verification of the Origins of Rotation in Tornadoes Experiment; STEPS, or Severe Thunderstorm Electrification and Precipitation Study; TWISTEX; and others involved field efforts bringing many research meteorologists and instrument platforms into the field to surround tornadic supercells or severe thunderstorms. I was involved at a minor level in the first and more actively in the second.

The second track relates to more of what I do as a meteorologist. Initially, I was drawn to study these storms because they happen in California, too. So, since I am a weather forecaster by training, what better way to understand how weather patterns contribute to the ingredients of severe storms than by immersing myself in a large "inquiry-based" personal research experience?

In my case, bringing this knowledge of ingredients, burned into my psyche by having to forecast them, back to California has helped meteorologists there understand the patterns that are liable to produce favorable conditions for tornadic supercells. Other meteorologist chasers have their own set of predetermined goals in observing storms in the field. All of us are admittedly united in a fascination with these storms.

Tornado chasers were researchers, not cowboys

What is important to note is that no matter what their mission, meteorologists studying storms in the field contribute to the storm-observing process. All my colleagues who do this have ways of contacting the National Weather Service quickly when tornadoes are forming. This has led to an increase in the warning time. For example, such observations were a key in preventing injuries and loss of life for the Greensburg, Kansas, tornado on May 4, 2007.

In 1996, the film "Twister" popularized the notion of chasing storms to immerse oneself in a tornado's circulation. The film's chase teams were loosely based upon the fleets of vehicles called Mobile Mesonets in project VORTEX and the early chase forays by the National Severe Storms Laboratory and Oklahoma University.

Except it was based upon a fiction: that meteorologists purposefully drive into tornadoes. That fiction, I believe, has combined with the trend in society for "extreme" behavior. This has encouraged literally hordes of nonmeteorologists -- many of whom who do not understand storm structure or behavior -- carrying cellular phone cameras into the field. This extreme behavior is exemplified by cable network programs extolling groups of chasers who drive vehicles that resemble the Flash Gordon/Emperor Ming the Merciless' spaceship into the path of tornadoes, screaming "tornado, tornado."

What does this have to do with Friday's tragedy?

There were many chasers in the field that day. A radar plot taken around 6:11 p.m. CT about the time that a multiple vortex tornado was on the ground shows dozens of red dots representing storm chasers or spotters or researchers who were reporting their positions. Undoubtedly there were many more.

Most of the meteorologists I know who were out in the field that day are represented by the dots south and east of the storm circulation. Many of them contributed useful information to the National Weather Service in the form of eyewitness accounts of the tornado formation, that were not able to be detected by the weather service radars in the Oklahoma City area. Some of them were on instrumented vehicles that included mobile Doppler Radar that also contributed to the excellent warnings issued for that tornado.

Most left the area when the storm's circulation got so intense that visibility became an issue. They also navigated away from Oklahoma City so as not to clog roads at commute time, or to contribute to the chaos that would develop there if a tornado went into that heavily urbanized area.

In the coming days, we'll learn more about the decisions that Tim's group made that day. It could be that he took some calculated chances and was caught by the rapid northward motion of the tornado.

It would be a double tragedy if his memory is besmirched by an assumption the he was seeking thrills or personal publicity. He wasn't. He was an active researcher contributing to our knowledge.

But the fact remains that to emergency management personnel a chaser is a chaser, whether he/she is a meteorologist or not. While it's clear that meteorologists who chase know how not to interfere or know how to keep major road stems free of traffic, it's not clear that others do. This is an important issue that the storm research/chaser/spotter community must face in the upcoming years.

The opinions expressed in this commentary are solely those of John Monteverdi.

@highlight

Three storm researchers were killed last week studying severe storm near Oklahoma City

@highlight

John Monteverdi says meteorologists conduct scientific research on storms in the field

@highlight

Publicity about storm chasers has led many amateurs into the field, he says

@highlight

Monteverdi: Storm researchers need to confront issues about rising number of chasers