Seoul, South Korea (CNN) -- After agreeing in principle to hold talks on reopening their joint industrial complex, North and South Korea are haggling over the date and time of the potential meetings.

The proposed talks are the clearest sign yet of an improvement in the severely strained relations between the two sides after North Korea set off months of unsettling tensions with a long-range rocket launch in December followed by an underground nuclear test in February.

The North broke the impasse between the two sides over the Kaesong Industrial Zone -- a major symbol of cooperation between the two countries where Pyongyang halted activity in April -- by issuing a proposal on Thursday for talks.

It said that "the venue of the talks and the date for their opening can be set to the convenience of the south side."

South Korea reacted quickly and positively to the offer, noting that it had been "continuously" seeking talks on Kaesong since the North shut it down. The South's unification minister, Ryoo Kihl-jae, suggested the two sides hold ministerial-level talks in Seoul on Wednesday.

On Friday morning, the North expressed appreciation for the South's response. It said it thinks that "working contact" between the two governments is necessary before ministerial talks, proposing that the lower-level meeting take place in Kaesong on Sunday.

It also said it would meet a request from the South to reopen on Friday the Red Cross liaison channel in the border area of Panmunjom, an important line of communication between the two sides that the North cut off as tensions flared earlier this year.

South Korean officials didn't immediately respond to the North's latest statement Friday.

The shuttered Kaesong complex is one of the main casualties of the recent period of fiery threats and provocative moves by North Korea.

In early April, Kim Jong Un's regime began blocking South Koreans from entering the manufacturing complex, which sits on the North's side of the heavily fortified border and houses the operations of more than 120 South Korean companies.

Pyongyang then pulled out the more than 50,000 North Koreans who work in the zone's factories, saying it was temporarily suspending activity there. The last South Koreans in the zone left last month.

The North Korean decision to halt operations surprised some observers, since Kaesong was considered an important source of hard currency for Kim Jong Un's regime.

The proposal for talks regarding the complex indicates that "maybe the cost of closure of Kaesong is greater than they had anticipated," said Daniel Pinkston, a senior analyst for the International Crisis Group covering Northeast Asia.

At the same time, Pinkston said, North Korea's key ally, China, which has expressed displeasure with some of Pyongyang's recent behavior, may not have been "as generous as the North Koreans have been expecting in terms of aid, assistance, trade and investment."

The North's menacing rhetoric against the United States and South Korea hit a fever pitch in March and April after the U.N. Security Council voted in March to slap tougher sanctions on the regime and amid U.S.-South Korean military drills in the region. The U.N. sanctions were in response to the North's third underground nuclear test, which took place in February.

The U.S.-South Korean military exercises have since ended, and Pyongyang has toned down the frequency and intensity of its threats.

North Korea's behavior suggests it was willing to "go to the brink and try to rattle" new South Korean President Park Geun-hye and other governments, Pinkston said.

"But I don't think that really happened," he said. "South Korea and its allies in the international community demonstrated their resolve and unwillingness to back down in the face of North Korean rhetoric."

The North's statement Thursday also proposed that the potential talks cover other issues besides the Kaesong complex. It mentioned the possibility of resuming cross-border tours at Mount Kumgang, a North Korean resort where a South Korean tourist was shot by a North Korean soldier in 2008 after allegedly walking into an off-limits area.

Pyongyang said the talks could also include "humanitarian issues" such as "the reunion of separated families and their relatives."

The North Korean proposal did not, however, mention anything about the North's controversial nuclear and missile programs, which lie at the heart of the tensions surrounding North Korea.

Kim Jong Un's regime chose a symbolic date on which to make its offer of talks. June 6 is Memorial Day in South Korea, when citizens commemorate those killed while fighting to protect the country, including during the Korean War in the early 1950s.

CNN's K.J. Kwon reported from Seoul, and Jethro Mullen reported and wrote from Hong Kong.

@highlight

NEW: North Korea proposes "working contact" in Kaesong on Sunday

@highlight

NEW: It also says it will reopen a communications channel severed during recent tensions

@highlight

South Korea has suggested ministerial talks in Seoul on Wednesday

@highlight

The North offered the talks to discuss the shuttered industrial site and other issues