(CNN) -- Candy Torres drove nonstop for 21 hours to see the launch of space shuttle Challenger in June 1983. She had seen shuttle launches before, but this trip from Princeton, New Jersey, to Cape Canaveral, Florida, was different: Sally Ride was about to become the first female U.S. astronaut to leave the Earth's atmosphere.

Torres was proud to watch the first female astronaut take flight. She was even more proud at the thought of Ride's achievement inspiring more women to work in the space program. In a field that was almost entirely dominated by men, Torres had been working as a satellite engineer for seven years.

Torres shared photos of the launch with CNN iReport as NASA prepared for the final flight in its shuttle program. She recalled the moment of joy these pictures capture: Standing in front of the towering mass of the shuttle Challenger, she smiles as she shoulders the camera she used to record the event.

"Seeing the launch was a confirmation of what I had held on to," she said. "Women could achieve their dreams."

Torres, the 57-year-old daughter of Puerto Rican immigrants, is a self-proclaimed "technorican," a portmanteau for her love of technology and her heritage. It's a moniker she earned through years of work: She studied astrophysics at Rutgers, worked on experimental satellite research at Princeton and developed next-generation software for the shuttle program.

She came of age with classic science fiction, like the original "Star Trek" television series. Growing up first in the Bronx and then Newark, New Jersey, the steel palisades of the New York City skyline resembled to her some kind of otherworldly spaceship docked in the Hudson, fueling her already-wild imagination.

"I thought about the future a lot as a child, because I recognized that the present and the past weren't very happy places for people," she said. "So, to me, the future was always going to be better.

"And as a Puerto Rican, I really connected with the diversity of the Enterprise's crew, that vision of a utopian, multi-ethnic future."

Weaned on the vision of an enlightened spacefaring society that "Star Trek" offered, and inspired by President John F. Kennedy's call to put an American on the moon, Torres dedicated herself at an early age to working in the space program.

"It was easy to aspire to a future like that where people got along regardless of race or religion, just because they were human. Being a lifelong 'Star Trek' fan made me see the space program not just as sci-fi, but as a positive vision of the future, at a time when we desperately needed those positive visions."

But as a teenager, Torres faced a chorus of no's every time she talked with her family and friends about her nascent passion for space exploration. "No,"Puerto Ricans aren't astrophysicists. "No," women can't be astronauts.

"I always knew that if I wanted to reach my goals, I was going to have to work hard and never quit," she said. "I had to work through a lot of personal things too, because I was so self-conscious. I was a fireball inside, but socially I was very uncomfortable around other people a lot of the time. But when it's something that matters to me, the fireball comes out!"

At the age of 14, she joined the Civil Air Patrol [CAP], and learned to fly a plane before she could drive a car. As one of the handful of female cadets in her troop, she learned marching, drilling and wilderness survival through one of the few such programs in which girls were allowed to participate.

Yet her dreams were seemingly cut short by the institutionalized sexism that was all too common in the United States before the women's rights movement entered public consciousness.

"I guess the moment that crystallized it for me was the day we found out that the girl cadets couldn't go on a search-and-rescue mission as part of our classes," she said. "We were supposed to go find a businessman who was lost in the woods, but the girls were not allowed."

These denials only strengthened her resolve, equipping Torres with a purpose and drive to match the skills she had already developed in aviation, math and science. At Rutgers, she enrolled in an aerospace engineering program where she was one of fewer than 10 women in classes with hundreds of men.

"They were definitely not happy about having women in the class," she said. "I didn't have any kind of support system. I didn't get to know any of the other women, and the guys basically ignored me."

After four years studying topics as broad as astrophysics, astronomy and theoretical geology, she graduated in 1976 with an interdisciplinary major in space science. The day after graduating from Rutgers, she was offered a job at Princeton, where she aided in the development of the experimental OAO-3C 'Copernicus' satellite program.

She worked in the university's astrophysics department for seven years. There, she frequently collaborated with Dr. Lyman Spitzer, one of the principal architects of the Hubble Telescope. In 1983, only a few weeks after Sally Ride's historic launch, Torres was finally offered her dream job: A post at NASA's Johnson Space Center in Houston. She worked there for two decades as a software engineer and astrophysicist, first on the Space Shuttle program and then as a systems engineer for the International Space Station.

Her favorite souvenir from her career at NASA is a life-size cutout of the half-Klingon engineer B'Elanna Torres from "Star Trek: Voyager." The cutout's story began when Roxann Dawson, the actor who portrayed the fictional Torres, visited Johnson Space Center in the late 1990s. Though the two never spoke one-on-one, Torres joked that she was "the real Engineer Torres." When Dawson later heard about the quip, she sent her the cutout.

For Torres, a simple cardboard cutout from "Star Trek" embodies both the adventurous spirit of the space program and the personal convictions that carried her through life.

"I will quote my friend Story Musgrave, an astronaut who did some of the Hubble walks, and a former classmate of mine," she went on. "He would show a picture of a child at the beach, holding a seashell. We're all born to be explorers, just like a little child marveling at a seashell.

"I remember being like that, and I like to think I still am. With a lot of people, it gets worked out of you over the years, but I always held on to that childlike willingness to ask 'What if?'"

@highlight

Candy Torres' love of "Star Trek" inspired her to dedicate her life to NASA

@highlight

Despite being told that woman couldn't work in the space program, she persisted

@highlight

One of the first women to work in aerospace