(CNN) -- Syria's opposition says the once-bustling commercial capital of Aleppo might soon fall victim to a crushing siege if government troop advances continue unabated.

Fears of encirclement rose after the Syrian army, backed by pro-government militias, wrested control of the Sheikh Najjar neighborhood and the nearby village of Kafr Saghir, a strategic industrial area at the northeastern entrance to Aleppo city.

Government troops also advanced toward central Aleppo from the western suburbs, most of which it controls, including the Hamdaniya district along the key Damascus-Aleppo Highway.

Rebels called the defeats a strategic withdrawal and announced the formation of a 600-strong elite force to combat the escalating offensive, the opposition-run Aleppo Media Center reported.

The Syrian military is focused on capturing the Handaraat settlement, which links the opposition-controlled neighborhoods of Aleppo city with the Turkish border. If successful, the Syrian government will be in a position to besiege an estimated 300,000 civilians and isolate fighters from a vital supply line, the Aleppo Provincial Council tells CNN.

"The rebels are fortifying themselves on the edge of the city" Mohammed Wisam, a spokesman for the Aleppo Media Center told CNN, "but residents fear a siege."

Fighters from the National Defense Forces, a Syrian paramilitary group, and the Lebanese Shiite militia Hezbollah arrived in Aleppo ahead of what activists believe will be a full-scale assault on Handaraat.

"This will be the route to death," Abdul Rahman Dadam, head of Aleppo's Provincial Council, tells CNN, "The humanitarian crisis will be huge, and the civilians will pay the price."

The United States accuses Syria of a "kneel or starve" tactic on areas that turned against the government of President Bashar al-Assad during the country's more than three-year uprising turned civil war.

A nearly two-year encirclement of the Old District of Homs drew widespread international condemnation earlier this year when activists reported hungry families were forced to pick grass for food, and in the still besieged Damascus suburbs, dozens have died because of a lack of basic medical supplies and food, doctors inside Syria told CNN earlier this year.

Radical threat to the west

An altogether different threat faces rebels in the western Aleppo countryside, where the ultraradical Islamic State of Iraq and Syria controls three main cities, including a key position in Jarabalus along the Turkish border.

The group recently launched an offensive on much of the Kurdish eastern countryside of Aleppo after announcing the creation of a so-called "Islamic State" stretching from central Syria to Falluja, Iraq, with the head of the group Abu Bakr al-Baghdadi as the self-styled Caliph.

Militants captured three Kurdish villages in Aleppo province near the ethnic minority's stronghold of Ayn al-Arab this week, according to the London-based monitoring group the Syrian Observatory for Human Rights.

The People's Protection Unit, a Kurdish militia, evacuated about 2,000 civilians from the area and clashed with ISIS on Tuesday in an attempt to recapture the villages. At least three elderly civilians who refused to leave their homes were captured and executed by ISIS, the observatory and Kurdish activists reported.

"The whole area has been turned into a battle ground, but the people have no choice. They must stay strong, and we must defend ourselves," Omar Alloush, the head of external relations in the local branch of the Democratic Union Party, which administers Ayn al-Arab, told CNN.

After ISIS captured tanks and American Humvees in a sweeping campaign on the Sunni heartland of Iraq, the group intensified its march on Kurdish and rebel-held parts of Aleppo province in Syria, multiple activists tell CNN.

"We do not want anything from ISIS; we just want them to not come into our areas and impose their rule. We do not want their caliphate," Alloush said.

The intensification of fighting stalled talks for the release of more than a 120 Kurdish students kidnapped in May by ISIS and forced to take daily classes in ultraradical Islamic theology. The families of the abducted ninth grades say their children are being brainwashed and have appealed to the international community for help.

"I still have hope the children will be released. We remain steadfast, and we ask ISIS to call a cease-fire for just 24 hours so we can find a way to return the students to their families," Alloush said.

Who is the ISIS?

Constant aerial bombardment

For civilians, the skies are the third and arguably the most threatening front in the battle for Aleppo.

"Fear God!" an elderly women yells on a social media post after her neighborhood of Tariq al Bab was barrel-bombed by government warplanes, "They have destroyed our homes and killed our children."

The Syrian army appears to have escalated the use of barrel bombs, crudely constructed weapons packed with explosives and dropped indiscriminately, on Aleppo since the launch of the ground offensive last week, activists tell CNN.

"Where in the world is it OK to drop hundreds of kilos of explosives from thousands of meters in the sky on a densely populated civilian area?" Dadam tells CNN. "The international community must stop the killing."

Syria's protracted civil war has claimed the lives of at least 140,000 people, including hundreds killed by barrel bombs, human rights groups report. Thousands more fled what the opposition dubs the "barrels of death" to join the more 2.9 million refugees struggling to survive in neighboring countries.

"The regime is fighting us with rockets and bombs from the sky and ISIS is firing mortar and tank shells on the ground. How can the revolution stand up to all this? Dadam tells CNN.

"This is why we need the international community to intervene. To stop the bloodshed."

How ISIS is overshadowing al Qaeda

Pentagon considers how to target ISIS leader in drone strike

@highlight

With help from militias, Syrian government has retaken strategic roads and villages

@highlight

To make matters worse for rebels, ISIS bombards them to their west

@highlight

Another factor: Deadly barrel bombs dropped from the sky

@highlight

"The international community must stop the killing," Aleppo council leader pleads