On Tuesday, al Qaeda's affiliate in Iraq announced that it had merged with the Syrian opposition group Jabhat al-Nusra to form the "Islamic State of Iraq and the Levant."

The announcement came in the form of an audio message from the leader of al Qaeda in Iraq, Sheikh Abu Bakr al-Baghdadi, that was distributed to key jihadist websites.

The merger was first reported by SITE, a Washington-based group that tracks jihadist material online. The authors were able to confirm the announcement by monitoring the jihadist site, Ansar al Mujahideen, which frequently posts material from al Qaeda, including Tuesday's news of the merger of the Syrian and Iraqi wings of al Qaeda. Complicating matters, on Wednesday al Nusra claimed it wasn't merging with al Qaeda's affiliate in Iraq, but instead was pledging its allegiance to al Qaeda's overall leadership.

The news that there is some kind of connection between al Qaeda in Iraq and the Syrian Jabhat al-Nusra (in English "the Victory Front") is not entirely surprising. U.S. officials have long suspected that al-Nusra was really, in part, a front for Iraqi jihadists who had crossed the Syrian border to join the fight against Syrian President Bashar al-Assad. The State Department added Jabhat al-Nusra to its list of designated foreign terrorist organizations in December.

The fact that al-Nusra has publicly aligned itself with central al Qaeda is worrisome. A long-term safe haven for this group in Syria could be the prelude for the formation of an organization with the wherewithal to attack the West, just as al Qaeda's sojourn in Afghanistan when it was controlled by the Taliban prepared the group for the 9/11 attacks.

Second, al-Nusra is widely regarded as the most effective fighting force in Syria, and its thousands of fighters are the most disciplined of the forces opposing Assad.

Al-Nusra is also the first al Qaeda affiliate to take a page out of Hezbollah's book and operate not only as an effective fighting force but also as a large-scale provider of services, for instance, distributing enormous quantities of desperately needed bread in the areas of Syria that the group controls.

Finally, al-Nusra is the first jihadist group for many years that has chosen to merge with al Qaeda at a time when it is having significant success on the battlefield. Al Qaeda's North African franchise, al Qaeda in the Islamic Maghreb, as well as the Yemen-based al Qaeda in the Arabian Peninsula, both announced their affiliation with al Qaeda only when they were struggling for resources and exposure.

While al-Nusra is enjoying real battlefield success in Syria, it is formally allying itself to al Qaeda at a time of great weakness for the global terrorist organization. The announcement of the merger with al-Nusra provides al Qaeda's leaders, now headed by the Egyptian Dr. Ayman al-Zawahiri, the chance to prove they are still relevant.

Al Qaeda has received severe blows in recent years: a contingent of U.S. Navy SEALs killed the group's leader, Osama bin Laden, two years ago, while CIA drone strikes have decimated al Qaeda's ranks in Pakistan's tribal regions, and the group hasn't pulled off an attack in the West since the suicide bombings on the London transportation system in 2005.

Sheikh al-Baghdadi, the leader of al Qaeda in Iraq, said that he had delayed the announcement of the formal merger with al-Nusra because he wanted to allow Syrians time to get to know al-Nusra on its own terms, without the inherent negative bias that would be caused by an early announcement of its ties to al Qaeda.

This was prudent. Had al-Nusra voiced its links to al Qaeda during the rebellion's nascent stages, al-Assad would have had an easier time blaming the uprising on "terrorists" as he has done since violence first broke out in Syria in March 2011.

Syria is in its third year of a bitter civil war that has claimed the lives of more than 70,000 people, and wide swaths of the population support the opposition. In these circumstances, if al-Nusra continues to fight effectively against  al-Assad, Syrians are not, at least for the moment, likely to care too much about what the group's broader ideological leanings are.

For al-Nusra the gains of a public announcement of its alliance with al Qaeda are far from clear. In fact, it is likely to be quite counterproductive.

According to Leila Hilal, a Syrian-American who meets regularly with the Syrian opposition and is the head of the Middle East Task Force at the New America Foundation, the merger announcement may "confirm the suspicions of much of the Syrian public that al-Nusra is not fighting for a free Syria, but for the establishment of an ultra-fundamentalist state."

That might explain why the head of al-Nusra, Abu Mohammed al-Jawlani, claimed in an audio message released on Wednesday that he wasn't "consulted" on the announcement of the merger of the Syrian and Iraqi wings of al Qaeda. Jawlani then stepped on his effort at damage control by announcing his pledge of allegiance to Ayman al-Zawahiri, who is, of course, the overall head of al Qaeda worldwide.

For al Qaeda, the advantages of commanding an effective, large-scale fighting force in Syria, which is in the heart of the Arab world and borders on Israel, are all too obvious. The people of Syria, however, should have good reason to worry about this ominous development.

Finally, the announcement that al Nusra has pledged allegiance to al Qaeda underlines that the Obama administration's seeming dithering about how exactly to aid the Syrian opposition makes more sense than it has done hitherto. There clearly are unintended consequences and risks in supporting the Syrian opposition, which is fractured into hundreds of local groups, some elements of which are hardly supportive of the United States.

The Obama administration decision, reported by CNN Tuesday, to sign off on a new tranche of nonlethal aid to the rebels in Syria is best understood as an effort to bolster the Syrian opposition groups that are separate from al-Nusra and to give them a better fighting chance in what everyone agrees is likely a long Syrian war in which al-Assad is eventually removed from power -- but only then, unfortunately, does the real fighting for lasting power begin.

@highlight

Peter Bergen: The announcement of links between Syrian insurgents, al Qaeda is worrying

@highlight

He says it gives al Qaeda an opportunity to demonstrate that it is still relevant

@highlight

The insurgent group, al-Nusra, is the most effective of the rebel groups in Syria, he says

@highlight

Bergen: The Obama administration has been right to move deliberately on aid to rebels