Washington (CNN) -- President Barack Obama pledged to stamp out the gremlins plaguing his administration's signature health-care overhaul Monday, saying there was no "sugarcoating" the difficulties faced by Americans hoping to sign up for insurance coverage online.

"Nobody's madder than me about the website not working as well as it should, which means it's going to get fixed," Obama said during an appearance at the White House Rose Garden. But he didn't specify exactly what went wrong or who was to blame for the problems, which include long waits to log onto the federally administered website and maddeningly long wait times once online.

There's "no excuse for the problems," Obama said. But he said tech industry experts were being brought in to help workers going 24/7 to fix the site, HealthCare.gov, which went live October 1. And he pointed out that the site isn't the only way to buy coverage.

"You can bypass the website and apply by phone or in person," he said. "So don't let problems with the website deter you from signing up or signing your family up or showing your friends how to sign up, because it is worth it. It will save you money."

A standoff with congressional Republicans over government spending and raising the federal borrowing limit -- triggered by GOP efforts to defund the program -- distracted public attention from the problems of the new health care system, popularly known as Obamacare. But with that standoff over, the GOP has turned its fire back onto the problems faced by the website and onto Health and Human Services Secretary Kathleen Sebelius, calling for her to resign.

Sebelius attended Monday's Rose Garden remarks, and the House Energy and Commerce Committee announced that she was expected to testify at an October 30 hearing on the cause of the problems.

The committee is already scheduled to hold a hearing on Thursday, with website and administrative contractors CGI, Serco and Equifax set to testify on their roles in the situation. Sebelius had been invited to this week's hearing but had a scheduling conflict, her office said.

White House spokesman Jay Carney defended the program on CNN's "Piers Morgan Live," saying that while HealthCare.gov is struggling, the administration's health care reform "is not failing." People who are able to submit applications through whatever means are happy with the results, he said.

"Health insurance provides security that a lot of these families haven't had in the past," Carney said.

Have you had trouble signing up? Let us know

Obama said "the essence of the law" -- aimed at providing access to health insurance for the roughly 48 million Americans without it -- "is working just fine."

"In some cases, actually, it's exceeding expectations. The prices are lower than expected, and the choice is greater than we expected," he said.

"But the problem has been that the website that's supposed to make it easy to apply for and purchase the insurance is not working the way it should for everybody," he continued. "There's no sugarcoating it. The website has been too slow. People are getting stuck during the application process."

And in a shot at the law's critics, he said, "It's time for folks to stop rooting for its failure, because hardworking middle class families are rooting for its success."

But Rep. Luke Messer, R-Indiana, told CNN that his staffers were trying to sign up via HealthCare.gov while Obama was speaking, "and the website didn't work."

"This is one of those areas where the president's not going to be able to hide behind the rhetoric," said Messer, who supported the failed Republican effort to halt the program.

HealthCare.gov: What works, what doesn't

Other Republicans kept up their attacks on the health care reforms on Monday, with the office of Senate Minority Leader Mitch McConnell tweeting that when a visit to the Obamacare website made a trip to the Department of Motor Vehicles seem pleasant, "it's time for the President to consider delaying this rushed effort."

A Washington Post/ABC News poll released Monday showed that 56% of respondents consider the website difficulties a harbinger of broader problems with the Affordable Care Act, a constant target of conservative critics who consider it the epitome of big government overreach.

Obama administration officials have highlighted the fact that nearly 500,000 people have filled out applications for Obamacare, though the number who purchased coverage remains unknown. Initial difficulties have started to ease for logging on to the website for the new exchanges, some of which are run by states and others by the federal government.

But problems now are occurring further along the process, with insurance industry sources having said they are getting some applications with missing information. The application portion of the website was brought down this weekend for overnight maintenance, as it has been on previous weekends and some weeknights.

"To ensure that we make swift progress, and that the consumer experience continues to improve, our team has called in additional help to solve some of the more complex technical issues we are encountering," the Health and Human Services department said in a blog post Sunday. "Our team is bringing in some of the best and brightest from both inside and outside government to scrub in with the team and help improve HealthCare.gov."

Logging in tough for some early registrants

The administration is still not releasing the numbers on how many people have taken the next step of enrolling: choosing a specific health care plan. The administration has said it will do that monthly, so the first tally of enrollment numbers will come in November.

The Congressional Budget Office has said it expects 7 million people to enroll by April 1.

Although March 31 is the deadline for people to get health insurance or face a fine, officials warn that failure to sign up by February 15 could be a problem because of the time needed for the coverage to take effect. Carney told reporters on Monday afternoon that lingering problems in signing people up could result in relief, noting that the law makes clear that "if you do not have access to affordable health insurance, you will not have to pay a penalty for not having affordable health insurance."

Hope for a smoother ride on HealthCare.gov

He also repeated the President's assertion that high demand in the first weeks of the new exchanges contributed to the website problems, noting that the larger-than-expected response exposed existing "glitches and kinks."

Although the administration tally of applications did not break down how many of the applications came through state-run exchanges, a CNN survey of officials with those exchanges found that at least 257,000 people had signed up for new insurance plans as of Friday afternoon. Not all of them had made a payment, and not every state responded to the CNN request.

A ConsumerReports.org article last week offered tips for people trying to sign up, but had the following advice for those overwhelmed by the difficulties:

"If all this is too much for you to absorb, follow our previous advice: Stay away from HealthCare.gov for at least another month if you can. Hopefully that will be long enough for its software vendors to clean up the mess they've made."

But in a statement issued Monday night, the group said its criticism of the website doesn't mean it now opposes the Affordable Care Act. Critics of Obamacare are misrepresenting the nonprofit organization's position, Consumer Reports said.

5 things that have happened since Obamacare launched

CNN's Paul Steinhauser, Kevin Bohn, Jim Acosta, Adam Aigner-Treworgy, Brian Todd and Dugald McConnell contributed to this report.

@highlight

NEW: Obamacare "is not failing" despite website woes, White House spokesman says

@highlight

Obama says HealthCare.gov problems are "going to get fixed"

@highlight

Sebelius expected to testify at a congressional hearing next week

@highlight

The government shutdown diverted attention from the problems