(CNN) -- Residents of the Atchafalaya Basin in south-central Louisiana are as diverse as the unique waterways that course through the heart of Cajun country.

Of African, European, Caribbean and Native American descent, for generations these Louisianans have made their living from the water and sea, chasing after shad and crawfish or working on and supplying oil rigs and refineries.

They're also a resilient lot.

A roster of hurricanes is a constant reminder of the dangers and damage wrought by nature: Betsy, Gustav, Ike, Rita and, of course, Katrina.

Now the danger comes from the north, instead of the Gulf of Mexico, in the form of a historic flood.

"People are used to flooding," said Drake Pothier, president of the Houma-Terrebonne Chamber of Commerce. "But they are more used to it coming from the opposite direction."

Gov. Bobby Jindal on Tuesday predicted that as many as 3 million acres of his state could be affected by the flooding spawned by the Mississippi River. Some 500 National Guard members have been mobilized to meet the challenge.

Twenty-one parishes issued emergency declarations and 16 hospitals are identified as being at high risk.

As has been the case upriver from Missouri south to Tennessee, the U.S. Army Corps of Engineers is predicting its system of levees and flood walls will hold, keeping the river from inundating most Louisiana towns and farms that line its banks.

The U.S. Army Corps of Engineers in the coming days is expected to decide whether to open the Morganza Spillway above Baton Rouge. It hasn't been opened since 1973.

Such a move would spare Baton Rouge and New Orleans even more damage from the floods, but it would flood populated and rural areas in the swampy Atchafalaya Basin. The basin is home to the Atchafalaya River and myriad tributaries.

There's plenty to worry about in communities such as Butte La Rose, Bayou Sorrel, Morgan City, Krotz Springs and Houma. They have varying levels of flood defense. Some residents are posting questions and fears on the Corps Facebook page.

"I'm going to wait a little longer" before deciding on evacuating, said Leanne Boudreaux, 33, of Krotz Springs, an Atchafalaya River community that doesn't feature a traffic signal. It does have a levee.

Boudreaux is too young to remember the landmark 1973 flood, but she knows what nature can dish out. Gustav heavily damaged her residence in 2008 and, as the mother of two, she is paying attention to the latest developments. She considers the river dangerous.

Despite the number of workers at an oil refinery in town, many people have to go to Baton Rouge, about 40 miles east, to work and shop, she said Tuesday.

Camping and fishing are popular in Butte La Rose, 20 miles south in St. Martin Parish.

Downstream, in Morgan City, teacher Julie Cortez McCarty, 42, is glad the oil town has a sea wall, but she is concerned about water backing in from Lake Palourde and other waterways.

"We are surrounded by water," she said. "Morgan City is pretty much an island."

It's the waiting on the Corps' decision on the Morganza Spillway that's causing stress, McCarty told CNN.

"They won't give us a definite yes or no if they will open it or not," she said.

Like others, McCarty's worried the water could remain for a couple of months and affect jobs.

She's also somewhat philosophical about the greater good when it comes to deciding on spillways and other efforts to channel water to less populated or less settled regions.

"How do you decide whose life or property is more important?" McCarty asked.

Morgan City is one of several areas that could be affected by the opening of the Morganza Spillway. Opening it would relieve pressure on the levee system and reduce the record-setting volume of water heading down the Mississippi.

If that spillway is opened, Jindal predicted that roughly 2,500 people and 2,000 structures would be at risk directly inside the floodway. Another 22,500 people and 11,000 structures would be affected by backwater flooding, he said.

On Monday, officials began opening gates on another spillway, the Bonnet Carre in Reserve, Louisiana -- about 35 miles west of New Orleans. Twenty-eight gates were opened on Monday and another 44 were opened Tuesday.

The Corps released maps outlining areas that could be flooded in the Atchafalaya Basin if the Morganza Spillway is opened.

"They expect the height of the water to reach between 5 and upwards of 25 feet above ground elevation, causing flooding through many southern portions of our state," Jindal said.

"We've been hearing about the possibility of flooding," Dan Gober, who lives in the town of Gibson, about 15 miles east of Morgan City, told CNN affiliate WWL. "We've not been hearing any specifics as to how high the water might get."

Gibson residents remember the last time the spillway was opened, saying it put 3 to 4 feet of water in their homes.

And it could be even worse this time, Terrebonne Parish President Michel Claudet said. What was farmland in 1973 is now residential land, he said. "At that time, we were not as populated."

Terrebonne Parish has already declared a state of emergency, and its website was directing residents to sandbag distribution centers. Measures aimed at minimizing flooding were being implemented, Claudet said. Levees were being elevated and reinforced.

"Generally speaking, people are very concerned," the Chamber's Pothier said.

The western part of the parish is expected to see the largest impact, he said, adding Houma is expected to come through the flooding in pretty good shape.

Terrebonne Parish has about 110,000 residents and has one of the strongest local economies in the state, with an emphasis on oil and gas, health care and seafood, Pothier said. Unemployment is low and the parish has retained strong home values, he said.

In the Assumption Parish town of Belle Rose, Carol Vincent said she is "going nuts" and trying to hope for the best, but "we're expecting the worst."

"We're all on pins and needles," she said. Her husband and some friends put sandbags around her property, and plan to take further action to protect it. Her home flooded once before, she said, but only one room. "It ruined my carpet," she said.

In West Feliciana Parish, "our biggest concern is Angola State Prison," said parish President Ken Dawson. The prison, officially the Louisiana State Penitentiary, is protected by a levee system, he said. "A lot of those inmates have been moved out of the prison to other facilities, and that is going to continue until they get to a number they can house on higher ground with no problem."

Before 2005's Hurricane Katrina, the New Orleans metropolitan area saw significant flooding in May 1995, when 24 inches of rain fell in some neighborhoods, said forecaster Phil Grigsby of the National Weather Service.

If the Morganza Spillway is not opened, Morgan City's high water will crest May 25 at about 9.5 feet, said Grigsby. That level will be 12 to 13 feet if the waterway is opened.

Levels in Bayou Sorrel will be 7.5 feet higher if the spillway plan is put into place. The increase will be more modest in Butte La Rose, Grigsby said.

Using sand baskets, National Guardsmen are raising a 5-mile stretch of earthen levees on the lake side of Morgan City, said planning and zoning director Carl Kraemer.

He expects the levees, which were fortified after the 1973 floods, to hold the water if the Morganza Spillway is opened.

Still, the city doesn't know exactly what to expect when the 140-mile long Atchafalaya River crests later this month.

"We're positive and worried at the same time," Kraemer said.

@highlight

500 National Guard members mobilized

@highlight

Residents in low-lying areas have been put on alert

@highlight

There is concern about a plan to open the Morganza Spillway

@highlight

Spillway hasn't been opened since 1973