Altinozu, Turkey (CNN) -- Mazen Hajisa has a secret.

Amid the olive groves of Turkey just a stone's throw away from the Syrian border, he has hidden away several Styrofoam boxes.

Their contents are deadly: a dozen unexploded antipersonnel mines.

He took one out and brushed dirt off its green molded plastic case. It was about the size of a soup bowl and stamped with Cyrillic letters.

Hajisa pointed at a raised black cross on the top of the device.

"If you put pressure on this trigger," he said, "It will explode."

Hajisa's deadly stash of booby-traps are just a fraction of more than 300 similar devices he claimed he and several other Syrian volunteers dug up from the border between Syria and Turkey over the last two months.

Turkish authorities said the Syrian army began planting mine fields along stretches of the border earlier this winter.

The landmines appear to be part of an effort to close the widely-traveled smugglers' trails that criss-cross this long Middle Eastern frontier.

The new measure has added another potentially lethal obstacle to the already perilous journey that has been made by thousands of Syrian refugees fleeing to Turkey. More than 17,000 Syrians are currently living in Turkish refugee camps, with hundreds of new arrivals coming every day.

Rami Bakour knows the new landmine threat all too well.

The 25-year old Syrian refugee lay mutilated in a hospital bed in the Turkish city of Antakya. All that was left of his right foot was a stump covered by a bandage.

"I didn't know there were land mines," he said, while recalling the fateful afternoon earlier this month, when he tried to flee with his family across the border to Turkey.

"I didn't feel anything under my foot. I didn't feel that I stepped on something. Then I heard a very big explosion," Bakour said. "I didn't know I had been hit until I saw my shoe with my foot inside it laying close to me."

Turkish doctors were scheduled to operate on Bakour's stump once again on Thursday, to clean fragments from his maimed limb.

Turkish officials say at least 10 Syrian landmine victims have been treated in Turkish hospitals in recent weeks.

"Any use of antipersonnel landmines is unconscionable," wrote the New York-based Human Rights Watch, in a report published earlier this month on new Syrian minefields buried along the borders of both Turkey and Lebanon.

An international convention banning the use of antipersonnel mines has been signed by 159 countries. Syria, the United States and Russia are not signatories.

Human Rights Watch researchers who examined the landmines retrieved by Hajisa identified them as Russian- or Soviet-made PMN-2 antipersonnel mines. Though the Syrian minefields were new, at least some of the landmines appeared to have been manufactured decades ago during the Cold War.

"The PMN-2 antipersonnel landmine was produced in state factories of the Soviet Union," wrote Mark Hiznay, a senior researcher in Human Rights Watch's Arms Division. "The examples we photographed had stamps on them that indicated the explosives were loaded into the mines in 1982."

According to Human Rights Watch, it was impossible to ascertain when the mines were sold to Syria.

But possibly as long as three decades after production, the Soviet landmines were claiming new victims.

"That is the insidious nature of the weapons," Hiznay wrote in an e-mail to CNN. "They wait for their victim. It's why 159 countries have banned them."

Typically, de-mining operations in conflict zones are carried out by experts wearing armor and using specialized equipment.

But the Syrian activist Hajisa and his colleagues had none of these resources and virtually no training when they began the dangerous work of clearing smugglers' trails.

"Activists informed me that the regime planted mines that exploded under pressure," said Hajisa, who had some prior experience working with other models of landmines while doing his mandatory military service in the Syrian army five years ago. "So I conducted an experiment. I dug in a big stick next to a mine, tied a rope to it, and went 20 meters away from the mine to pull it out. When I saw the mine didn't explode, I discovered that you have to step on it to detonate it."

From that moment, Hajisa said he and several other volunteers started opening up paths through the minefields.

His de-mining tool of choice? A foot-long metal kebab skewer.

"The mines are typically buried 5 to 6 centimeters underground," he explained, while demonstrating how he probed the dirt with the skewer. "You can find them because the earth around them is a different color, after the Syrian soldiers buried the mines there."

Asked why he was risking his life digging up hidden explosives, Hajisa had a simple answer.

"It's my duty," he said. "If I don't do this, how will the refugees escape from the regime? They face two choices, either be killed by snipers and tanks, or be killed by landmines. The refugees must have a safe place to escape to."

A crackdown on protesters by the Syrian regime has been going on for more than a year. The United Nations estimates as many as 9,000 people have been killed, while activists put the toll at more than 10,000. The violence has forced thousands from their homes, many of them seeking refuge in Turkey.

After showing CNN his boxes full of landmines, Hajisa gingerly carried them back into the underbrush where he had stored them.

The volunteer de-miner did not know how to defuse the deadly little devices. He said he didn't know of any official to whom he could turn over the mines, seeming not to trust the Turks.

"I hide them here because I don't know where else to put them," he said.

Journalist Omar al Muqdad contributed to this report.

@highlight

Syria began mining its border with Turkey a few months ago, Hajisa says

@highlight

Mazen Hajisa says it's his duty to help refugees flee the Syrian regime

@highlight

Rami Bakour's foot was blown off by a mine explosion