(CNN) -- Recent ballistic missile tests by India, Pakistan and North Korea -- which has ominously threatened to "reduce to ashes" the South Korean military "in minutes" -- are once again focusing the world's attention on the dangers of nuclear war.

This concern was dramatically underscored in a new report released at the Nobel Peace Laureates Summit in Chicago. Titled "Nuclear Famine: A Billion People at Risk" (PDF),  the study shows that even a limited nuclear war, involving less than half of 1% of the world's nuclear arsenals, would cause climate disruption that could set off a global famine.

The study, prepared by International Physicians for the Prevention of Nuclear War and its U.S. affiliate, Physicians for Social Responsibility, used a scenario of 100 Hiroshima-sized bombs exploded in a war between India and Pakistan. If there were such a war, the study estimated that 1 billion people, one-sixth of the human race, could starve over the following decade.

Along with recent events, these findings require a fundamental change in our thinking about nuclear weapons.

The study, in positing a war between India and Pakistan, shows the importance of understanding that smaller nuclear powers, not just the United States and Russia, pose a threat to the whole world.

But the greater lesson concerns the forces of the larger nuclear powers. Each U.S. Trident submarine can destroy 100 cities and produce the global famine described in the study. The United States has 14 of them, a fleet of land-based nuclear missiles, and an arsenal of nuclear weapons that can be delivered by bombers. The Russians possess the same grotesque overkill capacity.

Even the most ambitious arms reductions under discussion would leave the United States and Russia with 300 warheads each, most of them 10 to 30 times larger than a Hiroshima sized bomb. This would be a massive arsenal capable of producing the global famine scenario many, many times over.

These arsenals are an archaic, but lethal, holdover from the Cold War. Their continued existence poses an ongoing threat to all humanity.

Steps can and should be taken immediately to lessen this danger. Substantial numbers of these weapons remain on what The New York Times has described as "hair-trigger alert." They can be fired in 15 minutes or less and destroy cities a continent away 30 minutes later. This alert posture creates the needless danger of an accidental or unintended launch, and the United States and Russia have had many close calls, preparing to launch a nuclear strike at the other under the mistaken belief they were under attack.

The most recent of these near-misses that we know about took place in January 1995, well after the end of the Cold War. The United States and Russia should stand down their nuclear arsenals so that it takes longer to launch their missiles, lessening the danger of an accidental war. U.S. President Barack Obama and Russian President Vladamir Putin can take this step on their own without negotiating a formal treaty.

Beyond this, it is time to begin urgent talks aimed at reducing the U.S. and Russian arsenals as the next essential step toward multilateral negotiations for a Nuclear Weapons Convention, a binding, verifiable, enforceable treaty that eliminates nuclear weapons altogether.

As former Soviet President Mikhail Gorbachev observed on reviewing the new "Nuclear Famine" study: "I am convinced that nuclear weapons must be abolished. Their use in a military conflict is unthinkable; using them to achieve political objectives is immoral.

"Over 25 years ago, President Ronald Reagan and I ended our summit meeting in Geneva with a joint statement that 'Nuclear war cannot be won and must never be fought,' and this new study underscores in stunning and disturbing detail why this is the case."

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: India, Pakistan and North Korea missile tests bring up dangers of nuclear war

@highlight

Study shows war using half of 1% of global nuke arsenals would set off world famine

@highlight

U.S. and Russia have huge nuclear arsenals, they say, a lethal holdover from Cold War

@highlight

It's urgent for talks about reducing arsenals, they write, with a ban on weapons the goal