(CNN) -- A Texas woman tearfully recounted the death of her foster child at the hands of a schoolteacher during a congressional hearing Tuesday looking into the use of seclusion and restraints in U.S. schools.

The House Committee on Education and Labor heard testimony Tuesday on a report looking at school abuse.

The hearing came on the heels of a report issued by the investigating arm of Congress that documents widespread abuse of techniques use to restrain or discipline special-education students.

The Government Accountability Office report was prepared for the House Committee on Education and Labor, which heard testimony from parents, investigators and experts who described traumatizing punishment of special-needs children.

The violent acts -- from hours of isolation in locked rooms or closets to the use of handcuffs and pinning children on the floor -- often led to serious injuries and even death, witnesses said.

Committee Chairman Rep. George Miller, D-California, called the testimony "startling."

"This is just unacceptable," he said. "This punishment is way out of bounds of what I believe are the social norms of this society."

Toni Price of Killeen, Texas, told committee members that her 14-year-old foster child, Cedric, died in March 2002 when his eighth-grade teacher's disciplinary actions went too far. His death was one of the cases investigated by the GAO -- and the teacher, who is now working in a Virginia high school, has been placed on leave as a result of the congressional investigation.

Price said Cedric was experiencing behavioral problems in school and on that particular day he stopped working at 11 a.m. His teacher withheld his lunch. Around 2:30, still without having eaten, Cedric tried to leave the classroom.

Her voice shaking and tears welling in her eyes, Price said the teacher, whom she described as over 6 feet tall and weighing 230 pounds, forced the boy in a chair and restrained him. Price said Cedric, a small boy, struggled, so the teacher put him face down and sat on him.

"I can't breathe," he said.

"If you can speak, you can breathe," the teacher said, according to Price's testimony.

Shortly after that, Cedric stopped struggling, and then stopped moving altogether. The teacher continued to restrain him as an aide wiped drool off his face, Price said. They then sat him up in the chair but Cedric slumped over and slid off, Price said.

He was dead before Price could get to the school.

"If I treated Cedric that way at home, I'd be in jail," Price told lawmakers.

Cedric's death was ruled a homicide, Price said, but the teacher never faced trial. She was placed on a Texas registry of individuals found to have abused children but, despite the listing, she now teaches at a public high school in Virginia, Price told the committee.

Tuesday morning, the American Association of School Administrators told the committee that the teacher involved in Price's death had been placed on administrative leave pending an investigation. The school system acted after the GAO referred its findings to the state school board, the organization reported.

Price questioned why the crimes of pedophiles are public but teachers who torture children are free to continue working without disclosure of their past actions.

Government auditors examined hundreds of allegations of abuse, the GAO report said. In 20 of those cases, it said, children died after being put in restraints. In four of those, the restraints were found to have resulted in the children suffocating.

GAO investigator Greg Kutz told the House committee Tuesday that he lacked data to quantify the problem, but in the 2008 school year, investigators discovered 33,000 instances of seclusion, restraints or other punishments in Texas and California alone.

Despite the problem, Kutz said, no federal regulations exist on the treatment of the more than 6 million children classified as having "special needs," conditions including autism and Down syndrome.

At the state level, the laws are widely divergent -- 19 states have no laws at all.

Auditors found that eight states prohibit prone restraints or other techniques that hinder breathing, and 17 require teachers or staff to be trained in proper techniques before using them. Only six keep records of how frequently those techniques are used, and reports are required by law in only two of those states -- California and Connecticut.

The GAO investigation found that teachers and school staff frequently lack training in correct restraint methods, and in some cases, where improper restraints led to injuries, teachers often kept their jobs.

In 13 states, parents have to agree before teachers can restrain children in non-emergency situations, while 19 require teachers to notify parents after the fact. Parents contacted by CNN commonly said they were not told their children were being disciplined until after they began to behave badly at home, which to them indicated trouble at school.

When confronted with complaints, school systems sometimes sought to minimize or deny the allegations, even after public investigations found the charges to be true, according to parents and the GAO report.

Miller's committee is considering new laws governing what actions teachers can take to rein in disruptive special-needs students.

Abbie Boudreau and Steve Turnham of the CNN Special Investigations Unit contributed to this report

@highlight

New GAO report shows abuse of techniques used to restrain special-ed kids

@highlight

House Education and Labor Committee hears testimony from parents, investigators

@highlight

Chairman Miller, D-California, called the testimony "startling"

@highlight

Government auditors examined hundreds of allegations of abuse