(CNN) -- Four years ago, Republican presidential candidate Ron Paul had raised $8.3 million by the end of the third quarter of 2007. One-third of that came in small, unitemized contributions of under $200 each -- the proverbial "small donor" giving that is the mark of a grass-roots based campaign.

In the 2012 cycle, he has raised $15.4 million through September 30, of which 41% has come in amounts under $200.

Four years ago, according to the Campaign Finance Institute (my source for all these numbers), by September 30 Paul had a little more than 7,000 itemized individual donors -- the people who give between $201 and the top individual limit, which was then $2,300 (and is now $2,500). This time around, he had more than 12,000 itemized individual donors at the end of September. (By comparison, Mitt Romney only had 19,700 itemized individual donors this past September 30, compared to 29,700 four years ago.)

Clearly -- only six days before voters caucus in Iowa -- Ron Paul is doing something more right in 2012 than he did in 2008.

That includes keeping his massive online base engaged after 2008 with various campaigns, including his son Rand's successful bid for the U.S. Senate. It also includes spending lots of money earlier this summer in Iowa and New Hampshire on TV ads that were far more professionally produced than anything he ran four years ago. He has spent oodles more hitting his Republican rivals hard now that the first actual caucuses and primaries are just days away. He also has developed a well-organized campaign organization on the ground, something he lacked four years ago.

Says Republican online strategist Martin Avila, who worked on Paul's 2008 e-campaign, "It's wonderful to see the campaign building early state infrastructure, something 2008 was lacking, focused on winning."

It also doesn't hurt that on some issues -- like the power of the Federal Reserve, the bailout of the banks and America's expensive wars overseas -- the questions Paul has been asking have gained in salience since 2008. That's true even if you don't agree with his answers on those issues.

It probably has also helped that for almost all of the last year, the mainstream media hasn't bothered to take Paul very seriously. No less an authority than Jon Stewart has pointed out, several times, the strange bias in the media against giving Paul his due, or asking hard questions of his many hyper-libertarian positions. Thus he's mostly flown under the radar, until now.

Now, in this topsy-turvy presidential primary, where no one candidate seems capable of building and holding a dominating lead, Iowa polls show that Ron Paul suddenly seems on the verge of a breakthrough. Lots of observers think he may well win the caucuses by a plurality (especially if it snows and supporters of other candidates stay home). No less a sage than Nate Silver of the FiveThirtyEight blog at The New York Times says an Iowa win could give Paul a shot at winning New Hampshire.

What that may mean for the larger politics of 2012 is beyond the scope of this column. But there's a paradox buried inside Paul's rise in the Republican field, a time bomb ticking away. Call it the curse of the "Paulbots."

The more Paul rises, the more he needs to temper his rhetoric and fine-tune his message (especially given the kind of baggage he carries). And the more he needs a fine-tuned message, the more he has to control his fractious fans. But people who organize themselves online today are notoriously hard to control.

Recall how in 2007, the "Paulbots" were everywhere: running up the numbers on every online poll they could find, generating one-day fundraising records in a desperate bid for national attention (they coined the word "money-bomb"), and creating massive amounts of voter-generated media on his behalf. They made everything from viral videos to a Ron Paul blimp.

It was, as Justine Lam, his online director from that campaign, put it to me, "a very organic, grass-roots driven campaign." And many of the tactics those grass-roots supporters dreamed up, like that blimp, which cost $600,000, didn't do much to actually help Paul win votes on the ground in the all-important early states.

This time, Lam observes, "There doesn't seem to be the same amount of excitement, but that could be because there's more of a typical campaigning structure around all activities this time around because of the lessons learned, the training that was done between the campaigns and probably various other reasons."

My guess is that those other reasons include the sense that, given the divided field, Paul could somehow go all the way and win the Republican nomination. And if you thought your favorite long-shot candidate was on the verge of a breakthrough, you'd probably discipline yourself, too.

But things are about to get a bit crazy. Paul's late surge and possible win next week in Iowa are going to generate a huge burst of national media attention and plenty of hard-edged questions about his past and views. And the Paulbot base doesn't handle criticism very well.

The other day, for example, my techPresident colleague Sarah Lai Stirland reported on a growing battle breaking out on the massive social news filtering site Reddit between Paul supporters and critics tired of their efforts to "spam" Redditors with slanted news favoring Paul. Vocal Paul supporters outnumber their critics on the site, but their language and tactics are often arrogant and ugly. Passion can power a campaign, but self-righteousness can also cripple it.

If the Internet hyper-empowers small groups of people, enabling them to punch above their weight, it also hyper-exposes them. In the coming days, as Paul's star rises, his online base is going to be tested as much as he is.

The opinions expressed in this commentary are solely those of Micah Sifry.

@highlight

Ron Paul is trying to engage his massive online base with various campaigns

@highlight

Clearly the candidate is doing something more right in 2012 than he did in 2008

@highlight

The more Paul rises, the more he needs to temper his rhetoric and fine-tune his message