(CNN) -- Steve Jobs, the visionary who led a mobile computer revolution with the creation of wildly popular devices such as the iPhone, was mourned Thursday by admirers and competitors as much of the world awoke to news of his death.

Jobs' death was announced Wednesday by Apple, the Silicon Valley company he co-founded with Steve Wozniak. He was 56.

"Apple has lost a visionary and creative genius, and the world has lost an amazing human being," Apple said in a statement on its website.

"Those of us who have been fortunate enough to know and work with Steve have lost a dear friend and an inspiring mentor."

iReport: Share your memories of Jobs

The hard-driving executive pioneered the concept of the personal computer and of navigating them by clicking onscreen images with a mouse.

In more recent years, he introduced the iPod portable music player, the iPhone and the iPad tablet -- all of which changed how digital content was consumed.

Live blog: Reaction around the world

More than one pundit, praising Jobs' ability to transform industries with his inventions, called him a modern-day Leonardo da Vinci.

"Steve Jobs is one of the great innovators in the history of modern capitalism," New York Times columnist Joe Nocera said in August. "His intuition has been phenomenal over the years."

Fortune: 10 ways Jobs changed the world

Others championed his leadership skills..

"He was a historical figure on the scale of a Thomas Edison or a Henry Ford, and set the mold for many other corporate leaders in many other industries," wrote Walter Mossberg, a tech columnist for The Wall Street Journal.

"He did what a CEO should: Hired and inspired great people; managed for the long term, not the quarter of the short-term stock price; made big bets and took big risks."

Jobs' death, while dreaded by Apple's legions of fans, was not unexpected. He had battled cancer for years, took a medical leave from Apple in January and stepped down as chief executive in August because he could "no longer meet (his) duties and expectations."

The spiritual side of Jobs

Born on February 24, 1955, and then adopted, Jobs grew up in Cupertino, California -- which would become home to Apple's headquarters -- and showed an early interest in electronics. As a teenager, he phoned William Hewlett, president of Hewlett-Packard, to request parts for a school project. He got them, along with an offer of a summer job at HP.

Jobs dropped out of Oregon's Reed College after one semester, although he returned to audit a class in calligraphy, which he says influenced Apple's graceful, minimalist aesthetic. He quit one of his first jobs, designing video games for Atari, to backpack across India and take psychedelic drugs. Those experiences, Jobs said later, shaped his creative vision.

While at HP, Jobs befriended Steve Wozniak, who impressed him with his skill at assembling electronic components. The two later joined a Silicon Valley computer hobbyists club, and when he was 21, Jobs teamed with Wozniak and two other men to launch Apple Computer Inc.

"It's like there is a big hole left in you," Wozniak said on CNN's AC360 after learning of Jobs death. "And it's very hard to go back and ... reflect on the feelings ... and what it means."

Timeline of career

It's long been Silicon Valley legend: Jobs and Wozniak built their first commercial product, the Apple 1, in Jobs' parents' garage in 1976. Jobs sold his Volkswagen van to help finance the venture. The primitive computer, priced at $666.66, had no keyboard or display, and customers had to assemble it themselves.

The following year, Apple unveiled the Apple II computer at the inaugural West Coast Computer Faire.

"Steven Jobs was, and still is, an inspiration to many individuals and companies all over the world. His passing is a loss to innovators        and visionaries everywhere," said Jong-seok Park, president of LG Electronics.

Microsoft CEO Steve Ballmer described him as "one of the founders of our industry and a true visionary."

Opinion: One thing we owe to Steve Jobs

Jobs was among the first computer engineers to recognize the appeal of the mouse and the graphical interface, which let users operate computers by clicking on images instead of writing text.

Apple's pioneering Macintosh computer launched in early 1984 with a now-iconic, Orwellian-themed Super Bowl ad. The boxy beige Macintosh sold well, but the demanding Jobs clashed frequently with colleagues, and in 1986, he was ousted from Apple after a power struggle.

Then came a 10-year hiatus during which he founded NeXT Computer, whose pricey, cube-shaped computer workstations never caught on with consumers.

Jobs had more success when he bought Pixar Animation Studios from George Lucas before the company made it big with "Toy Story."

In 1996, Apple bought NeXT, returning Jobs to the then-struggling company he had co-founded. Within a year, he was running Apple again -- older and perhaps wiser but no less of a perfectionist. And in 2001, he took the stage to introduce the original iPod, the little white device that transformed portable music and kick-started Apple's furious comeback.

Thus began one of the most remarkable second acts in the history of business. Over the next decade, Jobs wowed launch-event audiences, and consumers, with one game-changing hit after another: iTunes (2003), the iPhone (2007), the App Store (2008), and the iPad (2010).

Tears and tributes in China

Observers marveled at Jobs' skills as a pitchman, his ability to inspire godlike devotion among Apple "fanboys" (and scorn from PC fans) and his "one more thing" surprise announcements.

Time after time, he sold people on a product they didn't know they needed until he invented it. And all this on an official annual salary of $1.

He also built a reputation as a hard-driving, mercurial and sometimes difficult boss who oversaw almost every detail of Apple's products and rejected prototypes that didn't meet his exacting standards.

By the late 2000s, his once-renegade tech company, the David to Microsoft's Goliath, was entrenched at the uppermost tier of American business.

Opinion: How Jobs saw the future

Apple now operates more than 300 retail stores in 11 countries. The company has sold more than 275 million iPods, 100 million iPhones and 25 million iPads worldwide.

Jobs' climb to the top was complete in summer 2011, when Apple listed more cash reserves than the U.S. Treasury and even briefly surpassed Exxon Mobil as the world's most valuable company.

But Jobs' health problems sometimes cast a shadow over his company's success.

In 2004, he announced to his employees that he was being treated for pancreatic cancer. He lost weight and appeared unusually gaunt at keynote speeches to Apple developers, spurring concerns about his health and fluctuations in the company's stock price. One wire service accidentally published Jobs' obituary.

Jobs had a secret liver transplant in 2009 in Tennessee during a six-month medical leave of absence from Apple. He took another medical leave in January this year.

Perhaps mindful of his legacy, he cooperated on his first authorized biography, scheduled to be published by Simon & Schuster in November.

Jobs is survived by his wife of 20 years, Laurene, and four children, including one from a prior relationship.

He always spoke with immense pride about what he and his engineers accomplished at Apple.

"Your work is going to fill a large part of your life, and the only way to be truly satisfied is to do what you believe is great work. And the only way to do great work is to love what you do," he said while delivering a 2005 commencement address at Stanford University.

"If you haven't found it yet, keep looking. Don't settle. As with all matters of the heart, you'll know when you find it. And, like any great relationship, it just gets better and better as the years roll on."

CNN's Augie Martin contributed to this report.

@highlight

Columnist: Steve Jobs "one of the great innovators in the history of modern capitalism"

@highlight

Jobs co-founded Apple with Steve Wozniak in 1976, building their first computer in a garage

@highlight

"He did what a CEO should: Hired and inspired great people," columnist says

@highlight

Company has sold more than 275 million iPods, 100 million iPhones and 25 million iPads