Author Charles Yu hopes you like his new book, but if not, an apology is built right into the title. "Sorry Please Thank You" is his new collection of mind-bending, moving and sometimes melancholy stories arriving in bookstores July 24.

Yu's 2010 novel, "How to Live Safely in a Science Fictional Universe," was named one of the best books of the year by TIME magazine. It dealt with a fictional version of the author, another Charles Yu, a lonely time machine repairman stuck in a time loop. In his new book, Yu returns to skewer more science fiction concepts, including the multiverse, time travel, video games and zombies. While he pokes fun at pop culture, Yu also finds the human moments in what he often portrays as an increasingly isolated and sterile existence.

Yu's quirky mix of science fiction and social commentary has attracted a loyal following among discerning readers and critics. He has been favorably compared to writers like Kurt Vonnegut, Philip Roth and  Jonathan Lethem.

When he's not writing, Yu is a lawyer living in Los Angeles with his wife and their two children. CNN recently interviewed Yu by e-mail. The following is an edited transcript.

CNN: Where did the title come from?

Yu: The title comes from the last story in the book. It was originally a piece that I actually wrote onto a cocktail napkin, as part of Esquire's Napkin Fiction Project, and which I expanded for the collection. A lot of the stories in the book are about different universes, some big, some small, some of which already exist today, and some of which are not hard to imagine in the near future. These are artificial environments created or enabled through technology, and I was interested in how people communicate, in these environments, about how people talk to each other, about what limitations there are in language as a medium to express our desires, how technology might remove some of those limitations, but create new ones we've never had before. "Sorry Please Thank You" seemed appropriate as a title, being words for concepts that, if not universal, are found in a great many languages and cultures.

See the story Charles Yu wrote on a cocktail napkin that inspired his latest book

CNN: Was this book any harder or easier to write than your last?

Yu: It was harder. This is my third book, and each one has been harder than the last. I'm not sure I like the way this trend is going. ...

CNN: Where do you find your ideas and inspiration?

Yu: I go looking for them in a bunch of places, and they're never where they are supposed to be. So I take a break, sit down, gaze off into some corner of the room, and there it is: an idea. The problem is, the next time I will start by looking in that same corner, and of course there's nothing there anymore. So I start the process over again.

CNN: Do you think multiple universes exist and are there alternate Charles Yus out there?

Yu: I've been fascinated by the idea of a multiverse ever since I first learned of it, from my alternate self. OK, no, not from my alternate self. From a book by David Deutsch, who I have raved about elsewhere. And now, I'm fascinated to be reading about all of these other speculative hypotheses about different kinds of multiverses. It's a really mind-scrambling idea, the kind of idea that, once it's in your head, it's hard to remember what it was like before you'd ever been exposed to it. I personally hope there are no alternate universes (except in the sense that Deutsch uses the term), though. This one is strange enough, and if it turns out to be the only one, that would make it even more mysterious.

CNN: The future you write about often feels sad and lonely. With that in mind, do you think new technology is making us more isolated?

Yu: With, say, social media, in the short term, I think it's a multiplier and an aggregator and an accelerator. It doesn't change who we are, it just enables us to say things faster, and to more people -- but at some point that quantitative effect shades into a qualitative change in how we relate to each other. And some aspects of social media make us more connected. But other aspects reduce the need, and to some extent, desire, to talk to people face-to-face, and it's easy to understand how those aspects might be making some people feel more lonely than ever. But social media is just one part of technology. There are so many other incredible things being developed now. For instance, I watched that video a few weeks ago, of the woman, a quadriplegic woman, who moved a robotic arm with her mind. So that she could take a sip of her drink. The look on her face as she did it (and the look on the face of the researcher who was with her) -- it was unbelievable and moving and I could not stop watching it, over and over again. Here is a person who is, in some ways, more isolated than anyone -- her desire, her will to move is trapped inside of her unmovable body. And technology and human ingenuity has brought her will back into the world, reconnected her with the objects and people around her.

CNN: You've been described as a science-fiction writer and compared to writers like Kurt Vonnegut, Philip Roth and Jonathan Lethem. What do you think of these labels and comparisons?

Yu: Those are all ludicrous comparisons. And I welcome them wholeheartedly. But seriously, the three writers you just named are on the very top shelf of my personal pantheon, along with a few others. I go back to them over and over again for inspiration and, of course, to steal whatever I can from them. As for the label science-fiction writer -- I'll take it, and wear that label with pride. But there's plenty of room on my shirt for other labels, too.

CNN: What does your family think of your writing?

Yu: They're very supportive. And my daughter, who is 4, is starting to tell people that her dad is a "book writer" which makes me feel the strangest kind of pride, for some reason. I think it's the way she says it -- matter of fact, like, you're dad's a fireman? Oh, that's cool, mine is a book writer.

Read an excerpt from "Sorry Please Thank You"

@highlight

Charles Yu's "Sorry Please Thank You" collection explores emotion and time travel

@highlight

Yu's style has been compared to Kurt Vonnegut, Philip Roth and Jonathan Lethem

@highlight

Yu is also a lawyer, who lives in Los Angeles with his wife and children