Beijing (CNN) -- China's second-largest train manufacturer will recall 54 bullet trains running on the new Beijing-Shanghai high-speed railway after a series of malfunctions, a company official said Friday.

The state-owned CNR Corporation earlier this week suspended deliveries of the same model for safety reasons.

"All decisions are based on safety and we are trying to be responsible," said Tan Xiaofeng, a company spokesman.

The news came on the heels of a Chinese government announcement to slow down bullet trains nationwide and halt approval for new construction, amid increasing public scrutiny on the country's railway safety following a crash last month that killed at least 40 people.

Premier Wen Jiabao this week also ordered railway authorities, who had planned to invest over $400 billion into new projects in the next five years, to conduct thorough safety inspections on all high-speed rail lines both in operation and under construction, state-run Xinhua news agency reported.

"Right now we are checking and eliminating all potential safety vulnerabilities," railway minister Sheng Guangzu said in Thursday's edition of the People's Rail newspaper. "Down the road we want to strengthen our management to ensure rail operations be safe, sustainable and stable."

Sheng said bullet trains would run 40 to 50 kilometers below their top design speed, which currently stands at 350 kilometers per hour (217 mph) for the fastest model, and ticket prices would be reduced accordingly.

The actions were prompted by the government after a stalled bullet train was struck from behind by another train on July 23 near Wenzhou in eastern Zhejiang province, causing one of China's deadliest rail accidents in recent years. Railway officials later blamed design flaws in the rail signal equipment as the culprit.

Many in the public remain skeptical of the finding, still fuming over reports that the railway ministry ended its search-and-rescue effort less than six hours after the collision, and moved to crush and bury one of the six derailed cars when the investigation had barely started.

Although railway authorities have denied such allegations, a panel consisted of high-ranking government officials -- none from the railway ministry -- and academic experts has taken over the investigation and is expected to produce its report in September.

Reactions were mixed to the government decision to decelerate the country's trains.

"This is a rational policy to correct the 'great leap forward' strategy of our high-speed railway development," Professor Zhao Jian, a transportation expert with Beijing Jiaotong University, told CNN. "It should have been done earlier -- but this is a good start."

Zhao, a long-time critic of China's high-speed rail plans, said slower trains would improve safety and cut operational cost, benefiting both operators and passengers.

But others compare the new measure to "stopping eating after choking on food."

"The problem is obviously with management, but they simply decided to reduce the speed," a user named "usinner" wrote on Shanghai Metrofans, a popular railway internet forum. "If they don't address the real problem, trains are still going to crash even when running below 100 kilometers per hour."

Now the world's second-largest economy, and flush with cash, China has built the world's longest high-speed rail network -- boasting more than 8,300 kilometers (5,100 miles) of routes -- in a few short years. Officials have portrayed the development of high-speed rail as a symbol of the country's growing prowess and also want to export Chinese technologies to markets that include the United States.

The massive investment and rapid construction have long raised public doubts on the new lines' safety and commercial viability. The skeptics' voices became louder after the former railway minister -- a champion of high-speed rail -- was sacked for corruption early this year.

Even the Beijing-Shanghai high-speed rail -- the ministry's newest and proudest project -- has broken down several times since its much-touted launch less than two months ago.

"It's not the faster, the better," Sun Zhang, a railway professor at Tongji University in Shanghai -- and now a member of the investigative panel on the deadly crash -- told CNN in June. "We have to take safety, economics and environmental impact into consideration."

Eager to reassure skeptics home and abroad, Chinese leaders have said the government would learn its lessons from the fatal bullet train collision -- even it means to swallow national pride for now.

"If safety is compromised, there is no credibility to speak of," Premier Wen said during a visit to the crash site on July 28. "It is important that we integrate our effort in pursuing speed, quality, efficiency and safety with the understanding that safety always comes first."

@highlight

The recall involves 54 bullet trains made by the state-owned CNR Corporation

@highlight

There is extra public scrutiny after a crash last month killed at least 40 people

@highlight

The Chinese government is slowing down bullet trains in the aftermath

@highlight

Premier Wen Jiabao is ordering safety inspections on high-speed lines