Seoul, South Korea (CNN) -- As winter recedes, winds whip through downtown Seoul and chill the crowds of commuters on their way home. The sun is dropping and the pale golden light streams between tall buildings. A girl smiles as she chats excitedly on her cell phone. Men in black suits cluster on a street corner debating their happy hour destination.

Nowhere is there the slightest inkling that anyone in this second largest metropolitan area in the world -- is fearful or even anxious about the stream of threats emanating from North Korea.

Just as sure as spring is coming, most seem to find it entirely normal that warnings of thermonuclear war, annihilation and utter devastation punctuate this, the season of joint U.S., South Korean military maneuvers.

Opinion: Why North Korea regime is scary

"We are post-war, we don't worry about that," a journalist specializing in local news told me. "We take it for granted." He was just one of about 30 reporters I met in a session discussing news in the South Korean capital this week.

Seoul is a scant 30 miles from the demilitarized zone dividing North and South Korea -- one of the most militarized places on the planet. If a full-scale war were to break out, the South Korean capital would be Pyongyang's prime target. It might only be minutes before artillery or rockets would come raining down.

North Korea has an array of artillery and other conventional arms that make its military a credible threat, especially to South Korean. Pyongyang is also believed to possess thousands of tons of chemical agents, although it has denied possessing such weapons.

I wondered aloud if South Koreans really weren't afraid or simply felt there was nothing they could do about it anyway?

"We're insensitive," one offered in reply.

It's not the futility of fear in their predicament; it's that they have lived their entire lives under a cloud of threats and warnings from the North.

"We know North Korea doesn't want war," said another. "They want money and food," adding that Pyongyang has tried it all -- missiles, the nuclear threat, its million man army -- to try to blackmail the South.

Former U.S. Secretary of State Colin Powell visited this week and told hundreds of people gathered for the Asian Leadership Conference that North Korea knew well an attack on South Korea, much less the United States, would mean a "regime ending" retaliation.

He encouraged his mostly South Korean audience to be optimistic because they were part of the world that has grown more democratic and wealthier, as opposed to the road chosen by the Kim family dynasty. Rather than being burdened by the dark clouds of threats, Powell urged them to pursue jobs and human dignity, to focus on the environment and poverty reduction.

What's Kim Jong Un up to?

South Koreans seem overwhelmingly willing to take that advice. In the week I've been here, I have only found one woman who remembers participating in civilian air raid drills. "It was 30 years ago," she told me. Today, Seoul's 25 million people have absolutely no ambition to live in constant fear.

But Seoul isn't all of South Korea.

"It's different for us than people on the islands," one told me, recalling the attack in 2010 that killed four South Koreans on Yeonpyeong island barely outside North Korea's territorial waters. In Seoul, the prospect of war is unthinkable. But in a select few flashpoint areas, the threat of armed provocation is very real, indeed.

Korean nightmare: Experts ponder potential conflict

I paused on a street corner near CNN's Seoul offices and looked up at the jagged peaks rising behind the Blue House, which is the South Korea's presidential office. If missiles ever did come streaking toward the South Korean capital, they would likely arc above those mountains. The nearest shelter, I thought, would be the subway system. I considered how long it would take me to get there, even if I were lucky enough to see them still short of their targets. My calculations weren't at all comforting.

Then, like about everyone around me, I decided to think about something else.

iReport: What are your views on North Korea's threats?

@highlight

No indication of fear or anxiety in Seoul toward North Korean threats

@highlight

South Koreans have long lived under a cloud of threats from North

@highlight

South Koreans seems to be carrying with life as normal