(CNN) -- The people have spoken.

Which, come to think of it, is where this whole problem started.

In Congress last week, a House committee passed without opposition a measure that should allow the nation to breathe a grateful sigh of relief.

The Committee on Transportation and Infrastructure approved a bill to prohibit phone calls on all domestic flights.

The measure is on its way to the full House of Representatives; a similar bill is moving through the Senate.

What this means is that the flying public is probably safe from being surrounded by fellow passengers blabbing nonstop on their cell phones from the moment a plane takes off until the moment it lands.

For a while there, it appeared that one of the last bastions of cell phone-free silence -- planes during flight -- was going away.

Last year, the Federal Communications Commission announced that, in its view, cell phone use no longer posed a technological threat to navigation and aeronautic safety. Thus, the FCC declared, lifting the longstanding ban on phone calls from planes should be considered.

What the FCC seemed to be ignoring was the hazard cell phones presented not to the electronics that guide an airplane, but to the well-being and peace of mind of passengers confined inside the cabin of a plane with nowhere to flee while rude seatmates incessantly yakked away.

It is, at its core, a matter of consumer protection.

If cell phone voice calls were permitted, flight attendants would be placed in the impossible position of having to referee disputes between passengers who, jammed tightly into their seats on packed planes, argued over telephone etiquette and common courtesy (which is no longer so common at all). Travelers would demand to be moved; when no others seats were available, hand-to-hand combat might break out. On a street or in a public building, you can always walk away from a loud and obnoxious cell phone user. On a plane? Where are you supposed to go?

There is a simple solution to satisfy those who wish to communicate with people on the ground during a flight: Allow text messages, e-mails and social network postings from the air. Engaging in those activities actually calms passengers, soothes their nerves. Voice calls? The opposite.

Which, in a rare spirit of bipartisan wisdom, Congress appears to understand.

The chairman of the House committee that advanced last week's measure, Republican Bill Shuster of Pennsylvania, cited a poll that said 59% of Americans who flew at least once last year oppose allowing phone calls on planes, and that among Americans who fly more frequently -- four or more flights a year -- 78% oppose the phone calls.

"Most passengers would like their flights to go by as quickly and quietly as possible," Shuster said.

A Democrat on the committee -- Nick Rahall of West Virginia -- agreed: "The prospect of sitting among dozens of people all talking on their cell phones in a confined space raises serious safety, if not comfort, considerations especially at a time when passengers face less legroom, higher fees and pricey flights."

Rahall said that when the FCC raised the possibility of allowing phone calls on commercial flights, "a chill went through the flying public and flight attendants nationwide."

It's not hard to figure out why members of Congress are willing to take these steps now: It is one of those unusual occasions when they sense they will be applauded by a thankful public. Congress isn't taking anything away from anyone; a new law would merely pre-emptively make sure that no one gets very far with the idea of letting cell phones on flights.

And no member of Congress is likely to be the one to demand that voice calls be made a part of flying. The public tends to connect the results of infuriating political decisions with the government officials who promoted them; any time a booming-voiced, serial-calling passenger ruined the flights of the people around him, the simmering anger would be directed at the politicians who had made that possible.

Congress, by moving to prohibit inflight calls, is doing the airlines a favor. As with smoking onboard, it takes the decision out of the individual airlines' hands, so flight crews won't have to negotiate with enraged passengers. And, absent clear-cut rules, if one airline did choose to permit phone calls in the air, you can imagine the television commercials that its competitors would run in an effort to put it out of business:

An opening shot of a cabin full of passengers shouting into their phones, yelling "Can you hear me?", telling longwinded jokes and laughing at top volume, barking orders at business subordinates back at the office, braying "You're fading in and out-- what did you just say?", giving high-decibel and endlessly detailed recitations of what they had for dinner the night before. A roaring, earsplitting jumble of sound, each passenger with a phone to his or her ear.

And then the next shot in the commercial: A quiet cabin filled with people reading, working on their computers, smiling silently at e-mails and text messages. No sound at all.

Followed by the logo of that second airline, with a come-fly-with-us invitation to travel in a civilized way.

Which of those flights seems preferable?

You make the call.

(On second thought ... don't.)

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: House committee OK'd bill to ban in-flight cell phone calls. This is good news

@highlight

He says poll shows most people against voice calls on planes; Congress seems to get this

@highlight

Passengers might be trapped on flight with noisy callers; chaos could easily ensue

@highlight

Greene: Pols knows if that occurs, fliers will blame them; they should ensure ban happens