Hugo Chavez, the man who built his powerful persona on a populist platform of sharing Venezuela's vast oil wealth with the poor and disenfranchised, leaves his nation with a greater distribution of cash to the poor.

But his death also leaves an economy in tatters, some analysts say, as the country had to step in and massively devalue its currency 30% to the U.S. dollar last month. While the OPEC-member nation is sitting on the world's largest oil reserves and is among the biggest oil exporters, oil production has declined.

An influential leader with a mixed record

Chavez built his political base in the barrios of Venezuela, and his pledge to share the wealth among the nation's poorest is the strongest measure of his success during 14 years in office. The inequal distribution of wealth dropped to among the lowest in the Americas during his tenure. In 2011, the Gini coefficient -- which measures income inequality --was .39, down from nearly .5 in 1998, according to the CIA Factbook. That is behind only Canada in the Western Hemisphere.

"He's made Venezuelans feel proud to be Venezuelan again. And that is something I think that really no other leader in that country has done there before -- in fact, they were doing the opposite," Eva Golinger, a former Chavez advisor, told CNN.

Chavez's death draws sympathy, anger

Those living below the poverty line fell to 36.3% in 2006 from 50.4% in 1998, according to the World Bank, and infant mortality fell from 20.3 per thousand births when Chavez came to power, to 12.9 by 2011. Education also became more accessible, with the number of children enrolled in secondary education rising from 48% in 1999 to 72% in 2010, according to UNESCO figures.

"He has changed the lives dramatically of the majority of Venezuelans, he's altered the country forever, his policies have reduced poverty more than half and have brought people out of dire circumstances (who) today enjoy a decent standard of living," Golinger said. "His policies have implemented widespread national healthcare for all Venezuelans fee of charge."

Chavez's death leaves many questions

But "Chavismo" and his program of "21st Century Socialism" have been bankrolled by the national energy company, Petróleos de Venezuela (PDVSA). Critics say Chavez used the state oil company like a piggy bank for pet government project funding homes, healthcare and food while neglecting oil infrastructure and production.

"He is supporting social programs by bleeding the state oil company PDVSA, which accounts for 95% of export revenues and 12% of the GDP," William Ratliff, a research fellow at the Hoover Institution, recently wrote.

"Chavez came into power in Venezuela promising the people that had been left on the margins and ignored by the political class in that country a new opportunity to participate in the economy, participate in the decision-making in the country," said Roger Noriega, a fellow at the American Enterprise Institute, a conservative think tank.

"Unfortunately he's destroyed the economy and centralized all power in his hands, decimated the democratic institutions in the country and left the Venezuelan democracy in even worse shape."

Under Chavismo, oil specialists were sacked and replaced by party loyalists, foreign oil contracts were radically altered or canceled, making investment in Venezuela risky business for international firms.

"These factors have really led to shortages in basic staples. So, Venezuelans for example suffer from a lack of in some cases, baby diapers, or flour, or corn meal, which is the basic daily dietary of the Venezuelan diet, so this is just an example of the distortions in the economy that have been a result of Chavismo," Kathryn Rooney Vera of Bulltick Capital told CNN.

Chavez leaves Venezuela saddled with high inflation -- 22.2% year-on-year in January, according to the Central Bank of Venezuela

After Chavez nationalized foreign-run oil fields, critics say oil production has slowed.

"Venezuela in 2008 was producing 3.2 million barrels per day. One of the most recent statistics I have shows Venezuela producing 2.5 million -- so that shows you a decrease of the last four to five years," Vera said.

@highlight

Chavez will be remembered for improving the wealth and political participation of the poor

@highlight

The inequal distribution of wealth dropped to the lowest in the Americas during his tenure

@highlight

While Venezuela has the world's largest oil reserves, production dropped under Chavez

@highlight

Venezuela devalued its currency by 30% last month and is saddled with high inflation