(CNN) -- An advisory panel to the U.S. Food and Drug Administration on Friday voted 19-10 to recommend placing tighter restrictions on hydrocodone, an ingredient found in popular prescription drugs including Vicodin, Norco and Lortab.

If the panel's advice is adopted by FDA, it would put hydrocodone on par with prescription painkillers like oxycodone, morphine, and methadone -- drugs with high abuse potential that can lead to severe physical dependence.

With its vote, the advisory panel is suggesting that hydrocodone be moved from its current classification as a Schedule III drug -- a drug with moderate abuse potential -- to a more restrictive Schedule II classification.

Among a wide field of potent prescription painkillers -- which the Centers for Disease Control and Prevention says are fueling an epidemic of abuse in the United States -- hydrocodone may have been flying under the radar among doctors.

"Most doctors are under the impression that Vicodin (whose main ingredient is hydrocodone) is less addictive than other prescription painkillers," said Dr. Andrew Kolodny, president of Physicians for Responsible Opioid Prescribing.

"When you wonder why your dentist gives you 40 hydrocodone for a toothache, or your knee doctor prescribes far more than he should, that's because they're under the impression that it's not addictive as Percocet. That's completely false."

Concerns about generic painkillers increase

The panel's advice, if adopted by the FDA, would limit how much hydrocodone a patient could get between doctor visits. It would also limit refills -- Schedule III drugs can be refilled up to five times, while Schedule II drugs are not eligible for refills, according to the Drug Enforcement Administration.

But pain patient advocacy groups and pharmaceutical companies, among others, fear that reclassification will make it harder for patients to get medications they need.

"The FDA advisory committee is considering a proposal that could make it harder for patients with legitimate health needs to obtain essential medications," according to a statement by the National Community Pharmacists Association, which represents pharmacy owners and employees.

Hydrocodone is the most prescribed painkiller in the U.S.: 131 million prescriptions for hydrocodone were written in 2010, according to IMS Health, a health care information company.

That number far outpaces the medical need for the drug, said Kolodny.

"We've had a medical community that has been massively overprescribing the drug," said Kolodny. "There is very little difference between a hydrocodone molecule and a heroin molecule. We need doctors to prescribe much more cautiously."

But it is up for question whether rescheduling hydrocodone will deter doctors from prescribing, or make it very difficult for patients to obtain it, said Dr. Stephen Anderson, an emergency-room physician in Auburn, Washington.

"You'd like for providers who write prescriptions for it to think twice, you'd like people who use it to think twice," said Anderson, also a past president of the Washington chapter of the American College of Emergency Physicians. "Unfortunately I think way too many providers don't draw that distinction very often."

Prescription drug deaths: Two stories

And while Anderson does not wholly agree that reclassifying hydrocodone will necessarily change habits, he says that the move does underline a dire need to change the overall perception of painkillers.

"Society's starting to open their eyes that there is a problem associated (with prescription painkillers)," said Anderson. "If you make a move like this...it's out there in the conversation about this epidemic, and that's a good thing."

An FDA spokeswoman could not confirm when the FDA would act on the panel's recommendation. The DEA will make the ultimate decision on whether to reschedule the drug.

@highlight

An advisory panel recommends that hydrocodone be more restricted

@highlight

Panel: hydrocodone, a Schedule III drug, should be under more restrictive Schedule II

@highlight

The FDA could limit how much hydrocodone a patient could get between doctor visits

@highlight

The FDA has not said when it would act on the recommendation