(CNN) -- Members of the law enforcement community must sound their voices in support of comprehensive immigration reform for the sake of public safety and for the sake of our country.

I write this as a former police chief in Mesa, Arizona, who now serves as the district attorney of San Francisco. I am an immigrant who came to the United States from Cuba at age 13, as my family sought democracy and freedom. I cherish the history and values of our nation and hope that Congress, as it debates immigration reform, will courageously embody the best of our country, enact a humane solution to bring 11 million unauthorized immigrants out of the shadows and fully integrate them into American society.

In the absence of federal action, states have taken immigration law into their own hands, implementing laws that drive a wedge between law enforcement and the people we are sworn to serve. A new study commissioned by Policy Link found that 45% of Latinos in Chicago's Cook County, Houston's Harris County, Los Angeles and Phoenix's Maricopa County were less likely to report crime because they fear police will inquire about their immigration status. More disturbing is that 70% of undocumented immigrants surveyed reported they are less likely to contact police if they are victims of crime.

When immigrants -- unauthorized or authorized - feel isolated from the protection of law enforcement, the entire community suffers. I saw this evidenced during my tenure as police chief in Mesa, Arizona, where local Sheriff Joe Arpaio's reign of terror over the Latino community led to increased crime rates in his county. Arpaio blamed most crimes in Maricopa Country on undocumented immigrants and made racial profiling a common practice. He frequently detained people who "looked Latino" until they could prove their status in the country.

In direct contrast to this approach, I worked side by side with community groups and civil rights organizations to foster a sense of trust between the Latino community and the Mesa Police Department. The effects of a broken immigration system were a constant thread in the stories of Latino mothers, fathers and workers who refused to report crime for fear of being detained or deported. In Mesa, we lowered crime by some 30%, according to FBI data -- a result of the trust our police department created with all communities, and not because of immigration enforcement.

Law enforcement should focus on community safety, not enforcing immigration laws. That is not just my opinion, but that of the U.S. Supreme Court, which ruled against Arizona's SB1070, and of many police officers and law enforcement officials around the country. When undocumented immigrants live in the shadows, they become wary of law enforcement, crimes go unreported, perpetrators remain on the loose, and the safety of our communities is affected.

Anti-immigrant forces have long scapegoated undocumented immigrants as the reason for higher crime rates and the need for greater border security. We in law enforcement must come together and inform our senators that immigrants are a valuable part of our communities. Research shows that areas with a high immigrant population often have much lower rates of crime than similar areas without high immigrant representation. Our borders are also more secure than they have ever been, with the United States already spending more than $17 billion annually on immigration and border enforcement.

While it is important to control access to our nation and keep track of those who visit or come to work, establishing complete border security should not hold hostage the rest of the needed changes: Immigration reform means both border security and a sensible path to citizenship for aspiring Americans, instead of a narrow focus on just enforcement.

As the immigration bill moves through Congress, the law enforcement community must lend its voice to demanding real comprehensive reform of our immigration system. We must rally around the most important aspect of the legislation -- an honest pathway to citizenship, not one filled with landmines, for the majority of aspiring Americans who already contribute to our economy and our communities. The time is now. Passing comprehensive immigration reform will make our communities safer and make our country stronger.

The opinions expressed in this commentary are solely those of George Gascón.

@highlight

George Gascon: Law enforcement should lend support to immigration reform

@highlight

He says immigrants less likely to report if they are victims of crimes if they fear police

@highlight

When he was top cop in Mesa, Arizona, he built trust with immigrants; crime rate fell

@highlight

Gascon: Secure borders key, but at the same time U.S. needs path to citizenship