BEIJING, China (CNN) -- African governments have stopped importing Chinese dairy products as the crisis which has seen more than 52,000 Chinese children poisoned by melamine-tainted goods spreads.

Burundi, Gabon and Tanzania have joined governments closer to China -- including Indonesia, Taiwan, Japan, Singapore and Malaysia -- in banning Chinese dairy products. At least 11 countries have banned imports.

The precautions come as the number of affected children in China continues to swell. Four babies have died from melamine-tainted infant formula and more than 52,000 children have fallen ill, Chinese authorities say.

"I think we will see more cases, but it is, of course, impossible to predict how many cases there finally will be," said Hans Troedsson, the the World Health Organization's China representative. "We have to remember that China is a large country with a population of 1.3 billion people. However, of course, 40- to 50,000 children are affected as reported now. It's a staggering figure, but where we will end up is too early yet to say."

On Monday, China's top quality control official, Li Changjiang, resigned as a result of the scandal, which has seen the arrest of at least 18 people.

Two brothers arrested last week on charges of selling contaminated milk could face death if convicted, according to China Daily, a state-run newspaper. The raw milk used to produce powdered baby formula had been watered down and the chemical melamine was added to fool quality checks, the newspaper said.  Watch CNN visit the company at the center of the scandal »

Chinese Premier Wen Jiabao visited Beijing hospitals and a supermarket to show his concern. China's Health Ministry said about 13,000 children were hospitalized, while another 40,000 had undergone outpatient treatment.

"What we need to do now is to ensure that nothing like this happens in the future, not only in dairy products, but in all foods," he said. "Manufacturers and owners of dairy companies should show more morality and social responsibility in these cases. They are heartless, so we have to create strict law and legislation. I'm sorry."  Watch how Beijing is under pressure over public safety »

The repercussions from the scandal were felt as far away as Africa.

Burundi imports milk products from two suspect Chinese companies and the government has set up a commission to investigate how much tainted product could remain on store shelves, officials said.

"For the moment, nobody knows if the milk is being sold on the Burundi market," Noel Nkurunziza, president of a Burundi consumer association known as ABUCO, is quoted as saying in The Guardian newspaper and other publications.

In Asia, Singapore announced a recall of all Chinese milk products on Tuesday.

The head of Indonesia's Food Safety Watch said she was instituting a temporary ban of all milk imports from China, although contaminated milk has not been found in the country.

In issuing its recall of milk products, Singapore had already suspended the import and sale of milk and dairy products from China on Friday, after it said it has found traces of melamine in three Chinese-made dairy products.

The Agri-Food and Veterinary Authority said "White Rabbit Creamy Candy" was ordered off of shelves after tests showed it was contaminated. White Rabbit is among the best-known candy brands in China and one of the few exported widely. The United States is among 40 nations that import the candy, a man in the administrative office of the Shanghai-based company told CNN Monday.

Earlier, Singapore's agri-food agency said it found melamine in two other milk-based Chinese imports: the Yili brand "Choice Dairy Fruit Bar Yoghurt Flavored Ice Confection" and the Dutch Lady brand of strawberry-flavored milk.

In Bangladesh, three Chinese powdered milk brands -- Sanlu, Suncare and Yashili -- have been taken off shelves and all milk powder imports at Bangladeshi ports will be inspected. Bangladeshi TV showed the country's Rapid Action Battalion climbing over a fence to raid a storage facility believed to contain tainted milk.

In Malaysia, Health Minister Datuk Liow Tiong Lai announced that import of Chinese milk products had been stopped.

In addition to banning imports, thousands of tons of tainted milk powder have been recalled.

In the Philippines Monday, the country's Bureau of Food and Drugs banned the distribution and selling of two brands of imported Chinese milk that could possibly be tainted, the Philippines News Agency reported.

The milk brands were Yili and China Mengniu Diary Company, the agency reported.

One of the implicated Chinese plants is operated by a subsidiary of the Marudai Food Co. in Japan. Marudai said it was recalling five types of products from the plant, would halt operations there for one month, and will send employees to the subsidiary to examine quality controls. The factory will be shut down through October 19.

Even some countries that don't import Chinese dairy products, such as Malaysia and Brunei, have banned milk products from China.

In Hong Kong, concerned parents have swamped hospitals. A 3-year-old Hong Kong girl was reported this weekend as the first case outside of mainland China. The girl was treated for kidney stones at Princess Margaret Hospital and released, Hong Kong's government Web site reported. Her condition is being monitored.  Watch the public outcry faced by the Chinese government »

A second child, a 4-year-old boy, had similar renal symptoms, the government reported Monday. The boy, a Hong Kong native, had consumed milk products contaminated with melamine and was diagnosed with a kidney stone in mainland China, the Department of Health said.

He was treated at Princess Margaret on Monday and was in stable condition.

The hospital said Monday it has provided medical consultation to 63 people who might have consumed contaminated milk products. The patients, 34 males and 29 females, ranged in age from 2 months to 17 years old.

A Hong Kong government hotline has received nearly 1,000 calls.

Melamine is commonly used in coatings and laminates, wood adhesives, fabric coatings, ceiling tiles and flame retardants. Some Chinese dairy plants have added it to milk products to make it seem to have a higher protein level.  Learn more about the chemical melamine »

Melamine is the same industrial contaminant from China that poisoned and killed thousands of U.S. dogs and cats last year.

Health experts say ingesting melamine can lead to kidney stones, urinary tract ulcers, and eye and skin irritation. It also robs infants of much-needed nutrition.

@highlight

NEW: Burundi, Gabon, Tanzania ban import of suspect milk products from China

@highlight

NEW: Singapore, Taiwan, Bangladesh, Malaysia, Indonesia, Brunei impose bans

@highlight

Head of China's quality watchdog resigns over tainted baby formula scandal

@highlight

Four infants in China dead, over 52,000 reported ill from tainted milk powder