(CNN) -- President Barack Obama's announcement that the United States will move toward restoring diplomatic ties with Cuba is great news for those of us who looked at the 50-year-old embargo as an ineffective foreign policy relic.

Not only will moves such as expanding commercial sales and exporting goods and services to the island of 13 million people create goodwill with a country just 90 miles away, it will create more U.S. jobs and allow Cuban cigar aficionados to come out of the closet.

It is also an important countermove to the advances made by Russian President and geo-political agitator Vladimir Putin.

In addition to his annexation of Crimea and invading the Ukraine earlier this year, Putin has quietly been re-establishing Russia's ties with Cuba. Ties that were severed because the Soviet Union was no longer able to be Cuba's Sugar Daddy following its collapse in 1991.

Sitting back and holding on to a failed foreign policy strategy while Putin got reacquainted with our neighbor off the coast would not be a smart move -- even if Russia's economy is in shambles.

In short, there are a lot of practical reasons why this historic announcement makes sense. And while there will certainly be critics pointing out what the deal with Cuba does not contain -- such as removal of the Castro regime -- it is important not to limit discussion about our relationship with Cuba to one family's ascendance to power.

After all, Fidel Castro did not just appear in a vacuum.

We created him.

Or rather we foolishly nurtured the environment in which someone like him could rise to power. That's because before Castro there was Fulgencio Batista-- and he, unfortunately, was our guy. Batista authorized the killing of 20,000 of his own people to stay in power, according to a speech by Senator (soon to be President) John F. Kennedy in 1960.

He was a man, who, when on the cusp of losing an election, led a military coup and abolished democracy to keep power. A man who stole hundreds of millions from his own people, denied dark-skinned Cubans an education, forced them to work as indentured servants on white-owned sugar plantations and used the weapons we supplied him to quash any movement that would challenge his corrupt government.

So before Sen. Marco Rubio and others talk about Castro, we should talk about how the United States called Batista an ally and friend much in the way we called Egypt's corrupt president, Hosni Mubarak, an ally and friend.

The way we supported Iraq's now-disgraced prime minister, Nouri al-Maliki. The way we propped up oppressive dictatorships such as Alfredo Stroessner in Paraguay and the Dominican Republic's Rafael Trujillo.

In Batista, the U.S. shamelessly backed someone who viciously oppressed his citizens because he protected our interests. In the 1960 speech, Kennedy noted "at the beginning of 1959 U.S. companies owned about 40 percent of the Cuban sugar lands -- almost all the cattle ranches -- 90 percent of the mines and mineral concessions -- 80 percent of the utilities -- and practically all the oil industry - and supplied two-thirds of Cuba's imports."

In short, we pillaged the land and then became indignant when Castro sided with our enemy, Russia. Here we are decades later, Cubans are once again hurting economically because of our actions...should we sit back and allow an anti-U.S. sentiment to encourage Cuba to side with Russia once again?

Or do we look at our history and learn from it?

When we talk about the embargo, and the Cuban Missile Crisis and evil dictators, let no U.S. policymaker whitewash our role.

When President Obama's critics demand we seek some say in Cuba's future leadership ask them about our history of picking leaders for other nations. And when Cuban exiles talk about the land Castro stole be sure to ask them why was life so good for them under Batista, a man Kennedy said led "one of the most bloody and repressive dictatorships in the long history of Latin American repression."

As, I said earlier, Castro didn't appear in a vacuum.

None of which is meant to defend the horrific human rights violations committed by his regime in the years following the Cuban Revolutionary War. I have spent weeks in Cuba and have heard the stories about Batista and Che Guevara from those who lived through the bloodshed. Who whisper about Castro's barbaric firing squads for fear that the wrong person may overhear.

I spoke with people who quietly run restaurants out of their homes, fearing one night government officials will come to seize what they've worked so hard to build. The people I spoke with love their country...but they love our freedom. They desire our freedom. And clearly this 50-year-plus embargo has not led to them obtaining this freedom.

We've managed to do business with other communist nations without viewing it as a threat to national security. We've managed to do business with other nations accused of gross human rights violations without questioning our own morality. And the Russia that provided so much angst during the Cold War is nowhere near the geo-political juggernaut it was when the embargo went into effect in 1960.

Cuban neighborhoods are peppered with incomplete construction projects, a byproduct of the lost financial support after the 1991 collapse of the USSR. Libraries I visited have dilapidated roofs and are starved for current books. Tourists from Europe and Canada are greeted with opened arms.

And here we are, 90 miles away, trying to pretend everything was OK until Castro showed up when we know that was not the case.

A local in Havana told me when Batista was in power, the poor with physical disabilities were treated like pariah and sometimes killed when young because they couldn't work on the sugar plantations.

The following week in Santiago de Cuba, I noticed a Castro quote on a sign that read "La grandeza de un estado se mide por la forma en que brinda attencion a los discapacitados" which roughly translates to "the greatness of a country is measured by how it treats its disabled." Again, I'm not saying Castro is a misunderstood angel. I'm saying our conversation about U.S.-Cuba relationship does not begin with him.

Acknowledging the mistakes we've made that helped to taint our relationship with our neighbor may put us in a bad light. But it may also shed light on this foreign policy hamster wheel we're on, where we characterize a bad person as a good one just because we picked them.

And not for naught, it may stop Putin from placing a thorn closer to our side.

@highlight

LZ Granderson: US-Cuba rapprochement is a huge breakthrough

@highlight

He says critics will point to human rights abuses under Castro's Cuba

@highlight

He says those legitimate points need to be balanced with benefit of history

@highlight

In the 1950s, the U.S. helped create Castro with its support of despotic Batista regime