(CNN) -- If you read the headlines this week about the the death of Judge Robert Bork, you probably took away that he will be remembered for his conservative judicial philosophy and losing a very contentious Supreme Court confirmation battle.

You probably didn't read about the impact he made on modern media, and maybe even on the debate the Internet had about Instagram this week. But that's part of his legacy, too. Let's connect the dots from Bork to Instagram, shall we?

1. The Bork Tapes

President Ronald Reagan nominated Bork for the U.S. Supreme Court in 1987. During his confirmation hearings, an enterprising reporter found a list of the movies he'd rented at his local video rental store.

You might imagine the reporter was looking for something among the rentals that could shed new light on the man. What turned up was a pretty ho-hum list of movies including lots and lots of Cary Grant and at least one middling Danny DeVito comedy. (The reporter's own back story on what he was looking for in procuring that rental list is slightly more nuanced -- it's a good read, which you can find here.)

2. The VPPA

Perhaps the biggest controversy about Bork's rental list was how deadly dull it was. But, who knows? Maybe some of those lawmakers had something to hide? Within a few short months of the hearings, the U.S. Congress passed the Video Privacy Protection Act -- VPPA for short -- a law that was written to keep video rental records private, but which still governs parts of our digital-media world.

3. Class action catnip

The crux of the law, and of the lawsuits that followed, is something called a "private right of action" and a tidy penalty for violating it. The VPPA allows individuals whose viewing history was shared to sue for $2,500 a pop. That's litigation catnip for class-action attorneys, who make a living collecting large groups of allegedly wronged people with something to gain from saying so.

It was a clever way for lawmakers to ensure that people would abide by the law. (Now you really want to see those Congress-folks' lists, right?)

4. Goodbye, Beacon

The VPPA was the law that was used to shut down Facebook's controversial "Beacon" program in 2009. Beacon was a feature that powered messages in your news feed about your activities on other websites, a la "Sean just bought a diamond ring on Overstock.com!"

Too bad it was an engagement ring, and Facebook spoiled the secret.

Facebook relented after a class-action lawsuit involving exactly that kind of story -- a Facebook-foiled marriage proposal. The site first provided a way to opt out and eventually shut Beacon down altogether and coughed up a $9.5 million settlement.

Beacon became a target because among the activities being shared was video viewing (in addition to diamond buying and lots of other things).

More recent VPPA suits involve Netflix, Best Buy and Redbox.

5. Enter Netflix

Since then, as social networks have exploded in popularity and social media sharing has become de rigueur, just about any of us could flip open Facebook and see a stream of all the music our friends are listening to right this second. But because of the VPPA, you couldn't see the same thing for the movies they're watching.

Companies like Netflix have been pushing hard to change that. Telling your friends what you're up to is, after all, the modern equivalent of word-of-mouth advertising.

Netflix says its users want to be able to share which movies they're watching online with their friends, and has lobbied Congress to amend the law. This week, the U.S. House of Representatives approved an amendment to the VPPA that would allow individuals to opt in to sharing their online viewing habits.

The Senate recently passed something similar, and all signs point to a change in the weeks ahead.

OK -- bear with me here. We're almost to Instagram.

6. Looooong privacy policies

The amendment the House passed says explicitly that it is, indeed, possible to give your consent to share information about your video viewing via the Internet. Great. What it doesn't necessarily make clear, though, is exactly how to do that, and how a company that is sharing your information can make certain that you understand what you are agreeing to.

What that means in practical terms is that most terms of use for social and digital media services are very long and exhaustive. It's in companies' best interest to tell you everything they possibly can about what you're consenting to, so they can't be penalized the way Facebook was in the Beacon debacle.

7. The Instagram revolt

Which is where Instagram comes in. The company announced Monday that it would be updating its terms of service to include new ways it could share and treat your personal information and content. Immediately, people began speculating about why Instagram might need these new disclosures, and what on earth it could be planning.

Was it going to sell photos of your kids to advertisers, without even telling you about it? Yikes.

Founder Kevin Systrom responded to the frenzy by saying, "We've heard loud and clear that many users are confused and upset about what the changes mean," and then tried to get more clear about what the legal documents mean. The language that most concerned users (apparently granting permission to sell images without notifying or paying the user) would be removed, he said.

BONUS: What now?

OK, so what does this mean for us? It looks as though the law may change, and soon enough you may be able to click a button and tell your friends what you're watching on Netflix. But it also means that terms and privacy policies for digital services may get longer and even more complicated as a result.

So read those terms, folks. Especially if you think you might get tapped for the Supreme Court.

@highlight

Judge Robert Bork, who died this week, has unlikely connection to digital media

@highlight

After a reporter outed Bork's video-rental history, Congress made doing so illegal

@highlight

That law shut down a Facebook sharing feature and helped prompt long terms-of-service

@highlight

An Instagram TOS update spurred this week's user revolt