(CNN) -- The largest report yet into the extent of female genital mutilation, or cutting, has shed new light onto a practice that affects tens of millions of women and girls worldwide, U.N children's agency UNICEF said.

There is some positive news in the new UNICEF report, with data on trends revealing that the practice is becoming less common in more than half of the 29 countries where it is concentrated.

U.N. director: 'Women will change the world'

But some 30 million girls remain at risk of being cut in the next decade unless efforts to eliminate the practice make more headway.

More than 125 million girls and women alive today have undergone some form of female genital mutilation in 29 countries across Africa and the Middle East, according to the report, "Female Genital Mutilation/Cutting: A statistical overview and exploration of the dynamics of change."

The practice -- which can carry serious health risks and is seen by the United Nations as a human rights violation -- is found to a far lesser degree in other parts of the world, though the exact number of girls and women affected is unknown, said the report, published Monday.

Social acceptance and preservation of virginity are the most commonly cited reasons for carrying it out in most countries, among men as well as women.

The adoption by the U.N. General Assembly last December of a resolution intensifying global efforts to eliminate female genital mutilation marked "a milestone in global efforts to end the practice," the report said.

CNN Special: Impossible odds, unstoppable girls

But cutting continues in some countries and ethnic groups, despite decades-long efforts to eliminate it -- and despite the fact that laws banning female genital mutilation at all ages have been passed in the majority of African nations.

In some communities it is seen as a religious requirement, while in others it's dictated by tradition.

"In many countries, prevalence is highest among Muslim girls and women. However, the practice is also found among other religious communities," the UNICEF report said.

Cutting is nearly universal in Somalia, Guinea, Djibouti and Egypt, according to the report, but affects only one in 100 girls and women in Cameroon and Uganda.

Some girls undergo the practice while still babies, while others are cut as young girls or in their teens.

The degree of harm inflicted by the practice also varies across communities.

Opinion: 'Women's rights violations not just developing nation issue'

"In Somalia, Eritrea, Niger, Djibouti and Senegal, more than one in five girls have undergone the most radical form of the practice, known as infibulation, which involves the cutting and sewing of the genitalia," the report said.

The downward trend in the practice is most marked in countries where it is less prevalent, the report said.

In Kenya and Tanzania, women age 45 to 49 are about three times more likely to have been cut than girls age 15 to 19, UNICEF found. In Benin, Central African Republic, Iraq, Liberia and Nigeria, adolescent girls are about half as likely to have been cut as women age 45 to 49.

Other countries where the practice is more widespread have also registered declines. They include Burkina Faso and Ethiopia and, to a lesser extent, Egypt, Eritrea, Guinea, Mauritania and Sierra Leone, the report said.

It also highlighted a gap between the support among women for female genital mutilation and its prevalence.

"In most of the countries surveyed, (the) majority of girls and women who have undergone the practice do not see benefits to it and think that the practice should stop," UNICEF statistics and monitoring specialist Claudia Cappa is quoted as saying.

"More mothers are aware" that female genital mutilation and cutting "can lead to their daughter's, or a girl's, death," she says. "So, there is a better understanding of the consequences, which, in itself, is very important progress."

Give African women a voice,' say activists

But many mothers who oppose the practice still have their daughters cut because of societal expectations, the study said, indicating that "efforts to end the practice need to go beyond a shift in individual attitudes and address entire communities."

The study also found that efforts by the many agencies campaigning for change are differentiated for various ethnic groups, some of which cross national boundaries, since cutting is much more common in some groups than others.

Men and boys, as well as girls, should be encouraged to talk about the practice, the report said. "This is especially important since the data indicate that girls and women tend to consistently underestimate the share of boys and men who want (female genital mutilation) to end."

Another factor in eliminating cutting is promoting education and exposure to other communities, it added, with urban, wealthier and more educated families less likely to impose the practice on their daughters.

"As many as 30 million girls are at risk of being cut over the next decade if current trends persist," said Geeta Rao Gupta, deputy executive director of UNICEF.

"If, in the next decade, we work together to apply the wealth of evidence at our disposal, we will see major progress," she said. "That means a better life and more hopeful prospects for millions of girls and women, their families and entire communities."

@highlight

Data reveal a downward trend in some countries where female genital mutilation occurs

@highlight

But some 30 million girls remain at risk of being cut in the next decade, UNICEF warns

@highlight

Cutting is nearly universal in Somalia, Guinea, Djibouti and Egypt, a study finds

@highlight

The steepest declines in cutting are seen in Kenya and Tanzania, the report says