(CNN) -- The body of Venezuelan President Hugo Chavez will rest in a glass case on public display. Forever.

At least, so said his deputy, Nicolas Maduro.

While the idea may seem alien to some, Chavez will be the latest in a line of leaders whose remains have been embalmed and put on show in a glass casket.

Perhaps the best known is Russia's Vladimir Lenin, whose body still lies in a mausoleum in Moscow's Red Square, nearly 90 years after his death.

Others include Stalin, China's Mao Zedong, Vietnam's Ho Chi Minh, and North Korea's founding leader, Kim Il Sung.

U.S. President Abraham Lincoln was also embalmed following his assassination in 1865, enabling his body to be taken on its winding, three-week train journey back to Springfield, Illinois, with open-casket memorial services along the way.

For Nina Tumarkin, author of "Lenin Lives! The Lenin Cult in Soviet Russia," the decision to embalm Lenin in 1924 -- the first modern leader to have his corpse preserved in this way -- was a reflection of a tumultuous period in early Soviet history.

Chavez's impact lauded at funeral

"Many people feared that the regime could not survive his death, so after the announcement was made, Moscow became something of an armed camp," said Tumarkin, a professor of Russian history at Wellesley College, Massachusetts.

The leaders were unsure whether to hold a lying-in-state period, for fear that the people would not come, she said. As it turned out, some 750,000 braved the bitter January cold, standing in line for long hours to catch a glimpse of the corpse.

As a result, the leaders decided to make it a "going concern," she said, extending the period first to 40 days, the period in the Russian Orthodox tradition when Mass is said daily for the dead, and then installing his glass sarcophagus. They first placed it in a wooden mausoleum before building the stone one that stands today.

Nine decades later and half a world away, crowds of Venezuelans similarly lined up to see Chavez's body as it lay in state at a military academy before the funeral Friday.

So many came to see the body that the viewing was extended for another seven days.

Giving details of his funeral, Maduro said Chavez would be embalmed "just like Lenin (and) Mao Zedong" and laid to rest at a military museum where generations of Venezuelans will be able to visit a man who for many was larger-than-life.

Polarizing move

In Lenin's case, the decision was -- and is still -- controversial.

Even at the time of the communist leader's death, many Russians were outraged by the idea of embalming him, Tumarkin said. Many more today would like to see the body buried.

But the polarizing move came against the backdrop of the discovery 15 months earlier of the Egyptian pharaoh Tutankhamen's tomb. "It took the imagination of the world by storm," Tumarkin said, and it sowed the idea that the body of a leader could be preserved for thousands of years to come.

It also tapped into a Russian Orthodox belief that the body of a true saint does not decay, she said.

"Most important from a political point of view, the leaders who followed Lenin at the time, or who would be competing for the mantle of general secretary of the party, were men who were really terrified that the whole system was going to come falling down," she said.

That fear had already prompted them to begin the process of "making Lenin eternal" through his writings and portraits. With his extended lying in state, the Russian people also had a kind of shrine to visit, Tumarkin said, again channeling the religious tradition.

When Lenin's body was put on display, the embalmers compared their work to that of the ancient Egyptians -- who actually had used very different methods -- and the message sent out to the rest of the world was that this should be seen as a demonstration of superior Soviet science, she said.

At the same time, Lenin's symbolic presence lent the next generation of leaders an extra legitimacy, she said.

And as the cult of Lenin swelled in the 1920s and 1930s, and was revived decades later, his body could still be viewed, Tumarkin noted. Other Communist leaders, such as Mao, followed his lead in later decades.

Civil War practice

In some countries, for example the Philippines and the United States, embalming ahead of open-casket funerals is now quite common.

But the process is still regarded with suspicion or revulsion by many, perhaps linked to a wider discomfort with the idea of death.

According to the American Society of Embalmers, modern-day embalming took off in the United States during the Civil War, when families would travel to the battlefields to find their dead sons or brothers.

"The Union Army had 'Embalming Surgeons' in the battlefield that would prepare the remains, place them in a coffin and send back to the family by train or horse and buggy," the society's website says.

So what's involved in the embalming process today?

First, the body fluids must be drained and replaced with a formaldehyde-based product, said Richard Arnold, managing director of the Embalmer Training School in Britain and a qualified embalmer for 20 years.

The formaldehyde-based fluid plasticizes the proteins within the body and fights against the bacteria that otherwise would lead to its decomposition, he said.

In cases where the body is expected to remain embalmed for a long period -- rather than for a few weeks or months, as can happen if a funeral is delayed -- the concentration of formaldehyde will be increased. Other chemicals, such as lanolin, can be added to the mix to improve the color and texture of the skin, help break down blood clots or lessen discoloration.

Then comes the process of making the deceased look as realistic and, for the sake of the family, as peaceful as possible, Arnold said. "We do everything from reconstructive surgery to cosmetics and hairdressing."

The cosmetics used in embalming have higher levels of pigment and silicone, he explained, so that when the body is moved in and out of cold storage the cosmetics will expand and contract with the tissue beneath without cracking.

Each embalmer works with individual artistry, he said, with many around the world creating their own mixes of chemicals to achieve the best results in local conditions.

This could be important in Venezuela, where the weather is tropical and power supplies sometimes erratic.

And if a body is going to be displayed for a long time, it's crucial to get it right.

The body of Klement Gottwald, president of then-Czechoslovakia, was embalmed and placed in a mausoleum for display by Communist Party leaders in 1953. But it was taken off display several years later, in part because, it is said, it had begun to decompose.

World leaders aside, Arnold believes embalming is an overlooked and undervalued art that helps regular people if someone dies far from home or must be laid to rest after a delay.

Particularly for families who've lost a relative in sudden or tragic circumstances, it's important to see the loved one looking their best at the last, he adds.

"I've always enjoyed the job," he said. "It's the last thing you can ever do for anybody."

'Magic has gone'

But even with the best of skill, an embalmed body will eventually start to look more waxy or plasticky -- as has been remarked of Lenin's face during his long repose.

It reportedly is under a high-maintenance regime that involves the frequent reapplication of embalming fluids.

Despite this, Lenin is no longer looking as good as he used to, said Tumarkin, who has viewed him several times over the decades in the gloom of his 1920s-style mausoleum, decorated in red, black and white.

It used to make an impression in the Soviet period, when the long lines of visitors leading up to the sarcophagus created a sense of reverence akin to that of a pilgrimage, she said.

But on more recent visits, Tumarkin found much has changed.

"You don't have that any more. You don't have the lines (of people) any more. You just wander in and it's like being in a wax museum -- the magic has long since gone."

It's perhaps a word of warning that Venezuela's leaders should heed as they plan for eternity.

@highlight

Hugo Chavez's embalmed body is to be placed on display in a glass casket

@highlight

This follows in a tradition that includes Lenin, Mao Zedong and North Korea's Kim Il Sung

@highlight

Lenin historian: "It's like being in a wax museum -- the magic has long since gone"

@highlight

"It's the last thing you can ever do for anybody," says a UK embalmer of his trade