(CNN)I wasn't surprised the Confederation of African Football (CAF) suspended host Morocco from its most prestigious tournament -- the Africa Cup of Nations (AFCON) -- as the continent grappled with the Ebola crisis.

It is important to take Ebola seriously, but Morocco took too long to make a decision and the North African nation had various options to control the risk, notably preventing fans from West Africa from entering the country.

AFCON is still one of the world's most important football tournaments and a sudden cancellation would have been ridiculous.

The health of a continent is more important than any football tournament, but given the distance from Morocco to where the disease is most prevalent, the risk posed to the North African nation would have been small.

Morocco offered to host the tournament the following year, but to have staged competitions in successive years -- 2016 and 2017 -- would have caused a huge rumpus with European clubs.

Of course, an AFCON should be played on African soil, but would offering it to Qatar have been a better solution?

New host Equatorial Guinea -- the right choice?

For CAF to give the tournament to Equatorial Guinea, however, was a controversial decision.

Western officials cite Equatorial Guinea as an example of a resource-rich country that is plagued by kleptocracy problems.

President Teodoro Obiang Nguema Mbasogo has been in power since 1979 and the vast majority of his citizens live in poverty. In recent years, anti-corruption groups have tried to draw attention to the ruling family's assets in Europe and the United States.

In 2012, Equatorial Guinea co-hosted AFCON. I attended that tournament and it worked out, but remember Gabon was the co-host as well and that made a huge difference.

But CAF didn't have a lot of options.

Africa isn't like Europe where you clap your hands and you have 10 countries willing to host a major tournament. As they say, TIA -- "This is Africa."

To be honest CAF was lucky to find a replacement on that short notice.

"CAF wishes to express its sincere thanks to the Equatorial Guinean people, its government and particularly president Obiang," said CAF president Issa Hayatou in a statement. "To agree to organize a competition like this two months before the event, you must admit you really have to be a true African."

But CAF could still face problems. Equatorial Guinea has two great stadiums, but the other two are not of international standard.

It will be very difficult to host a tournament with similar conditions for all teams. The government will have to put in a lot of effort just to provide at least a normal playing surface.

Equatorial Guinea's infrastructure could also present problems. There are a few decent roads between the airport and the stadium or from city to city, but that's not the case for the rest of the country.

Will there be enough hotels and accommodation for the 16 teams, officials and international press? Participants need to be prepared to improvise, but it will be a big challenge for everybody involved.

Power cuts are a normal part of life in West Africa, so it's not unusual that stars playing for Europe's top clubs will have to take a cold shower or spend time in hotels without electricity, walking around with flashlights or candles.

Many international fans wonder why African stars would accept such conditions.

The reason is simple: All Africans are proud to represent their country and are honored to play at AFCON, even if they have to play on a bumpy pitch or are living in a less-than-luxurious hotel.

For me that's really impressive, touching even, when you realize how much it means to these guys to carry the flag for their country.

Don't expect African players to crumble under any pressure from European clubs asking them not to travel to the tournament because of Ebola.

The players believe that they have to fight this illness by showing some solidarity.

Uncomfortable atmosphere?

When I have been to Equatorial Guinea you often feel the locals aren't that keen to communicate with foreigners.

The constant presence of military and police armed with rifles creates an uncomfortable atmosphere.

When I was at the tournament in 2012, my local driver was punched in his face with a gun because he asked politely if he could drop me and my cameraman closer to the stadium.

That was one reason why I felt more comfortable in Gabon.

I expect the attendances in Equatorial Guinea to be strong because the locals are big football fans. And if the government wants the stadiums to be full then people are most likely to go there.

Africans view Equatorial Guinea's national team somewhat critically, given it has too many naturalized players -- many were born in Spain, Colombia, Ivory Coast and Cameroon.

Equatorial Guinea's participation also signals a remarkable turnaround in its fortunes, following the team's suspension from the competition for fielding an ineligible player earlier this year.

A crazy draw -- who are the favorites?

AFCON offers a strange mix of football.

Within two minutes you can witness everything from amateur level to world-class ability. You see unbelievable skills and seconds later you shake your head about a mistake you wouldn't even see in the lowest leagues.

The weaker teams are no better than German third-division level, but with teams like Ivory Coast you see plenty of players who earn their money at top clubs.

However, the level, especially in the tactical area, has improved drastically over the last four tournaments.

Algeria is my tip to win the tournament. It's a team that had a fantastic World Cup, a convincing qualification campaign and a team where it's hard to spot any weakness.

Algeria is a team that plays European football, is disciplined and physical, and has plenty of experience.

Ghana is a contender because of the individual class of players like Asamoah Gyan and many others.

It's a shame that Nigeria -- the current African champions -- didn't qualify for the tournament. Nigerian coach Stephen Keshi always managed to field a team with a good mixture of overseas-based players and local youngsters.

The Super Eagles will be sorely missed.

I can't see a surprise winner like Zambia in 2012. It was a once-in-a-lifetime fairytale when a team of unknown players beat sides like Ghana and Ivory Coast against all the odds.

Senegal, with my good friend Alain Giresse in charge, is a team that could potentially go all the way. Its physical strength is known to anybody who watches African football, but Alan has formed a unit which has also improved tactically.

Equatorial Guinea has a decent side but it's not a team that has the level required to become African champions.

Fans

One of the big differences between the European Championship and AFCON is the attendance and the atmosphere in the stadiums.

Why do you see so many empty seats in the stadiums?

Africa is a huge continent and connections from one country to the other by plane, train or car can be quite complicated and can take hours or even days.

The travel costs are also very expensive and sometimes connections between African countries are easier with a stopover in Europe.

Likewise, an average African worker would never be able to afford the airfare, while accommodation can be completely overpriced. A very average hotel room during the 2010 AFCON was sometimes more than $500.

Ticket prices at AFCON are also too high for fans. A normal ticket costs many times more than local fans would normally pay for tickets at a domestic league game.

Average African fans just can't afford to pay such prices for a football game. Poverty forces people to buy food or medication instead of spending crazy money on a football match.

Every match of the host nation is traditionally a sell-out crowd, and as long as the host is still in the tournament, the attendances are decent.

But when the home team is eliminated, you sometimes get the feeling that the football in the country has just died, with local supporters losing immediate interest in the tournament.

These days, African fan culture gravitates towards many of them supporting European teams. So much so, that the English Premier League means much more to African fans than AFCON.

Who cares to watch Guinea against Senegal if you can see Chelsea, Manchester City, Manchester United, Liverpool or Arsenal at the same time on television?

African football, therefore, has a real struggle competing against the major European leagues, with Lionel Messi, Cristiano Ronaldo and Neymar now the true idols of African fans.

@highlight

2015 Africa Cup of Nations gets under way Saturday

@highlight

Equatorial Guinea hosting tournament after Morocco was suspended

@highlight

Morocco banned for refusing to host competition due to Ebola fears

@highlight

Reigning champion Nigeria did not qualify for 2015 tournament