(CNN)ISIS is under pressure in parts of Iraq and battling a variety of adversaries in Syria, but it's metastasizing at warp speed elsewhere, most dangerously in Egypt and Libya.

It also has support in Yemen, Afghanistan and Pakistan. And the leader of the group ravaging northern Nigeria, Boko Haram, has expressed his admiration of ISIS leader Abu Bakr al-Baghdadi.

The savage killing of 21 Egyptian Christians in Libya -- all of them dressed in ISIS' trademark orange prison garb -- is another indication of ISIS' ability to take advantage of collapsed or collapsing states and of its growing presence in North Africa. Most significantly, the atrocity took place in Sirte, a long way from ISIS' first stronghold around Derna in the east of the country.

ISIS' presence in Sirte, a town of 50,000, has been growing. The Egyptians were abducted in November, and more recently, the extremists strengthened their presence by taking over government buildings and a radio station.

ISIS first announced itself in Libya in October. Amateur video showed a large crowd of militants in Derna affiliated with the Shura Council for the Youth of Islam chanting their allegiance to al-Baghdadi. Sources told CNN at the time that ISIS had up to 800 fighters in the area as well as training facilities in the nearby Green Mountains. They were bolstered by the return from Syria and Iraq of up to 300 Libyan jihadists.

A short while later, al-Baghdadi recognized three Libyan "provinces": Barqa (in the east), Tripolitania (west) and Fezzan (south) as being part of the "caliphate."

Since then, ISIS has stepped up its presence across Libya. Late last month, a suicide bombing and gun attack on a hotel in the capital, Tripoli, killed 10 people, including an American. The attack was swiftly claimed by Wilayat al-Tarabulus, ISIS' name for the province. Politicians in Tripoli disputed the claim.

ISIS has also been active in southern Libya, attacking a Libyan army checkpoint in Sokhna in January and killing 16 people.

While a growing presence, the Libyan affiliate is some ways from being able to mimic ISIS in Syria and Iraq, with its bureaucracy and governing structure. Geoff Porter of North Africa Risk Consulting says that "even in the jihadi stronghold of Derna, (ISIS) does not rule independent of a broader coalition of like-minded, but ultimately distinct groups."

"While ISIS may prove to be an enduring terrorist threat in Libya, it is very unlikely to be able to develop to the point where it controls a meaningful amount of territory," Porter says.

But as in Iraq and Syria, ISIS has launched an effective social media campaign in Libya. It has also made a concerted effort to attract seasoned fighters from other groups, such as Ansar al Sharia.

ISIS Libyan affiliate has also started to exercise some forms of social control in areas where it is strong. "The group has publicized hisba activities such as burning cigarette cartons; destroying water pipes used for smoking; demolishing "polytheistic" statues and shrines," says Andrew Engel of the Washington Institute.

Hours after the Egyptian air force carried out retaliatory airstrikes Monday, the Egyptian Foreign Ministry warned that "leaving the situation as it is in Libya without a firm intervention to curtail these terrorist organizations would be a threat to international peace and security."

The Italian government has suggested an international peacekeeping presence in Libya. Italy is acutely aware that it's the jumping-off point for a growing flow of migrants and a base camp for terrorism, just hours across the Mediterranean.

Bernardino Leon, U.N. envoy to Libya, has floated the idea of international monitors when a peace agreement between rival factions is hammered out. But "when" seems a long way off, despite the beginning of talks between rival factions in Geneva. And U.S. and European officials fear that putting boots on the ground would be a bug light to ISIS supporters.

In a recent interview with the Financial Times, Leon admitted that "terrorism is becoming a problem beyond the east [of Libya.] It is growing into the west and now the south, and from the west they might go to Tunisia and Algeria."

Porter agrees there is a risk to Tunisia.

There are hundreds of Tunisians among ISIS' ranks in Syria and Iraq, and the government is already battling a jihadist presence at home in the Chaambi Mountains. "Although Tunisian security services have improved their capabilities in the last 24 months, they fear that they would be overwhelmed by the emergence of a cross-border threat originating in Libya," Porter says.

While Libya is ISIS' most notable franchise, jihadists in Egypt have made the vast Sinai desert almost ungovernable.

Chief among them is ISIS' freshly minted Sinai Province, formerly called Ansar Beit al-Maqdis. Late in January, it killed at least 30 people in a series of co-ordinated attacks on security outposts, leading Egyptian President Abdel Fattah al-Sisi to shake up the military command in the Sinai. And just last week, it released a video showing the beheading of eight alleged spies.

With Israel on one side and a military-dominated government in Cairo on the other, Sinai Province has powerful enemies close by.

"That said," writes Aaron Zelin, a leading scholar of jihadist movements, "if the Egyptian government continues to operate in a brazen manner, militarily it will create new local recruits that could sustain the Islamic State in north Sinai."

Less developed but worth monitoring are self-declared supporters of ISIS in Pakistan and Afghanistan, which the group now calls the province of Khorasan. One of them was a former Taliban commander, Mullah Abdul Rauf, who was killed a week ago in a drone strike in Helmand Province. He had split from the Taliban, and analysts are watching for further fragmentation of the group.

Several commanders of the Pakistani Taliban also pledged to al-Baghdadi, but it's unclear yet whether their departure has more to do with the rifts that have torn the group apart in the last two years. The Long War Journal concluded that most of the new ISIS group were low- to mid-level militants -- a sign of "the competition between smaller and emerging militant groups in South Asia, some of which are seeking to align with the Islamic State brand." within the group.

The most intriguing development in recent months has been the desire of the Nigerian group Boko Haram to fly the ISIS flag, literally and metaphorically. It has begun to hold territory and talk of its own Caliphate in northern Nigeria. Its propaganda machine has become much more ISIS-like. And it has incorporated the ISIS symbol into its own flag.

It has also begun inflicting ever more gruesome punishments, including beheadings, on its victims. Boko Haram's leader, Abu Bakr Shekau, has expressed his admiration for ISIS and al-Baghdadi on more than one occasion -- but ISIS has not officially acknowledged any link between the two groups.

For now at least, it is the long coast of Libya and its deep empty interior, its lack of government and many porous borders that seem the most promising territory for ISIS.

@highlight

Libya seems to be the most promising territory for ISIS to extend its reach

@highlight

It has also influence in Egypt's increasingly ungovernable Sinai

@highlight

From Nigeria and Pakistan, other groups seem to be forming various associations with ISIS