(RealSimple.com)  -- Make every day a good hair day with these tips for maintaining, styling, and genuinely appreciating the hair you have.

Caring for normal hair

If your hair isn't dry or oily or damaged by chemical treatments, consider yourself lucky. "Normal hair usually means a healthier scalp," says New York City hairstylist Julie Lin.

Maintenance: You can wash your hair up to five times a week if needed. "A basic shampoo and conditioner, even a two-in-one, is fine," says Marianne O'Donoghue, an associate professor of dermatology at Rush Medical Center, in Chicago. You don't want to disrupt the hair's natural balance by using products for dryness or an oily scalp.

Styling: It's OK to blow-dry every time you wash, but use a heat-protection product and keep the dryer moving along the hair to avoid burning, says Johnny Lavoy, owner of the Moda Rey Salon & Spa, in West Hartford, Connecticut.

Common misconception: If you have normal hair, it can't be damaged. In reality, normal hair should be treated as a fine washable, like lingerie or a cashmere sweater.

What's to love: You can experiment with styling products -- which means you can pick something just because it smells good. Real Simple: How to wash your hair

RS picks for normal hair

• Joico Daily Care Balancing Shampoo delivers basic, gentle cleansing.

• Warren Tricomi Protect Pre-Dry Calming Serum shields hair from the damaging effects of a blow-dryer or a flat or curling iron.

• Infinium by L'Oréal Professionnel Hair Spray holds a style but keeps hair soft and touchable.

Caring for dry hair

Sun, a dry climate, abuse from hot dryers and irons, and heredity can all contribute to dry hair. "But as with your nails, which are also made of keratin, you can restore moisture to hair," says dermatologist Marianne O'Donoghue.

Maintenance: Shampoo twice a week, using products containing moisturizing ingredients, like panthenol and ceramides. Condition after every shampoo. "Hair can absorb only so much conditioner, so don't feel the need to slather it on," says Amanda B. Once a month, use a deep-conditioning mask.

Styling: Try to minimize the use of hot styling tools. When you do blow- dry, straighten, or curl, apply a silicone-based cream or serum to tame frizz, promote shine, and shield the hair from heat.

Common misconception: Clarifying shampoo makes dry hair look even drier. "In fact, dry hair holds more product residue because it's more porous," says Barbara Eisenberg, a stylist at Sofia's Salon & Spa, in Boca Raton, Florida, so using a deep-cleansing shampoo once or twice a month lifts that heavy buildup and makes it shine like new.

What's to love: You don't have to wash your hair as often. Real Simple: Complete hair care

RS picks for dry hair

• Marc Anthony Ultimate Moisture Replenishing Shampoo uses soy and shea butter to repair and hydrate.

• Pureology HydraCure Intense Moisture Hair contains shea, mango, and avocado butters to deeply moisturize dry hair.

• Ojon Shine & Protect Glossing Mist uses plant extracts to combat frizz.

Caring for curly hair

If not treated with care, curly hair is prone to frizz. The trick is to keep it well conditioned and work with the curl, not against it.

Maintenance: Curly hair tends to be drier than straight hair, so wash no more than twice a week, to let scalp oils hydrate hair naturally. "Use a smoothing shampoo and conditioner to treat the cuticle and calm frizz," says New York City hairstylist Julie Lin.

Styling: Dry your hair with a T-shirt or paper towels instead of a bath towel, which can cause frizz, says Jayson Morgan, style director at the Patrick McIvor Color Studio, in Bethlehem, Pennsylvania. Detangle hair with fingers or a wide-tooth comb, never a brush. And use a leave-in conditioning spray, which "can also be misted on when the hair is dry to help the wave bounce back," says Amanda B., a Los Angeles--based hairstylist and colorist.

Common misconception: Hair should be scrunched with the hands as it dries to enhance curls. Actually, scrunching disturbs the curl pattern and creates more frizz. Apply a product and either let the hair dry naturally or twist damp sections into the desired shape and let them air-dry completely.

What's to love: Treat them right and your curls will be low-maintenance. Real Simple: Alternatives for beauty products

RS picks for curly hair

• Matrix Curl.life Shampoo cleanses without weighing hair down.

• Nexxus Humectress Ultimate Moisturizing Conditioner hydrates and helps manage unruly hair.

• Aveda Be Curly Curl Control lotion curls and adds moisture and shine.

Caring for oily hair

Remember -- natural oils are beneficial, so don't entirely strip them for the sake of cleaner-looking hair.

Maintenance: Wash oily hair daily with a mild, detergent-based shampoo. Concentrate on the roots. "It's your scalp that's oily, not your hair," says Mitchell Barnes, co-owner of Carter-Barnes Hair Artisans, in Atlanta. Rinsing out the suds cleans the strands sufficiently. After you shampoo, use a light conditioner from midshaft to the ends. "This allows you to detangle safely without breaking fragile, thinner hair," says dermatologist Marianne O'Donoghue.

Styling: "Because oil blocks the follicles, oily hair is usually fine hair," says salon owner Johnny Lavoy. Avoid silicone, heavy pomades, and creams and opt for an airy mousse, applying it at the roots to add fullness.

Common misconception: Oily hair doesn't need to be conditioned. You must replace lost moisture with conditioner, especially if you shampoo every day. Apply only where needed, beginning at the ends.

What's to love: You save money on styling products. Stick to the basics, like a volumizing mousse, and skip the masks, the creams, and the serums.Real Simple: Best drugstore beauty buys

RS picks for oily hair

• Frédéric Fekkai Apple Cider Clarifying Shampoo rids hair of buildup and impurities.

• Dove Beautiful Care Conditioner helps maintain hair's moisture balance.

• Garnier Fructis Style XXL Volume Thickening Mousse adds body and holds it in place.

Caring for chemically treated hair

The chemicals used to color, relax, or straighten hair open up the hair shafts and make them more porous, so they're more prone to damage.

Maintenance: Wait at least one day after coloring before you shampoo. "The hair shafts need to repair themselves, and washing right after a dye job can remove the color slightly," says Lavoy. Use a shampoo for color-treated or damaged hair about three times a week and follow with a protein-based conditioner. African-American women should shampoo only about once a week and condition "with a water-soluble conditioning oil," says salon owner Johnny Lavoy.

Styling: Use a leave-in conditioner fortified with antioxidants and UV filters to protect chemically treated hair. A rich styling cream or hair oil is great for touching up relaxed hair and dry ends. "Stay away from greasy, petroleum-based products, which just coat the hair and seal out moisture," says stylist Barbara Eisenberg.

Common misconception: Chemically altering hair is a sure way to destroy it. Only consecutively applied chemical processes, such as bleaching and relaxing, will harm hair shafts beyond repair.

What's to love: Relaxed hair is easier to style; colored hair feels thicker.

RS picks for chemically-treated hair

• Pantene Pro-V Restoratives Breakage Defense Shampoo helps fill in the weak parts of each strand, making hair more resilient.

• Redken Smooth Down Detangling Cream Leave-In Smoother conditions with macadamia oil to tame frizz.

• Carol's Daughter Tui Hair Oil contains a botanical oil to add moisture and sheen to African-American hair. E-mail to a friend

Get a FREE TRIAL issue of Real Simple - CLICK HERE!

Copyright © 2009 Time Inc. All rights reserved.

@highlight

There are reasons to love the type of hair you have

@highlight

Each type has different maintenance, styling issues

@highlight

Curly hair should not be scrunched as it dries