(CNN) -- Results for Republican candidates in the most high-profile 2013 races this year -- a resounding re-election win by Gov. Chris Christie in New Jersey and losses for Virginia governor and New York mayor -- stand as a reminder to party leaders that the civil war in their ranks remains a toxic turnoff to voters.

A pattern has emerged: GOP candidates who wade into the hottest ideological fights -- such as the government shutdown or the attempt to defund Obamacare -- enjoy a burst of publicity and cheers from right-wing think tanks, conservative donors and media celebrities.

But the same rowdy, combative style that delights audiences at tea party rallies tarnishes the party label among independent voters. That makes life politically difficult for middle-of-the-road Republicans.

The pattern was on display in the recent races for governor. In Virginia, the GOP candidate, Ken Cuccinelli, narrowly lost a winnable race in no small part due to his longstanding affiliation with the tea party and with attempts to crack down on immigration and drastically limit the availability of abortions.

In a showdown against Terry McAuliffe -- a former Democratic National Committee chairman with close ties to corporate leaders and ex-President Bill Clinton -- Cuccinelli tried to mute or distance himself from past stances on divisive social issues, but the damage was done.

Women, blacks, Latinos, young voters and government workers -- the same coalition that twice delivered Virginia to Barack Obama -- were highly motivated to block Cuccinelli, who closed out the campaign accompanied by tea party heroes such as radio show host Mark Levin and Sen. Rand Paul. McAuliffe, by contrast, toured with Clinton and used his corporate ties to raise $14 million more than Cuccinelli.

Exit polls showed Cuccinelli lost women, blacks and voters under 44. And finally, when totals rolled in from Fairfax County -- home to thousands of federal workers who weren't thrilled by the Republican-led government shutdown -- McAuliffe pulled ahead and won.

On the same day, Republican Christie showed how a different path could lead to victory. Eschewing hard-line stances on the government shutdown or immigration reform, he reached out to New Jersey's independents, who outnumber Republicans or Democrats in the Garden State. Christie, who automatically becomes a Republican presidential contender, romped to a victory of historic proportions with a majority of women voters, half the state's Latino voters and 21% of black voters -- groups that are usually reliable parts of the Democratic base.

In the hours before his victory, Christie explained to CNN's Jake Tapper why his efforts should be a model for Republicans. "I think the party cares more about winning the argument than winning the election, and if you don't win elections, you can't govern," he said in words that should be plastered on the door of every state Republican headquarters.

The battle between Republican factions is deep-seated: Sociologist Robert Putnam tellingly described it as a fight between country-club and Sunday school Republicans. The country clubbers, according to Putnam, are mainstream party members concerned about business development and low taxes, while the Sunday schoolers care passionately about social issues such as abortion.

The glue that long held the coalition together -- common opposition to abortion and homosexuality -- has weakened in recent years. A number of Republicans -- looking at polling and voter data -- have become supporters of same-sex marriage and abortion rights.

Thoughtful young conservatives such as Ryan Sager and Margaret Hoover have been pointing out for years that the party's future requires moderating its thinking on same-sex marriage and abortion to keep the party relevant to young, live-and-let-live libertarian Republicans.

Now a more aggressive response is coming from a Republican group, Main Street Advocacy, that is running ads attacking ultra-conservatives who keep losing elections -- and backing moderate Republicans against them.

"We want our party back," says the group's founder, former U.S. Rep. Steven LaTourette of Ohio, who left the House after complaining about the polarizing elements in the GOP.

It remains unclear who will win the Republican civil war; not everyone has drawn the same conclusions from this week's elections. Brent Bozell, for example, a nationally respected conservative who runs ForAmerica, an activist group, says the problem in Virginia is that the candidate and party weren't conservative enough.

"The moderate branch of the Republican Party turned its back on Cuccinelli, and that hurt him big time," he told the Atlantic. "Politics is solidifying and mobilizing your base -- and the hell with the middle."

That attitude among many national Republicans -- the hell with the middle -- helped doom the chances of New York mayoral candidate Joe Lhota. As the former deputy mayor under Rudy Giuliani, Lhota tried to run a candidacy similar to Guiliani's -- moderate or liberal on social issues while tough on crime and fiscally conservative.

Lhota, in fact, opposed the government shutdown and is pro-same-sex marriage and pro-abortion rights. But voters never heard that message: At every turn, Lhota's Democratic rival, Bill de Blasio, simply associated him with tea party Republicans.

In one of their final debates, Lhota turned to de Blasio in exasperation. "Where I don't agree with the national Republican Party is long and hard," he said. "Do not lump me with the national Republicans. It's unbecoming."

The Republican civil war, decades in the making, will come to a head in the next 36 months, as we begin the run-up to the next presidential election. Expect Christie and other moderate candidates to point to Virginia, New York and other losses as missed opportunities -- the price for choosing to win arguments instead of elections. And expect the tea party to respond that pursuing politics without principles is no way to lead a country.

The opinions expressed in this commentary are solely those of Errol Louis.

@highlight

Errol Louis: GOP results -- win in New Jersey, losses in Virginia and New York -- reflect pattern

@highlight

He says red-meat candidates draw big far-right cheers but turn off independent voters

@highlight

He says Chris Christie correctly said that GOP wants to win argument but then loses race

@highlight

Louis: GOP's "to hell with the middle" ideologues may have principles but will lose elections