(CNN) -- Academic papers tend to be dull, but I just read one that disturbed me. "A Veterinary and Behavioral Analysis of Dolphin Killing Methods Currently Used in the 'Drive Hunt' in Taiji, Japan," was published last year in the Journal of Applied Animal Welfare Science.

And as we'll see below, the "new" method of killing dolphins (intended to be an improvement on the old method) creates such terror and pain that it would be illegal to kill cows in this manner under Japanese law itself. The paper is viewable free online, but it's not for the faint-hearted.

A little background: Each year, people kill about 22,000 dolphins and porpoises in Japan's waters.

In a town called Taiji, every year they catch and kill several hundred bottlenose, striped, and Risso's dolphins, Dall's porpoises and pilot whales. (The Arctic's Faroe Islands also stages an annual pilot whale drive-slaughter for food, which has the side effect of providing the residents with high doses of mercury.)

Taiji got famous in the nervy Academy Award-winning film, "The Cove." The hunting season continues through March, activists have said.

Caroline Kennedy, the new U.S. ambassador to Japan, is among those critical of the hunt; she tweeted: "Deeply concerned by inhumaneness of drive hunt dolphin killing."

Japanese officials have defended the hunt as legal and traditional.

For some reason -- likely public relations -- officials in 2010 announced a "new killing method."

Until recently, hunters speared and stabbed the dolphins to death after driving them onto the shoreline.

The new method is supposed to reduce time-to-death. As such, it's bogus. On paper, the new method involves destroying the spinal cord with repeated insertion of a metal rod. Even on paper, the "new killing method" makes no attempt to damage the brain, which would at least end consciousness.

In practice, the hunters splash around through the bloody water wielding their knives among the fully conscious, thrashing, squealing dolphins who have been trapped in the shallows and are being executed among their family and friends. Meanwhile, the humans have a very hard time getting into the spine.

Several veterinarians and behavioral scientists who watched a covertly recorded video wrote, "This killing method . ... would not be tolerated or permitted in any regulated slaughterhouse process in the developed world."

That includes Japan, oddly enough.

Japanese prime minister responds to dolphin controversy

Japan's own slaughter guidelines for livestock require that the creature being killed must be made to lose consciousness and must be killed by methods "proven to minimize, as much as possible, any agony to the animal."

These guidelines define "agony" as pain, suffering, fear, anxiety or depression. But those livestock guidelines do not apply to whale and dolphin killing, which is governed by Japan's Fisheries Agency, which treats dolphins and whales as nothing more than seafood with blowholes.

The published Japanese description promotes this "new" method by saying it, "results in a shorter harvest time, and is thought to improve worker safety." (Faroe Islanders use a similar killing procedure.)

After the Japanese drivers scare the dolphins into the shallows, they corral them and tie them together in bunches by their tails, hitch them to small boats, and drag them backward to where they'll kill them. While being dragged, the dolphins have a hard time getting their heads above water to breathe, and some drown.

The killer is supposed to destroy the dolphin's spinal nerve by pushing a metal rod into the spine behind its head. But the nerve is encased in the spinal bones. Veterinarians and behaviorists who viewed a video noted that the first shove did not penetrate the spinal bone.

They describe, "the animal making vigorous movements during the insertion of the rod." The man "redirects the rod and repeatedly pushes it into the animal." At this time, "the rod makes first contact with the vertebral bones of the cervical (neck) vertebrae. The rod clearly requires very significant force to push further into the tissues at this time."

The hunter eventually withdraws the rod and inserts a wooden peg into the wound to prevent bleeding. This is part of the new method. Why prevent bleeding of a creature you are trying to kill? Because -- I'll quote the Japanese description so you don't think I'm making this up -- this "prevents pollution of the sea with blood."

Slaughterhouse-killing rules for livestock such as cattle require "rapid bleed out." But when killing a dolphin, the workers create a massive spinal wound, then plug it to prevent the bleeding that would at least speed loss of consciousness to the dolphin, whose sensing brain remains undamaged.

From this point, just to make a long and appallingly hideous story a little shorter for the sake of our comfort, the dolphin in the video who is benefiting from the new and improved killing method spends the next three and a half minutes thrashing, nodding its head rapidly, and opening and closing its mouth.

The men around it ignore it; they're busy doing the same thing to other dolphins. The entire process lasts many hours, sometimes days.

With some understatement, the veterinarians and behavior experts describing the video write, "the treatment of dolphins in the drive hunts sharply contradict current animal welfare standards employed in most modern and technologically advanced societies ... The systematic mistreatment of dolphins and whales, allowed and sanctioned by a highly developed country such as Japan, is in striking contrast to European Union, United States, and even existing Japanese [livestock] legislation."

They note that in 2006 Japan instituted an unofficial ban on invasive chimpanzee research.

They conclude by saying that there is, "no logical reason to accept a killing method that is clearly not carried out in accordance with fundamental and globally adopted principles on the commercial utilization, care, and treatment of animals."

Dolphin killers have their reasons.

They say it is "pest control," claiming -- as if in self-defense -- that dolphins eat too many fish; and they do it for meat to sell, and to sell live young dolphins to marine parks and swim-with-the-dolphin programs in Japan and other countries.

In a word, the usual reason: money. Not tradition.

Most people in Japan don't benefit, and no one would go hungry without dolphin and whale meat; in fact most people don't eat any.

But, officially, Japan reacts strongly to such assaults on its tradition and culture. Assaults, bear in mind, that come mainly in the form of trying to simply film or describe what is really happening, then politely asking them to stop it.

For such a thoroughly self-westernized country as Japan, with its baseball, jazz, tobacco, subways, global business and automakers, to object to criticism of its "culture" is odd.

To publicly stake a seemingly large proportion of their nation's cultural identity on slaughtering dolphins and whales while westernizing in almost every way seems, to me, strange. And, mainly, cruel. Let it end, for good.

The opinions expressed in this commentary are solely those of Carl Safina.

@highlight

Carl Safina: A "new" method is being used to kill dolphins in controversial hunt in Japan

@highlight

He says the method prolongs the pain of the highly social animals

@highlight

U.S. Ambassador to Japan Caroline Kennedy tweeted her criticism of the dolphin hunt

@highlight

Safina: Methods used on dolphins would not be allowed in slaughterhouses in Japan, elsewhere