Washington (CNN) -- Gay rights activist Kevin Cathcart remembers keenly the day President Barack Obama announced his support for same-sex marriage.

There sat Obama, who for years had frustrated many in the gay community by not supporting same-sex marriage, telling ABC's Robin Roberts that conversations with his daughters and friends led him to change his mind.

"When it finished I hit the replay button and I watched it again," said Cathcart, executive director of LAMBDA Legal, a gay civil rights organization. "Then I hit the replay button and watched it again."

Obama hosted a White House reception Friday in honor of Gay Pride month, an event that brought the president full circle with a community whose support helped launch him into the Oval Office.

"After decades of inaction and indifference, you have every reason and right to push loudly and forcefully for equality," Obama said at the event. "But three years ago I promised you this, I said that even if it took more time that I would like, we would see progress, we would see success, we would see real and lasting change, and together that's what we're witnessing."

It is also a community that, according to a recent CNN analysis of the president's biggest openly gay "bundlers," or fundraisers, helped add at least $8 million to Obama's campaign coffers between January and the end of March.

"President Obama has the enormous admiration and appreciation of not just gay people, but people who care about gay people: our family, loved ones and friends. He has shown moral leadership and taken tremendous steps to end discrimination against gays," said Evan Wolfson, president of Freedom to Marry. The president "made such a heartfelt and personal description of how he had changed his mind (on allowing gays to legally marry). It's the very same journey that a majority of Americans have taken."

According to a recent CNN/ORC International Poll, 54% of Americans support legalizing marriages between gay and lesbian couples, with 42% opposed. Sixty percent of Americans also say they have a close friend or family member who is gay.

This would seem to suggest good news for Obama, a man who Newsweek magazine recently dubbed America's "first gay president."

Given his opposition to same-sex marriage and the pressure an openly gay staffer faced from conservatives, Republican presidential candidate Mitt Romney will be hard-pressed to get similar support from the gay and lesbian community.

"My sense is that Romney perceives that not only to secure the nomination but to get the support of the Republican base he needs, he has to take a hard right stand on the issue of same-sex marriage," said Craig Rimmerman, professor of public policy and political science at Hobart and William Smith Colleges and author of "From Identity to Politics: The Lesbian and Gay Movements in the United States."

Romney has not received an endorsement from Log Cabin Republicans, a national gay and lesbian GOP organization.

Up until about eight weeks ago, some gay rights activists were feeling similarly tepid about Obama, Cathcart said.

As a candidate in the last presidential election, Obama enjoyed rock star status among the gay and lesbian community. High-profile, openly gay figures such as musician Melissa Etheridge and DreamWorks SKG mogul David Geffen joined a grassroots army of supporters at campaign rallies for the Illinois senator.

But once in office, President Obama's efforts at pressing the case for gay rights were more muted, gay rights activists said. Some in the community even felt betrayed.

"The administration has done a great deal, but a lot of it was under the radar and less visible and people were focused on the big things," Cathcart said. " 'Don't ask, don't tell' took a long time and his evolution on marriage took a long time."

Still, some activists found reason to hope for change.

The Obama administration criticized a measure in North Carolina, a swing state, that banned same-sex marriage and made civil unions illegal. The president took the same position on a similar Minnesota proposal.

On Friday, when the Pentagon held its first Gay Pride event, Defense Secretary Leon Panetta highlighted the administration's biggest accomplishment in the gay rights cause: repealing "don't ask, don't tell," the military's ban on openly gay and lesbian members serving in the forces.

"The successful repeal of 'don't ask, don't tell' proved to the nation that just like the country we defend, we share different backgrounds, different values and different beliefs but together we are the greatest military force in the world," Panetta said Friday in a video message to troops.

The administration's push to emphasize the White House's support of gay rights is meant to signal to supporters in that community that the president still stands with them, Rimmerman said.

"My sense is that it is going to firm up his support in the lesbian and gay community," Rimmerman said. Obama "has been quite cautious in how he approaches significant policy changes. He was afraid to take the lead on this issue until he felt it could be politically justified. It suggests to me a degree of caution that's probably unwarranted given what he promised as a candidate."

@highlight

Obama has boosted his bona fides with gay community

@highlight

54% of Americans support legalizing marriages between gay and lesbian couples

@highlight

Newsweek dubbed Obama America's "first gay president" on its cover