(CNN) -- Frowned upon in business meetings and scorned by bosses, the common doodle has long been condemned as the offspring of the slovenly and the cynical...Until now.

Oddly enough, doodling has even been the subject of academic research. In 2009, Jackie Andrade, psychology professor at the University of Plymouth conducted a study to find out whether drawing hinders or improves attention to a primary task.

Forty participants were tested and the results concluded that doodling aids concentration by reducing an individual's capacity to daydream whether in the workplace or the classroom. The doodlers in the study retained about 29% more information than non-doodlers.

So CNN spoke to author and doodling evangelist Sunni Brown about how sketching at work can make you more productive and whether we're seeing the dawn of a doodling revolution.

CNN: When did you first make your doodling discovery?

Sunni Brown: I've been going into working environments for several years now to teach visual thinking and how to solve business problems through a combination of images, words and thought experiments. What I noticed was a complete lack of competency in all working cultures -- except for design, engineering and some creative consulting firms --in visual language.

Because like so many adults today, I, too, was raised in a culture that placed virtually no value on visual language but eventually I learned the importance of developing my own, and now I'm trying to help people to improve their visual literacy and articulation.

Read more: Organize your mind to organize your life

CNN: Why should doodling be important to us?

Sunni Brown: People have been doodling for over 30,000 years from cavemen and women to cultures that developed pictographic languages. Simple visual language has always offered a way to share and pass on information and history.

In today's business world, I refer to Microsoft founder Bill Gates, author and professor Clayten Christensen, and Frank Gehry, architect and creator of the Guggenheim Museum, as examples of prolific doodlers who use doodling to think and to solve problems.

Read more: Noreena Hertz: Don't get stuck in your own success

CNN: How can doodling be of use in the workplace?

Sunni Brown: My definition of doodling is to make spontaneous marks with your mind and your body in order to help yourself think. So if you look at it through that lens, what it does for people is a variety of things.

Some of those benefits include increased creativity, because you're liberating your mind from traditional, linear and linguistic thinking and moving into a more organic thinking space, heightened information processing, heightened information retention and the ability to view content from a variety of different angles.

Read more: Where is self-control in the brain?

CNN: Can doodling actually help someone's concentration levels?

Sunni Brown: By physically drawing shapes, images and letters, we are inviting our minds to slow down and to focus on that experience.

Doodling absolutely influences and aids concentration as well as elevating information retention, since it allows people to bring what's happening right now into a more saturated and sensory experience.

CNN: Could doodling work for a younger generation, who may struggle to concentrate?

Sunni Brown: In the digital age, concentration is a rare commodity. We are constantly having to keep up with vast amounts of content from various platforms and by doodling people can associate that information with a visual aid.

It also encourages insight that you wouldn't otherwise have. When we are problem solving, we usually have mature ways of thinking about a problem and when people switch into doodling-mode they find themselves looking at that problem from a different angle.

Read more: What we learn from doodles

CNN: How can doodling help us to be successful?

Sunni Brown: There's a number of ways that doodlers can deploy sketching and drawing to be successful.

One way is to maintain focus on what is happening. People doodling are harnessing energy that would otherwise just dissipate, which makes it possible for them to stay present with whatever is happening and relieve boredom. Another way is to allow access to different insights.

By doodling, you're connecting neurological pathways with otherwise disassociated pathways in the brain, making spontaneous marks with your body to help your mind access insights.

Read more: Brain controls brain in new demonstration

CNN: Can doodling help solve problems in the workplace?

Sunni Brown: People use doodling to think through a problem. These can be called "infodoodles," using a combination of drawings, shapes and letters to formulate and display an idea. Apple founder Steve Jobs is a great example of this.

He used whiteboards and physical movement to illustrate his concepts, according to people he worked with.

I would call him a "kinesthetic doodler." He was a person who seemed to think better while making spontaneous actions with his body.

Read more: 'Power naps' may boost right-brain activity

CNN: Is the business world opening up to this?

Sunni Brown: That is my fervent prayer, but leadership and management need to drive it and they need to cultivate organizational cultures that recognize its value and apply it in a way that makes sense for that business context.

Most of us have preconceived ideas about doodling. There's a lot to overcome. I have seen working cultures that get it and its use is a no-brainer for them, and there are areas where people are embracing it whole-heartedly.

In my view, people are far more open to it than they ever were but there's still a long road ahead before it's fully understood and applied.

@highlight

Sunni Brown: Doodles are an ancient human art form

@highlight

Doodling is a way to visualize ideas and learn more quickly, says Brown

@highlight

Studies show those who doodle retain more of the information they are taught