(CNN) -- When Benedetto Vigna set out to create a 3D motion sensor that had the strength to resist the stress of rough and tumble yet the smarts to detect human movement, it would have been easy to look for answers in academic papers and the latest scientific theories.

Instead, the Italian nuclear-physicist-come-microelectronic-specialist cast conventional wisdom aside and sought inspiration in the architectural splendor of the Japanese city of Kyoto.

It was here, in early 2003, that Vigna came to wonder at the towering Toji Pagoda -- a 58-meter-tall wooden structure that has remained unmoved for more than 1,200 years despite being situated in an active earthquake zone.

See also: The new age of driverless cars

As he paced around the majestic five-storey monument, Vigna began to consider whether he could transfer the engineering philosophy that underpinned the ancient building to the problems he faced in the high-tech world of micro-processers.

"There's a single pillar (in the Toji Pagoda) and then it is like a flower with different levels of floors," Vigna explained.

"When there is an earthquake ... structure(s) like this don't go down because you have only one pillar. Usually if you have two pillars, because of movement in the earth, then you may have some breakage.

"Instead of making (the sensor devices) like we were at the time with a lot of pillars ... we found a way to make a single pillar structure to make it more robust."

Vigna's observation led to a flurry of excited development at his company, STMicroelectronics, in Milan, Italy, upon his return from Japan.

Just five weeks later and the first micro-electrical mechanical sensor (MEMS) device with Vigna's single-pillar theory was validated by his colleagues.

MEMS were not a new invention at the time but using this off-beat technique to make the tiny silicon components more resilient whilst maintaining performance was a major breakthrough.

After many years of research "we had the industrial solution from a performance point of view, form a cost point of view (and) from a quality point of view to realize our business idea," Vigna enthused.

See also: Teen builds one-man submarine for $2,000

The first company to pick up STMicroelectronics' newly developed technology -- perhaps aptly given its eastern origins -- was Nintendo in 2005.

The Japanese gaming giant used the devices to detect and interact with user movement in the control pads of its Nintendo Wii system (which subsequently became one of the most popular computer consoles of all time).

Versions of Vigna's MEMS chips have since been applied to desktop computers and are now an integral feature of smartphone and tablet devices.

MEMS is the component responsible for enabling users to flick between apps, tilt their smartphones to engender movement in a game they may be playing as well as stabilizing camera images when pictures are taken.

Without Vigna's eureka moment, it can safely be concluded that cellphone technology would be nowhere near as advanced as it is today.

"Sometimes I think about this and I am glad to see that what I started (has been useful) and I like when I hear people, especially in the crisis times, saying thanks to MEMS we have a job," Vigna said.

See also: Ex-cop builds robot from household goods

While content with the progress of his invention thus far, Vigna believes MEMS still has much more to give in the years to come.

The technology has already ballooned into a billion dollar industry with 18 million sensors now produced every week (of which STMicroelectronics are responsible for around 60%).

He highlights a strew of potential new uses, including indoor mapping, healthcare devices that measure movement over a certain period as well as a exciting new smartphone applications.

"Today there are many applications using MEMS," Vigna said. "If you go on the internet you are looking at about tens of thousands of applications."

"This (field) is a place where big companies, but also start-ups, can think about new applications and make it happen," he added.

@highlight

An ancient Japanese temple inspired an Italian inventor to create a piece of technology vital for smartphones

@highlight

The Toji Pagoda in Kyoto has stood in the same place for more than 1,200 years despite being situated in an earthquake zone

@highlight

The architectural underpinnings of the structure acted as inspiration for a new type of micro-processor

@highlight

MEMS technology is now a vital component in smartphone and tablet devices