(CNN) -- As Stacey Halstead looked down at her 2-year-old son, Tripp, lying unconscious in a hospital bed, she was mesmerized by how angelic he seemed.

He was not bleeding. No cuts or bruises. He was perfect.

You would not know that a tree limb had crushed his skull just hours earlier.

That morning, Halstead dropped Tripp off at his day care in Winder, Georgia. It was a relatively warm autumn day, and he was playing in the shade of a tree in front of the day care when a large branch fell on his head.

See also: 10 common kid health emergencies and what to do

Halstead was working in Snellville, less than an hour away, when she got a call from the day care, Cribs to Crayons, that Tripp had an accident. "I didn't think much of it," Halstead recalled. She told her co-workers she would be back in a few hours.

But as she was en route to the day care, she got another call that Tripp was being transported to the hospital. "At that point I thought he had a broken arm or had a broken leg," Halstad reflected. When she finally reached the hospital, Barrow Regional Medical Center, authorities were prepping Tripp to be airlifted to Atlanta.

Stacey and her husband, Bill, drove more than an hour to Children's Healthcare of Atlanta at Egleston to meet Tripp. There, doctors told the desperate couple that their son was going to need immediate brain surgery and braced them for the fact that he might not live through the operation.

Doctors removed parts of Tripp's skull in order to operate on frontal and parietal lobes of his brain, areas that control thinking, personality and motor functions. But they found that parts of his brain were severely damaged by the blunt trauma, according to Dr. Joshua Chern, a pediatric neurosurgeon who performed the first brain surgery on Tripp when he came to Children's Healthcare.

Despite the odds, Tripp did not die. That warm autumn day, October 29, would be the start of the Halsteads' journey toward their son's recovery, which would span months of medical complications, numerous surgeries and countless rehabilitation sessions.

Soon, Halstead found herself living at Children's Healthcare, watching over Trippdoodle, her favorite nickname for her son. She'd watch his chest rise and fall as he remained in an induced coma for days on end. It was a stark difference from the daring 2-year-old she had to keep an eye on a month before as he ventured up and down a water slide during a family cruise vacation.

She felt helpless, but there was no one to blame. The police report cited the incident as an accident, and the tree with the branch that crushed Tripp's skull wasn't even on the day care's property.

She was at a loss, especially as she found herself explaining over and over on the phone to relatives and friends about what happened to her only child.

Desperate and in search of solace, Halstead turned to Facebook. She started posting news and sharing her thoughts on the page Tripp Halstead Updates, which was created to keep family members in the loop about Tripp's health after the accident.

She chronicled it all as she sat beside Tripp's hospital bed: his daily vomiting, the restless nights, her bouts of fear. In between those posts, she shared photos of Tripp before the accident. A magnetic smile stretches across the toddler's face as he rides his red tricycle, poses proudly in his tiny suit and splashes in a pool. They're chilling comparisons to the expressionless boy lying in a hospital bed.

She didn't hold back details, but she tried to remain hopeful. "Tripp had a pretty good evening. He threw up a few times, so we still can't find a pattern. So frustrating, but we are not giving up," she wrote in one of her posts.

Blogging about Tripp's progress became a form of therapy for her.

"You have meltdowns and you have days where you cry and are depressed, but you get on there, and you see all these people who are supportive," she said. "And all the stories people share of their kids getting poor prognoses from doctors that they are going to be vegetables, but then they pull through. Those stories are really great."

Over time, Halstead's posts about her son's accident and recovery found a mass audience. Within a few months, the Tripp Halstead Updates Facebook page gained more than 700,000 followers. Parents shared hopeful tales about their children persevering over ailments despite the greatest of odds.

"It has been a blessing. It's what keeps me sane," Halstead said.

An Ironman family's race to help

One of those people who found Tripp's Facebook page was Kaete Nazaroff, who began following his journey in March. She didn't know Tripp personally, but as the New York resident stared at his small face on her laptop screen, she knew he was in pain.

Tripp's story reminded Nazaroff of her own son. "I have a 2-year-old boy who is blond and precious just like Tripp's 'before' photos," she said.

At the time, Halstead was uploading photos of her son, unconscious and hooked up to all sorts of tubes after undergoing surgery to get rid of a bacterial infection that took root near his brain. It was an emotional step back after Tripp was starting to make progress in rehabilitation.

The juxtaposition between the images of Tripp hooked up to colorful tubes and wires and the nostalgic photos of the carefree toddler before the accident stayed with Nazaroff, even after she turned off her computer. A week went by, and the mother of two still could not get Tripp's story out of her mind.

"I was thinking this could be any of us," said Nazaroff, who as a child cared for a mother with multiple sclerosis. "I know what it's like to be caring for someone who is sick and you can't do anything about it."

So she began brainstorming ways to help. She turned to her husband, Dave, the owner of three bike shops in New York and a seven-time Ironman triathlete. Nazaroff asked him how long it would take to ride his bike from Nyack, New York, to Atlanta. She reasoned that they could do something to raise money for Tripp and his family.

"They weren't asking for donations, but my heart connected to Tripp's anguish," she said. "I didn't have a lot of money of my own that my family could spare, but I knew (we could) raise money for them."

The couple decided to make the bike-riding fundraiser a reality for Tripp and his family. They set a date, June 26, when Dave Nazaroff would begin riding his bike nearly 900 miles from New York to Atlanta over five days.

When Nazaroff contacted the Halsteads about the plan, they were slightly stunned by the idea.

"We got the e-mail from Kaete about what they wanted to do -- her husband riding 900 miles -- we were like, 'Wow, that's kind of crazy,' " Bill Halstead recalled.

Dave Nazaroff agrees that 900 miles is a hefty distance. "I've ridden my bike pretty far but never the distance that I am going to do for this trip," he explained.

He says doing it for someone else makes the goal seem possible.

"You are motivated when doing an Ironman, but it is for yourself. In this case, it is for Tripp and for his family," he said.

As her husband trained for the ride, Nazaroff worked on building momentum for the cycling event. She started a fundraiser called Toga Multisport RIDE to GIVE Benefitting Tripp Halstead and received donations from people online. In hopes of reaching a wider audience, she sent in a CNN iReport about Dave's bike ride on March 16. The story now has nearly 60,000 views, and they've collected more than $105,000.

All she wants, Nazaroff explained, is to raise enough money so that Halstead can continue being by Tripp's side.

A Tripp that changes lives

Now that Tripp is back home after spending more than five months in the hospital, Halstead -- who hasn't gone back to work since the accident -- spends most of her time caring for him and writing about the baby steps Tripp is making in his recovery.

Months ago, he couldn't speak, but now he is starting to moan, she reported. "And when you say, 'Tripp, look at Mommy,' he looks at you after a 20-second delay," Halstead said. It's progress, considering there was a time when Tripp's eyes couldn't focus.

He has limited mobility and has to be pushed around in a little wheelchair. "But in rehab, he will move his toes when you tell him to lift his legs," she said. "You can tell he is really trying."

At the end of the day, Tripp's parents say, who he is now and who he was before are simply not comparable. They want what any parent in their situation wants: for their son to ultimately make a full recovery and live a normal life. But right now, just scrunching his nose or wiggling his toes is considered a big success.

Deaf toddler hears first words

Although she still blogs regularly about Tripp, Halstead is no longer spending every moment at his bedside. The couple goes on walks with Tripp in his wheelchair, attends charity events for their son and have guests over for play dates. It's all a part of putting their life back together and sharing those stories with the followers and friends they have found online.

Friends like Nazaroff, whose charity for Tripp transformed her from a stay-at-home mom to a philanthropist.

"Working on this charity, I feel like I found myself and I feel like I am making a positive change," she said.

As Dave Nazaroff's ride to Atlanta draws near, she hopes other people will also follow the story of Tripp, his family and the work everyone has put into seeing this bike ride happen.

"It's more than just a story about a little boy. It's also a story of strangers helping strangers," she said.

@highlight

On October 29, 2-year-old Tripp Halstead was severely injured at his day care in Georgia

@highlight

He and his family endured numerous surgeries, overcoming one obstacle after another

@highlight

Tripp's mother writes about her son's medical journey on Facebook to cope with accident

@highlight

Through her posts, Tripp's story has gained hundreds of thousands of followers