(CNN) -- Sarah Murnaghan fully understands all she's been through: her lifelong battle with cystic fibrosis that led to her deteriorating lungs, the campaign her parents waged that temporarily changed national policy surrounding organ transplants, and the fact that she came so close to death in the days leading up to her two double lung transplants.

"She said, 'Mommy, I knew I was dying,' " Janet Murnaghan recalls. "That was like a very crushing moment for me. And she said 'I just didn't want to tell you I was dying because I didn't want to upset you.' "

Her parents say that was the toughest part.

"She asked, 'If I go to sleep, will I wake up the next morning?' " remembers her father, Fran Murnaghan.

Today, spirits are vastly different than they were two months ago, when Sarah -- who's had cystic fibrosis since birth -- was in dire shape after being on the waiting list for pediatric lungs for 18 months. Her first transplant was a failure. After keeping Sarah alive for days by circulating her blood outside of her body to keep oxygen flowing, she received a second transplant. Aside from a brief scare with pneumonia, this one was a success.

Now Sarah and her family are preparing to head home for the first time in half a year.

"I'm very excited," Sarah says, with a low, raspy voice, because of the tracheostomy tube that remains in her throat. "I would like to play with my brothers and sister."

She also has plans to go horseback riding and try her hand on a soccer team. All things, the family now believes, she's very likely to accomplish.

Speaking exclusively to CNN for the first time since the surgery, Janet and Fran Murnaghan say 11-year-old Sarah could be discharged from Children's Hospital of Philadelphia as early as Tuesday.

"We haven't been a family in a while," Janet says. "It's ... hard to be a family when half the family lives at CHOP (Children's Hospital of Philadelphia) and half lives at home."

Sarah's parents say her lung biopsies show 0% rejection of her new lungs, and on Saturday she was officially taken off her oxygen machine. However, she still needs mechanical assistance â€” and will for some time -- until her diaphragm regains its strength.

"The lungs are doing great," Fran says, adding that at this stage it's all about rehabilitation of Sarah's muscles. "What's really exciting is that we know we are on the road to recovery now."

Because she was in a medically induced coma and essentially paralyzed for more than three weeks, Sarah's body needs to relearn many things, including how to walk. Her physical therapy sessions can last for three hours each day and include weightlifting and cardio components.

Though the process of recovery will be a long one â€” Janet estimates nine months to a year â€” Sarah is up for the challenge.

Asked if she considers herself a tough girl, Sarah says, "Yes, very."

"Because every time I faced things that I thought were going to be hard, then I've done them."

Janet says when things get difficult, she and Fran do their best not to let their emotions show, especially around Sarah. But they admit it's happened.

"She'll say, 'Mom what's wrong?' I said, 'It's just hard Sarah. You worked so hard today, and you're obviously so exhausted. I wish life were easier for you.' And she said to me, 'But it's not easy, and that's OK.' "

Dr. Sanjay Gupta on Sarah's story

And that's been Sarah's mantra: "I'm not going for easy, I'm just going for possible... And what's in front of me right now is possible."

Janet and Fran are quick to call Sarah a fighter, even though anyone who meets her knows it from the start, and these days they have more confidence than they've had in months that they'll be able to see their daughter live out a life that's closer to normal.

"I fully plan to watch her graduate from college and watch her get married someday and do whatever it is she wants to do," Janet says. "I just don't think they're going to be as easy for her to obtain those things as somebody else, but I think she is going to have them."

It isn't lost on anyone in the Murnaghan family that their daughter may not be here today if it weren't for the fierce public battle the two parents waged that started with Facebook and quickly spread to the national media.

Janet and Fran's fight has temporarily changed national policy, making children younger than 12 eligible for priority on adult lung transplant lists.

"This is an issue that will always matter to me," Janet says, adding that she'll keep fighting because the country needs "a better plan" for distributing organs.

For now, though, their focus remains on helping Sarah get her strength back.

"I think you'll see Sarah a year from now as a kid going into sixth grade, walking confidently back into school like every other sixth grader," Janet says. "(It's) not going to happen tomorrow, but it will happen."

"She's going to get what she wants, and we're going to get what we want, which is just a regular kid."

If you'd like to help the Murnaghan family, they've set up a donation page at www.gofundme.com/3c4dh0 to assist in their medical expenses.

@highlight

Sarah's cystic fibrosis made family think she wouldn't live past 10

@highlight

Groundbreaking lung transplant lets her see 11th birthday, look to years ahead

@highlight

Her parents say they'll keep up the fight to include children on adult transplant lists