(CNN) -- Villagers and police clashed outside a small town in southeastern China on Saturday, one week to the day after a popular local leader there died under contested circumstances, an eyewitness said.

The eyewitness, who asked not to be identified because of safety concerns, said villagers threw rocks at police at a major intersection on a road between the towns of Hongqiao and Puqi, outside of the city of Wenzhou.

Authorities chased protesters, the eyewitness said. They beat some and arrested others, the person said.

CNN was not immediately able to independently verify the account of the protest.

The incident was not reported in China's official state media, and the Chinese government had not released an official statement on the clash as of late Saturday.

The eyewitness sent CNN amateur video of the event, which showed police and groups of villagers clustered around a busy intersection. At one point, what looks to be a rock is thrown into the crowd. People scurry away.

Earlier, activists and journalists in the area had announced on Twitter that local villagers were planning a protest march in response to Qian Yunhui's death and its aftermath. The march was scheduled to begin at 9 a.m. Saturday in the town of Hongqiao.

At 9 a.m., anti-riot and traffic police appeared at major intersections in the area to prevent the protest, the eyewitness said. Blocked by police, the crowd began to head away from the town and toward the village of Zhaiqiao, the hometown of Qian, said the eyewitness. Zhaiqiao is located in Yueqing city.

Qian was killed in Yueqing city on December 25, and photos of his corpse underneath the wheel of a large truck went viral in the Chinese blogosphere.

The photograph was unmistakably graphic: a lifeless man under the large tire of a truck -- his eyes shut, mouth half-open with blood streaming out and his head detached from his crushed body.

The circumstances surrounding the death of 53-year-old Qian last Saturday, however, almost resemble the plot of Japanese filmmaker Akira Kurosawa's classic "Rashomon" -- with differing versions of the event and flip-flopping witnesses.

The government initially said Qian died in an ordinary traffic accident and detained the truck driver.

But as shocking images from the scene in Yueqing city began to appear on a popular Chinese online forum last Sunday, some posts suggested he was murdered by local officials for advocating villagers' rights in a land dispute. Word quickly spread online and mainstream Chinese news media picked up the story.

Many people were appalled by the gruesome details described by two people who claimed to have witnessed the death. Qian was held down to the ground by three masked men as a heavy truck slowly drove over his neck, the Southern Daily newspaper quoted one of them as saying, adding that police had detained another witness.

Qian's life story also struck a chord with the public. When the Yueqing government in 2004 approved the construction of a power plant in Qian's village, the farmers were tricked into signing their land away for free, according to a report in the 21st Century Economic Herald newspaper.

Qian, then the village chief, led his fellow villagers in protesting the land grab and demanding proper compensation. He was arrested and sentenced to prison twice but continued the fight after his release -- even traveling to Beijing to petition the central government, the Herald report said.

Amid rising national outrage over the alleged murder of a local hero, authorities in Wenzhou city in Zhejiang province, which oversees Yueqing, launched a criminal investigation Tuesday -- and drew their conclusions less than 48 hours later.

In a late-night press conference Wednesday, officials reiterated that Qian was a victim of a traffic accident, not a murder. Police assigned blame to the inexperienced trucker driving without a license, the severely overloaded vehicle with faulty brakes, the slippery road on a rainy day -- and even Qian himself for not being careful when crossing the road.

"We thoroughly investigated the life and work as well as social connections of the suspect (driver), and eliminated the possibility of him intentionally killing (Qian)," said Shen Qiang, deputy police chief of Wenzhou. "There were obvious skid marks, drag marks of the body and collision marks on the scene, all of which contradicted the scenario of someone being held down and crushed," he added.

State-run China Central Television later aired interviews of the two eyewitnesses, including a man detained for assaulting police. Contrary to earlier reports quoting them, they both denied seeing Qian's brutal murder. "Several men told me if I said these things, they would help me treat my daughter's illness," Huang Diyan told CCTV.

The police conclusions and CCTV interviews have not satisfied many online, however, especially as state censors quietly erased earlier news reports, personal posts and comments on the topic on the internet.

With mainstream media's independent reporting on Qian's death coming a screeching halt, grassroots activists continue chasing the case, digging up new information on the land dispute and traveling to Yueqing to talk to villagers.

Wu Gan, a rights activist, has obtained a lengthy police video that showed the chaotic scene after the truck crushed Qian. He posted it online for the public to view and analyze before heading to the village Thursday evening to offer legal assistance to anyone in need.

"I don't prejudge -- I just want to restore the truth," he told CNN. "The way the authorities dealt with this incident was just not open or fair -- they have lost all credibility."

Wu said the Internet provides ordinary Chinese with an outlet to express their anger over injustice resulting from a storyline common in the country -- poor farmers losing land to corrupt officials working with businesses, and then losing even more in failed attempts to petition to higher authorities.

"This death really shows the bottom line of what is intolerable keeps getting lower," he said.

CNN's Steven Jiang contributed to this report.

@highlight

Police beat and arrest villagers, an eyewitness says

@highlight

China's official media does not report the incident

@highlight

Authorities insist Qian Yunhui died in a traffic accident

@highlight

Internet postings suggest he was murdered for his role in a land dispute