(CNN) -- Maybe it was the sound of the wind cutting through the wire. Perhaps he caught a small vibration with his keen eyes. Or it could have been a slight difference in the air's smell.

Whatever it was, when Sarge noticed that his Marine Corps handler, Fred Dorr, was creeping down the wrong path in the Vietnam jungle, the German shepherd did something he'd never done out in the field: He looked at Dorr and barked, before taking a seat.

"When he sat down, I knew there was a trip wire. I was one step away from it," remembered Dorr, who with his dog in 1969 was "walking point," leading the way for a dozen soldiers. Had the hidden explosive device been tripped, "It would have gotten half of us."

More than 40 years later, the gratitude and love Dorr, 59, feels for the dog he served with is as strong as ever. And it's for this reason that Dorr, president of the Vietnam Dog Handler Association, drove from his Yoakum, Texas, home to be in Southern California this week.

About 200 Vietnam War dog handlers, who were trained to read and communicate with their canine partners, have gathered for a reunion. And on Saturday they'll join an expected several thousand others for the 10th anniversary rededication of the War Dog Memorial at the March Air Reserve Base in Riverside.

During the Vietnam War, more than 4,000 dogs served in various positions, said Michael Lemish, a military dog historian and author of "Forever Forward: K-9 Operations in Vietnam."

The scout dogs, such as Sarge, walked with their handlers ahead of patrols -- making them the first target for ambushes or hidden explosives. There were also sentry dogs who guarded bases, tracker dogs who followed the trail of enemies and mine and booby trap dogs who sniffed out dangers hidden beneath the ground.

The Viet Cong placed a bounty on the dogs because they were so effective, Lemish said. All told, he estimated the K-9 teams averted more than 10,000 casualties. But at the end of the war, only about 200 dogs came home. The rest who had survived were either euthanized or turned over to the South Vietnamese -- left behind, a surplus of war.

"They were treated as obsolete equipment. And if you were a handler, you couldn't see them that way," said Jack Kowall, 61, who keeps a framed picture of himself and Eric, the black lab and shepherd mix he worked with, atop his desk in Marietta, Georgia. "When that's your dog, that's your dog. He sees you in danger, he's going to respond. Unconditional love -- it's all for you. You can't help but love him."

On patrols, Kowall used hand motions to speak to Eric. In turn, the animal spoke back through his movements. His ears would shoot up and turn in the direction of suspicious noise. The hair on his back would stand up if danger was close. If he wanted Kowall to stop moving, he'd look back at him.

Off-duty, Eric was playful. He liked to have his neck scratched and would roll around on the ground. The  110-pound dog would cuddle up to Kowall at night when they were out in the field, and he'd eat out of his handler's helmet. Whenever Kowall could, he'd give his closest friend steak.

The men who'd walk behind the pair on missions were always different. But a scout handler and his dog were a constant, as the duo bounced between different assignments.

When Jeffrey Bennett, founder and former CEO of Nature's Recipe pet foods, first learned about the dogs who'd served and the fate of so many of them, he set out to teach others. Based on about three years of research, he co-produced the documentary "War Dogs: America's Forgotten Heroes," which first aired 11 years ago on the Discovery Channel.

Donations earned through this film allowed Bennett, now president of the War Dog Memorial, to commission three monuments, sculptures featuring a German shepherd and his handler.

The first one was unveiled at the March Field Air Museum in Riverside. A second was installed at Fort Benning, Georgia. The third remains in storage, Bennett said. The original goal to place it in Washington beside the Vietnam Veterans Memorial or at Arlington National Cemetery in Virginia remains an elusive dream.

Dogs have long served with the U.S. military, said Lemish, who also wrote "War Dogs: A History of Loyalty and Heroism." During World War I, the dogs borrowed from the French and British worked as messengers and assisted the Red Cross by finding the wounded on battlefields, he said. The American K-9 corps, Lemish said, really began during World War II, when, among other tasks, thousands of dogs donated by civilians patrolled shorelines.

Back then, dogs sent abroad were retrained and returned to civilian life, but that practice had changed by the time U.S. forces entered Vietnam, Lemish said. Later, galvanized by the attention earned through the documentary, Vietnam War dog handlers began to call for change.

Johnny Mayo, 60, hadn't spoken to another dog handler in 30 years when he showed up in Washington for his first reunion in 2000. But as he talked to the 250 others in attendance, he realized the power of what they shared.

"You go through the war, and you always remember the bond you have, the bond with the dog," said Mayo, whose dog Kelly once yanked him up a bank from a rice paddy, out of the way of mortar fire. "On that first trip to the [Vietnam Veterans Memorial] wall, it was a reunion with the spirits of our dogs."

Later, Mayo, of Lexington, South Carolina, would go on to write his own book and establish a traveling exhibit to pay tribute to the dogs who'd served.

Washington also took notice. In November 2000, President Clinton signed into law legislation that established a military working dog adoption program. Now the dogs working in Iraq and Afghanistan will have a chance to find comfortable homes when they return from war.

For Dorr, of the Vietnam Dog Handler Association, this has been a blessing. He said leaving his partner Sarge behind, all those decades ago, haunted him.

"A lot of us [handlers] suffered PTSD," he said, referring to post-traumatic stress disorder. "It's like leaving your kid back there."

But he now has Bluma, the war dog he adopted from Lackland Air Force Base in San Antonio, Texas. The German shepherd, who has hip problems, looks uncannily like Sarge, he said, and having him around is a source of comfort.

"I'm taking care of an old vet," Dorr said, "and he's taking care of me."

@highlight

Several thousand people will gather Saturday at a War Dog Memorial in California

@highlight

Of the more than 4,000 dogs who served in Vietnam, only about 200 came home

@highlight

Dogs, many of them euthanized, help to avert more than 10,000 casualties, historian estimates

@highlight

In 2000, the U.S. changed policy, setting up a military working dog adoption program