Washington (CNN)  -- President Obama told his war council Wednesday that the U.S. troop commitment to Afghanistan is not open-ended, and he asked for revisions to options he previously received for sending more troops, a senior administration official told CNN.

The war council -- made up of top Cabinet, Pentagon and administration officials -- met with Obama for the eighth time to discuss a request by the top U.S. commander in Afghanistan for up to 40,000 more troops. The meeting lasted more than two hours, according to the senior administration official.

"The president and his team discussed the length of time that it would take to implement the options he's been presented," the senior official said. "The president believes that we need to make clear to the Afghan government that our commitment is not open-ended. After years of substantial investments by the American people, governance in Afghanistan must improve in a reasonable period of time to ensure a successful transition to our Afghan partner."

In particular, Obama pushed for revisions in proposed plans for troop increases to clarify how and when U.S. troops would turn over responsibility to the Afghan government, the official said.

The president's questions at the meeting could change how many troops eventually are sent to Afghanistan, as well as how long they would be there, according to the senior administration official.

Before the meeting, Gen. David Petraeus, the top U.S. military commander in the Middle East, said the meeting would continue evaluating how best to carry out the mission in Afghanistan.

Petraeus provided no specifics on options under consideration, but said the process is approaching completion.

"I think we are indeed nearing a decision on this very important topic," he said, emphasizing the need to focus on the mission of ensuring that Afghanistan "does not once again become a sanctuary or safe haven for al Qaeda and the kind of transnational extremists that carried out the 9/11 attacks."

Earlier, a senior administration official and a U.S. military official independently told CNN that one option presented to Obama calls for sending about 34,000 more U.S. troops to Afghanistan in addition to the 68,000 already committed to the country.

The military official said the plan would send three U.S. Army brigades, totaling about 15,000 troops; a Marine brigade of about 8,000 troops; a headquarters element of about 7,000 troops; and 4,000 to 5,000 support troops. The combat brigades would be brought in gradually, in three-month intervals, according to the military official.

The troops would be spread across the country, mainly focusing in the south and southeast, where much of the fighting is, according to the official. The military official said the option has been a favorite at the Pentagon in recent weeks.

That is only one option, the senior administration official emphasized. Three other options, the official said, would be "different mixes," or "different components of it."

The senior administration official said Obama was expected to ask the war council meeting about cooperation the United States can expect from the government of Afghan President Hamid Karzai, civilian support the United States is willing to offer, and support the United States can expect from other countries.

On Wednesday night, The Washington Post and The New York Times reported that concerns have been raised recently by the U.S. Ambassador in Kabul about Karzai's ability to rid his country's government of corruption and mismanagement.

All those factors could lead to "further refinements" or some "greater elements being considered," the official said, adding: "He's got to fine-tune this, put it all together ... for what direction best advances our interests."

Despite reports to the contrary, Obama has not decided the number of U.S. troops he will send to Afghanistan, White House officials said.

Such reports are "absolutely false," Press Secretary Robert Gibbs said. Anyone who suggests otherwise, "doesn't have, in all honesty, the slightest idea what they're talking about."

White House officials would not say whether Wednesday's meeting with the war council would be Obama's last with that group before deciding on Afghanistan. They said he would continue to discuss the war effort in smaller groups in coming days, including during his trip to Asia, which starts Thursday.

Republican members of the Senate Armed Services Committee urged Obama in a letter sent Wednesday -- Veterans Day -- to agree to the request for additional troops by U.S. military leaders in Afghanistan.

The letter, signed by 10 GOP committee members, said success in Afghanistan will require local leaders and citizens being able to govern and secure their own country without "substantial" international assistance.

"This won't be perfect or easy, but it will allow America's fighting men and women to leave Afghanistan with honor, and it will enable Afghans to build a better, more peaceful future," the letter said. "That is our goal, and we must stay in the fight until is is won."

Republican leaders have criticized Obama for taking so long to decide on the troop request, but Petraeus said the process of analyzing the situation has been "very useful."

"There has been a refinement of objectives; there has been discussion of various courses of action," he said. "There have been explanations and discussions about how the civilian component of this will complement what is done by the work of our military troops. All in all, I think it has been a very productive couple of months that we have spent on this."

Also Wednesday, a new national poll showed Americans are split over whether Obama is taking too long to decide whether to send more U.S. troops to the war in Afghanistan.

The CNN/Opinion Research Corp. survey also indicated that, by a narrow margin, Americans think the president should listen to the recommendations of the generals in charge of U.S. troops in Afghanistan.

According to the survey, 49 percent of people questioned say the president is taking too long to decide whether to increase U.S. troop levels in Afghanistan; 50 percent do not.

"There is a gender gap on this question, with most men saying Obama is taking too long and most women willing to give him more time," CNN Polling Director Keating Holland said. "That's due in part to the partisan differences between men and women, but gender differences on the use of military force, and maybe even differences in how the genders make important decisions, can also be contributing to the split."

The poll indicates that 52 percent think Obama should listen to the generals, with 48 percent saying the president should take other matters into account as well. But a troop buildup remains unpopular, with a separate question indicating that a majority opposes sending more troops.

Roughly one in five Americans opposes more troops, yet also thinks that Obama should pay attention to the U.S. military leaders in that country, Holland said.

"That suggests that a lot of people who don't support a troop build-up are unaware of Gen. Stanley McChrystal's request for a bigger U.S. military presence there," he said. "And that, in turn, indicates that the military leaders in the field might provide Obama some political cover if he decides to increase troop strength there."

The poll also suggests widespread agreement among Americans that Afghanistan will never have a stable democratic government, with only one in 10 people questioned saying that will occur within a year, and one-third saying it will ever happen. Overall, 56 percent of Americans oppose sending more troops, while 42 percent favor increasing troop strength.

The CNN/Opinion Research Corp. poll was conducted October 30-November 1, with 1,018 adult Americans questioned by telephone. The survey's sampling error is plus or minus 3 percentage points for the overall sample.

CNN Deputy Political Director Paul Steinhauser and Tom Cohen contributed to this story.

@highlight

Obama discusses options with war council Wednesday afternoon

@highlight

One confirmed option calls for sending about 34,000 U.S. troops to Afghanistan

@highlight

Discussions include how Afghan President Hamid Karzai figures into strategy

@highlight

Obama has not decided the number of U.S. troops he will send, White House officials say