(CNN) -- One was a quadriplegic who controlled the steering with his breath, the other a former wheelchair basketball Paralympian who took up sailing only two years ago. But together they secured the first Paralympic sailing gold medal at London 2012, and all with one race to spare.

Wednesday saw the Australian pair of Daniel Fitzgibbon and Liesl Tesch clinch victory in the two-person keelboat class, as they built an unassailable lead going into today's final day of racing.

The medal continued Australia's blistering form in sailing at the London games. In July they won four golds, topping the medal table.

But this gold could be their most impressive yet, exhibiting not just great sailing prowess, but the latest in Paralympic technology -- enabling those with the most severe disabilities to compete at the highest level.

Paralympics sailor: 'My disability is a gift'

Fitzgibbon only has limited movement in his arms and none in his legs after breaking his back falling off a jetty when he was 21 years old. But technology has allowed him to compete at this year's games, helping him to steer his specially adapted boat.

"As part of Paralympic sailing an important aspect is the seating ... so we worked hard on that and we have some nifty systems in it," he explained to the Australian press before leaving for London.

One of those "nifty systems" is the sip and puff system that allows him greater control steering his boat by blowing or sucking into a specially adapted straw that then interprets his signals.

"(With my hands) all I have to do is push and pull, just like a tractor, it's made out of light weight carbon fiber too ... My hands are strapped in so I need to find a way of controlling (the boat) so we came up with this sip and puff system."

Technological breakthrough

Yet sailing at the Paralympics is still a relatively new phenomenon. The sport was only introduced at the Sydney games in 2000 after a successful trial at Atlanta four years previously. More than 80 sailors have taken part in over six days of competition, in three separate classes culminating in today's final crucial races.

But, perhaps inevitably, Paralympic sailing is a complicated sport to both compete in and to judge. Both men and women sail in the same classes but are classified by the severity of their disability -- an issue that has caused many controversies both at this Paralympics and in disabled sport in general. A score of one is given to most severely disabled, seven for the least.

"We have classifiers who are physios and doctors, but they know all about the rules of sailing," explained Linda Merkle, president of the International Association for Disabled Sailors.

"When we selected the particular boat (class to be raced at the Paralympics) we said that one should be female and the other male and that one has to be a class one or two disability, like being a quadrapligic. The more severely disabled sailor tends to be on the helm."

But it has been the technological advances in recent years that have allowed the more severely disabled sailors compete.

"It is the adaptations (to the boat) that allow them to compete and have an even level," says Merkle.

"With the sonar (boats), disabled sailors are not able to get from one side to the other. So now there's a transferring seat -- a 'traveler' -- so the sailor can now move more freely. The adaptations have really allowed them to compete, and compete in able-bodied sailing too."

The freedom of the sea

The final day of competition is likely to be the most watched event in Paralympic sailing history. Only a handful of nations compete and Merkle wants to capitalize on the sport's growing success.

"We also include people with visual impairments and we are now folding blind sailing into the sport," Merkle said.

"We are growing and we do have a development segment of our organization to help countries to move in and spread the word."

That should not be too difficult to achieve. After all, disabled sailing is an easier sell than many sports given that it has one huge advantage over the others: the freedom of the sea.

"That's the beauty of sailing," says Merkle. "You feel free. And when you come to the Paralympic sailing you can't see what the disabilities are.

"It gives you freedom and the ability to compete."

Follow the final day's Paralympic sailing action on our live blog -- as the Australians compete with Germany, France and the USA for the top spot.

@highlight

Australian pair of Fitzgibbon and Tesch guaranteed sailing gold on final day

@highlight

Paralympic Basketball medalist Tesch only took up sailing two years ago

@highlight

Quadriplegic sailor Fitzgibbon uses technology to be able to compete