(CNN)Over the last few years, we've been close to eradicating worldwide polio without full success. However, a new medical technology, an easily applied microneedle patch, could be the key to that goal.

The biggest challenge standing in the way of eradicating polio has involved the operational logistics of getting the vaccine to people who need it, especially in difficult areas plagued by violence or poverty.

The microneedle patch, which resembles a small, round adhesive bandage, could bring polio vaccines to the doorsteps of the people that need it. By applying it to the skin and pushing down, the vaccine is delivered in a matter of minutes. Rather than requiring highly trained medics, minimally trained personnel could go from door to door, quickly administering the vaccine.

It's been 60 years since a mass inoculation of Jonas Salk's vaccine began with school children in April, 1955 that caused polio cases in the United States to drop by almost 90% over the course of two years. The vaccine was eagerly awaited because, according to the CDC, about 35,000 people annually became disabled because of polio in the U.S. in the 1940s and '50s.

In 1938, Roosevelt founded the National Foundation for Infantile Paralysis, an organization known today as the March of Dimes Foundation, to fight polio. The organization funded the two vaccines -- one created by Salk and another by Albert Sabin -- that would lead to the protection of most of the world against polio.

Salk's vaccine, developed in the 1950s, involved injecting a virus that was "killed," while Sabin's vaccine -- which he worked on in the 1960s and which was administered orally -- contained a weakened version of polio.

The Sabin vaccine actually helped boost immunity in communities beyond the individual because people shed the weakened virus in their feces. It came to replace the Salk vaccine in many places between 1963 and 1999, according to the Smithsonian. But the injected "killed" virus version is what's given in the United States today because of the rare instances of people developing polio from the oral vaccine.

Most people with polio have no symptoms; minor symptoms such as limb pain, fatigue and nausea affect about 4% to 8% of patients, according to the CDC. Fewer than 1% of cases lead to patients becoming permanently paralyzed, usually in the legs. Between 5% and 10% of paralyzed patients die when their respiratory muscles become paralyzed, too.

Human beings have been living with polio for thousands of years, Dr. Stephen Cochi, a polio specialist at the Centers for Disease Control and Prevention, said. There's evidence from ancient Egypt that paralytic polio existed there and even infected royalty. But it wasn't described clinically until 1789.

The United States saw its first polio outbreak in 1894 in Vermont, with 132 cases, according to the Smithsonian. As the population became more urbanized in the early 20th century, more outbreaks occurred. President Franklin Delano Roosevelt contracted the disease at age 39 in 1921.

Although no cure was developed, a device called an iron lung was invented to help people with the disease breathe. The patient would lie on a bed inside a cylindrical tank, and the machine helped some people become able to breathe again on their own. This device cost about $1,500 in the 1930s -- about what a home would cost then, according to the Smithsonian.

That is, until the vaccine came on the scene.

Polio was declared eradicated in the United States in 1979. But the vaccination effort doesn't stop.

"In the U.S., where there's no problem anymore, we still want to have the population protected," said Michael Katz, senior advisor and interim medical director of the March of Dimes.

Children should receive four doses of inactivated polio vaccine, delivered as an injection, at ages 2 months, 4 months, 6 to 18 months, and 4 to 6 years, according to the CDC.

Most American adults were vaccinated as children and don't need another dose. But people may need additional protection if they are traveling to high-risk countries, handle poliovirus specimens in a laboratory or have close contact with a person who has polio.

Polio primarily spreads from person to person -- through coughing and sneezing -- or through fecal contamination. The particles are large enough that the risk of contracting polio in the air is momentary, and on a surface like a desk or a chair, it can last an hour or two. But in sewage, it can last for weeks or even months.

Polio is the next likely candidate for disease eradication, Cochi said.

The only infectious disease that humans have eradicated is smallpox. Like polio, it was a viral disease spread from person to person and would infect everyone in the absence of vaccination.

And there's no non-human animal in nature that hosts these viruses, making it easier to eradicate than a disease that animals carry, too (although at least 100,000 monkeys were killed in the development of polio vaccines in the mid-20th century, according to the Smithsonian).

A big difference, though, is that smallpox has obvious characteristic symptoms: fever and rash. Most people with polio have no symptoms at all, or very mild symptoms. On average, one out of 200 patients experiences paralysis.

For polio, tremendous progress is being made, with 95% of children being reached for the most part, Oliver Rosenbauer, spokesman for polio efforts at the WHO, said. But there are still districts where only 75% to 80% of children are covered, which allows the virus to continue circulating in Afghanistan, Pakistan and Nigeria.

"The virus keeps getting increasingly restricted," Rosenbauer said. "We're not there, but I think the trend is good."

Perhaps microneedles could be the key to finally eradicate worldwide polio.

@highlight

Salk's vaccine began with inoculating school children in April, 1955

@highlight

Polio was declared eradicated in the U.S. in 1979, but still exists in other countries

@highlight

A new microneedle patch is easily used by minimally trained personnel