When 33-year-old Ashoo Mongia visits the supermarket it's rarely for stocking up his fridge for the week. As head of a cow protection enforcement team, he regularly scours Delhi grocery stores and outdoor markets for food products containing cow beef.

For the last 15 years, Mongia and his team of 120 Delhi-based volunteers have thrown themselves in a battle that pits India's billon-dollar meat industry and growing underground beef trade against Hindu traditionalists keen on preserving the holy status of cows.

"The cow is our mother, it's our duty to protect her," said Mongia, who monitors and raids hundreds of stores, butcher shops and slaughterhouses suspected of carrying, selling or slaughtering India's blessed bovines. "We do this because we believe in what the cow represents in our country, our culture and in the Hindu religion."

This year, India will displace the United States as the world's third largest beef exporter, behind Brazil and Australia. In just the first half of 2012, India exported $1.24 billion worth of meat, and a 30 percent growth in revenue from 2010 exports is projected by the end of the year, according to a U.S. Beef Export Federation study.

While the bulk of Indian exports is buffalo meat bound for Middle East and Southeast Asian markets, the growing middle class in Arab countries has sparked a new craving for cow beef. The rise in demand could make India the world's king beef exporter by 2013, according to USDA estimates.

But as India continues its struggle for economic and political dominance in South Asia, there is concern that Hindu-mandated bans on beef could hamper the industry's future growth, particularly in states like Kerala and West Bengal where the practice is legal.

Relied on by generations of Indians for tilling fields, dairy products and dung fuel, the cow is regarded by Hindus as gau mata, or maternal figure, and has had a long-standing central role in India's religious rituals. Those religious attitudes, however, are viewed by some Indian business leaders as a major hindrance to commerce.

"Cow beef could be a very lucrative business in India," said Dr. S.K. Ranjhan, the director of Hind Agro Industries Limited, who believes that religious attitudes may stand to change once the extent of business opportunities are realized. "I think five-to-10 years from now, people won't be so scandalized by the sale of cow beef."

The majority of India's 24 states outlaw the slaughter of cows except under extenuating circumstances: to stifle contagious diseases, prevent pain and suffering, medical research, etc. And several states -- including Delhi and Rajasthan, among others -- ban the sale and slaughter of cows altogether.

The strict laws against cow slaughter in the majority of India's provinces have forced the lucrative cow beef trade underground. An estimated 1.5 million cows, valued at up to $500 million, are smuggled out of India annually, which some analysts say provide more than 50% of beef consumed in neighboring Bangladesh.

"When you consider just how much money is made from underground cow smuggling, it becomes clear that not only is there a huge amount at stake, but a huge demand that butchers and slaughterhouses are catering to," said Dr. Zarin Ahmad, a fellow at the Centre de Sciences Humaines in New Delhi, who has extensively studied the work and trade among India's butcher communities.

Working with Mongia's enforcement team is Parmanand Mittal, a cow-advocacy lawyer who works from a home-office on the outskirts of Delhi. Throughout the day, Mittal fields a stream of phone calls -- tipsters who have caught wind of illegal slaughterhouses and owners of gau shalas, or cow sanctuaries, concerned with unexpected expenses associated with new rescues.

In Mittal's office hangs a painting of Lord Krishna — one of the most revered divinities in Hinduism— with his arm resting affectionately on a white calf. While Mongia's crew breaks up the slaughterhouses, Mittal builds a legal case for prosecution. His backlog of casework extensive, Mittal says.

While there might be money to be made from adding cow beef to current exports, India would incur costs elsewhere, Mittal says.

"Cows have long been the source of fuel, manure and fertilizer, among other things. These animals are revered because they've played a large role in the welfare and livelihood of all Indians," Mittal said. "Take away the cow and the repercussions will be huge."

@highlight

India will become the world's third largest beef exporter this year.

@highlight

There is concern that Hindu-mandated bans on beef could hamper the industry's growth.

@highlight

The majority of India's 24 states outlaw the slaughter of cows, forcing the trade underground.