Washington (CNN) -- When the government investigates the alleged unauthorized release of sensitive information, the focus is normally on the person doing the leaking.

But the criminal case against a State Department contractor escalated dramatically, putting the spotlight on the person reportedly receiving those communications -- Fox News reporter James Rosen.

The complex layer of once-secret search warrants for e-mails and phone records involving Rosen have raised constitutional concerns about press freedoms, balanced against national security.

The investigation of that adviser, Stephen Jin-Woo Kim, and a separate probe involving clandestine searches of Associated Press records, has prompted President Barack Obama to order a review of the federal government's practices involving leaks of classified material.

"I am troubled by the possibility that leak investigations may chill the investigative journalism that holds government accountable," Obama said recently.

He has directed Attorney General Eric Holder to review the government's guidelines on such matters. Holder will convene a panel of media organizations scheduled to begin on Thursday as part of his review.

The details of the investigation
A look at the legal records in the Kim case reveals much about the evolving process of the investigation.

Here is what is known about the ongoing case:

In November 2009, the Justice Department secretly asked a federal court to grant a search warrant for a personal email account through Yahoo, Inc. servers.

Prosecutors suspected Kim, who joined the State Department in 2008, was giving information to Rosen, classified intelligence about North Korea.

Along with private e-mails and phone records, Justice Department officials tracked the reporter's movements in the State Department using his ID badge.

Kim, 45, was born in Seoul South Korea and moved to the U.S. when he was a boy. His family settled in the Bronxdale section of New York. He has a PhD from Yale in diplomatic and military history. One of his areas of specialty at the State Department was North Korea's nuclear program.

Recently unsealed documents show the government had in 2009 amassed an impressive amount of evidence against Kim, a contractor who no longer works at the State Department.

Holder runs into roadblocks on off-the-record meetings on leaks

At the time, an FBI agent making the search warrant request, said, "I conclude from the foregoing that Mr. Kim and Reporter A have communicated as recently as August 15, 2009 by email through both the [redacted]@yahoo.com accounts as well as what appears to be a clandestine e-mail account set up by Reporter A, [redacted]@gmail.com, to communicate with Mr. Kim and perhaps other sources of information."

And what of reporter Rosen? As of late 2009, the government apparently had no interest going after him.

"The FBI is not at this time seeking a search warrant for [redacted]@gmail.com. Rather it is restricting its request for email search warrants associated with Mr. Kim." The Gmail account is apparently Rosen's although he is not mentioned by name in any of the documents.

Six months later, things take a dramatic turn.

Another search warrant application is filed in Washington, this time for a personal Gmail account controlled by Google, Inc.

It is clear from the records it is Rosen's account and that he was at that time, in the government's eyes, possibly involved in a crime as "aider or abettor and/or co-conspirator."

The warrant application was filed without the prior knowledge of Fox News. The government acknowledged it was an unusual situation, but felt it had no choice.

"The FBI has exhausted all reasonable non-media alternatives for collecting the evidence it seeks," said the May 2010 affidavit about Rosen's communications. "Because of the reporter's own potential criminal liability in this matter, we believe requesting the voluntary production of materials from reporter would be futile and would pose substantial threat to the integrity of the investigation and of the evidence we seek to obtain by the warrant."

Holder to meet with news execs

An attempt to seal the records
The Obama administration had fought for more than two years to keep the Kim and Rosen search warrant affidavits sealed.

In an unusual twist federal Judge Royce Lamberth last November ordered the records publicly released, but court clerks had for some reason failed to enter the documents in the court's online docket until last week.

The publicly available court records do not clearly indicate why the government felt it needed to expand its already strong evidence against Kim into a probe of Rosen's actions.

The reporter has not been charged with any crime, and while he was listed as a "co-conspirator," that often does not mean he would be considered a target.

Fox News officials have subsequently offered differing versions about when and if they were notified by the Justice Department after the fact about the searches.

A law enforcement official insisted Tuesday the government notified Fox's parent company News Corp. it was issuing a request for two days of phone records in 2009.

Justice Department policy requires those types of notifications to be delivered via certified mail, fax, and e-mail.

The official said on August 27, 2010, two separate notifications were sent to Lawrence Jacobs, then the general counsel for News Corp. An e-mail also was sent to Rosen on the same day notifying him of the subpoena, the official said.

The official request, according to this official, was for toll records -- lists of what numbers were dialed from five phone lines associated with Rosen -- and also the phone numbers of the calls received. The records would not reveal any content from conversations.

But Jacobs, speaking to CNN Tuesday, said he doesn't remember receiving any notification from the Justice Department about a subpoena.

"I have no recollection of receiving anything from the Department of Justice," Jacobs said. "It's the kind of thing I would remember."

Search warrants and subpoenas can be different.

Subpoenas in this legal context are orders to a particular party to produce certain records or information. Search warrants are court orders allowing law enforcement to gather information or collect evidence, often without the prior knowledge of the person being investigated.

Attorney General sign-off
Justice Department policy requires the attorney general to personally sign off on any search warrants involving the media. A Justice official tells CNN Holder in fact did just that. The actual warrant was approved by a federal magistrate.

Many legal scholars say the only justification for such a search warrant involving the press -- and the high-level approval necessary from Holder -- would be if prosecutors firmly believe that reporter is criminally involved in an illegal leak of information, and are prepared to take legal action.

The government suggested as much when it requested Rosen's private phone and e-mail records. But in the three years since, no indictment has come against Rosen.

Administration officials have yet to explain -- either in court records or in a press conference -- whether Rosen was a serious target of prosecution, or whether Kim was the only person they were planning to prosecute and needed to make the claim about the Fox reporter in order to get emails to help the Kim prosecution.

The affidavit involving the Rosen records says one of the main reasons for the search warrant was Kim had allegedly erased some e-mails that investigators were not able to recover. The FBI believed those missing e-mails could be found in Rosen's accounts.

For example, the government was curious about how Kim (reportedly using the alias "Leo") responded to Rosen's alleged May 22, 2009, e-mail: "Thanks Leo. What I am interested in, as you might expect, is breaking news ahead of my competitors."

DOJ says e-mails, letter prove it notified Fox of subpoenas

Holder under fire
Holder faces questions from Republicans on Capitol Hill, who are looking into whether he lied under oath earlier this month when he said he was not involved in the "potential prosecution of the press for the disclosure of material."

"That is not something I've ever been involved in, heard of, would think would be wise policy," Holder said at the May 15 hearing.

White House spokesman Jay Carney said Wednesday that no prosecution ever took place in the Fox case, and therefore it was "self-evident" that any charge Holder lied to the House panel was "inaccurate."

The attorney general said Tuesday he is "not satisfied" with some of the guidelines on how prosecutors conduct leak investigations involving reporters.

"We're going to have a real frank, good conversation about this," Holder told reporters following a naturalization ceremony for new U.S. citizens. "And I think, we're going to make some changes because I'm not satisfied with where we are."

Focus on State Dept. contractor
While much of the political debate centers around Rosen and search warrants for members of the press -- from a legal perspective, the criminal case is clearly focused on Kim. In the search warrant affidavit for Rosen, it is Kim's alleged acts that drive the legal narrative.

The government alleges call records of Kim's desk phone at the State Department between May and July of 2009 show 36 calls were exchanged between the government contractor and the reporter, including seven on the date Rosen published a story about North Korea.

Kim himself was interviewed by FBI agents three months later in September of 2009 where he denied leaking classified information.

He allegedly told investigators, according to the redacted affidavit, "I wouldn't pick up a phone and call [the reporter] or [the news organization that the reporter works for]."

Eleven months after that interview -- and three months after the Rosen search warrant was issued -- Kim was indicted for unauthorized disclosure of "National Defense Information" and for making false statements to investigators. His case has not gone to trial and he denies the charges.

The case is USA v. Kim (10-cr-225).

CNN's Joe Johns and Carol Cratty contributed to this report.

@highlight

Justice Department sought search warrants for electronic communication of Fox News reporter in connection with leak investigation

@highlight

Investigation focused on State Department contractor who may have been in contact with reporter

@highlight

The reporter has never been charged and as of late 2009, the government apparently had no interest going after him

@highlight

Attorney General Eric Holder has come under fire for Justice Department handling of the case