Hamid Dabashi is the author of "Iran: A People Interrupted." He is Hagop Kevorkian Professor of Iranian Studies and Comparative Literature at Columbia University in New York. His Web site is http://www.hamiddabashi.com/

Hamid Dabashi says it's wrong to view the conflict in Iran as a battle of the middle class vs. the poor.

(CNN) --   In a short essay that Abbas Amanat, a scholar of 19th-century Iran at Yale University, was asked to write for The New York Times on the current crisis in Iran, he asserted that what we are witnessing is "the rise of a new middle class whose demands stand in contrast to the radicalism of the incumbent President [Mahmoud] Ahmadinejad and the core conservative values of the clerical elite, which no doubt has the backing of a religiously conservative sector of the population."

This learned position of a leading scholar very much sums up the common wisdom that Iranian expatriate academics are offering an excited public mesmerized by the massive demonstrations they witness on their television sets or computer screens and eager to have someone make sense of them.

In part because of these hurried interpretations, the movement that is unfolding in front of our eyes is seen as basically a middle-class uprising against a retrograde theocracy that is banking on backward, conservative and uneducated masses who do not know any better. While the illiterate and "uncouth" masses provide the populist basis of Ahmadinejad's support, the middle class is demanding an open-market civil society.

Highly educated, pro-Western and progressive Iranians are thus placed on Mir Hossein Moussavi's side, while backward villagers and urban poor are on Ahmadinejad's. The fact that in North America and Western Europe, usually unveiled and fluently English-speaking women are brought to speak on behalf of the women demonstrators further intensifies the impression that if women are veiled or do not speak English fluently then they must be Ahmadinejad supporters.

This is a deeply false dichotomy that projects a flawed picture to the outside world. It is predicated on the spin that a very limited pool of expatriate academics are putting on a movement that is quite extraordinary in Iranian political culture, one whose full dimensions have yet to be unpacked.

The fact is that given the structural limitations of a nascent democracy that is being crushed and buried in Iran under a particular interpretation of a Shiite juridical citadel, opposition to Ahmadinejad is fractured into the followers of three candidates with deeply divided economic programs and political positions.

Moussavi is universally known as a hard-core socialist in his economic platform and a social reformist in his politics. Mehdi Karrubi is far to Moussavi's right in his economic neo-liberalism and social conservatism. Mohsen Rezaie, meanwhile, is even more to the right of Karrubi in his social conservatism but to his left in his economic platform.

What above all challenges the reading of this event as a middle-class revolt against "uncouth radicalism" is a crucial statistic that professor Djavad Salehi-Isfahani, one of the most reliable Iranian economists in the U.S., provides in the same set of responses that The New York Times solicited from experts. "Young people ages 15-29," Salehi-Isfahani reports, "make up 35 percent of the population but account for 70 percent of the unemployed."

The overwhelming majority of the people pouring into streets of Tehran and other major cities in support of Moussavi are precisely these 15- to 29-year-olds. How could this then be a middle-class uprising if the overwhelming majority of those who are supporting it and putting their lives on the line are in fact jobless 15- to 29-year-olds who still live with their parents -- who cannot even afford to rent an apartment, let alone marry and raise a family and join the middle class in a principally oil-based economy that is not labor-intensive to begin with?

Another crucial statistic that Salehi-Isfahani does not cite is the fact that more than 63 percent of university entrants in Iran are women, but only 12 percent are part of the labor force. That means that the remaining 51 percent are out of a job, and yet the most visible aspect of these anti-Ahmadinejad demonstrations is that women visibly outnumber men. How could jobless men and women be participating in a massive middle-class uprising against their "uncouth" leaders?

If we were to look closely at Moussavi's campaign commercials, his social and economic platforms since he entered the race, and the presidential debates with all the other candidates, we see that a sizable component of his supporters are indeed university students, young faculty and the urban intellectual elite --such as filmmakers, artists and the literati.

But the fact is that a major constituency of Moussavi is also the urban poor and particularly the war veterans who have no respect for Ahmadinejad, believing he had an inglorious war record, but are full of unsurpassed admiration for Moussavi because of his role as a fiercely dedicated prime minister during the Iran-Iraq war (1980-1988).

Conversely, there is a significant segment of the traditional middle class, the bazaaris, that is in fact the beneficiaries of Ahmadinejad's economic policies of governmentally subsidized commodities and services, and thus supports him.

As for the "uncouth" among the Iranian peasantry, Eric Hooglund, a senior scholar of Iran with decades of experience in rural areas, has recently said that when he hears reports that Ahmadinejad's support base is rural, he is left quite baffled.

"Is it possible that rural Iran," he asks pointedly, "where less than 35 percent of the country's population lives, provided Ahmadinejad the 63 percent of the vote he claims to have won? That would contradict my own research in Iran's villages over the past 30 years, including just recently."

The fact is that we really don't know how this uprising is going to pan out, and yet we seem to be in too much of a rush to assimilate it backward to inherited assumptions that may have lost their validity in face of this new reality.

I am convinced that we are witness to something quite extraordinary, perhaps even a social revolution that is overriding its economic roots. Although there are many similarities, this is a much different event than the 1977-1979 Islamic Revolution. I am not sure that this movement either sees itself as a revolution or will actually transmute into one.

Given the brutality it faces, it has no choice but opt for a nonviolent civil disobedience route. The age of ideological warfare is over in Iran. If anything, this momentum is the closest event in Iran to the civil rights movement of the 1960s in the United States, and precisely like that movement, its economic dimensions are couched in social demands.

We need to adjust our lenses and languages in order to see better, and there is no better adjustment than just cautiously, hopefully and responsibly watching what is unfolding in front of us and reading it accordingly.

This movement is ahead of our inherited politics, floating ideologies or mismatched theories. We need to sit back, hope for the best and let this inspirational movement of a whole new generation of hope teach us courage and humility.

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

Hamid Dabashi: Some are depicting Iran conflict as a battle of middle class vs. poor

@highlight

Dabashi: Mir Hossein Moussavi draws support from wider group than middle class

@highlight

He says it's wrong to say Mahmoud Ahmadinejad supporters are poor, rural Iranians

@highlight

Dabashi says best parallel may be to the U.S. civil rights movement of 1960s