(CNN) -- Unlike Greece, Spain and Italy, Hungary does not use the euro single currency, but it is afflicted by similar debt problems. Fears are now growing that Hungary could go bankrupt, prompting it to request help from the European Union and the International Monetary Fund. So is Hungary the next step on Europe's path to meltdown?

How much does Hungary owe?

It is eastern Europe's most indebted nation, with a debt-to-GDP ratio of 80%. Despite receiving a $15.8 billion loan by the IMF in 2008, the country is now asking for more. It needs up to $25 billion in loans just to stablilize the struggling forint currency, but this will only go so far.

Other countries such as Italy and the UK have similar or higher debt levels, but as Viktor Szabo, former head of market analyis at the National Bank of Hungary, points out, his country is more at risk because its savings are much lower and it is more reliant on foreign investment.

What does this mean?

The net effect is that Hungary is paying an unsustainable 10% premium over one year to service its debts. If Budapest defaults on its debts, banks in eurozone countries, Austria in particular, whose banks' balance sheets which be hit. This could trigger the "contagion" effect which has been so destabilizing to the eurozone countries.

Hungary's problems were compounded when its credit rating was junked by the major ratings agencies, meaning its debt is now regarded as high risk and making it more expensive to raise money to refinance existing obligations.

Will Hungary get its loans?

Not necessarily. The EU says Hungary is failing to cut its budget deficit fast enough, as it has demanded with other countries seeking bailouts.

The situation is complicated by the fact that the EU is threatening to take Hungary to the European Court of Justice over that country's new constitution that critics say undermines the independence of key state institutions, rigs the electoral system and curbs press freedoms.

Both the EU and IMF say they will refuse to extend aid to Budapest unless the government there guarantees the independence of the central bank. The heads of both those institutions spoke out over fears proposed reforms will give the Hungarian government undue influence over monetary policy.

How did this situation come about?

Current Hungarian Prime Minister Viktor Orban came to power in April 2010 with a landslide victory that meant his Fidesz party could rule without coalition partners for the first time since the fall of communism.

Armed with a comfortable two thirds majority in parliament, the new government set about cutting red tape. But critics say that after less than two years in power, Orban's iron grip over crucial (and supposedly independent) institutions is tightening. The changes to the constitution enacted over the new year have sparked protests in the country amid concerns they will curtail freedom of the press.

So will Hungary change course?

The Hungarian government has indicated it is ready to meet some of the criticisms of the EU and IMF but critics say it is taking an isolationist position. Former First Deputy Foreign Minister Matyas Eorsi, who helped steer Hungary towards EU accession in 2004, told CNN he believed this approach was doomed. "You cannot run such a small country in the middle of Europe by claiming an independence war against everybody around you," he told CNN.

The government has "declared a freedom fight against international institutions like the IMF," said Eorsi, while at home, "it has systematically dismantled the checks and balances of independent institutions."

With the current set up Hungary risks a "catastrophe," he warned.

What will happen next?

The government had two strategies, said Szabo: to cut debt and boost growth. "Neither worked," he said. The EC had asked Hungary to cut its debt to GDP ratio by half a percentage point, but it in fact rose by several points.

"The high-risk premium shows a lack of confidence in the markets about Hungary. People are starting to take money out of banks and put it into foreign currency, and open accounts abroad."

There are now two outcomes: Hungary will go bust, said Szabo, or it must "surrender and accept all conditions of the IMF and the EU."

Former minister Eorsi agreed, and urged PM Orban to either change his domestic policies now or resign. Failing that, he said, the Fidesz party had a duty to oust their leader at the next parliamentary vote.

@highlight

Hungary requests help from EU, IMF over fears it could go bankrupt

@highlight

It is eastern Europe's most indebted nation, with a debt-to-GDP ratio of 80%

@highlight

Problems compounded when credit rating was junked by major ratings agencies

@highlight

Situation complicated with EU threatening legal action over Hungary's new constitution