Mutare, Zimbabwe (CNN) -- After weeks of negotiations with the government, CNN's Marketplace Africa show has been granted access to the controversial Marange diamond fields in eastern Zimbabwe.

Some experts believe that Marange is the largest diamond discovery in generations but the find has been dogged by allegations of human rights abuses and corruption going right to the heart of Mugabe's government.

There are four diamond companies operating in the area. With a large delegation of government minders in tow, CNN was first taken to visit Marange Resources. It is exclusively owned by the state-run company, the Zimbabwe Diamond Mining Corporation (ZMDC).

Security is tight. High voltage barbed wire fences surround the diamond mines and the processing plant's equipment. Several full body searches are done as you get closer to the sorting area where the diamonds are picked from the dirt.

To avoid "leakages", as it is called - or, in other words, worker theft -- the diamonds are kept in a glass case and the sorters use gloves to drop the diamonds into an underground vault. The company says at no point in the extraction process does a human being touch any of the diamonds.

The mining manager of Marange Resources, Munashe Shava, tells CNN that "between our three plants we can produce a minimum of 200,000 carats every month."

All four mining companies - Marange, Mbada, Anjin and DMC - have been certified to sell their diamonds on the international market by the Kimberley Process.

Read more: What are 'conflict diamonds?'

The human rights organization Global Witness called the decision "shocking" and pulled out of the international scheme it helped create.

But despite the intense criticism of the Marange diamond fields, one of the two monitors of the Kimberley Process -- the U.N. protocol to certify origin of the gems and curtail trafficking of "blood diamonds" to fund militant groups - said he has seen significant improvements.

"You could not find a bigger transition than that one," Van Bockstael told CNN in Harare. "This is not a granny that is digging with an old shovel in a pit or something -- that happened in 2007, 2008, which was when the problems started. You are talking about now top-notch diamond companies that are using state-of-the-art equipment. "

The Chinese-run company Anjin has been one of the most heavily criticized companies operating in the field. Global Witness claims that this 50-50 partnership between a Chinese engineering firm and the state owned ZMDC has "board members including senior serving and retired military and police officers."

They argue that this "creates opportunities for off budget funding of the security sector" and " a real risk of these revenues being used to finance violence during a future election" in the country.

Read more: Is 'blood diamond' definition about to change?

Human Rights Watch says while it has seen an improvement in Marange, it also believes questions remain over who is involved in running these mining companies.

"Well, when we say things have improved it simply means the violence has certainly ended" Tiseke Kasambala of Human Rights Watch told CNN. "There is no longer much torture, and the forced labor has come to an end, but why has this taken place? It is because the army has gained pretty much most of the control of the fields."

CNN confronted Zimbabwean director of Anjin, Munyaradzi Machacha, with these allegations. "In Zimbabwe, boards are made up of all its citizens," Machacha said. "With Anjin and all other companies, they are free to bring in persons with different skills and backgrounds. So really it is not like Anjin is a military (controlled) area, it is a civilian company operating like any other."

The Chairman of ZMDC, Godwills Masimirembwa, told CNN that there is nothing wrong with serving military figures connected to the ruling ZANU-PF being on the boards of these mining companies.

"There is nothing wrong with them sitting on some of the boards, they are Zimbabweans, they are entitled to sit on those boards."

When asked which military figures were connected with these companies, he replied:

"When you deal with sensitive issues, particularly in the background of sanctions against us, if you look at the sensitivity of that area, and the attack that is against Zimbabwe on the assumption that everything that goes there is for the benefit of ZANU-PF, it is obviously important that we protect the national interest".

But despite these mines getting the green light from the Kimberley Process, the European Union's so-called "restrictive measures" and U.S. government sanctions remain in place.

According to Ambassador Gillian Milovanovic, speaking to CNN's Marketplace Africa in her first interview as the new U.S. chair of the Kimberley Process, sanctions have been imposed because "these entities are undermining democracy and democratic institutions."

Ramzi Malik is the project manager of DMC, another mining company operating in the fields. The U.S. sanctions anger him.

"It was actually quite shocking that sanctions would be slapped on us even though we are fully compliant by the Kimberley Process," Malik says. "So for us we just continue doing our business and doing our thing, and that is the end of it."

"Sanctions or no sanctions diamonds get sold to clients all over the world, be it Belgium, be it Israel, be it India, be it customers in Dubai. They come from all over. You have the product available, they will come, they will pay their money for it and they will take it."

@highlight

CNN granted exclusive access to the controversial Marange diamond fields

@highlight

High voltage barbed wire fences surround the diamond mines, where workers are searched

@highlight

Four Zimbabwe companies now can sell their diamonds on the international market

@highlight

The human rights organization Global Witness called the decision "shocking"