Washington (CNN) -- Broadcast television networks won an important constitutional fight Thursday when the Supreme Court said government regulators imposed unfair punishment for isolated profanity and sexual content during evening "prime time" hours.

In an 8-0 vote, justices concluded the Federal Communications Commission cannot enforce its current policies against "fleeting" expletives and nudity on over-the-air programs, both live and scripted. The agency had levied hefty fines on all four major broadcasters beginning nearly a decade ago.

The court's ruling was narrow, as the justices declined to address whether the regulations violate free-speech protections guaranteed under the First Amendment. But it does establish important guidelines the government must follow when monitoring explicit content on the airwaves.

"The commission failed to give Fox or ABC fair notice prior to the broadcasts in question that fleeting expletives and momentary nudity could be found actionably indecent," Justice Anthony Kennedy wrote for the majority.

The Justice Department had filed an appeal, and helpfully provided the justices with a DVD of a 2003 episode of the now-canceled "NYPD Blue" on ABC in which a naked woman was shown. The content of that program is central to the current legal dispute. ABC, CBS, NBC and Fox are all parties in the case.

A federal appeals court last year for a second time struck down the government policies, concluding they were vague and inconsistently applied. Pending sanctions against the broadcasters were dismissed.

Controversial words and images have been aired at times in scripted and unscripted shows on all the major over-the-air networks in the past eight years, dating back to when the FCC began considering a stronger, no-tolerance policy.

The policy became known as the Golden Globes Rule, for singer Bono's 2003 acceptance speech at the live awards show on NBC, where he uttered the phrase "really, really, f---ing brilliant."

The commission specifically cited celebrities Cher and Nicole Richie for potty-mouth language in the 2002 and 2003 Billboard Music Awards, which aired live on Fox. Richie, in an apparent scripted moment said, "Have you ever tried to get cow s--t out of a Prada purse? It's not so f---ing simple."

Opinion: FCC should clear Limbaugh from airwaves

While concluding the broadcasters' due process rights were violated when they were not given fair notice, the court did not foreclose future enforcement.

"This opinion leaves the commission free to modify its current policy," Kennedy wrote, "in light of its determination of the public interest and applicable legal requirements. And it leaves the courts free to review the current policy or any modified policy in light of its content and application."

Justice Sonia Sotomayor did not participate in the decision, since she had heard the case when serving on a federal appeals court in New York, before joining her current job.

A separate appeal involving singer Janet Jackson's "wardrobe malfunction" and brief partial nudity on national television is pending at the high court. The justices are likely to throw the case back to the lower courts, in light of Thursday's ruling.

The FCC said it would begin to immediately implement the policy.

"As a matter of good governance, it is now time for the FCC to get back to work so that we can process the backlog of pending indecency complaints -- which currently stands at just under 1.5 million involving about 9,700 TV broadcasts," said Commissioner Robert McDowell, "Some of these complaints date back to 2003. We owe it to the American public and the broadcast licensees involved to carry out our statutory duties with all deliberate speed."

There was no immediate reaction from the broadcasters in the Fox and ABC cases.

But a group opposing stricter government control over TV applauded the high court's ruling.

"Today's decision by the Supreme Court re-emphasizes what we have been advocating all along: That parents, not the government, are the best arbiters of what their children should be watching on TV," said TV Watch's executive director, Jim Dyke. "In the one-third of American homes with children, parents have tools such as the V-chip and content ratings to help them make decisions about what their children watch based on the age of the child and their family's tastes and values."

Middle finger 'malfunction' mars Super Bowl halftime show

The high court two years ago ruled in favor of the FCC on the issue of "fleeting expletives," concluding federal regulators have the authority to clamp down on broadcast TV networks airing isolated cases of profanity.

The court, however, refused both at that time and now to decide whether the commission's policy violates the First Amendment guarantee of free speech, ruling only on the agency's enforcement power.

The Justice Department, in this appeal, lumped both the expletives and nudity cases together, saying the court should decide the free speech questions as one.

Explicit language is heard with greater, albeit varying, frequency on cable television, the Internet, and satellite radio, which do not use public airwaves. But the federal government is charged with responding to viewer complaints of "indecent" language and images on broadcast television and radio, which is subject to greater regulation.

That is especially relevant during daytime and early evening hours, when larger numbers of families and younger viewers may be watching.

The commission formally reversed its policy in March 2004 to declare even a single use of an expletive could be illegal. In addition, a voluntary rating system is used by all television networks to warn viewers when material that might be offensive will be aired.

Much of the enforcement debate centered around the ABC television stations fined $27,500 each for airing the "NYPD Blue" episode featuring a woman with her breasts and buttocks exposed.

Another source of contention is whether broadcast radio and the TV networks -- ABC, CBS, Fox, NBC, and the CW -- should receive treatment differing from their satellite and cable cousins regarding content. Most broadcast stations are part of the basic cable packages people buy, and just 10% of the population receives its TV signals only through the airwaves. But the government countered that 69 million television sets are not connected to cable or satellite, and that broadcasting is the medium of choice for children.

The Supreme Court first ventured into the broadcast speech debate in 1978, when it ruled as indecent a monologue by comedian George Carlin on society's taboo surrounding "seven dirty words." The bit had received some radio airplay. The justices said "context" should be applied when deciding whether words or images are "indecent."

The major broadcast television networks say their scripted shows no longer air nudity, racy images or expletives, even after 10 p.m., when some potentially vulgar words are permitted.

Time Warner -- the parent company of CNN -- filed a supporting amicus brief in the high court dispute two years ago. The company is part owner of the CW broadcast network and operates several cable networks.

The case is FCC v. Fox Television Stations (10-1293).

@highlight

The Supreme Court blocks FCC policies against "fleeting" expletives and nudity

@highlight

The commission failed to give networks fair notice of punishment, the ruling says

@highlight

A federal appeals court had concluded the policies were vague and inconsistently applied