Washington (CNN) -- An American held in Qatar in the death of his adopted daughter stood up and yelled, "You lie! You lie!" after a Qatari prosecutor told a court that Matthew Huang and his wife, Grace, had let their daughter starve to death.

"This court is a sham," Matthew Huang said after the rare dramatic outburst, evidence of his frustration at being convicted of killing his own daughter on what he and his wife say are trumped-up charges.

Their best hope now may be that the U.S. government applies diplomatic pressure to free them. The couple pleaded with the U.S. government to end their two-year legal nightmare, warning that without direct American intervention, they will be falsely imprisoned once again.

"We feel kidnapped and trapped. It feels like there is no end to this," Matthew Huang said Monday, after the appeals court hearing ended without his release.

The Huangs are appealing their conviction, which has garnered international attention and raised questions in the media about the prosecution and overall fairness of the Qatari justice system.

The case puts the United States in a difficult situation with a close ally with whom it is working on hot-button issues in the Middle East. Qatar is helping the U.S.-led coalition against ISIS and is hosting many countries' forces involved in airstrikes.

The Qatari government was instrumental in securing Sgt. Bowe Bergdahl's release from the Taliban. And the U.S. is involved in several lucrative arms deals with Qatar, one of which was announced the very day the Huangs were convicted.

But the Obama administration has expressed concern about the fairness of the legal proceedings and has slowly upped the pressure on the Qatari government to resolve the case and allow the couple to return to the United States.

This month, the State Department issued a statement calling on the Qatari government to "immediately" lift the Huangs' travel ban and bring the case to an "expeditious and just conclusion." And on Monday, State Department Deputy Spokesman Marie Harf urged Qatar to allow the Huangs "to return to the United States on a humanitarian basis to be united with their children and family."

'We have to respect the judicial process'

The court set November 30 to decide whether to grant the defense request to overturn the conviction, or to grant the prosecution's request that the full sentence of up to 3 years in prison be upheld.

"One thing today did is help confirm that this is not about a legal court process and the solution is not going to come from the court. It has to come from U.S. intervention." said Eric Volz, who heads the firm David House Agency that is assisting with the Huangs' case.

Citing numerous violations of due process, Volz added that "we have no reason to have any faith in the court system that is already broken."

Mohammed Jaham Al Kuwari, the Qatari ambassador to the United States, told CNN in an interview that his government had "full confidence in the integrity of the Qatari justice system."

"We understand this has a human aspect. We understand their family is waiting for them, and we sympathize with that. But we cannot deny there is a death in this case. There was a death of a little girl, and now, the case is in the court. We have to have respect in the judicial process."

Dispute about child's cause of death

When their 8-year-old daughter, Gloria, died in January 2013, the Huangs were immediately arrested and accused of starving her to death.

Matthew Huang was employed in Doha by an international company working on construction projects for the 2022 World Cup.

The Huangs have maintained their daughter suffered from an eating disorder.

After a lengthy trial, they were convicted of endangering the life of their child. After spending a year in prison, they were released on bail in November 2013. In April, they were sentenced to another three years in prison, and they are prohibited from leaving Qatar during their appeal.

U.S. officials have privately expressed confidence in the Huangs' innocence, calling the case a "sham." But the Obama administration has sought to exhaust all legal proceedings before seeking the Qatari government's direct intervention in the case.

A United Nations official investigating the justice system in Qatar has also called attention to the Huangs' case and urged the government to send them home.

A report by pathologists hired by the defense, obtained by CNN, says they found no evidence that tissue samples were taken from Gloria's body after her death, even though Qatari investigators submitted an autopsy report. Advocates for the Huangs suggested the lab report was fabricated and said their request with the Qatari judiciary for a formal investigation has gone unanswered.

'This place ... is not safe for Americans'

At Monday's hearing, the Huangs' defense attorney attempted to cross-examine the forensic doctor about the suspicious autopsy report but was cut off by the presiding judge.

"Today's court shows a disregard and a disrespect for the call of the U.S. government for a just and judicious process," said Grace Huang's brother, Daniel Chin. "This place, Qatar, is not safe for Americans."

Volz, the advocate for the Huangs, said he was surprised by the "audacity" of the court at Monday's hearing and fears that without direct involvement of the U.S. government, the couple has no chance of being released soon.

"They are completely depending on the U.S. movement to take aggressive action to secure their release," he said.

U.S. officials said they continue to raise the case with the highest levels of the Qatari government. Most recently, Secretary of State John Kerry discussed the issue with the Emir of Qatar on the sidelines of the U.N. General Assembly in New York. The officials say they are hopeful that the appeal will result in the court releasing the Huangs before November 30. But they acknowledge that if that doesn't happen, the administration will need to become more directly involved.

"We are hopeful the Qatari justice system will work, but barring that, there has to be a way to get these people home to their children," a senior official said. "The Huangs have been through enough."

Al Kuwari, the Qatari ambassador, said the case is "not a political issue" and the government cannot interfere with the court. But he said the government did not want to let the case affect his country's ties with Washington.

"Of course we don't want this to affect our bilateral relations," he told CNN. "We have to respect the integrity of the court until the decision, and then hopefully, this problem will be solved."

@highlight

An appeals court hearing ends without the release of Matthew and Grace Huang

@highlight

The couple seeks U.S. intervention after their conviction on child endangerment charge

@highlight

Conviction draws world's attention, raises questions about Qatari justice system's fairness

@highlight

The case puts U.S. in a difficult spot with a close ally with whom it is working on Mideast issues