President Barack Obama, who will act on immigration reform by the end of the year, and his administration have not finalized plans on the issue, but he's aware of the general details in the expected plan, according to sources in the government and elsewhere who have been briefed on the White House plans.

At the end of the day it will all come down to what the legal team thinks can be defended in court, in addition to some political considerations, sources say.

"It's not like this is the Academy Awards," one official told CNN recently, meaning that the contents of the envelope are not a surprise.

Citing his legal authority as chief executive of the United States, Obama said in a press conference in Myanmar Friday that he would act on immigration reform by the end of the year.

"I believe that America is a nation of immigrants," the President said. Everybody agrees that the system is broken; there has been ample opportunity for Congress to pass a bipartisan immigration bill that would strengthen our borders, improve the legal immigration system and lift millions of people out of the shadows so that they are paying taxes and getting right by the law."

The senior White House official who spoke to CNN said that any executive action could come as soon as this week. The White House is also not going to yield to threats of a shutdown.

Asked Tuesday about a potential scenario in which Congressional Republicans would try to defund Obama's immigration action in an upcoming spending bill. White House spokesman Josh Earnest said Wednesday that the president's actions would be within the law.

"We would consider it to be unwarranted for Republicans in Congress to try to undo that executive action using the budget process," Earnest told reporters, casting doubt that such an a move would "determine the outcome at all" of Obama's actions.

Warnings from Republicans are not affecting White House plans, according to the official, who said the White House is not going to command less in the executive action order just to appease furious lawmakers. Obama Friday encouraged Congress to act on immigration and said he told Republican congressional leaders that he was interested in working on a legislative solution, but without that he would act.

"I indicated to (House) Speaker (John) Boehner several months ago that if in fact Congress failed to act I would use all the lawful authority that I possess to try and make the system work better. And that's gonna happen, that's gonna happen before the end of the year," said Obama.

The senior White House official said that before issuing any order the president will review his administration's proposals for extending deportation relief to undocumented immigrants with American-born children and those who entered the United States as children themselves.

Another senior administration official told CNN that the main contours of the executive action are three-fold: direct immigration agents to allow parents of children who are American citizens to obtain documents that allows them to stay in the United States legally, protect illegal immigrants who came to the United States as children and make clear deportation should still be the policy for convicted criminals.

The plans appear to exclude any parents of "Dreamers," those who were brought in illegally as children who already have deferred action themselves from Obama's earlier action, according to sources.

Though the general details of the plan are known, it is still in flux, and may change by the time it is announced, according to two other sources briefed on the subject who shared more in-depth details under consideration with CNN.

Those sources said that the plan includes a focus on deporting criminal illegal immigrants. The final number of immigrants shielded will be affected by restrictions such as whether people with police infractions such as a DUI can qualify, they said.

The plan would include an expansion of visas in certain categories of workers such as those in the technology industry, which is popular with the business community, and more resources to protect the border, according to the sources.

The move has been the subject of months of anticipation. But with lame duck legislative wrangling underway on Capitol Hill, the president's advisers could also wait until next month to make a final decision on how to repair a system both Republicans and Democrats admit needs fixing.

And while officials say the specifics of what he will announce haven't been finalized, the broad outlines of a potential plan that eases deportations for millions of undocumented immigrants have been floated by immigration groups for months.

For the multitude of groups who are watching the process unfold, the moment is charged.

"Without hesitation I can say the level of anticipation is intense. We were hoping this would happen in September," said Clarissa Martinez, deputy vice president of the National Council of La Raza. "It's long overdue. The sooner the better."

Millions affected

An expansion of Obama's "deferred action" program (DACA) that went into place in the summer of 2012 is considered to be a likely component of Obama's immigration action, according to two sources close to the plan who spoke to CNN. DACA delayed deportation proceedings for undocumented immigrants who were brought to the United States by their parents as children.

In the DACA plan there were caveats on who was eligible. In order to apply, immigrants needed to be younger than 31 at the time the rule was enacted, and younger than 16 when they were brought to the United States. And applicants are required to either be in school, have earned a high school degree or be honorably discharged veterans.

The Migration Policy Institute, a nonpartisan think tank, says 1.2 million people were eligible under those rules and nearly 700,000 applied for deferred deportation, with hundreds of thousands more aging into the requirements over the next decade.

But many more would become eligible if Obama expands, or eliminates altogether, those requirements, which were meant to encompass the same sector that would have qualified for permanent resident status under the DREAM Act, which has languished in Congress.

The sources said that some parents of U.S. citizens and legal permanent residents, or so-called "green-card holders," would be granted legal status that allows them to work and avoid deportation. The President's plan would affect those parents who have been in the United States five years. That move would bring another 3.4 million people into the eligibility ranks, according to a Migration Policy Institute analysis.

According to the two sources who spoke to CNN, any executive action is not expected to include broader use of so-called "parole" status. While some pro-immigration advocates support this idea, it is seen as a red line by many conservatives who view it as a potential way to provide a path to citizenship for illegal immigrants who are parents of U.S. citizens. Currently such parole status is provided to spouses and family members of people serving in the U.S. military. If the parents of children who are eligible under the current DACA rules were included, the number would rise to 3.7 million.

Changing those rules could also expand the eligible population: eliminating the education requirement, for example, would allow 430,000 more undocumented immigrants to be eligible for deferred deportation, the Migration Policy Institute estimates.

And allowing people over 30 who were brought to the United States by undocumented parents would allow another 200,000 immigrants to apply, the think-tank's report says.

Immigration activists, frustrated with the rate of deportations under Obama and further exasperated with the delay in Obama's immigration action, have been urging the White House to go big and expand the deferred deportation order in a way that allows the maximum number of people to stay.

But many who have been watching the process closely believe the eventual announcement will fall short of those appeals.

Political football

Whatever Obama finally decides -- and at this point, the options seem clear -- he'll be met with fierce blowback from Republicans on Capitol Hill, who have spent months preparing for the announcement by warning of executive overreach and political well-poisoning.

The White House yielded to politics once already, delaying the immigration announcement from its promised debut this summer to a new date before the end of this year. The move was meant to shield vulnerable Democrats from political attacks on the topic; many of them lost their races anyway.

The postponement wasn't met kindly from immigration groups, who said there wasn't time to spare on providing deportation relief for the millions of people who could be affected by new rules.

There could still be election year ramifications, since Democratic Sen. Mary Landrieu remains locked in a runoff contest with a Republican rival. But with the Senate firmly in Republican hands, any further delay would seem to offer little political advantage while only eroding support further among immigration reform activists.

"For us, every day that there's a delay, and every day that people have to wait, means more people unjustly deported," said Praeli.

Some Democrats want Obama to wait to announce the executive action after essential business clears the House and Senate. Sen. Harry Reid, the outgoing Senate Majority Leader, told CNN the president should hold off any immigration action until a new bill funding the federal government is approved. He said enacting the immigration plan ahead of the spending measure could anger Republicans and risk a government shutdown.

"I'd like to get the finances of this country out of the way before he does it. But it's up to him," Reid said.

But no matter when the action comes, it seems destined to ignite GOP furor. The near certainty of an executive action by year's end hasn't slowed Republican efforts to stop it: this week a Republican congressman from Texas, Rep. Joe Barton, said if Obama goes forward with the plan, impeachment proceedings could be a possibility.

Those threats aren't exactly a new thing. Democrats have raised millions of dollars by warning their party's base about impeachment threats from conservative House members.

More real is the threat that taking executive action on immigration forestalls any legislative effort on the matter. GOP leaders on Capitol Hill say a new plan delaying deportations would enrage Republicans, leaving little political will to push through a comprehensive overhaul of the immigration system.

Obama seems little concerned by Republican threats against making the immigration move, however, pointing out they had an opportunity to pass a bipartisan reform measure in the House but balked.

"I feel obliged to do everything I can lawfully with my executive authority to make sure that we don't keep on making the system worse," he said during last week's news conference.

@highlight

Obama has pledged to act on immigration before the end of the year

@highlight

White House official says President has not yet reviewed final recommendations

@highlight

But Obama is aware of the general details in the expected plan, officials said

@highlight

The plan is not expected to include the parents of "Dreamers"