(CNN) -- Election Day will be consequential, perhaps a nail biter. Senate control may turn on a fistful of ballots in key states. Millions of Americans will be reminded again of their ramshackle election system. Lines are long, registration lists are error-filled, machines break down, and puzzled poll workers offer little help.

This year, private citizens seeking to stop "voter fraud" could worsen the mess. Such unofficial and perhaps overheated activism may prove a far worse problem than phony voting itself.

Nobody condones voter fraud. Every citizen has a right to know that ballots are legitimately cast and fairly counted. But illegal voting simply is not a widespread problem. An epidemic of voter fraud is an urban myth, like alligators living in the sewer. Fear of imaginary fraud must not be an excuse to block actual voting by real people.

A recent example of the confusion sown by politically overheated allegations of fraud can be found in the much-ballyhooed charges by John McCain of voter fraud in 2008, all of which proved to be false.

Some canvassers were arrested for submitting fake registrations, a practice made worse by state laws requiring private groups to submit all registration applications, even the ones they know might be wrongly filled out. But phony voters never showed up to vote. One reason: First-time voters must always show ID. If Mickey Mouse registers to vote, he still must show ID. (Even in Orlando, where they know him!)

Of course, from our democracy's earliest days, politicians zestfully have stuffed ballot boxes. Boss Tweed bragged: "So long as I count the votes, what are you going to do about it?" Robert Caro, in his masterful biography, recounted how Lyndon Baines Johnson won his Senate seat in 1948 when officials "found" a lost box of votes, in which every single voter supported Johnson -- conveniently in alphabetical order.

Even JFK joked about how Mayor Daley had stolen votes on his behalf. When misconduct occurred, it was overwhelmingly by politicians, rarely by rogue individual voters. And it is largely a thing of the past.

Far more worrisome is another ominous strain in American history: ugly efforts to block legitimate voters, often targeting racial minorities.

Evidence abounds. Future Chief Justice William Rehnquist got his start in politics striding up to Hispanic voters and demanding they prove their eligibility. In 2004, partisans planned to challenge voters in Ohio. A federal judge who blocked the move found that less than one in five voters in majority white precincts would have had their eligibility questioned, while nearly every voter in African-American majority locations would be challenged.

All of which brings us to today. In 2010, there is no evidence of widespread voter fraud -- none. That's not because nobody was looking. The Bush administration made vote fraud a top Justice Department priority. Yet from 2002 to 2005, federal prosecutors convicted just 17 people nationwide for casting fraudulent ballots.

Recall that it was the failure of prosecutors to move against nonexistent fraud that led to the political purge of U.S. attorneys in 2006, a scandal that prompted the resignation of Attorney General Alberto Gonzales.

Yes, many registration lists contain mistakes or wrong names. But that is a product of slipshod and inaccurate paper records, not because crooks wrongly sought to vote. Statistically, an individual is more likely to be hit by lightning than to vote fraudulently.

Yet fear of fraud continues to grip many activists. According to a 2009 poll by Public Policy Polling, an astonishing 52 percent of Republicans believed the now-defunct group ACORN stole the presidential election for Barack Obama in 2008, even though there's no evidence that such a theft occurred.  During its voter registration campaign that year, ACORN said it signed up 1.3 million voters, a small percentage of which were fraudulent -- an amount that independent analysts said had negligible effect. Hardly a stolen election.

On Election Day, some conservatives may fan out to polling places, demanding proof of eligibility and generally raising a ruckus. The Michigan GOP website describes a plan to post 3,600 challengers at Democratic-leaning polling places. The Illinois Republican candidate for Senate brags he will mount the largest "voter integrity program" in 15 years.

More troubling are new efforts by angry private citizens. Tea Party groups have hosted challenger training sessions in at least four states. Talk show hosts are urging vigilance. People can now report voters they deem suspicious with two new iPhone apps.

"Ballot security" squads manned by angry, under-trained activists at a polling place could easily spawn intimidation or chaos.

How can we make sure this doesn't happen? Tea Party members and others must take care that monitoring does not cross the line into intimidation. Law enforcement should make clear what is illegal, including strong presence by local police when appropriate.

And in the longer run, conservatives and liberals alike should agree on reforms to voter registration so that all eligible citizens are on the rolls permanently, minimizing any possibility of fraud while maximizing participation. Many states are moving in this direction already.

When it comes to voting, let's all agree: vigilance, yes; vigilantism, never.

The opinions expressed in this commentary are solely those of Michael Waldman

@highlight

Michael Waldman says recent charges of widespread voter fraud turn out to be urban myth

@highlight

He says ballot box-stuffing in U.S. is history; new, real worry is blocking legitimate voters

@highlight

He says evidence of challenging voters at polls, often minorities, abounds in recent years

@highlight

Waldman: Voting activists must prevent intimidation for political advantage at polls