(CNN) -- Shhh. They can hear you. They're listening as we speak -- logging every word, tracing every step. Even tonight, while you sleep under your hotel-monogrammed duvet, rest assured that 20 stories below, in some undisclosed location, researchers are hard at work documenting your whims and wishes -- Loves biking! Hates bananas! -- trying to crack the profound mystery that is You.

How much do they know? They want to know everything: your relationship status, your income, your allergies, your preferred brand of toothpaste, how you like your eggs -- all those sundry habits, peeves and predilections, even the ones you didn't know you had.

Hotels have always kept logs on their guests, tracking previous stays, comments and complaints, even which pay-per-view movies you ordered. "We write down everything," says Karambir Singh Kang, area director, USA, for Taj Hotels and general manager of the Taj Boston. So when the bellman casually inquires, "Where are we off to today, folks?" no doubt your reply will be fed into your ever-expanding profile. Sometimes this "research" can take on questionable ethical dimensions. One veteran general manager told me his staff aren't above going through guests' trash.

Travel + Leisure: World's best hotels

But fishing around is not a recent development. What has changed, in this brazen new world, is the sheer amount of data that hotels now collect on guests, and the often startlingly personal nature of that data. With the explosion of social networking, and our increasingly unguarded presence online, profiling guests has become a lot easier, and a hell of a lot more effective.

A representative for a prestigious Beverly Hills hotel recalls welcoming a first-time guest to the property. "We knew very little about her before she checked in, so we searched for her online and discovered she had a dog named Bo," the rep says. "When she arrived, there was a little doggy gift waiting in her room, with a note card that said 'Bo misses you.' " Creepy? Cute? You be the judge.

Prying is the new pampering. The payoff, hospitality executives say, is the ability to tailor service to a guest without the guest's initiating any requests herself. Under the old model, a guest would have to volunteer that she loves tennis and might enjoy a lesson. Now, ideally, she need no longer say a thing; the staff has already sussed her out and booked a 9 o'clock with the pro.

Travel + Leisure: Where to rent celebrity homes

As for that quaint "pre-arrival questionnaire" they used to send to incoming guests? Nearly obsolete, except at the most traditional properties. Who has the time to fill one out? Besides, for many of us, our identities, preferences and proclivities are already posted online, and ripe for the culling.

For hotel companies, social media has essentially become a sanctioned form of eavesdropping. "Hotels have trained their staff to be intense listeners and mine information about their guests. This gives them a whole new realm in which to listen," says Niki Leondakis, CEO of Commune Hotels & Resorts (formerly the president and COO of Kimpton Hotels & Restaurants). And listen they do.

At One&Only Resorts, reservation teams look up incoming guests on Twitter, work-related sites and blogs, then draw up detailed profiles (photos included) to distribute to top-level managers.

The St. Regis Bora Bora Resort, meanwhile, Googles every guest two weeks before arrival. "We actually create a little story about them -- just a paragraph or so -- and share that with the heads of each department at our daily NDA (next-day arrivals) meeting," says general manager Michael Schoonewagen. (You didn't know they had a little story about you, did you?)

It's not rocket science, Schoonewagen adds, and it doesn't cost them a thing. "The first page of Google results is usually sufficient. We're not digging into every last detail of someone's life -- we just want a picture of who they are."

World's strangest buildings

Other hotels invest more money and manpower in tracking guests online. The Surrey Hotel in New York was an early adopter of the powerful Libra OnDemand software, which aids in "customer relationship management," or CRM. "Libra acts as a one-stop shop for searching guests on Google, LinkedIn, Facebook, Twitter and other channels," explains JosÃ© Lema, the Surrey's director of guest relations. "It gives us the power to get to know our guests, beyond what they'd think to share with us."

As Lema sees it, guests are looking not only for great amenities but also for "connection" -- with a staff that can intuit their tastes and desires, including unspoken ones.

"Previously, we did all our profiling via manual online searches, and only VIPs and guests paying a certain rate were researched," Lema says. "Now every reservation is processed by Libra." In today's social-mediated paradigm, wherein everyone lives in public, all guests can be treated like celebrities.

This proves especially useful in orchestrating what hotels call "surprise-and-delight moments." So if you happen to tweet "Just arrived @FSLosAngeles for anniversary weekend!" don't be shocked if a bottle of wine appears at turn-down. (Be surprised and delighted, but don't be shocked.)

"A guest's Twitter feed can provide information that they aren't even telling you -- and then you can really surprise them," notes Leondakis. "For instance, maybe the hotel will find out the guest is an advocate for LGBT rights, in which case the staff can personalize the welcome amenity by including a magazine they would identify with. Something unique and personal that says, 'This is just for you.'"

Cranks and paranoiacs will surely see all this probing and profiling as a sign of the apocalypse, or at least a serious incursion into their privacy. (It's worth noting that, because of privacy regulations in the EU, companies are less likely to gather personal information online, so these practices are more common at U.S.-based and independent hotels.)

Some may pine for the days when travel could be refreshingly anonymous, when hotels were at least purportedly about discretion above all else. But would we really want to go back?

The fact is, profiling works -- most of the time. Who wouldn't want their hotel to know, without even asking, what type of pillow to leave on the bed, which magazines to leave on the coffee table, what brand of juice to put in the mini-bar? Who doesn't enjoy being surprised and delighted?

And just so we're clear, we're talking about hotels here. Hotels -- where, discreet as one might hope to be, it's impossible not to leave an identifiable footprint. Long before Twitter this was so. You might hang that flimsy privacy sign on your door, but you can't hide. You can't "turn off cookies." The staff's eyes and ears are everywhere. (For God's sake, they're going through your trash!) Trust me, they know plenty about you already, and they didn't need a search engine to find it.

The key, as one hotel manager puts it, is "to act on that knowledge without calling undue attention to it." If your profile says you requested the Wall Street Journal on a previous visit, a skilled desk clerk will simply have it delivered again this time, without comment.

Nobody wants to hear the words "And we see from our deep background check that Sir enjoys the Journal"! No, we prefer to think this stuff happens by magic, not by design; that the staff are just incredibly good at their jobs, not following a computer-generated set of directives -- which, frankly, seems like cheating.

Bear with me as we compare your hotel to Santa Claus. One would like to believe that Santa knows what you want -- and whether you've earned it -- based on his compassion, care and superior powers of intuition. What you don't want to discover is that Santa's elves have been monitoring your Google, Bing and Amazon searches for gift ideas, then poring over your Facebook wall to see if you've been good enough to deserve them.

Of course, there's a delicate line between intuitiveness and intrusiveness, between "personalization" and, well, stalking. Consider this curious tale from New York restaurateur Danny Meyer, who literally wrote the book on hospitality. (It's called "Setting the Table," and it's required reading for anyone in the industry.) Last June -- on Father's Day -- Meyer returned to his room at the Little Nell in Aspen, Colorado, to find a framed photo of his wife and children beside the bed. "On the frame it said 'Happy Father's Day from your friends at the Little Nell,'" he recalls. "They'd gone online to find a picture of us."

To me that sounds neither surprising nor delightful, but downright terrifying. I'm trying to picture my own reaction: You hunted down my FAMILY?!? Leave them out of this, you monsters!! But Meyer, to his credit, found it touching.

"I almost started crying," he says. "That photo is now on my dresser at home. I thought it was a genuinely thoughtful gesture. Look, anyone can give you a plate of cookies, and sure, that feels nice. But this wasn't off-the-rack. It was about customization -- one-size-fits-one. That's true hospitality."

What do you think -- thoughtful or creepy? What have hotels done to personalize your stay?

With additional reporting by Nikki Ekstein

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Social media and Google have made gathering information on hotel guests easier

@highlight

Hotel staff often collect information about guests to anticipate their needs

@highlight

Guests might shudder about what hoteliers -- and everyone else -- can find out about them