(CNN) -- It's election time in the United States, and what better way to get into the spirit than by taking a politically inspired trip?

First on the campaign trail: visiting a battleground state with the motto, "As Ohio goes, so goes the nation." Ohio will be the first stop on a November "U.S. Elections 2012" tour led by Political Tours, an English tour company.

"We go to Ohio, which is obviously one of the key swing states, and it has taken every president to the White House since Kennedy," said Nicholas Wood, the company's owner. "Demographically, it's a very good way of getting into the issues in the election."

Capitalizing on presidential politics was an easy decision for Wood, a former foreign correspondent, since his company focuses on politics and current affairs around the world. Upcoming tours include trips to Kosovo, Libya and North Korea.

"The world has a stake in the U.S. elections because the U.S. has such a big hold over the rest of us, and so it's the election that everyone looks to," Wood said.

The "U.S. Elections 2012" tour will take travelers to Ohio and Washington to discuss the issues is this year's election. The cost is about $5,000 for an eight-day trip that includes talking to farmers, labor leaders and clergy members. While in Washington, the itinerary includes a trip to CNN's Election Center for an election eve visit with Wolf Blitzer and stops in two D.C. suburbs to talk to voters on Election Day.

"It is not your typical tour," said Dorothy Button, an Australian who has signed up for the trip. "Observing the political process with a tour as Political Tours offer seems to me to be the only way I can get to the heart of the matter and be there at the time of an election where I can be briefed on the events, as they unfold, by those who have answers."

Pick your party

Five thousand dollars is also the price of another election-inspired escape, the "Pick Your Party" package offered by the Mayflower Hotel in Washington. The hotel is near the White House and has served as home base for many politicians including presidents John F. Kennedy, Lyndon Johnson and Theodore Roosevelt.

"Politics is such a huge part of this city that you can't avoid it, so you might as well have fun with it," said Keith McClinsey, the hotel's director of sales.

The fun at the Mayflower includes a night in the red or blue suite, a moonlight limousine tour of the capital's monuments and a political swag bag.

If the $5,000 price tag is too high, the Mayflower is also offering a "Red, White and You" package starting at $200 per night. It includes a regular guest room, champagne breakfast, valet parking and a collection of politically inspired DVDs for in-room viewing.

All Mayflower guests are offered the "Elect Your Own Turndown" service, in which they can decide what snack will be placed in their room each night.

"All the turndown snacks are based on presidential favorite snacks," McClinsey said. "Ronald Reagan was famous for liking jelly beans, so you can pick jelly beans for one night."

Also on the "ballot" are chocolate caramels, a favorite of President Barack Obama's.

Supporters of candidate Mitt Romney may be disappointed that their candidate's snack isn't an option. McClinsey says the snacks offered include only those of U.S. presidents, but he is quick to add that if Romney is elected, his snack, which will probably include peanut butter, may be added to the list.

Commander in sleep

It's not snacks but sleep that the Loews Annapolis Hotel has its focus on in a "Commander in Sleep" promotion. The hotel is targeting "weary contenders on the campaign trail and travelers" and offering them the opportunity to sleep in.

Aside from a late check-out, this package -- starting at $175 a night -- includes breakfast and a guided historic stroll. Guests will be offered either a walking tour of the United States Naval Academy or a walking tour of historic Annapolis, Maryland.

Presidential pampering

For those who would rather ride than walk, the Brazilian Court Hotel and Beach Club in Palm Beach, Florida, has a package that includes "motorcade" transportation. (It's really a private car service for a full day.) Potential guests may need a donation from a super PAC in order to afford this presidential perk; prices start at $2,159 per night.

In addition to the "motorcade," the price includes luxury accommodations, facials at the spa, cocktails or mocktails in the cafe, and chocolate-covered strawberries. And to "unwind," guests will be given their choice of Mitt Romney's "No Apology" or Barack Obama's "Audacity of Hope."

Election fatigue

If your idea of unwinding does not include reading works by politicians, the Fairmont Scottsdale Princess Hotel may have the getaway for you. This hotel in Scottsdale, Arizona, is offering an "Election Fatigue Package."

"You can elect not to receive the daily newspaper or the TV news stations," hotel spokeswoman Valerie Lee explains. In order to make sure their guests get away from the political TV ads, this $399-a-night package includes a pool cabana and access to the spa.

Elect to escape

One place where you can turn on the television without having to worry about political ads is at the Renaissance Aruba Resort & Casino. The Renaissance, on the Dutch island of Aruba, is inviting the "election weary to take a post-election break with discounted rates tied directly to presidential polls."

The "Elect to Escape" promotion offers discounts on rates, starting at $260 per night, which are directly related to the Gallup Election 2012 tracking polls. "If President Obama is attracting support from 54% of voters nationwide, resort rooms at the adult-exclusive Marina Hotel can be booked at a 54% discount on that day. If Mitt Romney surges ahead by 60% the following day, the discount will jump to 60%."

Pay attention to the polls to get the most out of this deal. "Elect to Escape" rates can be booked through November 5, for stays from November 6 through November 30.The Renaissance Aruba comprises the adult-only Marina Hotel and family-friendly Ocean Suites.

Election protection plan

To get to Aruba, travelers might want to enter JetBlue's "Election Protection 2012" sweepstakes. To be considered, travelers must go to the airline's website and choose this year's presidential winner or loser. In this case, the winner's candidate must actually lose the election.

"We've all heard the quote from people: 'If my candidate loses, I'm going to leave the country,' " said Marty St. George, JetBlue's senior vice president of marketing. "We fly to 21 international destinations, so we thought it could be a fun thing to do."

The airline will choose 1,006 sweepstake winners -- whose candidate lost the election -- to each receive two one-way tickets to the JetBlue international destination of their choice. (They receive two one-way tickets in case they decide to return to the United States.) The winners obviously won't be announced until after the November 6 election.

The real winners this election season will be travelers who make the most of an excuse to arrange a relaxing getaway.

@highlight

Visit the swing state of Ohio and the U.S. capital to learn about election issues

@highlight

The fun at the Mayflower Hotel includes a night in the red or blue suite and a limousine tour

@highlight

Those with election fatigue can ask the Fairmont Scottsdale Princess Hotel to block all news