WASHINGTON (CNN) -- Workers in Southeast Asia's shrimp industry suffer regular abuse and sometimes live in what amounts to virtual slavery, a human-rights organization said Wednesday.

The Solidarity Center report says the global shrimp industry is worth about $13 billion annually.

Sexual and physical abuse, debt bondage, child labor and unsafe working conditions are common in Thailand and Bangladesh's shrimp processing factories, the Solidarity Center said in a 40-page report.

The Solidarity Center describes itself as "an international nonprofit allied organization of the AFL-CIO established to provide assistance to workers around the world."

Workers told Thai police who raided one factory in September 2006 "that if they made a mistake on the shrimp peeling line, asked for sick leave, or tried to escape, they could expect to be beaten, sexually molested, or publicly tortured," according to the report.

The plant, Ranya Paew, "was more like a fortress than a factory, with 16-foot-high barbed-wire capped walls, an armed guard force, and an extensive internal closed-circuit television system," the Solidarity Center alleged, citing Thai police reports.

"Behind the walls, the police found a scene that one report described as 'little short of medieval,' with hundreds of workers literally trapped inside the compound, living in squalid conditions, forced to work long hours, and subjected to physical, emotional, and sexual intimidation and abuse. Workers who angered the employer were often 'put to shame' in front of others by having their hair cut or shaved in patches. Women and girls were stripped naked and publicly beaten as a form of discipline."

The report says the owner of the factory, who was charged with some offenses, received little in the way of punishment.

"Despite widespread worker rights abuses, including child labor and human trafficking, the owner was charged only with employing children under 15 and failing to provide holidays and time off. Though these charges are serious, they were treated as first-time labor code violations. The owner initially only paid a fine of about $2,100 and has returned to work."

The report, "The Degradation of Work: The True Cost of Shrimp," also contains information from interviews with workers in Thailand and Bangladesh. The labor rights organization did not name the workers, saying they could suffer retaliation from employers if their identities were not protected.

"In April 2007, workers at a factory owned by a major Thai shrimp processing company spoke with Solidarity Center partners, alleging hazardous working conditions as well as an intimidating and discriminatory work environment. Workers complained of forced overtime and nonpayment of wages if production quotas were missed. They also claimed regular exposure to harsh chemicals, lack of access to first aid or health care, and poor air and drinking water quality.

"They additionally alleged that they had unexplained deductions from their pay, that they worked without a written contract, and that native Thais and migrant workers were segregated by the use of colorcoded uniforms."

U.S. Rep. Carolyn Maloney, a New York Democrat, said she was "deeply disturbed by the findings of this report" at a news conference announcing the study. "Simply put, this is outrageous. It is unacceptable to treat ... people this way."

Much of the shrimp processed in Thailand is destined for the United States, the report said.

"On average, Americans eat more than three pounds of shrimp each year; about 80 percent of that shrimp is imported. In 2006 alone, U.S. shrimp imports were valued at over $4 billion, making shrimp the most valuable seafood import into the United States. Roughly one-third of that shrimp came from Thailand. ... In 2002, shrimp overtook tuna as the most popular seafood in American homes and restaurants."

The Solidarity Center tracked shrimp from factories it criticized directly to some of America's best-known retailers and restaurants, though it did not allege wrongdoing on the part of the U.S. companies.

Wal-Mart, the world's largest retailer, was among the companies mentioned.

A spokeswoman for Wal-Mart said the company was not aware of the allegations until contacted by CNN but that it adhered to industry standards.

"We hold our shrimp suppliers to the highest safety and quality standards -- including maintaining processing plants and packaging facilities that meet or exceed best aquaculture practices (BAP) standards set by the Global Aquaculture Alliance. Although we have not seen the Solidarity Center's report, we are working with our suppliers to investigate the allegations shared by CNN," Deisha Galberth of Promote Communications said in a statement on behalf of Wal-Mart.

The global shrimp industry is worth about $13 billion annually, the report said, making shrimp "the most popular and widely traded seafood in the world." Thailand is one of the world's largest shrimp exporters; Bangladesh has a much smaller industry. E-mail to a friend

@highlight

Sexual and physical abuse, child labor alleged in Southeast Asia shrimp industry

@highlight

Thai police described one factory as "little short of medieval," report says

@highlight

Much of shrimp processed in Thailand is destined for the United States

@highlight

U.S. lawmaker calls report's findings "outrageous ... unacceptable"