(CNN) -- The National Commission on Fiscal Responsibility and Reform did not go far enough when it proposed the repeal of certain provisions of the mortgage interest deduction. The deduction for mortgage interest should be repealed in its entirety.

Most people know that owning a home comes with tax advantages such as the deduction for mortgage interest, but they don't  know how much of an anomaly that is. Most personal, family or living expenses are not tax deductible. They are the result of choices.

Your decisions on what to wear to work or whether to pay cash or credit are your personal choices. You don't get a tax deduction. That's why rent is not deductible, even though roughly one-third of Americans are renters -- which includes the majority of blacks and Latinos. Where you live is considered to be the result of a personal choice.

The deduction for mortgage interest is a huge exception to the general rule, because what could be more personal than the decision to buy a home?

In 1986, an exception was made for home mortgage interest as a way to "encourage homeownership." That's the good news for homeowners.

The bad news for renters is that the 2010 estimated revenue loss of the tax subsidy for homeownership is greater than $200 billion. By comparison, the entire Housing and Urban Development budget is less than $50 billion. That is a pretty high price to pay to "encourage homeownership." But as long as it actually encourages people to buy homes, it could be money well spent.

Yet economists generally believe that the mortgage interest deduction does virtually nothing to encourage people to buy homes. During the past 40 years, while tax rates have changed dramatically (making the value of the tax benefits fluctuate), the homeownership rate has been quite stable. The biggest increase in homeownership rates happened after World War II and came after innovations in mortgage financing.

That does not mean that homeowners aren't aware of the tax break when they buy a house. In fact, they are paying for the tax subsidy when they buy their homes, because the mortgage interest deduction is built into the price.

But homeowners do not decide to buy a house because of the tax break. Research shows that the tax deduction simply rewards behavior -- buying a home -- that was going to happen anyway. The tax subsidy does encourage the purchase of bigger and more expensive homes; tax dollars are subsidizing McMansions. The American people are getting nothing good for their $200 billion subsidy.

In order to benefit from the mortgage interest deduction, homeowners must itemize deductions and not take the standard deduction. President Bush's Tax Reform Commission documented that only 54 percent of those with mortgages benefit from the mortgage interest deduction. That means 46 percent of homeowners have paid for the benefit of the mortgage interest deduction when they bought their house but do not receive any tax benefits.

So most low-income homeowners are paying for a tax benefit that only a few will receive. The overwhelming majority of homeowners whose household income is $40,000 or less do not receive any tax benefit from mortgage interest payments. Once income hits $50,000, then the majority of homeowners do receive tax benefits. Clearly, tax benefits for the mortgage interest deduction are flowing to middle and upper income taxpayers.

While the mortgage interest deduction may help people who are struggling to make ends meet, they are not the only ones struggling. According to a May 2010 Wall Street Journal article, the ranks of renters are increasing because of record foreclosures. Struggling or not, these new renters will not have a tax subsidy.

Should we continue giving away a $200 billion subsidy every year to middle- and upper-income taxpayers to "encourage" them to do what they were already going to do? We simply cannot afford it any longer.

The American public must be convinced that repeal of the mortgage interest deduction is a first step in the larger goal toward creating a tax code that is fairer for all and treats renters and homeowners alike. We all have housing costs. Why should only some get a tax break?

The opinions expressed in this commentary are solely those of Dorothy Brown.

@highlight

Dorothy Brown: It's unusual to get a tax break for a personal choice such as buying a home

@highlight

Renting is not deductible, she says, even though about one-third of Americans are renters

@highlight

Brown: Tax break meant to "encourage homeownership," but people buy homes anyway

@highlight

Tax break is a $200 billion subsidy every year for those with higher incomes, she says