(CNN)Yet another war in the Middle East could bring devastation and tremendous international repercussions. So many people around the globe breathed a sign of relief Thursday as word broke that Hezbollah said it does not want to further escalate hostilities against Israel.

Still, after a high-profile missile strike by Israel, days of missile attacks by the Lebanese militant group, and exchanges of fire, tensions are high. The possibility remains that a full-scale military confrontation could erupt -- as it did in 2006

While regional politics are at play, numerous other major factors are as well -- including oil prices, ISIS, Iran's nuclear dispute with the West and the threat of Hezbollah terrorist attacks around the world.

Here's a look at what's happening.

This week, Hezbollah fired five anti-tank missiles at Israeli military vehicles near the Lebanese border, killing two soldiers and wounding seven others.

Israel also evacuated a town that includes a popular ski resort following Hezbollah attacks in the region.

In skirmishes that followed, a Spanish service member with the U.N. peacekeeping force in Lebanon was killed.

It's unclear whether he was killed by Hezbollah or Israeli fire, the United Nations said.

Spain's U.N. Ambassador Roman Oyarzun Marchesi said the violence "resulted from the rocket attacks launched by Hezbollah" and "the artillery fire which followed."

When asked whose fire killed the peacekeeper, Marchesi said "it was because of the escalation of violence and it came from the Israeli side."

But the next day, Stephane Dujarric, spokesman for U.N. Secretary-General Ban Ki-moon, said, "The precise cause of death is as yet undetermined and remains the subject of investigation."

All this follows an Israeli airstrike last week in the Syrian town of Quneitra that killed six Hezbollah operatives and at least one member of Iran's Revolutionary Guard. Iran state media said Gen. Mohammad  Ali Allahdadi was killed, but the Jerusalem Post reported that six Iranian commanders were killed.

"The attack delivered perhaps the highest-profile blow to Hezbollah and Iranian interests in Syria since the outbreak of war there," Phillip Smyth wrote on ForeignPolicy.com.

Among those killed was Jihad Mughniyeh. In his 20s, he was the son of one of Hezbollah's founders, Imad Mughniyeh, who was killed in a 2008 bombing in Damascus, Syria.  Jihad Mughniyeh's death "represented a symbolic blow to the Shi'ite Islamist group that his father helped to found with Iranian backing in the early 1980s," the Jerusalem Post reported.

Although Hezbollah is based in Lebanon, it is aligned with and supports the regime of Syrian President Bashar al-Assad. Iran supports both the Syrian regime and Hezbollah as well.

The fighting has been taking place in the region in which Lebanon and Syria border the Israeli-controlled Golan Heights. The Israeli tank that was struck was in Shebaa Farms, also known as Har Dov, a disputed strip of land.

Neither Israel nor Hezbollah wants the situation to spiral into a war, analysts say.

"I think Israel's trying to defend its borders" and is concerned about attacks from "a well-known terrorist group" across the border, said Matthew Levitt, author of the 2013 book "Hezbollah: The Global Footprint of Lebanon's Party of God."

In Hezbollah, there are elements that would like to escalate, said Levitt, director of the counterterrorism program at the Washington Institute for Near East Policy.

But "the attack against the Israeli patrol really does appear calculated to minimize response. You don't have a force going into Israel proper, you don't have the attempts to snatch bodies," he said. In 2006, war broke out after Hezbollah militants crossed into Israel, killing three soldiers and kidnapping two others, then killed another five Israeli soldiers.

Timeline: Decades of conflict in Lebanon, Israel

Hezbollah has many of its fighters at war in Syria on behalf of al-Assad. But the group has others available to carry out attacks against Israel. And it felt it had to respond to last week's Israeli airstrike on Quneitra, sending a message to "its community and its constituency," said Levitt.

Iran felt the same way. Tehran viewed the Quneitra attack as "crossing a line that warrants a response," said Trita Parsi, president of the National Iranian American Council and author of "A Single Roll of the Dice: Obama's Diplomacy with Iran."

All this is taking place against a backdrop of negotiations between Iran and Western powers over its nuclear activities.

The Israel-Hezbollah dispute comes "at a pivotal time for the nuclear talks in a way that is not helpful for the U.S. or Iran," Parsi said. Depending on how the nuclear talks go, Iran may show restraint -- or the situation may escalate further, he said.

Iran needs to make sure the situation cools down, said Michael Rubin, a former Pentagon official now at the American Enterprise Institute. "Iran can't afford to let the fighting between Hezbollah and Israel get out of hand as it did in 2006," he said. More than 1,000 people on the Lebanese side and more than 150 on the Israeli side died in the war.

"Most scenarios involving an Israeli strike on Iran's nuclear program involve a simultaneous push into Lebanon to blunt Hezbollah's ability to retaliate and fire missiles into Israel. If Israel and Hezbollah's skirmish descends into war and Hezbollah rocket fire, then the Israelis might figure in for a penny, in for a pound" -- in other words, fighting back against Hezbollah might mean going after Iran's nuclear sites.

"If things escalate to the point where Hezbollah starts firing missiles at Israeli cities, then Israel might figure that's as good a green light as any to get the job done," Rubin said. (Tehran insists it only wants nuclear energy; Western nations, including the United States, and Israel believe Iran seeks nuclear weaponry.)

The Israel-Hezbollah dynamic also has implications for the fight against the ISIS terror network.

The United States and Iran both oppose ISIS. U.S. officials have opened channels of communication with Iran over it. ("U.S. and Iran Both Attack ISIS, but Try Not to Look Like Allies," read a New York Times headline.)

The fighting between Hezbollah -- a Shiite militant group -- and Israel "should highlight the dangers of relying on Iran against Sunni extremists like ISIS. Rather than bring stability or security, Hezbollah's actions show that the U.S. would simply be swapping one flavor of extremism for another," Rubin said.

Another piece of the puzzle is the oil market. The drop in oil prices is hurting Iran, Hezbollah's sponsor.

"The Iranians spent a lot of money helping Hezbollah repair Lebanon in the wake of the 2006 war. Price of oil going down, stretched in Syria, Iran is simply not flush and I don't think wants it this time around,"  former U.S. State Department official Aaron David Miller, now with the Wilson Center, told CNN's Wolf Blitzer.

Iran is also struggling from sanctions over its nuclear activities and is "funneling billions of dollars to the Syrian regime," the Christian Science Monitor reports.  Hezbollah has had to tighten its belt.

But there's another way Hezbollah can flex its muscle: through further terrorist attacks elsewhere in the world, said Levitt.

The group has a long history of attacks overseas, including one at the U.S. Marine barracks in Beirut, Lebanon, in 1983 that killed 241 Americans.

Bulgaria found Hezbollah was behind an attack on a bus that killed five Israeli tourists in 2012.

Peru reported thwarting a bomb attempt late last year. Authorities announced they would press charges against a man who confessed to being a member of Hezbollah, Reuters reported.

Ever since the militant group's military chief Imad Mughniyeh was killed in the 2008 bombing, Hezbollah has been trying to carry out new terrorist attacks around the world in response, Levitt said.

@highlight

Israel and Hezbollah have stepped up fighting in recent days

@highlight

Neither side wants a full-scale war, analysts believe

@highlight

Iran, oil, ISIS and more all play into the scenario