BUENOS AIRES, Argentina (CNN) -- The lower house of Argentina's Congress has approved a controversial media law that spells out media ownership rules and calls for the creation of a regulatory agency.

Argentine President Cristina Fernandez de Kirchner has blamed Grupo Clarin for her low approval ratings.

The measure passed Thursday by a vote of 147 to 4, but the wide margin does not reflect the heated debate over it. Lawmakers opposed to the measure protested by walking out of the chamber and not voting. Some even threatened to turn to the courts to challenge the legitimacy of the vote.

The goal of the so-called Audio-Visual Communication law is to regulate television and radio broadcasters and increase competition in the media industry, according to a draft of the bill.

Opponents say it targets media critical of the current government and President Cristina Fernandez de Kirchner, especially the media giant Grupo Clarin.

This bill is "for everyone who wants to live in a more democratic and more pluralistic Argentina," Fernandez de Kirchner said in a speech last month.

The newspaper Clarin has been highly critical of her leadership and that of her husband and predecessor, Nestor Kirchner.

Although the proposed legislation would not affect newspapers, Grupo Clarin's other business interests in cable, television and radio would be forced to be sold off or restructured.

"[Cristina] Kirchner saw [Clarin] as a limit to her power, and this was the origin of the conflict," Argentine political analyst Rosendo Fraga said.

Argentina's case is just one of a number of fights between the presidency and the media in Latin America.

"At this moment, in Nicaragua, Venezuela, Bolivia, Ecuador and Argentina, the presidents have conflicts with the private media and seek to dominate them, although each country is a different case," Fraga said.

Among the changes proposed in the bill, a company that owns a cable business would not be allowed to own any over-the-air broadcast channels. Also, the owner of a cable company would be allowed to have only one channel on that system.

In its current form, Grupo Clarin would be in violation of both limits, among others.

"It hits other media groups, but Clarin is the one it hurts," said Daniel Kerner, an analyst at Eurasia Group.

The reform would also redistribute broadcast frequencies into thirds: one-third for private media, one-third for the government and one-third for nongovernmental organizations and other civil groups.

"More control of the media by the government, this is the main motivation," Kerner said.

Journalism advocacy groups have raised concerns, focusing on a proposed requirement that broadcasters renew licenses every two years.

"We are extremely concerned at the opportunity created under the current draft legislation for political pressure on broadcasters," International Press Institute Director David Dadge said in a statement. "We urge Argentinean legislators not to pass this bill in its current form."

If anyone is applying unfair pressure, it is monopolistic media companies, Fernandez de Kirchner said.

"Freedom of expression cannot turn into freedom of extortion," she said during an August 27 speech. "The right to information means the right to all information, not to the concealment of part of the information and the distortion and manipulation of the other part."

Grupo Clarin has about two-thirds of the cable market in Argentina, but its other products don't come close to monopolistic figures, Fraga said.

Both Kirchners have blamed Clarin's critical reports for their low approval ratings. The ruling party was dealt a strong defeat during recent midterm elections.

In response, Fernandez de Kirchner has come out swinging at the Clarin newspaper and its parent company, observers said.

Last month, the government pushed the nation's soccer association to rescind a contract it had with Clarin to broadcast games. The government reached into its coffers and offered the association double what Clarin was paying for rights to broadcast the games.

This month, 200 tax agents made a surprise raid on the newspaper's offices, ostensibly to check employment records, editor Ricardo Kirschbaum said.

But the agents left after three hours, empty-handed.

"Their real mission was to intimidate," Kirschbaum said.

The editor bristles at the characterization of the bill as part of conflict between his newspaper and the government.

The Kirchners "have a hostile stance, not just against Clarin but against all the press," he said. "They are the proponents of 'democratizing' the media through this law, and this is how they regard the media? It's paradoxical."

CNN en Español's Guillermo Fontana contributed to this report.

@highlight

Measure passes 147 to 4, but wide margin belies heated debate

@highlight

Opponents protest by walking out of chamber, not voting; some threaten challenge

@highlight

Opponents say bill targets media critical of the government -- especially Grupo Clarin

@highlight

Latin America has seen many fights between media, presidents