(CNN) -- An abstinence-only education program is more effective than other initiatives at keeping sixth- and seventh-graders from having sex within a two-year period, according to a study described by some as a landmark.

The study, published in the current issue of the Archives of Pediatrics & Adolescent Medicine, indicated that about one-third of the preteens and their young teen classmates who received an eight-hour abstinence lesson had sexual intercourse within two years of the class.

By comparison, more than half of the students who were taught about safe sex and condom use reported having intercourse by the two-year mark, and more than 40 percent of students who received either an eight- or 12-hour lesson incorporating both abstinence education and safe sex reported having sex at two years.

Among students who received instruction on overall good health, but not having to do with sex directly, nearly 47 percent had sexual activity in the two years after the class.

"This new study is game-changing," the nonpartisan National Campaign to Prevent Teen and Unplanned Pregnancy said in a statement. "For the first time, there is strong evidence that an abstinence-only intervention can help very young teens delay sex and reduce their recent sexual activity as well."

The study is "quality research" and "good science," said James Wagoner, president of Advocates for Youth. According to its Web site, the Washington-based organization promotes "a more positive and realistic approach to adolescent sexual health" in helping youths make informed and responsible decisions about sex and reproduction.

The federal government has invested heavily in abstinence-only education in recent years. Abstinence education funding, established in the 1996 overhaul of welfare, did not allow talk of any forms of birth control other than to explain their limitations. Critics of such abstinence-only programs said their shortcomings led to a lack of knowledge of contraception among youths who choose to be sexually active. President Obama cut funding for abstinence-only education in his 2010 budget.

The study did not impart any moral aspects to delaying the onset of intercourse, such as portraying sex in a negative light, Wagoner said. Nor did the abstinence lesson ask students to delay intercourse until marriage -- only until they are ready.

Instead, the scientists said, they were interested in finding the effectiveness of various programs because adolescents who initiate intercourse at younger ages have a greater risk of sexually transmitted infections and pregnancy and report more sexually risky behavior, including multiple partners.

The study looked at 662 African-American sixth- and seventh-graders recruited from four public middle schools that serve low-income communities in an unidentified city in the northeastern United States. The adolescents were recruited between September 2001 and March 2002.

The participants' average age was 12.2 years, and 53.5 percent were girls.

Although all young people are at risk of contracting the human immunodeficiency virus and other sexually transmitted infections and having unintended pregnancies, the study says the danger is greatest among African-Americans.

"In 2005," the authors said, "17 percent of adolescents in the United States were African-American but 69 percent of adolescents with HIV/AIDS were African-American. Rates of STI are the highest among African-American individuals and adolescents, particularly adolescent girls. Pregnancy rates have been higher among African-American adolescents than among their Hispanic and white counterparts."

The study's authors -- John B. Jemmott III, Loretta S. Jemmott and Geoffrey T. Fong -- cautioned that abstinence programs are not an effective long-term solution.

"A common shortcoming of behavior-change interventions is that efficacy is demonstrated in the short term but disappears at longer-term follow-up," the report said. "This may particularly be a problem for abstinence interventions. Unlike many risk behaviors (e.g., cigarette smoking, drug use), sexual intercourse is an age-graded behavior; the expectation is that people will eventually have sexual intercourse."

The National Campaign to Prevent Teen and Unplanned Pregnancy echoed that sentiment.

"It is unreasonable to expect any single intervention, curriculum or program to solve the teen pregnancy problem," the nonprofit organization said. "True and lasting progress requires not only good programs in schools and communities, but also supportive norms and values, informed and active parents, good health services, a positive media culture and more."

Wagoner, president of Advocates for Youth, said that in his opinion, the abstinence program does not go far enough toward helping youths who are sexually active make informed choices about contraception. He would like to see federal funding for programs aimed at abstinence and safe sex.

"If you've got 24 percent of your class that's sexually active, what about them?" Wagoner asked. In addition, he said, "OK, you're 12. You've abstained until 14. What about the next five years?"

@highlight

Third of youths who had 8-hour abstinence lesson had sexual intercourse within 2 years

@highlight

Abstinence-only teaching had better results than teaching about safe sex, condom use

@highlight

Study looked at 662 African-American sixth- and seventh-graders in northeastern U.S.

@highlight

Study calls STD, unintended pregnancy risks greatest among African-Americans