(CNN)It swept across 214 countries worldwide and killed more than 18,000 people. The 2009 H1N1 influenza outbreak, dubbed "swine flu," put the entire world on alert. The outbreak was declared to be a global pandemic until August 2010.

But threat of deadly disease outbreaks didn't stop -- or start -- there.

In 2003, SARS (Severe Acute Respiratory Syndrome) crossed the world, originating in Asia and reaching Canada in less than a day.

Then, in 2012, a new virus emerged in the Middle East and has now entered the global arena. Aptly named Middle-East Respiratory Syndrome (MERS-CoV) it continued to spread globally with outbreaks now taking place in South Korea. As of June 3, 1179 people have been infected with MERS-CoV across 25 countries --including 442 deaths -- according to the World Health Organization.

The current outbreak in South Korea has led to 35 confirmed cases -- including 3 deaths -- and as of June 2, 1369 people were under quarantine. The virus began its spread slowly initially but is now gaining momentum.

In 2014, the disease on everyone's mind was Ebola. The Ebola virus has infected more than 27,000 people across ten countries to date, with more than 11,100 deaths as of 13 June 2015. However, despite the high number of infections, the spread of Ebola remains technically an outbreak, not a pandemic, because it hasn't spread globally.

"It will only be over when the last person with Ebola is either dead or recovered without infecting other people," stated Peter Piot, who co-discovered the virus in the 1970s, at the 2015 World Economic Forum meeting in Davos. But he warned that risks from such outbreaks were far from over, saying: "There will be other Ebola outbreaks and there will be other epidemics, not least influenza."

But is the world ready?

Hundreds of infectious diseases continue to plague the planet in both urban and rural locations, from ones spread by insects, such as Chikungunya, which is currently sweeping through the Americas, to those spread by water, such as cholera, or human contact, such as Ebola. "Infectious organisms can travel in humans, food and insects ... you can't stop disease from crossing borders," says David Heymann, head of the Centre for Global Health Security at think tank Chatham House.

One initiative in place to identify those posing a more global risk is the WHO-led Global Alert and Response Network (GOARN). "[It's] a series of laboratories, national public health institutions and groups like Medecins Sans Frontiers who report regularly when an outbreak occurs," says Heymann. The goal is the rapid identification, confirmation and response to outbreaks of international importance.

"The ones with most risk are airborne," says Heymann. The greatest pandemic to date was the Spanish flu which spread in 1918 and is estimated to have infected a third of the world's population at the time and caused approximately 50 million deaths. More recently, the hardest hitting outbreaks were the SARS coronavirus in 2003, followed by H1N1 influenza virus in 2009. All of which were respiratory infections with the potential to spread far and fast.

"With flu I'm quite sure there will be another pandemic," says Wendy Barclay, chair in influenza virology at Imperial College, London. Barclay researches the origin of pandemics and why some viruses cross species to jump from animals into humans. In the case of H1N1, the virus was a re-assortment of bird flu and pig influenza viruses, resulting in a new form infectious to humans and with no immunity among those at risk.

"If it's a new one, there's no pre-existing antibodies to hold that off ... and you may then pass it on to someone else," says Barclay.

Experts agree that future outbreaks and potential pandemics may occur, but the lessons learned from previous ones should enable a faster response. The key is to identify the virus, estimate its threat and its potential to spread across a population as quickly as possible to then put a pandemic preparedness plan into action.

"Flu is difficult to control in terms of an outbreak," says Barclay, as the virus has the ability to spread before people show symptoms, meaning measures such as airport screening are ineffective. The converse is true for viruses such as Ebola and particularly SARS, where people are only contagious once showing symptoms of the disease. "We were able to contain SARS," says Barclay, because patients could only transmit the virus days after symptoms had begun. If a patient was admitted to hospital soon after their symptoms appeared, there was a lesser risk that they had already infected others in their wake.

The challenge facing public health teams across the world is the fact they must be ready to expect the unexpected. SARS, swine flu and Ebola took everyone by surprise. "It's completely unpredictable in the end," says Barclay. Confronting this unknown are mathematical modelers, including the Models of Infectious Disease Agent Study (MIDAS) -- a network of scientists who visualize how a disease might spread.

"It's useful to predict where an outbreak is going," says Irene Eckstrand, the former scientific director of MIDAS. Under Eckstrand's leadership, the modelers in her program predicted scenarios for various big outbreaks, including H1N1 and currently Ebola.

Information about the biology of the virus, the mode of transmission, and the geographical spread can be used to predict who will be affected next and how fast they'll be reached. The various scenarios modeled are then used to inform policy decisions such as travel restrictions and school closures by determining their impact. It's also crucial to envision the distribution of vaccines, to ensure the most vulnerable are reached first. In the case of Ebola, models helped determine the number of hospital beds required in high-risk areas.

The likelihood of disease models accurately reflecting reality are regularly called into question but Eckstrand states they are crucial when working with the unknown.

"Infectious disease models are never going to accurately predict the future," she says. "[They] are better at saying 'if we do this, here's the range of things that can happen.'" When a virus is well understood, such models can be generated quickly. "Models can integrate complexities in a way our brains can't," says Eckstrand.

However, the spread of a disease is about more than its biology. Human behavior plays a key role and is much harder to predict, as was the case for Ebola, where burial traditions and cultural practices aided transmission when the outbreak emerged. The lack of trust between those affected in West Africa and their health authorities also prevented people from seeking diagnosis and treatment.

"[There's been a] great deal more collaboration in Ebola," says Eckstrand speaking of weekly phone calls between those working on control, including scientists, researchers, homeland security and national laboratories.

"The world is unprepared," stated WHO director general Margaret Chan at a session alongside Peter Piot in Davos. "After H1N1, the conclusion was the world is ill prepared for severe and sustained disease." In her eyes, the scale of Ebola last year was unprecedented. New ideas are needed to prevent this happening again in the future.

"We need to think outside the box in the future," says Barclay, whose team works on the development of vaccines to stop the H1N1 pandemic in its tracks. But she doesn't think disease-specific vaccines are the way forward for all outbreaks. "For Ebola, Chikungunya, Lassa fever, Marburg ... are we really going to invent one for each one?" Barclay instead thinks one way forward could be therapeutics that tackle the symptoms of disease, meaning where diseases have similar symptoms -- such as Ebola and Marburg virus disease -- there could be a drug against the symptoms of all of them to reduce further spread of infections.

But when it comes to influenza, where the greatest global risk lies, the experts seem more optimistic.

"If we had another flu pandemic we would be fairly well set to run models quickly," says Eckstrand. Given the likelihood of another pandemic, Barclay's team see it fit in this case to develop disease-specific antivirals and vaccines against influenza when it arrives. In 2009, the development of an H1N1 vaccine slowed down the spread of the virus during the second wave of its transmission. The time taken for development meant it wasn't available during the first big wave of infections.

At the core of it all, the global monitoring systems in place are constantly being tuned to spot any strange, or new, occurrences.

"I look at GOARN as a safety net," concludes Heymann. GOARN is growing its capability to both spot and control disease outbreaks, with a network of labs, provision of advice and assistance when a new outbreak occurs. It is also building capacity within countries through improved labs, technology and skilled staff, to enable systems to be in place worldwide to tackle new or emerging infections spreading throughout a population.

"Countries that have had Ebola are more ready to deal with it, like the Democratic Republic of Congo (DRC)," says Heymann of the country where the disease was first identified in 1976. Congolese communities now have a word for the disease and messages are in place to send out when a new outbreak occurs.

With MERS now climbing to the top as the infection on people's minds, its worth knowing that whilst we may not be quite ready to prevent disease outbreaks, we are, at least, more ready than ever before.

Epidemics throughout history

@highlight

Ebola, SARS and swine flu are just a few of the deadly diseases outbreaks in recent years

@highlight

Global networks provide early warning of potential outbreaks

@highlight

Airborne diseases pose the biggest threat to global health, say experts