LONDON, England (CNN) -- A U.S. professor claims he has identified the parts of the brain that help to make someone a good leader.

Pierre Balthazard is using EEG to find out what parts of the brain are involved in leadership.

Pierre Balthazard, an associate professor at the Carey School of Business at Arizona State University, also says he can use neuroscientific techniques to help people improve the skills that play a part in leadership.

Balthazard uses electroencephalography (EEG) to produce a "brain map" of his subjects. By attaching electrodes to their heads, he says he can measure electrical activity generated by neurons in their brain.

Much of his work has focused on calibrating the EEG data with standard psychometric tests, and now Balthazard says that just by looking at someone's brain map he can predict their capacity for certain traits linked to leadership.

"From someone's brain map I can tell if someone would rank high, medium or low on a psychometric assessment of their transformational leadership, and just that is an earth-shattering finding," he told CNN.

He has been working with the U.S. military to produce a model that will allow them to scan soldiers' brains for complexity. The idea is that more complex brains produce better situational awareness and adaptive thinking -- essential skills for the modern soldier, who must be able to transition from front-line combat to nation building.

He refers to traits like complexity and transformational leadership as antecedents to leadership itself. But for Balthazard, the ability to assess these skills is only half the story. What really excites him is the possibility of brain training and improving leadership skills.

"If you could only assess and not develop then it's only an exercise in social engineering, and that's of no interest to me," he said.

Balthazard explained that brains can be trained using positive and negative reinforcement, in the same way that disorders like ADD are treated.

A subject is wired to software programmed to recognize "correct" functioning of a specific part of the brain. If the brain isn't performing correctly, there is a negative reinforcement, such as a noise emitted from a speaker at an unpleasant frequency. "The brain is amazing at adjusting so it doesn't get the negative feedback," he told CNN.

But others think it may prove difficult to develop something as intangible as leadership. Dr Bob Kentridge, a member of the Cognitive Neuroscience Research Unit at Durham University, in England, told CNN, "Even if you find differences in the brains of people with different leadership abilities, it's very difficult to say if that difference is just related to leadership.

"It could be due to all sorts of things that might be fairly tangentially related to leadership."

"Leadership is such a fuzzy quality that it's hard to say conclusively what you are changing," Kentridge added. "You might change things that contribute to leadership, for example people might learn to stay calmer in conflict situations, but is that the same as saying you're improving the leadership center of your brain?"

So, what's inside the brain of a born leader? Interestingly, intelligence is not a requirement. "There's zero correlation between IQ and leadership," Balthazard told CNN.

"Emotion control has a lot to do with leadership. People who lead very well tend to have a much more coherent brain on the emotional, right side, and more differentiated brain on the more rational, left side, that can assess more different options."

Balthazard says that although he has identified brain profiles for antecedents to leadership, he stresses that before he can produce a set of exercises designed to improve leadership itself, he must develop a "leadership norm" -- a standard for what makes a good leader.

He has currently analyzed the brains of between 200 and 225 subjects, including bankers and military leaders, and says he must test twice that amount before he has his "norm."

But he said plenty of people are already going to neurotherapists to train their brain for skills linked to leadership, such as decision-making, cognition, and memory retrieval, and Balthazard says he'll soon be able to use neuotherapy techniques to develop leadership itself.

"At some point in the next 18 months we'll have a seminal paper out that says we've done this. We're not there yet but I've seen it in the lab."

If that happens, budding CEOs might be queuing up at neurotherapists to plug themselves in and turn themselves into the business brains of the future.

@highlight

Researcher says he can spot a good leader just by scanning their brain

@highlight

Pierre Balthazard is a business professor who uses neuroscientific methods

@highlight

There is no correlation between intelligence and leadership, he says

@highlight

He hopes to improve people's leadership by working on brain function