(CNN) -- People hurled stones and eggs at the Kosovan prime minister's convoy this week, a spurt of violence just days before the one-time Serbian province holds its first elections since declaring independence.

The flare-up Wednesday targeted Prime Minister Hashim Thaci in the western town of Decan.

It unsettled the Balkan country and international officials looking forward to peaceful local elections on Sunday in a land scarred by conflict and now slowly on the mend.

There will be races in 36 municipalities for mayors and assembly members, with more than 1.5 million people eligible to vote. December 13 has been set as the day for any second round of mayoral elections that may be needed.

"Intervening in the election process is a serious violation and criminal acts which are politically incited will be prosecuted by relevant legal bodies," said the Kosovo government in a statement posted on Thaci's Web site.

While saying the campaign season has been "largely free of violence," the U.S. Embassy in Pristina, Kosovo's capital, noted the disturbance "with distress" and called on "political leaders, parties and activists to refrain from all violence and provocations."

Kosovo has long been a restive province of Serbia with a majority ethnic Albanian population.

The Kosovo government estimates the country's population at more than two million, with an estimated 92 percent Albanian, 5.3 percent Serbs, and 2.7 percent other groups. Serbian-Albanian sectarian tension boiled over as the former Yugoslavia broke up in the 1990s.

After the brutal civil war in Kosovo in the late 1990s, which pitched Kosovo Albanian insurgents against Serb security forces and Belgrade-backed Kosovo Serb paramilitaries, the country began operating under a U.N. mission and a NATO-led peacekeeping force.

As the aggressor, Serbia under Slobodan Milosevic had endured months of intense NATO bombing. Milosevic later died after a heart attack as he awaited trial at the International Criminal Tribunal for the former Yugoslavia (ICTY) in the Hague.

The ethnic-Albanian majority eventually declared the province independent in February 2008, but Serbia and many ethnic Serbs staunchly opposed the move. They regard Kosovo as Serbian territory and refuse to recognize its sovereignty.

Next month, at the International Court of Justice, Serbia is expected to challenge Kosovo's independence -- recognized by the United States and other countries and entities. There also has been talk of an election boycott by the minority Serbian population, with the logic being that participation would be a tacit recognition of Kosovo's independence.

But Kosovo and its backers in the international community want the native Serbs to embrace the new country. President Fatmir Sejdiu hailed a call from 100 Serb intellectuals urging Kosovo Serbs to take part in the elections and countered those Serbian voices he says are discouraging Kosovo Serbs from going to the polls.

"I invite all the members of Serb community who are citizens and residents of Kosovo to get involved in all fields of social and public lives. This would be to the benefit of us all, to the benefit of each family and to the benefit of all citizens," he said Thursday.

International officials are heartened by the participation of many non-Albanian entities -- such as political parties and independent candidates. The election commission says of the 74 certified political entities in the races, 34 are Albanian, 22 Serbian, and the rest various other ethnicities -- Bosnian, Turkish, Ashkali, Montenegrin, Egyptian, Gorani, and Roma.

U.S. Ambassador to Kosovo Christopher W. Dell says there's a "growing recognition" of the elections' benefits. He cites the goal of decentralization, an effort to give Albanians, Serbs and others the power "to assume responsibility for organizing themselves, for running their own local governments."

"I believe the November elections are a critical opportunity for the Kosovo Serb community to assume much greater control of the day-to-day running of their own lives in ways that really matter," Dell said in a speech last month.

And there is optimism as well about the significance of the election process.

It's the first time Kosovo is organizing any elections itself, Dell said, with Kosovo and its Central Election Commission -- not the United Nations or the Organization for Security and Co-operation in Europe -- "running the show."

Edita Bucaj, acting spokeswoman for the Kosovo mission of the OSCE, told CNN that the "general impression is that the campaign has been relatively calm."

The OSCE -- which had been organizing all elections in Kosovo since 2000 and now provides technical support and advice to Kosovo's Central Election Commission, "would certainly like to see an orderly process without incident on Sunday," Bucaj said.

Janusz Bugajski -- who holds the Lavrentis Lavrentiadis chair and is director of the New European Democracies Project at the Center for Strategic and International Studies in Washington -- said the "local elections are politically and internationally significant in the evolution of the new state."

In remarks published by CSIS on Thursday, Bugajski said Kosovo has growing pains, the kind "newly emergent states" have in their early stages. He cites "inadequate administrative capabilities, limited oversight of governmental bodies, and inability to deliver essential services to the citizens."

"Kosovo also has additional problems in that Pristina does not control the entire territory, has a rudimentary security structure, and remains largely dependent on international institutions," he said.

But, Bugajski said, the elections "will indicate Kosovo's commitment to democratic principles" and help opponents of Kosovo's independence realize "that a stable emerging democracy at the heart of the Balkans contributes to regional stability." And, keeping radicalism at bay during "difficult economic times" will be the country's "major challenge in the year ahead."

"A free and fair election in a competitive political climate is the most effective way to demonstrate that Kosovo seeks to be a full member of the international community," he said.

@highlight

More than 1.5 million people are eligible to vote in 36 municipalities for mayors and assembly members in Kosovo

@highlight

Kosovo has long been a restive province of Serbia with a majority ethnic Albanian population

@highlight

Serbs and ethnic-Albanians fought a brutal war in the late 1990s, which ended after NATO bombing of Serbia

@highlight

Ethnic-Albanians eventually declared the province independent in February 2008, but Serbia opposed the move