(CNN) -- The vigilantes came to violence-torn towns with a simple pitch: Join us and fight back before the cartel kills you.

For some in the western state of Michoacan, long a flashpoint in Mexico's drug war, it was an offer they couldn't refuse.

They toted guns and called themselves self-defense groups as they patrolled the streets, claiming they were forced to fight the Knights Templar cartel themselves because the state had failed to protect them.

They took over several communities and sent a clear message to cartel members and authorities: Keep out.

But this week, the Mexican government stepped in, sending federal forces to the region and ordering the vigilante groups to lay down their weapons.

The smoldering situation has become a major problem for President Enrique Peña Nieto's government, which has vowed to reduce drug violence.

In some areas, it hasn't gone smoothly, with both sides refusing to back down in tense standoffs.

Mexican soldiers clashed with self-defense group members Tuesday in the town of Antunez, killing at least one person. And even as federal troops patrolled the city of Apatzingan, tensions ran high after a pharmacy burned down in a suspected arson attack just blocks away from City Hall on Wednesday.

By Thursday, Mexican authorities said they'd gained control of 20 municipalities in the region. But a top security official said he couldn't set a date guaranteeing when the state would be safe.

Some vigilante groups have vowed not to hand over their guns until cartel leaders are captured.

"We want them to go rescue the towns where the people are still being massacred by organized crime," said Estanislao Beltran, a spokesman for the self-defense groups. "When there is peace and security in our state, we will give up our weapons."

Residents, meanwhile, told CNNMexico they're caught in the middle of spiraling violence that shows no sign of slowing. And some observers say it's not clear the government crackdown is working.

"Federal authorities, instead of imposing order, instead of rescuing the cities, they are more like referees," Jose Antonio Ortega, president of the Citizens Council for Public Safety and Criminal Justice, told CNNMexico this week. "They are watching the civil war in Michoacan."

And the situation could have consequences beyond the state's borders, security analyst Alejandro Hope said. It's possible, he said, that the phenomenon of vigilante groups could spread.

"It is a real risk," he told CNN en Español. "It is a scenario that should worry the people in charge of the country's security policies."

Resident: 'We do not know who to believe'

One Michoacan resident, who asked not to be identified out of concern for his safety, said a self-defense group gave residents few options but to support them when they swooped into the town of Tancitaro, where much of the local economy depends on avocado orchards.

"The words of the self-defense groups were very clear: 'If you do not arm yourselves, you could be killed by the Knights Templar.' This was the central point," he recalled in an interview with CNNMexico this week.

And even with an increase in government forces in the area, he said, it's a situation that isn't likely to stop any time soon, with so many decentralized groups spread across so many parts of the region.

"We think that this is going to last for months, because there is not just one person who says, 'We are going to hand over our weapons to the Army,'" he said. "People are very afraid. We do not know who to believe. The self-defense groups tell us one thing, and the military tells us something else."

But in the meantime, he said, vigilantes have set up roadblocks around the town.

And the town's church bells have become a signal, he said, summoning vigilantes to stop cartel members from entering.

Analyst: Problems paved the way for vigilantes

Self-defense groups have also surged in parts of the neighboring state of Guerrero, where government troops have struggled to put a stop to cartel violence.

"We think the government is very timid, very slow," Sergio Mejia, the head of an association of restaurant and business owners in Acapulco, told CNN last year. "If there is no immediate response, it leaves us no choice but to join the fight."

Several factors in Michoacan have paved the way for vigilante groups, Hope said -- especially the nature of the primary cartel operating there, the Knights Templar.

It's a group with a great focus on territory, Hope said.

"And they tend to be much more involved in extortion, in robbery, and in different kinds of kidnapping, so they generate a lot more resistance than a traditional group dedicated to international drug trafficking," Hope said.

Today's problems started in the state at least a decade ago, said Julio Hernandez Granados, a former Michoacan government spokesman.

"There were many years of abandonment in many communities," he told CNN en Español.

That allowed drug cartels to infiltrate, strengthening their grip on daily life and threatening those who didn't obey.

"These criminal organizations would not subsist if these circumstances did not exist," Granados said. "With many young people lacking education, lacking employment opportunities, they find the only path ... is to work for criminal groups."

Concerns groups could have a darker aim

Some locals view the vigilantes as heroes. Others see them as villains and have responded to their arrival by destroying property and setting vehicles ablaze to create fiery road blockades to stop them.

In the past year, Hope said, even federal officials have been "schizophrenic" about how they approach the groups, sometimes cracking down on them and other times describing them as allies.

Critics suggest the vigilante groups contain some criminals from rival gangs who are using them as a means to win more territory.

Leaders of the groups have consistently denied such accusations, saying their only aim is to fight cartels and protect public safety.

But Alfredo Castillo, appointed by the federal government this week to be a new commissioner heading up security in the state, offered an ominous warning Thursday.

In an interview with MVS Radio, he noted that the Familia Michoacana cartel -- which eventually splintered and led to the formation of the Knights Templar -- also started out as a group that aimed to defend the state's residents in a push to kick out the Zetas.

The newly formed self-defense groups, he said, could become as ruthless as the cartels they claim to oppose.

"You can start out with a genuine purpose," he said. "But when you start taking control, making decisions and feeling authority ... you run the risk of reaching that point."

CNNMexico.com and CNN en Español's Rey Rodriguez and Fernando del Rincon contributed to this report.

@highlight

Mexico orders vigilante groups to lay down their weapons

@highlight

The groups say they're protecting citizens against the Knights Templar cartel

@highlight

Residents say they're caught in the middle of spiraling violence

@highlight

Some worry the armed vigilantes could have a darker aim