(CNN) -- More than one speaker at the Democratic National Convention alleged this week that a Mitt Romney presidency would spell financial ruin for Medicare in four years.

The claim stems from earlier projections, made before the Democrats' health care reform law was passed in 2010, that Medicare's hospital insurance trust fund would be insolvent before the end of this decade.

Former President Bill Clinton led the way Wednesday, saying that the Democrat-backed Affordable Care Act bought time for Medicare and made it financially solid until 2024. He said Romney, who wants to repeal the act, would reverse this gain and make Medicare "go broke in 2016."

Fact Check: The not-so-empty factory

The statements:

"So, if (Romney is) elected and if he does what he promised to do, Medicare will now go broke in 2016. Think about that. That means, after all, we won't have to wait until their voucher program kicks in, in 2023, to see the end of Medicare as we know it."

-- Former President Bill Clinton, Wednesday

"The plan (Romney is) proposing would cause Medicare to go bankrupt by 2016."

-- Vice President Joe Biden, Thursday

The facts:

We'll look first at Medicare's financial situation and then Romney's plan.

When officials talk of Medicare insolvency, they're talking specifically about the trust fund for Medicare's hospital insurance, or Medicare Part A, which covers inpatient hospital stays, care at a nursing facility, hospice care and some home health care. The other parts of Medicare, though costs are rising, are "adequately financed" for now, the program's trustees say.

The Part A fund's overseers -- the Boards of Trustees of the Federal Hospital Insurance and Federal Supplementary Medical Insurance Trust Funds -- said back in 2009, before the Affordable Care Act passed, that the banked money used to make up the difference between income (such as taxes) and expenses for Part A would be depleted in 2017.

But then the Affordable Care Act passed. The trustees reported that the act's lower expenditures (cutting rates to providers) and increased revenues (a payroll tax hike for wealthier people in 2013) "improves the financial outlook for Medicare substantially."

The trustees reported in 2010 that health care reform would delay the Part A trust fund's insolvency until 2029. By 2011, the trustees moved that insolvency estimate back to 2024.

By that date, the trust fund would be depleted. But that doesn't mean the Medicare Part A program would collapse. Revenues would be able to pay for most of the costs. The Centers for Medicare and Medicaid Services, which administers the program, said this year: "Projected (trust fund) revenue would be adequate to cover 87% of estimated expenditures in 2024 and 67% of projected costs in 2050."

And even if it got to that point -- in 2016, 2024 or whenever -- it's highly unlikely that Congress wouldn't step in to prevent any shortfall. The center put it this way:

"In practice, Congress has never allowed a Medicare trust fund to exhaust its assets."

That would be nothing to cheer, as it could mean even greater budget deficits. In an April 2012 paper arguing that claims that Medicare is nearing bankruptcy are misleading, the liberal-leaning Center on Budget and Policy Priorities says that Medicare nonetheless "faces serious financing challenges in order to make the (Part A) trust fund solvent over the long term and to reduce unsustainable federal budget deficits that are driven in part by Medicare's rising costs."

But both the Congressional Research Service and the CBPP have noted that trustees have warned of pending insolvency for the past four decades, with reports varying from two years away to 28 years. "But Medicare benefits have always been paid because Congress has taken steps to keep spending and resources in balance in the near term," the CBPP said in its April report.

As for the present situation, one of the trustees, Health and Human Services Secretary Kathleen Sebelius, said that without the health care reform, Medicare Part A would only be able to pay costs in full until 2016, CNNMoney reported.

So, where does Romney come in?

Romney calls for repealing the Affordable Care Act. He also wants to set up a "premium support system" for Medicare, meaning seniors would get vouchers to buy coverage from either private insurance providers or a government-run Medicare insurance plan.

Romney's campaign says the voucher plan wouldn't affect "seniors or those nearing retirement" -- meaning it wouldn't go into effect for years. A similar plan championed by his running mate, U.S. Rep. Paul Ryan, would go into effect in 2023.

The GOP presidential nominee, while not necessarily adopting all of his running mate's plan, has said it "makes important strides in the right direction."

Paul Van de Water, a senior fellow at the Center on Budget and Policy Priorities, told CNN on Thursday that repealing the health care reform law would, by itself, return the insolvency date of the Part A trust fund to 2016.

If Romney also delays the voucher program so that it won't affect soon-to-be retirees, it will have no effect on the 2016 insolvency date, Van de Water said by phone.

"As long as he sticks with that (delay), then the premium-support proposal has no effect within the relevant time period," Van de Water said.

Still, as Medicare's administrators have said, it's highly unlikely that Congress wouldn't move to patch up the trust fund past 2016.

"I presume that, at the end of the day, if Gov. Romney were elected president, he would figure out some way to make sure that the trust fund didn't become insolvent in 2016. But the question is, how would he do it? Because his specific proposal (repealing the Affordable Care Act) makes the financing problem worse, rather than better."

University of North Carolina professor Jonathan Oberlander, a Medicare historian, said that repealing the Affordable Care Act "would in fact worsen Medicare's financial condition" and move up the projected date for the Part A trust fund's insolvency. But "Medicare is not going bankrupt," he said.

"It would have a projected shortfall in the hospital trust fund and you would need to make changes to address that shortfall," Oberlander said. "But Medicare would still have most of the necessary funds to pay those expenses, and other parts of the program would be unaffected. Medicare won't go bankrupt in the literal sense in 2016 or 2024 or 2064 -- or ever."

Van de Water said there weren't enough details about Romney's plan to project whether his voucher plan would help the trust fund's solvency long-term. But he did say that under the Ryan plan, the rate of Medicare spending growth per person "is somewhat less than what is expected under current law."

"It would reduce Medicare spending, and so it would improve Medicare solvency. But it shifts costs to beneficiaries," Van de Water said.

Consumer advocates worry that seniors would wind up paying much more for care under the Ryan plan. They point to a Congressional Budget Office report that shows spending would be between 35% and 42% lower for new enrollees under the Ryan plan versus traditional Medicare, CNNMoney reported.

When asked for a response to Clinton's criticism, Romney spokeswoman Amanda Henneberg wrote that under President Barack Obama's current plan, "Medicare will go bankrupt in 2024."

"Mitt Romney has a plan for Medicare that protects it for today's seniors and strengthens it for future generations," she wrote in an e-mail.

The Romney campaign also accuses Obama of taking $716 billion out of Medicare to pay for the Affordable Care Act. Romney's campaign got the $716 billion figure from a July 24 Congressional Budget Office report, which measured the impact of repealing the health care overhaul.

But the report also notes that the projected $716 billion increase in Medicare spending if the measure is repealed does not signal a $716 billion decrease if the measure stays in place -- which is Romney's argument.

Conclusion:

A repeal of the Affordable Care Act -- counting no other action -- may worsen Medicare's financial situation and move up the projected insolvency date of Part A's trust fund from 2024 to 2016. But experts agree that other moves would be on the table. While it's conceivable that Romney's Medicare plans as stated wouldn't be implemented in time to counter the 2016 projection specifically, it's highly unlikely that no action would be taken to shore up the fund in the interim.

Fact Check: Clinton arithmetic holds up on jobs

CNN's Jason Hanna, Emily Smith, Caleb Silver and Justin Lear contributed to this report.

@highlight

Clinton: Democrat-backed Affordable Care Act bought time for Medicare and made it financially solid until 2024

@highlight

Romney wants to set up a "premium support system" for Medicare, with vouchers to buy coverage

@highlight

Repealing and maintaining the Affordable Cart Act both have consequences