(CNN) -- "Partisanship ought to end at the water's edge" is a longstanding adage of American politics.

But in the hours after the death of the first U.S. ambassador killed in decades, Mitt Romney -- panicked as his poll numbers have slipped -- punched hard against the president, unleashing an unwise, inaccurate and unpresidential attack on the Obama administration.

The fog of war applies to the confusion about the timeline of ugly incidents in the Middle East on the 11th anniversary of the 9/11 terrorist attacks. But when the U.S. Embassy in Cairo released a statement condemning the obscure and intentionally inflammatory film that had already given rise to riots, the Romney campaign saw an opportunity to amplify its "Obama-Apologizes-For-America" narrative.

Politics: Romney's political pretzel over Libya

Despite the fact that U.S. missions in Egypt and Libya came under attack after that embassy statement, with crowds besieging the Cairo embassy and the consulate in Benghazi in the late hours of September 11, the campaign released a statement from Romney saying, "It's disgraceful that the Obama Administration's first response was not to condemn attacks on our diplomatic missions, but to sympathize with those who waged the attacks."

This barely qualifies as dog-whistle politics. At a moment when sovereign U.S. soil was under attack by Islamist radicals, the Romney campaign tried to tie the president to those extremists attacking us, saying that he had "sympathy" with their cause.

And then, in the clear light of morning, Mitt Romney doubled down on the claim, repeating it -- perhaps for fear of appearing weak -- and his campaign released talking points to hammer home the point. He picked precisely the wrong time, and over the wrong issue, to go "bold."

Politics: Arab Spring turmoil evokes political response

This is not just politics as usual but something far lower. By point of comparison, when Ronald Reagan was confronted with the downed-helicopter rescue mission ordered by President Jimmy Carter to save the American hostages in the U.S. Embassy in Iran, he did not see it as opportunity to score political points. Instead, Reagan said, "This is the time for us as a nation and a people to stand united." Likewise, George H.W. Bush, then also running for president, said "I unequivocally support the president of the United States -- no ifs, ands or buts -- and it certainly is not a time to try to go one-up politically. He made a difficult, courageous decision." (Hat-tip to The Atlantic for unearthing these statements.)

No wonder a wide array of Republican foreign policy experts rose to condemn Romney's comments, including the longtime speechwriter and senior aide to Sen. John McCain, Mark Salter, who wrote: "to condemn (Obama) for policies they claim helped precipitate the attacks is as tortured in its reasoning as it is unseemly in its timing."

I called one of the wise men of American foreign policy, Charles Hill, a longtime first deputy to Reagan Secretary of State George Schultz and now a professor at Yale and a research fellow at the Hoover Institution, as well as the author of "Grand Strategies" and "Trial of a Thousand Years: World Order and Islamism."

"In my opinion, Obama is rightly criticized for a foreign policy approach that has not been firm enough. But in this case, the Romney statement was overreaction and not proper," Hill said. "Romney should be standing as an American with Americans right now and not trying to narrowly pursue political profit. I would not have advised him to release that statement."

On the flip side were conservative populist luminaries like Sarah Palin, who took to Facebook, her only dependable perch these days, to write this: "We already know that President Obama likes to 'speak softly' to our enemies. If he doesn't have a 'big stick' to carry, maybe it's time for him to grow one." Once again, Palin proved that she doesn't have the temperament or the intellect to be within a thousand feet of the Oval Office.

Opinion: Libya killings show U.S. at risk n Arab world

It is also noteworthy that the Romney campaign's instinct is to attack the president on foreign policy but then refuse to articulate its own policy positions as a useful point of contrast. This "attack and distract" approach to politics is beneath the office; when you criticize there is an obligation to propose new solutions to the problem.

When Romney embarked on his European tour, he frequently cited the tradition of not criticizing a president while traveling overseas as justification for not answering questions about his own foreign policy beliefs. This seemed to many, including me, at the time to be a high-minded excuse to avoid answering specific questions. Now there is no doubt. It was not decency or a desire to get all the facts before condemning the president that restrained his campaign's rhetoric.

Many questions still remain. The online "film" that apparently provoked the attack seems thrown together and badly over-dubbed to create maximum insult to Islam. It has been promoted by some of the most discredited conspiracy entrepreneurs on our side of the Atlantic, including the "Reverend" Terry Jones, who advocated Quran-burning in the past. The American principle of defending free speech cannot be allowed to be compromised by fanatics anywhere for any reason.

There is, as the president said Wednesday in the Rose Garden, "no excuse" for the actions of this murderous mob in Libya or for the invasion of the embassy in Egypt. Reports are emerging that the Benghazi siege was a premeditated attack by our enemies. Hill describes unsettling parallels: "With the radical Muslims, there's a kind of connection between the crazy guys in Florida who make this film and the crazy guys in Libya who plan these attacks deliberately and use the films as an excuse, a provocation," he says. "There's a kind of demonic conspiracy between these two types of fringe groups, and it makes life less secure for the rest of us."

Opinion: Extremists don't speak for Libya

Romney is a good man, but his lack of core political beliefs combined with his otherwise admirable competitiveness has led him to make claims about opponents that are often overheated and unrelated to reality. The dishonest drumbeat that Obama travels around the world compulsively apologizing for America is a core Romney campaign tactic. This time, he went definitively too far -- trying to score petty political points with incomplete information at a time when our nation's embassies were being attacked overseas on the anniversary of September 11.

It was disgraceful.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Romney, slipping in polls, wrongly slammed Obama over Egypt, Libya attacks

@highlight

He says despite facts to contrary, Romney said Obama was sympathetic to attackers

@highlight

Avlon: The move, apparently for political points, was widely condemned even among GOP

@highlight

Avlon says politics must yield in crisis, as past politicians have known