(CNN) -- Recently, the United States has seen a resurgence of Bordetella pertussis, a highly contagious bacterial disease more commonly known as "whooping cough." The disease mostly afflicts children, though adults can catch it, too. Whooping cough is easily prevented with vaccination.

According to the Centers for Diseases Control and Prevention, vaccination, introduced in the 1940s, brought the number of cases per year down from 107,473 in 1922 to just 1,248 in 1981. Since 1982, however, the number of cases has steadily increased.

In recent years, there has been a general decline in vaccination to prevent many childhood diseases in the United States. In 2012, the number of whooping cough cases in the United States hit a long-time high of 48,277.

The decline in vaccination is in part due to the rise of the anti-vaccine movement, which has found spokespeople in celebrities like Jenny McCarthy and politicians like Michele Bachmann and Rick Santorum. It is a movement that relies on scientific fraud and pseudoscience.

In the not too distant past, one of the scientific community's primary concerns was preventing scientific fraud. Episodes like the 1998 fabrication of data indicating a connection between childhood vaccines and autism risk have clear public health and policy repercussions. Claiming a link between vaccines and autism opens the door for false claims about the dangers of other vaccines, allowing, for example, politicians like Bachmann to inflame the public's doubts about the benefits of vaccination against the human papillomavirus, or HPV.

In a 2011 interview on the "Today" show, Bachmann mentioned a woman whose daughter suffered from "mental retardation" as a result of receiving the HPV vaccination. In a subsequent interview, Bachmann defended her position, fueling the anti-vaccination movement. Given that HPV can result in cancer, disseminating this kind of misinformation not based on scientific evidence is dangerous.

The general public thinks of scientific journals as unimpeachable, but the rise of e-commerce and e-media has created an unprecedented opportunity for charlatans to inflate credentials and corrupt scientific publications.

In this process, pseudoscience has become rampant. In a recent article, "Who's Afraid of Peer Review?" published in Science, the flagship journal of The American Association for the Advancement of Science, John Bohannon revealed that it is relatively easy to publish fake scientific data in open-access journals.

Unfortunately, Bohannon's piece barely received any attention from the popular media, squandering a vital opportunity to alert and inform the general public how to differentiate the wheat of real science from the chaff of pseudoscience. For the sake of public health, this issue must move beyond the confines of academia.

The ideal behind open access journals is admirable: They aim to disseminate important scientific findings to audiences such as those in nonacademic settings or residing in developing countries who may not be have access to such information. But, the financial reality of open access is that the business model -- where an author agrees to pay a fee, often in the ballpark of $2,000, to get the article accepted for publication -- favors quantity and moneymaking over integrity. Such publications often fail to differentiate between the plastic Rolex and the real one.

It is somewhat unnerving to read some of the comments posted below Bohannon's article, where a number of readers think "scientific counterfeits" are a fact of life, that falsifying data is old news, and that scientists should focus on our scientific work instead of worrying about counterfeiting.

Scientists sometimes think it is not their role or responsibility to engage in public discourse regarding their work. In this instance, however, they could not be more wrong. As scientists, we have a responsibility to speak up about the damage that pseudoscience could inflict on society.

For example, we are in the third decade of the AIDS pandemic, and there are still well-trained scientists such as Peter H. Duseberg, once an HIV/AIDS control and prevention adviser to the former president of South Africa, who denies that HIV causes AIDS. Duesberg says that recreational drugs are the culprits for AIDS among homosexual men in the West, while the cases in Africa are largely due to malnutrition and other diseases. People like Duesberg are not shy about spreading their half-baked, unproven ideas in spite of overwhelming contradictory scientific evidence.

In this new business environment, publishers are often no longer responsible for preventing fake or less than credible data. Meanwhile, some scientists who have the financial resources might opt for a quick and easy publication, though their findings may be questionable. A key scientific currency, peer-reviewed publication, is being corrupted outright by the unscrupulous pursuit of profit.

Sadly, the profit motive has begun to play an increasingly distortive role in the dissemination of scientific research findings. What's at stake here? Lives, obviously. Less dramatic, but no less important is the question of how we define "knowledge," and how much we can trust science and scientists. Reasonable people can disagree on how to interpret data, but first, we need good data.

The longer we turn a blind eye to scientific fraud, the more we encourage a pay-to-play system that puts dollars before scientific data, and the more we will erode the public's trust in science and its authority. That way is perilous.

The opinions expressed in this commentary are solely those of Frank Y. Wong.

@highlight

Frank Wong: There's been a decline in vaccination to prevent childhood diseases

@highlight

Wong: It's partly due to the rise of anti-vaccine movement that relies on scientific fraud

@highlight

He says the rise of e-media allows charlatans to corrupt scientific publications

@highlight

Wong: Pseudoscience undermines public's trust in science and scientific authority