(CNN) -- After just two days of closed-door negotiations, the leaders who had gathered at the International Whaling Commission in Agadir, Morocco, announced no agreement was reached on the IWC chair's proposal to improve whale conservation.

Greenpeace did not support the proposal, but we had hoped governments would change it to become an agreement to end whaling, not a recipe for continuing it.

It is particularly disappointing to me, because my professional commitment to end the whale hunt in my country of Japan -- which led to the exposure of an embezzlement scandal at the heart of the whaling industry -- has come at significant personal cost.

The investigation I conducted with my colleague, Toru Suzuki, led to our arrests in front of banks of media outlets who had been told about it in advance.

The homes of Greenpeace office and staff members were raided. Seventy-five police officers were deployed to handcuff two peaceful activists. We were held without charge for 23 days; questioned for up to 10 hours a day while tied to chairs and without a lawyer present. We are now out on bail awaiting verdict and sentencing, expected in early September.

If I can risk my future to bring the fraudulent Japanese hunt to an end, if whaling whistle-blowers are prepared to risk their lives to expose the corruption, how can it be that the IWC has yet again failed to take the political risk to pressure my government to end the scientific whaling sham?

Since the IWC's moratorium on commercial whaling came into force in 1986, Japan has continued to hunt whales under the guise of "scientific research," making a mockery of the moratorium. By claiming that slaughtering thousands of whales, in waters designated a whale sanctuary no less, is a scientific experiment needed to understand whales, Japan has violated the spirit and intention of the moratorium as well as the Southern Ocean Whaling Sanctuary.

Iceland and Norway have simply ignored the moratorium. Those two nations, together with Japan, have killed more than 30,000 whales since then. I have always opposed my country's hunt, which is why I decided to join Greenpeace. While it may be an emotionally charged political issue outside Japan, domestically it barely causes a political ripple. In 2006, Greenpeace decided to focus the bulk of its anti-whaling campaign in Japan to bring the issue home.

Wholly funded by Japanese taxpayers, the whaling program has produced no peer-reviewed scientific research and has been repeatedly told by the IWC that the so-called research is not needed or wanted. All it has produced is a massive bill for the taxpayers and tons of surplus whale meat that the Japanese public does not want to eat. It has also produced endless rumors and allegations of corruption and mismanagement.

Two years ago, following a tip from three former whalers turned whistle-blowers, my colleagues at Greenpeace Japan and I began a public interest investigation  and discovered that indeed, corruption runs deep.

All three whalers claimed that whale meat was routinely embezzled, with the full knowledge of government and whaling fleet operator officials. Greenpeace eventually intercepted one of nearly 100 suspicious boxes coming off the ships.

Although its contents were labeled as cardboard, 23.5 kilograms of prime whale meat were inside, destined for a private address.

On May 15, 2008, we handed over the box to the authorities, with additional evidence of the crime. Initially the Tokyo district prosecutor began to investigate. But we were eventually charged with trespass and theft of the whale meat, valued at nearly 60,000 yen (about $550 at the time). We face from 18 months up to 10 years in jail for exposing the truth behind an industry that is financially, morally and scientifically bankrupt.

The U.N.'s Human Rights Council on Arbitary Detention has ruled that our human rights have been breached and the prosecution is politically motivated. The U.N. High Commissioner for Human Rights has expressed her concern about our case. Amnesty International, Transparency International, two Nobel Peace Prize laureates, countless international legal experts, politicians and more than half a million individuals have raised their voices in opposition to the prosecution.

We will be tried and sentenced in September, more than two years after we first exposed the corruption. But the scandal does not end there. Just last week, more allegations emerged that Japan engages in vote-buying and bribery to keep its whaling fleet in the water.

And yet, the IWC continues to close its doors and ears to the reality of Japan's commercial whaling. I came to Morocco in the hope that this, the International Year of Biodiversity, could mean an end to all commercial whaling, but I leave knowing that governments are only interested in taking strong public positions on whales but not in taking action to save them, not even behind closed doors.

Mine and Toru's political prosecution is a clear sign that Japan has no intention of easily letting go of its debt-ridden whaling program. There are too many vested interests inside the government. That is not surprising. What is more disappointing is that those vested interests have gone unchallenged by the IWC, the body set up to conserve whales.

It may be surprising that in this day and age, and given the huge public interest in the issue, conversations about saving whales are held in secret. But the truth is that Japan's whaling program relies on secrecy and corruption to stay afloat.

After two years of negotiations, this year's meeting could have been an opportunity for the IWC to actually move forward and end the status quo. But its collective failure means that 24 years after the establishment of the moratorium on commercial whaling, Japan, Iceland and Norway will continue again to hunt whales with impunity.

I challenge the commission to throw open its doors and shine a spotlight on the corruption that is so evident, investigate all the allegations affecting the IWC that have been laid clearly before it on numerous occasions and realize that it is not only Japan's international reputation that has been tainted by the failure in Agadir.

The opinions expressed in this commentary are solely those of Junichi Sato.

@highlight

Junichi Sato, colleague face charges after  finding corruption in Japan's whaling industry

@highlight

Sato: He and Toru Suzuki were held, questioned, often taped to chairs, for 23 days

@highlight

Sato says Japan uses guise of "scientific research" to slaughter whales

@highlight

Sato: As IWC does nothing, Iceland, Norway and Japan kill 30,000 whales