GEORGETOWN, South Carolina (CNN) -- In many places across the South you can walk in the footsteps of slaves, and if you understand the history, it is not a happy journey. The same is true at Friendfield Plantation outside Georgetown, South Carolina.

This is a former slave house on Friendfield Plantation, where Michelle Obama's family has roots.

It's not exactly "Gone With the Wind," but what makes this overgrown 3,300 acres of marsh and pine trees stand out is this: The family of first lady Michelle Obama believes her great-great grandfather was held as a slave here and labored in the mosquito-infested rice fields.

It makes Friendfield Plantation a symbol of something more than servitude. It's the symbol of something that's never happened before, one important segment of an American family's journey from the humiliation of slavery to the very top of the nation's ruling class.

CNN recently was the first television network allowed to visit the plantation and shoot video. It's not a museum. It's just private land, still with shadows of its past.

Friendfield's most distinctive historical feature, perhaps, is the dirt road known as Slave Street.  Stroll across the plantation with CNN's Joe Johns »

Six white-washed little shacks are all that remain of the slave quarters, even though rows of these houses once stood on the property. About 350 slaves lived here during the 19th century.

The houses are nothing special -- no plumbing, of course. The wooden walls are paper thin in places. It would have been hot and humid in summer, and most certainly cold in winter, although the shacks had fireplaces.

They would have been crowded: probably one or two families living in a space smaller than a modern-day garage.

The White House is some 472 miles from Georgetown, South Carolina. But long before Michelle Obama was born, her great-great grandfather, Jim Robinson, likely toiled in the fields here six days a week, from sunup to sundown.

The place he probably called home was a little white shack smaller than -- by comparison -- a Secret Service security shed on the grounds of the executive mansion at 1600 Pennsylvania Avenue.

All told, hundreds of people lived like this, on this one plantation alone.

"Anywhere between 200 to 500 at different times," said Ed Carter, the property manager. "The older the plantation got, they kept adding on more cabins. [Some] cabins are 1847.

"There was some on the other street that were about probably 1820s. And when they added on, got a bit more wealthy, they just kept adding on more slaves, more cabins."  Watch Obama's recent comments on slavery »

The shacks probably weren't much refuge from the vicious clouds of mosquitoes, chiggers and other pests that still impinge on a person's every move on the plantation. Then, consider the dangers of the alligators and snakes.

There was also the oppressive heat and humidity of South Carolina. And on the day CNN visited, the skies opened up in a violent rainstorm.

Add up all of these factors and you begin to get a picture of what life probably was, and was not, for the slaves on Friendfield Plantation. Workers on the rice plantation -- and Friendfield was one of the largest in these parts -- faced all these elements, plus the threat of disease, including malaria and yellow fever. And unlike the CNN crew, the slaves were not free to leave.

Even in death, the slaves stayed. Three cemeteries are on the Friendfield grounds. The one slave cemetery CNN visited had mostly unmarked graves, but Jim Robinson -- who was born into slavery and died a free man -- is believed to be buried there somewhere.

The cemetery clearly has been segregated from the rest of the property. Slave cemeteries were typically situated on land unsuitable for any other use.

Surrounded by trees, it might have been a beautiful place. Now, it is hard to tell that you are standing in a cemetery -- except for half a dozen grave markers, some made of wood, bearing no names.

All that's known about Jim Robinson's life comes from the few remaining records that mention him. Slaves weren't documented as individuals in the census, nor in life and death certificates. They were property, not people.

But Michelle Obama's great-great grandfather was a teenager when slavery was abolished, so as a free man, he started to leave a paper trail.

The 1880 census shows he was born about 1850, in South Carolina, and that his parents were born in South Carolina as well. He married a woman named Louiser, and in 1880 they already had three children, two boys and a girl, ages 1, 2, and 3.

The son that would become Michelle Obama's great grandfather was not born yet. The census lists Jim's occupation as a farmer, and Louiser's as "keeping house."

They are both recorded as unable to read or write. It's good fortune to uncover even this much information; the original handwritten census got wet, the ink ran and it is nearly illegible. Proof of life, nearly washed away.

There are a lot of unknowns concerning Michelle Obama's ancestry -- how many generations of slaves there were, or what route they took to this hemisphere.

The Obama election campaign commissioned a study of Michelle's genealogy by the research group Lowcountry Africana, but they couldn't make the link back to Africa. As with so many African-Americans' family histories, the paper trail runs dry.

"I don't think that that sort of information is available for anyone from Friendfield Plantation at this point,"  historian Tori Carrier, of Lowcountry Africana, said. "Very, very few, if any, of the Friendfield records actually survived except in public records: wills and estate inventories. ...

"There's not a real Friendfield Plantation records set, or plantation journals that have been preserved ... and there's certainly not a shred of documentary evidence right now which would even suggest to us what the African origins would be," Carrier  said.

In an interview with The Washington Post last year, Michelle Obama talked about learning her family's past and understanding the history of slavery.

"A lot of times these stories get buried, because sometimes the pain of them makes it hard to want to remember," she said told the Post for an October story. "You've got to be able to acknowledge and understand the past and move on from it. You have to understand it, and I think a lot of us just don't have an opportunity to understand it -- but it's there."

Back in Georgetown, South Carolina, Margretta Knox remembers attending the Bethel AME church with the first lady's grandparents -- Jim Robinson's grandson and his wife -- when she was a girl. The couple spent many of their years in Chicago, but returned back South after they retired.

"My father knew that Fraser Robinson's father sold newspapers," she recalled. "He made his kids read them. Mr. Robinson was very, very smart, he could recite poetry. ... Their grandfather could recite poetry and that kind of thing. ... Her grandfather and her grandmother, they were both very smart people."

But the family ties to the old plantation just got lost. "We let our parents die before we really thought about asking them questions," Knox said.

"We didn't think about it until much later, and then it was too late. They were already gone. So there was no history after that. ...

"Because we live here, we don't think about it. It's just like, you've been around it all of your life, it doesn't cross your mind. You're just living for today."

In that same way, it probably never crossed Jim Robinson's mind, as a slave in a white-washed cabin, that one day his great-great granddaughter would be living in a white house so very, very different from his own.

@highlight

CNN visits plantation where Michelle Obama's slave roots began

@highlight

Her great-great grandfather is believed to have been a slave on Friendfield Plantation

@highlight

Anywhere from 200 to 500 slaves lived on the plantation over the years

@highlight

He likely lived in a tiny white-washed slave house on the property