Hong Kong (CNN) -- A murky Islamic militant group has described a deadly attack in China's Tiananmen Square last month as a "jihadi operation" and warned of more violence to come, according to an organization that monitors extremist websites.

In a speech posted online, Abdullah Mansour, the leader of the Turkestan Islamic Party (T.I.P.), said those who carried out the attack in the heavily policed center of Beijing were "mujahideen," the SITE Intelligence Group said in a report late last week.

On October 28, a vehicle drove through security barriers into a crowd in Tiananmen Square, crashed into a pedestrian bridge in front of the Forbidden City and burst into flames. The attack killed five people -- including the three in the vehicle -- and wounded 40 others.

Chinese authorities have accused Uyghurs -- a Turkic-speaking, predominantly Muslim ethnic group from the western region of Xinjiang -- of carrying out the vehicle attack. East Turkestan is the name used by many Uyghur groups to refer to Xinjiang.

Frequent outbreaks of unrest have hit the resource-rich region, where the arrival of waves of Han Chinese people over the decades has fueled tensions with the Uyghurs. Chinese authorities have cracked down heavily on violence involving Uyghurs, deepening resentment.

China links Islamic terrorist group to Tiananmen Square crash

'Only the beginning'

It was unclear from the SITE report if Mansour was claiming responsibility for the Tiananmen attack or just commenting on it.

But he warned that "such operations are only the beginning," according to SITE, and that Uyghur fighters will target the Great Hall of the People, a grand building next to Tiananman Square where the Chinese parliament meets and ceremonial events are held.

"O Chinese unbelievers, know that you have been fooling East Turkestan for the last 60 years, but now they have awakened," Mansour was quoted as saying by SITE. "The people have learned who is the real enemy and they returned to their own religion. They learned the lesson."

The audio recording of his speech was part of a roughly 8-minute video posted on the T.I.P.'s website on November 12, SITE said. His comments were referenced in a number of Chinese state-media outlets, including Xinhua, the official news agency.

Chinese authorities have said they believe the Tiananmen attack was instigated by a separatist group, the East Turkestan Islamic Movement (E.T.I.M.), which Beijing has linked to outbreaks of violence in Xinjiang in the past.

Tiananmen crash: Terrorism or cry of desperation?

'Information vacuum'

The relationship between the E.T.I.M. and the T.I.P. is unclear. Some analysts suggest that the two may be part of the same organization.

The T.I.P. has been cited in previous years as threatening revenge over Chinese treatment of Uyghurs, but little is known about the group.

"As far as anyone knows, the Turkestan Islamic Party may only exist in name alone," said Nicholas Dynon, a researcher at Macquarie University in Australia. "It has been referred to as one of the many jiangdu (or, Xinjiang independence) groups for many years, yet no one is quite sure whether or not they exist - at least in their own right."

The available evidence on separatist organizations in Xinjiang points to "several disparate groups that neither have a history of coordination nor -- it would appear -- the means or will to coordinate," he said.

"What we know of them is largely through two diametrically opposed parties: the Chinese government and Uyghur diaspora groups," Dynon said. "And the truth about T.I.P. and its counterparts lies somewhere in the information vacuum between the two."

He said he was skeptical that the T.I.P. had carried out the Tiananmen attack.

"Jiangdu groups have supposedly claimed responsibility for attacks outside of Xinjiang in the past, but such claims have never been verified," he said.

CNN's Katie Hunt contributed to this report.

@highlight

A monitoring organization cites a video posted by the Turkestan Islamic Party

@highlight

The group's leader says the Tiananmen Square attack is "only the beginning"

@highlight

The attack in Beijing last month killed five people and wounded 40 others

@highlight

China has said a Uyghur separatist group instigated the attack