Delhi, India (CNN) -- There are more elephants in India than Mormons. Five of the rare Mormons are in a Bible class in the Church of Jesus Christ of Latter-Day Saints, which occupies a portion of a red residential building in south Delhi.

The class has just been disrupted by me with a weird question. All the five Mormons are adolescent girls, almost modern at first glance in jeans and skirts and t-shirts. For some reason the question has made them burst into giggles and to make eyes at each other.

Only one of the girls knows the answer. "Mitt Romney is a presidential candidate," she says in a mumble. Others nod to indicate that the name is now familiar. But they look surprised when they are told he is a Mormon.

In this church, as in the rest of Delhi, there has been very little interest in the American presidential primaries. In the last several months, the Indian media has been joyously preoccupied with substantial domestic scams, scandals and political tremors. Even after Romney emerged as Barack Obama's challenger, the Indian media has viewed the presidential battle as peripheral news.

Tokyo postcard: Enjoying the U.S. political "matsuri"

No doubt, as the campaign escalates, the U.S. election will become the predominant news in India but for now it is not a popular topic of discussion.

In Sheraton Hotel's Pan Asian restaurant, an upper middle-class family of about 30 people has arrived to consume the buffet and celebrate the birthday of a woman who is a doctor trained in both Western medicine and homeopathy. (Almost every Delhi family has at least one loveable homeopath, usually a woman, who will diagnose the ailing relative over the phone and home-deliver the sugar pills.) An elder lights up a cigarette even though it is against the law to smoke in any of Delhi's restaurants. The waiter pretends that he has not seen it because he knows he will be abused if he tried to stop.

The young, many of whom have studied in America, flock together and chat about an impending wedding in the family. They are very aware of American politics, and they admire Obama, but the elections do not interest them yet, probably because the media is yet to show them the way.

But one of them, who is an executive with a healthcare firm, is interested. "I can't stand Indian news channels anymore," he says, "they have no news. They just scream all the time. So I have started watching CNN and BBC. So I can't help it, I follow the American elections."

Paris postcard: Marvelling at Obama's "coolitude"

You ask a crowd of this type, the young especially, who they would like to see as the next American president, and their answer will be unambiguous -- Obama. For them, the American presidential election is somehow a war between good and evil. Democrats are good, liberal and very New York and California. Republicans are evil, too Christian and Texas.

But the scholarly view in Delhi has long been different: Democrats may be handsome and clever, but Republican presidents suit India better. Not surprisingly, last month, an editorial comment in the largest English newspaper in India, The Times of India, announced:

"Barack's got a bee in his bonnet about India - the current president does go on a bit about India being, ahem, a threat to American professionals, Indian children studying maths earnestly while the Yankees doodle their days away, the US getting 'Bangalored', supposedly losing jobs to harder-working Indians. To charge his people into action Barack's not above reviving the Injun spectre once again, targeting this time the Punjabi rather than the Shoshone. In contrast, Romney doesn't say much anyway - and when he does speak, it's not about India. Surely that's a blessing. Traditionally too, the Republican leadership doesn't care overly much about kid stuff like school grades - their business is with business, so a Mitt in the White House might mean more dollars for Delhi. But then, there's a flip side - we may need to learn robot language."

For Indians, the elimination of Osama bin Laden last year by U.S. Navy SEALs was as significant as where he was found -- in a mansion in the heart of Pakistan, in the happy company of his large family, including a wife who has been frequently described as "young."

The subsequent collapse of the arranged marriage between Obama's administration and Pakistan's military leadership, is viewed in Delhi as a good development for India's security. Yet the general perception in the capital is that Republicans will be tougher on Pakistan than the Democrats.

It is a view that will be repeated many times this year by political experts in the newspapers, on chat shows and in the nocturnal congregations of journalists and think-tank scholars, of whom there are many in Delhi. But even they will find it hard to deny their love for Obama, the articulate non-white from Harvard. It is an affection they share with the capital's powerful, including politicians.

When Obama visited India for the very first time, in 2010, a senior politician personally supervised the design of the new uniform that the Parliament's security officers were to wear, and she also briefed the members of the parliament how they should behave in Obama's presence so that they looked elegant. (There was a near stampede when Bill Clinton had visited in 2000 and it was all very embarrassing.)

Cairo postcard: A cynical eye on the U.S. election

Indians look at the two-party system of America with the ache of longing. Indian national elections, which are due in 2014, unless the government lead by the Indian National Congress falls before its time, is a festive circus of dozens of parties, most of which are actually family businesses which will be transferred by the elders to their children.

There is probably not a single political journalist in the country who can name, without looking at reference material, all the political parties that contest in the national elections.

But there are some similarities between the American system and the two major political rivals of India. The Indian National Congress has overt and covert socialist tendencies. It is willing to help the poor at the expense of the middleclass. The party is, in theory, liberal. In fact, it has interpreted secularism to mean equal opportunity for thugs from all religions.

The other major party, the opposition Bharatiya Janata Party, is largely a conservative, capitalist, middle-class force that is often baffled over why it is so hard for people to accept that India is fundamentally a Hindu country.

There must be something about human nature that divides the species into Democrats and Republicans.

@highlight

Many admire Obama, but Delhi academics say Republican presidents are better for India

@highlight

Regardless of the outcome, Manu Joseph says India envies America's two-party system

@highlight

Joseph says Indian media will find it hard to deny their love of Obama in lead-up to election