(CNN) -- The Syrian government launched a major military operation Monday, sending thousands of troops into the town where the country's uprising began to carry out what witnesses described as a brutal, wider-scale crackdown.

The United States threatened sanctions against the country, calling for a halt to Syria's "deplorable" actions. At the United Nations, a draft statement condemning the violence was being circulated among security council members, a U.N. diplomat said.

Between 4,000 and 5,000 members of the Army and security forces equipped with tanks raided the southern city of Daraa just after 4 a.m. and began shooting indiscriminately, in some cases shooting into homes as people slept, according to an activist with the Syrian Observatory for Human Rights.

Seven people were confirmed killed in the city, the activist said.

Other witnesses described a trail of dead bodies in the streets.

"Ambulances could not help the injured because of the snipers and army officers who are deployed all over the city," one witness in Daraa said. "They shoot on anything that moves."

A military official -- the second commander in a brigade that entered Daraa -- defected over the violence, according to the activist with the human rights group and another opposition source. The commander was then arrested, the activist said.

The Syrian government had a different account of events in Daraa.

"In response to the calls for help from the citizens of Daraa and their appeal to the Armed Forces as to intervene and put an end to the operations of killings, vandalism, and horrifying (actions) by extremist terrorist groups, some army units entered ... Daraa to restore tranquility, security and normal life," state-run news agency SANA reported, citing an official army source.

Several members of such groups were arrested and "huge quantities of weapons and ammunitions" were confiscated, the government said, adding that confrontations "caused the martyrdom" of some members of the army and security forces as well as deaths and injuries among "some members of the extremist terrorist groups."

In the Damascus suburb of Douma, security forces were out on the streets and arrested numerous people, a witness said, comparing the city to a prison.

U.S. Assistant Secretary of State Jeffrey Feltman summoned Syrian Ambassador Imad Moustapha on Wednesday to express concern about the violence in Syria, State Department officials said.

The United States is preparing new sanctions against members of Bashar al-Assad's regime who are overseeing the violent crackdown, according to several senior U.S. officials with knowledge of the action. A new Treasury Department executive order targeting senior officials accused of human rights abuses would involve an asset freeze and travel ban, as well as prohibiting them from doing business in the United States.

"The Syrian people's call for freedom of expression, association, peaceful assembly and the ability to freely choose their leaders must be heard," Tommy Vietor, a spokesman for the U.S. National Security Council, said in a statement.

A U.N. diplomat said a draft security council statement sponsored by France, Portgual, and the United Kingdom condemned the violence and called for restraint. It also supported Secretary-General Ban Ki-moon's call for an independent investigation on the matter.

The draft was to be formally introduced Monday, and a final statement could be agreed upon by Tuesday, the diplomat said.

U.N. human rights chief Navi Pillay issued a statement saying Syria has offered "paper reforms followed by violent crackdowns on protesters."

Her office has received a list naming 76 people killed on Friday during evidently peaceful marches, but the number may be much higher, Pillay's office said. The office is also looking into reports of 13 people killed in funeral processions Saturday.

Anti-government protests that have taken hold in many parts of Syria began in Daraa last month following a violent crackdown by security forces on peaceful demonstrators protesting the arrests of youths who scribbled anti-government graffiti. Protesters have asked for freedom and regime reform, and public discontent with al-Assad's government has mounted.

Activists also want the easing of the ruling Baath Party's power and a law that would permit the establishment of independent political parties.

In recent days, witnesses in Syria had told CNN they want the security apparatus, which includes Syria's secret intelligence operatives, dissolved, and would rather see the army take to the streets. They believed the army would be friendlier to protesters, as was the case in the Egyptian uprising earlier this year, but video from Syria on Monday showed what appeared to be members of the army carrying out al-Assad's crackdown.

The activist with the Syrian Observatory for Human Rights said Syrian forces occupied two mosques and a graveyard, and snipers were located on rooftops.

Another witness also described the onslaught of tanks invading Daraa.

"Before dawn prayers, around 4:30 a.m., the Syrian security forces broke into Daraa," the witness said. "There were so many tanks that entered the city from its four corners. People were heading to mosques when the attack started. People in mosques started warning the people through loudspeakers, but the gunfire had already started."

Witnesses added that ambulances were not allowed into the city and that electricity and phone lines were down. None of the witnesses wanted their names used for fear of reprisals.

CNN has not been allowed into Syria and is unable to verify independently the witness accounts.

Douma was surrounded by security forces Monday, not by the military, a witness told CNN. They seemed to be in every alley in the city, preventing people's movements and carrying out arrests, the witness said, adding that 15 of his friends were arrested.

Following morning prayers, intense gunfire was heard in the city, the witness said, adding that he did not see casualties in his vicinity but did not know about other areas in Douma.

Cautious calm followed later in the day, he said. Shops were closed, and people were frightened, the witness said, comparing it to "living in a big prison cell."

"As we woke up in the morning we started hearing that the Syrian security forces are arresting people randomly in (Douma)," activist and human rights lawyer Razan Zaytouni said from Damascus. "Many of these men are our colleagues and friends. I do not know the exact number yet because telephones are down. We are contacting our fellow activists through other ways other than telephones ... we are worried we cannot know their destiny."

Monday afternoon, Jordan Foreign Minister Nasser Judeh confirmed to CNN that Syrian authorities have closed off the border with Jordan.

Because Daraa lies on the border, sealing it makes it difficult for besieged residents to flee the military offensive.

The Syrian government has accused protesters of shooting at security forces, while opposition activists and demonstrators accuse the government of killing demonstrators.

The Syrian government and security forces have been largely silent over the past month and generally speak only through state media. There was no immediate word from the Syrian leadership about the reports from Daraa on Monday.

SANA reported Monday that "seven martyrs who were killed in Nawa near Daraa by armed criminal groups were laid to rest." So were two "martyrs" killed in Moathamia, in the Damascus countryside, the report said, citing "an official source at the General Command of the Syrian Army and Armed Forces."

A military doctor "said that the martyrs' bodies had signs of mutilation that defies all humane principles, and that the firearm injuries were made to the head, torso, back and limbs of the victims, and that the bodies were mutilated with knives and sharp implements afterwards," the report said.

"The towns of Soda and Shas in Tartous, Syrian coast, escorted three of its sons who were martyred at the hands of armed criminal groups in Jobar near Damascus at Souk al-Hal while marketing their crops," the report said.

"The criminals intercepted them and shot them to death, then mutilated their bodies afterwards."

The report added that the "martyrs' relatives affirmed that the Syrian people are aware of the conspiracy targeting Syria and that they will confront it, expressing pride that their sons were martyred."

CNN's Raja Razek contributed to this report.

@highlight

NEW: The United States summons the Syrian ambassador in Washington

@highlight

Syria says Daraa citizens wanted the army to stop "terrorist groups"

@highlight

The United States is preparing new sanctions

@highlight

Syria reports "martyrs" killed and mutilated by "armed criminal groups"