NEW YORK (CNNMoney.com) -- After enduring one of the most dramatic days in its history, Wall Street received a climactic jolt Monday when Lehman Brothers, a 158-year-old investment bank undermined by bad bets on real estate, said it will file for bankruptcy.

Lehman's stock prices have plummeted 94 percent this year.

The fall of Lehman followed a wild, three-day scramble by top Wall Street executives and federal regulators who worked around the clock to come up with a solution to a still-unfolding financial crisis.

By the end of the weekend, the Federal Reserve had stepped in to try to calm the markets by announcing plans to loosen its lending restrictions to the banking industry.

A consortium of 10 leading domestic and foreign banks had agreed to create a $70 billion fund to lend to troubled financial firms.

And two major financial companies -- Bank of America and Merrill Lynch -- were finalizing a merger. Another -- American International Group -- was reportedly struggling to secure billions of dollars in capital.

But it was the fate of Lehman that gripped Wall Street.

After weeks of speculation about its health, Lehman's fate took a turn for the worse Sunday when Bank of America and British bank Barclays, both viewed as potential "white knights," pulled out of deal talks, according to sources.

"This looks like the end," a Lehman executive, who declined to be identified, told Fortune on Sunday afternoon.

Bank of America turned to merger talks with Merrill. Both the Wall Street Journal and the New York Times reported that a deal, which could be worth about $40 billion, was all but finalized.

Hours before Bank of America pulled out, Barclays had abandoned talks to buy Lehman, a source close to the situation told CNNMoney.com.

All the while, top Wall Street officials and federal regulators, who began meeting Friday, spent much of their Sunday at the Federal Reserve Bank of New York in the hopes of devising a plan to save Lehman and allay fears that threatened to roil U.S. financial markets Monday.

Meanwhile, broader efforts to tackle problems plaguing the entire industry are under way.

The Federal Reserve announced a series of steps to support the financial markets. The Fed said it would expand its short-term lending to banks by starting to take all investment-grade debt as collateral -- instead of just Treasuries and other high-grade securities.

"The steps we are announcing today, along with significant commitments from the private sector, are intended to mitigate the potential risks and disruptions to markets," said Fed Chairman Ben Bernanke. (Full story)

Similarly, a group of 10 commercial and investment banks including, among others, Goldman Sachs, Citigroup, Barclays and Morgan Stanley, agreed to pony up $7 billion each to create a $70 billion lending pool to help troubled institutions.

The measure would also help resolve exposure between Lehman Brothers and its counterparts, the companies said. (Full story)

Treasury Secretary Henry Paulson, who has led efforts to help get the U.S. housing market and the broader economy back on track, applauded the plan and steps taken by regulators.

"These initiatives will be critical to facilitating liquid, smooth functioning markets, and addressing potential concerns in the credit markets," Paulson said in a statement.

Yet the last-minute efforts provided little comfort to financial markets around the globe. As of Sunday evening, U.S. markets were headed for a steep selloff at the start of Monday's session.  Watch early global market reaction to the Lehman bankruptcy »

Futures in the Dow Jones industrial average, as well as the broader Nasdaq composite and the Standard & Poor's 500 were as much as 3 percent lower, before paring some of their losses.

Investors already started piling into safe-haven Treasuries as the yield on the benchmark 10-year note dipped to 3.565 percent from 3.72 percent late Friday.

That nervousness also spread to the currency markets as the dollar eased against both the euro and the yen.

Adding to those concerns was news that insurance giant AIG planned to unveil a restructuring plan that will include the sale of part of its business to raise cash and boost investors' confidence, according to a published report. (Full story)

Investors are also likely to await more data about troubled savings and loan Washington Mutual, which sought to provide assurance about capital levels on Thursday.

What could help temper a market selloff is the widely anticipated Bank of America-Merrill deal, said one expert. (Full story)

"This sort of offsets the Lehman thing," said Dan Alpert, managing director of the boutique New York City-based investment bank Westwood Capital. "But the reality is that it is just a short-term impact."

Still, much of the market's focus ahead of Monday was on the endgame for Lehman. The hope was that some solution could be found by early Monday morning in the U.S. -- before financial markets open in Europe. Most Asian markets are closed for a holiday Monday.

But the abandonment of Barclays and Bank of America left Lehman Brothers teetering.

During the afternoon, and adding to the dark cloud hanging over Lehman, the International Swaps and Derivatives Association staged a special trading session so that big brokers could limit their Lehman Brothers risks.

The session was called "to reduce risk associated with a potential Lehman Brothers Holding Inc. bankruptcy," according to a statement on the ISDA's Web site.

Lehman -- one of the nation's largest and oldest investment banks -- has suffered a dramatic and rapid descent. Its shares, which sold for as much as $67 in the past 12 months, have plummeted 94 percent this year and now trade at $3.65.

In the past six months, the company has reported $6.7 billion in losses due largely to bad bets on real estate. At the same time, concern is growing about problems throughout the financial sector.

Chaotic week

A chaotic week for Lehman and Wall Street The talks followed what has been one of the most tumultuous weeks ever on Wall Street.

Things first started to unravel at Lehman last Tuesday following reports that talks between the state-run Korea Development Bank, who was rumored to be interested in buying a stake in Lehman, had ended.

That, combined with the threat of a downgrade by some of the credit ratings agencies, led to a bloody sell-off in the firm's stock.

Hoping to finally put all the rumors to rest, the company released its third-quarter results more than a week in advance on Wednesday, booking a nearly $4 billion loss and announcing a drastic restructuring plan. (Full story)

Investors were unconvinced though and the sell-off in Lehman shares continued, with the stock plunging 42 percent last Wednesday.

By Thursday evening, it was widely reported that Lehman was actively seeking a buyer for the entire firm. The company reportedly reached out to a number of suitors, including Bank of America and Barclays.  Watch the impact on global markets from Lehman's financial woes »

Speculation also surfaced Friday that J.C. Flowers & Co. and other private equity firms were considering a bid for all or parts of Lehman. Current regulatory restrictions prevent buyout firms from owning a bank outright, although the Federal Reserve has eyed loosening those restrictions as bank failures pile up.

But as Friday wore on without any news of a deal, Lehman's stock wound up falling another 13.5 percent. Shares plunged 77 percent during the course of the week, setting the stage for regulators to call upon banking executives to get together Friday night and begin talking about ways to hash out an end to the Lehman crisis.

High-profile deals

Lehman's bankruptcy marks a bitter coda for one of Wall Street's oldest and most well-known firms. Getting its start as a modest cotton-trading firm in Montgomery, Alabama, in 1850 by German immigrant brothers Henry, Emanuel and Mayer Lehman, the firm saw its fortunes rise and fall along with the rest of Wall Street.

After World War II, Lehman's profile grew as it advised such household U.S. companies as Ford, Campbell Soup and Philip Morris on deals, before expanding overseas into Europe and Asia in the 1960s and 1970s.

The firm also became a breeding ground for high-profile dealmakers. Both Steve Schwarzman and Pete Peterson, co-founders of the private equity giant Blackstone Group, worked for Lehman in the early 1980s.

But Lehman's rise was cut short in April 1984, when the company agreed to be purchased by Shearson/American Express for $360 million. The company emerged independent just seven years later, albeit in much weaker shape than it was before.

It was around that time, however, that CEO Richard Fuld Jr., assumed the helm at Lehman and the firm went public after splitting off from American Express.

Known for his direct approach and staunch loyalty to the firm, Fuld transformed Lehman in the decade that followed from a lowly bond trading house into a worthy adversary of larger investment banks Goldman Sachs and Morgan Stanley.

Still, there were bumps along the way for the long-time Lehman chief, including the Russian credit crisis and the painful collapse of the hedge fund Long-Term Capital Management in the late 1990s.

Fuld was quick to remind investors of those painful days and subsequent comeback during a conference call Wednesday, just after the company revealed its nearly $4 billion third-quarter loss.

"But the obstacles Lehman faced this time around proved too tough for Fuld to overcome. Fortune's Roddy Boyd and Telis Demos contributed to this report.

@highlight

U.S. investment banking giant Lehman Brothers to file for bankruptcy

@highlight

Lehman had incurred billions of dollars of losses in the U.S. mortgage market

@highlight

Merrill Lynch agrees to be taken over by Bank of America

@highlight

Asian markets tumble amid U.S. financial turmoil