(CNN)There are two paths to practicing medicine in America. There's the traditional, time-tested way, where new doctors graduate from medical school and then pass a series of national exams while training for years as resident physicians. Then there's the approach being forged in Florida and Arizona: getting elected to a state legislature.

Lawmakers in those states are too often donning the white coats to orchestrate medical practice. In 2011, Florida enacted the Firearm Owners' Privacy Act, which threatens prosecution and loss of licensure for any physicians who dare ask their patients about gun ownership and gun safety.  Guns are a scientifically uncontested health risk. Asking about them is standard practice in pediatrics and psychiatry.

I treat brain injuries, and it's part of my job to talk with patients about things that might be unsafe for them, like driving. And handling weapons. Some of those I treat suffered their injuries by bullets, typically fired by family members or themselves. Does anyone really believe I shouldn't talk about gun safety in these cases? It's a good thing I don't practice in Florida.

Florida's gun censorship law was dragged into court soon after the governor signed it, and while a three-judge appeals panel upheld the law last summer, doctors can still ask about guns while the full 11th Circuit Court of Appeals decides whether it will take up the case, a decision that could come down any day, the president of the Florida chapter of the American Academy of Pediatrics, Dr. Tommy Schechtman, told me. He is a plaintiff in the case.

In Arizona, another assault on physician free speech is scheduled to go into effect this summer. Bill 1318 goes a step beyond silencing doctors. It requires them to lie.

The bill was originally a hum-drum attempt to block health plans from covering abortion services, a common state and federal strategy. But legislators slid in a last-minute provision mandating that physicians who prescribe the abortion pill RU-486 tell patients the pill is reversible.

That's the opinion of a particular San Diego doctor who says this can be done through risky, large doses of progesterone. But the doctor hasn't proven his case, and his regimen is not recommended by the American College of Obstetricians and Gynecologists or the Food and Drug Administration.

Any doctor is certainly within his or her rights to review the limited information available about the San Diego regimen and decide whether to discuss it with patients, but actually requiring physicians to make claims most believe to be untrue and unsafe means the legislators are overstepping their bounds and interfering with the patient-doctor relationship.

I cannot imagine anyone attempting to put words into the mouth of a lawyer privately consulting with a client. Why are physicians putting up with a professional assault the American Bar Association would never permit?

Dr. Ilana Addis, chairwoman of the Arizona chapter of the American College of Obstetricians and Gynecologists, told me the amendment was added shortly before she was scheduled to testify about the bill before the Arizona House. While Planned Parenthood and the ACLU joined her organization in criticizing the provision, the bill passed both chambers and was recently signed by the governor.

There's a common relationship shared by these laws, beyond turning doctors into government spokespeople. These laws capitalize on controversial issues to divide and conquer. Physicians don't all share the same opinions on abortion and guns any more than they all vote Republican or Democrat. This is part of the reason the key state physicians' associations aren't taking the lead in battling these laws.

The battle is left to the specialties most affected. In Florida, that's the state's chapter of the American Academy of Pediatrics, since pediatricians are most likely to ask about guns in the home. In Arizona, it's the state chapter of the American College of Obstetricians and Gynecologists carrying the torch for physician free speech.

The Florida Medical Association didn't provide me with details about whether it has a lobbying effort against the gun law, and the Arizona Medical Association told me in a statement that "ArMA's policy is to take no position on abortion."

Representing physicians as a whole, the state medical associations have the most political clout in statehouses. The Massachusetts Medical Society (MSS) tried to utilize that power recently when it decided to dedicate "Doctor's Day" to the issue of physician free speech, highlighting the threat posed by Florida's gun law in particular. Members are concerned about the precedent being set. Arkansas enacted a law similar to Arizona just days later.

The American Medical Association can do more. It did file a friend-of-the-court brief as part of the Florida legal challenge, but at this writing hasn't weighed in on Arizona. The AMA didn't sign on to a statement released last  week by the Coalition to Protect the Patient-Provider Relationship that hits hard on the new abortion laws as an affront to good medical care.  Its huge lobbying operations are tied up in Washington, while states are the main battleground over the integrity of medical practice.

Now that the AMA has won the age-old "doc fix" battle, ending automatic Medicare payment cuts to doctors, perhaps it will consider assigning some of its $18 million lobbying team to stand in for lackluster state affiliates who've abdicated their responsibility to vigorously defend the medical profession.

We have a Surgeon General now, Vivek Murthy, and he is on a national listening tour while he prepares to announce his areas of policy focus on April 22, Jonathan Beeton, a Health and Human Services spokesman told me. I hope Murthy will see beyond the bluster of abortion and gun politics and zero in on a key issue affecting public health -- free and unfettered communication between patients and doctors.

@highlight

Ford Vox: Florida law keeps doctors from talking gun safety with patients; Arizona law forces doctors to promote disputed abortion claim

@highlight

He says doctor organizations are failing to defend medical profession against politically motivated interference by clueless lawmakers