(CNN) -- Nature abhors a vacuum but terrorism relishes one. And Iraq appears to be offering new space for al Qaeda and other militant groups, as political rivalries and sectarian animosities deepen.

The coordinated bomb explosions across Baghdad Thursday -- which killed more than 60 people -- bear the hallmark of Islamic State of Iraq (ISI), which is closely associated with al Qaeda.

No other group in Iraq has shown itself capable of such synchronized suicide attacks. Some, but not all, of the bombings were in Shiite neighborhoods; frequently al Qaeda's targets appear indiscriminate as part of a strategy to sow fear and stir sectarian tensions.

The attacks come as Iraq's Shiite Prime Minister, Nouri al-Maliki, demands the surrender of Iraq's Sunni Vice-President, Tareq al Hashimi, on charges that he ordered bombings and assassinations.

Hashimi has taken refuge in the northern Kurdish-administered part of Iraq, and the country's always-fragile tripartite balance now appears to be in grave danger -- with the restraining effect of a U.S. military presence gone.

Ramzy Mardini, of the Institute for the Study of War, believes the presence of U.S. troops helped stabilize Iraq's political discourse, and "their premature removal from the political space has altered the manner on which Iraq's actors interact."

But even before their departure, there were ominous signs, as two largely Sunni provinces declared their intent to become autonomous regions. Those moves appeared to have the support -- or at least sympathy -- of Vice-President Hashemi.

Al Qaeda in Iraq has shown before that one of its aims is to spark sectarian bloodshed between Iraq's Sunnis and Shiites.

Under the leadership of Abu Musab al-Zarqawi, it carried out a double bombing of one of Shiite Islam's most holy places -- the Askariya shrine in Samarra -- in February 2006.

The plan nearly worked: there were retaliatory attacks against Sunni mosques and for nearly two years Iraq was mired in sectarian bloodletting.

In words that may apply equally today, Iraq's national security adviser at the time, Mowaffak al-Rubaie, said: "The main aim of these terrorist groups is to drag Iraq into a civil war."

While political violence in Iraq is nowhere near its peak of 2006-07, it has never gone away.

ISI regrouped after the death of Zarqawi, and after losing support within the Sunni community because of its vicious attacks on civilians.

Iraqi officials speak of a "third generation" of al Qaeda in Iraq, with fewer foreign fighters and more battle-hardened Iraqi Sunnis.

Analysts say ISI has turned to bank raids and other forms of crime to finance its activities, and is targeting police patrols in areas where it is strong, largely north of Baghdad.

U.S. officials say that unlike al Qaeda under Zarqawi, the group no longer holds swathes of territory, but acts in smaller cells.

It is strongest in the city of Mosul, 260 miles north of Baghdad and one of Iraq's many sectarian faultlines.

The city is a base for ISI but rarely suffers from its violence. But it has shown it can operate across the country.

On one day in August, 13 people were killed and dozens injured in attacks blamed on ISI. Two bombs in Baghdad killed 18 people at the end of October.

U.S. officials expected ISI to step up its campaign on the heels of a U.S. withdrawal. The former spokesman for the U.S. military in Iraq, Major General Jeffrey Buchanan said: "It's likely they will try to harbor their resources for a significant series of attacks after the U.S. military withdrawal if for no other reason than to demonstrate their relevance."

He added that "since August al Qaeda has been working really hard to foment sectarian conflict," and warned that "if the Iraqi security forces are not able to put pressure on them, they could regenerate."

But when the U.S. military left Iraq, it took its intelligence-gathering with it -- making the job of Iraqi counter-terrorism units more challenging still.

"Without all the enablers we provide, there's no doubt there will be less capability than there is right now," Buchanan said a few weeks ago.

Shiite militias -- often supported by Iran -- have emerged to counter the threat of Sunni militancy.

And as Iraqi security forces have gone after Sunni militants, the balance of power has tipped toward these Shiite militias -- groups like Asaib ahl-Haq and Kata'ib Hezballah.

U.S. officials contend that Shiite groups sponsored by Iran were a greater danger than al Qaeda to the country's stability.

Despite his good relations with Iran, Prime Minister Maliki is well aware that its influence is a double-edged sword -- and is anxious that Iraq does not become a battleground between the Islamic republic and the Sunni monarchy in Saudi Arabia.

"We do not allow Iran to use us against others that Iran has problems with, and we do not allow others to use us against Iran," he said last week.

But Iraq has little control over its own borders, and a former U.S. military officer who served in Iraq told CNN last week that its security forces were still largely divided on sectarian lines.

The situation in neighboring Syria adds another dimension to the situation. Thousands of Sunnis took refuge there after the fall of Saddam Hussein, but if the regime of President Bashar al Assad falls, they may need to return home.

Maliki has already said that Assad's fall could set off a regional sectarian crisis -- one reason perhaps that his government has opposed Arab League sanctions against Syria.

And some Iraqi Shiites see a Saudi hand at work in Syria. For its part, Iran has all the more reason to reinforce its influence in Iraq should its long-time Arab ally in Damascus be ousted.

This regional volatility only adds fuel to an always combustible internal situation.

Last week, U.S. Defense Secretary Leon Panetta said after a visit to Baghdad: "The leadership of Iraq is committed to a strong and sovereign and independent Iraq and for that reason I am confident they are going to succeed."

Al Qaeda and its enemies at the other end of the religious spectrum are doing their best to prove him wrong.

@highlight

Bombings are an indication that terror groups in Iraq are finding space to operate

@highlight

Attack came as Iraq's Shiite prime minister orders arrest of Sunni vice-president

@highlight

Iraqi officials speak of a new al Qaeda made up of Sunni fighters; U.S. officials say Shiite groups sponsored by Iran are a bigger danger

@highlight

Meanwhile the prime minister does not want Iraq to be a proxy battleground for Saudi Arabia and Iran