Orinda, California (CNN) -- As he lies in bed, Ryan Buchanan's eyes flutter open. He gazes into his room but fixates on nothing. A stuffed toy lies motionless in his left hand.

Every two hours, a nurse turns him: first on his back, then to the right, then to the left.

Fourteen medications course through his gastrointestinal tube, given at different hours of the day. His parents or nurses monitor his oxygen levels, change his feeding bag, clean the various tubes that help him survive.

All this is happening in his bedroom, in the same home where Ryan grew up, learned to crawl, played with his dog and painted a California golden bear on his bedroom wall.

This is also where his family hopes he will awake from his yearlong ordeal.

The 17-year-old is in a persistent vegetative state after a beach accident deprived his brain of oxygen for more than 15 minutes.

Ryan's parents, Bret and Janine Buchanan, turned their own bedroom into a hospital ward for their eldest son. Metal shelves in the room are stocked with adult diapers, splints, catheters and syringes.

Increasingly, families like the Buchanans are bringing children with complex medical needs home for long-term care.

In previous decades, children with neurological injuries would stay in hospitals or other facilities for the rest of their lives. Today, children are being moved through these institutions more quickly, said Dr. Ellen Elias, director of the clinic for kids with special health care needs at Children's Hospital Colorado.

Part of the reason is that children with these and other health issues are living longer thanks to medical advances. Another reason for the change in care comes from the insurance companies' refusal to pay for long inpatient stays, Elias said. Children requiring long-term antibiotics, feeding tubes and/or ventilator support are now sent home with nursing care, rather than living months at a time in the hospital.

"It has changed dramatically. So many things we used to keep kids in the hospital (for), we can now take care of in the home instead."

Elias is the lead author of an article published in the journal Pediatrics in April that outlines ways to transition complex pediatric patients home from the hospital.

"We send very complicated kids home for their parents to take care of them," Elias said. "This puts a huge amount of stress and responsibility onto parents. We realize this is an incredibly daunting task."

Home care places demands on parents' time and finances, as well as their emotional and physical well-being. The most complex patients can require 24-hour nursing shifts, a rigorous medication schedule and various treatments. The cost can be staggering: Ryan's monthly care is about $40,000.

Home care costs less than lengthy hospital stays, but it's still a major expense. The state-funded California Medical Assistance Program, known as Medi-Cal, covers Ryan's home care.

Ryan's condition requires nurses or caregivers around the clock to place his legs in and out of splints, change his feeding bag and bathe him.

"This is just a new life," said Ryan's father, Bret. "I don't look at it as any different than taking care of a normal child."

Deeply religious, the Buchanans have faith that Ryan will recover and wanted to bring him home so he would be in a familiar setting.

Throughout the day, his dad, mom and 15-year-old brother Jacob pop into Ryan's room. A stream of visitors from his high school, youth group and lacrosse team stops by during the week. Sometimes, his family watches football in his room, cheering for teams together.

"We never considered not bringing him home," Bret Buchanan said. "Home is where his family and friends are and where he is most comfortable. Our goal has always been to bring him home when it was safe to do so."

The toll of caregiving can be intense, but parents are often willing to make the sacrifice.

"It's their child. They love them," said Elias, who has seen many parents take their children home. "They want them to be part of their lives."

Ryan always had an easygoing swagger, said his mother, Janine. He aspired to study civil engineering and wanted to go to the University of California, Berkeley, like his dad. Fascinated by architecture, he would build model structures and houses.

As an infant, he played baby Jesus in his local Nativity play, and as a teen, he would strum his guitar playing gospel songs for his church youth group.

Teachers would rave about how much they loved him, said Jacob, who shared a room with Ryan for most of their lives.

"I feel like if I didn't have my brother (growing up), I'd be a mess," he said. "He kind of showed me the ropes and everything. I always wanted to do everything my brother did."

In June 2011, the brothers and about 50 kids from their church went on a supervised youth retreat near Santa Cruz, California.

On a Saturday afternoon, Ryan and his friends started digging a sand tunnel on Sunset State Beach. Scooping the sand with their bare hands and Frisbees, they created an underground passage about 10 feet wide and 7 feet deep.

It was about 4 p.m. when Jacob heard one of his friends shout: "Jacob, your brother is under the sand!"

The tunnel had collapsed, trapping Ryan underneath. There was no sign of him. Teens were screaming, and everyone dropped to the ground, frantically clawing at the sand with their hands to find Ryan, Jacob recalled.

He dropped to his knees and prayed to God: "Lord, if you can do anything, please take him out now. I don't want my brother to die."

By the time rescuers reached Ryan, he was unconscious. But his heart was beating.

Weeks after the accident, the diagnosis became clear: Ryan was in a persistent vegetative state because he had been deprived of oxygen for 15 to 20 minutes.

A month later, doctors asked the Buchanans whether they should resuscitate him the next time Ryan's life was in jeopardy.

"We have hope that he could still recover," his mother told the doctors. "You're going to do everything you can for our son to keep him alive."

After months in hospitals and other institutions, his family brought him home in February.

"He seems more comfortable, relaxed at home," his dad said.

Doctors say it's notoriously difficult to predict the outcome of neurological injuries, especially those stemming from oxygen deprivation. Without oxygen, brain cells die within a few minutes, causing extensive damage.

The situation is dire in most cases, yet no one really knows why a very small fraction of patients emerge from comas.

"When it comes to neurology, there's so much unknown," said Dr. Ricardo Komotar, a brain surgeon and professor at Miami University who is not involved in Ryan's care. "We don't have any statistics. It's very, very rare to be in a vegetative state for a long period of time and wake up."

Still, the Buchanans continue to hope.

The uncertainties and caregiving responsibilities they face are often overwhelming, but the Buchanans say they believe that choosing to sustain his life and bringing him home was best for Ryan.

Every day, Jacob pokes his head into Ryan's room, which is right next to the bedroom they used to share. Having "Rye" at home brings a "sense of normalness," Jacob said. He usually recounts to his brother what happened during each day and even pokes fun of him like he used to.

"I look at him now, and I realize that's the same exact kid," Jacob said. "Why can't he be like the way he was before?"

The Buchanans have set up a website, the Ryan Buchanan Trust, where you can learn more about Ryan and how to help.

CNN's Emma Lacey-Bordeaux contributed to this story.

@highlight

Ryan Buchanan was digging a tunnel at the beach when it collapsed on top of him

@highlight

The 17-year-old was without oxygen for more than 15 minutes

@highlight

The Buchanans are caring for their son, who's in a persistent vegetative state, at home