Hong Kong (CNN) -- U.S. Secretary of State Hillary Clinton arrived in Beijing for talks Tuesday, with competing maritime claims of China and its neighbors expected to dominate the agenda.

Tensions over territorial disputes have spiked this year between China and a string of countries around its coastline -- from Vietnam in the southwest to Japan in the northeast -- and the United States has been drawn into the fray.

Clinton met with Foreign Minister Yang Jiechi Tuesday. She is scheduled to hold a news conference with Yang Wednesday and meet with several leaders, including President Hu Jintao.

Yang welcomed Clinton and stressed "important progress in some areas" in their relationship, according to remarks released by the U.S. State Department.

"Maintaining the healthy and steady development of our relationship serves the fundamental interests of our two countries and two peoples and is conducive to stability, peace, and development in the Asia Pacific region and beyond," he said.

Clinton stressed "the importance of the practical cooperation that underlies our comprehensive relationship."

"We are committed to building a cooperative partnership with China; it is a key aspect of our rebalancing in the Asia Pacific. And we have had a lot of in-depth consultations and high-level meetings over the last three and a half years."

In Indonesia Monday, Clinton reiterated that "the United States does not take a position on competing territorial claims over land." Instead, the U.S. government is pressing China and other countries in the region to agree to a code of conduct and procedures for resolving disagreements peacefully.

Interactive: Asia's disputed islands - who claims what?

But Beijing, which prefers to tackle the disputes bilaterally, has reacted angrily to Washington's involvement in the matter, accusing the State Department of "unfounded accusations" and showing a "total disregard of facts."

The Global Times, a Chinese newspaper affiliated with the ruling Communist Party, said in an editorial published Tuesday that Clinton's diplomacy in the region "has fomented frictions between China and some surrounding countries."

It called on her to "reflect upon the deep harm she is bringing to the Sino-US relationship."

Clinton will have to negotiate such Chinese hostility to U.S. efforts to address the tangle of tensions across the South China Sea and beyond.

More: Islands dispute reopens old wounds

Countries like Vietnam and the Philippines lay claim to some areas of the South China Sea, a 1.3 million square-mile patch of the Pacific Ocean dotted with hundreds of largely uninhabited islands and coral atolls. But China has declared "indisputable sovereignty" over large swathes of the area, which is rich in marine life.

The stakes are raised further by estimates that potentially huge reserves of natural gas and oil lie underneath the seabed.

The scope for conflict was demonstrated in April when a Philippine Navy vessel confronted Chinese fishing boats in a remote rocky outcrop claimed by both countries.

Opinion: Why Asia is arguing over its islands

The resulting naval standoff between the two countries lasted for more than three months and aroused fears of an open conflict before the Philippines withdrew its ships in June, citing stormy weather. The issue of who the lagoon belongs to remains unresolved.

Analysts have expressed pessimism that the disputes in the South China Sea will be defused soon.

"While the likelihood of major conflict remains low, all of the trends are in the wrong direction, and prospects of resolution are diminishing," the International Crisis Group said in a July report.

Tensions have also flared recently over a long-running dispute concerning a group of islands in the East China Sea claimed by China, Japan and Taiwan.

Furious anti-Japan protests erupted across China last month when a Japanese group sailed to one of the disputed islets and symbolically waved Japanese flags.

And on Sunday, the controversial governor of Tokyo, Shintaro Ishihara, dispatched a team to survey the islands as part of an effort to purchase them from the private owners. Chinese state-run media immediately declared the survey "illegal."

The uninhabited islands are known in Japan as Senkaku and in China as Diaoyu, and are privately owned by a Japanese family.

@highlight

NEW: Secretary of State Clinton is visiting Beijing for meetings

@highlight

NEW: Analysts doubt the South China Sea disputes will be soon be defused

@highlight

The United States says it doesn't take sides in the territorial disputes

@highlight

But China has expressed anger over U.S. comments on the issue