Beijing, China (CNN) -- I landed in Beijing on a December afternoon after a conference in Japan. Walking on the air bridge, I looked out of the window and noticed that it was dark.

Subconsciously, I looked at my watch, and it was 4:40 pm. Though it was winter and the sun sets early, it was too early to be so dark.

It turned out to be another day of heavy smog in Beijing. The moment I drove out of the parking lot, I realized how terrible it was. Visibility was extremely low, as if a dense fog had descended upon the city.

The headlights and taillights were hazy, and I couldn't see much beyond the highway. I felt that the air I breathed in was heavier, and that something was irritating my eyes. The joy of homecoming was instantly replaced by the sadness of living in a heavily-polluted city.

Residents of Beijing and nearby cities seem to have become accustomed to such heavy smog, but those in the Yangtze River Delta to the south have not.

So it became national news when, starting from December, Shanghai, Nanjing, and other cities in that region were cloaked in heavy smog for about a week. Schools and highways were closed, and many flights were canceled.

In the past, Beijing was called China's capital of smog.

Now China has a smog belt that extends from Beijing all the way to Shanghai. It took a little more than three years to build up the high speed railway that connects Beijing and Shanghai, but it took less than two years for smog to spread from Beijing to Shanghai. At this rate, the nationalization of smog will be accomplished in even less time.

This new "great leap forward" in pollution could be as disastrous as the Great Leap Forward of the 1950s, when a push to industrialize and collectivize caused a famine that reportedly killed millions of people.

Smog is a major cause of cardiovascular and respiratory diseases. According to Chen Fengjuan, a doctor at the No. 8 Shanghai People's Hospital, the number of respiratory patients treated by the hospital in early December increased by 96%, and medical costs for these patients increased by 195%, compared with statistics from the same period last year.

Though a little bit outdated, a study conducted in 2007 by the World Bank and the Chinese State Environmental Protection Administration reported that 750,000 Chinese people die prematurely every year, mainly due to air pollution in large cities. Thus China may well become sick before it becomes modern.

In the 19th century, China's reputation as the "sick man of East Asia" stemmed from foreign aggression and internal division. Ironically, in the 21st century, that tag is a product of China's growing power.

For a government that has relied on economic performance as a cornerstone of its legitimacy, it has had few incentives to slow down economic development for the sake of environmental protection.

The China model thus boils down to "development at all costs."

Yet faced with mounting public discontent and anger, the central government has taken some measures to address environmental pollution, such as the "Action Plan for the Prevention and Control of Atmospheric Pollution" released in September last year.

To achieve the goals set out in the plan by 2017, the government needs to invest $1.75 trillion, according to one estimate. This is more than twice the amount of the economic stimulus package that the Chinese government launched in 2008.

In defending the government's GDP-centered growth strategy, some Chinese officials point out Western countries also adopted the model of "development first, conservation later" in their early stages of modernization.

This is true, and Western countries paid a dear price too.

In the United States, names such as Donora and Los Angeles still evoke memories of heavy smog and tragic human loss. But one advantage late-developing countries hold is that they can avoid repeating the same mistakes made by early-developing countries. There is no need for millions of Chinese to die prematurely before the Chinese government takes immediate and decisive action to reduce pollution.

These days the "China dream" is a hot topic among Chinese officials and scholars.

The Chinese government certainly deserves credit for the dramatic improvement in material welfare of the Chinese people over the past three decades, which is undoubtedly an important component of the China dream. However, it seems that today the biggest dream of the average Chinese is to have more days of fresh air and blue sky.

If the Chinese government cannot make this come true for the Chinese people, the China dream may well become a China nightmare.

The opinions expressed in this commentary are solely those of Tao Xie.

@highlight

China's "smog belt" is expanding, with disastrous health implications, says Tao Xie

@highlight

China may well become sick before it becomes modern, he says

@highlight

Beijing has taken measures to address pollution but requires more investment

@highlight

The biggest dream of the average Chinese is to have more days of fresh air and blue sky