When George W. Bush couldn't get an immigration overhaul though the Senate, he gave up. When Barack Obama couldn't get a bill through the House, he changed the rules.

Rewriting the immigration system was at the core of Bush's "compassionate conservatism" political brand and was dear to his heart.

"It didn't work," a deflated Bush said on a June day seven years ago when the comprehensive reform effort finally died on Capitol Hill.

Faced with failure, he asked his team if he could reshape the immigration system with his own executive power, but they concluded he couldn't. So Bush -- a president who fought the war on terror with an expansive interpretation of executive power -- moved on to other things for his last 18 months in office.

Obama refuses to accept the same fate.

When immigration reform died in Congress this year, Obama, like Bush, asked his lawyers if he could change the system on his own. This White House team came to the opposite conclusion.

So, more than 500 days since the Senate passed a bipartisan immigration bill, Obama unveiled his plan to go it alone.

In a prime-time address, he announced he would wield executive power to patch up the system as best he could, temporarily shielding up to five million people from the threat of deportation.

He said he had no choice but to go ahead — despite furious claims by Republicans he is subverting the Constitution and behaving more like a king than a weakened president hemmed in by a hostile Congress.

"To those members of Congress who question my authority to make our immigration system work better, or question the wisdom of me acting where Congress have failed, I have one answer. Pass a bill," Obama said.

The president plans to offer temporary relief from deportation to the parents of U.S. citizens and permanent residents, who have been in the country for more than five years. He'll also extend a program that already allows undocumented migrants brought here as children to stay in the country.

The measures are far short of the fix that Obama had hoped a permanent comprehensive immigration bill would provide. And since he was forced to act via executive order, his moves could be wiped out with the stroke of a pen by a future president.

But it's clear that Obama is motivated by far more than the prosaic business of fixing the broken immigration system.

In the two weeks since the Republican rout in the mid-term elections dealt what many had thought was a killer blow to his presidency, Obama has been working at a furious pace. A president who believes he was elected twice to engineer change is not giving up just because Congress is in his way.

Republican House Speaker John Boehner is noticing and warning of retribution.

"President Obama has cemented his legacy of lawlessness and squandered what little credibility he had left," Boehner said.

Reforming immigration was always on Obama's mind when he took office.

"It was on the big bucket list of why he was running for president," said a White House official. "Climate, immigration and health care were problems that have eluded presidents for decades."

"He really thought he had an opportunity to take on all three," the official said. "It looks like he is going to make progress on all three."

Events that led to Thursday night's address had been unfolding for months, a factor that may explain the noticeable lack of drama surrounding Obama's announcement.

WATCH: McConnell: Executive action ignores law

There was none of the excruciating tension or euphoria that greeted other signature moments of the Obama presidency — like the killing of Osama bin Laden, or the passage of health care reform.

Senior administration officials confided that Obama signed off on the final details of the plan when he got back from Asia this week. But administration lawyers had been beavering away for months to flesh out legal justifications.

Many in the White House had thought that it would never get to this point.

In June 2013, when the Senate bill passed, administration insiders thought that the House would put a new law on Obama's desk to sign.

Officials reasoned that if the Republican Party was ever going to capture the White House again, it needed to mend fences with Hispanic voters after Mitt Romney was wiped out among the crucial voting block in 2012.

"It was clear there was going to be momentum for this," the official said.

Knowing his political brand was radioactive for Boehner, Obama deliberately stepped back in the days after the Senate bill passed.

But his patience began to fray as the months dragged on.

All the time, Obama was feeling heat from immigration activists in his liberal political base  — so much so that he made a series of statements to the effect that he couldn't just lash out and fix immigration on his own.

Those comments -- intended to give the House space to do its work -- have instead come back to haunt him and are ammunition for Republicans who say Obama knows he is breaking the law.

In the end, it seems Boehner did not believe his position was sustainable atop a restive Republican caucus if he used Democratic votes to pass a bill

A separate senior White House official said Thursday that the administration had concluded there was no point waiting any longer because Boehner would not promise to bring up a new bill in the new Congress.

"I don't think there will be a moment when the Republicans won't say 'just wait another day,' the official said.

The showdown that precipitated Thursday's speech happened back in June.

Tiger Woods and Phil Mickelson were in the White House at a PGA Tour event — which might have been a rare moment for Boehner and Obama to bond over one of the few passions they share: golf.

But afterwards, the president was seething because Boehner told him he would not be sending him a bill on immigration. The Speaker later said he told the president that the American people simply "don't trust him to enforce the law as written."

The decision came against a backdrop of a boiling crisis on the southern border as thousands of child migrants were teeming across the border.

Republicans charged the human tide was triggered directly by the President's earlier executive order that offered certain categories of Dreamers — undocumented immigrants brought the nation as children — relief from deportation.

In a mid-term election year, Republicans had also been spooked by the stunning primary loss of Republican House majority leader Eric Cantor, who was accused by his insurgent opponent of being too soft on "amnesty."

Obama snapped in an event a few days later in a Rose Garden speech.

"Pass a bill; solve a problem. Don't just say no on something that everybody needs to be done," he said.

@highlight

Obama presses on where Bush failed on immigration

@highlight

Reform core to Obama's 'change' identity

@highlight

White House quit waiting for the House to act