In a much-anticipated report, the United Nations has concluded that chemical weapons have been used in the Syrian conflict.

Experts investigated seven instances of alleged use and found that chemical weapons were either used, or likely used, in five of those instances.

The case that was most clear to inspectors was an August incident near the capital, Damascus.

"The United Nations Mission collected clear and convincing evidence that chemical weapons were used also against civilians, including children, on a relatively large scale in the Ghouta area of Damascus on 21 August 2013," read the 82-page report, which was released on Thursday.

Blood and urine samples from patients there tested positive for sarin and sarin signatures, it found.

Anti-government activist groups say more than 1,300 people were killed in the attack in Ghouta -- many of them women and children.

Graphic video footage showed rows of bodies without apparent injury, as well as people suffering convulsions or apparently struggling to breathe.

U.N. inspectors also said they collected credible information, or evidence consistent with the probable use of chemical weapons, in Khan al Asal, Jobar, Saraqueb and Ashrafiah Sahnaya.

They were unable to corroborate the allegation that chemical weapons were used in either Bahhariyeh or Sheik Maqsood.

The report did not specify whether the government or opposition groups were responsible for the alleged attacks, which happened between March and August this year.

The United Nations estimates that more than 100,000 people overall have died since the Syrian conflict began in March 2011. It began with a government crackdown on peaceful protesters during the Arab Spring movement, then slowly spiraled into a bloody, full-blown civil war.

Rebel leader denies he fled

Also Thursday, a top Syrian rebel commander denied that he had abandoned his post and said he is working to resolve fighting among opposition groups in the country's north.

In the meantime, a decision by the United States and Britain to halt nonlethal aid makes sense, said Salim Idriss, chief of staff of the Free Syrian Army.

Several U.S. administration officials had said that the fate of Idriss, a top rebel commander supported by the West, was uncertain as conflicts persisted between the Free Syrian Army and Islamist groups.

Idriss denied reports that he fled to a Gulf state after the Islamic Front allegedly seized a warehouse held by the Free Syrian Army.

He did leave Syria, but is working at his office on the Turkish border and has not left his job, Idriss told CNN.

In this case, he was already in Turkey when the attack on the warehouse happened, he said.

On Wednesday, Turkey sealed its border with Syria because of the fighting between opposition groups in Syria.

In the past two days, Idriss has been talking with different groups and has tried to resolve their differences, he said.

"The situation in the north of Syria now is very complicated and very dangerous because there are some problems between some groups, and I think we will try and we should try everything now to find a solution for this problem," he said.

The Islamic Front, which announced its formation last month, is an alliance that includes tens of thousands of fighters from some of Syria's most powerful Islamist groups, including Ahrar al-Sham, Suqour al-Sham, the Islamic Army and the Tawhid Brigade. The groups control territory in key areas across Syria and have been fighting forces loyal to President Bashar al-Assad along the critical lines of Damascus and Aleppo, among other places.

The front's formation has diminished the stature of the Western-backed Free Syrian Army and its leadership abroad, the Syrian National Coalition, as leaders inside the country have sought to distance themselves from a command structure criticized for failing to serve the opposition's needs on the ground.

'Infighting is growing'

The seizure of the warehouse this week could prove key in shaping how the United States deals with the Syrian opposition.

"The Syrian opposition has never been a unified fighting force but infighting is growing and, naturally, this is hindering cooperation on the battlefield," said one U.S. official.

"At least temporarily, there will be more turbulence within the opposition as the new groups that have cropped up compete for power.  What isn't clear yet is whether the various factions will refocus attention on toppling Assad or become embroiled in internecine fighting that would play to the regime's advantage."

According to Idriss, the Islamic fighters did not take over the warehouse, but attacked a Free Syrian Army battalion that was protecting it and took its inventory. It was unclear which group gave the orders to attack the battalion, he said.

The inventory that was inside the warehouse -- which was not American aid, Idriss said -- is in good shape and will hopefully be returned.

Idriss admitted that he doesn't fully trust the Islamists, but that an agreement must be reached to control the fighting and form a single command.

The fighting among these groups opposed to al-Assad led the United States and Britain to suspend nonlethal aid to the rebel groups.

"It is very difficult now to pass the support to the right hands. And that's why I can understand the, let me say, freezing the support for a period of time," Idriss said.

The Supreme Military Council of the Free Syrian Army called the allegations that Idriss had abandoned his post rumors.

"Such rumors only serve to impact on the morale of our brothers fighting on the ground at a time when we need to concentrate on stopping the criminal regime, which continues to perpetrate horrific massacres all over the country against our people," the council said in a statement.

@highlight

The United Nations releases a much-anticipated report

@highlight

It finds "convincing evidence" that such weapons were used against children

@highlight

The report does not say who is responsible for the attacks