(CNN) -- If you're going to pursue an elusive killer, you sometimes have to get creative.

A pioneering study into malaria transmission in Kenya, using data gleaned from the cell phones of nearly 15 million people, has given scientists new clues into how the deadly disease spreads.

By tracking the population's movement over a year using cell phone data and comparing it with detailed information on malaria infection rates across the country, the study reveals how human travel contributes to the disease's spread.

The study, led by researchers at Harvard School of Public Health and seven other institutions, could inform how governments -- particularly in sub-Saharan Africa -- act in future to control the disease's spread. Malaria deaths are concentrated in that part of the continent.

Published in the journal Science on Thursday, the study, "Quantifying the impact of human mobility on malaria," gives key insights into a disease that kills a child a minute in Africa, according to the World Health Organization.

"This is the first time that such a massive amount of cell phone data -- from millions of individuals over the course of a year -- has been used, together with detailed infectious disease data, to measure human mobility and understand how a disease is spreading," said senior author Caroline Buckee, an assistant professor of epidemiology at Harvard.

Since the disease is passed on to humans by mosquitoes that carry the malaria parasite, the movement of infected people into areas of lower incidence is an important factor.

Between June 2008 and June 2009, lead author Amy Wesolowski, a Carnegie-Mellon doctoral student, and her team mapped every call or text made by 14,816,521 Kenyan mobile phone subscribers to one of 11,920 cell towers in 692 different settlements.

This allowed them to follow the destination and duration of each trip made from the cell phone user's primary place of residence.

Using detailed data from a malaria prevalence map for 2009, drawn up by the Kenya Medical Research Institute and the Malaria Atlas Project, the researchers determined that malaria largely emanates from western Kenya's Lake Victoria region and spreads east, chiefly toward the capital, Nairobi.

The team "found that a surprisingly large fraction of 'imported' infections â€” that is, infections that are carried by people moving from one place to another â€” wind up in Nairobi, with infected residents returning there after journeys to spots such as Lake Victoria or the coast," the news release says.

This may lead to an increased risk of local transmission within Nairobi and its surrounding areas, despite the lower number of mosquitoes, or "malaria vectors," in urban areas.

The research suggests that efforts to control malaria could benefit from a focus on "source" areas where incidence is high, rather than on areas where fewer people are infected. Human travel patterns mean the parasite is likely repeatedly to be carried back to areas where it has been almost eliminated.

The study advises that on a very local scale, "hot spots of transmission can be targeted by indoor residual spraying, vector habitat removal, insecticides, drug administration, and bed-net use."

But attempts to control transmission by targeting human travel between regions "will be completely different from those that concentrate on local transmission hot spots, focusing on communicating risks to travelers to alter their behaviors, restricting travel patterns, and/or conducting routine surveillance in high-risk areas."

This could mean encouraging people from areas of high prevalence to use insecticide-treated bed nets when traveling to areas of lower malaria incidence to avoid bringing the parasite with them.

It also advises visitors to areas such as Lake Victoria to take greater care not to become infected before their return home.

Wesolowski acknowledges certain limitations such as following only cell phone users in areas where there are cell towers and inability to track people's cross-border movements.

However, the importance of such research into one of the world's largest preventable causes of death should not be underestimated.

There were about 216 million cases of malaria worldwide in 2010 and about 655,000 deaths from the disease that year, according to the World Health Organization.

Understanding and preventing the disease's spread from areas of high incidence is a key weapon in the fight against malaria.

The innovative research could also point the way for other studies into infectious diseases, helped by ever growing rates of cell phone usage worldwide, and particularly in the developing world.

"As mobile phone data sets become increasingly available and representative of entire populations, we anticipate that studies like the one we present here will become common for understanding a range of different infectious diseases, as well as for gaining greater insight into human behavior on a population level," the study's authors say.

The WHO's 2011 world malaria report shows that concerted efforts to tackle the disease can make a difference, with death rates down by more than 25% globally since 2000.

CNN's Faith Karimi contributed to this report.

@highlight

Researchers use cell phone data to track movement of about 15 million people

@highlight

Using data on malaria prevalence, they can see how human travel contributes to its spread

@highlight

Many Nairobi residents carry the malaria parasite back with them after traveling elsewhere

@highlight

A child dies every minute in Africa because of malaria