(CNN) -- On the anniversary of the Sandy Hook massacre, which comes the day after yet another awful school shooting, it's time not only to remember the lives lost on that awful December day but also to reimagine how we think and talk about guns in America.

The typical gun debate pits "gun rights" against "gun control." That frame is so ingrained that we hardly note it when the press describes those who want to reduce violence via firearms as "gun control activists" and those who oppose them as "gun rights advocates." It's an either/or: rights or control.

This binary choice feeds bipolar fear and anger, especially on the rights side, leading to scenes like Alex Jones screaming insanely at Piers Morgan on CNN.

That may make for compelling television, and such conflicts are satisfying to each side's core constituents. But there is a better way to talk about guns -- and, perhaps more importantly, to address the problem of gun violence. And that's to focus on "gun responsibility."

Gun responsibility isn't gun control. It isn't about "controlling" people or banning ownership of guns or confiscating weapons. But neither is it about treating the gun issue as if it were only a matter of rights -- as if everything else, from the safety of our children to the lethality of everyday crime to the reduction of gun suicides or accidents, were irrelevant.

A gun responsibility agenda respects the Second Amendment right to bear arms. It also demands that the right be exercised with the level of responsibility that a functioning society applies to any public health or safety issue.

That means first we shouldn't dismiss gun owners as an undifferentiated mass of zealots, or dismiss gun culture as simply the overcompensating fearmongering of insecure men.

I've fired an M-16A2 semiautomatic rifle at Marine Corps target practice. I've hunted deer and duck with a rifle and shotgun. I can respect those who respect the power of these weapons and the craft of their skillful use.

At the same time, gun responsibility means accepting -- indeed, championing -- reasonable rules and standards for the ownership and use of firearms. Criminal background checks prior to gun purchases, to take one obvious example, should be completely noncontroversial. That's the bare minimum responsibility requires.

Criminal background checks can't prevent every gun death, of course. Similarly, speed limits and seat belt laws can't prevent every highway death. That is no argument for the repeal of either. It's just a reminder that our job as citizens is to make rules that reduce the chances of preventable harm.

Yet on days when there isn't a mass shooting or the commemoration of one, we Americans have accepted as unremarkable an unrelenting flow of 30-plus gun murders a day. Changing that will require changes to both law and norms.

That's why in my home state of Washington I joined a group of citizens to create a grass-roots organization called the Washington Alliance for Gun Responsibility. We're supporting a background checks ballot initiative, but we're also working with faith leaders and parents and others to change the attitude on a deeper level.

This is the zone of common sense, where we each do what we can and where not every curb on our desires is a total surrender of liberty. This is where a large and growing majority of Americans live. Background checks, for instance, garner 80% to 90% support in most public opinion polls.

The idea of gun responsibility can and does appeal to people across the spectrum. A majority of NRA members would likely call themselves adherents. It's not about left versus right. It's just about being adult versus being immature. Adults know that every right carries an implicit duty to others -- that no right, constitutional or not, is absolute -- and they live accordingly. Such mindsets have nothing to do with age.

A group of activists has chosen to designate December 15, the day after the Newtown anniversary, as "Guns Save Lives Day." They'll ignore the desire of Sandy Hook families for quiet by loudly protesting "attacks" on their gun rights. They'll brandish firearms and insist against evidence that more guns means less gun violence. There is a term for this, drawn from adolescent psychology: acting out.

America can't afford to act out anymore. We have a problem to solve, which is tens of thousands of gun deaths a year. A good way to honor the children of Sandy Hook Elementary school is to thank gun owners who behave like adults, to support policies that encourage greater gun responsibility -- and to remember that this is how we fulfill our Second Amendment duties.

The opinions expressed in this commentary are solely those of Eric Liu.

@highlight

The anniversary of Newtown massacre is coming up; let's re-examine gun debate

@highlight

Eric Liu: Stop thinking "gun rights" vs. "gun control;" instead, think "gun responsibility"

@highlight

He says a gun responsibility agenda means respecting gun owners and their rights

@highlight

Liu: It also means championing reasonable standards like background checks