(CNN) -- Cars have Global Positioning System devices to pinpoint where drivers are when they get lost, so why can't GPS be used to locate the exact position of planes when the worst happens?

There is currently no way to constantly track planes as they fly over oceans.

It took search and rescue teams over 30 hours to locate the wreckage of the Air France plane that crashed in the Atlantic on Monday. It appears that the aircraft's onboard GPS system was little help to rescuers in the mission.

Although details of Air France flight 447's fate remain uncertain, in some air accidents, this critical time could mean the difference between life and death for any survivors.

Michel Roelandt, aviation expert for Eurocontrol, a European air navigation safety organization, told CNN that nearly all modern planes are fitted with GPS navigation systems. How sophisticated those the communications and navigation systems are is down to individual airlines when they fit out their planes, an Airbus spokesperson told CNN.

On board GPS systems are primarily navigation tools for the crew, and do not currently enable a constant tracking of a jet by a ground crew at all times.

Planes receive a position signal, but don't transmit that back. This is not a problem when a jet is flying over land or in coastal areas, as it is tracked by radar. Over oceans radar does not work as it relies on line-of-sight tracking from a ground station.

On oceanic flights a flight crew will know its exact position via GPS, but it is not able to be tracked by air traffic control. It is left to someone in the cockpit to relay information via satellite communication to air traffic control or a ground station.

"Airlines often have a contract with a private operator to provide their satellite communications. Some companies pay for it, some have free contracts," Roelandt said.

Modern jets equipped with an Aircraft Communication, Addressing and Reporting System (ACARS), like the A330-200, are also able to send automatic digital signals. These are not instigated by the crew but report automatically on the plane's systems and relay information to a receiving station. In AF447's case that was Air France's head-quarters in France.

According to an Airbus spokesperson, it is up to an airline to determine how much information is sent in a data signal; it may or may not include location details.

Shortly before the AF447 disappeared, its automatic system initiated a four-minute exchange of messages to Air France's maintenance computers, indicating that "several pieces of aircraft equipment were at fault or had broken down," Air France CEO Pierre-Henri Gourgeon said on Monday.

When the Air France Airbus A330-200's systems failed these messages would no longer have been able to be transmitted. They did relay the plane's location, but the plane continued flying for an unknown period of time, so the precise location where it went down could not be known.

Once a plane loses its electronic system, the automatic data messages can no longer be sent, and in those circumstances no one on the flight deck would be able to transmit a message either.

Aviation experts have stated that the idea of GPS tracking has not been part of any safety review within the aviation industry. The general consensus has been that a trained flight crew is on hand that always has the capability to be in contact with someone on the ground should an emergency arise. In the case of Air France Flight 447, it appears that the crew had no time to relay an emergency message.

As well as searching for wreckage, a crashed plane can be found by pin-pointing the location of the in-flight black box recorder.

Black box flight recorder devices contain flight deck data and crew voice recordings. When a plane has crashed black box recorders automatically emit a honing signal, located via radar. Emitting a regular ping for 30 days it can be picked up via radio waves, meaning there is a limit to the distance from the device search and rescue teams can be before they can pick up the signal.

According to Airbus the capabilities of tracking a black box is down to the airline; satellite tracking of black box recorders is not a standard requirement.

The Air France jet was equipped with a satellite-tracked black box recorder, but it is thought that depths of the ocean in the crash area are too deep for it to be located It's also possible, although unlikely, that the location of a troubled aircraft could be pinpointed by military defense satellites, experts said.

Some U.S. military satellites employ heat-sensitive cameras that scan the skies for missiles and could possibly detect a plane if it were not obscured by clouds, said John Pike, director of GlobalSecurity.org, a public policy organization whose Web site provides news on weapons systems and the defense industry.

Upgrading from radar to satelitte

The aviation industry is moving toward replacing its traditional radar-based tracking system with a satellite one that would allow air traffic control to know where a plane is at all times.

However the new systems would still not enable air traffic control to track planes over remote ocean areas.

The U.S. Federal Aviation Administration has begun implementing a system, nicknamed NextGen, in which GPS signals would transmit an aircraft's precise location to air traffic controllers via ground receivers.

The system would allow planes to fly more direct routes instead of zig-zagging between radio beacons. The FAA is testing the system in pockets of the U.S. and plans to be using it by the end of the year in the Gulf of Mexico, much of which is out of radar range. The agency hopes NextGen will cover the entire country by 2013.

Roelandt says a similar system will be implemented in Europe by 2015.

"It means planes will automatically transmit the GPS position to the ground and surrounding aircraft within about 150 miles," he said. "In the far future the idea is to be in a free flight condition," where pilots have more flexibility in their routes while GPS keeps planes safely separated.

In a trial last year using an Automatic Dependent Surveillance-Broadcast system, two Airbus planes were able to change altitude safely while cruising over oceanic airspace.

At present, airliners flying over oceans are usually not permitted to change altitude, because oceanic airspace beyond a certain distance from land cannot be controlled by radar. Controllers and pilots keep the planes on vectors, or defined highways in the sky, to maintain safe distances between aircraft.

The ADS-B system is being developed internationally. But the expense of outfitting planes with GPS is dwarfed by the cost to upgrade from radar to satellite tracking of planes.

According to a 2006 FAA report, it would cost $4.6 billion to change to a satellite-based system in the U.S.

"It's a bit of a chicken and egg situation," Roelandt said. "If you don't put an implementing rule on this equipment, airlines won't install it as it's a costly operation for them. It is ongoing, and will be installed on European commercial airliners, but it takes time as always."

CNN's Brandon Griggs and Emanuella Grinberg contributed to this story.

@highlight

GPS on airliners can't help locate planes, as they receive but don't send signals

@highlight

Pilots know their position over an ocean but don't automatically share that data

@highlight

Both the U.S. and Europe are implementing GPS-based air traffic control systems