(CNN) -- A frequently overlooked place of farms, friendly towns and relatively few people is, for now, the epicenter of U.S. politics. The place is Iowa. The question is Why-owa?

The answer is a quaint and quirky institution known as the Iowa caucuses -- an unusual, old-fashioned evening of talking about the candidates running for president and then voting on them.

Separate caucuses are held across Iowa as neighbors debate the pros and cons of candidates with each other before they vote among themselves, and that result then gets totted up with the other caucuses statewide to decide the winner.

The U.S. presidential campaign has been under way for months as Republicans decide who they want to run against the presumed Democrat candidate, the incumbent President Barack Obama.

Candidates have spoken at rallies, debated each other on TV and opinion polls are released at least weekly.

But the Iowa caucuses, to be held on Tuesday January 3, are the first time anyone will actually vote.

"The Iowa caucuses are really like nothing else in American politics," said CNN Political Editor Paul Steinhauser.

"I mean, imagine a cold winter night, sub-freezing temperatures. It takes a lot for a person to come out to their local school, the local church and take part for about two hours in a caucus. You've really got to be into the process."

Americans have long chosen their presidential candidates sequentially state by state.

Most states hold what they call 'primaries' -- primary elections -- to choose delegates to attend national conventions later in the year that formally select the Democratic and Republican party nominees.

This year, all attention so far has been on the fight to become the Republican nominee because Obama is expected to be the Democratic candidate.

To a casual visitor the primaries look a lot like any election, with the familiar routines of voters, ballot boxes and booths.

But Iowa caucuses are different and the rules vary in the roughly 1,800 state precincts that hold them. There isn't necessarily a secret ballot; sometimes there's no ballot at all.

After everyone gets a chance to express their opinions, the vote can be on paper, with a show of hands or, for Democrats, just by congregating into groups corresponding to the different candidates and seeing who has the biggest group.

It's a particular kind of politics with a long past. The caucuses date back in different forms more than 150 years. But they never attracted much attention until the 1970s when Iowa moved its caucuses ahead of the first primary and decided to stage them all on the same evening.

The media started paying attention and candidates learned that a strong showing could generate headlines nationwide.

Even so, winning Iowa doesn't predict much because with just three million people, the state is so small, so rural, so white and, these days, so affluent.

Its agriculture-based economy is doing well enough to be spared the worst of America's economic downturn.

A recent New York Times/CBS News poll found that nearly 90 percent of likely caucus-goers described their financial situation as good. The Times says that's about 20 points higher than the average nationwide.

So maybe it's no surprise that, looking back over the decades, the most popular candidates in Iowa don't tend to get their party's nomination or the presidency.

To be fair, Iowa did do better than usual last time: it was half right. On the Republican side, Mike Huckabee won his party's caucuses in 2008, but he didn't win the Republican nomination and he's not the president today.

The Democratic caucuses that year were more telling. Barack Obama did win them, the start of a long and surprising campaign that ended in the White House.

So does Iowa matter? Historian Hugh Winebrenner writes at IowaPolitics.Com that it does because America's media say it does.

"Iowa is first," Winebrenner notes. The "caucuses provide early evidence -- hard news -- on the progress of the presidential race. This is the perception of Iowa's role, and it is therefore the reality..."

But there is more to the reality. Even if Iowa doesn't add much to the process, it does subtract.

After the Iowa caucuses the most successful or determined candidates will stay in the race and head to the northeastern state of New Hampshire for its primary, the first in the nation, on January 10. The others tend to start heading home.

This year, the Republican race is so unsettled, with so many candidates trading the top spots in public opinion polls, that Iowa could be unusually close and confusing.

And quirky. You can count on quirky.

@highlight

After months of debates and rallies Iowa is the first state where people actually get to vote for a candidate

@highlight

The state holds caucuses where communities debate each candidate's merits before voting, sometimes with a show of hands

@highlight

Iowa's status as first to vote means it is watched closely although it does not always pick the eventual winner

@highlight

Its issues are sometimes different to the nation -- so far Iowa has been spared the worst of the economic downturn