(CNN) -- In the slums of the Kenyan capital, Nairobi, visiting the bathroom usually means one of two things; a trip to the local pit latrine or the 'flying toilet'.

The former entails letting nature take its course in a rickety outhouse perched atop a hole in the ground -- a facility also used by hundreds of other people in the neighborhood.

The latter meanwhile consists of relieving oneself in a plastic bag before throwing the offending item away in the street.

A 2011 report by the Bill and Melinda Gates Foundation found that these arrangements led to environmental contamination and the spread of diseases such as typhoid and tuberculosis.

See also: How human waste could power Nigeria's slums

But within this primitive sewage system recent MIT graduate, David Auerbach, has spied an opportunity he believes could one day be worth millions of dollars.

Alongside a group of fellow MIT alumni and local Kenyan partners, Auerbach has helped found Sanergy -- a start-up that aims to make a business out of cleaning up Nairobi's sanitary mess.

It plans to collect human waste in a series of custom-built toilets before transforming it into compost and fertilizer products that can be sold to the local agriculture industry.

"In Kenya alone there are 10 million people who live in the slums and 8 million of them don't have access to a clean toilet," says Auerbach.

"By providing this service we believe there is tremendous potential to operate a for-profit social business. In terms of agriculture, Mckinsey puts (fertilizer) at a half trillion dollar business in East Africa alone," he adds.

The Sanergy model works by first installing a network of low cost sanitation centers, which provide access to clean toilets, at various locations in the slums.

These premises -- that trap the waste in air tight containers -- are then franchised out to local entrepreneurs at a cost of 45,000 shillings (roughly $500) a year, with a renewal fee charged to continue after this period.

Franchisees are funded primarily by micro-finance loans, explains Auerbach. They charge residents a small fee, usually 5 Kenyan Shillings ($0.06) to use their facilities in order to make their money back.

See also: Mobile solutions for better sanitation

The waste is processed and broken down to be transformed into a variety of organic fertilizer products that are then sold on to commercial farms.

"Currently we have 25 facilities up and running... we're collecting about three metric tons of waste per week which can all be converted into fertilizer," says Auerbach.

"By the end of this year we want to have 250 franchises. We think by the end of the following year we can safely be at 1,000 toilets," he adds.

Creating employment opportunities for local residents can also be a benefit of the project and important to its greater success.

"Success of the business model like Sanergy depends on creating viable franchise opportunities for local entrepreneurs and attractive services for slum residents," says Austin Beebe of African Medical and Research Foundation.

"Projects such as these should hire locally and this is more than a good development principle. It makes business sense too."

See also: Elephant poo power electrifies zoo

As it stands, Sanergy employs 42 people -- in facility design, waste collection, plant operation and management positions -- of which 34 are Kenyan.

By the end of 2013 Auerbach says Sanergy plans to collect enough waste to power a bio-generator that can sell electricity back into the Kenyan national grid.

"The waste of 100,000 people generates about 1 gigawatt of power. So right now when we have 1,200 users every day we're not at a point where we can produce sufficient amounts of electricity," says Auerbach.

"This is something we'll be looking to do later this year or next year," he adds. "But we're not quite there yet."

@highlight

The slums of Nairobi lack efficient and clean sanitation systems

@highlight

A new start-up aims to improve these conditions by installing a series of custom built toilets

@highlight

Those behind the company believe it could be a multi-million dollar enterprize one day