Gilad Shalit is free. The first of 1,027 Palestinians have returned home, and in Egypt observers are cautiously applauding the oft-criticized leadership that secured the deal; it's a more hopeful note in a democratic transition that has otherwise been checkered.

For Israel and America, the culmination of drawn-out and somewhat oblique negotiations possibly signifies a more positive future in relations with a new leadership that had until now been viewed as a potentially destabilizing force for peace in the Middle East.

In the days since murmurs of a fruitful end to the negotiations began to circulate, Egypt has reiterated its commitment to honoring its accords with Israel. In reflecting on the months since Hosni Mubarak stepped down on February 11, it is clear that the interim government and de facto president, Field Marshal Mohamed Hussein Tantawi, have in effect done their utmost to maintain a Mubarak-era status quo.

The question, is how long will this last? And will Egypt continue to be the ally of America in a region caught in a dependency that often undermines its longer-term interests and the will of its people?

Under the Mubarak regime, relations with Israel were strong, albeit concealed. The 1978 Camp David treaty was a deal between leaders (former president Anwar Sadat and Israeli Prime Minister Menachem Begin) that many Egyptians opposed. Economic ties between the two states steadily increased under the tutelage of Mubarak's business associates, who stood to profit from them; and military cooperation, for example on Gaza, was deep. Yet many Egyptians continued to harbor deep-rooted animosity towards the neighboring state.

The former regime, well aware of this, gave people enough space to air their grievances — Egypt's protest movement emerged in part from the tradition of demonstrations in solidarity with the Palestinians, which the government allowed. At the same time, the Mubarak regime worked to keep its relations with Israel as low profile as possible.

Mubarak is now gone, most of his business associates have been put behind bars, and the defacto rulers of the liberated Egypt are left to grapple with the question of Israel. For the ruling military council, adhering to the Camp David Accords comes at a cost, but until it finds a better alternative to the aid it receives from the United States for sticking to its end of the deal -- a package that includes military training, resources, financial aid, intelligence support, as well as regional security guarantees -- it is worth the price.

With no viable alternative, the problem, or question perhaps, arises in what pressure a new parliament, and the new-found public voice, might assert to change that status quo. Outside the Israeli embassy in Cairo last month, protesters, many of them young activists, set the Israeli flag on fire, scaled the embassy walls, and demanded an end to relations with "the Zionist state." But unlike the people of Gaza, few Egyptians appear to be celebrating the release of hundreds of prisoners held in Israel. Rather, on Twitter and on the ground, they are describing it as yet another ploy by the ruling military council to consolidate its power. "They just want to show that they can negotiate and oversee foreign policy," someone tweeted. "This is a dirty game to secure power," another said.

Although it is indisputable that the majority of Egyptians -- even the Muslim Brotherhood -- do not want to go to war, their grievances towards Israel, and then America, run deep; as deep, perhaps, as their grievances towards the former regime. The likelihood of the military council -- or a future Cabinet of ministers and its president -- being able to maintain the status quo that long reassured America and its friends, is highly unlikely. Rather, in the new Egypt, which is struggling to get on solid footing, there will be fleeting moments of hope, but also, many more moments of protest when the people stand up and use the leverage they have uncovered in organized street movements to challenge the regime.

Many of the gripes will be internal -- including minimum wage, inflation, and economic opportunities -- but enough will involve Egypt's relations with the world. In Egypt today, we are witnessing a population that has found its voice, and the confidence and right to assert it. We are also witnessing a public that understands what organized protest can achieve. There is no taking or turning that back.

For global powers and neighbors that have long relied on Egypt as a constant and stable partner and force, that era is gone. In the new Egypt, and the new Middle East, the will of the people is the force to reckon with, and just as they fought for the ousting of Mubarak, they will also fight for a government of their own choosing.

In that government, there will be at least as many adversaries to the regional status quo as there are supporters -- and in that too, there will be no turning back.

@highlight

Egypt has reiterated its commitment to honoring its accords with Israel

@highlight

Egypt helped broker Israeli-Palestinian prisoner swap

@highlight

Rashidi: Will Egypt continue to be an ally of America?