Cairo, Egypt (CNN) -- Heavy gunfire reverberated in central Cairo before dawn Thursday as supporters and foes of embattled Egyptian President Hosni Mubarak continued to face off at Tahrir Square, where chunks of concretes and Molotov cocktails were employed as weapons in the escalating crisis.

CNN personnel saw wounded people being carried into Tahrir Square, largely held by anti-regime demonstrators, through an entrance that leads to the nearby Egyptian Museum. Several ambulances entered and left the square shortly before 4 a.m. Thursday.

The source of the gunfire was not immediately known.

Voices were heard chanting a prayer after a day of violent street battles in central Cairo.

Sustained automatic weapons fire, including from what sounded like a heavy machine gun, echoed around the square, the epicenter of nine days of protests calling for Mubarak's ouster.

Anti-government demonstrators hunkered down behind makeshift barricades in the square and outside the nearby national museum against the onslaught, which demonstrators said included plainclothes police officers.

"They're coming in with weapons. They're spreading violence," human rights activist Gigi Ibrahim told CNN on Wednesday. "We've had peaceful protests here since Friday and no violence here. Only today were we faced with this really violent reaction."

The pro-government protesters were not impeded by the army when they entered the square, CNN's Ben Wedeman said early Thursday. Anti-regime protesters are now unhappy with troops, whose commanders had promised Monday not to use force against peaceful demonstrations, for standing by, he said.

Small fires burned in the square early Thursday, some spreading to trees and walls.

Egypt's health ministry reported four people were killed and 829 were wounded in Wednesday's clashes, according to the state television network. Reported fatalities in the previous eight days of demonstrations ranged as high as 300, but CNN has not been able to independently confirm the death toll.

In one surreal moment, whip-wielding Mubarak supporters thundered through the crowd astride horses and camels, and at least one man was pulled off his mount and beaten. A Mubarak supporter who spoke to CNN said the riders were pyramid workers who were protesting the negative economic impact of the crisis.

"What you are seeing is the demonstration of the real Egyptian people who are trying to take back their country, trying to take back their street," said businessman Khaled Ahmed, who described himself as "pro-Egyptian."

But some observers said the pro-Mubarak push Wednesday was likely orchestrated by a regime bent on breaking up peaceful demonstrations.

"These are tactics that are well-known in Egypt," Michele Dunne, a senior associate at the Carnegie Endowment for International Peace, told CNN's John King.

Robert Kagan of the Brookings Institution said the "rent-a-thugs" were likely sanctioned and paid by the government. This is meant to create an image of chaos so the government can move in to restore order, he said.

"Mubarak has -- now, certainly, with the violence today, but even before that -- lost the confidence of the overwhelming number of the Egyptian people," Kagan said.

As night fell, the sound of gunfire reverberated in Tahrir Square, the name of which means "liberation" in Arabic. People hurled verbal insults, Molotov cocktails, rocks and anything else they could find -- shards of metal, sticks, shoes -- at one another.

Desperate for more ammunition, they dismantled sidewalks and picked up chunks of cement to throw. They beat each other in what rapidly spiraled into utter mayhem.

Hundreds of injured people were treated by doctors and medical staff, who turned to volunteers for assistance.

CNN iReporter Hunter Moore, 26, helped treat the wounded. The U.S. schoolteacher said Tuesday's crowds at Tahrir Square were mostly peaceful. "It went downhill really, really quickly" on Wednesday, he told CNN.

It was unclear whether such confrontations were being repeated elsewhere. Other Cairo neighborhoods were calm, and rallies in Egypt's second-largest city, Alexandria, were largely peaceful.

Mubarak's opponents had stood shoulder to shoulder in Tahrir Square to call for his immediate resignation in a massive rally on Tuesday. The 82-year-old president's announcement that night that he would spend the remaining seven months of his current term working to ensure a "peaceful transition of power" failed to satisfy them, and they vowed to keep up the pressure on him to resign.

The crisis has paralyzed the Egyptian economy, as the government has closed banks, idled trains and shuttered schools. Markets are running short of basic food staples, and the situation is hurting the ability of ordinary citizens to join the demonstrations, opposition activist Ziad Aly told CNN.

"We can't get enough bread. We can't get enough food supplies," he said.

Vice President Omar Suleiman reiterated the government stance that the people have been heard, that they should go home and that they should stop demonstrating. Protesters should respect the curfew and "enable people to return to their jobs and their daily lives, and to allow schools and universities to reopen," he said in a statement.

The state-run television network, Nile TV, sought to portray the unrest as a "foreign conspiracy" fueled by international journalists, several of whom -- including CNN's Anderson Cooper -- were attacked during Wednesday's clashes.

Despite reports that shots had been fired, Nile TV's reporters denied any shooting had taken place or even that violence had broken out in Tahrir Square. The network also said that members of the opposition Muslim Brotherhood were heading to the square "to throw balls of fire and to start acts of riots and violence."

When asked if that were true, Mohamed Morsy, a spokesman for the Muslim Brotherhood, said the action came from all segments of the Egyptian people, "not the Muslim Brotherhood only."

Morsy told CNN's Wolf Blitzer that the time for change is now, not when Mubarak's term ends.

"We need a new era, a new regime," Morsy said. "We have a constitution."

Asked whether Suleiman could lead the government until new elections, Morsy said the head of the country's supreme court should fulfill that role.

In Washington, White House spokesman Robert Gibbs said an end to violence was "imperative."

"It is our hope that what we saw today, we won't see tomorrow or Friday or into the weekend," he said.

But Mubarak's government bluntly told outsiders to mind their own business.

"Our interactions within our country are Egyptian affairs and nothing more than that," Foreign Ministry spokesman Hossam Zaki said. Egypt "will continue to be a beacon of moderation and stability in our region," he said, but its people must settle their differences without "intervention from the outside."

Though Mubarak's concessions were large and remarkable for a man who has held a tight grip on power for three decades, it was too little, too late for many Egyptians.

"He is unfortunately going to continue the agony for another six or seven months," opposition leader Mohamed ElBaradei said Tuesday night.

However, Mubarak supporter Waleed Tawfik told CNN that not all Egyptians agree that Mubarak should step down immediately.

"Change will not happen overnight. There's not a magical button for change. Change will take time," he said.

The Egyptian army can't sit on the sidelines too much longer, or it could risk unraveling, said a foreign policy expert.

The army needs to pick a course of action by Friday, when more mass protests are expected after prayers, Richard Haass, president of the Council on Foreign Relations, told CNN's "Parker Spitzer."

The Egyptian crisis is among the aftershocks of the revolt in Tunisia that forced that nation's longtime strongman to flee to Saudi Arabia in mid-January. In Yemen, President Ali Abdullah Saleh -- who has been in office for 32 years -- said Wednesday he will not run for president nor hand over power to his son once his current term ends in 2013.

CNN's Ben Wedeman, Frederik Pleitgen, Ivan Watson, Tommy Evans, Saad Abedine, Hala Gorani, Amir Ahmed, Jomana Karadsheh and Arwa Damon contributed to this report

@highlight

Several wounded people are taken into Cairo square after new gunfire

@highlight

The Egyptian army can't stay on the sidelines, a foreign policy expert says

@highlight

An expert says the regime is likely orchestrating the unrest, paying "rent-a-thugs"

@highlight

State television reports 4 dead, 820-plus wounded