(CNN) -- What dare I think about Cuba?

My mom left the island to escape the poverty, the racism and the sweltering heat. She left before Fidel Castro's ascent and U.S. politics had hijacked foreign policy. She left before both governments stranded thousands of people on a communist island suffering a punishing boycott.

Her departure was not about politics. She was black and poor and looking for an opportunity to study. She was just 14 when she left her family to live with the Oblate sisters, an order of black nuns in Maryland. She never looked back -- because she just couldn't. That's when my family's disconnect from Cuba began.

My mom almost never ever spoke about Cuba, not about her culture or her distant family, not about the life before she met my dad, another immigrant, and they had the six of us. For me, and the thousands of people like me who lost touch with Cuba, this is what Thursday's news is about. A president born 10 months before the boycott -- the 10th president during Castro's rule -- has finally given us a chance to see for ourselves what our parents left behind.

President Obama is banking on younger Cuban Americans like me to be more open to change than the angry exiles from the first wave of immigration. He also relies on statistics showing six in 10 Americans want the United States to have ties to Cuba. The Cold War has passed, and to some younger people from all walks of life, the issue of Cuba is old news. The anger toward Cuba no longer makes sense. He is letting us get a real look at where Cuba stands today, hoping the anger toward that nation will subside, even as some Republicans hope it will not.

I have interviewed people on both sides of that anger -- at the embargo or at Castro, at communism or the limits to any exchange. There is a commonality to their pain: their longing to see and relate country-to-country, family to family. I once interviewed the Latin music stars Willy Chirino and Lissette Alvarez, both Cubans who support the embargo and raged about the traitors who traveled back. Yet they wanted so much to go some day. They wished me well when I followed the Latin rock star Juanes to Havana to cover a massive concert for peace.

It was on that trip that, as an anchor for CNN, I was able to walk through crowds of Cubans and sway to their music, which has exported their isolated culture around the world. I felt the bodies of people pushing and laughing and wondering about me and my life -- Cubans limited by circumstances but glad to spend three hours getting a rare view of what's going on outside their island prison.

They were warm and friendly, and some had the cocoa black skin of my mom, and our family's curly hair. They didn't talk about embargoes or Cubans in Miami or about Fidel Castro. They wondered how much rock stars made, whether I'd traveled anywhere fun, if I wanted a ride, a meal, a cigarette or a chance to spend time on the Malecon sipping rum. It was my birthday and I felt very much at home.

Politics aside, I am so eager to feel that way again. On some level, Obama's move means I can finally share something tangible with the rest of the Latino community. They can go back and touch home base, reconnect with the country of their ancestors, with their culture and way of life, taste the food and chat with the people and celebrate and understand their roots.

I had grown up rootless, disconnected from our family, unable to see firsthand what my mother's country had become. The politics of the embargo alarmed me on both sides, even though I had no dog in that fight. The poverty astounded me, the restrictions, how people suffered a universal lack of opportunity. Yet I longed to remove the mystery surrounding the place and people my mother left behind. Now, perhaps, I can.

I did meet my mother's family briefly during an earlier trip as a journalist, escaping from the pack and the Cuban minders to sit in their modest white home and hear stories of how they lived. I answered so many questions about my life. It was awkward. The difference in our circumstances was so vast, and we only had a few hours to broach it. I did get to look at their eyes and freckles and cocoa black skin, the curls and the friendliness and the warmth of family ties, to feel familiarity and truly appreciate my Mom.

I wished I had been able to grow up around these people. I didn't even speak Spanish anymore, so we could barely communicate. This visit wasn't enough, yet I was uncertain if I could ever get more.

Thursday means I can. I can visit my family, do some reporting and writing, visit a church or take a class. I can go to a concert and share a drink. I can even take home some rum. I know the politics are complicated. I haven't forgotten about Castro and the many people I've met here and there who can never forget the past, or the excesses of the present. But the question hovering above all this is not just whether reconnecting our two countries was the right thing to do, it was whether it will expand the cultural, political and personal view that the two have of each other. I think so -- it has for me.

@highlight

Soledad O'Brien's mother left Cuba at 14, settled in Maryland. She never looked back

@highlight

Obama's shift on Cuba a chance for many, like O'Brien, to see what parents left behind

@highlight

She says she's been to Cuba, people eager for outside news; she felt connection

@highlight

O'Brien: Reconnecting will open cultural, political, personal perspective she'd missed