London (CNN) -- When it comes to the Renaissance, few of us would immediately equate the rich cultural fruits of the period with the birth of the modern banking system.

But a new exhibition in Florence is showing just how intertwined the two really were.

Entitled "Money and Beauty: Bankers, Botticelli and the Bonfire of the Vanities," the exhibition in Florence's Palazzo Strozzi looks at how Florence's famous families got rich -- and how they then used their wealth to commission works from some of the world's most celebrated artists.

According to the Palazzo's Director General James Bradburne, the idea for the show had been in development since 2006, but it would be another two years before it was cemented as a particularly apt exploration of the city's history.

"September 2008 rolls around and we're talking about the development of the show and Lehman Brothers goes bust, which made the whole idea very timely," he said.

The show's trajectory takes in the birth of the Medici bank and its use of relatively new financial systems, including letters of exchange (an ingenious type of lending that managed to get around usury laws by changing foreign currencies and profiting on exchange rather than interest rates), right up to its collapse at the end of the 15th century.

Included in the show are paintings by Sandro Botticelli, who had a close relationship with the Medicis, as well as paintings of the new mercantile class and their novel activities by artists such as Dutch painter Marinus van Reymerswaele.

And gold -- whether in the form of coins or the golden halos hovering over depictions of the holy family -- is one of the exhibition's dominant themes and materials.

The exhibition is curated by English writer Tim Parks, author of "Medici Money: Banking, Metaphysics and Art in Fifteenth-Century Florence," and Ludovica Sebregondi, an Italian art historian and author of "Iconography of Girolamo Savonarola, 1495 -1998."

Both show how the bankers, worried that their activities might be contravening their religious beliefs, poured money into building churches and commissioning devotional paintings -- often with themselves inserted into them.

"The bankers were never quite sure whether (the letter of exchange) was usury of not, a lot of theologians said it was and a lot of theologians said it wasn't," Parks explained.

"So you have a situation where these bankers, who were often very devout men, were making penitential gestures towards the church just in case," he said.

The influence of their new wealth, he said, is evident in the paintings of the holy family, where the Virgin is frequently depicted wearing sumptuous Florentine clothes and the artists use significant amounts of gold.

"You could say that some of these gestures were simply penitential, but then the banker begins to realize that in giving them money he can also begin to define the image that is produced by his money, and of course one of the things he instinctively does, whether it's conscious or not, is to use the image to change the attitude to money, that is, begin to use the image to undermine the resistance to money," said Parks.

Money was feared, he said, not only because Christianity espoused poverty but crucially because it allowed for social mobility and therefore undermine the set Medieval hierarchies. Still, for a few years, the Medicis were in charge of papal finances.

And, said Parks, the artists were often happy to oblige in order to ensure their own economic prosperity.

Sebregondi, for her part, doesn't believe that the artworks commissioned necessarily spoke of cynicism on the part of the patrons or the artists.

"Patrons wanted works of art to highlight their wealth and their power, but the beauty aspect allowed them to "purify" their money, to shake off the vulgarity and the sense of sin that has always been associated with it," she said.

Regardless of their efforts, there was a backlash, personified at the end of the 15th century by the preacher Girolamo Savonarola, who railed against the lavish lives of the rich and encouraged artists such as Botticelli to throw their works onto "bonfires of the vanities."

The exhibition ends with a section on Savonarola and includes the turbulent, later paintings of Botticelli, who Sebregondi believes was tormented by "emotional anguish."

It was a tumultuous time, said Bradburne, with some echoes of our current predicament.

"It is not a coincidence, any more then than now, that wealth and the investment in certain kinds of expression of wealth are related," he said.

"One might say (the banker's money) basically funded the Renaissance," Sebregondi concluded.

Money and Beauty: Bankers, Botticelli and the Bonfire of the Vanities runs at the Palazzo Strozzi in Florence, Italy, until January 22, 2012.

@highlight

A new exhibition explains the links between art and money in Renaissance Italy

@highlight

Paintings by Sandro Botticelli and others are displayed alongside letters of exchange

@highlight

The show runs at the Palazzo Strozzi in Florence, Italy, until January 22, 2012