(CNN) -- Having a heart attack is often a wake-up call for people to change their lives, whether that means quitting smoking, eating healthier or simply focusing on doing the things they enjoy.

But surviving a heart attack can trigger anxiety, too: What if it happens again? And while many men and women may worry that their heart will give out during a vigorous exercise session, an even bigger concern seems to be sex.

To address this fear, the American Heart Association recently released its first-ever guidelines for helping health care providers advise patients about resuming a healthy sex life following a heart attack, stroke, heart transplant or other cardiovascular procedure. It may sound pretty standard, but the truth is that, until now, patients have received little to no counseling about this important issue.

In fact, a study last year of 1,900 heart attack patients suggests that just one-third of women and less than half of men received instructions about resuming sexual activity after they left the hospital -- and were 44% more likely to report that they still hadn't had sex a year later.

Another recent study found that very few female heart attack patients are given advice from their physicians about resuming sex.

The new AHA guidelines are aimed at educating health care professionals about the importance of discussing sex with their cardiovascular patients, but they also offer insight for patients themselves.

"These are important recommendations that acknowledge the hesitancy of couples to resume their sexual activity, even though the actual risk of worsening with sexual activity is extremely low," says my colleague Dr. Madeleine Castellanos.

Does your relationship need a 'love drug'?

Here are some highlights from the guidelines:

Sex isn't as risky as you fear. It's natural to be concerned about being sexually active after a heart attack or other cardiovascular problem. But it's unlikely that sex will trigger another attack in most people. According to the AHA, if you don't experience cardiac symptoms (such as chest pain, shortness of breath, and dizziness) during exercise, you probably won't experience them in bed.

It's helpful to think of sex the way you might think of other activities that require exertion, such as walking up stairs, exercising, or returning to a generally active lifestyle. If your doctor doesn't offer, ask for an exercise "stress" test: If you can walk on a treadmill at a pace of about 3 to 4 miles per hour, you should be fine, says the AHA.

Your sex life may change -- and that's OK. As I mentioned earlier, many people take a cardiac event as an opportunity to make some changes to their lifestyle. While you certainly may be able to return to the same sex life you had before, you may want to reassess things between the sheets.

The AHA recommends considering positions that are comfortable -- the partner on top during intercourse usually exerts more energy, for example. If you're not ready to return to sex completely, don't miss out on other forms of physical intimacy, such as hugging, kissing, cuddling, and touching each other. Masturbation can be a healthy way of easing back into things, too.

When your child walks in during sex

Women are not small men. Research suggests that rates of erectile dysfunction among men with cardiovascular disease are twice as high as those without the condition. But women may experience their own sexual challenges, both before and after a heart attack.

"I appreciate that the AHA was careful to point out that women's sexuality can often get marginalized, and that their sexual complaints regarding lubrication and excitation should be seen as a serious indicator of possible cardiovascular disease, just as it is in men with ED," says Castellanos.

Communication is key. The major takeaway message from the AHA guidelines is that doctors and patients must put aside any embarrassment and talk about sex openly.

"I hope that all health professionals will recognize the importance of sexual counseling and appreciate the importance that it has for people's quality of life," says Castellanos.

Unfortunately, not all doctors and nurses may feel comfortable broaching the subject, so you may have to raise it yourself. Just think of your sexuality as part of your overall health, and be sure to ask all of your questions, from when can you have sex again, to how to deal with fears and anxieties.

It may not be easy at first, but talking with your doctor -- and your partner -- about your concerns can go a long way to helping you get back in the swing of things.

Do's and dont's for summertime sex

@highlight

Studies show many doctors don't talk to heart attack patients about their sex life

@highlight

American Heart Association has released new guidelines for health care providers

@highlight

It's unlikely sex will trigger another attack, the AHA guidelines say