(CNN) -- A teenager who set up a school to educate children in a refugee camp, a youth who built a windmill to generate power for the houses in his community with no access to electricity and a 17-year-old with HIV who founded a charity to help others infected with the virus.

These are just a few of the students hand-picked to attend The African Leadership Academy (ALA) -- a prestigious school in Johannesburg, South Africa that aims to create the continent's leaders of tomorrow.

The initiative is the brainchild of Fred Swaniker, a Ghanaian-born entrepreneur who hopes to instil a new generation with the skills to navigate Africa towards prosperity in future years.

"We get young people from all across the continent, bring them here initially for two years [and] give them this hands-on leadership practice," says Swaniker.

"I believe that you don't learn leadership through theory, you learn leadership by leading and so that's what we're trying to replicate here at the academy," he adds.

Swaniker explains that the ALA tasks students with starting their own businesses and working closely with the local communities situated around the school. They are also taught about the roles of CEOs and CFOs as well as other senior positions within business, politics and industry.

This, he says, helps prepare them for a future at the very top of society, whilst equipping them with the skills "to do something much bigger for the continent" in the future.

From his experience of recruiting across the continent, Swaniker concludes that Kenya, Nigeria and Zimbabwe are producing the best students, while schools are weakest in Liberia and South Africa.

So far over 400 students have taken part in the ALA's leadership program and over the next 50 years, Swaniker says the school's aim is to create 6,000 new leaders for Africa.

Relationships have been set up with over 2,500 educational institutions across the continent to identify the most suitable candidates to fulfill these roles, while the U.N. also helps locate individuals of high potential from various refugee camps.

This rigorous selection process is designed to single out not only the brightest students from a variety of socio-economic backgrounds, but also those who have shown strong tendencies towards initiative, communication and leadership, Swaniker says.

"The best leaders are not necessarily the smartest people," he explains.

"At the heart of what we're doing is a belief that the main reason why Africa has not met its full potential today is due to the quality of the leaders that we have," he says.

"So this is really an attempt to solve that issue ... the Africa Leadership Academy, is really saying: let's address [this], instead of trying to deal with all the symptoms of bad leadership that we have in Africa."

Swaniker identifies his own formative experiences as a teenager as a key factor in his desire to found the ALA.

At just 17 years old -- and on a gap year before beginning university -- he was appointed headmaster of a school in Botswana. He says the practical knowledge he gained in his time there gave him the confidence necessary to achieve success later on in his career, not least in setting up the ALA.

"I firmly believe that a leadership experience that a young person gets in their teens particularly, gives them the foundation to do something much bigger later on in their lives," he says.

He cites luminaries such as Facebook founder Mark Zuckerberg, Nelson Mandela and Richard Branson -- who were all exposed to leadership situations in their youth -- as the type of characters he hopes the ALA will produce.

"We're trying to create leaders in all segments of society, so leaders in science and technology, leaders in business, entrepreneurs who can create the millions of jobs that we need on the continent, political leaders who can create the policies that we need to develop properly," he says.

"We really need leaders from all walks of life to solve the diverse challenge that we have in Africa," he adds.

By equipping the continent's most talented youngsters with the qualities necessary to lead on their own accord, Swaniker has taken the first steps towards creating an Africa more equipped to meet these challenges head on.

Eoghan Macguire contributed to this story

@highlight

Fred Swaniker is the founder of the African Leadership Academy.

@highlight

The school aims to equip young Africans with a wide range of skills and knowledge.

@highlight

Swaniker hopes his project will help educate a new generation of African leaders.