Hong Kong (CNN) -- In 2008, as the financial crisis reverberated around the globe, Allan Chau worried how his business manufacturing parts for the auto industry would weather the downturn.

But the Hong Kong-based factory owner didn't look for ways to cut costs or hire a management expert.

Instead, he consulted a feng shui master, who recommended moving the factory gate from the south side to the west.

"A lot of people went bankrupt that year but our sales doubled," says Chau, the general manager of Tien Po Precision Manufacturing.

Chau, who has been consulting feng shui masters for two decades, embodies Asia's embrace of the old and the new in its approach to doing business.

He has an advanced degree in engineering from Cornell University in the United States and employs 1,400 at a company that turns over $2 million a year. Despite Western skepticism, for him feng shui is an essential business tool.

"I only believe in numbers but I have an open mind," says Chau.

An ancient Chinese system of boosting your luck through the positioning of objects and of predicting fortunes through dates and traditional texts, feng shui -- literally wind water -- is used in a variety of different ways.

Shopping malls, office towers and casinos across Asia draw on its principles in their design in an attempt to create prosperity.

And individuals often consult feng shui masters to decide on the best date to get married, give birth or move house.

Chau says feng shui masters have helped him solve a variety of problems that have cropped up at his company, and, in some years, he has spent up to $100,000 on consultations.

Most recently, he sought advice on a staff issue after a number of long-serving technicians working at his factory in China left on bad terms.

In a bid to get the compensation laid-off workers are entitled to, the technicians started turning up to work and doing nothing. Chau said he had little choice but to fire them and pay up.

Fed up, he asked his feng shui adviser to pay a visit. He told Chau the toilet door faced the main entrance and the bad air flow meant people did not leave happily.

"He said why don't you build a wall to block the air flow," said Chau.

"After the change, I didn't pay a penny more," he said.

At the behest of various feng shui masters, Chau has also changed the color of the blinds in his conference room from green to milky white and added an aquarium to his office.

However, he has so far resisted advice to move his Hong Kong head office from its current location: "That's talking about real money."

Kerby Kuek, the feng shui master who helped Chau with his staff problem, says that 60% of his clients are businesses.

The run-up to the Lunar New Year, which this year began on February 10, is Kuek's busiest time as clients want their "annual audit" to maximize their good fortune in the year to come.

Before meeting the client, he will study their office floor plan and log onto Google Maps to form a better understanding of the building's location.

"Feng shui deals with the natural environment. We try to harness the kind energy and avoid unkind energies," he says.

His advice ranges from the office layout to the right color of staff uniform to changing light bulbs and fixing cracked tables -- particularly if they are located in the southern corner of the office, which signifies fire and passion.

He will also vet potential staff by looking at photos and birth dates. A person born in the summer months of a Snake year is best suited to back office work, says Kuek, referring to one of the 12 animals of the Chinese Zodiac.

"Whereas if you are born in the year of the Bull, born in winter, these people need to be out front meeting people and being aggressive," he adds.

Kuek is down-to-earth and his language is peppered with terms from his day job -- selling stocks and shares for an investment bank.

His background in finance makes corporate clients more comfortable and none of his co-workers find his sideline strange, he says.

Watch: Feng shui in Hong Kong office buildings

Kuek's clients also include multinational companies that find they have to take matters like feng shui seriously as they expand in Asia.

For example, auction house Sotheby's only began work on its new office space in Hong Kong last year after a feng shui master chose an auspicious date. And in Sydney, the Star City Casino has added a "feng shui awning" as part of a $760 million redevelopment.

Dr Michael Mak, from the University of Newcastle in Australia, studies how feng shui can be used in urban design and architecture from what he calls a scientific stand point.

He says there is "soft data" in the form of surveys and interviews that suggests buildings that adhere to feng shui principles make their occupants happier -- be it a shopping mall, office block or a hospital.

And he points to the popularity of atriums or courtyards that bring the natural environment into a building as one way the principles of feng shui are manifested in modern architecture.

Mak is skeptical of the cosmic claims of "popular" feng shui and says it's an area that needs to be looked at more critically.

Feng shui advice does not come cheap and there have been a number of scandals involving unscrupulous practitioners.

Kuek charges HK$10,000 ($1,300) for a consultation for an office under 200 square foot and up to HK$50,000 ($6,500) for a 2,000 to 5,000 square foot office.

Chau says he has come across some bad masters. One adviser told him to paint his office walls black. Another pedaled expensive feng shui objects.

Despite this, Chau has not been put off and will be making an appointment to see how he and his business will fare in the Year of the Snake.

"Feng shui cannot make things happen but it can assist you and make things easier."

@highlight

Many companies in Hong Kong and China consult feng shui masters

@highlight

One businessman tells CNN he regards the ancient philosophy as a business tool

@highlight

The ancient Chinese belief system is supposed to boost good fortune

@highlight

Lunar New Year the busiest time for feng shui advisers as companies seek "annual audit'