(CNN) -- The typical South African itinerary runs something like this: Fly into Joburg and explore the urban hipster scene, hop over to Kruger for a safari, then down to Cape Town to sip wine on the waterfront with Table Mountain in the backdrop.

And that's fantastic, but it means most visitors miss out on Durban.

Joburg is trendy, Cape Town is glamorous, but Durban is cool.

Really cool.

That's why one million South Africans pack the beaches there every summer (around Christmas or New Year, book early or don't bother).

If you're wondering what all those people know that no one else does, here are 10 awesome reasons to visit.

The Golden Mile

Durban's beachfront was completely redeveloped for the 2010 World Cup, so it's possible to stroll the length of it on a broad new boardwalk.

If it's too hot for a stroll, you can flag a Zulu rickshaw. A century ago, more than 2,000 of them crowded the streets and docks.

About 20 registered pullers remain, all wearing beaded headdresses that match the decorations on their rides.

Along the roadside, stalls offer beach gear and Zulu crafts. On the beach, sculptors create landmarks and wildlife from the sand.

Durban's beach is one of the few places where South Africans of all stripes mingle -- surfers, women in burkinis, pensioners on a stroll and kids playing on the well-maintained public slides.

uShaka Marine World

At one end of the Golden Mile is The Point, which overlooks the mouth to the city's famous harbor.

Once synonymous with gangsters and dockside prostitutes, The Point now hosts high-end condos, linked by canals so you can keep your boat there.

The main attraction is uShaka Marine World, a water park and aquarium. To cool off, you can book a table at the Cargo Hold restaurant (+21 328 8065) inside the shark tank, or step outside to Ocean Ventures and book a surf lesson.

Durban's beaches are protected by shark nets and the water's warm enough to swim in year round.

uShaka Marine World 1, King Shaka Ave., Point, Durban; +27 31 328 8000

Moses Mbhida Stadium

At the other end of the Golden Mile is the city's sports complex, dominated by the soccer stadium built for the World Cup.

Even if there's not a match on, it's worth a visit to ride up to the top of the arch that stretches over the field for an unrivaled view of the city.

There's a quick way down via the Big Rush Big Swing, an 80-meter free fall over the field.

Moses Mbhida Stadium, 44 Isaiahntshangase Moses Mbhida Stadium, 44 Isaiahntshangase Road, Durban; +27 31 582 8222

KwaZulu-Natal Sharks Board

The Sharks Board maintains the nets that protect the city's beaches. It's possible to book an early morning boat ride with the crew that maintains them every morning.

The boats leave from Wilson's Wharf and ride through the harbor, which gives a sense of the gigantic scale of the container ships that serve Africa's busiest port.

It's rare to see a shark around the nets, but for those that really need a Jaws moment there are public shark dissections at the Board's visitor center.

KwaZulu-Natal Sharks Board, 1a Herrwood Drive, Umhlanga, KwaZulu-Natal; +27 31 566 0400

The Phoenix Settlement

At the turn of the last century, Mohandas Gandhi came to work as a young lawyer in South Africa, where he had one of his life's formative experiences -- getting kicked out of a "whites only" train car.

His reflections on that experience eventually developed into his theories of non violence that would go on to shape his campaign for India's independence.

In 1904 he bought some land that became known as the Phoenix Settlement, where he lived and opened a printing press to spread his ideas. Both his home and the press are open to the public.

Bunny chow

The origins of the name are a mystery, but this curry served in a hollowed-out bread loaf is the quintessential Durban meal.

No rabbits are harmed, it's usually beef, chicken or mutton.

The theory goes that the dish was created as a meal-to-go that farm workers could hold in one hand. To sample one, look for any crowded takeaway counter or head to Gounden's (520 Umbilo Road, Durban; +27 31 205 5363).

Art

Durban's art museum was the first in the country to start collecting African art.

It's housed inside the city's neo-Baroque City Hall (Church Street, Durban), which is worth a visit to explore the markets on the surrounding streets or to check out what's on at the Tudor-style Playhouse Theatre (29 Acutt St., Durban; +27 31 369 9555).

Contemporary art is best experienced at the KwaZulu-Natal Society of Arts (166 Bulwer Road, Durban; +2731 277 1705), in a custom-designed building that includes a charming shop and cafe set in tropical gardens.

Old-school luxury

There's a certain amount of colonial fantasy at play, but the terrace at the Oyster Box hotel is nonetheless one of South Africa's best spots for a sundowner.

The balcony overlooks a lighthouse, and the breeze makes you feel like you're floating above the ocean, cocktail in hand.

The Oyster Box, 2 Lighthouse Road, Umhlanga; +27 31 514 5000

Shopping

Durban loves its local designers, and with reason.

For local crafts, you can save yourself a lot of walking and sunburn with a visit to the African Art Centre (94 Florida Road, Morningside, Durban; +27 31 312 3804), a well-curated non-profit that scours the province for the best of the best.

For fashion, antiques and bric-a-brac, Helen Joseph Road in Glenwood is lined with retail gems.

For something really special, it's worth trying the fresh market at Warwick Triangle, where there are herbal remedies to improve sex drives or chase off mother-in-laws. Honest.

Low-key fine dining

Some cities keep their best restaurants in posh locales. In Durban, some of the best dining is at the docks, in a shipping container or in the parking lot of a strip mall.

Bud's on the Bay (30 Grunter Gully St., Durban; +27 83 291 7835) offers wharfside dining with its own brand of upmarket bunny chow and creations like Zulu sushi (seared steak).

It's in the sort of neighborhood where movie mobsters might dispose of a corpse, but it's both safe and worthwhile.

Freedom Cafe (34 St Mary's Ave., Durban; +27 31 309 4453) is cut from an old shipping container parked in a courtyard in one of the city's historic districts.

Their breakfast is tops, with a tart that makes kale appetizing.

Cafe 1999 (117 Vause Road, Berea; +27 31 202 3406) offers a view of a parking lot, but no one cares because the restaurant is always full of beautiful people and the fresh seasonal food is so good they don't look up anyway.

Griffin Shea is a writer and traveler based in South Africa. His latest project is a travel app for African cities for iPhone and Android.

@highlight

Durban's beachfront was completely redeveloped for the 2010 World Cup and features a new boardwalk

@highlight

The Sharks Board offers ridealongs on net fixing trips and also lays on public shark dissections

@highlight

The Oyster Box is one of the best places in the city for sundowners