(CNN) -- Hong Kong's pro-democracy demonstrators are but the latest freedom group to be abandoned by the Obama administration.

The pattern was set in President Barack Obama's first year in office, when he committed his initial major foreign policy error by refusing to support pro-democracy demonstrators in Iran. And, although we didn't know it at the time, it was to be the administration's original sin, an early predictor of things to come. Indeed, time and again, this White House has shown itself to be allergic to those peacefully seeking backing for their freedom causes.

Whether Cuban, Chinese, Iranian or Venezuelan, dissidents who regularly make the rounds of the halls of power in Washington privately complain that even when the White House and the State Department receive them, the official is of low stature and the support is tepid.

And so when tens of thousands of demonstrators took to the streets of Hong Kong last weekend, the administration ran true to form. Our consulate there expressed support for general rights such as freedom of expression, religion and association, but was signally quiet on democracy.

In fact, the consulate seemed to go out of its way to wash its hands of the demonstrations, saying: "We do not take sides in the discussion of Hong Kong's political development, nor do we support any particular individuals or groups involved in it. ... We encourage all sides to refrain from actions that would further escalate tensions, to exercise restraint and to express views on (Hong Kong's) political development in a peaceful manner."

The protesters' official Twitter feed was quick to express bitter disappointment: "Once again, democratic govs are not speaking up for democracy. Here is US consulate's mealy-mouthed statement."

Why has the Obama administration been so slow to embrace freedom-seeking protesters? Three main reasons spring to mind:

We're not Bush: President Obama's aversion to his predecessor's policies is clear not just in his snide condescension, but also in his actions. President George W. Bush's embrace of what he called "the freedom agenda" appears to be enough to damn the whole project and for Obama to want to do the opposite.

Pretensions to realism: Despite the fact that failures are piling up, the Obama administration apparently sees itself as really good at international relations. As such, it appears to be under the impression that it is pursuing cold-eyed national security interests and, as the "only adults in the room," has no time for idealism.

Liberty is not the progressives' thing: Though it receives little attention, progressivism's well-known preference for centralized control over what it sees as "unplanned chaos" must play a role. Progressives mock "liberty" here at home, so why would they take to it overseas? It is no coincidence that, very early on in her role as secretary of state, Hillary Clinton elevated climate change and gender issues over freedom in her dealings with foreign officials.

Some of the White House's most thoughtful defenders point out that it is counterproductive to support pro-democracy groups, whether in Tehran or Hong Kong. But this ignores the fact that tyrants will do what they want to do, whether we support protesters or not -- the bloodily suppressed Iranian protests back in 2009 underscore this point.

What foreign liberty-seekers want from us is often not "boots on the ground," much less "nation-building." They desire moral validation of their cause, the knowledge that an outside power -- the world's only superpower, no less -- stands by them and believes in their cause.

The Soviet dissident Natan Sharansky, for example, has written vividly of what it meant to those in the Gulag to hear that President Ronald Reagan had called the Soviet Union evil:

"This was the moment. It was the brightest, most glorious day. Finally a spade had been called a spade. Finally, Orwell's Newspeak was dead. ... It was one of the most important, freedom-affirming declarations, and we all instantly knew it."

Support for freedom overseas has been America's official policy at least since Truman announced his doctrine to Congress, saying that, with Britain exhausted and its empire fading, we had to step up. "One of the primary objectives of the foreign policy of the United States," Truman said, "is the creation of conditions in which we and other nations will be able to work out a way of life free from coercion."

But it goes back much earlier, and the founders understood we were to hold the torch of freedom for the rest of the world to see. When we don't, it creates not just disappointment in places like Hong Kong, but dissonance here at home.

@highlight

White House has shunned people protesting for freedom, argues Mike Gonzalez

@highlight

Tyrants will do what they want to do, whether we support protesters or not, Gonzalez says

@highlight

What foreign liberty-seekers want from us is moral validation of their cause, he writes

@highlight

Support for freedom overseas has been America's official policy since Truman, he says