Brisbane, Australia (CNN) -- Brisbane is more accustomed to drought than flood. For many years, residents were obliged to adhere to strict water restrictions during the long wait for rain.

Daily updates were given as to how little water remained in dams that are now full to overflowing. Locals were encouraged to invest in their own water tanks to ease pressure on the system.

The city's residents were given specific days and times to water their gardens, according to their house numbers. Neighbors kept an eye out for wasteful practices and it wasn't unheard of for people to sneak out under the cover of darkness to give their dying plants an extra drop.

Just a few years later, the city has been inundated with water, amid warnings there is more to come. The rain has been pelting down for days if not weeks.

Rain used to be celebrated here. Now people are praying for it to stop. The ground is so saturated it doesn't take long for each downpour to start pooling and gushing towards already overflowing drains.

The last time Brisbane experienced flooding on this scale was in January 1974. Older residents remember when weeks of rain combined with the effects of a cyclone and exceptionally high tides to flood the city. Water washed into thousands of homes and 14 people died.

Lessons from that disaster formed much of the preparation for this week's flood warnings.

A massive dam with a capacity of more than one million megaliters -- about the size of two Sydney Harbours -- was built at Wivenhoe, west of the city, to provide flood protection system. That dam is now full and authorities are releasing increasing amounts of water to ease pressure on its walls.

Sandbags are being distributed to people who live in vulnerable areas. Evacuation areas are taking hundreds if not thousands of people who have followed advice to leave their homes.

Long lines have been forming at supermarkets as people prepare for the days ahead. People are queuing not in rubber boots, but flip-flops, another sign this city is more accustomed to sun and heat than torrential rain.

CNN iReport: High water closes roads in Ipswich, Queensland

In the days after Christmas the people of Brisbane witnessed from a distance the devastating effort of floods further north in the state. And just two days ago, shocking scenes came from west of the city as a wall of water rushed through Toowoomba. Ten lives have been lost across Queensland in the flood and more deaths are expected among the missing.

No one has yet estimated the final cost of the flooding to the Queensland economy. More than $200 million was spent in the aftermath of the 1974 flood but this time the cleanup bill is likely to be much higher.

It has already been estimated that severe flooding in the state's north could cost mining companies $2 billion in lost production. Many of those affected in regional areas are farmers. Crops have been washed away and livestock lost.

The people of Brisbane are not only bracing themselves for the worst flooding in decades, but the inevitable rise in food costs and taxes as the state struggles to rebuild regional towns and support the farmers who have seen not only their homes but their livelihoods washed away.

Whatever happens in the days to come, the events of recent weeks will result in a staggering challenge for both people who live far away from the city center, in rural areas of the state, as well as those who live and work in the heart of the city along the banks of the Brisbane River.

@highlight

The Brisbane River is still rising, with water levels expected to peak on Thursday

@highlight

Floods feared to be worse than in 1974, when thousands of homes were inundated, and 14 people died

@highlight

Change of weather a shock for residents more used to water shortages brought on by drought