Washington (CNN) -- A 9-year-old boy's request to have "Israel" listed as the place of birth on his U.S. passport was met with wariness by the U.S. Supreme Court on Monday.

Menachem Zivotofsky was born in Jerusalem, a disputed region in the eyes of the Obama administration, which argued in court the larger issue should be resolved by bilateral negotiations, not by a 2002 federal law favoring the family and 50,000 other Americans born in the holy city.

The case is a classic fight between congressional and executive authority, with foreign policy the source of the current controversy.

While the justices appeared ready to rule against the Zivotofskys, they also indicated concern about the president having either near-absolute control or a weaker influence over diplomatic and international relations, with many on the bench suggesting a middle-ground approach sure to displease both sides.

Justice Anthony Kennedy expressed concern that the congressionally-approved law giving Americans the discretion to change "Jerusalem" on current passports to "Israel" offers a "cramped" view of the president's power to conduct foreign policy amid undue congressional interference.

But Justice Sonia Sotomayor worried whether the president "was entitled to ignore Congress" in the international arena, suggesting it was an "unsettling" idea.

At issue are two questions, one narrow, one broad: Can courts intervene to enforce a federal law explicitly directing the State Department how to record the birthplace of an American citizen on a passport? And does the law impermissibly infringe on the president's power to recognize a foreign sovereign?

"There have been 50,000 Americans in the last 10 years that were born in Jerusalem, and many of them would like to have Israel indicated as their place of birth in the passports," said Sarah Cleveland, a Columbia University Law School professor, and until recently a counselor on international law at the State Department. "But this is also an extremely important geopolitical issue and a very sensitive foreign relations issue for the United States."

The high court case is Zivotofsky v. Clinton, but the key player in this dispute is perhaps the most famous city in the world, and one of the oldest human settlements still in existence: Jerusalem. Its name translates as "City of Peace" to some, "Holy Sanctuary" to others. It is Israel's largest city and its capital, though that is not recognized by the United Nations and most of the world community.

The city is home to Ari and Naomi Zivotofsky. The couple and their two oldest children were born in the United States, but the family migrated to West Jerusalem a decade ago, and in 2002 the youngest, Menachem Binyamin was born.

"We're very proud of the fact that he was born in Israel and that we live in Israel and it's the modern state of Israel," Ari Zivotofsky told CNN Correspondent Kate Bolduan. "Religiously and historically, that's very significant." The family attended the court session and were cautiously optimistic they would prevail.

Just three weeks before Menachem was born, the United States Congress gave U.S. citizens born in Jerusalem the individual discretion to ask that Israel be listed on passports and consular reports, where it says "Place of Birth." President George W. Bush signed the bill, but issued an executive "signing statement" indicating he would not comply.

That law, and the Zivotofsky's long-standing request were at the center of the 70-minute argument.

Justice Antonin Scalia wondered whether the court should be involved in a dispute between the other two branches of federal government.

"It seems to me you are not arguing for a co-equal congressional power, you are arguing for a superior congressional power," he told the Zivotofsky's lawyer Nathan Lewin. "You are saying whatever Congress says, the president has to comply with. Now, that's quite different from saying that they both have authority in the field. And if they both have authority in the field and they are exercising it in different fashions, I frankly would not be inclined to intervene."

Sotomayor took another approach. "What happens if there is a peace accord tomorrow, and Israel gives up any claim to sovereignty over Jerusalem? Is the president free to stop listing Israel on the passport? Or does he have to wait for Congress to change the law?"

"I think he does have to wait for Congress to change the law," replied Lewin.

"So you are hobbling the president with respect to situations that occur frequently, as happened in Egypt, sometimes overnight."

A popular uprising there and nearby Libya resulted in two longstanding regimes being overthrown, which the Obama administration both supported and tentatively recognized as the new ruling authorities.

Donald Verrilli, the Justice Department's new solicitor general, offered a sweeping view of presidential power in his argument to the court. "Under the Constitution that is an exercise of the Executive's exclusive recognition power," he said. "The Constitution commits that power exclusively to the executive and neither a court nor the Congress can override that judgment."

Several on the bench offered their doubts.

Justice Ruth Bader Ginsburg somewhat skeptically wondered whether the court should be held back from answering the broader question of presidential authority.

"Why not all the way? I mean, if the (Supreme) Court decides that the Constitution commits this authority exclusively to the president, then it's all over," she said. "That's the merits of the case: Does the president have this authority?"

Justice Samuel Alito added it would depend on the kind of authority asserted.

"If the question is whether the president has exclusive authority with respect to the formal recognition of a foreign country, that might be one thing," he said. "But what if the question is whether the president has exclusive jurisdiction -- plenary authority, unreviewable authority -- with respect to anything that the president thinks has a bearing on the question of recognition?" The tone of his question suggested he thought the government was reaching too far.

Verrilli said the government was not taking that power that far, but said courts should give "a very significant measure of deference" to the White House and State Department.

Scalia hypothesized whether Congress could try and block the president from recognizing a breakaway province of a foreign sovereign, which could prompt a U.S. war with that country. Even if the president were "foolish" to do so -- in Scalia's words -- Verrilli said that was still the president's prerogative.

"Our cases say repeatedly that the president is the sole instrument of the United States for the conduct of foreign policy, but to be the sole instrument and to determine the foreign policy are two quite different things," said Scalia. "But it doesn't necessarily mean that the president determines everything in foreign policy... there is certainly room ... for saying that Congress can say what the country's instrument is supposed to do."

This case is the first substantive look at a president's "inherent" authority since a series of cases over the Bush administration's war on terror since the 9/11 attacks, and the power to detain suspected "enemy combatants." Several high court rulings restricted the military's authority to detain suspected terrorists without access to federal courts to contest their overseas imprisonment.

A ruling in the Zivotofsky appeal is expected sometime before June.

The case is Zivotofsky v. Clinton (10-699).

@highlight

The Supreme Court is wary on a passport question

@highlight

People born in Jerusalem can't list Israel as their place of birth

@highlight

The city is claimed by both Israelis and Palestinians