Beslan, RUSSIA (CNN) -- First there was the blast, and then as sight as surreal as it was ghastly. Dozens of children, naked bar their underwear, running barefoot into the village, peppered with blood, screaming.

After three days agonizing, the siege to end the standoff at Middle School Number One, in Beslan, southern Russia, began with a huge explosion in the gym where dozens of militants had herded 1,200 children and parents. The explosives inside had been rigged up between two basketball hoops and the hostages lined the walls of the gym. One witness said the blast caused it to "rain meat" inside the gym.

Those who could, ran. They fled between houses, stripped of their clothes because of the scorching heat they had endured in the glass-windowed gym, where many were forced to drink urine to hydrate, towards a village that had been holding its breath for over 50 hours.

The hostage crisis in Beslan, and the bungled, reckless operation that the Russian military allowed to happen, was a defining moment in Putin's war in southern Russia.

Moscow's use of blunt instruments to fix its increasingly Islamist rebellion in the restless North Caucasus, had blatantly not worked, despite two wars to end Chechen separatism, and had instead created a new radicalized, implacable monster, capable of blowing children to pieces, perhaps under the justification they were, in Beslan's region of North Ossetia, Christians.

Unrecognizable horror

There was remarkable bravery shown by Russian special forces during the rescue operation, just none from their political masters.

The siege began, but no cordon was put in place, so the media and villagers could simply walk into the school's yard, and even the school itself, unimpeded. I watched the Vimpel detachment of Russian spetznaz race past me, headlong into the school, unsupported and outgunned.

They must have known they were running to their deaths, but sprinted all the same. I watched one of them brace himself against a door frame, before turning a corner to fire.

Body after body was brought out, most shipped away by locals in cars rushed in for the purpose -- there was no triage system, just brave emergency services workers, who also died rescuing children.

One militant was dragged from the building, his trousers pulled from his waist. Once the locals checked he was circumcised (and therefore, by their logic, Muslim, and hence a gunman), they beat him to a pulp and left his body in the back of a truck.

I ran into the gym while the siege was still ongoing, and its floor was a black mush of unrecognizable horror.

The fighting went on, into the night, as one militant held out. Putin, who had, when he came to power, pledged to shoot Chechen militants in the toilet, and who had the steel will to order a partially lethal knockout gas and swift military operation to end the siege of a Moscow theater two years earlier, was absent from Beslan.

He slipped in the night of the violence, visiting the wounded. Nobody wanted to be associated with Beslan's mess. They still don't.

Troubled North Caucasus region plagued by violence

Monument to the dead

It is nearly a decade ago, but still the scenes retain a revolting clarity in my mind. Amid the shrill noise of militant threats ahead of the Sochi Olympic Winter Games, the gym in Beslan is now steeped in silence, a monument to the dead, untouched almost.

The body parts that still lay there the day after the bloodshed are gone.

The victims' clothes that someone had hung from changing room pegs when I returned three months later -- they too are gone. There are some structural supports to keep the building up, but otherwise it is as if Beslan the village has shielded the school from the passage of time, perhaps because Beslan itself is still caught in the painful task of seeking answers.

It is not only the amorphous puzzle to find a "why" -- the only surviving gunman's father told me passively that Lenin said, during the Russian civil war, there is "white and there is red, and there always will be", but offered little other motivation.

It is also their still unresolved bid to find out how negotiations failed and how such a bungled, bloody operation could ever have come to be.

Borik Rubayev was orphaned by the blast. Three weeks later, he pointed at the school and matter-of-factly told me his mother and father had died in the school. Three months later, he was at the center of a custody battle between his relatives, some suggesting the large compensation payout he was getting from the state, was fueling the competition.

Today, he is 16 and towers in the gym, where he was once physically sheltered by his mother as the bomb went off. He says his memory is patchy, and that the dreams that used to haunt him have ebbed.

"I don't really remember much", he said. "Mother and aunt covered me up. Everybody started to run, but the terrorists tried to stop us. We thought it was the end."

He remembers how someone sitting next to him made a run for it, and he followed, and hid somewhere. Then, in the carnage they had begun, an uncharacteristic sign of humanity came from one of the gunmen, he recalls.

"One of the terrorists, I think it was, gave me food and water, then the emergency services came and took me to hospital in a car."

Today, he enjoys basketball, and hopes to avoid conscription in the army. He lives with his aunt, after public pressure resolved the custody dispute.

The school he studies in, with another 124 former hostages, is lined with memorials of the spetznaz and medics who gave their lives saving others.

Teachers say they these pupils have few problems -- bar instances of "dovleniye", a Russian word directly translated as "pressure," but used inaccurately to suggest depression or anxiety.

In fact, the building marries a cheerfulness sustained relentlessly by the teachers, with the constant remembering of the dead, as if aimed at making the survivors sit happily with their past.

Little peace

The mothers of Beslan, however, know little peace. Anger at the government bloomed after the siege. They felt abandoned in the immediate aftermath, before Moscow poured millions into the town, and its now garish graveyard, as if to compensate for their absence when it was most needed.

Those feelings of anger turned into suspicion: Endless investigations have not satisfied some who believe perhaps the government knew of the gunmen's plan and didn't act, or even ordered the first shots fired to prevent them having to negotiate with the militants.

Margarita Tuaeva, whose children survived, retains those suspicions even a decade on. "They started it because they could not get out of this situation in any other way. They didn't want to negotiate. Without Putin's order, that couldn't have happened."

For others, the lack of answers simply amplifies inexhaustible grief.

Tamara Shotaeva lost her two daughters and lights two candles for them in the driving snow. She cries as she talks of how she has no idea what her daughter would have looked like if she lived til today.

She says: Time doesn't heal at all."

@highlight

In 2004, Chechen rebels took 1,200 people hostage at a school in Beslan, Russia

@highlight

Hundreds of people were killed during the subsequent three-day siege and military operation

@highlight

CNN's Nick Paton Walsh covered the hostage crisis for The Guardian newspaper

@highlight

Ten years on, he returns and finds victims of the siege still have unanswered questions