(CNN) -- A friend once said "We women must learn to choose our battles." Women in Saudi Arabia shape their agenda according to where they choose to take on their new challenges, what they prioritize, when they let go, and how they win. The self-evident statement that "Saudi Arabia should integrate and empower women economically" defines my battle and that of many other women.

Read more: Saudi activists say kingdom trying to silence them

Economic empowerment offers a win-win scenario for Saudi Arabia and its women. It promotes gender equality and helps the country to diversify away from petroleum, a longstanding national goal.

Rising numbers of well-educated women enlarge the national talent pool, allowing reduced dependence on expatriates (who comprise over half the workforce). Instead women are still not seen as part of the solution. Since 2001, the number of Saudi women seeking employment has risen faster than the number of jobs, resulting in a 28 percent female unemployment rate, nearly four times that of men, according to The Ministry of Labor in the Kingdom of Saudi Arabia with Booz & Company analysis.

Opinion: Small protests have big impact in Saudi Arabia

Women's economic empowerment also boosts household income. Studies demonstrate that women are more likely than men to use their resources to promote their children's health and education.

Economic growth alone is not enough. It needs to be geared instead towards inclusive growth of women. Saudi Arabia is prosperous, with GDP per capita of close to $23,000 in 2012 according to the IMF. However, Saudi Arabia ranked 123 out of 128 countries in Booz & Company's Third Billion Index which measures women's economic participation. In addition to economic growth, Saudi Arabia needs inclusive economic policies that promote long-term, targeted reforms that harness the potential of its aspiring women. Allowing women to drive, for example, is economic empowerment. Many Saudi women are likely to give up their jobs because they cannot afford to hire drivers to get them to work.

Read more: America, the Saudi Arabia of tomorrow

Economic measures need to be accompanied by civic changes that make women more visible in leading positions and that allow them to engage in shaping the debate. The decision to appoint women to the Shura Council, the kingdom's national consultative body, will have both these effects.

Research shows that visibility is a key dimension of empowerment. It creates national role models and encourages younger women to advance in their careers. In Argentina, for example, women have made progress thanks to their national prominence. They hold high political office and are 39 percent of the parliament, compared to 6 per cent in 1990. Visibility fosters economic integrationâ€”Argentina's women are now 40 percent of the workforce, according to the World Bank.

The engagement of women in the policy debate is critical. Women's issues can become more salient in Shura Council discussions. The council's advisory role means it can offer proposals and programs to executive bodies that emphasize women's education, employment and civil, legal and social status.

The step forward of putting women on the Shura Council, and King Abdullah's promise that women can vote in the 2015 municipal elections, raises the prospect of women holding ministerial posts (Currently, one woman is the deputy minister of education, unlike many other Arab Gulf countries where women now hold ministerial positions).

The struggle for economic empowerment is the right fight for Saudi women and for a country seeking to transform its economy.

The opinions expressed in this commentary are solely those of Mounira Jamjoom.

@highlight

The number of Saudi women seeking employment has risen faster than the number of jobs

@highlight

The engagement of women in the policy debate is critical, Jamjoom writes

@highlight

She argues that economic measures need to be accompanied by civic changes