(CNN) -- The storm system that plowed through the South left scenes of destruction described as "surreal" and "sickening" by those who saw them. Authorities were working to reach those trapped; some states are facing a long and arduous recovery. Here's a look at the latest confirmed death toll as provided by state authorities as well as reports from some of the worst-hit areas.

OFFICIAL STATE DEATH TOLLS FOR APRIL 27-28 TORNADOES

Alabama - 238

Tennessee - 34

Mississippi - 33

Georgia - 15

Virginia - 5

Arkansas - 1

TOTAL - 326

Source: State officials

ALABAMA

The death toll from the severe weather in Alabama has claimed the lives of at least 238 people, according to state emergency officials. The state Emergency Management Agency reported 18 additional deaths in Marion County, bringing the total number of deaths there to 21. Sheriff Kevin Williams told CNN Friday afternoon that 35 people had died in the county, with the additional deaths not yet included in the official state total. The state listed 20 people as missing in Marion County.

Tuscaloosa city officials reported 45 deaths as of Friday afternoon, but later revised that to 39 because of a counting error. That change was not immediately reflected in the state's total. Almost 1,000 people were treated for injuries in the city and 446 people were unaccounted for, although not necessarily missing.

President Barack Obama and the first family toured Tuscaloosa on Friday. Obama met with Gov. Robert Bentley and families affected by the storms and promised expedited emergency assistance to the devastated region.

"We're going to do everything we can to help these communities rebuild," he told reporters.

Medical personnel treated more than 1,700 injured people. Thirty-one of the state's 67 counties were affected by the tornadoes and storms.

Bentley declared a statewide state of emergency and mobilized approximately 2,000 Alabama National Guardsmen to provide emergency assistance.

Obama signed Alabama's Emergency Declaration and ordered federal aid to supplement state and local response efforts.

--  Tuscaloosa: Mayor Walter Maddox described a surreal scene as the twister plowed through: "There were parts of the city I literally didn't recognize," he told CNN's Eliot Spitzer. "We have hundreds of homes and businesses destroyed, and hundreds more damaged.

-- Birmingham: Severe damage was reported in Birmingham's western suburbs; Hueytown, Concord and Pleasant Grove saw "catastrophic damage," said Hueytown Police Chief Chuck Hagler. "I don't think you understand the scale of the devastation," he said.

-- Hackleburg: Almost 30 people died in this town in northwest Alabama, according to the sheriff. Schools, businesses and homes were destroyed.

-- Cullman: What was thought to be a tornado damaged a hospital, ripped the roof off the courthouse and pummeled a number of residences, authorities said. One person was killed in Hanceville when a tree fell on a car.

Counties reporting deaths, according to state authorities:

Bibb  -- 1

Calhoun --  9

Cullman -- 2

DeKalb -- 32

Elmore --  6

Fayette -- 4

Franklin -- 27

Hale -- 4

Jackson -- 8

Jefferson -- 19

Lawrence -- 14

Limestone --  4

Madison -- 7

Marion -- 21

Marshall -- 5

St. Clair -- 13

Tallapoosa -- 3

Tuscaloosa -- 45

Walker --  14

TENNESSEE

Tennessee emergency officials reported 34 deaths and 107 injuries. Serious flooding was reported in areas of western Tennessee, and more than 130,000 were without power.

-- Chattanooga: A 41-year-old woman was killed when a tree fell on her mobile home, according to WDEF. Her husband and son told investigators they were taking shelter in a closet when she walked over to a window and was crushed when the tree fell. In Chickamauga Lake, north of Chattanooga, no one was injured when a funnel cloud smashed into the Camp Columbus RV park, destroying several vehicles. Resident John Tripp told CNN affiliate WTVC that he saw the massive tornado form, taking up water as it crossed the lake, before it smashed into the campground.

-- Apison: Eight deaths were reported in this community east of Chattanooga. Twenty-eight people were taken to hospitals.

GEORGIA

The death toll in Georgia stands at 15, officials said Friday. Gov. Nathan Deal has declared a state of emergency in 16 counties. The state reported 115 injuries. The state has concluded search operations, is conducting preliminary damage estimates and has done aerial surveys.

--Catoosa County: Eight deaths occurred here, according to the Georgia Emergency Management Agency. Three were confirmed in the town of Ringgold, according to the Catoosa County Coroner. The town in northwest Georgia has been hit particularly hard, with some buildings entirely demolished, Major Gary Sisk said. In Ringgold, the storm appeared to pick and choose its targets. Some homes were left virtually unscathed, or perhaps had minor roof damage. Others had no roof at all. Still more homes were simply gone, vanished into a pile of rubble. "It just looks like confetti," emergency management spokeswoman Lisa Janak said Friday, adding 300 homes were lost in the county.

-- Dade County: Two people were confirmed dead in Trenton, according to Georgia's Emergency Management Agency.

-- Spalding County: The sheriff's department confirmed two fatalities. State officials said numerous homes were severely damaged.

-- Lamar County: The state confirmed two deaths.

-- Rabun County: One death.

MISSISSIPPI

The death toll from severe weather in Mississippi has risen to 34, according to state emergency officials. More than 150 injuries were reported. One of the 33 deaths was on Tuesday. Another was a firefighter who died Friday after collapsing while clearing storm debris.

President Obama signed a disaster declaration for Clarke, Greene, Hinds, Jasper, Kemper, Lafayette and Monroe counties, making individuals living there eligible for federal funds.

Damage was reported in 50 counties and the Mississippi Band of Choctaw Indians, the Mississippi Emergency Management Agency said. Damage assessments were still ongoing, but as of Friday afternoon damage was reported to 1,572 homes. Of those, 551 were deemed destroyed or having suffered major damage.

-- Monroe County: At least 14 people were killed in the town of Smithville. Fourteen people there were still missing Friday afternoon.

-- McComb: A falling tree killed a 3-year-old girl who was asleep in her bed in the southwest Mississippi town, according to CNN affiliate WLBT in Jackson.

-- Kemper County: Three deaths were confirmed in the western Mississippi county, MEMA said.

VIRGINIA

The death toll from severe weather in Virginia was revised downward from eight to five, according to state emergency officials. Severe storms struck the counties of Goochland, Halifax, Shenandoah and Washington, among others. Four fatalities in Washington County and one in Halifax County have been confirmed, according to the Virginia Department of Emergency Management.

MISSISSIPPI

The death toll from severe weather in Mississippi has gone up to 33, according to state emergency officials. More than 150 injuries were reported. One of the 33 deaths was on Tuesday.

Damage was reported in 50 counties and the Mississippi Band of Choctaw Indians, the Mississippi Emergency Management Agency said. Damage assessments were still ongoing.

-- Monroe County: At least 13 people were killed in the town of Smithville.

-- McComb: A falling tree killed a 3-year-old girl who was asleep in her bed in the southwest Mississippi town, according to CNN affiliate WLBT in Jackson.

-- Kemper County: Three deaths were confirmed in the western Mississippi county, MEMA said.

VIRGINIA

The death toll from severe weather in Virginia was revised downward from eight to five, according to state emergency officials. Severe storms struck the counties of Goochland, Halifax, Shenandoah and Washington, among others. Four fatalities in Washington County and one in Halifax County have been confirmed, according to the Virginia Department of Emergency Management.

VIRGINIA

The death toll from severe weather in Virginia was revised downward from eight to five, according to state emergency officials. Severe storms struck the counties of Goochland, Halifax, Shenandoah and Washington, among others. Four fatalities in Washington County and one in Halifax County have been confirmed, according to the Virginia Department of Emergency Management.

CNN Radio's Matt Cherry and CNN's Susan Candiotti contributed to this report.

@highlight

More than 1,700 people were reported injured in Alabama alone

@highlight

Serious flooding was reported in areas of western Tennessee

@highlight

Falling tree killed a 3-year-old girl who was asleep in her bed in McComb, Mississippi