(CNN) -- On October 29, Ed Shevlin looked out toward the Atlantic Ocean from his third-story apartment in New York's Rockaway Park.

Sand-filled rain began pelting his windows in what sounded to him like a hundred pans of frying bacon. Then, the lights went out -- and stayed out -- for three weeks.

The next morning, he awoke to a scene of utter destruction. Superstorm Sandy tore the sea town's boardwalk to pieces, and filled the community pool with saltwater. It forced 27 of his New York City Department of Sanitation co-workers out of their homes.

Yet they were still first on the scene, -- clearing the roads so firemen and ambulances could enter -- reporting seven days a week for 14 hours a day. They worked around the clock to clear more than 500,000 tons of debris and rid neighbors of the unsettling reminder that their entire lives were now piles of garbage in the front yard.

Little more than a month later, Ed stood on the ground floor of Madison Square Garden in quite a different setting. He and seven fellow sanitation workers were given tickets to attend the 12-12-12 Concert for Sandy Relief, the most successful fund-raising concert in history.

They were heroes for their community. And now they needed help.

Through stories such as Ed's, viewers around the world recognized the immediate and unprecedented need across the Northeast. Generous concert donors -- hailing from all 50 states and more than 90 countries -- gave $51 million to help organizations working on the front lines of the disaster.

Robin Hood was honored to be entrusted with these funds, and we have since distributed the entire proceeds from the concert to almost 400 organizations across the tri-state area.

When the storm hit, and the true depth and breadth of the devastation began to emerge, we knew that the organizations we'd traditionally funded for poverty-fighting work would already be on the ground helping victims of the storm.

Rather than wait for them to come to us requesting emergency food, blankets, generators, and other time-critical supplies, we made sure they had the money right away -- providing $3 million to more than 75 organizations in just a few days. Valuable time wasn't lost, and communities such as Ed's in the Rockaways could start rebuilding.

As we saw in the wake of 9/11, the need slowly transitioned from emergency assistance to longer-term rebuilding and restorative services, including counseling, benefits/legal aid (such as helping people apply for FEMA funds) and physical and mental health care.

But the majority of Robin Hood funds have been devoted to housing, one of the largest and most critical areas of need across the tri-state area.

In New Jersey alone, more than 72,000 homes and businesses were damaged or destroyed. And without shelter, storm victims have an even harder time getting back on their feet.

Because of this, we made a $1 million grant to the Affordable Housing Alliance in Monmouth County, New Jersey, to help purchase, transport, and install 17 newly manufactured homes for low-income residents displaced by the storm.

A mother of two lived in the flood evacuation zone of Sea Bright and packed up before Sandy hit. When she returned, 5 feet of water and sand filled her home. An elderly couple forced to evacuate their house had been living in a motel for months.

Both families now have brand new homes and can start the process of rebuilding their lives.

Once the scope of the devastation caused by Sandy became apparent, we reactivated the Robin Hood Relief Fund -- originally created to support victims of 9/11 -- to help effectively steward funds and resources.

Because of the emergency nature of the situation, the Relief Fund Committee met almost every week -- 17 times in five months -- to provide guidance and review grant applications.

Our goal was to allocate all of the funds from the fund, $70.5 million, as quickly and effectively as possible. In fact, we completed the process in April with a total of 494 grants to 391 different organizations. But even though our Sandy-specific resources have been spent, the need continues.

Ed Shevlin's community in Rockaway Park is still not back to normal. Neighbors await much-needed federal funding. And while the state declared that storm debris collection has officially ended, Ed and his co-workers still find remnants of Sandy destruction in their daily pickups.

We continue to accept donations at the Robin Hood Fund and are encouraged by the fact that dozens of other relief organizations are still on the front lines helping.

Because, as Ed will tell you, the job is nowhere close to being finished.

@highlight

Need for help continues seven months after Sandy

@highlight

Fund says it has distributed $70.5 million to groups helping Sandy victims

@highlight

You can still donate to Robin Hood Hurricane Sandy Relief Fund