(CNN) -- The Graha Bhakti Budaya (or GBB as it's locally known), is a care-worn, 1960s slab of a building, popular as part of Jakarta's largest arts center, but outwardly unremarkable.

Yet what happened inside on Monday, the Indonesian premiere of documentary "The Look of Silence", has for some made it more than a theater space and transformed it into a site of huge importance for the development of Indonesia's democracy.

"That screening on Monday night was a big, big moment," says 54-year-old Irawan Karseno. "There are deep wounds in our nation since 1965 and this movie is like a healing process."

As head of the Jakarta Arts Council, Karseno was instrumental in bringing the film, Joshua Oppenheimer's companion piece to last year's Oscar-nominated "The Act of Killing", to a captivated audience of around 1,500 people.

Oppenheimer's 2012 film helped open up public discussion about a troubling and little-spoken of period in Indonesia's recent history: human rights groups estimate between 500,000 to 1 million Indonesians were killed by military death squads during anti-communist purges in 1965 and 1966 that helped cement the "New Order" regime of General Suharto.

While "The Act of Killing" told the story from the killers' side, "The Look of Silence" takes an unflinching look at the situation from the viewpoint of the survivors.

The film's protagonist is Adi, a 45-year-old optometrist, who tries to understand why his parents remain so deeply traumatized by his brother Ramli's murder in 1965, and the culture of fear and lies he believes pervades his community and country.

Adi's unflinching gaze when he confronts members of the militia involved in his brother's brutal death is juxtaposed with the attitude of perpetrators and survivors in the film, and many Indonesians as a whole, who prefer to say the "past is the past".

"But the younger generation are more open-minded," says Karseno. "I was only five years old when these events happened and I'm still ashamed by them.

"Next year is 50 years since (the killings of) 1965. How can we prepare for next year? How can we see the events more sensitively? I hope it can be like when Germany came to terms with the holocaust and they had a healing process with each other."

After a multi-year investigation, the country's National Commission on Human Rights in 2012 declared the massacre a gross violation of human rights. Yet Indonesia is still a distance from any official truth and reconciliation process. No one has been brought to trial for the alleged crimes. The Attorney General's office has not yet replied to CNN's requests for comment.

Many survivors' families across Indonesia still live in fear of reprisals if they should speak openly against those responsible for the crimes.

During filming Oppenheimer made sure precautions were taken should things take a turn for the worse; a getaway car was on hand, no-one carried ID, phones were data-free and in some cases Adi's family were on standby at the airport to leave at a moment's notice.

"It's a terrible situation that Adi and his family had to move away like fugitives (after the film was made), especially when he was just trying to create the conditions for forgiveness," says Oppenheimer.

"But it shows just how far Indonesia has to go before it can be called a genuine democracy with rule of law and that because of the impunity the perpetrators and gangsters have Adi's family has to run away, when they've done only the most beautiful and dignified thing."

For Oppenheimer, Monday's premier was the most important screening of either "The Act of Killing" or "The Look of Silence" (which has appeared at a number of international film festivals), as it was hosted by Indonesian government agencies-- the Jakarta Arts Council and the National Human Rights Commission.

While "The Act of Killing" first had to be shown at private screenings, even public showings initially had to have heavy security, "The Look of Silence" premier was publicly announced, proving to Oppenheimer, that a space is opening up for the country to continue to heal.

In December community screenings will take place across Indonesia, and Karseno, encouraged by the recent election of Joko Widodo as president, feels optimistic that the country can get over its "mental block."

"We are pushing hard for Jokowi (Joko Widodo) to see the film," says Karseno.

"We have a problem in our culture. It's not just about 1960s for us, but how we as a country are connected to the rest of the world."

According to Karseno the atmosphere on Monday was only tense with expectation rather than from any safety worries, and two screenings had be shown as twice as many people turned up as could be accommodated by the auditorium.

Adi was one of those present at the premier.

"After watching the film and seeing the victims I felt sad," says Karseno. "I then met Adi and I just cried."

@highlight

Documentary 'The Look of Silence' show legacy of 1965 massacre in Indonesia

@highlight

Film premiered with government support in Jakarta on Monday

@highlight

Filmmaker believes country is slowly coming to terms with its brutal past

@highlight

Says unless those responsible for crimes are punished country will cannot be a genuine democracy