(CNN) -- As the rest of the world waits to see if Japan can avert a nuclear catastrophe, a small band of experts is putting their lives at risk to prevent the disaster.

Thousands of people living near the troubled Fukushima Daiichi nuclear power plant have been evacuated from their homes because of the risk of radiation leaks from reactors damaged by last week's devastating earthquake and tsunami.

But while most hurry in the opposite direction, about 180 plant workers are staying put -- despite the fact that doing so could result in serious illness or even death -- to battle the meltdown threat.

"The workers at this site are involved in a heroic endeavor," former U.S. Department of Energy Official Robert Alvarez told CNN.

"There is at least fragmentary evidence that in some places on this site there are life-threatening doses of radiation. I think they are doing enormously heroic work."

The workers left at the site are said to be highly trained and experienced nuclear operators, engineers and safety staff with highly specialized knowledge.

Richard Wakeford, of the Dalton Nuclear Institute at the University of Manchester, said for many of them -- despite the highly unusual and potentially dangerous circumstances -- it will be just another day at the office.

"They see it as doing their job," he said. "The Japanese in particular are dedicated to duty, and they will see it as their duty to do what they are doing."

According to the World Health Organisation, the average person is exposed to about 3.0 millisieverts (mSv) a year of radiation, from naturally-occurring, medical and other sources.

But monitoring at the Fukushima Daiichi site has recorded radiation as high as 400 millisieverts an hour -- a level known to be a risk to human health.

Exposure to 1,000 millisieverts (1 Sievert) of radiation can cause radiation sickness.

"It is difficult to get a clear picture, but there have been spikes in radiation to enormous doses, high enough to risk radiation sickness," said Dr. Ira Helfand, a member of the organization Physicians for Social Responsibility.

"These people are undergoing total body radiation, which can cause leukaemia and lymphoma as well as thyroid cancer later on," he said.

Experts say lessons have been learned since the nuclear disaster at Chernobyl 25 years ago, when an unauthorized experiment saw radioactive dust spread across swathes of Ukraine, Belarus, Russia and western Europe.

Then, emergency workers were sent in with little or no protection to deal with the fallout.

"It was pandemonium; there was no monitoring, no idea of the risks," Wakeford said.

By contrast, he said, staff at Fukushima Daiichi will be kitted out in protective clothing and breathing apparatus, they will be closely monitored and working in teams to limit their exposure to radiation.

"If I were them I would be more worried about the hydrogen explosions, which have been huge -- enough to blow the roofs off two buildings -- and which I think are a much bigger risk to the workers on the ground," he told CNN.

But Dr. Helfand said reports suggested that the operation was not going 100% to plan, describing it as "something out of an adventure movie."

"We are in totally uncharted waters, people are ad-libbing to deal with the situation," he said. "Using fire trucks to pump a mixture of sea water and boron onto the reactors is not in any of the manuals."

Wakeford said the workers will have known they may one day face a risky situation such as this.

However, Helfand said that made them even braver, and their work more admirable.

"These workers are trained to understand the risks, but that only makes it all the more heroic that they have agreed to stay and work to prevent a disaster," he said.

"They know that if there is a reactor meltdown it could be a major disaster affecting huge areas and massive numbers of people, and they are risking their lives to try and prevent that. All of us owe them a huge debt of gratitude."

Professor Wakeford agreed: "They are heroic, there is no doubt about that -- it's a pity that isn't recognised more. They are heroes, and I bow down to them."

@highlight

180 workers at Fukushima nuclear power plant trying to avert nuclear catastrophe

@highlight

Recorded radiation at levels high enough to pose a threat to human health

@highlight

Experts praise plant team as heroes, say they are risking their lives for the greater good