(CNN) -- The Syrian president sacked the governor of a restive province, a day after tens of thousands of anti-government protesters took to the streets of its capital.

President Bashar al-Assad discharged Dr. Ahmad Khaled Abdul-Aziz from his post as governor of Hama province, the third provincial governor to be fired since the countrywide protests began in mid-March.

No reason was given for the move, reported on Saturday by the state-run Syrian Arab News Agency.

Hama city, the provincial capital, has been the scene of very large demonstrations and the outpourings there have been compared to the gatherings in Cairo's Tahrir Square, where daily demonstrations earlier this year forced the removal of Egyptian strongman Hosni Mubarak.

Security forces withdrew from the Hama city center last month and al-Aasi Square has been packed with protesters calling for the downfall of the regime, displays of grassroots anger that have been gaining momentum in recent days.

There have been no recent reports of violence in Hama, and observers believe the government might have been allowing the demonstrations in Hama because of the sensitivities over the city's violent history.

The city was the scene of a 1982 brutal military crackdown targeting Sunni Muslims by the Alawite-dominated government of Hafez al-Assad, Bashar al-Assad's late father. Thousands were killed.

Sunni Muslims are the dominant religious group in the country and Alawites are an offshoot of Shiite Islam.

Within the past three months, President al-Assad discharged the governors of Daraa and Homs as well.

Syria has been wracked with protests that began in Daraa and took hold across the country as government forces cracked down on peaceful demonstrations.

The number of deaths in the anti-government demonstrations across Syria on Friday stands at 24, according to the Local Coordination Committees, an activist group. Most were in the Homs and Idlib regions.

Rami Abdelrahman, from the London-based Syria Observatory for Human Rights, said more than 1,360 civilians and more 340 army and security forces have died in the violence.

Human Rights Watch, the humanitarian watchdog, issued a report on Saturday elaborating on the crackdown in Homs, saying the government security forces and their allies have killed at least 21 people there over the last two weeks.

It said security forces have used clubs to beat demonstrators, "vandalized private property, and broken into homes where they suspected protesters had sought refuge. Security forces dressed in civilian clothes have detained protesters repeatedly, often travelling in taxis to approach and detain people."

International powers have condemned and sanctioned the Syrian government for its crackdown, and there has been talk by some observers that the International Criminal Court should investigate possible crimes against humanity by the government.

Amid the criticism, Syria has talked about reforms and this week permitted opposition members to hold a meeting.

The government allowed about 200 activists and intellectuals, including some it had previously jailed, to hold a conference on democratic reform Monday at a Damascus hotel, the first such gathering permitted by the regime. The dissidents gathered in the hotel ballroom, including several signatories of a 2005 declaration that called for a democratic transition.

On Friday, government minders escorted international journalists to anti-government protests.

But reports of violent reactions to peaceful demonstrators persist.

Sarah Leah Whitson, Middle East director at Human Rights Watch, was quoted in the report on Homs as saying that al-Assad's "promises of new laws allowing more political participation ring hollow when security forces are still above the most basic laws."

Mark Toner, U.S. State Department spokesman, told reporters on Friday that despite a "little flicker of progress" this week, there has been a "continued clampdown by security forces on peaceful protests."

He said the United States wants to see "dialogue and a transition process" and echoed President Barack Obama's statement that if al-Assad can't lead a reform process, "he should get out of the way."

Toner said the United States backs the "universal human right" of peaceful protests and the right of freedom of expression. He said "arbitrary arrests of innocent civilians" must end, political prisoners must be released, state-run media must stop incitement, and violence must end against peaceful protesters.

CNN's Jomana Karadsheh contributed to this report

@highlight

NEW: Human Rights Watch documents recent deadly violence in Homs

@highlight

Hama is the scene of a bloody crackdown in 1982

@highlight

Hama's governor is the third to be discharged since the unrest started

@highlight

At least 24 people were killed in Syria during Friday demonstrations