(CNN) -- It's an annual spectacle of diplomacy, dialogue and debate: the U.N. General Assembly session.

International leaders shake hands, sip tea, catch up. Sometimes resolutions are passed; many times they aren't.

This week, almost 200 countries will step up to the global stage again to tell the world what they want.

Here are five things to look for during the session that begins Tuesday in New York:

1. The Syria conundrum

It's been a hot topic for two years, yet not much has been accomplished. But there's a new sense of urgency to reach a deal on Syria, now with the confirmed use of chemical weapons and the threat of Western force hanging over diplomats' heads.

In an ideal world, the U.N. Security Council would agree on what to do about Syria, where more than 100,000 people have died in the two-year-long civil war.

But the Syria conundrum is like a boxing match with unlimited rounds.

In one corner, countries like the United States and France want Syrian President Bashar al-Assad to step down. At the very least, they want to be able to use force if the regime doesn't give up all its chemical weapons.

In the other corner, Russia and China won't stand for any strong action against their ally.

The clock is ticking. Syria has agreed to a Russian-U.S. timeline for the removal of its chemical weapons, but the plan has to be sanctioned as a U.N. resolution.

And since the two sides can't agree on whether to include the threat of force in the resolution, we'll see if the sparring countries can hammer out a deal before time runs out -- or before more bodies pile up.

2. The Iran overture

It's become as predictable as General Assembly's meeting itself: Iran's president take the mic, and diplomats walk out of the room in protest.

But this year, the Holocaust-denying, West-baiting Mahmoud Ahmadinejad is gone. In his place is Iran's new president, Hassan Rouhani, who has said he wants to mend fences.

"We must work together to end the unhealthy rivalries and interferences that fuel violence and drive us apart," Rouhani wrote in The Washington Post last week.

U.S. officials are skeptical about the outreach. They want Iran to walk the walk -- not just talk the talk -- on halting nuclear enrichment.

But Iran's charm offensive, apparently spurred by tough economic sanctions, has spurred speculation that Rouhani and U.S. President Barack Obama will meet at the General Assembly. If they do, it'll be the first meeting between American and Iranian presidents since Iran's 1979 Islamic Revolution.

There's no such meeting on the schedule. But the White House says it hasn't ruled one out, either.

No Iran meeting yet, but Obama's U.N. visit will center on Middle East region

Rouhani will address the General Assembly on Tuesday. Diplomatic corridors are abuzz with speculation that he'll make a dramatic announcement, perhaps offering to close an nuclear enrichment plant or allow inspectors in. We doubt anyone will be walking out.

3. The Mideast dilemma

Will Palestinians get a step closer this year to becoming a recognized member state?

Last year, Palestinians won recognition from the U.N. General Assembly as a non-member state. The upgraded diplomatic status gave them access to U.N. bodies. It also raised concerns in Israel that Palestinians would seek membership in agencies such as the International Criminal Court, where it can press for war crimes charges against Israel.

This year's agenda will include talks on the "permanent sovereignty of the Palestinian people in the Occupied Palestinian Territory, including East Jerusalem, and of the Arab population in the occupied Syrian Golan over their natural resources."

Obama will meet with Palestinian Authority President Mahmoud Abbas, the first time the two have met since direct Mideast peace negotiations restarted earlier this year. Israeli Prime Minister Benjamin Netanyahu is scheduled to visit the White House at the end of the month.

4. The LatAm tension

Things could get awkward when U.S. diplomats run into some of their Latin American counterparts.

Brazil had a falling out with Washington over reports that the U.S. was electronically spying on the its president's communications. Both countries agreed to postpone Brazilian President Dilma Rousseff's state visit to Washington in October to a later date.

Venezuela isn't exactly happy with the United States, either. Last week, the government accused the U.S. of refusing to allow its president's plane to fly through U.S. airspace while en route to China. The State Department denied the claim, saying it granted permission for the plane to fly over Puerto Rico.

5. The no-show ... and the not wanted

Not all the 193 countries will be represented in New York.

Kenya recalled its envoy, Macharia Kamau, because Deputy President William Ruto has been on trial at the International Criminal Court for alleged crimes against humanity.

"We very much regret that he cannot be out of the country at the same time as the Deputy President," Kenyan State House spokesman Manoah Esipisu said in a statement.

The U.N. court accuses Ruto of plotting attacks that killed more than 1,000 people after Kenya's disputed presidential election almost six years ago. He denies it.

Another leader the International Criminal Court would like to get its hands on is Sudan's president.

He's wanted for genocide, war crimes and crimes against humanity for his alleged role in a five-year campaign of violence in Darfur.

But President Omar al-Bashir might show up anyway.

"As I've said numerous times, he has submitted a visa application. We're not going to sort through the considerations underway right now on that application publicly," U.S. State Department spokeswoman Marie Harf said Friday.

There's little the U.S. can do. As the host country, it's generally obligated to grant visas to heads of state, wanted or not.

CNN's Elise Labott, Kevin Liptak, Faith Karimi, Laura Smith-Spark and Tim Lister contributed to this report.

@highlight

The global debate over Syria is expected to be a hot topic

@highlight

Hassan Rouhani will make his first appearance as Iran's new president

@highlight

Sudan's president, wanted on charges of war crimes, might make a surprise appearance