(AOL Autos) -- Law enforcement officials in six states can now give you a ticket for talking on your cell phone while driving, so that hands-free device you should be using for your cell phone is going to become your best friend.

Only 23 percent of respondents refrain from talking or texting when driving, a survey showed.

The reason you may need to start wearing that dorky Bluetooth-integrated ear piece is actually quite startling and sobering. Distracted drivers cause 80 percent of all road accidents, according to the National Highway Transportation Safety Administration.

In fact, a recent study by the Public Policy Institute of California shows hands-free laws have the potential of saving 300 lives in California each year and perhaps thousands if similar laws were enacted in all states.

"I wouldn't be surprised if more states enact laws much like California's new law," said Elliot Darvick, Celebrity Car Parade editor for MyRide.com, whose recent survey results show 70 percent of people agree that driving and cell phones don't mix. However, only 23 percent of respondents say they refrain from talking or texting when driving.

To date, six states have enacted statewide hands-free laws and 20 states have active hands-free law legislation on the books. "I certainly don't want to see people on the road texting or talking," Darvick said. "I'd rather they have their hands on the wheel." AOL Autos: Safest cars

Hands-free laws by state

On July 1, hands-free laws became effective in both California and Washington, making a total of six states (and the district of Washington DC) with enforceable hands-free laws. In addition, many states have enacted similar laws in some districts and some states have active hands-free legislation.

Here's how it breaks down by state:

States with enacted laws are California, Connecticut, New York, New Jersey, Utah, Washington D.C. and Washington.

States with enacted laws by jurisdiction (most of these states also have active state-wide legislation) are Illinois, Massachusetts, Michigan, New Mexico, Ohio and Pennsylvania.

States with active legislation are Arizona, Delaware, Florida, Hawaii, Iowa, Kansas, Kentucky, Louisiana, Maine, Maryland, Minnesota, Mississippi, Missouri, New Hampshire, Oklahoma, Rhode Island, South Carolina, Tennessee, Vermont and Wisconsin.

Coming to a state near you?

Though the guidelines below relate specifically to the new California laws, this could be a preview of things to come for other states. The California Highway Patrol (CHP) has issued a "Wireless Telephone Laws FAQs," outlining what drivers need to know about complying with hands-free driving laws in California. AOL Autos: Best car deals of the month

Here's what you need to know:

1) The law prohibits drivers from talking on handheld wireless (cell) phones while operating an automobile. However, you can make an emergency call to a law enforcement agency, a medical provider, the fire department or other emergency services agency.

2) Oddly enough, you may dial your cell phone while driving, but you cannot hold your cell phone and talk.

3) You can get a fine for texting if the officer believes you have become distracted and are not driving safely.

4) If you are using a Bluetooth or other earpiece when driving, you cannot cover both ears. AOL Autos: Top 5 most popular cars

5) Drivers under 18 years old may not use any wireless device of any kind while driving, even hands-free devices such as earpieces. However, teen drivers can use a wireless device in case of emergency.

6) If convicted of talking while driving, the first offense fine is $20 and $50 for subsequent convictions.

7) You will NOT receive a point on your driver's license if convicted, but the violation will appear on your driving record.

8) Passengers cannot get ticketed for talking on their phone.

9) Push-to-talk features can only be used by commercial motor truck or tractor operators.

How to comply

So, how do you comply? There are several options, from buying a new car with factory-installed Bluetooth technology to installing aftermarket wireless products to wearing a wireless headset to abstaining altogether from using a cell phone while driving. AOL Autos: 10 cars to keep you young

Here's a breakdown of what you can do to become a hands-free driver:

Spend nothing -- Either abstain from talking while driving altogether or use your cell phone's speakerphone. However, most of these tiny speakers don't deliver enough volume to mask car and road noises, leaving drivers holding their phone up to their ear.

According to hands-free laws, this is illegal. Also, some drivers are turning to the wired headset that most manufacturers include with your cell phone. AOL Autos: Used luxury cars

Best buys in ear wear -- Although some people find ear pieces uncomfortable or way too geeky, a Bluetooth-enabled ear piece is one of the best ways to drive and talk. Plantronics makes some of the most affordable ear pieces with good sound quality like the sleek new Discovery 925 ($149.95), the modestly-priced Voyager 520 ($99.95) and the military grade Explorer 370 ($79.95). For those into designer wear, the Jawbone ($129.99) looks like a work of art and works as good as it looks.

Don't want an earpiece? -- Wireless speakerphones and aftermarket-installed voice recognition systems have come of age. Paris-based Parrot started making these systems years ago when most of Europe enacted hands-free laws.

Parrot's MINIKIT ($89) clips to your visor and is basically a mobile speakerphone while Parrot's pluggable PMK5800 kit ($119.99) sticks out from your car's cigarette lighter and has some voice recognition capabilities. Parrot also has a host of other Bluetooth-integrated products that are installed by professionals and do what factory-installed systems can do like automatically turn down your car's audio volume when you get a call.

Bluetooth basics -- As with any new technology, there's a ramp-up time to feeling comfortable with using wireless technology and its by-products. Don't get too frustrated when you can't figure out how to sync your cell phone and that new ear piece.

When you need help, calling tech support is sometimes better than reading the manual. Also, many older cells phones aren't integrated with Bluetooth, nor do they have the software inside to upload important data like your address book. So, you may want to think about upgrading your cell phone before you buy your new mobile wireless device.

iPhone users beware: Bluetooth doesn't seem to be super compatible, although you can perform basic functions with ease.

Ford's answer: Sync

It used to be that only luxury cars like Mercedes-Benz or Jaguar had built-in voice recognition systems. Now with Ford's SYNC system, most consumers can afford the $395 price tag for this hi-tech option. Powered by Microsoft, SYNC is a voice-activated communication and entertainment system.

Rated in 2007 as Popular Mechanic's No. 4 "Most Brilliant Gadgets," Ford's SYNC also offers one of the best hands-free calling options to date. The system is rather easy to use and lets drivers bring their digital media players, MP3 players and Bluetooth-enabled mobile phones into the vehicle and operate these devices via voice commands or through buttons on the steering wheel and radio controls.

So, does SYNC really work? We recently tested the first generation SYNC on a 2008 Ford Focus as well as SYNC's second generation on Ford's super cool new Flex CUV.

We discovered SYNC does have its drawbacks as only certain MP3 players and mobile phones are completely compatible with SYNC's software. On the 2008 Ford Focus, for example, we could make calls from a Palm Treo or an Apple iPhone, but the system did not automatically upload contacts or music files. And, it did take some time getting used to the voice command system.

In the Ford Flex, which looks like a limo-sized MINI Cooper and drives like a dream, we found the next generation SYNC to be much more user-friendly with its pleasing digital display and easy-to-use voice commands. If you have a compatible mobile phone, SYNC can even translate and send your text messages via the system's electronic voice!

Ford has been the first car manufacturer to implement SYNC, although its exclusive contract with Microsoft ends this year. This means perhaps more auto manufacturers will adopt SYNC-like software systems after the 2009 model year.

GM's solution is to offer hands-free calling via its OnStar subscription system. The company says about one million 2009 model year GM vehicles will be equipped with voice-activated Bluetooth integration, which uses the vehicle's speaker system.

Now that you know the laws and have options to comply, are you still confused? Well, just like we've been warned for decades about drinking and driving, it now seems that it is time to change your habits and stop talking while behind the wheel.

@highlight

Police in six states can now give you a ticket for talking on your cell phone

@highlight

NHTSA: Distracted drivers cause 80 percent of all road accidents

@highlight

You can get a fine for texting if officer believes you have become distracted

@highlight

Ford has SYNC -- a voice-activated communication and entertainment system