It's become another military euphemism, along with "collateral damage" and "friendly fire."

The "knock on the roof" is the Israeli military's warning for civilians before it fires on a building and is being used extensively as Israeli airstrikes target Hamas sites in Operation Protective Edge.

The Israeli Air Force developed the technique in 2009 as a way to warn civilians in Gaza to leave buildings it has identified as locations where Hamas keeps ammunition, a rocket stash or command post. But it is a controversial policy that has been criticized by human rights groups.

The procedure generally begins with a phone call to the occupants to leave a building, according to Relik Shafir, a retired brigadier general in the Israel Defense Forces (IDF) and a former fighter pilot.

Such places, he says, are often under constant surveillance, and the IDF has a sense of how many people live there, and how many leave.

If it is still unclear whether a building is occupied, a missile that carries little or no explosive load is aimed at the roof of a building. The impact is felt, but it rarely causes casualties.

"It's meant to get people to take us seriously," says Shafir.

There is no standard gap between the delivery of the "dummy" missile and fully armed missiles, says Shafir. It can be minutes or even hours. It depends on how important the target is. But there are hundreds or even thousands of such places in Gaza, chosen by Hamas precisely because they complicate targeting.

One dramatic example of the "knock on the roof" appeared on social media Sunday. Distributed by the Gaza-based Watania news agency, it showed at first the impact of an unarmed rocket or missile on the roof of a house. Smoke rose from the roof; curtains billowed from an open window.

Some time later -- Watania says about 15 minutes  -- two missiles slammed into the building, blowing out the facade and sending debris and thick smoke across a wide area.

It's not clear whether the occupants of the house had heeded the warning -- it may have been empty -- but no one was hurt.

But human rights groups have condemned the technique -- despite the precautions.

What you need to know about the country of Israel

A warning or an attack?

"In some but not all cases, families receive telephone calls from the Israeli military in advance," said Philip Luther, Middle East and North Africa Director at Amnesty International.

"There is no way that firing a missile at a civilian home can constitute an effective 'warning.' Amnesty International has documented cases of civilians killed or injured by such missiles in previous Israeli military operations on the Gaza Strip," he said.

Human rights groups in Gaza agree.

"The sending of a missile cannot be considered a warning. It is the targeting of civilians with a weapon, regardless of how small, and it is a violation of the Geneva conventions," said Mahmoud Abu Rahma of the Al Mezan Center for Human Rights.

"Imagine you are in Gaza and there are airstrikes everywhere, and many families are in the bottom floor of their home," Abu Rahma added. "Families miss the sound of the 'warning' missile because it sounds like just another explosion."

CNN's Ben Wedeman, reporting from Shabilya Friday, visited one targeted house whose residents said no warning had been received. At another property that was also destroyed, a warning had been received. But the man living next door, Raouf Abu Odeh, told CNN he didn't get any warning -- and now half of his house is also in ruins.

"When I heard there was danger, we ran away with my family. We have no bomb shelters, we have nothing. All we can do is escape," Odeh said.

It's not clear whether any warning was delivered by any means to the home of Gaza's police chief, Tayseer al-Batsh, on Saturday night. The missiles that hit his house killed 18 members of his extended family, including six children. When Wedeman and his team visited the ruins of the compound Monday, they found what appeared to be the reason it was targeted: evidence of reinforced tunnels.

Shafir says the precision of such attacks has improved as crews have gained experience. "The number of strikes has more than doubled compared to Operation Pillar of Defense (the 2012 conflict), but the number of casualties is about the same," he said.

Dense area, deadly damage

But even in an era of precision targeting, the impact of missiles can't be restricted to one house in such a densely-populated area. Many of those injured in the strike on the al-Batsh compound were hit by shrapnel as they left an adjacent mosque. In other instances, people have gathered only a short distance from a building designated for attack -- not far enough away from flying concrete, wood and metal. And the United Nations says some 70% of those killed in the current conflict have been civilians

And there has been at least one deadly miscalculation.

On July 8, eight civilians -- all members of the Kaware family -- were killed when their home in Khan Yunis was hit.

According to the IDF, the family left the house after a phone warning but had returned home prematurely after a "knock on the roof." Perhaps they mistook it for the explosive missile. The property had been targeted because it belonged to Odeh Kaware, a senior official with the Izzedine al-Qassam Brigade.

A senior air force officer told the Israeli newspaper Haaretz that it was too late to prevent the airstrike that followed the warning.  "There was nothing to be done, the munition was in the air and could not be diverted," he said.

Some in Gaza have even put themselves in harm's way. Ten people were killed July 9 when they formed a human shield on the roof of another property belonging to the Kaware family, according to Palestinian medical and security sources.

The "knock on the roof" technique was first used in the 2009 conflict in Gaza. But it was criticized by the United Nations-appointed Goldstone Commission that investigated the conduct of both sides in that fighting.

The commission said it was "not effective as a warning and constitutes a form of attack against the civilians inhabiting the building."

"The fact that a warning was issued does not relieve a commander and his subordinates of taking all other feasible measures to distinguish between civilians and combatants," the commission's report said.

Oren: A smart way out of the Gaza confrontation

Phone calls and leaflets

The Israeli military also uses telephone messages and leaflets to warn people in Gaza to leave neighborhoods where their forces  intend to target alleged Hamas facilities.

On Saturday, the air force dropped thousands of leaflets across several neighborhoods in northern Gaza, warning people to leave their homes ahead of military operations against Hamas targets. "Whoever does not adhere to these instructions and does not vacate their house immediately is subjecting their lives and the lives of their children and family to danger," it read.

In past campaigns against Hamas, the Israeli military has also commandeered television and radio signals to issue warnings.

Leaflets and phone messages were used in the 2008-09 and 2012 conflicts. They were partly political; blaming Hamas for the violence, and partly an attempt to clear areas where Israeli forces intended to focus strikes.

During both conflicts, leaflets were dropped warning people not to come within 300 meters of the border.

In 2012, leaflets warned residents that terrorist organizations were hiding among them and represented a direct threat to their lives. In 2008-09, according to an IDF report, some 2.5 million leaflets were dropped. One warned that "anyone having ammunition and/or weapons in his home is risking his life and must leave the place for the safety of his own life and that of his family." The same message was delivered in some 165,000 phone messages.

The Goldstone Commission acknowledged "significant efforts made by Israel" in 2008-09 to alert Gaza residents to planned attacks, but said "the lack of specificity and thus credibility" of some of these messages had diminished their value.

The leaflets can also have the effect of worsening an already difficult humanitarian situation. As people leave their homes in the current fighting, thousands end up in the care of the United Nations Relief and Works Agency, in crowded schools. They must leave their livelihoods behind. Others say they have nowhere to go.

"These are more threats than warnings," says Abu Rahma of the Mezan Center. "Telling 150,000 people to leave their homes when there are airstrikes all along the route and nowhere to go because every home in every place is a target."

Abu Odeh in Shabilya tells CNN, "There's no escape."

"God has sealed our fate, whether we stay or leave."

Cease-fire effort collapses as rockets, airstrikes continue

Running from death in Israel, waiting for it to come in Gaza

Trapped in war: 'This is tyranny'

@highlight

Israel's military tries to warn civilians in Gaza ahead of a strike

@highlight

Sometimes a phone call precedes the "knock on the roof"

@highlight

Still, human rights groups say, civilians are being killed in the fighting