(CNN) -- Colleges and universities of all types, from for-profits to two-year colleges and Ivy League schools, have been the focus of much debate recently as many students are struggling to meet the ever-growing costs of tuition and student loan debts. But one angle has been subject to less scrutiny: What are colleges and universities providing for the most talented and accomplished students? If something we call higher education isn't the best choice for our highest achieving students, then what is its purpose?

In this regard, Peter Thiel, the billionaire co-founder of PayPal and one of the most vocal critics of higher education, believes that college classrooms are doing little to equip our future CEOs, innovators and industry leaders. Thiel has a point. Some of the brightest students might be better off not going to college at all, being forced to take classes in which they have no interest and leaving with burdensome student loan debt.

Last year, Thiel took things into his own hands and started the "20 Under 20 Thiel Fellowship," a program that brings together the most enterprising students younger than 20 and offers them a $100,000 grant to skip college and explore their own research and entrepreneurial ideas. Under the tutelage of investors, scientists and like-minded industry tycoons, students are able to develop connections, court investors and promote their businesses on a level that Thiel says colleges cannot provide.

In May 2011, Thiel announced the first 24 Thiel Fellows (the applicants were so extraordinary Thiel had to add four more spots). So far, the results have been impressive.

Eden Full, 19, who founded Roseicollis Technologies to improve solar energy technology in developing countries, recently won the Staples-Ashoka Youth Social Entrepreneurship award and $260,000 to continue her efforts.

Andrew Hsu, 20, started a company called Airy Labs to develop mobile and tablet social learning games for children. Airy Labs reportedly launched with $1.5 million in venture capital funding.

Dale Stephens, 20, founded UnCollege, a social movement based on the idea that college isn't the only path to success. Preigee/Penguin Press recently signed Stephens to publish his first book, "Hacking Your Education," a how-to book on developing skills that schools don't teach.

Dale Stephens: College is a waste of time

According to James O'Neill, head of the Thiel Foundation, more than 10 of the Fellows have started their own companies, and one of them released his own product on the market. The inaugural class has been so successful that Thiel has already accepted applications for 2012 Fellows, and the winners will be announced next month.

Higher education has taken notice, and Thiel's experiment hasn't gone without criticism.

Shamus Khan, a sociologist at Columbia University, dubbed Thiel's program "an act of total self-indulgence." Critics argue that Thiel's cherry-picked prodigies would thrive no matter what they spent the next fours years doing. For example, Andrew Hsu, mentioned above, dropped out of Stanford University at 19 as a fourth-year neuroscience doctorate candidate. Others say that Thiel's program serves only the interest of the smallest group of the most intellectually advanced students and would in no way aid the overwhelming majority of college-bound students.

My view: How to create innovators

And yet, Thiel has already rattled the ivory towers. Facing the prospect of losing their best students to Thiel and other programs like his, universities have scrambled to add their own entrepreneurial programs. Stanford University created StartX, an accelerator for student entrepreneurs. Arizona State University's Venture Catalyst just announced the launch of Furnace, a new startup accelerator to provide funding, facilities and access to top mentors for new student startups.

Other venture capitalists have noticed similar shortcomings in higher education and are competing to fill the void. Former Silicon Valley CEO Ben Nelson recently secured $25 million in funding to create an elite global online university targeting the best students around the world. His endeavor has already attracted the likes of Larry Summers, the former president of Harvard University, to his advisory board.

It's still too early to tell how Thiel's experiment will turn out. Startups, after all, are always prone to failure. However, he is right about one thing -- higher education deserves more scrutiny and competition. If students like Hsu are so quick to leave the university setting for Thiel's program, then is it truly the best place for the brightest students to be?

With bloated tuition costs and questionable academic standards, it's time we challenge the conventional wisdom that college is the only path to advanced education and economic success. Thiel starts at the very top of the higher education system, but the reverberations may be felt throughout.

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

William Bennett: What does an expensive higher education offer gifted students?

@highlight

Bennett: Peter Thiel started "20 Under 20 Thiel Fellowship" to help the brightest students

@highlight

Some critics think Thiel's program is self-indulgent, Bennett points out

@highlight

Bennett: However, it forces colleges to rethink their bloated costs and academic standards