(CNN Student News) -- Discussion Questions

1. When is Women's History Month? What are the origins of Women's History Month? What is the goal of recognizing Women's History Month?

2. Do you think that women are underrepresented in any aspects of modern American life? Explain. Can you think of any professions in which women outnumber men? If so, what are they and why do you think that this is the case in these professions?

3. Can you think of any female role models that have had an impact on your life? If so, how have these women influenced you?

Learning Activities

Use these activities to encourage your students to learn about and appreciate the history and achievements of women in America.

1. Women's History Month Proclamation

Every year since 1980, the U.S. president has issued a proclamation regarding Women's History Month. Have students read last year's presidential proclamation, which focused on the theme "Women Taking the Lead to Save Our Planet." A link to the proclamation can be found in the resources section below. Instruct students to develop a proclamation of their own using this year's theme, "Writing Women Back into History," which recognizes the importance of women in all aspects of history.

2. Women in Government

Have students use the Internet and other resources to generate a list of some of the women currently holding positions in government, including, but not limited to, U.S. Supreme Court justices, state governors, members of the president's cabinet, and members of the U.S. House of Representatives and the U.S. Senate. Have each student select one of these women to research. Direct students to create a classroom or online exhibit that highlights each woman's experiences and achievements, and illustrates how her position of power may affect the lives of other Americans.

3. Witness to History

What if CNN had been there to record the events surrounding the women's suffrage movement? Guide students as they use the Internet to research the struggle for women's voting rights. Tell students to use the following questions as their guide:

• What were the major events that led to the ratification of the 19th Amendment?

• Who were the key players on both sides of the women's suffrage issue?

• What arguments were presented both for and against women's voting rights?

Have students develop scripts for a broadcast news story on one aspect of this movement, ensuring that students include viewpoints from both the movement's supporters and its critics.

4. Women in the Military

Inform students that the U.S. Navy is currently considering allowing women to serve on submarines. Ask students: What is your opinion on this issue? What accommodations, if any, do you think should be made so that women may serve on submarines?

Lead a class discussion about the following question: Why do you think that women have historically been restricted from serving in certain military roles? Instruct students to read the list of positions that women are restricted from serving in, located at the bottom of "Highlights in the History of Military Women."

Divide the class into teams, and ask each team to create two columns. In the first column, teams should list which military positions they think should be open to women, and in the second column, positions that they think should remain closed to women. Encourage students to identify the criteria that they use to determine whether or not a military position should be open to women.

5. Women's History Memorial

Divide your class into small teams and assign each team one of the following fields: science, community, government, literature, art, sports and medicine. Next, instruct teams to research the roles that women have played in their assigned fields throughout American history. After teams present their information, instruct the full class to design a new memorial in Washington, D.C. that focuses on the contributions of women to American history.

Standards

Social Studies

II. Time, Continuity, and Change

Social studies programs should include experiences that provide for the study of the ways human beings view themselves in and over time.

V. Individuals, Groups and Institutions

Social studies programs should include experiences that provide for the study of interactions among individuals, groups, and institutions.

The Curriculum Standards for Social Studies (http://www.socialstudies.org/standards/strands/) are published by the National Council for Social Studies (http://www.socialstudies.org/).

Resources

National Women's History Project

http://www.nwhp.org/

Women's History Month Proclamation, March 2009

http://www.whitehouse.gov/the_press_office/Womens-History-Month-2009/

Highlights in the History of Military Women

http://www.womensmemorial.org/Education/timeline.html

@highlight

March is Women's History Month

@highlight

These questions and activities help students learn about the history and achievements of women in America

@highlight

These questions and activities can be adapted to accommodate students of different grade levels and learning styles