(CNN)Boris Nemtsov, the Russian opposition leader slain Friday night a stone's throw from the Kremlin, was a true original, one of the towering figures of his country's post-communist political odyssey.

We do not know yet who it was who shot him four times in the back. Various theories have been floated. But by far the most plausible is that his killers wanted to silence one of the most determined and courageous Russian campaigners for personal and political freedoms.

Whether Nemtsov offended by attacking the authoritarianism of Vladimir Putin's regime, the jingoistic imperialism of his Ukrainian campaign or even the massacre of journalists at Charlie Hebdo, it comes to the same thing in the end: He stood up consistently for the values of the Western Enlightenment against its motley army of enemies.

Born in the Black Sea resort of Sochi, Nemtsov began as an atomic physicist but rose to prominence in the early 1990s as the reformist governor of Nizhny Novgorod province. President Boris Yeltsin took a liking to him and brought him to Moscow. "What a stubborn nature," he wrote of Nemtsov. "Reminds me of myself." Nemtsov was the first person Yeltsin anointed as his political successor. (Unfortunately, he was not the last.)

After Putin's election in 2000, Nemtsov hoped at first that the new President would keep his promise to restore order while preserving democracy. Soon disillusioned, Nemtsov became one of Putin's most biting critics.

He was a natural politician -- emotional, gregarious, articulate. Like Yeltsin -- but unlike Putin -- he enjoyed meeting ordinary people and was energized by electoral campaigns. Some snickered at Nemtsov's extravagant personality, his hints of bravado and weakness for the fairer sex. But his determination and talent commanded respect.

Yet it is also true that, by the mid-2000s, Nemtsov was widely viewed as a spent force. And when the Levada Center polled Russians in 2013, 6% approved of his actions, while 48% disapproved and 46% claimed to know nothing about him.

Along with all other Russian liberals of the 1990s, he failed to forge a connection to the discontented groups outside Moscow. He titled his first book of memoirs, "The Provincial," but to true provincials he looked like the elite. As one analyst told me, when Nemtsov turned up at far-flung rallies in a sparkling, immaculately ironed, white shirt, it symbolized the class divide between him and his audience.

By the wave of protests in 2011-12, his generation's day had passed. The new activists in their 30s and 40s had a different sensibility, a new cadence of speech to fit the Internet age. On the stage before the anti-Putin demonstrators, Nemtsov often bombed.

He understood this. "Khvatit!" he said, in his last interview, when the host tried to tease out of him a confession of presidential ambitions. "Enough already!"

But the dwindling appeal of Western-style liberalism did not stop him. Nemtsov's doggedness during the last decade -- plugging away despite public indifference or scorn -- makes it the most impressive chapter of his career.

Having been chauffeured to his government office in the 1990s, Nemtsov marched in the rain among bedraggled crowds in the 2000s as police wheeled out noise-making machinery to drown out the sound of his bullhorn. He endured the eggs and ammonia hurled at him by pro-Kremlin hooligans. Not shrinking from arrest, he spent more than a few nights in holding cells.

Even as the boyish charmer turned into a graying baby boomer with reading glasses that slipped down his nose, Nemtsov refused to slacken. Shut out of national politics, he ran for mayor of Sochi -- and got 13.6% of the vote. (Even had the election been fair, he would probably have lost.) Undeterred, he won a seat as deputy in the Yaroslavl Regional Council. Swallowing his pride, he battled on because he cared about Russia and because, well ... politics was what he did.

The killing comes at a time when the Kremlin is clearly nervous. With the ruble and growth rate both plunging, glimmers of opposition have already appeared in unexpected corners. Five deputies in the usually subservient Duma have tabled a bill to repeal the sanctions Putin slapped on European food imports, calling them unconstitutional. If the economic slide continues, Putin's high ratings are likely to fall.

In undemocratic states, the killing of a major opposition figure is sometimes the spark that lights the fuse. In the Philippines, after Ferdinand Marcos' military thugs shot Benigno Aquino on the tarmac at the Manila airport, this set off the "people's power" movement that eventually swept the dictator from office. The murder of Orlando Letelier by Augusto Pinochet's agents helped to discredit the Chilean leader.

And yet Russia is in a poisonous state of division. The country's Westernized fringe may be galvanized into opposition. But as war fever bleeds into economic anxiety, a pervasive resentment and directionless aggression seem more likely in the short run than a united uprising for civil and political rights.

Meanwhile, the wait for answers continues. The attack took place in an area saturated with video cameras. Within hours, one television station was showing footage of the killing -- albeit from a considerable distance. Nemtsov was almost certainly under surveillance at the time.

If the Kremlin did not know before, it very likely knows by now who the killer was. Its next decision will be how to use the information for its own purposes. Whether or not the actual perpetrators are caught and punished, all know who created the climate of hatred in which liberal politicians are likened to "jackals who hang around foreign embassies" and a "fifth column" of traitors.

Nemtsov in his later years was never a threat to Putin's regime. Hardly a radical revolutionary, he cooperated with the authorities to avoid violence by moving the site of the first major Moscow demonstration in December 2011, and he participated in discussions with then-President Dmitry Medvedev about reforms of the political system.

Having come to symbolize for most Russians the disorder of the 1990s, he had little chance of rising to the top again. Indeed, he was the kind of liberal -- unbowed, unabashedly pro-Western, unpopular -- whom the Kremlin loved to hate. Now it will have to find somebody else.

@highlight

Russian opposition leader Boris Nemtsov was gunned down near the Kremlin

@highlight

Daniel Treisman: He was courageous, talented but had had little support in Russia since '90s