LONDON, England (CNN) -- The Gulf may still be booming but inflation - and skyrocketing prices - is making life tough for the workforce.

Working in the Gulf is less profitable for expatriate workers because of inflation

Many expats initially drawn by the region's tax-free salaries and high standard of living are now feeling the effects of inflation in high rent and living costs. All this is making work in Dubai, Qatar and the surrounding countries a less attractive proposition than it was a few years ago.

"The working population here is growing restless and the reasons are obvious," said David Westley, Editorial Director at ArabianBusiness.com. "Inflation has become a real issue across the region... salaries have risen but they haven't risen as fast as inflation, which in real terms means you've had a pay cut," he continued.

This means workers are finding it harder to save money and are experiencing a decrease in their standard of living. Add to that a lack of key social infrastructure like schools and some of the major incentives for people to stay in the region are disappearing.

ArabianBusiness.com recently conducted an online survey which found that more than two thirds of workers who responded were more inclined to look for another job this year than in 2007.

With the Gulf's economic explosion largely dependent on a combination of skilled and unskilled expatriates -- 20 percent of the workforce in some parts of the region -- there is the added worry that increasingly dissatisfied workers could start looking for jobs in other parts of the world.

A lack of indigenous workers who can lead the complex infrastructure projects currently being undertaken in the Gulf is already a problem, and a mass exodus of disenchanted expatriates would have serious knock on effects for business in the region.

The problems of inflation and keeping experienced workers in the region are intimately connected, according to Richard Thompson, Editor of the Middle East Economic Digest.

"Probably the top two issues for the Gulf at the moment are a skills shortage and inflation and they're two sides of the same coin. The economy has grown too fast ... and that has delivered inflation. The other aspect of that growth is the need to bring in and recruit skills to deliver infrastructure projects," he said.

And tougher conditions also mean that it could be harder to continue attracting workers from other parts of the world to the region.

But workers in the Gulf are not completely motivated by financial concerns, according the the ArabianBusiness.com survey. It found that while salary is an extremely important motivating factor for employees -- 33 percent of survey respondents said money was their key concern -- it is not the only consideration.

For the majority of workers, opportunities for promotion -- which remain a strong incentive in the Gulf's vibrant market -- are the single most important condition for staying in a job, according to Wetly.

"One of the things [companies] should try to do is to encourage an environment where you think you can get somewhere. That way you don't have to rely on just handing out the money to get people to stay in your organization," he said.

Pressure is also mounting on governments to find solutions to inflation. "If governments depend on expats, then how are you going to train and recruit and develop the local work force? So there is a dichotomy for governments here they have to think for the long term to keep the boom growing," said Thompson.

There are a number of initiatives being talked about, ranging from proposals to set a minimum wage to governments setting rent caps on property prices. "We're beginning to hear an increasing amount of businesses calling for a more managed approach to the economic boom particularly on the implementation of infrastructure projects," Thompson explained. "Growing economies such as Abu Dhabi are learning from Dubai's mistakes and looking to a much more structured, strategic approach to development," he continued.

Wetly believes many of the region's problems are short to medium term -- like expensive housing which will resolve itself by 2010 when more accommodation comes onto the market quenching demand and therefore reducing prices. He is convinced huge growth and an exciting environment will continue to bring expatriate workers to the Gulf.

"Walk around ... Dubai or Abu Dhabi or Doha, Qatar and you find these cities buzzing and for many people that is the most important thing, so I think you will always find people coming here," said Westley, "This region needs expatriate workers just as much as expatriate workers need this market. And I think that's ultimately the truth."  E-mail to a friend

@highlight

Inflation and skyrocketing prices in Gulf making life tough for workers

@highlight

A survey found two thirds of workers may look for another job in 2008

@highlight

A mass exodus of expatriate workers would have a serious effect on business

@highlight

Pressure is mounting on Gulf governments to find solutions