Four more potential cases of Ebola were under observation Tuesday in Spain, health authorities said Tuesday, a day after a nurse's assistant became the first person known to have contracted the deadly virus outside Africa in the current outbreak.

The woman helped treat two Spanish missionaries, both of whom had contracted Ebola in West Africa, one in Liberia and the other in Sierra Leone. Both died after returning to Spain.

Spain has outbreak's 1st known case of contracting Ebola outside of Africa

The developments come just as the organization Medecins Sans Frontieres (Doctors Without Borders) reports that a Norwegian staff member has contracted the deadly virus. The staffer had been working in the Sierra Leone city of Bo and was placed in isolation Sunday after developing a fever, the organization said.

The worker is being sent to a treatment center in Europe.

In Spain, no details have yet been given of exactly how the nurse's assistant contracted the virus, and her condition is unknown.

Francisco Arnalis, head of internal medicine at the Carlos III Hospital, told a news conference that the three other potential Ebola cases are being monitored there.

A hospital spokeswoman said later Tuesday that another nurse's assistant -- who is on the same team as the infected nurse's assistant -- is under observation. This more recent case was admitted to the hospital after she "started having a little bit of a temperature," said the spokeswoman, who wasn't named as is customary in Spain.

Earlier, health officials explained that one of the people being monitored is the original nurse's assistant's husband, who faces a high risk of infection and had no protection. Another is a suspected case in a man who traveled overseas and has tested negative twice.

The fourth, a nurse, is not a suspected case but has been brought in as a precaution after suffering diarrhea. She was exposed, but she was wearing protective gear, Arnalis said.

Thirty people from Carlos III Hospital and 22 others -- from Alcorcon hospital plus family members -- are being monitored, according to authorities. It was not immediately known whether the nurse's assistant hospitalized late Tuesday was one of these 30 contacts at Carlos III Hospital.

The hospital will not release information about the status of the nurse's assistant, who has not been named, in order to respect her privacy, director Rafael Santamaria said.

The hospital has two potential treatments at its disposal, said Dr. Jose Ramon Arribas, one using an IV drip with the antibodies of Ebola survivors and the other an antiviral drug.

"This is a treatment that the WHO (World Health Organization) has recommended, even though they haven't verified its efficacy," he said of the IV drip.

EU: We need to know what happened

Spanish authorities have said that all the proper protocols and procedures were followed in the care of the two missionaries. But the European Union has asked for an explanation as to how the woman was infected.

European Commission spokesman Frederic Vincent said on Tuesday that "Spain told us all the protocols have been followed, but obviously something wrong happened."

There have been 10 evacuations of Ebola-infected patients from Africa to Europe, eight of those within the European Union, Vincent said -- and it is first time that something like this has happened.

"The hospitals where the patients are being taken are supposed to be equipped and ready to deal with Ebola patients," he said.

"If protocols are being followed, it's highly unlikely that an outbreak could happen in the EU. But again, zero risk doesn't exist, particularly in a hospital, where staff deal with sick people.

"We need to find out as soon as possible what happened and if we need to revise procedures."

There will be an extra meeting of European officials to discuss the Spanish Ebola case on Wednesday, he said.

The World Health Organization said it was "ready to provide support to Spain, as and if required," as it investigates the case and traces the infected woman's contacts.

In the United Kingdom, Prime Minister David Cameron will lead a Cabinet meeting to discuss way to coordinate how to handle response to Ebola there, if it's necessary. Cameron called Sierra Leone President Ernest Bai Koroma to discuss the status of the outbreak in the West African nation and talk about how aid the UK has provided is helping.

According to Downing Street, the Sierra Leone leader said the situation continues to be "very serious" and there was a need to train more medical staff, improve burial processes and develop a better system for running service treatment centers.

Unions question equipment used

Some Spanish unions have blamed the government, saying they warned it that the personal protective equipment used by the medical team was not of the highest standard.

Angry doctors and nurses outside the Carlos III Hospital where the nurse's assistant is being treated -- and where the two missionaries were cared for before her -- said they were outraged the pair had been brought to the hospital, one in August and the other in September.

Ebola drugs in the works

They said that the two priests, Miguel Pajares and Manuel Garcia Viejo, were almost dead when they arrived, and that they should not have been brought back to Spain, thereby putting other people's lives at risk.

Spanish Health Minister Ana Mato announced Monday that testing had confirmed the nurse's assistant has the virus.

The husband of the nurse's assistant, who is under observation, is not sick, a spokesman for the Health Ministry said. It was not clear whether he is under quarantine. The couple have no children.

The assistant was one of about 30 health professionals in Spain who helped treat the Ebola patients. They and the ambulance team that took her to the hospital are now reportedly under observation.

No word on where she took her vacation

Health officials said the assistant developed symptoms on September 30. She was not hospitalized until this week, when her only symptom was a fever.

She was first taken to a hospital in southern Madrid before being transferred to Carlos III Hospital, where she had helped care for the Ebola patients.

The second of the missionaries died on September 26, and she went on vacation a day later, health officials said. They have not said where that vacation was taken.

A few days later, she reported that she was not feeling well but her temperatures were not very high, officials said. It was only several days later that her temperature soared and she was hospitalized.

An investigation is underway to find everyone the assistant may have had contact with while infectious. So far, there are no other known related cases.

Health authorities have urged people to stay calm, as they hope that the virus' spread is contained.

"We are working in coordination to give the best care to the patient and to guarantee the safety of all citizens," said Mato, the health minister.

Obama: National security priority

The news came amid growing fears in the United States that the disease could spread. The first person to be diagnosed in the United States with Ebola, Thomas Eric Duncan, remains in critical but stable condition in Texas, according to Candace White, a spokeswoman for Texas Health. He is on a ventilator and receiving kidney dialysis, she said, adding that his liver function, which declined over the weekend, has improved.

He is continuing to receive an investigational medication, White said.

During a Centers for Disease Control and Prevention press conference on Monday, CNN asked Texas Department of State Health Services Dr. David Lakey how care protocols in Spain compared to those involving Duncan in Texas.

Lakey said he personally went to the Texas Health Presbyterian Hospital ward in Dallas where the patient is being treated, and saw that there was extensive security and a detailed method of how providers were protecting themselves. "They take this really seriously," he said, describing treatment protocol as "meticulous."

CDC Director Dr. Tom Frieden said none of the people who Duncan came into contact with before his diagnosis that the CDC has identified for monitoring has shown symptoms.

Frieden also said the agency has not made final decisions about possible ways to screen at airports in the United States.

Meanwhile, some of the U.S. military personnel being deployed to Liberia to help tackle the Ebola crisis may come into contact with the virus, a Pentagon official said Tuesday.

The head of U.S. Africa Command, Gen. David Rodriguez, said that while the majority of U.S. troops involved in the mission would not be exposed to the disease, those in mobile testing labs could have contact in that environment.

"They're all trained at a very, very high level," Rodriguez told reporters of the lab personnel, who constitute a "separate, specialty element of the force."

President Obama told reporters Monday, "As I've said from the start of this outbreak, I consider this a top national security priority. This is not just a matter of charity. ... This is an issue about our safety."

Obama called for protocols to help stop the spread of the disease, including additional air passenger screening, while downplaying the risk of an epidemic in the United States.

In Liberia, Ebola is killing Thomas Duncan's neighbors

Ebola has killed more than 3,400 people in West Africa, with more than 7,400 suspected, probable and confirmed cases.

The virus is transmitted through close and direct physical contact with infected bodily fluids, the most infectious being blood, feces and vomit. The incubation period, from the time of infection to symptoms, is two to 21 days.

@highlight

Madrid hospital: Another nurse assistant being observed for possible Ebola

@highlight

Authorities are monitoring about 50 people

@highlight

The assistant became first person to contract Ebola outside Africa during this outbreak

@highlight

Doctors Without Borders Norwegian staffer has Ebola, organization says