Bogota, Colombia (CNN) -- Jorge Elias Benjumea proudly inspects his plantain field. The 46-year-old father of three says he's not only happy his crops are doing well, but also, for the first time in years, he can tell the world that what he's growing is legal.

Benjumea, a resident of the Colombian province of Meta; used to grow coca, the plant from which cocaine is produced.

"Everything is different now, more peaceful. I go to bed at night with no worries," Benjumea says.

He used to make $2,800 a month growing coca. Now he makes about $840 with plantains. On the flip side, he doesn't have to deal with guerrillas or drug traffickers anymore. The Colombian government has greatly increased its military presence in the area, improving security and giving farmers an alternative to growing coca.

Bolivia hopes for buzz with coca campaign

Benjumea says his peace of mind and the safety of his family are priceless. "Coca is a plant that can make you a lot of money, but also gives you a lot of headaches," he says.

He's part of a new wave of Colombian farmers growing alternative crops in a region called La Macarena. This region was known for decades as a stronghold of the Revolutionary Armed Forces of Colombia, the guerrilla group commonly called FARC. La Macarena used to be not only a recruiting and training hub for guerrillas, but also a major coca production center and a key transit route for illegal armed groups.

In a community called Albania, farmers grow and process sugar cane. Not far from there, in El Pinalito, also in the province of Meta, another group is venturing into fish farming. Last year they sold 1.5 metric tons of a fish known regionally as cachama.

The United States has provided more than $7 billion in the past 10 years to help Colombia fight drug trafficking. Most of the money has been used to help Colombia strengthen its military with equipment, training and intelligence. But another portion, recently rising, has been used to provide assistance to farmers interested in developing alternative crops like cacao (from which chocolate is made), plantains, yucca and papaya.

Colombian National Security Adviser Sergio Jaramillo said government partnerships with the farmers in Meta have been very successful, but he emphasized that none of this would have been possible without a military presence to improve security.

"You need to stabilize those drug-producing areas. That's what we're doing here, and there's no better investment for prosperity in a country like Colombia than supporting the integrated approach of security and social development," Jaramillo said.

During a three-day visit to Colombia, U.S. Drug Czar Gil Kerlikowske visited several communities that are developing alternative crops and met with President Juan Manuel Santos, a key U.S. ally in Latin America.

"We have to continue to be supportive of Colombia in a whole host of ways, (and) none of this was possible without safety and security first," Kerlikowske said.

According to U.S. government figures, cocaine production in the South American country fell from 700 metric tons in 2001 to 270 in 2009, a 61 percent decrease.

Going into alternative crops hasn't been easy for local farmers. At the fish farm in El Pinalito, the locals say at the beginning they only saw "failures." But after getting specialized training and equipment from the government, production began to increase considerably. At the sugar cane processing plant in the Albania community, farmers say they received financial support to buy machinery, which "made all the difference."

@highlight

Some Colombian farmers take huge drop in income for more safety, peace

@highlight

National security adviser: "You need to stabilize those drug-producing areas"

@highlight

U.S. estimates: Cocaine production in Colombia fell 61% between 2001 and 2009

@highlight

Government helped alternative enterprises start up