(CNN) -- As he was falling asleep, the father of five turned to his wife and said he hopes it will all be worth it someday.

Maybe someday, Mohammed Al-Qahtani said, his daughter be able to walk somewhere without a male guardian. Maybe someday, she'll be able to drive a car without fear of arrest.

"Maybe I'm dreaming," Al-Qahtani said. "My newborn daughter, maybe one day she will vote for the prime minister in Saudi Arabia.

"Of course, there will be a price to be paid, and we are more than willing to pay that price."

The 46-year-old economics professor, who is also one of Saudi Arabia's most prominent human rights activists, has been on trial for several months in Riyadh. He faces nine charges, including breaking allegiance to the Saudi king, describing Saudi Arabia as a police state and turning people and international bodies against the kingdom.

His co-defendant, Abdullah Al-Hamid, faces similar charges, including spreading chaos, questioning the authority of official clerics and undermining public order. If convicted, both could go to prison for several years.

Al-Qahtani calls the accusations against them nonsense and says he knows why he and Al-Hamid were really put on trial. He said he and Al-Hamid have stoked the ire of the kingdom for running an activist group that is trying to expose human rights violations in the country.

"We have a number of cases where people are thrown in prison arbitrarily, torture, forced disappearances. ... Whatever rights abuses (you could think of), you could find in Saudi Arabia," Al-Qahtani said.

According to rights groups, Saudi authorities have been increasingly targeting activists through the courts and other arbitrary means such as travel bans.

"This has been a systematic approach by the authorities in Saudi Arabia -- namely, the targeting and harassing of activists across the country," said Tamara Al-Rifai, spokeswoman for Human Rights Watch's Middle East and North Africa division.

Al-Rifai told CNN that accusations against activists generally include "instigating chaos, gathering illegally, harming the reputation, talking to foreigners, talking to the media, etc."

She said there is no clear criminal law in Saudi Arabia and that people "are being arbitrarily arrested and detained for exercising rights that are stipulated by all international human rights laws, but also the Arab Charter of Human Rights to which Saudi Arabia has adhered."

In June, Amnesty International issued a statement calling Al-Qahtani's trial "just one of a troubling string of court cases aimed at silencing the kingdom's human rights activists."

"The case against him should be thrown out of court as it appears to be based solely on his legitimate work to defend human rights in Saudi Arabia and his sharp criticism of the authorities," said Philip Luther, director of Amnesty International's Middle East and North Africa Program.

When asked about the case and about accusations that Saudi Arabia is cracking down on dissent, Saudi officials have been reluctant to comment.

"At the Interior Ministry, our area of responsibility is security," said Maj. Gen. Mansour Al-Turki, spokesman for the Saudi Interior Ministry. "My understanding is that these cases are being looked at by the courts now. Nobody will comment on cases being looked at by the courts."

In Saudi Arabia, a deeply conservative kingdom and an absolute monarchy, protests are prohibited. Still, activists say, small gatherings are becoming more frequent -- demonstrations by both men and women demanding the release of jailed relatives.

The latest high-profile incident happened early this month. According to rights groups, Saudi security forces arrested a group of women in the town of Buraida who were protesting over family members allegedly held for years as political prisoners. The women said the relatives had been detained without charges on suspicion of terrorism.

The scene of Saudi police circling the women was caught on video, sparking anger and more protests.

And in November, activists say, Saudi security forces in Riyadh detained dozens of protesters, including women and children, who were urging the government to release political prisoners.

"I don't want my kids to face this Dark Age kind of prosecution," Al-Qahtani told CNN. "So we are trying to push the limit so our kids will live in a world where their fundamental rights will be respected."

In 2009, he, Al-Hamid and a few others founded the Saudi Political and Civil Rights Association, or ACPRA.

ACPRA, according to Al-Qahtani, actively reports on human rights violations and attempts to help relatives of political prisoners free their loved ones through lawsuits against the government.

A group like that needs a license to operate. But despite repeated attempts, Al-Qahtani says, the Saudi government did not give them one.

Al-Qahtani, who was educated in the United States, believed that if he pushed harder, he might get somewhere. He, Al-Hamid and other members began regularly posting updates about their campaign on ACPRA's website and e-mailing information to a growing base of members and supporters.

In December 2010, ACPRA called for all Saudis to participate in a public sit-in to demand political reform. The sit-in was eventually canceled, as the ministry of interior told the organizers their request was refused.

Last January, ACPRA crossed one of the country's ultimate red lines by being openly critical of Saudi Arabia's interior ministry and demanding the interior minister be prosecuted for human rights violations.

They've also circulated petitions for the release of Saudis they believe are political prisoners. While Al-Qahtani and Al-Hamid have tried to file complaints in court, those efforts went nowhere because the court system did not process them, Al-Qahtani said.

The activists also wrote to United Nations special rapporteurs, independent experts who investigate human rights abuses worldwide.

Al-Qahtani said the United Nations responded to their letters and that U.N. human rights investigators issued opinions on a few of the cases. He said that's another reason why he's in hot water with the authorities.

"We were trying to highlight the violations, document these violations, try to write officials in Saudi Arabia, try to remedy the situation, try to improve, push the limit for freedom of expression," Al-Qahtani told CNN via Skype.

While Al-Qahtani and Al-Hamid are still free, al-Qahtani says they've been banned from travel, and the Saudi authorities keep a close eye on them, repeatedly calling them in for questioning.

"We have weekly sessions of interrogation," he said. "They [would] ask these details that's just about our ... activism."

But as their own freedoms have been fettered, they've begun finally reaching an audience they envisioned from the start. The activists' profile brightened in recent months with coverage of their upcoming trial. Stories began appearing in both Eastern and Western press.

Foreign Policy, a highly respected global news magazine, named Al-Qahtani as one of its 100 top global thinkers of 2012.

"He has broken some of Saudi Arabia's biggest taboos, highlighting corruption within the monarchy and questioning its legitimacy to govern," the magazine wrote.

Along with his organization's website and YouTube channel, Al-Qahtani regularly tweets updates about his case and his interrogation sessions.

"We have seen young kids being attracted to the campaign that we are running," he said. "Many people want to join our organization. So these are encouraging signs."

Throughout their trial, other Saudi activists, academics and intellectuals have crowded the courtroom on several occasions. They've also taken to social media to express their support.

"So there are some positive signs," Al-Qahtani said. "It's not all bleak."

But if the fate of other ACPRA members provides any clue of how things might go, the outlook isn't bright for him and Al-Hamid.

In April, group member Mohammed Al-Bajadi was sentenced to four years behind bars. Amnesty International said he was found "guilty of participating in the establishment of a human rights organization, harming the image of the state through the media, calling on the families of political detainees to protest and hold sit-ins, contesting the independence of the judiciary and having banned books in his possession."

And in December, political activist Suleiman al-Rashudi was arrested, according to his wife, after giving a lecture in which he said protests were permitted in Islam. His wife, Um Ammar, told CNN she has not been allowed to see her husband or speak to him since he was detained and is extremely worried about him. Al-Rashudi, who was recently elected president of ACPRA, previously spent five years in detention and, according to activists, was found guilty last year of, among other things, financing terrorism, incitement against the king and attempting to seize power.

"There's no guarantee that [ACRPA's work] will get people the rights for freedom of expression," Al-Qahtani said. But he said even if he and Al-Hamid go to prison, they've started something special.

Their cause won't end if they're locked up, he said. The belief that freedom can be had in Saudi Arabia has now been shared with others who want it. They've embraced it, he said, and will shoulder the effort.

"At least," the professor said, "we have done our share."

@highlight

Human rights activists in Saudi Arabia say they're being targeted by the government

@highlight

Protests are prohibited in the deeply conservative Middle East nation

@highlight

Despite high-profile arrests, activists say they're finding their voice via Internet, social media