In May 2013, authorities in Myanmar's Rakhine state issued a directive placing a two-child limit on Rohingya couples in two predominately Muslim townships in the region -- in blatant disregard of the recommendations of a commission set up to investigate the recent violence between Muslims and Buddhists in western Myanmar.

As political reforms slowly took hold in Myanmar following years under the rule of the military junta, longstanding tensions exploded into sectarian violence in Rakhine in 2012, instigated by Rakhine Buddhists against Rohingya Muslims.

Hostility toward the Rohingya has deep roots, fueled by prejudicial and competing notions of the role of race and religion in Myanmar's national identity.  Successive regimes and Myanmar society at large perceive the Rohingya as a product of recent migration and Islamic expansion from overpopulated Bangladesh.  Antagonism towards Islam has lately spiraled into anti-Muslim strife in other parts of the country.

During military rule, the Rohingya were subject to a gradual process of marginalization and exclusion through discriminatory policies and restrictions, particularly in Northern Rakhine State.  Denial of citizenship has legitimized arbitrary treatment against them and exacerbated hatred.

The two-child policy emerged from this context and from local orders issued by the NaSaKa and other local authorities since the early 1990s. The NaSaKa, established as a border security force in December 1992, was tasked, among other things, with controlling Rohingya population growth.  Restrictions on movement and regular population checks were imposed to prevent imaginary infiltrations from Bangladesh, while regulating marriages and family size aimed at curbing birth rate from within.

Q&A: What's behind violence?

In January 1994, the NaSaKa introduced a local order requiring official permission to marry, contradicting customary marriage practice.  This order later included penalties for non-compliance.  In practice, marriage authorizations can take up to several years to obtain and are only granted against the payment of bribes.  Infringement such as cohabitation or sexual contact out of wedlock can result in up to 10 years' imprisonment.  Currently, 535 Rohingya men are serving sentences for unauthorized marriages in Buthidaung Jail, according to research by the Arakan Project. To avoid prosecution, many young women resort to induced and illegal abortion.

Local orders limiting the number of children for newly married couples were first issued by township administrations in Maungdaw and Buthidaung in April 2005.  They imposed stringent conditions for applying for marriage permission and added that "Those permitted to marry according to this Order should control the birth rate and limit the number of children for livelihood sufficiency."  The number of children was not specified.  However, the limitation was enforced when newly-married couples were asked to sign a declaration.  Initially, the pledge was no more than three children, reduced to two children in 2007.

Consequently, Rohingya women giving birth to a third child are unable to register the newborn and could be prosecuted under Section 188 of the Penal Code for disobeying orders from a civil servant, which carries a prison sentence of up to 6 months.  Most often, they become victims of never-ending extortion by local authorities.

The Rakhine Investigation Commission estimated that 60,000 Rohingya children are currently unregistered, born out of unauthorized as well as authorized marriages.  Some parents are too poor to cover travel expenses and bribes for birth registration, or experience administrative hurdles.  An absent father precludes the mother from registering her baby, or the newborn is above the permissible number of births.

Unregistered children are not recorded in the family list as they do not exist administratively.  They will not be issued with a temporary ID card and will thus be unable to attend school, to apply for travel permits or ultimately to marry.

The Commission report cites high birth rates among Rohingya as a key factor of insecurity among Rakhine.  It recommends family planning education to mitigate these concerns but stresses that authorities should refrain from implementing forcible birth control measures.

Lack of awareness but also poor access to family planning is prevalent, particularly in rural areas where reproductive health services are often unavailable.  Elsewhere, a growing number of Rohingya families have actually adopted birth spacing methods.

This Rakhine State Government directive also violates Myanmar's international obligations under the Convention for the Elimination of Discrimination against Women and the Convention on the Rights of the Child.

In a speech on May 6, President Thein Sein pledged that his government would ensure the basic rights of Muslims in Rakhine State, enforce the rule of law and "provide genuine and decisive leadership in resolving the conflict."  Leading pro-democracy activist and lawmaker Aung San Suu Kyi also condemned the two-child restriction on Rohingya couples as "discrimination not in line with human rights."

Following international outrage, Ye Htut, the President's spokesperson, timidly responded that the government is re-examining this order.

Thein Sein's words must urgently be translated into action and he should immediately repeal the two-child policy and other discriminatory orders against the Rohingya. If left unchallenged, more directives will be issued that could trigger renewed violence.

Join us on Facebook/CNNOpinion.

@highlight

Two-child limit placed on Rohingya couples in two predominately Muslim townships

@highlight

Comes amid ongoing sectarian violence instigated by Rakhine Buddhists against Rohingya Muslims

@highlight

Antagonism towards Islam has lately spiraled into anti-Muslim strife in other parts of Myanmar

@highlight

Aung San Suu Kyi: two-child restriction is "discrimination not in line with human rights"