(CNN) -- On a recent visit to Barcelona, Spain, my local translator, who told me he was becoming increasingly interested in physics as he listened to my responses to reporters' questions, commented that he couldn't believe the biggest advances in my field will come not from America but from Europe -- for him, an unexpected turn.

The Large Hadron Collider, the enormous machine that collides protons to study matter at higher energies and shorter distances than ever is in Europe (near Geneva, Switzerland) and not in America, where most important particle physics discoveries have taken place in the past. The European community has remained steadfastly supportive of this international enterprise and, unlike America of late, recognizes the importance of maintaining its scientific commitments.

If current political discussions are any indication, America is in danger not only of losing scientific leadership but also of losing respect for the scientific method itself. This is at a time when the type of clear and rational thinking that science teaches us is more relevant than ever. Given the challenging problems we face today, our country needs to embrace the scientific values that have served us so well.

Much of our economy, from the ever-tinier and more powerful products of our electronics industry to the most cost-effective manufacturing processes to the latest marketing and advertising tactics, has emerged from scientific advances and reasoning. So have many sensible government policies and programs, even if they are often also politically compromised.

Science features prominently in many current debates, including those over climate change, searches for alternative energy sources and progress in medical care. But other issues that aren't strictly scientific also involve the big numbers and complicated interwoven decisions for which scientific thinking can help. Yes science is difficult and some people feel disempowered by how much we need to understand. But so are such challenges as establishing stability in the Middle East, fixing the economy, restoring job growth and ensuring financial stability.

The scientific method lets us see how various policies have fared elsewhere (through observation and experiment) and in other cases we can anticipate the expected results of various policies. Of course political factors enter, too, in policy debates in which actual scientific facts don't necessarily dominate the decision-making process. But in all cases, having a logical framework with which to move forward makes sense.

Science gives us a systematic way of incorporating what we know and don't know into a consistent logical framework. It doesn't say we know all the answers, but it does tell us the likelihood of particular outcomes and how well we can trust our predictions.

At particle colliders, we know that if certain theories are correct, certain particles should appear a given fraction of the time and we can determine how many collisions we would need for a signal of new phenomena to emerge.

When we decide on regulations, we have to estimate the likely cost of damages and the likely benefits of providing new rules. Scientists carefully consider the questions we ask, the uncertainties in our assumptions and the precision of our results.

Even though science can be good for all of us, scientific issues in America have taken on political overtones. As Jon Stewart asked me on the Daily Show, why do people resist science and why are scientists accused of working for the Democrats, or either party for that matter?

The answer I gave then is probably indeed one way to understand the problem. Science is difficult in many cases. The shortcut to presenting reasoned arguments is to present the conclusions of scientists rather than the detailed logic and reasoning that went into their decisions. Debates become "he said, she said" (actually more often "he said, he said"). Not only does this distort the balance of what people really think --- rarely do both opinions carry equal weight -- but even worse, personalizing the arguments becomes a shortcut for describing the issues themselves. That leaves science and facts open to politicization that presenting actual facts can potentially avert.

Part of being a good scientist is the ability to find answerable questions, hopefully ones that shed light on larger, more difficult problems.

I recently heard a leading economist compare financial crises to avalanches, the idea being that avalanches are the result of small pressures building up to massive instabilities that are difficult to predict. A scientist who worries about avalanches (or any mountain guide worth their fee) would know the indicators of avalanches, the slope and type of snow, and would furthermore know how to check for danger before heading down a slope. They would also recognize a slope that is likely to fail, even if they can't say exactly when.

In the case of markets, a scientific way of thinking would also involve trying to find indicators of problems and tests that predict (based on experimental data) when situations are likely to get out of hand. Scientists don't just throw up their hands and say a problem is too difficult. They look for inroads, while at the same time acknowledging the potential limitations of their results.

Though scientists rely on expert opinions, the opinion of any scientist, no matter how important, ultimately has to be verified through facts. Everyone who is interested is free to examine data or evaluate ideas. A promising direction or an objection to existing suggestions will ultimately be heard. The key currency in science is reputation. Scientists know they have to pay attention to both good ideas and to objections, because science is unforgiving. Golden parachutes don't exist.

Presented with mounting debt and budget shortfalls, we now hear proposals to cut America's investment in education, infrastructure, science and technology. But that is like dealing with a water shortage by cutting the roots out of trees. Yes the water is more obviously needed for the dry brittle branches, but nothing will survive if we cut off the source.

I'm encouraged in an odd sort of way by the e-mails I get and the interviews I've had with people whose political affiliations are at opposite poles from mine. Despite what we might hear and what politicians might say, science is not just the domain of a liberal elite. It's encouraging to get mail from someone who is hopeful his daughters learn science, even if he subsequently put me on his tea party mailing list.

Science and the scientific method are part of progress. With science we don't always know where results will take us.

No one knew electricity would change the face of the planet when it was discovered or that quantum mechanics would lead to the electronics revolution. But a scientifically advanced society values progress and education, and is prepared to think rationally about the issues we face.

The arguments might be more subtle and some people might be resistant at first. But if policymakers show they believe what scientific results say, even those who are skeptical or afraid might come around. They shouldn't be ashamed of employing science, they should be proud of it. And the electorate, if they are concerned about our future, should start demanding they do so.

The opinions expressed in this commentary are solely those of Lisa Randall.

@highlight

Lisa Randall says U.S. has lost leadership in some parts of science

@highlight

The top research tool in her field of physics, the Large Hadron Collider, is in Europe

@highlight

She says many have lost faith in the value of scientific thinking

@highlight

Randall: Science provides a rigorous and open way for people to find the truth