(CNN) -- Japan is getting bigger and bigger and bigger -- one volcanic blast at a time.

The growth so far -- compared to the size of the Asian nation's main Honshu island or the vast continent of Asia -- is minuscule, about 200 meters (650 feet) long by about 50 meters wide.

That's small enough that, if the volcanic activity stops, the newly created island could wash back into the sea in months. But if it keeps going, it could enlarge even more and stick around for the long haul, expanding Japan's footprint in the process.

"A lot of it depends on how fast it erodes," said Ken Rubin, a University of Hawaii at Manoa professor and expert in deep submarine volcanism. "Until it shuts off, it's too soon to tell."

Even it slips away, and even if such volcanoes poke up from the sea floor like this every few years, what's happened so far is exciting for volcanologists. And video of the steady eruption -- a stream of white smoke, interrupted by occasional blasts of blackish material -- is powerful imagery of what's unfolding, even if what's emitted doesn't spew anywhere as high into the sky as land-based volcanoes like El Chichon or Mount Pinatubo.

Unlike these deadly examples, this Pacific volcano started its eruption -- on Wednesday, according to the Japan Meteorological Agency, at the least -- in shallows off the small, remote island of Nishinoshima, hundreds of miles over sea due south of Tokyo. The national agency since issued a warning for those around the island crater.

The most common type of volcano, by far, are those that erupt and spew material underwater: Rubin estimates "probably more than 80% happen in the oceans, and we never know about them."

Volcanoes that erupt on land get the most attention, for good reason, given their impact on people, vegetation and (by virtue of their expansive eruptions into the atmosphere) on things like air traffic patterns and climate.

What's happening near these isolated Japanese islands is more of a sea-land hybrid.

It is rooted on the flank of a string of underwater volcanoes a few hundred feet from the main island, Rubin explained. What's being expelled into the air -- a mixture of water that appears as whitish, fluffy steam and darker coarse rock fragments -- is distinct from the magma, he adds.

"In the shallow sea water, ... it causes it to behave explosively," Rubin said. "It's kind of a short-term thing. If it kept growing, it would act differently."

By "differently," he means acting like a more traditional land volcano with the crater well out of the water.

Whether or not that happens, people should be able to safely set foot on the island "pretty soon after it stops erupting," Rubin notes -- assuming experts are 100% sure it won't blow again.

If it's feasible, say, a year from now, remains to be seen. There was a similar case two years off the Canary Islands in 2011 where there was no breakthrough, and thus no new island. Two years earlier, a new island did emerge in such circumstances near the Pacific island of Tonga -- as happened in 1963 with Surtsey, an island that built up over four years in the 1960s off Iceland.

@highlight

A volcanic eruption hundreds of miles south of Tokyo forms a new island

@highlight

Video shows white smoke mixed with black material, including rocks

@highlight

"It's too soon to tell" if the island will grow or erode into the sea, expert says