(CNN) -- Hurricane veterans know when a bad one's coming. It's like those who feel the barometric pressure drop of approaching storm systems in their bones. I got the vibe midweek.

So I asked my friends on the Mississippi Gulf Coast, hardy survivors of Hurricane Katrina, what advice they would share with those in Hurricane Sandy's path. But I didn't want the usual flashlight, batteries, water, generator, gasoline tips. Tell them something they don't know, I asked, something that helped get you through.

Here's what they said:

• Outdoor solar lights can be brought in at night to light the indoors.

• When you make a video of your home for insurance purposes beforehand, open drawers and closets so the contents are visible.

• Have a tire plug repair kit and pliers to pull out nails or screws, since debris in the roadway causes flats and leaks that are tough to repair when everything is closed.

• Extend your cell phone battery's life by texting instead of calling and turning off Internet/Wi-Fi/Bluetooth/GPS connections.

• Bank safes and safe deposit boxes are not waterproof. During flooding, items left in them may be damaged and not accessible for weeks.

• Have thick tarps and roofing tacks in case you lose shingles from the wind.

What I didn't expect was the advice of a different nature that many added after their practical tips:

• Faith and the knowledge that no matter what, your life and the life of your family is more important than any material possession you may have.

• Keep a positive attitude and help your neighbor!

• Remember to have patience with your family, friends and neighbors. ... Work together and share your resources.

• Talk to each other. Share old stories. Some of the best relationships were made in the aftermath of Hurricane Katrina, as neighbors discovered new friends next door and grew closer helping one another through a trying time.

• Read a book.

Keep a hurricane preparation checklist

These are heartfelt suggestions from those who know what it's like to lose everything all at once. Disaster has a way of focusing the mind and leveling the playing field. Doctors and bankers stood next to mechanics and janitors in food lines in my Gulf Coast hometown of Bay St. Louis, Mississippi, in the weeks after Hurricane Katrina.

Such brutal shocks to the system are inevitable. No one can stop them, though human beings prefer to imagine we are omnipotent. We have access to virtually anything with the click of a mouse or a tap on our smartphones. We can Skype with someone on the other side of the world. We can land a rover on Mars and find proof of ancient rivers. We can do anything -- except control Mother Nature.

We don't like that, because it forces us to accept that we are vulnerable. Nations, states, cities and individuals wisely invest time and money on prevention efforts, but we can't really predict when, where and how the effects of nature at its worst will be felt.

What we can control is our reaction. And researchers report that contrary to popular myth, during disasters most people don't adopt an "every man for himself" attitude. Most react with responsibility and concern for their neighbors. I have seen it myself, over decades covering blizzards, floods, hurricanes and more.

Nearly five years after Hurricane Katrina, I was present at a remarkable discussion between the mayor of Bay St. Louis and his wife. Most of the town's homes and businesses were heavily damaged or destroyed in 2005 when the monster storm's 30-foot surge, sustained 125 mph winds and hopscotching tornadoes roared through. But the town and its people recovered.

"It was amazing. It really was," said Eddie Favre of the spirit of kindness, generosity and selflessness that prevailed in the months after the hurricane. "It would be nice to reclaim some of that patience and understanding. I wish we could go back to it."

"I feel bad saying it, but I really miss it," agreed his wife Jan. "We were all so close."

Times of disaster reveal not just our human fragility, but our strengths. It is at times like this that we learn what we are made of. People come together, share what they have and accept help from others. Suddenly differences that once seemed insurmountable turn out to be quite insignificant. The worst of times can bring out the best.

Hurricane safety: When the lights go out

The opinions expressed in this commentary are solely those of Kathleen Koch.

@highlight

Kathleen Koch: Katrina survivors share suggestions for coping with Hurricane Sandy

@highlight

Tips include bringing outdoor solar lights inside at night if power goes out, she says

@highlight

Also, have tire repair kits for nail debris; text, don't call, to save battery charge, she says

@highlight

Koch: Take chance to bond with neighbors; times of disaster reveal humanity, strength