(CNN) -- Politics can be a blood-soaked affair in Pakistan, and this leadership struggle is no exception. Dozens have been killed in attacks in the weeks leading up to this Saturday's election.

And yet, this poll is expected to mark a milestone in Pakistan's 66-year history: The first democratic transition of power. The nation has experienced three military coups, been ruled by generals for half its life, and it remains mired in near-constant political turmoil.

But the former government defied expectations by becoming the first elected to serve a full five-year term.

"Despite all the odds, completion of the term is an extraordinary and historic achievement," Prime Minister Raja Pervez Ashraf said in an address to the nation on March 16, marking the end of the term and the start of the election season now coming to an end.

The government may have survived, but the country has lurched from crisis to crisis.

Here are some of the main developments from the last five years of political turmoil.

2008

The nation collectively mourns the death of PPP leader Benazir Bhutto, who is assassinated just months before the elections in February 2008. The Pakistan Peoples Party -- led by Bhutto's widower, Asif Ali Zardari -- comes to power on the back of a populace disillusioned with then-President Perez Musharraf. He leads a coalition with Nawaz Sharif's Muslim League party, however the alliance collapses when Sharif pulls out after failed efforts to secure the release of dozens of judges put under house arrest by President Musharraf during a state of emergency in 2007.

In August of the same year, Musharraf resigns as president, clearing the way for Zardari to take over the post.

2011

On May 2, U.S. President Barack Obama announces the killing of Osama Bin Laden, who was living in hiding at a compound in Abbottabad, Pakistan. The incident underlines the often fractious relationship Washington has with Islamabad, whose leaders had long said Bin Laden was not hiding in Pakistan. Pakistan's parliament adopts a resolution condemning the U.S. raid and Musharraf brands it a "act of war."

In October, Pakistani businessman Mansoor Ijaz claims in an op-ed piece for the UK-based Financial Times that a Pakistani diplomat had him deliver a secret memo to U.S. Admiral Mike Mullen, who was then the chairman of the Joint Chiefs of Staff. The memo, allegedly from Zardari, reportedly asked the U.S. to back him in the event of a military coup related to the U.S. killing of Osama bin Laden. The government said it had nothing to do with the memo.

In December, Pakistan's Supreme Court appoints a panel to investigate the memo.

2012

In February, Yousuf Raza Gilani becomes the first Pakistani prime minister to be charged while in office. He's accused of contempt for refusing to re-open old corruption cases against Zardari.

Two months later, Gilani is convicted and receives a symbolic sentence of custody for the duration of the hearing. He refuses to resign and vows to appeal.

In June, Pakistan's Supreme Court rules that Gilani is ineligible to hold office. The court declares the prime minister disqualified retroactive to April 26. Raja Pervez Ashraf is appointed prime minister after majority vote in parliament.

Later in the year, the Pakistani Taliban claims responsibility for a series of attacks on Shiite Muslims. In the months ahead, militants stage further attacks against Shiites in an attempt to disrupt the election.

2013

In January, the Supreme Court orders the arrest of Ashraf over corruption allegations which one of his advisers calls a "soft coup" against democracy. Ashraf denies the claims.

In March, a caretaker government is appointed to oversee parliamentary elections.

March 24 -- Musharraf lands in Karachi after more than four years in exile. He faces criminal charges, and the Taliban vow to unleash a "death squad" to assassinate him.

He returns to face a lengthy list of charges, including accusations he illegally deposed and detained 62 senior judges during a period of emergency rule in 2007, and not doing enough to protect the life of Bhutto, the country's first woman to be elected prime minister of Pakistan. He denies any wrongdoing.

April 11 -- A candidate in May's 2013 national elections in Pakistan is shot and killed by two gunmen on a motorbike. Candidate Fakhar Ul Islam was targeted on his way home from his office, police said. Islam was a member of Muttahida Quami Movement or MQM, Pakistan's most liberal and secular political party.

April 12 --  Musharraf acknowledges his government secretly signed off on U.S. drone strikes, the first time a top past or present Pakistani official has admitted publicly to such a deal. His admission to CNN runs counter to their repeated denunciations of a program they long claimed the United States was operating without their approval.

READ MORE: Ex-Pakistani President Musharraf admits secret deal with U.S. on drone strikes

April 16 -- At least 15 people in Peshawar are killed and 35 people injured in a suicide bombing targeting an anti-Taliban political party, hospital and police officials said. A bomber blows himself up when Ghulam Ahmed Bilour, senior vice president of the Awami National Party, gets out of a car. Bilour's driver and two police officials were killed.

Meanwhile, Musharraf's comeback hits the skids when election officials bar him from running for a parliamentary seat. He had been disqualified because he declared a state of emergency in 2007. Even though he hasn't been tried for that action, the move has been ruled an act of treason, making him ineligible to run for office.

April 26 -- An explosion in Karachi, Pakistan, kills at least eight people and injured more than 20, Karachi authorities said. The target of the blast was a meeting the Awami National Party, an anti-Taliban liberal political party.

April 28 -- Five people die and 22 are wounded by an explosion in Orakzai, police said. In Peshawar, three people are killed and eight wounded, police said. Both attacks target independent candidates.

April 29 -- A man on a motorcycle detonates explosives near a police van in northwest Pakistan, killing at least six people and wounding more than 30, police said. The explosion took place on a busy road in the city of Peshawar.

April 30 -- Gunmen kill a political candidate and three other people. During the attack in Balochistan province, men fire on a vehicle carrying Fateh Muhammad Magsi, an independent candidate, police said.

A court in Pakistan bans Musharraf from politics for life. The move -- which can be appealed -- is another barrier in the road Musharraf faces as he tries to get back into his country's political mix.

May 3 -- Gunmen in Pakistan kill a leading prosecutor working on high-profile terrorism cases and an anti-Taliban politician and his son. Chaudhry Zulfiqar Ali was heading to a court in Rawalpindi, where he was trying a case stemming from the death of former Prime Minister Benazir Bhutto, who was assassinated while she was campaigning for her party in 2007.

In Karachi, gunmen on a motorbike shoot and kill Sadiq Zaman Khattak and his 4-year-old son as they leave a mosque, said Zahid Khan of Awami National Party, an anti-Taliban liberal party.

May 5 --  Three people are killed and more than 30 injured in back-to-back explosions near the headquarters of an anti-Taliban political party in Karachi. The explosions, about 30 minutes apart, take place near the headquarters of Muttahida Quami Movement. One device is placed in a rickshaw, police said. The second is buried in the ground.

May 7 -- A blast near a political rally leaves 18 people dead in a Pakistan tribal region, a local government official said. The explosion occurs during a rally staged by the Jamiat Ulema-e-Islam-Fazal Ur Rehman group, a right-wing religious party with sympathies for the militant Taliban movement.

In Lahore, former cricket star Imran Khan, running for prime minister, was injured when he fell off a stage during a political rally for Khan's Pakistan Tehreek-e-Insaf party - throwing even more uncertainty into Saturday's race. He continues to campaign from his hospital bed as doctors say he's expected to make a full recovery.

At least 16 people are killed in two attacks in Khyber Pakhtunkhwa province; one attack targeted a Pakistan People's Party rally, and the other targeted a candidate for the Jamiat Ulema-e-Islam-Fazal Ur Rehman group, police said.

May 9 -- Ali Haider Gilani -- son of former Pakistani Prime Minister Yousuf Raza Gilani -- is kidnapped on his way to address a public meeting in the city of Multan. His younger brother is running for a seat in the Punjab provincial assembly.

CNN's Nasir Habib, Saima Moshin, Nic Robertson, Saeed Ahmed, Jethro Mullen, Shaan Khan and the CNN Wire Staff contributed to this report.

@highlight

Pakistan is poised for its first democratic transition of power in its 66-year history

@highlight

Scores have been killed in campaign violence leading to this weekend's election

@highlight

The government has lurched from crisis to crisis in the past five years

@highlight

Campaign drama added by rise of Imran Khan and return of ex-President Perez Musharraf