Former CIA Director David Petraeus is expected to tell House and Senate committees Friday that soon after the attack on the U.S. Consulate in Benghazi, Libya, it suspected Ansar al Sharia was responsible. But just what is Ansar al Sharia, and why wasn't it identified as a prime suspect two months ago?

There is no easy answer.

Ansar al Sharia is more a label than an organization, one that's been adopted by conservative Salafist groups across the Arab world. The name means, simply, "Partisans of Islamic Law."

In Benghazi, Ansar al Sharia was one of many groups that filled the vacuum of authority following the overthrow of Moammar Gadhafi. Its members guarded the Al Jala hospital in Tripoli, where a number of the war's wounded were treated. For a while, the group provided security at the airport, according to Noman Benotman, a senior fellow at the Quilliam Foundation in London who has closely followed the evolution of the Libyan brigades.

Ansar al Sharia took over a security building in Tripoli following Gadhafi's ouster and came up with a logo -- a pair of AK-47s, a clenched first and an open Koran.

The group's central belief is that all authority is derived from the Prophet Mohammed, that democracy is un-Islamic and that other branches of Islam, such as the Sufi, are heretical. Ansar al Sharia and members of another brigade, dubbed the Libyan Shield, have been accused of destroying Sufi shrines near Benghazi days before the attack on the consulate.

The description on the Twitter feed of Ansar al Sharia of Benghazi proclaims: "The goals of Ansar al-Sharia brigade is to implement the laws of Allah on the land, and reject the human implemented laws and earthly made constitutions. There will be nothing ruling in this country other than the laws of Allah."

As with many of the brigades that roam Libya, Ansar al Sharia in Benghazi appears to have a fluid membership in the low-hundreds but some identifiable leaders, who have denied the group had any part in the consulate attack.

In Benghazi, the membership includes Mohammed al-Zahawi and Sheikh Nasser al-Tarshani, its religious authority. Neither has been detained. Al-Zahawi -- who fought to overthrow Gadhafi -- has given a number of interviews since the September 11 attack on the consulate.

In a BBC interview a week after attack, al-Zahawi denied Ansar al Sharia had any role in the attack, but said the group would not give up its weapons.

"We are in a battle with the liberals, the secularists and the remnants of Gadhafi," he told the BBC.

Al-Tarshani told The Irish Times the attack was wrong.

"The killing of the ambassador was not intentional — he died as a result of suffocation," he told Mary Fitzgerald in a telephone interview.

He also said that just because the assailants carried the black flag often associated with Salafist groups, it did not mean Ansar al Sharia was responsible. A CNN analysis of photographs of a large Islamist parade in Benghazi in June -- and similar shows of strength elsewhere -- indicates the flag is widely used by Libyan Islamist militia.

Another prominent Ansar al Sharia figure is former Guantanamo Bay detainee Sufian bin Qumu. But his "patch" is east of Benghazi, near the town of Derna. In the wake of the September 11 consulate attack,  the 53-year old bin Qumu is thought by analysts to have left the area for a hide-out in the nearby coastal mountain range.

Al-Tarshani told The Irish Times that the Benghazi group had nothing to do with him.

Benotman, himself a former Libyan jihadist, thinks that blaming Ansar al Sharia for the attack oversimplifies the situation. He told CNN in September that its loose structure made it easy for any group with a terror agenda to infiltrate it because of a shared ideology.

One such group, Benotman said, was the Imprisoned Omar Abdul Rahman Brigades, named for the blind Egyptian Sheikh imprisoned in the United States for his role in the 1993 attack on the World Trade Center. The group claimed responsibility for a crude IED attack on the Benghazi consulate in June.

There does not appear to be organizational links between  Ansar al Sharia and al Qaeda, but there is solidarity. Al-Zahawi praised al Qaeda leader Ayman al Zawahiri in his BBC interview, and said al Qaeda's statements "help galvanize the Muslim nation, maintain its dignity and pride."

Benotman said most people in Benghazi have little time for the Islamist brigades, as evidenced by the crowd of thousands who attacked Ansar al Sharia's headquarters in the days following the consulate attack. But he says their animosity was less ideological than borne of frustration.

"They felt the attack on consulate was a threat to their well-being. For many of the protestors, it's an opportunity to help the government make serious decisions to boost security in Benghazi," he said.

U.S. unsure of Ansar role

The narrative from U.S. officials -- on the record and off -- about who was responsible for the consulate attack in Benghazi has been, at best, confusing.

In part, that's because of the blurred lines and overlapping memberships of the different militia. On the day of the attack, a U.S. diplomatic cable sent from Benghazi described a meeting of several brigade commanders with U.S. officials two days earlier.

According to the cable, during the meeting Libyan Shield commander Ben Hamed and another Islamist militia leader "discussed the very fluid relationships and blurry lines they say define membership in the Benghazi based Brigades under the February 17, Libya Shield, and SSC [Supreme Security Committee, a Libyan government created fighting outfit] umbrellas."

Hamed and the other militia leader described themselves as members of multiple brigades, the cable said.

Then there are the conflicting reports from U.S. officials.

On September 18th, a U.S. official told CNN that Ansar al Sharia had not been positively identified as responsible for the attack, "which is more likely to turn out to be a bunch of various elements and basically (al Qaeda) militants."

Another senior official told CNN: "Ansar al Sharia is only one of the elements they are looking at. The notion that the intelligence community has zeroed in on either Ansar al Sharia -- its leader Sufian bin Qumu in particular -- is completely untrue."

At the same time, Matthew Olsen, director of the National Counterterrorism Center, told a congressional panel: "We are looking at indications that individuals involved in the attack may have had connections to al Qaeda or al Qaeda's affiliates -- in particular, al Qaeda in the Islamic Maghreb."

The possibility that al Qaeda in the Islamic Maghreb was somehow involved in the attack was recently revived by U.S. Army Brig. Gen. Carter Ham, commander of the U.S. Africa Command.

"It appears to me very likely that some of the terrorists who participated in the attack in Benghazi have at least some linkages to AQIM," Ham told reporters in Paris this week.

At other times U.S. officials have suggested that Libyan jihadists who fought with al Qaeda in Iraq played a role along with Egyptian militants.

Little is known about who Libyan authorities detained in the wake of the consulate attack, and whether they are still detained.

A Tunisian, meanwhile, has been detained in connection with the attack, though nothing is known publicly about his links to Ansar al Sharia. Ani Ali al Harzi was arrested in Turkey and is now being held in Tunis.

What can be said with some confidence is that the Salafist trend has been revitalized across the Arab world as dictatorships have crumbled. A number of Ansar al Sharia groups have emerged not only in Libya but in Yemen, Tunisia, Egypt and Morocco.

"The Muslims today are not like they were before," al-Tarshani told the BBC. "They cannot stand any action that would insult our Prophet or other symbols."

@highlight

Ansar al Sharia is one of a handful of militias operating in Libya

@highlight

Ansar al Sharia serves more as a label than an organized group

@highlight

Its identifiable leaders are Mohammed al-Zahawi and Sufian bin Qumu

@highlight

Both have denied the group had any role in the consulate attack