(CNN) -- One year ago, the Republican National Committee completed a four-month period of "self-reflection" and "evaluation" after losing its second straight presidential election and the popular vote in five of the past six presidential elections.

The result of that process became popularly known as the GOP "Autopsy Report" -- an analysis of all of the Republican Party's ailments and prescriptions for how to cure them.

But, after a year, it doesn't look like they have really learned a thing.

And their navel-gazing, introspection moment wasn't all that new or particularly self-aware, as more than a decade of RNC chairmen -- yes, they have all been men -- before Reince Priebus have all tried the same thing.

Why the RNC built a year-round ground game

In 2003, Marc Racicot proclaimed that "expanding our base by recruiting new Republican activists from traditionally strong and Democratic constituencies is our No. 1 priority." Then, crickets.

In 2005, Ken Mehlman's "Conversations with the Community" targeted African-Americans. That didn't go so well.

And in 2009, Michael Steele's failed "50 State Strategy" spent a lot of money but did little else.

Year after year, Republican leaders have admitted that their party is alienating huge swaths of voters. In last year's report, for nearly 100 pages, they tried to convey the message: "We get it."

But here we are, another year later, and all the Republican Party has gotten is a year older, with little else to show for it.

What the GOP has offered over the past 12 months to solve its problems is simply a change in tactics.

The party hired "outreach staff" and placed them in communities they've never been in before. But one must question whether it is effective outreach when your agenda keeps alienating the very people you are trying to include.

The party is conducting "candidate trainings" to teach them how to talk to (and about) women, hoping to stave off any more "legitimate rape" moments, among other things.

It's worked to shorten the primary calendar and limit debates -- though ensuring that fewer people hear your agenda doesn't seem a good tactic to achieve your goals on expansion.

The attempted change in tactics hasn't helped the party's leaders, officials, or endorsed candidates with their chronic foot-in-mouth syndrome.

In this past year, we've heard Republican leaders and operatives call a female candidate an "empty dress," talk about women's libidos, and -- once again -- try to downplay abuse.

We've heard them use derogatory terms to describe Latino immigrants, comparing them to drug mules.

They have used insulting stereotypes for African-Americans, including just last week when former vice presidential candidate Paul Ryan used thinly veiled language to talk about the "culture" of laziness among "inner-city men."

And gay Americans have faced outright discrimination from Republicans at all levels -- from state party chairmen to candidates to elected officials.

The Republican Party's failure to rebrand hasn't been limited to the disrespectful and insulting language. It continues to push an agenda that divides Americans, limits equally and denies to many the "pursuit of happiness" -- i.e., access to economic opportunity.

In other words, the GOP's philosophy hasn't changed.

The leaders may have set out to become a party that is more "inclusive and welcoming," but in reality the GOP has moved in the opposite direction. It continues to alienate large communities of Americans, embracing a rhetoric that emphasizes fear of others and, ironically, entitlement for themselves.

The biggest problem for the Republican Party has never been its primary calendar, its campaign tactics or a lack of trainings. The party's biggest problem is what it believes, what it says and how it governs.

The good news is Democrats have spent the year building on a foundation of outreach rooted in our core values and an agenda based on equal opportunity.

Democrats have pushed for equal pay for women because we know that when women succeed, America succeeds.

We push for full equality for all Americans, regardless of where they live, what they look like or who they love.

We push for commonsense immigration reform that is the right thing to do for our economy and our country. And we push an economic agenda that simply levels the playing field so that every American has a chance to move up the economic ladder.

Democrats will use innovative programs and tools to empower grassroots supporters and ensure that Democrats up and down the ballot have the resources they need to win -- so that we can work to expand opportunity for all Americans.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

A year after the GOP's "self-reflection," Donna Brazile says it doesn't appear they get it

@highlight

All the GOP has offered is simply a change in tactics, she says

@highlight

Brazile thinks they still don't get women, minorities and push an agenda that divides Americans

@highlight

In other words, she argues, the GOP's philosophy hasn't changed