Dr. Kent Brantly walked around the room at Emory University Hospital on Thursday, hugging staff members and shaking hands.

It was like he wanted everyone to know: I'm no longer infectious. The virus is out of my system. Ebola didn't beat me.

Brantly and Nancy Writebol, another American missionary infected with Ebola in Liberia, have been discharged from the hospital. Writebol was released Tuesday and is choosing not to make public comments, according to the hospital.

"Today is a miraculous day," Brantly said at a news conference Thursday. "I am thrilled to be alive, to be well and to be reunited with my family."

What happens when you survive Ebola?

Emory's staff is confident that the American patients' discharges pose "no public health threat," said Dr. Bruce Ribner, director of Emory's Infectious Disease Unit. He said the reason the public was not made aware of Writebol's release immediately was that she requested her discharge not be publicly announced.

"Nancy is free of the virus, but the lingering effects of the battle have left her in a significantly weakened condition," her husband, David Writebol, said in a statement. "Thus, we decided it would be best to leave the hospital privately to be able to give her the rest and recuperation she needs at this time."

But Brantly passed along gratitude from the woman with whom he has shared a harrowing journey.

Both patients were evacuated from Liberia this month, in a plane specially equipped with an isolation tent, and accompanied by medical staff outfitted in head-to-foot protective clothing. The plane was able to take only one patient at a time and made two trips. The patients were taken to an isolation unit at Emory, where they'd been treated for the last few weeks.

As she walked out of her isolation room Tuesday, Brantly recalls Writebol saying, "To God be the glory."

"We are tremendously pleased with Dr. Brantly and Mrs. Writebol's recovery," Ribner said at the news conference. "What we learned in caring for them will help advance the world's understanding of how to treat Ebola infections and help, hopefully, to improve survival" in other parts of the world.

"There may be some recovery time because this is a fairly devastating disease," but in general, Ebola patients who survive without organ damage are expected to "make a complete recovery," he said.

Brantly and Writebol's releases are historic, says CNN chief medical correspondent Dr. Sanjay Gupta. They were the first humans with Ebola to ever arrive in the United States. And they were the first humans to receive an experimental Ebola drug called ZMapp, which may have saved their lives.

Treating Ebola

There is no known cure for Ebola, no proven treatment and no vaccine. Treatment consists of giving fluids, monitoring vital signs and responding to acute medical crises. Symptoms include fever, aches, diarrhea and bleeding.

Left untreated, infections can be deadly in up to 90% of cases. But around half the patients receiving medical care in the current outbreak in Liberia, Sierra Leone, Nigeria and Guinea are surviving.

The Ebola virus spreads via direct contact with bodily fluids, like blood, sweat and feces. For Ebola patients to leave isolation, Ribner said, two blood tests done in a two-day period must come back negative.

There is a slight possibility that the virus could linger for up to three months in vaginal fluid and semen, according to the World Health Organization. Ribner said that there is no evidence Ebola has ever been transmitted in this way but that the risk was discussed with both patients.

Asked about the role the experimental drug may have played in their recoveries, Ribner said doctors "do not know whether it helped them, whether it made no difference" or whether it might have delayed their recovery.

ZMapp was also given to three health care workers -- two doctors and one nurse -- in Liberia. The nurse and one of the doctors have shown "a marked improvement," according to the World Health Organization. The condition of the second doctor is "serious but has improved somewhat."

More human cases must be analyzed to determine whether the drug is having a significant effect or if it will help others in the region. But "according to the manufacturer, the very limited supplies of this experimental medicine are now exhausted," the WHO said in a statement Thursday.

Are they now immune to Ebola?

A deadly outbreak

More than 1,350 people have died in the West African Ebola outbreak since the first cases drew attention in March, the WHO said Wednesday.

Aid workers are fighting an uphill battle to stop the disease as it continues to spread. Financial and human resources have been stretched.

An emergency research "all call" was issued Thursday by medical charity Wellcome Trust and the United Kingdom's Department for International Development to find a drug to stop the outbreak.

They are making $10.8 million available to fund research. Wellcome Trust is committing another $66.5 million to the development of health research scientists in Africa, who are studying many deadly diseases there.

Canada's public health agency had 800 to 1,000 doses of a vaccine known as VSV-EBOV delivered to health officials in Liberia last week. It's unclear if anyone has been given the vaccine.

But there has been a glimmer of hope: The World Health Organization has seen "encouraging signs" from Nigeria and Guinea that positive action can rein in the deadly disease.

The situation in Lagos, Nigeria, where the country's first case was detected in July, "looks reassuring," the WHO said.

"At present, the city's 12 confirmed cases are all part of a single chain of transmission. Those infected by the initial case include medical staff involved in his treatment, a patient in the same hospital, and a protocol officer in very close contact with the patient," the organization said.

One of those 12 has made a full recovery, the WHO said, which "counters the widespread perception that infection with the Ebola virus is invariably a death sentence." Evidence suggests early detection and therapy can help people survive, it said.

Are myths making the Ebola outbreak worse?

@highlight

Dr. Kent Brantly and Nancy Writebol have been discharged from an Atlanta hospital

@highlight

Doctors don't know whether an experimental serum and a blood transfusion helped

@highlight

Both contracted the deadly Ebola virus in Liberia

@highlight

Brantly and Writebol are the first known Ebola patients to recover in the U.S.