(CNN) -- I keep my hands hovering in the space between an elevated lamp and a square white box that resembles a washing machine. At a signal, I make patterns with my hands, creating shadows that stretch out on the bright surface below, generating a cacophony of barking, as if a pack of dogs have been released into the East London basement.

This is a meeting of the city's Music Hackspace, an offshoot of the London Hackspace, among the largest of over 1,000 such citizen workshops that populate the world from Brazil to Baghdad.

Around a dozen keen members -- and 150 part-time - form the basis of this music chapter; designing, building and re-purposing instruments to suit ambitious creative projects.

The 'washing machine' is one of eight home-made instruments the members have created that make up the 'Cave of Sounds', an installation inspired by prehistoric musical collaboration, which has exhibited in some of London's leading cultural institutions including the Victoria & Albert Museum and Barbican centre.

Three of the instruments respond to physical movement, and another is activated by light. One produces sound through an accelerometer and gyroscope, and there is a sensor-filled hat operated by taps from a metallic glove.

Trained percussionist and hackspace member Dominic Averso believes a new style of instrument is emerging from maker culture. "The technology lowers the bar to participation, so it's easier to create with it. But the music may be more ephemeral than lasting -- there's a parallel to early jazz when it was very free and experimental."

Musical legacy

But Averso believes that there may be a lasting impact from instruments that interact with the listener. "Future generations might think it's wacky to listen to the same song over and over again."

The collective have already made waves through Seaboard, a radically re-imagined keyboard, launched by London start-up ROLI with the work of several members. The instrument uses tactile sensations to create a more nuanced experience, allowing the user greater control of the volume, pitch, and timbre emanating from its rubber keys.

The Seaboard has heavyweight support from the likes of Hans Zimmer, who demonstrated its use, and is now a shareholder.

"Evolution can be more responsive versions of existing instruments", says Jean-Baptiste Thibaut, ROLI innovation manager and hackspace organizer. "Digital music offers so much range and possibility but misses the familiarity of physical objects in your hand. Your body has so much expressive ability, so I think the future is combining the two."

This mode for innovation has been popular. The semi-finalists in Georgia Tech's prestigious musical instrument competition' included Chet Udell's augmented Trombone, complete with amplification and wireless sensors, and the eCorder that gives the woodwind staple a range of effects and data capture.

Digital analogue

A contrasting approach has been to make computers behave like traditional instruments, as pioneered by UK band Hugs Bison.

The musicians play heavily customized iPads, using touch screen interfaces, wireless sensing and a range of apps such as virtual instrument platform 'ThumbJam' to give performances along with the sound.

"I play very differently when there is touch", says band member Shaun Blezard, comparing with his background in electronic music production. "It feels like a real instrument rather than technology. You're more physically involved, you can bend and distort notes, and affect the sound more."

Blezard believes it's a method accessible to any beginner "if they have a good ear", and sees potential for large-scale, networked collaborations. Hobbyists have already shown the potential with a reworking of the "Dr. Who" theme, while the Göteborg Symphony Orchestra have delivered a symphony on iPhones.

Emerging instruments can be even more available and adaptable than our smartphones.

The 'Ototo' from London start-up Dentaku is a pocket-sized synthesizer that can turn any everyday object - from vegetables to furniture - into an instrument if the two are connected with simple cables. The user can then compose using the synthesizer's inputs and the object's own conductive properties (see video below. If reading on mobile, click here).

Noisy shirt

A similar system has been adapted to create wearable instruments, as with the percussion jackets worn by America's Got Talent participant William Close, and even edible instruments, through ice-cream activated by the player's tongue.

Analysts see a collective spirit as a common thread running through innovation in hacked instruments. "It's partly about using technology to make people interact", says Nick Sherrard, head of development, digital and communications at Sound and Music, the UK agency for new music. "Anyone can play but typically it needs to be with others."

Sherrard believes such home-made instruments could have a broad appeal beyond the maker niche and be widely taken up by children, although as an accompaniment rather than a replacement for traditional instruments. "Musicians that do one would do the other."

The analyst is most excited about "music generated by interaction with living things", and some epic projects have illustrated the potential of using the environment as an instrument. "Living Symphonies" is the result of two artists laboriously mapping a British forest over two years and creating a musical motif for each organism, a database which is then installed at the site so that the forest effectively plays - and interacts with - its own symphony.

In 2013, MIT composer Tod Machover used thousands of crowd-sourced sound elements from the city of Edinburgh, drawing on everything from elevator conversation to overhead planes, to create a soundscape for the city's festival.

The richness of audio data available from the environment also offers spectacular performance possibilities, to give the audience immersive, multi-sensory experiences.

The classical virtuosos are not endangered yet, but regular concerts and instruments could begin to seem outdated before long.

Read more from Make, Create, Innovate:

Forget wearable tech, embeddable implants are already here

Feeling glum, happy, aroused? New technology can detect your mood

Forget text messaging, the 'oPhone' lets you send smells

@highlight

Music Hackspace designs, builds and re-purposes instruments

@highlight

There are over 1,000 workshops all over the world that 'hack' instruments

@highlight

Start-up Dentaku can turn any object - from vegetables to furniture - into an instrument

@highlight

Edible instruments have been created, using ice-cream activated by the player's tongue