Well over a year after Congress voluntarily imposed a ban on pork barrel spending, the number and cost of earmarks have dropped dramatically, a report said Tuesday -- but the snouts are not out of the trough altogether.

The 2012 database of pork-barrel projects compiled by the nongovernmental group Citizens Against Government Waste, known as the Congressional Pig Book, says Congress has some way to go to cut out wasteful spending.

It finds that the number of earmarks has decreased by 98.3% from 9,129 in fiscal year 2010, when the Pig Book was last produced, to just 152 in fiscal year 2012.

The cost has also plummeted by 80%, from $16.5 billion in 2010 to $3.3 billion in 2012, the lowest sum in a decade, it says.

Numerous pet projects still found their way into appropriations bills despite the supposed moratorium on earmarks, the Pig Book's authors say -- and despite Congress certifying each appropriations bill as earmark-free.

Citizens Against Government Waste acknowledges that its criteria for what constitutes an earmark differ from those of Congress.

The report comes amid a political furor over allegations of lavish spending on conferences and rewards programs by the General Services Administration, a government agency.

Earmarks, which are federal funds that members of Congress direct to specific projects back home, were common practice for years but have become a target for budget-conscious deficit hawks.

Those detected in 2012 "involve larger amounts of money and include fewer details than in prior years," the Pig Book says, with a side effect of the moratorium being that pork barrel spending is much harder to spot.

"The supposed lack of earmarks resulted in a completely opaque process. Since earmarks were deemed to be non-existent, there were no names of legislators, no information on where and why the money will be spent, and no list or chart of earmarks in the appropriations bills or reports," the report says.

"While the lower number and cost of earmarks are a vast improvement over prior years, transparency and accountability have regressed immeasurably."

The Pig Book highlights several earmarks slipped into the defense appropriations bill, including $255 million to upgrade the M1 Abrams tank, a project opposed by the Pentagon; $239 million for cancer research that is already funded elsewhere; and $50 million for National Guard Counterdrug Program state plans.

It also flags $9.5 million for high energy cost grants, $3.4 million for national fish hatchery operations and $3 million for aquatic plant control as among the "most blatant examples of pork."

But as part of an overall downward trend, the appropriations bill for Labor, Health and Human Services saw a huge decline in earmarks, from 1,789 in 2010 to three in 2012. One of those that made it through was $5 million for abstinence education.

Only one earmark showed up in the 2012 financial services appropriations bill, the report says, down from 270 in the 2010 financial year. That was $38.5 million for a drug trafficking program at the Office of National Drug Control Policy.

Four earmarks were spotted in the State and Foreign Operations appropriations bill, the report says, including $114.8 million for the United Nations Democracy Fund, despite the Obama administration never requesting funding for it.

Another is a $5.9 million award for the East-West Center in Hawaii, which its authors flag as a home-state project of Senate Appropriations Committee Chairman Daniel Inouye, D-Hawaii.

Earmarks have typically accounted for less than 1% of the budget. But critics say the funding awards do not undergo the same scrutiny as other spending and tend to reflect the influence individual lawmakers wield in Congress, rather than merit.

While some lawmakers have called for legislation to be passed to turn the moratorium into a permanent ban on earmarks, others oppose that step.

The report names Inouye; Senate Majority Leader Harry Reid, D-Nevada; Senate Appropriations Committee ranking member Thad Cochran, R-Mississippi; and Senate appropriator Lamar Alexander, R-Tennessee, as among those critical of the continuation of the moratorium.

Citizens Against Government Waste suggests that until a ban is imposed, "taxpayers will be justified in their belief that members of Congress are being creative and deceptive in skirting the moratorium and continuing to obtain earmarks."

@highlight

The number of earmarks has fallen dramatically for 2012, the Pig Book report says

@highlight

Some earmarks are still finding their way into spending bills despite a voluntary ban

@highlight

A tank upgrade program and fish hatchery projects are examples highlighted by the report

@highlight

The supposed ban on pork barrel spending has damaged transparency, its authors say