CANTON, Georgia (CNN) -- Meet Kaden, bomb-sniffing dog in training.

Jeff Schettler coaches handlers on how to work with detection dogs, including Kaden, far right, in the field.

His name, a Gaelic word meaning "little battle," is fitting for the energetic 12-pound puppy with a perky tail that curls like a cinnamon bun.

At 4 months old, Kaden is a playful, black- and white-coated basenji being schooled at Georgia K9 National Training Center. Once fully trained, he will assist federal and local police officers as well as private corporations in nosing out deadly explosives at schools, airports and public events.

His detective skills can potentially save thousands of lives in an era where law enforcement agencies are aggressively fighting against drugs and terrorist attacks.

"Think about a scenario like the 1996 Olympic bombings," says Kaden's trainer Jeff Schettler, a cheery man who has coached hundreds of dogs to sniff out bombs, drugs, missing people and corpses since the mid-1990s.

Demand for these detection canines -- including bomb dogs such as Kaden -- has surged as homeland security and drug crackdowns become a bigger priority for government and law enforcement. The North American Police Work Dog Association says 35,000 dogs are trained to do detective work in the U.S. The association estimates up to 10,000 dogs have been added since the September 11, 2001, attacks.  Watch three detection puppies in action »

Official records of training puppies to work as detection dogs date back to the early 1900s in the U.S. In more recent years, police departments realized a dog's nose was a valuable asset.

Dogs possess impressive olfactory abilities -- some breeds more than others. For each drop of odor detected by a dog, the human nose would require 1,000 to 10,000 drops of odor, veterinarians say.  Can your pooch be a detection dog? »

Other animals may have smelling skills that rival a dog's, such as pigs nosing for truffles in France or honey bees that can sniff out TNT particles, but veterinarians say dogs are the most controllable and sociable for their human handlers.

Police dogs remain the most affordable and reliable solution to solving crimes that require scent detection, police officers say. Trained dogs can track down cocaine camouflaged inside car seats. They can find children who have mysteriously vanished overnight. Detection dogs can even weed out pest-infested apples and oranges accidentally left in suitcases at airports.

"They are a growing aspect of law enforcement," says Jim Watson, secretary at the North American Police Work Dog Association and a handler for decades.

Earlier this month, investigators were baffled during the international manhunt for George Zinkhan, a former University of Georgia professor accused of fatally shooting his wife and two other people.

Two weeks into the search, two cadaver dogs, a German shepherd named Circe and an Australian shepherd named Madison, arrived. Within 10 hours, the dogs picked up the scent of Zinkhan's remains in a shallow pit hidden in a thick forest. Once the dogs neared the suspect's body, they gave their handlers personalized signals. Circe barked excitedly. Madison lay down.

Trainer Jeff Schettler explains Kaden is an unlikely candidate for police work. Basenjis, a breed that originated in central Africa, are usually used as hunting or show dogs. There are only two other trained police dog basenjis recorded by the North American Police Work Dog Association.

Most trainers in the police dog world dislike experimenting with new dogs, preferring to stick to breeds with a proven track record. Most law enforcement agencies rely on Belgian Malinoises and German shepherds for detection work because of their protective yet friendly personalities, but labs, bloodhounds and beagles also can be used.

"We're not trying to fix anything," Schettler says. "We're trying to enhance it."

Schettler points out some of Kaden's advantages: The dog's weight will peak at about 25 pounds, enabling him seamlessly to sift between cramped luggage and lockers. Kaden is barkless because basenjis have an oddly shaped larynx, ideal for quiet searches.

On a recent rainy Saturday morning at the Georgia K9 National Training Center, little Kaden undergoes testing. Passing the exam depends on his whiffing talents.

Upon the instructor's command, Kaden's pencil-thin legs playfully trot along the damp grass to an oversize wall scattered with dozens of holes. His instructor has hidden black gunpowder wrapped in pantyhose in one of the holes.

If Kaden's nose sniffs out the gunpowder, he will immediately sit.

Kaden begins on the left side, quickly taking a zigzag pattern from one hole to another. His pace is methodical, a sniff for each hole. Soon he slows, pauses, inhales again and then sinks his tiny hindquarters to the ground.

"What a good boy," coo several of Kaden's trainers, stroking his sleek fur and rewarding him with one of his favorite treats, torn bits of venison jerky.

As Kaden nibbles on his treat, Schettler admits there are drawbacks to training basenjis. Basenjis don't have a furry coat to endure cold weather like a German shepherd.

Basenjis are also a highly independent, stubborn breed with personalities similar to cats, making them difficult to train. Kaden's personality, however, is contrary to most basenjis. He was culled from a litter in Atlanta at 7 days old because of his unusual sociability with humans.

"At eight weeks, he was in the airport going up to people and running around like he owned the place," Schettler says.

Training detection dogs such as Kaden often begins during puppyhood so imprinting scent differentiation becomes innate, handlers say. Puppies are selected based on breed purity, confidence, sociability and temperament.

In any training program, there are doggie dropouts. In those instances, the puppies become pets.

On the job, dogs can suffer from on-site injuries, such as mild sprains and bruises. Some dogs have even been killed when a bomb explodes or buildings collapse. As police dogs age, health problems such as arthritis can send them into early retirement.  A work dog's career typically spans about seven years, instructors say.

Different breeds specialize in certain detection jobs, says Joseph Morelli, a canine handler for the Connecticut State Police. Morelli says he relies on Labrador retrievers for arson cases. German shepherds at his school are saved for patrolling or drug cases.

"People are really starting to see how useful these dogs can be," says Morelli, who has started to train dogs from neighboring states in recent years. "We're really seeing our program take off."

@highlight

Police dogs can nose out explosives, drugs, bodies and missing people

@highlight

Kaden, at 4 months old, is training to become of the the few basenjis bomb dogs

@highlight

Training usually begins in puppyhood so handlers can imprint skills

@highlight

About 35,000 police dogs work in the U.S., group says