Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. He is completing a book on the history of national security politics since World War II, to be published by Basic Books. Zelizer writes widely on current events.

Julian Zelizer says it's not enough for Republicans to oppose Obama's plans, they must offer their own ideas.

PRINCETON, New Jersey (CNN) -- One of the best Marx Brothers movies, "Horse Feathers," played in movie theaters at the height of the Great Depression in 1932.

In the film, the comedian Groucho Marx played the new president of Huxley College, Quincy Adams Wagstaff.

During one of the most memorable scenes, Groucho introduces himself to faculty and students by singing about his philosophy of governance: "Your proposition may be good/But let's have one thing understood/ Whatever it is, I'm against it!/And even when you've changed it or condensed it, I'm against it/ I'm opposed to it/On general principle. I'm opposed to it."

If Republicans want to rebuild their party after the calamity of 2008, the party leadership needs to avoid the Quincy Adams Wagstaff approach to politics.

When Obama proposed his economic recovery bill last week, the first words to come out of House Minority Leader's John Boehner's mouth sounded a bit like Wagstaff.

With the economy imploding and the international economic crisis worsening, Boehner said: "Right now, given the concerns that we have over the size of the package and all of the spending in this package, we don't think it's going to work. And so if it's the plan that I see today, put me down in the 'no' column."

Senate Minority Leader Mitch McConnell has been more restrained in his response, leaving open the door to compromise.

If Boehner is simply acting as Dr. No to get a better deal, Republicans can come out of the negotiations over the economic recovery bill as partners, planting the seeds for a new Republican approach toward dealing with economic matters.

But if Boehner's plan is for his party to act as an oppositional force -- trying to block, delay and prevent legislative action -- then the GOP could find itself in big trouble.

If the Republicans don't agree with Obama's approach, given the severity of the crisis, they need to offer an alternative rather than just sitting still.

To be sure, there is the possibility that if the economy continues to deteriorate after a bill has passed and the public loses faith in Obama, the House GOP could reap the benefit from their opposition. They could say "we told you so." But even that would be a high-risk maneuver, particularly given the state of public opinion about the Republican Party.

Even if a bill passes and the economy continues to struggle, voters would be looking at a Republican Party that didn't have anything better to offer. The public likes hard-working politicians.

President Franklin D. Roosevelt's New Deal ideas didn't always work -- some like the National Recovery Act were downright failures -- but voters valued a president who tried to offer arguments about how to end the crisis and who rolled up his sleeves to make the nation better.

The election of 2008 revealed that the Republican Party lacks the kind of big ideas that Ronald Reagan used in 1980 to bring the conservative movement into power. The various factions of the conservative movement came together around the themes of anti-communism, deregulation and tax cuts.

Reagan didn't just sell tax cuts for the wealthy as good in themselves, but connected them to supply-side economics, which claimed that cuts would stimulate investment, generate economic growth and ultimately bring more revenue into the coffers of Treasury.

Even after the Soviet Union collapsed, Republican leaders found ideas to sell their movement to the public. Newt Gingrich and a cohort of young Republicans focused on sharp attacks about the dangers of government intervention and corruption of government.

For a short time it seemed that under George W. Bush, the war on terrorism would provide a new thematic focus to Republican efforts. But this was not to be.

The controversies over Iraq and the continued dangers in countries such as Afghanistan undermined Republican claims of superiority on national security policy. Controversies over the erosion of civil liberties and due process in the pursuit of terrorism also weakened their claims.

When the economy collapsed in fall 2008, Republicans' arguments about the wisdom of tax cuts and deregulation were made suspect. Americans might not always like government, but they dislike being broke even more.

Sen. John McCain struggled in his campaign, not just because of the weaknesses of his campaign, but because his party seemed to lack any answers as Wall Street and Main Street spun out of control.

Furthermore, the fact that the federal government continued to expand under Bush -- both when Republicans and Democrats controlled Capitol Hill -- made it difficult to sell Republican arguments about the dangers of big government.

Back in the 1970s, when Republicans felt as if they were in the political wilderness, they invested a great deal of their resources into the market of ideas.

Conservatives built think tanks like the CATO Institute, established talk radio shows, and financed academic scholarship about conservatism so that when opportunities arose in the elections of 1980 and 1994, Republicans had something to say.

At some point, Republicans have to tap into the 1970s enthusiasm about generating ideas if they want to rebuild their party and win over the hearts and minds of voters. Simply reviving the philosophy of the 1970s won't work. Rather the GOP needs to offer new arguments and new policies to achieve economic recovery.

If they repeat what happened in the 1930s, when Republicans sounded a lot like Groucho Marx and just said no as FDR rebuilt the nation, they are likely to remain on the outskirts of power for decades to come.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: House Republicans are signaling they will oppose stimulus plan

@highlight

He says Republicans are in trouble if they simply act as an opposition force

@highlight

Democrats gained sway for decades by seeking to improve the economy, he says

@highlight

Zelizer: If GOP opposes stimulus plan, it should offer alternatives of its own