Justin Goforth was just a 26-year-old nursing student when he had unprotected sex with another man and, as a result, got the diagnosis that changed his life.

"I started to feel like I had the flu -- aches, pains, chills, fever, swollen lymph nodes, that kind of thing -- and so I went to my doctor ... we did a viral load test, which was rare back then ... and he called me and said, you know, it came back (HIV) positive."

It was 1992. Goforth's doctor immediately sent him to the National Institutes of Health, where research was being done, but treatment options were, at the time, still few.

Patients were being treated with AZT, the first drug approved by the Food and Drug Administration in 1987 to treat HIV/AIDS in the United States -- by then known for its serious, even life-threatening side effects.

The reality of the diagnosis set in.

"I was so sick," Goforth says. "I was sitting silently and crying because of my circumstance ... and the nurse came over and was trying to console me, I believe, and said ... 'Because you were just infected, you may have, you know, six or eight years before you die.'

"I think she was trying to cheer me up," he says. "Didn't work very well, but that's just a good commentary on where we were at the time"

Bill Gates: Where to put the smart money to end AIDS

That was then, but what does it mean to have HIV today, after years of research and advances in treatment?

"It means likely you can have a normal lifespan and have a similar life to someone who does not have HIV," says Dr. Ray Martins, chief medical officer at Whitman-Walker Health in Washington, which provides health care services for the lesbian, gay, bisexual and transgender community.

"For people who had to deal with the medications and stuff from the '80s and '90s, it was a bit of a rough road there, so figuring out the virus and the medications that would work effectively with the least side effects, it took a while," Martins says. "But now we're at the point where we have three options for one pill, once-a-day regimens with very little side effects."

In 1981, when the virus was discovered, being HIV-positive was considered a death sentence. For most patients today, it's a chronic disease, much like diabetes or heart disease.

Goforth is a perfect example. He has been living with the disease for 21 years and today is a healthy 47-year-old.

Instead of the difficult treatment regimen he was on back then. which included some 40 pills five times a day with "horrific" side effects, he now takes five pills twice a day "with virtually no side effects," he says.

For the last 7½ years, Goforth, who is a registered nurse, has worked at Whitman-Walker in a variety of positions, including director of nursing and in case management.

He sees potentially thousands of patients each year, and has personally delivered the same news he got two decades ago to more than 200 patients. But he tells them living with HIV today means that you can be healthy, thrive and live a normal lifespan without complications.

"You can go to your doctor two, three times a year, get some tests done and make sure everything's on track, and then just live the rest of your life as you would," he says. "Follow your dreams ... have your career, your family, or whatever it is that you'd like to do with your life, and that is the truth of where we are."

Today's science, he said, supports that.

Interactive: World AIDS Day 2013

"We are at a place that we actually have the tools we need  to stop the epidemic and then just get to a point where we're just taking care of the people who have HIV throughout their life," he says.

"But because of how horrible the first 10, 20 years of this (epidemic) was, we have collectively this culture of what it means to be infected and affected by HIV that still is this huge block, this huge barrier for people understanding that they can get into care and they can be OK and that it's not something to be afraid of."

About 1.1 million Americans live with HIV, according to the Centers for Disease Control and Prevention. But because of improved treatments, they're living longer and their quality of life is better.

"If a person is HIV infected today, it is important that they put themselves under the care of a physician experienced in caring for HIV-infected individuals," says Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health. "Depending on the stage of infection, it is highly likely that it will be recommended that the person begin antiretroviral therapy (ART)."

ART is a combination of at least three antiretroviral drugs that prevents the virus from replicating. It can also help reduce virus transmission.

Unlike years ago, when effective treatments were not available, HIV patients now benefit significantly from ART, Fauci says.

"These drugs are highly effective in suppressing HIV replication and, if taken as directed, can result in the HIV-infected individual having an almost normal lifespan without experiencing serious illness related to their HIV infection."

And so, on this 25th World AIDS Day, Goforth has mixed emotions.

It's a day that, in the past, has been incredibly sad and traumatic for him. Now, he says, he has tremendous hope.

"I see the freight train being slowed down so that we can turn it around," he says. "Even five, six years ago, I'm not sure that I could have said that I had the hope that that was going to happen, but I think we're at that point we're at a really historical moment with this."

Each November in advance of World AIDS Day, POZ, an award winning magazine started in 1994 to provide education and information for people living with and affected by the disease, names its "POZ 100" -- HIV-positive people who are unsung heroes in the fight against AIDS, and committed to ending the epidemic.

This year, Goforth is on that list.

World AIDS Day 25 years on: It's time to stop saying 'AIDS in Africa'

@highlight

Justin Goforth thought his 1992 diagnosis was a death sentence

@highlight

Today, he counsels others that they can live a fairly normal life

@highlight

Treatment breakthroughs and research have improved the outlook for HIV