(CNN) -- The world produces enough food to meet the needs of its population, yet nearly one in six people suffers from chronic hunger according to the United Nations' Committee on World Food Security.

There are ways to change this statistic. Here are five creative ways to make an impact on hunger in your community and around the globe.

Create

The Empty Bowls Project, the brainchild of artists John Hartom and Lisa Blackburn, uses ceramic arts to fight hunger.

At each event potters and other artisans donate handcrafted bowls. Guests select one of the bowls and are served a meal of soup and bread. They take home their bowl as a reminder of how many go empty around the world.

Money raised is donated to organizations fighting hunger locally, like soup kitchens and food banks, or globally, like Oxfam and Feed the Children.

Empty Bowls started as a classroom project, but the movement has spread across the United States and to at least 14 other countries. Events vary between locations because they are independently organized, but all share the Empty Bowls name and mission.

To find an Empty Bowls event near your or learn how to host your own, visit the website.

Dine

What if fighting world hunger were as easy as eating lunch? That's the goal of the One World Everybody Eats Foundation (OWEE).

The foundation began with a single cafe in Salt Lake City where the menu has no prices. Customers who can afford it are asked to pay a little extra for their meals to help those who can't.

Those in need can volunteer and earn a meal or enjoy the "community dish" free of charge. Dishes are prepared fresh daily and use many local, organic ingredients.

"I think we have to rethink how we feed people in their time of need," says OWEE founder Denise Cerreta. "What sets this apart from other restaurants is that truly anyone can walk through the door and afford to eat here, and it's good, organic, wholesome food."

Through the foundation, Cerreta now mentors a network of these cafes around the country. For more information about the foundation and a list of current locations visit the website.

Tweet

The #AfricaNeedsYou project is harnessing the power of the Twitterverse to help famine victims in East Africa, asking dozens of celebrities who get paid to tweet about products to donate their endorsement money to UNICEF.

All twitter users can log on to send a prewritten tweet to one of these celebrities encouraging them to get involved.

"Usually, it's the celebrities who have influence over the crowd; we're trying to shift the balance of power and give the crowd influence over the celebrities," says co-founder Paul Calway in a statement announcing the project.

To learn more about UNICEF's work in East Africa or to make a personal donation go online.

Build

You don't have to work for a nonprofit or NGO to fight hunger with your professional skills. Canstruction is proof.

Canstruction hosts design competitions for architects, engineers, contractors and students where teams construct fantastic sculptures out of canned foods. At the end of the competitions, the cans are donated to local food banks.

The organization says it raised more than 2 million pounds of food last year at 103 competitions around the world.

If you're not a designer or architect, don't worry. You can still participate by attending one of the competitions and voting for your favorite design. Cost of admission varies but is often a can of food.

For more information and a list of upcoming Canstruction competitions, go to the organization's website.

Learn

Test your knowledge and feed the world by playing Freerice, a free online trivia game benefiting the World Food Programme (WFP).

Players pick subjects ranging from literature to chemistry, and for every correct answer ten grains of rice are donated through WFP to end hunger. Sponsor ads on the site fund rice donations.

WFP estimates it takes 9,700 grains of rice to feed one person one meal. Players donated over 13 billion grains last year, totaling over 1.3 million meals.

Since June, all rice earned through the game supports WFP's school meal programs in Cambodia. Rice is purchased in country, supporting the Cambodian economy.

The game is available in English, Spanish, Italian and French. A Chinese version is coming soon.

@highlight

Nearly one in six people suffers from chronic hunger, according to the U.N.

@highlight

Fighting hunger can be as easy as dining out, playing a game, or sending a tweet

@highlight

Artists and architects use their skills to fight hunger and raise awareness