(Parenting) -- "Now stay in bed and go to sleep," my husband, Bill, said as he hugged our 3-year-old son, Davey, good night. "If you don't, I'm gonna talk in my troll voice all day tomorrow."

As dads spend more time with their kids, mothers sometimes feel they have to defend their territory.

I smiled with pity at this poor, deluded man. Several times a night, Davey had been getting up to look at books. I had spent fruitless hours reasoning with him. No way could Bill's threat make a difference, especially since Davey found his troll-under-the-bridge act more funny than scary.

But that night, Davey didn't get up once. In the morning he ran around crowing that he'd won and the troll couldn't come. Bill, unlike me, must have known that Davey needed to turn staying in bed into a game. Of course I was grateful.

I was also just the tiniest bit jealous. Why hadn't I been the one with the great insight? Why couldn't I talk like a troll?

It's comforting to know that I'm not the only mom who's had such moments. Plenty of us admit to everything from mild envy to full-blown resentment of our mates' parenting skills. And that makes us feel ungrateful: After all, we finally have something that mothers have wanted for generations: an extra pair of hands.

Today's dads spend 21.7 hours a week on child care and related duties such as shopping and housework, up nine hours from 30 years ago, according to research by the University of Maryland. Which isn't to say that moms still don't handle the vast majority of kid-linked tasks -- a whopping 39 hours weekly.

Still, our guys are doing more than their dads did. Fathers clip tiny toenails and baby-food coupons. They read bedtime stories and clothing labels. And while some of our own dads had no clue about how to change a diaper, our kids' dads often have fierce opinions on Luvs versus Huggies. Parenting: Secrets to a made-to-last marriage

We moms say we want our spouses to be do-it-all dads: We're forward-thinking women of the 21st century. Besides, if they did less, we couldn't possibly juggle our busy lives without going nuts.

"But we don't want them to take over," says Pyper Davis, a mother of two in Washington, D.C. "We don't ever want to be pushed off that throne of being Mommy."

Jealousy and envy and ego, oh my!

One reason we're possessive of the parental crown may be that, although society's changed, we still get traditional messages about women's roles. "A lot of our mothers, our workplaces, our TV shows still tell us that moms should do most of the childcare," says Liz Park, Ph.D., a marriage and family therapist with three kids in Crownsville, Maryland. We moms can be good at taking such messages to heart. Parenting: Keeping score in the chore wars

"For women, no matter how far along you are in your career or no matter how much of a feminist you consider yourself to be, at some level you're coming from an assumption that women are caretakers," says Heather Gerken of New Haven, Connecticut, a law professor and the mother of Anna, 6, and Ben, 2. "When Anna was a baby, I would feel guilty about the time away from her," she says.

And at home, sharing child care with her husband, she felt a little jealous that he was as central to Anna's life as she was. "Now that I've gone through this twice, all I'd add is that the twinges of regret are overwhelmed by the joy of raising kids together. There's no other reason I can think of for that jealousy, except for the guilty, nagging feeling that you ought to be spending more time with your child."

Well, there are at least a few other reasons.

The briefness of those precious early years, for one. "When our son was a baby, Brian  gave him more of his baths," says Jessica Davis of Chicago. (Both names were changed.) She believed it was important for them to have such one-on-one moments, but "I remember thinking a few times, 'I should take the bath with him!' Especially when they're babies, you're likely to think, 'I want this piece or that piece' because babies sleep so much and quality time with them is much more limited than with an older child." Parenting's guide to kid sleep

Then there's the matter of love. Naturally, when our spouses spend extra time nurturing our children, the kids become extra attached. "David* just adores his dad. He's his little shadow," Amy Conner* of Nashua, New Hampshire, says of her 3-year-old son. She understands the daddy worship; she thinks her husband, is "more playful" with David than she is. "But at first it just hurt because I didn't feel that he loved me as much as [him]," she admits.

For some moms, like me, what hurts is a deep-seated notion that we should be better parents than our spouses -- more instinctive, more inventive, more in tune with our kids' needs. D'Anne Gleicher of Alameda, California, finds herself battling this idea when her daughter is sick. Because she can't get paid time off from her job as an attorney, her husband is usually the one to stay home with Ava, 8. "I know he's very capable of caring for her, but I want to believe I'm better at it than he is -- even though I'm not. I think it's the whole 'I'm the mommy and I can fix anything.' It's almost like a savior thing."

Working mothers aren't the only ones who long to be saviors. Sarah Mock of Tualatin, Oregon, quit working as a high school teacher when her second daughter was born. "When you've made this decision to stay home, you've given up this side of you where you can shine as your own person. Instead, you feel pressure to shine as a parent," she explains. Which can make it frustrating when your husband is as much fun with the kids as you are. "Recently John helped them make their own version of Candy Land. I thought, 'Why can't I think of things that are more creative?' " she says. "It seems he's doing very well at work and then when he comes home he's doing very well with the kids, so it's like he's doing great everywhere and I'm running to keep up."

Who's the boss?

If we're not careful, jealousy and insecurity can turn moms into control freaks. So says Park, a recovering control freak herself. "With our first child, I was constantly asking my husband, 'Are you making sure he's getting his vegetables?' It feels good to make the decisions."

Trouble is, "the more we control how dads do things, the less involved they want to be," Park says. A recent Ohio State University study of almost 100 couples with newborns backs her up: Researchers found that even dads who believed they should be highly involved in childcare shied away from doing things for their infant if Mom was very judgmental. Parenting: The truth about bonding

So Park recommends trying what she did with her husband and her son, Joe, now 11. "I had to let go and let them have their own relationship -- he's a competent man! If Joe doesn't have a vegetable, who cares?" When you find yourself hovering, Park suggests, leave the room. And if you feel compelled to share some crucial knowledge -- the latest food pyramid for toddlers, say -- try offering him some childcare lit. "That way it's neutral. It's not like you're dictating to him how to do it," she says.

Rethinking the rivalry

As for curbing the green-eyed monster, it comes down to discovering things you do well with your kids. When they're babies, simply breastfeeding them is something Dad can't do, and may be enough. Later on, try sharing your passions, from gardening to karate. It's also smart to take turns doing the fun stuff, like playing with the kids, as well as the non-fun stuff (say, disciplining them). Dad's giving the baths? Great. Make storytime yours, instead of moping. Parenting: Play list

Most important, moms say, remember how lucky your kids are to have two hands-on parents. Gleicher hopes that having a caring, involved father will one day spur her daughter to choose a guy with those qualities. "She won't end up with somebody she doesn't respect," she says.

Speaking of respect, adds Gerken, it's the best cure she's found yet for parental jealousy. "Just to glory in your husband's abilities as a dad, I think, is key," she says.

Next time Bill pulls off a child-care coup, I plan to be a model of admiration. I'll watch and learn. And I won't begrudge him his troll voice one bit -- as long as talking like SpongeBob can be mine, all mine.

Try a FREE TRIAL issue of Parenting Magazine - CLICK HERE!

Copyright 2009 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

There is still a perception that moms should be better parents than dads

@highlight

A mom doesn't like to feel that a child loves Dad more

@highlight

Advice: Appreciate having another pair of hands to help with parenting