(CNN) -- As Facebook continues the slow rollout of a tool to let users search out others by using common interests or other personal information, the site emphasized Thursday that minors will get special privacy protections.

Graph Search capitalizes on Facebook's massive bank of data about its users, or "social graph," to seek out friends, or other users who have made their information public, using information about them.

So, for example, you could seek out friends who "like" director Quentin Tarantino to make an invite list to see "Django Unchained" Friday night or remind yourself which of your friends are over 21 and live in Austin, Texas, to do some bar-hopping while you're in town.

But privacy advocates are worried. While Graph Search won't show you any information that you couldn't see otherwise, it does pull all that data together in one place in a way that could have some creepy uses.

Say, searching for the names of girls who attend a certain middle school.

That's the sort of thing Facebook aims to prevent.

Details including birthday, school, hometown and current city will only be available about users under 18 to their friends and friends of friends. And friends of friends will only be able to see them if they, too, are under 18.

"What we really wanted to do was try to identify things that could be even more sensitive for minors -- that would identify them by their age and location," Nicky Jackson Colaco, Facebook's manager of Privacy & Safety, told CNN Thursday. "Those kind of things are more sensitive and we wanted to really make sure they had an even more restrictive experience."

Of course, she noted, the extra protections only kick in if minors are honest about the age they give to register for the site.

"This is true across Facebook. It's really important to us that minors represent their real age," she said, urging parents to make sure their children are doing so. "If they tell us they're 25, they're not getting these protections and a lot of other protections we offer."

Separate from Graph Search, Facebook already limits some content posted by minors to "Friends of Friends" only, even if the young user has made it public. The site's minimum age is 13.

The tool was announced last month by CEO Mark Zuckerberg. The new search feature lets you draw connections between people, their profile information and their interests on Facebook. In theory, it's a good recipe for finding recommendations for doctors, businesses, products, TV shows or bands.

It can also be used to find people that fit a specific profile, such as "men over 30 who live in Cleveland."

Users will be able to seek out people who aren't their Facebook friends using the tool. But the only information they'll see are things that a user has posted as "public" to the site.

Graph Search currently has only been made available to a handful of early testers. But some of them have used it in ways they say raise privacy concerns.

British tech blogger and "gadget geek" Tom Scott created a blog called "Actual Facebook Graph Searches." While some are humorous (people who like both the anti-gay marriage Focus on the Family and openly gay actor Neil Patrick Harris) others suggested something more troubling.

For example, he shows a search for family members of people of Chinese descent who like Falun Gong, the religious movement banned in China. Or one for Islamic men living in Tehran, Iran, who are romantically interested in other men. (Homosexuality is illegal there).

The searches could then be refined to see photos of the users, their friends and places they've worked.

Facebook has emphasized privacy settings to keep such information from being publicly visible and said they're continuing to fine-tune the tool as it rolls out.

In December, Facebook overhauled it's privacy controls, adding a handful of features while simplifying and clarifying how existing features work.

@highlight

Facebook Graph Search to have extra protections for minors

@highlight

Info on users under 18 will be hidden from the search

@highlight

That info includes birthday, school, current city and hometown

@highlight

Graph Search lets users search for others by common interests