Giglio, Italy (CNN) -- The captain of the cruise ship that wrecked off Italy's western coast will be questioned by authorities Tuesday at a hearing, his attorney said.

Francesco Schettino is under arrest and may face charges that include manslaughter, shipwreck, and abandoning a ship when passengers were still on board, according to Italian prosecutor Francesco Verusio.

Schettino could face up to 15 years in prison, he said.

At the closed hearing, a preliminary investigation judge will decide whether Schettino will remain detained. The captain has not yet been questioned, but more than 100 witnesses, including passengers and crew, have been interviewed, the prosecutor said.

The captain's attorney, Bruno Leporatti, said in a statement Monday that Schettino was "shattered, dismayed, saddened for the loss of lives and strongly disturbed."

But, he said, Schettino is "nonetheless comforted by the fact that he maintained during those moments the necessary lucidity to put in place a difficult emergency maneuver ... bringing the ship to shallow waters." That move, Leporatti said, saved the lives of many passengers and crew members.

Italian prosecutors have ruled out a technical error as the cause of the incident, saying the captain was on the bridge at the time and had made a "grave error."

Overheard on CNN.com: Worst-case scenario strikes

Late Monday, the head of Italy's coast guard said 29 people remained unaccounted for from the partially sunken cruise ship Costa Concordia -- a sharp spike from earlier estimates of the missing.

Coast guard chief Marco Brusco said the whereabouts of four crew members and 25 passengers were unknown, Italy's ANSA news agency reported.

Authorities earlier believed that 16 people were unaccounted for.

The Costa Concordia hit rocks Friday night just off Italy's western coast, leading to what passengers described as a chaotic and surreal scene to evacuate and the deaths of at least six people.

On Monday, rescue efforts were ongoing in and around the mammoth vessel, which was listing on its side off the island of Giglio.

The search had been suspended earlier in the day because the vessel began to move, said the island's mayor, Sergio Ortelli.

Coast Guard spokesman Filippo Marino said efforts had resumed, adding that rescuers will focus on retrieving the body of a man, presumably a passenger, discovered earlier in the day.

However, he said the weather forecast has rescuers worried, as it calls for rising winds.

The head of the company that owns the ship said Monday he has not given up hope of finding survivors.

"Hope is the last thing to die," said Costa Cruises chairman and chief executive Pier Luigi Foschi. He addressed journalists at an emotional press conference Monday, apologizing repeatedly for the accident.

Prosecutors are examining the ship's data recorder and expect to have results within days, Verusio said.

They are also considering whether others may share responsibility for the crash with the captain.

Foschi placed blame for the wreck squarely on the captain, however, saying Schettino had deviated from frequently traveled routes.

"The captain decided to change the route and he went into water that he did not know in advance," Foschi said.

He said the company was limited in its ability to investigate the incident because it did not have the data recorder.

Schettino, who has been with Costa since 2002, had never been involved in an accident before, Foschi said.

He downplayed the possibility that alcohol may have played a role in the crash, saying he did not believe Schettino drank, and that all crew were subject to random drug and alcohol tests by Costa Cruises.

The company had said earlier that Schettino may have made "significant" errors that led to the wreck.

"The route of the vessel appears to have been too close to the shore, and the captain's judgment in handling the emergency appears to have not followed standard Costa procedures," Costa Cruises said in a statement Sunday.

The ship had about 2,300 tons of fuel on board at the time of the wreck, Foschi said Monday, adding that so far there was "absolutely no evidence of fuel leaking into the sea."

Divers have been searching the skyscraper-sized ship, working underwater in pitch blackness, in hopes of finding the missing. There were roughly 4,200 people on the Costa Concordia when it ran aground.

Among those unaccounted for were two Americans. The U.S. State Department identified them Monday as Gerald and Barbara Ann Heil. The U.S. Embassy has requested information from "anyone with information" regarding the Heils' whereabouts, the State Department said.

The Heils live in White Bear Lake, Minnesota, according to CNN affiliate WCCO, and have four children and 15 grandchildren. Their daughter, Sarah, told CBS Radio in Chicago that the couple was planning to travel after retiring, WCCO said.

The disaster's impact on earnings will cost the ship's owner at least $85 million to $95 million in the fiscal year to November, parent company Carnival Corporation said Monday -- not including "other costs to the business that are not possible to determine at this time."

Foschi said passengers would get "material compensation for their loss," but declined to go into details.

The ship is expected to be out of service "for the remainder of the current fiscal year if not longer," the company said.

Schettino joined Costa Cruises as a safety officer in 2002 before being appointed captain four years later, the company said.

Even with its admission that mistakes were made, the Genoa-based cruise company defended the ship's crew in the face of criticism on the part of some passengers, who said the crew appeared helpless and overwhelmed as passengers rushed for lifeboats.

"It is becoming clear that the crew of the Costa Concordia acted bravely and swiftly to help evacuate more than 4,000 individuals during a very challenging situation," the company said, adding all crew members are trained and the passengers earlier took part in an evacuation drill.

Survivors have described the scene -- after the ship hit rocks near Giglio, off the coast of Tuscany, and turned over on its side -- as chaos.

"There was no one taking command," passenger Lauren Moore told HLN's Mike Galanos. She said she was having dinner with a group of friends when she heard the crunch of the ship hitting the rock and the crash of plates and glasses falling to the floor.

"It was a terrifying sound and we knew it wasn't normal," she said.

Moore ran to her cabin and then to board a lifeboat. "It was so chaotic ... Everyone was basically fighting for his or her own life," she said.

Some passengers braved the chilly water, with a temperature of about 57 degrees, and swam to safety. Others had no choice and fell in. Nighttime temperatures on Giglio have recently dipped below freezing.

Authorities have said at least 20 people were injured, in addition to those killed and missing.

There were fears the death toll could rise as rescuers searched the ship, which was nearly 50% submerged and had a gash in its hull, authorities said.

Questions and criticism continue about what caused the shipwreck and the adequacy of the response.

Speaking on Italian television, the ship's captain insisted the rocks that the Concordia hit were not marked on his map.

"On the nautical chart, it was marked just as water," Schettino said, adding that the ship was about 328 yards (300 meters) from shore.

But Coast Guard spokesman Cosimo Nicastro insisted that the waters where the ship ran aground were well-mapped. Local fishermen say the island coast of Giglio is known for its rocky sea floor.

Nicastro said the Coast Guard was investigating why the ship took the course it did.

"We know where the ship was," he said. "We know it was too close to the island. ... We don't know why."

Built in 2006, the Concordia had been on a Mediterranean cruise from Rome with stops in Savona, Marseille, Barcelona, Palma de Mallorca, Cagliari and Palermo.

The ship was carrying about 3,200 passengers and 1,000 crew members when it ran aground.

The dead include two elderly people found Sunday, two French tourists and a crew member from Peru, port authorities in Livorno said. One of the victims was a 65-year-old woman who died of a heart attack, authorities said. The Spanish Foreign Ministry named one of the victims Monday as Guillermo Gual Buades, 68, saying his family had identified him.

CNN's Livia Borghese, Hada Messia, Jim Boulden, Al Goodman and Richard Allen Greene contributed to this report.

@highlight

Captain Francesco Schettino will appear before a judge Tuesday

@highlight

The ship captain's attorney says he is "shattered, dismayed, saddened"

@highlight

25 passengers and 4 crew members remain unaccounted for, the coast guard says

@highlight

Rescue efforts are continuing on the Costa Concordia, where at least 6 have died