(CNN) -- These days, purveyors of luxury can go beyond owning, eating or imbibing their favorite brand; they can live it. No longer content with selling a mere fraction of the lifestyle experience, an increasing number of high-end luxury companies have decided to open hotels, where their clients can eat, sleep and breathe the brand around the clock.

Nobu Hospitality is the most recent company to join the fray. It's the organization behind global Japanese restaurant chain Nobu, and it started taking reservations this past October for the first ever Nobu Hotel, set to open within Caesars Palace in Las Vegas come January 2013. Soon to follow are locations in Riyadh, London, Bahrain and the Caribbean.

Food will naturally be a key focus; the Vegas hotel will host the company's largest restaurant, at 12,000 square feet. The Nobu menu will be available from room service 24/7, and the kitchen (open for breakfast and lunch) will offer more products, including green tea waffles and a Japanese take on bagels and lox. Mainly, though, the hotel is about increasing the company's reach.

"Anybody who walks into a Nobu restaurant, we want to convert for ourselves," says Trevor Horwell, chief executive at Nobu Hospitality. "Once we open, we want it to go the other way around too."

Read related: Business or pleasure? Luxury hotels offer day-only rooms

Horwell says the plan to break into the hotel industry was born simply of the fact that in many of the other hotel chains that boast a Nobu, the restaurant is a major draw.

"We realized we were building other hotels' brands, when what we should be doing is building our own," he says.

Hotels have become big business for luxury brands of late. Armani, Baccarat, Bulgari and Missoni have all made the transition to an industry that nominally, it would seem they know little about.

"Hotels are a great way to showcase the design identity of a brand, and to project a lifestyle that goes beyond products," notes Silvio Ursini, the executive vice president of Bulgari Hotels & Resorts.

Bulgari Hotels mimics the exclusivity of its design brand by limiting its room count. It reminds guests of its history by showcasing a mix of contemporary and classic Italian architecture, and by using vintage Bulgari designs to inspire some of the textiles and furnishings. Guests receive a more direct reminder of the brand inside their rooms, which each carry a Bulgari catalog.

Still, Ursini admits, "hotels are a very different and complicated business."

It helps, of course, to be partnered to a larger hotel chain. Bulgari Hotels and Resorts is a joint venture between Bulgari and the luxury division of Marriott International. Bulgari opened its first hotel in Milan in 2004 and now also has branches in Tokyo, Bali and, as of last summer, London.

Read related: Marriott mogul on 55 years of change

Similarly, Armani, which has literally taken the concept to new heights by opening its flagship hotel in Dubai's towering Burj Khalifa (the tallest building on earth), has partnered with Emirates-based Emaar Properties.

"When Mohamed Alabbar [chairman of Emaar Properties] introduced the idea to Giorgio Armani in 2005, it immediately attracted his interest, as it offered him a genuine challenge," recalls Jason Harding, the regional general manager at Armani Hotel Dubai.

"A hotel is an entity that goes beyond the confines of fashion. It's something that will endure over time."

Like its competitors, Armani touts that hotels give them a better base from which to truly sell a lifestyle.

"In our hotels we offer something that in its own way equates perfectly with the spirit of Armani's clothes," says Harding. "It is an approach to life: comfort, functionality, and aesthetics, all in perfect harmony." The hotel even goes so far as to assign each guest their very own "lifestyle manager," a position that is best described as an Armani-clad personal concierge.

Read related: 6 incredible luxury hotels in the Middle East

Opening a high-end luxury hotel chain during a worldwide recession may seem like risky business -- especially as rooms don't come cheap: rates at Nobu are upwards of $249 a night, Armani doubles start at $570, while the Bulgari London charges $700 for a double room.

Occupancy rates, however, have been high, according to the hoteliers. Bulgari London says it has been fully booked most nights since opening, while Armani has quoted its levels as "healthy." It's a bit early to say for Nobu, which has only just started taking reservations, but so far, it is optimistic. Brand recognition, they all agree, is key in bringing in the bookings.

"Bulgari's name is evocative of uncompromising luxury," says Ursini. "It is definitively shaping the customers' choice."

@highlight

An increasing number of high-end luxury companies are opening hotels

@highlight

Restaurant brand Nobu is set to open its first hotel in Caesars Palace casino, Las Vegas

@highlight

Armani, Baccarat, Bulgari and Missoni have all transitioned to hotels