(CNN) -- On June 30, in the streets of Alexandria, I watched crowds stream down Abu Qir street, one of the city's main roads, chanting: "The Police! The People! Are One Hand!" Officers posed for photos, waved Egyptian flags from pickup trucks jammed with anti-Morsy protesters and roared up Alexandria's wide boulevards on their motorcycles to cheers and waves.

Some in the crowd refused to join in, but this was, just the same, a sight I never imagined I would see, after over two years of sit-ins in which the police had been the protesters' clear enemy.

From the beginnins of Egypt's uprising, in January 2011, the overhaul of Egypt's police forces, known for torturing detainees and brutally dispersing peaceful demonstrations, was a key demand of protesters. But not even the most rudimentary reforms have taken place since then. Neither the Supreme Council of Armed Forces, which governed Egypt during the transitional period, nor Mohamed Morsy during his year as president made any attempt whatsoever to take on police brutality and torture. The army itself was responsible for similar abuses during the transitional period.

Police officers have yet to be held accountable for excessive use of force over the past two and a half years. Police killed at least 846 protestors in January 2011. But of 38 officers sent to trial for the killings, only two have been sentenced and jailed.

Now Egypt has once again descended into spasms of violence. Over the last two weeks in Alexandria and Cairo, armed Muslim Brotherhood supporters have fired automatic weapons on anti-Morsy protesters who are armed with rocks and Molotov cocktails while police and army have stood and watched.

Neighborhood protection groups in both cities have engaged in hours-long combat with armed Morsy supporters who marched through their communities damaging property and harassing passersby.

In the grim corridors of Cairo's public hospitals and the dusty courtyard of the city's morgue, grieving relatives and friends described watching army and police officers use deadly force against demonstrators in front of the Republican Guard headquarters, where the deposed president was allegedly being held. Fifty-one people were killed on the morning of July 8.

The pattern that emerges is this: In every instance, police and sometimes army troops have acted in a partisan fashion, using what appears to be largely unwarranted force against mostly unarmed Brotherhood supporters at sit-ins, yet doing little to intervene when opposing camps clash violently.

A group of outraged women in Manial, a leafy island in the Nile, told me how during a 10-hour street battle they repeatedly called police, the army -- anyone who could possibly offer protection -- while their sons and husbands fought Brotherhood supporters with paving stones and Molotovs.

Ahmed, a 27-year-old wearing jeans still spattered with blood from the night before, told me: "The Brotherhood came in aggressively, hitting people, cars and shops so that no one would get in their way." They entered the neighborhood around 8 p.m., he said, but police only arrived at midnight, stayed for about half an hour, then retreated, though the fighting continued until 6 a.m.

From his Alexandria hospital bed, Salah Haggag, an independent video journalist, showed me footage in which he followed a high-ranking police general around the Sidi Gaber train station as machine gun fire from Brotherhood supporters echoed outside, asking the commander to do his job, to call in reinforcements. The general waved him aside while talking frantically on his mobile phone. The police appeared to arrive, then left a few minutes later. Haggag's video footage ends when Brotherhood supporters shoot him in the leg.

On the morning of July 8 I passed through Tahrir Square where the organizers of Tamarod, who mobilized the initial protests on June 30 that brought millions into the streets, had called for a sit-in. I saw police officers handing out juice boxes and snacks to passersby alongside a vehicle emblazoned with the slogan, "The People's Police."

I arrived at the Republican Guard Headquarters a short while later to find the sting of tear gas still in the air and the sound of sporadic gunfire. Witnesses said that the army and Central Security Force (riot police) officers had opened fire on the crowd after trying to break up their sit-in. While some of the protesters had guns, witnesses said, and three security officers died, the protesters for the most part responded with rocks and Molotov cocktails. With 51 protesters dead and more than 400 injured, it was among the deadliest days of security force violence since Hosni Mubarak stepped down.

Calls to hold the Brotherhood to account are at a fever pitch, and the military-installed government has issued arrest warrants for more than 300 Brotherhood members. But there is little appetite among Egypt's transitional authorities for the essential task of investigating the police or the military for deaths they have caused, or for the badly needed reforms in the security sector.

As foreign governments wring their hands, private citizens across the political spectrum are arming up, to dangerous effect, and people are dying again in Egypt's streets and squares. Those governments need to use what leverage they have to push urgently for credible impartial investigations and accountability for crimes by all parties, police and army as well as protesters.

Such steps are the only way to pull Egypt back from the brink, and to rebuild trust in its battered and discredited state institutions.

The opinions expressed in this commentary are solely those of Priyanka Motaparthy.

@highlight

Priyanka Motaparthy saw ebullient Egyptians, in solidarity with police, in streets June 30

@highlight

She says police have not reformed brutal ways of pre-2011 protests; they remain

@highlight

She says police aim violence at Brotherhood backers, don't intervene in protest conflicts

@highlight

Motaparthy: People dying in Egypt's streets; world must hold attackers accountable