(CNN) -- America's most brilliant document declares all men are created equal, however the same cannot be said for all dresses. Forty years ago, Diane von Furstenberg created a superior, yet remarkably democratic, dress.

Though von Furstenberg was only in her 20s, an awkward time for many young women, she proved to have perfect timing when she unleashed her little dress onto the American fashion landscape. And little did she know that it, and she, would become the timeless icons of glamorous practicality they are today.

The 1970s were a time when many women were entering the white-collar work force and also declaring their sexual independence. This was a radical combination of recognizing newfound professional power and redefining old sexual restrictions.

Diane von Furstenberg gave this new woman something new to wear for her new career and new sex life. The wrap literally dressed the movement. It liberated women from the stuffy and stiff male-imagined "working gal" get-ups; it was easy to put on and take off; it was smart, affordable and traveled well.

The fabric was clingy but not cumbersome; it celebrated a woman's silhouette instead of trying to control it. The wrap dress would sway with a woman to her first big job, then seamlessly swing with her to her first hot date. DVF designed a dress for the new American woman on the move.

Rarely have we seen such a democratic design. The DVF wrap dress embraces diversity like no other before it or since. It can be worn well by women aged 20 to 70 and sizes 0 to 20. It comes in classic solids and a plethora of prints, can be layered with everything from denim jackets to floor-length furs. Piles of jewels can fill the open front V-neckline or an elegant collarbone can be the sole accessory.

The DVF wrap dress is often the symbol that one has gotten her first "real" job, yet it is equally appropriate if you occupy the corner office. As many women abandon early adult outfits, the wrap dress endures. Most clothing designs are intended to date you, socioeconomically place you, locate and lock you in some position or lack thereof. But not this power piece, it has the flexibility to grow with you, as you become the fully self-determined, self-defined woman you want to be. A woman gets to fill the wrap with her possibility, and that's its genius.

The DVF wrap is the American dream dress.

Using herself as muse, Diane von Furstenberg had a vision for who the American woman would become. She has been known to say she wasn't sure what she wanted to do, but she knew the woman she wanted to become. And even before she became the DVF we know and revere, she gave that woman and millions of others something wonderful to wear.

The classic sweater ballerinas wear in rehearsals, paired with a fluid skirt, von Furstenberg revealed, inspired the wrap dress. Perhaps she foresaw herself and other American women making graceful global moves. Aside from being a sharp businesswoman whose goods can be purchased in more than 55 countries, in 2006 she became president of the Council of Fashion Designers of America (the industry's most influential organization).

In 2012, Forbes Magazine named her one of the 20 most powerful women in business. She has put herself in the center of several humanitarian and philanthropic efforts, including BORNFREE, a campaign to eradicate the spread of HIV from mother to child by 2015.

Yet at the core of her busy (at 67, she says she's never worked so hard) multiplatform life is her focus on women. In a recent New York Times interview, von Furstenberg stated: "Everything I do now is for the empowerment of women."

And it is certain she has secured her legacy. Like the Declaration of Independence, a Diane von Furstenberg dress has been housed in a prestigious institution in Washington, the Smithsonian.

In 2009, first lady Michelle Obama wore a chainlink-print wrap dress on the Obamas' first official White House Christmas card. The same year, former Vogue contributing editor AndrÃ© Leon Talley curated the retrospective "Diane Von Furstenberg: Journey of a Dress," which opened in Moscow.

In 2010, the show went to SÃ£o Paulo, Brazil, and in 2011 to the Pace Gallery in Beijing. It has since been re-imagined and expanded for its American debut at the historic Wilshire May Building in Los Angeles. The show of dresses, photos and original art opened to the public on January 11 and will run through April 1, 2014.

The 40th birthday party of the dress that made the career that made the icon will go on year-round, with limited-edition collaborations with the Andy Warhol Foundation and a book, "The Woman I Wanted To Be," coming in the fall.

With America facing the very real possibility of a woman winning the White House in 2016, Diane von Furstenberg's 40-year-old business model of investing in independent women, "celebrating freedom and selling confidence" appears to be more timely than ever.

@highlight

Diane von Furstenberg's iconic wrap dress was created 40 years ago

@highlight

The "Journey of a Dress" exhibition is on display in Los Angeles until April 1

@highlight

Michaela Angela Davis: Dress is democratic, as it accommodates almost any age or size