Washington (CNN) -- As the nation sent up a collective wail of grief over the 27 people slaughtered in Newtown, Connecticut, last week, the nation's leading gun rights lobby remained silent.

Until now.

The National Rifle Association, with roughly 4.3 million members, deactivated its Facebook page, had stopped tweeting on its Twitter account and had been issuing a "no comment" to any media outlet, including CNN, seeking a response.

But late Tuesday, the group broke that silence with a statement:

"The National Rifle Association of America is made up of four million moms and dads, sons and daughters -- and we were shocked, saddened and heartbroken by the news of the horrific and senseless murders in Newtown. Out of respect for the families, and as a matter of common decency, we have given time for mourning, prayer and a full investigation of the facts before commenting. The NRA is prepared to offer meaningful contributions to help make sure this never happens again," the group said. It plans to hold "a major news conference" on Friday and both their Facebook and Twitter presences are active again.

But despite the relative radio silence early on from the powerful lobbying group's offices in Fairfax, Virginia, the organization is regrouping in anticipation of a massive legislative push to introduce or, in some cases, reintroduce gun control legislation, say former NRA officers and gun policy experts.

They hadn't really spoken, some say, because they didn't have to do so. At least, not yet.

NRA laid groundwork against new gun laws

Kristin Goss, an associate professor of public policy and political science at Duke University and author of "Disarmed: The Missing Movement for Gun Control in America," said that strategy is part of the organization's playbook after an incident such as this one.

"The typical pattern is something horrific happens. There is a national outcry, mourning. People call for a national conversation on gun control. Gun rights proponents lay low," Goss said. "They're used to seeing this cycle express condolences and hope the attention will shift to a new issue."

When the NRA does speak in detail, it will do so forcefully and with the type of political sway and heft the pro-gun lobby has carefully amassed over dozens of election cycles, experts say.

"When the emotions come down, I'm sure you'll hear the NRA address this issue. It'll be in January when legislation is introduced. They'll testify at hearings. You'll hear the same kind of arguments that I'd come up with," said Richard Feldman, who served as regional political director for the NRA during its rise to power in the 1980s and is president of a gun rights group, the Independent Firearm Owners Association.

When that happens, the group will wield the full power of its millions of members and leverage the $17 million it spent in federal races this year helping elect candidates who it considers supporters of the NRA's mission, said policy experts.

Polls suggest public opinion may be changing

"What we're likely to see is the NRA being a part of the behind-the-scenes conversation," said Scott Melzer, an associate sociology professor at Albion College in Michigan and author of the book "Gun Crusaders: The NRA's Culture War."

That's because in Washington's halls of power, what takes place behind closed doors often has more impact that what happens in the public eye.

And money speaks volumes.

During the 2012 election cycle, the NRA donated $719,596 to candidates. Republicans received $634,146 of that, according to the Center for Responsive Politics' analysis of federal campaign data. For example, House Majority Leader Eric Cantor, R-Virginia, ranked among the top five recipients, having received $7,450 in this cycle.

For the NRA, as with any good lobbying group, "democracy" is about "putting your money where your mouth is," Feldman said.

Newtown shooter's guns: What we know

According to the Sunlight Foundation, a government watchdog group, the NRA spends 66 times more on lobbying than what the Brady Campaign to End Gun violence, the country's top gun control advocacy organization, spends. And the NRA spends 4,143 times what the Brady Campaign spends on campaign contributions, the Sunlight Foundation found.

But the group's political power isn't just about money.

"If you took money out of politics, that wouldn't weaken the NRA. It would make it stronger. What NRA can do that (Mayor Michael) Bloomberg can't do is communicate with millions of people who care about this issue," Feldman said.

Even Republican presidential nominee Mitt Romney, who has had a mixed history on the issue of gun control, paid homage to the group during the general election. His first speech to a conservative audience after the contentious GOP primary season was at the NRA's annual meeting this spring, a speech in front of more than 60,000 gun enthusiasts in St. Louis.

Lawmakers on gun control: 'This one feels different'

In 2012, the group marshaled forces to lobby on more than 60 measures, including "a bill to prohibit the Department of Justice from tracking and cataloging the purchases of multiple rifles and shotguns," according to the Center for Responsive Politics, which tracks money in politics. The legislation was sponsored by Montana Democratic Sen. Jon Tester and co-sponsored by 34 Republican and moderate Democrats, including West Virginia Democratic Sen. Joe Manchin.

Manchin is among a small group of conservative Democrats with high rankings from the NRA for pro-gun rights legislative stances who has suggested revisiting gun control policies.

However, on the Sunday after the Newtown shooting, not one of the 31 pro-gun rights senators with high NRA rankings agreed to go on NBC's "Meet the Press" or CBS' "Face the Nation."

The risk of daring to disagree with the NRA

House members are similarly concerned.

"There are many single-issue gun rights voters and Republicans -- who now control the House of Representatives -- know it's a bad move to vote (against the NRA)," said Melzer said. "That's a sure way to ensure there will be a primary opponent."

In the meantime, gun control advocates are hoping to capitalize on the bizarre rhythm that has become all too familiar in the wake of the nation's mass shootings.

However, when the NRA goes quiet, the normally outgunned opposition moves into high gear.

Guns and Congress

That's because they know that after they mourn for the dead, there's not much time, money or a broader platform to make their case for change before most people move on in their lives, said Mark Glaze, director of Mayors Against Illegal Guns. His group has spent 20-hour days on staff calls, legislative strategy sessions and fielding calls from gun violence survivors and celebrities and mayors who want to sign on.

"Look," Glaze said, "when this kind of thing happens, we have to make the case in that very short window -- what went wrong, why it went wrong, how you can fix it -- in a way that motivates Congress to do what it should."

The Brady Campaign to prevent Gun Violence was on Capitol Hill on Tuesday with members of a new community group, Newtown United.

Newtown United tries to tackle the rough world of gun control policy

Josh Horwitz with the Coalition to Stop Gun Violence said his group just hired temporary staff to deal with hundreds of new volunteers who want to help after Newtown.

There's usually a narrow window to make an impact, gun control advocates say. But this time, things may be different.

"With something as terrible as this is, involving children, the window is open a little wider than it has been before," Glaze said. "I think my back of the envelope is usually about a month. But after the series of mass shootings and the gravity of this one, I think we may have a little more time."

CNNMoney: Gun industry faces uncertain future

CNN's Libby Lewis and Ashley Killough contributed to this report.

@highlight

NRA, largely quiet on cases of gun violence, gives a statement on the Newtown shooting

@highlight

National Rifle Association is regrouping as a major push in favor of gun control forms

@highlight

NRA is likely working more behind the scenes than in the public, author says

@highlight

Group plans to hold "a major news conference" on Friday