(CNN) -- Large swaths of the Midwest and Mid-Atlantic dug out Saturday hours after killer thunderstorms barreled through, a recovery made more complicated -- and dangerous -- by intense summer heat.

At least 12 people, from Ohio to New Jersey, were killed as a result of downed trees and power lines. The destruction prompted the governors of Virginia, West Virginia and Ohio to declare states of emergency, with Maryland indicating it would do the same.

"This is on par with Hurricane Irene," said Maryland Gov. Martin O'Malley, referring to last year's storm that was blamed for at least 20 deaths across eight states.

Neighboring Virginia was particularly hard hit, with six deaths. At one point, the Old Dominion State had about 1 million power outages -- more than any other state and, according to its governor, the most caused by any weather event that wasn't a hurricane.

"This is not a one-day situation; it is a multi-day challenge," Gov. Bob McDonnell said.

Joseph Rigby, president of the electric company Pepco, said it could be a week before power is back up in some areas of Washington.

"Given the damage, you can understand this is going to take some time," he said. "The wild card is the weather."

The storms raced east Friday and into Saturday from Indiana through Ohio and into West Virginia and the nation's capital, carrying winds gusting as strong as 80 miles per hour.

They left behind hundreds of downed power lines and trees that littered roads and damaged homes.

"This was a storm that obviously came upon us very quickly, without a great deal of notice, and the devastation that was caused is very significant," New Jersey Gov. Chris Christie said, noting there's a particular need for fuel, generators and communications equipment in light of the storms.

Nearly 4 million people were without power across the affected states at one point Saturday, a number that dropped by the end of the night to around 3 million.

Those killed included two cousins in New Jersey, ages 2 and 7, who'd huddled with their families in a tent in Parvin State Park when strong winds felled a pine tree, crushing them. Their relatives all survived relatively unscathed, said Larry Ragonese, a spokesman for New Jersey's Department of Environmental Protection.

Record heat, storms bring despair, 'horror'

A 30-year-old Kentucky man driving in Clark County late Friday came across downed limbs. When Michael Martin left his vehicle to clear the road, county coroner Robert Gayheart said, a tree fell, killing him.

In Washington, where 19 intersections were without working traffic lights at one point Saturday, a couple was electrocuted after they went outside to check on downed power lines. The husband was killed while the wife -- who is in critical condition at a local hospital with burns -- is expected to survive, said police spokesman Araz Alali.

The storm affected Amtrak service, including shutting down service between Washington and Philadelphia on Saturday morning. But those most inconvenienced were aboard a train that left New York early Friday morning ended up grinding to a halt at 11 p.m. that night in Prince, West Virginia, after trees blocked tracks both in front of and behind it, Amtrak spokesman Steve Kulm said.

Finally by 8:20 p.m. Saturday, the 232 passengers -- who'd stayed aboard the Chicago-bound train, which had air conditioning and food -- had been taken off and put on buses so they could reach their final destinations, according to Kulm.

CSX, which is clearing the debris from the tracks, on Saturday night was "working as hard as we can to get service restored on our lines," company spokesman Bob Sullivan said.

5 tips to survive extreme heat

The storm's fury was felt online, as well, when digital clouds were knocked out by real ones. Power outages temporarily knocked out some Amazon Cloud services in Virginia, taking down sites that rely on them, including Netflix, Pinterest and Instagram.

The aftermath of the storm was compounded by a forecast of another sweltering summer day.

Without power? Share your photos, videos, stories with CNN iReport, but please stay safe

One in three Americans baked Saturday in an area of nearly 600,000 square miles experiencing unusually hot weather. That included record-breaking conditions in many locales, with temperatures above 100 degrees Fahrenheit dangerously common.

Excessive heat warnings were issued in 14 states, indicating dangerous conditions for those unable to find refuge in a cool locale. And while there may be some cooling in some spots early next week, temperatures still are expected to remain at least in the 90s.

In storm-affected areas, many people had no electricity to run fans, air-conditioning and refrigerators.

Emergency rooms in Prince George's County, Maryland, filled up Saturday by people looking to escape the heat, said Fran Phillips, deputy secretary for the state's Department of Health and Mental Hygiene. She noted that libraries and community centers across the state would stay open late, to act as cooling center.

And at the Congressional Country Club in Bethesda, just north of Washington, third round play of the AT&T National was delayed as trees and tents came crashing down and the PGA venue was left without power.

5 tips to survive extreme heat

By Saturday afternoon, the course was eerily quiet -- still closed to fans and volunteers -- even after play resumed.

Even in places where power was not disrupted, people with no air-conditioning were advised to spend the day in a library, a cooling center or some other such place to avoid heat exhaustion.

The U.S. Centers of Disease Control and Prevention was among many government agencies trying to keep people informed -- from knowing when the food in your suddenly inoperable freezer can't be eaten to taking a cool bath if you don't have AC.

WCSC: New weather bug system could keep carriage horses healthy

The Jackson County medical examiner in western Missouri, for instance, was investigating three deaths that may be related to the heat, according to the Kansas City Health Department.

"Current indications are that this heat wave will continue well into next week, though there is still some uncertainty in the forecast," the National Weather Service said in its warning around St. Louis. "The effects of excessive heat are cumulative... Take action to protect your health."

Will 2012 be the hottest summer on record?

CNN's Moni Basu, Maggie Schneider, Stephanie Gallman, Darrel Calhoun, Fabi Rodriguez, Greg Botelho, Faith Karimi, Athena Jones and Nick Valencia contributed to this report.

@highlight

NEW: About 3 million still without power in several states due to powerful storms

@highlight

Downed trees and power lines kill 12 people, including a 30-year-old Kentucky man

@highlight

Many were dealing with the sizzling heat without fans, air-conditioning and refrigeration

@highlight

"This is on par with Hurricane Irene," Maryland's governor says