(CNN)You may have heard of the Internet of Things -- the idea that eventually all physical objects could communicate data over the internet to other connected devices.

Already many devices in cities -- from automobiles to thermostats -- communicate information to operators, manufacturers and consumers via the internet about their status.

But in rural Wales, a region not noted for its connectivity, researchers have begun a study into the Internet of Sheep, attaching wireless devices to livestock to gather information.

"Most of the work on the Internet of Things has taken place in cities," Computer scientist Professor Gordon Blair of Lancaster University told CNN. "But I think we're quite unique in taking the concept out into a more rural environment.

"This gives it a very different flavor."

While it has been widely reported that flocks of sheep in the project could transmit WiFi and improve internet coverage in rural areas, Professor Blair said this is not the aim of the research.

So far, the study is all about gleaning data from the flock, not transmitting WiFi signals from the animals. He doubts whether sheep could ever become roving wireless internet transmitters.

"I would worry about sheep flocking behavior -- I don't think sheep are the right animals to do this.

"Other researchers in north Norway have looked at reindeer. Perhaps reindeer are more individualistic in their behavior but I'm not an expert on animal behavior," he said.

For animals to be effective WiFi nodes, he said, they need to be social but spread out at the same time; a tough ask of nature.

He said the beauty of sheep was that they flock together -- easily transmitting data until the flock come close to an internet receiving station which would take up the data and transmit it to researchers at Lancaster University.

"The signal goes from sheep to sheep to sheep - it's a bit like gossip, if you like."

Sheep jokes apart, the aim of the study is serious.

"We are looking deliberately at breadth, because there may be surprises; the natural environment is all about dependencies and things that can affect other things," Blair said. "The Internet of Sheep is about capturing sheep movements which could tell us a lot."

Everything from flooding to drought to agricultural pollution could be monitored with a series of riverside and sheep-bound sensors.

"There's quite a big risk with the natural environment and sheep -- there are defecation and water quality issues.

"If the pathogens coming through sheep wash into rivers and then into estuaries and water supplies -- that can be very dangerous."

The study has been backed by a £171,495 ($265,000) prize from the UK's Engineering and Physical Sciences Research Council to look at ways of bringing the Internet of Things to the countryside.

The project is currently centered in Conwy, North Wales, where sheep farmer Gareth Wyn Jones -- star of the BBC series The Hill Farm -- is cooperating with the project.

"Under EU regulations we already have to electronically chip sheep so the technology is already there in one respect," he told the BBC.

"We have 3,500 sheep so whether a digital collar for all of them would be feasible is another matter but if someone said to me 10 years ago I would be tweeting to 7,000 followers from the top of a mountain or putting videos onto YouTube, I would never have believed you.

"We are on a journey over the next 10 to 15 years and the contribution technology can make to agriculture is immense."

Blair, meanwhile, said the project's first hurdle would be finding a way to adequately tag the sheep with internet sensors. The whole unit, he said, was likely to be no larger than a packet of cigarettes.

"We have looked at collars. I don't know if you know sheep, but they get up to mischief and there's a danger that a collar could endanger the sheep.

"The sensors might be too big for ear tags and sheep do lose ear tags. Maybe we could use a belt around their middle.

"We're looking for something that won't harm the sheep."

While the study is limited to sheep flocks for the time being, Blair said there's no reason why it may not be extended to other livestock animals.

"We might look at cows in the future," he said.

Read more from Make, Create, Innovate:

Will you soon be able to 'swallow the doctor'?

Meet the world's first 1,000 mph car

Out of juice? Try a cardboard battery

@highlight

The Internet of Things is the idea that all physical objects could communicate data over the internet to other connected devices

@highlight

In rural Wales, researchers have begun a study into the Internet of Sheep, attaching devices to livestock to gather information

@highlight

Researchers say the beauty of sheep is that they stick together -- easily transmitting data between the flock

@highlight

When the flock comes close to an internet receiving station it would transmit data to researchers at Lancaster University