San Diego, California (CNN) -- We already knew that opponents of immigration reform had no good arguments in favor of preserving the status quo. Now we know they have no shame.

Some of them are deliberately mixing apples and oranges and trying to use the tragedy of the Boston Marathon bombing to scuttle efforts in Washington to achieve immigration reform.

All last week, my friends in the immigration reform community held their collective breath and hoped that -- when investigators finally zeroed in on a suspect in the Boston Marathon bombing -- that person would NOT turn out to be foreign-born. Immigrants are blamed for enough in society; they need not be blamed for this tragedy.

Besides, from the perspective of the reformers, the timing couldn't be worse.

A few days after the bombing, the Senate's "gang of eight" unveiled what is the most significant piece of immigration reform legislation in more than a quarter century. The Border Security, Economic Opportunity and Immigration Modernization Act of 2013 is an expertly crafted, bipartisan compromise that has a real shot at improving the lives of millions of people and fixing a broken system.

Yet, because of unrelated events, the legislation could wind up hanging by a thread. Why? Because the prime suspects in the Boston bombing are immigrants: 19-year-old Dzhokhar "Jahar" Tsarnaev and his 26-year-old brother, Tamerlan Tsarnaev.

The brothers are from the Russian Caucasus region and moved to Kazakhstan at a young age before coming to the United States. Tamerlan was killed Thursday night in a shootout with police. Dzhokhar escaped and was at large Friday until he was found in Watertown, Massachusetts, and apprehended by police.

According to what two sources told CNN, Tamerlan had been living in the United States legally on a green card. Dzhokhar first came to the United States as a tourist in the early 2000's and later asked for asylum. He became a naturalized U.S. citizen just last year, on September 11, 2012.

There's that infamous date again.

It's worth noting that Americans started the long and difficult journey toward immigration reform on September 5, 2001, when President George W. Bush welcomed Mexican President Vicente Fox to the White House for a state dinner in his honor.

Earlier in the day, both leaders told reporters that they wanted to fix the immigration system and match willing employers in the United States with willing workers in Mexico. The reform was supposed to include a pathway to legal status for millions of illegal immigrants in the United States.

Six days later, our country was attacked and the world changed. Immediately, immigration reform was put so far onto the back burner that it eventually fell clear off the stove.

Most supporters of immigration reform, including many Latinos, believe that this was immensely unfair. The 19 hijackers were from the Middle East, and they came to the United States legally, many on student visas. So why would their evil acts have the effect of torpedoing the prospect of immigration reform that primarily affects millions of illegal immigrants from Latin America?

Now, here we are again. Earlier this week, Rep. Steve King, R-Iowa -- a vocal foe of immigration reform who has suggested the answer to securing the border is electrified fencing because, as he once said on the House floor, "we do this with livestock all the time" -- suggested that the congressional debate on the immigration bill should go slow because the suspects in the Boston bombing might turn out to be foreign nationals.

That is just what happened. Was that a lucky guess? Or is that how this guy's mind works -- that every time something bad happens, an immigrant must be to blame?

On Friday, Republican Sen. Chuck Grassley of Iowa jumped into the fray during a hearing in the Senate Judiciary Committee.

"Given the events of this week, it's important for us to understand the gaps and loopholes in our immigration system," he said. "How can we beef up security checks on people who wish to enter the United States? How do we ensure that people who wish to do us harm are not eligible for benefits under the immigration laws, including this new bill?"

Also piling on was conservative columnist Ann Coulter, who has made clear over the last few months that she opposes immigration reform because she thinks it would lead to the "end of America" since Latinos are busy "having illegitimate children and going on welfare." She marked the shootout in Boston, and took a poke at the Florida senator who is leading immigration reform efforts, by mischievously tweeting:

"It's too bad Suspect No. 1 won't be able to be legalized by Marco Rubio, now."

Again, the Tsarnaev brothers were immigrants, but they didn't need to be "legalized." They were already in the country legally. But, hey, why let facts in the way of a good screed?

In response, a spokesman for Rubio said in an e-mail to the Christian Science Monitor: "There are legitimate policy questions to ask and answer about what role our immigration system played, if any, in what happened. Regardless of the circumstances in Boston, immigration reform that strengthens our borders and gives us a better accounting of who is in our country and why will improve our national security. Americans will reject any attempt to tie the terrorists responsible for the attacks in Boston with the millions of decent, law-abiding immigrants currently living in the U.S. and those hoping to immigrate here in the future."

Let's hope that's right, and that most Americans do see these tactics for what they are: desperate attempts to thwart reform.

Here is the predicament that the nativists and right-wing demagogues find themselves in, whether they realize it or not. They want to opportunistically use the fact that bombing suspects were foreign nationals to once again derail immigration reform. But, in doing so, they walk away from the table and wind up defending the current immigration system.

The Rubio spokesman had it right. We have to know who is in this country, and what their intentions are -- whether they came legally or illegally. This is one of the things that immigration reform is about.

No reform plan is perfect, but the status quo is flatly not acceptable. We have to keep the debate going.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Immigration reform critics are wrongly citing the Boston bombing

@highlight

He says the suspects were here legally, their cases unrelated to larger issue

@highlight

Navarrette: Opponents will grab at anything to stop the immigration compromise bill