(CNN) -- The warnings seem almost ubiquitous today in this world of Doppler Radar and instant communication, but the word "tornado" actually used to be banned in weather forecasts.

Before the 1950s, there were no warnings that a tornado was about to occur.

"That's when the warning system we have now was just being developed," said Bob Henson of the University Corporation for Atmospheric Research.

"Most Americans never got a tornado warning," he said.

But what about radar?

"There was no radar," he said.

Before that, Americans had to endure decades of agonizing blows from Mother Nature, many of the victims taken unaware.

In 1882, 17 years after the Civil War ended, U.S. Army Signal Corps Sgt. John P. Finley was asked to investigate tornadoes and how they developed.

As Finley was doing his research, tornado forecasting came to a screeching halt when the Signal Corps banned the word "tornado" from official forecasts because they were concerned the word would cause widespread panic.

"They literally avoided the word up until the 1950s or so," Henson said. "They were a little concerned about the panic or the tools weren't strong enough to predict them," he said, "and quite frankly without radar, you couldn't forecast them."

Twisters were not measured in the same way they are now. Thus, experts now don't know whether the 1925 Tri-State tornado -- which killed about 695 people when it tore through Missouri, Illinois and Indiana -- was actually a single funnel or many, which is why it isn't officially considered the deadliest single tornado.

Tornadoes by the month: 1950-2011

So the emphasis went on observing and reporting rather than forecasting.

The U.S. Weather Bureau started reporting tornadoes, thunderstorms, hailstorms, lightning and high winds at a few experimental locations across the United States in spring 1943. Gradually, forecasters started issuing forecasts for severe thunderstorms, but could not tell the time nor place.

As for tornado forecasts? Still off-limits.

A breakthrough happened in the late 1940s, when two Air Force officers identified conditions that were favorable for tornado formation in the southern Plains.

The first tornado forecast was issued March 20, 1948.

Six hours later, a twister slammed into Tinker Air Force Base in Oklahoma. The tornado caused $6 million in damage, but no one was killed, thanks to a tornado safety plan that was implemented at the base after the forecast was issued.

Joplin tornado sets deadly record

The tornado bulletin brought the Air Force attention from the public and local media. However, tornado forecasts were only available to Air Force weather offices and were still not issued by the Weather Bureau.

Then came Radio Detection and Ranging, or radar.

During World War II, radar was invented to detect enemy ships and aircraft. Radar operators soon began to notice that rain would often obscure aircraft. This led to using radar to detect storms that could produce tornadoes.

Finally, in 1950, the ban on the word "tornado" in weather forecasts was lifted.

That was the same year official federal records about tornadoes -- in terms of their location, strength and damage inflicted -- were first kept.

In 1953, the U.S. Weather Bureau established the Severe Local Storms Center, known as SELS. The first tornado watches issued by SELS usually covered an average area of 27,000 square miles. Today, tornado and severe thunderstorm watches average 25,000 square miles.

In 1966, SELS was renamed the National Severe Storms Forecast Center. At this time, tornado and severe thunderstorm forecasts were renamed "watches" to correspond with products issued by the National Hurricane Center.

In the early 1990s, Doppler Weather Radar, or as it was more commonly known, Next Generation Weather Radar, was deployed at local National Weather Service forecast offices nationwide. Doppler radar allowed forecasters to see more than just precipitation. With the new radar, they could actually detect wind circulations within storms that could lead to tornado formation. Doppler weather radar was part of a wider modernization of forecast offices nationwide lasting nearly a decade.

"Today forecasters use a comprehensive system (to detect storms) but radar is the foundation because radar detects the circulation of winds that form tornadoes," Henson said. "Hand in hand with that are people on the ground who are trained storm-spotters. You always need eyes on the storm," he said.

After the deployment of Doppler weather radar, lead times for tornadoes were nearly doubled, from less than five minutes to around 10 to 13 minutes.

In October 1995, the National Severe Storms Forecast Center was renamed the Storm Prediction Center, and as part of the weather service's modernization program, the Storm Prediction Center was moved to Norman, Oklahoma.

Today, the Storm Prediction Center issues forecasts for severe thunderstorms as far as eight days out and is tasked with issuing severe thunderstorm and tornado watches in the United States.

Tornado warnings are issued by local National Weather Service forecast offices.

Even though forecasters can now identify conditions favorable for tornadoes, they still cannot predict exactly when and where tornadoes will touch down.

There lies the rub. Officials in Joplin, Missouri, confirmed at least 116 people dead after a twister smashed the city Sunday. Destructive tornadoes and severe storms tore through the South in late April, killing hundreds of people.

With all the advancements in storm technology, the question is simple: Why?

"That's the question of 2011," Henson said. "Why have so many people died in these tornadoes? That's the open question. It's partly because of the strength of these tornadoes. Also because they've hit populated areas."

While tools such as Doppler Radar detect winds within severe storms that could indicate a tornado may be imminent, many of these rotating storms do not go on to produce tornadoes.

Although tornado forecasting has remarkably improved over the last two decades with advanced forecasting techniques, weather satellites, numerical forecast models and Doppler weather radar, there is much about tornado forecasting that still remains a mystery.

Journalist Craig Johnson contributed to this report.

@highlight

U.S. Weather Bureau started reporting severe weather at a few U.S. locations in 1943

@highlight

Forecasters weren't allowed to mention tornado possibility because of fears of panic

@highlight

First tornado forecast in 1948 gave air force base time to implement safety plan

@highlight

Doppler radar greatly improved meteorologists' ability to predict tornadoes