Protesters have occupied major districts in Hong Kong to demand full universal suffrage for the city, a culmination of decades of frustration among the city's democracy activists. But as protests in this city enter a stubborn eighth week, there hasn't been any real breakthrough.

Protesters continue to stake their ground while the Hong Kong police attempt to clear areas of the occupied sites. Student leaders and government officials have conducted one round of talks with little result, and no new talks are planned.

Here's our guide to understanding the different players, what they want, and why there's no easy solution.

The protest leaders

Who's calling the shots? The real answer is no one.

Last year, law professor Benny Tai came up with the idea to "occupy" Hong Kong's downtown Central district if the government didn't give Hong Kongers full universal suffrage. His Gandhi-inspired group is called "Occupy Central with Love and Peace."

But Occupy Central didn't kick off the current protests. Things blew up in late September after three pro-democracy student leaders were briefly arrested at the end of a class boycott, and their supporters tear gassed. That's when tens of thousands of protesters spontaneously came out to occupy Hong Kong's streets, leading to the situation we have now.

The most famous student leader is a skinny 17-year-old named Joshua Wong  -- he leads a group of high school firebrands called Scholarism, and enjoys popular support among protesters.

Also arrested were Alex Chow and Lester Shum from the Hong Kong Federation of Students (HKFS), representing university students. Chow and Shum are asking protesters to continue occupying the streets until the government offers a meaningful promise of electoral reform.

On November 15, Chow and two other members of HKFS attempted to fly to Beijing to deliver protesters' demands to Chinese leaders, but were prevented from boarding an airplane after their travel permits were declared invalid.

The students have one main demand: to bring "real universal suffrage and real democracy" to the city.

The encampments

The occupied sites are fragile but sophisticated self-governed communities.

While Tai may have come up with the idea to "occupy" and student leaders incited the protest, citizen protesters have now taken ownership of the movement, which they view as organic and leaderless.

The number of protesters at the main camp varies, but when crowds are large it can feel like a cross between a summer music festival and a post-apocalyptic settlement.

The site sprawls across an eight-lane highway in Hong Kong's Admiralty district, spilling out into side streets fortified by makeshift barricades. A well-oiled volunteer system manages supplies, recycling and first-aid. Each night, protesters sleep in colorful tents on the pavement.

Three miles north, protesters have occupied some of the busiest streets in Mong Kok, a gritty, working-class shopping district famous for its thumping nightlife and triad ties.

The atmosphere here is more riotous. In early October, the encampment was attacked by crowds of older men who tore down tents, attacked students, and allegedly sexually assaulted women in broad daylight. Outraged supporters have rallied to the camp's defense, while police have struggled -- and often failed -- to keep the peace.

In mid-October, the Mong Kok camp was cleared by around 500-600 police in a dawn raid. However, protesters returned in huge numbers the next day and reoccupied the streets after a series of tense clashes with police. No major police action has been attempted since, and protesters show no signs they're willing to leave.

There is a third, smaller encampment in Causeway Bay, Hong Kong's shopping district, which stretches across one lane of a busy road.

Hong Kong's leader

C.Y. Leung, Hong Kong's chief executive, is hated with a passion by the city's pro-democracy citizens, who view him as an sly, imperious puppet of the Chinese Communist Party. And that's putting it politely.

His resignation has been a key demand of protesters since they took to the streets a week ago. Leung has repeatedly said he won't step down. Instead, he has repeatedly asked protesters to disperse, while directing his deputy Carrie Lam to attempt negotiations with student leaders.

In late October, Lam and four officials met with student leaders from HKFS for a round of televised talks. However, no agreement was reached after the talks, and no new talks are planned.

It's doubtful whether Leung's administration can make any real concessions to protesters. The Hong Kong government's hands are largely tied by Beijing, which has firmly stated it will not allow Hong Kong to have the kind of democracy protesters are calling for.

Anti-Occupy Hong Kongers

Many Hong Kongers oppose the Occupy protests, and for many different reasons.

Some see the protesters as chasing a pipe dream, others say it's a mistake to upset Beijing.

Older generations are especially wary of civil unrest, having fled Communist China, lived through Hong Kong's leftist riots in 1967 and witnessed the Tiananmen square crackdown on pro-democracy protesters on their television screens in 1989.

What they all share is a deep disdain for the way today's protests are affecting the lives of ordinary citizens. With roads blocked, traffic has been snarled, commutes have been disrupted. In Mong Kok, some business owners have reported a dramatic decline in sales.

A number of anti-Occupy voices have formed groups. Former journalist Robert Chow calls his group the "Silent Majority for Hong Kong," and says the protesters are "holding Hong Kong hostage."

The police

The police's goal is to return the city to normal, but they miscalculated by using tear gas on student protesters on September 28. Instead of dispersing the movement, it sparked outrage and caused thousands more protesters to hit the streets.

Since then, police, hesitant to inflame tensions, have adopted a largely hands-off approach to the protest sites. In mid-October, police briefly cleared the Mong Kok protest site, only for thousands of protesters to reoccupy the site the next day.

Relations between police and protesters also deteriorated when a video showed several plainclothes police officers beating and kicking a detained pro-democracy demonstrator in October.

Triads

Multiple people with triad backgrounds have been arrested in Mong Kok after starting fights and igniting anger between Occupy and anti-Occupy protesters.

Hong Kong's triads are known for controlling smuggling, prostitution and illegal gambling rings. Some of their businesses in Mong Kok -- Hong Kong's red light district -- have suffered as a result of the Occupy protests.

While pro-democracy legislators and protest leaders have accused the government of sending triad members to disperse the protests, it's unclear who may have sent the triads or whether they came on their own accord.

Beijing

China's president, Xi Jinping, dreads dissent and separatism. As China's economy continues to grow, he has been eager to project an image of national unity and strength to the world.

At the APEC summit in November, Xi called the protests an "illegal movement" and declared his support for the Hong Kong government's handling of the situation.

Beijing has also expressed its views through its state-run media, condemning the protests as "illegal acts" that "are doomed to fail." Chinese newspapers have dismissed the movement's potential to spread to the mainland as "no more than a daydream."

Other news articles, social media posts, and images of Hong Kong's protests have been heavily censored in China: as the first images of the occupation went viral, even Instagram became inaccessible.

The memory of China's 1989 Tiananmen square crackdown on pro-democracy protesters has loomed over Hong Kong and Beijing from the start. More than once, protesters have wondered whether Beijing will activate the 6,000 People's Liberation Army troops believed to be stationed in Hong Kong -- but so far, there's been no sign that will happen.

It's obvious China is displeased. What's less certain is how serious of a threat they consider the protests to be.

@highlight

Protesters are occupying parts of Hong Kong for an eighth week

@highlight

Police have cleared some barricades, chipping away at the protest sites

@highlight

Many in Hong Kong oppose the protest

@highlight

China's president has called the protests  "illegal"