(CNN) -- Thomas Muster believes in reinvention, and he doesn't do things by half measures.

The former "King of Clay" beat career-threatening injuries at the age of 21 to become Austria's first grand slam tennis champion and only world No. 1 player. But he shocked everyone by disappearing into early retirement in Australia.

After years of excessively good living, he made his top-level comeback at the age of 43, having lost 25 kilograms in a punishing get-fit regime.

And now, after finally putting his racket down a year or so later, with his desire to compete on court at the highest level sated again, Muster will focus on his family and wine-making business.

"When I went back to Austria I was looking for property. I grew up in this area and I knew these vineyards and property and the streets around it," he says of the Hochkittenberg wine estate he bought off a church diocese in 2004.

A winning partnership

Muster teamed up with vintner Manfred Tement, who cultivates the eight hectares of land and put out their first joint Toms Hochkittenberg wine in 2005.

"He's a great tennis fan and I asked him if this vineyard was worth a dollar. He said it's a fantastic vineyard and it's got great soil and everything you need," the Liebnitz-born father of two told CNN's Open Court.

"That's how we started working together and that's how he started developing the vineyard around our house. Now it's a beautiful area with sauvignon, burgundy and muscatel grapes.

"It's all about the Styrian wines, it's about white wines -- 85 or 90% of our produce is white wine or white grapes. It's one of the best sauvignon areas in the world. It's still undiscovered here, that's what we like about it, but I think in the next few years people are going to find out where this is."

Muster won the French Open in 1995 and was the world's top-ranked player for six weeks the following year before quitting in 1999. It turns out he has the same passion for grapes as he did on the court.

"It's lovely be here and it's lovely to be back home. Manfred loves tennis and I love wine. It's not my profession, it's my passion," says Muster, who also produces bottled spring water from the Styrian Hochschwab area.

"He's such a great teacher and over the last years I've learned so much about wine, about the culture of wine, It's a great adventure. I love him as a friend and we have such a great time in the vineyards.

"It's hard work. To work a vineyard, you need a lot of guts to do that. To go out there and work all year, you almost feel that these people talk to the grapes. Wine is a lifestyle and you can talk about it for ages. It's a passion but it's not something I can do on a daily basis."

Disappearing Down Under

When Muster moved to Australia after feeling burned out by tennis, he quickly ballooned in weight to almost 100 kg.

"When I lost to Nicolas Lapentti on Court Two at the French Open I knew this was going to be my last match and it was very emotional for me," he recalls.

"On the other hand it was so great to feel like, 'I don't have to get up in the morning and practice!' When I went back home I threw everything I had related to tennis in the bin. I was so tired of playing tennis, so tired of traveling, of hotels, everything related to this sport.

"Maybe I should have just taken six months off. I don't know if this was the solution but I just felt that I was ready to stop."

Known as the King of Clay before Gustavo Kuerten and Rafael Nadal came on the scene, Muster won a record 12 tournaments in 1995 -- a feat that was not matched until Roger Federer in 2004.

He won 40 of his 44 career titles on clay, but was also a strong competitor on hard courts as he twice reached the semifinals of the Australian Open and made the U.S. Open quarterfinals on three occasions.

Overcoming adversity

It was in the United States where his career almost ended in 1989, when he was hit by a drunk driver in the car park at the event now known as the Miami Masters in Key Biscayne, where he was due to play the final the next day.

"Coming back from two sets down (against former French Open champion Yannick Noah) and achieving top 10, you're entering the level everyone wants to be in. Then I'm seeing myself in hospital a couple of hours later and having a smashed knee. It was devastating," Muster recalls.

"But I didn't really know meant to have ligaments torn, I didn't know the consequences that people have after that. So I was very positive. I thought it was going to be a few weeks and I'll be walking again, running again. But looking back it was a really, really hard time suffering from that injury.

"We started rehab straight away and it helped me a lot. I stayed in a rehab center for three months, working every day. I knew I couldn't run, but I had that touch, hitting balls and that routine I was going through, getting up, practicing, having therapy, doing weights.

"As soon as I could walk again I was able to play pretty good tennis because it was a great chance to build up my upper body. I almost felt like a chicken before, really skinny."

The King of Clay

In 1995 Muster won 40 consecutive matches on clay, the best run since Bjorn Borg's 46 successive victories. Nadal surpassed that mark when he won 81 in a row from 2005-07.

Muster returned to Key Biscayne and beat two-time French Open champion Sergi Bruguera of Spain in the 1997 final. It was to be his last ATP Tour title, with final defeats in Cincinnati later that year and Estoril in 1998.

After his last outing at Roland Garros, he decided to skip Wimbledon -- where he is the only top-ranked player to have never won a singles match on the hallowed grass courts in London.

"I just didn't come back and then suddenly people started asking, 'Where is Thomas, why isn't he playing?' The press started to call me and I said, 'I'm going on a holiday and I don't know when I'm going to return,' so I never actually retired," Muster explains.

He went to Australia, got married and had a son -- and completely forgot about tennis.

"I gave up everything I had in Europe and moved to a town north of Brisbane called Noosa Heads. I was 99 kilos, I smoked two packs of cigarettes a day," Muster says.

"When we got divorced it was a time to come back home. It's my secure place, my haven with my family. I came back here to get grounded again, and that's also when I started to play tennis again."

Back to basics

Working out up to seven hours a day, Muster soon trimmed down again and was able to compete on the seniors' Champions Tour. But the desire to play at the top level burned deeply, and he started again from the bottom on the Challenger circuit, where he found victories difficult to come by.

"It was a completely mad decision -- but it was great, I would do it any time again. I had the best time in the past year and a half ... to practice, to play, to get fit, to fight these guys and not be given a game," he says.

"I took my car and my coach, and we were driving thousands and thousands of kilometers. We had to drop in our keys to get three balls and a towel -- all things that are given at the big tournaments where they pick you up with great cars and they have the hospitality, food all day, trainers, physios.

"You go to a Challenger and it's in the middle of nowhere, there's no sun shining for you, a little crowd of a few hundred spectators. Okay I lost all those matches, I won a few, but it was great, it was grounding."

Family ties

Muster finally called it quits at the highest level at his home tournament in Vienna in October, losing in the first round.

"I decided to retire in Vienna because I left the scene very quietly and never had the chance to say goodbye," he says.

"I was never homesick when I played before, but now when I leave, when I see my daughter and I have to pack my bags, it's like, 'Do I have to go?' And when I lose I want to come back, and that's not a good sign for a professional player, you have to want to be out there.

"I don't want to stretch it to a limit where people think I'm stupid what I'm doing. I want to be respected for what I did. I don't want to use wild-cards for players who deserve it.

"It's been a great honor but at the end I want to say it's been a great time. I want to play a couple of senior tour events next year, but that's the level I can play at. You don't want to play tennis at 50 on a competitive level.

"I think my family needs me more than anybody else, and tennis doesn't need me anymore. I respect my wife a lot for taking all that in. She said, 'I didn't marry a tennis player, you'd retired.' Now it's time to do something else."

@highlight

Thomas Muster tells CNN about his life after retiring from top-level tennis

@highlight

Former French Open champion and world No. 1 has a thriving wine business in Austria

@highlight

He has overcome adversity on the court to keep alive his desire to compete

@highlight

Now Muster aims to spend more time with his second wife and young daughter