Kabul, Afghanistan (CNN) -- The number of people forced to flee their homes in Afghanistan is increasing and the conditions for the displaced are falling well below international standards, a new study by the Norwegian Refugee Council found.

In 2012 alone, spreading conflict in Afghanistan has forced more than 166,000 Afghans to flee their homes, bringing the total number of people internally displaced by conflict to at least 460,000 since the fall of the Taliban in late 2001, according to the council's report.

The numbers alone don't tell the full story, it says. Most of the internally displaced people "are living in appalling conditions and in situations of extreme poverty," Dan Tyler, protection and advocacy manager at NRC Afghanistan, told CNN.

India-Pakistan dynamic holds key to Afghanistan's future

Lack of employment, insufficient food and water supplies, and poor quality housing or shelters -- typically tents or unsubstantial mud homes -- are among the problems internally displaced people are facing, especially during the winter, when their shelters can not offer enough protection against the cold, the report says.

Last winter brought Afghanistan's displacement crisis into sharp focus, and revealed the scale of suffering facing displaced people, with reports of "at least 100 confirmed deaths, mostly of children, who died from the cold or illness in Kabul alone," Tyler said.

One of the displaced people, Mohammad Ibrahim, 42, fled his home in Greshk district of southern Helmand province almost three years ago with his wife and five children. Now he lives under a mud hut in a makeshift camp in the eastern part of Kabul, the capital city.

"I am really worried about what will happen to our children this winter," Ibrahim told CNN. "Last winter more than 10 children died just in our makeshift camp due to cold, and I don't know how many more would die this winter, which has already started."

Ibrahim added that last year he thought that he would be in a better situation by this year's winter, "but I was wrong."

The study also says that displaced families report facing obstacles to find health services and to access education for their children, with over a third of the displaced children lacking access to schools.

According to Tyler, very few provinces are immune from either receiving or creating internally displace people, but the southern and southeastern regions are the main origination areas, and the majority of people go to big cities, especially Kabul, where security and livelihood opportunities, as well as access to services, is perceived to be greater.

Afghan bank fraud siphoned out savers' money, independent report says

The report adds that more than half of the people surveyed identified the Taliban and other anti-government groups as the key causes of insecurity in their homes communities and the primary drivers of their displacement.

The Norwegian Refugee Council's study reveals worrying gaps in protection and assistance because of the challenges of collecting information and coordinating responses amid increasing insecurity. Many humanitarian actors tasked with collecting data on displacement have limited access to those most in need, it says.

The Afghan government's response to the displacement crisis has also been inadequate, the report says. Insufficient funding, capacity and lack of expertise on the part of central and local authorities means conditions for the displaced, both during the period of their displacement and during the course of their return have fallen well below international standards, according to the study.

"There is also concern that, as international troops withdraw from Afghanistan (by 2014), there will be less funding available to meet the humanitarian needs" of internally displaced people, Tyler said.

There is growing awareness that during and beyond the security transition, more would need to be done to profile the needs of displaced people. "But whether the humanitarian community will have time to prepare (for), or the funding to respond to a deepening displacement crisis is far from certain," he warned.

Opinion: Five ways to fix Afghanistan

@highlight

In 2012 alone, more than 166,000 Afghans have fled their homes, a new report says

@highlight

The Norwegian Refugee Council found most are "living in appalling conditions"

@highlight

The internally displace people lack access to health and education resources, it says

@highlight

The Afghan government's response has been inadequate, the report adds