Rome (CNN) -- Black smoke billowed from the chimney of the Sistine Chapel Tuesday night, indicating that cardinals gathered at the Vatican to elect a new pope had not chosen one in the first ballot of their conclave.

The start of the secret election got underway earlier in the day, as the heavy wooden doors to the chapel swung closed on the 115 Roman Catholic cardinals charged with selecting the next pontiff.

The next round of voting will begin Wednesday morning. Results will be revealed by puffs of smoke from the chimney following each ballot.

Black smoke, no pope. White smoke, success.

On a day rich with symbolism, the scarlet-clad cardinals entered the Sistine Chapel in solemn procession, chanting prayers and watched over by the paintings of Renaissance artist Michelangelo.

Led by the conclave's senior cardinal, Giovanni Battista Re, each of the cardinal-electors -- those under age 80 who are eligible to vote -- then swore an oath of secrecy.

A designated official then gave the order, in Latin, to those not authorized to remain, "Extra omnes" -- that is, "Everyone out."

With all those not taking part in the conclave gone, the cardinals will remain locked in isolation until one candidate garners two-thirds of their votes.

That man will emerge from the process as the new spiritual leader of the world's 1.2 billion Roman Catholics.

Selecting a pope

Huddled under umbrellas as rain came down, crowds of onlookers watched on big screens set up in St. Peter's Square until the doors to the Sistine Chapel were shut.

'Noble mission'

Earlier, the cardinals celebrated a morning Mass at St. Peter's Basilica, where they prayed for guidance in making a choice that could be crucial to the direction of a church rocked by scandal in recent years.

Applause echoed around St. Peter's as Cardinal Angelo Sodano, dean of the College of Cardinals, offered thanks for the "brilliant pontificate" of Benedict XVI, whose unexpected resignation precipitated the selection of a new pope.

Sodano's homily focused on a message of love and unity, calling on all to cooperate with the new pontiff in the service of the church.

"My brothers, let us pray that the Lord will grant us a pontiff who will embrace this noble mission with a generous heart," he concluded.

Members of the public had waited in long lines Tuesday morning to join the Mass. As the service began, the morning sunshine came to an abrupt end, with the skies letting loose thunder, lightning and a torrential downpour.

Before the service, the cardinal-electors had moved into Casa Santa Marta, their residence at the Vatican for the duration of the conclave.

Jamming devices have been put in place to stop them from communicating with the outside world via mobile phones or other electronic means as they make their decision.

Rome is abuzz

Rome was abuzz Monday with preparations for the conclave, from the 5,600 journalists the Vatican said had been accredited to cover the event to the red curtains unfurled from the central balcony at St. Peter's, the spot where the world will meet the new pope once he is elected.

Tailors have completed sets of clothes for the new pope to wear as soon as he is elected, in three sizes.

Video released by the Vatican over the weekend showed the installation of a pair of stoves inside the chapel. One is used to burn the cardinals' ballots after they are cast and the other to send up the smoke signal -- the one that alerts the world that a vote has been taken and whether there's a new pope.

Workers scaled the roof of the chapel Saturday to install the chimneys.

Possible papal contenders

When cardinals elected Benedict in 2005, the white smoke signaling the decision came about six hours after an earlier, inconclusive vote, Lombardi said.

It took another 50 minutes for Benedict to dress, pray and finally appear on the balcony of St. Peter's, he said.

The longest conclave held since the turn of the 20th century lasted five days.

On Monday, cardinals held the last of several days of meetings, known as General Congregations, to discuss church affairs and get acquainted. Lombardi said 152 cardinals were on hand for the final meeting.

As well as getting to know their counterparts from around the world, the cardinals discussed the major issues facing the church, including its handling of allegations of child sex abuse by priests and a scandal over leaks from the Vatican last year that revealed claims of corruption, as well as the church's future direction.

Church rules prevent cardinals over the age of 80 from participating in the conclave but allow them to attend the meetings that precede the vote.

Who will be chosen?

Meanwhile, the Italian news media are full of speculation about which cardinal may win enough support from his counterparts to be elected, and what regional alliances are being formed.

According to CNN Vatican analyst John Allen, also a correspondent for the National Catholic Reporter, the race was wide open as the cardinals entered the conclave.

Unlike in 2005, when Benedict XVI was believed to be the favorite going into the election, no one has emerged as a clear frontrunner this time around, Allen said.

Some names have cropped up in media reports as possible contenders, however. They include Italy's Cardinal Angelo Scola; Brazil's Odilo Scherer; Marc Ouellet of Quebec, Canada; U.S. cardinals Sean O'Malley of Boston and Timothy Dolan of New York; and Ghana's Peter Turkson.

More than 80% of Africans believe their continent is ready for an African pope, but only 61% believe the world is, an exclusive survey for CNN has found.

A mobile phone survey of 20,000 Africans from 11 nations, conducted by CNN in conjunction with crowd sourcing company Jana, found that 86% thought an African pope would increase support for Catholicism in Africa.

Italy potentially wields the most power within the conclave, with 28 of the 115 votes, making it the largest bloc in the College of Cardinals. The United States is second with 11. Altogether, 48 countries are represented among the cardinal-electors.

"Many would say it's all about politics at this point," Monsignor Rick Hilgartner, head of U.S. Conference of Catholic Bishops Secretariat on Divine Worship, told CNN, "but I think it's important to remember that they also recognize that this is a very spiritual moment."

Once the doors close and the conclave begins, he says, it's less about politicking and "more about prayer as they each in silence write their votes."

Sixty-seven of the cardinal-electors were appointed by Benedict, who stepped down at the end of last month, becoming the first pontiff to do so in six centuries.

CNN's Dan Rivers and Richard Allen Greene reported from Rome, and Laura Smith-Spark wrote and reported in London. CNN's Hada Messia, Ed Payne and Michael Pearson and journalist Livia Borghese also contributed to this report.

@highlight

NEW: Black smoke comes from the chapel chimney, meaning no winner in first vote

@highlight

With the cardinals inside, the doors to the Sistine Chapel close as the conclave starts

@highlight

Cardinal Angelo Sodano calls for love, unity and cooperation with the next pontiff

@highlight

The 115 cardinals will cast ballots for the new spiritual leader of the Roman Catholic Church