LONDON, England (CNN) -- A landscape restoration of a rubbish dump has won the Energy, Waste and Recycling category at the 2008 World Architecture Festival in Barcelona, Spain.

Spanish architects Batlle and Roig have returned a 150 hectare rubbish dump back to nature.

"La Vall d'en Joan" (The Valley of Joan) project, designed by Spanish architects Batlle and Roig, has transformed a 150 hectare site in the Garraf Natural Park, south-west of Barcelona into a green terraced agricultural landscape.

In awarding the prize, judges Luis Mansilla -- Mansilla + Tunon architects -- and Martin Keiding -- editor-in-chief of Arkitektur DK -- described the scheme as: "a perfect example of bringing dead nature back to life by converting rubbish into a beautiful piece of landscape architecture...using few and humble means".

Joan Roig of Batlle and Roig Architects told CNN: "The idea was to create a system of hills and banks in a way that would avoid erosion from water and to give the rubbish dump back to nature with a natural design."

Work to transform the site -- the largest landfill in Spain -- began in 2000 and was completed earlier this year. It is a striking redrawing of a previously scarred and polluted landscape.

The landfill has been servicing Barcelona's metropolitan area for over 30 years. More than 20 million tons of rubbish was spread around the valley before the site was closed in 2006. In some places, you would have to dig down over 100 meters before you found soil again.

But this isn't just a cosmetic makeover. There is an underground drainage system on site which filters contaminated waste fluids. Part of this recycled water is then used to irrigate the park. "The whole project is very sustainable," Roig said.

Furthermore, the dump is also utilizing the bio gas that is emitted to provide electricity.

Some of the rubbish has remained above ground. Housed in large steel cages which flank the entrance to the site, Roig says they serve as a permanent reminder to visitors of the site's previous life.

Judge, Martin Keiding told CNN: "It's a very beautiful and simple design. It is landscape architecture that is inspiring. It is a very good example that everyone could look at and say: 'We could do the same.' This competition is about pointing out good examples that could inspire architects."

Batlle and Roig's winning design was one of eight short-listed projects in the Energy, Waste and Recycling category, which was notable for the variety of entries.

They range from state of the art, hi-tech plans such as the Digital Beijing designed by Studio Pei Zhu and Urbanus, right down to low-cost, primitive ventures like the Community Cooker devised by Kenyan company, Planning Systems Services.

The communal cooker is turning rubbish into fuel to feed residents of one of Africa's biggest slums -- Kibera -- on the outskirts of Nairobi, Kenya. The project was highly commended by the judges.

"Sustainability is a very important issue and so are the questions about rubbish, especially in Third World countries," Keiding said. "The community cooker is a way of introducing a solution directly into the society."

Keiding, himself a trained architect, believes that Energy, Waste and Recycling is the most important category at the inaugural World Architecture Festival. "We are facing big problems, so it is a great opportunity for architects to work seriously with this problem on many different levels.

"I think flashy executive buildings are interesting in one sense but they are not interesting if they are not dealing seriously with this matter. In my opinion you can throw them out. We have to be far more serious about integrating aspects of sustainability into architecture."

Both Mansilla and Keiding noted that engineering and architecture had to combine to deal with issues concerning waste and recycling. They said that achieving sustainability was a difficult task but it also represented a great opportunity for architects to contribute to the sphere.

@highlight

Spanish architects win prestigious category award at World Architecture Festival

@highlight

"La Vall d'en Joan" project turned rubbish dump into architectural landscape

@highlight

Millions of tons of rubbish was dumped at the site near Barcelona for 30 years

@highlight

Water from site purified for use in irrigation, bio gas used to create electricity