Islamabad, Pakistan (CNN) -- Four suspected militants were killed and seven arrested in Pakistan in a security forces operation targeting those responsible for a devastating weekend bombing on the outskirts of the city of Quetta that left scores dead, authorities said Tuesday.

Police said a suicide bomber rammed a water tanker laden with explosives into a crowded marketplace Saturday, setting off a huge blast that killed at least 89 people and wounded at least 180 others.

Shiite Muslims in Quetta had refused to bury those killed in the devastating bombing until authorities responded to their demands to take military action against Sunni extremists thought to be responsible. Following Tuesday's operation, they announced that the burial will begin at 9 a.m. Wednesday.

The macabre protest, now in its third day, is an expression of the anger and frustration among Shiites in the southwestern province of Balochistan, whose capital is Quetta, over the government's failure to shield them from bloody sectarian attacks in recent months.

"We want the military to protect Shiites and want it to take control of law and order in the province," Syed Dawood Agha, president of the Balochistan Shiite Conference and the organizer of the protest, said Monday. "Civilian government has failed to maintain law and order in the province."

The outlawed Sunni militant group Lashkar-e-Jhangvi has said it carried out the Saturday attack.

The bodies of about 80 of the victims -- some in coffins, others wrapped in sheets -- have been laid out on the street in Hazara Town, the Shiite suburb of Quetta where the attack took place, said Naseebullah Bazai, the health secretary in Balochistan. Authorities are still trying to identify the other bodies, he said.

Hundreds of demonstrators in Hazara Town have braved the winter cold to stay out day and night with the victims' bodies.

"What is our sin? Why are our people being killed?" said Hina Ali Hazara, a teenager at the protest who said her brother was among the dead.

"Why are we being killed for our faith?" she continued, breaking into tears.

The bombing, which has prompted demonstrations in cities across Sunni-majority Pakistan, follows a day of bomb attacks targeting Shiites in Quetta last month that killed at least 85 people. Lashkar-e-Jhangvi also claimed responsibility for those attacks.

Desperate protest

The Shiite community's decision to delay the burial of the bodies this week, a form of protest they also adopted after the January bombings, is a sign of its desperation after repeated requests to authorities for better protection.

Not burying dead bodies immediately after death is taboo in Islam; a person's soul is not considered to be at rest until the body is in the ground.

The Pakistani government in Islamabad said Tuesday that it would carry out "a targeted operation aimed at eliminating those responsible for playing with lives of innocent civilians and restoring peace and security in Quetta."

And a senior Quetta police official, Wazir Khan Nasir, said security forces carried out a raid in the city Monday night in which four militants were killed and seven were arrested.

It was not immediately clear if any of these announcements were enough to satisfy the Shiite community's demands. Balochistan security officials were negotiating with the protesters to try to persuade them to end their demonstration and bury the dead.

The government had vowed Monday to catch the perpetrators and bring them to justice. But human rights groups say authorities have a bad track record of prosecuting those who carry out and incite attacks on Shiites.

Prime Minister Raja Pervez Ashraf has sent a delegation of lawmakers to Quetta to assess the situation and make recommendations. He has also requested that intelligence agencies explain how the suicide bomber managed to breach security measures.

Ashraf's announcements Monday came as protests over the attack spread beyond Balochistan to other parts of Pakistan, including major cities such as Karachi and Islamabad, local media reported.

A persecuted minority

The Shiite community primarily targeted by Lashkar-e-Jhangvi in Balochistan are Hazaras, an ethnic minority from neighboring Afghanistan.

Amnesty International said Monday it had documented 91 separate attacks on Shiites across Pakistan since January 2012 that had resulted in the deaths of about 500 people.

At least half of those killed were Hazaras, Amnesty said, even though they are one of the smallest ethnic groups in Pakistan.

"The last two months have been the worst on record for Quetta's beleaguered Hazara community," said Isabelle Arradon, deputy Asia-Pacific director at Amnesty. "In fact, the attacks in January and February constitute some of the worst killings in Pakistan's recent history."

Amnesty urged Pakistani authorities to "immediately carry out an impartial and independent investigation into the persistent failure of civil and military authorities to end such attacks."

A lack of prosecutions

The rights group said that to its knowledge, "no one has been prosecuted for the January 2013 attacks or other targeted killings of Hazaras in recent years."

The bombing Saturday also drew condemnation from the office of U.N. Secretary-General Ban Ki-moon and the Human Rights Commission of Pakistan.

The commission said it was "at a loss for words at this latest catastrophe to befall the long-suffering Hazaras of Balochistan."

Lashkar-e-Jhangvi has tried to justify its attacks by arguing that according to its interpretation of Islam, Shiites are not Muslims. It claims Shiites insult close companions of the Islamic prophet, Mohammed.

But human rights groups are scathing in their criticism of the group.

"These attacks demonstrate Lashkar-e-Jhangvi's utter disregard for human rights and basic principles of humanity," Arradon said.

Shaan Khan reported from Islamabad and Jethro Mullen from Hong Kong. Nasir Habib in Islamabad contributed to this report.

@highlight

NEW: Shiite Muslims in Quetta say the burial of victims will begin at 9 a.m. Wednesday.

@highlight

A suicide bomber killed more than 80 people Saturday

@highlight

"Why are we being killed for our faith?" a victim's sister says

@highlight

Shiite Muslims refused to bury bombing victims until action was taken against those responsible