(CNN) -- Every woman who's worked in an office has her story about discrimination or, as they say in the HR confabs, "inappropriate behavior." Mine is the day I was chatting with colleagues in a newsroom some years back when I suddenly felt two meaty hands massaging my shoulders.

"I'm not sure who you are," I said before turning to face my uninvited masseur. "But take your (expletive-deleted) hands off me."

The mystery hands belonged to my editor.

I thought about that day while reading "The Good Girls Revolt," the just-published history of the first class-action discrimination lawsuit ever brought against a media organization in 1970.

Lynn Povich, a 47-year journalism veteran who started as a secretary in the Paris bureau of Newsweek magazine in 1965, tells the story of 46 women with degrees from top schools who got tired of a system that relegated them to jobs checking facts and clipping newspaper stories, while men with similar credentials got the bylines and big salaries.

Povich and her female coworkers recruited fellow plaintiffs at secret meetings in the ladies' room. They hired Eleanor Holmes Norton, the civil rights lawyer who today is a District of Columbia congresswoman. And then they announced their lawsuit on March 16, 1970, inspiring the headline "Newshens Sue Newsweek for Equal Rights" in the New York Daily News, which went out of its way to note that most of the plaintiffs were young, "and most of them pretty."

The magazine's official response: "The fact that most researchers at Newsweek are women and that virtually all writers are men stems from a newsmagazine tradition going back almost fifty years." Noted.

A string of similar lawsuits against other news organizations ensued, and journalism's male guard was embarrassed into making some changes. Today, a woman is editor of the New York Times, and a woman has just been named that newspaper's public editor.

You might think that gutsy efforts like those of the "Dollies," as the Newsweek women were called by their male bosses, would have led to a media world that was all fixed on the gender front 42 years later. You'd be thinking wrong.

It's a funny thing about journalism. The public has this idea that the media world is run by bleeding-heart liberals more focused on homeless shelters than tax shelters. You know, progressive thinkers looking to change the world. Reality is it's a business like most others, run largely by men who push back at serious threats to their authority.

In the old days, I had to stand up to cretins like Massage Man. Betsy Carter, a Newsweek researcher who would go on to found New York Woman Magazine in 1987, had to put up with some guy she barely knew who walked by on deadline and "planted a soft kiss on her neck," as Povich describes it.

Today's woman journalists are less likely to get massaged and smooched on the job. But 42 years after that lawsuit, women are still shut out: Men make up 60% of newspaper employees, write 80% of newspaper op-eds and author most articles in "thought leader" magazines such as the New Yorker, which last year had 242 female bylines, 613 male. The record for "new media" is better than print, though men and women are still nowhere near parity. In a report earlier this year, the Op-Ed Project said 33% of op-eds in the Huffington Post and on Salon were written by women.

At Newsweek, where a woman, Tina Brown, has run the show since the merger of Newsweek and The Daily Beast website in November of 2010, the imbalance has improved in the four decades since the women's lawsuit. In a March 18, 2010 cover story "Are We There Yet" written by three Newsweek women, the authors said 39 percent of the people on the masthead were women, up from 25% in 1970. But men still had the star power, writing 43 of the 49 cover stories the previous year.

Now try to square those numbers with these: Over the past 10 years, between 70 and 76% of all journalism and mass communications graduates have been women.

At one of my journalism jobs, I blew a fuse one day over my male colleagues getting the high-profile web page spots where readers would find their stories while my work was out of sight. I complained, and my boss shot back an e-mail saying I'd cooked up a "conspiracy theory." Lest I should get any future impulses to be uppity, he warned, "I don't plan to address this issue again."

Even a newshen with a byline is supposed to know her place.

The opinions expressed in this commentary are solely those of Susan Antilla.

@highlight

Susan Antilla: Women used to be routinely harassed and passed over in newsrooms

@highlight

She says more women have gotten better posts, but men still dominate the business

@highlight

She says men have 60% of jobs at papers, write 80% of op-eds and get far more bylines

@highlight

Antilla: Women are up to 76% of recent news grads; what's wrong with this picture?