It's one of the NFL's bigger rivalries, the Cowboys vs. the Redskins. And intentional or not, Sunday's game occurs during Columbus Day weekend, deepening the meaning of a fresh conflict about whether "Redskins" slurs Indians, their leaders say.

5 predictions for Redskins vs. Cowboys

More than 500 years after Christopher Columbus' encounter with the natives of the Americas, any enduring uneasiness between Indians and mainstream society is exemplified by the controversy over the Washington Redskins name, which took a new turn last week when President Obama spoke of "legitimate concerns" that the mascot is racist, some Indian leaders say.

Native American mascots: Pride or prejudice?

Team owners strongly dispute any racism behind the mascot and won't change it, saying the Redskins name honors "where we came from, who we are."

But many Native Americans contend it's incredulous that a major sports team in the nation's capital fails to see the word's offensiveness, especially in a game Sunday whose rival mascots conjure up the bygone real bloodshed between cowboys and Indians. Some news outlets and sports writers agree and aren't printing "Redskin" in their stories about the NFL team.

"After 500 years, it's pretty unbelievable that this issue is at the forefront right now," said Jason Begay, a Navajo who's an assistant professor and director of the Native American Journalism Project at the University of Montana.  "Even in the last 50 years (of the civil rights movement), we learned so much. It's just ridiculous that this is an issue."

The NFL team disagrees. In response, the Oneida Indian Nation of New York began airing this weekend a radio ad protesting the Redskins mascot in the Dallas Cowboys' hometown. The ad, entitled "Bipartisan," quotes how Obama, a Democrat, and Rep. Tom Cole, a Republican leader in the House, disapprove of the Redskins name.

Washington team owner Dan Snyder stepped up his defense of the moniker this month. Last spring, he told USA Today he will "never" change the name.

"Our fans sing 'Hail to the Redskins' in celebration at every Redskins game. They speak proudly of 'Redskins Nation' in honor of a sports team they love," Snyder wrote in a letter to fans.

"After 81 years, the team name 'Redskins' continues to hold the memories and meaning of where we came from, who we are, and who we want to be in the years to come," he continued.

"I respect the feelings of those who are offended by the team name. But I hope such individuals also try to respect what the name means, not only for all of us in the extended Washington Redskins family, but among Native Americans too," Snyder said, citing several polls conducted in recent years that show that a majority of people do not want the name changed.

But American Indians like Begay worry about the normalization of an epithet. He's also vice president of the Native American Journalists Association, which launched last month a media resource page on its website about offensive Native American mascots in U.S. sports.

"We're on the verge of laying back and letting this name run rampant when we can actually make a difference, which is what we all should be striving for," Begay said. "I'm glad to see there are so many organizations like NAJA and the (U.S.) President who are standing against it."

Obama said last week that if he were the team's owner, he would "think about changing it," referring to the mascot.

Opinion: Obama is right about 'Redskins'

Obama added that "I don't know whether our attachment to a particular name should override the real, legitimate concerns that people have about these things." The ad also airs a quote by Cole saying "the name is just simply inappropriate. It is offensive to a lot of people."

Washington Redskins, Barack Obama & a name-changing public relations disaster

The political leaders' remarks are repeated in the radio ad advanced by the Oneida Indian Nation and its leader Ray Halbritter, who's also CEO of Oneida Nation Enterprises, which operates a casino and other businesses.

Halbritter acknowledged his tribe's "Change the Mascot" campaign faces an uphill struggle. He refers to the mascot as "the R-word," without explicitly stating it.

"Well, history is littered with people who have vowed never to change something -- slavery, immigration, women's rights -- so we think one thing that's really great about this country is when many people speak out, change can happen," Halbritter said.

When asked about other team mascots such as the Atlanta Braves, Cleveland Indians, Kansas City Chiefs and Chicago Blackhawks, Halbritter cited how "redskin" is defined in the Merriam-Webster Unabridged online dictionary as "usually offensive."

"Let's be clear. The name, the R word, is defined in the dictionary as an offensive term. It's a racial epithet. It's a racial slur. I think there is a broader discussion to be had about using mascots generally and the damage it does to people and their self-identity. But certainly there's no gray area on this issue," he said.

Halbritter asserted the word was born out of hatred -- and referred to the long, ugly history between the native people of the Americas and the colonizers from Europe who followed Columbus.

"Its origin is hated, use is hated, it was the name our people -- that was used against our people when we were forced off our lands at gunpoint. It was a name that was used when our children were forced out of our homes and into boarding schools," he said. "So, it has a sordid history. And it's time for a change, and we hope that -- and what's great is when enough people do recognize that, change will come."

Fans are sharply divided about the issue.

A non-scientific online poll by the Washington Post shows 43% saying the team should change its name. But 57% say no, keep it. One respondent said the term is "a racist holdover from another day, a time when Indians were depicted as violent, ignorant, savages (by) whites (who largely were equally violent, ignorant and savage)."

But another respondent referred to political correctness and said: "The liberal PC society has gotten out of control, if you don't like the teams name THEN DON'T WATCH THEM...!"

Redskins attorney Lanny Davis said the mascot is "not about race, not about disrespect."

At games, he joins fans in singing "Hail to the Redskins" because "it's a song of honor, it's a song of tribute."

@highlight

The controversy over Redskins mascot heightens as team plays the Cowboys this weekend

@highlight

It just so happens it's Columbus Day weekend, adding historical context

@highlight

The Oneida Indian Nation is airing radio ads saying the "R-word" is racist

@highlight

But the team owner says the Redskins name honors American heritage