The second suspect in the Boston Marathon bombings was taken into custody Friday night, bringing to an end a massive manhunt in the tense Massachusetts capital worried by warnings the man was possibly armed with explosives.

After announcing the arrest on Twitter, Boston police tweeted: "CAPTURED!!! The hunt is over. The search is done. The terror is over. And justice has won. Suspect in custody."

Authorities confirmed the man in custody is 19-year-old Dzhokar Tsarnaev, who escaped an overnight shootout with police that left his older brother Tamerlan Tsarnaev -- the other man wanted in the bombings -- dead.

The younger Tsarnaev was in serious condition, Boston Police Commissioner Ed Davis said at a news conference. He was being treated at Boston's Beth Israel Deaconess Medical Center, hospital spokeswoman Kelly Lawman said.

Tsarnaev was cornered late Friday as he was hiding on a boat in a backyard of Watertown, a suburb of Boston.

Police were alerted to his whereabouts by a man who went outside after authorities lifted an order for residents to stay inside during the manhunt. The resident saw blood on a boat in the backyard, Davis said. He then lifted up the tarp covering the boat and "saw a man covered with blood," he said.

It was that call that resulted in an arrest less than a week after two bombs exploded near the finish line of the Boston Marathon, shocking the nation and leaving a city on edge.

"There was an exchange of gunfire, and I don't know if he was struck," Davis said of the suspect.

Authorities, using a bullhorn, had called on the suspect to surrender: "Come out with your hands up."

Tsarnaev, according to authorities, refused to surrender.

"We used a robot to pull the tarp off the boat," David Procopio of the Massachusetts State Police said. "We were also watching him with a thermal imaging camera in our helicopter. He was weakened by blood loss -- injured last night most likely,"

Tsarnaev was taken into custody after authorities rushed the boat, Davis said.

Closing a chapter

The standoff and subsequent arrest came just minutes after authorities indicated during a news conference that a manhunt for the suspect appeared to come up empty.

Authorities had cast a wide net for the suspect, virtually shutting down Boston and its surroundings after a violent night in which authorities say the brothers allegedly hurled explosives at pursuers, after killing Massachusetts Institute of Technology police Officer Sean Collier and hijacking a car.

"We've closed an important chapter in this tragedy," President Barack Obama said in a televised address. Even so, he vowed to seek answers to the motive in the attack and find out whether the suspects received any help to carry out their plot.

The government is invoking the public safety exception to question Tsarnaev, meaning in cases of national security a person can be questioned without being read their Miranda rights, a Justice Department official told CNN on condition of anonymity. The official is not authorized to publicly discuss the matter.

U.S. Attorney Carmen Ortiz told reporters the "government has that opportunity right now" to invoke the public safety exemption but stopped short of declaring it would take that step, saying only the suspect was in the hospital.

Republican Senators John McCain and Lindsey Graham called for Tsarnaev to be held as an enemy combatant.

'Glad it's over'

Word of the arrest spread quickly in suburban Watertown, where residents took to the streets to cheer the news that suspect had been arrested.

"Thank you. Thank you. It was our pleasure," members of the Boston SWAT team said over a loudspeaker.

Mary Sullivan was walking her black Labrador earlier Friday night when gunshots rang out in her neighborhood.

"I'm glad it's over," she said. "The city and the people have gone through so much pain over these irrational decisions of these young men."

Bombing connection

The manhunt began late Thursday just hours after the FBI released photos of the two suspects in the marathon bombings.

"Investigators are recovering a significant amount of homemade explosives" from the scene of the shootout, Procopio told CNN.

It was not immediately clear what explosives were recovered, but the discovery followed a tense night in which authorities say the brothers allegedly hurled a homemade grenade and five pipe bombs at pursuers after killing an officer and hijacking a car.

Tamerlan Tsarnaev, 26, was wearing explosives and a triggering device when he died, a source briefed on the investigation told CNN on condition of anonymity.

The manhunt brought Boston to a near standstill. The Boston Red Sox announced they were postponing Friday night's game against the Kansas City Royals "to support efforts of law enforcement officers." NHL's Boston Bruins also postponed its game against the Pittsburgh Penguins.

The city's subway, bus, Amtrak train and Greyhound and regional Bolt Bus services were shut down. Taxi service across the city also was suspended for a time during the manhunt. Every Boston area school was closed.

Boston's public transit authority sent city buses to Watertown to evacuate residents while bomb experts combed the surroundings for possible explosives.

Initially, authorities said the brothers started their rampage by robbing a convenience store. By late Friday, the Middlesex District Attorney's office backtracked on the allegation, saying an investigation determined that the robbery at a 7-Eleven was unrelated.

Officer killed

The violent hours leading up to the capture began in Cambridge, across the Charles River from Boston, MIT officer Collier was shot and killed while he sat in his car on Thursday night, the Suffolk County District Attorney's Office said in a statement.

The two suspects, according to authorities, then hijacked a vehicle at gunpoint in Cambridge, telling the driver that they were the marathon bombers, a law enforcement source told CNN.

At some point, apparently at a gas station, that source said, the driver escaped.

Police, who were tracking the vehicle using its built-in GPS system, picked up the chase in Watertown. The pursuit went into a residential neighborhood, with the suspects throwing explosives at police.

A shootout erupted and ultimately one bomber -- later identified as Tamerlan Tsarnaev -- got out of the car. Police shot him, and his brother ran over him as he drove away, according to the law enforcement source, who spoke on condition of anonymity.

Richard H. Donohue Jr., 33, a three-year veteran of the transit system police force, was shot and wounded in the incident and taken to a hospital, a transit police spokesman said Friday. The officer's condition was not immediately known.

Another 15 police officers were treated for minor injuries sustained during the explosions and shootout, Jennifer Kovalich, a spokeswoman for St. Elizabeth's Medical Center, said.

Suspects background

Police believe the brothers are the same men pictured in images released Thursday by the FBI as suspects in the marathon bombing that killed three people and wounded dozens on Monday.

At least 58 people remained hospitalized, including three in critical condition, according to a CNN count.

The men are shown in the images walking together near the marathon finish line.

The first suspect -- apparently Tamerlan Tsarnaev, according to authorities -- appears in the images wearing a dark hat, sunglasses and a backpack. The second suspect, wearing a white cap, police said, is the one who remained at large throughout Friday until he was taken into custody Friday night.

But the mother of the Tsarnaev brothers refused to believe they were involved in the marathon bombings and subsequent shootout.

"It's impossible for them to do such things. I am really telling you that this is a setup," Zubeidat Tsarnaeva told state-run Russia Today from Dagestan.

"My son would never keep it in secret. ...If there is anyone who would know it would be me. He wouldn't hide it. But there was never a word."

The brothers came from the Russian Caucasus region and moved to Kazakhstan at a young age before coming to the United States several years ago.

"My youngest was raised from 8 years in America. My oldest was really properly raised in our house. Nobody talked about terrorism," their mother said.

The suspects' parents recently returned to Dagestan in the Caucasus region after living in the United States for about 10 years because they were "nostalgic," the father, Anzor Tsarnaev, told Russian state-run Zvezda TV.

He accused someone of framing his sons. "I don't know who exactly did it. But someone did."

A federal official told CNN that Dzhokar Tsarnaev came to the U.S. as a tourist with his family in the early 2000s and later asked for asylum. He became a naturalized U.S. citizen in 2012. Tamerlan Tsarnaev was not a naturalized citizen, said the official, who spoke on condition of anonymity. He came "a few years later" and was lawfully in the United States as a green-card holder.

Tamerlan Tsarnaev had studied at Bunker Hill Community College and wanted to become an engineer, according to those who knew him. He then took a year off to train as a boxer.

'I don't understand them'

The official said that a posting on a social media site in the elder brother's name included the comments: "I don't have a single American friend. I don't understand them."

Dzhokar Tsarnaev attended Cambridge Rindge & Latin, a public high school, said Eric Mercado, who graduated a year behind the suspect. Mercado said Tsarnaev had worked at Harvard University as a lifeguard.

"We hung out; we partied; we were good high school friends," Mercado told CNN.

"We're all, like, in shock. We don't really understand. There were no telltale signs of any kind of malicious behavior from Dzhokar. It's all coming as a shock, really."

Mercado said he lived a block away from the suspect and did not know his older brother.

Dzhokar Tsarnaev is currently registered as a student at University of Massachusetts Dartmouth, which ordered its campus evacuated on Friday. The school is located 65 miles south of Cambridge, just west of New Bedford.

Larry Aaronson, Dzhokar Tsarnaev's neighbor and a former teacher at the high school Tsarnaev attended, called him a "wonderful kid."

"He was so grateful to be here, he was compassionate, he was caring, he was jovial," Aaronson told CNN.

@highlight

58 people remain hospitalized from Monday's bombings, according to a CNN tally

@highlight

"CAPTURED!!! The hunt is over" police tweet after second suspect is in custody

@highlight

Investigators find ''significant amount of homemade explosives,'' a police official says

@highlight

Slain suspect was wearing explosives when he died, source tells CNN