(CNN) -- Imagine taking a peaceful flight, gliding along without much noise or any fuel, effortlessly descending into the airport without a trace of emissions.

Sounds like a dream? It is. But one we can imagine in the not-so-distant future.

E-Fan, the brainchild of parent Airbus Group, is a prototype hybrid electric motor glider which will first be used for training pilots for their license at a school in Bordeaux, France, by 2017.

It debuted with its first public test flight in April 2014, and the two-seater electric aircraft is powered by two batteries, producing 60 kilowatts of power, which will be able to run for half an hour.

The E-Fan has been a continuous journey of evolution, says chief technical officer Jean Botti. "This is a learning curve to get to the big ones in the future."

It started five years ago when Airbus Group experimented with the Cri-Cri, a tiny plane based on the 1970s Cri-Cri, one of the smallest twin-engine planes in history.

Besides the benefits of noise and emissions reduction, the reduced cost of training pilots with the E-Fan is incredible, says Botti. It costs about two cents per hour to fly the electric plane, a number which is up to 20-50 times cheaper than the normal fuel costs of today's aircraft, he says.

Ultimately, these savings will get passed on to the customer, explained Botti, as the electric-powered flight training becomes a reality.

What's ahead for electric?

Eventually, the company has its eye on building planes for regional flights, with up to 90 people flying for three hours, although this is still 15-20 years away, says Botti.

"We're not talking about replacing the A380," he says. But the shorter-term goals also include helicopters with hybrid electric technology.

For Airbus Group, much of the investment is being mobilized by the European Commission's "Flightpath 2050" which aims to cut aircraft CO2 emissions by 75%, and noise levels to be reduced by 65% from their 2000 levels.

The goal is to make tens to hundreds of these planes, and Airbus Group says it will be designed by schools with apprenticeship programs in order to help raise up the new engineers of tomorrow.

The biggest challenge for E-Fan is developing new energy storage. "We cannot afford to stay with the state of batteries today. We need to go much higher in terms of efficiency," says Botti, adding that the company's new research center in Munich, Germany, will have the capacity to do just that.

Alternative planes take off

It's not just Airbus looking to alternative aircraft to help save energy, cut fuel consumption and reduce noise.

There are several others developing alternative aircraft with their own success. Recently, the Solar Impulse 2, a fully solar-powered aircraft, was unveiled by a Swiss duo which will attempt to fly non-stop for 120 hours without any fuel next year.

Made of carbon fiber, its predecessor, Solar Impulse, smashed aviation records as it succeeded in the first solar-powered overnight flight, lasting 26 hours in 2010.

Another creation is the Dutch-designed, German-built Antares 23E, an electric aircraft with 23-meter wings which can glide for 60 kilometers (37 miles). The Antares 23E can climb to 3,500 meters on a single battery charge.

@highlight

Electric hybrid motors signal a greener, quieter flight path

@highlight

Airbus group developing electric planes to train pilots by 2017

@highlight

Company plans to have electric flights for 90 passengers in 15-20 years