Editor's note: CNN's Ed Henry traveled with Barack Obama to Europe on the his first overseas trip as president.

President Obama speaks during a news conference after the G-20 summit in London, England, on April 2.

ISTANBUL, Turkey (CNN)  -- One of the most revealing moments of President Obama's European tour came early in the trip at the close of the G-20 summit in London, England, where expectations were sky high for the new guy.

He had just scored some victories on the financial crisis, while also taking some lumps. And now he had to face the media.

Pushed by a reporter on why he couldn't get more done, the president was ready with a comeback about how it was far easier for American and British leaders to get their way at summits in years gone by.

"Well, if there's just Roosevelt and Churchill sitting in a room with a brandy, that's a -- that's an easier negotiation," the president said to laughter from reporters. "But that's not the world we live in, and it shouldn't be the world that we live in."

In two simple sentences, the president accomplished a lot.

In the first sentence, he made a fair point about how no U.S. president -- Barack Obama or George W. Bush -- can simply wave a magic wand and get the world to follow his lead.

And in the second, with the line about how "it shouldn't be the world that we live in," he was trying to send a signal to Europe that he's not planning to bully them.

Again and again, Obama said he was here to listen and learn -- not to lecture colleagues such as French President Nicolas Sarkozy and German Chancellor Angela Merkel. Left unsaid, since it was plain enough to see, was what Obama was really saying: I'm not President Bush.

That was clearly Obama's biggest accomplishment on this trip. He was able to effectively press that reset button administration officials have been talking about in order to make the case that traditional U.S. allies should come back into the fold, and it seemed to work.

I remember sitting in the front row during a news conference at a palace in France to hear Sarkozy positively gush, "And it feels really good to be able to work with a U.S. president who wants to change the world and who understands that the world does not boil down to simply American frontiers and borders. And that is a hell of a good piece of news for 2009."

Those are the style points where Obama clearly scored, and not just with European leaders.

A new CNN/Opinion Research Corp. poll found that 79 percent of Americans surveyed feel that Obama has had a "more positive" effect on how people in other countries view the U.S. Only 19 percent of those surveyed thought he's had a "more negative" effect.

The much tougher question is on substance, and whether Obama was able to capitalize on those warm feelings to accomplish what he set out to do before this trip. On that he basically has an incomplete because the early record here in Europe has been mixed.

At the London summit, the president pushed for big money to be pumped into the world economy, and the leaders responded with $1.1 trillion. But that money is being directed to the International Monetary Fund to help developing countries, not pumped into the large economies to stimulate growth as U.S. officials had hoped.

And Obama was also able to help prevent Sarkozy and others from getting a global supercop to oversee markets across all borders, a bit of a victory in his effort to make sure new regulations do not go too far.

Perhaps the biggest victory came on the sidelines of the G-20 and had nothing to do with the financial crisis.

Obama had his first face-to-face with Russian President Dmitry Medvedev, and they seemed to thaw those recently icy relations. Most important, is the two men agreed to begin intense negotiations to drastically reduce each side's nuclear stockpiles. This could be a dramatic step forward for world peace, so pay close attention to this development.

But a cautionary note: There's a lot of heavy lifting left before this becomes a reality, and we may not know until Obama's visit to Moscow in July whether or not this deal has legs.

At the NATO summit in France and Germany, the president was hoping to get a boost in resources for the war in Afghanistan. He did get allies to cough up about 5,000 troops, but in the form of police and security trainers -- not combat troops. So with Obama already committing 21,000 more U.S. troops to the mission, this is a very U.S.-heavy effort, something to keep a close eye on in the days ahead.

In Prague, Czech Republic, at the European Union summit, Obama delivered a speech about nuclear nonproliferation to more than 20,000 people -- a boisterous crowd reminiscent of the campaign. He even used the old line "yes we can" to answer critics who think he can't follow through on ridding the world of nuclear weapons.

But the most important moment of that stop in the tour came a few hours before the speech.

It was when the infamous 3 a.m. phone call that Hillary Clinton talked about in the campaign finally arrived. Except it came at 4:30 a.m., when spokesman Robert Gibbs woke the president with the news that North Korea had tested a missile.

He basically passed the test of his first international crisis (with -- ahem -- Secretary of State Clinton at his side, no less), although so far the administration has gotten nowhere at the United Nations despite a clear case against North Korea.

Welcome to the U.N., sir.

And finally, in Turkey the president officially began his outreach to try and repair the U.S. image in the Muslim world. Most interesting is that he got personal, alluding to the fact that he grew up in Indonesia and his father was Muslim -- politically risky given that last year he spent so much time having to deny false rumors that he's Muslim.

"The United States has been enriched by Muslim-Americans," Obama said. "Many other Americans have Muslims in their family, or have lived in a Muslim-majority country -- I know, because I am one of them."

The speech was very well-received in this Muslim-majority nation. But it will take far more than one speech to fix tensions flared by everything from the war to Iraq to the U.S. military prison at Guantanamo Bay.

In all, that's a hefty agenda to confront in just eight days abroad. It's no surprise then that I've noticed the president has been looking very tired on this trip. One aide told me that Obama was planning to go out for a nice unofficial dinner with first lady Michelle Obama in Prague on Saturday night but it was canceled because they simply needed some sleep.

The fatigue has been complicated by the fact that Obama has been battling a nasty cold, telling aides he feels like he's got an "acorn up my nose" -- an interesting turn of phrase I had never heard before but seems to mean the president is stuffed up.

And that brings me back to that brandy Roosevelt and Churchill shared decades ago.

Obama made a legitimate claim about the difficulty of calling the shots in the current global environment, where small and mid-sized countries hold more sway than before.

But right now all I can focus on is the brandy itself. After eight long days on the road, and very little sleep, I'm pretty ragged, too. That sounds like a pretty good way to cap things off.

@highlight

Obama: World's fate no longer decided by Roosevelt and Churchill sitting over brandy

@highlight

Europeans respond favorably to president's message that it's a new era

@highlight

Obama meets Russian President Dmitry Medvedev; relations start to thaw

@highlight

Lots of heavy lifting to be done to make lofty goals reality, CNN's Ed Henry cautions