(CNN) -- Let's play a little game.

Which of the following signs did protestors hold at the March on Washington, 50 years ago this week, and which were held up this year by fast-food workers:

1. "WE MARCH FOR HIGHER MINIMUM WAGES
COVERAGE FOR ALL WORKERS NOW!"

2. "WE ARE WORTH MORE"

3. "I AM A MAN"

4. "WE MARCH FOR JOBS FOR ALL 
A DECENT PAY NOW!"

The exclamation points, which apparently were more popular in the 1960s (despite what Twitter would have you believe!!!), are your best clue.

Signs one and four are from 1963. Two and three are from 2013.

Fifty years later, it's easy to forget that the full name of the 1963 "March on Washington" was actually "The March on Washington for Jobs and Freedom."

Sutter: 99 must-reads on economic inequality

But flip through some pictures from that rally, where Martin Luther King Jr. gave his famous "I Have A Dream" speech and where civil rights leaders, to borrow his words, bent the arc of history towards justice and greater equality, and you'll see protest signs that put the economy as a front-and-center issue, just as it is now.

"CIVIL RIGHTS 
PLUS FULL EMPLOYMENT
EQUALS FREEDOM."

President Obama, in commemorating the 50th anniversary of that march this week, smartly picked up on the theme that economic equality is "the great unfinished business" of King's vision for a just and fair America.

"...[A]s we mark this anniversary, we must remind ourselves that the measure of progress for those who marched 50 years ago was not merely how many blacks had joined the ranks of millionaires; it was whether this country would admit all people who were willing to work hard, regardless of race, into the ranks of a middle-class life," Obama said Wednesday. "The test was not and never has been whether the doors of opportunity are cracked a bit wider for a few. It was whether our economic system provides a fair shot for the many, for the black custodian and the white steelworker, the immigrant dishwasher and the Native American veteran."

The subtext of his argument: Class may be the new race.

It's not that all battles for racial equality have been won -- they haven't -- or that we live in a post-racial society. But, in some remarkable and troubling ways, class has become an increasingly significant barrier to equality in modern America. The gap between rich and poor has been growing in the United States since the late 1970s, and our level of income inequality, one proxy measure for that gap, is now on par with many sub-Saharan African countries.

Sutter: Who cares about the economy? ... You!

It's become more difficult for the poor to move up into the middle class and more difficult for the middle to dig in its heels to stop from slipping into poverty.

The American mantra of "work hard and you'll get ahead" is not always enough to sustain people. It's harder now to secure a financial future.

This is the theme that underlies much of what's happening in America today. And it's something that goes back much farther than the recent recession.

The fast-food workers, for example, who scheduled demonstrations across the country on Thursday, are frustrated by the fact that they can't make ends meet on $7.25 per hour. If you doubt whether that's true, please take a look at one fast-food worker's budget. Some workers, as Forbes reports, have to choose between paying for rent or food. "Should I pay my light bill (or) should I pay my gas?" one fast-food worker asks in this CNNMoney video. "I never can pay it all at once."

"Right now the gas is off," she says.

The workers demand a living wage of $15 per hour.

I'm not sure what the fair wage would be. That's the subject for another column...or perhaps a book. But I do know that, as The Atlantic reports, fast-food workers in Australia make $14.50 an hour, about twice the U.S. minimum wage.

And burgers haven't become too expensive Down Under.

Some context is helpful for understanding that movement as well.

The U.S. minimum wage is actually lower than it was in the late 1960s. Five years after King's speech in front of the Lincoln Memorial, the federal minimum wage, when converted into 2013 dollars, was $10.70, compared to $7.25 now. (The nominal minimum wage, according to the Congressional Research Service, was only $1.60 per hour in 1968. The $10.70 amount is adjusted for inflation).

Sutter: White House should pay its interns

Education is another example. There's evidence poverty is a better indicator of educational achievement than race.

"According to a 2011 research study by Stanford sociologist Sean Reardon, the test-score gap between the children of the poor (in the 10th percentile of income) and the children of the wealthy (in the 90th percentile) has expanded by as much as 40% and is now more than 50% larger than the black-white achievement gap -- a reversal of the trend 50 years ago," Sarah Garland writes for The Atlantic.

"Underprivileged children now languish at achievement levels that are close to four years behind their wealthy peers."

Four years behind their peers.

Just because of their income.

That challenges the very notion of who we are as Americans.

We see ourselves as a middle-class country -- a place where anyone can work hard and succeed. And many do. We're a country of fighters.

But it's become more difficult for the non-rich to make it.

The country has made great strides toward racial equality since the March on Washington for Jobs and Freedom. But, in the 50 years since King's speech, economic justice seems to have become the more distant dream.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Fast-food workers scheduled protests across the country this week

@highlight

John Sutter: Class seems to be the social justice issue of our time

@highlight

It's been 50 years since the "March on Washington for Jobs and Freedom"

@highlight

Economic justice remains a distant dream for many, Sutter says