Washington (CNN) -- The September 11, 2001, attacks have led to an intelligence community so large and unwieldy that it's unmanageable and inefficient -- and no one knows how much it costs, according to a two-year investigation by the Washington Post.

Ahead of the publication, many in the intelligence community worried that the stories would disclose too much information about contractors and the classified tasks they handle.

The Post article that appeared in Monday's edition says its investigation uncovered "a Top Secret America hidden from public view and lacking in thorough oversight. After nine years of unprecedented spending and growth, the result is that the system put in place to keep the United States safe is so massive that its effectiveness is impossible to determine."

Washington Post:  Top Secret America

The Post investigation found that "33 building complexes for top-secret intelligence work are under construction or have been built since September 2001," or the equivalent of nearly three Pentagons.

"Some 1,271 government organizations and 1,931 private companies work on programs related to counterterrorism, homeland security and intelligence in about 10,000 locations across the United States," according to the Post, which added that an estimated 854,000 people hold top-secret security clearances.

"There has been so much growth since 9/11 that getting your arms around that -- not just for the DNI [director of national intelligence], but for any individual, for the director of the CIA, for the secretary of defense -- is a challenge," Defense Secretary Robert Gates told the Post last week.

"Look, we know the intelligence community grew significantly and quickly after 9/11," a senior administration official told CNN Monday. "Some of it was inefficient. But we are looking at those inefficiencies. And remember, we have prevented attacks."

Acting National Intelligence Director David Gompert issued a statement saying the Post's report "does not reflect the intelligence community we know."

"In recent years, we have reformed the (intelligence community) in ways that have improved the quality, quantity, regularity, and speed of our support to policymakers, warfighters, and homeland defenders, and we will continue our reform efforts," he said.

"We provide oversight, while also encouraging initiative. We work constantly to reduce inefficiencies and redundancies, while preserving a degree of intentional overlap among agencies to strengthen analysis, challenge conventional thinking, and eliminate single points of failure."

The Post said its investigation was "based on government documents and contracts, job descriptions, property records, corporate and social networking Web sites, additional records, and hundreds of interviews with intelligence, military and corporate officials and former officials," most of whom requested anonymity.

Although officials were concerned about the content of the newspaper articles ahead of publication, what troubled them the most was "interactive" component of the series, which they said lists the locations where the CIA, the National Security Agency and the other agencies that make up the intelligence community have facilities. Many of those sites are not publicly known, some officials said.

Officials worried about the security implications of such disclosures. As one person put it, "these are targeted places to begin with. ... Mapping it out presents counterterrorism and counterintelligence concerns."

The officials say there have been discussions with the Washington Post to make changes in the website. It was not immediately known what, if any, changes were made, but an interactive map available Monday morning showed more than 2,000 government work locations and nearly 7,000 for private contractors.

In two communications, officials asked the Post not to publish addresses, the senior administration official said Monday.

There has been talk in Washington for some time that the Post was working on an investigative series on the intelligence community. But it's only been in recent days that the deep concern of the intelligence officials has become more apparent.

The newspaper said it took steps to allay public safety concerns.

"Because of the nature of this project, we allowed government officials to see the Web site several months ago and asked them to tell us of any specific concerns. They offered none at that time," the Post said in a message posted on its website. "As the project evolved, we shared the Web site's revised capabilities. Again, we asked for specific concerns. One government body objected to certain data points on the site and explained why; we removed those items. Another agency objected that the entire Web site could pose a national security risk but declined to offer specific comments."

The message from the Mission Support Center of the director of national intelligence that was obtained by CNN told contractors, "Employees should be reminded that they must neither confirm nor deny information contained in this, or any, media publication."

It warned that foreign intelligence services, terrorist groups and "criminal elements" might want to use the information.

"Specifically, we recommend that companies affected by this publication and website assess and take steps to mitigate risk to their workforce, facility and mission," including "re-enforcement of security and counterintelligence protections and steps to enhance workforce awareness."

Similar messages from the military and other agencies also went out.

CNN's Pam Benson, Barbara Starr, Tom Cohen, Alan Silverleib and Ed Payne contributed to this report.

@highlight

NEW: Acting national intelligence director insists there has been major reform

@highlight

U.S. intelligence community is so big its effectiveness can't be measured, newspaper reports

@highlight

More than 800,000 people have top-secret clearance

@highlight

America's intelligence community lacks thorough oversight