At a campaign event Monday in New Hampshire, Republican presidential candidate Mitt Romney asserted that he too would have made the decision to send a U.S. Navy SEAL team to kill Osama bin Laden in Abbottabad, Pakistan, telling reporters, "Of course, even Jimmy Carter would have given that order."

At the same event, former New Hampshire Gov. John Sununu, who was chief of staff to President George H.W. Bush and is campaigning for Romney, said that President Barack Obama was wrong to take any credit for bin Laden's death. "It's wrong in taking credit, and it's wrong in implying that someone else would not have made the same decision."

Of course, these assertions are easy to make after you already know the successful outcome of the bin Laden operation, so let's consider the decision-making process that went on in the White House before Obama ordered the bin Laden raid and then readers can assess for themselves if just any old president would have made the call.

Throughout the planning process for the Abbottabad operation, Defense Secretary Robert Gates was consistently one of the most skeptical of the president's advisers. His was a voice that carried great weight, as he had worked for six American presidents; he was working for Nixon's National Security Council when Obama was only 13. And Gates had enough experience from his tenure as CIA director to know that you could have a pretty strong circumstantial case and still be wrong. In the event of a ground attack on the Abbottabad compound, he was also concerned about the level of risk for U.S. forces and for the American relationship with Pakistan.

Above all, Gates was concerned about a replay of Operation Eagle Claw, the botched effort in 1980 to release the 52 American hostages held in the U.S. Embassy in Tehran during the Iranian Revolution. It was Jimmy Carter who did make the call to send in American forces to rescue the hostages, which ended up with eight U.S. servicemen dead and no hostages being freed.

The failed rescue operation was a major factor in making Carter a one-term president. Eagle Claw was something Gates had lived through in excruciating detail when he working for then-CIA Director Stansfield Turner as his executive assistant. As the disaster unfolded in Iran in April 1980, Gates was with Turner the whole night of the operation, shuttling between the CIA and the White House. Gates recalled, "We finally left the White House at about 1:30 in the morning. ... I had a long, sad drive home."

Vice President Joe Biden, who was elected to the U.S. Senate when Obama was 10, and was chairman of the Senate Foreign Relations Committee before becoming vice president, was worried about the local fallout from a SEAL raid in Abbottabad: a possible firefight with the Pakistanis or an incident at the U.S. Embassy in Islamabad.

Gates and Biden also pointed out that the proposed raid would not just cause problems in America's relations with Pakistan but would likely cause a permanent rupture, and that would mean the end of both the land and air corridors across Pakistan that were critical to the resupply of the 100,000 America soldiers then stationed in neighboring Afghanistan.

There was also the issue that the case for bin Laden living in the Abbottabad compound was entirely circumstantial. No U.S. satellite ever photographed bin Laden at the compound, and no American spy on the ground had ever seen him.

At one point in the months before Obama made his decision, Michael Morell, deputy director of the CIA, told the president that, when it came to the sheer volume of data points, "the circumstantial case of Iraq having WMD (weapons of mass destruction) was actually stronger than the circumstantial case that bin Laden is living in the Abbottabad compound."

At the final National Security Council meeting to discuss the Abbottabad operation on Thursday, April 28, 2011, Gates continued to be skittish about the proposed SEAL operation, saying, "There is a degree of risk associated with the raid option that I am uncomfortable with. An option of some kind of precision strike, I would be more comfortable with that." The defense secretary reminded Obama's war Cabinet that he had been in the White House the night the Eagle Claw mission imploded.

At this final NSC meeting, Biden was unambiguous, "Mr. President, my suggestion is: Don't go."

At the same meeting, Secretary of State Hillary Clinton gave a long, lawyerly presentation that examined both the upsides and the downsides of the raid option. It wasn't clear where she was going with it until she summarized. "It's a very close call, but I would say: Do the raid."

CIA Director Leon Panetta and Adm. Mike Mullen, chairman of the Joint Chiefs of Staff and Obama's top military adviser, were both strong proponents of the SEAL raid, while Gen. James "Hoss" Cartwright, vice chairman of the Joint Chiefs, was in favor of deploying a tiny experimental drone-fired bomb to take out bin Laden, an option that was very much on the table during the April 28 meeting.

With both Gates and Biden still leery of the largely circumstantial intelligence and the toll that a raid would place on the critical U.S.-Pakistani relationship, that made two out of the three most-senior officials in Obama's Cabinet urging against the SEAL helicopter assault. Cartwright, whom Obama had great respect for, was also advocating an alternative course of action.

In essence the nation's most senior national security advisers to the president were split down the middle about the advisability of the SEAL operation to take out bin Laden in Pakistan.

Obama listened to the counsel of his senior advisers intently but kept his views to himself. One of the officials in the room who had attended countless meetings with the president says, "He is very hard to read. He's an introverted guy. He's a thinker."

As the meeting wound up, at around 7 p.m., the president said, "This is a close call and not one that I'm ready to make now. I need to go think about this. I'm going to sleep on it. I'll give an order in the morning."

At 8:20 Friday morning, in the White House Diplomatic Reception Room, Obama gathered some of his top aides around him and said simply, "I've considered the decision: It's a go."

Tony Blinken, Biden's top national security adviser, heard the news shortly afterward. "I thought, 'Man, that is a gutsy call.' First, we don't know for sure bin Laden is there; the evidence is circumstantial.  Second, most of his most senior advisers had recommended a different course of action. I remember when the president left the meeting the previous day I was not convinced he was going to do it. Leaving that meeting, I think a lot of people had visions of Jimmy Carter in their heads."

If you still think this was an easy call, I have a compound in Abbottabad I'd like to sell to you.

@highlight

Mitt Romney said he would have ordered the Osama bin Laden raid in Pakistan

@highlight

Peter Bergen says President Obama OK'd the raid despite strong opposition on his team

@highlight

Robert Gates and Joe Biden advised against the mission, Bergen says

@highlight

Bergen: Intelligence had not conclusively shown that bin Laden was in the compound