(CNN) -- I had an experience recently that reinvigorated my faith in humanity -- and bureaucracy.

I'd left my suitcase in the trunk of a yellow cab in New York City and didn't realize it till 20 minutes later. I did not have a receipt or any way to identify the cab or the driver. I was at the start of a four-day, three-city trip. I was screwed.

For almost three hours, various people tried to help me -- two folks at my bank, whose credit card held the only record of the cab ride; three people at two yellow cab companies based in Long Island City; a service rep at the New York City Taxicab & Limousine Commission; people in my office back in Seattle. No luck. As the workday ended, I finally went to the drugstore for some toiletries. My fiancee shipped me some clothes, and I retreated glumly to my hotel room.

Then, at 9:48 p.m., Valerie from the TLC called me. She'd been working overtime on my case, used GPS records to identify the cab and located and called the cabbie -- and he still had my bag!

He was an African immigrant named George, and he remembered me (or, rather, my crew-cut hair). He hadn't seen my name card under a flap on the backside of the bag and was planning in the morning to ask the TLC to help track me down.

I called him -- he was working at his second job. We arranged for him to drop the bag off the next morning. When I thanked Valerie for navigating the system so relentlessly, she insisted she was just doing her job. When I thanked George for his help, he cheerfully said, "It's the American way!"

My happy-ending story offers a few lessons.

One is obvious: Always, always get a receipt. Another is that New Yorkers, contrary to popular belief and their own callous pose, are essentially nice. But the third, even more deeply contrary to popular belief, is that government is not the enemy.

Government is not inherently inept. It's simply us -- and as defective or capable of goodness as we are.

Today, several weeks into the botched launch of Obamacare's exchanges and several more since the shutdown, the faith of the people in government is weak and weakening further.

This trend long predates Obamacare, and its sources are bipartisan. Democrats who favor more active government have tolerated an ever-more complex and impersonal state, while Republicans who want to shrink government love to showcase the breakdowns that complexity -- and GOP-led underfunding -- can bring.

What's striking, though, is that both sides have learned to see and speak of government the same way -- as a disembodied thing, a mechanism separate from citizens.

Democrats tend to forget and Republicans like to deny the simple reality that government is nothing more than our best attempt to do certain things together that we can't do alone. Like ensure that we are all insured against health catastrophes. Or keep toxic foods out of our babies' mouths. Or send humans to the moon. Or design smart transportation systems on Earth.

When government fails, the proper response isn't fatalism; it's activism. The question to ask in the wake of something such as the failure of the healthcare.gov launch isn't why wasn't I better served but rather, what could I do to make it better?

To be sure, there are reasons why "government bureaucracy" isn't a phrase usually said in gratitude.

Three times in my luggage adventure, I was abruptly disconnected from the TLC hotline after being on hold a cumulative 45 minutes. After the third time, I felt disillusioned. Sitting there in the midst of a vast uncaring city, imagining that my bag had been stolen and its contents dispersed, I felt awakened to the hard cold world.

But when I got the call from Valerie, that cynicism receded -- and so did the victim-story I'd started to tell myself. Though Valerie was an exceptionally dedicated public employee, she was only part of a web of people -- everyday citizens and workers in government and business -- who'd come together to solve this particular problem.

In the scheme of things, that problem and its resolution were utterly insignificant. But they reminded me that we Americans carry an often unspoken privilege -- the privilege of expecting that things should function as promised and that civic institutions should be trustworthy and responsive. This expectation of a working public sphere doesn't prevail in other less healthy societies.

My immigrant cabbie George described this willingness to trust, to look out for one another -- to do our part to make complex systems work -- as the American way. But it's only the American way if we make it so.

The cardinal rule of citizenship is that society becomes how we behave. If we behave as if the state is there to serve us perfectly or else be eviscerated, we'll get a society where citizens forget how to serve, help, forgive or collaborate.

Everyone has some say over whether government does well. Finding that voice and claiming that responsibility feels good -- almost as good as finding a lost suitcase.

The opinions expressed in this commentary are solely those of Eric Liu.

@highlight

Eric Liu: I had an experience that gave me more faith in humanity, bureaucracy

@highlight

Liu: Many people helped me after I lost my luggage in a cab in New York City

@highlight

He says one of the lessons he learned is that government is not the enemy

@highlight

Liu: Government is not inherently inept; it's as bad or good as we make it