More new judges. Faster appointments to top government jobs. Revised regulations and rules reflecting government policy.

Those are the practical impacts from the nuclear option Senate Democrats approved to end filibusters of most presidential nominations and appointments.

Obama supports Senate's nuclear option to end some filibusters

The politics of the move are messy, with majority Democrats saying it was needed to end unprecedented obstruction by minority Republicans, and Republicans contending it was a power grab.

Both sides are right, at least in part. Here are five things that will change because of the move:

1. Easing Senate gridlock

First and foremost, eliminating the ability of senators to block most nominations means the majority party -- in this case Democrats -- can hold votes and approve presidential nominations and appointments more quickly.

Before the rule change, minority senators could mount a filibuster that required 60 votes in the 100-member chamber to overcome. With Democrats holding a 55-45 majority, the filibuster served as an effective minority veto.

Once a rare maneuver of specific opposition, the filibuster has become routine, especially since President Barack Obama took office in 2009.

According to Senate Majority Leader Harry Reid, the Nevada Democrat who spearheaded Thursday's nuclear option rule change, there have been 168 filibusters of executive and judicial nominations in Senate history, with about half of them occurring during the Obama administration.

In the Senate's first move after the 52-48 vote Thursday to change the rules, it ended a filibuster against one of Obama's three nominees for a key federal appeals court in Washington who had been blocked by Republicans.

The altered filibuster rules also will apply when the day comes that Republicans hold the Senate majority, a fact emphasized by GOP leaders who decried the change.

"This changes everything," veteran Republican Sen. John McCain of Arizona told reporters Thursday. He blamed newer Democratic senators who never served as the minority party for pushing the issue, adding: "They succeeded and they will pay a very, very heavy price for it."

What is the nuclear option?

2. More new judges

Obama and Democrats have complained for months that Republicans prevented the President from filling three vacancies on the D.C. Circuit Court of Appeals, considered the nation's second most important judicial body behind the Supreme Court because it handles many major government-related cases.

The D.C. appeals court became the focal point of the filibuster issue, with Republicans blocking the three Obama nominees to prevent a more liberal-leaning majority on the panel that now has eight judges --four considered conservative and four considered more liberal. GOP leaders argue the court caseload doesn't require any more judges on the panel.

Now, the three Obama nominees -- Patricia Millett, Robert Wilkins and Cornelia Pillard -- are likely to get Senate approval to join the D.C. court in coming weeks or months. Upcoming cases the court could consider include challenges to tougher EPA limits on carbon emissions and other regulatory issues.

The Senate rule change specifically exempted Supreme Court nominations, meaning they still can be filibustered, though some Republicans argue that no such distinction exists.

If Reid "changes the rules for some judicial nominees, he is effectively changing them for all judicial nominees, including the Supreme Court," conservative GOP Sen. Charles Grassley of Iowa said. "Apparently the other side wants to change the rules while still preserving the ability to block a Republican President's ability to replace a liberal Supreme Court Justice with an originalist."

Both sides have been guilty of political hijinks over judicial nominees in the past.

During the administration of President George W. Bush, Republicans who held the Senate majority in 2005 threatened the nuclear option to prevent Democratic filibusters of Bush's judicial nominees. The confrontation was averted thanks to an agreement by a bipartisan group of 14 senators.

Obama, then a senator, opposed the nuclear option at that time, saying on the Senate floor that "in the long run, it is not a good result for either party."

Asked about Obama's past stance compared with his support Thursday for Reid's move, White House spokesman Josh Earnest cited increased obstruction of Obama nominees as the reason for needing to get the Senate working again.

"The circumstances have unfortunately changed for the worse since 2005," Earnest said, noting that there were 50 judicial vacancies when Obama took office compared to 93 today, and that many of the President's nominees have bipartisan support but can't get an up-or-down Senate vote.

Grassley, however, noted that almost half of the 93 judicial vacancies today lack a nominee by the President.

3. Executive branch appointments

When Obama nominated Chuck Hagel as his defense secretary, the choice seemed safe from major Republican opposition in the Senate because Hagel himself was a former Republican senator.

However, the bitter partisan divide of Washington brought a GOP filibuster that initially prevented a final vote -- the first time in history that a defense secretary nominee had been blocked.

"What seems to be happening, and this has been growing over time, is the Republican minority in the Senate seems to think that the rule now is that you need to have 60 votes for everything," Obama complained at the time.

The rule change means that Obama and future presidents will be able to fill Cabinet posts and agency leadership positions more freely so long as their party controls the Senate.

However, if divided government means the president is of a different party than the Senate majority, look for even more obstruction of such appointments in the future.

4. Rules and regulations

A major target of Republican political attacks now is Health and Human Services Secretary Kathleen Sebelius, who oversees the implementation of the health care reforms passed by Democrats in 2010 and despised by the political right.

In her job, Sebelius oversees the setting of regulations and rules under the Affordable Care Act, just like Environmental Protection Agency Administrator Gina McCarthy is considering regulations on greenhouse gas emissions opposed by Republicans.

That's what agency and department heads do, and the ending of minority filibusters against a president's nomination will mean faster implementation of an administration's policies.

By essentially lubricating the nomination process, the rule change increases the chances of more "Ping Pong politics" in the future, with each new administration undoing regulations and policies of predecessors under the opposite party.

Man who coined the term 'nuclear option' regrets ever pursuing it

5. Thorny politics

The Senate rules change applies only to appointments and nominations, not legislation. While some Democrats call for a similar move to apply to proposed laws, such a step remains highly unlikely.

However, Republicans warn that the rule change will harm the political relationships between senators of different parties that can lead to bipartisan agreements and cooperation on drafting and passing laws.

"There's still quite a bit of legislation that goes through the United States Senate, and it's done on the basis of people's agreement and work with one another across the aisle," McCain told CNN on Thursday. "There are going to be difficulties from time to time where cooperation was probably the case in the past and will not be now."

With the Republican-controlled House already an opposition bulwark against Obama and Democrats, the President needs the Senate to have any chance to push forward his agenda.

What remains unclear is how much the nuclear option will stiffen Senate Republican resolve to join their generally more hardcore House conservative colleagues in efforts to repeal or dismantle Obamacare, prevent immigration reform and other policy stances.

"We're not going to shut down the Senate," McCain said, then adding that "we're going to focus on trying to repair ObamaCare, which is plaguing the lives of millions of Americans."

Opinion: 'Nuclear option' makes GOP do its job

@highlight

Ending filibusters of some presidential nominations will ease Senate gridlock

@highlight

Expect more new judges and faster filling of government vacancies

@highlight

A full team means more regulations reflecting administration policies

@highlight

The changes apply to present and future administrations