The debate over a link between autism and vaccines continues.

A study published earlier this month concluded African-American boys are more at risk for autism if they're given the measles, mumps and rubella vaccine before the age of 2. The study author says researchers at the Centers for Disease Control and Prevention knew about the link in 2004 -- and covered it up.

CDC researchers are standing by their original findings: that there is no link between autism and vaccination schedules.

The new study was funded by the Focus Autism Foundation, which says it is dedicated to exposing the causes of autism, "focusing on the role of vaccinations."

The study has since been removed from the public domain pending further investigation, according to Translational Neurodegeneration.

In an online statement, the scientific journal said the paper had been removed "because of serious concerns about the validity of its conclusions."

CNN first became aware of the study when an iReport was posted about its publication and the controversy surrounding it. iReport is CNN's user-generated news community.

Brian Hooker, author of the study and a biochemical engineer, found African-American boys who were given the MMR vaccine before age 24 months were more likely to be diagnosed with autism. To reach this conclusion, Hooker said he analyzed the same set of data that was the basis for a 2004 study done by researchers at the U.S. Centers for Disease Control and Prevention.

In 2004, scientists at the CDC's National Immunization Program published their study in the journal Pediatrics. Researchers compared 624 children with autism, age 3 to 10, with 1,824 developmentally healthy children. Most of the children, according to the study, were vaccinated between 12 and 17 months of age in accordance with vaccination recommendations.

The CDC study authors found no link between the age children were given their first MMR vaccination and autism diagnoses. Nor did they find a statistically significant increased risk for a particular racial group.

The CDC's raw data was made available for other scientists to use when its study was published in 2004. Hooker said he began his research after he was contacted by one of the original study authors, William Thompson, in November 2013. Thompson is a senior scientist with the CDC, where he has worked since 1998.

Hooker said he believes the increased risk for African-American boys he found was not identified in the CDC study because the researchers, including Thompson, deliberately limited the number of participants they included in their analysis, which he said altered the results. Hooker said that by excluding children without birth certificates, the CDC study results were skewed.

"I regret that my co-authors and I omitted statistically significant information in our 2004 article," Thompson said in a statement sent to CNN by his lawyer. "I have had many discussions with Dr. Brian Hooker over the last 10 months regarding studies the CDC has carried out regarding vaccines and neurodevelopmental outcomes, including autism spectrum disorders. I share his belief that CDC decision-making and analyses should be transparent."

However, Thompson went on to say that Hooker had recorded these conversations without his consent, and had posted them online without his knowledge.

In a statement to CNN on Monday, the CDC said its study presented results for two sets of children: all children initially recruited for the study, and a subset of children for whom a Georgia birth certificate was available.

"Access to the information on the birth certificates allowed researchers to assess more complete information on race, as well as other important characteristics," the CDC statement said.

Dr. Frank DeStefano, lead author of the 2004 study, said he and his colleagues stand by their findings.  DeStefano said all the study authors, including Thompson, agreed on the analysis and interpretation before the study was submitted for publication 10 years ago. However, he said he plans to review his notes and will decide whether to run another analysis on the data.

The new study by Hooker has been publicized by groups like Focus Autism, which say vaccines have contributed to the "current autism epidemic and rise of chronic illness in children." Hooker is a scientific adviser for the Focus Autism Foundation. He also has a 16-year-old son with developmental delays who he said is "vaccine injured."

Dr. Max Wiznitzer, a pediatric neurologist at Rainbow Babies and Children's Hospital in Cleveland, said the design of Hooker's study is questionable, and that his analysis is "not fine-tuned enough to give you meaningful information."

"If you analyze data enough times and enough ways, you're bound to find something that is statistically significant," said Witznitzer, after looking at both studies. "This does not mean that the result is a true positive (vs. a false positive) or meaningful."

The debate over whether autism spectrum disorders are caused by vaccines started when researcher Andrew Wakefield published a now-retracted study in The Lancet in 1998 that linked the MMR vaccine to autism.

Most of Wakefield's co-authors withdrew their names from the study when they learned Wakefield had been compensated by a law firm intending to sue manufacturers of the vaccine in question. In 2010, Wakefield lost his medical license. And in 2011, The Lancet retracted the study after an investigation found Wakefield altered or misrepresented information on the 12 children who were the basis for the conclusion of his study.

Other researchers have not been able to replicate Wakefield's findings. In fact, several subsequent studies trying to reproduce the results have found no link between vaccines and autism, including several reviews by the Institute of Medicine. Most recently, a study published in Pediatrics on July 1 concluded that vaccines do not cause autism spectrum disorders.

An editorial published with the Pediatrics study added that the debate should be put to rest. This review was done by the RAND Corporation at the request of the Agency for Healthcare Research and Quality, and claims to be the most comprehensive review on the safety of vaccines.

"I want to be absolutely clear that I believe vaccines have saved and continue to save countless lives," Thompson said in his statement. "I would never suggest that any parent avoid vaccinating children of any race."

While the cause of autism is not known, several studies indicate it starts in utero, long before a child is given the MMR or any other vaccinations. As such, DeStefano and other experts in the field have said it is biologically implausible for vaccines to cause autism.

"We know the brain and cellular features for children begin when the child is still in the womb. The brain is already developing the wiring that will manifest in autism," DeStefano said.

Hooker said his results raise more questions than answers and pointed to the need for additional studies.

The advocacy group Autism Speaks, which declined to comment on Hooker's study, referred CNN to its "Vaccine and Autism" statement, which says:

"We strongly encourage parents to have their children vaccinated for protection against serious disease. We recognize that some parents still have concerns about vaccines, particularly if they have a child or relative with autism. We urge them to find a health practitioner who will consider their concerns and help them ensure the well-being of their child."

@highlight

Journal removes study published on alleged link between vaccines and autism

@highlight

Paper taken down "because of serious concerns about validity of its conclusions"

@highlight

Study author says he re-analyzed data used in 2004 CDC study