Strong condemnations and accusations were traded Sunday night as the U.N. Security Council held an urgent, previously unscheduled meeting to discuss the worsening crisis in Ukraine.

Speaking first, Oscar Fernandez-Taranco, U.N. assistant secretary-general for political affairs, set the tone for discussions, saying that Ukraine "teeters on the brink.

"However, it is not just Ukraine that will suffer from a scenario where the likelihood of further bloodshed and violent clashes grows by the hour.

"Russia, which shares a large border with Ukraine, as well as the broader European region faces spillover effect of potentially severe consequences. Such scenarios will also have repercussions for the entire international community," he said.

Ukraine and its allies blamed Russia for the unrest, while both sides agreed the situation is dangerous and should not be allowed to get any worse.

"Further escalation of this must be swiftly stopped," said Vitaly Churkin, the Russian ambassador to the United Nations.

"It is the West that will determine the opportunity to avoid civil war in Ukraine," he added, calling for national dialogue.

Samantha Power, the U.S. ambassador to the United Nations, accused Russia of spreading disinformation and inciting instability.

"The human stakes of what is happening in Ukraine are extremely high. The lives of innocent civilians are at risk yet we are being bombarded by Russian disinformation and propaganda, while the Ukrainians are being confronted by incitement and violence," she said.

Power added: "This instability was written and choreographed in and by Russia."

Ukraine's U.N. Ambassador Yuriy Sergeyev vowed not "to let the Crimea scenario repeat in eastern Ukraine," stressing that the government is readying a counterinsurgency plan to strike the "armed terrorists."

"We demand to leave us in peace," Sergeyev said. "It's really the final warning cry."

The meeting came the same day that Ukraine acting President Oleksandr Turchynov issued a promise of amnesty for pro-Russia separatists in eastern Ukraine but warned that anyone who continues to support the takeover of government buildings would be held responsible for their actions.

The acting President added a warning to "terrorists" who did not comply, saying they would be subject to an army anti-terrorism operation if they did not comply by 2 a.m. ET Monday. Similar deadlines have been set and allowed to pass with no consequence.

"We'll not allow any repetition of the Crimean scenario in the east of Ukraine. I have signed a decree that would allow those who did not shoot at our officers to lay down their arms and leave the occupied buildings by Monday morning without fear of being prosecuted," he told a national television audience, according to a CNN translation.

Turchynov added that anyone who supports violence will be punished.

"We are ready to consider a significant expansion of regional powers of all regions and the wider reform of local self-government. However, all those supporting aggressors and occupiers in an armed struggle against our country will not escape punishment and will be prosecuted," he said.

Ukraine puts blame on Russia

Turchynov said Russia was responsible for bloodshed; at least one Ukrainian soldier was killed in clashes between pro-Ukrainian crowds and pro-Russian separatists, a high-level source in Ukraine's Security Services told CNN.

Russian Foreign Minister Sergey Lavrov tweeted Sunday that Ukrainian authorities must "stop war against their people" and asked the U.N. Security Council and the Organization for Security and Cooperation in Europe to give "urgent attention" to the crisis in eastern Ukraine.

Earlier, Ukrainian officials placed blame for unrest in the eastern section of their country squarely on their neighbors in Russia in a written statement Sunday from Kiev.

The new Ukrainian government said the security operations were launched against terrorists who are attempting to "destroy our country."

"In the eastern regions of Ukraine, the Russian special service and saboteurs embarked on the large-scale separatist operations to seize power, destabilize the situation threatening the lives of citizens of Ukraine, as well as the separation of the regions of our country," the Foreign Ministry said.

Map: See how language, culture divide Ukraine

Giving no further details, it also said it had "concrete evidence of Russian special service involvement" in the pro-Russian protests and storming of buildings in the east in recent days and would present it at an international meeting on the Ukraine crisis on Thursday.

Ukrainian security forces launched an operation Sunday to clear pro-Russian separatists from a police headquarters in the eastern city of Slaviansk, officials said.

However, a CNN crew in the city saw no sign of a large presence of Ukrainian security forces -- with the exception of a single police car and a helicopter flying above -- nor any confrontation with the occupiers.

Gunmen dressed in camouflage had stormed and seized the police building a day earlier in Slaviansk, a town about 100 miles from the Russian border, and set up barricades around it.

'Sanctions can bite'

Power, the U.S. ambassador to the United Nations, said the attacks in Slaviansk were "professional" and "coordinated" -- similar to Russia's incursion into the Crimean Peninsula last month.

"There's nothing grass-roots seeming about it," Power said on ABC's "This Week," noting the latest action "gives credence" to the notion that Russian President Vladimir Putin wants control over eastern Ukraine.

The United States is prepared to step up sanctions against Russia if the recent actions in Ukraine continue, she said Sunday. Power said told "This Week" the latest events in Ukraine bore "the telltale signs of Moscow's involvement."

"I think we've seen that the sanctions can bite. And if actions like the kind that we've seen over the last few days continue, you're going to see a ramping up of those sanctions," she said.

The unrest is the latest show of spiraling anger in eastern Ukraine, which has a large Russian-speaking population. The region was the support base for pro-Moscow former President Viktor Yanukovych, who was ousted in February after months of protests in Kiev.

Speaking Sunday to reporters in Russia, Yanukovych said the Ukraine is in a new situation now that blood was shed.

"Ukraine made the first step toward civil war. The Kiev gang decided and ordered to use force and dispatched the military forces against the population of southeast Ukraine," he said, state-run Russia-24 TV reported.

Yanukovych accused the United States of dictating to the government in Kiev what to do, claiming that CIA Director John Brennan "effectively sanctioned the use of arms and bloodshed and therefore the United States should be held responsible for starting a civil war in Ukraine."

CIA spokesman Dean Boyd declined to comment on Brennan's travel itinerary.

"But the claim that Director Brennan encouraged Ukrainian authorities to conduct tactical operations inside Ukraine is completely false. Like other senior U.S. officials, Director Brennan strongly believes that a diplomatic solution is the only way to resolve the crisis between Russia and Ukraine," the spokesman said.

Troops massed on eastern border

Kiev's fragile new government and the West accuse Russia of destabilizing the region as a pretext to potentially send in troops to protect the local Russian-speaking population.

NATO says Russian armed forces are massing on Ukraine's eastern border, while Moscow says they are merely carrying out military exercises.

In Kharkiv, Ukraine's second most populous city, police outside City Hall offered no resistance when protesters took over the building Sunday afternoon, according to a witness. It is not clear why the police stepped aside for protesters.

Russian and local Ukrainian media reported that pro-Russian demonstrators had seized the city hall in Mariupol, in the southeast, with no violence. Some showed pictures of Russian flags in the city. The reports could not immediately be independently confirmed.

Distrust among the population in the region grew as political power in the national government shifted rapidly in a pro-Western direction. A short time later, pro-Russian elements occupied the Black Sea peninsula of Crimea, which Russia quickly annexed. Since then, pro-Russian protesters have taken to the streets in eastern Ukrainian regions and in some cases stormed and occupied buildings.

EU foreign minister to meet

The United States has accused Russia of fomenting the separatist unrest in its neighbor as a pretext for military intervention.

U.S. Secretary of State John Kerry spoke by phone with Lavrov, his Russian counterpart, on Saturday, expressing "strong concern that attacks today by armed militants in eastern Ukraine were orchestrated and synchronized, similar to previous attacks in eastern Ukraine and Crimea," a senior State Department official said.

The official said Kerry warned Lavrov there would be "additional consequences" if Russia did not take steps to de-escalate the situation in eastern Ukraine and move its troops back from its border.

The official also noted that militants involved in Saturday's unrest in eastern Ukraine "were equipped with specialized Russian weapons and the same uniforms as those worn by the Russian forces that invaded Crimea."

NATO described the appearance in eastern Ukraine of men with specialized Russian weapons and identical uniforms without insignia -- as previously seen in Crimea -- as a "grave development."

European Union Foreign Policy Chief Catherine Ashton is to meet this week with foreign ministers from the United States, Russia and Ukraine in Switzerland to discuss efforts to de-escalate the situation.

In a written statement, she urged Moscow "to call back its troops from the Ukrainian border and to cease any further actions aimed at destabilising Ukraine."

EU foreign ministers will meet in Luxembourg on Monday to discuss the crisis.

Get the Fast Facts on Ukraine

Opinion: The West must not blame itself for Putin's revanchism

@highlight

Ukraine's U.N. ambassador vows to not "let the Crimea scenario repeat"

@highlight

U.S. ambassador accuses Russia of spreading disinformation

@highlight

"Further escalation" must be stopped, says Russia's U.N. ambassador

@highlight

Ukrainian President promises punishment for violent protesters