Marianna, Florida (CNN) -- This weekend, Florida will begin digging into its tragic past as anthropologists start unearthing what they believe are the remains of dozens of children buried on the grounds of a former reform school.

The exhumations at the Dozier School for Boys -- which closed in 2011 -- are the culmination of years of controversy surrounding the reform school and a mythology that has taken on a life of its own.

Rightly or wrongly, the Florida Panhandle town of Marianna -- just west of Tallahassee -- has become synonymous with the school and its dark past.

Some of those who were once sent to Dozier -- now senior citizens -- have come forward with stories of abuse at the school, including alleged beatings, torture, sexual abuse, killings and the disappearance of students, during the 1940s, '50s and '60s.

On the school grounds buried deep in the woods lies a small unkept patch of land with 31 white crosses. Rusting away with time, they mark the final resting place for the unknown students that the state has confirmed were buried there.

Nearly 100 children died while at the school, according to state and school records, many as a result of a tragic dormitory fire in 1914 and a deadly flu epidemic in 1918.

The poorly kept state records cannot account for what happened to 22 children who died at the school. And no one knows who is buried where.

"They were poor kids and a lot of times, people never came to visit them," said Elmore Bryant, a lifelong Marianna resident and head of the NAACP in Jackson County, Florida, which includes Marianna.

"Even when they were dismissed, they got home, their family had moved. So, who was going to pay attention if something happened to them while they was at Dozier?"

Some believe the bodies are African-Americans, disposed of by the Ku Klux Klan. This gravesite is in what was traditionally known as the "black side" of the reform school -- a reference to the era of segregation.

Many believe another cemetery exists on the sprawling, wooded, 1,400-acre property, but it has not been found.

Last year, a research team from the University of South Florida, on a humanitarian mission to help identify these bodies for surviving families, used ground-penetrating radar, and found that there are as many as 19 more bodies buried in the surrounding area -- completely unmarked.

After clearing the area, the team determined that 49 graves exist.

"These are children who came here and died, for one reason or another, and have just been lost in the woods," said Erin Kimmerle, a forensic anthropologist leading the USF team, who once worked on an international forensics team that amassed evidence used in Yugoslavian war crimes trials.

She has lobbied for an exhumation of the remains because, as she put it, "When there's no knowledge and no information, then people will speculate and rumors will persist or questions remain."

'White House Boys'

Robert Straley spent about 10 months at the Dozier School for Boys between 1963 and 1964 for allegedly stealing a car.

He says he was taken to the "White House" on his very first day.

"I came out of there in shock, and when they hit you, you went down a foot into the bed, and so hard, I couldn't believe," said Straley. "I didn't know what they were hitting you with."

Years ago, Straley and several others who spent time at Dozier came forward with allegations that they were beaten with long leather straps inside a small white concrete building they forever call "the White House."

The men became known as the "White House Boys."

One former administrator, Troy Tidwell -- a one-armed man accused of abuse by several former students -- admitted that "spankings" took place, but denied that anyone was ever beaten or murdered.

Florida first started looking into the allegations in 2008, after some of the White House Boys -- who had met on the Internet and shared similar stories -- called on then-Gov. Charlie Crist to investigate.

At Crist's request, the Florida Department of Law Enforcement launched an investigation and its final report in 2009 accounted for 31 boys buried in the cemetery.

The investigation failed to clear up the mystery over what happened to the dozens of other students who died at the school whose bodies have never been accounted for.

FDLE closed the case due to lack of evidence that anyone had died as a result of criminal conduct. The Florida Department of Juvenile Justice closed the school in 2011, 111 years after it first opened.

Then last year, forensic anthropologists from USF used their ground-penetrating radar to find what appeared to be 19 more remains than previously thought to have been buried on the school grounds.

That discovery, along with pressure from the NAACP and high-level officials, including Sen. Bill Nelson, D-Florida, led to action by the state. Earlier this month, Florida Gov. Rick Scott and his Cabinet voted to allow the USF forensics team to exhume the bodies, against the objections of Jackson County commissioners.

"There were children that disappeared that really were not accounted for, so I think that a new day has come here," said Wansley Walters, secretary of the Florida Department of Juvenile Justice.

"What we have now is an opportunity to really get down to the truth and also try to bring some healing to the victims and the families."

Owen's story

State records say one boy buried here is 14-year-old Owen Smith.

"He had no ambition to do anything but play music," said his sister Ovell Smith Krell, 84.

She says her older brother ran away from home in 1940 at age 14 to become a musician in Nashville, but never made it. Owen Smith was arrested in a stolen car, and sent to the reform school in Marianna.

He ran away from the school, but got caught, he wrote in a letter to 12-year-old Ovell a short time afterward.

A few months later, his family received a letter from the school, notifying them that Owen had run away for a second time.

"So far, we have been unable to get any information concerning his whereabouts," wrote Millard Davidson, the school's superintendent at the time. "We will appreciate your notifying us immediately if you receive any word from or concerning him."

Owen's family decided to travel to Marianna to find out what was going on, but just before leaving, there was a call from the school with word that Owen had been found dead.

"They think he crawled under a house to try and get warm and that he got pneumonia and died," said Krell.

She said her mother asked that Owen's body be taken to a funeral home. The family had to borrow a car for the trip and when they arrived in Marianna two days later, school officials allegedly told them that their son was already buried.

"They said that the body was so decomposed, you wouldn't be able to identify him. ... They took him straight out to the school and buried him," she said.

Owen's classmate told the family a different story.

According to Krell, the boy said as he and Owen tried to escape, "my brother was running out across a field, an open field, and there was three men shooting at him, with rifles."

"I believe to this day that they shot my brother that night, and I think they probably killed him and brought him back to the school and buried him," she said.

Closure, but criminal charges unlikely

Ovell Smith Krell, like other relatives of those believed to be buried at the school, is hoping the exhumations result in a sense of closure for her family.

Any remains that are exhumed will be taken to the University of South Florida in Tampa to be examined in an effort to reunite these lost boys with their families -- if possible.

Earlier this summer, DNA swabs were taken from a handful of surviving family members that have been found. If DNA can be matched to the bodies exhumed, these families want them to be buried properly in family plots.

"I would take him and put him down with my mom and dad in their cemetery," Krell said. "I hope I get that chance."

Whatever may be found in the exhumations of these long-forgotten children, it's highly unlikely that anyone could ever be charged with any crimes.

"You have to have witnesses," said Glenn Hess, the state attorney of Jackson County. "Nobody can place a name with a homicide victim and a perpetrator."

And that's nearly impossible considering the amount of time that has passed.

"There are these general stories about the beatings and all that went on, but that's not unusual for reformatories in the '30s and '40s," he told CNN.

But this doesn't matter to Elmore Bryant, the NAACP leader. He's lived here all his life. He thinks the truth behind the mystery of Marianna will finally be found.

"I don't think the bones will lie. The bones will tell the truth," he said. "I'd want the truth to be known how I died."

@highlight

Forensic researchers will begin exhumations this weekend

@highlight

They believe a total of 49 children were buried at the reform school

@highlight

In 2009, Florida investigators said 31 children were buried there

@highlight

The probe found none of the deaths was suspicious