(CNN) -- Last month, the Polish city of Krakow joined the likes of Dublin and Edinburgh to become the latest Unesco City of Literature. Most people could probably name a Scottish or Irish author, but how about a Polish one?

Readers who are not Polish or of Polish descent face a few obstacles to opening the rich and different world of Polish literature.

Firstly, Poland is not a world player, and we tend to become interested in a country's culture only when it is a global power or a real or possible threat to us.

Secondly there is the spelling and pronouncing of names.

We can handle the Russian transliteration of Gregory as Grigory. But the Polish for Gregory, alas, is Grzegorz. All those z's. (I played Scrabble with a friend in Warsaw: a player gets one point for a Z.)

Obstacle three is that the jewel in the crown of Polish literature is its poetry, and unfortunately poetry is what usually gets lost in translation (though the translations have been improving).

However it's worth facing and overcoming these obstacles, because the Polish way of looking at the world has plenty to teach us.

If Polish literature began in the Renaissance it blossomed in mid-19th century Romanticism. The Shakespeare of Polish Romanticism was the poet Adam Mickiewicz. His "Pan Tadeusz," a novel in verse, restores a lost world through the magic of art. There is dalliance, swordplay, music, a hunt -- but even a humble vegetable patch delights.

Fast forward to the 20th century and Polish poetry and drama took a turn towards the avant-garde. The poetry had been remarkable from the beginning, but Cyprian Norwid, a contemporary of Emily Dickinson (his verse is strikingly similar to her quiet, difficult lyricism), showed the way to modern understatement. Check out Zbigniew Herbert and Poland's Nobel laureate Wisława Szymborska.

Absurdism and dark humor are Polish specialties and appear in the playful stories and novels of Witold Gombrowicz.

Lovers of science fiction should know Stanisław Lem. A Kraków native, Lem became internationally known for "Solaris," (which gave rise to two films, one by Andrei Tarkovsky and a Hollywood version by Steven Soderbergh), satirical fantasy "The Cyberiad," and essays on humanity and future technology. His work is marked by fun, pain, and a probing intelligence.

READ MORE: Poland's tangible heritage

All these poets, playwrights, novelists, and essayists write about the human condition, but there has always been a political element to most Polish literature; a consequence of growing up in a country with a history of partition and repeated defeat.

Poland was a major European power during the 17th and 18th centuries. However weak kings and lack of organization led to a political vacuum and the country ceased to exist without a fight in 1795 when Prussia, Austria, and Russia divided it up among themselves. Poland did not exist again as a state until after World War I.

During that long period of nationlessness, poets and novelists strove to preserve Polish identity at home and abroad.

Soldiers fought in other lands, hoping to make a future Poland possible; and young men periodically sacrificed themselves in uprisings that were crushed (1830, 1848, 1863).

Poles became known for their idealism, their valor in the face of overwhelming odds, their splendid if suicidal recklessness, their patriotism, and -- understandably, given that over and over again this patriotism proved futile -- for their cynicism.

The 20th century added another shadow to the Polish mind: the Holocaust; before World War II, Poland had the largest Jewish community in Europe. Poland fought with the Allies but "in reward" (a Polish smile of irony here) had to spend the next fifty years behind the Iron Curtain.

Irony is not unique to Polish writers but they are masters of it.

It's telling that an American writer much loved in Poland today is Philip K. Dick, who felt that the world was against him.

I offer an emblematic moment in Polish literature. A much loved author to Poles is Henryk Sienkiewicz. In "With Fire and Sword," a historical novel set in the mid-17th century, the soldier Longinus Podbipięta reminds us of Don Quixote.

He has taken a vow of chastity and he may not pursue the object of his affections until he has cut off three enemy heads with a single blow of his enormous Crusader's sword. He manages that but then, without hesitation, offers himself up to martyrdom.

The mix of humor, bitterness, and religious faith: very Polish.

Michael Kandel received his PhD in Slavic at Indiana University. He works as an editor for the Modern Language Association. For Words without Borders he recently translated, from Polish, "Balm of a Long Farewell," by Marek Huberath.

@highlight

Get over the tricky spelling and Polish literature has plenty to offer, says editor and author Michael Kandel

@highlight

Polish science fiction writer Stanislaw Lem inspired many, with his 'Solaris' twice made into a film

@highlight

Wisława Szymborska was awarded the Nobel Prize in Literature in 1996

@highlight

Irony, dark humor and faith are all common themes in Polish literature