(CNN) -- When is bug spray more than just bug spray? When it's a compound that, according to researchers at Vanderbilt University, is thousands of times stronger than DEET, works on many different insects and could very well save lives.

Scientists at the school say they've developed just such a repellent. Known merely as VUAA1 for now, they say it works not just on mosquitoes, but also ants, flies, moths and a host of other bugs that, at best, are a nuisance and, at worst, carry deadly diseases like malaria.

In fact, the project began as an effort to curb malaria, which will probably be contracted by as many as 500 million people this year, said Laurence Zwiebel, a professor in the biological science department at Vanderbilt University in Nashville.

But researchers soon discovered the chemical compound they'd created could have wider uses.

"It turns out if we found the world's greatest mosquito repellent, no one would care," Zweibel said. "So we needed to find something that would work against all insects."

The trick, Zweibel says, was taking the way bug spray as we know it works, then doing the exact opposite.

Most commercial insect repellents target the bug's olfactory system -- the way it smells -- to make it harder for them to find us and consider us as targets for a meal.

"We decided to take a more aggressive approach and, rather than turn off the mosquito's olfactory system, we could look for something that would turn it too far on, to see if we could design a new generation of insect repellents based on overloading their smell system," Zweibel said.

"They hate, just like we hate, overstimulation. They will move away from too much smell."

The researchers, who were funded in part by a grant from the Bill & Melinda Gates Foundation, say that, so far, VUAA1 has worked on every insect they've tested it on.

That widens the possibilities for it. Potential uses range from shooing away bugs that eat crops to a commercial product that can be used to keep pests out of the home.

But the original goal, helping prevent a deadly disease that, according to the Centers for Disease Control killed more than 660,000 people in 2010, remains foremost for Zwiebel and his team.

"Our hope is that we're able to help develop a product that can be sold for profit in the developed world, and use that profit to leverage distribution in the developing world," he said. "Our hope is that every time we spray on a mosquito repellent here in America, we're subsidizing malaria reduction in Africa and Asia."

The team has patented the compound. But there's no word yet on when it might hit the shelves. For now, they're doing tests to make sure it will be safe for people to use.

"So far, we don't see any toxic effects," Zwiebel said.

@highlight

An insect repellent from Vanderbilt works on mosquitoes, ants and other bugs

@highlight

They say it's thousands of times more powerful than DEET

@highlight

It works by flooding the bug's system of smell

@highlight

They've filed for a patent, but testing needed before it hits the market