(CNN) -- People sometimes have difficulty understanding why the families of those who die in disasters are so invested in the recovery of their loved ones' bodies. This painful process has been once again brought into sharp relief by the difficulty of retrieving the bodies of those lost in the downing of Malaysia Airlines Flight 17 from Ukrainian rebels who control the crash site.

The International Committee of the Red Cross notes that international humanitarian law requires combatants to respect the bodies of those who die in conflict, reflecting the importance people attach to the bodies of their loved ones.

Throughout history, most cultures have emphasized the management of the bodies of the deceased. Indeed, cultures around the world (and religions are a part of one's culture) still observe different, important, traditions for what happens with human remains, most commonly ranging from burial to various forms of cremation.

Grieving families often are eager to perform their traditional rituals for the remains of their loved ones, a process that can bring some level of comfort.

But in the early stages of mass casualty disasters, families often share the experience of grief with other families whose loved ones have died, sometimes joining together in a family assistance center to await news of their loved ones and the identification of the remains.

After day of tributes, more remains of victims to arrive in Netherlands

It is when the remains of their loved ones are returned to the family that the more personal experience of the death tends to begin. Families will generally leave the family assistance center and return to their homes to grieve with their extended families and friends. While many funerary rituals can be performed without a body, knowing the exact disposition of the loved ones' remains is often a crucial comfort to the family.

The death of a loved one can of course be devastating, even if that person is the only one to die in an incident. But disaster mental health professionals know that mass casualty disasters are much more difficult for families than disasters in which only a few people die. It isn't clear why, but the old adage that misery loves company does not seem to apply to mass casualty disasters.

As stressful as mass casualty incidents are, however, responders generally know to expect an even more stressful disaster if it is an incident in which body recovery is likely to be very difficult or even impossible.

The recent disappearance of Malaysia Airlines Flight 370 is a classic example. Without knowing even the location of the downed aircraft, the recovery of the remains of the passengers and crew becomes more unlikely with each passing day. This is likely to complicate the grieving process for the survivors.

Traditional cultural rituals for the dead help us to process grief in a meaningful way. Grief isn't magically resolved through these rituals, but it is one step in the process of building a new life without the presence of the loved one.

What happens to the victims' bodies next?

The emphasis on the return of the bodies of loved ones to their families is also reflected in the efforts of government officials. Many times rescue and recovery personnel place their own lives at risk as they try to return bodies. Underwater recoveries such as the crash of Flight 800 in 1996, for example, present extreme challenges to the recovery teams.

Similarly, in the aftermath of the attacks of September 11, thousands of personnel worked in difficult and dangerous efforts to recover the remains of those who died. Some who worked in these recovery efforts have told me that the work was extremely dangerous, but that it was worth it to help the families as they grieved.

Similarly, personnel working in mass casualty morgues have often asked me to tell the families of the deceased how respectfully the remains of their loved ones were treated.

Within mainstream American culture, people often seem uncomfortable with the grieving process. Individuals coping with the death of a loved one are often told to "get over it" or "move on." But even in ideal situations, the grieving process may continue for a year or more in healthy individuals, and periods of grief may continue to occur for years.

Some moment may trigger a memory of the loved one who died and lead to a reawakening of the grief. This is not a sign of psychopathology, but of being human.

The most helpful process in dealing with grief seems to be talking with family, friends and spiritual leaders. It is also useful to understand that you don't have to be mentally ill to seek support from a mental health professional. This may be particularly useful if family and friends don't seem to understand or appreciate the grief one is experiencing.

@highlight

Gerard Jacobs: Some don't get why recovery of loved one's body so important to families

@highlight

He says cultures and family units have long needed rituals to process a death, give comfort

@highlight

He says not recovering body complicates grieving process. Mass deaths make it worse

@highlight

Jacobs: Grief makes Americans uncomfortable But grieving not mental illness, it's human