(CNN) -- The oldest-known hominid skeleton was a 4-foot-tall female who walked upright more than 4 million years ago and offers new clues to how humans may have evolved, scientists say.

This sketch shows what a 4 million-year-old hominid, nicknamed Ardi, may have looked like.

Scientists believe that the fossilized remains, which were discovered in 1994 in Ethiopia and studied for years by an international team of researchers, support beliefs that humans and chimpanzees evolved separately from a common ancestor.

"This is not an ordinary fossil. It's not a chimp. It's not a human. It shows us what we used to be," said project co-director Tim White, a paleontologist at the University of California, Berkeley.

Ardipithecus ramidus, nicknamed "Ardi," is a hominid species that lived 4.4 million years ago in what is now Aramis, Ethiopia. That makes Ardi more than a million years older than the celebrated Lucy, the partial ape-human skeleton found in Africa in 1974.

Ardi's 125-piece skeleton includes the skull, teeth, pelvis, hands and feet bones. Scientists say the data collected from Ardi's bone fragments over the past 17 years push back the story of human evolution further than previously believed.

"In fact, what Ardipithecus tells us is that we as humans have been evolving to what we are today for at least 6 million years," C. Owen Lovejoy, an evolutionary biologist at Kent State University and project anatomist, said Thursday.

Analysis of Ardi's skeleton reveals that she weighed about 110 pounds, had very long arms and fingers, and possessed an opposable big toe that would have helped her grasp branches while moving through trees.

Ardi's brain was believed to be the size of a chimp's, but she also had many human-like features, such as the ability to walk upright on two legs. Her "all-purpose type" teeth indicate that she probably ate a combination of plants, fruits and small mammals, scientists say.

"The anatomy behind this behavioral combination is very unexpected and is certain to cause considerable rethinking of not only our evolutionary past, but also that of our living relatives: the great apes," said Alan Walker, professor of biological anthropology at Pennsylvania State University.

Many scientists hypothesize that humans took a different evolutionary trajectory from those of chimpanzees, bonobos and gorillas. Ardi's findings help challenge earlier beliefs that humans evolved from chimpanzees, their closest genetic relatives, scientists say.

Researchers are still trying to pinpoint when the two lineages -- chimps and humans -- split from their common ancestor.

Digging up the past has not been easy.

Scientists stumbled upon the Ardipithecus fossil in 1994 when a graduate student found a single upper molar tooth. The rest of Ardi's fossilized bones, sandwiched between layers of volcanic rock, took three years to be recovered and many more to be analyzed.

"In many ways, the discovery of Ardipithecus has been like a marathon," White said.

"Ardipithecus ramidus and its prevailing anatomy revolutionize the way most of us understood the earlier part of our evolutionary history," said team member Yohannes Haile-Selassie, paleontologist at the Cleveland Museum of Natural History.

The Ardi findings are the work of 47 paleontologists and geologists representing 10 countries. The results will be published Friday in 11 articles in a special edition of the journal Science.

Until now, Australopithecus, nicknamed "Lucy," was the oldest fossil studied by scientists seeking to explain human evolution. Lucy is believed to have lived about 3.2 million years ago in what is now Ethiopia.

Many scientists credit Ethiopia with taking the lead in helping the world better understand the origins of humans.

"This finding points to a deeper sense of our [humans'] interconnectedness," Samuel Assefa, Ethiopian ambassador to the United States, said Thursday. "We are all Ethiopians at heart."

Ardi's skeleton resides in the National Museum of Ethiopia in Addis Ababa.

@highlight

Researchers have unveiled a 4.4 million-year-old skeleton of a hominid female

@highlight

The fossil, nicknamed Ardi, may be the oldest hominid skeleton ever found

@highlight

It replaces Lucy, a much-publicized skeleton that dates back about 3 million years

@highlight

Scientists: Ardi suggests humans and chimps evolved from a common ancestor