(CNN) -- This week the world will reach 7 billion people. Understandably that raises concern about a soaring world population. But there is a good news story from the demographic data that is not often told. We -- or rather the poor women of the world -- are defusing the population bomb.

Women today are having half as many children as their mothers and grandmothers. The global average is now down to 2.5 children per woman, and it continues to fall.

This is not just a rich-world phenomenon. Much of Asia now has fertility rates below two, from Japan and Korea to China, with its one-child policy, through Taiwan, Vietnam, Burma, Singapore and much of southern India and parts of the Middle East. Behind the veil, the women of Iran have cut their fertility from eight to less than two in a generation.

The young people out on the streets demanding democracy during the Arab Spring are arguably far more politically active because they are not at home raising large families.

Falling fertility happens faster if countries get richer and if women are better educated. Similarly urbanization helps a lot. While even young children can be an economic asset on an African peasant farm, they are an economic liability in cities, where they require education before they can get a job. The teeming megacities of the poor world may look like symbols of overpopulation, but they are part of the solution, too.

But the real story is that rich or poor, Muslim or Catholic, secular or devout, socialist or capitalist, with tough government birth control policies or none, most countries tell the same story. Small families are becoming the new norm.

The reason, I believe, is very simple. Women are having smaller families because for the first time in history they can. In the 20th century, the world largely eradicated the diseases that used to kill off most children. Today, most kids get to grow up. Mothers no longer need to have five or six children to ensure the next generation. Two or three is enough, and that is what they are choosing to have.

There are holdouts, of course. In much of Africa, rural women still typically have five children or more. But if Africa follows Asia, then we can see an end to population growth. We are, I believe, likely to see "peak population" by about mid-century. Perhaps at around 9 billion people.

After that, on current trends of fertility falling to below replacement levels, we will see a falling world population.

And rapid aging. With longer life expectancy and fewer babies, this is all but inevitable. China will soon be aging faster than anywhere on Earth. Aging is set to be the dominant demographic phenomenon of the 21st century, just as the population boom dominated the 20th century.

What does this mean for the environment? Well, peak population is good news, of course. But don't hang the flags. It is a pervasive myth that it is all those extra people that are wrecking the planet. That's no longer the case.

Rising consumption today is a far bigger threat to the environment than a rising head-count. And most of that extra consumption is still happening in rich countries that have long since given up growing their populations.

According to Stephen Pacala, the director of the Princeton Environmental Institute, the world's richest half billion people -- that's about 7 % of the global population -- are responsible for half the world's carbon dioxide emissions, the primary cause of man-made climate change. Meanwhile the poorest 50 % of the world are responsible for just 7 % of emissions. So there is no way halting population growth in the poor world today would have more than a very marginal effect on climate change.

It is the world's consumption patterns we need to fix, not its reproductive habits. Every time we talk about too many babies in Africa or India, we are denying this fact.

The population bomb may be being defused by the women of the poor world. But the rich world has not even begun to defuse the consumption bomb.

The opinions expressed in this commentary are solely those of Fred Pearce.

@highlight

Fred Pearce says there's good news attached to the 7 billion population milestone

@highlight

He says woman are having far fewer children than their forebears; global average is 2.5

@highlight

He says small families new norm as old reasons for having more children are gone

@highlight

Pearce: Problem now is smaller population has upped its consumption, environmental damage