(CNN) -- Poland has been firmly in Ukraine's corner in recent years, which is quite a shift given that the two nations were historically rivals. It seems odd to cheer for a nation whose ancestors tried to kill my mother and destroyed my father's house, but I do. That's because like Poles, Ukrainians suffered greatly under Moscow's oppression, so nothing would please me more than to see Ukraine shake the Kremlin's grip to enjoy freedom and prosperity.

Last summer, I visited Rivne and Lviv, Ukraine, hometowns of my mother and father. They were Polish towns, Rowne and Lwow, in 1939 before Nazi Germany and the Soviet Union invaded Poland and changed the map. The word Ukraine means "borderland," as this area changed hands many times among Austria, Poland and Russia before an independent Ukraine was established in 1991.

In the battles over these fertile lands, Ukrainians, Jews, Poles and others faced the horrors of the Stalin-engineered Holodomor famine, the Holocaust, the Volhynia massacre and other bloodbaths.

Both sides of my family endured these atrocities and their estates were destroyed. My mother was 11 in 1939 when she watched from a hilltop cemetery in Rowne as German fighter planes bombed her house to the ground.

She moved in with relatives in a village called Mizocz, where she saw German soldiers march the Jews out of town. They were taken to a ravine and shot.

When Germany started losing the war, Christian Orthodox Ukrainian nationalists murdered Polish Catholics and took their property. My mother escaped the massacre by hiding in an outhouse pit covered in feces and leaves. Trying to flee west, the Nazis forced her into slave labor clearing dead bodies and collecting scrap metal after Allied bombing raids.

In July, carrying addresses and a map from 1939, my friend Marek and I traveled to Rivne to find our roots. The countryside was abundant with wheat fields and bright sunflowers. The town was full of weeping willows and apricot trees, just as my mother had described. My family's restaurant was gone, but I recognized the church from old photos. The Communists removed the steeple and turned it into a cultural center. A new house is being constructed where my grandparents' house used to be.

Marek had more luck finding his family's house and with a huge smile, he picked apricots from a tree out front. While enjoying the fresh fruit, we walked up the hill to find the spot where my mother watched the bombing of her house and to see whether any tombstones had our families' names on them.

We climbed the old steps and found remains of a wrought iron cemetery fence, but the graveyard was gone. The 1939 map clearly marked sections of Catholic, Jewish and Christian Orthodox graves. The tombstones were missing, replaced by a playground. A chill came over me watching children kicking around a soccer ball, unaware of the bones buried beneath the rickety gymnastics bars and playground.

Opinion: Putin's Ukrainian endgame

We later found an article on a Ukrainian website, revealing that in the 1970s the Soviets used the tombstones in the construction of a school and a Communist committee building. The article decried the "sinful deeds of our predecessors" and the "heartless barbaric" act of demolishing the cemeteries.

The next day, we left for Lviv, 130 miles away, where my ancestral home was on Green Street on a hill overlooking the historic city, which was then Polish and called Lwow. My father was 17, too young to join the army when Germany and the Soviet Union invaded Poland, but he and his Boy Scout troop blew up a bridge as a Russian army transport was crossing.

This act of sabotage against the invading army caused a backlash against his family. He returned home late one night to find the lights on. He peered through the window at Russian soldiers waiting for him in the kitchen. My grandfather was in custody, and the soldiers were drinking his vodka. He never saw his parents, or Lwow, again.

My father fled to Romania where the Polish underground sent him to France to enlist in the French army to fight Nazi Germany. When France fell, he was evacuated to England, and later took part in the Normandy invasion as a motorcycle scout for a tank unit.

The house on Green Street was demolished by the Soviets out of spite. The Ukrainians built a soccer stadium in its place, on a hill overlooking the town. I found the stadium and noticed a vegetable garden past some bushes and trees. Beyond the trees was an old red brick villa, just as my father had described. I went closer to take photos. It had seen better days, but it was clearly an upscale residence when first built.

An old man emerged from a shed and said, "What are you looking for?"

He was carrying a rake made from a tree branch and twigs fastened with twine. I explained that his brick house looked similar to my father's, which was demolished by the Soviets.

He said, "Yes, there was another house just like this one. But when I moved here 60 years ago, it had already been knocked down. All that was left was a pile of bricks. The Communists did not like the people who lived there."

Opinion: A divided Ukraine? Think again

The old man said the bricks were used to make a kiln to build the stadium. Everyone in town, including him, was forced to work on the project. The mystery of my father's house had been solved. Pulling Ukrainian money from my pocket, I offered it to the old man and said he should buy himself a drink on me.

Insulted, he pushed my hand away and said, "No. I did not tell you this because I want something from you. I told you this because you should know what happened to your father's house."

We nodded politely, and he went back to raking grass to feed to his goats. I took pictures of the stadium and noticed that off to one side, was an old kiln made out of aged red bricks, bricks from my father's house, just as the old man had said. Part of the kiln was crumbling, so I took one of the bricks with me. It's sitting on my desk as I write this.

Today, Ukraine is still a borderland between a free Western Europe and an authoritarian Russia. My parent's hometowns are part of Ukraine now, and the people who live there deserve the peace, prosperity and freedom that Poland and other countries achieved after breaking from the Kremlin's orbit.

Yes, I'm cheering for Ukraine. But looking at this brick from my father's house that was used to build the stadium, somehow it's hard to root for Lviv's soccer club, even if it is technically my home team.

The opinions expressed in this commentary are solely those of Alex Storozynski.

@highlight

Alex Storozynski roots for Ukraine despite the suffering of his family there

@highlight

In battles over the "borderland," Ukrainians, Jews, Poles and others lived through horrors

@highlight

His mom saw massacres, worked as slave labor; Soviets razed father's house

@highlight

On a trip to Ukraine, he searches for his ancestral home and finds much has been lost