Rome (CNN) -- U.S. Secretary of State Hillary Clinton, meeting with allies, kept up pressure on Libyan leader Moammar Gadhafi Thursday, demanding that he "cease attacks and the threat of attacks" against rebels who oppose his rule.

Gadhafi must withdraw all forces from rebel cities they have entered, restore services to those cities, and allow humanitarian aid in, Clinton insisted.

U.S. and NATO bombing of his forces will continue until he meets the terms, she said.

"As long as Gadhafi continues to attack his citizens, we will continue to strike his forces," she said.

"It is time for the violence to end. It is time for Gadhafi to go. It is time for a democratic transition to begin," she said.

The United States is also looking into ways to help the rebels financially, including seizing Gadhafi assets and using them to aid Libya's people, and helping the Transitional National Council to sell oil, Clinton said.

Clinton was speaking in Rome, where international powers held their second high-level meeting on the Libyan crisis.

The Libyan government, according to state TV, said financing the rebels from frozen assets would be equivalent to theft.

Congress is being consulted on the possible use of a portion of the $30 billion in assets, two senior State Department officials said.

It was not clear whether any of the money would go directly to the opposition government.

European Union High Representative Catherine Ashton said the Rome meeting "underlined the international community's unity and determination to bring the Libyan crisis to a quick and satisfactory conclusion. With the humanitarian situation deteriorating, time is of the essence. Gadhafi must end his attacks against his own people and respect human rights."

Also Thursday, the International Organization for Migration said it was suspending its passenger ships between the two rebel towns of Benghazi and Misrata after Gadhafi forces shelled the port in Misrata Wednesday, killing at least five people.

IOM media director Jean Philippe Chauzy said operations would be suspended until the organization puts in place a "better evacuation plan."

The IOM never again wants to experience what happened on Wednesday, he said.

No one was injured on the IOM-chartered boat in Misrata at the time of the shelling, the agency said.

Medecins Sans Frontieres, the international medical humanitarian group (known as Doctors Without Borders in English), said a 22-member team is delivering surgical and medical care to the wounded at two hospitals and a clinic. The organization has donated more than 25 tons of medicine and medical equipment, it said in a statement Thursday.

Rebels, meanwhile, told CNN that they have taken the southern city of al-Koufra, with Gadhafi forces gone except for a small group on its western edge. The two sides have exchanged control over al-Koufra over the past two months. CNN could not independently verify the claim.

Meanwhile, British Foreign Secretary William Hague ordered two Libyan diplomats to leave the country for "actions contrary to the interests of the UK," the Foreign Office announced Thursday.

He gave them a week to get out, starting Wednesday, the Foreign Office statement said.

The British Ministry of Defence and NATO said Thursday their forces had been engaging Gadhafi's troops over the past several days, destroying ammunition dumps, surface-to-air batteries, and other targets.

As for the Rome meeting, Hague said the international community is "resolved to continue to take action" on Libya, and "more countries took part and reiterated that Gadhafi should go."  Participants also agreed to help the Transitional National Council with short term financial support with the establishment of the Temporary Financial Mechanism, which was suggested in the first meeting in Doha, Qatar, according to a statement released at the conclusion of the talks.

The diplomatic and military moves came soon after the chief prosecutor for the International Criminal Court said in a report there are "reasonable grounds to believe that crimes against humanity have been committed and continue being committed in Libya."

The report highlighted the alleged commission of rape by Gadhafi's government, as well as the deportation or forcible transfer of citizens during the civil war that continues to rage in that country.

It also noted war crimes, including intentionally directing attacks against civilians not participating in the fighting. ICC Prosecutor Luis Moreno-Ocampo issued a statement saying he will soon request arrest warrants against three individuals who are "most responsible for the crimes committed." The individuals were not named.

It is not clear if he plans to file charges against anyone on the rebel side, though the report mentioned "alleged war crimes as well as other crimes against humanity" appear to have been committed by "different parties."

He warned when he opened the probe two months ago that the rebels are subject to international law just as Gadhafi's forces are.

This is the first time the International Criminal Court has begun investigating possible crimes against humanity as they were occurring in wartime, Moreno-Ocampo said.

U.N. Secretary-General Ban Ki-moon, on a visit to Bulgaria, said, "I fully support the principle that whoever and whenever there is violation of human rights and international humanitarian law, those people should be accountable and go to justice."

NATO began bombing Libya on March 19, after the U.N. Security Council approved a resolution authorizing any means necessary, short of invasion, to protect civilians demanding the end of Gadhafi's nearly 42-year rule.

CNN's Elise Labott, Amir Ahmed, Carol Jordan, Mitra Mobasherat and Atika Shubert contributed to this report.

@highlight

NEW: Libyan government says use of its assets would be theft

@highlight

Rebels claim they have retaken southern city

@highlight

The U.S. considers seizing Gadhafi funds to help Libya's people

@highlight

The International Organization for Migration suspends ships after Misrata is shelled