Every morning, Dirk Dallas takes a trip around the world. With his own eyes, he studies artful, real-time images of life in New York, Paris and Hong Kong.

But Dallas, a graphic designer, doesn't actually leave his Riverside, California, neighborhood, or even his front door. He just needs his phone and a digital portal called Instagram.

"It's like taking a vacation every day," said Dallas. "Instagram is different than any other social network I've been on."

The freedom to share and connect with users across the globe is big part of what keeps Dallas coming back to Instagram, the wildly popular mobile photo sharing app, again and again. It's that same appeal, Dallas figures, which led to Facebook's stunning purchase of Instagram this week -- the single largest acquisition in that social network's 8-year history.

"Facebook isn't buying an app; they are buying us," said Dallas. "They are buying a community."

Facebook turned the tech world on its head Monday when the social media giant laid down a whopping $1 billion in cash and stock options to gobble up Instagram, a scrappy, San Francisco-based startup with just 13 suddenly very rich employees.

Instagram has seen explosive growth, racking up more than 35 million registered downloads in just 18 months. Its community doubled in size the last five months alone -- turbocharged in part by the release of its long-awaited Android version last week -- which propelled a million new users to sign up in the first 24 hours.

On Tuesday, propelled by a wave of publicity, the free app hit the #1 spot on Apple's App Store for the first time ever.

The billion-dollar question still looms, of course: Why would the world's largest photo-sharing platform fork over so much money for a tiny company that was evaluated at half that price? Business analysts and tech geeks have speculated on the motives, but the heart of answer just might lie in the passion of Instagram's most invested users.

At its core, Instagram is a remarkably simple way to share mobile photos. Users snap pictures, enhance them with filters that add an arty or vintage look, and share them with their followers. As on Twitter, users can follow other Instagrammers, whose photos then show up in their streams. Users can "like" or comment on photos, as they can on Facebook.

Tyson Wheatley: My year through the lens of a really smart phone

But to many of its most loyal users, Instagram is much more -- a creative outlet, a place to be inspired every day and a platform to make new friends.

"Instagram has changed my life," said Bex Finch, who has more than 100,000 followers on the network. "I love being able to share my world with people I don't know but [who] inspire me."

But Finch, a San Francisco-based photographer who says she has landed gigs by connecting with clients via the app, is worried a massive influx of new Facebook users could spell the end of Instagam's charm.

"Maybe Instagram has played its role," she said. "Maybe it's time to move on."

The blogosphere in recent days has been full of similar complaints from Instagram users worried that Facebook will sell their personal data or pollute their photo streams with ads. Photographer Benjamin Heath is more cautiously optimistic.

"Let's wait and see what happens before we pass judgment," said Heath, who also lives in San Francisco.

"Of course I would be very angry if Instagram became something I no longer want to use," he said. "But there's no reason to suspect that yet."

Heath believes there could be a silver lining as the service skyrockets in popularity: improved features such as adjustable filters, perhaps, or an easier way to keep track of talented users.

With more than 800 million users, Facebook knows a little something about scale. And Instagram's rapid growth has created its own bumps along the way.

Early adopters have complained that Instagram's "popular page" has become nearly impossible to reach and is often filled with photos that people did not take themselves -- too many semi-clothed teens, for example, or Justin Bieber tributes. Longtime Instagrammers gripe that some users are there merely to gain followers, not necessarily to join what Shah Kashani describes as a "thriving community of like-minded people thirsty for photography."

"I'm just as much a viewer as I am a photographer," said Kashani, a web developer from Brooklyn, New York. "And that's the same with everyone, so there's this constant feedback loop. It almost feels like this collaboration in becoming better photographers."

Kashani wants to keep his Facebook and Instagram accounts, and communities, separate.

"The problem with my Facebook is it's all over the place," Kashani said. "I'm connected to colleagues, family, and friends, but I feel like I'm forcing my photography on Facebook."

Serge Najjar, a lawyer in Beirut, doesn't have a Facebook account. Nor does he want anything to do with it.

"It's always a new challenge to put up with change," Najjar said. "What I fear is Instagram losing its simple approach. It's a very pure, social, exchange between people who share the same passion."

Dallas, the Riverside Instagrammer, also is concerned about Facebook's vast reach.

"Instagram is a very small team. They are nimble and fast and can make decisions," he said. "My fear is that now there will be more layers to this creative process."

Ike Edeani, a graphic designer in San Francisco, bought his first iPhone partly so he could download Instagram. He admits he can easily spend four hours a day interacting with the app's visual community.

"I don't really get excited about posting photos to Facebook," Edeani said. "But that's exactly how I feel when posting to Instagram."

Edeani says that by treating his phone like a camera, he is more open to exploration.

"Instagram reawakened my creativity in a lot of ways," he said. "I've learned to react to that spark -- when I see something just walking around -- and not just dismiss it. Here is this little app that's connecting us all [in San Francisco] and inspiring us to go out and explore this city we live in, to wake up at six in the morning to go capture a sunrise."

Edeani said he's not considering quitting Instagram at this point, in part, because "there's noting else out there compares."

Not everyone agrees. Some Instagram users have already made the jump to other platforms. Robert-Paul Jansen, a web developer living in The Netherlands, said the Facebook deal was the "final push." He closed his account Monday, leaving behind more than 2,000 followers, and now shares his mobile landscape photography on EyeEm, a Berlin-based competitor to Instagram.

Jansen is not the only respected Instagrammer to flee the app this week. But fears of an exodus, for now, appear greatly exaggerated.

Still, even the most optimistic Instagram users are left with wounds.

"What happens the next time a tool is created that taps in to my interests?" wondered Heath. "Am I going to feel the same way? Or can we assume that all great things will eventually be owned by Facebook, Google, Amazon, Apple, or Microsoft?"

Whatever the motives for the deal, few users seem to be holding CEO Kevin Systrom and the rest of the Instagram team in contempt for selling out.

In the end it's a billion dollars," said Heath. "I don't blame [Instagram]. There's no black and white. It's just a lot of bread."

@highlight

Facebook bought photo sharing app Instagram for $1 billion on Monday

@highlight

Instagram racked up more than 35 million registered downloads in just 18 months

@highlight

But many users worry that Facebook will kill what's wonderful about the app