Thanks to its large reserves of oil, the small Gulf state of Kuwait has transformed over the decades from a humble pearl-farming backwater into one of the world's richest countries per capita.

But too much of a good thing, as many of Kuwait's 2.6 million inhabitants are discovering, can be problematic.

In recent years, Kuwaiti waistlines have swollen to make them among the most obese people on the planet. Nearly 70% of Kuwaiti males over 15 are overweight or obese, according to the World Health Organization. For women, the figures are even worse -- slightly over 80%.

Researchers from the London School of Hygiene and Tropical Medicine recently placed Kuwait second only to the United States on a league table ranking countries by the amount of food they consumed per capita to sustain being overweight.

The country's weight gain has led to an unprecedented rise in obesity-related health problems, including heart disease and diabetes. It's a phenomenon being reported in other Gulf countries -- several of Kuwait's neighbors also appear in the top 10, with Qatar coming in 4th, the United Arab Emirates 6th, and Bahrain 10th on the table.

Many attribute the weight problem to rapid changes in lifestyle propelled by oil revenues that have transformed Kuwait into prosperous modern consumer society.

"I think it started with Kuwait being a rich country," said fitness expert Yousef AlQanai, who was overweight himself until getting in shape eight years ago. "We have a lot of oil, so this transcends to how we live our lifestyles. It made our lives much easier. We don't have to work in order to survive."

Chief among these changes has been the introduction of fast food. American fast food outlets arrived with the U.S. troops during the first Gulf War, becoming a permanent fixture on the country's culinary landscape. Some have tailored their menus to cater to bigger appetites in the region, such as a best-selling Pizza Hut dish that features a cheese pizza with a cheeseburger crust.

Rania Al Mutawa, a 36-year-old Kuwaiti woman who is training for a 10-kilometer race being organized alongside Kuwait's first marathon, said the love affair with fast food was leading many in her country to pile on the pounds. Many lacked awareness of the health consequences of eating fast food regularly.

"People in Kuwait consider McDonalds and Burger King as full meal restaurants -- and not junk food," she said. "The average Kuwaiti does not know what goes into that type of food. It's just like a home-cooked meal."

The popularity of fast food over the past decade has been "unprecedented," she said. And for the generation of children growing up eating it regularly, the consequences would be severe. "(The mentality is) it's OK to bring the kids. It's OK to have it two or three times a week," she said.

AlQanai agrees. "Some kids grow up not knowing that this is not good for them."

McDonalds, which opened its first outlet in Kuwait in 1994, now has 65 restaurants across the country. Spokesman Steve Mazeika said McDonald's was "just one choice in the eating-out market" and offered "a wide array of choices for consumers."

"We trust them to choose menu items that are right for their lifestyles," he said.

But there are other factors contributing to Kuwait's weight problem. The country's harsh climate -- in which daytime temperatures can reach over 50 C, or 122 F -- makes it difficult to undertake physical activity during the day, encouraging a sedentary lifestyle and car culture.

"It doesn't encourage people to go out and walk or exercise," said Bader Al Failakawi, a 37-year-old father who is also training for the race as part of a concerted effort to get in shape.

He said Kuwaiti culture also placed strong emphasis on eating at communal gatherings -- with little value placed on moderation. "If you eat less, it means you didn't like it and whoever invited you is not a good host," he said.

But while some are embracing a new fitness culture of marathons and gym membership, others are turning to more drastic measures. Stomach stapling procedures are becoming increasingly popular in Kuwait, with enough demand to prompt the country's first conference for medical professionals involved in weight loss surgery last year.

According to a report in Businessweek, the number of bariatric surgeons in Kuwait has increased tenfold over the past decade, with at least 5,000 patients receiving the procedure in Kuwait last year -- compared with 3,000 in Canada, which has more than 30 times the population. The report added that the legal barriers to surgery in Kuwait are lower than in the United States.

But for AlQanai, the only lasting solution to obesity comes not from the shortcut of surgery, but hard work in the gym.

"Day by day, minute by minute, you have to work on it. You have to sacrifice things sometimes," he said. "It does take a lot of work."

But "once they get there," he said, "it becomes easier and easier. Then what actually makes them happier is going out for a run."

Follow the Inside the Middle East team on Twitter: Zain Verjee: @zainverjee, producer Jon Jensen: @jonjensen, cameraman Paul Devitt: @cameramanCNN, writer Tim Hume: @tim_hume and digital producer Mairi Mackay: @mairicnn.

@highlight

Oil-rich Kuwait has become one of the world's fattest countries

@highlight

Many blame the love affair with U.S. fast food outlets, which arrived during the first Gulf War

@highlight

Stomach stapling procedures have become a popular way to slim down

@highlight

But many are beginning to turn to old-fashioned exercise to get in shape