San Diego (CNN) -- With the Supreme Court poised this week to hear arguments in the legal challenge to Arizona's immigration law, it's a good time to explain what this law and the ruckus surrounding it are really about.

The left says it's about racism and political extremism; the right claims the issues are border security and public safety.

Wrong. In the two years since Gov. Jan Brewer signed SB 1070 into law, it's become clear that this law, and the debate over it, are really about three things: fear, power, and freedom.

It's about fear. As someone who lived in Phoenix and wrote for the Arizona Republic in the late 1990s, I can tell you that Arizonans only recently reached the conclusion that they wanted to get rid of illegal immigrants. The 'Zonies I knew couldn't live without them.

Not a lot of U.S. citizens were lining up to do the hard and dirty jobs that the undocumented were doing. That includes landscaping or other jobs that require you to work outdoors in 115-degree weather.

In 1994, when Californians passed Proposition 187 -- an anti-illegal immigration ballot initiative that intended to deny public services to illegal immigrants but was ultimately struck down by the courts -- and when President Bill Clinton launched "Operation Gatekeeper" to beef up enforcement on the U.S.-Mexico border south of San Diego, hundreds of thousands of illegal immigrants who had been headed to California took a detour through Arizona.

Those who crusade against illegal immigration in the Grand Canyon State will say that this is when the "invasion" began. In truth, it was more like a gigantic job fair where employers eagerly gobbled up illegal immigrants to do everything from cleaning houses to raising children to cooking in restaurants.

At the time, few people seemed concerned about verifying legal status. I once asked the crew washing my car at a popular Phoenix carwash if they had fake green cards, and one of the young men chuckled and said there was no need, since the employer never asked if they were legally eligible to work.

Fueled by illegal immigrant labor, cities like Phoenix boomed, and this was fine by the Phoenicians -- many of whom envisioned their city growing into a desert metropolis with all the amenities. But the problem was that they weren't prepared for the demographic side effect: the fear that they were losing control, and the realization that whites would soon become a statistical minority in Arizona just as they are in California, Texas and New Mexico.

Something had to be done to readjust the ethnic balance. And that something was SB 1070, or as local activists have dubbed it: "The Mexican Removal Act."

It's about power. One of the main things that makes the law so controversial is also one of the things that the lower federal courts have said makes it unconstitutional -- that it essentially deputizes local and state police, who typically haven't been trained to enforce immigration law, and gives them the power to act as surrogates for Immigration and Customs Enforcement.

The Constitution is pretty clear that regulating immigration policy is exclusively a federal responsibility, which is the reason that Proposition 187 was struck down. And the scores of police chiefs who resist enforcing federal immigration law are correct that it erodes the trust between law enforcement and local communities. But perhaps the best argument against giving local and state police this power is that they almost always misuse it.

You see, this job is tougher than it looks, if you want to surgically remove illegal immigrants without harassing or disrupting the lives of U.S.-born Latinos, including some whose families have been in the Southwest for nearly 500 years. That is especially true in the place that used to be called the Arizona Territory.

For those of us who support the role of federal agents to enforce immigration law, including deporting people when appropriate, the problem isn't that the law is being enforced. By all means, the law should be enforced.

The problem is who is doing the enforcing. If the dirty work of asking people for birth certificates and other forms of identification to prove they have a legal right to be in this country is being done by amateurs, it is more likely that there will be mistakes. People will be profiled. Dark skins and accents will take the place of hard evidence and probable cause. Civil rights will be trampled upon.

That's the concern in Arizona, where state lawmakers made a power grab and foolishly gave local and state police officers something that most of them never wanted: the authority to enforce federal immigration law. That authority has to be held in check and closely monitored, and that is where the courts come in.

This is the role that U.S. District Judge Susan Bolton fulfilled when, in July 2010, she struck down some of the most grotesque parts of the law -- a requirement that local police determine the immigration status of individuals they suspect of being in the country illegally, a mandate that people carry documents that prove they have a legal right to be in the United States, and a provision making it a crime for laborers to solicit work.

And it's about freedom, because U.S.-born Latinos should be free from harassment. They shouldn't have to prove they belong in their own country. In this case, they should be spared the additional humiliation of having to prove they have the legal right to be in a region to which they are indigenous.

They have the right to be left alone without mischief-making bureaucrats or lawmakers calling their "American-ness" into question. They and their families have earned it the hard way -- by answering this nation's call, enlisting in the military, and often making the ultimate sacrifice dating back to the days of the American Revolution.

Conservatives get worked up over perceived threats to freedom all the time. Whether it's a smoking ban or a government mandate to buy health insurance, those on the right know how to raise a fuss over big government. What could be worse that police agencies using the blunt instrument of racial and ethnic profiling to ferret out suspected illegal immigrants? How does government get any "bigger" than that?

This debate was never about the rights of illegal immigrants. It's about the rights of those U.S. citizens and legal residents whom the untrained and uninformed might mistake for illegal immigrants.

It's about the kind of country we've always been, and the kind that we want to remain. We sometimes forget that personal liberty is the cornerstone of the United States of America. Once again, it's up to the Supreme Court to remind us.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Arizona's immigration law not all about racism or border security

@highlight

Navarrette: It's fear the Latino immigrants who made Arizona boom will take over

@highlight

It's dangerous because it makes deputies out of local and state police, he writes

@highlight

It's also wrong, he says, because it takes away U.S.-born Latinos' freedom