(CNN) -- Crashes had whittled the expected field from 22 to five, with wreckage from at least a dozen aircraft at one point strewn about the French airfield.

But it did not deter between 300,000 to 500,000 from flocking to the Betheny Plain outside Reims for the final event, drawn by the rush of seeing planes turn, twist and race through the air -- and not deterred by the evident risk.

That account, from the U.S. Centennial of Flight Commission, was from 1909. More than 100 years later, air shows -- which may include air races -- continue to draw millions. In the process, they generate $110 million annually in the U.S. and Canada alone, according to John Cudahy, president of the International Council of Air Shows.

A spike this year in fatalities at such events has raised fresh questions about safety. But it has not detracted from the enthusiasm of many aviation enthusiasts, who still view such races as enthralling competitions.

"It's exciting, it's incredibly moving to see these airplanes do what they do and handle the way they are," said aviation analyst Jim Tilmon, himself a former pilot in the U.S. military and with American Airlines, who then compared it to its risks and thrills with auto racing and other sports.

Such danger was apparent Friday, when pilot Jimmy Leeward's P-51 aircraft plunged into spectators during a qualifying run at the National Championship Air Races and Air Show outside Reno, Nevada. Nine people -- including the pilot -- were killed, with many more injured.

A day later, U.S. Air National Guard Lt. Nate Nueller said an aircraft crashed at a show in Martinsburg, West Virginia, killing the pilot. Cudahy noted there had been at least 13 deaths at U.S. air shows this year -- after none for 2009 and 2010.

Mike Cummings, crew chief for the Blue Thunder racing team, watched Leeward's World War II-era plane fly over his head, invert, go into a loop, then slam into the ground. He called the crash "very traumatic (for) the very close-knit" air racing community, be they people such as himself who knew Leeward personally or other enthusiasts worldwide of the sport.

Still, he said it would not deter him from continuing to participate. Nor would he hesitate to bring family members, as he has done often in the past, to watch planes race.

"(My kids) love the air races," said Cummings. "They realize it's dangerous, that it's not a Sunday afternoon in the park."

Air races are sometimes a part of, but distinct from, "air shows," which generally are exhibitions in which pilots demonstrate aerobatics and other aerial moves.

In a race, pilots compete against one another to see who can go fastest. There are several forms, the most high-profile being the Red Bull Air Race circuit in which competitors race against a clock and do aerobatic maneuvers, before being compared. Its pilots come from around the world -- Japan, Brazil, England and beyond -- oft competing in picturesque locales in front of hundreds of thousands of people, including well over 1 million recently in Dubai.

The Reno race, by contrast, was a lap race. Competitors, typically five to eight at a time, fly a predetermined number of laps in large ovals that range from 3 to 8 miles, depending on the type of plane.

And the fledgling Sky Challenge racing circuit is a head-to-head race that melds the two concepts while adding various safety measures. CEO Peter Newport said he is currently criss-crossing the globe for meetings to set up future events.

Whatever the air race form, Newport said the common challenge is balancing the desire to maximize both excitement and safety. The latter becomes a bigger challenge than with conventional aircraft, since the pilots -- however well-trained -- are trying to push their planes to the limits.

Those involved in such events point out the numerous safety checks in place. Only 320 pilots, for instance, are certified to fly in air shows, much less air races, said Cudahy.

And the Federal Aviation Administration notes that its employees closely examine a race course, monitor pilots' practice runs, examine their and their planes' safety records and observe the races themselves. This is all in addition to pre-race inspections of the aircraft.

Still, as authorities learned again Friday, there are limits to what can be done when pilots are trying to get the most from their aircraft -- especially if there's an unanticipated mechanical failure.

"An air race is a very, very high-speed race close to the ground with aircraft that have been modified to fly much faster than were originally designed to fly," Tilmon said. "You can call this an extreme sport (because the plane and pilot) are being pushed to the absolute edge."

Newport, for one, believes that new technology can make such events safer without losing any of the sport's luster -- something, he said, is needed to encourage more young people to go into aviation. And he thinks that, once the safety questions are answered, air racing should grow even more popular and take its place among conventional sports like baseball, soccer, golf and the like.

"I think air racing will be the world's predominant sport in 10 year's time," said Newport, anticipating it could be a huge spectator and revenue draw without heavy expenses such as building stadiums. "The challenge is (balancing) excitement and safety... Unless you achieve those two things, it's hard to see how it becomes a global sport."

CNN's David George contributed to this report.

@highlight

Air shows, which may include races, generate $110 million annually in the U.S., Canada

@highlight

The first air race was in 1909, and today millions attend such competitions worldwide

@highlight

There have been 13 air show deaths in U.S. this year, an official says

@highlight

An official predicts that air racing "will be the world's predominant sport in 10 years"