(CNN) -- With a chance of winning an Oscar on Sunday, the director of "The Final Inch" says she hopes her documentary will shed light on the often over-looked issue of polio eradication.

The more doses of the vaccination a child receives, the better protected the child is from contracting polio.

"I felt like I was looking at something that no one in the world talks about," Irene Taylor Brodsky, who also helped produce the film, said in a recent interview.

Filming the short documentary was an "eye-opening experience," she said, particularly for one of her co-producers who had to wear a bulletproof vest during filming in Afghanistan.

"The Final Inch" is a testament of the health workers around the world laboring to make polio the second globally eliminated disease behind small pox, Brodsky said.

The 37-minute film, which is scheduled to air on HBO on April 1, has been nominated for an Academy Award in the best documentary short subject category. The awards ceremony is Sunday night.

The film focuses on "the final stages of a 20 year initiative" to eradicate polio around the world, Brodsky said.

Polio is a highly infectious disease which lingers in the poor water systems of India, Pakistan, Nigeria and Afghanistan.

The more doses of the vaccination a child receives, the better protected the child is from contracting polio.

"The Final Inch" focuses on the polio vaccine efforts in India and Pakistan.

Brodsky said she hoped to include Afghanistan, but that became impossible because of the threat of violence and social barriers. Producer Tom Grant had to wear a bulletproof vest while filming in the war-torn country.

He was unable to capture compelling footage because of familial protocol that forbids a man from entering a home full of women while no husband is present. Thus, Grant was often denied access, Brodsky said.

In many countries, people are hesitant to vaccinate their children against polio because of a distrust of the government. Some civilians believe the vaccination to be "something more sinister like a sterilizing drug" produced to curtail their population, Brodsky explained.

She said she often ran into "the skepticism that some communities have against our government in cooperation with their own government."

"It never occurred to me that U.S. foreign policies could affect young children living in the most densely populated areas," she said.

Although it has been 50 years since the United States developed a vaccination for polio, millions of children abroad remain unprotected.

"Ordinary American people have forgotten polio," Brodsky said. And, although the number of polio cases have been reduced by 99 percent, the highly infectious disease is still very real.

"It really limits the opportunities a child might have as an adult," said Oliver Rosenbauer, a spokesman for the World Health Organization's Global Polio Eradication Initiative.

As part of the Global Polio Eradication Initiative, 20 million volunteers deliver vaccinations to schools, bus stops and rail stations across the world on a daily basis.

Only four countries had recorded cases of polio in 2008, down from 125 countries 10 years ago, according to the Global Polio Eradication Initiative.

This year, there have been 26 recorded cases of polio around the world, compared with 46 people who were infected with polio last year.

"But we're only in mid-February. That doesn't say much," Rosenbauer said.

He said that he is most concerned that a child suffering from polio will have a difficult time integrating into society, building friendships and finding a job.

"So it's much more than just the fact that this child will be physically disabled for the rest of his or her life," he added. "It is the opportunity that is lost from the life they might have led."

CNN and HBO are both part of Time Warner.

@highlight

'The Final Inch' focuses on the polio vaccine efforts in India and Pakistan

@highlight

Millions of children abroad remain unprotected from polio

@highlight

This year, there have been 26 recorded cases of polio around the world