(CNN) -- CNN Flims' "An Unreal Dream: The Michael Morton Story," describes in chilling detail how a young father's life was turned upside down and forever changed after his wife was murdered and he was wrongly convicted of the crime.

Like nearly all the 311 DNA exonerations in the United States, Morton's story exposes enormous flaws in the criminal justice system. Morton almost certainly would have never been convicted if the prosecutor had not failed to turn over critical evidence pointing to his innocence.

But if there can be a silver lining to a situation in which someone serves nearly 25 years in prison for a crime he didn't commit, Morton's case has revealed a valuable tool for holding errant prosecutors accountable for their deliberate misconduct.

Morton was exonerated of the 1986 murder of his wife, Christine, after DNA testing of a bloody bandana that was found in the woods near the couple's Williamson County, Texas, home was shown to contain the blood of Christine and Mark Allen Norwood. Norwood, who has an extensive criminal history, was subsequently convicted of Christine's murder. Based on DNA testing conducted during the Morton investigation, Norwood has also been charged with the long unsolved murder of another young wife and mother, Debra Baker, who was killed under chillingly similar circumstances two years after Christine Morton's murder.

During the Innocence Project's investigation of Morton's case, we learned that the prosecutor, Ken Anderson, who was subsequently made a judge, failed to turn over evidence to Morton's attorney. That evidence was a detailed account of the murder from Morton's 3-year-old son Eric. Eric told his maternal grandmother that Morton was not the attacker. Other evidence that wasn't shared also pointed to a third-party assailant.

Last month, in an extremely rare instance of a prosecutor being criminally punished, Anderson entered a plea "not to contest" proceedings of "criminal contempt of court" related to Morton's case, according to Williamson County, Texas, court documents.  Anderson was sentenced to 10 days in jail, a $500 fine, 500 hours of community service and was forced to permanently surrender his license to practice law. He had submitted his resignation from the bench a few weeks earlier.

Read more about Morton's case and Ken Anderson's response

Texas was able to prosecute Anderson with criminal contempt because there was evidence he had violated a specific court order and made false statements to a judge.

During the trial, when it became clear that Anderson was not planning to call the lead investigator in the case, Morton's trial lawyers became suspicious and brought it to the judge's attention. The court in turn ordered Anderson to turn over the investigator's complete report for it to review. At that time the judge also asked Anderson directly whether he had any evidence that would be favorable to the defense to disclose, and Anderson said he did not. Because there was evidence that Anderson violated a direct order of the court, he was charged through a unique Texas procedure called a Court of Inquiry with criminal contempt and concealment of official records for deliberately disobeying the trial judge's directives.

Because court orders have been shown to be the key to holding prosecutors accountable, courts should routinely order prosecutors to look in their files or a specified police file for all exculpatory material and to disclose it in a timely fashion. The prospective standard for determining what is exculpatory should be a version of the American Bar Association Rule of Professional Responsibility 3.8(d) that by law applies to prosecutors in 49 states and the District of Columbia. It has been adopted by the Department of Justice, and requires prosecutors to disclose all evidence that "tends to negate the guilt of the accused or mitigates the offense." Most importantly, the order should clearly state that "willful and deliberate failure to comply is punishable by contempt." Wording here is significant. It means that negligent, inexperienced, stupid or even reckless prosecutors will not be held in contempt, but those few prosecutors who deliberately and willfully suppress exculpatory evidence can be.

Experienced and ethical prosecutors will recognize that the issuance of such orders will be an effective tool for teaching new prosecutors about their obligations and will help expose those "bad apple" prosecutors who discredit the profession. These orders create a mechanism for judges to deal with unscrupulous prosecutors in a way that directly addresses the problem. In cases where there is a deliberate violation of such an order, judges can punish offenders directly through contempt citations. Because contempt is generally not subject to statutes of limitations, prosecutors can be punished even if it takes years -- or decades -- to uncover the failure to disclose, which happened in the Michael Morton case. The orders -- which are known as Brady orders -- also make it easier for state bar disciplinary systems to sanction prosecutors.

Prosecutors yield enormous power over life and liberty, and there must be effective systems in place for making them accountable. While the number of prosecutors who deliberately break the rules is small, history shows they tend to be repeat offenders.

If there is to be justice for Michael Morton and all the other people who have been wrongly convicted at the hands of unscrupulous prosecutors, every state and federal judge in the nation will start Brady orders tomorrow to deter those few prosecutors who would otherwise deliberately violate their ethical and legal duties.

The opinions expressed in this commentary are solely those of Barry Scheck.

@highlight

Michael Morton spent nearly 25 years in prison for a murder he didn't commit

@highlight

Innocence Project's Barry Scheck: Case reveals valuable tool against bad prosecutors

@highlight

Courts can order prosecutors to turn over key evidence or face contempt charges

@highlight

Prosecutors who break the rules are few, but they often repeat themselves, Scheck says