Washington (CNN) -- Inside La Clínica del Pueblo's adobe-colored confines, William Joachin works furiously to help the dozens of Spanish-speaking patients who queue up weekly seeking help registering for Obamacare.

He logs into DC Health Link, the local insurance exchange, and his fingers click rapidly on the computer keys as he enters information into page after page while translating questions and answers into Spanish for families whose members often each have a different immigration status.

"Si," he tells them, the son who was born here qualifies for coverage under Obamacare. No, the El Salvadoran-born mom who has a green card and has been here for only two years, will not qualify for Medicaid until she has been in the U.S. five years.

For hours he sorts through and translates the complicated questions and answers.

He presses enter. All of the information disappears. His heart sinks.

Then he begs for patience and begins the process anew.

Welcome to Obamacare en Español.

The Obama administration is banking on the support of the Hispanic community, with its large numbers of young and uninsured, to help make the President's signature health care reform law a success.

"The population we serve is the most difficult," Joachim said, adding that it often takes several hours and a couple of visits to get an entire family signed up because of technical difficulties and the complexities of enrolling families of mixed immigration status.

Joachim's challenges echo problems faced nationally by Spanish speakers when they try to enroll in the signature Obama administration program designed to serve as a safety net for millions of uninsured Americans.

Efforts to register Spanish speakers are further complicated by technical problems on Obamacare-related websites, worries that information might be used for deportation purposes, problems verifying income, and a digital divide among those who might not have ready access to a computer said Alejandra Gepp, associate director of La Raza's Institute for Hispanic Health.

"Enrollment is happening, but it's been a very slow process for a number of reasons," Gepp said. "Latinos were uninformed and there's a mistrust issue because they are mistrustful of government and there was so much information out there in the media they didn't know what they should believe."

Who's signing up for Obamacare?

Support among the Hispanic community is critical to the Obama administration's efforts.

Roughly half of the nation's Hispanics are under the age of 26 and they are in a good position to pay into insurance pools, while being less likely, because of their relative youth, to draw from them, leaving premium funds available to help pay for health care for older, sicker participants. Hispanics account for roughly 17% of the population, but they make up 32% of the country's uninsured who aren't elderly, according to a report by the Kaiser Family Foundation, an organization which conducts health policy research.

"Disproportionately we are being counted on to sustain this program," said Daniel Garza, executive director of the Libre Initiative, a nonpartisan, nonprofit grassroots Hispanic advocacy organization. "We are a heavy chunk of the folks who are being expected to sign up. "

But when Spanish speakers want to sign up for Obamacare in their own language, they face problems.

On www.cuidadodesalud.gov, the Spanish language version of HealthCare.gov, sometimes links led to dead ends or pages in English. In other instances, some words and phrases are literal translations from English to Spanish, which health advocates in the Hispanic community say makes the site difficult to understand.

"To put up a website that is only cosmetic it's disrespectful of this administration," Garza said. "If you're going to have a website, have it work, for the love of God."

After media reports and questions by CNN, the Department of Health and Human Services, which oversees both the sites, has addressed a number of hyperlink-related problems on the website.

The Spanish language site did not launch until December 6 -- a full two months late and after its English language counterpart debuted. This means Spanish speakers have a much shorter window to browse online to make health care choices before the March 31 deadline for enrollment.

Unlike their English speaking counterparts, Spanish speakers still cannot shop for insurance plans on the website.

"It is very disappointing that it is taking so long to get this critical element on the Spanish website," Gepp said.

U.S. drops contractor for work on Obamacare website

Despite calls among some Hispanic advocacy groups to extend that deadline given the Spanish language website's delayed launch and inability to purchase plans online, Health and Human Services officials said they are unaware of any plans to do so.

Some Hispanic advocacy groups say the Obama administration has given their community short shrift in its health care rollout

HHS decided to delay enrollment on CuidadoDeSalud.gov until they fixed the massive technical glitches on the problem-plagued English version, agency officials said.

"To make sure that Spanish-speaking consumers have the best possible consumer experience, we launched the consumer tools on CuidadoDeSalud.gov as we made upgrades to the site," HHS spokesman Aaron Albright said in a statement. "The technical components of both websites go hand-in-hand and we were mindful that launching both websites simultaneously may possibly have exacerbated the problems. The soft launch has allowed us to identify areas of concerns early and ensure the best product possible."

HHS also points out that Spanish-speakers can enroll on the phone with bilingual staffers. Since October 1, there have been more than 330,000 Spanish calls, which represents 4% of overall call volume, according to the agency.

Spanish speakers can also fill out a paper application in that language. The administration is also relying heavily on bilingual specialists at community organizations, libraries and local health centers to help get people signed up.

The administration says it does not yet have figures on the number Spanish speakers who have enrolled in Obamacare thus far or a breakdown of those enrollments by state.

However, recent enrollment figures of the overall population show that only one in four young adults between the ages of 18 and 34 have signed up for insurance plans under Obamacare. California, Florida, and Texas -- states with some of the nation's biggest Spanish speaking populations -- show similar figures.

The administration reiterated on the website and to community assistants who help Spanish-speakers enroll that "information provided by applicants or beneficiaries won't be used for immigration enforcement purposes."

And the Obama administration is redoubling efforts to boost Hispanic enrollment.

"In my opinion the Affordable Care Act is the single most life-saving act this country has had," Jose Luna, a physician in El Paso, Texas, stressed in a recent telephone news conference organized by the White House.

Others are taking a wait and see approach.

"The good news is Latinos are being enrolled," Gepp said. "Not at the rate we would like to see. Let's see what happens from now to March 31."

White House awards Accenture HealthCare.gov contract

@highlight

Spanish speakers face extra challenges signing up for Obamacare

@highlight

Technical glitches on Spanish site, government mistrust, digital divide to blame

@highlight

Obama administration hoping for high Hispanic enrollment

@highlight

Hispanic community advocates taking wait and see approach on Obamacare success