(CNN) -- Did you hear that a barge leaked 31,500 gallons of crude oil into the Mississippi River over the weekend? When the tanker collided with a tugboat, the resulting spill caused 65 miles of the river to be shut down for two days as New Orleans Port traffic ground to a halt and drinking water intakes were closed.

Or did you hear about the radiation leak at a New Mexico nuclear waste storage site? The Waste Isolation Pilot Plant stores plutonium-contaminated waste from Los Alamos National Laboratory and other government nuclear sites. The storage site has been closed since the Valentine's Day leak, but just this week, officials reported that more airborne radiation has been detected in southeastern New Mexico.

Both incidents come at a dangerous time, where American oil and energy companies are getting increasingly wide discretion and the Environmental Protection Agency has been hollowed out, losing its authority and resources to protect public safety. In Louisiana and New Mexico, officials insist there is no public health threat, but such assertions are suspicious when our government at all levels is more interested in protecting the power of the military and energy industries than the public interest.

A month after coal-processing chemicals leaked from an energy company's storage tank into West Virginia's main water supply, officials say the water is safe to drink. But residents are still wary. West Virginians report that just showering in their water causes headaches and rashes. In the staunchly anti-government, anti-EPA state, people wish there had been more government oversight and regulation to prevent the leak.

Which should make us all incredibly skeptical of expanding domestic dirty energy projects in the United States.

For instance, the Keystone XL pipeline. Forget the inflated claims about how many jobs the pipeline will create or even its environmental implications. Just think for a second about the fact that an existing stretch of the Keystone pipeline leaked 12 times in its first year of operation.

Forbes energy analyst James Conca, commenting on the second pipeline spill in a week in 2013 involving Canadian crude oil, wrote, "It's crazy to think the Keystone XL pipeline won't leak." That is a terrible risk to bear for a pipeline that many experts believe will simply pump a lot of Canadian crude oil over United States soil in order to be processed and sold internationally and which will actually increase the domestic price of oil in America, according to a study by Cornell University and a report by Bloomberg news. Keystone denies that the oil will end up being exported -- despite many reports that its refined product will.

Recently a judge in Nebraska ruled that legislation there allowing the governor to approve the Keystone XL route violates the state constitution â€” a victory for opponents of the pipeline.

Days later, the State Department's inspector general determined that the federal government had not violated its own conflict-of-interest policies in selecting a company that stands to benefit from the Keystone expansion as the to prepare a report analyzing the pipeline project â€” a victory for Keystone XL proponents. Meanwhile, the ultimate decision about the Keystone XL pipeline is expected to be made by President Obama and Secretary of State John Kerry in the coming months.

I'm not saying we should turn off all the wells and nuclear facilities in America tomorrow. Given our massive consumption of energy, that's unreasonable. But is it too much to ask that in the wake of disaster after disaster, we restore regular levels of funding to the EPA so that our government can properly monitor risks to public safety and health? Already hobbled by the Bush administration, the EPA's budget has declined every year for the past four years.

"The jurisdiction is wide here and it's hard enough to do the job of environmental protection when working with the Department of Energy and the military, even when you have a well funded agency," said Michelle DePass, former EPA assistant administrator in the Office of International Affairs and a dean at The New School.

"And this is another case, like the West Texas plant fire (in Smith County last year) and the BP oil spill where industry will refuse to acknowledge that the worst case scenario can happen -- until it does," she said.

In addition to strengthening EPA oversight, we must seriously invest in green energy and new fuel technologies.  Once upon a time, this was a nonpartisan issue -- with Republicans and Democrats alike not only voicing concerns about climate change but also wanting our nation to get ahead in the inevitable global green energy industry.

Green energy not only reduces the risks of such devastating spills and leaks but -- an important bonus --  according to studies, green energy production actually creates more jobs than fossil fuel energy production. And yet China is leading the globe in establishing green energy sources and manufacturing solar panels for export. The United States appears to be lagging behind on every count -- except maybe when it comes to oil spills.

The problem with dirty energy disasters is that we don't hear about them unless they're big -- on the scale of the BP Gulf oil leak or the Exxon Valdez. The other, "smaller" stories pop up quickly, but fade from national attention.

And yet for people along the Mississippi River or in southeastern New Mexico or throughout West Virginia, the disaster doesn't go away. And as long as we keep our heads buried in the tar sands and refuse to step up and fully regulate dirty energy industries while investing in safe, green energy, the disasters will only spread.

The opinions expressed in this commentary are solely those of Sally Kohn.

@highlight

Sally Kohn: Many environmental disasters -- radiation leaks, oil spills -- aren't reported widely

@highlight

Kohn: It's a bad time: EPA stripped of authority, energy corporations get wide latitude

@highlight

Kohn: It's time to pursue green energy, stop fossil fuel projects, regulate dirty industries