New Delhi (CNN) -- Narendra Modi, the leader of the Hindu nationalist Bharatiya Janata Party, claimed victory as India's next Prime Minister on Friday, bringing to power a man whose controversial past at one point led the United States to deny him a visa.

Official results show his party winning at least 275 of 543 parliamentary seats, bringing a clear majority, according to the India Election Commission.

It's the first time in three decades that India's 540 million voters delivered a resounding mandate to a single party to rule the world's second-most populous nation.

Fractured electoral verdicts leading to coalition governments had been common in India since 1989.

Manmohan Singh, India's outgoing Prime Minister, called Modi to congratulate him on his "party's victory," said Singh's Twitter page.

Viewed as pro-business, Modi, 63, has pledged reforms to revive the nation's flagging economy.

But his past is not without controversy. Throughout his campaign, his relationship with the country's huge Muslim minority came under scrutiny.

In 2002, Gujarat state was wracked with anti-Muslim violence, in which more than 1,000 people, mostly Muslims, were killed.

Modi, the state's chief minister, was criticized for not doing enough to halt the violence, but a Supreme Court-ordered investigation absolved him of blame last year.

Analysts predict his arrival in India's top office will bring a marked change in direction for the world's most populous democracy, a nation whose modern character has been defined by the defeated Indian National Congress Party, which has been dominant since the country's independence in 1947.

Modi's victory had long been anticipated, as polls indicated a slump in support for the ruling Congress Party, which has been dogged by high-profile corruption scandals amid stubborn inflation and a slowed economy.

Congress Party spokesman Randeep Surjewala told CNN, "We bow before the wishes of the people of India with all humility. We will continue to play the role assigned to us. We will try with greater vigor and determination to work with the large populace of this country."

Modi's relationship with the rest of the world

The United States denied Modi a visa over the anti-Muslim violence in 2005, suggesting a strained relationship between the United States and India's next Prime Minister.

But President Barack Obama called Modi to congratulate him on winning the election and to invite him to Washington, according to the White House.

U.S. Secretary of State John Kerry also congratulated Modi, saying in a tweet that he looks forward to "growing shared prosperity." State Department officials told CNN that Modi will be given a visa to the United States once he takes office and forms a government.

The tensions between Modi and the United States in the past could have an impact on relations during his term, said Arati Jerath, an analyst and journalist in India.

"There is a feeling that Narendra Modi will be much more pro-China than pro-U.S., and that could be rooted to the fact that he's had this tension with the United States over his visa, whereas the Chinese laid out the red carpet for him," Jerath said.

Modi's ascent to the national stage

Celebrations broke out as updates from the five-week-long election were released throughout the day. Modi's supporters sang, danced, played music, threw flowers and even brought elephants into the mix as initial results indicated a huge lead for the BJP. Supporters celebrated outside the party's office and in the streets in Gujarat, where Modi has served as chief minister since 2001.

He tweeted: "Good days are here to come."

At a news conference, BJP chief Rajnath Singh declared, "Till some time ago, it was said India's success story is over. Now, the time has come to rewrite India's success story."

India's potential for growth was once mentioned in the same breath as that of China. But the world's second-most populous nation has not delivered.

Modi, a former tea seller, sprang into the national spotlight for his work in Gujarat, where he cultivated an image of a man who gets things done.

Gujarat, a state of some 60 million people, has seen China-like rates of growth in recent years, which have been eyed enviously by the rest of the country. The "Gujarat model" of development means a focus on infrastructure, urbanization and eradicating red tape.

India's stock market surged Friday as initial results suggested a huge lead for Modi and his party.

UK Foreign Minister William Hague congratulated Modi and his party, saying Britain looked "forward to forging an even closer partnership with India."

CNN's Mallika Kapur, Sumnima Udas and Tim Hume contributed to this report.

@highlight

NEW: President Obama congratulates Narendra Modi and invites him to Washington.

@highlight

Official results show a clear majority for one party, a first in three decades for India

@highlight

Narendra Modi is a Hindu nationalist who was viewed as a pro-business candidate

@highlight

But controversies in his past have led to strained relations with the United States