(CNN) -- It's a mesmerizing, surreal scene. Eight tiny, unmanned aerial vehicles -- called quadrotors -- begin to rise from the ground in unison.

They hover at eye level, filling the room with a heavy buzzing sound. Then they move through a makeshift window, one at a time, and reform as a group on the other side.

This isn't happening on a Spielberg set, and it isn't science fiction. These real-life flying robots are at the University of Pennsylvania's General Robotics, Automation, Sensing and Perception Lab.

"This is a robot that's completely autonomous," said doctoral student Matthew Turpin, "and by that I mean there's no remote control in the background."

The lab is a mechanical engineer's dream. Quadrotors in all shapes, sizes and colors -- and in various degrees of assembly -- cover nearly every surface. Shelves line the walls, filled to the brim with tools and toys.

Most noticeable is the lab's state-of-the-art Vicon motion-capture system. Infrared cameras placed throughout a test-flying area communicate with tiny sensors on the quadrotors, feeding into a computer-based navigation system.

"We have the Vicon system, or the red lights, which allow us to figure out where the robot is," Turpin explained. "Then we're able to send it commands about what we'd like it to do and group behaviors that you'll see."

Turpin gives the quadrotors simple instructions via computer, but the vehicles decide how to get from Point A to Point B on their own. The results are a dazzling display of formations, from spinning in circles in midair to navigating obstacles in sync with each other.

Other quadrotors at the GRASP Lab have worked together to carry cargo and build structures.

"These robots are able to pick up these simple, almost LEGO-like bricks, and they're able to carry them from one location to another," Turpin said.

But perhaps the quadrotors' most memorable moment was when they played instruments to perform the James Bond theme song. The video has more than 3 million views on YouTube.

As much fun as Turpin and his colleagues seem to be having, he says their ultimate goal is to put quadrotors to good use outside the lab.

After the 2011 earthquake in Japan, a team from the University of Pennsylvania and Tohoku University in Sendai took quadrotors into the disaster zone. Led by Vijay Kumar, a former GRASP Lab director and professor at Penn, they achieved some remarkable accomplishments.

Among them: sending quadrotors -- equipped with cameras and lasers -- into an unstable building to see what sort of information they could gather.

"We went into a collapsed building; we mapped three floors," Kumar said. "We got three-dimensional maps, and we were able to show that this sort of thing is feasible today."

Quadrotors could also use sensors to detect radiation levels and other biological hazards, Kumar said. That could help keep first responders out of harm's way.

"Clearly, humans will always have a role to play in emergency response for law enforcement," Kumar said. "But if there's an emergency, if there's a 911 call, the question is, do you want a human dashing off to respond to it right away?"

Kumar also saw an opportunity for quadrotors to be used when law enforcement was close to apprehending a suspect in the Boston bombings.

"After the tragic incident in Boston, you saw that robot actually ripping away the canvas on top of the boat to try to look behind the cover" for the suspect, he said, "It's an excruciatingly, painfully slow operation. What we'd like to do is accomplish these tasks really quickly."

There are plenty of positive uses for quadrotors. But the concept of stealthy, camera-toting robots does cause concern for some people.

Kumar often fields questions about misuse of the technology and privacy concerns.

"I think we should engage in a public dialogue about when to use them, what the potential benefits are, and recognize that we can protect ourselves against abuse of these devices -- as opposed to saying 'we don't want to develop this,' " he said.

For now, most of the research on these robots is still done in the lab. But you could say their potential is sky high.

@highlight

At Penn lab, researchers have created small aerial robots

@highlight

The quadrotor takes commands but is programmed to decide how to do them

@highlight

A YouTube video of quadrotors playing the James Bond theme reached millions

@highlight

They were used in post-earthquake Japan to investigate damaged buildings