Raleigh, North Carolina (CNN) -- Mikayla Raleigh probably can't remember what french fries taste like; she last ate them when she was 13. Instead of candy bars, she downs whole grain energy bars. She eats almonds because she's read that they help with balance.

She's an athlete who watches precisely what she eats but focuses on her training and her teammates.

The 16-year-old high school student knows that to win gold, everything has to be perfect, from her technique to her health to her coordination.

The ultimate goal: leading her team to a world championship. She works out just about every day in the weeks leading up to the competition, and some practices last three hours.

Mikayla, a rising cross-country star, isn't preparing for a race. She's getting ready to compete with 19 other girls for a world championship in all-star cheerleading.

More than 200,000 athletes take part in competitive cheerleading where high-flying stunts, powerful tumbling and tight synchronization yield winning scores in a growing network of competitions.

The most prestigious event is the World Championship of All Star Cheerleading, held annually in early May.

"Like I tell everyone, it's like the Olympics of cheerleading," Mikayla told CNN just before her team competed in the event. "There's just nothing that compares to the feeling of hitting a hard stunt or flipping through the air and then hearing the crowd roar when you hit it. If you experience it, it's just like the happiest feeling ever because ... they're hard skills and they're exciting skills."

Mikayla cheers for Cheer Extreme Allstars, which has six gyms in North Carolina (and one in Virginia) and more than 900 athletes in the program. Mikayla trains at one of the team's bigger facilities, in Raleigh.

The team's website claims "850 national championship titles and counting." Cheer Extreme's large senior team won world championships in 2010. Mikayla is on a smaller team, with 20 girls (plus alternates).

She wants to bring another title trophy back to Raleigh. Her training is intense, probably the most fanatical on the team.

"She is one of those kids that would be in the gym 23 hours of a 24-hour day every day if she could. It means that much to her," said Kelly Smith, Mikayla's coach.

Mikayla writes down every workout because she said it makes her accountable and helps her train smarter. Her log has notes on all of her practices and at-home sessions since last year's world championships.

"So I've done 224 since," she told CNN in April.

Winning over the judges in 150 seconds

The routines in competitive cheerleading, known as all-star cheerleading, are 2½ minutes of music-pumping dance and quickly executed cheerleading stunts mixed with gymnastic moves.

"It's not traditional pompom. The sole purpose of your team is to compete against others. I really can't stand pompom. I like the athletic part of it and like the stunts and tumbling, and that's what I'm really into," Mikayla said.

Maddie Gardner, an 18-year-old member of the Cheer Extreme world championship team, cheers for her high school team, too, but said there is a huge difference between the two teams. Especially since at school, she cheers for other athletes to win, and with Cheer Extreme, she's part of the team.

"It's representing yourself and being part of something that's just so special," she said.

And it's special to a lot of girls. Most of the girls on the top Cheer Extreme teams have their parents drive them for two hours or more from other cities to the two main practice facilities. (The other is in central North Carolina in Kernersville.)

Cheer Extreme co-owner and head coach Courtney Pope said many of the girls get home from school, pack a bag, jump in the car at 4 p.m., get to practice at 6, practice until 9 (or 9:30), then head home, getting into bed about midnight. Homework is usually done in the car.

One girl is from Orlando but stays with a host family in North Carolina.

For many this is the pinnacle of their times as cheerleaders. Some do go on to cheer in college, a few assisted by scholarship or stipend money.

Jim Chadwick, president of the United States All Star Federation -- the governing body of the sport -- said parents and kids shouldn't sink a lot of money into cheerleading hoping it leads to college grant money. The payoff comes from the friends you make and the way being a part of a team prepares you for being an adult, he said

"People should participate in this because of the life skills you get from it," he said by phone. "And if, oh by the way, you are able to get some help on a scholarship, then that's a plus."

To compete at the elite level can take $3,000 to $5,000 a year -- on level with travel soccer teams, he said.

It takes commitment

Pope said the team practices every week of the year. It's just the number of sessions and the intensity of them that varies.

During the summer, the kids do miss time for vacation, but the gym is open most days of the year. Pope said they even practice while schools are closed for Christmas break so the girls can maintain fitness and avoid getting hurt because they were a bit out of shape when they tried a move.

And practices sometimes take up big chunks of the day -- especially for the coaches. Pope, who looks over 22 teams through the week, said on the primary practice days of Saturday and Sunday, she is at the gym for 10 to 11 hours. Each team usually puts in two  to three hours.

All that time on the mat can make a mind and body weak. But Pope said that's OK.

"If you only come in and you hit when you're perfect, then you don't know how to fix things when they go wrong," she said. "That's the way that we're able to, you know, maintain such a high level of, of accuracy in competition because we don't just do it when we're perfect, we do it when we're going to make a mistake, and they have to get through it anyway."

The governing body doesn't want athletes getting in over their heads so they issue guidelines to who can do what.

Coaches and athletes are certified, Chadwick said. That means coaches have to have someone attest to their training. There is a written component where the coaches demonstrate they have read the rules and safety guidelines, he said.

"And there's a hands-on portion where they actually have to show our testers the proper technique for spotting various cheerleading moves and stunts," he said.

Braces and braces

Watch a video of the Cheer Extreme team and you'll notice several girls have braces -- on their teeth and on their ankles.

But Pope said the sport isn't that risky.

"We have had surprisingly few career-ending or long-term injuries," she said. "We roll some ankles here and there or have some strained wrists or tendinitis and that kind of thing, but it is not superiorly dangerous by any stretch of the imagination."

Published studies on reported injuries generally focus on high school and college cheerleading, where participants often practice on hard gym floors. While admitting more can be done to keep athletes safe, all-star cheerleading advocates say they use bouncy gymnastics floors, require safety rules be followed and use plenty of spotters. They point out that while the number of injuries has increased in the past decade, the number of participants has grown even more and the cheerleading season is longer than other sports.

Still year-round strain on a body and mind can lead to mishaps. Both Mikayla and Gardner had injury concerns going into the world championships.

Gardner lost sleep over a mild knee injury that threatened to keep her from competing. But she said that even if she were in a cast, she would still be in the lineup "because that's how much I care about the team and the sport."

Growth period

Chadwick said the popularity of cheerleading is stabilizing in the United States, but internationally the sport is seeing the kind of growth this country saw about 10 years ago. Pope said membership increases at Cheer Extreme by double-digit percentages each year.

Many of the girls on the senior teams have been in the program for years. They have grown to be close friends, Pope said, and the challenges of cheerleading make them better people.

"I truly believe that this experience and the life lessons and the teamwork ... and all the things that are gained from being with a group of people for 10 years like this and traveling together -- the same kids, is just immeasurably important down the road," she said.

And Gardner said that despite the long days of practice, she feels like she's not missing out on life.

"I feel like I'm experiencing an even more exciting teenaged time period because I get to do all these things that other people my age don't get to do," she said.

"And even though it may seem like I'm missing out on a lot of the typical activities that teenagers participate in, I get to do all of that and more because my team is like my group of friends that I get to hang out with every day."

CNN's Courtney Yager and Sandra Endo contributed to this report.

@highlight

All-star cheerleading combines gymnastics, dance and cheerleading moves

@highlight

Cheer Extreme is a North Carolina-based program with a winning tradition

@highlight

Many girls practice 2 to 3 hours several days a week to perfect their routines

@highlight

The prestigious world championships are held each May