(CNN) -- It's like motor racing on water -- deafening music blares out in the countdown to races, and fans flock to the water's edge. Welcome to the Extreme Sailing Series, extreme by name and extreme by nature.

Expect capsizing, high-speed wipeouts and crashes involving catamarans that are twice the size of the biggest Olympic boats -- and notably faster, reaching top speeds of 30 knots. That's a speed of 35 mph (56 kph) -- maybe not as quick as an elite sports car, but fast enough for huge adrenalin surge.

Races take place across the globe, from narrow Amsterdam canal waterways to Sydney's spacious harbor for the season finale.

It's also awash with star sailors, including two-time America's Cup winner Ernesto Bertarelli, Ben Ainslie, whose tactics helped guide Team Oracle to victory in San Francisco last year, and 2013 losing skipper Dean Barker.

It's no surprise, then, that extreme sailing has been described as the Formula One of the water -- although it's less wheel-to-wheel and more hull-to-hull racing.

For his part, Ainslie, himself a F1 fan, likens it to another form of motorsport: "It's basically sailing's version of stock-car racing. The courses are very short and there are collisions and spills."

This is sailing with a twist, as crews regularly employ guests on board, often celebrities, with the likes of Duran Duran singer Simon LeBon, ex-F1 boss Eddie Jordan, former England cricketer Michael Vaughan and current Wales rugby skipper Sam Warburton having tackled the world's waters in competition.

The 2014 season -- the seventh since its inception -- starts in Singapore on Thursday. It will be Ainslie's first race since winning the America's Cup and, as well as being a means to whet his appetite for future events, there is also a more serious purpose to his involvement this time around.

"When you don't race for a long time, it gives you that burning hunger again," he says. "There's definitely the hunger to get back and race, that's what I do.

"The series is a laugh too but it's also the closest thing this year to the multihulls of America's Cup racing, which is the main goal."

Ainslie is still plotting a British team entry into sailing's premier event, aiming to raise the $100 million budget required as well as get the necessary expertise on board to captain his own crew, having helped Oracle storm back from an 8-1 deficit to beat Team New Zealand 9-8 in a thrilling title defense.

Yet for all his experience and expertise, the four-time Olympic champion could finish well down the pecking order in the Extreme Sailing Series, when he is paired against sailors for whom the sport is deeply ingrained from seasons past.

Among those is compatriot Leigh McMillan, a one-time Olympian who makes no secret of the fact that Ainslie was his hero as he came through the ranks of British sailing.

McMillan's boat, The Wave Muscat, is the one to beat as the 33-year-old seeks a hat-trick of titles.

"It's a bit of a dream to be racing against Ben," says McMillan. "He's done fantastic things for the sport of sailing, and I'm excited about the challenge of racing against him.

"I hope to learn a lot from him. If I beat him, it will be the proudest moment of my career.

"Winning events this year will be really, really hard, maybe the toughest season ever. It will be extremely difficult, especially as we're racing against potential America's Cup teams with the resources that go with it."

For his part, McMillan describes the racing, which involves crews of five on the Extreme 40 vessels, with a VIP or guest as well, as "hectic."

This year's series begins in Singapore and ends in Sydney, with visits to St. Petersburg, Russia, and Istanbul, Turkey among others.

Each of the eight rounds of the series are known as acts, such a title adding further to the drama on show. There are four days of racing at each act -- one open-water and three other stadium-racing days in front of the eyes of an expectant public.

It's short, sharp racing, each lasting just 10 to 12 minutes, and the first over the finish line wins. Points of a maximum of 10 are awarded for the eight daily races and the crew with the most points at the end of each act is the winner.

The team with the highest number of points across all the regattas claims the series trophy.

McMillan admits the racing can get nasty on occasion, such is the competitive nature of the sailors.

"I know Ben's got a reputation for being quite aggressive but we can be aggressive too," he says.

"I'm quite feisty but also with my experience you have to sail the percentages. You want to stay out of sticky situations, to avoid crashes and to avoid the jury having to make decisions."

Crashes do happen though, and not surprisingly with relative frequency compared to most sailing racing formats.

"I've been involved in the series from the start and I'm still amazed by the adrenalin buzz I get from it each and every time we race," adds McMillan.

"You get crashes and it can get quite close for comfort. But the boats are really, really strong -- they're so very well built. If the crashes do happen, things are set up that they're fixed overnight."

Despite some impressive collisions and capsizes, organizer Andy Tourell believes only one boat has lost out a day's racing as a result of a prang -- a remarkable achievement bearing in mind the topsy-turvy nature of this form of racing.

Tourrell does not quite agree with Ainslie's stock-car-racing analogy, but he says the unpredictable sailing certainly differs to the F1 seasons of recent years.

While Sebastian Vettel has sauntered to four straight titles, McMillan's potential for a treble could well have been scuppered at the final hurdle in 2013.

"Last season came down to the last act of the last race of the last day," Tourrell says. "That gives you an indication of how close it tends to be."

From its outset, the Extreme Sailing Series has tried to be different -- from the element of stadium racing that Tourrell and his team first introduced, to the idea of getting guest sailors, whether they be celebrities, journalists or sponsors.

It means crews have to engage in top-flight racing with a complete stranger on board.

"Sailing too often is not accessible to the public, so we wanted to ensure they were within touching distance of the racing," says Tourrell.

"It was a huge risk as it had never been done before. We wanted to put boats inside a stadium. Of course, there was some negativity from the purists but I think we're over that now.

"It's been a long road to get this far but it really feels like we're on the brink of taking it to the next level."

See also: Oracle Team USA wins America's Cup

See also: Explorer recalls epic raft journey

See also: The best sailing images of 2013

@highlight

Extreme Sailing Series likened to motor racing on the water

@highlight

America's Cup winner Ben Ainslie among the star names set to compete this year

@highlight

Races take place everywhere from Amsterdam canals to the Sydney Opera House

@highlight

Crashes and capsizes are all in a day's work for the competitors