(CNN) -- Last week, the U.S. Supreme Court agreed to hear arguments in Elonis v. U.S., a case  that dates back to 2010, when 28-year-old Anthony Elonis was charged with multiple counts of communicating threats after he posted a series of violent messages to Facebook.

Although Elonis maintained that many of the posts, which included menacing statements directed at his wife and a female FBI agent, were merely rap lyrics, the jury was unconvinced. He was found guilty on all but one of the counts and was sentenced to 44 months in prison.

The Court's primary purpose in taking on Elonis v. U.S. will be to clarify what actually constitutes a "true threat." Today, courts across the country are using dramatically different standards: Some argue that subjective intent is important in determining whether something is a threat, while others do not, focusing instead on how a "reasonable" person would interpret a message.

Since the Supreme Court hasn't addressed this issue directly in over a decade -- a period that has seen the explosion of social media and, with it, a radical shift in the way we communicate -- the time is certainly ripe for a new look.

But the timing of Elonis is crucial for another reason. Over this same decade, we have also witnessed the rapid expansion of prosecutors' use of rap lyrics as evidence in criminal proceedings. In the last two years alone, we have served as expert witnesses or consultants in dozens of such cases, and our research suggests there have been hundreds more across the country.

Rather than acknowledge rap as a fictional form told in rhymed verse, one that privileges figurative, often hyperbolic, speech delivered by an invented character, prosecutors have become skilled at convincing judges and juries that the lyrics are autobiographical confessions of illegal behavior or evidence of a defendant's motive or intent with respect to an alleged crime.

In effect, they have used the judiciary to re-define rap music as something other than art.

Given research demonstrating the prejudicial effect that rap, especially violent "gangsta" rap, can have on potential jurors, it's no surprise that prosecutors misrepresent the genre in this way. Nor should it come as a surprise that the overwhelming majority of defendants in these cases are young black and Latino men.

Rap has always carried the baggage of America's enduring fears about young men of color, even as its history is rooted in a broader hip hop culture that was conceived by many artists as an alternative to violence, a tool to educate, and a pathway to a better life. Without that context, judges and jurors become easy prey for prosecutors who use rap lyrics to secure convictions, often when their cases are weak.

There are examples of such cases to be found across the country, but one of the most recent and high profile has been State v. Skinner in New Jersey. The case involves Vonte Skinner, a drug dealer and aspiring rapper who was charged with attempted murder for his alleged involvement in a 2005 shooting. During his 2008 trial, prosecutors introduced as evidence 13 pages of his violent rap lyrics -- even though they were all composed before the shooting (some of them years before) and none contained specific details about the victim or the crime. Despite the paucity of other evidence against Skinner, the jury found him guilty.

In 2012, however, an appellate court overturned the verdict, finding that the rap lyrics shouldn't have been admitted as evidence. The justices wrote: "We have a significant doubt about whether the jurors would have found defendant guilty if they had not been required to listen to the extended reading of these disturbing and highly prejudicial lyrics."

The State appealed the ruling to the Supreme Court of New Jersey, which heard arguments in the case in April and is expected to rule later this year.

Unlike Skinner, the Elonis case is in some ways atypical of others we've seen: Elonis himself is white, and unlike many defendants, he shows no sign of aspiring to be a professional rapper. (He claimed to be using rap as a "therapeutic" medium through which to vent his frustrations, while his wife said he had not regularly listened to rap music and that she had never seen him write rap lyrics during their seven-year marriage.) In one respect, though, his case is frighteningly typical.

Whereas rap is usually used to demonstrate a defendant's involvement in some underlying offense, there is a rapidly growing strain of cases in which rap itself constitutes the crime. As with Elonis, the lyrics, often posted via social media, are treated as threats and prosecuted as such. And jurors who are perfectly "reasonable" will convict, even when the defendant is merely following the conventions of a musical genre that, like horror films or gangster novels, shouldn't be confused with reality.

At his trial, Elonis claimed that his lyrics were heavily influenced by Eminem, the best selling rapper of all time who rose to fame by pushing the lyrical envelope -- even to the point of fantasizing about killing his wife, not unlike Elonis did when he posted, "There's one way to love you but a thousand ways to kill you. I'm not going to rest until your body is a mess, soaked in blood and dying from all the little cuts."

Elonis maintained he never intended to act out his lyrics, again echoing Eminem, who made the critical distinction between art and reality when he said, "I do say things that I think will shock people. But I don't do things to shock people."

When the Supreme Court hears Elonis v. U.S. this fall, arguments are likely to focus on the legal standards used to determine what does and does not constitute a true threat. In a May op-ed, we joined Professor Clay Calvert in urging the Court to take this case to provide clarity to this important area of law.

At the same time, we think the justices would be wise to use the Elonis case as an opportunity to address the growing prosecution of rap music specifically. No other fictional form is singled out this way, and if the Court remains silent about it, more people can expect to be imprisoned for their art. If that's not a true threat, then what is?

Join us on Facebook.com/CNNOpinion.

@highlight

Supreme Court to hear case involving rap lyrics used to prosecute a 28-year-old man

@highlight

Authors say prosecutors increasingly use rap lyrics to prejudice juries

@highlight

The key issue is whether the wording conveys a "true threat" of violence, they say