(CNN) -- After months of grinding civil war, with supporters of Moammar Gadhafi slowly yielding territory to anti-Gadhafi rebels, the final battle for Libya's liberation unleashed an apparent bloodbath.

Gadhafi was killed after being captured last week, and the circumstances of his death remain unclear. Human Rights Watch says dozens of apparent reprisal killings also occurred on both sides.

Such violence can be common in the aftermath of a long dictatorship, when desired and even cathartic revenge against oppressors competes with efforts to establish the rule of law and stability.

Is the mayhem committed with seeming impunity an unavoidable result of revolution, or does it reveal inherent instability in a society damaged by decades of unjust, corrupt and oppressive rule?

To Bruce Riedel, a senior fellow at the Brookings Institution's Saban Center for Middle East Policy, the answer comes from China's communist revolutionary leader, Mao Tse-tung, who is quoted as having said: "A revolution is not a tea party."

"The aftermath of a very brutal dictatorship is usually very ugly," Riedel said Tuesday. "Of course, it would have been better if Mr. Gadhafi was put before a trial and held accountable for all his crimes. ... I think it's unrealistic to expect that's going to happen."

In the chaos of a firefight surrounding the capture of such a despised tyrant, it's not surprising that an enemy -- perhaps someone whose family suffered at the hands of the Gadhafi regime -- might have decided to kill him, Riedel added.

"It's not going to be a moment to read them their Miranda rights," he said.

Gadhafi and son buried in secret location

Human Rights Watch has called for Libya's governing National Transitional Council to investigate the killing of Gadhafi and others, including 53 people found dead and perhaps summarily executed in a hotel under the control of anti-Gadhafi forces.

Such violence constitutes a war crime, the group said.

"A failure by the NTC to investigate these deaths promptly and impartially, along with the many alleged war crimes by Gaddafi forces, would send a dangerous message that Libyans can take justice into their own hands," said an HRW statement.

In a statement, the NTC's executive office said Tuesday that it "attaches great importance to the concerted efforts deployed to ensure humane treatment, in accordance with the principles of international human rights covenants, to all Libyan and foreign prisoners and detainees. Under the supervision of the Ministry of Justice all cases and detention conditions will be considered and reviewed; fair trials will be guaranteed for those suspected of committing war crimes or criminal acts."

Opinion: U.S enters Libya, leaves Iraq

It said it had coordinated with the High Security Council, which oversees security units, "to ensure all prisoners and detainees are well treated until they are brought before the judicial authorities."

"We do not tolerate, and in fact we disapprove of any prisoner being hurt, let alone killed," the NTC said in a statement. "We did not want to end this tyrant's life before he was brought to court, and before he answered questions that have deprived Libyans from sleep and tormented them for years."

History shows that in a revolution, the victor reaps the spoils, including revenge against those formerly in power. The French Revolution had the guillotine, while modern-day despots have met less ritualized but equally inglorious ends.

In Afghanistan, the former Soviet-backed leader Najibullah was tortured, killed and publicly hanged when the Taliban came to power in 1996.

Another Soviet-era dictator, Nicolae Ceaucescu of Romania, was executed after a very quick trial on Christmas Day in 1989.

Saddam Hussein, who was captured by U.S. forces in 2003, stood trial under Iraq's justice system and was hanged three years later, while former Serbian strongman Slobodan Milosevic died in the custody of the International Criminal Court.

Opinion: Investigate Gadhafi's death as a war crime

Other dictators, including Mobutu Sese Seko of the former Zaire and Mengistu Haile Mariam of Ethiopia, managed to flee into exile.

To Riedel, the killing of Gadhafi sends a message to autocratic rulers such as President Bashar al-Assad of Syria that "the day of reckoning will come, and when the day of reckoning comes, you'd better have your tickets for a plane to exile."

Violence at the hands of the former Libyan rebels, now in power under the National Transitional Council, should not come as a surprise to anyone, he said.

"I find it a little disingenuous for some to be saying, 'We thought these guys were the good guys,' " Riedel said. "How did you expect this was going to end?"

Ibrahim Sharqieh, deputy director of the Brookings Doha Center, noted in an October 6 column that the brutality of the Gadhafi years means "Libyans will likely find themselves using retributive justice against certain members of the regime, particularly against those who were involved in the killing of innocent civilians."

"This will be difficult to avoid," Sharqieh wrote after the regime was toppled but before Gadhafi's capture and killing effectively ended the fighting. "Libyans are likely to want to pursue this path for the cathartic psychological impact it would have on the grieving families of the regime's victims and the society in general."

While such retribution "may provide some psychological release to victims, Libyans must realize that this is not the type of justice that will help their country move into a new era of stability, reconstruction and development," Sharqieh added.

"Indeed, Libyans need to engage in a wide national reconciliation process that uses restorative, rather than retributive, tactics to repair broken relationships and heal deep wounds," he wrote.

Riedel rejected any suggestion that NATO forces or the United States, which spearheaded a military mission to ground Libya's air force and attack government forces, bore responsibility for the extra-judicial killing of Gadhafi after his capture.

President Barack Obama's decision to limit U.S. engagement and reject putting "boots on the ground" prevented any chance that foreign forces could control the situation, he said.

"I'm glad we didn't have boots on the ground," Riedel added. "If one of the prices of that is we had no control over the last moments of Moammar Gadhafi, I think we were better off not having boots on the ground."

Former CIA Director Michael Hayden, a retired general who contributes to CNN, called for U.S. engagement with the newly liberated Libya to prevent a societal collapse in the aftermath of the Gadhafi regime.

"If Libya is left to its own devices, it is not difficult to conceive of it becoming Somalia on the Mediterranean, an ungoverned space threatening the heart of Europe as well as critical international lines of communication," Hayden wrote in a column published Tuesday.

@highlight

Human Rights Watch calls for investigations of apparent reprisal killings

@highlight

"The aftermath of a very brutal dictatorship is usually very ugly," an analyst says

@highlight

"A revolution is not a tea party," China's Mao Tse-tung said

@highlight

Like Gadhafi, other dictators also have met inglorious ends