Atlanta (CNN) -- Retirement terrifies sports stars. The end of a glittering career can feel like falling off a cliff to an athlete who thrives on fame and fortune. And the longer the career, the harder the end game seems to be.

For living legends, it's especially tough to know how to quit. World heavyweight champion Evander Holyfield turned 50 this year -- but he still wants to box professionally.

"I'm not retired," he says. "If I can get a championship fight, I will."

He won't fight just anyone, though -- only top boxers. Because he holds five heavyweight titles, he tells CNN that young boxers could want to challenge him just because they have something to prove.

Holyfield can still draw a crowd, nearly 30 years after his professional debut. During a recent visit to CNN Center in Atlanta, fans swarmed him, taking pictures and shaking his hand.

Holyfield: I want to be a heavyweight champion again

"I keep myself right at the (professional) level, in case somebody feels froggy and says, 'I think I'm going to whup the old man,'" he says. "And they'd be shocked."

He says he trains every day, so that he always feels ready to fight at the top level. But Holyfield also faces a fight outside the ring: He lost his Atlanta-area mansion to foreclosure in 2012.

So he understands the perils of quickly rising from modest means to riches -- then back again. He is trying to get his financial house in order. He recently took a sales role with Primerica, a financial services company. Holyfield sees it as an opportunity to teach others how to manage money.

"When I was 21 years old, I was a millionaire," he says. "You're talking about a guy making $8,000 a year, working 40 hours a week, made the Olympic team, went to the Olympics, two weeks later -- a millionaire."

When Holyfield signed his first million-dollar contract three decades ago, he had been working three jobs that together earned him less than $10,000.

"It was just all of a sudden," he says. "I came into boxing, I made big money."

But getting used to big swings in the bank account isn't the only challenge celebrity athletes such as Holyfield face. They also have to learn how to live without the constant cheer of the crowds once they're out of the spotlight.

CNN PROFILES: Kareem Abdul-Jabbar's 'giant steps'

Kareem Abdul-Jabbar, 65, was one of the world's most famous basketball players. He remains the record all-time scorer in the National Basketball Association. He still has to duck to get his 7-foot, 2-inch frame through most doorways.

But when he retired as a player in 1989, after 20 years of professional play, he was at a loss.

He told CNN: "The first training camp that I missed, I was like, 'Jeez, what am I going to do now?'" He quotes another sports legend -- Jackie Robinson -- to describe how he felt when he retired.

"He said that athletes die twice," Abdul-Jabbar said. "You know, when that first career is gone, that's a death."

That adjustment was harder for Abdul-Jabbar to process than his cancer diagnosis in 2008. He has chronic myeloid leukemia, a blood cancer that he manages with drug therapy.

"I think that (retirement) was the more difficult adjustment because you don't know what to do," he said. "I'd had this incredible career." But when he started to cultivate his talents off the court, he discovered a new calling. Now, he says, he wants to be known for his writing -- not just his basketball prowess.

Faster, stronger, longer: Olympians live longer than the rest of us

"I always tell people I can stuff a basketball into a hoop, but I also have a mind," he said. He has written seven books, including one for children, that focus on contributions from African-Americans to U.S. culture. Inspiring young people to pursue paths in science, math, engineering and other disciplines beyond professional sports is a passion. Because of his reputation as a famous athlete, his advice resonates with young fans."It's really important that young people get ... that there's more to their life than sports and entertainment," he said.

Abdul-Jabbar also works as a paid spokesman for Novartis Pharmaceuticals, which makes Tasigna, the drug therapy he takes to manage his CML. He says this role exposes him to a new fan base.

"People come up to me now and start talking to me about someone in their family, or a friend, or a loved one that has some type of leukemia." He said the experience has opened up a new world to him.

Sports psychologist Jack Llewellyn says that very few professional athletes want to think about coming to the end of their careers while they're still playing. "As a consequence, very few of them are prepared for that next chapter."

Finding a passion off the court while she was still playing in major tournaments helped Martina Navratilova. The tennis superstar, now 55, played professionally well into her 40s. She said that after retiring, "you become irrelevant really quickly."

But because she never defined herself solely through tennis, she was able to accept the transition.

"My sense of self-worth did not depend on winning matches," she said.

Navratilova still is committed to keeping fit: she runs with her dogs, skis, cycles and plays hockey. "And of course, I play tennis."

Navratilova serves as fitness ambassador for AARP, which she says she loves. And she wrote "Shape Your Self: My 6-Step Diet and Fitness Plan to Achieve the Best Shape of Your Life."

Her advice to other athletes, professional and amateur? Play a new game when you get older.

"Find another sport that you can really improve at, that you can get excited about, and have fun," she said. Athletes can still satisfy their competitive drive, without comparing their current game to how they used to perform when they were younger.

Shaquille O'Neal tweets that he's retiring

Like Navratilova, Kevin Willis played professionally much longer than most others in his sport. His career with the NBA stretched into his 40s. But he still didn't want to retire.

"If it wasn't for the simple fact that I'm older, I would (still) be playing," he said. He finally stopped because he says he didn't want to wear out his welcome.

Willis spent half of his prolific career playing for the Atlanta Hawks. The president of the team, Bob Williams, acknowledged that most NBA athletes don't want their playing days to end.

"It's hard to give up the adrenaline rush," he said. He noted that Willis is exceptional in carefully orchestrating his next step after the NBA, and other players could follow suit.

"He's leading by example," Williams said.

Willis already had a post-NBA pursuit lined up when he stopped playing for good five years ago. He started a clothing brand, Willis and Walker, back in 1988. It caters to men who are 6-foot-3 inches and taller, a demographic the 7-footer understands very well.

Speaking from his boutique in Atlanta, he told CNN: "The relationships that I built over those 21 years from basketball, I tapped into ... to help me build this." His clients include former and present professional athletes.

Having two decades worth of NBA earnings helps Willis to finance the endeavor. He says he has poured more than $1 million of his own money into the brand.

Willis turned 50 this year, but he can still carry his weight -- and then some. He says he can still bench press 315 pounds, just as he did when he played professionally. But now, instead of lifting one set of that weight, he completes five sets of five or six repetitions.

"And how did that happen?" he said. "I don't know, man. It's just in the genetics, I guess."

Without the rigors of the NBA game schedule, Willis has more time to train -- and to reflect on his recent milestone birthday.

"That's a lot of life," he said of turning 50. "And I'm always thankful for a lot of stuff, but when you reach that milestone, it's like: 'Wow!'"

@highlight

Heavyweight boxing champion Evander Holyfield says he hasn't retired

@highlight

Basketball legend Kareem Abdul-Jabbar lives with leukemia in his retirement

@highlight

Martina Navratilova serves as AARP Fitness Ambassador

@highlight

Retired NBA player Kevin Willis can still bench press 315 pounds