A company in China reportedly used giant 3-D printers to make 10 houses in one day.  This leads to two obvious questions.

First, how big were those printers? The answer is: 10 meters wide by 6.6 meters high. A mixture of cement and construction waste were sprayed to build the walls layer by layer.

And second, if 3-D printers could be used to create a neighborhood of full-sized, detached single family homes in less time and money than it would conventionally take, could 3-D printers help end homelessness?

I'm not Pollyanna-ish when it comes to ending poverty. Many of the world's problems stem from decades of government policies that fostered inequality and neglect, dynamics that cannot be easily fixed by one solution.

At the same time, I'm completely obsessed with 3-D printers, probably because I don't fully understand them, so they seem like magic sent to us from the future by Captain Picard. If these printers can make even a dent in some of the world's most pressing challenges, they would be even cooler in my book.

So, what major social and economic problems might we potentially print our way out of?  Here are some possibilities.

Hunger

At South by Southwest this year, I got to eat candy that came out of a printer, courtesy of the folks at Deloitte.  Last fall, writer A.J. Jacobs documented in The New York Times an entire meal he and his wife ate that was produced by 3-D printers, including pizza, pasta and dessert. While Jacobs needed the help of several companies and their Ph.D. staff to produce his meal, on Kickstarter, one startup tried to get funding for the "Foodini:" a 3-D food printer for home chefs.

For now, the technology is too expensive, and like many trends the exploration is happening more in high-end settings (3-D printed caviar, anyone?). But as the costs come down and the technology improves, could there be a 3-D printer making nutritious food in every village around the globe? Perhaps.

Homelessness

It's quite a feat for the Chinese company to build 10 homes in one day, but they're not the only innovators.

Earlier this year, Professor Behrokh Khoshnevis at the University of Southern California built a giant 3-D printer that can produce a basic house in one day. And in Amsterdam, construction has begun on what appears to be the first multistory -- and aesthetically pleasing -- 3-D printed house.  Of course, homelessness is far more complex than simply a lack of housing. But the ability to create "affordable housing" even more affordably would not only help homeless people but also low-income individuals.

Disease

I understand stem cells even less than I understand 3-D printing, so I'm not going to say much here except to note that scientists are experimenting with what seems to be impossible but apparently isn't: printing human organs.

CNN.com reported on how bioprinters use an "ink" of stem cells to print 3-D shapes that can be placed into the human body, where hopefully the cells will be accepted by the existing tissues. Bioprinting has a lot of potential. In 2013, a little girl born without a windpipe got one thanks to a 3-D printer that rendered one out of the girl's own stem cells.

A foundation has created a $1 million prize to be awarded to whomever comes up with the first 3-D printed functioning liver, which would be a big deal to the 17,000 Americans waiting for liver transplants — and a huge sign of hope to millions of people worldwide with all kinds of organ needs because of diseases and conditions.

Pollution

There are many causes of climate change, one of which is pollution from industrial production. 3-D printing offers many promising alternatives to more traditionally wasteful and dirty manufacturing methods.

Rather than having to throw out entire products when one piece needs replacing ("planned obsolescence"), 3-D printing will make it easier to replace parts. Even complex products can be produced and assembled locally rather than shipped from across the continent, which would reduce the carbon footprint. (The raw materials will need to be shipped, but they take up less room.)

Money

Printing money is as illegal in three dimensions as it is in two.  And while 3-D printing may never eliminate the need for money, it may change the demand for it.

Think about how the Internet reduced the cost of information or how Spotify has reduced the cost of music. Or how cell phones are prevalent all over the world. Imagine years into the future when 3-D printers are just as affordable and available as cell phones. Communities could meet their basic needs -- not just for food but everyday items -- with far less money.

Imagine a 3-D printer making plates and cups and toothbrushes and hammers and nails and much more for entire communities, to be shared or bartered for rather than purchased with cash.  And for goods that are bought and sold, 3-D printing could maybe reduce costs without affecting production wages (I'm looking at you, Wal-Mart).

The possibilities are so exciting that the World Bank has considered the implications of 3-D printing for reducing poverty and sharing prosperity.

Let's hope 3-D printing will truly be as revolutionary as we hope.

@highlight

A company in China reportedly used 3-D printers to make 10 houses in a day

@highlight

Sally Kohn: 3-D printers have potential to address problems like hunger, pollution

@highlight

She says scientists are even experimenting with printing human tissues, organs

@highlight

Kohn: Millions worldwide can benefit from 3-D printed houses or foods