WASHINGTON (CNN) -- Prosecutors likely would have sought the death penalty against a researcher who killed himself after learning he was going to be charged in the 2001 anthrax killings, two sources told CNN on Friday.

Former U.S. Army researcher Bruce Ivins was found unconscious in his Frederick, Maryland, home on Sunday.

Three sources familiar with the investigation said the case soon will be closed because a threat no longer exists. No information has been made public about what charges were planned.

Authorities had been investigating Bruce Ivins, 62, a former researcher at the Army Medical Research Institute of Infectious Diseases, a bioweapons laboratory at Fort Detrick, Maryland, according to the sources, who spoke on the condition of anonymity because the investigation is still officially open. Ivins had been working at Fort Detrick trying to develop a vaccine against the deadly anthrax toxin.

A U.S. official with knowledge of the investigation told CNN on Friday that authorities were looking at whether Ivins released anthrax as a way to test his vaccine.

A spokesman for Maryland's medical examiner told CNN Friday the official cause of Ivins' death on Tuesday was suicide. One of CNN's sources said Ivins knew he was about to be charged.

The medical examiner's spokesman said he could not confirm a report in the Los Angeles Times that Ivins had taken Tylenol mixed with codeine. The Times first reported Ivins' death on its Web site early Friday.  Watch what's known so far about case against Ivins »

Ivins' attorney said Friday his client was innocent of the anthrax deaths, and said he is disappointed that he "will not have the opportunity to defend his good name."

In a written statement, attorney Paul Kemp said his firm had represented Ivins for more than a year.

"The relentless pressure of accusation and innuendo takes its toll in different ways on different people, as has already been seen in this investigation. In Dr. Ivins' case, it led to his untimely death. We ask that the media respect the privacy of his family, and allow them to grieve."

The anthrax mailings, which killed five people, shook the nation just weeks after the terrorist attacks of September 11, 2001.

There have been no arrests in the case, which started after someone sent letters laced with spores of deadly anthrax to congressional offices and several news organizations. Among those who died were two postal workers. Two contaminated letters were sent to senators, exposing 30 staffers. Read more on the health risks of anthrax

A spokesman for the Frederick County, Maryland, Fire and Rescue Service told CNN that someone called the 911 center at 1:08 a.m. Sunday to report an unconscious person at a home at 622 Military Road.

Frederick Police Capt. Kevin Grubb said Ivins was found unresponsive on the floor of a bathroom. He was taken to Frederick Memorial Hospital. Ivins' modest two-story home is located across from Fort Detrick.

Court documents show that a judge issued a restraining order against Ivins on July 24, days before his suicide.

A woman sought the order against "Dr. Bruce Edward Ivins," whom she accused of making threats of violence, harassment and stalking in the previous 30 days.

In the order, Ivins is told not to contact the woman -- whom CNN is not identifying -- by telephone or other means, and to stay away from her place of employment.

A hearing on the order had been scheduled for Thursday, and according to court documents, she had been subpoenaed to testify before a federal grand jury in Washington on Friday.

John Ezzell, former chief of special pathogens at Fort Detrick, said he was involved in hiring Ivins, who worked at the facility for years before retiring in 2006.

He declined to describe Ivins' exact job responsibilities, but said, "He was an interesting character."

Ezzell said Ivins was the one who examined an anthrax-laced letter that was sent to Sen. Patrick Leahy, D-Vermont, in November 2001. The envelope, which was opened in the lab, contained 23,000 anthrax spores and was postmarked October 9 in Trenton, New Jersey.

Ivins' brother, Tom, said the FBI questioned him about his brother about a year and a half ago. Investigators "asked you about your personal life, how you got along with your brothers when you grew up," he said.  Watch as Tom Ivins talks about his brother »

"They said they were investigating him when they talked to me," said Tom Ivins, who said he was not close to his brother and never spoke to him about the anthrax investigation.

"I stay away from him," he said.

An FBI spokeswoman declined to comment about Ivins on Friday. A Justice Department spokesman could not be reached for comment.

The FBI had traced the anthrax used in the attacks to the lab, the U.S. Army Medical Institute of Infectious Diseases, one of CNN's sources said.

CNN has been told by a source familiar with the investigation that new technology helped in the breakthrough.

A separate source, a U.S. official familiar with the investigation, told CNN that a genetic technology aided in the investigation and identification of the anthrax used in the attacks and led investigators back to the Ft. Detrick lab.

Fort Detrick issued a statement mourning the death of Ivins, who worked at the U.S. Army Medical Institute of Infectious Diseases for more than 35 years as a civilian microbiologist.

"In addition to his long and faithful government service, Bruce contributed to our community as a Red Cross volunteer with the Frederick County chapter. We will miss him very much," the statement said.

Ivins had been questioned previously by the FBI, as had many scientists assisting the FBI, the source said.

Investigators believed the culprit might be a scientist because of the amount of knowledge needed to process the anthrax.

FBI Director Robert Mueller told CNN in July that "there have been breakthroughs" in the investigation and he was confident it would be resolved.  Watch Mueller discuss "breakthroughs" in anthrax case »

"We've made great progress in the investigation and it's in no way dormant," Mueller said. "I'm confident in the course of the investigation, I'm confident of the steps that have been taken in the course of the investigation, and I'm confident that it will be resolved."

Early in the investigation, Attorney General John Ashcroft publicly identified a "person of interest" in the anthrax case -- Steven Hatfill, a former civilian researcher on anthrax.

Hatfill and Ivins both worked at the bioweapons lab at Fort Detrick.

Hatfill was not charged and strongly denied involvement. He sued the Justice Department, claiming his privacy rights were violated when his name was leaked to the media in connection with the ongoing federal investigation into the biological attacks.  Watch Hatfill deny involvement in anthrax case »

The Justice Department reached a settlement with Hatfill in June. He is to receive a one-time payment of $2.8 million and $150,000 a year for life.

CNN's Kevin Bohn, Kelli Arena and Mike Ahlers contributed to this report.

@highlight

NEW: U.S. official: We were looking at whether Ivins released anthrax to test vaccine

@highlight

Attorney says Ivins was innocent in anthrax case, pressure caused his death

@highlight

Suicide is official cause of death for Bruce Ivins, medical examiner says

@highlight

Ivins was being investigated in 2001 anthrax attacks, source says