(CNN) -- Ancient man may have started global warming through massive deforestation and burning that could have permanently altered the Earth's climate, according to a new study by researchers at the University of Virginia and the University of Maryland-Baltimore County.

Primitive slash-and-burn agriculture permanently changed Earth's climate, according to a new study.

The study, published in the scientific journal Quaternary Science Reviews and reported on the University of Virginia's Web site, says over thousands of years, farmers burned down so many forests on such a large scale that huge amounts of carbon dioxide were pumped into the atmosphere. That possibly caused the Earth to warm up and forever changed the climate.

Lead study author William Ruddiman is a professor emeritus of environmental sciences at the University of Virginia and a climate scientist.

"It seems like a common-sense idea that there weren't enough people around 5, 6, 7,000 years ago to have any significant impact on climate. But if you allow for the fact that those people, person by person, had something like 10 times as much of an effect or cleared 10 times as much land as people do today on average, that bumps up the effect of those earlier farmers considerably, and it does make them a factor in contributing to the rise of greenhouse gasses," Ruddiman said.

Ruddiman said that starting thousands of years ago, people would burn down a forest, poke a hole in the soil between the stumps, drop seeds in the holes and grow a crop on that land until the nutrients were tapped out of the soil. Then they would move on.

"And they'd burn down another patch of forest and another and another. They might do that five times in a 20-year period," he said.

That slashing and burning on such a large scale spewed enormous amounts of greenhouse gasses into the atmosphere and warmed the planet, the study says.

Ruddiman has studied and researched the idea of ancient man contributing to climate change for years now. And he's endured plenty of criticism over his theories.

Ken Caldeira, a climate scientist at the Carnegie Institution's Department of Global Ecology in Stanford, California, is among those who disagree with Ruddiman. He said Ruddiman is "exaggerating the importance of early man."

Caldeira told CNN that while ancient farmers may have played a tiny role in climate change, "it just wasn't a significant factor."

He added, "There are actually studies showing if you cut down forests for farmland, you actually cool the planet, because of the glare from the cleared land."

Ruddiman and study co-author Erle Ellis, an ecologist with UMBC, acknowledge that some models of past land use show it's only been in the past 150 years -- with a huge population explosion, the onset of the Industrial Age and the rise of fossil-fuel burning -- that global warming has accelerated.

But Ruddiman said, "My argument is that even at the beginning, they just used much more land per person, so even though there weren't that many people, they used enough to start to push these greenhouse gas concentrations up."

Ruddiman's research also argues that the Earth was on its way to another ice age 10,000 years ago and that ice sheets were already forming in northern latitudes when ancient man started his slashing and burning method of farming.

@highlight

Study: Ancient people were fewer in number, but burned 10 times as much land

@highlight

William Ruddiman: People would slash, burn "five times in a 20 year period"

@highlight

Ken Caldeira, a climate scientist, says study exaggerating impact of early man