LOS ANGELES, California (CNN) -- Much has been made of Barack Obama's interest in "Team of Rivals," Doris Kearns Goodwin's best-selling book on President Lincoln and his cabinet.

Abraham Lincoln, seen here at Antietam, spent a great deal of time studying military history and strategy.

But the president-elect may want to put a new Lincoln book on his nightstand, "Tried by War: Abraham Lincoln as Commander in Chief" (Penguin).

The work by Pulitzer Prize-winning historian James M. McPherson explores how the Illinois lawyer and self-taught military strategist managed to successfully prosecute the nation's bloodiest war.

Like Lincoln, Obama enters office without any military experience of his own, yet he becomes commander in chief during a time of not one but two wars. What can Obama learn from Lincoln's example? CNN put that question to McPherson, but first we discussed how the 16th president developed into arguably the country's greatest commander in chief. The following is an edited version of the interview.

CNN: Abraham Lincoln came into office in 1861 with the United States on the brink of civil war. How did he get himself up to speed to make critical military decisions?

James M. McPherson: We know from [Lincoln secretary] John Hay's diary that Lincoln spent a lot of time reading about military strategy, military theory, military history, to try to bring himself up to speed.

I think another way in which he did it was to talk to as many people as he could find who knew something about the subject. Lincoln, of course, was an experienced trial lawyer. He knew how to cross-examine people to bring out information and I think that was another way in which he learned was just to talk to people and ask them questions and follow up those questions with further questions.

CNN: Lincoln very quickly had to make momentous decisions, and often dealt with resistance or incompetence on the part of commanders in the field.

McPherson: I think Lincoln was surprised by the degree to which he had to become involved in almost day-to-day strategic decisions and command decisions.. The [military commanders] to whom he delegated these responsibilities and these powers just did not exercise those powers, did not rise to the demand of the occasion, and so Lincoln had to do it himself.

Lincoln had no substantial experience prior to the Civil War in military affairs, yet he found himself almost from day one having to make decisions that had large military implications, decisions that were sometimes based on purely military considerations, but in many cases were also based on political calculations that he had to make as president.

CNN: In the introduction to your book you observe that Lincoln "proved to be a more hands-on commander in chief than any other president."

McPherson: I think Lincoln took a more direct hand in formulating strategy and making command decisions than, say, Woodrow Wilson did in World War I and even FDR did in World War II. And that, in Lincoln's case, was not necessarily by choice but by default.

CNN: Before Lincoln's presidency, the concept of commander in chief wasn't clearly defined.

McPherson: Lincoln actually created the office of the modern commander in chief. The constitution merely says the president "shall be commander in chief of the army and navy of the United States and of the militia of the several states when called into federal service." Period. It doesn't define the powers of the president as commander in chief and there weren't any useful precedents for Lincoln in 1861, so he had to establish the precedents.

And what he did was to -- I wouldn't say usurp some of the powers that had been traditionally exercised by Congress in wartime in creating and maintaining an Army and Navy, but to assert powers that could really only be exercised by the commander in chief himself. ... He proclaimed the blockade of the Confederate coastline, which is really an act of war. ... He increased the size of the Army and Navy without congressional authorization. He suspended the writ of habeas corpus and the Chief Justice of the United States said that only Congress could do that. But Lincoln said this is logically an emergency function of the commander in chief and he established that precedent, as well.

CNN: What do you think President-elect Obama might be able to learn from Lincoln as commander in chief?

McPherson: Georges Clemenceau, the French prime minister during World War I, famously said that "War is too important to be left to the generals." Lincoln certainly would have agreed with that. What Clemenceau meant is that every activity involved with fighting a war has political consequences, has consequences far beyond the battlefield, has an impact on the entire society and therefore can't really be decided strictly on military criteria.

And I think that Lincoln certainly learned that and that's something Obama will have to keep in mind. I think he probably is well aware of it, that, for example, whatever decisions he makes about withdrawing troops from Iraq or beefing up troops in Afghanistan don't take place in a social and cultural and political vacuum. They all have consequences far beyond the battlefield itself.

CNN: Lincoln used his incredible gifts with language to great advantage during the Civil War. Can Obama learn from that?

McPherson: Lincoln had the ability to communicate ideas and communicate policy to the average person. He could make things clear, even complicated things clear, to the average person, and I think Obama has that gift, too.

CNN: Do you see temperamental similarities between Obama and Lincoln? Some people have noted that.

McPherson: I think I do. ... Lincoln occasionally did lose his temper, but he usually managed to maintain his cool. ... This kind of temperament -- keeping your cool, keeping your temper, trying to base your decisions on rational thought rather than emotions or temporary explosions of temper -- I think they're similar in that respect and that was a really important factor in Lincoln's leadership qualities.

CNN: Finally, as a historian, does it give you pleasure that Obama is apparently a reader of history?

McPherson: Well yes, it's almost exhilarating to have a president who reads history, knows history and realizes the value of understanding history. "Pleasure" is the right word.

@highlight

James M. McPherson's new book: "Tried by War"

@highlight

Historian shows how Abraham Lincoln handled war, made much up along the way

@highlight

McPherson: Fighting war has political consequences, Obama should heed that