Out of the political frying pan and into the partisan fire for Health and Human Services Secretary Kathleen Sebelius.

A day after apologizing and taking responsibility for the problem-plagued Obamacare website, Sebelius got subpoenaed on Thursday by one of the fiercest Republican critics of the administration -- House Oversight Committee Chairman Rep. Darrell Issa of California.

Issa told CNN that the subpoena demands documents and information relating to the HealthCare.gov website that his committee previously requested from Sebelius, adding she "answered some questions but evaded a great many."

"Now we really need to insist on those documents," he said.

A spokeswoman for the Health and Human Services Department noted last week that Issa's committee began requesting a broad range of documents and transcribed interviews during the recent 16-day government shutdown.

"While we are working diligently to satisfy their interest and have repeatedly communicated our intent to cooperate, their timeline was not feasible given the vast scope of their requests," the spokeswoman, Joanne Peters, said Thursday.

"We are disappointed that the committee believes a subpoena was necessary; however it does not change our intent to continue to cooperate with them to produce documents as expeditiously as we are able to," she added.

Meanwhile, some top Republican members of the House Energy and Commerce Committee sent letters Thursday to Sebelius and four contractors involved in the website project requesting documents involving security concerns raised at its hearing a day earlier with the Secretary.

It's been almost a month since the website for enrolling in President Barack Obama's signature health care reforms went live. But technical problems, despite a series of advance warning signs, have impeded the system and provoked anger and frustration.

Even after a chorus of apologies out of Washington, it may be another month before everything's running smoothly.

The federal agency that oversees the troubled website announced Thursday it had brought on experts from tech giants Google, Oracle and Red Hat to the team working to fix the problems.

According to a blog post by Julie Bataille, spokeswoman for the Centers for Medicare and Medicaid Services, dozens of people were reinforcing the "tech surge" by the administration working on the website issues.

"They come from leading technology companies such as Red Hat and Oracle, and include individuals with expertise on site reliability; stability; and scalability," Bataille's webpost said.

She identified one of the new additions as Michael Dickerson, a site reliability engineer on leave from Google.

On Wednesday, Vice President Joe Biden became the highest-ranking administration official to apologize for the botched rollout.

"We assumed that it was up and ready to run," he told CNN's sister network HLN. "But the good news is although it's not -- and we apologize for that -- we are confident by the end of November it will be, and there'll still be plenty of time for people to register and get online."

That mea culpa came after Sebelius apologized for the "miserably frustrating" problems during a 3 1/2-hour congressional grilling. She said she made a mistake when she told Obama that HealthCare.gov was "ready to go" for its October 1 launch.

Sebelius promised a "vast majority" of consumers will have an easier time shopping online for health insurance under Obamacare by the end of November.

Analysis: Sebelius deals with a difficult day

"In these early weeks, access to HealthCare.gov has been a miserably frustrating experience for way too many Americans, including many who have waited years, in some cases their entire lives, for the security of health insurance," Sebelius said.

She echoed the overall administration stance -- that a team of experts is scrambling to fix the website's errors.

To the frustrated users who have had problems, she said: "You deserve better. I apologize. I'm accountable to you for fixing these problems."

5 things we learned from Sebelius hearing

Obama tried to log on

Biden said he didn't even bother logging on to the Obamacare site.

"Actually, the President tried to get online, and my daughter tried to get online," he said. "I did not, because it was clear that I was not getting online."

Obama himself acknowledged that too many people "have gotten stuck, and I am not happy about it."

"There's no excuse for it," the President said. "And I take full responsibility for making sure it gets fixed ASAP."

Glass half full?

Sebelius said the sweeping health care program has delivered on its promise to provide affordable health care coverage. Thousands have been able to access the website to look at new health coverage options that will give them security of knowing they won't go bankrupt if they get sick, she said.

Who is Kathleen Sebelius?

Republicans have called for Sebelius to be fired for the Obamacare problems, but a White House spokesman said Wednesday that Obama has "complete confidence" in her.

"She took responsibility for many of the problems that are evident with the (Obamacare) website, but she also deserves credit for the other aspects of the Affordable Care Act implementation that have gone well," spokesman Josh Earnest told reporters.

In fact, Obama tried to turn the tables on Republican opponents of his signature health care reforms, challenging them to come up with helpful ideas instead of undermining the federal law.

"Anyone defending the remnants of the old, broken system -- as if it was working for people -- anybody who thinks we shouldn't finish the job of making the health care system work for everybody ... those folks should have to explain themselves," he said.

According to the Kaiser Family Foundation website, 15.4 million people had individual health care coverage in 2011, representing about 5% of the population. The vast majority of Americans have coverage through their employer, Medicare, Medicaid or other public providers.

White House spokesman Jay Carney said Tuesday that "a significant portion" of the 5% of people with individual coverage will end up paying less for better policies when they shop around in the new exchanges.

Early warning signs

Some of the criticism surrounding the website's launch has to do with what Obama and other officials knew -- and when they knew it.

CNN has learned the administration received stark warnings a month before the launch that the Obamacare site was not ready to go live, according to a confidential report. The caution, from the main contractor CGI Federal, warned of risks and issues for HealthCare.gov, even as company executives were testifying publicly the project was on track.

Administration was warned before site launch

Sebelius told the House committee the outside contractors who built the website never recommended delaying this month's launch. But she conceded that "we did not adequately do end-to-end testing."

The contracts with the private companies working on the Obamacare website -- which amount to $174 million so far, with more bills due well into 2014 -- do not have "built-in penalties" allowing her department to charge them for disappointing or faulty work, Sebelius said. But Sebelius said the agency will not pay for incomplete work.

Security questions

Republican Rep. Mike Rogers of Michigan, who chairs the House Intelligence Committee, accused Sebelius of putting the private information of Americans at risk by failing to properly test security measures on the website.

"This is a completely unacceptable level of security," he said. "You know it's not secure."

Sebelius responded that testing occurs regularly, and she told Rogers she would get back to him on whether any end-to-end security test of the entire system has ever occurred. Rogers said he knows there have been no such comprehensive security tests.

Memo warned of high security risk at health care website

An internal government memo obtained by CNN on Wednesday that was written days before the website launched warned of a "high" security risk because of a lack of testing.

"Due to system readiness issues, the (security control assessment) was only partly completed," said the Centers for Medicare and Medicaid Services memo. "This constitutes a risk that must be accepted and mitigated to support the Marketplace Day 1 operations."

Sebelius told CNN last week that Obama didn't know of the problems with the site -- even though insurance companies had complained and the site crashed during a pre-launch test run -- until after it went live.

A senior administration official said Obama now gets a "nightly readout" with the latest Obamacare statistics and an update of the website's status.

More: What else could go wrong with Obamacare?

@highlight

Tech giants Google, Oracle and Red Hat helping to fix HealthCare.gov

@highlight

House Republicans seek security documents from Sebelius and contractors

@highlight

Obama: "I take full responsibility for making sure it gets fixed ASAP"

@highlight

Sebelius says she was wrong to tell Obama the website was ready