The boy was scared, angry, insecure. His dad was away in prison, and the son didn't know how to grapple with his loss.

"Everybody says my father is so bad, but I really love him," the boy said.

Sharon Content still recalls that conversation -- a reminder of her life's calling. She worked on Wall Street for five years before realizing that she needed something more meaningful.

"I just didn't feel satisfied," she said.

Content is the founder of the Brooklyn, New York-based Children of Promise organization, aimed at helping children cope with having a mother or father in prison. Her organization works with about 200 children between the ages of 6 and 16, all of whom have at least one parent in prison.

"I call them the silent victims of incarceration," Content said. "They're not the victim who the crime was committed against, but they are feeling the ramifications of their parents doing time."

More than 2.7 million children in America have a parent in prison, according to a 2010 study (PDF) by The Pew Charitable Trusts. For the vast majority, there are few outlets for the kids. Children are left to be reared by grandmothers, aunts, moms -- themselves often already struggling below the poverty line. Sometimes, they fall into the hands of the state.

In some countries, children actually grow up behind bars with their parents because no one else can raise them and there isn't a social safety net large enough to take care of them all. Pushpa Basnet, one of this year's top 10 CNN Heroes, runs a home in Nepal where dozens of these children can live a more normal life, even in their parents' absence.

At her organization in Brooklyn, Content says separation from parents often leads to depression, anxiety and anger. In some cases, the kids witnessed the crimes their parents committed, so the group works with the children to remove the stigma they may feel.

"There's so many different scenarios that these young people go through," Content said. "But the one thing that's consistent is, there's a level of embarrassment of what your parent did, and they shoulder that level of shame."

Across town from Content, Christopher Watler runs the Harlem Community Justice Center, a nonprofit group that works with the state court system in helping inmates re-enter society. It helps about 250 inmates a year find jobs, get mental health treatment and strive for a life beyond crime.

"Lots of times when a guy comes home, there's a lot of excitement, and the families welcome them back home," Watler said. "But very soon after the honeymoon phase of the release ends, the reality starts to sink in: When are you going to get a job?

"For some, those pressures can lead them back. We don't want that."

Many times, a parent has missed large chunks of his child's most formative years while serving time. That can create awkward and tense moments upon his or her return.

Watler's organization works with a "family re-entry" social worker and interfaith groups to help ease that transition by providing help with rent, food and little things like diapers.

"If you're arguing because you don't have Pampers to contribute to the household," Watler said, "we want to help solve that problem in the short term until you get on your feet."

They especially focus on men and women 18 to 24 years old, who are at the highest risk of committing crimes again. Watler's group provides counseling to give them the skills to be a successful parent while emphasizing that staying crime-free is an important lesson for their kids to witness.

"They want to have those relationships with their children," he said.

At Children of Promise, more than 100 letters of thanks adorn the walls. They are notes from parents in prison thanking the organization for keeping them in contact with their children. "They're happy that we still respect this very important relationship," Content said.

The children in the after-school and summer programs write to their moms and dads every two weeks. They include photographs, report cards and other items going on in their lives. Often the kids will ask each other: What did you tell your dad?

In Nepal, Basnet also wants to preserve the bond between parent and child. During school holidays, she sends the younger children to the prisons to visit, and she brings them food, clothing and fresh water during their stay. She also started a program to teach the parents how to make handicrafts, which she sells to raise money for the children's care.

"Often, they think that they're useless because they're in prison," Basnet said. "I want to make them feel that they are contributing."

Who's your CNN Hero of the Year? Cast your vote now!

Content believes that programs tailored to children are vital in breaking the generational cycle of incarceration.

"The cycle doesn't continue because (the children) saw behavior and repeated it," she said. "From my experience working with the population, the cycle repeats itself because of the lack of support that this young person now has after going through these traumatic experiences."

The children are allowed to still be kids at her program. They play sports and other recreational activities. But the children also talk in groups about their feelings, and they are allowed access mental health support.

"Young people who have lost a parent to military deployment or death or even divorce, society has a level of compassion and understanding for that," Content said. "But for a child who loses a parent to incarceration, that same level of empathy doesn't exist."

She recalls consoling the one boy who wondered about whether it was OK to love his father.

"Your dad is not bad," she told him. "He made some bad decisions and ... is paying for those mistakes. You can feel good about loving him."

Content knows that helping 200 children is "just a drop in the bucket" compared with millions of kids with incarcerated parents. But she hopes her organization grows, first statewide and then nationwide, to bring attention to society "about a population they may not even think about."

"If I'm able to give a bit of a voice to the population," she said, "I feel like I'm doing my part."

@highlight

More than 2.7 million children in America live with a parent in prison, says a recent study

@highlight

In some countries, children even have to live in prison with their parents

@highlight

These children often become depressed and angry; some repeat the cycle of crime

@highlight

Top 10 CNN Hero Pushpa Basnet and others are reaching out to support these kids