(CNN) -- The Indiana Department of Labor on Wednesday announced penalties totaling $80,800 following a worker-safety investigation into a stage collapse last summer that fatally injured seven people and injured dozens of others before a scheduled concert at the Indiana State Fair.

The largest fines -- totaling $63,000 for what the agency said were three "knowing violations" -- were levied on Mid-America Sound Corp., which built the stage structure and leased it to the fair. Metal scaffolding supporting the stage lights fell onto a crowd of fans and workers as a storm swept through the Indianapolis fairgrounds on August 13, 2011, right before country music group Sugarland was to perform.

Mid-America Sound, based in Greenfield, Indiana, was cited for "failure to develop and implement an Operations Management Plan, the failure to develop a risk assessment plan, failure to maintain and use current engineering calculations and documentation, and failure to provide appropriate, qualified supervision," the labor department said.

The company strongly disputed those findings in a statement to CNN Wednesday night.

The citations come as the Indiana Occupational Safety and Health Administration (IOSHA) released the findings of a six-month investigation focusing specifically on employee safety standards. Two workers were among the people killed.

Labor Department Commissioner Lori A. Torres said the citations of Mid-America Sound indicated "the most serious safety violation."

"The evidence demonstrated that the Mid-America Sound Corporation was aware of the appropriate requirements and demonstrated a plain indifference to complying with those requirements," Torres said during a morning news briefing at the state capitol in Indianapolis.

Also, the Indiana State Fair Commission was cited for failing to evaluate and assess "all conditions and the related appropriate safety measures" at the fair's concert venues. The "serious violation" resulted in a $6,300 penalty. And the local chapter of the stagehands union (IATSE) and Theatrical Payroll Services Inc. were cited for four violations and fined $11,500 for failing to make sure the load-bearing roof was properly secured.

State Fair Commission Chairman Andre Lacy issued a statement Wednesday saying the organization has created a new position of emergency management officer "to assist with improving emergency action plans, and completed emergency evacuation training for all employees." He also noted that two independent investigations are ongoing "regarding the structural collapse and decision-making analysis."

"Our hearts continue to go out to the victims and families of those whose lives were forever impacted by the events of Aug. 13," Lacy said in the statement. "We also appreciate the due diligence of the Indiana Department of Labor in compiling its report."

An attorney for the International Alliance of Theatrical Stage Employees told CNN Indianapolis affiliate WTHR that the state fair was making "scapegoats" of the stagehands union.

"(This is) an attempt to deflect attention away from themselves," WTHR quoted attorney Bill Groth as saying. "The State Fair Commission and State Fair personnel are ultimately responsible here. And they're looking for scapegoats and we happen to be first in line."

Byra Borshoff Cook, a spokesperson for Mid-America Sound, said the company disagrees with the investigation's findings "and strongly object to their classification as knowing violations."

"Mid-America Sound was consistent and clear with the Indiana State Fair Commission about the limitations of the temporary roof structure in high winds or severe inclement weather," she said in an e-mailed statement.

"Each year for nearly a decade, we warned the Commission, in writing, that 'The roof or top shall not be used in high winds and or severe inclement weather. High winds meaning 25 MPH and above,'" Cook said, quoting a clause highlighted on a "conditions of contract" page that also was attached to the e-mail sent to CNN.

"In the case of the structure used for the Sugarland concert, the threshold was 40 mph for evacuation," Cook's e-mail stated. "On the evening of the incident one of our employees reconfirmed with State Fair leadership that if there was lightning or wind speeds of 40 mph or more, the area should be evacuated.

"Despite these warnings, the Indiana State Fair Commission, who controlled the venue, and Sugarland, who controlled the concert, refused to postpone the concert and failed to implement an evacuation plan away from the temporary roof structure."

The National Weather Service estimated winds of 60-70 mph were raking the area when the incident occurred. Forecasters had warned that heavy rain and strong winds would hit the fair nearly two hours before the storm moved through.

Video shows the blue canvas top fraying and flapping just seconds before the steel scaffolding gave way and fell onto the "Sugarpit," a section usually occupied by Sugarland's most ardent fans. Authorities had gone onstage just four minutes earlier to warn the crowd to seek shelter, according to a timeline of events released by investigators the day after the accident.

Sugarland, the Atlanta-based duo of Jennifer Nettles and Kristian Bush, escaped injury since they had not yet come onstage. They later posted a message on Twitter saying they were "stunned and heartbroken for the fans."

In November, the families of four people who were killed filed a lawsuit against Sugarland, contending it was the performers' responsibility to decide whether the show would go on and that they had "ultimate control over the lighting" that fell on many of the victims.

Sugarland's representative has said the group would offer no comment about the lawsuit.

CNN's Cameron Tankersley, Holly Yan and Alan Duke contributed to this report.

@highlight

NEW: Spokesperson for fined stage-builder disputes investigation's findings

@highlight

Indiana stage's builder, state fair commission, stagehands union fined more than $80,000

@highlight

Mid-America Sound Corp. hit with the largest penalty -- $63,000 for three violations

@highlight

Announcement comes after a six-month probe into worker-safety issues