Big Spring, Texas (CNN) -- Desperate times call for a tall, cool glass of creativity in this patch of West Texas where water is scarce and quickly disappearing.

But a plan to pump millions of new gallons of drinking water into the system has many people across West Texas holding their noses.

This week construction started on a $13 million water-reclamation facility. That's a fancy way of describing a treatment plant that will turn sewage wastewater into drinking water.

"That's not something I even want to think about," said Eunice Thixton, a Big Spring resident. "It really doesn't sound too good."

There are three major reservoirs that provide drinking water for half a million people who live around Midland, Texas. But the drought is draining those lakes and threatens to create major water shortages in the months ahead.

This is an age-old problem in the dust-hardened landscape of West Texas.

For decades, oil has flowed strongly out of the ground here, but the hunt for water is a more difficult game.

This is where John Grant comes in. He's the director of the Colorado River Municipal Water District, a government agency providing water for cities and towns including Odessa, Midland, Stanton, Big Spring and Snyder.

Grant is essentially the salesman of the water-reclamation project.

Basically he has to reassure people they're not going to be drinking their own urine.

"I see a lot of humor in it," Grant said. "There was a fella over in Midland that I heard made the comment that at least he gets to drink his beer twice now."

Twelve years ago, Grant thought it was crucial to develop new sources of drinking water. Water reclamation was gaining in popularity; the specially treated wastewater is most often used to supply water for industrial uses and watering landscapes, like golf courses.

Grant says water-reclamation technology has improved greatly and will be a vital part of providing drinking water for parts of the country struggling to keep reservoirs full.

The water-reclamation process involves a complex series of treatment. The water will be disinfected, de-mineralized, disinfected again and mixed with water from the reservoir and then re-treated again.

"We live in a drought-prone area. You need to look at other alternatives, and that's the unique thing about this," said Grant.

One of the reservoirs that provide water is EV Spence near the town of Robert Lee. The lake is on the only source of drinking water for the town of 1,000 people.

That lake is at less than 1% of capacity. Deep, dried-out crevices are easily visible across the lake bottom. When full, the water in the EV Spence Reservoir can be 83 feet deep. Today, there are only splotches of water across the dried-out land.

Robert Lee Mayor John Jacobs says the lake will stop providing water in the next six months.

He doesn't have the budget to build a water-reclamation plant, but the mayor wishes he could build one of these plants even if it doesn't sit well with residents.

"I think that'll be the coming for all of us in the desert Southwest," Jacobs said. "Turn the water off and see how long it takes for people to get thirsty."

The Big Spring Water Reclamation Plant will be finished by late next year. John Grant says the plant will provide 2 million gallons of new water for his sprawling district.

On average, the Colorado River Municipal Water District provides 65 million gallons of water every day. But if drought conditions continue into next year, that water supply will have to be cut down to about 45 million gallons a day.

There are also plans to develop two other water reclamation plants in the area, and Grant says when all three plants are finished, they could provide 20% of the area's drinking water.

Grant has heard all the jokes such as, "People are drinking pee." And they get more unappealing than that one.

But not only does Grant say the water will be safe to drink, he says it will actually taste better than West Texas' notoriously bad-tasting water.

"It will actually go through three water treatment processes before it gets back into the water system," Grant said. "It really will be good-quality water."

Grant says he'll be more than happy to be the first person in West Texas to pour himself a cold glass of wastewater-turned-drinking-water.

@highlight

In drought-stricken West Texas, wastewater is seen by some as a vital resource

@highlight

Construction begins this week on a $13 million water-reclamation facility

@highlight

Despite perceptions, one small-town mayor says wastewater may be the wave of the future

@highlight

"Turn the water off and see how long it takes for people to get thirsty," he says