(CNN) -- When Josep Maria Bartomeu became the 40th president of FC Barcelona at the start of this year, he was paraded at the Camp Nou stadium in front of the waiting press, just as his predecessors before him had.

The president of Barcelona, after all, has an exalted status. 
Usually they are voted for by the club's socios, or members, the president sets the tone of the club and the scope of its ambition. They are held to account, too, for their behavior off the pitch and results on it.

A picture was taken of the 51-year-old engineer and entrepreneur, with the club's famous motto visible in the stadium seats behind him, to his left.

Mes Que Un Club.

More Than A Club.

It is an invocation that sums up how Barcelona's fans and players believe that their club transcends soccer. How it represents a progressive Catalan political and social identity. The shirt was deemed so sacred that, for over a century, no sponsor was allowed to sully its famous stripes.

But, in the same picture, to his right, the words "Qatar Airways" loom even larger. The same company now graces the front of Barcelona's shirts too.

Crossroads

Bartomeu has taken charge of a club standing on the crossroads, not to mention at the end of one of the darkest periods in Barcelona's recent history.

In little over a year the club has lost its position as Europe's most feared team, changed its manager, seen another beloved former coach die of cancer, seen Lionel Messi embroiled in an embarrassing tax case and been accused of complicity, at least, in tax avoidance surrounding the transfer deal that brought Brazil star Neymar to Spain.

It was that final scandal that saw Bartomeu's predecessor Sandro Rosell resign in disgrace.

Bartomeu was his deputy and took over, leaving many Barca fans unhappy they weren't allowed their traditional vote.

Factor in the recent signing of Luis Suarez, a player still banned from all soccer related activity after biting a player at the World Cup finals, the third time he has bitten a player in a game during his short career, and the phrase "Mes Que Un Club," for many, seems to be describing a time passed.

Now Bartomeu has been charged with steadying the ship and making sure that isn't the case.

"Things have been very difficult for us," admits Bartomeu in an exclusive, wide-ranging CNN interview. "Not only sporting. I mean we also had a lot of things not sporting that has been ... well, developing the club in another way that we were not planning. But everything [that] comes we try to solve."

Season ahead

Given what's on Bartomeu's plate, his immediate focus is the season ahead. After a barren year, and the resignation of former coach Tata Martino, the club has put its faith in former player Luis Enrique, returning to a time when coaches were nurtured and promoted from within.

"I learned very, very much from Pep Guardiola. He is a genius," Bartomeu said of Barcelona's former coach who, like Enrique, cut his teeth coaching the Barcelona B team.

"Then after Pep, Tito Vilanova, which was the natural continuation of this project but Tito had very bad medical problems. And (then) came Tata Martino. Tata Martino is a ... well, a coach from Argentina with another way of looking at football."

It was agreed that Martino, after a tough transitional season, would stand down. According to Bartomeu, there was only one choice. "(Director of football) Zubizarreta told us: 'Luis Enrique is our man. Luis Enrique is our coach,' " he recalls. "He has been preparing himself in the last few years for this so we took him."

The Messi factor

There has been a changing of the guard on the pitch as much as off it. The biggest loss has been Carles Puyol, who took over as club captain from Enrique almost a decade ago but has now retired after struggling with injuries.

All eyes will be on Lionel Messi, the team's focal point and the embodiment of the club's fortunes.

"It's unlimited," Bartomeu replies when asked how much Messi was worth to Barcelona now.

"Leo Messi came to our club when he was 13 years old. This year he will be 27 ... He has been growing within our club. He is one of us.

"Leo Messi represents something more than his goals or the titles he won. Leo Messi represents, a little bit, this spirit of a young player that comes to our Masia, to our youth academy, and learns."

Bartomeu says he is not worried about the tax case, based on offshore payments for image rights, that has dogged Messi since last year.

"That is something that belongs to his personal life, of course," Bartomeu says. "He has our support, our help and, well, he's managing with his advisers, with his lawyers and of course anything he needs Barca is there to help him."

The Neymar deal

But it is another potential court case that has proved even more damaging to Barcelona's reputation. When details of the Neymar transfer deal was made public, with an alleged $10 million shortfall in what was paid and what was declared to the Spanish authorities, it caused a wave of outrage. Bartomeu, however, believes that the club didn't do anything wrong.

"This transfer is being investigated by a judge in Spain and we have different interpretations," he says. "What we did, of course, being prudent as much as possible, we pay taxes in Brazil and also we pay the same taxes in Spain. So we paid twice just to avoid any misunderstandings for the judge. When the truth comes out then Barca will benefit from this truth."

This season Barcelona will try to accommodate three of the finest attacking talents in the world game: Messi, Neymar and Luis Suarez, even if the club will have to wait for the Uruguayan to serve his four-month ban for biting.

"When we approached Suarez, it was before the World Cup," Bartomeu says.

"We told him that he had the right age. He had the experience. Playing at Liverpool give him incredible performance also. And it was the right time for him to come to our club, to Barcelona.

"We knew from a lot of lot of years ago that Luis Suarez likes our club, likes our city. And we have the advantage. His agent is Pep Guardiola's brother ... He's from Barca in his heart, also, so everything was perfect and created the perfect atmosphere that Luis Suarez accepted. And we know that he had better offers than our offer but he came to Barcelona."

Suarez ban

Suarez's bite on Italy defender Giorgio Chiellini became, for many, one of the defining images of the World Cup. But the incident didn't give Bartomeu any second thoughts.

"No, no. We didn't rethink this decision and we told Luis after the bite. He knows he did wrong," Bartomeu says.

"He apologized. That's very important for us. That means he knows that he did not do things properly -- and of course, coming to our city, coming to our club, there's going to be a way of managing Luis Suarez, because at Liverpool he was a perfect player. Liverpool fans can tell it, supporters can tell it."

On question remains: How would Barcelona react if he bit someone again?

"This is now a question," Bartomeu admits. "This is a question that a lot of people now ask us. We cannot talk about something that could happen or not. We don't know. What we know is that we accept this responsibility and he also wants this responsibility of bringing Luis Suarez to the family of football."

So confident is Barcelona that Suarez will not err again, Bartomeu has not insisted on a "no biting" clause in the contract.

"No, there is no clause," he confirms. "If the clause did exist we wouldn't say it, but it doesn't exist."

Guardiola's return?

As the season approaches -- La Liga kicks off on August 23 -- many question marks remain over where Barcelona is headed and whether it is really "more than a club" or susceptible to the same shenanigans as any other team in the modern game.

Luis Enrique will have to hit the ground running, but Bartomeu believes that the club's special ethos is such that few can resist its gravitational pull, even former coaches like Pep Guardiola.

"Oh I'm sure," Bartomeu says when asked whether Guardiola would ever return to Barcelona.

"I'm sure that all the people that are from Barca, they have Barca in their heart, they go back to Barcelona and help the club. It's something that has happened in the past and will continue in the future.

"I always say to a lot of people that I see a future of Barca. I hope that after 2022 ... with a lot of players that are right now playing or players that are training other teams, coming back to our team as coaches, as a sport director, as members or as presidents of the club.

"Because at the end, we are like a family."

Read Is Barcelona becoming 'Less of a Club'?

@highlight

Barcelona president admits past year has been "very difficult"

@highlight

Josep Maria Bartomeu took over as club as been rocked by controversy

@highlight

Bartomeu believes Pep Guardiola will one day return to the club

@highlight

He says Luis Suarez does not have a "no biting" clause