(Mental Floss) -- It's a lot more difficult than you might think to find good parents in fiction: Perhaps unsurprisingly, a lot of fiction deals either with the lack of a parent -- being a cardinal rule of children's fiction to ditch the parents -- or a parent's complete unsuitability for the role.

But there are a few out there, parents who make you think, "Gee, I wish my parents were like that."

Here's our totally comprehensive, really scientific overview of good parenting in fiction:

1. Atticus Finch -- "To Kill a Mockingbird" by Harper Lee

The widowed father of Jem and Scout, Atticus Finch is one of the great heroes of American literature. Steering his young children along the path of moral rectitude is hard in the Jim Crow South, and when Atticus, a lawyer, unsuccessfully defends an innocent black man from charges that he raped a white woman, it becomes even more difficult.

But his own belief in rightness, morality, and good, even in the face of an unfair world, is communicated to his kids -- and to the world. His impact on the legal profession, especially in the South, was also profound: The Atticus Finch Society, part of the Alabama Law Foundation, was founded to serve the legal needs of the poor and named after a fictional lawyer who "epitomizes the type of professional, and person, lawyers strive to be."

2. Alex and Kate Murry -- "A Wrinkle in Time" by Madeleine L'Engle

Tesseracts are real and Meg and Charles Murry's scientist father has disappeared into one -- it's up to these two brilliant but socially awkward children to save him.

When it was published in 1962, "A Wrinkle in Time" was a sci-fi gift to all those nerdy kids out there for whom "Star Trek" hadn't been invented yet.

And the Murry parents -- beautiful and smart microbiologist Kate and tesseract physicist Alex -- made being scientists seem so cool. Who wouldn't want parents like that?

3. The Weasleys -- "Harry Potter" series by JK Rowling

Harry Potter wanted them to adopt him -- and we wouldn't mind either. Though Harry was already remarkably well-adjusted for a child who'd been forced to sleep in the spider-filled cupboard under the stairs, his friendship with Ron Weasley and his family showed him what a loving family really looked like.

Mom Molly Weasley was kind, fiercely protective of her children -- her battle with Bellatrix Lestrange in the final book was immensely satisfying -- and knits a mean jumper. Dad Arthur Weasley was slightly bumbling, loves Muggle stuff, and still a kid at heart. Best of all, they loved each other as much as they loved their children.

Mental Floss: 10 things you might not know about Harry Potter

4. Marmee -- "Little Women" by Louisa May Alcott

Marmee is the glue that holds the "Little Women" together through the Civil War and their father's long absence. Kind and charitable, she's their moral compass, their comfort in troubled times. Without her, the four girls, Jo, Meg, Amy and Beth, are lost.

5. Mr. and Mrs. Little -- "Stuart Little" by EB White

Interspecies procreation is typically cause for concern, but not for Mr. and Mrs. Little. When their son, Stuart, was born a mouse, the kind, though perhaps a bit dense, Littles treated him just like any other member of the family. A member of the family who had a long tail, whiskers, slept in a cigarette box and could climb up lamp cords.

6. Ma and Pa Ingalls -- "Little House on the Prairie" by Laura Ingalls Wilder

Though Laura Ingalls Wilder's stories of growing up in the Indian Territory, now Kansas, in the mid to late 19th century are actually autobiographical, the books tend to be found in the children's fiction part of the bookstore, so they make the list. Pa was a true pioneer with a serious case of wanderlust: He could build a house by hand and skin a rabbit, but still remained a gentleman, kind, courteous and upstanding. Ma Ingalls, a true pioneer's wife, instructed her children to treat others with care.

7. Mr. and Mrs. Quimby -- "Ramona" series by Beverly Cleary

Ramona Quimby, age 8, is a bit of a handful. Her imagination -- and she's got lots of it -- often gets her into situations, like the time she went to school with her pajamas under her clothes because she was pretending to be a fireman. Or the time she put her doll in the oven. Or the time she squeezed an entire tube of toothpaste into the sink.

Her parents, Bob and Dorothy, meanwhile, are real parents, who have to deal with real things like quitting smoking, having children young, getting laid off, and 8-year-olds who accidentally dye themselves blue. And they even get in fights, like real parents do. But throughout it all, they manage to remain patient and affectionate with their children; they're not perfect, but they're pretty good.

8. Matthew and Marilla Cuthbert -- "Anne of Green Gables" by Lucy Maud Montgomery

When brother and sister Matthew and Marilla Cuthbert of the Green Gables farm decide to adopt a boy from a Nova Scotia orphanage to help out around the farm, they weren't expecting Anne. Anne (with an 'e', of course, since it's ever so much more distinguished) was a redheaded 11-year-old, covered in freckles and though extremely clever, sometimes a bit too imaginative, definitely melodramatic and possessing an almost magnetic attraction to getting into scrapes.

Shy Matthew immediately loves Anne, enchanted by her incessant chatter and her creativity, while Marilla, strict and somewhat prim, takes awhile to warm up. But when she does, her devotion to Anne is unparalleled and she keeps the sometimes flighty redhead on firm ground.

Mental Floss: All about Anne (of Green Gables)

9. Baloo the Bear, Bagheera the Blank Panther, and the wolves -- "The Jungle Book" by Rudyard Kipling

After they save him from becoming tiger Shere Khan's meal, Father Wolf and Mother Wolf raise the hairless man-cub Mowgli as one of their own. But it's up to Baloo the sleepy bear and Bagheera the panther to teach the boy the Law of the Jungle -- thereby becoming the coolest godparents in the world.

10. The Gilbreths -- "Cheaper By The Dozen" by Frank Bunker Gilbreth, Jr., and Ernestine Gilbreth Carey

So, the Gilbreths were actual people, not fiction, and this charming book, published in 1948, is a biography written by their children. But -- and we mean this as a compliment -- the parents are so lovely as to almost seem made up. Frank Gilbreth and his wife, Lillian, are world-famous efficiency experts whose studies in time and motion changed the way people worked.

If Frank had his way, it would have also changed the way people raised children, especially after their incredible fecundity produced 12 children. Having an even dozen children meant that the Gilbreths could apply some of their expertise in their Montclair, New Jersey, home. Hilarity ensues, as does an overwhelming sense of warmth and happiness.

The two children wrote a follow up book, "Belles on Their Toes," recounting what happened after Frank's death in 1924, which left Lillian with house full of children, the youngest just 2 years old, and a business to run. Mother Lillian manages to keep it all together, with good humor and warmth, and the book manages to stay away from the maudlin.

Mental Floss: 22 fictional characters whose names you don't know

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Good parents in fiction are often hard to find

@highlight

Some fictional parents, like Atticus Finch, teach their children an important lesson

@highlight

Mr. and Mrs. Quimby from "Ramona" are patient, loving and imperfect, like real parents

@highlight

"Jungle Book" has unconventional, but loyal, parents and godparents