(CNN) -- Yesterday, Team USA lost to Belgium and is out of the running. But today, you'd think American goalkeeper Tim Howard actually won the World Cup on his own.

Some 1,845,345 tweets heralded Howard's historic game -- 12 saves in regulation, a rare feat, and one that allowed American fans to focus on a winning performance while ignoring the understory: Belgium controlled the game from the beginning, and even the late goal by 19-year-old Julian Green could do little to change the writing that was on the wall.

As the weary American team trudged past the 90 minute mark, Americans focused on the herculean effort by Howard, crowing that he had more saves than Jesus, starting a petition to rename Reagan National for Howard, and briefly appointing him Secretary of Defense on Wikipedia.

To be sure, Howard's performance was one of legend, but the rapture over it, albeit well-deserved, seems to put on a Band-Aid on the one simple fact of the match: The United States lost. Again. In the World Cup. From the very beginning of its campaign, with its slogan of "I believe that we will win!" (a chant that began, appropriately enough, with U.S. Navy football) the United States seemed, well, relatively deluded that it could now contend with the world. On the upside? The campaign convinced millions upon millions of Americans to finally engage in the frenzy that absorbs the rest of the globe in the world's most popular sport. Downside? Rather than be shocked and grateful that that the U.S. men made it to the knockout round, many seemed to think that Belgium would be a small hurdle to American victory.

The focus on winning, above all else, is likely the most important factor that has driven Americans to pay attention, finally, to the World Cup stages.

But for 40 years -- 40 years -- the United States did not care about the Cup because the U.S. did not qualify. So America turned up its nose to soccer, disdaining it for generations. There are many reasons to think that America's disenchantment with the beautiful game is over -- obsessive interest in the first rounds of play is one of them.

But what happens as the World Cup packs up and moves on? Will broken-hearted Americans still love soccer now?

It is easy to link World Cup mania to the popularity of youth soccer in the United States. A 2007 FIFA study concluded that some 25 million American children play soccer, giving the U.S. the largest youth base of any country competing in Brazil right now. But after all, kids playing on a Saturday morning likely doesn't explain the seeming suddenness of American interest.

And we didn't see this kind of interest back when the U.S. hosted the tournament back in 1994. We also didn't see it when the U.S. women won the whole thing in 1991 and 1999 (because, well, you know, women's sports and all). And we didn't see it when the U.S. men's national team reached the quarterfinals in 2002.

So where did all of this frenzy come from? Answer: Americans hate being left behind.

Americans prefer to lead, and until now, they have been the only ones missing this global party, one where the U.S. men have yet to build a winning reputation, something central to American identity. Indeed, some think the intense focus on Brazil has to do with this unfamiliar underdog status.

Soccer has "been a bit of a subculture for a while now," says Greg Lalas, a former Major League Soccer player and current editor-in-chief of MLS.com "One that is incredibly vibrant, inclusive, and frankly, really fun. ... Who doesn't want to be part of that?" It's a good point. Down side? "There'll be no worse thing for American soccer than if we ultimately win a World Cup," says sportswriter Jeff Pearlman. "When that happens, and when we're on equal footing with the elites, it all becomes dull."

For Lalas, though, the turning point has been that this World Cup "opened the eyes of many of the decision makers in the media that this culture exists." But it isn't just the gate-keepers. Social media has given the U.S. soccer nation subculture the space to crow from the rooftops their love of the game, and their enthusiasm has generated a contagion effect, building a collective excitement about soccer that's literally spilling into the streets.

Remember that social media turned one of the worst things television has ever produced â€” "Sharknado" â€” into a revolutionary experience because viewers could complain, mock, and cheer all together. It's done the same for the World Cup, giving it the sense of camaraderie that sports fans need to unify around a team.

Just think: Fans tweeted 15.9 million times during the first three U.S. matches. During the game against Germany, one of the most popular images throughout the Twittersphere was of companies who had brought in televisions and food so employees could watch.

But don't get too excited. This may have not legs.

That America caught World Cup fever doesn't tell us much about how soccer as a spectator sport will fare here, particularly in terms of the popularity of Major League Soccer or whether NBC's television audience for the Premier League will continue to grow.

Sure, the United States has had diehard soccer fans of all kinds for some time now, but they aren't always rooting for those wearing the red, white, and blue. Mexico, eliminated by the Netherlands on Sunday, has traditionally been the most popular team in the United States, selling almost twice as many tickets to its "friendly" matches as the U.S. men's national team, which is relatively new by comparison.

Many of the Americans in Brazil are there to support Latin American teams, representing communities like those who play at the Red Hook Ball Fields in Brooklyn, where league and pick-up games are accompanied by food trucks slinging the best pupusas, tamales, elote on a stick, arepa, and, of course, tacos.

And it is still hard for some Americans to embrace a game that doesn't necessarily end when it is supposed to, and a tournament with groupings and strategies that mean a loss of yours is turned into a win because the team you tied the other day just beat someone else.

Also, many sports fans may not have space to add soccer into their seasonal cycle of baseball, football, and so on. Thus, the appeal of the World Cup is not necessarily the game it features, as much as the lure of the United States finally sitting at the big table, qualifying regularly, and even winning a match or two.

It is a situation somewhat akin to the Olympics, in which Americans become fascinated -- and sometimes fanatical --with curling and ice dancing and skeleton for the fortnight, but without question don't think about it again until the next one.

So perhaps unless team USA's Clint Dempsey and John Brooks get into the next season of "Dancing with the Stars," it might be four more years before America obsesses about them again.

@highlight

Amy Bass: American so nuts about Tim Howard you'd think he won the World Cup himself

@highlight

But craze likely won't last: It was more about Americans wanting in on the party, she says

@highlight

She says the Cup is suited to social media camaraderie, which has helped whip up interest

@highlight

After the U.S. loss, soccer interest will probably wane, Bass says