Beijing (CNN) -- Covering the trial of Bo Xilai, a man once tipped to rise to the summit of Chinese politics, reminded me of the time I reported on a similarly explosive story in the early 1980s -- the trial of the so-called "Gang of Four" in China.

This notorious group was led by Jiang Qing, Mao Zedong's widow, and three of her ideological allies. A former movie starlet, Jiang Qing rose to the top tier of the Communist Party leadership thanks mainly to her close ties with the "Great Helmsman," the architect of the infamous Cultural Revolution, a campaign to enforce Communism that led to the persecution of millions of people.

But a month after Chairman Mao's death in 1976, the four, together with their associates, were arrested and charged with "heinous" crimes, including plotting to assassinate Mao and attempting to pull off an armed rebellion.

It took more than four years to bring them to trial. For China watchers, it was worth the wait. It turned out to be China's "trial of the century," replete with political intrigue, drama and endlessly memorable quotes.

"Attacking the Ghosts of Mao," read the headline of one of our Newsweek magazine stories published in January 1981. It was the first major story I covered as a foreign correspondent in China.

Controlled coverage

"Covered" is a misnomer. More than 600 people -- mostly government officials, representatives from the public, relatives of defendants and trusted Chinese reporters -- were allowed in court, by invitation only. Foreign journalists like me need not apply, I was told.

Nevertheless the trial turned into a huge story, covered extensively in and outside China.

At that stage, China was just emerging from the dark clouds of the totalitarian Maoist era. The political system was opaque and the media was severely controlled. To our surprise, however, the Chinese newspapers, radio and TV were saturated with "gavel to gavel" reports, as a fellow reporter put it.

The trial dragged on for nearly two months. We relied largely on officially vetted accounts and rare TV footage, aware the authorities had allowed extensive but filtered coverage not for the sake of transparency but to demonize the defendants and legitimize their incarceration.

I remember spending many nights watching CCTV's extensive excerpts of the court proceedings with Chinese friends and fellow reporters. We spent as much time parsing what actually took place inside the courtroom, then reached out to unofficial sources to find out what was actually left out of the official narrative.

Much like events in Jinan this week, the Gang of Four trial took a melodramatic turn as it winded down. During the televised coverage, the former actress feistily defended herself against charges of treason by claiming that everything she did had Mao's approval. "I was Chairman Mao's dog," Jiang Qing shouted at the panel of judges. "Whomever he told me to bite, I bit."

In her final speech, that lasted for about two hours, the 66 year old said she was "prepared to die" fighting for her husband and leader.

In early 1981, Madame Mao, as she became known, was sentenced to death with a two-year reprieve, later commuted to life imprisonment. But several years later, she committed suicide while under house arrest.

Transparent or not?

Watching the Bo trial this week, I wondered what has changed and what has not since Jiang Qing's trial three decades ago.

"This was an open process for China, giving Bo the chance to challenge his accusers and present his own case so publicly," said David Zweig, a professor at The Hong Kong University of Science and Technology. "It has been great drama. This is no Stalinist trial."

True, the five-day trial turned out to be more interesting and substantive. I had expected a brief and heavily scripted political "show trial." But Bo the accused was given ample time to speak out and cross-examine adversarial witnesses. For that Bo himself credited and thanked court officials, especially the chief judge.

"The judge is a professional with a law degree, not like (Gang of Four trial chief judge) Jiang Hua, who was a Long March-era cadre," said Chinese film producer Li Weijia. "Also, Bo had defense lawyers, who I understand were picked by Bo and his family. This could not have happened during the trial of the Gang of Four."

The Chinese authorities hailed this as an "open and public trial," posting photos, video clips and excerpts from court transcripts on the court's Twitter-like Sina weibo account.

"It's a major breakthrough," claimed political analyst Victor Gao. "It demonstrates the government's eagerness to show they have nothing to hide from the public about the trial. It helps enhance transparency and may bode well for greater political reform and judiciary reform."

Filtered truth

But other observers say the court proceeding was only partially open, noting that the court's micro-blog was tightly vetted.

"I think we are clearly still getting a filtered truth," said Donald Clarke, a professor at The George Washington University Law School in the United States. "The Weibo transcripts are not complete."

Clarke noted that the transcripts released on the first day were more copious than those released on the second and subsequent days. "So it seems like somebody somewhere decided to release less information," he explained. "It is inconceivable to me that somebody pretty senior in the propaganda apparatus is not making decisions about what to put in the publicly released transcripts."

With only 19 "trusted" Chinese journalists allowed into the courtroom, we again had to seek out other sources of information to fill in the blanks and cross-check the court's micro-blogs. The official narrative left out parts that may put Bo in good light, two people with knowledge of the proceedings told CNN.

At the closing session on Monday, sources said, Bo spoke for nearly half an hour, much longer than the court transcripts suggested. Bo explained he was retracting his signed confessions because he made them under "severe pressure" during the 17 months he was detained and repeatedly interrogated. After he spoke, Bo's five family members stood up, clapping and saying: "Well put, Xilai! We will always stand by you."

While we could not get the whole truth from the micro-blog, Li Weijia suggested the trial offered some hope. "We could get a sense of what was going on inside the courtroom, especially when Bo said 'no' to some of the charges in front of the judge and his relatives."

Business as usual

Yet some things have not changed, even with the significant progress China has made in reforming its legal system in recent years.

In 1981, for instance, the Chinese court nonchalantly billed the landmark judicial process as "The Trial of Lin Biao and Jiang Qing Counter-Revolutionary Cliques" -- pronouncing the defendants guilty of "counter-revolution" even before the trial.

Three decades later today, there is still no presumption of innocence at a trial. Holding a trial typically presumes guilt, because a preliminary investigation is supposed to have already determined that before going to trial.

In Bo's case, observers say President Xi Jinping's new administration will be treading carefully.

"They want to win the case whereby Bo Xilai will be disgraced for the rest of his life so that he will never have a realistic chance to make a political comeback," said Gao. "But they see no incentive in having 'blood' on their hands. They just want a quick and effective way to dispose of this case and turn a new page."

The court is expected to hand down a guilty verdict.

"Leniency to those who confess, severity to those who resist," goes the guiding principle of China's socialist legal system. Given Bo's defiance and refusal to confess, it seems the only question worth pondering is about how severe the sentence will be.

@highlight

The so-called "Gang of Four" was led by Jiang Qing, Mao Zedong's widow

@highlight

They were accused of plotting to kill Mao and pull off a rebellion

@highlight

The trial was widely reported but heavily censored by Chinese officials

@highlight

Recent Bo Xilai trial was hailed for its transparency, though some question this