London, England (CNN) -- The forthcoming Rolling Stone profile of Gen. Stanley McChrystal that was leaked to the press Monday has now taken on a life of its own. "The Runaway General," by former Newsweek correspondent Michael Hastings, offers a very close look at the four- star general who commands U.S. and NATO forces in Afghanistan.

The piece is available in digital format to anyone who wants to read it ahead of its scheduled publication. Some very smart writers, bloggers and tweeters have been dissecting it now for the better part of a full day, critical of the attitudes and behaviors described in it as examples of arrogance, vindictiveness, frustration, or just plain old poor judgment.

This isn't the first time McChrystal has been profiled in the media. When he first took charge of the Afghanistan mission in the summer of 2009, he was heralded for his past achievements as a Special Forces officer and his approach to getting things done in both Iraq and Afghanistan.

His personal asceticism was a source of awe: sleeping four hours a night, running 15 kilometers and eating a single meal per day, all while directing an extremely difficult mission. He was, by all accounts, the right man for the right job, and could be trusted to sift through the mess, defeat the enemy, and bring the troops home. His conduct has generally been correct and professional, too, despite significant differences of political and military opinion on America's Afghanistan policy.

That was at the beginning of his tour. Now, after almost a year, he appears to have either deliberately let his guard down or been caught with his pants around his ankles. Hastings, who spent a month with McChrystal, writes that he is "determined to put his personal stamp on Afghanistan, to use it as a laboratory for a controversial military strategy known as counterinsurgency."

He also describes McChrystal's entourage as a "handpicked collection of killers, spies, geniuses, patriots, political operators and outright maniacs." To those who have been following the issues, these read like the awkward, breathless observations of an ingénue -- or like material packaged to sell to an audience more attuned to music and pop culture than war and foreign policy.

What's really got everyone's attention, though, is the article's candid descriptions of what appears to be the McChrystal team's ("Team America") contempt for its civilian counterparts and masters, including President Obama, Vice President Joe Biden, U.S. Ambassador to Afghanistan Carl Eikenberry and Special Envoy Richard Holbrooke.

McChrystal issued a formal apology Tuesday, just ahead of the viral stream that propelled the article across the web. Observers are critical that it may not be enough. Washington has now recalled McChrystal to explain himself, and Duncan Boothby, the civilian press aide who arranged Hastings' access, has reportedly resigned his post. As the bodies begin to fall, some are pessimistic about what the future holds for McChrystal, and whether, by this time Wednesday, he will still be in command of U.S. and NATO forces in Afghanistan.

The article raises as many questions about its author as it does about the command culture surrounding McChrystal. It is difficult to fathom that any reporter would be granted warts-and-all access to the inner sanctum, with no strings attached. Were there any? It is equally hard to understand how members of Team America could feel free to speak as unguardedly as they did -- much less cut loose under the influence of alcohol, as Hastings described it -- and expect a good journalist in their midst to not record his observations.

In an interview with CNN on Tuesday, Rolling Stone executive editor Eric Bates contended the comments made by McChrystal and other top military aides during the interview were "not off-the-cuff remarks," he said. They "knew what they were doing when they granted the access." The story shows "a deep division" and "war within the administration" over strategy in Afghanistan.

Mostly, it's difficult to discern what it is Hastings was trying to accomplish with the article, which feels like it wants to be two separate things: a balanced and in-depth profile, or an out-and-out hatchet job. On the former, it fails to convince -- the author's grasp of context is uneven, at best. On the latter, his collected quips are hardly worth the gasps and tisks they've earned thus far, and don't lend themselves well to the context he's trying to convey.

Hastings, a young reporter whose work has been published in a variety of reputable publications, including the Washington Post, the L.A. Times, GQ and Foreign Policy, was a Newsweek correspondent in Iraq from 2005 to 2007. His girlfriend, Andi Parhamovich, another young journalist, followed him there; she was killed in a Sunni militia ambush in January 2007. His memoir of the experience, "I Lost My Love in Baghdad: A Modern War Story", was published in 2008, and quickly panned by New Yorker staff writer George Packer in a review in the New York Times. It was "really two books" that failed to reconcile the war story and their romance. It had an "embarrassing title." It carried a "whiff of exploitation," and it suffered from "literary shortcomings."

More to the point, Packer is one of several journalists, along with the Washington Post's Rajiv Chandrasekaran and Dexter Filkins of the New York Times (among others) to have written notable accounts of their time reporting from Iraq.

Some, like Filkins' book "The Forever War," are more intensely personal than others; the better volumes convey, in one way or another, the sense of social distance that separates their authors from the subjects they write about and from the world outside. That's not what Hastings does. He can, according to Packer, "convey the deadly ennui of a foot patrol" but "is unable to rise rhetorically to the tragedy" of his girlfriend's death. Substitute a few details, and that becomes a remarkably apt description of the Rolling Stones piece.

Hastings clearly demonstrates a keen eye for off-color detail, but fails to weave the threads into something more coherent or meaningful. Getting the facts straight and reporting them is one thing; knowing your subject and making sense of it is quite another.

That's important, and something the Obama Administration should keep in mind before making a decision on the basis of a single reporter's work. If McChrystal is to be sacked, it should be because the White House thinks the relationship between its military and civilian elements in Afghanistan is important to the mission and needs fixing, or because it wants to shift directions in Afghanistan and a change of military leadership would be the best way to make it happen.

The opinions expressed in this commentary are solely those of Michael Innes.

@highlight

An article entitled "The Runaway General" puts Gen. Stanley McChrystal under scrutiny

@highlight

Michael Innes says President Obama shouldn't fire McChrystal based on this one article

@highlight

He says the piece fails to put comments by McChrystal and his staff in context

@highlight

Innes says reporter failed to weave threads of his reporting into a more coherent whole