(CNN) -- A year after leaving Syria, and I had almost forgotten how it feels to be under pressure and terrified all the time. How so easily you can become one of the nameless victims, considered lucky if you were even counted among the dead. But a year after fleeing from the civil war, I have come back -- to a place dominated by fear and chaos, one governed by the force of arms and of bombs.

Why did I choose to come back to all this? The main reason is professional -- I am now working for Save the Children. But there is another reason -- a desire to see the country I left 12 months ago, and to see the situation and devastation through my own eyes, not through the filter of the media.

Like most of my Syrian colleagues, I wasn't an aid worker before the conflict. This is a new field of work for many of us, but in it I feel that I have a responsibility to those Syrians who are trapped inside this never-ending conflict. Each time I interview a child or a mother, I have a responsibility to share their story and ensure the world does not forget them. Before I came back, I thought that perhaps people wouldn't want to speak to me -- that they would be scared to share their experiences. But actually, everyone was just relieved that there were people outside Syria who still cared.

On my first day I was on the border, and stretched out before me I could see camps filled with tents and thousands of displaced people. I cannot imagine how these families are coping in these conditions, families like mine who are now collecting water in a jerry can and relying on food rations.

And then I started to notice other things, smaller details that show how much life in Syria has changed. For example, I noticed that many of the cars were driving around without license plates. Why? Well I guess they don't need to -- who will fine drivers for their defiance? Anyway, now even the smallest problems are solved by weapons, and people feel they need bigger weapons and stronger connections to stay alive.

Another change -- all of the men I saw had long beards. I was surprised to see even local people had them. I asked the people I am traveling with if this was common in this area before the war, and they tell me that it was not. That this is "conflict fashion." Fashion? Since when was conflict ever associated with fashion?

I have seen destroyed buildings and war zones on TV and in the news, but returning here was the first time I had seen such destruction in real life. At first you can't believe your eyes, and you have to remind yourself that you are not watching an apocalyptic movie, but real life. It eventually dawns on you that this is not a film set, that there is life and there are families living in the remnants of these half-destroyed buildings.

I wonder how these people do it. How do people who grew up like me adapt to a situation where virtually everything has been taken away? The answer is that when there is nowhere left to run, you simply have no choice but to find a way to survive. There are airstrikes so people create their own local warning siren. There is no electricity, so people make candles and rig up their own power systems using batteries.

But I am shaken out of my thoughts by the shouts of a friend who is asking everyone to turn off the lights. It's evening, and the locals have heard that there may be an attack on the village we are in. We all move quickly to turn everything off and sit to listen to the reports on the radio. There is mention of a village just a couple of miles from us. My friend tells me this village might be attacked and we should stay on the floor.

Then I hear the name of the village we are in. Then silence again. I look at the faces of my friends; pale, ironically smiling, feigned bravado. None of us say a word, and I swear I can hear our hearts beating. We all know tonight it could be us that are the next nameless victims.

I spend most of the night in a state of paralyzed fear, until finally, at some point, we all fall asleep. The next day people wake as if nothing had happened. That is what life in Syria is like now -- you lived, you are lucky. Now you just have to get on with your day and hope that you will be so fortunate again.

@highlight

Naeem: After leaving Syria, I forgot how it was to be constantly terrified

@highlight

Returning was the first time he had seen real-life destruction

@highlight

In Syria now, if you live, you are lucky, he says