(CNN)California's Silicon Valley is one of the most prosperous places in the United States -- home to tech giants such as Google, Facebook and Apple.

Yet even this region isn't immune from the scourge of child poverty.

I visited Silicon Valley in November for CNN's Change the List series. Readers of this website voted for me to do a story on child poverty. There, I found children living in tents, homeless shelters -- even a garage, which I found particularly ironic given that Google and Apple link their company origins to garages in this valley south of San Francisco.

Instead of going on about all that's wrong with Silicon Valley and this country as a whole, where one in five kids lives below the poverty line, I want to bring some good news: We can fix this.

Child poverty isn't inevitable.

It's a choice.

And we can choose to end it.

Here are four ways we can start to do that. If you don't like these, go to this Google Form (yeah, Google) and suggest a solution of your own. Your ideas may end up in a future column.

(Side note: Google declined to comment on "The poor kids of Silicon Valley." Facebook and Apple, meanwhile, did not respond to my repeated email requests for comment.)

The idea: Housing is too expensive for poor families, especially in markets such as Silicon Valley. But making affordable housing more available can reduce this burden.

Evidence it works: Increasing federal housing subsidies would reduce U.S. child poverty by 20.8%, according to a 2015 Children's Defense Fund report. That would lift 2.3 million kids out of poverty. The annual cost would be $23.5 billion.

For more info, read this report: "Ending Child Poverty Now."

What you can do: Support vetted California organizations that provide free or subsidized housing to low-income families, including Family Supportive Housing and Samaritan House. Or: Petition Facebook, Apple or Google to fund subsidized housing projects in their own backyard.

The idea: Working families can't afford to raise their kids, and better wages would help them do it. The federal minimum wage is worth considerably less now than it was in the 1960s, adjusted for inflation, according to the Congressional Research Service. The federal minimum wage was worth $9.27 in 1963, using July 2013 dollars. Now it's $7.25.

Evidence it works: Raising the federal minimum wage to $10.10 per hour, and boosting the tipped worker wage to $7.07, could reduce U.S. child poverty by 4%, according to the Children's Defense Fund report. That would help lift 400,000 American kids out of poverty. To see how something like that plays out, I visited the Idaho-Washington border.

Idaho's minimum wage is $7.25 per hour. Washington's is $9.47. The difference is $4,618 per year. On my visit, I met Amanda Palmen, a 27-year-old gas station worker. She told me that that wage difference is enough to help her two girls more comfortably -- and get off the SNAP program.

What you can do: Petition for a $10.10 federal minimum wage. And learn more about minimum wage laws in your state.

The idea: Kids who attend high-quality preschools are more likely to graduate from high school and tend to earn more as adults. Every child should have that chance. Additionally, expanding child care subsidies could help. Spending $5.3 billion would reduce U.S. child poverty by 3%, or 300,000 kids, according to the Children's Defense Fund report.

Evidence it works: Meet the poorest kids in Iceland, a country with a low child poverty rate and nearly universal enrollment in early education, starting at age 2. In America, meanwhile, despite advances in many states, only 40% of 3-year-olds are enrolled. (Rates do go up for 4- and 5-year-olds, according to the National Center for Education Statistics.)

Petition in favor of "preschool for all."

Or support these vetted groups:

The idea: The thing poor families lack is money. Give it to them and let them decide how to spend it.

Evidence it works: Cherokee, North Carolina, pays tribal members a biannual stipend, just for being alive. And social ills have declined. The money comes from a casino, which the Eastern Band of the Cherokee Nation owns. In 1996, the tribal council voted to distribute 50% of the casino profits evenly among its 15,000 members, according to Vice Chief Larry Blythe.

A Duke University researcher has been studying the impact of these payments for two decades. She follows 1,420 kids, comparing the lives of those who get the casino money with those who don't. The results are startling. For the poorest families, a yearly $4,000 payment reduced by 22% the odds that children would commit minor crimes by their late teens. The poorest kids were one grade year ahead when researchers checked in with them at 21. Mental health also improved. Kids who were lifted out of poverty by the payments saw behavioral problems decrease by 40%.

For more info, read this op-ed: "The argument for the basic income."

What you can do: Start a petition asking Congress to sponsor a "basic income" bill.

@highlight

John Sutter: Child poverty in the United States isn't inevitable; it's a choice

@highlight

He presents four policy solutions he says would help end this scourge