Las Vegas, Nevada (CNN) -- For all the buzz about "tablet computers" in recent weeks, one fundamental question about this supposedly break-through computer category remains unanswered:

What exactly is a tablet?

Computer industry representatives here at the massive and hype-heavy Consumer Electronics Show can't seem to agree.

Some say a computer just needs a touch-sensitive screen to be a tablet. Others say a person should be able to write on it with a pen. Still others say it's screen size that's important -- tablets must fit somewhere between phones and laptops. For Philip McKinney, vice president and chief technology officer at Hewlett-Packard, it's partly the keyboard -- a tablet should have one of those.

Break off the keyboard, leaving only a touch-screen device, he said, and the gadget falls into another buzz-worthy category: the slate.

Others say the terms slate and tablet are synonymous.

So what's a confused consumer to do? And how can anyone judge the many products here that claim to be from tabletland when there's no consensus on what one is?

Simple. Just get over the name, said Steve Baker, vice-president of industry analysis at the NDP Group, a market research firm.

Computer makers are introducing a shotgun spray of newish -- or at least newly named -- products in hopes that one will be a big recession-era hit with consumers, he said. None of these new devices, which he said are characterized only by their medium size, fix any obvious problem consumers have with their current computers, he said.

Companies are releasing these new products without knowing exactly why consumers would want to use them, he said.

"That's the problem, but the exciting part of it is that we really don't know what the right product is for people -- what they want to do with this."

Hot products

The tablet buzz at CES is somewhat overshadowed by a tablet that Apple is rumored to announce later this month. Still, the array of tablet-esque devices here is getting tons of attention from show attendees.

The two most talked-about tablets at CES are Lenovo's IdeaPad U1, which the company refers to not as a tablet but as a "hybrid-notebook;" and a yet-to-be named and largely unseen "slate" tablet from HP.

Lenovo's device looks like a smallish laptop on first glance. But the screen on the gadget pops off of a plastic shell and can be carried around separately from its keyboard. That's the tablet part of the hybrid.

When separated from its keyboard home, the slender touch-screen tablet -- which looks like a stretched-out iPhone -- is well suited for watching movies, browsing photos and reading books, said Michael Littler, who markets the device. The touch-sensitive screen, made possible by Microsoft's Windows 7, lets users spin photos and scroll through text with their fingers, which might seem more intuitive than a pushing a computer mouse. Watch CES attendees get acquainted with the dual laptop-tablet

That product will debut in six months and will cost less than $1,000, Littler said.

Microsoft CEO Steve Ballmer briefly trotted out HP's unnamed "slate" device during his opening keynote address at the show, stirring up lots of interest. The device was thin and flat, without a keyboard, and with a touch-sensitive screen. HP decided not to show off the unnamed product at CES, however.

McKinney, the company's CTO, said the HP slate has been in development for five years and will be sold to consumers sometime in 2010. He would not discuss the product's price or provide further specifics.

Tablet origins

Part of the tablet confusion comes from the fact that the term is not new.

In the 90s, Microsoft and others introduced tablet PCs with swivel-around screens and keyboards. Consumers couldn't touch the screens with their fingers to control the tablets, but many had stylus pens that let people write on the screen.

While popular in niche markets, those older-generation tablets never took off like expected, said Lance Ulanoff, editor in chief of PC Magazine.

"I think major companies are still a little hesitant to go all-in," he said.

Why now?

The current resurgence of the tablet term -- and the mid-sized, touch-screen gadgets that go with it -- appears to have several precipitating factors.

First, said Ulanoff, is the popularity of the iPhone. Apple's smartphone showed people how helpful touch-screen technology can be.

"I think people got the idea that -- 'Well, what if [the iPhone] was bigger?" he said.

Next is the recession. Consumer electronics sales were down considerably in 2009. That gives computer companies an incentive to try some potentially wacky ideas in an effort to differentiate themselves from competitors, said Baker, the industry analyst.

Technological advances are also pushing the idea. Windows 7, which Microsoft released last year, incorporates touch-screen technology, and many people consider to be a cornerstone of the tablet experience.

Also throw in a truckload of hype about Apple's rumored tablet. Tech blogs have been drooling over the supposed announcement for months.

And, while tablet makers here say they've been working on the technology for years, several admitted the Apple tablet buzz doesn't hurt their efforts.

People expect everything Apple makes to be sexy and popular. And that could rub off on an entire category of devices.

What's in a name?

The flurry of newly named computer products, however, could have negative consequences for the tablet computer industry, said Ken Lee, vice-president of sales and marketing at viliv, another tablet maker exhibiting at CES.

The industry is on the verge of confusing consumers so much that they won't know what products they do or don't want, he said.

Still, he added, it's exciting to work in a time of experimentation. Viliv is focusing on a number of mid-size computing devices -- from its $500 N5 "clamshell" device, which looks like a sunglasses case when it's closed and is small enough to fit in a coat pocket; to a $550 S10 tablet with a swivel touch-screen and a keyboard; and, finally, a soon-to-be-unveiled "media slate," which has an 10-inch touch-screen and no keyboard.

The names are important from a marketing perspective, he said. Viliv didn't call its "media slate" a tablet because that name sounds expensive, he said. The company didn't want to call it a plain old slate either, he said, because that sounded heavy, like slate rock, when the media slate is actually rather light. Slate also sounds industrial, he said, and he wants this media-consumption device to be fun.

"We tried to give it a little bit more of a casual, lighter feeling," he said.

Other companies have introduced mid-sized, pseudo-tablet products under a host of names -- smartbooks, mini-notes, touch-screen netbooks, dual-book e-readers that also surf the Web.

At its CES product office this week, Littler, from Lenovo, was commenting on this development when a woman abruptly joined the conversation.

"I just call it a computer," she said.

@highlight

Tablet computers get buzz at CES, but people disagree about what they are

@highlight

Most are characterized by their size: They are smaller than laptops and bigger than phones

@highlight

HP says tablets have keyboards and "slate" computers only have touch-screens

@highlight

Computer makers are trying out new categories to see what will stick with consumers