Smokers with high levels of a carcinogen byproduct (NNAL) are at higher risk of developing lung cancer.

Smoking is a lot like Russian roulette: You never know who will end up developing lung cancer and who won't. But Dr. Jian-Min Yuan, as well as other researchers from the University of Minnesota, say they are one step closer to determining a smoker's risk for developing the disease. In a study, they tracked the carcinogen and nicotine levels in nearly 500 smokers through a simple urine test and discovered a link between the level of a specific carcinogen and lung cancer. Their findings were presented at the American Association for Cancer Research conference.

Why did researchers track only  the levels of one carcinogen?

We all know that tobacco smoke is bad: It's loaded with 60 different carcinogens, which cause all sorts of health risks. There is one carcinogen in particular that researchers suspected for years contributed to human lung cancer. But there were never any scientific human studies showing this relationship. This carcinogen is known as NNK. It releases into your body when you inhale smoke, quickly passes through the liver, gets metabolized and releases NNAL, a byproduct of NNK, into the bloodstream. University of Minnesota researchers were tracking the NNAL levels via urine samples.  Watch Dr. Gupta explain the findings »

How much did a person have to smoke to develop high levels of NNAL?

The exact amount is a little tricky to determine because a lot depends on how honest a person is about how many cigarettes he or she smoked per day. Additionally, the type of cigarette and how deeply a person inhales could affect the amount of carcinogens in the body. Researchers say a person with high levels of NNAL and high levels of nicotine (equivalent to smoking about a pack of cigarettes a day) is 8.5 times more likely to develop lung cancer compared with a smoker with lower levels. While the researchers point out that not everyone who has a high level of NNAL is going to develop lung cancer, it does help assign a number to a risk that was hard to quantify before.

Isn't smoking bad for you regardless? What is the benefit of having this type of information?

There is nothing healthy about smoking. Even if this test pegs you at low risk of developing lung cancer, it doesn't mean you won't develop a dozen other cancers commonly cause by smoking. If you smoke, the No. 1 thing you should do is quit. But that is easier said than done. If it were easy, 23 percent of adults in the United States would not smoke regularly. One benefit of knowing whether a smoker is at increased risk for lung cancer is for his or her doctor to screen the person regularly for abnormalities, in the hopes of catching the cancer early.

Lung cancer is but one consequence of smoking, so this type of testing is not going to fix everything. But as far as lung cancer goes, it may give people a better idea of when and how often to get screened.

Reported by CNN's Danielle Dellorto

@highlight

First study to quantify link between carcinogen byproduct and lung cancer rates

@highlight

Researchers tracked levels of byproduct (NNAL) using urine samples

@highlight

Smokers with high levels of NNAL doubled their risk of developing lung cancer

@highlight

Test could identify high-risk people, aid in early detection and treatment

@highlight

Bottom Line: This test may one day be used to identify smokers at high risk for lung cancer, but won't help against smoking's other health hazards.