Silver Springs, Nevada (CNN) -- The helicopter is on the chase. At first, you can only hear it. Then, from behind the hillside, you see a herd of wild horses running for their freedom, with the helicopter close behind.

One escapes the trap, barely. The crowd cheers.

This is the scene at the Lahontan wild horse roundup in Silver Springs, Nevada. The helicopter pilot works for the federal government.  The crowd is composed mainly of activists opposed to the roundups.

More and more, the roundups are becoming showdowns between protesters and the Bureau of Land Management.

"They are by law supposed to protect these horses, and in fact they are doing the exact opposite -- they are exterminating them," says Simone Netherlands, founder of the advocacy group Respect 4 Horses. "They are managing them to extinction."

BLM says this charge is not true, insisting there are more wild horses and burros today than there were in 1971, when it started the roundup program.

That year, fearing that the wild horses and small donkeys roaming the open ranges of the western United States were disappearing, Congress decided to try to save them.

A rare unanimous vote in 1971 directed the secretary of the interior to protect and manage these horses and burros, as much a part of the American West as the cowboy.

But as the number of animals began to grow, the program began to shift to population control.  And that has triggered an outcry from wild-horse advocates, which really began to resonate in 2010.

Members of Congress and other wildlife organizations paid closer attention to the issue last year, because the bureau removed more horses and burros in 2010 than in nearly any other year.

The bureau says there are about 33,700 wild horses and 4,700 burros roaming on BLM ranges in 10 Western states. If they were left on their own, the population would explode, according to the bureau.

The government's plan is to reduce the number of animals by 12,000. That would leave about 26,600 horses and burros on the 26 million acres set aside for these animals to live, according to the BLM.

Much of the public land on which the bureau manages the wild mustangs is also home to other wildlife and livestock. Some of the land is used for recreational and mining interests.

"We have to manage for all users," says Alan Shepard, the head of BLM's Nevada office.  "We can't let one, say the horse, impact everybody else by taking all the feed, all the water."

After they are rounded up, some of the wild horses are trained by prisoners at nearby correctional facilities.  Once the horses are broken, the prison can auction them off for about $1,500 per animal.

Read more about the prisoner program

The problem isn't the horses, says Netherlands, but the cattle that are allowed to graze on the same land. The BLM is charged with deciding how many wild horses should reside on each herd management area.

At the Lahontan roundup, authorities decided that the 11,000 acres could support between seven and 10 horses. There were 117 horses on the property, so the BLM rounded up all the mustangs and then selected seven to release back into the wild.

But how do they determine the ratio of horses to land?

Activists insist that number of horses the government finds appropriate for the land -- which is based on water and food -- is not scientific.  The study determining the number of horses that will remain in the Lahontan management area was done in the mid-1990s.

In addition, there is no water on the Lahontan land. The horses drink from water sources on adjacent state park land.

When asked how Lahontan ever became a herd management area to begin with, Shepard did not know. In Nevada, there are just seven people handling 85 herd management areas covering millions of acres.

"So, we are pretty thin," admits Shepard. "It takes a lot of work to collect that data, a lot of time and effort, so we're not as effective as we possibly could be. We hope to be better."

What is effective, according to Shepard, is the use of helicopters in rounding up the horses and burros.

"We can do our management in a quicker, shorter period of time that reduces that level of impact," he says.

The helicopters may reduce the time to round up the mustangs, but it gives activists another argument.

"To be rounded up in the way that it is done with helicopters, being run for miles and miles and miles -- it's brutal," says Netherlands. "It's barbaric and it does not need to be done this way."

Her group has proposed a method where a water source would be fenced off and once the horses enter, the gate would be closed behind them.

Many activists opposed to the use of helicopters point to a roundup earlier this year known as "Calico," in which more than 100 horses died.

Activists attribute the deaths to the running of the horses in the cold over hard ground. The BLM insists most of the deaths were mares that could not adapt to the hay they were fed after they were captured.

The roundups are open to the public and those attending are usually members of a wild horse advocacy group.

Armed with cameras, they try to document what they call "inhumane" treatment of the wild horses. There is no disputing the incidents that are caught on tape when a helicopter skid bumps a horse or knocks a burro off its feet.

"This is not a risk-free operation and yes, horses do get killed," says Tom Gorey, spokesman for BLM.  But, he adds, "we have a very low mortality rate of less than 1% from gather-related deaths."

Gorey says the activists would oppose the roundups even if there weren't any injuries, because they just want the management of the horses to stop.

Ever since the problems during the Calico roundup, the fight between the two groups has intensified. When pressed about horses being injured by helicopter skids, Gorey goes on the defensive.

"It sounds like you bought into their point of view," he says.

An objective view was hard to obtain during the Lahontan roundup, since the media were kept about a quarter of a mile away from where the horses were being corralled.

Shepard says the safety of the horses and the men rounding them up is his first priority. The reason we were kept so far away, says Shepard, is because if we were any closer, our cameras might spook the horses.

"They do not want the issue on camera. Period," says Richard Couto, the founder of Animal Recovery Mission, pointing out how the horses are already spooked by the helicopter.

The question of access is currently an issue in a court case bought by a wild-horse advocate. Many of the activists' issues pertaining to the roundups have been brought into the courts, most unsuccessfully.

They also hold protests, some as far away as New York. There have also been calls for President Obama to impose a moratorium on the roundup.

The only real progress thus far for the activists came from a group of members of Congress, who encouraged the bureau to ask for an independent study of its Wild Horse and Burro Program.

It will take the National Academy of Sciences two years to complete its assessment. In the meantime, the wild mustangs of the West will continue to be rounded up.

The activists say they will continue to be on hand, cheering for the ones that get away -- even if, like the one who dodged the trap at Lahontan, their freedom lasts only a few more minutes.

Watch American Morning weekdays 6am to 9am ET. For the latest from American Morning click here.

@highlight

The U.S. government rounds up wild horses and burros in the West, using helicopters

@highlight

The government says the program controls the population

@highlight

Protests increased after 100 horses died in a helicopter roundup

@highlight

Government officials say less than 1% of wild horses die in these roundups