(CNN) -- As a practicing Catholic all my life, my faith and the church are never far from my mind. The lessons I learned in the church have structured the way I've approached my life and my career. They were lessons of grace, kindness, forgiveness and compassion.

Under Pope Francis, we have seen a change at the Vatican that is reflective of the church I know and love. He approaches controversial doctrine or past wrongdoing with humility, understanding and faith in the goodness of mankind. He has served as a voice for the voiceless, and has been working to re-establish the church as a home for the homeless.

The church is moving into a new era, where its leadership understands that what makes the church strongest is when it acknowledges, in Pope Francis' words, "We all make mistakes and we need to recognize our weaknesses."

The true potential that this new era holds is Pope Francis' embrace of the lesson that how we forgive those mistakes and how we grow from those weaknesses is what defines us, and defines our faith.

Pope Francis himself recently acknowledged that the church must grow and change, including in how it trains its clergy, lest the church find itself â€” these are his words -- "creating little monsters."

Recently, I saw "Philomena," a film that I believe illustrates the need for this new era, and the potential that it holds.

Philomena's story is a difficult one. She became pregnant out of wedlock at a young age and was taken in by nuns in Ireland who arranged for her son to be adopted by an American family.

While she worked hard to pay her keep, she was only permitted to see him one hour a day. Then, at age 3, he was gone -- adopted by an American family in an arrangement made by the nuns without Philomena's input. Philomena was treated harshly by some of the nuns in whose charge she was left, the same ones who ensured she would never see her son againâ€”though she never stopped loving him.

The argument made by some of the film's detractors is that the painful, yet accurate, portrayal of the nuns Philomena encountered is evidence that the film, its producers, and even Philomena Lee herself have an anti-Catholic bias and worse -- a vendetta against the Catholic Church and a political agenda. These nuns who kept Philomena from her son may very well have been examples of the "little monsters" that Pope Francis fears.

I viewed the film quite differently from these critics -- and instead saw in it the positive attributes of my Catholic upbringing, attributes that are increasingly at the forefront of religious discussion.

Quite simply, I believe the lessons found in Philomena's story are lessons that many of us hope to be the cornerstone of a new era of Catholicism under Pope Francis.

At the heart of the film is not only Philomena's journey to find her son, but also her journey to find forgiveness for the individuals who treated her with such cruelty, and the church that allowed them to do so.

I, like Philomena, am a lifelong Catholic, and still regularly attend church. My faith is important to me, I love the church and believe it is an important force for good, both here in America and throughout the world. But that doesn't mean I don't have disagreements with some of its policies or leaders.

On occasion, with issues such as same-sex marriage and contraception, I have found myself at odds with pieces of traditional church doctrine. But to be religious is not to never question or disagree. To love my church is to be able to question it when it does wrong, forgive it for its mistakes, and still have faith in it to do right.

In Pope Francis, I see a leader who lives every day in the image of Jesus. Under his guidance, the church is focused once again on providing comfort, compassion and salvation for sinners, the poor and those who seek peace in an increasingly complex world.

That's my Catholicism. That's Philomena's Catholicism. That's the Catholicism of millions who believe, even when they disagree. It's not anti-Catholic to question, nor is it anti-Catholic to be honest about the previous shortcomings of the church, because that is the only way we can ensure its strength and dignity moving forward. It is, however, very Catholic to forgive each other, and to never stop loving each other.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Pope Francis has reoriented the church to stress humility, forgiveness

@highlight

She says critics who say the new film "Philomena" is anti-Catholic are wrong

@highlight

Film tells story of woman's effort to forgive people who treated her cruelly, she says

@highlight

Brazile: It's not anti-Catholic to question or to talk about failings of the past