(CNN) -- When even the most secluded beach on the mainland is too crowded, there's always the option of renting a private island for your vacation. Really.

Many would require every credit card you've got and more, but others are a little more within reach -- especially if you rent with a group of friends.

Whether you're planning or dreaming, here are a few extraordinary places to get away from it all:

Vomo Island, Fiji

Fijian royal chiefs once liked to head to Vomo in the Mamanuca Islands group for a little R&R. You too can be chief of your kingdom for about $39,000 a night (make that a mere $34,000 or so during low season). The 225-acre island accommodates up to 90 people, and with a staff of 120, you won't lack for assistance in nearly any activity you want to pursue. Snorkeling above coral reefs, paddle boarding, glass bottom kayaking, windsurfing and daily fish feeding are included in the rate.

World's 100 best beaches

Hike up Mount Vomo for another perspective on the aqua waters of the South Pacific. Another memorable event is the Meke and Lovo night. The meal comes from the lovo, a traditional Fijian underground cooking pit, and the high spirits from the meke, an evening of traditional dances and song.

Easier on the wallet: 
Garden villas for two run about $1,000 per night; beachfront villas cost about $1,300 per night.

Isola de Li Galli, Italy

Remember the sirens, those beautiful women who lured sailors to their death on craggy shores? Some say they lived at Isola de Li Galli, a private island that now sleeps up to 13 nonsiren types for just shy of $200,000 per week. The island is well-positioned just minutes off the Amalfi Coast, a UNESCO World Heritage Site.

You'd expect a private European island to attract celebrities, and you'd be right. Penelope Cruz and Javier Bardem have been among Isola de Li Galli's guests, and the island was once home to the great Russian dancer Rudolf Nureyev. Be forewarned: A pad for landing your helicopter is included, but engaging the 115-foot yacht requires an extra fee. A dramatic stone-and-white chapel is available if matrimony calls you.

The island is only available by the week, so start negotiating with your well-to-do friends.

America's best little beach towns

Guana Island, British Virgin Islands

Richard Branson's Necker Island is currently a steal starting at $42,500 per night while its Great House is being rebuilt -- after that, the price goes up. But if you're looking for other options in the area, Guana Island starts at about half that -- roughly $22,000 nightly for up to 32 guests -- with seven beaches, a tennis court, sailboats and pedal boats, more than a dozen trails and a spa among its amenities. (A massage overlooking the Caribbean sounds pretty good about now.)

Experienced divers gravitate to the North Bay's deep reefs and underwater cave. In August and October, the academically minded appreciate the chance to join visiting scientists in their pursuits, from rebuilding coral reefs to tagging iguanas. Speaking of which, the island draws its name from a rock outcropping that resembles the head of the tropical lizard.

Easier on the wallet:
If a five-digit price tag is not in the budget (and is pretty much permanently out of the question), you can forgo reserving the entire island and share the 850-acre expanse with a few dozen other guests. Rates for a cottage or villa for two start at about $700 and $1,500, respectively.

Rubondo Island, Lake Victoria, Tanzania

In 1966, Dr. Bernhard Grzimek, one of the forces behind the creation of the Serengeti National Park, brought 16 chimps from European zoos to Rubondo Island in Tanzania to give them a safe haven. The chimps thrived on the island, also home to elephants, giraffes and hippos. And it's available to you, for $4,500 a night, along with up to 15 friends.

Guests at Rubondo Island Camp, which opened in late 2012, can get a Jane Goodall-style experience by tracking chimps through the forest and observing their behavior with specialist guides. More traditional game drives are also available. If that's not enough, some 300 species of birds have been spotted here. The lodge and its eight suites feature thatch roofs, curved walls and traditional East African fabrics.

Easier on the wallet: 
Can't find 15 takers for this trip? Don't fret, there's a starting per-person nightly rate of $620 for double occupancy that includes meals, drinks and activities.

Madivaru Island, Maldives

Living in tents may not sound like luxury, but the tents at Banyan Tree Madivaru aren't anything like the canopy you hoisted at scout camp. Each villa on this private island in the Maldives includes three tented spaces for living, sleeping and bathing. Think timber flooring and rattan and teak furniture, not sleeping bags and mosquitos. Add a private plunge pool for each villa, a personal chef and waiter, and activities such as water skiing, dolphin cruises, night fishing and a Maldivian cooking school.

Many visitors say it feels like a private island even when there are other guests, but those who want to be sure can spring for the whole island buyout, currently available at a special rate of $9,420 per night for up to 12 people, with a minimum four-night stay.

Easier on the wallet:
Tent villa rates start at $2,355 per night. The special whole-island rate may be the most economical option this summer -- provided you can round up a group, airfare and about $40,000.

Orca Island, Alaska

Orca Island is proof that island adventure doesn't have to be limited to warm-weather climes. From Seward, Alaska, it's just a half-hour water taxi ride to Orca Island Cabins, where Dennis and Susan Swiderski have created an unusual vacation retreat. Guests can view humpback and orca whales, sea lions, harbor seals, porpoises and river otters right from each yurt's private deck or the island's common areas. (Incredibly, humpback whales often visit just feet from the island.) Kayaks, stand-up paddle boards, rowing skiff and fishing gear are included in the full facility rate of $2,150 per night, which covers all five yurts.

Easier on the wallet: 
The 2013 per-person rate is $215 per night for a two-night minimum, based on double occupancy. In 2014, that rate will be $225 per person, per night.

Eagle Island, Georgia

With weekday rates of $600 per night for up to 12 guests, you'd be forgiven for assuming Eagle Island is a forlorn rock at the start of nowhere. It's actually a 10-acre isle off the coast of Georgia, surrounded by salt marsh that's a lovely setting for crabbing. Transportation to and from the island is included, and boat rentals are available if you want to explore and fish the surrounding waters of the Darien River and the May Hall Creek. The lodge with huge wraparound porch sleeps 12 and is built largely of recycled materials, such as vintage brick.

Foodies, rejoice: Along with the standard kitchen, an outdoor setup includes seafood steamers, low country boil cook stations, smoker with wood chips and other tools for your blue crab dinner. You can even arrange to get the kitchen stocked before you arrive. Other gathering spots tend to be the outdoor fireplace and hot tub, not to mention the romantic appeal of the outdoor shower.

Easier on the wallet: 
Why not gather a dozen friends for a weekly rental? Six nights run $3,300.

@highlight

About $200,000 among friends will buy you a weeklong Mediterranean dream

@highlight

Many of the island rental options offer more affordable rates if you share with strangers

@highlight

Island rentals range from pristine beach havens in Fiji to quiet fishing outposts in Georgia