WASHINGTON (CNN) -- The Senate Wednesday passed legislation meant to update the Foreign Intelligence Surveillance Act (FISA).

Mobile phones are one of the technologies that did not exist when the original FISA law was written.

The vote was 69-28.

Below, CNN's National Security Producer Pam Benson explains what is in the bill, why the bill is controversial, how the bill may affect Americans' civil liberties and why privacy advocates object to it.

Question: What is the purpose of FISA and why is it being changed?

Benson: FISA governs the way the United States gathers foreign intelligence through the interception of electronic communications. The law was enacted in 1978, partially in response to the intelligence community and other U.S. agencies spying on Vietnam anti-war protesters and other Americans.

The FISA law requires court orders when the target of any eavesdropping is an American citizen or individual living in the U.S. Warrants are not necessary if the target is overseas.  Watch Bush call the bill 'long overdue' »

The law is considered outdated. New technologies such as e-mail, the Internet, cell phones and fiber optics have dramatically changed communications.

The new technologies have raised legal issues that the original law did not address. For instance, the U.S. intelligence community can target phone calls of an Iraqi citizen overseas, but that person's call to someone in Pakistan might be routed through a telecommunications switch in the United States.

Under the current law, a FISA warrant would be required since the communication is passing through the U.S. [Some say] the current law unnecessarily slows down U.S. intelligence officials as they track foreigners.

The controversy over President Bush's warrantless domestic eavesdropping program also prompted calls for change in the FISA law. The so-called Terrorist Surveillance Program was ordered by the president after the 9/11 attacks. It allowed for spying on the communications between U.S. residents and people overseas if it was believed one of the parties was linked to terrorism.

Telephone carriers now face lawsuits for assisting the government in eavesdropping on suspected terrorists after 9/11. The plaintiffs claim their privacy rights were violated when the companies provided communication records to the National Security Agency without a court warrant.

Question: What are the key provisions in the FISA bill?

Benson: The bill explicitly establishes FISA as the exclusive means for authorizing electronic surveillance; requires a court order for the surveillance of any targeted American, whether the person is in the United States or abroad; [and] requires a secret court set up to oversee FISA issues to sign off on provisions for removing the name of any American inadvertently captured in a communication with a foreign target.

[It] prohibits reverse targeting, which is when intelligence officials eavesdrop on a foreigner's communications overseas as a means to spy on someone in the United States, and sets up a procedure for federal judges to determine whether a telecommunications company can be sued for providing the intelligence community access to its networks without a court order.

Question: Under the proposed FISA bill, can Americans be spied on without a court warrant? Are their civil liberties protected?

Benson: Under the new revised law, a warrant is required to spy on an American, including, for the first time, Americans who are abroad.

If the intelligence community should unintentionally intercept a phone call or an e-mail involving an American, the agency involved must get a warrant if the person is of interest or take steps to erase that person's name from any report.

The court will annually review procedures for protecting communications, but it will not oversee individual cases. Opponents claim this represents minimal court oversight and enables the government to spy on innocent Americans' phone calls and e-mails.

The bill states that domestic electronic surveillance is authorized exclusively by the provisions of FISA. This is an effort to prevent the president from secretly authorizing warrantless eavesdropping, which some lawmakers and civil rights groups claim violates the public's Fourth Amendment protection against unreasonable searches.

However, the bill does not address President George Bush's claim that he has Article 2 constitutional authority as the commander-in-chief to order such activity during times of war.

Question: Will telecommunications firms be prosecuted for helping the intelligence community conduct no-warrant surveillance of Americans?

Benson: Although the Bush administration had wanted the telephone providers who cooperated with the surveillance program to receive outright retroactive immunity, this bill sets up a process for judicial review.

A U.S. District Court judge hearing a pending case will determine whether the telecommunications provider received from the government letters which indicated the president had authorized the warrantless surveillance and that the program was considered lawful. If so, the lawsuit will be thrown out.

Opponents argue this is a sham and say that the telecommunications are essentially being granted retroactive immunity because Mike McConnell, the director of national intelligence (DNI), testified at a congressional hearing that all of the telephone carriers did receive government certifications.

Some Republican supporters have called this process a "formality" and even Democratic proponents indicate it is likely that most, if not all, of the cases against the telephone companies will be dismissed.

Question: Will there be periodic reviews of the law?

Benson: The new law expires in 2012, enabling the next administration to review the program. In the meantime, the attorney general, the DNI and the inspectors general of the major intelligence agencies must provide periodic reviews of the surveillance program.

The bill also requires the inspectors general of the agencies involved in the president's warrantless surveillance program to conduct a comprehensive review and issue an unclassified report to Congress within one year.

@highlight

NEW: Senate votes 69-28 to update of to intelligence law Wednesday

@highlight

NEW: Sen. Obama votes for bill; Sen. McCain not in Senate for vote

@highlight

Technological changes require update of Foreign Intelligence Surveillance Act

@highlight

Opponents object to the bill's de facto immunity for telecom companies