(CNN) -- When Apple co-founder Steve Jobs succumbed to cancer in his California home a year ago today, the world rushed to eulogize him in glowing terms: Genius. Visionary. A modern-day Thomas Edison.

Obituaries and video clips focused on how he led a mobile-computing revolution, upended the music industry with iTunes and, at Pixar, changed the way movies are made. Pundits marveled at his brilliance in creating a mystique about Apple products and knowing which unborn electronic gadgets consumers would most desire.

Fans lit candles outside Apple stores around the world, and more than a million people left thanks or tributes to Jobs on Apple's website.

10 things Steve Jobs taught us

But in the 12 months since, as high-profile books have probed Jobs' life and career, that reputation has evolved somewhat. Nobody has questioned Jobs' seismic impact on computing and our communication culture. But as writers have documented Jobs' often callous, controlling personality, a fuller portrait of the mercurial Apple CEO has emerged.

"Everyone knows that Steve had his 'rough' side. That's partially because he really did have a rough side and partially because the rough Steve was a better news story than the human Steve," said Ken Segall, author of "Insanely Simple: The Obsession That Drives Apple's Success."

"Since Apple is the most-watched company on Earth, there are a ton of writers always looking for the new angle," Segall added. "After all the glowing tributes to Steve ran their course, it's not surprising that the more negative articles would start to pop up."

10 great quotes from Steve Jobs

The book

Nineteen days after Jobs' death, Walter Isaacson's much-awaited biography of the Apple leader hit stores and immediately became the top-selling book in the country. In "Steve Jobs," Isaacson crafted a compelling narrative of how Jobs' co-founded Apple with Steve Wozniak, got pushed out of the struggling company a decade later and then returned in the late 1990s to begin one of the most triumphant second acts in the annals of American business.

But he also spent many pages chronicling the arrogant, cruel behavior of a complicated figure who could inspire people one minute and demean them the next. According to the book, Jobs would often berate employees whose work he didn't like. He was notoriously difficult to please and viewed people and products in black and white terms. They were either brilliant or "sh-t."

As a young man Jobs abandoned his pregnant girlfriend and was later a cold, distant father to his daughter, Lisa. And in one especially callous episode, Jobs refused to give founding stock options to one of Apple's earliest employees, even after a fellow employee intervened and offered to match whatever Jobs was willing to spare.

"What Isaacson's book did was puncture a hole in the image the rest of the world had of Steve Jobs," said Adam Lashinsky, a senior editor at Fortune and author of "Inside Apple: How America's Most Admired -- and Secretive -- Company Really Works." Thanks to Isaacson, "the population at large has gotten a much fuller picture of who he really was," Lashinsky added. "I don't think that really changes anyone's opinion of his accomplishments. It just may change their opinion of him."

The Isaacson book, and other accounts of Jobs' life and work, have reinforced parallel images of the late executive as an ingenious innovator but a demanding, unpleasant person.

"His stature is greater than ever. No one denies his brilliance and his legacy," said Leander Kahney, editor and publisher of Cult of Mac and author of "Inside Steve's Brain," a book about Jobs.

"However, his personality, his methods, have been thrown into a harsh new light by Isaacson's biography," Kahney told CNN. "Everyone knew he was a taskmaster, but his cruelty -- his relentless, humorless pursuit of corporate perfection -- wasn't so widely acknowledged. It's certainly put some people off. Some see his life as a warning. It's a lesson in how not to devote your life to your work."

This dichotomy was reinforced in July when Wired magazine published a cover story, "Do you really want to be like Steve Jobs?" and a cover image of Jobs wearing both a halo and devil horns. The article argued that Jobs' example has created two camps of people: those who want to emulate his ruthless, idiosyncratic business style, and those who are turned off by his failings as a father and a human.

"Indeed, his life story has emerged as an odd sort of holy scripture for entrepreneurs, a gospel and an anti-gospel at the same time," said the article, by Ben Austen. "To some, Jobs' life has revealed the importance of sticking firmly to one's vision and goals, no matter the psychic toll on employees or business associates. To others, Jobs serves as a cautionary tale, a man who changed the world but at the price of alienating almost everyone around him."

Did Apple's fanboy fever peak with Steve Jobs?

Apple since Steve

Some observers say that Apple's mighty financial performance over the past year, its stock price is almost $300 higher now than it was when Jobs died and Apple is now the world's most valuable company, diminishes Jobs' legacy. If he was so crucial to the company, why are they doing better without him?

Others say Apple's ongoing success cements Jobs' business reputation because the company is being run by a team that he handpicked and is still releasing products, most notably the third-generation iPad and the iPhone 5, that he helped design. (And Apple's product launches aren't as interesting anymore.)

"It's hard to argue that Apple's great financial performance in the last year diminishes Steve's importance at all. It's safe to say that everything we've seen so far has had Steve's mark on it," Segall said. "From this point forward, not as much. The next year or two should be interesting times for Apple watchers, as Steve's direct influence slips further into the past."

Then there's the issue of the much-maligned new Apple maps, which replaced Google Maps as the default mapping system on iOS 6, Apple's new mobile operating system. Apple CEO Tim Cook issued a rare public apology last month for the maps, which have misplaced or mislabeled multiple streets and landmarks.

Who is the next Steve Jobs?

A few pundits grumbled that Jobs the perfectionist, with his obsessive attention to detail, never would have allowed Apple to release such a flawed product. Others pointed out that Jobs presided over such Apple flops as MobileMe, a subscription service for owners of Apple products, and Ping, a social network centered around music.

Segall doesn't think the maps fiasco will have much impact on Jobs' legacy either way.

"I don't think anyone can conclude that Steve would have made a different decision about releasing Apple Maps," he said in an e-mail to CNN. "But I also don't think Steve would have been as apologetic as Tim Cook was in his open letter. I imagine he would have done something similar to what he did when dealing with the backlash against Apple's ban on Flash. Of course there is a big difference here, in that Flash had a lot of enemies and Google Maps has a lot of fans."

Your thoughts on the next Steve Jobs

In the long term, however, Apple's fluctuating stock price and flaps over maps probably won't do much to change consumers' opinions of the man who birthed their beloved phones and tablets. And if Steve Jobs is remembered decades from now, it'll likely be as the man who invented the iPod, iPhone and iPad, not as the executive who was sometimes a tyrant. Does anybody really care whether Alexander Graham Bell was cranky?

"Among Apple employees, I'd say his reputation hasn't changed one bit. If anything, it's probably grown because they've realized how central his contributions were," Lashinsky said.

"History tends to forgive people's foibles and recognize their accomplishments. When Jobs died, he was compared to Edison and Henry Ford and to Disney. I don't know what his place will be in history 30, 40, 50 years from now. And one year is certainly not enough time (to judge)."

How Apple has changed under Tim Cook

@highlight

Apple co-founder died a year ago from cancer

@highlight

The initial rush to declare him a brilliant visionary have evolved

@highlight

High-profile books have documented Jobs' callous, controlling personality