Los Angeles (CNN) -- Fourteen mothers, whose children prosecutors say were sexually abused by a Los Angeles teacher facing 23 felony charges, sued the school district on Tuesday seeking damages for "generalized shock and trauma."

The lawsuit, filed in Los Angeles County Superior Court, also seeks unspecified "compensatory economic and special damages for medical expenses," which include psychological therapy, according to court papers and attorneys for the plaintiffs.

The suit also seeks reforms to the Los Angeles Unified School District, which "has a practice and custom of maintaining a 'Culture of Silence' to hide teacher misconduct, and to ignore teacher misconduct," the suit said.

The legal action stems from a criminal case against former teacher Mark Berndt of Miramonte Elementary, who is being held on $23 million bond and faces 23 felony counts of lewd acts on children.

Berndt, 61, pleaded not guilty in February to allegations he bound young students, then photographed them with semen-filled spoons held at their mouths and three-inch cockroaches crawling across their faces, among other graphic depictions.

L.A. schools review past 40 years of teacher discipline cases in misconduct crisis

The 23 victims were between 7 and 10 years old, and all but two of them were girls, the Los Angeles County District Attorney's Office said.

The 14 mothers' lawsuit says Berndt took photographs of their children "with cookies in the mouths of plaintiff's children, and/or blindfolded the children, and/or placed cockroaches on the bodies of plaintiff's children, for the intent of arousing and gratifying the lust, passions and sexual desires of Mark Berndt."

One of two mothers who spoke at a press conference on Tuesday said her now 10-year-old daughter was victimized by Berndt while a student at Miramonte from 2009 to 2010. CNN, which has interviewed the mother in recent months, isn't identifying the mother or other parents in order to protect the identities of the children.

"I am asking for justice and I want justice to be done to this man," the mother, 43, said. She wants the district to be held accountable for its "negligence," she said.

In a recent CNN interview, the mother said her daughter went to Berndt's classroom, where "he would give her some cookies. My daughter told me that the teacher would say the cookies had sugar and some white stuff that was on it," the mother said.

In that CNN interview, the mother was joined by her daughter, who told CNN: "We would help him clean his class and he would give us cookies.

"They were white and they had a white stuff on top, and he would put some sort of powder" on the cookie, the girl said. The parents told CNN they didn't tell their daughter what could have been on the cookie.

The girl's father, 46, who joined his wife at Tuesday's press conference, told CNN the couple doesn't want money but rather justice, so other families won't "suffer what's happening to us," the dad said. Their daughter is now enrolled at another school. The daughter and mother are both in counseling, he said.

"We don't want money, because our children's health physically and mentally is not going to be the same," the father said.

California teacher pleads not guilt in student 'bondage' case

The other mother at Tuesday's press conference told reporters that her daughter is now rebellious and is also in counseling.

Five of the children in the civil lawsuit are among the 23 alleged victims in the criminal case, said Luis A. Carrillo, the attorney for the 14 mothers.

Los Angeles County sheriff's detectives are investigating the accusations of the nine other children identified as victims in the civil suit, Carrillo said.

Sheriff's Lt. Carlos Marquez, the lead investigator in the case, said Tuesday that detectives interviewed more than 100 Miramonte students and have presented all those cases to the Los Angeles County District Attorney's office for review.

It's up to the district attorney whether to bring charges on behalf of additional victims, beyond the current 23, Marquez said.

Sandi Gibbons, a spokeswoman for the district attorney's office, declined to comment Tuesday on whether additional charges would be filed.

Berndt's attorney, public defender Victor Acevedo, declined to comment Tuesday because he hadn't seen the lawsuit.

David Holmquist, general counsel for the Los Angeles school district, said student safety was the system's "paramount priority."

"The district is committed to working with the Miramonte community and everyone impacted by these incidents to improve trust and promote healing," Holmquist said in a statement. "While the district has yet to receive the latest complaint, we are continuing our efforts to ensure that we are doing everything possible to provide a safe learning and working environment for our students and staff."

In May, another civil lawsuit was filed against the school district on behalf of 22 children who claimed they were sexually abused by Berndt, said Carrillo, who also is the attorney for the plaintiffs in that case.

The lawsuit, also filed in Los Angeles County Superior Court, alleged that Berndt "engaged in sexual assault, sexual harassment, which includes sex discrimination per LAUSD's policies, and/or sexual exploitation of the plaintiffs that included lewd, obscene and/or lascivious acts" with the 22 children age 6 to 9 years old between 2002 and 2011, court papers said.

The children of the 14 mothers in Tuesday's lawsuit are also part of the May lawsuit, Carrillo said.

In December 2010, the Los Angeles County Sheriff's Department began investigating Berndt after authorities learned of hundreds of "questionable photographs of children on film that Mr. Berndt had brought (to) a local store to have developed," according to Tuesday's lawsuit.

Berndt was removed from his teaching job in January 2011 after school officials learned of the police investigation, authorities said.

Authorities have said they have discovered roughly 600 images allegedly taken by Berndt in his classroom.

A teacher for 30 years, Berndt initially challenged the school district's decision to dismiss him. But he eventually dropped his appeal and resigned in spring 2011.

His arrest in January led to broader fallout over the adequacy of safeguards for the school's students and the prospect of more victims.

Days after Berndt was taken into custody, another Miramonte Elementary teacher -- Martin Springer, 49 -- was arrested and charged with three felony counts of lewd acts with a girl younger than 14. He has pleaded not guilty.

The Los Angeles Unified School District board subsequently shut Miramonte for two days, during which the board reconstituted the entire staff in the 1,400-student school. Miramonte is in unincorporated Los Angeles County within the Florence-Firestone area, about six miles south of downtown Los Angeles.

Misconduct scandal prompts L.A. schools to send 604 teacher discipline cases to state

@highlight

Fourteen mothers suffer "shock and trauma" as result of a school's child sex abuse case

@highlight

At least one mom says she doesn't want money, but rather justice and reform

@highlight

Five of the 14 kids are also victims in criminal case against a former teacher, attorney says

@highlight

Former teacher Mark Berndt of Miramonte Elementary faces 23 felony lewd acts upon children