If you're traveling over the holidays, chances are you're not looking forward to spending time in a crowded, stressful airport. Faced with the prospect of long waits, deafening public-address systems, and indigestion, you may quickly lose that festive feeling.

O'Hare Airport in Chicago ranked third because 90 percent of its restaurants offer low-fat, fiber-rich, veggie-heavy meals.

Still, airports are not all bad. In fact, based on research Health magazine has done to find America's Healthiest airports, some are actually working hard to make your traveling experience healthier by offering nutritious food, special relaxation zones, walking paths, the latest safety technology, and a whole lot more. We scored the nation's major airports, see how we did it, and then asked a panel of expert judges (meet them here)  to help us choose the top 10.

Congratulations to the winners. And to those airports that failed to make our list: Please shape up!

1. Phoenix Sky Harbor International

42 million passengers per year

Our top scorer won rave reviews for its commitment to a comfortable, low-stress experience for flyers. Sky Harbor's healthful dining options scored well on the annual Physicians Committee for Responsible Medicine airport-food scale, which measures the percentage of eateries with healthy offerings at major airports. Tempting low-fat choices include Yoshi's Asian Grill's avocado-cucumber sushi and edamame, Roadhouse 66 Bar's veggie burgers, and Oaxaca's vegetable burrito.

"Burrito spots are great in airports because they often have several options that are healthy and fast," says judge Amy Lanou, Ph.D., a senior nutrition scientist for PCRM. Also elevating the Phoenix experience is a video-paging system that lists and announces names, making them accessible amid the usual din.

There are even two pet parks where traveling canines can work off energy before or after a flight. And the airport is always open to change: After a family with a disabled son suggested upgrades, the airport recently added adult changing stations to its family bathrooms. Plus, the airport's bathrooms are widely known as some of the nation's cleanest.

2. Baltimore/Washington International

21 million passengers per year

Baltimore/Washington International now features soft music and comfortable lighting at one of its key security checkpoints, instead of the usual crowding and confusion. The changes are part of the Transportation Security Administration's new Checkpoint Evolution program designed to reduce stress and hike safety.

"High-stress areas are the perfect camouflage for bad guys," says TSA spokesperson Christopher White. To take stress down another notch, walk the BWI Trail, a 12.5-mile hiking-and-biking path that circles the airport and goes through wetlands and forest areas; it's accessible from public areas of the terminal. Still stressed? Get a seated massage at the Destination Relaxation spa. Health.com: America's healthiest spas

3. O'Hare International (Chicago)

76 million passengers per year

Big airports usually have a great selection of healthy food, Lanou says. That's one reason why O'Hare International, the second-busiest airport in the world, is in PCRM's top 10. More than 90 percent of its 100 restaurants offer low-fat, fiber-rich, veggie-heavy meals. CIBO Express, for instance, has grilled veggie salads and kosher crackers and chips. O'Hare also wins points for its super-fun children's play areas and the fitness facility in its on-site Hilton Hotel, which offers workout equipment plus massages, a sauna, a lap pool, showers, and a Jacuzzi. Day passes are $15.

4. Detroit Metropolitan

36 million passengers per year

A white Christmas is wonderful -- except when it ruins your travel plans or makes them unsafe. Detroit Metro is working hard to limit the risks. The National Weather Service recently recognized the airport as the nation's first "StormReady airport system."

Airport police officers, firefighters, and field-maintenance and security personnel are being trained as weather spotters; if they're aware of approaching storms, they alert airline employees (who consider boarding delays), disseminate information to keep ticket-holders from being stuck at gates without knowing why, and develop evacuation and sheltering plans. And should the weather delay you in Detroit (always a possibility during the winter), finding a healthy meal is easy. The airport partners with local health organizations to flag heart-healthy dishes on restaurant menus. Sushi, anyone? Health.com: America's healthiest restaurants

5. Denver International

50 million passengers per year

The largest airport in the United States can also boast about its energy efficiency. Acres of solar panels provide enough electricity to run half the airport's train system. The green electricity dramatically reduces carbon emissions -- equal to the impact of 255,000 gallons of gasoline (enough to power 500 cars for a year). The airport also has a recycling system built into the runways and taxiways to collect 70 percent of the glycol used to de-ice aircraft.

"You've got to tip your hat to Denver International for establishing themselves as a model," says judge Steve Howards, executive director of the Clean Airport Partnership, a nonprofit group devoted to improving environmental quality and energy efficiency at airports. Denver also receives high marks for its close-to-75-percent on-time arrival and departure rates, the second-largest public art collection in Colorado, free Wi-Fi, and healthy restaurant choices. Health.com: America's healthiest grocery stores

6. Washington National

19 million passengers per year

Anything that helps you take your mind off the fact that you're in an airport waiting to be crammed into a tiny airplane seat is a good thing. The museum-quality artwork at Ronald Reagan Washington National is the perfect diversion. Architect Cesar Pelli integrated 30 works -- stained glass, marble and glass mosaics, terrazzo, cast bronze, hammered aluminum and copper, and traditional paint on board and canvas -- into terminals B and C. If your flight's got a major delay, you can even get some fresh (fume-free) air at this airport: Try the walking-and-biking trail that goes through the airport grounds; flyers can access it by exiting terminal C. Our judge Tom Parsons, CEO and founder of BestFares.com, also gives Washington National props for being one of the easiest airports to get around in because of its one big terminal.

7. Dallas/Fort Worth International

60 million passengers per year

There's no better place for a family lay­over than Dallas/Fort Worth International (DFW), which has two 600-square-foot play areas that feature padded airplanes, taxis, and luggage for climbing, plus a TV showing kids' cartoons. DFW also scores high for its green fleet. Of the airport's 580 vehicles, from buses to lawn mowers, 540 are hybrids or run on compressed natural gas. And thanks to restaurants like Tequilerias, which serves nutritious options such as jicama and mango salads, the airport stands tall in PCRM's food rankings.

8. Logan International (Boston)

28 million passengers per year

If you're a green fanatic, you'll love this: Logan's terminal A, its biggest, is the world's first airport terminal certified by the U.S. Green Building Council for using the highest green construction standards. It features roofing that reflects heat, special stormwater-filtration devices, low-flow faucets, waterless urinals, self-dimming lights, recycled construction materials, and more. And Logan's compressed-natural-gas shuttle buses prevent 7 tons of pollution emissions from reaching the atmosphere and causing smog every year, the equivalent of taking nearly 800 cars off the road. You care more about comfort than the environment? Logan pampers all weary travelers with 50 wooden rocking chairs, 16 decorated by local artists.

9. Portland International (Oregon)

15 million passengers per year

You'd expect an airport in the crunchy Northwest to go all-out for the environment. Portland doesn't disappoint with a paved bicycle-and-walking path that links local hotels, businesses, and regional hiking and biking trails to the airport. The airport offers free covered bicycle parking adjacent to the terminal, too. Our judges also laud Portland's recycling of cooking oil into biodiesel fuel, the abundance of live trees in the terminals, and the musicians -- mostly local stationed throughout the airport to lower the stress level.

"Loudspeaker noise on top of ambient noise is really hard on your senses," Lanou says. "The whole traveling experience is a lot easier when you know you don't have to listen to just PA-system announcements." Not surprisingly, Portland's Laurelwood brew pub offers certified-organic beers. And the airport gets high marks for on-time departures: 80-plus percent in the latest Transportation Department annual reporting period.

10. Philadelphia International

32 million passengers per year

If you get sick at the airport, what do you do? In Philadelphia you can head straight to the new AeroClinic, where nurse practitioners and physician assistants can diagnose and treat minor conditions like colds, allergies, and flu. The facility also offers well-care checks for people who have high blood pressure, cholesterol, thyroid problems, and diabetes.

If you're feeling fine, get a dose of heart-healthy wine at Vino Volo, the airport's new wine-tasting bar. And if you're traveling on a Saturday or Sunday, bring your laptop because Philly International features free

Wi-Fi weekends to help you keep your mind off the stresses to come.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Airports offering nutritious food, special relaxation zones, walking paths and more

@highlight

Phoenix airport was ranked  No. 1 for healthy eating choices, sushi,  edamame

@highlight

Baltimore/Washington International  has soft music at security checkpoints

@highlight

O'Hare Airport ranked third because 90 percent of restaurants offer healthy meals