(CNN) -- The chance to run a marathon through the capital city of the world's most mysterious country was too good an opportunity to pass up.

So, when the 27th annual Mangyongdae Prize Marathon, held in Pyongyang last weekend, was thrown open to amateur runners from outside North Korea for the first time, I made sure I had packed my running gear.

Officials said that runners from 27 foreign countries took part, but the experience wasn't just unique for the few of us who had made the trip. From the moment we arrived in the reclusive Stalinist state, we were met with a mixture of fascinated stares and wary expressions.

Outside the imposing Kim II Sung stadium, where the race began, we had the chance to have our photos taken with spectators and North Korean runners alike. Posing with the race's local contestants really emphasized the stark contrast between the Koreans and us -- while we were kitted out in all manner of fluorescent brand-name sports gear, the North Koreans wore drab kits and ancient, battered running shoes.

Before the start gun, all 1,000 racers -- local, foreign, amateur and professional -- paraded through a capacity crowd of 50,000 spectators inside the stadium. Expressions in the crowd were a mixture of smiles and bemusement, with no shortage of laughter at how out of place the tourists looked as we struggled to keep in formation.

Two worlds

The look of wonderment was mutual, as we cautiously waved at the crowds who replied with cheers and waves of their own. At this point my pre-race nerves were overtaken by the surreal realization that I was taking part in the DPRK's foremost athletics event.

During the short opening ceremony and as we prepared to set off, runners were told not to take any photos. Good thing too, as we endured one false start -- much to the hilarity of the crowd and the obvious displeasure of race officials.

The course allowed us an up-close and personal view of the streets of Pyongyang, as well as its residents. Plenty of high fives, "hellos" and "anneyongs" (Korean for "hi") were exchanged between runners and spectators, as well as the ubiquitous puzzled looks.

Unlike most distance running events, there were no barriers along the way and no sponsorship billboards -- essentially we were just out running the streets, directed around the course by race officials. Close up, the only way to describe Pyongyang is as though it's stuck in a 60s time warp.

The real Pyongyang

I thought we might have only run on the grandest and smartest streets in the city, but in reality we took some pretty uninspiring roads past some very dismal and empty-looking tower blocks.

Unlike other marathons I'd attended in China and the UK, this race lacked facilities such as portable toilets. Instead, certain buildings that lined the route were designated runners' toilets -- some were actually located on the second floor of buildings and as far as 50 meters from the road.

As we ran through the streets of the city we got a close up view of North Korean urban society. Row after row of expressionless uniformed soldiers marching in unison, right behind groups of giggling school children waving to us, as well as weather-beaten faces of the older generation, who occasionally showed us a toothless grin.

Unlike inside of the stadium, the crowds seemed to be regular residents, although it's worth remembering that Pyongyang resident are the very upper echelons of North Korean society.

"I think it's a rare chance to observe and interact with North Koreans even if you're running through a planned route," Alexandra Wu, from Canada but living in Beijing, told me after the race. "I almost feel like I bonded with the locals... even if just to a very small extent."

Unique running event

Before the race itself, there had been some confusion over the cut-off time for the marathon, ranging from three and a half to four hours. I made it round in a little over four, by which time the course had become very sparse. This meant that for some stretches I was actually running alone on a Pyongyang street a few feet from workers passing by on rickety bicycles and elderly women hand in hand with their grandchildren.

Had I been a few minutes slower I wouldn't actually have been allowed to officially cross the finish line in the stadium -- a few behind me didn't manage to complete the race in time, despite having already run so far. This is quite different to major city marathons where runners are often allowed up to seven or eight hours.

Sadly, I wasn't able get a picture perfect finish side by side with a North Korean -- they'd all finished well ahead of me -- but I did get 50,000 Korean spectators in the stadium cheering me across the line. It symbolized what was, from start to finish, a good-natured event and demonstrated the unifying quality of sport, particularly one as universal as running.

The event is by no means a fun-run, as the four hour cut-off time might suggest. Only about 30 foreign amateurs went for the full marathon, and it seemed like each amateur Korean was there to race. There weren't any runners in ridiculous costumes, or TV cameras to document it or taking part medals for runners, but given the circumstances this is to be expected. In terms of city marathons the scale was very small, but it was well organized.

Bizarre, fascinating experience

"For me it was a uniquely bizarre, fascinating experience," Jasmine, a Beijing-based American runner told me.

"Obviously we are getting a one-sided view of the country but it's at least one perspective, one glimpse into the country. Meeting just one friendly foreigner, one conversation can have a big impression. And I must say that the guides were amazing and I greatly value the candid conversations I was able to have with them."

@highlight

Amateur foreign runners invited to 27th annual Mangyongdae Prize Marathon for the first time

@highlight

Athletes from 27 countries took part, officials say

@highlight

Race a bizarre experience which covered a wide swathe of Pyongyang