(CNN) -- Community activist Tony Lewis Jr. is on a mission to right the wrongs of his father's past.

Known as "Little Tony," Lewis Jr. recalls having a "quintessential" childhood, often envied by his neighborhood friends. In his household, his parent's love and money were free-flowing. He and his father planned lavish shopping trips and the family frequently vacationed in Las Vegas and Atlantic City.

They went to see Michael Jackson in concert, attended the Super Bowl and took in championship boxing matches. He describes this time in his life as an inner city version of the 1980s sitcom "Silver Spoons."

"My father would pick me up in a Porsche one day, a Mercedes the next day, a BMW the next. My mother would drive a Mercedes, a Jaguar," Lewis Jr. says, "It was normal to me."

That all changed on December 6, 1989. That's the day his father, Tony Lewis Sr. was convicted of helping to run one of the largest drug rings in the history of the nation's capitol. In the same city where his cocaine operation wreaked havoc, his son now mentors young men who might be lured into a life of crime.

Although as a child he knew his father was different from the parents of his Catholic schoolmates, Tony says he was completely unaware of father's illegal activity. "I never saw my dad with drugs at all. That was something that was never done in our presence."

It wasn't until 1988, when Tony was 8 years old that he realized the truth behind his father's extravagant lifestyle. While watching the local news, Tony saw a report that claimed officials had raided one of the city's largest cocaine distribution networks. He gazed at the TV screen as his father was escorted into police custody, a suspect in the high profile case.

After Tony Sr. was arrested, he never came home.

"When my father went to prison, my childhood pretty much ended," he says. "My innocence was taken."

The court found that Tony Lewis Sr. was a partner in a cocaine distribution conspiracy that generated millions of dollars in sales. He is appealing his conviction on four counts including conspiracy to distribute narcotics and racketeering.

Tony's father was eventually sentenced to life without parole. Lewis Sr. remembers seeing Little Tony after his guilty verdict. "I cried. ... I told him that he had to be strong." Leaving his son was the hardest thing he ever had to do. "No amount of money I made is worth this," he says.

Lewis Jr. says he didn't find out his father would never get out of jail until he was 14 years old, while researching on the Internet at school. "To find out he was going to be locked up forever was very tough to deal with," Tony says. "It crushed me."

In a recent interview with CNN from a federal prison in Maryland, Lewis Sr. told CNN that it was never his dream to be a drug dealer. As the son of a single mother raising six kids on welfare, Lewis Sr. says he started selling drugs at 14 as a way to make ends meet: "We never had enough to eat. I actually started selling drugs to ... provide for my siblings."

After his dad's downfall, Tony says he went from "riches to rags." Along with his mother, Tony moved into his grandmother's row home, located on a city block once known for violence and crime. "I had to mature very quickly to be able to kind of survive the things that I went through," Tony says.

Growing up on Washington's Hanover Place in the late '80s and '90s, where drugs and violence were commonplace, Tony recalls losing friends and family members to the streets. Shortly after his father's incarceration, Tony says his mother suffered a mental breakdown, leaving him without the secure family structure he once knew. "He was left pretty much parentless," his father says.

During his teen years, Tony admits he was tempted to follow in his father's footsteps: "The men in my family were bank robbers, and gamblers ... and drug dealers. There was no blueprint for me to succeed." But, he credits his mother and grandmother, and his father's consistent support from behind bars for motivating him to succeed beyond his circumstances.

"I didn't want to die at 16, 18, 21," Tony Jr. says. "I knew another way of life was possible." Tony graduated from the University of the District of Columbia in 2003 at the age of 23.

Now 32, Tony's goal is to impact the lives of young men growing up without fathers.

In 2010, Tony founded a mentoring initiative for children of incarcerated parents called Sons of Life. He was inspired to create the organization during a routine prison visit with his father.

Tony noticed a young boy waiting in the visiting area to see his dad. He looked to be about 8 years old, the same age as Tony when his father went away.

"I completely saw myself in that kid," he says. "I prayed he wouldn't have to endure what I endured without my father -- that was the premise for Sons of Life. ... I wanted to help some kids in my situation make it."

Tony, whose day job involves developing job skills for ex-offenders, mentors 10 young men ages 9 to 21 through his program. He organizes field trips to the White House, sporting events, and dinners. He aims to expose the young men to possibility and opportunity.

Tony also helps families buy Christmas and birthday gifts and school supplies, stepping in where their fathers can't. In collaboration with his father, who is still in prison in Maryland, Tony has also organized family prison trips for children in need of transportation to detention centers.

Tony is like a big brother to Sons of Life participants Xavier and Delfon. "He goes to our football events, basketball games," says 14-year-old Delfon. "It makes me feel like actually cares."

His brother Xavier, 13, added: "He can relate to me because he's been through the same thing I'm going through." According to the boys' mother, who asked that her name not be published, Tony's presence has made a big difference in her sons' lives.

"I see the way my kids' faces light up just because he can relate," she explained. "Most of their peers didn't understand. Just the average peer group didn't work well for them."

According to Joyce Arditti, professor of human development at Virginia Tech and author of "Parental Incarceration and the Family," children of incarcerated parents are unique when compared with those who have endured other forms of parent separation such as divorce or death.

Research suggests that children of incarcerated parents are often disadvantaged in many areas of life and at a higher risk of school failure, poor self esteem, delinquent behavior and incarceration themselves, according to Arditti.

It's difficult for the remaining parent to find coping resources for children living with the stress of having a parent behind bars, she says, adding that programs like Sons of Life can be effective. "Insider status is very important," she says. "Therapy that is typically successful for children of incarcerated parents are programs that closely model their day to day experience."

For Tony, leading by example is the best way to inspire others around him. Though he can't turn back the clock, he's trying to restore his father's name in the community. "One of the biggest things I'm proud of is that I've been able to really change the perception of what my name means in my city."

Today, Tony still lives in the same row house with his grandmother, on the same street where he grew up. "The kids in my community need to see me," Tony says. "They need to be able to touch me and know that I am not a myth. I want to be an inspiration for them to say yes we can make it out too."

@highlight

Tony Lewis Jr. is the son of an infamous former Washington drug dealer

@highlight

Tony Sr. serving life in prison. Son hopes to change perception of family name

@highlight

Lewis Jr. mentors children whose parents are incarcerated

@highlight

Lewis Jr. is the first man to graduate from college in his family