Tallahassee, Florida (CNN) -- They walked into the office Wednesday, led by Amon Gabriel, 9, and asked to speak to Florida Gov. Rick Scott.

He wasn't in the office, the receptionist replied, apologizing.

"Thank you. We'll wait," said one of the protesters.

The Dream Defenders, like many groups and individuals appalled by Stand Your Ground laws around the nation, aren't seeking a casual sit-down with their elected official; rather, they want to take him to task for defending the self-defense provision.

About 30 of them came early Wednesday, and more were expected later in the day.

"I'm upset but I'm not using it in, like, a physical punching way," Amon explained. "I'm using it in a talking and calmly way."

The governor was on business in Pensacola and Panama City, and it wasn't clear when he might return to Tallahassee. The Dream Defenders said they'd stand vigil inside the Capitol, outside the governor's office, 24-7 until Scott agreed to meet.

"We'd like the repeal of stand your ground or some type of modification where we can hold people responsible to a level that humanity expects, where we don't have 17-year-olds getting gunned down with no justice for them and their families," the group's legal and policy director, Ahmad Abuznaid, said.

Stevie Wonder says he'll boycott 'stand your ground' states

Though George Zimmerman's defense never cited Stand Your Ground laws in their case, the jury was instructed to consider them during deliberations. The jury acquitted Zimmerman of all charges in the shooting death of Trayvon Martin, an unarmed 17-year-old.

The Florida version of the law states, "A person who is not engaged in an unlawful activity and who is attacked in any other place where he or she has a right to be has no duty to retreat and has the right to stand his or her ground and meet force with force, including deadly force if he or she reasonably believes it is necessary to do so to prevent death or great bodily harm to himself or herself or another or to prevent the commission of a forcible felony."

Eight other states have laws worded similarly, while 22 total states, including Florida, have laws stating residents have no "duty" to retreat from a would-be attacker, according to the National Conference of State Legislatures.

Civil rights groups attack the laws as racially motivated and are planning nationwide demonstrations. Stevie Wonder is refusing to perform in any state with such a law.

U.S. Attorney General Eric Holder said the laws "try to fix something that was never broken" and now encourage "violent situations to escalate in public."

But just as adamantly as the laws are decried, the National Rifle Association has stood by the measure it helped many states adopt.

"The attorney general fails to understand that self-defense is not a concept, it's a fundamental human right," said Chris W. Cox, executive director of the National Rifle Association's Institute for Legislative Action. "To send a message that legitimate self-defense is to blame is unconscionable."

As for those Dream Defenders hoping to speak with the Florida governor, their protest may be futile. Scott's office noted that a gubernatorial task force recommends the law stay in place, though with minor tweaks, including limiting neighborhood watch to observing and reporting.

Daniel Webster, director of Johns Hopkins Center for Gun Policy and Research, said he doubts the protests will change anything. Overturning laws isn't incredibly common already, and with Stand Your Ground, there are complicating factors.

The NRA is strong in the 22 states that have the laws, and "I think there is some popular appeal to the notion, the very general notion that citizens should be able to protect themselves and you shouldn't have to, in essence, run from crime."

Also, the laws are relatively new, most of them enacted in the past eight years, and it's unlikely the same legislators who put Stand Your Ground laws on the books would suddenly be inclined to think they were wrong.

"The more common response is they're going to dig their heels," he said.

As a parallel, Webster offered the "Draconian" drug-sentencing laws of the 1980s, which hugely expanded incarceration rates, were outrageously expensive and did little in the way of improving public safety. Yet, the country is only now examining those laws and considering their repeal.

"I assume, in part, that's because the people who passed them are no longer there," Webster said.

The trickiest factor, however, is that proponents and opponents of Stand Your Ground can find in the Zimmerman case facts to support their beliefs, he said.

One side believes Trayvon attacked Zimmerman, and ZImmerman had no choice but to fire his weapon to defend himself. The other side believes Zimmerman racially profiled Trayvon, followed him against a dispatcher's order, then shot a teen who was only reacting, perhaps out of fear, to being followed.

"You can find whatever you want to back your assumptions," Webster said.

Putting on his gun policy expert hat, Webster said he felt the laws are a "very bad idea," and they don't do what they were intended to do: deter criminals and protect the citizenry.

After Florida expanded its so-called "Castle Doctrine" laws to a Stand Your Ground provision in 2005, the National District Attorneys Association released a report.

It said a "diminished sense of public safety" after 9/11, a lack of confidence in the criminal justice system's ability to protect victims, a perception that due process trumps victims' rights and a decrease in gun legislation spurred the creation of Stand Your Ground laws.

The study cited concerns from law enforcement officials, including doubts that it would deter criminals.

"There must be appreciation among the would-be criminals that deadly force can be used against them, leading to a change in criminal behavior," the study said. "Unfortunately, attendees at the NDAA symposium expressed little confidence that criminals would take the provisions of the Castle Doctrine into consideration before committing a crime."

Webster pointed to a Texas A&M University study examining crime in more than 20 states that passed Castle Doctrine or Stand Your Ground laws from 2000 to 2010. Researchers found that not only was there no decrease in robbery, burglary and aggravated assault, but there was an 8% spike in reported murders and non-negligent manslaughter.

"The data are pretty compelling, showing that it increased justifiable homicides and it increased homicides overall," Webster said. "In all likelihood, it really led to more altercations similar to the Zimmerman-Martin exchange."

CNN's Rich Phillips in Tallahassee and In Session's Jessica Thill contributed to this report.

@highlight

Protesters vow to stay at Florida governor's office 24-7 until he meets with them

@highlight

22 states have laws saying residents have no "duty" to retreat from attackers

@highlight

National Rifle Association defends laws, saying self-defense is a "human right"

@highlight

Gun policy expert: Laws a "very bad idea," research shows they increase homicide