Sydney, Australia (CNN) -- The competitive spirit between Australia and New Zealand rarely dims, but New Zealand has sprinted ahead of its trans-Tasman rival to become the first country in the Asia Pacific region to legalize same-sex marriage.

The move has left Australia's gay community feeling behind in terms of gay rights.

The New Zealand Parliament passed legislation with a convincing 77 to 44 vote amending the Marriage Act to permit gay, lesbian, transgender, bisexual and intersex couples to marry.

The vote caused the supporting New Zealand lawmakers to erupt into applause and an overjoyed public gallery to burst into song. The lawmaker responsible for the bill, Louisa Wall, thanked her female partner as she grasped a bouquet of rainbow-colored flowers.

"Nothing could make me prouder to be a New Zealander than passing this bill," Wall said.

Meanwhile in Australia, the rainbow symbol -- long associated with gay activism -- has taken on a more militant meaning with a social media-fuelled rainbow revolution underway in which activists across Australia have been "chalking" the colors of the rainbow in public spaces.

The nationwide protest was triggered by a New South Wales government decision to remove a rainbow-painted pedestrian crossing in the city's gay heartland. Painted at a cost of 110,000 Australian dollars, and with the permission of the authorities during the last Sydney Mardi Gras in March, it was ordered to be removed by the state's roads minister, Duncan Gay, soon after the partying ended.

Gay said removing the crossing, at a cost of 30,000 Australian dollars, was necessary because it was a distraction to drivers and posed safety risks.

The move gave rise to a Facebook protest page that garnered widespread support and surprised even its instigator, James Brechney.

"I just thought it would be really funny to put on Facebook, I thought I'd get 50 Likes on my wall," Brechney told News Limited.

Shops have reported depleted stocks of chalk as hundreds of rainbow crossings have appeared across the country, including small towns. The phenomenon, meanwhile, has spread worldwide. Rainbow crossings have appeared in London, Los Angeles, New York, Singapore, Vancouver, Berlin and Nairobi.

But the chalk protest and the vote in New Zealand Parliament have not moved Australian politicians. Prime Minister Julia Gillard said she couldn't see Australia following New Zealand, although she has permitted a conscience vote on a same-sex bill when it was debated and failed last year.

''I doubt we're going to end up agreeing,'' she told a member of the public at a community cabinet meeting in Melbourne.

Gillard believes marriage is an act between a man and a woman. She has, however, said she would allow another conscience vote and has urged the opposition Coalition leader Tony Abbott to do likewise.

Although several Coalition frontbenchers support it, Coalition lawmakers were denied a conscience vote during last year's same-sex marriage bill vote. Abbott, like Prime Minister Gillard, remains unmoved by New Zealand's decision.

'We had a parliamentary vote on this just a few months ago ... and it was fairly decisively rejected," he said.

While Australia's political leaders have not been swayed, New Zealand's vote has given new hope to Australia's gay community.

Australian Marriage Equality national convener, Rodney Croome, said the New Zealand move could be a 'game changer' because Australia and its nearest neighbor are so culturally inter-linked.

"Growing international pressure takes it up a notch," Croome said.

"Those Australians who support this reform will be inspired and encouraged to redouble our efforts in trying to achieve this for Australia," he said.

Croome said the fact conservative New Zealand Prime Minister John Key allowed his parliamentary colleagues a conscience vote and voted for the law himself, could change the political appetite for reform in Australia.

"It sends a direct message that this is an issue conservatives can support. It will increase support for a conscience vote despite what Tony Abbott says," Croome said. "I wouldn't be surprised if there's a push for a conscience vote before the election," he added.

Croome predicts thousands of Australian gay couples will begin to make their way across the Tasman to marry because the New Zealand legislation does not limit the right to marry to residents.

"They'll be returning to Australia to find that their solemn vows of lifelong commitment are not recognized in Australian law. They will be one of the important catalysts for change in this country," he told CNN.

Nevertheless, he said he won't be amongst those leaving Australia to tie the knot.

"I want to marry in my home state, Tasmania," he said.

The benefit to the New Zealand economy is expected to be big. Croome's Australians Marriage Equality lobby estimates it will be in the order of 700 million Australian dollars while Chris McKellar of Gay Tourism New Zealand believes it will be worth between 150 and 160 million Australian dollars.

"New Zealand is set to reap a massive economic dividend from the wedding-spend of those Australian same-sex couples who are tired of their country's failure to act," Croome said.

Australian census statistics show that some 1,300 gay couples had traveled to Canada and Argentina to take advantage of same-sex marriage laws. A sizeable proportion of couples using New Zealand's civil union law since it was passed in 2005, have been Australian too.

@highlight

New Zealand Parliament votes 77 to 44 to allow same-sex couples to marry

@highlight

Lawmakers erupt into spontaneous song after the amendment is passed

@highlight

Australia's gay community feels it is lagging behind its more progressive trans-Tasman rival

@highlight

Australia has started a 'rainbow rebellion' chalking streets with rainbow symbols