Hong Kong (CNN) -- High in a rugged, mountainous region in Myanmar's north, the country's army remains locked in a conflict that seems to contradict the image of a nation committed to abandoning its brutal past.

Days after a government-ordered ceasefire on January 19, clashes were reported between Burmese soldiers and the Kachin Independence Army (KIA) around the town of Laiza on the Chinese border.

The Myanmar government said its troops were ordered to fire only in self-defense, but the Kachin Independence Organization (KIO), the KIA's political arm, claimed it was under attack

Laiza is the headquarters of the KIA and the KIO. Around 20,000 people live there, and thousands more are sheltering in temporary camps around the town after being driven from their homes, according to human rights groups and other reports.

"People who live in Laiza, they are standing by to flee. Every day they hear bombing and the noise of guns. The government is saying that it's stopped the offensive, but the reality in the Kachin area it has not stopped, and the fighting and the offensive is ongoing," Moon Nay Li, coordinator for the Kachin Women's Association told CNN on Tuesday.

Though based in Thailand, Moon Nay Li said she'd been speaking with people in Laiza who were "afraid for their future." She said they were digging holes to shelter from the shelling, and were desperate for the fighting to stop.

Why has fighting intensified now?

In a statement dated January 18, the Myanmar government said that it had requested back up from the Air Force to ensure "accurate hitting of KIO/KIA targets" after repeated attacks on convoys seeking to resupply an outpost near Laiza. It accused the KIA of blasting roads and bridges, attacking troops and recruiting and abducting civilians to aid its fight.

Despite the government's self-defense claims, Matthew Smith, a consultant to Human Rights Watch (HRW), told CNN the government appeared to have recently stepped up attacks on Kachin fighters, possibly in an attempt to gain more ground and leverage in any future peace talks.

"Some of the strategic outposts that the Burmese government has been attacking over the last several weeks are strategic to the protection of Laiza so I think that appears to be the target," said Smith, who wrote a damning report for HRW on the conflict between the two sides called "Untold Miseries - Wartime Abuses and Forced Displacement in Burma's Kachin State," which was released in March 2012.

How long have they been fighting?

The Myanmar army and the KIA -- which formed more than 50 years ago -- have been trading shots since a series of incidents brought a sudden end to 17-year ceasefire in June 2011. Smith said tensions rose after leaders of the KIO were unable to participate in the November 2010 election -- the first vote to be held in Myanmar in 20 years.

According to Smith's report, the Burmese army launched a "major military offensive" on June 9, 2011, to which the KIA rapidly responded by blowing up bridges, planting land mines and ambushing military convoys.

At the time, conservationists claimed the two sides were fighting for control of a multi-billion dollar hydropower dam project on the Taping River, one of several being built in the region.

However, dams are not the only source of tension in the area, Smith said. It is also rich in mineral deposits, including the jade mines of Hpakant, a source of some of the world's most valuable stones. And pipelines snake through the state delivering lucrative oil and gas to China.

How has the world responded?

News of the escalation of attacks in Kachin has raised concerns outside the country as the international community keenly watches Myanmar's transition to democracy from a military regime.

"We're obviously deeply troubled by the increased violence," U.S. State Department spokeswoman Victoria Nuland said in a news conference in early January.

Later, China urged both sides to "exercise maximum restraint" after a bomb landed about 500 meters over the Chinese border on January 15. "We believe that talks are the only correct solution to the north Myanmar conflict and expect all related parties to seek a ceasefire and start negotiations," said foreign ministry spokesman Hong Lei on January 22.

The United Nations welcomed President Thein Sein's calls for a January 19 ceasefire but the Secretary-General's Special Adviser on Myanmar, Vijay Nambiar, said it did not want renewed tensions to "undermine the overall direction of reform and transformation in the country or adversely affect the positive international atmosphere that had been generated so far."

Since coming to power in March 2011, Sein has won praise for steering the country on the path of reform, easing media restrictions, granting amnesty to political prisoners and opening up the political system to competing parties.

How committed is the government to peace?

Days after the apparent failure of the ceasefire, Sein reiterated that he wanted the fighting to stop. "I have ordered the Tatmadaw (Myanmar's military) and other relevant government agencies to seek a peaceful solution to the conflict," he told Myanmar's first Development Cooperation Forum on January 21.

He also suggested that the KIO would need "to reciprocate in a similar way."

The KIO is the only one of 10 armed ethnic groups in Myanmar that hasn't yet agreed a long-term ceasefire with the government. Talks would start soon with the other ethnic groups, Sein said, as he again extended an invitation to the KIA to join the process.

"My government will continue to do everything necessary to turn ceasefire agreements into lasting peace," he said. "It is very important to create job opportunities in order to improve socio-economic conditions of internally displaced people and ceasefire groups," he added.

How have civilians been affected by fighting?

Since June 2011, tens of thousands of Kachins have been terrorized by renewed fighting, according to HRW.

More than 90,000 people have been forced from their homes, according to the latest estimates. However, the exact number of internally displaced people -- or IDPS as they're known -- is hard to confirm because the government has limited access to the region.

The lack of access has worried aid agencies who say tens of thousands of people are being denied vital care.

"The government feels it's unsafe so they're not granting access," said Maria Guevara, Medecins San Frontiere's Humanitarian Representative for ASEAN. "We've tried to support some of the areas with drug supplies but the roads that we've used in the past are generally inaccessible, because that's where the fighting usually takes place, so it's been difficult to resupply."

She called on the government to allow humanitarian agencies "independent and neutral access" to affected areas, while Smith warned of "a looming humanitarian emergency."

What are the chances of a long-term ceasefire?

There are no easy solutions to resolve the unrest in Kachin. It dates back to the early 1960s when the KIO and KIA were established to protect the interests of the Kachin people against the influence of the central government.

The KIO still has administrative control over most of Kachin State, providing schooling, teacher training colleges, a police service, a TV station, newspapers, libraries and hospitals, according to the Free Kachin Campaign website.

HRW says the latest offensive has deepened divisions between the Kachins and the government, which threatens to spill over into other ethnic groups.

"You have an entire population of ethnic Kachin who for the most part right now are very bitter towards the Burmese government and that's going to be a serious problem, not only for Kachin state but the other ethnic nationalities throughout the country right now who are negotiating peace agreements.

"They're taking all this into consideration so this could pose a serious problem for long-term peace in the country," he said.

@highlight

Renewed fighting reported in Kachin despite government ceasefire order

@highlight

Both Myanmar government and the KIA trade accusations of attacks

@highlight

Fighting started in June 2011 after a 17-year ceasefire was broken

@highlight

KIA is the only one of 10 armed ethnic groups that hasn't agreed a ceasefire