(Southern Living) -- Southern Living's intrepid restaurant scout Jennifer V. Cole hit the road to determine the top 100 places to eat in the South now. The list leads with the South's 10 best new restaurants and continues with Jennifer's favorite restaurants for 2014, both new and old, in her most frequented towns. This list is always evolving, so follow @jennifervcole on Twitter for her latest stops.

Eatocracy asked Cole how she arrived at the larger and more pared down lists.

"The whole list is a mix of both established restaurants and newcomers in alphabetical order. For each restaurant in the top 100, I asked myself first and foremost 'Is the food delicious?' I then considered the restaurant's relevance in the modern food landscape. I took into account a chef's technical skill and his or her creativity with ingredients. Geography obviously played a role; I included restaurants within the Southern Living coverage area (17 states plus DC). And I factored in the overall experience," Cole explained.

Southern Living: Secret Recipes from the South's Best Dives

For the 10 best new restaurants, Cole says the restaurant had to have opened between July 2013 and June 2014 to be considered. She visited each anonymously and Southern Living paid for all of her meals.

"I traveled nearly 24,000 miles while researching this list," said Cole. "Of course, I applied the same stringent criteria as with the overall list. In addition, I considered what each new restaurant contributes to the patchwork quilt of Southern food. How does it draw on and respect tradition? How does it reflect today's influences? How does it apply the flavors of the modern South?"

Southern Living: 88 Top-Rated Dessert Recipes

And Cole found some trends emerging throughout her travels, notably a relaxing from the white tablecloth, tasting menu, suit-wearing waiters that had been a hallmark of some Southern dining until recently.

So what did she find? "More open kitchens, exposed wood, and waitstaff in jeans and button-downs. That's not to say service is diminished or we're relegated to burgers. I just think we're in a period that's less about fine dining and one that's more about casual grace or fine casual."

And now that you know how the list-making sausage got made, let's get to the main course.

Southern Living: What's Your Southern City?

10. The Shack -- Staunton, Virginia

What To Order: Crispy Lamb Shank with English peas, a soft-cooked egg, and hot sauce vinaigrette.

At Ian Boden's shotgun-style restaurant in tiny Staunton, Virginia, he serves up designer dishes from, quite frankly, the sticks. With the lamb shank, Ian layers fresh (sweet green peas), rich (a crisp puck of meaty goodness), and creamy (a perfectly cooked runny egg) to produce a model of simple decadence. Most days, the hand-written menu reads like a bipolar expression of flavors: cold ramen with razor clams and a pickled egg listed above chili cheese fries. Burgers alongside Sardinian Gnocchi with pulled rabbit, morels, ramps, and mustard. But on Friday and Saturday nights, Ian switches to a three-course prix fixe menu that highlights not only the seasonal bounty of rural Virginia but also his impressive talents behind the stove.

105 South Coalter Street; facebook.com/theshacksva

9. Cinco Y Diez -- Athens, Georgia

What To Order: Grilled Chesapeake Oysters with mezcal lime butter, and the Red Chile Pozole.

Influences from France to western Africa have long informed how Southerners eat. Today, it's Vietnam and Latin America that are most shaping the modern South. At Cinco y Diez, chef/owner Hugh Acheson, an outspoken proponent of the all-inclusive table, highlights the vibrant Latin traditions through a soft-focus Southern lens. And executive chef Whitney Otawka transforms the Southern pantry into a fiery amalgamation of cross-cultural flavors. Oysters from Chesapeake waters sizzle with tangy mezcal lime butter. In the pozole, chunks of silken pork bathe in a red chile broth with Anson Mills hominy, escarole, and fresh radish slices.

1653 South Lumpkin Street; cincoydiezathens.com

Southern Living: The South's Best Barbeque

8. San Salvaje -- Dallas, Texas

What To Order: Fried Whole Snapper with pickled green beans and mango-habanero mojo.

At chef Stephan Pyles' modern take on haute Latin, expect creative riffs on traditional dishes. You'll find ceviches, tacos, empanadas, and the like, but with modern interpretations. With the Fried Whole Snapper, the fish is split and stuffed with a spiky fistful of tempura-battered pickled green beans and placed atop a chunky mango-habanero mojo. The Ahi Tuna Ceviche, served in a halved coconut shell, arrives scented with kaffir and studded with sweet coconut. The Chocolate Tamal, a mole-rich expression of a tamale, is stuffed with wild boar and topped with cherry salsita. San Salvaje showcases chef Pyles' current obsession with Central and South American flavors, with perfect measures of ingenuity and restraint.

#100, 2100 Ross Avenue; sansalvaje.com

7. Edmund's Oast -- Charleston, SC

What To Order: Carolina Gold Rice Heritage Chicken Porridge.

I like to think of Edmund's Oast as a stylish gastropub with righteous charcuterie. But that almost undersells it. The craft beer program is unparalleled in South Carolina, with some 40-odd beers on tap, including a handful made in-house, and over 30 bottled options. The cocktail program is relentlessly ambitious. And dishes like the buttermilk fried wings, the pickled shrimp on rye bread, and the roasted-and-smoked chicken with cornbread pudding demonstrate the kitchen's finesse with classic grub. But it's the outliers—creamy spiced turnip custard, lemony chicken porridge with poached shrimp, braised lamb meatballs with apricots—that make me want to return.

1081 Morrison Drive; edmundsoast.com

6. CBD Provisions -- Dallas, TX

What To Order: Berkshire Pig Head Carnitas.

At this meat-centric, Texas-style brasserie, you can't go wrong with the roasted pig head. It arrives at the table—snout, ears, and all—crisp and fatty atop a wooden plank. For anyone who loves a proper pig pickin', this is your tableside porcine dream. Wrap the rich and smoky meat in fresh tortillas, pile on crunchy bits of skin, and top with radishes and roasted tomatillo salsa. Plan to come with friends—this dish is meant to be shared.

1530 Main Street; cbdprovisions.com

Southern Living: 75 Most Stylish Southerners

5. Rhubarb -- Asheville, NC

What To Order: Brick Oven Prince Edward Island Mussels in a Celery-Fennel Broth with Benton's Bacon and Grilled Chapata Bread.

John Fleer, the chef who shone a light on Appalachian foodways at Blackberry Farm, emerged last fall with Rhubarb in Asheville. Touchstones of his legacy (Benton's bacon, Sunburst trout) are there. But Rhubarb is no history lesson. He digs deep into the region's traditions, adds global influence, and highlights the local larder. Benton's bacon shows up in a bowl of mussels in a silken celery-fennel broth. The roasted whole trout bathes in wood smoke before joining a crisp potato-celeriac latke. At Blackberry, John put Southern foodstuffs on the map. At Rhubarb, he's showing just how far he can stretch them.

7 SW. Pack Square; rhubarbasheville.com

4. The Obstinate Daughter -- Sullivan's Island, SC

What To Order: Favas and Peas or Mepkin Abbey Mushrooms

Though the wood-fired pizzas and pastas conjure Italy, Jacques Larson relies mightily on the flavors of the Lowcountry. Under the Plates section, Jacques' command of flavor as sense of place shines. Oyster mushrooms from the nearby Mepkin Abbey join earthy kale and a runny Sea Island egg under shards of Parmesan. Favas and peas sit atop ricotta made with milk from John's Island, accented with sea salt from nearby Bulls Bay.

2063 Middle Street; theobstinatedaughter.com

3. The 404 Kitchen -- Nashville, TN

What to Order: The Crudo

Chef Matt Bolus calls his brand of cooking fresh and uncomplicated, but there's some cloaked modesty there. Everything about this industrial-chic 40-seater blends functionality, novelty, and a little "I'm with the band, but I'm not the rock star" attitude. In the Crudo, simple slices of cobia are dotted with pickled strawberries, pea tendrils, and Marcona almonds. For his Tomato Galette, Matt envelops lemony ricotta in a toasted cornmeal crust, and piles on heirloom tomatoes—a twist on tomato pie without any pretension. Much like Nashville these days, it's all familiar—but new.

404 12th Avenue South; the404nashville.com/kitchen

2. Rose's Luxury -- Washington, D.C.

What To Order: Uni Scrambled Eggs.

For chef/owner Aaron Silverman, luxury isn't about fine china and Champagne poured in unison. "It's how you feel, how people treat you," he says. And as a result there's a homey—never folksy—sophistication that resonates throughout the restaurant. The custardy bowl of scrambled eggs makes a decadent leap with briny, rich layers of uni (sea urchin): pureed, sliced, and whisked into hollandaise. As with anything, it all boils down to the execution. And so far, Rose's is doing luxury right.

717 Eighth Street SE.; rosesluxury.com

1. Kimball House -- Decatur, GA

What To Order: Oysters and absinthe-based cocktails.

I've yet to see another spot in the South with such a thoughtful—and joyful—oyster program. The menu lists, give or take, 22 oyster varieties, most sourced from small family farms and flown in daily, with the kinds of tasting notes more frequently reserved for wine lists. The Chelsea Gems from Eld Inlet, Washington, are likened to "anise and buttered truffle"; the Northern Cross from Fisherman's Island, Virginia, "salted parsnip and green onion." And local bar hero Miles Macquarrie wields his magic wand with drinks like the Afternoon Delight, a heady yet refreshing mix of absinthe, lime, pineapple, tarragon, and bubbles.

303 East Howard Avenue; kimball-house.com

See the other 90 restaurants at Southern Living

What restaurants would have made your list? Tell us on Twitter @eatocracy.

Get the best of the South delivered - recipes, decorating ideas and travel tips. Sign up for our weekly newsletter.

Copyright 2011 Southern Living magazine. All rights reserved.

@highlight

Southern Living's Jennifer V. Cole traveled 24,000 miles in search of the South's best restaurants

@highlight

She found a new emphasis on casual dining, but that doesn't just mean burgers

@highlight

Restaurants on the list had to open between July 2013 and June 2014

@highlight

Cole's most important factor? Deliciousness