London, England (CNN) -- The 60th anniversary of Queen Elizabeth II's accession to the British throne marks a major milestone in the remarkable life of a monarch who, though reluctantly thrust into the spotlight at a young age, has won almost universal praise for her steadfast dedication to duty.

Her long reign (second only to Queen Victoria's) has seen Britain transformed from a war-weary declining imperial power into its modern incarnation as a member state of the European Union that rarely looks to its monarch for leadership, but still holds her in high esteem.

And while it has witnessed its fair share of joy -- not least the recent marriage of the queen's grandson Prince William to Catherine Middleton -- Elizabeth's rule has also weathered many storms, both public and personal, as the monarchy has tried to keep pace with changing times.

Elizabeth Alexander Mary was born in 1926, the first child of the Duke and Duchess of York. She did not become heiress presumptive to the throne until 1937 when her father was crowned King George VI after the scandalous abdication of his older brother -- events recently dramatized in the Oscar-winning film "The King's Speech."

As World War II erupted, Elizabeth was quietly groomed for statehood. While living out the blitz on London in nearby Windsor Castle, she was privately tutored in matters of constitution by Henry Marten, an eccentric yet respected teacher who reputedly kept a pet raven in his study.

She began making tentative steps to public life in 1940 when, aged 14, she made her first radio broadcast: a speech to children displaced by conflict. At 16 she was made an honorary colonel of the Grenadier Guards, a British army infantry regiment.

Wartime offered her certain freedoms beyond the constraints of royal life. In 1945 she joined the Auxiliary Territorial Service, and spent four weeks getting her hands covered in oil and grease as she learned to drive and maintain military vehicles. When victory was declared in Europe, a uniformed Elizabeth mingled with jubilant crowds outside Buckingham Palace.

Queen Elizabeth celebrates 60 years on throne

Peacetime brought the return of Lieutenant Prince Philip of Greece, a handsome young naval officer who had, by all accounts, had won her heart when she was just 13. The pair married in Westminster Abbey in 1947. Their first son, Charles, was born just over a year later.

With her father's health in rapid decline, Elizabeth began accepting more official duties, taking his place at the annual Trooping the Color military parade in 1949. In 1952, when Elizabeth and Philip were on an official trip to Kenya, news came of her father's death. She was now queen.

The next decade saw the queen settle into her role. After her 1953 coronation, she embarked on numerous official trips, oversaw state openings of parliament, welcomed visiting leaders such as President Eisenhower, Charles de Gaulle and Nikita Khrushchev, and toured a coal mine.

In 1964, the queen became a mother for the fourth time as new son Edward joined Charles and fellow siblings Anne and Andrew. There was, however, barely any let up in her busy schedule.

By the arrival of her third decade on the throne, she was in her element. Prince Charles was embarking on a military career, Princess Anne, an acclaimed horsewoman, was married -- drawing huge crowds of well wishers.

Girls given equal rights to British throne under law changes

While indulging in her own equestrian pursuits, she continued to throw herself into public life, clocking up dozens of overseas trips and official visits around the UK -- one of which in 1976 saw her become one of the first people to send an email (she continues to champion new technology today).

There were family problems in 1976 when her sister's marriage collapsed and constitutional problems with growing debate among Commonwealth countries about the role of the monarch, but these failed to dampen celebrations to mark the silver jubilee of her reign in 1977.

Another royal wedding followed in 1981 when Prince Charles married Lady Diana Spencer at London's St Paul's cathedral. Millions of people around the world watched the ceremony on television, happily unaware it would usher in the most turbulent period yet of the queen's life.

The queen's 40th year on the throne, 1992, marked her lowest moment as three royal marriages fell apart. Princess Anne and Mark Philips divorced, Charles and Diana separated after claims of infidelities while Sarah Ferguson was photographed topless with an American financial manager.

To cap it all, a huge fire ripped through Windsor Castle causing major structural damage. In the wake of the blaze, a furore broke out when it was suggested that public money be used to fund the restoration.

"1992 is not a year on which I shall look back with undiluted pleasure," the queen said in a speech later that year. "In the words of one of my more sympathetic correspondents, it has turned out to be an annus horribilis."

Kate has graduated as 'fully fledged' royal

These problems overshadowed the queen as she made an historic visit to meet Nelson Mandela in 1995, but criticism reached new heights in the wake of Diana's tragic death in 1997 when the royals were accused of being aloof and out of touch amid widespread outpourings of grief.

This marked a turning point. After days of silence, the queen returned to London, talked to mourners and admitted there were lessons to be learned from Diana's life. The gestures struck a chord with the public and criticism ebbed away.

After Diana, the queen's popularity rebounded as she presided over what appeared to be a softer, more accessible and thoroughly modern royal family. This was evident In 2005 when, to public approval, she assented to the previously unthinkable marriage of Prince Charles and Camilla Parker Bowles.

The queen's most recent decade as monarch has largely been one of celebration. In 2006, she marked her 80th birthday with a series of festivities and goodwill messages from around the world.

She has witnessed both her grandsons graduate as military officers and, of course, she oversaw the marriage of Prince William and Catherine, the woman who -- when her husband eventually inherits the throne to become king -- will succeed her as Britain's next queen.

Lauren Said-Moorhouse contributed to this story. Images of then-Princess Elizabeth during World War II courtesy of the Imperial War Museums.

@highlight

Queen Elizabeth II will mark the diamond jubilee of her accession to the throne this year

@highlight

Born in 1926, the queen became monarch in 1952 on the death of her father, George VI

@highlight

Queen's reign hit low point in 1992 as the marriages of three of her children collapsed

@highlight

Monarch is known for her love of equestrian events and is a champion of modern technology