Washington (CNN) -- President Barack Obama released his long-awaited debt reduction plan Monday, outlining a roughly $3 trillion savings blueprint that was immediately criticized by top congressional and other Republicans.

The president's plan includes $1.5 trillion in new revenue generated largely by higher taxes on the wealthiest Americans, a proposal strongly opposed by GOP leaders who insist that any tax increase will undermine an already shaky economy.

The measure -- which would add to nearly $1 trillion in savings signed into law under the debt-ceiling deal enacted in August -- does not include changes to Social Security. It would increase Medicare premiums for individuals with higher incomes starting in 2017 -- the year Obama leaves office if he wins a second term.

"We are not going to have a one-sided deal that hurts the folks that are most vulnerable," Obama said at the White House, offering a defense of tax hikes on the highest earners.

Spending cuts alone "will not solve our fiscal problems. We can't just cut our way out of this hole," he added. "It's going to take a balanced approach. If we're going to make spending cuts -- many of which we wouldn't make if we weren't facing such large budget deficits -- then it's only right that we ask everyone to pay their fair share."

Obama explicitly promised to veto any debt-reduction legislation that cuts benefits while failing to include higher taxes on the wealthy.

iReport: What do you think about Obama's plan?

"I will not support any plan that puts all the burden on ordinary Americans," he insisted.

Republicans responded by dismissing the plan as little more than a cheap political gimmick.

It's "a thinly veiled attempt to score political points," said Republican National Committee Chairman Reince Priebus. "By raising taxes on job creators, Obama may win back some support from disgruntled liberal voters, but America will lose even more sorely needed jobs."

"Veto threats, a massive tax hike, phantom savings and punting on entitlement reform is not a recipe for economic or job growth â€” or even meaningful deficit reduction," said Senate Minority Leader Mitch McConnell, R-Kentucky.

"Pitting one group of Americans against another is not leadership," added House Speaker John Boehner, R-Ohio.

Key congressional Democrats quickly rallied to Obama's defense, calling the blueprint a serious attempt to take on one of the most contentious issues in Washington.

The "proposal is clearly moving in the right direction," said North Dakota Sen. Kent Conrad, chairman of the Senate Budget Committee. "It represents a significant and balanced plan for bringing our deficits and debt under control."

On Monday night, Obama referred to the Republican response as predictable and said the issue shows the fundamental difference between the parties on how the nation should deal with mounting federal deficits and national debt.

"What has been clear over the last two and a half years is that we have not had a willing partner," Obama told a New York fundraising event.

"Now, we've been able to get some stuff done despite that, and despite a filibuster in the Senate. But at least over the last nine months what we've seen is some irreconcilable differences, let's put it that way."

The release of Obama's blueprint is likely to set the stage for a fall dominated by harsh partisan debates over taxes and spending, as well as a 2012 presidential campaign focused on growing economic fears.

Under Obama's plan, $800 billion in revenue would be generated by allowing some of the Bush-era tax cuts for high-income households to expire, as the president has repeatedly called for. An additional $400 billion would result from capping the value of itemized deductions and other exemptions for high-income households.

Read the White House plan (PDF)

The remaining $300 billion would come from closing various tax loopholes, according to a senior administration official.

A new tax surcharge could also be imposed on millionaires: the "Buffett Rule," named after investor Warren Buffett, who argues that the richest Americans are not taxed enough.

Wealthier Americans often derive much of their income from investments, which are typically taxed at a lower rate than ordinary income such as wages. As a result, they can end up owing a lower percentage of their income in federal taxes than someone who makes less money, especially once payroll taxes are factored in.

The concept behind the Buffett Rule is that those earning more than $1 million should not be allowed to pay a lesser percentage of their income in federal taxes than Americans lower down the income scale.

Read more: On taxes and debt, left and right dare to agree

In terms of spending, Obama's plan incorporates $580 billion in mandatory cuts, including $248 billion from the politically popular Medicare program. Roughly 90% of those savings will come from reducing overpayments in the system, according to a senior administration official.

Any changes to Medicare benefits won't kick in before 2017, the official said.

An additional $72 billion will come from Medicaid and other health programs.

The president's plan does not include any Social Security reform proposals or changes to the Medicare eligibility age, reforms that have reportedly been put on the table by the administration in the past but are strongly opposed by a number of progressive Democrats.

Another $1.1 trillion in savings would be generated by winding down the wars in Iraq and Afghanistan. In addition, the administration is counting savings that would result from spending caps it has proposed on future overseas contingency operations.

The administration also estimates interest savings of approximately $430 billion, a result of less borrowing and smaller annual budget shortfalls.

Roughly $450 billion in the plan would be used to pay for the American Jobs Act, the economic stimulus measure proposed by Obama last week.

Top Republicans call the president's plan a form of class warfare.

"When you pick one area of the economy and you say, 'We're going to tax those people because most people are not those people,' that's class warfare," Sen. Lindsey Graham, R-South Carolina, said Sunday on CNN's "State of the Union."

"We have a difference of opinion on how best to fix these problems," House Budget Committee Chairman Paul Ryan, R-Wisconsin, told "Fox News Sunday." "But when the president does things like this, it leads you to believe that he's not in bipartisan consensus-making mood. He's in a political class-warfare mode and campaign mode. And that's not good for our economy."

Obama explicitly rejected the class warfare claim Monday.

"I reject the idea that asking a hedge fund manager to pay the same tax rate as a plumber or a teacher is class warfare," the president said. "I think it's just the right the thing to do. I believe the American middle class, who've been pressured relentlessly for decades, believe it's time that they were fought for as hard as the lobbyists and some lawmakers have fought to protect special treatment for billionaires and big corporations."

Democrats have blamed Republicans for blocking the Obama administration's initiatives purely for what Democrats insist are short-term political gain.

"I don't think people like that style of politics, and that's the reality ... we'll be facing in November 2012," Sen. Dick Durbin, D-Illinois, said Sunday.

Congressional action on deficit reduction is moving on multiple tracks now. Durbin said the Democratic-controlled Senate would take up Obama's jobs plan next month, while leaders in the Republican-controlled House have rejected some parts of it.

Meanwhile, a special deficit reduction commission created under last month's debt-ceiling agreement has started its work amid the longstanding political divisions on key issues.

The 12-member committee, evenly divided between Democrats and Republicans in the House and Senate, has until November 23 to draft a $1.5 trillion deficit-reduction plan that can win congressional approval by December 23. Otherwise, more than $1 trillion in across-the-board spending cuts will go into effect, on top of $900 billion in cuts already mandated under the debt ceiling deal.

The special committee "is taking this issue far more seriously than the White House," McConnell said Monday.

More than a year of rancorous negotiations on deficit reduction has failed to resolve a fundamental dispute between Republicans and Democrats involving the size of government and whether to raise tax revenue while cutting spending.

The brinkmanship of the negotiations, with uncertainty over whether the government might default if no deal was reached, was one reason that ratings agency Standard & Poor's downgraded the U.S. credit rating from AAA to AA-plus in August.

CNN's Alan Silverleib, Jeanne Sahadi, Tom Cohen and Kate Bolduan contributed to this report.

@highlight

NEW: Obama cites "irreconcilable differences" with Republicans

@highlight

The plan calls for $1.5 trillion in new taxes, including a tax surcharge on millionaires

@highlight

Over $1 trillion in savings would be realized by ending wars in Iraq, Afghanistan

@highlight

GOP leaders call the new taxes a form of class warfare