(CNN) -- On Tuesday, voters across the country appeared to offer a rebuke to the administration of President Barack Obama by voting into office many Republicans, who now will control the Senate and the House of Representatives. Such a take-down in the second year of the second term of any President is not uncommon.

But this is the first African-American president, a man swept into office twice with huge support from blacks. Does voters' midterm reaction to Obama indicate some flagging in support for him among people of color? Could the GOP be making inroads with black voters?

Well, first consider: Last week Chris Rock hosted "Saturday Night Live." The show reprised a segment about blacks and President Obama called: How's he doing? The bit had an all-black panel, and after a few moments the discussion turned to the following question: What would it take for Barack Obama to lose the black vote? Spoiler alert: There is no way for him to do that. It was just a comedy skit, but seems to be true in real life; some may wonder why.

After all, the unemployment rate for blacks remains high. In September the unemployment rate for whites was 4.9%, while for blacks it was more than double that, at 10.8%. The racial wealth gap also remains high. What is less well-known is that when you control for family income, black median wealth is less than one-third of white median wealth. Put another way, at every income level, blacks only have a fraction of the wealth that similarly situated whites have.

From a financial perspective, things are not good for many blacks when compared with their white peers -- in spite of there being a black President. Nevertheless, there is widespread support of the President among blacks.

So far, the Republican Party has given black voters little reason to shift its way, and Republicans should not assume that black support will simply move to their side if they merely put forth a black candidate. A few of the reasons why: Republican-controlled state legislatures that enacted voter-ID laws, coupled with Republican positions on affirmative action and immigration, are outside of the views held by most of the black community.

But to be sure, black support for President Obama has eroded. Obama's favorability rating is down 9 percentage points from the beginning of the year and stands at 85%. His favorability among whites has remained unchanged at 34%. But black support is double that of whites. Why? Is it because blacks always support blacks? Supreme Court Justice Clarence Thomas would say that can't be true, and tell that to the blacks who supported Hillary Clinton in the 2008 primaries.

No, I suspect it's because we have empathy for the situation Obama finds himself in. He isn't even safe in his own home, for heaven's sake. To quote Chris Rock from the "SNL" segment: "Run into R Kelly's lawn and see what happens."

What most blacks have in common with President Obama, is well -- we're black. We've all been disrespected at work (remember "You lie!" from Rep. Joe Wilson). We've all been presumed incompetent: "Why is the President's response to Ebola so weak?" Here's why: Because the Republicans will not confirm his nominee for surgeon general. That is not President Obama's fault -- even though he receives the blame.

Last year, a CNBC poll showed that when you polled the term "Obamacare" you received a different response than when you polled the term "Affordable Care Act": 46% of the group asked about Obamacare opposed it, while 37% asked about the Affordable Care Act opposed it.

It is not the President's fault that when some voters hear his name associated with something they are more likely to reflexively oppose it. Who doesn't remember the "Keep the government out of my Medicare" signs when the Affordable Care Act was being debated in town hall meetings across the country? Uh. ... You almost didn't have the heart to tell them that Medicare is a government program.

Early reports show that indeed Obama has not lost black support in the voting booth. About 90% of blacks voted Democratic in the 2014 midterm elections, roughly where they voted in 2012 and 2010. A high percentage of black voters will likely always support this President. His experiences are like our experiences. He may be the President, but ... he's ... still ... black like us.

But the midterms do not bode well for the Democrats in 2016. Republicans could not put enough images of President Obama in their election ads, and many Democrats could not run away from the President fast enough. My favorite was Kentucky Senate hopeful Alison Lundergan Grimes refusing to say whether she even voted for President Obama. She lost anyway.

Contrast her response with that of a senator from Kentucky -- Rand Paul -- a presidential aspirant who stated, at a Detroit GOP field office in an African-American neighborhood, that the "Republican Party brand sucks, and so people don't want to be a Republican and for 80 years, African-Americans have had nothing to do with Republicans."

In 2016 when President Obama is no longer at the top of the ticket helping to get out the black vote out, Democrats will have a different problem. If they lose, maybe they will blame that on President Obama as well.

@highlight

Dorothy Brown: Did voters' apparent rebuke of Dems extend to blacks support?

@highlight

She says blacks still fair poorly on employment, wealth, but they still back Obama over GOP

@highlight

She says they identify with what he's faced: disrespect, blame, stonewalling

@highlight

Brown: Blacks reject GOP's stance toward them. But Dems should worry about 2016