LONDON, England (CNN) -- Is it possible to have a building that can make you happy, sad, or even angry?

The Experience Music Project in Seattle has appeared in the Forbes list of ugly buildings. Does it affect your mood?

Alain de Botton thinks it is.

The Swiss-born British writer, modern-day philosopher, and author of international bestseller "The Architecture of Happiness", believes there is more to buildings and architecture than we may think.

Taking on 19th Century French writer Stendhal's motto that "beauty is the promise of happiness," de Botton analyzes human surroundings and considers how our needs and desires are transferred into architecture.

He also discusses the amount to which architecture can affect our personal happiness.

De Botton told CNN he felt that a beautiful building, or likewise, an ugly structure, could affect how we feel.

"Beauty has a huge role to play in altering our mood. When we call a chair or a house beautiful, really what we're saying is that we like the way of life it's suggesting to us. It has an attitude we're attracted to: if it was magically turned into a person, we'd like who it was.

"It would be convenient if we could remain in much the same mood wherever we happened to be ...but unfortunately we're highly vulnerable to the coded messages that emanate from our surroundings," he said.

But, how do buildings manage to cast their bricks and mortar over our emotions?

"One might say that architecture suggests a mood to us, which we may be too internally troubled to be able to take up. Its effectiveness could be compared to the weather: a fine day can substantially change our state of mind -- and people may be willing to make great sacrifices to be nearer a sunny climate," de Botton said.

De Botton believed that structures communicate with us in various ways.

"This book focuses our minds on the idea that buildings speak -- and on topics which can readily be discerned. They speak of democracy or aristocracy, openness or arrogance, welcome or threat, a sympathy for the future or a hankering for the past."

So, indeed your own house could be making you happy or sad, de Botton suggests.

"They (houses) tell us of certain moods that they seek to encourage and sustain in their inhabitants. While keeping us warm and helping us in mechanical ways, they simultaneously hold out an invitation for us to be specific sorts of people. They speak of particular visions of happiness," he said.

De Botton said there are "thousands" of public buildings which are ugly and could possibly force a negative, saddening, or even potential anger-producing mood upon us.

What are some examples?

De Botton is quick to mention the new Westfield mall opening in Shepherd's Bush, London, which he describes as a "monument to human idiocy" which represents a "large, confused shed, which offers the wider community nothing but a windowless façade clad in nauseating green paneling, with an utter indifference to symmetry, proportion or beauty".

And what other buildings could be considered a structure of sadness?

Certainly, Microsoft co-founder Paul Allen's Experience Music Project building in Seattle has to be a nominee -- featuring in the Forbes list of the top ten ugliest buildings in the world.

Elsewhere, London's Millennium Dome (or 02 Arena) and Cleveland's Rock and Roll Hall of Fame, are other well-known candidates for buildings that could destroy one's day, after featuring in various "ugly" lists.

At the other end of the scale, de Botton has some ideas about structures we should cast our eyes upon to make us happy.

While all of this is rather subjective, de Botton said there were some aesthetic values that were universally appreciated.

He was particularly fond of the highly-detailed yet serene Senate House in Bloomsbury, London, and also the Georgian-style architecture of Bedford Square, also in London.

It's fair to say though, that not everyone in the architectural world is as optimistic about the power of architecture over people.

In a debate with architect Robert Adam organized by building.co.uk, Adam attacked de Botton's ideas.

After questioning de Botton's use of the word "us" when presenting some opinions, Adam said he did not believe that people were culturally aware enough to take notice of such details.

"I wouldn't call myself a pessimist because it would mean I feel bad about popular culture, which I don't. What I think we have at the moment is people who are unprepared to take on the language of the greater part of the population," he said.

We want to know what you think. Do you believe buildings can influence the way we feel? Give us your examples of buildings that make you happy or sad in the Sound Off box below and we'll publish the best.

@highlight

Alain de Botton authored The Architecture of Happiness

@highlight

He believes emotions are shown in, and can be deduced from architecture

@highlight

Architect Robert Adam disagrees with many of de Botton's ideas