New York (CNN) -- The February 26 shooting of Trayvon Martin, a black teenager, by George Zimmerman, who is Hispanic, has in less than a month gone from a local story to a huge national story.

As we all now know, Martin got into a confrontation with Zimmerman, a neighborhood watch captain patrolling a gated community in Sanford, Florida. Their confrontation ended when Zimmerman, who is licensed to carry a concealed weapon, shot the unarmed Martin. When the police failed to arrest Zimmerman partly because of the state's strong self-defense "stand your ground" law, the case raised outcries of racial injustice.

In early March, a few major news outlets began reporting the story.

By the middle of the month, interest heightened when tapes of Zimmerman's 911 call to the police revealed that he had been told by the dispatcher that he need not follow Martin, suggesting that he had been the aggressor. On March 23, President Barack Obama weighed in: "If I had a son, he'd look like Trayvon."

The most telling criticism of how the Martin case had been handled came from U.S. Rep. John Lewis, D-Georgia, whose involvement in the civil rights movement goes back to the Freedom Rides of the early 1960s. Lewis compared the killing of Martin with the infamous 1955 murder of Emmett Till in Mississippi. Fourteen-year-old Till was beaten and then shot for whistling at a white woman, or according to other accounts, saying "bye, baby" to her. No one was ever punished for killing Till.

With the publication Monday by The Orlando Sentinel of a leaked police report supporting Zimmerman's version of events, the Martin case has, however, taken a new turn.

In the report, Martin is the aggressor, punching Zimmerman in the nose and then beating him as he lay on the ground. This version of events, questioned by some in the wake of a newly released video of a seemingly unhurt Zimmerman in police custody, has been fodder for a counterattack on Martin's defenders. The New York Post carried a front page headline, "Trayvon Hoodwink," above a story titled, "Tragedy hijacked by 'race hustlers.' "

While the facts of the Trayvon Martin and Emmett Till cases differ and while what really happened in Sanford is still unclear, there is a parallel worth keeping in mind -- the announcement that the Civil Rights Division of the Department of Justice will open an investigation into the Martin case. From now on in, it will not be necessary to depend solely on Florida and Sanford authorities.

The modern precedent for this kind of federal involvement in civil rights violence dates back to 1964.

That year, the Justice Department took on the prosecution of the men accused of murdering James Chaney, Michael Schwerner and Andrew Goodman, three civil rights workers participating in the Mississippi Freedom Summer of 1964. It was a project, largely using college students from the North, that was designed to register black voters and begin freedom schools for Mississippi's black children.

On the basis of a tip in August, the bodies of the three civil rights workers, who had disappeared in June, were found by the FBI buried in an earthen dam in Philadelphia, Mississippi. Then in December, on the basis of information gathered from informants, the Justice Department charged 19 men, including a sheriff and deputy sheriff, for conspiring to violate the civil rights of the murdered men.

The charge, based on laws that had been passed in 1870 in the wake of the Civil War to protect black freedmen and Republicans, was the best instrument the Justice Department could rely on at the time.

The alternative to a federal conspiracy case was state prosecution for murder, but in the Mississippi of the 1960s, no one believed that the state could win such a case or had any real desire to pursue it.

The week after the bodies of the three men were found, Gov. Paul Johnson, speaking at the Neshoba County Fair, delivered a speech in which he declared, "Integration is like Prohibition. If people don't want it, a whole army can't enforce it."

Johnson spoke for the majority of white Mississippians, and in December 1964 when the Justice Department sought to bring its case before a grand jury, the U.S. commissioner for the Southern District of Mississippi dismissed the charges against the 19 men, saying that the confession the Justice Department had from one of those indicted was hearsay evidence because only an FBI agent had heard it.

In January 1965, the Justice Department managed, however, to win indictments from a federal grand jury in Jackson. Then it ran into another setback when a Mississippi judge, William Harold Cox, threw out the most substantive parts of the grand jury indictments. It took a full year before the Supreme Court overruled Cox and the Justice Department's case was back on track.

Finally, in October 1967, the trial began in Meridian, Mississippi, before the same Judge Cox whom the Supreme Court had overruled. The government team was headed by John Doar, the assistant attorney general for civil rights, who through long experience had come to know how hard it was to win a civil rights case in the South.

Doar understood that he faced a particularly tough challenge, and he made a point of telling the jury he was personally taking the lead in trying the case not because he was experienced in criminal law but because he headed the Civil Rights Division of the Justice Department.

For Doar, it was crucial for the jury to understand what was at stake, and he went out of his way to remind them that the defendants were being tried "in a Mississippi city, before a Mississippi federal judge, in a Mississippi courtroom, before 12 men and women from the state of Mississippi."

In the end Doar and the Justice Department did not get the complete victory they wanted. But they did get a victory that few initially thought possible. Thirteen days after the trial began, seven of the 19 defendants, including a deputy sheriff, were convicted.

It had taken three years to reach this point, but what the Justice Department had established was its ability to win a civil rights case in the Deep South even before hostile juries. The conviction of the seven men was upheld, and they began serving time after their appeal was turned down in 1970.

Today, Doar's role is remembered by few people who were not part of the civil rights movement of the 1960s. But the case he and the Justice Department won nearly a half century ago lives on, demonstrating that neither local nor state justice need be the last word in the shooting of Trayvon Martin.

With the Martin case, the Civil Rights Division has another opportunity to settle justice and if it acts with enough speed, defuse some of the tensions that the killing of Trayvon Martin has raised throughout the country.

The opinions expressed in this commentary are solely those of Nicolaus Mills.

@highlight

State prosecutors have not brought charges in shooting death of Trayvon Martin

@highlight

Nicolaus Mills says the news that the federal government will investigate is welcome

@highlight

He says in 1964, the Civil Rights Division was able to obtain convictions in three killings

@highlight

Mills: The current federal investigation could help establish facts, defuse tensions