(CNN) -- A piece of space debris left over from a 2007 Chinese missile test collided with a Russian satellite earlier this year, rendering the satellite unusable, a researcher said Saturday.

The collision appears to have happened January 22. That's when it's thought a piece of the Feng Yun 1C weather satellite, which was destroyed in the 2007 missile test, accidentally hit the Russian satellite, said T.S. Kelso, a senior research astrodynamicist at the Center for Space Standards & Innovation.

The collision changed the orientation and orbit of the Russian satellite, which was being used in scientific experiments, Kelso said. It may have also damaged it.

"There has been a piece of debris catalogued by U.S. Strategic Command as a result of that collision," Kelso said. "That would suggest that at least a part of the satellite broke off because of the collision."

It was February 4 when two scientists with the Institute for Precision Instrument Engineering in Moscow noticed a change in the orbit of the satellite, known as BLITS, Kelso said.

The scientists estimated the change happened January 22. They contacted Kelso because CSSI operates a service that looks for close satellite approaches, he said.

CSSI looked for objects that may have had a nearby approach with the BLITS satellite around the time of the collision. The Chinese debris was the only object they found.

Although the predicted distance between the debris and the satellite seemed to preclude a collision, the fact that the close approach happened within 10 seconds of the change in orbit made the Feng Yun 1C debris the likely culprit, Kelso wrote in a blog post.

CSSI is now working with the Russian scientists to find out more about the collision.

BLITS is a small glass sphere that reflected laser beams for research. Because of the collision, the satellite now faces the wrong way and can't be used, Kelso said.

The collision also sped up the satellite's spin period from 5.6 seconds to 2.1 seconds, Kelso said.

China launched the Feng Yun 1C polar orbit weather satellite in 1999. It was destroyed in 2007 when China targeted it for a test of a ground-based, medium-range ballistic missile.

U.S. tracking sensors determined the missile collision created hundreds of pieces of space debris, according to a U.S. official at the time. The test prompted formal protests from the United States and several U.S. allies including Canada and Australia.

The problem of collisions involving space debris is not a new one.

"Collisions happen all the time, everywhere. Big collisions -- now those are the rare ones," said space debris expert William Schonberg, chairman of the Civil, Architectural and Environmental Engineering Department at the Missouri University of Science and Technology.

The last major space debris collision was in 2009 between Iridium 33, an operational U.S. communications satellite, and Cosmos 2251, a decommissioned Russian satellite, Kelso said.

Scientists know of only a handful of such collisions, but that's only because they happened with objects that were being monitored. Kelso and Schonberg say it's likely there are other "junk to junk" collisions involving unmonitored objects that no one knows about.

In the case of the Russian satellite in January, "it would have been very difficult to tell there had been a collision if it hadn't been for the fact that somebody was operating the satellite and noticed a collision," said Kelso.

Experts and leading government agencies have been working on the space junk problem for decades, but it's a tricky one to solve, Schonberg told CNN.

Trying to catch or deflect debris runs the risk of making the problem worse, he said. The debris could shatter into more pieces or change orbit and be on a collision course with something else.

Some soft-impact lasers can nudge objects into a calculated orbit toward Earth so they will be pulled down and burn up in the atmosphere, Schonberg said. But scientists must make sure that happens over an ocean to minimize danger to people.

"Our technology has not caught up with our desire to clean up our mess" in space, Schonberg said.

"If nothing else," said Kelso, this collision "was a bit of a reminder that it will likely happen again, and maybe we should get back to work trying to figure out what to do about it."

More space and science news on CNN.com's Light Years blog

Rare naked-eye comet now visible

501 days in space with your spouse: Could you do it?

@highlight

The collision has rendered the Russian satellite, used to reflect laser beams, unusable

@highlight

The debris is left over from a 2007 Chinese missile launch on their own weather satellite

@highlight

The collision happened January 22 but was only discovered last month

@highlight

The incident highlights the problem of collisions involving space debris