(CNN) -- The mosque on Prospect Street is not only Cambridge, Massachusetts,' largest mosque, but it is also the city's only mosque. As many as 1,000 people a week, including immigrants, students, families and residents from surrounding neighborhoods, stop by to pray up to five times a day as Islam requires.

Known as the Cambridge mosque, it is run by the Islamic Society of Boston and is just a few short blocks from the well-traveled Red Line, which serves Boston's many universities and colleges. "The mosque is open to everyone," says spokeswoman Nicole Mossalam. "We don't have a core membership. It's very fluid."

Law enforcement officials say the mosque has attracted a number of known terrorists and accused extremists, among them the accused Boston Marathon bombers, "Lady al Qaeda," and now an American fugitive wanted for questioning for possible ties to ISIS' social-media wing -- too many for law enforcement to ignore.

"At some stage we have to accept reality, which is a number of people who have taken up arms against Americans either here in Boston or abroad with ISIS have an affiliation with that mosque, and so the mosque will come under scrutiny to determine what is going on and whether as importantly, there aren't others affiliated with the mosque who might be planning ill will," said Juliette Kayyem, CNN national security analyst and former Department of Homeland Security assistant secretary.

At least 10 suspected or convicted terrorists have prayed at the mosque, a number confirmed by a federal law enforcement official, court documents and the mosque itself.

"None of these individuals, if and when they prayed at the ISB mosque, ever exhibited any hint of criminal or violent behavior. ...The Islamic Society of Boston unequivocally condemns ISIS and is deeply angered by the grievous harm it has done to innocent lives: American, Iraqi, Syrian and more," Mossalam said. She said, for the most part, the individuals did not participate in the mosque community or its programs. Nor is there any evidence suggesting Cambridge mosque officials knew or were involved with the suspects, nor do they preach any form of radical Islam.

Still, the list of controversial worshipers is striking for their apparent ties to ISIS, al Qaeda and other extremist groups targeting the United States and its interests. Among the most prominent Cambridge mosque attendees:

Dr. Aafia Siddiqui, an MIT-educated, Pakistani neuroscientist serving 86 years in federal prison, has been dubbed "Lady al Qaeda" and become the poster girl for Islamic Jihad. ISIS militants who beheaded American journalist James Foley sent a letter to the family saying it had offered a prisoner exchange naming "sister Dr. Afia Sidiqqi (sic)."

CNN recently interviewed Fowzia Siddiqui in Pakistan, who said her sister's name had been appropriated by terrorists: "We want no violence in Aafia's name," she said.

In 2008, Siddiqui was arrested in Afghanistan with numerous bomb-making documents, specifically for chemical and biological weapons, for a "mass casualty attack" against potential targets like the Statue of Liberty and Brooklyn Bridge. Her second husband is a nephew of 9/11 mastermind Khalid Sheik Mohammed. Siddiqui was not tried for terrorism but for grabbing a gun and opening fire on FBI agents during interrogation.

Accused terror fugitive Ahmad Abousamra also attending services at the Cambridge mosque. He is being looked at in connection with ISIS' propagandist social media. Raised outside Boston, he speaks fluent English and Arabic and graduated from the University of Massachusetts, Boston, with a degree in computer science. He vanished from America in 2006 after allegedly receiving terror training in Yemen and fighting against U.S. troops in Iraq.

His friend and fellow Cambridge mosque worshiper, pharmaceutical student Tarek Mehanna, is serving 17 years in federal prison after being found guilty of translating material for al Qaeda in Iraq, the precursor to ISIS. He appealed his case to the Supreme Court.

"All Muslims are obligated to pray five times a day and the Cambridge mosque is open for worship for all people; no ID's are checked; no one is excluded. If we ever observed any criminal or violent behavior, we would immediately intervene and notify the authorities," Mossalam said.

Boston Marathon bomber Tamerlan Tsarnaev was kicked out of the Cambridge mosque, according to a mosque member who spoke to CNN at the time of the attack. During prayers, Tamerlan Tsarnaev had several outbursts denouncing Muslims' incorporation of American holidays. The mosque confirms that Tamerlan Tsarnaev attended, as did his brother Dzhokar and Tsarnaev friend Ibragim Todashev.

Todashev was allegedly involved with Tamerlan Tsarnaev in a triple murder in Waltham, Massachusetts. He was about to sign a sworn confession when he allegedly grabbed a knife and lunged at an FBI agent, who then fatally shot Todashev. The FBI investigated and called the shooting justified.

In June, federal prosecutors charged another Cambridge mosque attendant with obstruction of justice in connection with the suspected marathon bombers. Part-time taxi driver Khairullozhon Matanov invited the Tsarnaev brothers to dinner the night of the marathon attack. Authorites say he deleted documents and photos from his computer after being notified he might be questioned by federal authorities in connection with the attack.

"You have data point after data point about various men, young men, coming to the mosque and becoming radicalized and then planning harmful events, then the mosque is and ought to be subject of scrutiny because there's just too many factors involved now," said retired DHS official Kayyem.

The mosque was founded in 1981. Other controversial Cambridge worshipers include one of the mosque founders, Abdulrahman Alamoudi, who is serving 23 years after pleading guilty in 2004 to activities with "nations and organizations that have ties to terrorsim." The Mosque spokeswoman said the charges were filed after Alamoudi distanced himself from the mosque. The FBI described Alamoudi's prosecution as a "major terrorism case."

Mossalam stressed the Islamic Society of Boston's record of "building bridges of faith, fellowship and understanding" with other religions and working with "local, state and federal public officials."

@highlight

Officials: Accused Boston Marathon bombers, other extremists attended mosque

@highlight

At least 10 suspected or convicted terrorists have prayed at the mosque, officials say

@highlight

Mosque spokeswoman says it doesn't preach any form of radical Islam