In his first-ever interview as the Emir of Qatar, Sheikh Tamim bin Hamad Al-Thani defended his country against allegations of funding terrorism and pledged support for the fight against ISIS for the long haul.

"We don't fund extremists," the Emir told CNN's Christiane Amanpour on Thursday. "If you talk about certain movements, especially in Syria and Iraq, we all consider them terrorist movement."

"I know that in America and some countries they look at some movements as terrorist movements. ...  But there are differences. There are differences that some countries and some people that any group which comes from Islamic background are terrorists. And we don't accept that."

It would be a "big mistake," he said, to consider every Islamic movement to be "extremists."

The Qatari government itself has long been criticized for hosting and financing Islamic extremists in Syria and elsewhere; an Israeli diplomat has even gone so far as to call the country, "Club Med for terrorists."

Nonetheless, the small, but rich Gulf nation has become a key member of the U.S-led effort to route ISIS in Syria. The country hosts one of the largest American military bases in the Middle East.

Qatar, like other coalition countries, will "stay in it for a while," the Emir, 34, told Amanpour.

"We've been asked by our American friends if we can join, and we did."

Who is the enemy?

There are some crucial differences in Qatar's approach to the chaos in Syria, and America's.

The Obama administration has said explicitly that while Bashar al-Assad, Syria's brutal strongman, has lost all legitimacy, he is no longer a priority.

Qatar could not disagree more.

"The main cause of all this is the regime in Syria, and this regime should be punished," the Emir said. "We've been saying that from day one, that if we don't stop the bloodshed in Syria and we don't stop Bashar committing genocide on his own people, this is where we're going to reach."

"Unfortunately, we are in a situation now that the Syrian people, who demanded for their freedom, are between a regime, brutal regime, and terrorist acts."

"If we think that we're going to get rid of the terrorist movements and leave those regimes doing what -- this regime especially, doing what he is doing -- then terrorist movements will come back again."

America has now done what President Barack Obama so long wanted to avoid -- intervention in the Syrian war. But it remains very unlikely that he would expand the mission to combat the Assad regime.

Would Qatar, Amanpour asked, expand its mission in Syria to do after the regime?

"Qatar cannot do that by itself, of course. If there is a coalition that will help and protect the Syrian people, we will be part of it."

A troubled region

Qatar's relationship with Syria, of course, is from the only the only source of controversy in its foreign policy.

During the Arab Spring, many accused Qatar of backing the Muslim Brotherhood in Egypt and the Qatari-run cable news network Al Jazeera of instigating unrest around the Middle East.

The Emir contended that far from playing sides, Qatar backed every Egyptian government since Hosni Mubarak stepped down.

He did acknowledge that many members of the Muslim Brotherhood, who have fled Egypt en masse, have been offered shelter in Qatar.

"Many of them left and some of them came to Qatar because they were traveling and they were afraid."

"Some of them are still there," he said. "They know the rules of the country -- that as long as you're here, you can't practice politics against any other Arab country."

Qatar is also a vocal supporter of Hamas, the Palestinian organization, which controls Gaza and which the United States considers a terrorist organization.

Amanpour asked whether Qatar would continue its support of Hamas.

"We support all Palestinian people. We believe Hamas is a very important part of the Palestinian people."

"What is the difference between Hamas 10 years ago and Hamas now? I believe the difference is that Hamas are more realistic now. They believe in peace and they want peace. But it's for the other party to believe in peace as well and to be more realistic."

A troubled World Cup

Nothing shows Qatar's desire to have its moment in the sun better than its successful bid to host the World Cup in 2022. It would be the first Muslim country to do so.

The bid has been mired in controversy, amid allegations of bribery and horrific labor conditions for those building the stadiums and infrastructure.

Qatar's scorching summer weather has also been a source of considerable tension; some have suggested that the tournament should be moved to the winter, though that would wreak havoc on soccer league schedules around the world.

"People should understand that Qatar had the best bid, and Qatar will provide and will do one of the best World Cups in history," the Emir said. "And I'm sure about that."

"People don't want to accept, don't want to realize that a small country, Arab, Muslim country, can host a big event like that."

The International Trade Union Confederation says that well over 1,000 migrant workers have died in Qatar since construction began, and 4,000 could be dead by the time the World Cup starts.

"Yes, it's true -- we had problems," the Emir said. "We're solving the problems. We're enforcing the laws -- it's not acceptable."

"We changed the laws. They are enforced and there are many laws that have been changed. And I'm telling you because I am personally hurt about the situation."

When asked by Amanpour, the Emir said that the laws would "definitely" be enforced, and workers would "definitely" get paid their fair wage.

"All the media is concentrating on Qatar due to the World Cup," he said. "If we have problems I don't mind the talking about problems. But also we need to talk other -- about other things, about those laws that we did."

In order protect players from the heat of Qatar's summer, the country is development complex air conditioning systems for its stadiums.

"We have this technology for ten years now and it's working in ... one of our stadiums."

"One hundred percent it will be working" for the 2002 Cup, he said.

And what of the suggestion that the Cup be moved to winter?

"Our bid was for it to be in summer," he said. "At the end, it's up to the FIFA to decide when is the best time."

"We're ready for both."

@highlight

World makes too many generalizations about Islamic movements, he says

@highlight

Sheikh says Qatar is prepared for long fight against ISIS

@highlight

Emir claims his country will be ready to host 2022 World Cup