Fragments of humans' ancient relatives are scattered across the globe. Sometimes a tooth or a few bones are all we have to tell us about an entire species closely related to humans that lived thousands or millions of years ago.

So when anyone finds a complete skull of a possible human ancestor, paleoanthropologists rejoice. But with new knowledge comes new controversy over a fossil's place in our species' very fuzzy family tree.

In the eastern European nation of Georgia, a group of researchers has excavated a 1.8 million-year-old skull of an ancient human relative, whose only name right now is Skull 5. They report their findings in the journal Science, and say it belongs to our genus, called Homo.

"This is most complete early Homo skull ever found in the world," said lead study author David Lordkipanidze, researcher at the Georgian National Museum in Tbilisi.

Skull 5 is the fifth example of a hominid -- a bipedal primate mammal that walked upright -- from this time period found at the site in Dmanisi, Georgia. Stone tools and animal bones have also been recovered from the area.

The variation in physical features among the Dmanisi hominid specimens is comparable to the degree of diversity found in humans today, suggesting that they all belong to one species, Lordkipanidze said.

But "if you will put separately all these five skulls and five jaws in different places, maybe people will call it as a different species," he said.

Now it gets more controversial: Lordkipanidze and colleagues also propose that these individuals are members of a single evolving Homo erectus species, examples of which have been found in Africa and Asia. The similarities between the new skull from Georgia and Homo erectus remains from Java, Indonesia, for example, may mean there was genetic "continuity across large geographic distances," the study said.

What's more, the researchers suggest that the fossil record of what have been considered different Homo species from this time period -- such as Homo ergaster, Homo rudolfensis and Homo habilis -- could actually be variations on a single species, Homo erectus. That defies the current understanding of how early human relatives should be classified.

Because of Skull 5 and the other Dmanisi fossils, scientists are "rethinking what happened in Africa," Lordkipanidze said.

The Dmanisi individuals appear to have long legs and short arms, based on the fossils that have been found, said study co-author Marcia Ponce de Leon, of the Anthropological Institute at the University of Zurich, Switzerland, at a press conference.

The braincase of Skull 5 is 546 cubic centimeters, which is smaller than expected.

The biggest brain case found at Dmanisi is 75% larger than the smallest one, which is consistent with what is observed in modern humans, said study co-author Christoph Zollikofer of the Anthropological Institute in Zurich.

At Dmanisi, researchers believe carnivores and hominids were fighting over animal carcasses. The stone tools appear to have been used in butchering, based on the cut marks on animal bones, Lordkipanidze said. They are comparable to tools that have been found in Africa.

"It's a real snapshot in time," Lordkipanidze said of the Dmanisi site.

Skull 5, excavated in 2005, was matched to a jaw discovered in 2000. The first example of a hominid fossil at Dmanisi was discovered in 1991.

So what species came after Homo erectus in the history of human relatives? Scientists have no idea, Zollikofer said.

"It would be nice to say this is the last common ancestor of Neanderthals and us, but we simply don't know," Zollikofer said.

The Dmanisi fossils are a great find, say anthropology researchers not involved with the excavation. But they're not sold on the idea that this is the same Homo erectus from both Africa and Asia -- or that individual Homo species from this time period are really all one species.

"The specimen is wonderful and an important contribution to the hominin record in a temporal period where there are woefully too few fossils," said Lee Berger, paleoanthropologist at the University of the Witwatersrand in Johannesburg, in an e-mail.

But the suggestion that these fossils prove an evolving lineage of Homo erectus in Asia and Africa, Berger said, is "taking the available evidence too far."

Berger led the team that discovered Australopithecus sediba, a possible human ancestor that lived around 2 million years ago in South Africa. He criticized the authors of the new study for not comparing the fossils at Dmanisi to A. sediba or to more recent fossils found in East Africa.

Ancient fossils question human family tree

Lordkipanidze said he and colleagues consider A. sediba to be earlier and more primitive than the Dmanisi hominids, and that there's "no doubt" the Georgian fossils belong to the Homo genus.

But the selectivity of fossils compared to them in this study may have artificially biased the results toward the researchers' hypotheses, Berger said.

Ian Tattersall, curator emeritus at the American Museum of Natural History's anthropology division, said in an e-mail that there's "no way this extraordinarily important specimen is Homo erectus," if the skull fragment discovered in Trinil, Java, Indonesia, defines the features of the Homo erectus group.

The New York museum's Hall of Human Origins takes visitors on a tour through human evolutionary history, showing distinct Homo species reflected in major fossil finds such as Turkana Boy (Homo ergaster) and Peking man (Homo erectus).

The Dmanisi discovery may find a place there too, but it's probably not going to result in relabeling other species, Tattersall said.

"Right now I certainly wouldn't change the Hall -- except to add the specimen, which really is significant," he said.

There is an area of about 50,000 square meters at Dmanisi still to be excavated, so Skull 5 may have even more company.

Ancient creature had spider-like brain

Follow Elizabeth Landau on Twitter at @lizlandau.

@highlight

1.8 million-year-old fossils are a "snapshot in time," researcher says

@highlight

Fossils call into question the classification of distinct species of ancient human relatives

@highlight

Study authors argue there was one Homo erectus lineage that left Africa for Eurasia

@highlight

Other anthropologists don't buy the argument but say skull is important