Turkey is in a tough spot. It has ISIS militants threatening the Syrian border town of Kobani, inching ever closer to confronting Turkish security forces. In addition thousands of Syrian Kurds, fleeing ISIS attacks, have massed along its border, adding further to Ankara's troubles.

Amid mounting pressure to become more active in the U.S.-led international coalition against ISIS, the Turkish parliament last week overwhelmingly authorized its military to make incursions into Syria and Iraq; also to allow foreign troops to operate out of Turkish bases. The move has been greeted in Western capitals as a welcome sign that Turkey is finally fully on board with the anti-ISIS coalition.

Yet the Turkish parliament's actions herald neither a complete about-face in policy toward Syria nor immediate military action against ISIS. Indeed, Turkey's reasons for joining the war may be more to do with suppressing Kurdish separatists and removing the al-Assad regime than with destroying the jihadist group.

Toppling the leadership in Damascus and keeping in check the Syrian Kurds who are closely linked to the Kurdistan Workers' Party, or PKK, have long been Ankara's priorities in Syria.

The wording of last week's parliamentary resolution -- which states that "the terrorist elements of the outlawed PKK still exist in northern Iraq" -- suggests that Kurdish separatists still remain the Turkish government's top concern.

The vote does not signal intervention against ISIS any time soon: despite thousands of Syrian Kurdish refugees and ISIS's fast advance towards Turkey's southern border, Ankara seems unwilling to act. Turkey's defense minister Ismet Yilmaz said: "Don't expect an imminent step after the approval of the authorization request."

Rather, the Turkish government is likely to give its full cooperation to the campaign against ISIS so that it can secure agreement of a U.S.-backed no-fly zone in Syria: this, Ankara believes, would address both concerns.

Turkey thinks that Assad regime's ability to attack mainstream opposition forces from the air has strengthened ISIS, causing the Free Syrian Army to flee and allowing the Islamic militants to capture the vacant territory. Enforcing a no-fly zone over Syria would ground al-Assad's air force and boost rebels fighting to topple him: it could also establish a Turkish military presence, ridding northern Syria of Kurdish fighters linked to the PKK and smothering the autonomous Kurdish region. Turkey has become increasingly uneasy about the emergence of yet another Kurdish entity on its frontier after the PKK-affiliated Syrian Kurdish groups established autonomy in northern Syria.

The military and diplomatic boost that the PKK has received through its effective fight against ISIS has also worsened the situation for Ankara. In response to the growing ISIS threat, the PKK, the Peshmerga, and the People's Protection Unit (the PKK-linked Kurdish militia group fighting in Syria), have established a united Kurdish front, with the PKK militants coming to the aid of Peshmerga fighters and halting the jihadi group's advance into the autonomous region of northern Iraq. The People's Protection Unit was the main force battling ISIS, and it helped thousands of Yazidis escape from the western part of the region as ISIS attacked.

The PKK has effectively become the West's best hope for on-the-ground troops, winning the group positive reviews in Western media. Since the group started its assault against ISIS in northern Iraq, there has been a lot of talk in Western capitals about removing the PKK from the terror list.

The fight against ISIS has also empowered the PKK militarily: Turkey is concerned that that weapons sent to the Peshmerga might ultimately end up in the hands of the PKK at a time when Ankara is moving forward with a deal that would disarm its group. The Turkish government puts the blame for this on the West but Ankara's overtures towards its own Kurdish minority have been mostly strained by its own short-sighted Syria policy.

The ongoing conflict around Kobani has underscored the many challenges the Syrian war poses for the peace process Ankara launched in 2012 in an effort to end the 30-year old Kurdish insurgency. The intensified shelling in Kobani has angered Kurds on the Turkish side of the border, who have blamed the Turkish government for allowing ISIS to fester and not doing enough to stop its assault against Kurds.

Turkey's reluctance to get involved for fear of empowering Kurdish militants in Turkey is now contributing to the growing discord between Kurds and the government. Last week, after reports that Turkey closed the border gates to impede the flight of Kurds from Kobani, Abdullah Ocalan, the PKK's imprisoned leader, warned that if ISIS carried out a "massacre" in Kobani then the peace process with the PKK could end.

If engaged by Ankara, the PKK-linked groups in Syria could be integrated into the moderate Syrian opposition and become an effective fighting force against the al-Assad regime. But the Turkish government's increasingly harsh rhetoric against the group signals that such a shift in Ankara's thinking is not in the works. Last week, Erdogan said "While the ISIS terror organization is causing turmoil in the Middle East, there has been ongoing PKK terror in my country for the last 32 years, and yet the world was never troubled by it. Why? Because this terror organization did not carry the name 'Islam.'"

If Turkey keeps seeing the PKK a bigger threat than ISIS activities in Syria, then the legislation passed last week is unlikely to lead to a deeper involvement of Turkey in the fight against the jihadist group.

@highlight

Gönül Tol: Turkey may be joining the anti-ISIS coalition to suppress Kurdish separatists

@highlight

The vote does not signal intervention against ISIS any time soon, she says

@highlight

Tol: The PKK has effectively become the West's best hope for on-the-ground troops

@highlight

The fight against ISIS has also empowered the PKK militarily, she writes