(CNN) -- Research into the H7N9 virus suggests the risk of contracting serious illness rises with age and that more people may be infected than the 105 cases reported, according to a study by the Hong Kong University.

Benjamin Cowling, associate professor at HKU's public health research center, told CNN that a disparity had emerged in data focusing people's exposure to live poultry.

"Essentially there are more exposures to poultry in older adults than in younger adults, but the difference in exposures is not as big as when we look at the differences in age of the number of serious H7N9 infections," Cowling said.

He said that if age were not a factor in the seriousness of infection, then researchers could expect the pattern of the disease to exactly match the pattern of exposure.

"What we're seeing is that half the serious cases are above 60 years of age," he said. Milder symptoms also meant that many more people may be infected with the virus than is currently known because people potentially infected with H7N9 were not seeking medical attention for what seems like a mild cough or fever.

Read more: Bird flu puts spotlight on age-old traditions in China

"One of the reasons that SARS was easier to control was because all of the infections were serious so the patients had to be hospitalized and isolated," he said. "It's easier, then, to reduce onward transmission."

So far, however, there is no evidence of human-to-human transmission in H7N9. Researchers were struggling to discover why an early strain of bird flu -- H5N1 -- attacked a mainly younger demographic of people in their 20s and 30s.

Exactly why influenza strains are more serious in different age groups was still a subject of ongoing investigation, Cowling said.

"It's not completely clear what happened in the 1918 Spanish Flu pandemic," he said. "Certainly the burden of severe illnesses fell disproportionately on younger adults."

He said the normal profile of an influenza epidemic was that the highest proportion of infection is with younger children.

Read more: China's bird flu mystery

"That is a classic feature of influenza viruses but it seems from the mortality curves (of Spanish flu), the highest death rate was in young adults and that suggests something unusual."

World Health Organization officials this week visited Shanghai as part of a week-long visit to China to gauge the response to the outbreak. Keiji Fukuda, assistant director-general for health security and environment of the WHO told a news conference that there was no "sustained" pattern to the H7N9 outbreak that suggested human-to-human contact. Last week, however, a spokesperson from the Chinese Center for Disease Control said that as many 40% of the cases had had no contact with poultry.

China's health ministry on Monday confirmed a total of 105 cases, in Shanghai, the capital Beijing and four provinces including Shandong for the first time. A death on Monday night in Shanghai brought the death toll from the epidemic to 21 people.

@highlight

Research into the H7N9 virus suggests the risk of contracting serious illness rises with age

@highlight

China's health ministry on Monday confirmed a total of 105 cases and 21 deaths

@highlight

The virus has been identified in Beijing, Shanghai and four provinces including Shandong for the first time

@highlight

The WHO has said so far there is no evidence of human-to-human transmission in H7N9