(Coastal Living) -- New Orleans without music? That's like Venice without canals -- and just as hard to imagine. Music weaves New Orleans' past with its present, and the infinite jazz variations -- from the ethereal warble of classic Dixieland to the tuba-powered street funk of brass bands -- serve as a soundtrack to this storied city.

The best way to keep New Orleans music alive? Visit.

New Orleans music sounds sweeter today, and here's why: In the wake of Hurricane Katrina, few were certain the streets would resound as they once did.

It's not that clubs flooded and venues were wiped out -- many were on high ground and survived just fine -- but the rising waters took out much of the city's affordable housing and its tourism industry. That uncertain future made it unclear whether pass-the-hat musicians and hardworking club regulars would be able to regain their footing in the city.

But several groups took the lead to ensure that musicians would still have a home in New Orleans. Locally revered nightclub Tipitina's earmarks its proceeds to help musicians return to town and to put musical instruments back into the flooded schools.

Harry Connick Jr. and Branford Marsalis, two New Orleans natives, partnered with Habitat for Humanity to build the Musicians' Village in the Upper Ninth Ward. Today, this cluster of colorful shotgun-style cottages, located an easy bike ride from the French Quarter, is gradually being filled by musicians (and others) as volunteers continue to travel here to build the houses. CoastalLiving.com: Beyond Bourbon Street

While some still debate whether the music scene has fully regained its pre-storm luster, there's no denying that anyone who shows up hungry for the famous New Orleans sound will leave sated. You can still stroll the French Quarter or nearby Frenchmen Street and pass dozens of clubs where languid notes wander out into the muffled, humid air, pause for a moment, and disappear into the night.

The best way to keep New Orleans music alive? Visit. And bring your friends. Go to clubs. Here are four not to miss.

Snug Harbor Jazz Bistro has the feel of a speakeasy -- you enter through a low-ceilinged bar into an open performance space that's at once intimate and grand. With live music nightly, this is a good spot for classic, straight-ahead jazz. Expect talents such as Ellis Marsalis (father of Branford and Wynton), Charmaine Neville (a member of New Orleans' first family of music), and powerhouse trumpet player Irvin Mayfield with his New Orleans Jazz Orchestra. CoastalLiving.com: Gulf Coast Eateries

Three decades ago, a handful of local musicians was dismayed that piano legend Professor Longhair had no place to showcase his talents. They acquired a bar Uptown (it's about a 10-minute cab ride from the French Quarter), and renamed the venue after the Professor's signature song.

Today Tipitina's, a spacious, two-level club in a boxy yellow building marked by a Dixie beer sign, attracts local and touring musicians ranging from inimitable songwriter-composer Allen Toussaint to rising stars such as Troy "Trombone Shorty" Andrews. Seating is nonexistent -- assume you'll be standing the whole show --but the open space works to your advantage on Sunday evenings, when Tip's hosts a Cajun dance party, with the emphasis on dance.

For the gold standard of New Orleans performance venues, visit Preservation Hall. Carved out of a 1750 Creole residence in the heart of the French Quarter, it's had the self-appointed mission of preserving local music since 1961. The audience lines up on the sidewalk, crowds in (it's one of the few places in town to enjoy music without smoke), then taps their feet along with bands schooled in the old ways of New Orleans. Great local musicians perform regularly, all linked by their devotion to traditional music. Thursdays are typically brass-band nights, where the "big" gets put in "big New Orleans sound.

When people imagine a laid-back New Orleans jazz club, they're thinking of a place like Donna's Bar and Grill. Smoky and utterly un-self-conscious, the corner bar sits on a fringe of the French Quarter where few tourists happen by. Inside, it's too hot in the summer and too cold in the winter. Black-and-white photos of venerable New Orleans bands hang unevenly on the walls.

But the music! It showcases a revolving cast of local greats, with Monday gigs by George French and vocalist Germaine Bazzle, and rollicking appearances by barrelhouse piano player Tom McDermott. Arrive before the show to get one of the handful of seats at the bar or in front of the low stage, grab a cold beer, then let the music take you away.

It's not too early to plan a trip to New Orleans for the French Quarter Festival, featuring more than 150 musical performances on 18 stages. The event runs April 17-19, 2009. For more info, visit fqfi.org.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright © Coastal Living, 2009

@highlight

Snug Harbor Jazz Bistro is a good spot for classic, straight-ahead jazz

@highlight

Tipitina's is a spacious, two-level club that attracts local and touring musicians

@highlight

Donna's Bar and Grill showcases a revolving cast of local greats