(CNN) -- Ten years ago this week, then-Secretary of State Colin Powell declared that genocide had been committed in Darfur and that the government of Sudan and the janjaweed bore responsibility for those acts. Even though it did not actually trigger a legal obligation to act, many hoped that using the "g word" meant that the United States was crossing the Rubicon and committing itself to stopping the violence in Darfur, Sudan's most troubled region.

The janjaweed, however, are still at large in Darfur -- and with the Sudanese government's help, they are now arguably more powerful than ever.

It is this reality that makes it so disturbing that the United Nations recently declared that getting weapons out of this militant group's hands is no longer "relevant" to their work. After all, janjaweed fighters formed the backbone of the genocidal attack forces that the Sudanese government unleashed on Darfur 11 years ago.

When the spotlight finally fell on the ethnically motivated killing in the region, it was clear that these men committed some of the very worst crimes against humanity. The looming specter of their attacks kept displaced Darfuri refugees trapped in camps and, as long as the janjaweed were at large, their victims would not be able to go home.

In recognition of this reality, the U.N. Security Council ordered the Sudanese government to take steps to disarm the janjaweed, but it did little toward this goal.

Fast forward to last month, and the Security Council voted to keep peacekeepers in Darfur for another 10 months. At a time when budgets are already stretched, the vote was hailed as a final lease of life for the mission, which has been accused of covering up its failure to protect Darfuri civilians.

But buried among small technical tweaks to the mandate's language, the Security Council made a huge concession to the government of Sudan by deeming aspects of the peacekeepers' work -- including monitoring, verifying, and promoting efforts to disarm the militias -- "no longer relevant."

Why has this happened?

Some have argued that any attempt to disarm the janjaweed was doomed to fail because, in practice, taking away their weapons would also mean taking weapons away from Darfur's powerful Arab tribes. Others said that it was hard to know who exactly the "janjaweed" were. But with its latest resolution, the United Nations seems to be saying, in effect, the janjaweed are no longer of concern.

The facts on the ground show just the opposite.

Today, the same brutal forces that carried out those crimes remain the primary threat to civilian security in Darfur.

Indeed, the janjaweed have been openly embraced by the government of Sudan. And despite for years denying it had any connection to the fighters marauding across Darfur, the government has, under the banner of the Rapid Support Forces, allegedly welcomed many of these brutal fighters back to the scene of their old crimes, in uniform and newly armed and equipped.

Already this year, the Rapid Support Forces have reportedly been in Darfur, South Kordofan, and Blue Nile, where they have been accused of burning civilian areas to the ground, raping women, and displacing non-Arab civilians from their homes. In exchange, the Sudanese government has showered these janjaweed reincarnate with praise and rewards.

By giving these forces a new name and official status, the Sudanese government seems to have convinced the Security Council that Darfuris are no longer living under the threat of janjaweed attacks.

Just as bad, the United Nations seems reluctant to even use the word janjaweed, at least according to Aicha el Basri, a former spokeswoman for the operation, who wrote in Foreign Policy that "since the deployment of UNAMID in 2008, only one mention of the word janjaweed has appeared in the more than 30 reports that [the UN] has issued on Darfur."

In declaring that efforts to disarm these fighters are no longer relevant, the United Nations effectively endorsed the Sudanese government's flimsy claim that things in Darfur are getting better. Meanwhile, the killing continues.

@highlight

Ten years ago this week, Colin Powell declared that genocide had been committed in Darfur

@highlight

Janjaweed fighters formed the backbone of attack forces unleashed on Darfur, says Akshaya Kumar

@highlight

Security Council has voted to keep peacekeepers in Darfur for another 10 months, Kumar says

@highlight

But Kumar argues new guidelines overlook ongoing threat posed by fighters