(CNN) -- I thought I knew a thing or two about hunger. I've met thousands of people who struggle to feed themselves and their families, visited dozens of soup kitchens, food pantries, homeless shelters and food banks, and worked closely with nonprofit organizations in trying to find new ways to end hunger.

I really thought I understood the scope of the problem.

But let me tell you something -- I had no clue. My SNAP Challenge last week taught me that merely observing someone else's plight does not hold a candle to consciously altering your habits to better understand what it might be like to live someone else's life.

The Supplemental Nutrition Assistance Program was formerly called the food stamp program. In the SNAP challenge, you live on a food and beverage budget of $4.50 a day, the average amount a recipient of food stamps gets in benefits.

I was hungry last week -- laser-focused on how much food was left in the fridge and how many dollars were left in my wallet. I was scared about eating portions that were too big, and wasn't sure what to do if my food ran out. I canceled two scheduled dinners, knowing they were way beyond my budget.

But I was doing this challenge on my own. Eighty percent of households that have problems putting food on the table include the most vulnerable -- children, the elderly and the disabled. Most people in the SNAP program would have considered my challenge as a "household of one" to be a luxury.

My approach to grocery shopping was to try to stay full. That meant carbohydrates. In retrospect, it was a poor choice. I ended up with a diet largely based around pasta, lentils, chickpeas and cereal. While it wasn't a ton of food, I could mix and match for various meals and find myself not quite full -- but enough to get by. Breakfast and snacks were Toasted Oats. Lunch and dinner varied between chickpea, jalapeno and tomato soup, lentil casserole and pasta with tomato sauce and garlic. Fresh fruit, vegetables and yogurt were too expensive.

I also gave up coffee because it didn't fit within the budget. I only drank water. My drastic change in diet made me listless and grumpy.

But the seven days of this challenge happened in a vacuum. It was really just an imitation of a very real problem facing millions of Americans -- it wasn't my real life. It was over in a week. No other pressures weighed on my shoulders the way they do on those of people who use food stamps. I wasn't worrying about my car breaking down or not being able to pay for gas or having my electricity turned off or finding work or paying an unforeseen medical bill.

All I had to worry about was my food, and that was challenging enough.

One in six people in this country, or roughly 48 million Americans, face this reality. At the same time, they confront other obstacles and manage to deal with more pressing challenges every day. The statistics are alarming. However, it wasn't until I participated in the challenge and heard stories from the hundreds of people who responded to my blog posts that I really understood what a life of food insecurity means.

One person wrote me, "It's not about a weeklong 'challenge.' It's about months. It's about deciding whether to eat or buy heart medicine or diabetic drugs. ... It's about knowing that this week is followed by another and another and another. It's not about (whether or not food is) boring. It's about living."

I believed at first that by taking the challenge to eat on $4.50 a day diet, I could raise awareness about hunger. What has become clear is that those who are "food insecure" -- or even those living close to that edge -- are all too aware of their circumstances.

Helping the hungry is not a zero sum game. We can discuss policy, and undoubtedly each of us will land on one side or the other of the political debate.

Unfortunately, the debate we often hear in Washington leads to thinking that the issue can be seen in black or white, right or wrong, good or bad.

We all know there are people who abuse the system. I have no doubt that there are some people who accept SNAP benefits when they either don't need the assistance or may not use them appropriately. But SNAP is really an efficient program. There are small problems with the system -- but there always are in large, complex systems.

Tens of millions of people, most of whom are elderly or have children, rely on this safety net to help them cope with very difficult situations beyond their control. And we can all acknowledge our shared responsibility to help these fellow citizens survive and ultimately create productive lives of dignity.

Throughout my SNAP Challenge, I kept returning to the same questions: What kind of society do we want to live in? Do we want to live in a country that turns a cold shoulder to the problem of hunger, or one in which we work together to face it head on?

We, in corporate America, must be part of the solution. At Panera, we have tried to stretch ourselves to think of how to address hunger in new ways and challenge others to do the same. We have developed five nonprofit "Panera Cares" community cafes with no set prices and have donated hundreds of millions of dollars in products to food banks. Our view is that unless we at Panera take care of the world that we live in, there won't be any society left to support us.

If the past week has taught me anything, it's that hunger is not a problem of "them," it's a problem of "us." Hunger exists in every community, in every county, in every state. Simply put, this is our problem to solve, and it's time to do so.

The opinions expressed in this commentary are solely those of Ron Shaich.

@highlight

Panera Bread CEO Ron Shaich lived on the amount a food stamp recipient gets each day

@highlight

Shaich thought he knew about hunger, but this opened his eyes to real problem

@highlight

He drank water and ate carbs, lost energy and admits it was only a week, not his life

@highlight

Shaich says hunger is not "their" problem, it's ours as a society