Hong Kong (CNN) -- Unlike most twenty somethings starting out in New York City, Zhang Yuzhu is not scrimping to make rent.

A graduate student from China, Zhang spends her free time in the city's swankiest department stores buying designer goods. She once blew $45,000 on the coveted Hermes' Birkin that is regarded by some as the "holy grail" of handbags.

Zhang, however, is not splashing her own cash. She is one of China's growing ranks of "haiwai daigou," or overseas personal shoppers, that source luxury items for customers back home.

It's a booming business that was worth 74.4 billion yuan ($12 billion) in 2013, according to the China E-commerce Research Center.

"Usually I can earn $200 to $300 for a Chanel handbag, but I will get more for a Hermes," Zhang told CNN.

Zhang's customers get designer goods for less than they would at home by circumventing China's steep taxes on luxury items. She says they cost 30% less in the United States.

Chinese are the biggest buyers of luxury goods globally, making 29% of all purchases, according to consultants Bain & Company, and these purchases are increasingly being made abroad, mostly by tourists, but also by people like Zhang.

Many young Chinese studying in places like New York, London, Paris and Tokyo have started ad hoc businesses, with Bain saying that Chinese luxury sales will become increasingly reliant on this kind of "parallel trade."

Zhang finds her clients through Chinese social media like WeChat and Weibo, where she posts pictures of the latest items about once a month. Customers then wire the purchase price by bank transfer, including a buyer's commission.

Others use the eBay-like site Taobao operated by Chinese e-commerce giant Alibaba.

Sometimes, Zhang secures her clients an even steeper discount by buying items in Oregon, a sales tax-free U.S. state where she used to live.

In a good month, she will buy about six bags from the likes of Chanel, Hermes, Prada, Dior and Bottega Veneta and has made purchases on behalf of about 50 customers.

First-name terms

Paris-based Li, who only wanted to give his family name, earns more than $6,000 a month buying luxury items in French stores on behalf of clients back home. An MBA graduate, he has no plans to pursue a different career despite his educational credentials.

"I'm a big fan of luxury products and I think daigou is a much easier job than others," he said.

However, Li says the business is unstable. Even though he's on first-name terms with sales staff in stores like Hermes he can't get special deals.

"It's Hermes so no-one can get any discount unless you are a super VIP," he said.

But an anti-corruption campaign launched by Chinese President Xi Jinping that saw Chinese sales of luxury goods slow significantly in 2013 has also hurt his business, said Li.

His customers spend less than they used to as flaunting designer watches and extravagant gift giving to officials is now frowned upon.

But Chinese wallets are expected to remain the globe's biggest source of spending on designer goods, and, according to Erwan Rambourg, the author of The Bling Dynasty: Why the Reign of Chinese Luxury Shoppers Has Only Just Begun, Chinese consumers will account for one in two purchases by 2025 and most of these will be made abroad.

"Luxury goods help Chinese fit in socially and professionally," he said.

Smuggling or shopping?

With large amounts of money changing hands under the official radar, the trade has also caught the attention of China's customs authorities.

From August 1, the General Administration of Customs has stipulated that all individuals engaged in "cross-border e-commerce" must provide a list of imported and exported items to customs.

"Those who do not play by the rules will be seen as lawbreakers or even smugglers," Lu Zhenwang, chief executive of Shanghai-based e-commerce firm Wanqing Consultancy told The China Daily.

"That's a risk few people would want to take."

However, Zhang and Li both said they had no immediate plans to give up their lucrative sidelines despite the new regulation.

"You can say this is smuggling but you can't prove it. The products were purchased in a legal way," said Li.

Zhang says she doesn't plan to be a personal shopper forever but it's an easy way for her to earn extra cash at a time when many graduates, even those who studied abroad, struggle to find a job back home.

After graduating, she hopes to find a job in television or the movie industry.

"It's a part-time job for me so I can earn some pocket money."

@highlight

Personal shoppers helping Chinese get luxury goods for less

@highlight

Often students studying abroad, they can earn thousands of dollars a month

@highlight

Luxury items cost 30% to 40% more in China than U.S. and Europe

@highlight

Chinese customs authorities are cracking down on the trade; viewed as smuggling