Hours after a Sudanese court sentenced his pregnant wife to death when she refused to recant her Christian faith, her husband told CNN he feels helpless.

"I'm so frustrated. I don't know what to do," Daniel Wani told CNN on Thursday. "I'm just praying."

This week a Khartoum court convicted his wife, Meriam Yehya Ibrahim, 27, of apostasy, or the renunciation of faith.

Ibrahim is Christian, her husband said. But the court considers her to be Muslim.

The court also convicted her of adultery and sentenced her to 100 lashes because her marriage to a Christian man is considered void under Sharia law.

The court gave her until Thursday to recant her Christian faith -- something she refused to do, according to her lawyer.

During Thursday's sentencing hearing, a sheikh told the court "how dangerous a crime like this is to Islam and the Islamic community," said attorney Mohamed Jar Elnabi, who's representing Ibrahim.

"I am a Christian," Ibrahim fired back, "and I will remain a Christian."

Her legal team says it plans to appeal the verdict, which drew swift condemnation from human rights organizations around the world.

In the meantime, Ibrahim, who is eight months' pregnant, remains in prison with her 20-month-old son.

"She is very strong and very firm. She is very clear that she is a Christian and that she will get out one day," Elnabi told CNN from Sudan.

Ibrahim was born to a Sudanese Muslim father and an Ethiopian Orthodox mother. Her father left when she was 6 years old, and Ibrahim was raised by her mother as a Christian.

However, because her father was Muslim, the courts considered her to be the same, which would mean her marriage to a non-Muslim man is void.

The case, her lawyer said, started after Ibrahim's brother filed a complaint against her, alleging that she had gone missing for several years and that her family was shocked to find she had married a Christian man.

A family divided

The court's ruling leaves a family divided, with Ibrahim behind bars and her husband struggling to survive, Elnabi said.

Police blocked Wani from entering the courtroom on Thursday, Elnabi said. Lawyers appealed to the judge, but he refused, Elnabi said.

Wani uses a wheelchair and "totally depends on her for all details of his life," Elnabi said.

"He cannot live without her," said the lawyer.

The couple's son is having a difficult time in prison.

"He is very affected from being trapped inside a prison from such a young age," Elnabi said. "He is always getting sick due to lack of hygiene and bugs."

Ibrahim is having a difficult pregnancy, the lawyer said. A request to send her to a private hospital was denied "due to security measures."

There also is the question of the timing of a potential execution.

In past cases involving pregnant or nursing women, the Sudanese government waited until the mother weaned her child before executing any sentence, said Christian Solidarity Worldwide spokeswoman Kiri Kankhwende.

Rights groups, governments ask for compassion

Amnesty International describes Ibrahim as a prisoner of conscience.

"The fact that a woman could be sentenced to death for her religious choice, and to flogging for being married to a man of an allegedly different religion, is abhorrent and should never be even considered," Manar Idriss, Amnesty International's Sudan researcher, said in a statement.

"'Adultery' and 'apostasy' are acts which should not be considered crimes at all, let alone meet the international standard of 'most serious crimes' in relation to the death penalty. It is a flagrant breach of international human rights law," the researcher said.

Katherine Perks with the African Centre for Justice and Peace Studies said the verdict goes against Sudan's "own Constitution and commitments made under regional and international law."

"Meriam has been convicted solely on account of her religious convictions and personal status," she said.

Foreign embassies in Khartoum are urging the government there to reverse course.

"We call upon the Government of Sudan to respect the right to freedom of religion, including one's right to change one's faith or beliefs, a right which is enshrined in international human rights law as well as in Sudan's own 2005 Interim Constitution," the embassies of the United States, United Kingdom, Canada and Netherlands said in a statement.

"We further urge Sudanese legal authorities to approach Ms. Meriam's case with justice and compassion that is in keeping with the values of the Sudanese people," it read.

'Egregious violations of freedom of religion'

Attempts to contact Sudan's justice minister and foreign affairs minister about the Ibrahim case were unsuccessful.

Sudan is one of the most difficult countries in the world to be a Christian, according to international religious freedom monitors.

Under President Omar al-Bashir, the African nation "continues to engage in systematic, ongoing and egregious violations of freedom of religion or belief," the U.S. Commission on International Religious Freedom said in its 2014 report.

The country imposes Sharia law on Muslims and non-Muslims alike and punishes acts of "indecency" and "immorality" by floggings and amputations, the commission said.

"Conversion from Islam is a crime punishable by death, suspected converts to Christianity face societal pressures, and government security personnel intimidate and sometimes torture those suspected of conversion," said  the commission, whose members are appointed by Congress and the president.

The 8 worst places in the world to be religious

The Sudanese government has arrested Christians for spreading their faith, razed Christian churches and confiscated Christians' property, the commission said.

Since 1999, the U.S. State Department has called Sudan one of the worst offenders of religious rights, counting it among eight "countries of particular concern."

"The government at times enforced laws against blasphemy and defaming Islam," the State Department said in its most recent report on religious freedom, from 2012.

The State Department's other countries of concern, all of which impose strict penalties on Christians or other faiths, are: Myanmar (also known as Burma), China, Eritrea, Iran, North Korea, Saudi Arabia and Uzbekistan.

Among all religious groups, Christians are the most likely to be persecuted worldwide, according to a 2014 report by the Pew Research Center.

Between June 2006 and December 2012, Christians were harassed by governments in 151 countries, Pew reported. Islam was second, with 135 countries. Together, Christians and Muslims make up half of the world's population, Pew noted.

Lawyer says he's gotten a death threat

Elnabi says he got a death threat a day before the controversial court hearing, with an anonymous caller telling him to pull out of representing Ibrahim or risk attack.

"I feel very scared," he said. "Since yesterday, I live in fear if I just hear a door open or a strange sound in the street."

Still, the lawyer said he'll continue representing Ibrahim.

"I could never leave the case. This is a matter of belief and principles," he said. "I must help someone who is in need, even if it will cost me my life."

Wife: Saudi blogger recommended for apostasy trial

@highlight

Meriam Yehya Ibrahim's lawyer says she refused to recant her Christian faith in court

@highlight

Husband tells CNN: "I'm so frustrated. I don't know what to do."

@highlight

Ibrahim, 27, has been convicted of apostasy and sentenced to death

@highlight

She considers herself Christian, but a court says she is Muslim