(CNN) -- Politicians and historians love to use the word "crossroads."

It's become as American, and cliched, as "Mom's apple pie." The historian Shelby Foote, wrote, "The Civil War defined us as what we are and it opened us to being what we became, good and bad things. ... It was the crossroads of our being, and it was a hell of a crossroads."

I have been thinking about the word, because this year's Black History Month theme is "At the Crossroads of Freedom and Equality: The Emancipation Proclamation and the March on Washington." Two pivotal events that shaped modern American history.

A "crossroads" is literally the intersection of two or more roads -- two or more paths to get to the same place. Metaphorically, it refers to the place -- the moment -- of a critical decision. Shall we go forward together? Shall we separate? Shall we fight?

We mark history's crossroads not by road signs but by the documents that identify them. The Declaration of Independence is certainly one. Who has not memorized the opening of the second paragraph? "We hold these truths to be self-evident, that all men are created equal, that they are endowed by their Creator with certain unalienable Rights, that among these are Life, Liberty, and the Pursuit of Happiness."

Political philosopher John Locke's original term was, "Life, liberty, and property." Thomas Jefferson borrowed the phrase, changing "property" to "the pursuit of happiness." He understood that "happiness" -- being significant -- was more important than property, and that a "right to property" too often meant a "right" to own someone else, i.e. slavery.

Locke rejected the "divine right of kings." He argued instead that God invested each person with an innate equality -- the right to be on this Earth and to be free -- free to pursue dreams. On the way to his first inauguration, Abraham Lincoln stopped at Independence Hall in Philadelphia to celebrate Washington's birthday. He told the assembled crowd, "I have never had a feeling politically that did not spring from the sentiments embodied in the Declaration of Independence."

Lincoln's issuance of the Emancipation Proclamation in 1863 was another crossroads, one that required Lincoln, and the nation, to walk a long road of personal and national growth. "All men are created equal" had to take on a deeper meaning. Frederick Douglass, one of Lincoln's "guides" on his journey, later said the quality he most admired in Lincoln was his political courage.

Confederate President Jefferson Davis once acknowledged to an Atlantic Monthly writer that Lincoln's Emancipation resulted in the self-liberation of "two millions of our slaves."

A journey of a hundred years brought us to another crossroads -- the 1963 March on Washington. While "property in man" no longer existed, millions of Americans were unable to pursue their dream, or to live with full equality.

James Farmer, a leading civil rights activist who was in jail in my home state of Louisiana, sent a message to the quarter-million in attendance that summer day, saying his people would not be free "until the dogs stop biting us in the South and the rats stop biting us in the North."

Martin Luther King, Jr.'s "I Have a Dream" speech, like the Declaration, resonates. It echoes through the years in the heartbeats of Americans. The "pursuit of happiness" is more than pleasure, for we often take great pains in the pursuit. Rather, the pursuit of happiness is the freedom to pursue our dreams, to make meaning in and find the unique significance of our lives.

That is something we can only do when, in the bonds of fellowship and shared history, we nurture our dreams. The caged bird sings of freedom, but the freed bird sings of dreams. Today, we are 150 years further down the road to realizing the American creed of equality and freedom. We reached a crossroads in 2008 with the election of our first African-American president. We chose to continue on the road to a "post-racial" society.

We're not there yet. But in 2012, when we could have chosen to travel down another road, one that led to further economic inequality, we chose instead to continue the realization of equality and freedom, and to the unfettered pursuit of dreams for each American.

In some ways, the re-election of President Obama is more significant than his election four years ago. I say this not because I'm a Democrat, but because this time, the dog-whistles of racism were called out and condemned by people of faith and goodwill on both sides of the aisle.

During the next four years, we'll come to more crossroads. I pray, and believe, we will take the road to freedom and equality for each child, man and woman in America.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Black History Month themed crossroads, "tied to two pivotal U.S. events

@highlight

Emancipation Proclamation, March on Washington were crossroads, she says

@highlight

She says crossroad decisions are threaded along U.S. road to post-racial society

@highlight

Brazile: We're not there yet, but re-election of Obama a harbinger