(CNN) -- TV personality Kelly Ripa recently told In Touch Weekly she uses Botox possibly as often as she trims her nails. She also said her kids are useful gauges for when it's time for a tune-up.

She told the magazine: "When my kids start asking me if I'm mad at them, and I say, 'Why do you think I'm mad at you?' They say it's because I'm frowning. I go, 'Oh no! I am? I'll be right back!'"

Pointing the needle in the other direction, recall actress Julia Roberts' anti-Botox comments a couple of years ago: "I want my kids to know when I'm pissed, when I'm happy and when I'm confounded," she told Elle Magazine. "Your face tells a story ... and it shouldn't be a story about your drive to the doctor's office."

Here we have two glamorous celebrity moms in their 40s with opposite feelings about America's most popular cosmetic surgery procedure, yet both seem to agree that altering the face alters the way we relate to our children.

Have we really talked about this, though? I mean, really talked about it.

Just how does dulling facial expressions, appearing to freeze them in some cases -- yes we can tell, Fembots -- affect that vital two-way communication street between mother and child? Could not being able to furrow your brow in disapproval when little Johnny throws a fistful of mashed potatoes at your chest make you a less effective mom?

"(Botox) likely does limit and distort parent-infant communication, possibly making the parent look 'flat' emotionally," says Dr. Ed Tronick, associate professor of pediatrics and psychiatry at the University of Massachusetts. "Facial expressions for parents and young children are really critical ways in which we communicate our intentions or whether we're angry or sad, and that involves this very complex array of all the muscles that go into making facial expressions. So if you limit that range of expression, especially with very young children who are really attuned to reading facial expressions, then you limit the amount of information, the amount of emotion that you communicate using a facial expression."

Celebs and civilians alike expected to 'bounce back' after baby

I was introduced to the notion that babies and infants scan mom's face -- more so than the teenager whose head is buried in a smartphone -- while pregnant with my daughter. A friend had given me a copy of "The Female Brain" by Louann Brizendine and I was fascinated to read that female babies are especially sensitive to their mother's moods and facial cues.

In the months after giving birth, I really went for it in the grinning department, quite possibly setting my daughter up for a successful career as a clown.

Of course, let's not forget that tots receive information from mom in other ways, like caressing, singing, voice tone and deep sighs when presented with a particularly mortifying loaded diaper. Tronick, who also serves as director of the University of Massachusetts-Boston hospital's child development unit, says these other channels would make it difficult to separate out and measure a possible Botox effect.

Still, a Botox study came out last year that found the toxin lowers a key emotion: empathy.

Published in the journal of Social Psychology and Personality Science, the paper was based in part on an experiment in which adults who had Botox were compared with adults with the dermal filler Restylane, which unlike Botox doesn't affect muscle function. At the root of the experiment, says psychologist and co-author of the study David Neal, is the notion that we read a person's emotions partly by mimicking their facial expressions.

Inject some good 'ol Clostridium botulinum, and Neal says you likely "subtly impair your ability to mimic other people's facial expressions."

Moms gone wild: '40-year-old reversion'

"Mimicry actually serves important social functions," he says. "When we mimic someone, they trust us more, like us more, and are more likely to be helpful. Mother-child interaction follows these same rules because children learn to mimic and respond positively to mimicry from a very early age -- and it may be innate."

Right -- most new parents squeal with delight the first time their baby copies them by poking their tongue out or blowing a little raspberry.

"So, while no experiments have directly tested this yet," says Neal, "it is plausible that Botoxed mothers are subtly undermining their ability to connect emotionally with their children."

Perhaps we can also learn something from so-called "still-face" or "blank face" experiments. In those, researchers study an infant's reaction while their mothers face them and display no facial expressions whatsoever for a controlled length of time. While unsettling to watch, the studies are said to help teach us how infants' social and emotional development might be linked to the emotional state of their caregivers. It also offers clues as to the effects of a mother's post-partum depression on her child.

Tronick started conducting "still-face" experiments more than 30 years ago, and says he finds infants as young as 3-4 months typically respond to their despondent mothers by gesturing to her and trying to illicit a response from her.

"And if it lasts a minute or two, sometimes the babies end up getting upset or crying because of the lack of response on the part of the mother," he says.

Finding a mom friend in the big city

But when it comes to Botox, Chicago-based plastic surgeon Steven Dayan isn't convinced the procedure could lead to a mother-child disconnection.

"I categorically, overwhelmingly disagree that that's even a possibility," he says. "You'd have to put so much Botox in to reduce that much animation that the person would look like a stroke victim. Even when I've put Botox into the upper third of the face where it's most commonly used, you still have complete animation in the lower two-thirds of your face."

Dayan, who says quite a few of his patients are new moms anxious for Botox as soon as they stop breastfeeding, maintains that if you emerge from the doctor's office without being able to move a single muscle on your face, you've likely been treated by an irresponsible physician or one who has received poor training.

"Botox should be done in a slight moderate dose so people can still animate," he says. "You just reduce the appearance of the anger. We're just blunting the expression ... really nobody should know that it was done."

Furthermore, Dayan says, what's so bad about a kid not seeing his mother's face scrunched in anger?

"If these moms can't make the angry face, or they can't project this angry image, maybe they are presenting a more positive image to their kids," he says. "Maybe they're happier, maybe they're going to be better parents."

Possibly, but trying to project a positive image when your child is lowering the pet hamster into the garbage disposal isn't necessarily productive.

Stay-at-home mom Abbie Gale said her three sons -- twins age 12 and an 8-year-old -- didn't notice anything different after she had Botox, aside from the bag of peas plastered to her forehead (to prevent bruising, she says).

She was, however, surprised to discover her marriage benefited from the procedure.

"What I found was this strange warm and fuzzy reaction my husband was having to me looking more relaxed," said Gale, 39. "It wasn't my intention but ... Botox makes me look like I have things under control, far more than I probably do.

"I was trying to look my best so that my husband would always find me attractive. I didn't realize that those brow lines were more than just wrinkles. If one of Botox's side effects is making me look rested and more approachable, then sign me up forever."

You go, girl!

But when it comes to infants, Tronick doesn't think a brighter face because of Botox leads to giving off a more positive impression.

"It's just a momentary phenomenon," he says. "Very quickly you're saying, 'What is this person really feeling? What does this expression mean to me?' And I think to the infant, they're not getting any information from the facial expression and they're wondering, in a sense, 'Is this a positive facial expression or a negative one?' There's nothing to read because it's not changing."

Sort of like how repeating a word over and over renders it ineffective. Like yesterday when I said "no" 827 times as I watched my daughter slowly carry my favorite sandal toward the trash can. Where did the shoe end up? In the trash can.

I haven't tried Botox and can't say whether I ever will because I don't own a crystal ball. But I'd like to think my 2-year-old has had all channels of maternal communication fully available to her since her birth. Sure, it makes sense that some moms turn to the needle for some assistance and perhaps when kids are older it's not a big deal. But when they're teeny and vulnerable and might be hanging on our every head tilt and smile and squint, would it be wise to hold off on cosmetically enhancing our facial features?

The answer, perhaps, is on the little face looking back at us from the high chair.

Do you think facial Botox treatment could affect mother-child communication? Share your take in the comments section below.

@highlight

Babies pick up on and mimic the facial expressions of their caregivers

@highlight

Botox smooths wrinkles and creases from the skin, which may limit facial expressions

@highlight

Dulling facial expressions could affect parent communication, a researcher says

@highlight

A plastic surgeon disagrees, saying treatment that would cause such reaction is an outlier