(Financial Times) -- Irish homeowners applying for debt writedowns will have to give up satellite television, foreign holidays and private school educations for their children under a strict new insolvency law introduced to tackle the country's debt crisis.

On Thursday Ireland's Insolvency Service set out monthly spending limits for people seeking debt deals from their creditors, highlighting the impact austerity is having on Irish spending habits. A single person will be allowed just â‚¬247.04 a month for food, â‚¬57.31 for heating and â‚¬125.97 for "social inclusion and participation", an expenses category that includes tickets for sporting events and the cinema.

"A reasonable standard of living does not mean a person should live at luxury level, said Lorcan O'Connor, director of the newly established Insolvency Service of Ireland. "But nor does it mean that people should be punished and live only at subsistence level,"

In most cases, people seeking debt deals will also have to give up private health insurance and their cars, although they will be able to keep their vehicles if they do not have access to public transportion.

The guidelines mark Ireland's first attempt to quantify acceptable living standards when people declare bankruptcy or reach an insolvency arrangement with creditors under its new insolvency regime. Banks will also use the guidelines as they begin restructuring tens of thousands of home loans over coming months.

Stubbornly high unemployment and falling wages, caused by a five-year economic crisis, have pushed almost one in four Irish mortgage holders to the brink. Some 120,000 Irish mortgages are in arrears of 90 days or more. A further 100,000 loans have been restructured with short-term fixes.

Unlike many other EU countries, including the UK, Dublin has included secured mortgage debt within its insolvency regime, in an effort to encourage banks to negotiate long-term restructuring deals with debtors.

Under Engish insolvency law, which is less proscriptive than Ireland's new guidelines, "reasonable" day-to-day expenses for bankrupts include holidays, mobile phones and video rentals. While gym memberships, private health care, gambling, cigarettes and alcohol are considered unreasonable, English debtors do not face monthly cash limits.

Alan Shatter, Ireland's minister for justice, warned banks that they could face heavier losses if they did not agree debt deals with struggling mortgage holders, who might instead choose to declare bankruptcy.

House prices have halved since the Ireland's property market peaked in 2007, leaving an estimated 400,000 mortgage holders with negative equity. Unlike in some US states, mortgage holders cannot escape debt obligations by surrendering their property to the bank. Irish banks that sell repossessed properties at a loss can pursue homeowners for the difference.

Last month Dublin ordered banks to provide long-term solutions to struggling mortgage holders, prompting some concerns about the danger of "moral hazard".

"We will do write-offs. It is absolutely part of the give-and-take in a restructuring where both sides make concessions and it is not debt forgiveness," said David Duffy, chief executive of Allied Irish Banks.

"Anything that is done will be with full respect to the moral hazard that would be created," he added.

© The Financial Times Limited 2013

@highlight

Irish debt applicants will have to give up satellite television, foreign holidays and private school

@highlight

Scrutiny comes under a strict new insolvency law introduced to tackle the country's debt crisis