(CNN) -- Now that elder statesman Nelson Mandela has passed on, many are wondering how best to honor him. As the scope and breadth of his work was so wide, the answer to that question is likely different for each of us.

Nelson Mandela once said, "To deny people their human rights is to challenge their very humanity." With his steadfast conviction to issues of social justice, he is a symbol of the human struggle for justice and equality.

Mandela stood up for what he believed in, no matter the cost. He fought against South Africa's apartheid government and ended up imprisoned. After his release, he immediately plunged himself wholeheartedly into the work of improving others' lives.

In a 2007 interview, South African Archbishop Desmond Tutu said of Mandela, "How God must love South Africa to have given us such a priceless gift. After 27 years of incarceration when most expected you to emerge consumed by bitterness and resentment, lusting for revenge, you bowled us over with your magnanimity, your nobility and generosity of spirit."

Nelson Mandela called on all people to do something, even something small, to make the world a better place. It seems each of us whose lives have been affected by the many causes he so stoically fought for can honor him by carrying on his work in our own way. Here are some ideas:

GIVE 67 MINUTES

"Mr Mandela spent 67 years making the world a better place. We're asking you for 67 minutes."

The United Nations officially declared July 18th, Mandela's birthday, as Nelson Mandela International Day in 2009. Mandela Day is a global call to action for people to devote 67 minutes to help others, one minute for every year of Mandela's public service. There are many ways to make a difference, but the key is to devote those 67 minutes to doing good for others.

FIGHT RACISM AND BIGOTRY

Mandela spent 27 years in prison because he stood up against apartheid. Human rights and social justice were at the very core of his belief system.

To carry on his legacy, teach by example. Take a few minutes to examine prejudices you may have yourself. Make a personal resolution to let go of them. Encourage the people in your life to do the same. Speak out against injustice when you see it. Don't accept prejudice.

Learn to recognize bullying and harassment, be it online or in person. Donate your time and share information about how to stop it with your family, friends, school, church and neighbors. A resource that may help you is StopBullying.gov. You can also fight racism and bigotry by supporting organizations committed to social justice, like Mandela's own Nelson Mandela Centre of Memory and Amnesty International.

HELP INCREASE AIDS/HIV AWARENESS

The plight of HIV and AIDS in Africa and throughout the world was of great concern to Mandela. UNAIDS estimated the number of people living with HIV/AIDS in 2011 as 34 million. More than 23 million of those individuals live in Sub-Saharan Africa. In South Africa alone, there are more than 2 million orphans because of HIV/AIDS.

Though its mission has since expanded, Mandela's 46664 organization was originally founded as a global HIV/AIDS awareness and prevention campaign. Organizations with similar goals exist throughout the world. Among them: amFAR, ActionAid International, Keep a Child Alive, Elton John AIDS Foundation, International AIDS Vaccine Initiative, and Medecins Sans Frontiers International.

Become active in one of these organizations, become informed about AIDS and HIV, and spread your knowledge to others. Ask someone with AIDS/HIV to come speak at your church or school. Sponsor a family living with HIV/AIDS. Volunteer at a hospital in your area to hold babies stricken with HIV/AIDS. You can get started doing that by visiting the American Hospital Directory online to find a hospital near you, and then ask to speak with the hospital's volunteer coordinator.

IMPROVE LIVES OF YOUNG PEOPLE

Mandela loved children, and he wanted all the world's young people to have opportunities. In a 2000 interview with CNN's Jim Clancy he said, "We want every child to have a first-class primary education, and we want the elimination of all preventable diseases in society so that we can say in theory and in practice that we regard our children as the jewels in our society."

Of the more than 2 billion children in the world, 1 billion live in poverty. Nelson Mandela Children's Fund is dedicated to improving the conditions and lives of children and youth. Other organizations dedicated to helping children are UNICEF, Feed the Children and ChildFund International.

Donating your money or time to organizations dedicated to the welfare of children, locally or internationally, is a way to uphold the Mandela legacy. Sponsor a child. Groups like Save the Children and World Vision make it easy to do online. Advocate for young people. Donate goods. Toys for Tots makes it easy for you to find a drop-off location near you, and you can call the Salvation Army  at 1-800-SA-TRUCK to schedule a pick-up of your donated goods.

PROMOTE LEADERSHIP

Mandela knew that young people hold the key to the future, and he wanted them to have the opportunity to develop to their fullest potential. His Mandela Rhodes Foundation is aimed at helping African youth who show academic prowess and leadership potential by offering them scholarships to further their education and build upon their leadership skills.

What can you do? Become involved in an organization with a similar mission such as Big Brothers Big Sisters of America or Boys and Girls Clubs of America. Further, be a role model and become a mentor. MENTOR: The National Mentoring Partnership can link you to organizations in your area looking for mentors, and it can even show you ways to e-mentor. Consider starting your own scholarship program, and nurture and encourage positive attributes you see in young people.

Finally, stand up for what you believe in.

Nelson Mandela was a man of conviction. No matter what the cause is that is dear to your heart, stand up for it. Advocate for it, and find ways to inspire others to do the same. That's what Nelson Mandela did. For more on ways to honor Mandela's charitable legacy go to cnn.com/impact.

@highlight

Nelson Mandela called on everyone to do something to make the world a better place

@highlight

There are many ways to carry on Mandela's struggle for justice and equality

@highlight

Mandela fought racism, increased HIV/AIDS awareness and improved the lives of children

@highlight

No matter what the cause is that is dear to your heart, stand up for it because Mandela did