(CNN) -- Rick Santorum awoke to a new reality Wednesday after sweeping all three Republican presidential contests a day earlier, reshaping the contest that will decide who runs against President Barack Obama in November.

Santorum won caucuses in Minnesota and Colorado, as well as a nonbinding primary in Missouri to energize his campaign and raise questions about front-runner Mitt Romney's ability to attract broad conservative support.

The victories by Santorum bolstered his contention that he is the strongest conservative challenger to the more moderate Romney for the GOP nomination, and the most formidable conservative candidate to take on Obama.

"I don't stand here and claim to be the conservative alternative to Mitt Romney," Santorum declared to cheering supporters outside St. Louis. "I stand here to be the conservative alternative to Barack Obama."

Colorado was the most competitive state of the day, with Santorum winning 40% of the vote to 35% for Romney, 13% for former House Speaker Newt Gingrich and 12% for Texas Rep. Ron Paul.

After a night of returns trickling in and the lead shifting between Santorum and Romney, Colorado Republican Party chairman Ryan Call announced live on CNN that Santorum was the winner.

In Minnesota, Santorum got 45% of the vote to 27% for Paul, 17% for Romney and 11% for Gingrich, with 88% of the total counted, according to the secretary of state.

The victory in a state Romney won in his unsuccessful 2008 presidential bid was a strong statement by Santorum that he represents a major conservative challenge to both Romney and Gingrich.

However, a low turnout in all three races signaled possible dissatisfaction among Republican voters with the candidates.

All the 70 delegates available Tuesday came from the Minnesota and Colorado caucuses, while the Missouri primary was nonbinding with no delegates at stake.

The two caucus states didn't officially award delegates Tuesday night -- that will happen down the road at district and state conventions -- but the news media, including CNN, will use them to make unofficial delegate count estimates.

With 100% of the Missouri vote counted, Santorum had 55% to 25% for Romney and 12% for Paul, according to unofficial results. Gingrich didn't make the ballot in Missouri.

Such a dominating victory by the conservative Santorum showed his appeal to Missouri's large blocs of evangelical and tea party supporters.

"Conservatism is alive and well in Missouri and Minnesota," Santorum declared before the Colorado count had been completed.

While Tuesday was a stunningly successful night for Santorum, it was a terrible night for Romney and Gingrich, who has been competing with Santorum for the support of conservatives against the more moderate Romney.

Gingrich spent little time or money in the three states, instead focusing his now limping campaign on the Super Tuesday contests of March 6 that will be worth more than 400 delegates from 10 states.

Romney, however, campaigned hard in Colorado and to a lesser degree Minnesota, and the stinging losses cost him any momentum from his two straight victories in Florida and Nevada prior to Tuesday.

A senior adviser to Romney signaled the campaign would take a tougher approach toward his resurgent rival and portray him as a Washington insider.

"Look, I just don't think it's a time when people are looking to Washington to solve problems with Washington," senior Romney adviser Stuart Stevens said of Santorum, a former U.S. senator.

Stevens downplayed Tuesday's results, saying: "We'd like to win everywhere, but you can't. And we've focused on key states for how we see a path to the nomination."

In Denver, Romney congratulated Santorum for his good night before the Colorado result was known. Rather than continuing criticism of Santorum, Romney sounded conciliatory in saying Republicans would unite behind the eventual nominee and that he expected to be that candidate.

Perhaps in response to Santorum's success, Romney struck a populist note by telling the crowd how his father never graduated college but went on to head a business and become governor of Michigan.

"For my dad, this was the land of opportunity," Romney said, later adding: "I refuse to believe America is just another place on earth with a map. We stand for freedom and hope and opportunity."

To Rep. Debbie Wasserman Schultz, the Democratic National Committee chair from Florida, Tuesday's results showed an underlying weakness in Romney's candidacy.

"What should have been a night where he began to consolidate Republican support instead has shown that Republicans are reluctant to get behind him," Wasserman Schultz said in a statement. "Republicans are giving the field of candidates another look, demonstrating that the more people get to know Mitt Romney, the less they like him. They know he'll say anything to get elected, and they don't want a candidate they can't trust."

She also cited "the lack of enthusiasm and low turnout we're seeing in these contests," adding that "no candidate embodies that dissatisfaction more than Mitt Romney."

In Missouri, a state official told CNN that the turnout would be "significantly lower than predicted." The secretary of state's office had estimated turnout would be 23%.

Romney's campaign appeared to consider Colorado its best chance of victory Tuesday. He canceled stops in Minnesota scheduled for Monday to concentrate on Colorado, where he spent caucus night.

Romney, who won big in the state's 2008 caucuses, has been working Colorado since last summer and arguably has the strongest structure in the state.

Santorum needed victories or an overall strong showing to prove the viability of his campaign.

"I think we need to win in the sense that we need to perform very well," he told CNN's John King earlier Tuesday.

Paul, meanwhile, predicted his focus on the caucus states would yield results. He spent the past week stumping in Colorado and Minnesota, and spent Tuesday night in Minnesota.

"We're gonna win some delegates. Whether we come in one or two or three, I don't know exactly that," Paul said on CNN's "John King USA." "But we feel positive about moving along and picking up more delegates. We'll have to wait and see."

Paul stressed his strength in the upcoming Maine caucuses on Saturday.

"Nobody else is about to at this point jump ahead of Romney," Paul said. "But we think we're going to keep doing. We have a very good chance on what's happening up in Maine."

Gingrich had gotten a late start in Colorado and Minnesota, and failed to get on the ballot in Missouri. The former speaker is looking ahead to Super Tuesday in what he hopes will be friendlier territory in his native Georgia and other conservative states.

As part of that strategy, Gingrich spent Tuesday night in Ohio, one of the Super Tuesday states.

In an interview with KOA Radio in Denver, Colorado, Gingrich said Romney's multimillion-dollar attack campaign against him has paved the way for Santorum to do well on Tuesday.

"The guy who hasn't been attacked has gained some ground and has done a good job, worked very hard and so my prediction is when tonight's over between Colorado, Minnesota and Missouri, the whole race will be muddled and Romney's role as the frontrunner will be deeply discounted as compared to where it was a week ago," said Gingrich, speaking from Ohio.

After weeks of bitter campaigning in Florida and Nevada, the candidates have focused on Obama in recent days.

Romney, Gingrich and Santorum criticized the president over the administration's new rules requiring all hospitals -- including those run by the Catholic church -- to provide workers health insurance that covers contraception, including sterilization, which the church opposes.

Obama's re-election campaign has pushed back on Romney's criticism, pointing to his refusal when governor of Massachusetts to exempt Catholic hospitals from providing emergency contraception to rape victims.

"Mitt Romney continues to show that he will do or say anything to get elected," Obama campaign spokeswoman Lis Smith said. "He is even attacking the president for providing women with the same access to contraception and preventive health care services that he did as governor of Massachusetts. And now, in an effort to pander to the most conservative parts of the Republican base, he has embraced the extreme personhood amendment, which would ban many forms of birth control, including birth control pills.

"This sends a clear message to women across America," Smith added. "Mitt Romney can't be trusted and his hypocrisy knows no bounds."

Gingrich also pounced on Romney's stance Tuesday, telling an Ohio crowd: "The fact is Governor Romney insisted that Catholic hospitals give out abortion pills against their religious belief when he was governor. So you have a very similar pattern again. Over and over you get the same pattern. And I think a Massachusetts moderate finds it very hard to draw a sharp contrast with someone who is an Illinois radical."

Whether Paul, Gingrich, or Santorum will have the financial resources to compete with Romney over the long haul remains an open question. Obama's campaign, however, remains well-financed.

In a major development for the general election, the president's re-election team encouraged donors Monday night to start raising money for a Democratic super PAC -- a reversal of his previous stance on the issue.

Obama has been an outspoken critic of current campaign financing laws, most notably the 2010 Supreme Court ruling that allowed the creation of super PACs. Until now he has kept his distance from the Democratic group, Priorities USA Action, which has lagged behind its Republican counterparts in fundraising.

"The president's views ... haven't changed," White House spokesman Jay Carney said Tuesday. "He strongly opposed" the Supreme Court ruling in 2010 and "holds those views today."

But "the rules are what they are," Carney added. The president's campaign "cannot compete effectively if there are two sets of rules," and the Democrats "cannot unilaterally disarm."

CNN's Jim Acosta, John Helton, Kevin Liptak, Rachel Streitfeld, Alan Silverleib, Jessica Yellin and Peter Hamby contributed to this report

@highlight

Santorum wins Colorado, along with victories in Missouri and Minnesota

@highlight

Mitt Romney stresses party unity in congratulating Santorum

@highlight

"Conservatism is alive and well," Santorum tells supporters

@highlight

The delegate total of 70 in Colorado and Minnesota is the biggest so far of campaign