Washington (CNN) -- When the troubled federal health care website came online, the key "Anonymous Shopper" function was nowhere to be found -- even though it passed a key test almost two weeks before HealthCare.gov launched.

That successful test, noted in documents obtained by CNN and confirmed by a source close to the project, contradicts testimony from an Obama administration official overseeing HealthCare.gov, who told lawmakers earlier this month the function was scrapped because it "failed miserably" before the October 1 launch.

Like much of the HealthCare.gov rollout, the subject has become political fodder for Republicans, who claim the decision to nix the anonymous shopper was made by administration officials worried it would produce rate estimates so high they would deter potential enrollees.

What is 'Anonymous Shopper?'

The window shopping feature allows website visitors to compare health insurance plans without opening an account, verifying their identity or determining whether they qualify for a federal subsidy. The tool was turned off before HealthCare.gov launched and is still unavailable to users.

Using anonymous shopping, visitors would have been able to enter their age, ZIP code, county, number of people in their household and whether they use tobacco, to obtain an array of almost instant quotes and detailed comparisons for various health insurance plans available to them.

It's the website feature that best resembles President Barack Obama's frequently stated vision for the website -- that it operates as the most popular e-retail sites millions of Americans use every day.

"Just visit HealthCare.gov, and there you can compare insurance plans, side by side, the same way you'd shop for a plane ticket on Kayak or a TV on Amazon," Obama said on October 1, the day the website went live. "You enter some basic information, you'll be presented with a list of quality, affordable plans that are available in your area, with clear descriptions of what each plan covers, and what it will cost."

Yet on that day, and even now, that's not really possible.

The absence of the online shopping tool is "a major design failure," said Sam Karp, vice president of programs at the California HealthCare Foundation, an Oakland-based nonprofit that supports and promotes the president's signature health care program in the Golden State.

Blocked out at HealthCare.gov? Bypass on way soon, feds say

Online window shopping "is how people have become accustomed to shopping online," Karp told CNN. "Whether it's for airplane flights or shoes, people have become accustomed to anonymously shopping without entering credit card or personal information."

The feature had the added benefit of taking some of the traffic demands off the enrollment portion of the website, Karp said.

Lawmakers: Tell us why was the plan was scrapped

So why was online window shopping shelved for HealthCare.gov? That was the question lawmakers posed to Henry Chao, the top technology officer for the Centers for Medicare & Medicaid Services, a subsidiary of HHS that helped build the HealthCare.gov website.

Chao said he made the decision in conjunction with colleagues and testified before Congress last week that it was because the feature "failed so miserably that we could not conscionably let people use it."

Yet a CMS document made public by the same committee last week tells a different story. The agency and one of its subsidiaries, the Center for Consumer Information and Insurance Oversight, was working with government contractors on the website. It determined the Anonymous Shopper feature "tested successfully," revealed "no high severity defects open" and that "remaining lower severity defects will not degrade consumer experience."

CMS raised questions about the "tested successfully" denotation for the feature in a statement.

In it, a spokeswoman writes: "â€ªCMS believes that the 'yes' that is written on the document in question is likely an error, because the same document also lists a number of ongoing defects and problems with the tool. Additional defects were communicated and discussed in other settings."

â€ªThe source close to the project, however, said the anonymous shopper function did pass testing conducted in the weeks ahead of the HealthCare.gov launch.

"This document reflects one point in time that was part of a series of ongoing updates and monitoring," Joanne Peters, a spokeswoman for HHS, said in a written statement.

The successful test occurred on September 17, according to a source familiar with the project. The next day, in an internal e-mail obtained by CNN, Chao wrote the shopper function "isn't needed and thus should be removed."

During an interview with the House Oversight and Government Reform Committee on November 1, Chao said there were 20 outstanding defects with the anonymous shopper that prevented it from making it online when the health care website launched.

But according to a list that CNN obtained, only 12 defects remained when the decision to shelve HealthCare.gov was made.

"The application should not have displayed the tobacco question since the person seeking coverage is a kid," read one of the listed defects.

A source close to the project said "the problems with the tool were actually rather minor" and could have been fixed by launch day. Instead, government officials shelved the Anonymous Shopper tool to shift focus on the parts of the website necessary to enroll users in insurance plans.

On September 12 and 18, federal health officials instructed CGI, the contractor hired to create the Anonymous Shopper feature, to concentrate on a part of the website called "Plan Compare," rather than the window shopping feature, according to a document that CNN obtained.

"Plan Compare" allows users to look at health insurance plans only after they have created an account at HealthCare.gov, verified their identification and provided qualification details for a subsidy.

"As we have said, we always envisioned 'anonymous shopping' as a tool that would be a part of HealthCare.gov at some point, however we chose to prioritize other functionality in order to be ready for an October 1 launch," Peters, the HHS spokeswoman, told CNN.

A week before the federal exchange launched, CMS instructed contractors to disable Anonymous Shopper for launch day, the document shows, preventing HealthCare.gov users from accessing the window shopping function.

Prototype was a year in the making

The California HealthCare Foundation, along with seven other nonprofits, helped finance and direct the creation of an Anonymous Shopper prototype in conjunction with 11 states and the agencies of the federal government.

One of the world's leading design firms, IDEO, created the prototype, Enroll UX 2014, as a model of world class health insurance shopping experience.

IDEO's team for the $3 million project included the designer who created shoe and apparel giant Zappos.com and currently directs design at the popular online restaurant reservation site, OpenTable.com.

After a year of work, they presented their Anonymous Shopper template to state and federal officials in June 2012. CMS endorsed the prototype and encouraged states to adopt it, according to a letter the agency wrote to states, which CNN obtained. Many of those states, including California, Colorado and New York, are using the feature designed by IDEO effectively.

"After we presented [the prototype] to [federal health officials], we never heard what they were doing with the design," Karp said. "The entire operation went dark, so to speak, and it wasn't until it launched in October that we saw it wasn't one of the components of how you apply" on the federal site.

Political firestorm rages

If it's puzzling for health care experts such as Karp who consider the tool "a prerequisite to having a good consumer experience," it's red meat for Republicans opposed to the health care program.

They accuse the Obama administration of sidelining the feature to hide the sticker shock of insurance plans and force Americans to jump through hoops before they can shop.

"Although, CGI officials (the contractor for the shopping tool) were not able to identify who within the administration made the decision to disable the anonymous shopping feature, evidence is mounting that political considerations motivated the decision," Rep. Darrell Issa, the Republican chairman of the House Oversight and Government Reform Committee, wrote in a leader to federal tech executives in October.

So far, no document or testimony has revealed White House involvement in the anonymous shopper decision, and privately, some Republicans admit the accusations the decision was made inside the West Wing is motivated by politics more than evidence.

Almost two months since HealthCare.gov's enrollment function went live, the anonymous shopper function is still absent from the site's features, though HHS and CMS point to other online browsing features on the troubled online portal.

"Even without (Anonymous Shopper) in place, CMS included a list of plans and pretax credit examples of premiums on the homepage of HealthCare.gov the day the site launched, and later rolled out our plan preview tool that allows consumers to see this information by entering some basic information about themselves and the coverage they are looking for," Peters said.

The "Plan Preview" tool was added to the site October 10, amid criticism there was no window shopping feature. But it only includes two age categories for estimates -- "49 or under" and "50 or older" -- and has been criticized for providing wildly varied cost estimates.

"It's not as good as Anonymous Shopper," Karp told CNN. "It doesn't provide the full experience of anonymous shopping that was recommended" in the prototype CMS encouraged state exchanges to adopt, adding that the online window shopping tool "still remains a key component, particularly to filter plans in states where there are so many plans."

Seven weeks after HealthCare.gov's launch, the Anonymous Shopper tool is still shelved.

At the federal government's order, the contractor responsible for it, CGI, is not even working to ready it, a source close to the project tells CNN.

HHS would not provide an estimate of when the window shopping feature will be available.

CNN's Rachel Streitfeld and Kevin Liptak contributed to this report.

Watch The Situation Room with Wolf Blitzer weekdays at 4pm to 6pm ET and Saturdays at 6pm ET. For the latest from The Situation Room click here.

@highlight

"Anonymous Shopper" function was touted as easy way to compare plans

@highlight

Administration official said it was scrapped because it "failed miserably"

@highlight

Documents CNN has obtained finds that the program passed key tests in September

@highlight

Some Republicans speculate whether it was pulled for political reasons