In front of a packed Great Hall of the People, outgoing Chinese Premier Wen Jiabao delivered his last government work report as he opened the National People's Congress.

During the coming days, the country's top officials will discuss national priorities for the years ahead, and formally appoint the president who'll oversee them.

Four months after taking over as General Secretary of the Communist Party, Xi Jinping will replace outgoing president Hu Jintao. Li Keqiang will become premier, replacing Wen Jiabao.

Opening the NPC, Wen urged delegates to "unite as one and work hard to finish building a moderately prosperous society in all respects and achieve the great rejuvenation of the Chinese nation," according to state-run media Xinhua.

Firm economic targets include annual growth of 7.5% in 2013, along with efforts to keep consumer price inflation at around 3.5%. Nine million new jobs would be created, he said, in order to keep urban unemployment no more than 4.6%.

Wen touched on what some see as the biggest challenge facing the country: The disparity in wealth and opportunity between city dwellers and migrant workers who have left the countryside in their millions to tap into the economic boom.

"The development gap between urban and rural areas and between regions is large, and so are income disparities between individuals," Wen said, according to Xinhua.

He said the government needs to "promptly formulate specific policies" to build on planned reforms to the income distribution system.

China: Three challenges for new leaders

The need to tackle corruption and to reduce the environmental toll of economic growth also emerged in reports from the congress on state media.

A separate session of the government's top advisory body began on Sunday.

Delegates from around the country have been arriving in Beijing for the meetings, which, while highly choreographed, are expected to shed light on the future direction of China, which many people believe is at a crossroads.

Many risks and challenges

This winter has seen its worst pollution in living memory, angering a population already jaded by a series of high-profile corruption scandals -- including the downfall of the once high-flying politician Bo Xilai -- that have tainted the reputation of the party.

In a speech published by the People's Daily on Sunday, Xi warned that China faced many risks and challenges, saying that the party's future was at stake.

"All party members, especially leaders should have the sense of urgency that our skills and abilities require constant sharpening and renewing," Xi said in the speech that was given on Friday at the Central Party School that trains officials.

"The goal of 'two 100 years' can only be achieved when we become a party that keeps learning and improving."

The NPC, which takes places at The Great Hall of the People in Tiananmen Square and ends on March 17, will give Xi the opportunity to lay out his policies, and he is expected to make fighting corruption a priority.

In several speeches since he took control of the Communist Party in November, he has warned that corruption could lead to the collapse of the party and the downfall of the state.

"The central government stresses the change of working style, we encourage more learning, more thinking and less wasteful dinner parties and pointless formalism and bureaucracy," Xi said on Friday.

Food scandals

Beijing is also planning to create a single agency to deal with food and drug regulation after a string of deadly scandals surrounding food safety, the South China Morning Post reported.

Ordinary Chinese are trying to make their voices heard as the meetings commence and one group airing their grievances is migrant workers.

"We are all Chinese citizens. Why are our kids not treated equally, like those with permanent Beijing residency? We live and work here and pay the taxes as well," one woman told CNN at a protest outside the capital's municipal education commission on Thursday.

She said the children of migrant workers living in Beijing are discriminated against because they cannot take part in college entrance exams that play a key part in determining a child's future.

China's new leaders will also be looking to project strength not just at home but also on the global stage. Beijing has been standing up to its neighbor Japan over a disputed chain of islands and recently landed a fighter jet on the deck of an aircraft carrier for the first time.

@highlight

Wen Jiabao opens annual session of China's parliament

@highlight

The National People's Congress will complete China's leadership transition

@highlight

Chinese leader Xi Jinping will formally assume the title of state president

@highlight

Meeting expected to shed light on China's future direction