(CNN) -- When she heard news of the Continental Airlines plane that plunged into a house in suburban Buffalo, New York, on Thursday night, killing 50 people, Jenny Gomez experienced a familiar feeling creep deep within her psyche. "It definitely sparked those old feelings of anxiety," she said.

The risk of dying in a jet crash has been estimated to be one in 70 million, according to an MIT analysis.

Gomez, 31 and a mother of two, was never afraid to fly during her childhood and early adolescence.

"I had flown all my life since I was very small, getting on a plane to visit my grandparents at least a couple of times a year, and I was fine," she remembered.

Then, in her late adolescence, the panicky feelings began, slowly at first, but then the anxiety and nervousness started to snowball. "Every bump, every shake of the plane would set me off."

Finally, during a college psychology class, she realized she fit the classic criteria for someone with a fear of flying, also known as aviophobia or aviatophobia.

For five years, Gomez avoided flying altogether.

"I missed out on some really cool things in my life back then because I wouldn't get on an airplane," she said.

An estimated 10 percent to 25 percent of the U.S. population experiences the phobia of flying, according to the American Psychological Association.  View a timeline of recent notable crashes »

In contrast, the risk of dying in a domestic jet crash has been estimated to be one in 70 million, according to MIT statistician Arnold Barnett, who has performed statistical analyses for the Federal Aviation Administration.

Among the causes for aviatophobia is what many will experience as a result of seeing reports about the crash near Buffalo: vicarious trauma. This is trauma that one observes and subsequently develops within based on that observation.

"They see it, and they imagine what would that be like if it happened to me," said anxiety disorder psychologist R. Reid Wilson. By focusing on the possibility instead of the actual probability of the plane crashing, someone who's vulnerable to such fears can grow even more anxious about flying, he said.

The fear of flying constitutes one of the two most common fears humans grapple with (the other one being fear of public speaking), said Wilson, who served as lead psychologist for American Airlines' first national program for fear of flying.

Gomez's development of the phobia later in life is not unusual either, Wilson said; the average age of onset is 27, which is relatively old compared with when most other phobias begin.

Some people who are subject to vicarious trauma actually see the crash scene in the media and actively put themselves in the scenario. Wilson has seen patients who fixate on visualizing themselves in the plane and who go so far as to seek out information such as how long the plane fell through the sky so they can intensify the reality of the experience in their minds.

"They get wrapped up in what is actually happening. Your body reacts to what you're seeing," he said.

Another cause of the condition is the perception of a non-dangerous event -- such as turbulence or normal sounds that planes make -- as being an actual threat to one's safety.

Many people afraid to fly actually have panic disorder, which is an anxiety disorder characterized by unexpected and repeated episodes of intense fear accompanied by physical symptoms.

Having what Wilson refers to as a "constellation of other fears" could also contribute to the phobia of flying; claustrophobia, fear of death and being afraid of turning control over to the pilot could all contribute to the ultimate fear of the not-so-friendly skies. Visit CNNhealth.com, your connection for better living

Overcoming the fear of flying begins with a solid trust in the aviation industry and the ability of the plane, the pilot and everyone involved in the safety of the flight to be competent.

"If it's about someone else, then you have no control, but if you shift your feelings of fear to yourself, then you can do something about it," Wilson said.

Relaxation, meditation and breathing skills can improve the chances of surmounting one's distress. Distractions, such as having someone to talk to on the plane or focusing on an engrossing book, can also work to ease the tension.

However, changing one's mind about the extreme unlikelihood that something would go wrong is key; relaxation and distractions serve as additional support systems. A licensed mental health professional can aid individuals seeking help to beat the fear of flying.

Hypnotism can work too, especially when administered by someone trained in anxiety disorders. Virtual reality therapy, wherein a helmet is worn to simulate the experience of flying, has also been proved an effective technique, but the institutions providing virtual reality therapies are few and far between.

In 2005, Gomez reached a crossroads. Her new job description would require her to travel frequently. A licensed counselor herself, she knew she could avail the services of a specialist to help her get past her fears. Perhaps the most useful part of her course of therapy, she reveals, was developing an understanding of the science behind aviation.

"If I was sitting in the cockpit, I would have had no problems at all. It's the lack of control, sitting in the back of the plane, that would get to me, so when I learned what all the sounds were and how unlikely it would be that the plane would actually fall out of the sky, that's what really helped me."

Another aid that worked for Gomez was Xanax, a drug often prescribed by doctors to provide temporary relief from the stress of flying. Working as a mild tranquilizer, Xanax, Valium and other benzodiazepine class drugs do not remove the underlying fear but instead work to dull the sensations.

When Gomez finally started to fly again, she began with Xanax, a glass of wine and a meditation CD that she would listen to during the entire flight. Her anxiety progressively subsided over the course of a year and a half of regular flying for work.

"With each successful flight, I would need less and less help from the pills or the wine," she said. Finally, she let go of the medication and alcohol altogether and allowed her sense of trust to keep her calm.

@highlight

10 percent to 25 percent of the U.S. population experiences the phobia of flying

@highlight

Fear can be exacerbated by watching reports of other crashes

@highlight

Average age of onset of such phobias is 27

@highlight

Relaxation, meditation, breathing skills can improve the chances of beating fear