New York (CNN) -- The recently leaked memo from departing chief United Nations corruption investigator, Inga-Britt Ahlenius, to Secretary-General Ban Ki-moon will make it impossible for the White House to support the UN chief's candidacy for a second four-year term next year.

That is, unless the Obama administration itself was only joking when it promised to push for greater transparency and accountability at the United Nations.

In a 50-page "end-of-mission" report, the widely respected former auditor of Sweden -- who was originally brought in to help the UN fix the spectacular accountability gap exposed during the excruciatingly painful "oil-for-food" scandal -- paints a detailed, well-documented tableau of Ban's managerial incompetence.

In a spectacular break from tradition, Ahlenius did what few senior diplomats ever dare to do: She spoke truth to power.

In her report, Ahlenius documents Ban Ki-moon's repeated efforts to undermine his own senior officials, including her own office of internal oversight, by stemming the flow of information, interfering in the appointment of staff, or worse, failing to appoint people to senior management positions altogether. Critical leadership posts were left vacant for as long as possible, thereby strengthening Ban's power over the bureaucracy.

The UN Secretariat, she concludes, is "in a process of decay ... falling apart ... and drifting into irrelevance."

It may be that many member states do not actually want the UN to get in the way of their realpolitik. But when it comes to standing for the principles of its charter in difficult, often dangerous mission areas, the UN cannot succeed unless its staff are led and supported by a better-managed Secretariat in New York.

As it happens, even their very physical security did not appear to be a priority for the Ban Ki-moon administration. It failed to appoint another Under Secretary-General for Safety and Security for a full 11 months after accepting the resignation of David Veness, in June 2008, following the deadly bombing of the UN's Algeria headquarters.

Ban's failures to perform his duties as the UN's chief administrative officer in a timely manner -- the Ahlenius report describes these failures as widespread --have repercussions all the way down the line on staff security and morale. Instead of being empowered to do their job, the staff, including Ahlenius herself, end up feeling undermined by their boss.

Unless Hillary Clinton and her UN ambassador, Susan Rice, are prepared to contradict Ahlenius' assessment, they will have no choice but to withdraw America's support for Ban's re-election (his term expires at the end of 2011). Unfortunately for Ban's administration, few people were better placed than its own auditor to draw such conclusions.

And she is not alone in her assessment. Ahlenius has managed the rather undiplomatic feat of saying out loud what a lot of UN officials, including some at the highest levels, have been murmuring for several years.

While it is not altogether unheard of for former UN bureaucrats to blow their top after they leave office, it is without doubt the first time such a senior official has done so with as much competence, and credibility, as Ahlenius.

As a former employee of the UN's "oil-for-food" operation -- the organization's fraud-ridden $64 billion humanitarian operation that saw billions of dollars diverted from needy Iraqi civilians into the pockets of Saddam Hussein and an international clique of corrupt politicians -- I have learned to recognize the elements that go into making large-scale diplomatic fiascos.

After I had contributed to blowing the whistle on that program in 2004, some UN officials spent more time trying to discredit my testimony than to fix the cracks in the system that led to the debacle in the first place. Not so Ms. Ahlenius.

In fact, she invited me to spend an afternoon conducting a "lessons learned" discussion with her entire senior staff. Her approach was so markedly different from what I had experienced that I caught myself feeling hopeful, thereafter, about the chances of seeing real management reforms happen after all.

Unfortunately, it would seem Ahlenius has become a whistleblower herself. If such a senior UN official can't seem to communicate her concerns to her boss and is forced into the very uncomfortable position of having to speak out with such force as she did in her latest report, it is difficult to conclude that all is well at the top echelons of the world body.

If Ban Ki-moon were well advised, he would not seek a second term in office. If he were earnest about pushing for UN reform, he would free himself from the pressure the member states may try to exert upon his office, officially make public those parts of Ahlenius's report that do not affect staff security, and dedicate himself to mending the cracks in the system identified by his departing auditor.

Instead, Ban left it up to his chief of staff to issue a response which, both in form and substance, does a great job of confirming Ahlenius' criticism. In a July 19 letter to Colum Lynch of the Washington Post, who broke the story, Vijay Nambiar says that his boss "is also concerned" that critical senior managerial positions (now including that of Ahlenius) remain unfilled.

The problem is, Ban's job is not just to "be concerned." It is to actually make appointments -- or "to put butts on seats," as one U.S. official once put it to me off the record. In this instance, Ban ignored the best advice of a 15-member independent panel and refused to appoint John Appleton, the former Connecticut attorney, to head Ahlenius's investigation division. In the wake of the oil-for-food meltdown, Appleton had led an unprecedented exercise in accountability (so successfully, in fact, that his office was shut down in 2008).

Perhaps Ban would prefer to appoint someone else who, like he, prefers to show "concern" about the challenges facing the world organization than to take them on -- with deeds, not just words. For the UN's own sake, let's hope the leaders of the world's democracies can do better than that when it comes to electing a new leader for the United Nations in 2011.

The opinions expressed in this commentary are solely those of Michael Soussan.

@highlight

Michael Soussan: Leaked report shows Ban Ki-moon not managing UN staff effectively

@highlight

He says US, other democracies should push to replace Ban when his term is up

@highlight

The UN Secretariat is in danger of becoming irrelevant, the report says