(CNN) -- A few hours before he announced the death of Venezuelan President Hugo Chavez, Vice President Nicolas Maduro repeated the claim that Chavez's fatal illness was caused by outsiders, and he labeled the opposition the "enemy of the nation." With that, he gave voice to one of the principal legacies of the Chavez era, one of divisiveness and scapegoating.

The Chavez legacy, however, includes much more than animosity between rich and poor, between left and right.

Chavez played a pivotal role in bringing the plight of Latin America's impoverished people to the top of the political agenda.

It was as if the former paratrooper grabbed a continent by the lapels and shouted "You must fight against poverty!" And the continent listened.

Even the people who vehemently disagreed with Chavez's neosocialist, populist ideology realized that economic inequality required urgent attention.

In the years after he came to power, aggressive anti-poverty programs have been launched in a number of Latin American countries, with impressive success.

Chavez improved the lot of the poor in Venezuela, and he had an impact on the reduction of inequality elsewhere in the region. But in the process, he deeply undermined Venezuelan democracy, and he created a model of authoritarianism that other autocrats copied, harming democracy in many countries.

His anti-American, anti-opposition policies gained credence at home when the opposition staged a coup attempt in 2002 that Chavez said was supported by the U.S. His histrionic pretense that he could "smell sulfur" when he took the podium after "the devil" George Bush at the United Nations, turned him into a global media superstar, and a prominent player in an anti-Washington alliance with Iran's regime. He provided a lifeline to the Castro regime in Cuba, and ostentatiously made friends with America's foes, such as Libya's Moammar Gadhafi and Syria's Bashar al-Assad.

The social programs he developed brought housing and health care, and they helped feed the poor. He helped raise living standards and inspired millions of passionate supporters. The intensity of support was regularly stoked by the constant attacks against the rich, "the oligarchs," as he called them, and the United States, or "the empire."

But the unorthodox economic methods of his "21st century socialism" and his "Bolivarian" revolution, distorted the economy and, in fact, created less economic growth and less prosperity than other countries in Latin America. And a strong case has been made that Venezuela, a country with enormous oil wealth, should have grown far more than it did during the Chavez years, when businesses were regularly confiscated by the government and the vital oil industry was put in the hands of political supporters instead of technical experts.

The economic legacy is one of sky-high inflation, chronic shortages and dried up investment. Venezuela's economy has grown, but more slowly than that of Peru, Brazil or Panama, probably more slowly than it might have.

On the political front, Chavez empowered the poor, making them rightly feel that they mattered in system that had been controlled by the rich. But before long, he manipulated the system to a degree that democracy started thinning to little more than a brittle veneer.

Chavez unsuccessfully tried to take power through a coup attempt in 1992. In 1999, he won the presidency at the ballot box. He kept the top job until the day he died.

Immediately after taking office, he convened a constitutional assembly. The new constitution mandated a maximum of two terms in office. He called elections again and won a second time, counting that as the start of his two terms. After winning the presidency for a third time in 2006, he called a referendum abolishing the presidential term limit and said he might remain president until 2030. He won for a fourth time last year. Had mortality not interfered, Chavez could have become the eternal president.

That manipulation of the electoral system has been one of the most pernicious legacies of Chavismo. In Nicaragua, for example, President Daniel Ortega, facing a constitutionally mandated end to his presidency, took a page from the Chavez playbook, packing the Supreme Court, which ruled that term limits do not apply to the president.

Other Latin American presidents have imitated Chavez populist undemocratic style, intimidating opponents, restricting the media and subverting the judiciary.

Human Rights Watch documented the steady erosion of democratic freedoms over the 14 years of Chavez's tenure, concluding that Chavez and his supporters built "a system in which the government has free rein to threaten and punish Venezuelans who interfere with their political agenda, creating ever greater risks for judges, journalists and human rights activists."

Chavez and his backers took over practically all the levers of power, all the while claiming democratic legitimacy. They allowed the opposition to continue functioning, which along with the U.S. provided them with a foil to blame for the country's woes.

The judiciary, in particular, became a tool of the government, used for political purposes even as the crime rates spiraled, homicide rates reached unprecedented levels and most crimes went unsolved. The government decided to stop keeping crime statistics, but one private organization counted more than 118,000 homicides since Chavez took office. Experts said one of the problems was the justice system, which, like other parts of government, had become more political than professional.

In one infamous case, Judge Maria Lourdes Afiuni granted bail to a banker charged with breaking currency controls while he awaited trial. In his weekly television show, Chavez declared "The judge has to pay!" She spent three years in a jail where, she said, she was raped, awaiting trial on trumped-up corruption charges.

Chavez shut down critical media outlets and threatened others with closure, refusing to renew broadcast licenses of some of his most powerful critics.

In recent years, the appeal of Chavismo started waning in Latin America. Other less divisive, more democratic, and more effective approaches became more popular.

With Chavez off the stage in Venezuela, a number of questions hang in the air.

The acrimony of his rule has left a dangerously divided Venezuela facing serious social and economic challenges, with the latest accusations by Maduro adding fuel to those hot embers. Chavez leaves behind a country where the poor have been empowered and society has been divided, and a continent where alternatives to his model look more appealing than ever.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Hugo Chavez played key role in focusing attention on the poor

@highlight

She says in the process of helping the poor, he undermined his nation's democracy

@highlight

Chavez hurt his cause with his cartoonish attacks on the U.S., she says

@highlight

Ghitis: Human Rights Watch documented erosion of freedoms in Venezuela