(CNN) -- The roadblocks went up on a Friday at several points in two Alabama towns, about 40 miles on either side of Birmingham.

For the next two days, off-duty sheriff's deputies in St. Clair County, to the east, and Bibb County, to the southwest, flagged down motorists and steered them toward federal highway safety researchers. The researchers asked them a few questions about drinking and drug use and asked them for breath, saliva and blood samples -- offering them $10 for saliva and $50 to give blood.

It's not just in Alabama. The roadblocks are part of a national study led by the National Highway Traffic Safety Administration, which is trying to determine how many drivers are on the road with drugs or alcohol in their systems. Similar roadblocks will be erected in dozens of communities across the nation this year, according to the agency.

It's been going on for decades. Previous surveys date to the 1970s. The last one was run in 2007, and it included the collection of blood and saliva samples without apparent controversy, sheriff's spokesmen in both Alabama counties said.

But this time, it's happening as the Obama administration struggles to explain revelations that U.S. spy organizations have been tracking phone and Internet traffic. Against that backdrop, the NHTSA-backed roadblocks have led to complaints in Alabama about an intrusive federal government.

Gov. Robert Bentley complained that his office had not been notified that the surveys were going to be conducted. Speaking on a Birmingham radio show, Bentley, a Republican, said the stops were "bad timing" after the NSA revelations and in light of recent complaints about the Internal Revenue Service subjecting conservative groups that applied for tax exemptions to additional scrutiny.

Bentley spokesman Jeremy King said the governor's office "is working to find out exactly what took place during those surveys."

"We just want to make sure the rights of our citizens are protected," King said.

And Susan Watson, executive director of the Alabama chapter of the American Civil Liberties Union, called the use of deputies to conduct the survey an "abuse of power." Even though the survey is voluntary, people still feel they need to comply when asked by a police officer, she said.

"How voluntary is it when you have a police officer in uniform flagging you down?" Watson asked. "Are you going to stop? Yes, you're going to stop."

The agency said in a statement that the survey provides "critical information" to reduce drunken or drugged driving.

"Impaired driving accounts for more than 10,000 deaths per year, and findings from this survey will be used to maximize the impact of policy development, education campaigns, law enforcement efforts and other activities aimed at reducing this problem," it said. The program costs about $7.9 million over three years, from planning the study to analyzing the results, it said.

"The survey provides useful data about alcohol and drug use by drivers, and participation is completely voluntary and anonymous," it said. "More than 60 communities across the country will participate this year, including two Alabama counties, both of which also participated in the previous survey in 2007. NHTSA always works closely with state safety officials and local law enforcement to conduct these surveys as we work to better inform our efforts to reduce drunk and drugged driving."

The agency said the 8,000 drivers expected to take part will do so voluntarily and anonymously, and researchers follow "a highly scientific protocol and complex statistical design in order to accurately reflect the problem nationwide."

Supreme Court rules DNA swabbing after arrest is legal

In the 2007 survey, about 7,700 drivers gave saliva samples and 3,300 gave blood at survey sites run during both day and night. Among drivers who were interviewed at night, 12.4% had alcohol in their systems, while about 16% had used marijuana, cocaine or over-the-counter or prescription drugs.

Cliff Sims, publisher of the Alabama conservative blog Yellowhammer Politics, said the complaints are mostly because of the bad timing Bentley mentioned. But, he added, "I think it's also that it has a lot to do with a larger distrust of government and people feeling more and more like their privacy has been invaded.

"When you see that taken out of the online space, where it's not quite as tangible, and into the real, physical world, that's the kind of visible and tangible thing that people can latch onto," he said.

Sims said he doesn't believe that the roadblocks are the result of "some sort of sinister conspiracy." But, he added, "I think it's inappropriate to have uniformed police officers on the side of the road taking people's saliva samples, whether it's voluntary or not."

The off-duty sheriff's deputies who took part this year set up traffic signs notifying motorists that a national traffic survey was being conducted, said Bibb County Sheriff's Deputy Kevin Lawrence, who worked at one of the five sites around Centerville. The next half-dozen drivers who came by were flagged down and asked whether they wanted to take part in the program.

If they did, they were steered into a spot where researchers from the Pacific Institute for Research and Evaluation, which conducted the survey for the National Highway Traffic Safety Administration, began asking them questions. Once they drove off, deputies flagged down another car to take their place.

"It was all voluntary. Nobody was made to participate or anything like that," Lawrence said. "They could just answer the little 10 survey questions and then leave, or they could answer the questions and give the mouth sample, or they could do it all."

Deputies were told they were not to make arrests, he said. If a breath sample indicated that a driver was legally intoxicated, "The organization would handle them as far as a ride home."

Lawrence said most motorists opted in, although several at the roadblock he worked bowed out.

"I had mostly traffic of folks going to and from work," he said. "We had several that would say, you know, 'I don't have time' or 'I'm on my way to work, I can't.' "

Lawrence said Bibb County had no complaints about its role in the 2007 survey. Nor did St. Clair County, said Lt. Freddie Turrentine, a sheriff's spokesman there.

@highlight

Alabama sheriff's deputies erect roadblocks for a federal drug and alcohol survey

@highlight

The survey is part of a National Highway Traffic Safety Administration study

@highlight

Similar roadblocks will be erected in dozens of U.S. communities, agency says

@highlight

Civil rights advocates: It's an "abuse of power"