London (CNN) -- In the months before Vogue China launched in 2005, there were many skeptics, people who said it would fail because China's nascent luxury market was not ready for a world-class glossy magazine -- consumers there were just not sophisticated enough.

At the time, the nouveaux riche were in the grip of bling fever, undiscerningly buying the most expensive goods they could afford in order to show off their success, according to a 2005 report by consultants Ernst & Young.

But where some saw a problem, Angelica Cheung, Vogue China's editor-in-chief since 2005, saw an opportunity: "We believed that China was going to experience a fast-changing period and consumers would change very quickly," she tells CNN.

Cheung's intuition was spot on.

"By the time we launched the magazine, the readers changed again, so they embraced it immediately," she says.

The rest is history: The first print run of 300,000 copies sold out on the first morning and was reprinted twice.

In the nine years since, the newest edition of the style bible, which is produced in 19 countries, has more than doubled its circulation to 640,000 copies. Including web and tablet users, it reaches some 1.2 million people and now accounts for almost 10% of Vogue's international readership outside the United States.

Cheung -- the youngest of all the Vogue editors-in-chief, including Anna Wintour and Emmanuelle Alt -- has been a driving force in the development of China's fashion industry. She has nurtured local models and designers, encouraged top talent from the fashion world to visit and advised luxury brands.

Brands still don't get it

Today, most luxury retailers will tell you that their most valuable customers are from China. They are still the biggest buyers of luxury goods globally, making 29% of all purchases, according to consultants Bain & Company, despite a cooling Chinese economy and an official crackdown on corruption and extravagant gift-giving.

Cheung says today's luxury market is "very multi-layered (and) complicated," adding that most international brands are failing to connect with Chinese consumers.

"What (brands) don't realize is how quickly things change, from month to month, from day to day even ... one thing I keep stressing is the multi-layered reality of the market now ... you cannot have one single strategy for the country," she says.

Luxury analyst and author of "The Bling Dynasty: Why the Reign of Chinese Luxury Shoppers Has Only Just Begun," Erwan Rambourg says luxury brands have been caught out by China's luxury consumers because they are young digital natives.

"The speed (of change) comes from the fact that youth is driving sales. The Chinese luxury consumer is in their 20s, compared with the European who is in their mid-30s and in the U.S. older.

"Young people in China are all over blogs and forums, chatting all the time. Brands are finding it difficult to adapt because they are not very tech savvy," he says.

From bling to complexity

Cheung likens the early Chinese luxury consumer as being like a starving person given food after a long time.

"People did not have anything in their house, they did not have designer handbags, they did not have outfits. So when the country opened and luxury products started to flood in ... they tried to grab anything they could and at that time people were not sophisticated, or educated enough about luxury, about fashion ... of course they went for something they could easily understand, which was symbols, what we call logos."

What's causing confusion among many international brands is how quickly many Chinese have passed through that phase -- particularly the top tier of market consumers who were at the bling vanguard a decade ago.

"(They) now start to have confidence, they have proved themselves by now ... now they actually feel that the most important is not 'how other people look at me,' it's 'how I feel.'"

This has had a dramatic impact on their buying habits and where before they might have gone for a logo handbag, they are starting to explore different brands and designers and creating personal style.

Rambourg adds that five or 10 years ago, most Chinese luxury consumers only knew Gucci and Louis Vuitton handbag brands.

"Now they know 20 brands," he says.

New concepts

Both Cheung and Rambourg agree that brands need to make their offerings in China more sophisticated.

"(It's time to) refine the concepts, refine the retail infrastructure, bigger stores, more products, edgier concepts," says Rambourg.

He cites as an example Louis Vuitton in Hong Kong, which caters to very wealthy Chinese tourists, middle-class tourists, middle-class Hong Kong shoppers and Tai Tais -- wealthy Hong Kong women who don't work.

"Louis Vuitton is opening very big stores, which have a VIP salon to cater to someone who wants to feel special and drink champagne. Next to the salon there are the (cash registers) where you have more of a volume approach," he explains.

Cheung says that while it was very easy to describe Chinese consumers 10 years ago, it's not so easy today:

"There are people (who are) very sophisticated, they travel around the world, they know everything ... and people who are really new into this world of luxury."

Segmenting is something that Cheung has been doing at Vogue China for some time.

"The demographics of the consumers have become much more sophisticated and complicated," she says.

"What we do well ... is to structure the magazine in a way that can speak to the top tier (of) discerning consumers, but also appeal to a large, large number of readers ... new to all this and weave everything together in a seamless way."

And with a publication like Vogue China on the scene, Chinese luxury consumers are only going to get more refined.

Where are the most beautiful people? Paris

Private jets, two maids and a personal chef: The pampered life of Karl Lagerfeld's pet cat

Front-row politics, no-show models: What really goes on backstage at a fashion show

@highlight

Vogue China editor-in-chief Angelica Cheung: Luxury market "multi-layered"

@highlight

Global luxury brands are failing to connect with Chinese consumers

@highlight

Bling and status symbols not all that concern Chinese consumers now

@highlight

Luxury analyst: It's time brands refined products, introduced edgier concepts