London (CNN) -- Investigators are searching the London area home where the body of former Russian oligarch Boris Berezovsky was found for possible chemical, radiological or biological evidence, police said in a statement released early Sunday.

Circumstances surrounding the death of Berezovsky, one of the most politically influential of Russia's oligarchs until a bitter falling out with the Kremlin, were not immediately known, and authorities in the United Kingdom said it was being investigated.

"His death is currently being treated as unexplained and a full inquiry is under way," Thames Valley Police said in a statement.

Officers, including specialized investigators, are conducting a number of searches "as a precaution."

The body of Berezovsky was still at the house early Sunday after being discovered Saturday afternoon, the statement said.

Police did not detail why authorities were searching for possible chemical, nuclear, radiological or biological evidence.

Berezovsky, a fierce critic of Russian President Vladimir Putin, blamed the Kremlin for the 2006 death of former Russian spy Alexander Litvinenko, who died after being poisoned by the radioactive material polonium-210. In a deathbed statement, Litvinenko blamed Putin, an accusation the Kremlin strongly denied.

For years, Berezovsky bankrolled the effort of Litvinenko's widow to push for an inquest into her husband's death.

Berezovsky later sued a Russian broadcaster for libel after it claimed in a report that he was behind the death of Litvinenko. He won the claim against All-Russian State Television and Radio Broadcasting Company (VGTRK), and the High Court in London awarded him Â£150,000 ($223,400) in damages.

Death announced on Facebook

The 67-year-old was found by his bodyguard at his home in the affluent community of Ascot, Berkshire, west of London, where he was living in exile, according an official at Bell Pottinger, a public relations firm that represented Berezovsky.

Word of his death first appeared Saturday in a Facebook posting by son-in-law Yegor Shuppe.

Berezovsky made headlines last year after losing what has been called one of the most expensive private lawsuits in history against a former friend and ally, Russian magnate Roman Abramovich.

Berezovsky sued Abramovich, owner of the Chelsea Football Club, for $5.1 billion, alleging that he was forced to sell his stake in the Russian oil company Sibneft for a fraction of its true value.

The judge called Berezovsky's testimony unreliable and, at points, dishonest.

The case raised a public curtain on the world of Russia's oligarchs, those who amassed massive wealth and political influence in the 1990s during the privatization of Russia following the fall of the Soviet Union.

Berezovsky's fortune has reportedly been on the decline in recent years, and it took a huge hit after he lost the case against Abramovich. Analysts put the price tag on legal fees alone at more than $250 million spent between the two figures.

In recent weeks, reports have emerged that Berezovsky was trying to sell pieces of his estate, including an Andy Warhol painting, "Red Lenin," to pay debts.

From math professor to oligarch

Berezovsky began his working life as a math professor and then a systems analyst, according to CNN's Jill Dougherty, who interviewed him many times.

But in post-Soviet Russia, he switched to more lucrative jobs. "He was a smart man," she said. "I'd call him a wheeler-dealer."

Berezovsky went on to sell cars "at a time when that was a luxury," she said. "There were a lot of people who wanted to buy them, and he parlayed that -- as so many of these oligarchs did -- into something much, much bigger."

While Berezovsky's made a good portion of his money from luxury car sales, his wealth and political influence bounded when he bought into Russian media. He invested in the Moscow Independent Broadcasting Corp., which -- with TBS as a partner -- founded Moscow's first independent television station, TV-6.

Under President Boris Yeltsin, the Russian Federation's first president, from 1991 to 1999, "there were really no rules governing anything," Dougherty said.

The oligarchs, among them Berezovsky, wound up lending the fledgling Russian government money "when it was desperate for money," she said. "These guys picked up companies on the cheap -- for pennies on the dollar."

A year or two later, the companies were worth much more and they became wealthy.

In return for backing Yeltsin, Berezovsky gained political influence within the Kremlin.

He later backed Putin for president, pouring money into the latter's political party.

Fall from political favor

But after he was elected, Putin saw that the oligarchs had the potential to gain political power and moved to thwart them, Doughtery said.

It has been widely reported that Putin resented the meddling of the oligarchs, particularly Berezovsky.

"He was obviously very ambitious, and he wanted, I think, to be in political control of Russia during Yeltsin's time, and that didn't work out for him," said Stuart Loory, a former Turner Broadcasting System executive vice president, who was a consultant to Berezovsky during the 1990s.

Berezovsky did not have an easy time of it as an oligarch.

"There were two attempts on his life, one at his country home outside Moscow in a gated community. Somebody planted a bomb in his car and, fortunately, it didn't work very well," he said.

"And the other was when he was leaving his club and there was a car bomb in the car and his driver was killed and he escaped without injury."

Within months of Putin's election in 2000, the government began trying to collect on tax claims against the oligarchs, including Berezovsky.

It was then that Berezovsky fled.

Berezovsky began agitating from Britain against Putin, calling for a coup to oust the Russian president.

In 2003, as Russia was seeking his return, Berezovsky was granted political asylum by British authorities after it was determined he was wanted on political grounds, not criminal, according to published reports at the time.

The case, for a time, strained relations between Moscow and London.

Berezovsky was convicted of fraud and tax evasion in absentia by a Russian court in 2007.

Putin has been told of Berezovsky's death, spokesman Dmitry Peskov told Russian state television.

Berezovsky sent a letter about two months ago to Putin asking permission to return to Russia, Peskov said.

"He admitted that he had made a lot of mistakes, asked forgiveness for the mistakes and asked Putin to let him return home," Peskov said, according to a duty officer with the presidential press service.

It's unknown whether Putin responded to the letter, but Berezovsky did not return.

CNN's Per Nyberg reported from London, and Tom Watkins and Chelsea J. Carter reported and wrote from Atlanta.

@highlight

NEW: Authorities search the home for possible biological or chemical evidence

@highlight

Boris Berezovsky, 67, was a fierce critic of Russian Vladimir Putin and called for his overthrow

@highlight

Once considered one of Russia's richest oligarchs, his wealth was on the decline

@highlight

He survived two attempts on his life, including a car bomb