(CNN) -- Are Democrats beginning to reconsider their vote in the 2008 Democratic primary?

With the nation's economy -- and arguably its politics -- in shambles, it is not very surprising to find in a recent Bloomberg poll that 34% of respondents think it would have been better for the country if Hillary Clinton hadn't lost the battle for the Democratic nomination to Barack Obama. A CNN poll released last week put Clinton's favorability rating at a tremendous 69%.

Perhaps no one is questioning the 2008 results more than Democratic politicians who must face the voters next year. Right now, it looks like President Obama, rather than offering coattails to those below him on the ticket, may instead be serving up an anchor. This is ironic, when you look back at what actually happened during the Democrats' 2008 primary, and at who made Obama the party's nominee.

It is often assumed that Barack Obama used his gifts as an orator and his aspirational rhetoric to energize young and minority voters in a way that allowed him to wrest the nomination from Clinton, the candidate favored by the Democratic establishment. This is a nice story, but it is not completely true. For one thing, Clinton actually defeated Obama in the popular vote.

Still, one has to be careful not to read too much into this, since Clinton's very narrow lead depends on counting votes from Michigan. Because Michigan refused to abide by Democratic Party rules when scheduling its primary, Obama had pulled his name off that state's ballot.

It does not really matter who won the popular vote, however, because the Democratic Party does not select its nominee only through a direct election.

To become the party's standard-bearer, a candidate must capture the votes of a majority of the more than 4,000 delegates who are selected to attend the party's national convention. Although delegates are awarded in part based on the votes that they receive, neither Clinton nor Obama captured enough delegates through their primary and caucus showings to secure the nomination. Indeed, in 2008, Democratic Party rules made such a feat almost impossible.

Unlike the Republicans, the Democrats don't allow states to award their delegates on a winner-take-all basis. This makes it difficult for candidates who are neck-and-neck to pull away from each other in delegate counts.

Adding to this problem is that approximately 20% of the delegates to the Democratic National Convention are not tied to the results of primary contests. Party rules stipulate that more than 800 seats at the convention belong to a group defined as "Party Leaders and Elected Officials." These so-called "superdelegates" are not formally pledged to any candidates and attend the convention regardless of primary and caucus results.

Indeed, it appears that the real brilliance of the Obama campaign was to realize fairly early that a true majority was not achievable.

In response to this fact, and having an edge in the early caucus states due to superior grass-roots organizing, the Obama campaign subtly changed the understanding of the rules.  It acted as if the nomination would be determined by the delegate count after the caucuses and primaries, regardless of whether an absolute majority had been achieved. What this did was to lower the overall number by more than 800 votes (the superdelegates), and consequently change the threshold of victory.

Since most Americans are unfamiliar with how the nominating process works, this was a fairly easy story to sell. The press for the most part cooperated. Once this fiction was accepted, any other result would be seen as undemocratic. Indeed, Clinton's complaints about this unofficial after-the-fact rules change were portrayed as a divisive form of sour grapes. After all, following Sen. Obama's post-Super Tuesday February romp through 10 states, it became obvious that Sen. Clinton would not be able to win under this new threshold.

Ultimately, and most importantly, the elected and unelected leaders of the Democratic Party accepted the Obama campaign's spin. This was crucial to Obama's success, since a real victory at the convention depended on these superdelegates ignoring the fact that Clinton was the stronger general election candidate in swing states like Pennsylvania, Florida and Ohio. In the end, it was the endorsement of these superdelegates -- again, party leaders and elected officials -- that forced Clinton to concede the nomination.

The irony of all this should now be clear. According to a recent CNN poll, only Republican Mitt Romney appears to be in a position to offer a strong challenge to Obama in 2012. Unfortunately for the Republican Party, Romney's nomination is anything but certain.

The results of the 2010 midterms, however, when combined with recent special election results, indicate that, with Obama at the top of the ticket, the prospects for many other Democratic elected officials are rather dismal. Of course, a lot of these politicians have no one to blame but themselves. I suspect, nonetheless, that they are feeling more than a twinge of buyer's remorse.

The opinions expressed in this commentary are solely those of Paul Sracic.

@highlight

Paul Sracic: Are Democrats now reconsidering their vote in the 2008 Democratic primary?

@highlight

Hillary Clinton's favorability rating is now sky-high at 69%, Sracic says

@highlight

Prospects for many Democratic elected officials in 2012 are now rather dismal, he says

@highlight

Still, only Mitt Romney appears to be a significant challenge to Obama, Sracic says