(CNN) -- Interaction, not isolation: CNN talks to Alex Steffen about his vision for a world where the Internet binds our communities together and strengthens the bonds between us all.

CNN: Alex, what effect do you think the Internet has had on communities?

Alex Steffen believes the Internet will bind our communities more strongly together

Alex Steffen: When the Internet really first started to hit, people felt this would be the death blow: after suburbs and long commutes and television and the death of the family dinner, this would be the last straw that would totally break society. No one would ever have a relationship, a conversation or a functional family relationship ever again.

But what we found was the opposite: the Internet is proving to be the antidote to all those sort of things. It's bringing people back together. It's actually taking time out of television, especially for younger kids.

CNN: What elements have you noticed in particular?

AS: The Internet has made some phenomenal breakthroughs that are still only poorly understood in terms of changing people's ideas of us and them. If mass media, social isolation in the suburbs, alienating workplaces and long car commutes create a bunker mentality, the Internet does the opposite.

CNN: So what you're saying is, the Internet brings us together?

AS: Yes. It makes people suddenly aware that there are people who are like us in lots of different ways; and maybe you have connections to people who you normally wouldn't consider your buddies. They could live in another country but share your love of a particular band; or live in your community and believe what you believe about a local issue. They could be someone you hit it off with online who maybe comes from a slightly different walk of life and you'd never bump into them in normal social circumstances.

For most people, using the Internet broadens their sense of who "we" is and actually ends up leaving us in a place of greater compassion and understanding. It leaves us more connected to a larger group of people and more at one with a lot more people in our community.

CNN: How has the way that people use the Internet changed?

AS: People -- especially the geeks who created it -- have tended to look at the Internet as something that's hermetically sealed: there's the Internet and the rest of the world. But that's not how people want to use the Internet. They want to use it as a way of better navigating the real world.

People use tools like their laptops and their mobile phones as an opportunity to connect with others -- to meet, go out, find a restaurant, order a book from the library, figure out what the weather's going to be like or participate in some local political issue. People are doing these things with increasing regularity.

CNN: It doesn't sound like the Internet that a lot of people imagine.

AS: It's something that the people who are most famous as Internet experts of the last generation didn't really anticipate: that most people don't want to stay in their little cubicles and play Internet games all night. Most people want to get dates, buy presents more easily or meet up with their friends and family -- "Where can I go to get the business of life done more efficiently and be more like the person I want to be?"

CNN: When did people first use the Internet as a campaigning tool?

AS: The most notable examples, although people didn't comment on them at the time, were the anti-war protests at the beginning of the second Iraq war. All over the world, enormous numbers of people got together to protest the idea of that war. That was done almost entirely with online advocacy. Most of the people putting together those protests were tiny little groups that really didn't have the budget to do it in the normal way -- sending out lots of flyers, having people build phone trees. This time round, it was Web sites, e-mails and text messages, and lots of people talking.

CNN: What sort of an impact do you think the Internet had on those protests?

AS: I don't think those protests could have happened the way they happened before those tools were available.

However, it's an intermediate step, not least because it showed that protests of that sort -- a bunch of people using new technologies to go hold signs together -- are not as effective as they need to be, because essentially the President of the United States of America could say, "I don't care."

CNN: So what do you think the next step would be?

AS: We're still figuring out what the next step is. I think we're going to start to see a new model of civic advocacy where people get together once in a while to protest, but it's more about an ongoing, sustained engagement in issues, networks and communities about which people care. We're already seeing the beginnings of it.

There's this great phrase, "continuous partial attention," to describe what people do online. They look at a little thing here, a little thing there, and they keep track of it all. It's the ultimate multi-tasking in our brains.

We're going to see the Internet facilitate continuous partial attention more and more for local issues, for political issues, for community events, for things happening in your social network. We will find that's a great deal more attention than people previously paid with these things. While it's still in the early days, when it really comes to fruition it's really going to change everything.

...................................................

What do you think of Alex Steffen's vision? Will technology help us build a brighter, fairer tomorrow? Tell us in the forum -- or read others' thoughts on the future. E-mail to a friend

@highlight

Steffen says the Internet can bring communities closer together

@highlight

Technology now an essential part of social networking

@highlight

Internet use helps people navigate the 'real' world

@highlight

Increase in online advocacy and use of the Internet for campaigning