This was no ordinary plane ride.

No longer grounded for battery problems, United's Dreamliner 787 Flight 1 gained takeoff speed down a Houston runway Monday, en route to Chicago O'Hare.

After months of concern about the 787's future, the excitement and tension was palpable aboard the first domestic commercial flight since January 16.

In Seats 32 J, K, and L, Charles Marine, his wife Amira and 6-year-old son Dominic were going home after visiting the Lone Star State. Dominic, wearing a red T-shirt and headphones, chewed gum with a serious look on his face as the plane raced toward the end of the runway.  Amira had a pillow on her lap, her hands folded as she faced forward. At one point, her husband placed his hand on hers.

The plane, carrying 219 passengers including many reporters and executives from Boeing and United, began to lift into the air. Outside the Dreamliner's oversized windows, it was clear the plane's wings were bending upward.

Dreamliner interactive: The Boeing 787 layout

Watching the wings of an airliner bend during takeoff might be a little bit disturbing for most passengers.

But the wings of this plane are made mostly of carbon reinforced plastic. They're supposed to bend.

Then, Dreamliner's wheels magically left the Earth. That triggered passenger applause that rang throughout the aircraft.

The 787 was back in domestic service after being grounded because of fears of onboard lithium-ion battery fires. Two incidents on Japanese 787s in January prompted the FAA to ground all six U.S. Dreamliners, which are all operated by United. Engineers designed a fix of the system which involved insulating the batteries and putting them in a ventilated armor-plated box to protect the rest of the plane.

Dreamliner returns: Five things to know

'It's a relaunch!'

Dreamliner "was a fairly expensive piece of sculpture to have on the ground," joked United CEO Jeff Smisek during a pre-flight ceremony. The average list price for a 787 is currently about $207 million.

His counterpart at manufacturer Boeing apologized. "We're very sorry about the delay caused by the technology workaround," said Boeing CEO Jim McNerney. "Safety means everything to us." Both men were passengers on Flight 1.

In Seat 21J, Michael Reynolds, 64, was headed home after his oldest granddaughter's high school graduation ceremony. He had no idea he was booked on arguably the most-watched airliner in America, touted by Boeing as the "airplane of the future."

"It was a surprise to see the media circus," he said.

Charles Marine also was in the dark about the flight until he arrived at the gate. Was he concerned about the battery problems? "I guess there's a little bit of something in the back of my mind," he said. But to have all these CEOs on the plane," he said he felt safe.

Aviation enthusiasts call it Dreamliner 2.0.

Others call it Reboot: 787.

"It's a relaunch!" said a United flight attendant wearing the name tag,  Alejandro. "That's what they told us to call it!"

Up in the cockpit, Capt. Niels Olufsen clocked it at about Mach .85 -- or 85% of the speed of sound. The plane beat about 10 minutes off other airliners by the time it hit Chicago traffic.

The slick new cockpit display allows pilots to more easily see maps, speed and altitude data. "It's easier to fly because we have better displays," said Capt. Bill Blocker, another pilot on Flight 1. "It lands nice, it flies nice, it's real responsive, it's actually one of the easier planes I've ever flown."

It also soars higher than other airliners. Flight 1 maxed out at 41,000 feet -- which actually is 2,000 feet below its limit. A typical airliner altitude is around 30,000 feet up.

But Dreamliner's most important trick is to save on fuel expense. Surprisingly, it takes less fuel to fly high. "That's just how jet engines work," said Capt. Michael Barksdale, another United pilot who attended the pre-flight ceremony.

All airlines love to save fuel. That's good for business -- and the environment. And it's why Dreamliner is seen as the "airliner of the future."

Thrill of flight

For this aviation enthusiast, the thrill of flying this airplane for the first time involved the bendy, plastic wings as they lifted the plane into the air on take off. At first, it doesn't compute -- it looks so strange -- but then you realize this ain't your daddy's aluminum aircraft.

Its cutting edge carbon fiber technology is taking aviation to a new level, where special materials can make magic happen.

Dreamliner's cabin pressure is touted as a big relief for passengers who suffer from air sickness. The cabin pressure makes it feel like the equivalent of being at 6,000 feet above sea level, compared with typical airliners which are pressured at 8,000 feet.

I didn't notice any difference at all, but I don't suffer from air sickness. Most of us passengers weren't discerning enough to notice the rarefied air, but the airliner's larger windows, complete with "shades" made of gel that dims in response to electricity, were easier to spot and appreciate.

Now about the seats: They're a comfy 17.3 inches across, which fit me fine, especially after enduring a torturous chair on a commuter plane the previous day. The plane's seats are arranged in three rows of three chairs across, with two aisles. In first class, passengers stretch out on 22-inch wide lay-flat seats in the 2-by-2-by-2 configuration.

And what about Dreamliner's other goodies?

-- Specially designed cabin lighting to match the time of day

-- Cathedral-like cabin ceilings so high they would be impossible for most people to touch

-- Computers that sense imminent turbulence and command parts of the wing to make appropriate adjustments, smoothing out the ride

A bit of unstable air rocked the plane early in the flight, but it was difficult to know how the plane's anti-turbulence system affected the ride.

Airliner of the future?

The battery problems have been addressed, but the real proof of a successful fix will be in incident-free flights across the globe. With that kind of smooth flying, is the door still open for Dreamliner to realize its promise as the game-changing airliner of the future? Can global aviation titans Boeing and United put the 787's troubled battery system behind them?

Two battery overheating incidents on 787s sparked fears of possible inflight fires, prompting an announcement three months ago yanking all 50 Dreamliners out of service worldwide. Some experts dismissed the battery problems as hiccups, glitches or teething pains that all new airliners experience.

Glitch or not -- it was the first FAA grounding of an entire airliner model in more than 30 years. Supporters hailed the move as an abundance of caution.

Two weeks into the grounding, Japanese carrier ANA said it had lost $15 million. In April, Boeing wouldn't reveal how much the grounding was costing them, but it was "minimal."

For many of the thousands of employees at Boeing and United who saw their futures tied to this plane, the grounding order was more than a little unnerving. Of course, passengers were nervous too.

Grounding an airliner opens the door to damaging its reputation for safety, say experts.

The previous FAA grounding in 1979 followed the terrible crash of the now-defunct DC-10 wide-body airliner. American Airlines Flight 191 crashed on takeoff from O'Hare and killed 273 people. Authorities grounded the DC-10 for about a month until it could be determined that maintenance issues were to blame for the crash.

The DC-10 suffered an image problem after that, said Capt. Kevin Hiatt, president of the Flight Safety Foundation, an independent aviation safety think tank, but that perception faded and the DC-10 went on to be relatively successful.

The FAA's abundance of caution shouldn't be allowed to damage the Dreamliner's image, say experts, who point out that no one has been hurt in any of the Dreamliner incidents. "It's a safe airliner to get back on and fly," said Hiatt. Travelers, he said, should be very confident.

Under strict oversight, the FAA delegates certain certification activities to qualified experts, Boeing says on its website.  The battery fix included a team of Boeing battery engineers and experts from outside the company.

FlyersRights.org President Paul Hudson wants an independent analysis of Boeing's battery fix. He said federal authorities are "simply taking Boeing's word for it" that the problem has been resolved and by delegating certification authority. "We think they made a mistake."

"There's never been any proof that self-certification ever resulted in a problem in an aircraft," said John Goglia, a former member of the National Transportation Safety Board, the nation's top aviation investigation agency.

Hiatt is also comfortable with the process as it pertains to Dreamliner. But his group supports the idea that the FAA self-certification system should be reviewed, to bolster its safety.

Dreamliner's days of being the next big thing may be numbered. Snapping at Boeing's heels is its arch rival Airbus, which is expected to start test flying its A350 XWB later this year. In the wake of Boeing's lithium-ion battery challenges, Airbus decided not to go with the same technology in the new plane -- opting instead for traditional -- and heavier -- nickel-cadmium batteries.

Airbus rolls out sleek, new A350 XWB

Shortly after it was grounded, United said flyers would "flock back" to the game changing aircraft after the battery problems were fixed.

For United and domestic travelers, the game started all over again on Monday. We'll see how much things change. And we'll keep you posted.

@highlight

First domestic commercial Dreamliner flight since grounding was completed on Monday

@highlight

Boeing CEO: "We're very sorry about the delay caused by the technology workaround"

@highlight

Bendy, plastic wings made an impression on this author and aviation enthusiast