(CNN)It must have seemed like the apocalypse.

In less than 60 seconds, a 7.0-magnitude earthquake shifted Haiti's landscape and changed millions of lives forever.

The government estimated about 220,000 deaths from the disaster, which occurred five years ago Monday. It also left about 1.5 million Haitians homeless.

Then things got worse.

A massive cholera outbreak followed, killing nearly 8,600.

"Speaking with the people, listening to their stories, I think that they experienced something that was really inhuman, something that it is impossible to understand, or to narrate," said award-winning Italian photographer Marco Gualazzini, who visited Haiti last month.

He said there's still a lot of work to do. Nearly 80,000 live day to day without a "proper roof over their heads," according to the International Organization for Migration. Many of these homeless live in displacement camps.

Related: Impact Your World

During his visit, Gualazzini found hopeful signs of recovery. But he also noticed disappointing evidence that the nation might be heading toward a dark future economically and politically.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

His photograph of a street market in the capital, Port-au Prince, ranks among his favorite images from this trip because of its soft and peaceful light and the mist rising from the pier. The people at the market represent so much about the state of Haiti today, he said.

The scene depicts "just an ordinary market, a lively market which has been bartering, buying and selling all day long under the baking heat of the sun," Gualazzini pointed out. "But for a city that only five years ago suffered an earthquake -- creating so many orphans, widows and cripples, making so many poor people even poorer -- I think it is an extraordinary sign of recovery."

Gualazzini's visit wasn't all as peaceful.

Three days a week, anti-government anger and frustration prompted thousands of Haitians to stage protests in slum areas such as Cite Soleil and Waf Jeremie.

Protest slogans during these demonstrations often were followed by police firing tear gas and then the sound of gunshots, he said.

Related: Prime minister quits after widespread protests

"People are tired of this ever-increasing divide which is being created between the rich and the poor," Gualazzini said.

Haiti, like many other developing countries, Gualazzini said, "needs to bridge this gap between the opulence of the rich and the inhuman poverty of the ever-more-impoverished poor."

From the moment he arrived, Gualazzini knew where he could capture photos to illustrate that idea. Tiny, brightly painted homes in a slum area known as Jalousie form a backdrop to Petion-Ville, one of the richest and wealthiest districts of Port-au Prince.

"These small buildings clinging to the hills look like houses in a nativity scene," Gualazzini said, "and the inattentive visitor would never imagine that this is actually an extremely poor slum area in which violence is still congenital and the inhabitants do not have access even to the most basic facilities."

But Gualazzini had trouble capturing Jalousie in the right light.

Nearly every day for three weeks, he fought his way through Port-au Prince's gridlocked traffic to return to the slum and try for a good picture.

Finally, at 6 in the morning on the last day of his visit, he found himself looking at Jalousie again. All packed up and ready to leave the island, while waiting for a taxi, he decided to try one more time.

He pointed his camera and focused.

And that's when it happened.

"The light came up from behind the hills and entered the camera," he recalled.

With a push of his shutter button, Gualazzini had captured his elusive shot. (The second photo in the gallery above.)

"The quake left an indelible mark on Haiti," Gualazzini said. "Yet the people still managed to get back on their feet. They cleared away the rubble and started to build again where there was only pain and death."

If they can successfully confront such devastation, can Haiti's people next figure out a way to work and prosper together?

As Gualazzini put it, "They're at a crossroads."

@highlight

Marco Gualazzini's photos show Haiti five years after a devastating earthquake

@highlight

His stunning images show protest, restoration, enduring scars and hope

@highlight

"People are tired of this ever-increasing divide between rich and poor," he says