Over the past few weeks we have been bombarded with tales of woe from Defense Secretary Leon Panetta, the Joint Chiefs of Staff and arms industry executives about what they have described as the potentially devastating impacts of cutting the Pentagon budget.

To hear them tell it, the most powerful military in the world will grind to a halt if it is required to cut its $500 billion-plus budget by about 8%.

There's no question that the sequester -- the automatic across-the-board spending cuts that will kick in if Congress and the president fail to agree on a balanced deficit reduction plan -- is not an ideal way to trim the budget.

It precludes one of the central tenets of good government: the ability to increase investments in programs that work while cutting or eliminating programs that don't. But we shouldn't confuse this management issue with an underlying truth. There is plenty to cut at the Pentagon without undermining our security.

Given this reality, it is astonishing that former Sen. Chuck Hagel, the Obama administration's nominee for secretary of defense, has been chastised for pointing out the obvious: The Pentagon's budget is bloated and ripe for reform.

Examples of egregious waste and misplaced spending priorities at the Pentagon abound. One need look no further than the department's largest weapons program, the F-35 combat aircraft.

Even before it has moved into full-scale production, the plane has already increased in price by 75%, and it has so far failed to meet basic performance standards.

GOP legislators: Forced budget cuts a disaster for military

By the Pentagon's own admission, building and operating three versions of the F-35 -- one for the Air Force, one for the Navy and one for the Marines -- will cost more than $1.4 trillion over its lifetime, making it the most expensive weapons program ever undertaken. And in an era in which aerial combat is of diminishing importance and upgraded versions of current generation U.S. aircraft can more than do the job, it is not at all clear that we need to purchase more than 2,400 of these planes. Cutting the two most expensive versions of the F-35 will save over $60 billion in the next decade.

As for the Navy, it is planning to invest $2.2 billion this year alone in the Littoral Combat Ship (LCS), a system that has suffered serious performance problems ranging from cracking hulls to failures of the shipwide power system. In addition, the service maintains its attachment to building costly and unneeded ballistic missile submarines at up to $8 billion per boat, even as possessing thousands of nuclear weapons is increasingly irrelevant to our security. Scaling back these programs would save at least $25 billion over the next 10 years.

Weapons spending isn't the only area in which smart savings are possible. Personnel costs are far too high.

For example, the Army put out a memo this week bemoaning the fact that budget cuts at the level called for under the sequester would cost up to 300,000 jobs nationwide. But the Army's plea for the status quo ignores two key facts: Our domestic basing structure is larger than it should be, and we have more troops than we need in a world in which we will no longer focus on fighting large, boots-on-the-ground conflicts like the wars in Iraq and Afghanistan. Cutting the Army by 100,000 troops beyond current plans would save $10 billion per year.

On the civilian side of the ledger, there has been far too little attention paid to the Pentagon's over-reliance on private contractors to do everything from tote guns to review budgets. The Department of Defense currently spends more on private contractors than on all of its civilian and military personnel combined, and many of them perform redundant tasks that could be done more cheaply by government employees.

Cutting the use of these contractors by 15%, as suggested by Taxpayers for Common Sense and the Project on Government Oversight, would save more than $350 billion over the next decade.

The most outrageous fact of all is that the Pentagon can't even figure out how much of our money it is wasting. The department has never passed an audit, making it nearly impossible to root out corruption and avoid duplication of effort. Whipping the Pentagon's accounting system into shape would save untold billions for years to come.

The budget cuts forced by sequestration may be a bad way to control spending, but there is no question that the Pentagon can reshape its budget to meet current challenges while saving hundreds of billions of dollars in taxpayer funds.

The Pentagon and the armed services should spend more time looking for ways to impose spending discipline and less time trying to prop up their budgets at levels we don't need and can't afford.  And Congress should revise the law to give the military more freedom to spend funds where they are most needed.

@highlight

Defense officials, Pentagon contractors warn budget cuts could decimate military

@highlight

William Hartung says the forced cuts aren't ideal but there's lot of fat at Pentagon

@highlight

He says weapons programs, military staffing levels are inflated

@highlight

Hartung: The Pentagon's accounting is a mess; hasn't passed an audit