BAGHDAD, Iraq (CNN)  -- Iraqis celebrated in the streets Tuesday for the withdrawal of U.S. troops from their cities and towns under an agreement signed last year with the U.S. government.

A crowd gathers Tuesday after a deadly bombing in the northern Iraqi city of Kirkuk.

But celebration was tempered by fears of renewed violence as insurgents launched new attacks.

At least 30 people, including women and children, were killed in what security sources called a "huge bombing" Tuesday in the northern Iraqi city of Kirkuk. Dozens were wounded in the attack in a busy shopping area in a predominantly Kurdish part of the disputed oil-rich city.

Hundreds died in a series of dramatic attacks in the past 10 days, after months of relative quiet.

President Obama hailed the withdrawal as an important milestone.

"The Iraqis are rightly treating this day as a cause for celebration," Obama said Tuesday. "The very fact that Iraqis are celebrating this day is a testament to the courage, the capability and commitment of every single American who has served in Iraq. ... Through tour after tour of duty, our troops have overcome every obstacle to extend this precious opportunity to the Iraqi people."

Citing the Kirkuk bombing, Obama warned of tough times ahead and said the United States would continue to support Iraq as it works to become "a "sovereign, stable, and self-reliant" country.

Earlier, the top U.S. general in Iraq insisted shortly before the Kirkuk bombing that much of the country is safe.

"There is not widespread violence in Iraq," Gen. Ray Odierno told reporters in a videoconference from Baghdad.  Watch as Odierno notes the deadline marks an "important day" in Iraq »

"There's still gonna be bumps in the road. There's still gonna be violence here," he said.

U.S. combat troops will remain in Iraq, in bases and outposts outside of major population centers, after Tuesday's pullback. Odierno said the cities would feel "significantly different" without U.S. "battalions," even though there will still be Americans in the cities as military trainers and advisers.

Newscasters on the state television network Al-Iraqiya draped Iraqi flags around their necks as an on-screen clock counted down to midnight Monday. Earlier Monday evening, hundreds of people danced and sang in a central Baghdad park to mark the U.S. pullout.  Watch Iraqis celebrate in the capital »

"I feel the same way as any Iraqi feels -- I will feel my freedom and liberation when I don't see an American stopping an Iraqi on the street," Baghdad resident Awatef Jwad told CNN.

There were no columns of tanks rolling out of Baghdad or thousands of troops marching out of other cities as the deadline approached. The U.S. military has been gradually pulling its combat forces out of Iraq's population centers for months, and they were already gone by the weekend, Pentagon spokesman Geoff Morrell told reporters in Washington. iReport.com: Spirits are high as Iraqi troops prepare for handover

But Iraqi Prime Minister Nuri al-Maliki and other Iraqi and U.S. officials had warned of an increase in attacks around the withdrawal date as remaining insurgents attempt to re-ignite the sectarian warfare that ravaged the country in 2006 and 2007. While many Iraqis publicly said they are glad to see Americans out of their neighborhoods, some were worried about what the future may hold without the U.S. military nearby.

"Without the Americans, we were afraid of each other," Hanaa Abdul Hassan, a Baghdad resident, told CNN. "And now that the Americans are leaving, we will be more afraid. We knew the Americans were holding them back, so now I don't know what's going to happen," she said, without specifying who "they" were.

But U.S. officials believe Iraq's police and army can keep a lid on the violence, which Morrell said was at the lowest point "in the history of this conflict."

Thomas Ricks, a senior fellow at the Center for a New American Security who has written extensively about Iraq, said he was not convinced Iraqi security could keep violence under control

"No one knows whether the forces can handle it. It's a leap of faith we're taking here. My concern is we've taken this leap of faith before and it hasn't worked," he told CNN.

"The real thing for Iraqi security forces isn't whether they're trained or better equipped than the militias and the insurgents. The question is whether they're better motivated. The militias and insurgents knew what we were fighting for. The question has always been, do Iraqi security forces know what they're fighting for?" he said.

Four U.S. soldiers serving in Baghdad died Monday of combat-related injuries, the latest of more than 4,300 Americans to die there since the U.S-led invasion in 2003. The U.S. military announced the deaths Tuesday without giving further details.

A Web site associated with the Baath Party posted a statement attributed to ex-leader Saddam Hussein's former deputy, Izzat Ibrahim al-Douri, early Tuesday, calling the American pullout a "historic victory" for the insurgents.

"The 30th of June 2009 is your precious and glorious day that embodies your historic victories," the statement said. "For your enemy and the enemy of God decided to flee the battlefields dragging the tails of disappointment and defeat to protect its fleeing soldiers in a few and limited fortified bases, where they think they will find safety from your heroic charges and Godly strikes."

Al-Douri, the highest-ranking member of Hussein's government to remain at large, is believed to be a top figure in the insurgency. His apparent statement urged Iraqis to keep fighting Americans "wherever they may be in Iraq."

By mid-2006, the conflict had become a low-level civil war, marked by the dumping of bodies in the streets on a daily basis. The conflict began to subside in late 2007, after Washington committed extra troops and supported a turn against the jihadists by Sunni Arab tribal leaders.

Under an agreement signed in the waning days of the Bush administration, all U.S. forces will be out of Iraq by the end of 2011. Most will be gone by August 2010 under the withdrawal plan laid out by Obama.

The 130,000 U.S. troops who remain are now tasked with supporting Iraqi troops and police, and will require Iraqi permission to launch operations in the cities.

CNN's Jomana Karadsheh and Michael Ware in Baghdad, Iraq, contributed to this report.

@highlight

NEW: Obama: "Iraqis are rightly treating this day as a cause for celebration"

@highlight

Hundreds of Iraqis dance and sing in Baghdad park to mark U.S. pullout

@highlight

Bombing kills at least 30 in northern Iraqi city of Kirkuk, police official says

@highlight

Iraqi woman: "Now that the Americans are leaving, we will be more afraid"