(CNN) -- They are six of the most powerful words in the English language:

"The doctor will see you now."

Physicians themselves rarely hear them. But to the people who do -- the patients in the waiting room -- they can spur emotions ranging from hope to fear to gratitude to anxiety to dread.

Which is why what has happened, in recent years, as patients step into examining rooms has had such a profound effect on the experience of a visit to the doctor. There have been two changes, prompted by federal initiatives whose genesis predated the Affordable Care Act, that have altered a comforting routine essential to the physician-patient relationship for centuries.

The doctor today is not likely to look for long into the eyes of the patient. As the physician begins asking questions and taking a history, he or she may be tapping away at a computer keyboard, peering at the screen, entering information as the patient responds to queries. It can be jarring, the first time a patient encounters it. The importance of eye contact with a doctor does not become evident until it's gone.

There is a reason that physicians have shifted their eyes away from their patients and toward those screens; it is not that the doctors have cavalierly decided to become rude. The mandated use of electronic medical records, with the government providing cash incentives for physicians who agree to use them, and threats of eventual penalties for those who don't, has forced doctors, many of them reluctantly, to become data-entry clerks as they conduct their examinations.

This matters, and not in a good way. There is something about the presumed intimacy of a conversation with one's doctor -- of patient and physician looking into each others' eyes, with the physician reading the expression on the patient's face as well as listening to the patient's words -- that is key to what medical care, with the emphasis on "care," has always been about. Part of this may be mutually understood illusion; on some level the patient is aware that the doctor probably has a half-dozen patients, right at this moment, in examining rooms up and down the hallway, waiting for his or her attention.

But the time that one spends with the doctor is supposed to feel like a heart-to-heart conversation, one human being talking about exceedingly private things to another. The patient has made plans for this visit, has traveled to it, has come prepared with a list of concerns and worries. When the doctor, obedient to 21st-century regulations, turns away and begins to communicate not with the patient but with a screen, something intangible and consequential is lost. Is the doctor really seeing you now?

The changes have been instituted in the name of efficiency: "evidence-based decision support," "quality management," "streamlining the clinician's workflow," among other jargon used to justify the decreed new methods. Electronic records can make coordination between a patient's various physicians more seamless, can provide information about a patient's history quickly in emergencies, can be helpful in ascertaining that treatment options being considered in different offices do not duplicate or conflict with each other. And, without question, as the world moves from records kept on paper to digital storage, revisions in the workings of doctors' offices were necessary.

Yet as medical organizations, insurance companies and the federal government all make their cases for what works best, the one constituency -- such a cold word -- that seems to be left out is the patients. Some of whom have always felt a little awkward raising questions about what goes on in their physicians' offices. It is not easy, in that examining room, for a woman or a man to say to the doctor: "Could you please look at me when we talk?"

Some doctors -- the ones who can afford it -- have come up with what seems to be a solution to the new regulations. Transcriptionists, sometimes referred to as scribes, have been retained to move with the doctor from one examining room to the next, carrying laptop computers or tablets, listening as the doctor and patient speak, typing the requisite information.

This allows the doctor to talk with the patient the old way: eye-to-eye. But it creates a different problem. There is a stranger in the room. For some, perhaps many, patients, the kinds of things they want to discuss with their longtime doctor are not the kinds of things they want to say in front of third parties. That illusion of intimacy, again, that feeling of privacy -- it becomes broken. The elderly patient who may have been going to the same doctor for decades, now being expected to sit, undressed, in the presence not just of that trusted doctor, but of a transcriptionist listening in and clicking keys ... something is lost.

The best and most compassionate doctors can make anything work. They do it every day. But the bureaucrats, however well-intentioned, who came up with these changes may have lost sight of another time-honored phrase in the healing arts, the most sacrosanct of all. It refers to the general practice of medicine, but it also applies to the doctor-patient relationship:

First, do no harm.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Doctors taking notes on computer interferes with doctor-patient visit

@highlight

He says electronic records mandate may keep them from assessing patient visually

@highlight

He says visits are precious opportunities for face-to-face discussion

@highlight

Greene: Doctors must find a way to solve this for the sake of doctor-patient relationship