LONDON, England (CNN) -- The sleek, dark wood has all the characteristics of endangered mahogany from Peru's Amazon rainforest.

Kebony is targeting decking manufacturers and boat builders as potential clients of its modified sustainable wood.

In reality, it was manufactured in Norway, in a five-day process that instills all the qualities of rare, tropical hardwood into sustainable softwood.

The company that makes it, Kebony, says it comes with none of the environmental cost.

"This is a mega turn, people have to act," Kebony CEO Christian Jebsen told CNN. "We have a green solution for the tropical wood market and we are there to take that market or at least be part of it."  Christian Jebsen talks to CNN »

The global market for wood products from tropical forests is estimated to be worth some $20 billion each year, according to the International Tropical Timber Organization.

Most of the wood on the world market now comes from Southeast Asia and Africa, according to the Rainforest Foundation Norway. Tighter controls on logging in Brazil have reduced the amount of hardwood being shipped out of the Amazon, once a popular source for the finest quality mahogany, teak and cedar.

"Each tree is worth maybe $25,000-$40,000 on the international market. And there are lots of trees being taken out [worldwide] -- so this is a large business, a huge business," said Lars Løvold, director of the Rainforest Foundation Norway.

The United Nations estimates some 13 million hectares of forest are lost worldwide each year, equivalent to an area the size of Greece or Nicaragua. Their absence is said to contribute more carbon emissions each year than the global transport sector.

Demand for luxury hardwood is by no means the main cause of deforestation. Clearing land for agriculture and the collection of wood for fuel are the main drivers, but Løvold said the lucrative market for hardwood provides a compelling incentive for loggers to move into previously untouched areas.

"Almost all deforestation starts with the logging," Løvold told CNN. "The logging doesn't necessarily end up in the total clearance of an area, it just opens up the area, it takes out all the valuable trees and makes it much easier."

Kebony's move into the global wood market follows more than a decade of research started in the late 1990s by Canadian scientist Marc Schneider of the University of New Brunswick.

Rigorous testing took place before the first trial production in 2004. Strong demand for the product convinced the company to build a new plant with ten times the production capacity, which opened in January.

"What we are doing with our technology is to permanently transform the wood so it doesn't change. Our process is 100 percent environmentally friendly," Jebsen told CNN.

The process involves injecting softwood with a patented formula which includes Furfuryl alcohol, a waste by-product of sugar cane production.

The wood is then subjected to pressure, heated and dried before being cured at high temperatures to create a product that the company says is stronger, more stable than untreated softwood and weather-proof.

Kebony's environmental credentials have been endorsed with the receipt of the Nordic region's eco-label, the Swan. It's also received Norway's national environmental prize, the "Glass Bear."

On a cost basis, the company says it can compete with the price of authentic teak on the European market.

"You can buy a cubic meter of teak in Europe for anything between 3,000 euros ($4,000) up to 10,000 euros ($14,000), depending on the quality. I would say we are competitive with that," Jebsen said.

Kebony is "slightly more expensive" when compared to pressure-treated wood, but it doesn't contain any of the potentially harmful metals or pesticides that are commonly used to improve the wood's durability.

Jebsen sees some of the company's best opportunities in the boat-building industry, where rare teak from Myanmar is being used at the luxury end of the market.

"We believe multiple boat manufacturers will start to use Kebony very soon -- some have already started," he said.

The company is also planning a move into the U.S. decking market where it's scouting for clients and recruiting distributors.

"The U.S. decking market, which is using toxic impregnated, metal-based wood modification methods, together with tropical wood, is [worth] about five billion dollars, so the market is obviously enormous," Jebsen said.

@highlight

Norwegian company has developed eco-friendly way to simulate hardwood

@highlight

Kebony uses sustainable wood including maple, pine and beech

@highlight

Wood is treated to give it the same look, performance as tropical hardwood

@highlight

Product widely used in Norway, now the company is expanding internationally