(CNN) -- The recent smartphone video of Marines urinating on the bodies of slain Taliban should trouble all Americans.

It is troubling even if allowances are made for young men -- recently released from the high pressures of combat and in the euphoria of being successful and still being alive -- doing dumb things. It should trouble us even allowing for the inevitable dehumanization of the enemy that often accompanies conflict.

Keeping the human aspect of an enemy in mind is more than just a moral imperative, though. It makes good operational and strategic sense. And in this, intelligence has a special role.

One of the first briefings I gave President George W. Bush as deputy director of national intelligence was on Abu Musab al-Zarqawi, the fiendishly brutal head of al Qaeda in Iraq.

I began with Zarqawi's upbringing: "Raised on the mean streets of Zarqa, jailed as a teenager, he turned to religion in prison ..."

I was less trying to humanize him than to understand him, but the effect was largely the same. And even duly "humanized," Zarqawi remained our highest priority target in Iraq until we killed him the next year.

Recognizing this human aspect of an enemy takes on even greater significance when a belligerent decides that it's time to negotiate with an adversary, when it's decided (or reluctantly accepted) that you will not be able to simply impose your will on him.

This, by the way, is different than concluding that someone with whom you are still engaged in combat is no longer your enemy, as Vice President Joe Biden recently did when describing the Taliban.

But it does mean that you are willing to recognize that he has legitimate political interests and you are willing to talk about them.

Under any circumstance, talks with the Taliban will be a difficult task. For one thing, the pressure we can bring to bear on our negotiating partner diminishes daily as American troops leave Afghanistan based on an accelerated timetable rather than on battlefield conditions. A recent survey of national security wonks like myself had a full three-quarters of respondents either opposing these talks or saying they are likely to fail.

So this is going to be tough and, as in many difficult undertakings, intelligence will be expected to play an important role.

Taliban has met with U.S. officials, won't negotiate with Karzai

At the most basic level, intelligence will be asked what are the Taliban's interests or more precisely what is it they think they are.

Intelligence will work to steal secrets: What are their demands, their going-in positions, their true red lines? In this case, negotiators will also want to know whether their Taliban interlocutors actually speak for the whole. Can they deliver on an agreement?

I recall during the Bush administration, in one of our periodic crises with Syria, being asked by the president: "What does Assad want?" It was a question that went to the nature of the man.

I responded with the often true but rarely useful, "I don't know." And I little helped the situation by meekly adding that I doubted that he did either.

We did better during later negotiations with North Korea where, despite whatever negotiating strategy was being proposed, we stuck to the line that we saw little chance that Kim Jong Il would ever give up his nuclear weapons. We'll need the intelligence agencies to be equally accurate and equally firm in their judgments when it comes to the Taliban talks.

Intelligence may be able to help in other ways since it has been routine for American intelligence officials to meet with and come to agreement with foreign counterparts, many of whom share little of our world view, our values or even our interests.

A good thing, too, since one of the continuities between Presidents Bush and Obama has been the willingness to work with some unsavory partners such as President Ali Abdullah Saleh of Yemen or several recent incarnations of Pakistan's ISI.

I can recall many a meeting with counterparts where the common space where we might find agreement was challengingly small.

In some of those sessions, my counterpart would depart the seemingly fact-based dialogue we had been sharing and launch into a series of conclusions based more on his culture's creation mythology than on any shared reality I could identify.

For a time, I thought it sufficient to simply avoid signaling any agreement at these moments and patiently tolerate the excursion. Only later did I begin to ask myself what of my commentary had my counterpart judged to be American mythology rather than hard realism.

Distinguishing and dealing with the differences will be important in the upcoming negotiations.

Steve Kappes, who has served as deputy director of CIA for me and Leon Panetta, had to do as much when he earlier negotiated the end of Libya's WMD program with a regime as vile and erratic as the Taliban.

This is not to suggest that intelligence officials will actually conduct negotiations in this instance. Marc Grossman, U.S. special envoy to Afghanistan and Pakistan, brings as much talent, hard work and knowledge to the problem as anyone could.

But I am suggesting that if these talks go forward, we will need a very deep understanding of the people across the table from us, people who when last in power imposed a hellish regime on their countrymen and who today have the blood of innocents on their hands.

Much of this will be distasteful, but even if the Taliban aren't simply contemporary manifestations of J.R.R. Tolkien's darkest characters, is there enough common ground to get us to a conclusion we might not ideally desire but is at least what David Petraeus has described in other circumstances as "Afghan good enough?"

Frankly, I don't think there is, and intelligence agencies will have to have the courage to say so if this is the case.

But we have decided to try and, if we are to have any chance of success, deep understanding of the human beings across the table from us, understanding anchored on near exquisite intelligence, will be essential.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Michael V. Hayden.

@highlight

Michael Hayden says talks with the Taliban are going to be difficult, unlikely to succeed

@highlight

He says it's crucial to know as much as you can about the enemy in talks like these

@highlight

Odds of success in talks with Taliban are diminished by U.S. plans for withdrawals, he says