(CNN) -- Johnny Cash was, at heart, a storyteller.

In that dramatic, Old Testament voice, he sang songs -- about prisons, about trains, about loneliness and hurt and truth -- and made them his own, sounding as if he'd lived them himself. "Folsom Prison Blues," "One Piece at a Time," "The Beast in Me" -- whether Cash wrote them or not, he made you believe.

"That was his chief strength," says Robert Hilburn, the author of a new Cash biography, "Johnny Cash: The Life." "He was always best when he tried to tell his own story, or something he cared about."

The thing about being a storyteller, of course, is that stories are often embellished. Cash was no different. Despite being the subject of scores of articles -- and having written two autobiographies himself -- the tales of his life often varied, depending on the time, the setting and the tale-teller.

This is not to diminish Cash's faith and character, but it proved a challenge in writing a biography, says Hilburn, a longtime music reporter who interviewed Cash several times and witnessed the famed 1968 Folsom Prison concert.

"The surprising thing to me was how much you had to check what John said. He would often exaggerate or dramatize what happened," he says. "It would be a germ of truth, but he would make it into something more interesting to convey that truth."

Moreover, Cash's complete story was mostly hidden. When Hilburn asked Cash manager Lou Robin how much of the Cash story had been told, Robin replied, "About 20%."

"Johnny Cash: A Life" attempts to clear the air. Herewith, a few of the fascinating stories from Johnny Cash's colorful life:

1. His name was actually J.R. Cash.

His mother wanted to name him John, after her father. His father wanted to name him Ray, after himself. So the two settled on "J.R." Cash didn't adopt the name "John" until he was in his teens.

2. He, ah, borrowed a lot of what became "Folsom Prison Blues."

Cash was fascinated by prison songs, and more to the point, by loneliness. (He never served hard time himself, though he did a few nights in local jails.) For his signature hit, he was inspired by a prison documentary he saw in the Air Force and a Gordon Jenkins song called "Crescent City Blues."

The Jenkins song has a similar structure, a similar melody and many of the same lines, but what Cash added was his distinctive directness -- "I shot a man in Reno just to watch him die" is all Cash -- and that uptempo chicka-chicka rhythm. He never denied using Jenkins' song. "He will tell you in a minute that he stole the song," his longtime bassist, Marshall Grant, told Hilburn. "But he made it a more interesting song." (Cash did, though, end up paying Jenkins $75,000.)

3. The chicka-chicka sound was an accident.

Cash's songs are noted for their distinctive rhythmic clicking sound, one that echoes the trains he liked to write about so much. You can thank the amateurishness of early Cash practices with Grant and Luther Perkins, the Tennessee Two. "They were literally going from one note to the next like someone typing in a halting hunt-and-peck style," writes Hilburn. "They just couldn't get beyond that simple, primitive sound. ... It was just about the only way they could play."

4. He and Elvis Presley had the same manager.

No, not Tom Parker. Try Bob Neal, originally a DJ at a Memphis radio station. Neal was a friend of Sun Records' Sam Phillips -- the two later founded a management firm -- and handled Elvis for about 18 months until Parker came into the picture in 1955. Neal let Parker take over Presley's management and took on Cash and other Sun Records musicians. But lightning struck him twice: Cash struck up a friendship with Stu Carnall, a California booking agent, who became Neal's management partner -- and then Cash's sole manager. "All of a sudden Stu Carnall comes in and (Neal's) thinking, 'This can't happen twice,' and he takes him away," says Hilburn. Cash later left Carnall for Saul Holiff, who guided his career until the 1970s.

5. He didn't start wearing black for "the poor and beaten down."

That may have become true, as he sings in "Man in Black" -- Cash always had sympathy for the downtrodden -- but the original reason was simply because he liked it. "I'm comfortable in it," he told Larry King in 2002. And why not? Fashionistas will tell you: Black is stylish and hides a host of sins.

6. He was a champion hotel room destroyer.

Wrecking hotel rooms is now associated with the excesses of rock stars -- Keith Moon was a particularly bad boy -- but Cash was so adept at it that he knew exactly what the furnishings cost. Hilburn quotes George Jones -- admittedly a pretty good tale-spinner himself -- who once got in an argument with Cash and went on a spree. With each item Jones broke, Cash named the price. Jones was then sent a bill by management. "All of Cash's predicted costs were accurate right down to the penny," Hilburn writes.

7. The Nickajack Cave suicide attempt? Probably didn't happen.

This story has become part of Cash lore. Hooked on drugs, miserable over his divorce, Cash crawled into Tennessee's Nickajack Cave in 1967 and waited to die. Instead, he found God and decided to quit drugs. But, Hilburn discovered, "Nickajack Cave was underwater in the fall of 1967." And Cash didn't get clean immediately; he was still taking pills at the 1968 Folsom Prison concert months later.

The tale had a point, though. "The story dramatized the feelings of helplessness and recovery," writes Hilburn.

8. There are more Cash-Bob Dylan duets out there.

The two sang together on Dylan's "Girl from the North Country," which appeared on Dylan's "Nashville Skyline." But producer Bob Johnston recorded several songs at the February 1969 session, including Cash's "I Still Miss Someone" and "Understand Your Man," as well as some Jimmie Rodgers tunes. Though it has popped up on bootlegs, the music has never been officially released. "I don't understand why Columbia doesn't release that album," Hilburn says. "It might have confused fans at that time, but today, as a historical document, it's just amazing."

9. He shouldn't be filed under "country."

No offense to the denizens of Music Row, but Johnny Cash was bigger than country music. "He never wanted to go to Nashville. He wanted to separate himself," says Hilburn. "He wasn't aiming for that hit on the jukebox. He was as interested in gospel music and folk music and blues as he was probably in country music, and when rock 'n' roll comes along he incorporates part of that."

Cash, he continues, "had a very wide vision. I never realized until I started writing the book and researching how strong an artist he was. He wanted to record the music he wanted to record, and that was pretty amazing."

@highlight

Johnny Cash is the subject of a new biography

@highlight

Cash had truth in his voice, but he was master storyteller

@highlight

Challenge for biographer to separate facts from fiction

@highlight

Cash known for "Folsom Prison Blues," "Man in Black"