It takes Sanduk Ruit about five minutes to change someone's life.

In that time, the Nepalese doctor can make a small incision in his patient's eye, remove the cloudy cataract impairing her vision and replace it with an inexpensive artificial lens.

"Some of our younger surgeons even do it faster than that," Ruit told CNN.

For many patients, it's the first time they've seen in years, if not decades.

In the past 30 years, Ruit has personally restored the sight of more than 100,000 people across Asia and Africa, and taught his rapid-fire technique to countless other eye surgeons in parts of the world as isolated as North Korea.

His patients suffer from eye conditions that are mostly preventable. But because of poverty and limited access to public health services they have been unable to seek treatment.

Their story is all too common in the developing world. An estimated 39 million people are blind worldwide, according to the World Health Organization. Of these, around 90% live in low-income areas and 80% suffer from conditions that can be prevented or cured.

Reaching remote communities

Driven by a belief that the world's poorest people deserve safe, affordable and high-quality eye care just as much as anyone else, Ruit has made it his mission to eradicate avoidable blindness.

In 1994, he joined the late Australian ophthalmologist and philanthropist Fred Hollows, who was his mentor and close friend, in establishing Tilganga -- an eye hospital in Kathmandu dedicated to providing world-class eye care to the people of Nepal.

The hospital manufactures state-of-the-art lenses that are commonly used in treating cataracts or myopia, and exports them to more than 30 countries worldwide.

For those who cannot reach urban areas, Ruit and his team conduct mobile eye camps in remote parts of Nepal and neighboring countries, often trekking for days and cleaning out structures like tents, classrooms or even animal stables for use as temporary operating theaters.

When the eye patches come off the day after an operation, it's an incredibly moving moment for all involved.

Australian photographer Michael Amendolia has been capturing these intimate scenes -- the expressions of relief and tears of joy -- while traveling with Ruit and his colleagues since the early 1990s.

To mark the 20th anniversary of Tilganga, Amendolia has released some of his most striking images of Ruit and his team at work in Nepal and other countries in the region, including Bhutan, China, Myanmar, North Korea and Indonesia.

Infiltrating North Korea

Amendolia, who described Ruit as "a maverick in some ways," accompanied the Nepalese surgeon on one of the first trips to North Korea in 2006.

The Communist state is notoriously closed off to Westerners. International aid workers frequently struggle to reach those most in need, in a country where two-thirds of the population experiences chronic food shortages, according to the United Nations.

But Ruit, who believes in leaving politics to world leaders, had persuaded the North Korean authorities to allow his team to conduct the 2006 surgery and training session in the south-eastern city of Haeju after he had treated one of their diplomats stationed at the embassy in Kathmandu.

"It was very restrictive," said Amendolia. "We made the same path from the hotel in Haeju, the same way every day to the hospital, the same way exactly back and that's all we saw of Haeju for the seven or so days that we were there."

Amendolia describes how the North Korean surgeons, who came from across the country, were so eager to learn that they huddled close to Ruit, leaning over the operating table to get a better look as he worked.

"I've never seen an eye operation where (Ruit) had so many surgeons around him," he said.

In the room where the recovering patients were examined, portraits of then-leader Kim Jong Il and his predecessor Kim Il Sung hung from the wall.

Transforming lives

One of the most moving images in Amendolia's collection is that of an 80-year-old North Korean man who sees his son for the first time in 10 years after being completely blind in both eyes.

"Of course, the man who's had the operation is so relieved because he can see again, but the whole family suddenly have a family member who can participate again in everything that happens as home," Amendolia said.

Patients who are blind in both eyes require constant care, placing a burden on their families that can keep them trapped in a cycle of poverty. But this quick-healing surgery allows them to regain their independence.

The same transformative moment is played out for long-neglected patients in the mountains of Nepal, the islands of Indonesia and rural China.

Ruit grew up in a small village in the Himalayas so isolated that the nearest school was a week's walk away. When he was 17, his sister died of tuberculosis despite the disease being treatable. The loss left Ruit with a sense of urgency to pursue a path that benefited others, not only himself.

It's a decision he doesn't regret.

"I am so grateful that I can make a difference in so many people's lives," Ruit said.

At 59, that same sense of urgency that motivated him as a young man remains. When asked what it feels like to watch as a patient sees the world clearly the first time, he responded: "It really recharges you and makes you move forward."

But he cautioned that there remains so much he wants to do.

@highlight

Nepalese doctor, Sanduk Ruit, has restored the vision of 100,000 people over 30 years

@highlight

Ruit has provided treatment to those living in remote areas in North Korea, China, and Nepal

@highlight

World Health Organization estimates 39 million people are blind worldwide