(CNN) -- When I was 10, the school that hosted my Cub Scout pack told us we needed to find a new home. The Boy Scouts of America's policy of prohibiting gay Scouts and Scoutmasters -- which the Supreme Court had recently affirmed -- violated the school's nondiscrimination policy.

I was confused, because my den mother, Jackie -- who is my actual mother -- was a lesbian, and nobody in our unit had any issue with that.

The school district in Iowa City, Iowa, was adamant. We had to go. It would not host an organization that discriminated against gay people.

We managed to find an alternative sponsor, a church not too far away. My mother continued to be den mother. But some parents pulled their kids from the pack, uncomfortable with entrusting their sons to an organization they believed engaged in discrimination. Unfortunately, because of the Boy Scouts of America's shortsighted policy, many of the boys who left my pack missed out on learning the lifelong principles, values and skills that Scouting offers.

Those enlightened Iowa parents I remember so clearly were one of the reasons that, a decade later, I founded Scouts for Equality, the national campaign to end the Boy Scouts of America's ban on gay members. After meeting den mother Jennifer Tyrrell, a lesbian who had been kicked out of Scouting, it was clear that what I had learned in Scouting demanded action.

Opinion: Time for Scouts to ban discrimination

Our organization trained Scouts in grass-roots organizing, led petition drives that gathered 1.4 million signatures, and provided emotional support to advocates as they dealt with character assassination and homophobic vandalism.

Less than a month after we launched, the Boy Scouts of America doubled down on its anti-gay membership policy.

But last week, in an unexpected move, it announced that its national board is considering a policy change to end the organization's high-profile national ban on gay members and leaders. It would leave the decision to include gays up to local units.

Although the move would only shift the ability to discriminate from the national level to the local, it would be an important step in the right direction. There should be no doubt that this move will open the Scouting program to more youth, and that's something we should all be celebrating.

First of all, more school districts such as the one I grew up in will be able to resume their sponsorship of Scouting units, offering space for Scouts to meet, develop skills and enjoy one another's friendship. Meeting in local elementary schools always made the most sense for the Boy Scouts anyway: They're in the neighborhood, centrally located and have more than adequate resources to host Scouting programs.

Watch Zach Wahls address the Iowa House of Representatives on same-sex marriage

And second, even though some sponsor organizations might continue to bar gay Scouts and leaders and just as we lost Scouts when parents objected to the ban, we may lose some when the ban is lifted. But I believe the overwhelming majority of Scouting units and sponsors will eventually move in the right direction.

Opposition to same-sex marriage is very different from opposition to the development of the skills and minds young men need, regardless of their sexual orientation.

Finally, when local units are able to set their own membership standards, those organizations that withdrew funding -- most prominently, chapters of the United Way -- will be able to return that funding to Scouting units that embrace inclusion. Without a blanket policy of nondiscrimination, corporate or foundation giving to the Boy Scouts of America at the national level is a veritable landmine. The Boy Scouts of America should move as quickly as its members will allow in implementing a single national policy of nondiscrimination to streamline and assure these funding sources.

I have no doubt that some folks truly believe homosexuality is inconsistent with their understanding of morality and we should include their voices in the broader conversation. But those beliefs should not overrule the opinions of others. Nobody is saying that people who are against homosexuality should be excluded.

There's still much work to do. Should the Boy Scouts of America's national board adopt the proposed policy change as expected, Scouts for Equality will continue to urge local units across the nation to embrace inclusion. A house divided cannot stand. And speaking as a straight Eagle Scout, discrimination -- whether it's at the national or local level -- sends a harmful message to all young people.

It has no place in Scouting. I hope that with the end of this policy, some of those parents who had reservations about the Boy Scouts might re-enroll their sons in the program. Scouting, like the community that once hosted my former pack and may have the chance to do so again, should be a home to all.

The opinions expressed in this commentary are solely those of Zach Wahls.

@highlight

Zach Wahls says his mother, a lesbian, ran his Scout den without any one objecting

@highlight

After ban on gays instituted, Wahls became activist to allow gays in Scouting

@highlight

Wahls says ban is harmful since Scouts lost funding and support of many parents

@highlight

Wahls: Boy Scouts of America might lift national ban, but local units could still discriminate