Hong Kong (CNN) -- China on Friday denied accusations by Japan that a Chinese navy vessel had put a radar-lock on a Japanese warship near a group of disputed islands at the heart of a bitter feud between the two Asian nations.

The Chinese Ministry of National Defense said in a statement, its first official response to the claims, that Japanese officials had given out "false information" and "hyped up" the threat from China.

Opinion: Is Asia sleepwalking into war?

The Japanese allegations this week have put a fresh strain on relations between Tokyo and Beijing, which remain at loggerheads over who has sovereignty over the remote, rocky islands in the East China Sea.

The tensions have resulted in maritime standoffs and the scrambling of fighter jets in recent months. Japan currently administers the islands, but China has been regularly sending its own vessels on patrols in the surrounding waters.

Japanese Prime Minister Shinzo Abe on Wednesday described as "dangerous" and "regrettable" the actions of the Chinese frigate that Tokyo says used radar to gather information on the location of a Japanese destroyer in the East China Sea last week. That type of radar could be used to produce data needed to fire upon the Japanese vessel.

Read more: How a remote rock split China and Japan

But the Chinese defense ministry said Friday that its navy vessel's radar maintained "normal operations" and that it didn't use the fire-control radar.

It also denied accusations that its navy put a radar-lock on a Japanese helicopter earlier in January, saying that Tokyo's claims didn't match the facts.

"Japan unilaterally released false information to the public without confirming the facts with China," the ministry said.

Tokyo unimpressed

But the Japanese government stuck by its account and expressed dissatisfaction with the Chinese statement on Friday.

"Japan cannot accept the Chinese explanation and urged a sincere response from China on the matter," Foreign Minister Fumio Kishida said.

The Japanese foreign ministry summoned the Chinese ambassador to Tokyo over Beijing's denial of the radar incident.

The United States expressed concern earlier this week about the alleged radar-locking on the Japanese ship.

Interactive: Asia's disputed islands -- who claims what?

"Actions such as this escalate tensions and increase the risk of an incident or a miscalculation, and they could undermine peace, stability and economic growth in this vital region," Victoria Nuland, the spokeswoman for the State Department, said Tuesday.

The United States has tried to avoid getting dragged into the island dispute, saying it doesn't take sides on such competing claims of sovereignty. But U.S. officials have admitted that the islands fall under a mutual security treaty between Washington and Tokyo.

The Japanese call the disputed islands Senkaku, and China refers to them as Diaoyu. Near them are important shipping lanes, rich fishing grounds and possible mineral deposits.

Competing claims

Disagreement over who owns the small, uninhabited islands has soured diplomatic and economic relations between Japan and China since September, when Japan announced it had bought several of the islands from private Japanese owners.

China was outraged, as were protesters who marched through several Chinese cities calling for boycotts of Japanese products and asserting Beijing's sovereignty over the islands. Some of the protests turned violent, and damage to Japanese offices and businesses was reported.

In December, the dispute escalated when Japan scrambled fighter jets after a Chinese plane was seen near the islands. Chinese ships have repeatedly entered contested waters despite warnings from the Japanese Coast Guard.

China says its claim extends back hundreds of years. Japan says it saw no trace of Chinese control of the islands in an 1885 survey, so formally recognized them as Japanese sovereign territory in 1895. Japan then sold the islands in 1932 to descendants of the original settlers. The Japanese surrender at the end of World War II in 1945 only served to cloud the issue further.

The islands were administered by the U.S. occupation force after the war. But in 1972, Washington returned them to Japan as part of its withdrawal from Okinawa.

Tensions with Russia

Japan was given an abrupt reminder of a separate territorial dispute on Wednesday when its defense ministry said two Russian fighter jets entered Japanese airspace near the tip of the northern Japanese island of Hokkaido.

The Russian jets left Japanese airspace without incident after a little more than a minute, the ministry said.

The incident occurred near a set of islands disputed by Tokyo and Moscow since the end of World War II.

Russian officials denied their jets entered Japanese airspace, the Russian news agency Interfax reported.

CNN's Jethro Mullen reported and wrote from Hong Kong, and Yoko Wakatsuki reported from Tokyo. CNN's Dayu Zhang in Beijing contributed to this report.

@highlight

The Chinese defense ministry says Japanese accusations don't match the facts

@highlight

It denies a Chinese frigate put a radar-lock on a Japanese destroyer

@highlight

Japan expresses dissatisfaction over the Chinese statement

@highlight

The alleged incident occurred near a group of disputed islands