Washington (CNN) -- In the days before the Senate voted to end a filibuster and take up gun control this week, President Barack Obama crisscrossed the nation, flying from Colorado to Connecticut in an effort to energize public opinion and pressure reluctant lawmakers.

Vice President Joe Biden also made an emotional plea at the White House. And even the first lady brought an audience to tears at a high school in Chicago where gun violence has been felt most painfully.

But, as a bipartisan group of senators reached agreement on what some have called a watered-down proposal for expanded background checks for gun purchases, the question remains whether all that lobbying really made a difference.

"It has helped, but it's sort of a two-part story," said Robert Spitzer, author of "Politics of Gun Control" and chairman of the State University of New York-Cortland's political science department.

"Part one is the president using the bully pulpit to make news events and congratulate those states where they've enacted tougher laws. There's a certain downside that anything that Obama is for is anything his opponents are against," Spitzer said.

As the president spent considerable political capital over the past few days to champion gun reform, opponents have raised the stakes by vocally speaking out against such policies and making it clear there will be a reckoning come Election Day for any lawmaker who supports them.

Take the president's fiery comments on Monday in Hartford. It was a message crafted as much for lawmakers as it was for the families of students and educators killed in December's school massacre in Newtown, which is not far from where Obama spoke.

The families sat behind him on stage and traveled to Washington with him on Air Force One to lobby Congress on gun control.

"This is not about politics," the president said to applause. "This is not about politics."

"This is about these families and families all across the country who are saying let's make it a little harder for our kids to get gunned down."

But it is, at least in part, about politics.

Why we're still debating guns

Sen. Joe Manchin, the conservative West Virginia Democrat and avid gun supporter who helped lead a bipartisan compromise agreement with fellow senator Pat Toomey, R-Pennsylvania, over background checks, was visibly moved after meeting with Sandy Hook families.

"I can do something," an emotional Manchin told parents who lost children in the attack.

But when the pair announced their compromise to expand federal background checks to gun shows and Internet sales, the executive director of the Gun Owners of America, Larry Pratt, tweeted the sentiment of many in his organization.

"May Sen. Toomey experience in 2016 the same as he did to Sen. Specter in 2010."

In 2010, Toomey was the more conservative challenger to the late Sen. Arlen Specter in Pennsylvania's Republican senatorial primary. Specter, who beat Toomey in a similar, contentious GOP primary in 2004, later switched parties and lost in the Democratic primary to Rep. Joe Sestack, who then lost to Toomey in the general election.

"It means that he ought to be held politically accountable and the way to do it is in the primaries," Pratt told CNN's Wolf Blitzer in a heated exchange, indicating his organization would support a primary challenge to Toomey when he is up for reelection in 2016.

The timing of Obama's speech in Hartford preceded the Senate's vote clearing the way for consideration of a Democrat-backed gun control package. The House of Representatives has not yet decided when or if it will take up a similar bill.

And the timing of first lady Michelle Obama's emotional homecoming to Chicago, speaking Wednesday at a luncheon fundraiser for a new initiative seeking to curb youth violence, was not by accident, either.

She recalled the shooting death of Hadiya Pendleton, a 15-year-old who was killed a week after performing in Washington during the Inauguration in January. Saying Pendleton "was me, and I was her," Mrs. Obama reflected on the opportunities that led her to the White House instead of a similar fate.

Obama was in Colorado last week, just miles from the scene of last July's movie theater shooting that left 12 people dead, to push for expanded background checks.

"I've come here to Denver today because Colorado, in particular, is proving a model for what's possible," Obama told the audience.

Colorado Gov. John Hickenlooper recently signed measures into law that will require universal background checks for gun sales, restrict the size of ammunition magazines and make buyers pay for their own background checks.

Before the Colorado gun-control vote, Biden, who heads the Obama administration's efforts on the issue, called several state lawmakers to underscore the broader national importance of the heated gun control policy debate.

But those efforts may have backfired, galvanizing pro-gun advocates instead. Colorado gun groups have vowed to help defeat lawmakers in tough districts who supported passing the gun control package.

"I don't want to go their cocktail parties. I don't want to make friends. I just don't want them to stop Americans of their rights including me and my kids," said Dudley Brown, executive director of Rocky Mountain Gun Owners.

His group, as well as pro-gun rights groups and publications, such as Concealed Carry magazine, have stepped up gun giveaways in states like Colorado, New York and Arizona, where tough gun control laws have passed or are pending.

The National Rifle Association, the nation's largest and most powerful gun lobby group, said Wednesday that expanding background checks at gun shows "will not prevent the next shooting, will not solve violent crime and will not keep our kids safe in schools."

The group's leaders have also been deeply critical of Obama's efforts.

"President Obama should be as committed to dealing with the gang problem that is tormenting honest people in his hometown as he is to blaming law-abiding gun owners for the acts of psychopathic murderers," the NRA said in a statement.

Obama has often said that the fight for new gun control is personal.

He wiped away tears when reflecting on the Newtown shooting spree. And the president was animated in talking about what he sees as national support for stricter gun control policies.

However, gun control advocates have worried and polls have shown that in the months following the Newtown shooting, support for stricter gun laws has waned.

In that, Obama's fierce push to keep the issue up front has been extremely valuable to those seeking stricter gun laws, Spitzer said.

"It's an imperative that the president be out front on this issue," Spitzer said. "Obama's ability to keep this in the minds of the public paves the way a little more for legislative reforms."

CNN's Ashley Killough, Kevin Liptak, Matt Smith, Jake Tapper, Sherisse Pham and Jessica Yellin contributed to this report.

@highlight

President Obama flew from Colorado to Connecticut pushing gun control agenda

@highlight

Question centers on whether lobbying has made any difference as Senate takes up bill

@highlight

Opponents up pressure on lawmakers to vote against any gun control legislation

@highlight

Obama has often said gun control fight is personal