Jerusalem (CNN) -- Prime Minister Benjamin Netanyahu's party got the most votes in Israel's national election Tuesday, but a respectable showing by centrists could slow or halt a rightward swing in the government.

Netanyahu's Likud Beitenu won between 31 and 33 Knesset seats in the Israel election, TV exit polls reported, winning the most, as expected. Jewish Home, an extreme right party with a charismatic leader named Naftali Bennett, got between 11 and 12 seats.

But the Yesh Atid party, a new centrist movement devoted to helping the middle class and halting military draft exemptions for ultra-Orthodox civilians, came in a surprising second place with at least 18 seats, according to the exit polls.

Netanyahu told weary but elated supporters early Wednesday he plans to form a government "as broad as possible" and pursue his goals with "many partners."

"I believe the results of the election represent an opportunity to make changes that the people of Israel want to see and that will serve all citizens of the state of Israel," he said. "I plan to lead those changes and to that end we must establish a government that is as broad as possible, and I've already started out on that task."

He cited a number of principles a new government will embrace: security, preventing Iran from obtaining nuclear weapons, economic responsibility in the face of the global financial crisis, increasing equality in sharing burdens and lowering the cost of living, including the cost of apartments.

Israel defies international criticism of settlement plans

"It is a great privilege but it is also a great responsibility," Netanyahu said. "I believe the results of the elections represent an opportunity to make changes that the people of Israel want to see and (that) will serve all of the citizens of the state of Israel."

But the centrists and leftists attracted waves of voters displeased with, among other things, Israel's high cost of living, and more supportive of talks with Palestinians. At first glance, the initial result reflects a politically polarized electorate, with possibly an edge to the rightists.

Yossi Beilin, a politician who is staunchly in the peace camp and one of the chief architects of the Israeli-Palestinian peace initiative called the Oslo Accords, said he thinks that it will be impossible for Netanyahu to form his own government and he hopes none of the center-left parties join his government.

"The center-left in Israel is alive and kicking. It's almost the majority, or half and half," he told CNN. "All the talks about the demise of the left are over for the time being."

Yesh Atid's leader is a dynamic figure -- Yair Lapid, a longtime prominent journalist whose late father, Tommy Lapid, led Shinui, a onetime secularist party that took on the influence and power of the ultra-Orthodox.

Yesh Atid also calls for reforming the governmental system, improving education, jump-starting the economy through small-business assistance and providing housing assistance for military veterans and young couples.

The Labor Party, whose leader Shelly Yacimovich campaigned solely on economic concerns, apparently won 17 seats, according to exit polling. Before the election, she was expected to finish in second place, so that is a surprise. She and other centrists were working to tap into the disaffected Israelis who took to the Tel Aviv streets in 2011 to protest frustrating economic conditions.

Hatnua, the party of former Foreign Minister Tzipi Livni, who is focused on talks with Palestinians, gained seven seats. Another poll says Meretz, a longtime left-wing party, gained at least five seats.

"Politics is often about expectations," said David Makovsky, an Israeli analyst at the the Washington Institute for Near East Policy.

"Once the public thought that Netanyahu was a shoo-in, it assumed his victory and looked for a fresh face that would be focused on issues that he has not prioritized. This explains the meteoric rise of a new party (Yesh Atid) which said it would focus on the middle class and find a way so the ultra-Orthodox participate in burden-sharing by joining either the compulsory army or civilian form of mandatory service."

One party in Israel never gets a parliamentary majority of more than 60 seats, so parties must rely on coalition-building. The question is whether Netanyahu will stay on the right or move to the center.

Will Netanyahu form a right-wing coalition with Jewish Home and religious blocs such as Shas -- which earned between 11 and 13 seats, exit polls show? Or will he move to the center and try to form a coalition with Yesh Atid, for example, and others? Or is it possible that a center-left coalition could be cobbled together, without the right wing?

Netanyahu and his party sensed Yesh Atid's momentum. He called on his backers to come out and vote.

"The Likud government is in danger, go vote for us for the sake of the country's future," he was quoted as saying.

Opinion: Don't expect an Obama-Netanyahu blowup

After the exit polls rolled in, Netanyahu thanked Israelis on Facebook for his showing and indicated that he wants to "a very wide government" as the hard work of coalition building begins on Wednesday.

"The (election) results observed are a great opportunity for many changes for the benefit of all citizens of Israel. The complications ahead of us are many and wide, as from tonight I will start my efforts to form a very wide government as possible."

Michael Singh, managing director at the Washington institute, said the result reflects polarized politics in Israel. The immediate consequences of the result is that coalition building will be quite difficult and time-consuming, he said.

The worst-case scenario would be government paralysis and maybe another election sooner rather than later. While he said it's possible that a centrist coalition led by Yesh Atid, which means "there is a future," and Labor could emerge, Singh thinks Netanyahu and Lapid will form a government.

Likud celebrated after the results came in. Danny Danon, a Likud party member expected to serve in the next Knesset, was asked why the Israeli-Palestinian peace process hasn't been front and center in the campaign.

Both talks and the issue of Iran were not as prominent among factors as expected by many observers. Domestic issues, in contrast, played a large role in the campaign.

Israel has no partner among Palestinians, Danon said, and noted that peace initiatives have been tried but haven't borne fruit. He cited the situation in Gaza, where militants fire missiles into Israel despite the country's departure from that Palestinian territory. Israel launched an offensive against Palestinian militants in Gaza last year after enduring missile fire on its territory.

The next government, he said, will reach out to Palestinians "but will also continue to make sure Israelis are strong and safe."

Israel doesn't "want to see an al Qaeda state in our backyard," Danon said.

Makovsky said the election is good news for the Obama administration, which has had prickly relations with the right-wing Netanyahu government. It comes after a high turnout -- the percentage of eligible voters who cast a vote was 66.6%, just 1% more than the 2009 election.

"It's unclear if Netanyahu wanted a pure right-wing option in the first place," he said.

"But Washington can breathe a sigh of relief that Netanyahu will need to reach accommodation with some parties at the center of the map who essentially would like to see progress on the Palestinian issue as well as on economic issues."

CNN's Joe Sterling reported from Atlanta. CNN's Sara Sidner, Kareem Khadder and Nicola Goulding reported from Israel.

@highlight

Netanyahu's party wins but the centrists do well, exit polls show

@highlight

Will the new government be more centrist or move right?

@highlight

Yesh Atid comes in second, Labor third, exit polling says

@highlight

Far right Jewish Home gets 12 seats