(CNN) -- The double veto cast by Russia and China at the United Nations Security Council on Saturday represents a clarifying moment in the Syrian uprisings.

At the 2012 Munich Security Conference, U.S. Secretary of State Hillary Clinton noted, "We don't know what the endgame will be until we start the game." Well, fasten your seatbelt -- the game over Syria has started.

The Syrian conflict is no longer just about a brutal dictator repressing peaceful protesters who are demanding what every Arab desires: dignity, freedom, and an opportunity at a decent life. The Syrian revolution is now the fault line in Middle Eastern politics, through which U.S.-Russian competition, the U.S.-Iran conflict, the Iran-Saudi regional rivalry, and the Shiite-Sunni ages-old conflict will play out.

The double veto has dealt a heavy blow to the political endgame outlined by the Arab League proposal: an orderly transfer of power from the president to his deputy, formation of a unity transition cabinet to oversee the writing of a new constitution, and the holding of parliamentary and presidential elections.

To start with, this endgame had a minimal chance of success. Giving up power peacefully is not an Assad family tradition. Both father, the late Hafez Assad, and son, Bashar al-Assad, have shown their willingness to use any violent means at their disposal to quell internal dissent. This was the case in Hama in 1982 when Hafez Assad sent his military, including warplanes, to crush an Islamist uprising, killing an estimated 10,000 people and razing one-third of the city buildings. In Homs, Hama, Idlib, Daraa, and numerous other Syrian cities, the son is now living up to his father's murderous legacy.

What the protesters and activists on the ground will take from the double veto is one lesson: Down with politics -- this is a military fight, and it is ours to win.

While the international community will be there in words, it lacks the will to intervene militarily in Syria. As Clinton said, "Military intervention has been absolutely ruled out and we have made that clear from the very beginning."

The double veto at the United Nations marks the beginning of the proxy regional game: armed opposition under the leadership of the Free Syrian Army -- funded by Arab Gulf states including Saudi Arabia and Qatar, trained by Turkey -- waging a protracted fight against the pro-regime military and paramilitary groups funded and trained by Iran and Russia.

Despite recent limited success in defending restive cities and taking control of territory in places like Zabadani and Homs, the Free Syrian Army remains more a collection of disparate groups of defectors than it is an organized army. Its headquarters are in a refugee camp inside Turkey close to the Syrian border. The number of fighters is estimated to be in the range of 10,000 to 30,000.

To wage an effective military campaign against an army that numbers in the hundreds of thousands, they need weapons, training and operational support. Only when the regime's military superiority is threatened will we start to see defections in its senior ranks.

Iran, the Syrian regime's main sponsor and ally, will not stand idle. There are reports by Syrian opposition groups of Iranian assistance to the Syrian regime, especially in the area of building electronic and telecommunications capacity. Iran, Russia and China are the main suppliers of weapons to the al-Assad regime.

While Iran's support in weapons and training will continue, and in fact increase, in the coming weeks, it would be hard to say whether Iran and/or its proxy Hezbollah will send troops to assist in the Syrian regime's military campaign.

It is fair to say that Iran and Hezbollah will come to al-Assad's rescue in case of a Libya-like scenario. Iran's supreme leader warned of a regional war in case of a military intervention in Syria.

Absent that, Iran and Hezbollah will assess whether military action to prop up a regime whose political fortunes are rapidly declining will make a difference in preventing al-Assad's ouster, an outcome U.S. President Barack Obama describes as "inevitable."

Despite all the rhetoric about a U.S.-Zionist conspiracy targeting the Syrian regime, the Iranian regime itself has been reaching out to Syrian opposition groups. Tehran's interest now lies in delaying the inevitable as long as possible while laying the groundwork for a working relationship with a post-al-Assad regime.

Given the makeup of the opposition groups and Iran's pro-al-Assad stance, it is unlikely that Iran will be able to preserve the close alliance it has built and nurtured with the Syrian regime since the days of Hafez Assad. The best Iran could achieve is that whoever replaces al-Assad will not be hostile to Iran or to Hezbollah, Iran's main regional proxy.

While it is hard to predict the final endgame in Syria, it is safe to argue that the failure at the United Nations Security Council to approve the Arab League proposal for an orderly transfer of power in Syria sets the stage for a protracted bloody stalemate between a brutal regime and a militarized opposition.

Follow CNNOpinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Randa Slim.

@highlight

Randa Slim: The vetoes of a U.N. resolution by Russia, China bring clarity to Syria situation

@highlight

She says the Syrian opposition will conclude that it must achieve its goals militarily

@highlight

The outlook is for a protracted battle with outside nations exerting influence

@highlight

Slim: Iran will support the Syrian regime but explore possibilities for post-al-Assad era