(CNN) -- Among science fiction and fantasy, there are a genres and sub-genres: hard science, swords and sorcery, cyberpunk, steampunk, apocalyptic stories, time travel and space opera, just to name a few.

Each has its hardcore fans, and rarely do these stories stray from their roots by mixing elements.

Someone forgot to mention this to author Adam Christopher. His new novel, "The Age Atomic," defies classification as it incorporates elements across the sci-fi and fantasy spectrum. Christopher has let his imagination run wild, with some fantastic results.

"The Age Atomic," out Tuesday, is a sequel to Christopher's equally impressive "Empire State." Both books take place in New York City as well as its parallel but not quite mirror image, the Empire State, a version of Manhattan that exists in an alternate universe. The two versions of the city are linked together by a fissure, a fiery blue portal that allows characters to travel back and forth between universes. Imagine being able to step into another world and meet a similar but slightly different version of yourself. If you ever watched the show "Fringe," you get the idea.

Christopher's "Empire State" took place in a reimagined 1930s Prohibition-era United States. "The Age Atomic" picks up in the 1950s. Dwight Eisenhower is president, the communist "red scare" has swept the nation, and a secretive government group called Atoms for Peace is preparing for war against an unknown enemy.

Now there's trouble in the "other" New York. The fissure connecting the two worlds has flickered out, and the Empire State is slowly dying. Private eye Rad Bradley is pulled into a secret plot to reboot the fissure, reconnecting the two universes and hopefully saving his version of New York. All this while preventing a transdimensional invasion of killer robots. Did I forget to mention the killer robots?

There are also costumed superheroes and villains, secret agents clad in black suits and a pair of mad scientists.

There's no shortage of plot or action in "The Age Atomic," which echoes the pulp sci-fi genres that reached their height in 1930s comic books and noir detective fiction. Christopher grew up in New Zealand watching "Doctor Who" and listening to the Beatles. He now lives in England, where he's hard at work on several upcoming projects. He recently talked to CNN about his new novel. The following is an edited transcript.

CNN: What was the spark behind "The Age Atomic"?

Christopher: Even as I was writing "Empire State," I knew there were more adventures for the main character, private detective Rad Bradley, to have. I also knew that the world was far larger than what I'd presented in book one. I'm a big New York history buff and had collected a whole lot of interesting stuff to use in a new story. As with Judge Crater in "Empire State," I found a lot of real-life characters and places to use: Atoms for Peace, Evelyn McHale, The Cloud Club, 125th Street, to name just a few. The nature of the universe also meant I could shuffle forward in time a few years, to the 1950s, which would let me write a different kind of story. If "Empire State" is from the Golden Age of comic books, then "The Age Atomic" is the Silver Age, with all the craziness that entails. Throw in some atomic robots, the Red Menace and an electric ghost, and I had my idea!

CNN: This novel and its prequel, "Empire State," are both a mix of pulp fiction, detective novel, superhero story, science fiction and fantasy. Was it difficult to blend these genres?

Christopher: Both books were a lot of fun to write, but I never thought about genre or worried about getting everything to fit. I had the story, I had the characters, and it all just came together. It also just happened to have everything I love about science fiction and fantasy jammed together, but I think that's part of the appeal of "Empire State." "The Age Atomic "is a little more controlled. Having introduced so many disparate elements in the first book, I could focus on telling a more linear sci-fi story in the second. It's basically all just science fiction ... or should that be science fantasy?

CNN: You've said you were a fan of "Doctor Who" growing up. Does the TV series remain an inspiration and what about other influences?

Christopher: "Doctor Who" is where my love of science fiction and fantasy started. I was introduced to it when I was 8, and I'm still an avid viewer. It still influences me in a way, as the original series (my true love) emphasized the importance of story and character over flashy special effects, which they had to, given the limitations of TV production in the 1960s and 1970s. But I think it taught me some good lessons about storytelling.

I read a lot of science fiction, but I also mixed it up with a lot of other genres: crime, literary fiction, as well as nonfiction. Author-wise, I'm a fan of Stephen King, Lauren Beukes, Robert McCammon, Raymond Chandler, Greg Rucka, Ed Brubaker and Gail Simone, among many others. Comics are a hugely important part of my life, particularly crime and mystery comics (including Criminal, Stumptown, High Crimes) and superhero comics (both the Marvel and DC varieties). I have to say I prefer television to film. We're in a bit of a golden age of genre television, I think, with the likes of "Person of Interest," "The Walking Dead," "Game of Thrones" and many others. Not to mention an age of great TV writing, period! Just look at "Justified," "Longmire," "Boardwalk Empire," "House of Cards." The old writer's advice to throw your TV out the window is looking more and more outdated.

CNN: You're originally from New Zealand, now living in the UK and writing about the U.S. Have you tapped into a universal language among sci-fi fans?

Christopher: There are similarities and differences, certainly. New Zealand seems to be somewhere in the middle, culturally, between the UK and the U.S., which is possibly a useful foundation for me. I think you can tell the difference between British and American science fiction and fantasy, although it's sometimes not something you can definitively put your finger on. It seems more obvious in other genres like crime. British crime novels are very different to American crime novels, which is a natural divergence, obviously, as crime and mystery are usually set in the here and now, and the UK and U.S. are different places, shared language and experience aside.

My own writing has perhaps more of an American flavor than a British one, but that's because the stories I've so far written have needed it. "Empire State," "Seven Wonders" and "The Age Atomic" are all very place-centric, where the setting itself is almost a character. But there is a universality to story that isn't just limited to science fiction.

CNN: What's next? Will there be a sequel to "The Age Atomic"?

Christopher: After my next novel for Angry Robot, "Hang Wire" -- an urban fantasy about ancient gods and serial killers in San Francisco -- comes my first novel from Tor Books, a dark space opera called "The Burning Dark," which is about a forgotten war hero, a dead cosmonaut who never existed and a demon from Japanese mythology. That hits in March 2014. I certainly have more to write in the world of "Empire State" and "The Age Atomic," but it's a case of "watch this space"!

Read an excerpt from "The Age Atomic"

@highlight

Adam Christopher's new novel, "The Age Atomic," spans the sci-fi and fantasy spectrum

@highlight

The book picks up with Christopher's previous novel, "Empire State," left off

@highlight

Private eye Rad Bradley is pulled into a secret plot to reconnect alternate universes