(CNN) -- As you may have read, Hachette Book Group (my publisher) is experiencing challenges with Amazon, as a result of negotiation over new selling terms for ebooks.

The tactics used by Amazon to limit the sale of Hachette books to customers during this dispute are stirring up strong sentiments among authors and readers. The battle is taking place in a public forum, and is being noticed and discussed broadly.

Amazon, the company founded by its CEO Jeff Bezos, is a brilliant innovator that has transformed bookselling and reading. It's one of the most important retail destinations where books are purchased. Bookstores -- both online and brick & mortar -- play a vital role in connecting readers with great books, and it is my hope that Hachette and Amazon will be able to resolve their differences soon, for the good of book lovers, and the authors they love to read.

Now for confession time: I spend way too much time daydreaming about being Jeff Bezos. It's not that he's thinner than me. Or younger. It's not the superhuman confidence of his laugh. It's not the legacy of stunning innovations or his off-the-charts business intuition. It's not even his mind-boggling revenue stream. (I'm frankly boggled at my own revenue stream -- though it is just a stream next to his mighty rain forest river.)

It's that I keep thinking about what a hero I could be, were I he.

I think about how I, Jeff Bezos, have proven the theory that many, if not most people, would prefer not to get off their butts, get themselves to a store, make a purchase decision, carry it to the register, and carry the item back home when the purchase -- in this Internet-enabled age -- could more easily be delivered to them.

But, at the same time, I think about how I, Jeff Bezos, am not so carried away with this success that I am going to lose sight of scale or sanity. Sure, I have ushered in the age of Internet commerce, but, no, I am not now hanging around just to collect my financial reward, or even to bask in the public recognition.

You see, I, Jeff Bezos, am actually trying to make this a better world.

Detroit, Tokyo, and Stuttgart might not like to hear me say it, but a million people driving a million cars back and forth to thousands of stores for their purchases is not just inefficient, it's wasteful (of energy, of resources, of time). A million people staying put, going about their lives, and mere hundreds of trucks delivering the people's algorithm-assisted purchases from a single marketplace -- that is sensible and right.

But here is where I show that I'm not just an agent of change for change's sake, or an agent of efficiency for efficiency's sake. Here is where I show that Amazon is not a 20th-century-style behemoth ravening toward monopoly.

Here is where I, Jeff Bezos, remind the world that my bazillion-dollar company came out of an online bookstore.

Here is where I will make clear that Amazon has already been responsible -- directly responsible -- for getting millions of books into the hands and minds of millions and millions of people, and that this is nothing short of holy work.

But, though perhaps I'm already a veritable saint of literature for how many book-reader connections I've made (arguably more than any single traditional bookseller, um, ever), I am not pointing to these laurels for resting purposes.

I am mentioning them because for those of you who have really been paying attention, it shows what Amazon and I are really all about: I, Jeff Bezos, above all things, firmly believe that books -- great books, and the producers of those books -- are of paramount importance to humanity's salvation.

You've heard about how I adored "The Remains of the Day" and about how I pushed my executives to read at least a half dozen titles, some of them novels?

You think -- perhaps for the sake of everyday low-low prices -- I want to imperil the long-term, sensitive ecosystem that allowed these books to come into being?

You think I want to be known as the man responsible for the biggest quality drought in the history of novel writing?

You think I don't know that real-world booksellers and all the sales reps, agents, editors, assistants, and copy proofers whose livelihoods depend on the dusty old world of "legacy" publishing are not vestiges of a broken system, but part of a collaborative culture that has (over decades of author discovery and judicious advance payments) produced everything from "Along Came a Spider" to Amazon's book of the year, "The Goldfinch?"

You think I don't know that books -- great books, especially -- are possibly the longest, hardest, most-blind-faith-requiring creative endeavor known to humankind -- and not just like any other "product category" in my Everything Store?

You think I truly perceive publishers to be sickly gazelles and myself a herd-culling cheetah? Last time I looked, I was neither a very fast runner nor covered in spotted fur.

Obviously these publishers -- however inefficient and old-fashioned (did you know many of them quaintly still let their employees do half-day Fridays in the summer?) -- remain the best way to find, nurture, and invest in up-and-coming authors.

Yes, they have many silly and inefficient practices and still embrace technologies and administrative systems that make me wince, but I've been leaning on them and they have been getting better.

So here's the headline, and not just for Washington Post readers: Today I am going to stop leaning on book publishers. I am going to stop brandishing Amazon's market share as a corrective cudgel. They needed a little remonstrative pressure, but now it's gone too far and they are doing what all embattled higher organisms do: They are joining forces against a common (though, as they will soon see, inaccurately perceived) enemy. Random House buys Penguin. Hachette absorbs Perseus.

Trust me, if I'd wanted to disintermediate their old-fashioned carcasses, I, Jeff Bezos, would have done so already.

But I'm not here to exterminate them, I'm here to improve them.

And I have. I've taught them that ebooks, online marketing, and digital audiobooks are real things. And I have put enough pressure on them to clean their houses, to examine their internal hierarchies, and to jettison some particularly wasteful practices.

But I, Jeff Bezos, also clearly see that we are going to have fewer great books and writers discovered in the coming years if there are fewer curators with the financial wherewithal to nurture them. And, no way around it, fewer publishing houses equals fewer curators. It's not a money thing, it's a diversity-of-perspective thing. One company -- no matter how high-minded and cleverly structured it is -- will offer fewer perspectives than many companies will.

I, Jeff Bezos, was a physics student at one point and I assure you I understand principles this basic.

So, starting today, I am going to deal with publishers fairly and openly. No more punishing them with delayed shipments of books we could have ordered. No more taking down of buy and pre-order buttons, knowing that Amazon can withstand the revenue dip far better than they can.

Oh, and one other thing: I'm going to give new names to the Kindle and the Fire -- names that don't quite so obviously bring Fahrenheit 451 themes to the fore.

And I'm going to do all this because I'm Jeff Bezos and not only am I pretty legendarily smart, but I'm pretty wise, too.

Aren't I?

@highlight

James Patterson: Amazon's tactics in pricing negotiations with Hatchette stirs controversy

@highlight

He says he dreams about being Amazon's Jeff Bezos; he'd use his power for good, be a hero

@highlight

As Bezos, he wouldn't want to drain profits from book industry by dropping ebook prices

@highlight

Patterson: He'd help a diversity of publishers earn and survive to nurture new great books