(CNN) -- Florida election officials will have access to a federal law enforcement database to challenge the eligibility of a person to vote as part of its effort to purge non-citizens from its voting rolls, state officials said.

The U.S. Department of Homeland Security will allow state officials access to the SAVE -- Systematic Alien Verification for Entitlements -- database in an agreement that was announced Saturday by Florida Secretary of State Ken Detzner and the Florida Department of State.

The announcement follows weeks of legal wrangling between the federal and state officials, a fight being closely watched in Colorado, Nevada, Michigan and North Carolina -- states that could ultimately swing November's presidential election -- where officials are advocating for similar access.

"Florida voters are counting on their state and federal governments to cooperate in a way that ensures elections are fair, beginning with ensuring the voter rolls are current and accurate," Detzner said in a statement.

"Now, we have a commitment to cooperate from DHS and we look forward to a partnership that improves our election process."

Details of the agreement were not immediately available, and it was not clear when Florida would begin checking its voter rolls against the database, which lists those who are legally in the United States on either visas or "green cards" but not eligible to vote. The Department of Homeland Security did not respond late Saturday to a CNN request for comment.

The SAVE database, which contains alien registration numbers, is a web-based service that was created to help "federal, state and local benefit-issuing agencies, institutions, and licensing bureaus determine the immigration status of benefit applicants so only those entitled to benefits receive them," according to U.S. Citizenship and Immigration Services.

Florida officials sued last month to gain access to the database after an effort this year to purge the state voting rolls -- using driver licenses and birth dates -- went awry because of faulty state records.

A Florida Department of State spokesman, Chris Cate, told CNN in June that the state identified roughly 100 people who are not citizens but registered to vote. CNN found, though, that some of the names on the potential purge list were, in fact, legitimate voters -- newly minted Americans recently granted citizenship.

DHS and Florida struck a deal over the database just weeks after a federal judge rejected a U.S. Department of Justice lawsuit aimed at preventing Florida from moving forward with a voter registration purge.

Proponents of the plan say purging the rolls protects the integrity of the voting process, while critics say it targets the poor and minority voters who may be disenfranchised by the process. The poor, voting and civil rights groups say, can not afford to pay for documentation that may be required, while minorities would likely be among the groups whose voter registration records are examined.

A number of states are moving to institute and tighten voter identification laws, and many are finding themselves in direct conflict with the federal government. A key provision of the landmark Voting Rights Act of 1965 grants the federal government open-ended oversight of states and localities -- many in the South -- with a history of voter discrimination. Any changes in voting laws and procedures in those pre-determined areas must be "pre-cleared" by Washington.

Today, 32 states have in place varying degrees of voter identification laws, according to the National Conference of State Legislatures.

Some of the states with the most stringent requirements are also regions that have seen large increases in their minority population. Florida has the nation's third largest Hispanic population, behind Texas and California.

CNN's Darrell Calhoun contributed to this report.

@highlight

NEW: The SAVE database contains alien registration numbers

@highlight

Florida election officials sued to gain access to a federal law enforcement database

@highlight

Florida wants to purge non-citizens from its voter rolls

@highlight

Florida officials want to use the database to challenge voter eligibility