(CNN) -- If you take the long view - and by "long view" we're talking 10 days -- there have been three distinct paths the United States could have taken on Syria.

First, way back on August 31, President Barack Obama seemed imminently close to a strike on President Bashar al-Assad's regime. After Labor Day, came a detour toward seeking congressional approval. That effort was overwhelmingly met by the public with a "No thanks. We'll pass." Then this week, thanks to a remark by Secretary of State John Kerry that may or may not have been off the cuff, Obama made a sharp turn -- toward diplomacy.

For now, he's sticking with option 3.

Obama seeks support for attacking Syria while pursuing diplomacy

During a prime-time speech to the American people Tuesday, Obama pressed the pause button on his hard sell for a military strike, and said he's waiting to see what kind of viable, verifiable plan Russia comes up with for al-Assad to give up his cache of chemical weapons. But Obama says he'll keep U.S. forces ready in case al-Assad's bluffing. Call it carrot-and-stick diplomacy.

Here's what's on Obama's to-do list for the coming days.

Make plans

Send Secretary of State John Kerry to Geneva on Thursday to meet with his Russian counterpart. The hope is that Kerry and Sergey Lavrov can draw up a timeline for Syria to hand over all its chemical weapons.

The bad news: This is a crucial meeting, because the United States and Russia haven't always seen eye to eye. Many of the next steps, a White House official says, depend on what's agreed upon there.

The good news: Despite a sometimes icy relationship with Russia, Kerry and Lavrov have been able to work well in the past.

The talks should last two days. If a deal is reached, it's on to the United Nations next.

5 key themes from the Obama speech

Keep courting

Keep wooing a lukewarm Congress. Even though Obama asked Congress to postpone a vote on military action, the White House will push the idea, in case diplomacy fails.

The bad news: Despite bending the ears of 93 senators and more than 350 members of the House since Friday, lawmakers weren't flocking to Team Obama. A CNN tally showed there was growing dissent in both chambers.

The good news: Some are slowly coming around. A bipartisan group of eight senators is working on an alternative resolution that, according to Republican Sen. John McCain, will include "guidelines, reporting process and benchmarks that have to be met" before letting the United States unleash its military might.

Read the speech

Set a deadline

How long should al-Assad get to comply? In his speech Tuesday night, Obama didn't specify.

The bad news: No one's quite certain. After meeting with Obama on Tuesday, Sen. Dick Durbin said the president "asked for some time to work things out -- a matter of days into next week." Sen. Carl Levin said, "I don't know if he put a specified period on it. He thought it could be fairly short." And Kerry said, "The president will decide what he thinks is the timeframe that he is prepared to live with."

The good news: Democratic Rep. Chris Van Hollen of Maryland said he was working on a version of a resolution that would authorize a military response if diplomacy doesn't produce an acceptable result in 30 days.

Delegate to the U.N.

Obama says this last-ditch diplomacy pitch will give U.N. inspectors time to issue their report on the August 21 incident. The United States and its allies claim that the al-Assad regime used poison gas on rebel strongholds that day, killing more than 1,400 people.

The bad news: On September 1, the United Nations said the report would be complete in two or three weeks. Later, it said it didn't know how long it'll take.

The good news: France is pushing for a U.N. Security Council resolution that would give Syria 15 days to declare all its chemical weapons, according to Reuters.

Be wary

Russia has agreed to play middleman to defuse this crisis. Syria says it's on board with Russia's offer, and will turn over its chemical weapons stockpiles to international control. Obama calls this an encouraging sign. But, he warned, "It's too early to tell whether this offer will succeed, and any agreement must verify that the Assad regime keeps its commitments."

The bad news: It's unclear whether Russia is serious or stalling. On Tuesday, Russia canceled a U.N. Security Council meeting that it had called, and rejected an initial proposal by France for the framework of a resolution.

The good news: TBD.

Maintain pressure

The U.S. military will maintain its "current posture to keep the pressure on Assad and to be in a position to respond if diplomacy fails," Obama said Tuesday night. This means the aircraft carrier USS Nimitz that's in the Red Sea with destroyer ships nearby will stay put.

The bad news: Russian President Vladimir Putin says that has to change. "You can't really ask Syria, or any other country, to disarm unilaterally while military action against it is being contemplated," Putin said in an interview with a Russian television network.

The good news (according to the United States): Kerry said the looming threat of a strike will prod Syria to play nice. "Nothing focuses the mind like the prospect of a hanging," he told lawmakers Tuesday.

The bad news (again): A CNN/ORC International poll released Monday found 59% of respondents opposing congressional authorization of military action, while 72% said American strikes would achieve no significant goals.

CNN's Tom Cohen, Tim Lister, Deidre Walsh, Dana Bash, Z. Byron Wolf, Barbara Starr, Ted Barrett, John King, and Jim Sciutto contributed to this report.

@highlight

Obama stalled the plan of a military strike on Syria

@highlight

He said he would give time for a diplomatic plan to work

@highlight

Obama had called for action after allegations of chemical attacks in Syria