(CNN) -- If investing in credit default swaps or commodity derivatives doesn't exactly fill your heart with a sense of wonder and excitement, then a product with a little more va-va-voom could be a surprisingly viable alternative: vintage cars.

Records have been tumbling recently for classic cars sold at auction. Last week, a 1964 Ferrari went for $14.4 million at the "Art of the Automobile" sale, smashing the previous record of $6.9 million for the same model. Sotheby's sold off 31 classic and concept cars and auto-related items for nearly $63 million in just over two hours at the auction in New York City.

Over the past decade the average value of classic cars has risen by 430%, according to Knight Frank's Luxury Investment Index. This compares to 273% for gold and a comparatively meager 55% for the FTSE 100 over the same time period.

Indeed, in only July a 1954 Mercedes-Benz was snapped up for $29.6 million, the highest price for any car ever sold at a public auction -- dwarfing the previous title-holder by $13.3 million.

And just yesterday, Ringo Starr's 164 Facel Vegal was auctioned off for a cool $553,000 alongside a host of historic cars at Bonham's, during a series of lots that netted the auction house a cool $27.6 million of sales.

"The fact that a car was previously owned by a celebrity will more often than not push the value up, but of course it depends on who the celebrity is" said Bonham's spokesperson Chloe Ashby.

"The demand for vintage cars is rising," she added. "Along with jewelry and Asian art, cars are now in the top three collecting categories."

Dietrich Hatlapa is founder of the Historical Automobile Group, an independent investment research house that specializes in classic cars. He says that vintage motors offer a unique appeal, particularly in the wake of the financial crisis.

"People have been more drawn to tangible assets over the last 10 years. Classic cars are fun, you can drive them and they have become a lifestyle as well. It's also a way to pass on wealth from one generation to the next."

The value of classic cars has jumped 39% this year alone, according to the Historic Automobile Group Index (HAGI), which tracks the financial performance of 50 rare and exotic classic cars.

However, there is a sense among industry experts that these growth trends will slow down. "I would be surprised if the demand and value can continue at the same rate over the next 10 years," said Andrew Shirley, editor of the Wealth Report.

There are also risks to investing in vintage cars, as opposed to the more conventional alternatives, like bonds.

"The big difference to mainstream investment options is the lack of liquidity. You can't sell your car next door," Shirley said.

"It will take a lot of research and a long time to find someone to sell your car to for the right price. There are also slight fluctuations in trends, so it might be that at that time an Aston Martin isn't as much in demand as a Ferrari."

It's also not a one-off investment -- there can be substantive costs involved in maintaining the car. "You have to look after them to keep them in good condition, especially if you want to keep driving," Shirley said.

Accordingly, Hatlapa advises against throwing your money at a classic car if money is all you're hoping for in return.

"Someone shouldn't go into the vintage car market for pure investment purposes, but have a passion for classic cars," he said. "The most valuable return from owning a vintage car is the satisfaction that you have something you're passionate about."

@highlight

Auction house Bonhams sold Ringo Starr's vintage car on December 1

@highlight

Classic cars rose 430% in value over the past decade

@highlight

Investing in classic cars bears risks such as maintenance costs and lack of liquidity