(CNN) -- The death of Davy Jones on Wednesday from a massive heart attack at age 66 elicited all the standard commentary about the Monkees, the band that made him a star: The Monkees were a made-for-TV boy band. They recorded tunes written not by them, but by reputable songwriters like Neil Diamond ("I'm a Believer"), Harry Nilsson ("Cuddly Toy"), and the team of Carole King and Gerry Goffin ("Pleasant Valley Sunday"). They were Beatles knockoffs and teen idols.

Those points are all valid, but they miss two essential aspects of the Monkees' story. The first is fairly simple: Despite their undoubtedly contrived origins, they turned out to be one of pop's finest bands, arguably the most underrated in rock history. The second is deeper: Their ongoing lack of critical respect speaks to struggles within the music world — authenticity vs. artifice, pop vs. rock — that continue to this day, more than 45 years after the launch of their short-lived sitcom.

It's unlikely that anyone, least of all the Monkees themselves, thought there was anything serious about the project when their TV series debuted in fall 1966. NBC and creators Bert Schneider and Bob Rafelson were in search of actors to play a fictional band modeled after the Beatles in "A Hard Day's Night" and "Help!" After many auditions, they chose two young show biz professionals (Jones, the sole Brit, and Micky Dolenz) and two folk-rockers who knew how to sing and play (Peter Tork and Mike Nesmith).

From the start, the Monkees had little control over their music and even album covers. Sparkling early hits like "I'm a Believer" and "Last Train to Clarksville" were written by outside tunesmiths and played by studio musicians.

Fairly soon after the show's launch, the Monkees, Nesmith especially, began to chafe at their artistic constraints. In what TV Guide called "The Great Revolt of '67," they demanded control over their records, and out went Don Kirshner, the venerable publisher who had overseen their early releases. This period, what we could call Monkees 2.0, resulted in "Daydream Believer," "Pleasant Valley Sunday," and many other songs on which the Monkees were far more involved (producing and playing many of the instruments themselves).

No matter the period or who was behind the console, the Monkees could make magical records, as I was reminded when, by strange coincidence, I plowed through their "Music Box" boxed set just last weekend. The collection's four discs reaffirm the largely high quality of their material and multihued variety of the arrangements.

They could do credible garage rock ("[I'm Not Your] Steppin' Stone," "Words," "She"), exquisite ballad-centric pop ("Sometime in the Morning," "I Wanna Be Free"), and quasi-psychedelia ("Daily Nightly," which features one of the first appearance on record of a synthesizer).

Songs that Nesmith wrote or sang — "The Door into Summer," "I Don't Think You Know Me" — wouldn't have been out of place on more highly regarded Byrds albums of the same '66-'70 period. "For Pete's Sake," the snappy "... in this generation" song heard over the closing credits of each episode of their show, was written by Tork. The Sex Pistols and Run-DMC both covered songs made famous by the Monkees: "Steppin' Stone" and "Mary, Mary," respectively.

Share your memories of Jones and the Monkees

Jones, who had proven his stage chops before the Monkees by starring in a British production of "Oliver!", was more than just their eternally cherubic, always-on singer and maracas player. He could caress the hits ("Daydream Believer"), invest a song with suitable snideness (the groupie song "Star Collector") and even co-write a very credible pop reverie ("Dream World").

Yet for all that musical breadth, the Monkees still don't quite get the credit they should, which gets to the issues of credibility that swirl around them and anything considered too Top 40. By the time their show launched and became an immediate hit, it was becoming de rigueur for pop and rock bands to write their own songs, to express themselves. The Monkees did this on later albums like "The Birds, The Bees and the Monkees," but they never recovered from being seen as puppets.

They were the right band at the wrong time, and unfairly so. Iron Butterfly wrote its own material, too, but I dare anyone beyond the most devout "In-a-Gadda-Da-Vida" nostalgist to make it through any of their albums in 2012.

These issues, especially in an era when indie signifies authenticity, still linger. Whenever I tell a friend I'm a fan of Lady Gaga, I receive the same puzzled, "Are you serious?" looks I used to get when I told my teenage friends that I'd bought the Monkees' "Greatest Hits" long after they broke up.

Whatever one thinks of her wardrobe or bombastic, disappointing "Born This Way" album, Gaga has genuine talent: She can sing, write songs and play various keyboards. Yet something about her still makes some people squirm in the way they don't when someone mentions an intentionally grating indie band like Sleigh Bells. The music is seen as too polished and produced, and therefore not credible enough.

The Monkees may always be tarnished, and perhaps there's a weird badge of honor in that: so disreputable that they're reputable! Davy Jones didn't die for our integrity sins, but the Monkees' reputation has suffered plenty for them.

The opinions expressed in this commentary are solely those of David Browne

@highlight

David Browne: Davy Jones' death has stirred new round of dissing of the Monkees as fake

@highlight

He says they were underrated band; that they get little respect raises issues relevant today

@highlight

He says Monkees rebelled against TV handlers, demanded control, made better songs

@highlight

Browne: Lady Gaga is modern example of pop music mistakenly not taken seriously;