Beirut, Lebanon (CNN) -- With years of bloodshed in its recent past, Lebanon doesn't want for symbols of conflict. But if one image conjures up the country's fractious political climate better than any other, it's the burning tire.

A common sight during the civil war that ravaged the country from 1975 to 1990, these impromptu roadblocks have re-appeared with regularity in the decades since, whenever flashpoints arise between Lebanon's diverse religious communities, or grievances swell up against the government or army.

But an activist group in the country's Hezbollah-dominated south is reclaiming what has become a wearying symbol of division and conflict, and is recasting it as a symbol of national dialogue.

In recent weeks, tires painted in bright colors have appeared in the center of the southern city of Nabatieh -- arranged not as barricades, but as coffee tables, chairs, flower pots and book shelves.

"When people first see the tires, they laugh and say 'Wow, are you planning to burn them?'" said Layla Serhan, one of the organizers of the project, through a translator. "But then they would sit and talk, and ask us to do more all over the town. Because we don't need more burning -- we need something beautiful, something that brings happiness."

Serhan is the president of the Youth Network for Civic Activism (YNCA), a group formed four years ago to engage young people struggling with life after the 2006 conflict with Israel.

The 34-days of fighting left between 850 to 1,190 Lebanese civilians and combatants dead, particularly affecting the southern parts of the country dominated by Hezbollah. Regarded by the United States and Israel as a terrorist organization, the Shiite militant group holds power in the Lebanese government and operates social services such as schools and hospitals.

Serhan said the conflict had badly affected the young people of Nabatieh, a Shiite town of about 120,000 people, situated some 60 kilometers from the Israeli border. "They behaved in a strange way. They were behaving like they are heroes. At the same time they were very sad because their brothers and neighbors were killed, but they wouldn't show it."

The young people were traumatized, but there was "no space" in the militarized post-war society for them to express their fears, anxieties or creativity, she said. "It was very difficult dealing with youth. They didn't discuss issues, they were just aggressive: 'You are with me or against me'."

Read also: Lebanon's missing history

With limited employment opportunities, and outlets such as arts and entertainment non-existent in the prevailing religious climate, young people increasingly drifted towards drugs or sectarianism, she said.

"The youth didn't have many alternatives," said Serhan. "No cinemas, no youth clubs. So they went to parties or they spent their time on the streets doing nothing, just smoking a hookah."

Hamsa Abo Zeid is a 21-year-old university student who has been involved with YNCA for four years. "We were a group of youth looking for a safe space to spend our spare time -- especially after the war of 2006, where everything in Nabatieh (seemed) insecure for us," she explained. "We hadn't any space to live the way we liked, due to the bad political, social and economical situation; we encountered a lot of taboos and we didn't see any horizons for our future."

Since then, YNCA has run programs to teach people conflict resolution, political engagement and leadership skills, all with a creative focus.

Typical of their approach was an interactive street theater performance, in which YNCA actors set up a souk, or market, and offered to sell passersby drugs, their votes, their bodies.

The message, explained YNCA's executive manager Dany Kalakech: "You can buy drugs, but the price is your future. You can buy election votes, but you have to pay with your honesty."

The group has held outdoor cinema clubs, workshops with members of the national soccer team, and encouraged participants to express themselves through music, dance and theater, with some going on to careers as performers.

"The most important thing is that we learned how to create new ways to express ourselves and our opinion freely, and to send our advocacy messages to public, especially through art," said Abo Zeid.

The tire project was motivated by recent sectarian unrest in parts of the country, following the shooting of a Sunni cleric by the army.

In a gesture of national unity, the tires were painted in the colors of the country's various faith-affiliated political parties.

"We have to say to people that we don't need another civil war," said Serhan. "We don't need to be negatively affected by these signs. We have to struggle against it."

Read also: Jordan -- red desert to Red Sea

Their activities have led to positive changes in the town's youth, said Kalakech, but met with opposition from religious elements.

Performing arts had become "taboo" in the religious climate of recent years, he said, and besides: "Arts and cinema and theater are something attractive to youth. The religious parties don't want us to do them -- they're afraid that we will attract the youth, and they want the youth for themselves."

He said incidents where the YNCA had been targeted included a man threatening to smash the projector at an outdoor film screening, vandalism of the organization's office, and a false allegation made to police that its leaders were working without proper documentation.

Kalakech said the fact the group had received USAID funding had led to gossip "that we are working against our people for the U.S. Department of State -- which is not true."

Nevertheless the threats were enough to make some participants drop out of YNCA activities.

In response, the organization had learned "to be smart," said Kalakech. Last year, YNCA partnered with a number of like-minded organizations to declare a "week of joy" in the town to celebrate the marriage of a young couple. The occasion provided cover to distribute pamphlets and posters with the group's messages, but more importantly, to break recent prohibitions against dancing and singing in the streets.

"When we danced, people came from all over the city to dance with us, to watch from the balconies," said Kalakech.

The benefit of the exercise? "To break the fear," said Serhan. "People are afraid to dance, because they'll beat you. But you have the right to dance. Why can't we do this? We want to show people that if we insist, we can do whatever we want."

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN and writer Tim Hume: @tim_hume

@highlight

A Lebanese activist group has been painting tires to promote peace and national unity

@highlight

Tires, piled and burned to create road blocks, are a symbol of Lebanon's conflicts

@highlight

The group, based in Hezbollah's heartland, uses art to lure youth away from sectarianism

@highlight

It was founded to help young people traumatized by the 2006 conflict with Israel