(CNN) -- Few games seem so well suited to the mores of the modern sports fan as rugby sevens.

With quick-fire matches, end-to-end action and points galore, the speeded-up, pared-down version of rugby union satisfies a 21st-century urge for smaller, faster, flashier fare.

A newcomer to the sport might reasonably conclude that the game -- seven-a-side, seven minutes each half -- was the result of a recent refashioning of the 15-man sport, but it traces its roots back to the late 19th century.

English public schoolboy William Webb Ellis is famously credited with inventing the game of rugby itself in 1823, but the abbreviated version was the brainchild of a butcher from Scotland called Ned Haig.

When his local rugby club in the town of Melrose was casting around for ideas to improve its ailing finances, Haig, together with his boss at the butchery, David Sanderson, came up with an idea that would change rugby forever.

Recalling the moment some years later, Haig said: "Want of money made us rack our brains as to what was to be done to keep the club from going to the wall, and the idea struck me that a football tournament might prove attractive, but as it was hopeless to think of having several games in one afternoon with 15 players on each side, the teams were reduced to seven men."

Sevens rugby kicks off

On April 28, 1883, Melrose Football Club hosted the world's first sevens tournament at its Greenyards ground. Hundreds of spectators turned up to cheer on the home side as they did battle with six teams from neighboring Scottish Borders towns.

Fittingly, it was the Melrose team, which included Haig, who went on to win and receive a silver cup donated by local ladies.

Barring two interruptions for war, the "Ladies Cup" has been presented to the winning team every year since, keeping up a proud tradition and ensuring a place on the world sporting map.

"Rugby is very much part of the community," Melrose RFC marketing director Douglas Hardie told CNN's Rugby Sevens Worldwide show.

"It's very much an integral part and is the social hub of the town. I think if you mention the name Melrose anyone, certainly in the western world, will have heard of it and it's primarily down to the fact that rugby sevens were founded here."

Haig died in 1939, aged 80, long before the game really took off. Its success would have confounded him, Hardie thinks, as it does the town's 1,600 inhabitants.

"In fact, we have to pinch ourselves," he says. "You have to bear in mind that we don't own the game of rugby sevens, we are merely its custodians to pass down to future generations so they can enjoy it as much as we have."

It wasn't so much a passing down as a spreading of the message in the years following the first sevens tournament.

Twelve months later, neighboring Galashiels organized its own event and soon sevens tournaments were a being held all over the Scottish Borders and further north in Edinburgh. English audiences got their first taste of the game in 1926 when London-based Scot Dr. J.A. Russell-Cargill organized the first Middlesex Sevens at Twickenham.

Sevens goes global

With the "auld enemy" persuaded, the task now was to convince rest of the world.

Rugby-playing Commonwealth nations -- New Zealand, Australia and South Africa -- were early adopters as the game spread steadily in the decades following World War Two.

But it wasn't until 1973 that the first international sevens tournament took place as part of the Scottish Rugby Union's centenary celebrations. Seven countries and a President's VII took part, with England beating Ireland 22-18 in the final at Murrayfield in Edinburgh.

Two decades later at the same venue, 24 nations contested the inaugural Rugby Sevens World Cup -- and an unfancied England team won again, beating Australia 21-17 in final to lift the Melrose Cup.

Fiji, led by sevens legend Waisale Serevi, took the title four years later as the tournament moved to Hong Kong. The South Sea Islanders repeated the feat in 2005 to become the first team to win the trophy twice -- a mark matched by 2001 winners New Zealand in Moscow's Luzhniki Stadium earlier this year.

While the 2013 event didn't attract the spectator numbers that organizers had hoped for, the general trend is of a steady growth in ticket sales.

"What we have noticed is the change gradually over the years," says Hardie. "Melrose sevens was purely for rugby aficionados a few years ago, but that has now changed to a degree and it is perhaps getting to be as much of a social event as it is a sporting event."

Perhaps the best example of this is the Hong Kong Sevens -- a three-day jamboree held every year since 1976 where a mix of beer, body paint and fancy dress costumes provide a noisy and colorful backdrop to action on the pitch.

Olympic dreams

Away from the alcoholic haze engulfing the Hong Kong Stadium, Hardie offers a sober assessment of the game's ongoing appeal.

"Rugby sevens now is a sport played by athletes," he says. "They are much fitter, much stronger -- it is a faster, more entertaining game. Someone who perhaps is not a rugby follower can come along to a sevens tournament and enjoy it."

Participation continues to grow, notably so in the U.S. where rugby union is currently the fastest growing sport. More than one million people (a third of them women) play rugby at some level, according to the International Rugby Board.

Turnstiles are also ticking over nicely in the U.S. with last year's Sevens World Series event in Las Vegas attracting 64,000 spectators, the country's record rugby crowd.

But it is an invitation to the world's biggest sporting occasion in Rio de Janeiro in 2016 that has got everyone in rugby excited.

The announcement by the International Olympic Committee in October 2009 that rugby sevens, along with golf, would be included in both the 2016 and 2020 Summer Olympics has provided the sport with a priceless boost.

The 15-man game was actually played in the early editions of the modern Olympics -- founder Pierre de Coubertin was a fan of the sport's spirit and ethics. So, it seems are today's IOC members.

"It's mind-blowing," says Hardie. "Considering where it started from, to now look at it as a worldwide Olympic sport is quite unbelievable."

From a butcher's shop in Scotland to the top table of international competition, rugby sevens looks like it will be serving up many sporting feasts for decades to come.

@highlight

Rugby sevens started in the Scottish Borders town of Melrose in 1883

@highlight

A butcher called Ned Haig came up with idea to raise money for his local club

@highlight

Fiji and New Zealand have both won the Sevens World Cup twice

@highlight

Sevens will be a part of the 2016 Olympics in Rio de Janeiro