(CNN) -- Instead of criticizing President Barack Obama's lack of an effective national security policy as the terrorist threat of ISIS grows in Syria and Iraq, it might be helpful to imagine the speech President Ronald Reagan would have given in response to the videotaped beheading of James Foley.

There are many things a great power can do if it has leadership.

This fictional speech is an effort to describe a Reagan-like grand strategy, clarity of moral purpose and emphasis on effective actions. This is not a speech President Reagan could have delivered in the 1980s.

We set his speech at Naval Air Station Point Mugu, near the Reagan Ranch where he would be vacationing. This was also the site of his address to the nation after the Soviet Union shot down Korean Air Lines Flight 007 in 1983 with a U.S. congressman aboard.

President Reagan entered office when the Soviet Union was the great threat. He saw Moscow as the center of evil in the world. He was determined to defeat and not merely contain the Soviet Union.

Through moral persuasion, a powerful military buildup, a grand anti-communist coalition, and an intense focus on a series of economic, diplomatic and psychological strategies, Reagan defeated the Soviet empire and it disappeared.

This was one of the most extraordinary grand strategic achievements in history. It took enormous discipline and focus.

In that era, terrorism was always a secondary or even tertiary issue. President Reagan sought to contain and minimize terrorism with minimum diversion of attention, energy and resources from the great campaign to defeat the Soviet empire.

So, this speech is designed to illustrate an alternate U.S. approach and strategy toward this threat if Reagan were president in today's very different world.

------

Text of Reagan address

My fellow Americans:

We have all been saddened and outraged by the vicious videotape of ISIS terrorists beheading an American journalist. Our hearts go out to James Foley's family.

However, anger and sympathy are not solutions.

We, the American people, must come together in a righteous determination to defend freedom and civilization from barbarism, savagery and terrorism.

We must calmly, methodically and with the same grim determination we brought to winning World War II, implement strategies that eliminate the growing worldwide threat of radical Islamists prepared to kill us as individuals and our values as a civilization.

Some will suggest this exaggerates the threat from the Islamic State.

Let me remind them of some hard facts.

There are now an estimated 12,000 terrorists from over 50 countries in the ISIS-controlled parts of Iraq and Syria. Great Britain estimates more than 500 British citizens have joined ISIS. Our government estimates roughly 100 Americans are now engaged in enemy activities.

When we remember the death and destruction 19 terrorists achieved on 9/11, we have to take very seriously the threat from more than 12,000 terrorists.

The chairman of the Joint Chiefs of Staff, Gen. Martin Dempsey, has warned that ISIS "has an apocalyptic end of days strategic vision that will eventually have to be defeated."

He has expanded on the danger, saying their vision of a fundamentalist caliphate could "fundamentally alter the face of the Middle East and create a security environment that would certainly threaten us in many ways."

Furthermore, Gen. Dempsey has warned that ISIS cannot be defeated only in Iraq. He asserted, "Can they be defeated without addressing that part of the organization that resides in Syria? The answer is no."

In fact the very existence of terrorists from over 50 countries means that we must be thinking in terms of a global campaign to eradicate the virus of Islamic Extremism and the spirit of terrorism and barbarism that it is fostering. This is fully as grave a threat to our survival as was Nazism or communism. With appropriate strategies and consistent policies executed energetically we can defeat and eliminate the Islamic State and its various allied factions.

ISIS and its worldwide terrorist allies have become the focus of evil in the modern world.

Secretary of Defense Chuck Hagel warned that we must take the Islamic State seriously when he said, "They are tremendously well funded. This is beyond anything we have seen. ...They marry ideology and a sophistication of strategic and tactical military prowess."

They must be defeated.

Yet defeating terrorists and blackmailers is nothing new in American history.

In the very first years of the new American Republic, then-Secretary of State Thomas Jefferson sent Thomas Barclay, American consul to Morocco, on May 13, 1791, a letter of instructions for a new treaty with Morocco that noted it is "lastly our determination to prefer war in all cases to tribute under any form, and to any people whatever."

Jefferson hated war and loved peace. He also understood that there were times when vicious opponents give peace-loving people no choice but to engage in just war. As president, he sent the Navy and the Marine Corps in 1801 to the shores of Tripoli to reject blackmail, defeat piracy and establish that even a young America could project power in defense of principle and its citizens.

We were saddened but not surprised by the vicious, barbaric video of the killing of James Foley. Back in January we noted that ISIS leader, Abu Bakr al-Baghdadi, gave a speech in which he warned America, "Soon we'll be in direct confrontation, so watch out for us, for we are with you, watching." They have promised to raise their black flag over the White House.

Because I take very seriously the security of the United States and believe that my highest obligation as president is to protect America, I responded to this direct challenge with a series of quiet steps.

We moved intelligence assets and began monitoring potential ISIS targets throughout Iraq and Syria.

We began re-establishing ties with both the Sunni tribes in Western Iraq and the Kurdish allies with whom America has worked for decades.

We created an anti-ISIS intelligence network working with Egypt, Jordan and Saudi Arabia.

We informed the weak, chaotic government in Baghdad that defeating ISIS is our highest priority and we will arm, train and coordinate with them and with any effective group prepared to help defeat ISIS.

We moved strategic assets including B-1 and B-2 bombers into position to be prepared to respond decisively to any ISIS outrage.

In response to the deliberately vicious and barbaric killing of James Foley, we began hitting ISIS targets in both Syria and Iraq. In the last hour over 200 targets have been hit.

The air campaign in coordination with Kurdish, Sunni Arab and Iraqi ground forces will continue until ISIS disintegrates and is incapable of holding territory.

The 12,000 terrorists from over 50 countries should understand that they can surrender or we will hunt them down. Terrorists who videotape beheadings operate outside the rule of law and in the tradition of eliminating piracy they will be dealt with as outlaws.

We will coordinate with Great Britain, Egypt, Jordan and every willing partner to develop a strategy and a set of operating principles for the destruction of extremist terrorism.

When Congress returns, I will work directly with its leaders in a bipartisan effort to establish rules for protecting America and defeating this growing cancer of barbarism.

With the bipartisan help of Congress and our allies, we will pursue our campaign to destroy ISIS with the four principles I outlined immediately after Beirut. We will have a clear plan to win. We will develop overwhelming forces among the combined civilized world. We will report to you regularly and work every day to keep the support of the American people for the campaign to destroy terrorism. We will define clearly who the enemy is and they will have no sanctuaries.

In confronting an evil that seeks to kill us and destroy our civilization, our goal must be complete and decisive victory.

The Foley family needs your prayers in this difficult time.

America and the forces of freedom need your prayers in this daunting campaign.

Together, civilization will prevail and barbarism will return to the dustbin of history.

Thank you and good night.

Join us on Facebook.com/CNNOpinion.

@highlight

Newt Gingrich wonders how Ronald Reagan would have led during the current ISIS threat

@highlight

He says today we need a Reagan-like grand strategy and clarity of moral purpose

@highlight

Reagan may have approached ISIS as he did the threat and defeat of the Soviet Union