Have you heard that it all comes down to turnout? Of course you have, because politicians  say it every November.

But the act of getting voters to the polls is much more than a shopworn cliche. There's an entire industry in American politics built around finding and mobilizing voters, largely constructed by Democrats who have been innovating in the field for more than a decade.

The nerd science of campaigning -- sifting through data, analyzing behavior, modeling segments of voters and persuading people to cast ballots -- is one reason President Barack Obama's team flabbergasted Mitt Romney's overconfident numbers-crunchers in 2012.

Many of those same Democratic operatives are on the front lines of the 2014 midterm elections, mining the electorate, state-by-state, to find enough voters to tip a race one or two points in their direction. Having a well-oiled field operation is never enough to overcome a bad national climate or a bum candidate at the top of the ticket. But in a tight campaign like so many of the deadlocked 2014 races it can make a serious difference.

DSCC back on the air in Kentucky

With advanced analytics and targeting, the Obama team in 2012 narrow-casted its message to persuadable voters -- on Facebook, on television, on Pandora, on well-placed billboards, on doorsteps, wherever -- and tilted swing state electorates in their favor. It was done efficiently, without wasting money on television ads or mailers that were hitting the wrong households.

In press reports after the campaign, Obama's tech savants were hailed as "gurus" and "masterminds."

They weren't always so celebrated.

"On the Kerry campaign in 2004, they put the internet team -- they called us the Internet team, not digital -- next to the IT team, and most people would come over and ask us to fix their printers," says Andrew Bleeker, the founder of Bully Pulpit Interactive, one the Democratic Party's premier digital firms.

"That was how little people understood," he says. "It wasn't until we started to produce metrics that people understood that people took us seriously. So raising money was the first big one. We raised $87 million in 2004. And then people said, all right. Digital. Got it."

Bleeker was a grunt on the Kerry campaign. But like many of his young colleagues, he was a pioneer. Bleeker, now 29, went on to steer digital marketing for both of Obama's innovative campaigns, launching Bully Pulpit along the way to build full-spectrum digital campaigns for Democrats.

Hillary Clinton is returning to Iowa

Along with Obama, they've helped elect Elizabeth Warren in 2012 as well as New York Mayor Bill de Blasio and Virginia Gov. Terry McAuliffe in 2013. This cycle, Bully Pulpit is doing independent expenditure work for Democratic party committees as well as NextGen Climate, the Tom Steyer-funded environmental outfit.

In a fragmented and self-segregating media world, defined by declining television viewership and skyrocketing mobile usage, the digital geeks of 2004 are now at the chief innovators of voter targeting.

"In 2004, there were like 30 of us in a horrible dive bar," said Ben Coffey Clark, a veteran of Howard Dean's presidential campaign and a partner a Bully Pulpit. "We started off in the back of the campaign, with no access, no insight and no budget. Now we are at the forefront of how you reach voters and change sentiment online."

By matching voter files with consumer data and online behavior, Bully Pulpit creates models of voting universes and devises clever, eye-catching ways to engage with them in the digital space, where attention spans are notoriously short. The "Stop Tweeting Boring Shit" poster displayed prominently in its Farragut North offices is less a joke than a guiding principle.

Their goals -- fundraising, persuasion, mobilization -- are as varied as the tools they employ. They produce online video, display ads, micro-sites, Facebook and Twitter campaigns and email blasts for their candidates.

"We know how to reach people that are low TV watchers," says Mark Skidmore, a Bully Pulpit partner with a background in corporate marketing and communications. "We know from our modeling that 33%, as high as 40%, of voters might not be watching any television. So if you are spending the majority of budget on television, guess what? You are probably not getting any of that 40%."

With election day less than two weeks away, their offices resemble a day-trading firm, with scores of smartly-dressed young operatives glued to their computers and pushing out content aimed at mobilizing voters. "Right now, we are optimizing our campaigns," Clark says. "The strategy has been set. We know the story of the candidates. We have really good content and video and sites to direct people towards."

"Digital," "data," "field," "micro-targeting" -- the terms are often confused or lumped together as catchall shorthand for whatever it was the Obama campaign did on its Chicago computers to mobilize auto workers in Youngstown or Puerto Ricans in Orlando.

The truth is that they are each discrete domains, each requiring its own expertise and methods. Democrats, the successful ones at least, have won by synchronizing those activities both inside their campaign offices and across the spectrum of left-leaning interest groups, ensuring that the right voters are getting the right message at exactly the right time and place.

Another truth: Democrats are still better at most of it than Republicans.

"Republicans are still very much in the television persuasion model," said Zac Moffat, who led digital strategy for Romney's campaign and runs Target Victory, a leading GOP digital firm. "We are still having philosophical arguments about where we are, and meanwhile the Democrats arguing about the type of targeting to use."

After getting walloped in the field in 2012, the GOP vowed to overhaul their digital and data efforts.

In many ways, they have. The Republican National Committee, for instance, added a team of data scientists, juiced its email marketing and fundraising efforts (remember those George H.W. Bush socks?), and created a widely-used app for door-to-door canvassers. Today, 70% of RNC voter data being collected in the field is done digitally â€” up from just 5% last cycle.

Outside groups like American Crossroads and Americans for Prosperity have also revamped their data and digital programs, tapping into the RNC's voter file, Data Trust, and i360, another data hub affiliated with the Koch brothers financial network.

Opinion: Why the 'Seinfeld election' matters

But while Republicans have developed the tools and can point to a bevy of talented digital strategists in their ranks, they still haven't matched the culture or the manpower of the Democratic tech world that's been blossoming for over a decade.

There are schools and training programs in Democratic circles focused on field organizing and data; Bleeker himself teaches one at Georgetown University.

And there's a tradition of sharing information and best practices that's been well-established over the years, spearheaded by left-leaning interest groups and labor unions that began experimenting with voter contact techniques during the George W. Bush years.

Moffat is confident Republicans will catch up. It will take time, he says, for the party's established consultant class, schooled in TV-buying, to understand the importance of data and digital advertising.

"It's not that Republicans aren't building tools," he says. "The tools are there, it's just a question of why aren't people choosing to use them."

@highlight

There's an entire industry to find and mobilize voters

@highlight

Bully Pulpit Interactive is a premier Democratic digital firm

@highlight

"It wasn't until we started to produce metrics that people understood that people took us seriously"