(CNN) -- Winning a gold medal is the pinnacle of any Olympic athlete's career, and most have to be happy for the chance to participate on sport's biggest stage.

For Nicol David, however, time is running out. The Malaysian is the top-ranked women's squash player and a six-time world champion, but she has never competed at the Games. So, at the age of 28, she is trying to rectify the situation before it's too late.

Squash has never been an Olympic sport, and it failed in its bid to be one of the 36 included at London 2012 -- and in Rio in four years' time, when its application was rejected while golf and rugby succeeded.

However, David is fronting a campaign which aims to secure squash a place in the 2020 program and thus achieve her lifelong ambition.

"After the world championships last year I was asked how much I wanted to be part of the Games," she told CNN.

"I said I would trade all six of my world titles for just one Olympic gold medal. Every world title means the world to me, so that's how important the Olympics is in my heart."

But, due to the way the International Olympic Committee (IOC) decides which sports enter the Games, the dreams of an athlete in another discipline must be shattered for David's to come true.

In order to maintain the Olympics' prestige, and ensure it is still feasible for one city to host all of the events, the IOC will only introduce a new sport if an existing one is removed from the program.

"You have a long list of sports trying to get onto the program because it is their one way to showcase their sport to the world," explains former IOC marketing director Michael Payne.

"The IOC undertakes a very detailed technical analysis to understand the popularity of the sport, the number of players, infrastructure, TV, media and then finally takes a vote to decide which new sport is welcomed onto the program."

There is one man who knows more than most what it takes to convince the IOC of a sport's Olympic worth.

Mike Lee is the chairman of Verocom, an organization which has successfully overseen campaigns to bring the Games to Rio in 2016, the Winter Olympics to Pyongchang in 2018 and the FIFA World Cup to Qatar in 2022.

Lee and his team also navigated a course which gained rugby sevens acceptance into the 2016 Games. In makes perfect sense, then, for Verocom to spearhead squash's Olympic bid.

"You have to look in considerable detail at, not just the sport itself, what it might offer to the Olympic Games, what it brings to the Olympic program," said Lee, former director of communications and public affairs for London 2012's successful bid.

"What do you offer to the Olympic experience? What is it your sport will do to enhance the Games, in a way which is also in line with the spirit and the values of the Games?"

In a manner of speaking, squash has been sexed up in a bid to make itself more attractive to the IOC, making vibrant changes to the courts and apparatus.

"The sport has worked very hard to innovate, to make it much more fan and broadcast friendly, from all-glass courts to the camera positions, to the use of a video review system and a white ball," he said.

"They're now experimenting with glass floors. This is a sport that has moved itself considerably over the last few years. It has been on the basis of making itself more friendly to the spectators at the event or the viewers on television."

A wide variety of sports are covered within the Games, from BMX to equestrian, catering to tastes and interests from all over the world. If squash is to enter the "greatest show on Earth," it will have to fend off fierce competition.

"Softball and baseball, which came out of the Games for London, karate, roller sports, sports climbing, wakeboarding, wushu (a martial art) and the sport which comes out of the Games," replied World Squash CEO Andrew Shelley when asked about its rivals.

"We've bid twice before. Whilst we weren't perhaps ready, we had a lot of very good advice from the IOC and we've learned a lot from them.

"This time the process is very clear. There is one place available due to the taking out of a sport by the IOC after the Games in London.

"Our sport is scrutinized and evaluated alongside all the other candidates. If we're fortunate, we come out on top at the meeting in Buenos Aires in 2013."

Squash will hope to follow in the footsteps of rugby sevens and golf, which have been added to the program for the Games' South American debut in Rio.

"Rugby sevens was looked at as a very professional campaign," Lee said. "One of the keys was how a tournament over two or three days would enhance the Olympic Games.

"It's not difficult to stage, as long as you've got stadia. It doesn't have to be a rugby stadium, it can be played in many types of stadiums. It's something which is very attractive to young people and the party atmosphere which goes with it."

So what would squash bring to the Games which is not already on offer?

"Squash is a worldwide sport," Shelley said. "We have world champions from all continents and it is played in 185 countries. It is a sport we feel will add something to the Olympics, as well as being a great opportunity for our athletes.

"There was an IOC official many years ago who told me, 'You've got to wait until the train comes into the station and stops. When it does, you've got to be ready.' We're ready, we're just waiting for the train now."

Even if squash is given the green light in Buenos Aires next year, it may come too late for David to reap the rewards of her enthusiastic work.

But, whatever the future has in store for her, she is determined to see squash elevated to the pantheon of Olympic sports.

"It's a dream of mine to be part of the Games," she said. "I'm going to do whatever it takes to get in there. I want to do whatever I can to get there and get squash in there as well.

"Whatever happens, I'll keep working hard because I want to see squash in there someday. If it is not this time, hopefully the next time."

@highlight

Squash is one of the sports bidding to be part of the 2020 Olympic Games

@highlight

Nicol David is a six-time world champion hope to compete for a gold medal at the Games

@highlight

Verocom are heading the campaign, having help Rio win the 2016 Games

@highlight

A decision on which sport will enter in 2020 will be made in Buenos Aires next year