(CNN) -- The notion of postcard-perfect villages steeped in old-world charm has inspired centuries of travelers to fan out across Europe, seeking its secluded hamlets.

As a result, the continent's scenic spots rarely remain hidden for long. It doesn't take much to make a charming village feel uncomfortably popular. Consider the five fishing villages that make up Italy's Cinque Terre, where an evening summertime stroll often feels like shuffling through a packed amusement park, complete with overpriced restaurants and souvenir shops.

The first requirement of a beautiful village is a scenic location, whether among the Norwegian fjords or the sun-splashed Greek isles. But the finest also have distinctive features like the plaza ringed with high-gabled pastel façades in Telč, Czech Republic, or the unforgettable Victorian castle rising above the thatched roofs of Cong, Ireland.

Reaching some of these European beauties requires extra effort, yet the rewards are dazzling. Your eyes will thank you.

Tellaro, Italy

Snaking cliff-top roads and a minuscule harbor have protected Tellaro from the wave of tourism that has swallowed other Ligurian seaside towns like Vernazza and Portofino. A jumble of pastel buildings clings vertiginously to the sheer cliffs of Tellaro, which occupies the easternmost tip of the Golfo dei Poeti. It's named for the poets and literary icons like Lord Byron and D. H. Lawrence who have sought inspiration in this Mediterranean haven.

Finding Main Street on a motorcycle

Bibury, England

The hilly Cotswold region is a designated "Area of Outstanding Natural Beauty" in southwestern England, and one of its loveliest villages is Bibury, where verdant meadows abut ancient stone cottages with steep pitched roofs. The River Coln, which bisects the village, teems with trout, but the most scenic area is Arlington Row, a lane of sepia-hued cottages built in the 17th century to house weavers from the nearby Arlington Mill.

Travel + Leisure: Best walking shoes for travel

Hallstatt, Austria

The storybook town of Hallstatt in central Austria enjoys a gorgeous setting on the bank of the Hallstätter See, between the pristine lake and a lush mountain that rises dramatically from the water's edge. A history of salt mining dating back thousands of years has translated into enduring prosperity for the town, which is most evident in the beautiful square ringed with ivy-covered buildings.

Best affordable island hotels

Folegandros, Greece

Santorini's streets sag with admirers, but on Folegandros, a nearby island in the Cyclades, you'll find similar architecture—streets paved in slate, whitewashed buildings decorated with colorful flowers, the occasional Greek Orthodox church with a bright blue dome—without the crowds. For a secluded swim, trek to Katergo, a sheltered stretch of beach where gentle, emerald-blue waves lap the pebbly shore.

Travel + Leisure: America's ugliest college campuses

Colmar, France

French and German influences commingle in this well-preserved Alsatian village, where local bakeries sell both croissants and kugelhopf, and restaurants specialize in foie gras and sauerkraut (or choucroute). A range of architectural styles, from German Gothic to French Neo-Baroque, can be spotted in the old town, which was spared destruction during World War II—thanks in part to the historical beauty of its cobblestoned lanes, quiet canals, and half-timbered houses.

Reine, Norway

North of the Arctic Circle, Reine is a pretty fishing village in the Lofoten archipelago, an area of starkly beautiful Nordic wilderness, where sapphire bays punctuate fjords and mountains. Many of the bright red fishermen's cabins (called rorbuer) have been converted into comfortable cottages for visitors that offer direct access to the Norwegian Sea. Settle in for a front-row view of the night sky and its mesmerizing entertainment, from summer's midnight sun to winter's northern lights.

Travel + Leisure: Best money saving tips for European travel

Telč, Czech Republic

Residents of Telč, a small town in south Moravia, were once quite competitive about the beauty of their homes, as is evident today on the elongated main square, where one building is lovelier than the next. The Baroque- and Renaissance-style façades, featuring high gables painted in pale pastels, now support small shops and cafés. A grand Renaissance-era château and large fish-filled ponds surround the square.

See more of Europe's most beautiful villages

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Tellaro occupies the easternmost tip of the Golfo dei Poeti

@highlight

Bibury's row of 17th century cottages may be the Cotswold village's most scenic area

@highlight

French and German influences mix in the well-preserved Alsatian village of Colmar