(CNN) -- When Josephine Hathcock of Newark, Delaware, went in for gallbladder surgery, she never dreamed she'd wake up an ovarian cancer patient. Neither did her doctors, who found the cancer accidentally while she was on the operating table. To make matters worse, the cancer was stage 3, aggressive and had spread to her abdomen.

Ovarian cancer survivor Josephine Hathcock attended a Super Luncheon to raise awareness of the disease.

"I had no idea I had it," says Hathcock. "I just thought my gallbladder was having problems."

Since that surgery in 2003, Hathcock has undergone numerous treatments, including more surgery and various rounds of chemotherapy. She's made it beyond the five-year mark and is still going strong. "To be honest," she says," I didn't think I would be here -- but here I am, and that's good."

Earlier this month, Hathcock was asked to be a guest at a luncheon to raise awareness about ovarian cancer hosted by the first lady of Delaware, Carla Markell. The gathering was part of the Super Luncheon campaign, sponsored by the Ovarian Cancer Research Fund and held throughout September, which is Ovarian Cancer Awareness Month. The campaign's goal is to raise funds for research into early detection methods, as well as to find a cure.

The effort is also designed to raise awareness. "A lot of people know about breast cancer and the treatments and its symptoms because breast cancer has a strong awareness campaign," says Santo D'Asaro, who serves on the fund's junior board. "We felt it was time to make women aware that there are other diseases, other cancers that can affect them that are just as important."  Watch more on the Super Luncheons »

The format of the campaign is to have governors or first ladies, such as Markell, host luncheons for the public in order to raise the profile of ovarian cancer. Markell, who is a breast cancer survivor, says it's about time women learn more about a disease nicknamed "the silent killer." Paging Dr. Gupta blog: When words fail you

"One of the most important things we can do is alert people to what the signs and symptoms are," says Markell. "That way, women have a better chance of discovering it earlier."

Doctors say discovering ovarian cancer early is the key to survival. According to the National Cancer Institute, each year, more than 21,000 American women are given a diagnosis of ovarian cancer, and more than 14,000 women die from it.

Ovarian cancer is called the silent killer because 75 percent of the time, the cancer is already considered advanced -- stages 3 and 4 -- when first found and has spread to other parts of the body. Doctors say early stage ovarian cancer symptoms are barely noticeable; many women don't know they have the disease until it's too late.

Dr. James Larson, a Delaware gynecologist-oncologist and a guest speaker at the luncheon, says the symptoms of ovarian cancer are fairly common and could be caused by other less-threatening illnesses, so women brush them off. "Women can have abominable pain, discomfort, pelvic pain, or they can get full easy, have a loss of appetite, bloating, lower back pain and an urgency to urinate," says Larson.

"But these symptoms can also be caused by other ailments we all have every day, such as muscle pain, back issues, even arthritis, or just be part of the natural aging process."

Furthermore, Larson says ovarian cancer is difficult to detect. According to the National Institutes of Health, there is no single effective screening test for ovarian cancer, "which is the reason we need more money for research," says Larson. "Until we find a screening method or a cure, women will continue to die from this form of cancer."

Larson also stresses that women need to know more about the disease itself. "I can't tell you how many patients of mine think a Pap test detects ovarian cancer," he says, shaking his head. "I tell them it's for cervical cancer. There is no definitive test for ovarian cancer."

Although there is a blood test called CA-125 that can detect a protein produced by some ovarian cancers, doctors says it's not a good screening tool for two reasons: Some ovarian tumors don't produce enough of this protein to be detected, and the protein can also be produced by benign conditions such as endometriosis, fibroids, even pregnancy.

Researchers are now working on new imaging techniques that could be used to screen women every so often, much like getting a colonoscopy for colon cancer. Arizona scientists have formed a team to design and build two versions of an ovarian cancer imaging and screening tool that would use new, sophisticated techniques to detect the disease. But these remain in the experimental stages.

Progress is also being made on other fronts. The FDA last week approved a new blood test that can help determine whether an existing pelvic mass is likely to be ovarian cancer or not, before a woman has surgery.

According to the Ovarian Cancer Research Fund, education and money for research are the best ways to fight the illness for now. Carla Markell and Delaware Gov. Jack Markell, along with their state Legislature, hope to raise money to fight ovarian cancer by allowing residents to voluntarily donate to the Delaware Ovarian Cancer Foundation Fund on their tax forms. The first lady says it's a step her state is making to help women conquer this silent killer.

"Something needs to be done," Markell says. "And we don't have time to waste, because women are dying."

@highlight

Super Luncheons hosted by governors, first ladies raise ovarian cancer awareness

@highlight

Ovarian cancer called "silent killer" because symptoms of early disease are vague

@highlight

More than 21,000 U.S. women develop it each year; more than 14,000 die