(CNN) -- Even as they were rejecting as far-fetched an Australian company's assertion that it may have identified the resting place of Malaysia Airlines Flight 370 -- thousands of miles from where investigators have been searching -- experts acknowledged Wednesday that they have little choice but to check it out.

"The investigators are going to be hard-pressed to blow this off," said Mary Schiavo, a former inspector general for the Department of Transportation. "I think, at this point, because of the lack of results where they've been searching for six weeks, they're almost stuck. They have to go look."

The Adelaide-based firm GeoResonance has said that electromagnetic fields captured by airborne multispectral images some 118 miles (190 kilometers) off the coast of Bangladesh in the Bay of Bengal showed evidence of aluminum, titanium, copper and other elements that could have been part of the Boeing 777-200ER, which disappeared from radar on March 8 while en route from Kuala Lumpur, Malaysia, to Beijing.

"The company is not declaring this is MH370, however it should be investigated," GeoResonance said Tuesday in a news release.

GeoResonance Managing Director Pavel Kursa, citing intellectual property concerns, would not explain how the imaging works.

Nevertheless, the company got its wish on Wednesday, when Bangladesh sent two navy frigates into the Bay of Bengal to the location cited by GeoResonance. "As soon as they get there, they will search and verify the information," Commodore Rashed Ali, director of Bangladesh navy intelligence, told CNN in Dhaka.

The chief coordinator of the Joint Agency Coordination Centre, retired Chief Air Marshal Angus Houston, held out little optimism that any such search would prove fruitful. He told Sky News International that the search area in the Indian Ocean had been set based on pings believed to have emanated from one or both of the plane's voice and data recorders. "The advice from the experts is that's probably where the aircraft lost power and, somewhere close to that, it probably entered the water."

CNN aviation expert Miles O'Brien said GeoResonance's claims are not supported by experts. "My blood is boiling," he told CNN's "New Day." "I've talked to the leading experts in satellite imaging capability at NASA, and they know of no technology that is capable of doing this. I am just horrified that a company would use this event to gain attention like this."

He called on company officials to offer "a full explanation" for their assertion, which he said appeared to be based on "magic box" technology.

Sending investigators to the Bay of Bengal would draw away from the limited resources that are focused in the southern Indian Ocean, O'Brien said.

But that won't stop them from going, he predicted. "I think they have to," he said. "It's a public relations thing now."

David Gallo, director of special projects at the Woods Hole Oceanographic Institution, also expressed skepticism. "It's so revolutionary, and I don't know anyone that knows of this kind of technology," he told CNN. "And I know most of the people in this business."

'We were being ignored'

The company's director, David Pope, said he had not wanted to go public, but did so only after his information was disregarded.

"We're a large group of scientists, and we were being ignored, and we thought we had a moral obligation to get our findings to the authorities," he told CNN's "New Day" on Tuesday.

GeoResonance's technology was created to search for nuclear, biological and chemical weaponry under the ocean's surface or beneath the earth in bunkers, Pope said.

And the company's news release said its search technology was reliable. "In the past, it had been successfully applied to locate submersed structures, ships, munitions and aircraft," it said. "In some instances objects that were buried under layers of silt could not be identified by other means."

The company began its search four days after the plane went missing and sent officials initial findings on March 31, Pope said. It followed up with a full report on April 15, which it would not make public.

"We only send our report to Government authorities as it contains the exact coordinates of what we believe to be the wreckage of an aircraft," Pope said Wednesday in an e-mail.

By going public with their conclusion, if not their data, the company says it hopes it will spur officials to take its claim seriously.

Malaysian authorities contacted GeoResonance on Tuesday and were "very interested, very excited" about the findings, Pope said.

Inmarsat, the company whose satellite had the last known contact with MH370, remains "very confident" in its analysis that the plane ended up in the southern Indian Ocean, a source close to the MH370 investigation told CNN.

The Inmarsat analysis is "based on testable physics and mathematics," the source said, and has been reviewed by U.S., British and Malaysian authorities as well as an independent satellite company.

Is GeoResonance on to something?

Relatives hear new details

On Tuesday, relatives of the 239 passengers and crew heard new details from officials, including audio recordings of conversations between the plane and a control tower that had not been released before but appeared to contain nothing out of the ordinary.

"Malaysia three seven zero, contact Ho Chi Minh 120.9, good night," says a voice identified by Malaysian officials as that of a radar controller in Kuala Lumpur.

"Good night Malaysian three seven zero," answers a male voice believed to be a Flight 370 crew member.

A preliminary report on the plane, submitted last week to the International Civil Aviation Organization, will be released to the public Thursday, the Malaysian Ministry of Transportation said Wednesday.

"The report will be very basic, I assume -- most initial, preliminary reports are," said Schiavo, the aviation analyst. "Just the facts, basic things."

But she predicted it will also lay out what is not known, as well as a blueprint for the path ahead and, as such, could prove helpful to family members of those who were aboard.

Plane audio recording played in public for first time to Chinese families

More intense underwater search

Seven weeks of intense searching have found nothing linked to the plane. Though some ships will stay on the Indian Ocean to gather any debris, the international air effort to find the plane is over.

The likelihood of finding any debris on the ocean's surface is "very remote indeed," since it has probably become waterlogged and sunk, Houston said.

So crews will scour a larger area of the ocean floor -- 23,000 square miles (60,000 square kilometers) -- in a process that could take eight months, officials said.

The next phase will use private contractors and could cost about $56 million.

Houston said that could stretch to 12 months if any glitches with equipment or weather were to occur. He was confident the aircraft will be found, though perhaps not soon. "Nothing happens fast underwater," he said. "It could take months and months and months and months."

The Bluefin-21, which has searched the 121-square-mile (314-square-kilometer) area around where pings were thought to have been detected, resumed searching a nearby area of the ocean floor at about 1 a.m. ET on Wednesday -- its 17th mission, according to a U.S. Navy source.

New phase to include private contractors, may cost $60 million

Journalist Farid Ahmed reported from Dhaka; CNN's Anna Coren reported from Adelaide, Australia; Miguel Marquez and David Molko reported from Western Australia; Mitra Mobasherat reported from Kuala Lumpur; Tom Watkins, Holly Yan and Mariano Castillo reported and wrote from Atlanta; and Mike Ahlers contributed from Washington. CNN's Ivan Watson and Allen Shum contributed to this report.

@highlight

Bangladesh sends two frigates into the Bay of Bengal to investigate

@highlight

"The investigators are going to be hard-pressed to blow this off," says aviation analyst

@highlight

More than 600 military members from around the world end their air search

@highlight

Crews will now search a larger area of the ocean floor