(CNN) -- In popular culture, butlers are usually portrayed as "Made in Britain" and tend to stately homes somewhere in the English countryside. The last few years has revealed a different reality, however. Increasingly, "Jeeves" and his ilk are as likely to be found managing a palace in Saudi Arabia as a manor in England.

Anthony Seddon-Holland, the owner of the British Butler Guild, an elite butler training and staffing agency, estimates 25% of his placements end up in the Middle East.

"They like British servants more than anybody else, because I think they trust us," he concedes. "A lot of wealthy Arabs -- especially the royals -- go to boarding schools and university in the UK. By the time they're in their 20s, they probably spent more time in England than their own country."

For someone like Seddon-Holland, a self-professed traditionalist (he balked when an American client once suggested he replace his tails with chinos), the Gulf states of the Middle East are keepers-of-the-flame for the glory days of service. Few British households hire the legions of staff depicted in Downton Abbey. Such retinues, however, are more commonplace in the Middle East.

Steven Randolph, a butler who cut his teeth at Buckingham Palace before founding Randolphs, his own butler recruitment firm, remembers working for one prominent family from the region.

"We were at a property in Paris, and I was quite surprised the first time they had family visit. I looked out the window and counted 40 people lined up outside. This was for a family of two," he recalls. "There are not many stately homes in London that would employ such a huge number of staff."

Randolph also notes that while butlers stationed in the Middle East can earn a decent income ($150,000 for a top earner), the hours tend to be longer. The region can also prove isolating.

"I worked in Saudi Arabia for some time, and you have to adjust yourself to the fact that you have no social life," says Seddon-Holland. "You can't go out for a beer and meet women. It just doesn't happen in Saudi or Oman, or other countries in the area."

Still, he says, in many ways the nature of the work is less intense than in other parts of the world.

"I don't have to deal with drunks, or people whacked out on Prozac; I don't have problems with prostitutes or gambling. Those things are out the window in the Middle East. I worked for two royal families in strict Islamic countries, and the day was so stress-free, I can't describe it," he says.

Even outside of royal circles, the style of service founded by the British remains popular. Several hotels in the region supply private butlers to every guest. According to Randolph, the demand for these hotel butlers has "gone through the roof."

While private butlers remain fairly homogenous, in the hospitality industry, the demographic has changed considerably. As wealthy Chinese and Russian tourists flock to the region, hotels are clamoring to offer the standard of service these guests have come to expect, in a language they understand. As a result, the face of butler service in the region is often, unexpectedly, Chinese.

"Due to the rapid growth of tourists from China, we needed to ensure the high level of customer satisfaction and have a strategy," says Izabela Hamilton, a spokesperson at the Burj Al Arab Hotel, which employs 200 butlers -- none of them British. Hotel management makes regular recruitment trips to China, and all staff are encouraged to learn Mandarin.

According to Sara Vestin Rahmani, director of butler agency Bespoke Bureau, and Peek-a-Boo, a sister placement firm for nannies, some families hire Chinese staff to give their children a headstart.

"People think, 'OK, a lot of stuff happening in the world will be in China,' and they want their kids to be ahead of the game, so they hire Mandarin-speaking nannies from us," she says.

Despite a burgeoning supply from China and demand from the Middle East, Josephine Ive, who heads up Magnums Butlers and trains 600 Chinese service staff yearly, says her students are often hesitant to make the trip.

"Many Chinese parents are reluctant to let their offspring go to other countries. They prefer their young people to be chaperoned for safety," she says, adding that the Middle East's reputation for racial hierarchy doesn't help.

Seddon-Holland, however, thinks the region offers enough perks to overcome most quibbles.

"Don't let what you see on Fox News shape your views," he says. "If you keep an open mind, it can be a wonderful place to work.

@highlight

British butlers sought after for wealthy in Middle East

@highlight

Growing trend for hotels in the region to offer personal butlers to guests

@highlight

Number of Chinese butlers increasing as more travel to the region