(CNN)  -- Dr. George Tiller knew that violence could come at any moment. For a reminder, he needed to think only of the old gunshot wounds in his arms from 1993 or the bombing of his clinic years earlier.

Dr. George Tiller was one of the few U.S. physicians who performed late-term abortions.

Still, Tiller, who was fatally shot at his Kansas church Sunday, continued to provide the late-term abortions that often brought protesters to his Women's Health Care Services clinic in Wichita.

Tiller, one of the few physicians who was still offering such abortions in the United States, "made an effort to live his life as normally as possible, knowing he could be a target at any time," said Peter Brownlie, president of the regional Planned Parenthood office in Kansas City, Missouri.

Normal came with an asterisk. The 67-year-old had armed security at his clinic and a "pretty rigorous" security procedure at home, Brownlie said.

Scott Roeder from the Kansas City, Kansas, area is being held without bail in the shooting, according to the sheriff's office Web site. A motive wasn't immediately known. But if someone targeted Tiller for his work, it wouldn't be the first time.

"What a gentle soul," said Suzanne Poppema, chairwoman of the board for the Physicians for Reproductive Choice and Health, national network of abortion-rights physicians who are committed to providing the best possible care for patients. Tiller also served on the board for the group."He was a rational intelligent human being."

Poppema called his death"the ultimate backwardness."

She said the threat of attack was often a concern for Tiller and is a worry for many doctors and medical students who choose to perform abortions.

"It wears on your psychology, because you always have to be looking over your shoulder, thinking, 'Is today OK or not OK?' " Poppema said. "Because you are doing work that is medically correct and yet having to operate as if you live in a war zone."

Poppema said the attacks, even after Tiller was shot through both arms in 1993, didn't deter him from practicing. An ardent foe of abortion, Shelley Shannon, was convicted of attempted murder and is serving a 20-year sentence in federal prison for the shooting.  See all abortion-related attacks since 1993 »

Tiller's clinic was damaged by a bombing in the mid-1980s, and it has been picketed for years, with some activists distributing leaflets around his neighborhood, Brownlie said.  Watch background on George Tiller »

"He endured that kind of stuff on a very frequent basis," Brownlie said. "As recently as early this month, the clinic sustained serious vandalism that put them out of commission for a week or so."

Tiller, a former Navy flight surgeon, took over his father's Wichita medical practice where abortions were performed during a time when the procedure was illegal.

Tiller's practices had an effect on proposed abortion legislation. This year, before she was sworn in as U.S. secretary of health and human services, Kansas Gov. Kathleen Sebelius vetoed a bill that would have required doctors to give more details when justifying late-term abortions to the state health department, the Wichita Eagle reported.

Tiller also made a mark on Sebelius' confirmation process for the health and human services post. Sebelius came under fire in part because Tiller and his staff attended a 2007 reception that Sebelius held at the governor's mansion and because she originally failed to account for donations she received from him.

Tiller, a University of Kansas medical school graduate, had been practicing medicine for about 40 years, starting as an intern at a U.S. naval hospital and later becoming a Navy flight surgeon in California, according to his clinic's Web site.

He started providing abortion services in 1973 and became the clinic's director two years later, according to the Web site. The clinic also provided grief counseling and funerals.

His patients were "almost always in circumstances where something had gone horribly wrong with a pregnancy" and where a woman's health would be endangered if the pregnancy continued, Brownlie said.

His willingness to perform late-term abortions as more and more doctors abandoned them made Tiller a lightning rod for anti-abortion rights activists and legislators.

Kansas law generally allows abortions even into the third trimester so long as the physician determines that the fetus isn't viable. A doctor who makes such a determination after 21 weeks gestation must report the reasons why the determination was made.

"Third-trimester abortion is simply a part of abortion," Tiller told Wichita TV station KAKE in 1999. "We have constructed our clinic and our philosophy along the lines that until you have natural survivalhood [of the fetus], the woman is the patient, not the fetus.

"When does natural survivalhood come on? ... Sometime after the end of the second trimester."  Watch panel discuss implications of his slaying »

But even if a fetus is determined to be viable after 21 weeks, Kansas law still permits a doctor to perform an abortion if that physician and another determine that the procedure is necessary to preserve the life of the woman.

Tiller was the only Kansas doctor still performing late-term abortions in Kansas, the Wichita Eagle reported. His Web site said his clinic had "more experience in late abortion services over 24 weeks than anyone else currently practicing in the Western Hemisphere, Europe and Australia."

He faced repeated legal challenges. In March, he was acquitted on 19 misdemeanor counts relating to how he obtained second opinions for late-term abortions, according to the Wichita newspaper.

In 2008, an inquiry initiated by abortion opponents who petitioned state authorities to convene a grand jury ended without charges.

Tiller is survived by a wife, four children and 10 grandchildren. In a statement issued Sunday through Tiller's lawyers, his family said their loss "is also a loss for the City of Wichita and women across America."

"George dedicated his life to providing women with high-quality health care despite frequent threats and violence. We ask that he be remembered as a good husband, father and grandfather and a dedicated servant on behalf of the rights of women everywhere."

CNN's Matt Smith and Josh Levs contributed to this report.

@highlight

George Tiller was one of few remaining doctors in U.S. offering late-term abortions

@highlight

He had been shot in 1993 and lived under the constant threat of violence

@highlight

He made mark on confirmation process for head of health and human services

@highlight

"Third-trimester abortion is simply a part of abortion," Tiller said in 1999