Washington (CNN) -- Some conservatives unhappy with House Speaker John Boehner's leadership are looking for a replacement, and recent moves by Texas Republican Jeb Hensarling are fueling speculation he wants Boehner's job in the next Congress.

Hensarling, who was part of Boehner's leadership team two years ago but left to chair the House Financial Services Committee, gave an expansive speech last week hosted by Heritage Action for America, a group that frequently and publicly clashes with Boehner.

Asked afterward if he was interested in running for speaker, Hensarling initially said he was "flattered," and said, "It's not something I've aspired to. It's not something I'm thinking about."

But then he left the door open, saying, "No, I haven't been Shermanesque, again I'm not sure there's any opportunity I want to foreclose."

While Heritage Action's Chief Executive Officer Michael Needham told CNN that his group doesn't get involved in leadership races, the conservative group gave Hensarling a high-profile platform to outline his own conservative philosophy for governing.

Needham said there is a "real need to take on sacred cows in Washington at time when the party too often looks after K Street," a reference to the downtown D.C. address for corporate lobbyists. He said, "Jeb Hensarling is a great spokesman and fighter for conservative values."

Boehner has said he's staying put

Boehner, in his 12th term in Congress and in his second as speaker, continues to insist he's not going anywhere and expects to remain in charge next year. But he raised questions earlier this month when he wouldn't commit to serving out another full term as speaker.

At the beginning of the current Congress in January 2013, a dozen House GOP members voted for someone other than Boehner, or voted "present," an expression of no confidence. Many in that small group are convinced Boehner won't run for his post after this year's midterms or that he won't have the votes to keep that title.

If Boehner decides to step down from the position, House Majority Leader Eric Cantor is popular among conservatives, and most expect him to move up and take the speaker's gavel. In that scenario conservatives could wage an effort to fill in top House GOP posts.

Boehner on the establishment and the tea party

Multiple House Republicans -- some who voted for Boehner in 2013 and some who didn't -- praised Hensarling as a solid conservative, but also told CNN there's a short list of others who are viable candidates.

Many House Republicans interviewed by CNN declined to talk openly about potential leadership challenges, but admitted there are informal discussions about options.

The names repeatedly raised include Ohio Republican Jim Jordan, who like Hensarling is a former chairman of the fiscally conservative Republican Study Committee; Louisiana Republican Rep. Steve Scalise, who currently heads that group; and Georgia Rep. Tom Price, another former study group leader who also served in Boehner's leadership team in the last Congress.

"The one consensus point is that we'd like to see more conservatives in future leadership posts," Louisiana Republican John Fleming told CNN.

But he cautioned for now there's no single alternative emerging to Boehner -- or anyone who might want to challenge the speaker's current top lieutenants -- Cantor and GOP Whip Kevin McCarthy. He said he expected more serious discussions to ramp up by the end of the summer.

Hensarling's recent speech at Heritage may be a way to ensure his name gets in the mix. The Texas Republican used the speech to position himself firmly on the right. He called out his own party for breaking with its free market roots, arguing that the party should be shifting away from policies designed to help big business and the well-connected and instead champion policies to help the "Main Street competitive economy."

The thrust of Hensarling's speech lines up with the message many on the right flank of the House GOP conference have been pushing. Idaho Republican Raul Labrador has publicly criticized House GOP leaders for pushing a legislative agenda that positions the GOP as the "party of big business" and doesn't resonate with small businesses and entrepreneurs.

Challenging the party

Hensarling argued those on Main Street are "not looking for a subsidy, earmark, tax preference or legislated advantage."

On a series of issues -- tax reform, farm policy, reform of mortgage giants Freddie Mac and Fannie Mae -- Hensarling challenged his party to hold votes on legislation that would restructure current federal systems.

The bulk of Hensarling's ire was directed at the Export Import Bank, the 80-year-old credit agency that gives out loans to companies to promote U.S. exports. The bank's lending authority is due to expire at the end of the year.

Hensarling defended 2013 GOP shutdown strategy

Hensarling held it up as the poster child of corporate welfare, citing that the vast majority of its taxpayer backed loans go to companies like aircraft manufacturing giant Boeing. He said getting rid of the bank "is a defining issue for our party and our movement."

If Hensarling or anyone else is serious about mounting a challenge, the Republicans that CNN interviewed all agree that if they are serious they need to move soon.

"It seems to me that the odds of there being some type of change within the leadership team seem to be more likely than less, and so as long as there are members talking about it it's better to do so early than late," Iowa Republican Rep. Steve King told CNN.

North Carolina Republican Rep. Walter Jones, who opposed Boehner in the last election, told CNN that he hears from Republicans in his district that it's time for a leadership change in Washington.

"There is a great deal of frustration," Jones said.

He wasn't sure if Hensarling or someone else was the right fit, but said a successful campaign required several months or preparation.

A few months ago unhappiness about Boehner's handling of government spending fights and concern he would negotiate with Democrats on a major immigration bill roiled the conference. But because members aren't coalescing around a single alternative, the vacuum gives Boehner some job security for now.

Fleming said tension is down between conservatives and Boehner because the speaker agreed to form a select committee on the deadly Benghazi terror attack and hold a House vote that held former IRS official Lois Lerner in contempt for the controversy around her agency's targeting of conservative groups.

He said "there are less things that divide us -- but the one question would be immigration."

@highlight

Boehner has been speaker since 2011 and has said he's not going anywhere

@highlight

Hensarling says he's flattered by the attention, but is not thinking about being speaker

@highlight

But he's leaving the door open as some conservatives have been unhappy with Boehner's leadership