I met an entrepreneur recently who was comparing doing business in Asia's two biggest countries. "When I'm in India," he said, "I spend the first 40 minutes of any meeting exchanging niceties. In the last five minutes, we get to business." What about China? "We do business for 40 minutes. Right at the end, we chit-chat for five."

It's only an anecdote, but the results seem to bear it out. China gets things done; India invents ways not to. China dazzles the world by hosting an impeccable Olympics; India struggles to complete basic infrastructure for the Commonwealth Games.

Perhaps that's why it's fascinating to watch the rise of India's Narendra Modi, the man many believe will be India's next Prime Minister. Modi's sales pitch is simple: he gets things done. For Indians, it's a seductive notion: Can India be like China?

There is no doubt that India has room to improve. Consider productivity: India's ranks 60th in the world on the World Economic Forum's ranking of countries by competitiveness (China is 29th). Or consider ease of doing business: the World Bank ranks India 134th in the world. If you want to start a business, the World Bank says India ranks 179th in the world -- in other words, go ahead and explore opportunities in 178 other countries before you settle on India. It's as good as putting a "closed" sign on the shop door.

For businesses in India and beyond, Modi represents an end to red tape. India's financial markets are salivating at the prospect of his leadership -- stocks are up 20% since his candidacy was announced last September.

If you speak to voters in his home state of Gujarat -- which has flourished with Chinese levels of growth under his leadership in the last decade -- Modi represents the joys of getting rich. Sounds familiar? That's because it evokes Deng Xiaoping, the Chinese premier who kick-started national reforms and an unprecedented period of growth.

It's not just Deng. Modi has been compared to a number of world leaders. Some say he would be like Lee Kuan Yew,  Singapore's visionary leader. (Note that implicit in these comparisons is the understanding that Modi could tend toward being authoritarian).

Others say the best person to compare Modi to is U.S. President Ronald Reagan -- because both were outsiders resented by traditional elites. Still others insist the best analogy is former British PM Margaret Thatcher, because of their shared appetite for privatization and small government.

Modi could be any -- or none -- of those leaders. The truth is we just don't know; we don't have enough information about his track record, and how it could translate across India. But the larger point is that this is not just about Modi, it's about India.

The Carnegie Endowment's Milan Vaishnav rightly points out that even the most reform-minded prime minister would face many hurdles. Among them, Vaishnav cites a J.P. Morgan study of 50 of the central government's stalled investment projects: 40 of them fell through because of state, and not central, red tape. Constitutionally, there's little a prime minister can do about that, no matter how reform-minded.

Let me use another anecdote to explain the task ahead for the world's biggest democracy. Indians are infamous for being unpunctual. So, one wonders, is that genetic? Are Indians inherently prone to being late to meetings? The answer is no. Take an Indian who is unpunctual, and place him in New York -- he'll likely be on time for every meeting he schedules.

Similarly, a New Yorker would likely become unpunctual in New Delhi. The reason is that punctuality is based on economic incentive -- if everyone is always on time, then it makes sense to make an effort to be on time. It follows then, punctuality is based on inertia. If everyone's doing it, it's in your best interest to follow suit.

In a free democracy like India, progress is based on inertia, too. Everyone needs to push at the same time. Indians can dream to have cities like Singapore, Hong Kong or Beijing. But to do so they will need more than just one reform-minded leader. They will need change from the bottom up.

For better or worse, such is the nature of India's secular, constitutional democracy. India can certainly learn from China. But to do that, it doesn't have to become China. In the next few weeks and months, that is the issue Indians will be debating.

@highlight

Ravi Agrawal: India's business culture could profit from being more like China's

@highlight

He says many in India hope winner of the election will introduce more efficiency

@highlight

While new leadership can focus on economy, it's not so easy to reshape a nation, he says

@highlight

Agrawal: For real change, the impetus has to come up from the bottom up