Islamabad, Pakistan (CNN) -- A senior Pakistani intelligence official told CNN Friday that U.S. military personnel have left a southern base said to be a key hub for American drone operations in the country's northwestern tribal areas.

It is the Shamsi Air Base in Pakistan's Balochistan Province, from which drones are said to take off and where they are refueled for operations against Islamic militants.

The development comes amid a public furor over American drone attacks, which have killed civilians.

A suspected U.S. drone strike Friday in the Pakistani tribal region killed 25 people, including eight civilians and 17 militants, a Pakistani intelligence source said. This came after another strike on March 17 killed 44 people, most of them civilians.

Yet a U.S. official disputed the Pakistani contention that civilians died in Friday's drone strike.

"There is no evidence to support that claim whatsoever," the U.S. official said.

Another senior Pakistani intelligence official, who did not want to be identified discussing a sensitive issue, confirmed that the Americans had been using the base as a center of operations for launching drone strikes. He was not able to confirm the Americans had left.

While the first official was able to confirm that American personnel were no longer operating out of the base, he could not say whether they had left voluntarily or at the request of the Pakistani government.

The operation of the base -- not publicly acknowledged by the American government -- has always been presumed to have occurred with tacit Pakistani military consent.

It was not clear from the Pakistani officials when the presence there began or when it ended.

A U.S. military official who did not want to be identified told CNN: "There are no U.S. forces at Shamsi Air Base in Balochistan." He did not respond at the time or in writing to queries as to whether U.S. personnel had been based there in the past.

The departure of American personnel -- if confirmed -- would be significant because of increasing strain between Islamabad and Washington sparked by the continuing drone attacks and by the Raymond Davis affair, in which a CIA contractor fatally shot two Pakistani men in a Lahore neighborhood.

It has always been unclear how many drone bases the United States operates in or near Pakistan. But the Friday attack in North Waziristan that killed 25 people would indicate the United States maintains the capability to strike tribal areas with drones.

Carl Forsberg, research analyst at the Institute for the Study of War think tank, said he doesn't think the alleged move will affect the effort using drones to target the Haqqani Network and other militant groups holed up in the tribal region.

That's because many strikes have been conducted from closer bases, such as those across the Pakistani border in eastern Afghan provinces. He said the Pakistanis could be making the alleged move to appease a populace angry at the United States.

The southern air base, he said, doesn't appear to be integral to the tribal area fight and is probably a supporting base.

"It's not like the Pakistanis shut down the program," he said. "It's possible they want to do this as a means of pre-empting drone strikes in Balochistan," where there is a Taliban presence.

"The United States has an interest in going after the Taliban in Balochistan" he said, and in an ideal world the United States would like to target Taliban sanctuaries in that region with drones.

Also, he said, it's possible the Pakistanis are using pressure on the United States to offset any U.S. pressure on them.

He said it's no coincidence that the development emerged after Adm. Mike Mullen, chairman of the Joint Chiefs of Staff, visited Islamabad.

In an interview that aired Wednesday on Pakistan's Geo TV, Mullen spoke forcefully about the Haqqani Network, which he said "very specifically facilitates and supports the Taliban who move in Afghanistan, and they're killing Americans."

"I can't accept that and I will do everything I possibly can to prevent that specifically," he said.

Then Mullen said Pakistan's Inter-Services Intelligence "has a longstanding relationship with the Haqqani Network. That doesn't mean everybody in the ISI, but it's there."

"I also have an understanding that the ISI and the (Pakistani military) exist to protect their own citizens, and there's a way they have done that for a long period of time," Mullen said. "I believe that over time, that's got to change."

A senior Pakistani intelligence official responded by saying, "We do have a relationship: that of an adversary."

"We have made our resolve very clear that (the Haqqani Network) is an enemy we need to fight together," said the official, who did not want to be identified discussing intelligence matters.

The Pakistani intelligence official told CNN that "we have our hands full" fighting other Islamist militant groups along the border with Afghanistan, notably those under the umbrella of the Lashkar-e-Tayyiba, "and once we are through with them we can turn on the other (the Haqqanis). We do not have the capacity to undertake simultaneous operations."

The official said the "onus of providing proof of this" relationship was on the Americans and it was not up to the ISI "to start providing clarification."

Asked if offense was taken from Mullen's remarks, the intelligence official said: "Not personally, no."

In Friday's attack, a drone fired five missiles on a hideout in Mir Ali of North Waziristan, one of the seven districts of Pakistan's volatile tribal region bordering Afghanistan, two intelligence officials said.

The officials said the militants, who were staying in the hideout, were planning to move into Afghanistan for an attack against coalition forces.

The militants were local Taliban members from Orakzai agency, another district of Pakistan's tribal region, who were trained for war, the officials said. The intelligence officials asked not to be named because they were not authorized to speak to the media.

But the attack also killed at least three women when one of the missiles hit a house next to the targeted compound, officials said. The Pakistani intelligence source identified the civilians killed as five women and three children.

Friday's drone strike was the 20th this year compared with 111 in all of 2010, based on a CNN tally.

The strike comes two days after Pakistan issued a strongly worded statement condemning deadly suspected U.S. drone strikes in the country's tribal region.

"Drone attacks have become a core irritant in the counterterror campaign," a statement from the Ministry of Foreign Affairs said Wednesday. "We have repeatedly said that such attacks are counterproductive and only contribute to strengthen the hands of the terrorists."

CNN's Joe Sterling and Pam Benson contributed to this report.

@highlight

NEW: A U.S. official disputes a Pakistani claim that civilians died in a drone strike

@highlight

U.S. military personnel depart a Pakistan base, a Pakistani official says

@highlight

The location is a hub of drone activity, another official says

@highlight

The news comes amid public furor over civilians killed in drone strikes