(CNN) -- The global oil market is on tenterhooks as a result of the violent Sunni insurgency sweeping down from northern Iraq and threatening Baghdad.

Iraq has the world's fourth-largest oil reserves and the uncertainty has pushed the price of the global benchmark, North Sea Brent, up 10% in the last two weeks to as high as $115 a barrel.

Oil has hit a nine-month high and is close to what many would consider an economic danger zone. Another $10 spike could undermine growth from the U.S. to China by pushing up the cost of transportation and production.

But the real acid test for the market is unfolding now, as the ISIS militants enter Saddam Hussein's former territorial stronghold around the Baiji refinery. And markets are pricing in a potential supply risk -- including the possibility of a divided Iraq.

Baiji is a sprawling complex with a refining capacity of 290 thousand barrels a day, according to the former head of energy studies at OPEC Saadallah Al Fathi. The battle for Baiji, with conflicting reports of who is in control, is indicative of what is wrong in Iraq. There is no cohesive national strategy that brings together Sunnis, Shiites and Kurds.

The national petroleum law has been parked within Iraq's parliament for five years. The bill would finally establish a revenue sharing agreement for national production from the Shiite south to the Kurdish north, and eventually the under-explored south-western corner of the country.

The government of Prime Minister Nouri al Maliki, as U.S. Secretary of State John Kerry said in his bi-lateral meeting Monday, has been unable to unite Iraqis. One could argue the country's oil bounty has been a blockade in efforts to find a resolution.

Iraq has been a growing force in the markets. The executive director of the International Energy Agency Maria van der Hoeven recently described it as a country with the last of the "easy oil." It is not difficult to find or to produce and it is plentiful, but last week she noted its "expansion looks increasingly at risk," in the IEA's Medium Term Oil Market Report.

The country sits on an estimated 143 billion barrels of proven reserves. Daily output hit a 35-year high of 3.6 million barrels day this year, placing Iraq right behind Saudi Arabia, within OPEC.

Last year, Iraq's Deputy Prime Minister for Energy Hussain Al-Shahristani told me of aspirations to hit 12 million barrels a day in the next decade, which would put it head-to-head with Gulf heavyweight Saudi Arabia. The IEA is suggesting about half of that level would be an ambitious target.

But the market is far more cautious, and is pricing in a severe interruption to those production plans. There is, indeed, a "new reality" on the ground, as Masoud Barzani, president of the Kurdish Regional Government, told U.S. Secretary of State John Kerry Tuesday.

Not knowing how the ISIS insurgency will play out, or who will control refining capacity, could favor Shiite-controlled facilities around Basra in the south and Kurdish-controlled production blocks in the north.

A "who's who" of big oil names -- Exxon Mobil, Shell, BP, Total, Lukoil of Russia and China National Petroleum -- operate out of both areas. Further upset will send significant ripples through the world markets.

Executives I have spoken to say they have not yet suffered security breaches, but that they have set up private forces to protect oil assets.

The executives speak of evacuation plans that are in place, but at this stage do not believe they will be needed. But, as Barzani has said, Iraq is in a new reality.

@highlight

The global oil market is on tenterhooks as the ISIS insurgency sweeps Iraq

@highlight

Oil prices are rising as markets take in risk -- and the chances of a split Iraq

@highlight

The country has huge oil reserves which have so far escaped major upset

@highlight

But the insurgency has now reached Baiji, a key oil refinery