WASHINGTON (CNN) -- The FAA has not effectively implemented a program designed to keep birds and other animals from causing damage to airplanes, according to an audit from the Department of Transportation.

The agency did not have robust inspection practices, inspectors did not have expertise in wildlife hazards, and they failed to keep adequate records of inspections, Jeffrey Guzzetti, the assistant inspector general for aviation and special program audits, wrote.

Aircraft strike thousands of animals each year. In 2011, there were 9,840 strikes -- nearly 27 a day -- recorded by the FAA, according to the report. The number is five times the number of strikes that were reported in 1990, due in part to increasing bird populations.

The results of a collision with wildlife often are minor but they can cause serious problems, including engine failures like those that forced US Airways Flight 1549, the so-called "Miracle on the Hudson," to crash land in the river.

Twenty-four people have died in the U.S. and 229 worldwide due to wildlife strikes since 1988, according to the report. About 600,000 hours of aircraft downtime and $625 million in damages are caused each year by the incidents.

Next generation of supersonic flight

"Inspectors we spoke with mostly relied on interviews with airport personnel to determine compliance with regulatory requirements, rather than reviewing strike and airport records," the report says.

Auditors randomly selected 40 airports and found inspectors at 21 of them "did not know whether the airports' assessments and plans had been FAA reviewed and approved or whether the airports were even required to conduct an assessment or develop a plan."

Of the 35 airports auditors looked at with FAA wildlife hazard assessment plans, 27 did not comply with at least one requirement despite FAA inspection documents showing they did.

Inspectors did not initiate enforcement actions when airports didn't follow the rules 25 times at eight of the airports visited, according to the audit.

BA Googles passengers

Many of the policies for reporting and preventing wildlife hazards are voluntary, which the inspector general concluded limits their effectiveness. Auditors found that one airport reported 90% of strikes while another reported only 11%. Overall, only about 21% of strikes in logs at the airports examined were reported to the FAA.

"Without full reporting and complete data on wildlife strikes, it is difficult to fully analyze the magnitude of safety issues, the nature of the problems, and the economic cost of wildlife strikes," the report found.

The report suggested 10 changes to address the problems found, including mandatory and full reporting requirements as well as performing better inspections and reviews of plans.

Airlines shrink legroom in coach

"It is imperative that FAA improve its management processes by improving oversight and enforcement of program regulations, making strike reporting mandatory, establishing performance metrics, and strengthening coordination with other governmental agencies," the audit concluded.

Responding to the audit, the FAA agreed with six of the recommendations, but only partially agreed with three, and disagreed with one.

Flight returns after engine problem

"FAA has devoted considerable effort to improving the outcomes from its work with airports and the aviation industry to reduce wildlife related hazards to aviation," Clayton Foushee, the FAA's director of audit and evaluation, wrote.

The agency rejected the audit's calls for mandatory and full reporting and cited a 2009 report that concluded "the current level of voluntary strike reporting is sufficient for determining national aircraft strike trends, determining the hazard level of wildlife species involved in aircraft strikes, and for providing a scientific foundation for FAA policies and guidance regarding the mitigation of risk from wildlife strikes."

Top officials among those killed in Sudan crash

The FAA is working to gather data, expand and improve regulations, use technology to track animals, and increase training, raise awareness, he said.

"While wildlife strikes have increased ... the percentage of significant strikes, in which multiple strikes occur simultaneously or in which an air carrier experiences a damaging collisions has decreased markedly, from 20% of total reported strikes in 1990, to 9% in 2010."

"In our opinion, FAA is missing an opportunity to fully address one of its biggest challenges by not meeting the full intent of these recommendations," the audit said. "Accordingly, we request that the agency reconsider its position."

@highlight

About 27 airplanes each day hit an animal

@highlight

Audit found FAA inspectors lacked expertise, failed to keep complete records

@highlight

Report made 10 recommendations

@highlight

FAA rejects call for mandatory and full reporting