(CNN) -- As beer bottles flew and bonfires burned at the annual Pumpkin Fest in Keene, New Hampshire, over the weekend, those following the events online compared the "riotous behavior" near Keene State College to protests in Ferguson, Missouri.

Their common refrain: a racist double standard in law enforcement response and media coverage that they attempted to mock using hashtags #PumpkinSpiceRiots and #Pumpkinfest, among others.

'Apples to oranges'

Such comparisons are complicated, experts say, because Keene and Ferguson arose from different circumstances. Yes, law enforcement deployed tear gas and rubber bullets at both scenes, but otherwise, the two events are an "apples to oranges comparison," said Donna Murch, associate professor of history at Rutgers University in New Jersey.

Based on what we know about Keene, the mostly white riots appear to have stemmed from alcohol-fueled parties. Ferguson is an ongoing, organized movement prompted by the shooting death of an unarmed black teen, said Murch, whose research focuses around civil rights, social movements and policing.

"It demeans Ferguson and St. Louis to compare them to Pumpkin Fest," said Murch, who has spent time with protesters in Missouri. "While the use of tear gas reflects how normative these militarized population control measures have become, Ferguson is a political movement, and looting (in Keene) is quite different from the civil disobedience we're seeing in Ferguson."

Sentiments about the militarization of law enforcement echoed throughout social media over the weekend, but they were largely overshadowed by racial discourse. That's where the conversation took a productive turn, Murch said: by shifting the discussion from comparisons between Ferguson and Keene to differences in how society perceives black and white behavior.

"That kind of comparison is really important because it's those attitudes that make state violence possible," Murch said. "White youth are allowed to be children and have a sense of protection no matter how they behave, while black youth are criminalized by justice system. They're not allowed to have childhoods."

Perceptions of behavior

Those perceptions extend to riots, too, which most people tend to associate with the black community, said Victoria W. Wolcott, director of undergraduate studies at the University of Buffalo-New York and author of "Race, Riots, and Roller Coasters: The Struggle Over Segregated Recreation in America."

"Race riots" tends to conjure memories of the Rodney King acquittal or 1967 Detroit, but those are anomalies, Wolcott said. Throughout history, white mobs have perpetrated the majority of racially motivated riots against the black community over integration in public and private life -- from the 1863 draft riots to the civil rights battles of the 1960s.

"It speaks to the notion that white violent behavior is not something talked about or stigmatized in the media or in mainstream society to extent that African-American rioting or looting behavior is," Wolcott said.

Pumpkin Fest was a dramatic version of that because of initial characterizations of crowd behavior as rowdy: vandalization of cars and streets signs, fighting police and setting fires in the streets. White people frequently get "rowdy" at sporting events or music festivals, but that behavior is not associated with the white community on the whole in the same way that instances of looting or vandalization tend to be associated with the black community, she said.

"White behavior gets normalized," she said. "In the African-American community, the long-term complaint is that the behavior of a small number of people stigmatizes the entire race or community. But you don't hear that same racialized language about small groups of white people that behave badly. They do not stigmatize the community in the same way."

Picking battles

Journalism professor Douglas M. McLeod of the University of Wisconsin-Madison agrees that comparing the nature of the two events is "preposterous," seeing as Ferguson arose from "enduring, longstanding" issues related to race and inequality that keep the protests alive, unlike in Keene.

But as far as media coverage goes, he sees the two as having more in common than others might believe. Both instances were framed as narratives in which the media strove to maintain neutrality by depicting facts on the ground -- what happened, who was there, how many arrests -- essentially, a story pitting police against the crowd instead of going deep into the themes and issues.

"When we do that, the underlying message is, here's a group that was creating chaos or disrupting order, and the response of police was to restore order," said McLeod, whose research focuses on the impact of media coverage in social conflicts.

"If there is justification for being upset about the coverage, it's the fact that the Ferguson situation was treated so much like the New Hampshire, not that they were treated differently. They were treated like they didn't have enduring issues or evidence to support their frustrations and claims."

He understands the history of discrimination and inequality that gives rise to frustrations when incidents like this occur.

But "If I were them, I'd pick their battles to focus on the bad coverage in Ferguson," he said.

"There are a lot of things to be concerned about in racial inequity and discrimination. This may not be the best example case to hold up."

@highlight

Experts say what happened in Keene was a riot; Ferguson is a political movement

@highlight

And yet Pumpkin Fest violence prompted important debate about racial perceptions