Editor's note: Kiron K. Skinner is an associate professor of international relations at Carnegie Mellon University, directs the university's International Relations and Politics Program, and is a research fellow at the Hoover Institution at Stanford University. She is the co-author, along with Serhiy Kudelia, Bruce Bueno de Mesquita and Condoleezza Rice, of "The Strategy of Campaigning: Lessons from Ronald Reagan and Boris Yeltsin."

Kiron Skinner says the Nobel Committee recognizes the predominant power of the United States.

(CNN) -- As an American of African descent, I swelled with pride when I heard that the Norwegian Nobel Committee selected President Obama to receive the Nobel Peace Prize. The award further validates what the 2008 presidential election demonstrated: The United States is the most mature and fully functioning multi-ethnic democracy in the world.

Despite its emphasis on multilateralism, the Norwegian Nobel Committee's statement also recognizes the predominant power of the United States.

The accepted wisdom among diplomats is that the international system is multipolar because of the increasingly multilateral governance structure of the world's numerous international institutions. In reality, however, the United States is by far the single greatest economic, military and political power on earth. Furthermore, many international institutions are dependent upon the United States for their survival.

Announcing the award, the Norwegian Nobel Committee said "multilateral diplomacy has regained a central position, with emphasis on the role that the United Nations and other international institutions can play." The Committee thus joins a chorus of international forums that contend that multilateralism is the hallmark of the international system.

Today there are more formal and informal international institutions than ever before, and they share a common theme. Leaders attending the G-20 summit in Pittsburgh, Pennsylvania, on September 24-25 declared that the G-20, a collection of advanced economies and fast-growing developing economies, would replace the G-7/G-8, the long-standing group of advanced economies, as the "premier forum for our international economic cooperation."

This decision is seen in no small measure as bowing to pressure from states such as Brazil, China and India that have powerhouse economies but have been left out of key international economic meetings such as the G-8, which includes the United Kingdom, the United States, France, Germany, Japan, Italy, Canada and Russia.

The G-20 leaders also agreed to increase the voting power of developing countries in the World Bank by at least 3 percent and to shift the quota share in the International Monetary Fund from developed countries to countries in economic transition by at least 5 percent.

The Nobel Committee's sentiment was expressed at the G-8 summit in L'Aquila, Italy, in July when the G-8 countries joined with the G-5 (Brazil, China, India, Mexico, and South Africa), Egypt and the European Union to declare: "Our purpose is to foster a genuine partnership, in the context of a strengthened multilateralism."

That is similar to what BRIC -- Brazil, Russia, India, and China -- stated at its first summit on June 16 in Yekaterinburg, Russia: "We underline our support for a more democratic and just multipolar world order based on the rule of international law, equality, mutual respect, cooperation, coordinated action and collective decision-making of all states. ... We express our strong commitment to multilateral diplomacy with the United Nations playing the central role in dealing with global challenges and threats."

The very next day, the members of the Shanghai Cooperation Organization (China, Kazakhstan, Kyrgyzstan, Russia, Tajikistan, and Uzbekistan) put the matter more starkly as they concluded their summit: "The tendency towards true multipolarity is irreversible."

An increasing number of regional and international institutions with evolving memberships and leadership are multilateral. The world, however, is not multipolar.

Consider some important facts: the United States has the largest gross domestic product defined in terms of purchasing power parity of any single state in the world; it is surpassed in GDP only by the European Union, a collection of states; and its GDP is twice that of China, its nearest competitor. The United States accounts for approximately half of the world's defense spending and it provides extended military deterrent cover for many of its allies, especially European.

Whether it is the subject of positive or negative international public opinion, the United States is a major source of cultural, political and social power in the world. In its recently released Global Competiveness Report, the World Economic Forum placed the United States just behind top-ranked Switzerland, hardly a nation best positioned to lead the global economy. It is reasonable to expect that the United States will soon regain the number-one position it held in earlier World Economic Forum competitiveness reports.

International political, economic and military realities are not changed merely by declaring that they are something different from what they are. I believe the Nobel Committee knows this better than those writing communiqués for the various international institutions.

The Committee asserts that President Obama has "created a new climate in international politics." In other words, it recognizes the United States' predominant global power -- power that does not appear to be diminishing and that is capable of shaping many of the multilateral institutions that depend on it.

The opinions expressed in this commentary are solely those of Kiron K. Skinner.

@highlight

Kiron Skinner: It's become fashionable to talk of a "multipolar" world

@highlight

She says U.S. economy and defense forces still dominate the world

@highlight

Skinner: Obama's Nobel Prize recognized the primacy of the U.S.