(CNN) -- Syrian security forces unleashed a deadly push on a prominent university to clamp down Thursday on student dissent, the opposition said.

Violence flared at Aleppo University, a sprawling institution in the country's largest city. It is one of several schools across the country where demonstrators have turned out in recent days to protest government policies.

Seven people, including six students, were killed Thursday in the university city area, the opposition Local Coordination Committees of Syria said. They were among a total of 32 Syrians killed nationwide by security forces, the LCC said.

Another opposition group, the Syrian Observatory for Human Rights, said at least 28 people were wounded and about 200 students were arrested.

Soldiers also fired at the hospital where the wounded were taken, leading to more casualties, said Mohammad Hareitan, 25, a student at the university. It was unclear how many more people were wounded in that attack.

The campus website said the school will be closed until final exams start on May 13 "due to the current situation."

The unrest came as the United Nations continued to try to impose a cease-fire in Syria and organize an observation force to monitor adherence by the regime and the opposition.

Can U.N. monitors help forge peace in Syria?

Amateur videos posted on the Internet show demonstrators and burned campus rooms at Aleppo University. Student demonstrators also turned out at Deir Ezzor University, the Daraa branch of Damascus University and other towns.

Rafif Jouejati, LCC spokeswoman, said the ferment is a sign that the regime is turning its focus to campus dissenters.

"They have pretty well hammered farmers and villagers. They have targeted many of the professionals," she said of the regime. "They are just shifting their attention."

Jouejati said students have been staging protests since the uprising began in March 2011 but now "more and more university students are coming out as the barrier of fear is eliminated."

The regime, she said, typically has reacted to student demonstrators by surrounding the campus where they have been protesting, arresting a few students and beating them up, she said. Now, they are "stepping up the brutality" by firing tear gas and live ammunition, she said. At Aleppo, one person died after security tossed him from a window, Jouejati said.

"This has been building up," Jouejati said. "For many of these students, it is impossible to be educated and know what's happening in your country and not stand up and speak."

She said the students taking part in the protests are from all fields of study.

"It's not just the literature people. It's the engineering folks. It's the law students. They are coming out and they are demanding freedom."

She said security forces were targeting anything that might be interpreted as dissent, such as students sitting silently on the ground. The phrase "Stop the killing!" assigns no blame, but it too has been targeted, she said.

Outrage over the crackdown at Aleppo University emerged in Lebanon.

The Syrian Revolution 2011 page on Facebook is reporting that students at the American University of Beirut were holding a demonstration in solidarity with the students in Syria.

"I stand with the students at the University of Aleppo and its martyrs," a protest flier said.

CNN cannot independently verify reports of violence and deaths within Syria because the government has restricted access by most of the international media.

The reported attacks come despite the presence of the U.N. observers, who have reported cases of cease-fire violations from the government and the opposition.

The cease-fire went into effect April 12 and is part of a six-point peace plan negotiated by U.N. and Arab League joint special envoy Kofi Annan.

Annan's plan includes allowing humanitarian groups access to the population, releasing detainees, starting a political dialogue and withdrawing troops from city centers -- a mandate the government has not met, according to the United Nations.

The U.N. observer mission is tasked to monitor the cease-fire and the peace plan.

Maj. Gen. Robert Mood, head of the mission, said 50 observers were in the country, "deployed in the provinces of Damascus, Homs, Aleppo, Hama, Idleb and Daraa," the state-run Syrian Arab News Agency said.

A U.N. peacekeeping official in New York said that as of noon ET Thursday, 33 military observers and 27 international civilian staff were in Syria.

A total of 300 are expected to be in the country by the end of the month.

A U.N. official said this week said both sides have violated the cease-fire.

Though the United States seeks an end to all violence, most of the attacks have been by the government forces, said Mark Toner, the U.S. State Department spokesman.

"So far, the Syrian regime has taken, really, almost no steps toward fulfilling the core commitments of the Annan proposal," he said.

Syria's protests started peacefully in March last year, but a government crackdown spawned violence that has left thousands dead and prompted some military defectors to take up arms against the regime forces. The government has consistently blamed the violence on "armed terrorists."

The United Nations estimates that at least 9,000 people have died in the conflict while opposition groups put the death toll at more than 11,000.

President Bashar al-Assad's family has ruled Syria for 42 years.

CNN's Richard Roth, Amir Ahmed and Tracy Doueiry contributed to this report.

@highlight

NEW: At least 32 killed Thursday, opposition says

@highlight

The number of monitors increases to 50, state media says

@highlight

The regime is shifting its focus to students, the LCC says

@highlight

Students in Beirut hold a protest in support of the Aleppo students