(CNN) -- It says it all when Europe turns to China for a bailout. That was what happened last week when the man in charge of the European Financial Stability Fund flew to Beijing to see if he could interest Chinese investors in propping up the finances of the eurozone.

How the mighty are fallen. Thirty-five years ago the average German was roughly 15 times richer than the average Chinese. Today the ratio is less than 3-to-1. Back in 1980 the Chinese economy accounted for just 2.2% of global economic output, one third the size of Germany's share. By 2016, according to the International Monetary Fund, the Chinese share will be 18%, six times larger than Germany's.

We are living through an extraordinary reversal of economic fortunes after 500 years when the big story was what historians call "the great divergence." Beginning in 1500, Europeans and European settlers in North America began to get richer than Asians (and everyone else, too). The gap between the "West and the Rest" widened at an accelerating rate until the later 1970s. But then -- on our watch -- that trend went into high-speed reverse.

Watch Niall Ferguson's TED talk

So what has been going on?

The West first surged ahead of the rest thanks to a series of institutional innovations that I call the "killer applications":

1. Competition. Europe was politically fragmented into multiple monarchies and republics, which were in turn internally divided into competing corporate entities, among them the ancestors of modern business corporations.

2. The Scientific Revolution. All the major 17th-century breakthroughs in mathematics, astronomy, physics, chemistry and biology happened in Western Europe.

3. The rule of law and representative government. An optimal system of social and political order emerged in the English-speaking world, based on private-property rights and the representation of property owners in elected legislatures.

4. Modern medicine. Nearly all the major 19th- and 20th-century breakthroughs in health care were made by Western Europeans and North Americans.

5. The consumer society. The Industrial Revolution took place where there was both a supply of productivity-enhancing technologies and a demand for more, better and cheaper goods, beginning with cotton garments.

6. The work ethic. Westerners were the first people in the world to combine more extensive and intensive labor with higher savings rates, permitting sustained capital accumulation.

For hundreds of years, these killer apps were essentially monopolized by Europeans and their overseas cousins in North America and Australasia. Westerners not only grew richer than "Resterners." They grew taller, healthier and longer-lived. They also grew more powerful. By the early 20th century, just a dozen Western empires -- including the United States -- controlled 58% of the world's land surface and population, and a staggering 74% of the global economy.

TED.com: Does democracy stifle economic growth?

Beginning with Japan, however, one non-Western society after another has worked out that these apps can be downloaded and installed in non-Western operating systems. That explains about half the catching up that we have witnessed in our lifetimes, especially since the onset of economic reforms in China in 1978. The other half is explained by our tendency to delete the secrets of our own success.

Ask yourself: Who's got the work ethic now? The average South Korean works about 39% more hours per week than the average American. The school year in South Korea is 220 days long, compared with 180 days here.

The consumer society? Did you know that 26 of the 30 biggest shopping malls in the world are now in emerging markets, mostly in Asia? Only three are in the United States.

Modern medicine? Well, we certainly outspend everyone else. But the results in terms of public health are pretty miserable.

The rule of law? For a real eye-opener, take a look at the latest World Economic Forum Executive Opinion Survey. On no fewer than 15 of 16 different issues relating to property rights and governance, the United States fares worse than Hong Kong.

TED.com: Joseph Nye on global power shifts

What about science? Statistics from the World Intellectual Property Organization show that already more patents originate in Japan than in the United States, that South Korea overtook Germany to take third place in 2005, and that China is poised to overtake Germany, too.

Finally, there's competition, the original killer app that sent the fragmented West down a completely different path from monolithic imperial China. Well, the World Economic Forum has conducted a comprehensive global competitiveness survey every year since 1979. Since the current methodology was adopted in 2004, the U.S. average competitiveness score has fallen from 5.82 to 5.43, one of the steepest declines among developed economies. China's score, meanwhile, has leapt up from 4.29 to 4.9.

Hands up readers who thought the future would, like an iPhone, be designed in California and only assembled in China? You were wrong. Western predominance is ending on our watch. And it's ending not just because the rest of the world finally figured out how to download our killer apps. It's ending because we deleted them.

The opinions expressed in this commentary are solely those of Niall Ferguson.

@highlight

Niall Ferguson: For 500 years, the West had enormous economic advantage

@highlight

He says the work ethic, modern medicine, consumerism helped power the West

@highlight

In recent decades, rest of world has caught up and adopted these concepts, he says

@highlight

Ferguson: The fact that Europe is seeking bailout help from China says it all