(CNN) -- Shilling etiquette advice is an old and illustrious profession. As long as there's been a society, there's also been appropriate social behavior (and a goodly number of schmucks who do everything wrong).

We've come a long way since the 17th-century, court-appointed rules of courtesy, but things haven't actually changed that much since Emily Post, the maven of manners herself, published "Etiquette" in 1922. She didn't exactly see our modern array of technology coming ("With a hair-pin and a visiting card," she wrote, "(a woman) is ready to meet most emergencies."), but her do's and don'ts feel surprisingly modern.

Here are some gems from the delightfully wry brain of an etiquette hero, and our takes on their modern translations.

Then: "A gentleman never discusses his family affairs either in public or with acquaintances, nor does he speak more than casually about his wife. A man is a cad who tells anyone, no matter who, what his wife told him in confidence, or describes what she looks like in her bedroom. To impart details of her beauty is scarcely better than to publish her blemishes; to do either is unspeakable."

Now: Emily could have been speaking directly to Mark Zuckerberg here, moments before he began that really mean blog post tearing apart the chick from "The Girl With the Dragon Tattoo." The audience to such flagrant meanness was once a bro's smoking buddies; now it's anyone with an Internet connection and the ability to Google.

Taking to one's social-media channels to speak ill of a co-worker, friend or lover remains, well, unspeakable. Vent your frustrations with old-fashioned gossip or scrawl criticism in a diary or in a personal e-mail instead of hitting "publish."

Then: "The letter you write, whether you realize it or not, is always a mirror which reflects your appearance, taste and character. A 'sloppy' letter with the writing all pouring into one corner of the page, badly worded, badly spelled, and with unmatched paper and envelope -- even possibly a blot -- proclaims the sort of person who would have unkempt hair, unclean linen and broken shoe laces; just as a neat, precise, evenly written note portrays a person of like characteristics.

"Therefore, while it cannot be said with literal accuracy that one may read the future of a person by study of his handwriting, it is true that if a young man wishes to choose a wife in whose daily life he is sure always to find the unfinished task, the untidy mind and the syncopated housekeeping, he may do it quite simply by selecting her from her letters."

Now: Zing! Sexist guilt trips aside, Emily's onto something here. Yes, e-mail and spell check and digital fonts that reveal nothing of your atrocious handwriting have really taken away some of the hand-wringing over correspondence. But that means it's all the more important that you send clean, unblemished e-mails. Horrific spelling, atrocious grammar, missing punctuation, wingdings galore -- all just as bad as said inkblot.

Then: "When you have been staying over Sunday, or for longer, in someone's house, it is absolutely necessary that you write a letter of thanks to your hostess within a few days after the visit ... Don't be afraid that your (thank you note to your spouse's/friend's parents) is too informal; older people are always pleased with any expressions from the young that seem friendly and spontaneous.

"Never think, because you cannot easily write a letter, that it is better not to write at all. The most awkward note that can be imagined is better than none -- for to write none is the depth of rudeness, whereas the awkward note merely fails to delight."

Now: Thank you notes are hard! They were hard 90 years ago, too! And now some of them can come via e-mail so you have no excuse whatsoever for sulking into the ether without a little gratitude-based follow-up. Just bang something out. Let it be awkward. It's the gesture, not the content, that helps, and homegirl's got a point: A conversational note can make an old person feel more hip, less hip-replacement-seeking.

Then: There are only two forms of farewell: "Good-bye" and "Good night." Never say "Au revoir" unless you have been talking French, or are speaking to a French person. Never interlard your conversation with foreign words or phrases when you can possibly translate them into English; and the occasions when our mother tongue will not serve are extremely rare.

Now: In our digital dealings, the problem is less about foreign phrases (a friendly "Merci!" is better than no thank you at all to the intern who just spent four hours doing data entry for you). Rather, the issue is LOLspeak -- the ugly Internet-bred lexicon that Emily couldn't have seen coming. In nine out of 10 e-mails, posts and other missives, a spelled out word will be clearer and less idiotic-sounding than its abbreviated synonym. (This rule does not apply to hilar advice columns of the world, obvi. Hey, YOLO.)

@highlight

Etiquette advice is as old as society, and Emily Post was "maven of manners"

@highlight

Much of her guidance can be updated to Internet age, Brenna Ehrlich and Andrea Bartz say

@highlight

E-mails full of poor grammar and spelling have supplanted poor penmanship, they say

@highlight

"Thank you" notes are still important, even if they're digital, the two say