(CNN) -- Dr. Angela Sauaia and her colleagues intended to study the impact modernized playground equipment had on lowering children's injury rates. They ended up studying kids' injury rates from guns instead.

The associate professor of public health, medicine and surgery at the University of Colorado's Anschutz Medical Campus in Aurora said she was neither motivated by the recent mass shooting in her area nor driven by politics.

"My colleagues and I were doing a study on playground injuries, because they were doing some remodeling projects here, and we wanted to see if that would change the playground injury rate," Sauaia said.

"When we started coding the trauma data, which includes all types of childhood injuries that turn up at these trauma centers, and we noticed the morbid pattern of gun violence-related injuries for children ... that shifted the focus of the study to document violence related to injuries involving gunshots."

The data, she said, showed a surprising number of children were being injured, many of them seriously, by guns.

"We had the impression that mass shootings caused so many injuries and those normally do get a lot of national attention, but in looking at the numbers, gun violence was happening to children on a routine basis, and it was mostly happening out of the spotlight," Sauaia said. "These are not isolated tragedies."

She and her colleagues knew they were on to something, putting together a research letter called "Firearm Injuries of Children and Adolescents in 2 Colorado Trauma Centers: 2000-2008," which was published Tuesday in the Journal of the American Medical Association.

The data covers some of the years between the two mass shootings in the Denver area -- the 1999 one at Columbine High School that resulted in 13 deaths and more than 20 injuries before the shooters took their own lives, and July's mass shooting at a movie theater in Aurora that killed 12 people and wounded 58.

Columbine survivor: No child should worry about gunmen

"In the years we studied, we didn't expect to see this many childhood injuries due to everyday gun violence," Sauaia said. "And far too many of these were self-inflicted."

Intentionality was difficult to determine from the data -- some of the self-inflicted wounds were suicide, while others appeared accidental in nature.

The bottom line, said Sauaia: Children having access to guns.

"No matter what side you are on in the gun debate, I've never met a person that believes kids should have easy access to guns," Sauaia said. "The data clearly shows this is a real public health concern for children."

Overall, 6,920 youths were injured and cared for by these trauma centers between 2000 and 2008, according to the research. Of those, 129 had injuries from firearms, and those injuries were extremely serious compared with the others.

Of the gun injuries, 50.4% required intensive care, compared with 19.3% for other trauma-related injuries. Some 13.2% died, compared with the 1.7% injured in another way. A total of 14% of the gunshot wounds were coded as "self-inflicted."

Once-unlikely win for gun control in Colorado

The research is a good and descriptive small-scale study, said Jon Vernick, an associate professor and co-director of the Johns Hopkins Center for Gun Policy and Research, but it also is a good reminder that public health experts need to do more of this kind of research.

"This study shows firearm injures are more likely to result in a death or a treatment in the ICU than other injuries," he said. "That should make the case for how important it is to find ways to prevent those kinds of injuries from occurring."

Historically, he argued, public health studies such as this one have led to positive changes.

Because people studied why car accidents happened in the 1960s, for instance, public health advocates knew how to improve injury rates from such crashes, Vernick said. Consequently, such injuries declined dramatically.

"They didn't just try to make drivers safer or try to criminalize (drunken) driving -- that alone wouldn't have worked," Vernick said. "Because we had the research, we also knew we had to make cars safer, make the environment safer, change the social norm to make it socially unacceptable to drive drunk.

"All of this concerted effort was a public health success story, and it came about because we had the research. We haven't had the same robust research agenda on gun violence over the last two decades, and so we are not seeing the same dramatic decline in deaths and injuries."

How we can keep kids from shooting people

Data, Sauaia said, are available from trauma centers, but there is limited funding for studies.

Federal funding for gun research, however, is rare, outside of federal grants that are available to study other injuries. That's deliberate. Since 1996, federal law has prohibited all Department of Health and Human Services agencies, including the Centers for Disease Control and Prevention and the National Institutes of Health from using funds, "in whole or in part, to advocate or promote gun control."

The National Rifle Association pushed for the legislation, maintaining that government research into gun violence is unnecessary.

"What works to reduce gun violence is to make sure that criminals are prosecuted and those who have been found to be a danger to themselves or others don't have access to firearms," NRA spokesman Andrew Arulanandam told CNN in January, "not to carry out more studies."

How the NRA wields its influence

A strongly worded editorial published in JAMA Internal Medicine in January called the federal government's "neglect" of firearm injuries as a public health issue a "national shame." It asked President Barack Obama to "make a concerted effort to get the restrictive language about using federal funds ... out of future appropriations bills."

"If the United States were to get serious about preventing firearms-related injuries and deaths, thousands of lives could be saved each year," the authors wrote. "We can wait no longer to protect public health."

Sauaia said she wants her paper to inform today's debate and inspire other projects.

"We do know a lot more about how someone died of a heart attack than just how many people were injured by guns," Sauaia said. "The data is out there; we just need the funding to be able to do this kind of work, and then hopefully we can find ways to address this major public health problem."

Doctors asked to participate in gun debate

@highlight

A study of Colorado trauma center data finds a high number of kids' gun injuries

@highlight

Expert: More of this kind of research should be done

@highlight

Federal law prevents agencies from using funds to promote gun control