Amsterdam, Netherlands (CNN) -- The problem has become so complicated, that perhaps only a child can solve it. An 11-year-old Dutch boy, Jurre Hermans, entered a serious economics competition with a plan for bringing the Greek economy back from the brink.

In the end, Hermans, the youngest ever to enter the Wolfson Economics Prize, received a 100 euro voucher for his original idea -- conceived on the notion of exchanging debt for slices of pizza. Maybe Washington can invite him for some budget brainstorming. Meanwhile, Europe's crisis goes on, still in need of creative solutions.

Beyond the placid old Amsterdam canals, the bustling bike lanes and the quaint tulip fields, roils a furious debate about the future of the Netherlands. On the surface, the issue is what to do about the budget deficit. In reality, it is about whose life will become more difficult. Who will pay more? Who will receive less? It is a question coming soon to a deficit-spending country near you: the United States.

In other parts of Europe, in places like Greece and Spain, similar discussions have toppled several governments and have escalated into huge, sometimes violent  protests, as people lash out in frustration against government decisions they find intolerable.

I believe that some time next year, with the election in the past, when either Barack Obama has started his second term or Mitt Romney has finished unpacking in the White House, Americans, too, will discover that budget debates are not just academic exercises or political theater. It's a good bet that just as Europe has come up against the reality that deficits cannot grow forever, so too will America. Investors, who have taken losses in the European debacle, will start looking at America's books, questioning its solvency, and demanding change.

The European economic crisis has unfolded most dramatically in Greece, where the economy has plunged into a depression. With its budget deficit and national debt rising out of control, the Greek government sought help from the eurozone, where rich countries demanded stark austerity measures in exchange for a bailout.

Greece, like other countries in Europe, had given up its own currency in exchange for the euro, so it did not have the option of printing more money or devaluing the currency to pull itself out of the mess created in part by politicians who gave voters what they wanted without troubling to bring up the unpleasant fact that someone, sooner or later, would have to pay.

Today, the Greek people are enduring economic pain that makes America look like a paradise of prosperity. Unemployment stands at 21%, wages are collapsing for both government and private sector workers.

A series of new taxes have been imposed, including a "solidarity" tax, new property taxes and higher self-employment taxes. The VAT, a national sales tax on all transactions, has jumped from 13% to 23%. The minimum wage has been been sharply cut. Poverty has increased dramatically.

After all that, Greece is still required by European rules to cut another 4.7% of gross domestic product from its budget, equivalent to the United States suddenly cutting more than $700 billion.

Even if it achieves those goals, or rather because it will enact such draconian cuts, the Greek economy is expected to sink deeper.

The European economic pact requires countries to keep their budget deficits below 3% of GDP. That became increasingly difficult as the world entered a recession. In Greece's case, the government had been concealing its deficit spending. In other countries, especially those that relied heavily on real estate, home prices collapsed, and tax revenues declined, opening up the budget gap.

The Dutch economy, one of the healthier ones, now faces a 4.6% deficit. There's talk of across-the-board pay freezes and even more social safety-net cuts, among other ideas. Unemployment is just 6%, but the country has returned to recession.

In Spain, the government wants to avoid requiring a bailout the way Greece, Ireland and Portugal have. The newly-installed government of Prime Minister Mariano Rajoy needs to slash the budget by 5.5% of GDP, even more than Greece.

Spain expects unemployment, already the worst in the developed world, to go over 24% this year, about the same experienced by the United States during the Great Depression.

The European crisis is far from over, but it already has important lessons for the United States, where federal deficit figures are treated as poison darts to be thrown among politicians, rather than as an important problem needing adult solutions.

The top three lessons from Europe are these:

â€¢ Deficits matter and sooner or later will have to be cut

â€¢ Trying to cut deficits in the middle of a recession makes the recession worse

â€¢ When the cutting starts, it will cause major social and political upheaval, as well as very real pain.

Unlike most European countries, the United States has the luxury of printing money and borrowing almost at will. The crisis in Europe has actually made it more attractive to lend to the United States, so it's easy to pretend the deficit and the debt don't matter. But America's deficit of about 10% of GDP and debt of $15 trillion, roughly 100% of GDP, cannot go on forever. Interest payments on the debt already consume more than $200 billion each year, and the debt is rising at blinding speed.

The United States was right to deal with the recession first before tackling the longer term problem. Europe is proving what the Hoover administration already showed in the 1930s, that cutting spending in a recession is counter-productive.

But, with the economy recovering, the time will soon come for the difficult decisions: Will the government cut defense spending, Social Security, or Medicare? Or perhaps other programs that keep millions out of poverty?

In the Netherlands, the ruling coalition has been brought to the edge of collapse over the choices. The far-right politician Geert Wilders demanded huge reductions in foreign aid. There is also talk of ending the mortgage tax deduction, along with other tax increases.

Social services have been reduced and food banks say they have seen an "explosion" in the number of clients. And the government is still looking for more cuts.

The choices go to the heart of a nation's character.

Voters in the United States should insistently demand that presidential candidates say exactly what they will do about the deficit.

They should also demand that politicians at long last resolve -- not just debate -- the problem.

Will politicians behave responsibly?

If you hear anyone say tax cuts alone will get the economy growing and fix the problem, don't believe it. Economists say spending cuts and tax increases are necessary.

If adults won't face up to the truth, maybe it's time to bring in the children for new ideas, and for a reminder of what's at stake.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: The pain of budget cutbacks is being felt in many parts of Europe

@highlight

She says in reality the decisions are about who will pay more -- and receive less

@highlight

America has rightly been spared budget cutbacks in the midst of a recession, she says

@highlight

Ghitis: The U.S. debt is growing at unsustainable pace, day of reckoning is coming