Charlotte, North Carolina (CNN) -- As you probably heard, Julian Castro's keynote speech to the Democratic National Convention was historic.

It marked the first time that a Latino had ever delivered the signature address at that event, and the fact that the 37-year-old mayor of San Antonio was invited to do so by the Democratic Party -- and his twin brother, Texas state Rep. and congressional candidate Joaquin Castro, was chosen to introduce him -- was a show of respect for America's largest minority.

As we Latinos might say: "Ya era tiempo" -- "It was about time." A majority of Latinos have voted for the Democratic candidate in every presidential election dating back to 1960. That's 13 elections, loyally casting votes for strong candidates and weak ones. Over the last half-century, a lot of Democrats have owed their political careers to voters with names such as Gutierrez, Rodriguez or Morales.

Opinion: What Julian Castro can do for Obama

The speech itself had its golden nuggets -- most of them revolving around family, culture, community. It also had its lead trinkets -- policy talk about "investing" in creating opportunity that Republicans will dismiss as more tax-and-spend rhetoric that was a poor fit for someone being marketed as a leader of the future.

The gold sounded like this:

"My grandmother spent her whole life working as a maid, a cook and a babysitter, barely scraping by, but still working hard to give my mother, her only child, a chance in life, so that my mother could give my brother and me an even better one. ... And I can still remember her, every morning as Joaquin and I walked out the door to school, making the sign of the cross behind us, saying, 'Que dios los bendiga.' 'May God bless you. ..."

And this: "My grandmother never owned a house. She cleaned other people's houses so she could afford to rent her own. But she saw her daughter become the first in her family to graduate from college. And my mother fought hard for civil rights so that instead of a mop, I could hold this microphone.

"And while she may be proud of me tonight, I've got to tell you, Mom, I'm even more proud of you. Thank you, Mom. Today, my beautiful wife, Erica, and I are the proud parents of a 3-year-old little girl, Carina Victoria, named after my grandmother. A couple of Mondays ago was her first day of pre-K. As we dropped her off, we walked out of the classroom, and I found myself whispering to her, as was once whispered to me, 'Que dios te bendiga.' May God bless you. ..."

But given what had transpired outside the Time Warner Cable Arena in Charlotte a few hours earlier, Castro's speech was also bittersweet.

Ten people who identified themselves as illegal immigrants, part of a national caravan dubbed the "Undocubus," were arrested outside the arena for blocking an intersection and refusing to disperse. They were there to protest President Barack Obama's immigration policies.

And because the Obama administration's signature immigration enforcement program, Secure Communities, requires local police to submit to federal authorities the fingerprints of arrestees whom they suspect might be in the country illegally, those 10 people could be deported. They have names such as Estevez, Carrasco, Castellanos, Diaz, Sanchez and Torres.

There is no question that Castro did Obama an enormous favor Tuesday night by inspiring and energizing Latino voters, a majority of whom tell pollsters that they like the president personally but disapprove of his immigration policies -- most notably, a record number of deportations now approaching 1.5 million.

For Latinos, those deportations represent more than numbers on a spreadsheet. They represent hundreds of thousands of families that have been torn apart and divided across a border, and thousands of U.S.-born children of illegal immigrants placed in foster care. Obama broke the first rule of dealing with Latinos: Don't mess with the family.

Although the latest polls show Obama leading Mitt Romney by more than a 2-to-1 margin with Latinos, the president has developed an enthusiasm gap with those voters. And there are really two ways for Obama to "lose" the Latino vote -- if 40% of Latinos vote for Romney, or if a large chunk of Obama voters are so unenthusiastic about his record in office that they just stay home. The first probably won't happen. The second just might. A new Zogby poll found more than 14% of Latino voters are undecided about whom to vote for.

Recently, Obama announced a new policy at the Department of Homeland Security where illegal immigrants who meet certain qualifications -- less than 31 years of age, no criminal record, came to the United States before the age of 16, etc. -- can apply for two years of "deferred action" so they're not deported. But not everyone is eligible, and many are too skeptical to participate. Hence, the protest.

The good news for the Obama campaign is that Latinos will not soon forget the emotional words Castro delivered Tuesday night. The bad news is they won't forget the president's dreadful immigration record, which made the speech so necessary.

And that's the bittersweet part. Inside the arena, Latinos heard a beautiful story that reminded us how far we've come. Outside the arena, we witnessed an ugly reality that tells us how far we still have to go.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette: San Antonio Mayor Julian Castro's speech inspired, energized Latinos

@highlight

He says the speech shined when Castro talked about his family, culture and community

@highlight

But arrests of 10 Latinos protesting Obama immigration policies tarnished mood, he says

@highlight

He says Latinos support Obama, but their enthusiasm is waning over immigration record