(CNN) -- Chris Ferguson remembers being 9 years old, watching astronaut Neil Armstrong take man's first steps on the moon on July 20, 1969.

Like thousands in his American generation, Ferguson dreamed in his childhood of becoming an astronaut.

"I was very interested in the space program," Ferguson. "It was something that gripped the world, something that all of the world was talking about."

And unlike all but a very, very few in his generation, he realized his childhood goal.

iReport: What did you want to be when you grew up

As an American astronaut, he has logged a total of 28 days in space to date. After receiving his master's degree in aeronautical engineering at the Naval Postgraduate School, Ferguson flew for the U.S. Navy as a pilot, officer and instructor.

But his ambitions stretched far beyond the clouds.

Ferguson said he tried not to get his hopes too high, and he persistently turned in his forms when NASA accepted astronaut applications.

The first three times Ferguson applied, he didn't make the cut. On the fourth try, he was selected as a member of the NASA Astronaut Class of 1999, and he now holds the title of deputy chief of NASA's Astronaut Office.

But with no set plans of launching astronauts into orbit from U.S. soil after the final trip to the International Space Station slated for February 2011, Ferguson and others in the space world are anxious.

In addition to fretting about funding and jobs, they wonder if the government is losing an initiative that engages the next generation of engineers and mathematicians.

"If we aren't doing things that inspire them, we'll suffer from the creative standpoint," he said.

Teresa Gomez, assistant manager for NASA's Astronaut Selection Office, said that most applicants who make it to the interview rounds have been grooming themselves their entire lives for the job.

In past years, candidates said it was the first lunar landing that sparked their interest in space. More recently, astronaut hopefuls said it was the first shuttle landing they saw that hooked them on aeronautics, Gomez said.

Many number-crunchers and rocket builders in the space exploration field also say they were space junkies in their younger years.

"It appeared as pure magic to see something so massive lift off the Earth," said Brad Toellner, an aerospace engineer major who has been working at NASA as a part of its Cooperative Education Program for the past four years. "It seemed so different from everyday life."

NASA and the commercial space community are waiting to hear the hard federal funding numbers to determine if, when and how American astronauts can go back into space.

President Barack Obama's NASA proposal currently being scrutinized by Congress focuses on researching propulsion for deep space and asteroid landings. It scraps the Constellation Project, which was launched six years ago with the aim of sending humans to Mars and back to the moon.

The proposal would also halt NASA shuttle launches to the International Space Station. Instead, federal funds would be used to help send U.S. commercial shuttles to the station.

Clark Moody, who remembers watching NASA videos with his dad in the 1980s, is a graduate student in aerospace engineering at Texas A&M University. He worries that NASA's other feats could be lost on the general public without the highly visible human spaceflight endeavors.

"When most people think of NASA, they think of NASA spaceflight and don't know 99 percent of what (else) it does," Moody said. "That's what gets people really excited when they're younger."

Others think there are cheaper ways to inspire young scientists than with NASA manned space missions.

"What are we trying to do here?" asked Roger Launius, the senior curator of the Smithsonian's National Air and Space Museum. "If we're trying to inspire kids, is this the way to do it, at $20 billion a year?" he questioned, referring to the cost of sending humans to the moon.

He said NASA's Mars Exploration Rovers -- active twin robots that were launched in 2003 to research the planet's water history -- should also grab young people's interest.

Robert Cort, the acting deputy manager of White Sands Test Facility in southern New Mexico, said he and others reach out to elementary and middle school children in the area to tell them that with hard work, they can be a part of the local space program efforts. The facility conducts safety tests for NASA, but most children say they want to be flying, not testing.

He's also worried that the manned spaceflight hiatus could damper children's interest in NASA. Cort said many students tell him they'll be astronauts when they grow up.

In return, he said, he tells them, "Hey, that's great, and if you do, we'll work to protect you," so as not to give them false hope.

The odds have historically been against those whose ambitions are out of this world. Since 1978, only .6 percent of astronaut applicants have been hired, according to NASA statistics.

Launius said there's potential for humans to travel farther with NASA's new vision, including turning shuttles over to commercial organizations.

"I'm not anxious," he said, "I'm curious as to where it'll go."

He said he's hopeful that commercial space entities will be successful and progress human space travel more efficiently than NASA's past vision.

Many others involved in aerospace, while holding their breath as Congress holds the American space program in limbo, are excited about the prospects of more people having the chance to travel into space -- including NASA's chief deputy astronaut.

Ferguson and most other astronauts paid for their shuttle tickets with post-graduate degrees and years in the military.

But, if commercial organizations take over NASA's suborbital shuttle missions, the next generation's astronauts might purchase their ticket as they would a bus or plane ticket.

For his entire life, Ferguson said, he had imagined watching a sunrise from space. He finally had the chance as pilot of the STS-115 shuttle mission to the International Space Station in 2006.

Watching the sun light up the underside of Earth, staining the ocean blue and the land green, was what he called a "gee-whiz moment."

"Space shouldn't just be reserved for those who've taken 10 years learning how to work a rocket," Ferguson said.

Instead, as the space program evolves, it could be reserved for those willing to put a couple hundred thousand dollars down as soon as the next decade, according to John Gedmark, executive director of the Commercial Spaceflight Federation.

@highlight

Astronaut Chris Ferguson says human spaceflight inspired him when he was younger

@highlight

There are no set plans for human spaceflight within Obama's NASA revamp

@highlight

Ferguson and others in aerospace worry what will inspire children

@highlight

Many hope commercial spaceflight will change the game for manned missions