(CNN) -- The scattered bits of information you upload to Facebook might not seem interesting on their own -- a photo of a baby here, a happy birthday greeting there. But taken as a whole, your Facebook profile is a trove of data that can be analyzed to find patterns and stats about your online life (or your friends' lives).

A new tool from Wolfram Alpha churns out an extensive and personalized analytics report all about you based on Facebook data. Go to the Wolfram Alpha site, type in "Facebook report" and click the button that reads Analyze My Facebook Data. You will need to give the Wolfram Connection app permission to access your Facebook profile and history.

Once it's done computing, you'll be presented with a detailed, interactive, graph filled, time-killing report of your Facebook life. Get stats on the types of friends you have, including age ranges, relationship status and religion. See your most popular photos and posts, a chart of when you're most likely to post on Facebook, and a neat graphic showing how all of your friends are connected to each other and to you.

There are over 60 sections of information to dig into, including word clouds, pie charts and maps. You can also get a report on your willing Facebook friends by typing "Facebook Friends" into the Wolfram Alpha search field.

Wolfram Alpha is a computational search engine that is known for, among other things, being part of the brains that power Apple's voice-assistant, Siri.

Dr. Stephen Wolfram, the founder of Wolfram Research, is deeply interested in the personal analytics field. In March, he shared detailed analytics of his own work life, using vast amounts of data he's been collecting about himself, including over two decades of e-mails, a log of every keystroke he's typed for years (100 million plus), meetings, phone calls and, thanks to a pedometer, steps taken. He looked at the data for trends that would give him clues about his own life and behavior, including when he's most creative

Most people don't have that extensive an amount of data on their lives, but they probably have more than they think. While Wolfram has been actively recording this data, most people have been creating trails without realizing it. E-mail archives, FitBits, Tweets, texts and geotagged images and check-ins are all usable stores of information about your life. it's just a matter of time until there are accessible tools to extract, helping make sense out of all of it.

Wolfram says there are plenty more sources he hasn't tapped yet for his own personal number crunching, including medical data, his genome and motion sensors in his home. The Facebook tool is just the start for consumers too -- the company plans to add new tools and features in the future.

The Facebook analytics tool is fun, but also a sobering reminder of just how much information we willingly share with social networks. It could inspire some people to clamp down on the amount of information they share online, and others to record even more and embrace all the interesting possibilities of tracking personal data.

"I've no doubt that one day pretty much everyone will routinely be doing all sorts of personal analytics on a mountain of data that they collect about themselves," says Wolfram in the blog post.

@highlight

New tool from Wolfram Alpha analyzes your Facebook data

@highlight

The report shows a wealth of information about your patterns and habits

@highlight

Founder Stephen Wolfram says more personal analytics tools in the future