Durham, North Carolina (CNN) -- To define someone as a looter is not simply to describe him, or her, through an act, it is to make a moral judgment. It is to characterize the person as lawless and criminal. It connotes someone who is without self-restraint; an animal; wanton and depraved.

It is a description that is void of empathy for someone who is consciously or subconsciously viewed as "the other." Tragically, it fits into the stereotype that many have about people of African descent, be they African-Americans or Haitian-Americans.

The news media have to stop describing starving Haitians who are simply trying to survive the earthquake and aftershocks that took their homes, their loved ones, and all their possessions by this highly derogatory term.

It's a lesson they should have learned covering the devastation wrought by Hurricane Katrina.  I remember the news accounts then that described black residents of New Orleans as "looters," but used benign words to describe white residents engaged in the same action: taking things.

Academics have found repeated instances of this in media content analyses after disasters. One example, widely disseminated on the web post-Katrina, juxtaposed an Associated Press photo that showed a young black man wading through chest-high water "after looting a grocery store" (said the caption), with an AFP/Getty photo of a white woman in the same position, although the caption this time described her "finding" food "from a local grocery store."

It is time to put this practice to rest.

Put yourself in the position of the average Haitian in Port-au-Prince. One minute you were going about your business, the next minute the earth shook and literally your world crumbled all around you. But you were one of the lucky ones, you survived the earthquake. Injured? Yes. But alive.

Your first thought is to cry out for your family, especially your kids. But most of your family is buried under a rubble pile somewhere. You had four children but only one survived the earthquake. You have spent the last few days, along with your fellow survivors, digging through the rubble trying to find them.

It is now a week after the earthquake, and you have eaten little or nothing. You are hungry and thirsty, and while you hear rumors of aid coming, you have not seen any evidence of it.

You have not heard from the president and indeed you've heard rumors that his wife is dead. Perhaps he left the country; you would too, if you could. There is no police presence at all. No governmental authority to provide support. There are no markets.

The only money you have are the few gourdes (Haitian dollars) that you have in your pockets. The rest of your money is in the safe place you always kept it -- but it is now buried with your food. The banks are not open. There is no one to borrow from; they are all in the same boat as you. There are no functioning institutions.

You have family in the United States and they are desperately trying to get you some help. They have contacted all of the big aid agencies, but those agencies have issues of their own. Some have lost staff members. They are doing the best they can, but they have no idea that you exist and you have no way of finding them. The roads are impassable, and they can't get clearance from whoever is in charge of the airport to land their planes, which bring much needed supplies.

They're afraid to go anywhere without security because they've heard that the people are becoming restless. Indeed, though you do not know this, the U.S. military is also worried that citizens will get violent and start stealing. The United Nations is waiting for more troops, and the doctors have stopped treating patients because of those same fears: violence, looting.

Under normal circumstances you would not think of taking food without paying for it. You are what other Haitians would call "bien eleve" not "mal eleve." By that they mean you were well-raised, with manners and dignity.

Haitians put a strong premium on dignity. To take something for which you have not paid does not only offend your sense of legality but also your sense of personhood. It is undignified. But not only are you starving, so is your only surviving child. You would prefer to pay, but whom? What would you pay with? You'd prefer to wait, but for whom? How long can you afford to wait?

You feel that your desperate state is evidence that you have been abandoned by your family, your country, the international community, and Bondié (God). (The Creole word for God literally means "good God.")

So you take. You take just enough for a couple of days and a couple of family members. You take and you run to feed those for whom the only measure of fortune is survival in Haiti, post-earthquake. You take and you run.

Are you a looter? Try as we might to prevent it, the answer to that question is inevitably racialized. We cannot separate the word looting from its racial implications or the supposed crime of looting from its racial origins. In the throes of the civil rights movement in the United States, many states made looting a crime. Almost all of these states were southern states that had a history of criminalizing behavior that they associated more with African-Americans than with whites.

Even so, the criminal law, for all of its shortcomings, is often more sophisticated than we are. It recognizes that context matters. It has been developed with concepts -- such as necessity and justification -- to identify the circumstances under which a person who would normally be held culpable can be held either less culpable or not at all culpable. Taking food is different than taking a television.

It is past time for our news media to develop similar sophistication. It is time to stop characterizing black people trying to survive in dire circumstances as looters. Are they takers? Yes. Are they looters? Let's wait for a criminal conviction first.

The opinions expressed in this commentary are solely those of Guy-Uriel Charles.

@highlight

Guy-Uriel Charles says calling some Haiti quake victims looters advances a racial stereotype

@highlight

He says even after Katrina criticism, media are quick to buy into this characterization

@highlight

He describes the desperate circumstances that might lead a victim to take food

@highlight

Charles: Reasons for taking matter, especially in a disaster