(CNN) -- The great promise of social networking has been the ability to stay in touch with friends, family and, let's face it, mere acquaintances without regard to traditional hurdles like geography.

But in the process of bringing everyone, from long-lost friends to grade-school acquaintances, just a status update away, the rise of Facebook, Twitter and the like may have left someone out: the folks next door.

"We did not see a social network that could connect us to what we believe is one of the most important communities of all, the neighborhood," said Nirav Tolia, CEO of Nextdoor.com. "We realized that neighborhoods really were the original social network."

Nextdoor is part of a growing trend of online sites and tools geared toward filling a gap left in part by commuter culture, frequent moves and dual-income homes.

"Technology has done a great job putting us in touch with the people we don't live close to," said Tolia, who co-founded customer review site ePinions.com in 1999. "It has not done as great a job, in the past, of helping us connect with the people right outside our door."

The site requires users to either verify their address (sign-in codes on postcards are one way) or be vouched for by an existing member to join pages that were, in turn, created by someone who lives close by.

Once created, Nextdoor pages focus on everything from babysitter searches and requests to borrow lawn tools to discussions about crime in the area or suggestions on which local businesses to patronize.

It's the kind of chatter one would traditionally expect to take place over coffee, across the back fence or at the local barber shop. But statistics suggest those conversations are becoming few and far between.

In a Pew Research Center poll from last year, 19% of respondents said they knew the names of all their neighbors, while 28% said they didn't know any of them.

Worth noting is that the poll found daily Internet users were actually more likely than nonusers to know their neighbors and equally as likely as people who go online less frequently. (That's been a consistent finding in Pew's Internet studies, flying in the face of the assumption that online social networking detracts from real-world interaction and users should "just go outside" and socialize).

"You certainly could just go outside," Tolia said. "Unfortunately, almost a third of people, if they were to go outside, they wouldn't know their neighbor. If they can use tools like Nextdoor, they're much more likely to actually interact."

Nextdoor isn't alone in trying, at least in part, to address that.

There are sites like EveryBlock, which lets users punch in their ZIP code to get local news updates, and Topix, basically a home for glorified message boards focusing on individual communities.

There's also Patch, AOL's network of more than 500 hyper-local news sites.

"Growing up, I saw my mom who knew ever single neighbor in every single house and I knew every single person on the street," said Daniel Dietrich, co-founder of HeyNeighbor.com, another localized network focused on "micro-favors" among folks who live near each other and a sort of uber-local Craigslist to buy and sell.

"I don't think it's that we don't want the neighborhood relationships we used to have ... . It's a lot of factors that have put us in this space today. (B)ut there's a longing for community. There's a longing for local."

With Internet usage increasingly common among all age groups, Dietrich said sites like his can act as a virtual ice-breaker.

"It's awkward to walk up to someone's door and say 'hi,' " he said. "I'm a relatively social guy, but it's just not comfortable to walk up to a door and say, 'Hi, I'm your new neighbor.' You don't know what the circumstances are behind that door, so you just don't do it."

HeyNeighbor launched in late summer. It is not publicly announcing user numbers.

Tolia's site was launched October 26 after a year-and-a-half of testing, during which 176 neighborhoods went online. Less than two months later, the site has 620 neighborhoods in 40 states and the District of Columbia. Another 450 neighborhoods are in what the site calls "pilot stage."

"We've been absolutely blown away by the response," Tolia said. "We've had literally tens of thousands of people come to the website and either want to create Nextdoor for their neighborhood or join a Nextdoor neighborhood."

Whoever sets up a neighborhood page on the site submits what they consider the boundaries of that neighborhood. As membership grows, the boundaries can be narrowed or expanded.

Both are free to use and eventually hope to sell targeted advertising to local businesses.

Meanwhile, they'll keep trying to help introduce people who may be more likely to find your lost dog or loan you a cup of sugar than "like" your status update or "favorite" your tweet.

"We're not necessarily trying to make everyone who passes each other on the street hug each other," Dietrich said. "But there's a value to having a relationship with the people who live next to you."

@highlight

As social sites expand, a new wave aims to help get to know real-world neighbors

@highlight

Sites like Nextdoor create hyper-local networks of neighbors

@highlight

Pew Research report suggests nearly one in three people don't know any of their neighbors