(CNN) -- It's an extraordinary claim -- one based on a 40-year-old memory -- but one the FBI has been using in an attempt to untangle the unsolved case of skyjacker D.B. Cooper.

To Marla Cooper of Oklahoma, her uncle was D.B. Cooper -- except she knew him as Uncle L.D. She believes he died in 1999.

"I saw my uncle plotting a scheme," Cooper told CNN's Brooke Baldwin of what she said she remembers witnessing as an eight-year-old girl four decades ago.

Cooper said she was with two uncles at her grandmother's house around Thanksgiving time.

"I was with them while they were plotting it. I didn't really know what was going on," Cooper said. "Afterwards on Thanksgiving Day, I saw them return and I heard them discussing what they had done with my father. I have very vivid memories of it."

Her claim might be cause for healthy speculation, especially 40 years after the fact, but two sources close to the investigation have told CNN that Marla Cooper's tip led to the FBI reviving the case and for the past year the agency has been actively working the lead.

On November 24, 1971, a man calling himself Dan Cooper -- the "D.B." apparently was a myth created by the press, according to the FBI -- hijacked Northwest Orient Flight 305 and succeeded in getting authorities to give him $200,000 and parachutes in return for letting passengers off the plane.

The man then asked to be flown to Mexico City but jumped out of the back of the plane somewhere between Seattle, Washington, and Reno, Nevada. Authorities have never been able to prove whether the man survived or what his actual identity was.

FBI working new lead in D.B. Cooper hijacking case

Marla Cooper says he did survive, but maybe, just barely.

"He and my other uncle came back very early on Thanksgiving morning and my Uncle L.D. was wounded," she said. "He had blood on his shirt. He was banged up. He was really in bad shape."

She said the Korean War veteran later received treatment for his injuries at a VA hospital.

It was then Cooper's father swore her to secrecy, she said.

"He explained that what my uncles had done could mean death and he said, 'Marla, you can never speak of this,'" according to Cooper, who said she last saw L.D. Cooper around Christmas 1972.

"He just vanished from the life that he had known before," she said, noting that her uncle missed her grandmother's funeral around 1975.

The FBI hasn't directly commented on Marla Cooper's claims, but a spokesman for the agency did say this week that the tip the agency is investigating came to them through a retired law enforcement officer, who had a contact who thought he or she knew the skyjacker's identity but added the suspect was dead.

Marla Cooper said she gave the FBI a guitar strap her uncle had given her mother. She said they couldn't find any of his fingerprints on it.

"Family members of the deceased have cooperated with us and given us access to items which belonged to the deceased," said Fred Gutt with the FBI's Seattle Field Office. The FBI's lab started looking for evidence that might prove the dead person was the man who skyjacked Flight 305. The FBI wanted to retrieve items with fingerprints belonging to the new suspect.

Gutt said the FBI knows Cooper had handled certain papers, including his plane ticket, and touched plane seats, but many fingerprints were found on those items. Through the years, the FBI managed to identify some fingerprints but not all of them.

Gutt would not discuss the suspect's identity, the evidence retrieved or what the lab results were. But, Gutt said, "so far there's not a lot that's inconsistent" with the suspect matching D.B. Cooper.

Gutt added the FBI has not been able to prove the person is the mysterious skyjacker and the law enforcement agency still does not know for certain whether Cooper survived his leap out of the plane almost four decades ago during bad weather.

Although the FBI has been looking into the new lead for a year, it was first revealed during an interview with The Telegraph of London in advance of the 40th anniversary of the unsolved case this  November.

One clue came in 1980, when a young boy found a rotting package full of $20 bills -- $5,800 in all -- that matched the serial numbers of the ransom money. The FBI returned most of the bills to the boy, named Brian Ingram, and Ingram has since auctioned some of them, the Seattle Post-Intelligencer reported.

"We've run down thousands of leads and considered all sorts of scenarios," the FBI said in 2007. "And amateur sleuths have put forward plenty of their own theories. Yet the case remains unsolved. Would we still like to get our man? Absolutely."

The FBI appealed for help from the public, releasing pictures of Cooper's black J.C. Penney tie, which he removed before jumping and which later provided authorities with a DNA sample, along with some of the found money.

The agency reminded the public that Cooper was no expert skydiver.

"We originally thought Cooper was an experienced jumper, perhaps even a paratrooper," said Special Agent Larry Carr in 2007. "We concluded after a few years this was simply not true. No experienced parachutist would have jumped in the pitch-black night, in the rain, with a 200-mile-an-hour wind in his face, wearing loafers and a trench coat. It was simply too risky. He also missed that his reserve chute was only for training and had been sewn shut -- something a skilled skydiver would have checked."

Agents also believe Cooper had no help on the ground. If he had had an accomplice, he would have needed to coordinate closely with the flight crew and jump at just the right moment.

"But Cooper simply said, 'Fly to Mexico,' and he had no idea where he was when he jumped," authorities said. "There was also no visibility of the ground due to cloud cover at 5,000 feet."

Two flight attendants who were in contact with Cooper gave nearly identical descriptions of him, as did those who encountered him on the ground. He was said to be between 5 foot 10 and 6 feet tall, weighing 170 to 180 pounds with brown eyes.

Carr said in 2007 he believed it was unlikely Cooper survived the jump. "Diving into the wilderness without a plan, without the right equipment, in such terrible conditions, he probably never even got his chute open," he said.

By the five-year anniversary of the hijacking, the FBI said it had considered more than 800 suspects and eliminated all but two dozen from consideration.

Several high-profile suspects have been ruled out over the years.

Duane Weber, who claimed on his deathbed to be Cooper, was eliminated by DNA testing, the FBI said.

Another man, Kenneth Christiansen, did not match the physical description and was a skilled paratrooper.

A third, Richard McCoy, who died in 1974, also did not match the description and was at home the day after the hijacking having Thanksgiving dinner with his family in Utah -- "an unlikely scenario unless he had help," the agency said.

Gutt said while the FBI understands there is great public interest in this long-unsolved case "it's a fairly low-priority case for the FBI" as it pursues new investigations involving cases like missing children that have a current impact on public safety.

Even so, Gutt said the FBI always follows up on any new tips on the case.

On Sunday, another FBI spokeswoman, Ayn Sandalo Dietrich, told CNN the information on the new suspect is not expected to be "a big break in the investigation."

CNN's Brooke Baldwin, Patrick Oppmann, Carol Cratty and Stephanie Gallman contributed to this report

@highlight

The woman's claims are being investigated by the FBI, sources tell CNN

@highlight

A man calling himself Dan Cooper hijacked a plane in 1971

@highlight

He jumped from the plane carrying a parachute and pilfered money

@highlight

Cooper has never been found and his fate is unknown