Port-au-Prince, Haiti (CNN) -- As huge numbers of desperate Haitians struggled Friday in what could be their last hours of life, the supplies many needed remained stuck in planes, ships, and cargo holds, unable to get to them.

Adding to the desperation, medical personnel were seen leaving in droves Friday night from a makeshift hospital in Port-au-Prince after being told by U.N. officials to get out of the area. Medical staff had been treating 25 patients at the location.

"There is concern about riots not far from here -- and this is part of the problem," CNN's Chief Medical Correspondent Sanjay Gupta said. "They (doctors) want to take care of lots of patients that are actually in the tents and many more that are actually outside, but they are simply being told at this point to stop and try to get to some sort of secure location."

Sandra Pierre, a Haitian who has been helping at the hospital, said the medical staff took most of the supplies with them.

"All the doctors, all the nurses are gone," she said. "They are expected to be back tomorrow. They had no plan on leaving tonight. It was an order that came suddenly."

She told Gupta, "It's just you ... and an American soldier who retired who came here from Santo Domingo to help."

"With medicine, we are not talking about weeks and months down the line -- this is minutes and hours in terms of what is necessary," Gupta said.

Get the latest developments on Haiti

There was one bright spot Friday: Many residents had ready access to water. Around the fallen presidential palace, water trucks were seen servicing the masses who have taken up camp in nearby open areas. Local hotels and businesses have been putting out hoses to supply the homeless with clean water. Residents were seen waiting patiently in long lines to fill up anything and everything that could hold water -- from plastic jugs to metal drums.

A U.N. distribution center also was set up in Cite Soleil, guarded by U.N. peacekeeping troops, where some 10,000 plates of cooked chicken and rice were handed out to a patient line of survivors.

See full coverage of Haiti

In Port-au-Prince, a chaotic scene erupted as people clamored to reach the trucks of a World Food Programme convoy carrying water purification tablets, plastic sheeting, collapsible jugs and nutritional biscuits. At one point, a rumor spread that the food had expired and people began throwing it away. Eventually, the convoy was forced to leave the scene, with some survivors chasing after the truck trying to hold on to the back.

A bottleneck at the damaged airport -- which has one runway -- was one of the impediments facing aid workers.

U.S. Southern Command has determined that the airport can handle 90 flights a day, but that many are not yet being allowed in, a U.S. State Department spokesman said.

Neighboring Dominican Republic agreed to open up one of its airports and a seaport to help deal with the influx of aid, according to the Dominican ambassador to the United States, Roberto B. Saladin.

Authorities were trying to develop a system to prioritize the few flights that make it in, based on which have the most urgently needed supplies.

But the logistical problems also included an unreachable dock, too little equipment to unload the supplies, and impassable roads covered in rubble or dead bodies.

Dave Toycen, head of the relief agency World Vision Canada, said that even when roads became passable, "There was a mile-long line to get gasoline. We are short the basics."

One Haitian man approached U.N. workers at the World Food Programme warehouse, which was already helping feed 1 million people before the quake.

"Where is the support?" he cried as he threw down a blood-stained box carrying the human limbs that he said were from the bodies of his wife and child.

Rajiv Shah, director for the U.S. Agency for International Development, said Friday the organization's Disaster Assistance Response Team team in Haiti was using satellite imagery to target rescue operations and aid delivery most effectively.

Shah said "there is an important open window of time today, tonight, and perhaps even parts of tomorrow, when we have the ability to save lives."

The USS Carl Vinson arrived off the coast Friday, carrying 19 heavy-lift helicopters, 51 hospital beds, three operating rooms, and the ability to produce hundreds of thousands of gallons of drinkable water per day.

There are four U.S. disaster medical assistance teams on the ground and 265 employees from the department of Health and Human Services assisting with medical care, the State Department said.

Numerous countries around the world were offering aid, including Belize, Brazil, Britain, China, Chile, Spain, Canada, Israel, Iceland, Ireland and Morocco.

A long list of agencies have sent help to the region as well, and have raised millions of dollars.

The Obama administration fended off criticism Friday that it should have done more for Haiti more quickly. Lt. Gen. Russel Honore, the retired general who took charge of relief efforts in New Orleans after Hurricane Katrina, said Thursday the U.S. military should have arrived in the country 24 hours sooner.

Defense Secretary Robert Gates rejected that suggestion Friday.

"I don't know how this government could have responded faster or more comprehensively than it has," he told reporters at the Pentagon. "There are just some certain facts of life that affect how quickly you can do some of these things. The collapse of the infrastructure in Haiti, the small size of the airport, the time it takes a ship to get from point A to point B, those are all just facts of life."

CNN's Steve Kastenbaum, Larry Shaughnessy and Elise Labott contributed to this report

@highlight

NEW: Medical personnel exit makeshift hospital on U.N. officials' orders

@highlight

Bottleneck at Port-au-Prince airport among problems relief agencies face in Haiti

@highlight

USS Carl Vinson brings helicopters, hospital beds and operating rooms

@highlight

Defense chief rejects criticism that U.S. responded too slowly to crisis