(CNN) -- The recent, deadly chemical attack carried out, the administration says, by the Assad regime may finally prompt the U.S. military to help the Syrian people. But serious questions remain about our nation's moral standing in the world and the state of our national conscience.

No matter how we act going forward, we are still left with the fact that we failed to intervene while more than 100,000 innocent Syrians were killed. One more genocide has come to pass.

Does America have moral obligation to help those in need? As the world's most powerful nation, are we obliged to protect the innocent from slaughter? What example do we want to set for others, including future generations?

For more than a year I have been dismayed to watch my country waver and delay in the face of the Syrian catastrophe that has resulted in so many deaths and millions being displaced from their homes.

President Obama has, no doubt, been restrained by the kind of public opinion I heard when I campaigned in 2010 for the U.S. Senate. Then, as now, a majority of people feared getting involved abroad. They spoke warily of Iraq and Afghanistan and ask why we should risk more interventions when the costs were so high.

A fear of "foreign entanglements," to recall George Washington's farewell address, has always been part of the American character. But our heritage also includes a profound concern for human rights. And while our foreign endeavors have sometimes led us to regret, our inaction also haunts us.

President Franklin Roosevelt failed to respond to the Holocaust perpetrated by Nazi Germany. Presidents Ford and Carter stood aside during Pol Pot's reign of terror in Cambodia. Bill Clinton has said he could have saved as many as 300,000 lives in Rwanda if he had acted to stop the killing there when he was president. He regards this inaction as the biggest policy regret of his presidency.

Then there's eastern Congo. Millions of people have been killed there in the past few years. Yet no country, including the U.S., has done anything to stop the suffering.

The world places its hopes in America as a country that stands for the rule of law against the rule of tyrants and for the elevation of right over might. We may not want the role of the world's policeman, but there are times when we have no choice. Indeed, if there is such a thing as American Exceptionalism, it is based on our willingness to act on the basis of our moral values and not just to secure our strategic and economic interests.

At this moment, the public is displaying a level of apathy toward the Syrian tragedy that makes me fear that we have lost our moral compass. I understand that people are sick of wars and face many stresses in their own lives. Struggling with growing income disparity or unemployment, probably the last thing we need is to go into another war.

But we are still the richest and most capable nation on Earth. And as human beings we should feel moved by outrage when we see a man being beaten on the street, or thousands of people being put to death by the air they breathe.

As Americans, we should not shirk from our responsibility to the persecuted or slaughtered just because they are half a world away, speak another language or practice a different religion.

In my travels around the world, I often encounter the complaint that in the post-9/11 era, America seems disengaged from humanitarian concerns. In Iraq we spent trillions of dollars to fight in an oil rich country that never attacked us, on the pretense that Saddam Hussein's regime possessed weapons of mass destruction. In Syria we long failed to act to defend people who are actual victims of weapons of mass destruction.

How many people are losing faith in America as a morally-based power that will use its might to stop mass murder by a tyrant?

The values I acquired growing up as an American in the 20th century America called for standing up to the kinds of crimes Assad has perpetrated for nearly eighteen months. In that time, President Obama has drawn various lines, declared his impatience, but permitted Assad to commit atrocities. In the process he made it seem that the America of the 21st century is callous, disengaged, and unconcerned with the lives of those who do not live under its flag.

For me, a Jewish-American, this season of Rosh Hashanah brings a call to reflect on the year that has passed and for resolve to make the coming year better. When I consider what has happened in Syria I feel ashamed of our country -- once again we have permitted a slaughter -- and I feel willing to risk unexpected consequences in the future, for the sake of doing the right thing now.

Americans must embrace an anti-genocide policy, one that calls for quick and decisive action, as a matter of moral responsibility. To act otherwise will only bring us more regret.

The opinions expressed in this commentary are solely those of Jeff Greene.

@highlight

Jeff Greene: With over 100,000 Syrians killed, another genocide has come to pass

@highlight

Greene: America has a moral obligation to help those who are being slaughtered

@highlight

He says we may not want role of the world's policeman, but at times we have no choice

@highlight

Greene: In this season of Rosh Hashanah, let's lend a helping hand to people in Syria