(CNN) -- The paintings and carvings have been scattered around the caves and bluff faces of the Cumberland Plateau for centuries, left behind by the ancestors of the Native American nations of the Southeast.

Now a lengthy survey of the works indicates they're all part of a pattern -- a sweeping, interrelated series that illustrates how the continent's prehistoric inhabitants saw the universe and their place in it, University of Tennessee anthropologist Jan Simek said.

"What's part interesting is it spans an area literally from the Kentucky line down into northern Alabama," Simek said. Most of them are between 500 and 900 years old, but radiocarbon dating indicates one painting of a hunter in east-central Tennessee was laid down 6,000 years ago. That would make it the oldest representation in North America known to date, he said.

See also: Ancient Mayan pyramid destroyed for road fill

"There is this cosmology being expressed ... and one of the things we're trying to suggest is the composition has an enormous scale," he said.

Simek and colleagues from the University of the South, the U.S. Geological Survey and Mississippi State University spent about a decade and a half documenting the rock art of the Cumberland Plateau, which slices across Tennessee between Chattanooga and Nashville. They found common themes, colors and depictions across the 94 sites, 50 of them underground.

The aboveground works were drawn largely in red, a color associated with life, and tend to face to the south and west, away from the Appalachian Mountains.

Why geologist tasted 2.6 billion year-old water

"That's looking into some of the most dramatic parts of the sky, especially in the spring and summer months," Simek said. "And we know their relationship was such that they paid attention to celestial phenomena, but they also believed in a universe that was layered."

Some of the images suggest an "upper world," where forces of the weather and mythic representations of the sun and stars influenced human life. Those tended to be at higher elevations. Nearer the surface, "middle world" imagery featured people, animals and plants.

New insight into ancient Americans

"Very often some of the humans that are depicted outside of caves are doing otherworldly kinds of things," he said. "Very often, their hands and feet are extended, and they have very elongated digits, as if they're reaching out of the rock or into the rock." Many Native Americans believed boundaries between the spirit world and the natural were permeable, and things like rocks, trees and water sources -- including caves -- "were places those boundaries could be crossed."

Down in the caves, however, the paintings were "characterized by darkness and danger, and was associated with death, transformation and renewal," scientists wrote.

"The art sites, predominantly found in caves, feature otherworldly characters, supernatural serpents and dogs that accompanied dead humans on the path of souls," they wrote. The images are largely painted in black, a color associated with death.

"There's a small cave in the middle part of Tennessee, a very small cave that contains over 400 engraved images that are extraordinary," Simek told CNN. "Some of them are tiny -- so small that if you didn't know how to look for them, you would never find them."

Some of the images feature birds a half centimeter (1/5 of an inch) long, Simek said -- yet when you look closely, "You can see the wing feathers on them."

The findings were published this week in the British-based scientific journal Antiquity.

See also: Oil spill threatens Native American land

@highlight

Paintings and carvings stretch across Tennessee's Cumberland Plateau

@highlight

One of them dates back 6,000 years, University of Tennessee researcher says

@highlight

The images may be a composition of "enormous scale," he says

@highlight

They reflect a three-tiered view of the world by the Native Americans of the Southeast