(CNN) -- It might be better to travel than arrive, but in the case of British footballers succeeding abroad the journey has all too often been painful -- and all too frequently they have returned home after barely arriving.

Quite what Gareth Bale's $134 million journey to Real Madrid brings is open to conjecture, but with his painfully protracted transfer now concluded, the hard part really begins.

The spotlight on a British footballer on a global stage has never been greater, with the 24-year-old having eclipsed Cristiano Ronaldo as the world's most expensive player of all time.

But there are no guarantees that Bale will live up to the price tag nor shine in La Liga. After all, many of the great and good of British football have faltered away from home.

"Why are there over the last 40 years only about five English players who have done well abroad?" said Dutch great Johan Cruyff, who both played for and coached Real's rivals Barcelona. "There's something going on there, something strange."

Herbert Kilpin was the first British footballer to ply his trade overseas professionally in 1891 and he was a founding member of Italian club AC Milan eight years later.

There have been others to have made their mark since: John Charles at Juventus, Gary Lineker at Barcelona and, most recently, David Beckham at Real Madrid, AC Milan and Paris Saint-Germain.

But for the successes, there have been under-performances and failures, ranging from Ian Rush, who was famously but falsely quoted as saying his spell in Juventus was "like playing in a foreign country," to fellow striker Mark Hughes, who managed just four goals in 28 games at Barcelona.

The language barrier is often given as the main reason for the initial struggle for Brits who have failed to settle.

It is no surprise that among those to shine were the players who swotted up on the lingo early on. David Platt began Italian lessons while still at Aston Villa -- a move to Bari then just a possibility -- while Steve McManaman mastered Spanish quickly to become at ease almost instantly with Real Madrid teammates and fans alike.

Looking back on his foreign sojourn, Lineker recalled: "I looked at British players who went abroad and were successful. They were the ones who learned the language and adapted to the culture. The ones that didn't tended to be home pretty quickly."

One of the current crop of Britons on the continent is Kris Thackray, currently with German side Alemannia Aachen, who has also had spells with Italian sides in five seasons away from home so far.

"Leaving home and settling in was difficult," he said of the early days abroad. "The complete change of culture from food, people, climate and mainly the language was challenging.

"The language is the most important thing, not knowing it isolates you and stops you from expressing your personality and prevents you from understanding simple messages on and off the pitch."

Read more: Bale becomes latest 'Galactico'

Rush never really mastered the language and, as a result, felt a lonely figure in the Juve dressing room while Paul Gascoigne made no secret of being homesick while in Serie A with Lazio as he never managed more than a few token phrases of Italian.

Chris Waddle, who won three league titles in France with Marseille as well as reaching the 1991 European Cup final, said that it took three months to learn the language and, after that, he slotted right in.

But language is not the sole barrier, the cultural differences as a whole are a more deep-rooted issue for many, and, like with Gazza, plain old home sickness.

Rush used to get his family to bring over digestive biscuits while former England goalkeeper Scott Carson, who spent two seasons in Turkey with Bursaspor, repeatedly bemoaned a lack of baked beans.

Jamie Lawrence is a young English player who has been in Holland since the age of 16. He initially joined Ajax in the Dutch capital of Amsterdam and now, aged 21, plays for RKC Waalwijk's under-23 team.

His advice for Bale would be to immerse himself in the Spanish culture, which in turn will help him settle into the Madrid way of life.

"The great thing about moving to a new country is all the new experiences," London-born Lawrence told CNN. "If you don't put too much pressure on yourself, you can really enjoy it.

"I would say learn the most you can about the Spanish culture and become a part of it. I lived in an English culture for 16 years, moved here and it's completely different. It's so great the culture here, I'm involved in it."

For others, the issue was of being the virtual alien in the midst of a new bunch of players.

Kevin Keegan was a huge success story abroad with a spell at Hamburg, which resulted in two Bundesliga titles and with him twice being named European Footballer of the Year.

But things started far from well, with reports that some players would not even pass to him in training, unhappy he had been brought to the German club.

So, playing abroad -- for a Brit or otherwise -- takes a certain strength of character. Former Liverpool striker Stan Collymore admitted he wasn't up to such a culture shock, leaving Spanish side Real Oviedo after just three appearances for the club.

So how exactly does Bale avoid falling into the trap of some of his esteemed predecessors? After all, Real fans can be a heartless bunch, whatever the price tag. One former player, Jonathan Woodgate, another Brit, was voted the worst signing of the 21st Century in a poll by Spanish newspaper Marca.

"The world has been littered with English players who haven't adjusted to being a big player at a European club," journalist Michael Calvin, who has regularly crossed paths with Bale during his meteoric rise over the past three years, told CNN.

"He knows he is a disposal commodity. If he doesn't perform he is toast."

Making sure he does not fall by the wayside particularly with the size and variety of expectation -- from what he does on the field to off it -- is the big trick.

"Real Madrid and Perez are looking at him as helping them launch into a completely different commercial market," added Calvin, author of the recently published "Nowhere Men," which looks at football's unknown football talent spotters -- a club's scouts.

"They want him to do a Beckham and his world is going to change irrevocably. He is right up in the upper strata.

"Is this a top three player and can he drive that commercial momentum? Can he operate in the same side as Ronaldo? Is he Ronaldo lite? Will he have physical weaknesses? It is unique opportunity and unique challenge.

"He will need that foundation stone of his family and his friends. It is a huge leap from being the boy at home playing FIFA to being the hope of world football."

Calvin, though, also makes the point that Bale is no innocent bystander in all this.

"The whole scorpion dance of a big move comes in," added Calvin. "He understands his clout. He is not an innocent. People in his situation aren't innocent. They are products of an occasionally brutal world."

In Spain, there is the goldfish bowl aspect for Bale to encounter along with his partner Emma Rhys-Jones, bigger at Real than at most clubs in the world.

Already, Bale has made about a third of Spanish newspaper Marca's front pages in August alone.

On the issue of the media spotlight, Calvin said: "His parents are model parents and helped him get through an academy system, which is predisposed to producing bad Dads and mad Mums.

"That value structure will come under unprecedented scrutiny and he will have to quickly get used to the current absurdities of that world. That's where he is going to have to readjust and recalibrate his life."

It could go a number of ways.

He could become Charles, nicknamed the gentle giant and voted Juventus' greatest foreign import above Zinedine Zidane and Michel Platini, or else McMamanan, who is still talked favorably about by the Madridistas after winning the Champions League in his first season with Real.

Or else he could do down the Woodgate route, of being reviled rather than revered. The eyes of the world will be watching which way it goes.

@highlight

Gareth Bale faces pressure to live up to $134 million price tag at Real Madrid

@highlight

Language barrier has often hindered British footballers abroad

@highlight

Bale advised to immerse himself in Spanish culture

@highlight

But Welshman can expect life in a goldfish bowl at Real