Editor's Note: David M. Walker served as comptroller general of the United States and head of the Government Accountability Office from 1998 to 2008. He is now president and CEO of the Peter G. Peterson Foundation.

David Walker says the federal debt could double, forcing huge increases in your taxes.

(CNN) -- Even under the best of economic circumstances, tax season is a tense time for American households. The number of hours we collectively spend working on our returns is probably a lot more than government agencies claim.

The burden in financial terms is even greater: A recent independent survey found that the average American's total federal, state and local tax bill roughly equals his or her entire earnings from January 1 up until right before tax day.

Now imagine that tax bill doubling over time.

In recent years, the federal government has spent more money than it takes in at an increasing rate. Total federal debt almost doubled during President George W. Bush's administration and, as much as we needed some stimulus spending to boost the economy, the nonpartisan Congressional Budget Office now estimates total debt levels could almost double again over the next eight years based on the budget recently outlined by President Obama.

Regardless of what politicians tell you, any additional accumulations of debt are, absent dramatic reductions in the size and role of government, basically deferred tax increases. Remember the old saw? "You can pay me now or you can pay me later, with interest."

To help put things in perspective, the Peterson Foundation calculated the federal government accumulated $56.4 trillion in total liabilities and unfunded promises for Medicare and Social Security as of September 30, 2008. The numbers used to calculate this figure come directly from the audited financial statements of the U.S. government.

If $56.4 trillion in financial commitments is too big a number to digest, think of it as $483,000 per American household, or $184,000 for every man, woman and child in the country.

Even broken down, the numbers can be tough to swallow. Yes, you've paid your taxes, but you still bear a significant share of the government's own financial burden.

To help this news go down with a smile, the Peterson Foundation is supporting a campaign designed to help Americans understand what Washington is doing to us, rather than for us.

Meet Owen & Payne (www.owenandpayne.com), partners in a fictional accounting firm that specializes in helping Americans fill out the "new" Form 483000, which spells out how our elected officials are putting our nation into more and more debt and how that bill eventually will have to be paid: By doubling your taxes. The campaign is all in fun, but the intent is very serious.

Unless we begin to get our fiscal house in order, there's simply no other way to handle our ever-mounting debt burdens except by doubling taxes over time. Otherwise, our growing commitments for Medicare and Social Security benefits will gradually squeeze out spending on other vital programs such as education, research and development, and infrastructure.

Personal savings, while experiencing an uptick lately because of the recession, have been too low for too long. As a result, when our government has to borrow money, it must increasingly turn to lenders overseas.

Effectively addressing these issues will require tough choices and comprehensive reforms, including budget controls, changes to our entitlement programs, reductions in health care costs, other spending cuts, and yes, tax increases. But as the old saw goes, paying now, or paying soon, won't be as painful as paying later.

So as you file your tax returns this year, bear in mind that no matter how much you're paying now, you'll pay much more in the future because of Washington's failure to get its finances in order. If you don't like the idea, then get informed and get involved. And by listening rather than punishing, help encourage our elected officials to speak the truth about our financial condition, even if it means reforming entitlements, cutting spending, and yes, raising taxes.

The opinions expressed in this commentary are solely those of David M. Walker.

@highlight

David Walker: If you've survived filing your taxes, you still have to worry

@highlight

He says the nation's debt is unsustainable and will require tax increases

@highlight

He says people should urge government to get fiscal house in order