Editor's note: Alejandra Lopez-Fernandini is a senior policy analyst in the Asset Building Program at the New America Foundation, a Washington-based think tank that seeks innovative solutions across the political spectrum.

Alejandra Lopez-Fernandini says Americans have no choice but to increase the amount they save.

WASHINGTON (CNN) -- As the economy slows, millions of Americans will cut their budgets to stay afloat. This generates conflicting impulses: If I skip that morning coffee and granola, will my thriftiness put my local coffee shop out of business?

Will that force America's granola farmers to lay off workers? What's a budget-conscious, patriotic and hungry girl to do?

Not to worry, saving a few dollars now will not prolong the recession. And, more important, spending all your discretionary income will not end the recession.

It's true that John Maynard Keynes' "Paradox of Thrift" suggests that, even while saving is beneficial to an individual, too much aggregate savings could deepen an ordinary recession. But in these extraordinary times, where banks and not just businesses are in desperate need of cash, this economic rule may not fully hold.

More important, individuals need savings to be prepared for unanticipated expenses and income losses, especially now. The reality is that there is no bailout coming to you. And those getting the bailout might not be willing to lend to you, anyway. So now is the time to save.

The money you save is your own personal safety net, what you tap when you have an unanticipated expense like a car repair or when you're between jobs, as many Americans find themselves nowadays.

The past decade has seen Americans saving at historically low levels; we've substituted plastic for the piggy bank. But the days of cheap and easy access to credit have come and gone. We all need to save not because we want to but because we have to.

For decades, our country's economy has flourished, but it relied too heavily on debt-driven consumer spending to power its growth. Excessive household debt, coupled with stagnating incomes and little to no personal savings, now places America in a precarious position.

Compared with the 19 other major industrialized economies, the United States ranks dead last for personal savings. That's right, in 2003, the United States was the least thrifty nation among the G-20.

Why is it important that we save more as a nation? Savings offers us the protection we need to make it through hard or uncertain times and to pay for important future needs such as a home, education or adequate retirement. Savings also creates pools of capital for investment purposes (who will fund the next neighborhood coffee shop?) and to keep interest rates low.

It appears the current recession has scared us back to saving; we are no longer spending all of our disposable income. To ensure that the hopeful trend continues, government and employers should adopt a new generation of savings policies that are both innovative and simple.

Common sense, along with research from the emerging field of behavioral economics, tells us why we aren't saving more already:

1) We like instant gratification

Whether it's iPhones or our paychecks, we want everything, and we want it now. We are so short-term-oriented that many of us would rather have a fatter paycheck now than set aside some of that happiness, even if the funds will be greater in the future.

2) We tend to procrastinate

Once we start something (or fail to start something), it's really hard to change course. And we'd prefer a hassle-free world. Who doesn't, right? When it's hard just to figure out how to start saving, most people won't. However, the flip side is that when it's easy to start saving, a lot more people will. Think about current retirement savings. How many of us would open an account and make regular deposits if an employer didn't take it right out of our paychecks?

When it comes to savings, we need someone to save us from ourselves. Smart savings policies should be automatic and utilize smart pre-made choices, or defaults. It would require action to NOT save. Of course, this type of policymaking underscores the importance of making the default choice a good one (an adjustable-rate mortgage with no down payment would be an example of a bad default).

Employers can easily help their employees save for a rainy day, leveraging the payroll system and direct deposit to automatically send a small percentage of their paychecks to a savings account.

This type of unrestricted savings is especially valuable for individuals who have limited liquid assets and who may otherwise be forced to meet emergency cash needs with high-cost payday loans.

A truly transformative savings policy to broaden the base of American savers would encourage it from birth with Children's Savings Accounts. These "start in life" accounts would be "seeded" up-front with a modest initial deposit ($500), progressively funded for children born into lower-income households and restricted for specific asset-building uses like higher education, purchasing a home or starting a small business.

For the economic health of the next generation, the United States should join the U.K. and Singapore, and others who are offering such lifelong savings accounts, and get some skin in the thrift game, too.

We know it's plenty hard to save; it feels a lot like we're taking away what we've rightly earned. Taking advantage of windfall payments such as tax refunds is important, and so is removing the temptation to spend all of that refund. Tax filers can pre-commit a portion of their refund before it reaches their pocket to up to three accounts (including savings accounts!) with IRS Form 8888.

Having accessible savings is critical to our personal and economic security.

We must reorient the savings policy discussion to include the needs of shorter-term savers and consider policy that would make savings automatic and universal at birth.

The opinions expressed in this commentary are solely those of Alejandra Lopez-Fernandini.

@highlight

Alejandra Lopez-Fernandini: America saves less than nearly all big countries

@highlight

She says crisis is forcing an increase in savings by American families

@highlight

Lopez-Fernandini: Government, firms should automatically encourage saving

@highlight

She says you can designate part of a tax refund to go into a savings account