(AOL Autos)  -- Robert Lutz, vice-chairman of General Motors, caused a stir in the auto industry -- and in the automotive press -- when he announced in January of 2007 that the Chevrolet Volt plug-in electric car would be ready for mass production and on the road, by the end of 2010.

GM has begun driving test models of the Chevrolet Volt at its Milford Proving Grounds.

Because he was making this pronouncement at the 2007 North American International Auto Show in Detroit, Michigan, -- in conjunction with the unveiling of the Volt concept car -- skeptics thought that Lutz's statement was a bit too optimistic.

Some thought it might be one of those that falls into the category of "speaking more from hope than experience," and that it was more a rallying cry for the troops than an attainable reality.

After all, at the time, reliable long-term and cost effective lithium-ion batteries required to power a plug-in electric cars seemed to be years away. But now, almost two years later, GM still seems confident that the 2010 launch date will be met.

And that belief is shared by many who work for some of the auto-biz research institutes/industry associations.

On September 16, GM celebrated its 100-year anniversary celebration at the Renaissance Center in downtown Detroit, Michigan, by unveiling the production version of the Volt. Meanwhile, that same day, GM began driving test models at its Milford Proving Grounds. AOL Autos: Hybrid SUVs

GM isn't the only player with plug-in electric cars coming down the pike. So far this year, Ford has delivered the first two of what will eventually be a fleet of 20 Escape Plug-In Hybrid "research" vehicles to Southern California Edison, the utility company.

And in June, Ford also dispatched an Escape Plug-In Hybrid flex-fuel vehicle -- which means it can run on E85 -- to the U.S. Department of Energy. Both of those deliveries were for purposes of road-testing the vehicles to see how they perform over the long haul.

Similarly, Toyota has announced plans to build their version of a plug-in electric car and place them into corporate fleets in 2010. Plus, Nissan will be introducing an electric car for fleet use in 2010, but the company has not announced yet whether it will be a plug-in.

Some obstacles still need to be overcome, but with gasoline projected to stay high, automakers may have more incentive than ever to bring a plug-in electric car to market. AOL Autos: Most-popular fuel-efficient cars

So this seemed like a good time to check in with the major players in the plug-in sweepstakes -- and talk to a research group that is working in conjunction with the automakers -- to get an update on their progress.

It also offered a chance to discuss the various aspects of the march toward the electric car being not only a reality, but perhaps a ubiquitous presence on American highways. AOL Autos: Best resale value cars

How it works

The above-named automakers are each using somewhat different variations of plug-in electric-car technology -- that is, they're using different variations of plug-in battery technology and a gas engine.

Let's look at the Chevy Volt first, since that's the one that will seemingly be the first to hit the marketplace: Lutz has said that the Volt has a leg up, since it draws from GM's previous experience in the modern electric-vehicle market when it launched the EV1 in 1996.

Volt owners will be able to fully charge its lithium-ion battery by plugging it into a 110-volt outlet for approximately six hours a day, which for most drivers will presumably be while they are sleeping. AOL Autos: Luxury cars with best gas mileage

"The average driver drives about 30 miles a day," says Tony Posawatz, Chevrolet's vehicle line director for the Volt. "And when the Volt's battery has been fully charged, and you drive under regular driving conditions, you'll be able to drive about 40 miles a day using only the electricity from the battery. So, in that scenario, you're using zero gasoline, which is a pretty appealing proposition, given the current price of gas."

However, if you're not an average driver, and you log more than those 40 miles, once the battery is depleted, a 1.0-liter, three-cylinder turbocharged gasoline engine will spin to create electricity and replenish the battery.

On schedule

"We definitely feel that we're on schedule, that we will be able to deliver the Volt before the end of 2010," Posawatz said. "We're working closely with our battery developers, and based on their progress, we're definitely on track to hit that 2010 date." AOL Autos: Best hybrids

Eighteen months ago, many in the industry thought that the internally-mandated 2010 date was just too much to expect, given all of the technology and cost implications.

"Well, it is definitely a compressed time frame," Posawatz conceded. "It is unusual to develop a new vehicle and a new propulsion system at the same time. But the analogy that Mr. Lutz used was when he compared it to President Kennedy saying that we were going to send a man to the moon by the end of the decade, not 'whenever we feel like it.'

"Ideally, engineers would like the time to make a new product that's just perfect, but the beauty of this time line is that is makes a statement that GM wants to take a leadership position in this endeavor, with all of those benefits and privileges that would come with that," Posawatz continued. "There is a tremendous opportunity for whoever is the technological leader when it comes to displacing petroleum as the primary source of fuel for automobiles."

That's because a plug-in electric car would only cost about 12 cents per kilowatt hour to operate, said Mark Duvall, program manager for electric transportation at the Electric Power Research Institute (EPRI) -- the research and development arm of the electric utility industry.

"Twelve cents per kilowatt hour is roughly the equivalent of less than a dollar per gallon of gasoline," Duvall said.

"Obviously, prospects for having a plug-in electric vehicle on the road, in high volumes, are better than they have ever been," Duvall said. "Back in 2001, we conducted a study and projected 2010 as the year that the plug-in electric car would be able to be commercialized, so the current schedule is indeed meeting our expectations.

"We've definitely seen an explosion in the technological advancement of the lithium-ion batteries that have been in development the last few years," he continued. "We've tested some of these batteries, and we're optimistic that they're up to the task, and that they'll be ready for the marketplace by 2010.

"The current gas-electric hybrids have been an important step, because they really have allowed for the most efficient use of gasoline to date, because they've minimized a lot of the waste of fuel that occurred during starting, stopping and idling.

"But a plug-in vehicle, if you're the average driver, gives you a chance to completely eliminate the use of gasoline," Duvall noted. "That would be a tremendous boon to the individual consumer, and would obviously be a boon to the environment, and would benefit the nation geopolitically, given our current dependence on foreign oil."

Cost and durability

As mentioned previously, the hurdles to a mass-market launch thus far have been the cost and the efficiency of the lithium-ion battery. John Hanson, Toyota's National Manager of Environmental, Safety & Quality Communications, thinks that these are significant challenges.

"There are a number of things we still need to find out about the lithium-ion battery before Toyota can bring the plug-in car to the consumer market," Hanson said. "We need to see how it performs, how durable it is, and what its limitations might be."

Scott Staley, Ford's chief engineer for hybrid and fuel-cell technology development, agreed. "There has definitely been progress with the technology of the lithium-ion battery, but the industry still needs to get the volumes up and the cost down in order to make it work as a commercially viable proposition," Staley said.

And GM's Posawatz noted that, "remember, we're not talking about a nice, clean, air-conditioned environment that these batteries will be operating in.

"These are environments where there are dramatic temperature swings, and where the batteries will be subjected to dirt, debris, moisture, vibration, and possible crash situations," Posawatz said. "So the challenge was to develop a battery that is not only cost effective, but one that can also meet these rigorous operational requirements, and one that will also last 10 years or 150,000 miles."

GM is currently working with a few different battery developers, who are sharing their research, and "we have techs testing them for hours, and there is nothing we have encountered, from a technical standpoint, that was unexpected, or that would deter us from the 2010 date."

Posawatz also noted that "one challenge has been getting the weight of the battery pack down, and we now have it down to 375 pounds."

As for cost, Posawatz is also aware that "the price of the first batteries are frankly going to be unacceptable, from a long-term perspective, but we're marching ahead regardless, because we know that once we get these cars into the marketplace, and the sales volume increases, the cost will come down. We're not looking at making a profit on the first Volts we introduce to the public -- but that will happen over the longer term, as they become more popular and we ramp up production."

EPRI's Duvall reframes that proposition, observing that, "any carmaker who comes out with a new, revolutionary technology like this knows that the product will have to cross the valley of death initially, in that they won't make any profit from it. Profit will come later, after they're on the market for a while and volumes have increased."

@highlight

Car companies say plug-in electric cars could be mass produced by 2010

@highlight

GM celebrated its 100-year anniversary by unveiling Chevrolet Volt

@highlight

Ford developed first of 20 Escape Plug-In Hybrid "research" vehicles

@highlight

Toyota has announced plans to build their version of a plug-in electric car