Indian Trail, North Carolina (CNN) -- At every corner and every stoplight in this town some 15 miles southeast of Charlotte, the signs staked in the ground have one message: "Homes ready now."

Brandon Oaks, Taylor Glenn, Shiloh Trace -- each subdivision off Wesley Chapel Road has new homes or ready-to-build plans, priced from the $180,000s to the $300,000s.

Construction and for-sale signs are part of the scenery. Everybody here is new to North Carolina census tract 203.17, one of the fastest-growing places in the fastest-growing county in one of the fastest-growing states. The tract is a slender strip between Orr and Potter roads, bordered for four miles on the east by Wesley Chapel Road, and power lines to the west.

The Census Bureau estimates there were 499 people on this sliver of Union County in 2000. Ten years later, it counted 5,353, an increase of more than 970%.

Tracts are designed for U.S. Census Bureau counts and usually contain 2,500 to 8,000 residents; one tract might cover an entire county in a rural area or a few blocks in a packed city. Tract 203.17 is new, a narrow section carved from a space that was bigger and less populated 10 years earlier.

The new subdivisions in 203.17 are filled with people from Florida, New York, Michigan and nearby Charlotte. They cling to their favored traditions of home and ditch what's less convenient. Residents sip sweet tea while they wait for Brooklyn-style pizza. Few have lived here long enough to have allegiances in the Carolina versus Duke rivalry, but many pay for big TV packages that will broadcast the sports teams they grew up with.

They like what this place is selling: Granite countertops, two-car garages, fresh sod, wide sidewalks and ever-higher numbers of bedrooms and bathrooms. Better still, it's got easy access to the city, mild weather, good schools and low taxes, just 14.5 cents on every $100 for most residents in 203.17.

But there are questions they're all trying to answer. When do you stop being a Floridian, a New Yorker or a Michigander, and start being a North Carolinian?

If we're all new here, who are we at all?

U.S. Highway 74 East

North Carolina's population exploded in the last 10 years, especially around Charlotte's booming (then busting) financial industry.

"We're it," said James H. Johnson Jr., a professor at the University of North Carolina's Kenan Flagler Business School and director of the Kenan Institute's Urban Investment Strategies Center. "We are the cat's demographic meow. We are a real migration magnet."

"Gargantuan homes," Johnson said, are the hallmark of western Union County in the last decade, when wheat, corn and soybean fields finally yielded to subdivisions and U.S. Highway 74 traffic.

Most of tract 203.17 lies within the city of Indian Trail. The town was incorporated in 1907 but was little more than a stopping point between Charlotte and the Union County seat, Monroe.

"In the late '60s, maybe early '70s, when I was kind of a kid, it was just a little pit stop," said Jeffrey Goodall, a Union County-raised resident of tract 203.17. "There was a little par three golf course. It had a little train depot 50 or 100 years ago. There was nothing much."

It still has a golf course, but the city has long outgrown "nothing much." Indian Trail's census count jumped from 1,942 in 1990 to 33,518 in 2010. Last year, for the first time, the city's population edged out county seat's by 721 residents.

Goodall, 56, returned to Union County in 2005 after retiring from a military career that moved him through 15 states. His parents had stayed in Union County, and  taxes on Goodall's home in Broward County, Florida, were uncomfortably high.

Goodall and his wife settled in to the Brandon Oaks subdivision -- the heart of tract 203.17 -- and by 2007, he'd been elected to the Town Council.

As the rare Carolina native in town, people look to him for history, background and explanations of this place they've all chosen. Neighbors laugh about their accents, most of them different and almost none of them a Southern drawl. Families here attend churches, or synagogues, or mosques.

In the 2000 Census, 36 of the 499 people in 203.17 identified themselves as Latino, 10 as Asian and six as black. Among the 5,353 counted in 2010, there were 584 Latinos, 118 Asians and 803 blacks.

Goodall said he sometimes looks around and wonders what the people here can possibly share. Everybody comes from a different place, with different values, traditions and ideas about the best way to live.

But then, there's a reason everybody found this place.

"No matter how different I think I may be," Goodall said, "everybody's got something in common: They moved here."

Wesley Chapel Road

On a sunny Saturday afternoon, just inside a subdivision entrance off Wesley Chapel Road, the sidewalks are strewn with bikes and strollers. Cars are constantly pulling over to trade 50 cents for a plastic cup of lemonade. The neighbors laugh at the ice cream truck playing Christmas tunes.

Parents here all seem to remember childhoods when dozens of kids ruled tidy suburban streets. Moms and dad say these new sidewalks look more like their memories than the aged or empty ones they left behind.

Several said they've convinced their parents, brothers, sisters and friends to move down to Indian Trail, some of them close enough to be in the same census tract. It'll never be Long Island, but when your mom moves down the street and the bagel shop opens for business, you can start to convince yourself that this is home.

Trouble was, as neighborhoods sprung up, Indian Trail didn't keep up, Town Council members said. Residents referred to themselves not by their city or county, but by the name of their subdivision -- "I'm from Brandon Oaks," or "We live in Sheridan."

A couple of years ago, sensing that people didn't identify with the place as a whole, they paid a company to create a logo and motto for the city: "Crossing Paths."

Next, they tried to build places where people really could get together beyond school gyms and grocery store aisles.

"People are moving here now and they're saying 'Where are the restaurants? Where's the entertainment? Where's the parks, the services?'" said Indian Trail Town Manager Joe Fivas, who moved to Indian Trail from Michigan.

He's got the delicate task of deciding what this population of thousands should handle for itself, what it should contract out, and how to pay for it. That means they're inventing public works in the city, but still paying for outside police protection. Existing services are stretched to the limit -- but they'd happily make room to build a few clothing stores or a Chili's.

In 2010, Union County residents voted to start allowing alcohol sales, and Indian Trail just opened its first package store. To nobody's surprise, but some people's disappointment, business is great. Several new residents said they like the new grocery stores and the new Bojangles, but a family-friendly, sit-down bar and restaurant would be a huge get.

Till then, the town has its new amphitheater and community space, Crossing Paths Park. They organized the first concert there, and swiftly experienced their first rainout. But people came back the next week for a bluegrass-themed evening. Kids ran around with temporary tattoos that read "I (heart) IT."

It felt like something big had happened.

"People were really longing for a sense of identity. It was a large town, but there wasn't anything that that said 'Indian Trail,' " said Gary D'Onofrio, a Town Council member who moved from Long Island to a subdivision inside tract 203.17. "You can't always identify exactly what it is, but you know it when you see it, 'This is home.' "

Potter Road

Farther down Wesley Chapel Road, the area stops looking like a community-wide open house. There are a few new houses, but more with peeling paint, crumbling foundations and tangled front-yard gardens.

In the farthest reaches of tract 203.17, mostly outside the Indian Trail city limits, there are no official logos or branded street names.

Susie McCoy and her husband, Kenneth, first moved to their 5-acre lot on Potter Road more than 30 years ago. Since then, they've had their own kids, adopted more kids, added grandkids, a couple dozen goats, miniature horses, pet pigs and a three-legged toy dog.

She likes having a Chick-fil-A and entertainment a little closer to home. With more money flowing into the county, she believes the school system only gets better, and in a more diverse class, the kids are introduced to more points of view.

But there's much to miss about the old, less cluttered 203.17:

An even quicker commute to work in Charlotte, on roads empty of traffic and noise. The neighborly belief that a pig roast is a party, not a fire hazard. Kids that can toddle around without shirts or shoes. Horses and chickens grazing and pecking wherever they please, without fear of becoming a petting zoo. Skinny-dipping in the pond across the road. Green fields, green grass, green trees. First-name greetings at the store. Knowledge of who needs a prayer and who can offer one up.

While others were finding themselves here, she felt like she was losing herself.

"I'm no longer a person," McCoy said. "I'm just a number on the road."

But home is wherever her children are, all of 'em, the ones she birthed and the ones she took in when their first homes failed them. It's wherever her husband can Dr. Dolittle all the sick and broken animals that find their way to their yard.

"Inside's home," she said. "Outside's not."

She's already got another place picked out, miles away from 203.17. It's just across the South Carolina state line, on 15 undisturbed acres on a dead-end road.

Like all her new neighbors, she thinks maybe she can build a new home some place else.

Curt Merrill contributed to this report.

@highlight

North Carolina census tract 203.17 grew 970% in 10 years

@highlight

Thousands of new residents want to create a new identity for themselves, neighborhoods

@highlight

But some longtime residents are considering moving away