(CNN) -- Not even football - or soccer, for those in the U.S. - could stop them.

While the Confederations Cup, a warm-up tournament for next year's football World Cup, went on, hundreds of thousands of Brazilians took to the streets of Sao Paulo, Rio de Janeiro, Porto Alegre, Belo Horizonte and many other major cities in Brazil.

Read more: A new age of protests

In the beginning, they were few, mostly youngsters disgruntled with a 20 centavos (10 cents) rise in bus and train fares. After a violent response from the police, they were joined by Brazilians of all ages who had their own issues to shout about.

Corruption, poor public services, increasing inflation, lack of security and the not-so-much-loved-anymore World Cup.

At a time when Brazil was supposed to be celebrating, the streets were full of anger, chanting, confrontation with the police and destruction, produced by a minority of radical demonstrators.

Watch running battles between police and protesters in Rio

Why did the protests gain traction? Tricky question, but there is one thing no-one can deny: A significant number of Brazilians are very upset with the state of the nation.

The transport fare hikes were canceled on Wednesday, after local authorities in Sao Paulo and Rio agreed to a U-turn in an attempt to bring back peace and order to the streets. It is still unclear whether this will mean an end to the protests.

More important than the issue, though, seems to be the timing of all this. Bus fare increases in previous years had not led to any significant popular reaction.

The same movement that started this month's protests - the Movimento Passe Livre (Free Pass Movement, or MPL) - had been active in previous years. After each announcement of a new bus fare they would go to the streets in their hundreds, sometimes only dozens, without being noticed by many.

Authorities expected the same in 2013. The latest increase, of less than 7%, was the first in two years and below the inflation of the period. The government, the press, the police and even bystanders were taken off-guard.

But, somehow, the timing was just perfect for a national revolt.

Brazil protesters: World Cup only benefits outsiders

That could be explained by the way we look at Brazil. In the past decade, when the country took some 30 million people out of poverty, Brazilians enjoyed looking at what the country and its people had achieved: More formal employment, more investment, more growth, greater spending power for those who had none, more security and better outlook on life.

On top of that, Brazil had secured the privilege to host the two main sports events in the world - the football World Cup and the Summer (Winter in Brazil) Olympic Games - in 2014 and 2016, respectively.

Brazil just seemed to have it all. With only one caveat: It did not.

When facts of life began to remind many Brazilians that their lives were not as good as the government claimed, and the football extravaganza got closer, indicating more costs for the state without apparent benefits for the people, many people began to look at their country in a different light. Instead of focusing on the achievements, they looked at what they did not have, and that view seemed to go as far as the Amazon.

In 2010, after eight years with a hugely popular president, the former metal worker Luiz Inacio Lula da Silva, Brazil saw his former minister Dilma Rousseff elected as his successor.

From the same leftist Workers Party (PT), Rousseff became the first female Brazilian President. Two-and-a-half years have passed, and she is still popular among the poorest, but the recent protests were led by a different bunch: The traditional middle class. On the streets, well-educated people, from central, urban areas, shouted that they had been sold a lie.

Inflation is once again a major concern, violent crime is on the rise, cases of corruption fill the press, healthcare is in a precarious state, infrastructure projects have not materialized and street traffic is depressingly worse than ever.

While TV showed the inaugurations of costly, lavish football stadiums, people felt their lives were getting worse by the day. After all, the World Cup will cost the nation some $15 billion, and the promised legacy in infrastructure is still nowhere to be seen.

Worst of all: A government accustomed to surf on its safe popularity, secured mainly by the distribution of money to the poorest, did not feel the need to listen. Rousseff's message, in pre-recorded announcements on TV, has been that the country just could not be better.

The National Congress is even more to blame, with its representatives lashed by public opinion for shocking privileges, high salaries and cases of sleaze.

A survey by Datafolha institute, conducted this week in the city of Sao Paulo, shows a drastic fall in the prestige of political institutions in the past decade.

Only 19% of respondents say they hold the office of president in high regard, compared with 51% in 2003. The percentage of respondents who say they hold the National Congress in high regard has fallen from 30% in 2003, to 12% now.

Many who took to the streets in Brazil - and inspired Brazilians around the world to do the same in their adopted countries - carried banners saying: "It is not only about R$ 0,20."

What they meant is that the bus fare rise was perhaps the least of their concerns. Corruption, lack of accountability and a realization that many promises have not been fulfilled were what led them to the streets.

The suspension of the transport fare rise may take them back to their normal lives.

The issues, however, will not go away any time soon. And unless they are properly addressed, those problems can make the people march again.

The opinions expressed in this commentary are solely those of Rogério Simões.

@highlight

Simões: Brazil just seemed to have it all. With only one caveat: It did not

@highlight

Inflation is a major concern, violent crime is on the rise, cases of corruption fill the press

@highlight

Many realized that their lives were not as good as the government claimed, he says