London (CNN) -- Film-making was not an obvious career path for the young Annemarie Jacir.

The daughter of Palestinian parents, she spent 16 years growing up in Saudi Arabia -- "a country of no cinema," she says -- where public movie theaters have been banned for more than three decades.

Jacir, who is also a poet, thought she wanted to write fiction, perhaps do screenwriting. But the possibility of film-making was not something that occurred to her until much later.

Just as well it did. The Jordanian-Palestinian director's second feature film, "When I Saw You," has been winning awards at film festivals around the world, part of a wave of Arab women filmmakers recently gaining critical acclaim worldwide.

Having won prizes at film festivals in Abu Dhabi, Oran, Cairo and Berlin, the film will have its UK premiere next month in London at the Bird's Eye View Film Festival, an event devoted to championing women filmmakers and which is this year focusing on Arab cinema.

Among the films on the schedule - six features, nine documentaries, plenty of shorts -- is director Haifaa Al Mansour's feature debut "Wadjda" -- the first ever feature by a Saudi woman, and the first feature film to be shot entirely in the conservative kingdom. Clearly things are changing.

"In the last couple of years we've seen the sudden emergence of women from across the Arab region winning big awards at the international festivals," said Will Young, producer of Bird's Eye View, which was founded in response to the fact that only about 10% of movies worldwide are made by women. The week-long festival begins on April 3 in London.

Watch: Saudi film breaks boundaries

Set in Jordan in 1967, Jacir's film tells the story of an 11-year-old Palestinian refugee, Tarek and his mother, displaced by war to the Harir camp in Jordan.

"I was interested in the time period of the late '60s with the liberation movements -- the moment before everything went bad, everything got corrupt," she said. "Young people dreamed of a better world and had agency in their own lives."

Jacir said that aside from funding possibly being harder to come by for women, she did not believe she encountered any particular obstacles related to her gender because, as a Jordanian-Palestinian director, she was creating films in a place without an established industry.

"When you're coming from a country in which everyone's building up together, I don't feel boxed in as a woman," she said. "It's much easier to work as a woman in a country that doesn't have an established system the way Egypt or Hollywood does, one that women have traditionally been left out of."

Watch: A great year for Middle Eastern cinema

Recent interest in the Gulf, as evidenced by the rise of film festivals in Abu Dhabi and Dubai, had led to increased funding opportunities, which she had taken advantage of for her second feature.

"The Gulf is interested in film and supporting filmmakers," she said. "With my film, there was no censorship, there was no control of the subject -- that's a concern for a lot of filmmakers when you take funds, especially from conservative countries."

Sabine El Chamaa, a Lebanese director whose latest short "Un Mardi (One Tuesday)" won first prize in the short film category at the Dubai Film Festival and will be screening in the Bird's Eye line-up, agreed.

"There have been Arab filmmakers for a long time... it's just that the film industry, whether for women or men, is one that is difficult because there's no funding and you have to figure out your own manner of making films," she said.

Even once films are made, filmmakers face obstacles, with distribution proving a particular challenge.

While Jacir's films gained theatrical releases in a number of western countries, she also wanted to share them with Jordanian and Palestinian move-goers.

"Your cast and crew are from that country," said Jacir. "You hope there's a broader audience but I think it's really important to prioritize your own audience and share your film with them."

Read also: Man-made desert lake - bird-watcher's paradise or ecological disaster?

But cinema owners in the region are often reluctant to support local films. "They say nobody wants to see local films, they want to see Hollywood films," said Jacir

Despite a positive reception at festivals, her first feature film did not gain theatrical release throughout the Arab world, leading her team to distribute the film themselves throughout the Palestinian Territories.

It was then that she had encountered "the other problem for cinema in the Arab world" - piracy.

"Go into any DVD store and for one dinar, all these films are available," she said.

"I had dinner a recently with a friend of my mother's and she said really innocently, 'I loved Salt of this Sea, I found a copy of it then I made 100 copies and gave it to my friends. They don't see how that hurts the filmmaker."

Despite the obstacles faced in bringing their vision to the screens, Young said the recent a success of Arab women filmmakers "was something incredibly exciting both within the industry and for audiences."

"Both (Jacir and Al Mansour) come from countries that previously didn't have role models of women directors - hopefully that can encourage a new generation to express themselves."

@highlight

Arab women directors will be showcased in a forthcoming film festival in London

@highlight

Their films have picked up awards at film festivals around the world

@highlight

The directors say their gender presents no particular obstacle to success in a tough industry

@highlight

Increased film funding from Gulf countries in recent years has boosted Arab cinema