(CNN) -- When Brian Burton, a little known DJ operating under the name of Danger Mouse, released "The Grey Album" in 2003, he brought to mainstream attention a new form of musical genre made possible by the advance of modern technology and the Internet. He also inadvertently sparked a debate about record labels' monopoly of music ownership.

"The Grey Album" consists of a series of "mash-ups," songs made by splicing together elements from two or more separate tracks, the vocals from one, the music from others. Burton used the vocal tracks from rapper Jay Z's "Black Album" and music from The Beatles' "White Album".

The album was well received. His decision to bring together the world's biggest hip hop star with the best-selling band of all time probably contributed to its positive reception by the critics. It was described as "the most creatively captivating" album of the year by The Boston Globe and voted best album of 2004 by Entertainment Weekly.

But its success probably owes just as much to the controversy it caused. While Jay Z had released his "a capella" vocal tracks with the intention that they could be used as sampling material, Burton had borrowed the Beatles' music without permission from the copyright holders, EMI Music.

EMI moved swiftly to block sales of the album but anti-copyright activists stepped in, and battle lines were drawn. Downhill Battle, a group that campaigns for a fairer music industry, organized an online protest, dubbed "Grey Tuesday" in which they offered up the album to download for free on approximately 170 Web sites as a form of deliberate civil disobedience. With over 100,000 downloads, Downhill Battle claims that "The Grey Album" was the number one album in the United States on the day.

The two groups represented polar opposite points of view. EMI's position was that they earn a livelihood out of the music. By blocking the sale of this album they were simply protecting their investment.

Downhill Battle, on the other hand, argued that while copyright holders should get a cut of the proceeds from the sale of music, the licence fees were far too high and too large a proportion goes to the music label and not to individual artists. Moreover, they argued, music was built on a tradition of sharing and much that is good has come from one artist passing the baton to another, who might give a different interpretation, even improve, on an original work.

"The reason we have copyright is to ensure that creators are able to benefit from the things that they do so that they can keep creating," says Nicholas Reville, Director at Downhill Battle. "What's happened to copyright with music recently is that it has been used as a way to restrict creativity, limit art and censor what people are allowed to do.

"What made 'The Grey Album' so significant was that it brought together two of the most popular musical acts from two different eras into a totally new piece of art that was considered by everybody as culturally significant. There's no reason why any society would not want that creation to exist."

Reville says that Downhill Battle's argument is that copyright should exist but that laws should be reviewed so that bedroom musicians everywhere can have access to sample music without needing a lawyer to guide them through the legal quagmire.

The "mash-up" is not a new phenomenon. In Indian music there is a tradition of borrowing tunes and melodies and incorporating them into new compositions. Western folk music also encouraged the practice of passing on songs for reinterpretation by new generations.

As a musical genre, the "mash-up's" origins lie in the birth of hip hop, when DJs such as Kool Herc and Grandmaster Flash began using the drum sections form vinyl records as a back-beat for MC's to rap over.

The development of the Internet has simply fast-forwarded the culture of borrowing by making it all that much easier -- "mash-up" artists have access to so much more music than their forebears. And peer-to-peer and social networking sites mean that "mash-ups" have found a distribution system that by-passes the usual gate-keepers - record companies and music stores.

"There are elements of this idea that have been around for a long time," says Rupert Evans of yourspins.com. "Mozart wrote a piano concerto where every time you finished a bar you're meant to roll a dice to see what it was you played next.

"People have always been into the idea of how you can break things down and put them back together and I think it's something that's been highlighted recently due to technology and the hip hop 'vibe' has taken it and tried to twist it around.

"When people first started recording music it meant you were stuck with just one version. There isn't supposed to be a definitive version."

It would seem that artists are beginning to cotton on. At yourspins.com musicians such as Moby, Robbie Williams, Roots Manuva and Natasha Bedingfield have released their work for remixing by the public. The musicians provide the user with a selection of variations on the different elements of a song -- bass line, drum, vocals, etc. -- which can be put together in any order. The result is "as many versions of the song as there are atoms in the universe," says Evans.

There is one large distinction between what Danger Mouse was doing with "The Grey Album" and the music produced by remixers on yourspins.com. While "The Grey Album" was championed as an original work of art, Evans does not believe that the same can be said of yourspins.com's remixes.

"It's a hard distinction to defend but [Danger Mouse] picked a couple of things himself. There was some creativity in saying: 'I can put this and that together', whereas we are giving people a toolkit," says Evans.

In yourspins.com's legal framework, the copyright still belongs to the artist who can even sell on the remix if they wish.

Evans says that the laws have relaxed since he first set up yourspins.com. "At the beginning a lawyer was telling me that every time someone wanted to go on my Web site they would have to sign a paper saying that they weren't going to claim copyright over what they had created, and the artist was going to have to sign a paper giving permission every time, which obviously wouldn't have worked," he says.

Technology is breaking down the barriers between musicians and their audiences, allowing both sides to interact in ways that would have been unimaginable thirty years ago, but the record companies are still holding on stubbornly to their monopoly of the market, and it seems there is still a fair way to go before musical culture becomes truly democratic. E-mail to a friend

@highlight

A little-known DJ, Danger Mouse, released "The Grey Album" in 2003

@highlight

It pioneered a new genre -- "mash-ups" -- splicing elements from two different tracks

@highlight

Vocals are from Jay Z's "Black Album" and music from The Beatles' "White Album"

@highlight

It ssues of copyright and the relationship between artists and audiences