(CNN) -- Some people see The Hague as Amsterdam's more sedate (read stodgier) cousin. Fact is, The Hague can be a welcome, peaceful diversion from the nonstop energy (read crowds) of Amsterdam.

The streets are wider, the buildings grander and thanks to nearly 1,000 acres of green space, The Hague is a place where you can catch your breath and take in your surroundings at a leisurely pace.

You may know it as home of the International Court of Justice, a city of diplomats, the seat of the Dutch government, the official residence of King Willem-Alexander and maybe even as the home of the notorious World War I spy, Mata Hari. (Her former residence is the pretty but nondescript Nieuwe Uitleg 16.) It's also a city rich in the arts.

Less than an hour by train takes you to The Hague -- Den Haag -- from Amsterdam. Here are a few of the most intriguing things to see when you go:

Mauritshuis museum

Topping the list is this jewel box of a museum, which reopened on June 27 after a two-year renovation. The project connected the original 17th-century residential building to an early 20th-century building across the street via an underground passage. In the process, the museum doubled its size yet left most everything at street level unscathed.

You'll visit -- as everyone does -- to see Johannes Vermeer's "Girl With a Pearl Earring." She's flanked by two equally charming domestic scenes by Dutch Golden Age painter Gerard ter Borch. In an adjacent room is "The Goldfinch" by Carel Fabritius, now best known as cover art on Donna Tartt's Pulitzer Prize-winning novel.

Other paintings you'll recognize include Rembrandt's "The Anatomy Lesson of Doctor Nicolaes Tulp," a portrait of Jane Seymour by Hans Holbein the Younger, "Laughing Boy" by Frans Hals, and "Old Woman and Boy with Candles" by Peter Paul Rubens.

The genius of the Mauritshuis is its small but exceptional collection -- 800 paintings, with about 260 on display here and another 150 at the Prince William V Gallery. "As you go through the rooms you see masterpieces everywhere," says museum director Emilie Gordenker. "There is so much to see, but not too much." www.mauritshuis.nl

Gemeentemuseum

At the opposite end of the Dutch art continuum is Piet Mondrian, the modern artist and proponent of the holistic art movement known as De Stijl.

The Gemeentemuseum contains the world's largest collection of Mondrian's work presented in a chronological display that lets you appreciate the evolution of his style from realism to the abstract blocks of primary colors for which he's famous.

The highlight is "Victory Boogie Woogie," left unfinished with bits of masking tape still in place on the surface of the canvas when Mondrian died in 1944. You'll see it behind the waves of tourists posing in front of it, one of whom was President Barack Obama when he visited The Hague for the International Nuclear Security Summit in March.

The museum also has an excellent permanent collection of Delftware ceramics and will open a major retrospective of American modern artist Mark Rothko starting September 20. www.gemeentemuseum.nl/en/

Peace Palace

To the world at large, The Hague is most closely associated with the Peace Palace, which houses the International Court of Justice, the judicial arm of the United Nations.

Constructed between 1907 and 1913, the grand Peace Palace seems to embody the international unity it was intended to foster: A French architect designed the structure built of Dutch brick and Belgian stone, with German iron gates at the entrance, English stained glass in the windows, a Swiss clock in the clock tower and so on.

Ironically, World War I commenced a year after the Peace Palace opened, effectively quashing the dreams of world peace its founders envisioned.

Although the visitors' center is open regularly, guided tours of the building are conducted sporadically based on the court's schedule. The current window for visits runs through August 27. If you happen to be in town, take advantage of the opportunity to see the Peace Palace from the inside.

Should you be interested in watching international courts at work, trials at the International Criminal Tribunal for the former Yugoslavia, in a separate courthouse nearby, are open to the public. www.vredespaleis.nl

Het Binnenhof

The seat of the Dutch parliament is Het Binnenhof, a complex of buildings with roots that extend to the 13th century.

The Ridderzaal, or Hall of Knights, is the most interesting and historic of them. In the 15th century, Philip the Good, Duke of Burgundy, held meetings with his Knights of the Golden Fleece here. His son, Charles the Bold, used it as a court of law.

On its vaulted ceiling, made to resemble the inverted hull of a ship, are the carved heads of "eavesdroppers" -- little men with big ears who heard everything, prevented secrecy and conspiracy and ensured that justice was served.

Today, it's a ceremonial venue, especially important on Prince's Day (the third Tuesday of September), when the reigning monarch makes a speech to begin the new parliamentary year.

English audio tours and brochures are available for the parliament buildings. Tours with historical or political themes are conducted by ProDemos, a nonpartisan, government-funded, nonprofit created to educate the public and encourage participation in the political process. english.prodemos.nl

Escher in Het Paleis

It's rare to find an artist whose admirers include a devoted community of mathematicians, but such is the case with M.C. Escher.

The 20th-century artist is known for his graphic optical art linking infinity and impossibility, which famously inspired the great British mathematicians Lionel and Roger Penrose (not to mention the fashion designer Alexander McQueen) and has graced an incalculable number of dorm room walls.

The Escher Museum is actually three museums in one: the building itself is the former working palace of four generations of Dutch queens; the rooms contain whimsical crystal chandeliers by contemporary artist Hans van Bentem (Madonna owns one); and then of course there is the Escher artwork.

All the museums mentioned here have programs designed to appeal to children, but Escher might be the artist that will blow their little minds (in a good way!), particularly when they reach the optical illusion room. www.escherinhetpaleis.nl/

Panorama Mesdag

And speaking of optical illusion ... long before the IMAX theater, people wrapped their heads around the panoramic paintings of the 19th century -- full 360-degree visual experiences intended to transport the viewer to another place and time.

In their heyday there were hundreds of them, depicting subjects from ancient Jerusalem to the battle of Waterloo, each displayed like a carnival attraction in a cylindrical structure specially built for the purpose. Only 23 survive (one is the Cyclorama in Gettysburg, Pennsylvania, depicting Pickett's Charge).

The Panorama Mesdag, painted by Hendrik Willem Mesdag in just four months, is one of the finest examples, not least because it's displayed in its original structure.

Although you're standing just 14 meters (45 feet) away from the 120-by-14-meter (393-by-45-foot) canvas, your eye is fooled into believing you're seeing the Dutch seaside resort of Scheveningen from a great distance. Because the painting is illuminated by natural light, the view literally changes with the time of day and the weather.

In its quiet way, it's a marvel. Even Vincent van Gogh thought so; he attended the panorama's opening in 1881. panorama-mesdag.com

Scheveningen

The real seaside at Scheveningen is a quick tram ride or an easy bike ride from the city center. It no longer resembles the 19th-century coastal enclave depicted in the Panorama Mesdag, but it remains a popular "day out" spot for residents of The Hague.

The centerpiece is the Steigenberger Kurhaus Hotel, a 19th-century bath hotel that gained a certain infamy when the Rolling Stones played there on August 8, 1964. They were four songs into their set when a riot ensued, and police were called in to shut down the show.

That event largely ended the hotel's days as a rock venue, although Bon Jovi played there in 2010. The beach offers a boardwalk lined with kiosks and amusements, a lighthouse and the chance to cool your toes in the North Sea, plus the picturesque dunes that have drawn nature lovers to the area for centuries.

@highlight

The Hague is home to the newly renovated Mauritshuis museum

@highlight

"Girl With a Pearl Earring" is among its most notable works

@highlight

Piet Mondrian and M.C. Escher also have ties in the city

@highlight

The Peace Palace embodies international unity