Mexico City, Mexico (CNN) -- Mexican investigators have asked diplomats from El Salvador, Honduras, Ecuador and Brazil to help identify the bodies of 72 presumed migrants discovered at a ranch in northeast Mexico.

The nationalities of the deceased have not yet been confirmed, according to a statement released by Mexican President Felipe Calderon's office late Wednesday.

Brazil said its Foreign Ministry was informed there were at least four Brazilians among the dead, the official Agencia Brazil news service reported Wednesday evening. There was no further information about the identity of the dead Brazilians or exactly how many had been killed, the government-run news agency said.

The statement by Calderon said the Mexican president "strongly condemns the acts that caused the death of 72 people, suspected to be migrants," and said that drug gangs are repeatedly turning to extortion and kidnapping of migrants as their resources and recruits dwindle.

"This is a result of the activity of the state against them, which has significantly weakened the operational capacity of criminal groups," Calderon's office said.

Initial reports indicated the migrants were headed to the United States. A surviving immigrant said he and the others were shot when they refused to work for a cartel, news reports said. It was not clear whether the cartel was smuggling the migrants or had abducted them.

The Center for Strategic and International Studies, a bipartisan, nonprofit policy institute based in Washington, noted in an August report that human smuggling and other illegal activities are playing an increasingly important role as narcotraffickers diversify their activities.

"The drug cartels have not confined themselves to selling narcotics," the report said. "They engage in kidnapping for ransom, extortion, human smuggling and other crimes to augment their incomes."

And the risk is increasing for Central and South American migrants crossing through Mexico to get to the United States, said Mexico's National Commission for Human Rights. An investigation by the commission showed that 9,758 migrants were abducted from September 2008 to February 2009, or about 1,600 per month.

The bodies of the 58 men and 14 women discovered Tuesday were found above ground in a building on the ranch, which is about 14 miles (22 kilometers) from the town of San Fernando, near the border with Texas. The Mexican navy, which was called in to investigate the case, said it is one of the largest discoveries of bodies in Mexico's 4-year-old war on organized crime.

Members of the Mexican navy were tipped off to the site after a man with a gunshot wound approached a military roadblock.

The man said he had been injured by a criminal gang, according to a statement released by the navy.

Mexico's attorney general's office identified the man as an Ecuadorian immigrant and said he had a bullet wound to the neck.

"The navy went to the area where the man came from and encountered gunfights. A naval officer was killed and three of the delinquents were killed," said an officer who answered the telephone at the navy's communication department. The officer, who was not authorized to speak on the record, declined to give his name.

After the gun battle, authorities said, they found a stash of weapons, including 21 rifles, camouflage uniforms, bulletproof vests and four trucks.

One of the vehicles had been disguised to look like a truck from the Ministry of National Defense, officials said.

A preliminary investigation indicated the victims were illegal immigrants from Honduras, El Salvador, Brazil and Ecuador, said Alejandro Poire, spokesman for national security strategy.

"This discovery once again demonstrates the extreme danger and violence that Central Americans face on their treacherous journey north, as well as Mexican authorities' abject failure to protect them," Amnesty International said. "Mexico must immediately investigate this massacre, bring the perpetrators to justice and establish the identities of those killed so that their families can be informed."

Wednesday's gruesome discovery came about a month after authorities in the neighboring state of Nuevo Leon discovered 51 bodies in nine mass graves.

In that instance, investigators found charred remains, incinerated bone fragments and stains of fire on the ground where bodies were presumably burned in steel drums, the state-run Notimex news agency said.

Similar mass graves have been discovered in the Mexican states of Guerrero and Quintana Roo since late May. Authorities have linked them to Mexico's ongoing drug war.

Nuevo Leon and Tamaulipas, which border Texas, have seen a marked increase in drug violence this year due to an intensifying rivalry between the Gulf cartel and the Zetas gang, which was formerly the cartel's armed branch.

More than 28,000 people have died in drug-related incidents since Calderon intensified the government's fight against drug cartels and organized crime after taking office in December 2006.

@highlight

NEW: The dead are believed to be Central and South American migrants crossing Mexico

@highlight

Brazil says at least four Brazilians were among the dead

@highlight

Calderon says criminals are extorting migrants as Mexican government weakens cartels

@highlight

Three suspects and a member of the Mexican military were killed in a shootout