(CNN) -- Kellee Santiago wants to tap into the kinder, gentler side of gaming.

The player takes flight in "Cloud," a video game distributed by thatgamecompany.

The president and co-founder of thatgamecompany is finding success in the video game industry with titles like "Flower," "Flow" and "Cloud."

The mellow interactive experiences are definitely different from the more violent "spray-and-slay" video games on the market and are designed to encourage emotion, innovation and creativity.

In "Flower," the player journeys through an imaginary landscape where they can blow breezes, collect flower petals and enjoy the colorful landscape of what Santiago says is a "video game version of a poem."

Such creativity seems to be in perfect harmony with the 30-year-old video game developer, who has a background in the performing arts.

A graduate of New York University's Tisch School of the Arts, Santiago worked with incorporating digital and interactive media with live performance before she discovered another passion.

It was while completing a master's in fine arts at the Interactive Media program at the University of Southern California's School of Cinematic Arts that Santiago realized she could marry her love of the arts with video game creation.

"That attraction I had to working on original theater works was very similar," she said. "I had grown up with video games; I was definitely a gamer all my life, and I had just never thought about it as a creative medium.

"As soon as I did, it was just really exciting, because I saw this huge, untapped potential and a lot of things that hadn't been done before," she added. "That excited me."

While at USC, she worked on a student project called "Cloud," a downloadable PC game, which only a few months after release online had been played by 350,000 people.

"In comparison to every single play I probably ever worked on in combination never saw that large an audience," said Santiago, whose company released "Cloud" as one of its games. "That was really exciting."

Santiago is returning to her alma mater Monday as a speaker for TEDx USC, an independently organized TED event, which has CNN.com as one of its supporters. TED stands for technology, entertainment and design and began 25 years ago as a conference to bring together some of the world's greatest minds.

Krisztina "Z" Holly is vice provost and executive director of the USC Stevens Institute for Innovation as well as the curator of TEDx USC. She said USC is an ideal location for the event, which has a theme of "Ideas Empowered," because of its diverse, entrepreneurial and innovative environment.

"It's a great opportunity to bring together leading minds both from on-campus and off-campus to share ideas, to hear new ideas and be inspired to come up with their own ideas to make a real impact," she said.

Making an impact is exactly what Santiago had in mind when she and fellow USC graduate Jenova Chen launched thatgamecompany.

The company, though small and independent, has received many positive reviews of its games and last year was honored as one of the "20 Breakthrough Developers" of the year by Gamasutra. Two of its games have been released on the Sony PlayStation 3 platform.

Although the gaming industry is mostly dominated by men, Santiago said, she has always been treated as an equal among her peers. And although the main demographic for video games is young men, Santiago said, there is another audience.

"The average gamer now is 35 years old," she said. "Because the audiences are maturing and simultaneously we have a generation of people who've grown up with games who are entering the industry, it's sort of now our turn to create."

Scott Steinberg, publisher for Digitaltrends.com and author of "Get Rich Playing Games," said Santiago is one of several women making a splash in the world of gaming.

Steinberg said Santiago, who is also an invited speaker at the Game Developers Conference this week in San Francisco, California, has achieved a level of visibility because of the quality of her work and the fact that she is a great game designer.

"These are games that push boundaries that appeal to folks of all ages, interests and genders," he said.

Santiago's games stand out, he said, because they differ so greatly from what many think of when they think video games.

"That's part of what makes them so appealing is the fact that the offer something so different," he said. "They are unique, something audiences haven't seen before. A lot of them actually border on being virtual art experiences more so than video games.

"The nice part about it is, they can be consumed at a very leisurely pace; they can be consumed in bite-sized sessions," Steinberg added. "These are the types of titles that we need as an industry to help broaden our horizons."

Santiago remembers her first experience playing video games on an arcade version of "Super Mario Bros." that she and her brother tackled while her mother shopped at the supermarket.

And although she says she doesn't think it's dangerous for children to play violent video games, Santiago does see danger in doing so without having recognition of the violence.

From her games, she says, she wants players to take away the feeling that, like with any communicative medium, there is a relationship with a game.

"One of the questions we always get is, are we always going to make emotional games," Santiago said. "We are saying all games are emotional."

@highlight

Kellee Santiago's company produces video games meant to inspire

@highlight

Santiago approaches games as art

@highlight

Titles like "Flow" and "Cloud" are alternatives to violent video games

@highlight

Santiago is a featured speaker at TEDx USC conference