(CNN)In 2010, Marissa Alexander discharged a firearm in the direction of her estranged husband, Rico Gray -- a so-called "warning shot" that missed him by several inches.  Their two children were present.

Although no one was injured, she was charged with aggravated assault with a firearm.

Alexander claimed self-defense, but a judge declined to grant self-defense immunity ("stand-your-ground"). The case went to trial where a jury convicted Alexander after just 12 minutes of deliberation, triggering a mandatory 20-year sentence.

The verdict prompted outrage as it highlighted the absurdly draconian punishments that can result from minimum mandatory sentencing guidelines that demand a certain punishment regardless of the underlying facts of the case.

The stakes in this high-profile case elevated when, in 2013, an appellate court vacated Alexander's conviction based on a legal technicality.  The ruling set the stage for a retrial, but this time, State Attorney Angela Corey (the same prosecutor I faced in the Zimmerman case) upped the ante, insisting the 20-year sentence apply once for every person present -- Rico and the two children.  Alexander faced a potential 60-year prison sentence for firing a shot that harmed no one.

Last month, Alexander accepted a deal whereby she pled guilty to the charges in exchange for a drastic reduction of the prison sentence -- essentially the three years she had already served.

This week, the court approved the sentencing. But to say that Marissa Alexander is free is a misnomer.  She'll serve another two years under house arrest, wearing an ankle collar.  She's also a convicted felon, so she's lost her right to vote and she'll face the stigma of such a designation for the rest of her life.

Many are left wondering if justice was served.

Marissa Alexander's case had some problems.  In order to justify her self-defense claim, Alexander needed to show that she had reasonable fear of imminent and great bodily injury or death when she discharged the weapon.  Her estranged husband, Gray, did have a history of domestic violence. And there was testimony that he was violent in his encounter with Alexander just before the shooting.

The problem for Alexander, however, was that she escaped the danger by retreating into the garage.  There, she took the gun from the glove compartment of her car and she re-entered the house, engaged Gray, and fired the weapon.  It's what we lawyers call "imperfect self-defense."  The "stand-your-ground" statute removes the duty to retreat from a threat, but it does not allow you to retreat, arm yourself, and come back.

The Alexander case provides an excellent example of how an "imperfect" self-defense argument can have devastating and disproportionate consequences.  Because the jury did not accept Alexander's self-defense argument, they had to convict.  What they probably didn't realize (because in Florida juries aren't told the sentences attached to their verdicts) is that they triggered Florida's 10-20-Life mandatory sentencing requirement.

In Florida, a person who uses a gun in the commission of certain felonies (including aggravated assault) must face minimum mandatory sentencing.  If the gun is possessed during the commission of one of the enumerated felonies, a minimum 10-year sentence is required.  If the gun was discharged, as it was in this case, it is 20 years.  Florida's minimum mandatory sentences are served day-per-day; there is no early release.

It might be appropriate to impose minimum mandatories on violent felons who use guns to further the commission of a crime such as armed robbery. The idea, however, that Florida does not allow any discretion -- even judicial discretion -- for more complicated scenarios truly makes it difficult to adjudicate these cases.

Had Alexander taken this case to trial and again been convicted, the state indicated that they would seek a 60-year minimum mandatory sentence.  While the law allowed for such, it would have been an absurd result.

We rely on judges to assist in dispensing justice, and to be the arbiter between the state and the defense.  While the legislature has the absolute right to make laws, it should not hamstring a judge's ability to dispense appropriate justice under the specific circumstances of individual cases.  When a judge faces a minimum mandatory sentence, her hands are tied, she becomes a mathematician rather than a dispenser of justice.  If the facts and the law support a harsh sentence, a judge has the discretion to impose it, but we should not force their hands when minimum mandatories produce obviously unjust sentences.

More troubling yet is that the threat of such an absurd punishment clearly dissuaded Alexander from seeking a second jury trial.  Had the statute been written in such a way to allow for a judge or jury to consider whether or a minimum mandatory sentence should apply, then the case could have been adjudicated on its merits.  Instead, Alexander did what she had to do under the present statutory scheme -- plead and avoid risking a virtual life sentence where she would have died in prison.

Minimum mandatory sentencing takes discretion away from judges and gives it to prosecutors.  While it is appropriate for prosecutors to have discretion over who they prosecute and what charges they pursue, minimum mandatory sentencing gives them a power that can be too easily abused.  Prosecutors can use the threat of extreme minimum mandatory sentences to strong-arm defendants into plea deals.  This is what happened in the Alexander case, and it compromised her right to due process simply because the risk was too great to chance a conviction at trial.

Minimum mandatory laws are politically popular with "tough-on-crime" advocates. But the "tough-on-crime" flag waving that makes for great talking points during an election ignores the day-to-day difficult realities judges and defense attorneys face, as well as the effect it has on the lives of the people who get caught in the system.

This is not a call to go light on crime; this a call to be reasonable about sentencing. We can keep our tough sentencing guidelines, but we need to let our judges be judges. We need to eliminate minimum mandatory sentencing laws.

@highlight

Minimal mandatory sentencing laws demand harsh punishment regardless of the facts of a case

@highlight

Mark O'Mara: The case of Marissa Alexander shows the need for the laws to be more reasonable