(CNN) -- Images of the latest gleaming aircraft models regularly pepper websites (including this one), but where do all of those dead airplanes go?

The numbers are huge: approximately 12,000 aircraft are set to be decommissioned by 2020.

In addition, 2,000-3,000 planes are estimated to have been abandoned around the world (primarily in developing countries) according to the Aircraft Fleet Recycling Association (AFRA).

As their aircraft near the end of their service lives, aircraft owners must find ways for dealing with retirees.

For aircraft at that awkward stage when they're no longer safe to fly but still too sturdy to demolish, there are storage facilities like that at Marana Aerospace Solutions in Arizona or the Mohave Air and Space Port in California.

The problem is, they're only temporary.

While some parts -- especially engine parts -- practically sell themselves and find new homes on new planes, other airplane parts can get more innovative second lives, such as the ones featured below.

Furniture

Futuristic rivets, elegant curves, gleaming surfaces and the ability to withstand extremes ... it's easy to see why furniture designers would be intrigued by the potential of decommissioned airplanes.

The widely acknowledged leader in this niche industry is MotoArt, a California-based company that's been designing sleek, sexy beds, tables, chairs and sculptures constructed from deconstructed airplanes for more than a decade.

"We have over 100 designs and have produced thousands of pieces that you find nearly in all parts of the world, from the Dubai Burj, to the Sears Tower, and even as far away as the North Pole," says managing partner Dave Hall.

Germany's bordbar, the first company that thought to revamp airline trolleys as multifunctional and decorative furniture, customizes trolleys.

This can mean incorporating butterfly patterns or corporate logos, transforming the trolley into a filing cabinet or mini-bar, complete with shelves, glass front and LED lighting.

"We sell our products around the globe, with approximately 220 wholesalers," says bordbar co-founder Valentin Hartmann. "There is definitely a market for trolleys."

Bordbar trolleys start at €979 ($1,300).

German company Skypak also specializes in glammed-up airline trolleys, selling luxurious, attention-grabbing designs like the Pure Gold trolley, decorated with 24-carat gold leaf.

The company's star product, the Luxury Crystal trolley, is covered in 82,000 Swarovski crystals.

Skypak's trolleys start at €1,380 ($1,833), but luxury trolleys go for anywhere from €3,900 ($5,180) to €27,800 ($37,000).

Floor and wall tile

Aircraft aluminum isn't like the aluminum most of us know.

Because of the alloys that make it sturdy and fit for flight, it's also difficult to recycle.

Bio-Luminum, a building material from U.S.-based Coverings ETC, is made from completely recycled aircraft aluminum.

"The energy used in recycling aluminum is 5% of what would be used during the first generation of aluminum production," says Jennifer Ryan, business development director for Coverings ETC.

The best part is that Bio-Luminum is itself recyclable.

"So if you ever desire to change your decor, Bio-Luminum can be removed and used over again," says Ryan. "It is truly a cradle-to-cradle product."

Boat

Planeboats, or "flying boats," are rare (the Japanese Imperial Navy developed a fleet during World War II), but a former 1939 Boeing 307 Stratoliner converted into a boat that can reach up to 13 knots occupies a remarkable place in recycled plane lore.

The boat has an unforgettable name -- the Cosmic Muffin -- as well as an equally interesting history.

It belonged to aviation pioneer Howard Hughes in the 1940s. After it was re-christened by pilot Jimmy Buffett, its current owner, Dave Drimmer, purchased it in 1981 to live aboard.

"The original aircraft controls in the cockpit are now used to drive the boat with both the pilot and co-pilot controls," says Drimmer. "This is what makes the planeboat so unique and novel; you sit where Howard Hughes used to fly the plane to drive the boat."

Jealous?

Intensely curious?

The Cosmic Muffin is open for tours and charters out of Fort Lauderdale, Florida.

House

Architect David Hertz's design, the Wing House, a Malibu mansion constructed from an entire Boeing 747, manages to be striking and graceful, even without the knowledge that it was built on ecologically sound principles.

Via his website, Hertz compares the process of converting the 747 into a house to the way "the Native American Indians used every part of the buffalo."

The most obviously aerial feature is the curvilinear roof, constructed from the wings of the former plane.

Working with a smaller budget, but no less entrepreneurial, Oregon resident Bruce Campbell's Airplane Home is a structurally untouched Boeing 727-200 that's been gutted on the inside.

Then there is Joe Axline's "Project Freedom," involving two airplanes, an MD-80 and a DC-9-41, that have been converted into a home.

Hotel

It's difficult to imagine a traveler disembarking from an airplane wanting to spend a night in one.

But if the number of hotels built into airplanes is any indication, such travelers do exist.

Costa Verde, a luxurious hotel located in a Costa Rican rainforest, is a recycled Boeing 727.

Despite its clipped wings, from the exterior it looks like an aircraft emerging from the jungle ready to fly out over the Pacific.

The fuselage that encases the two bedrooms of the "727 Fuselage Home" suite is intact. Apart from the distinctive shape of the portholes and curved ceiling, however, the interior feels more woodsy bungalow than aircraft.

Meanwhile, Stockholm's Arlanda Airport has budget accommodation Jumbo Stay, a hostel built into a Boeing 747, popularly known as a Jumbo Jet.

"I financed and built the whole hostel," says owner Oscar Diös. "We wanted to be unique, but not discriminating toward anyone with a smaller budget."

This welcoming attitude may be why the cockpit has served as the setting of several weddings, and why former 747 pilots are regular visitors.

"Jumbo Stay is a place for everyone," says Diös.

For €350 ($465) a night, there's the Airplane Suite for two in the Netherlands.

Built inside a decommissioned Ilyushin Il-18, it comes with amenities you couldn't have on a private jet -- Jacuzzi, sauna, flat-screen TVs and basic kitchen equipment, not to mention a mini-bar and DVD collection.

Artificial reef

Most airplanes try to avoid submersion in large bodies of water. That sort of thing is usually called an "accident."

But if the airplane is empty, then sinking it into the sea to create an artificial reef, like the Artificial Reef Society of British Columbia (ARSBC) did with a Boeing 737, it might actually be a good thing, as they become homes for, and thus promote, local marine life.

"The 'passenger list' of creatures that now inhabit the reef has grown to over 100 species," says Deidre Forbes McCracken, director of public relations at the ARSBC.

Anything else

Recycling an airplane means recycling the interior as well.

Australian retailer Rushfaster stocks laptop messenger bags fitted with former airplane seatbelts as straps -- a good gift for university freshmen who need to lug around textbooks.

Then there's British retailer Worn Again, with its Worn Again Virgin line. Though often out of stock (recycling depends on the availability of discarded materials), the company stocks a line of bags, clothes and accessories made from recycled Virgin Atlantic interiors.

European architectural firm LOT-EK has ambitious concept designs for a library of more than 200 stacked Boeing fuselages; Sky Tram presents the idea of converting fuselages into futuristic supertrains that would run on tracks suspended several stories above the ground.

Sure, these innovations don't actually exist.

Yet.

But people laughed at airplanes, too, until they really took off.

Originally published March 2012; updated September 5, 2013.

@highlight

Visionaries have been making furniture, hotels and private homes from decommissioned airplanes

@highlight

Airplane trolleys can be converted into wine bars or foosball tables

@highlight

Plane-turned-boat Cosmic Muffin can reach speeds up to 13 knots