(CNN) -- Gaze across Cannes Bay this week, and you'd be forgiven for thinking you had stepped back in time.

Each year, the French seaside town -- better known for its glamorous film festival and extravagant superyachts -- is transformed into a haven of historic nautical engineering.

Over 100 elegant wooden vessels, their white sails billowing like giant quills, will cruise the Mediterranean in one of the biggest vintage yacht races in the world -- the Régates Royales de Cannes.

Forget throbbing engines and high-tech satellite gear. These multimillion dollar boats hark back to an era when sail ruled the waves, built from designs dating back centuries.

"Using vintage yachts is completely different to modern sailing - it's not all about performance and technology," said Angelo Bonati, chief executive of sponsors Panerai, who also spent three years and more than $3.8 million restoring a 1930s boat which will race this week.

"Each classic yacht expresses elegance, authenticity, craftsmanship, and above all, rarity and exclusivity." He added: "Everybody speaks the same language -- passion for the sea and a love for the great ladies of the sea."

For the love of sail

If Bonati's words seems dramatic, then perhaps it's a reflection of competitors' devotion -- and huge financial investment -- in these vintage vessels.

With classic yachts costing up to $13 million, and often built using traditional techniques, it's rare to see just one on the high seas -- let alone a fleet.

"There are 100 of these boats at Cannes, and there are not much more than 300 of them in the world," said Celine Castellanet, organizer at the Cannes Yacht Club which helps run the regatta.

"You can find a modern yacht anywhere. But for the crews taking part, these boats are really attractive because they're so unique."

Hailing from every corner of the globe, many of the classic yachts have a rich history, with the oldest built in 1896 by renowned Scottish designer William Fife.

Also setting sail will be the 1930 Shamrock V. Originally owned by legendary English tea magnate Thomas Lipton, it was the fifth and final yacht he fielded in the America's Cup -- without success.

Race of a lifetime

Cannes is the final stop in the prestigious Panerai Classic Yachts Challenge, featuring 10 regattas held in the Mediterranean and east coast of America.

The event is divided into three categories according to the age of the yachts -- those built before 1950, those built before 1975, and those built after 1975 but using classic designs.

Depending on weather conditions, the yachts will race various routes across Cannes Bay for around five hours.

But for the 3,000 sailors taking part, maneuvering the old-fashioned vessels takes not just specialized knowledge -- but brute strength.

"These boats are really heavy," said Castellanet. "When they're launched they take a long time to stop and turn around."

"Unlike modern yachts, they don't have hydraulics, so sometimes it takes 10 guys pulling on the same rope."

Royal beginnings

The roaring twenties were a golden era for the French Riviera, with the crème de la crème of European society holidaying -- and sailing -- at the pretty seaside town of Cannes.

In 1929 the first Régates Royales was born, in honor of Christian X, King of Denmark. World War Two put a temporary halt to the event, until it was re-launched in 1978.

Fast forward 35 years and the prestigious regatta now attracts 40,000 visitors each year.

However, this year will also be an emotional event, with the death of Cannes Yacht Club president Jean-Claude Montesinos earlier this month. Castellanet paid tribute to Montesinos' sense of humor and huge enthusiasm for the race.

It is that same enthusiasm which sees thousands of crew members taking part, despite there being no prize money. Rather than staying in ritzy hotels, many sleep on board the yachts.

"A lot of different people are involved. The boat owners obviously have a high level of income. But the crews are often younger people with the strength to pull the ropes," said Castellanet.

"It's not about prize money. People do it for the spirit of the race."

@highlight

Introducing Régates Royales de Cannes -- one of the world's biggest vintage yacht races

@highlight

Over 100 classic boats take part, with the oldest dating back to 1896

@highlight

Costing up to $13m, the stunning vessels are often restored using traditional techniques

@highlight

Follows recent death of Cannes Yacht Club president, Jean-Claude Montesinos