President Barack Obama gave a historic speech on Friday. After months of revelations about the extraordinary surveillance capabilities of the U.S. government -- and the National Security Agency in particular -- the President promised to end the bulk collection of telephone records by the NSA and to put in place new safeguards for privacy protection of U.S. citizens and those outside the country.

Let's give Obama credit for signaling a new direction in the ongoing discussion over civil liberties and security. It is a good thing, one that should lead to greater freedom and security. Obama has stopped treating the Snowden revelations as a public relations issue and chose instead to pursue the hard work of reform and new protections.

As Obama acknowledged, intelligence collection is necessary to a nation's security, and to all countries in identifying threats. But at some point, programs become too vast, concerns about their direction arise, and changes must be made. Just because the government can do something with technology does not mean it should.

Obama also announced the establishment of a public interest advocate at the Foreign Intelligence Surveillance Court, the body that has authorized the vast surveillance program. The advocate will provide an opportunity for the judges to hear from someone opposed to the surveillance program. Only after hearing both sides of the argument will the judges make a decision.

In addition, there are plans to improve oversight of National Security Letters -- a secretive process for obtaining access to business records about customers. "NSLs" have become a favorite of the law enforcement community post-9/11 and have caused real concern among civil libertarians across the political spectrum. Obama said notification procedures would be established and there would be more openness. This is not as much as some had hoped, but still it goes further than was expected.

Finally, Obama said he would create a new panel to assess the impact of "Big Data" on personal privacy. The phrase may be cliché, but the problem is real. Increasingly data -- and also metadata -- reveal an extraordinary amount of personal information. We need a better approach, with technologists and legal scholars, and a deeper engagement from the White House and Congress, to make meaningful progress on this critical issue.

Civil libertarians are welcoming Obama's proposals. From the start, we had urged the end of the NSA telephone record program. We had also pushed for reforms to the Foreign Intelligence Surveillance Court, more oversight and accountability for government conduct, and a greater willingness to engage a meaningful debate on the impact that technology is having on privacy and freedom.

For those outside the United States, the takeaway will be more mixed. Yes, it is good that the U.S. President has agreed to stop listening in on the calls of foreign allies, narrow the focus of the U.S. data collection overseas, and extend legal safeguards to non-U.S. citizens.

But still, a larger problem remains for the United States. For many years the United States has pushed aggressively against efforts in other countries to update data protection laws and put in place new privacy safeguards. Washington spent the last several years assuring Europeans that its system of "self-regulation" for the private sector coupled with "vigorous oversight" of government surveillance provides meaningful protection.

The documents released by Edward Snowden tell a very different story -- of insufficient oversight, private sector collaboration, and technologies of surveillance gone largely out of control. In some instances it was clear that the NSA was actually undermining standards necessary for Internet security. Several of the recently released court opinions also suggest that the NSA itself did not know what data it was collecting.

It will not be easy to rein in these powers or to fully understand the consequences of the technologies the U.S. government has embraced.

In other words, Obama has not said enough yet to assure those outside the United States that the NSA will not continue to monitor their activities. He also did not fully embrace the efforts under way in many countries to strengthen the right to privacy.

A relevant historical reference for the President in the surveillance debate is the FBI monitoring of the Rev. Martin Luther King Jr. and U.S. opponents of the war in Vietnam. Today the reality is that the NSA gathers vast amounts of data on political leaders, private firms and human rights campaigners outside the United States. Obama will need to do much more to make clear that intelligence collection is not a blank check to conduct surveillance on other nations.

Obama has several opportunities coming up to say more about what he will to do to protect privacy, widely viewed around the world as a fundamental human right. This year the State of the Union falls on January 28, International Privacy Day, a day that marks the creation of the most well-known international framework for privacy protection.

The United States should be the world's leader on freedom, not surveillance.

@highlight

Marc Rotenberg: President gave a historic speech about NSA reforms

@highlight

Rotenberg: Give Obama credit in signaling a new direction on civil liberties, security

@highlight

He says but Obama has not said enough yet to assure those outside the U.S.

@highlight

Rotenberg: The U.S. should be the world's leader on freedom, not surveillance