(CNN) -- On Monday, the world's leading technology companies, including Google and Microsoft, published an open letter to President Obama and Congress demanding reform of U.S. privacy laws to restore the public's "trust in the Internet."

This comes after what seems like an endless series of revelations about government surveillance from the secret documents leaked by Edward Snowden.

Let's start with the latest: American and British spies have gone into online fantasy games to snoop on players, and to see if any militants are communicating with each other dressed as elves or gnomes. Last week, the Washington Post reported that the National Security Agency is "collecting billions of records a day to track the location of mobile phone users around the world." And we learned recently that the NSA hacked fiber-optic cables and infected 50,000 networks with malware.

Big Brother spying is happening at a scale we could never have imagined.

This new awareness has prompted people -- even those with nothing to hide and who support broad surveillance for national security reasons -- to try to regain some control over their online privacy.

According to a fall Pew report, 86% of people "have taken steps online to remove or mask their digital footprints." Another study concluded that 64% of Internet users concerned about privacy have taken action to protect themselves in direct response to the NSA PRISM program. Revelations of NSA spying even contributed to President Obama's approval rating sinking to a new low.

Americans are very worried that they've lost control of their personal data. In this atmosphere of anxiety and mistrust, people are adopting privacy solutions in unprecedented numbers.

For example, Silent Circle, a global encrypted communications company that provides secure phone and text solutions, has experienced explosive 400% growth. My company, Disconnect, anonymized more than three million search queries in the first 30 days after launch. And sites like Prism Break are becoming popular destinations to learn about ways to protect your online privacy.

It's hard not to feel that we've lost too much control when secret laws and new technologies empower governments and a handful of giant companies to secretly track, analyze and record virtually every detail about any of our lives (even leaders of world superpowers). Without suspicion, it appears that untold millions of us have or will be subject to unconstitutional searches and seizures of our most personal information. No wonder many people believe that the NSA's actions violate our privacy.

What's even scarier is that government spy programs are rapidly expanding. For example, significant progress is being made to improve the use and capabilities of video surveillance. Law enforcement agencies are partnering with technology firms to create video surveillance systems capable of facial recognition, scanning license plates and detecting radiation levels emitted by cars.

In New York City, Mayor Michael Bloomberg cited a joint NYPD-Microsoft project and suggested that within five years there will be 24/7 video surveillance of the entire city. On Big Brother, Bloomberg said, "Get used to it!"

The government is also upgrading its ability to process and store the enormous amount of data it is acquiring. During the summer when Snowden's disclosures were sending shock waves around the world, U.S. taxpayers paid for a brand new $1.2 billion data farm that will serve as the NSA's external hard drive, designed specifically to improve "data acquisition, storage and processing effort."

Meanwhile, consumer trust that companies can or will protect their personal information has been dealt a major blow as evidence emerged that the NSA collects information "at will" from Google's and Yahoo's data hubs without those companies' knowledge and that nine leading Internet companies provided the government access directly to user information as part of the PRISM program.

So it comes as no surprise that 58% of people don't trust Internet companies to protect privacy. Tech leaders have even publicly acknowledged that news about PRISM has hurt their brand trust to a far greater extent than any previous uproar over privacy violations.

We can't assume any company can protect us from government snooping. So until existing laws change, we have to focus on controlling what we can. It's possible that over time, consumers will increasingly avoid or limit sharing personal information. Companies that collect huge silos of personal data may be viewed as unattractive -- as sources of intel the government can easily and secretly tap into.

Ironically, the companies known as the biggest online privacy offenders who've created business models that rely on monetizing user data are now calling for limits on surveillance. Though, really, what these companies seek has nothing to do with making their collection and use of our data more transparent.

Still, their point is well taken. The government must change surveillance laws to avoid destroying our trust and the current Internet economy.

Those familiar with the entire cache of Snowden's leaked documents insist that the most shocking and significant revelations are yet to come. And there's a lot we'll never know. According to the U.S. government, Snowden, a low-level contract engineer, had very limited access and no knowledge about the "crown jewels" of the NSA's surveillance program.

What could those "crown jewels" be? Aren't you terrified to find out?

The opinions expressed in this commentary are solely those of Casey Oppenheim.

@highlight

The world's leading tech companies asked President Obama to reform privacy laws

@highlight

Casey Oppenheim: The scale of Big Brother spying is beyond our imagination

@highlight

He says even those who have nothing to hide want to regain some control of their privacy

@highlight

Oppenheim: In this atmosphere of anxiety, more people are trying to find privacy solutions