(CNN) -- The United States Holocaust Memorial Museum's ability to teach the lessons of the Holocaust to future generations relies on its collections. The museum has been on a 20th anniversary four-city tour to engage the public and gather artifacts that tell survivors' stories in vivid, lasting and personal ways.

The museum held a historic gathering of Holocaust survivors and World War II veterans in Washington for a national marking of its 20th anniversary.

The road trip started in Boca Raton, Florida, and continued in Los Angeles and New York. Now we're in Chicago, where Sunday, June 9, the museum will hold a daylong public event with many opportunities to engage with museum resources, people, and programs, and pay tribute to local Holocaust survivors and World War II veterans.

In Los Angeles, we met a woman who was born in 1939, after her father was deported from Vienna, Austria, to the concentration camps, where he spent the next five years.

Her mother and grandmother worked for the Jewish community and were never deported from Vienna. This woman spent her childhood in the hospital of the Viennese Jewish community, where her mother managed to survive and keep them from being deported.

7 life lessons from a Holocaust survivor

It was amazing that three generations of Jewish women managed to survive Nazi occupation. It is extremely unusual. They had to care for themselves, surviving day to day, and care for their very young child. It seems unfathomable they made it.

In New York, a family donated letters and artifacts from their uncle and his wife, who were on the S.S. St. Louis, a ship that in 1939 left Hamburg, Germany, bound for the Americas with about 900 Jews aboard fleeing the Nazis. The were refused entry into Cuba and the United States and headed back to Europe, where many of them eventually wound up in the hands of the Nazis. The uncle and his wife were deported to concentration camps. The wife survived; the husband perished.

When the survivors and other witnesses to the crimes of Nazi Germany are no longer able to tell their stories, it will be the collections -- artifacts, documents, pictures, films -- that will help transmit this history and its lessons.

That's why we're racing to rescue the evidence of the Holocaust by working in 40 countries to preserve these materials.

Elie Wiesel: Faith in the messenger

To date our collections include more than 17,250 objects, 68.1 million pages of documentation, 135 million digital images from the International Tracing Service, 87,500 photographs and images and more than 1,030 hours of video footage. We expect our collections to double in size over the next decade.

The Museum's 20th anniversary is bringing Holocaust history to communities nationwide. Each tour stop featured programming that explores the history of the Holocaust and looks at why it remains so relevant for us today.

Even if people cannot attend a tour stop or do not have collections to donate, people can still get involved. The Museum has developed 20 actions that anyone, anywhere can take to help preserve Holocaust memory and apply its lessons today. Visit ushmm.org/neveragain to see how you can participate. You can also see highlights from the previous tour stops and the National Tribute to Holocaust Survivors and World War II veterans.

We will continue to examine issues like the dangers of hate and indifference, the threats of continuing mass violence and genocide and what we can do about them. We want people to understand this history and move from asking "What would I have done?" to "What will I do?"

The opinions expressed in this commentary are solely those of Suzy Snyder

@highlight

U.S. Holocaust Memorial Museum has been on a 20th anniversary four-city tour

@highlight

Museum collects artifacts from survivors and their families to add to its collections

@highlight

Suzy Snyder: When survivors are gone, artifacts, documents, photos and films will tell the story