Hong Kong is in the midst of its longest series of political protests since the 1997 handover.

Pro-democracy activists say they are making good on a long-threatened vow to try and paralyze the city's financial district -- a key business hub for the region and beyond -- through sit-ins and civil disobedience.

Clashes between students and police this weekend have been the most heated in a long summer of anti-Beijing protests. Dozens have been reported injured by authorities.

Their goal is to pressure China into giving the former British colony full universal suffrage.

Beijing has so far refused to cede ground on its stance, setting the scene for growing, and more intense, clashes.

Here are five things to know about Hong Kong as political tensions ratchet up:

1. It's not just another Chinese city

A city of towering skyscrapers on China's southeastern tip, Hong Kong is home to 7 million people.

When the city was returned to China in 1997 a deal was struck promising "a high degree of autonomy" to Hong Kong under a formula dubbed "One Country, Two Systems."

The city's Basic Law or "mini-constitution" has allowed the city to carry on with its own legal and financial system and Hong Kong enjoys civil liberties unseen in mainland China such as an independent judiciary, freedom of the press and the right to protest.

It also states that "universal suffrage" is the ultimate aim for Hong Kong but it does not give a timetable or detail how political reform should take shape.

Currently, Hong Kong's leader, known as the chief executive, is elected by a 1,200-strong committee stacked with Beijing loyalists.

2. People are fed up

Surveys show that the government's approval rating is sinking, while distrust of China's central government in Beijing is at its highest level since the handover.

Discontent, especially among the young, is driven by a widening wealth gap and many resent the influx of free-spending mainland Chinese visitors to the city who buy up everything from apartments to baby milk formula.

A survey released on September 21 said that one in five people were considering emigrating.

The latest wave of protests came after Beijing in August rejected demands for people to freely choose the city's next leader in 2017.

Pro-democracy groups responded by unleashing threats to disrupt the city's Central financial district -- where many big banks and other businesses are located -- in a campaign known as "Occupy Central."

Democracy supporters come from a broad cross section of society including students, religious leaders, university professors and financial professionals.

After months of forewarning, Occupy Central began formally on Sunday, with thousands of protesters, many wearing eye and clothing protection, beginning a sit in around government buildings. Supporters want to force discussions, and even concessions, over Beijing's influence on Hong Kong.

17-year-old Hong Kong student prepares for democracy

3. Not everyone supports the protests

Pro-Beijing groups like "The Silent Majority for Hong Kong" say the activists will "endanger Hong Kong" and create chaos.

They have held their own rallies against Occupy Central and ran advertising campaigns in local media to highlight their fears.

The biggest rally, on August 17, was attended by thousands, although questions were raised about its legitimacy amid reports that marchers were paid to show up.

Businesses fear that any campaign targeting the city's financial district will harm Hong Kong's reputation as a safe and stable place to do business.

An opinion poll conducted this month by Chinese University said that 46% did not support the Occupy Central campaign, while 31% backed the civil disobedience movement.

4. China thinks Hong Kong is "confused"

Beijing, in a policy document released in June, said that Hong Kong does not enjoy "full autonomy" and residents are "confused or lopsided in their understanding" of "One Country, Two Systems."

The rhetoric indicates that Beijing is unlikely to budge on its prescription for electoral reform in the city.

Li Fei, a senior Chinese official, suggested that screening candidates was necessary to ensure the chief executive "loves China, loves Hong Kong and will safeguard the country's sovereignty, security and development interests."

China has also sought to blame the pro-democracy opposition in Hong Kong on interference by Britain and the United States.

All eyes are on Beijing and how it will respond to the growing waves of protests. The central government is in a tricky situation of not being able to be seen as backing down on its stance but at the same time needing to be wary over the use of force and the implications of doing so.

5. The government says Hong Kong should accept deal on offer

The Hong Kong government says its people should accept the deal on electoral reform offered by Beijing.

The new framework will allow Hong Kong's 5 million registered voters to select their leader, although candidates must be approved by a committee similar to the one that selected the city's top official in 2012.

Critics say that this means only candidates favored by Beijing will appear on the ballot, but Hong Kong's current chief executive, C.Y. Leung, writing in an op ed for CNN, says that this is not the case.

"We have not even started to discuss the detailed but crucial aspects of the nominating process for potential chief executive candidates," he writes.

"Raw emotion -- for or against the proposed political reform -- will get us nowhere."

@highlight

Pro-democracy activists launch a campaign to "occupy" the city's financial district

@highlight

Their goal is to pressure China into giving the former British colony full universal suffrage

@highlight

Not everyone shares the activists goal but many residents are unhappy

@highlight

China says that Hong Kong does not enjoy "full autonomy"