(CNN) -- Blame it on Damascus? No, let's not.

This week's preferred media narrative comes in two parts:

First, that comprehensive immigration reform isn't just headed to the back burner but will be completely off the stove until 2015 and beyond.

And second, that it was the crisis in Syria that pushed the issue off the agenda. After all, we're told, how can Congress concentrate on anything else when it has to decide whether to approve a military strike against the regime of Syrian President Bashar al-Assad?

The first part is fact, but the second part is fiction.

It's true that Congress is done with the immigration debate for the rest of this year. The GOP-controlled House of Representatives might hold a vote on a "reform-lite" bill where illegal immigrants get legal status but not citizenship. Or it might offer legal status only to farm workers and DREAMers, those publicity-seeking undocumented young people who want preferential treatment because they intend to go to college or join the military.

But any hope of a large-scale reform that offers legal status to the estimated 11 million illegal immigrants in the United States has faded. And because Congress really only shows up for work in odd-numbered years (so members can run for re-election in-between), we'll probably be having this conversation in 2015, 2017 and 2019.

It is not true, however, that it was Syria that killed immigration reform for this Congress. That's just a quick and easy explanation -- one favored by those who don't understand the issue in all its complexities -- and it's also an excuse that comes in handy for lawmakers looking for an exit door.

One of them is Rep. RaÃºl Labrador, R-Idaho, who recently told Univision's Jorge Ramos that it is becoming less likely that immigration reform will pass anytime soon because Congress is turning its attention to Syria. Weeks ago, Labrador walked away from immigration reform efforts in the House.

No, a proper autopsy would show that immigration reform is meeting its demise in this Congress for a variety of reasons. Here are three of them:

One: The major legislative offering -- the Border Security, Economic Opportunity and Immigration Modernization Act -- collapsed under its own weight.

When the Senate's bipartisan "Gang of Eight" unveiled its masterpiece in April, the bill was 844 pages long. The amendment process pushed it past 1,000 pages.

The folks who have helped pass immigration reform legislation -- i.e., the 1986 Immigration Reform and Control Act -- before will tell you that when you want to pass legislation, you want the bill to get smaller as time goes on, not the opposite.

Besides, there was too much pork. Many of the giveways have had nothing to do with immigration but were merely intended to get the support of senator so-and-so from such-and-such state. That's because, as California-based policy analyst Arnold Torres maintains, the debate was always about politics instead of what it should have been about: policy.

Torres knows this terrain well, having contributed to the debate over reform in 1986 as executive director of the League of United Latin American Citizens. Many advocates this time around were too busy worrying about passing something, anything, to give a thought to whether what they had on the table was worth passing or how it would be implemented.

Two: As broken as Washington is on most issues, when the subject is immigration, it is doubly dysfunctional.

That town is filled with people who use this issue to further their own agendas. If you interviewed illegal immigrants and asked them what they would have liked to have achieved in the immigration reform process -- and I've done just that -- they would ask for three things: a work permit, the ability to travel across borders and a driver's license.

What's not on that list? Citizenship and the voting privileges that come with it, which is a repeated deal-breaker for politicians.

Washington is also filled with people who think they know more than the folks on the frontlines. If you sat down with Border Patrol agents and supervisors and asked them what they need -- and I've done that, too -- they would ask for new roads on the border, surveillance equipment and tunnel detection capability.

Whatever you do, they'd say, don't give us more agents to train and more fencing that doesn't keep out anyone. So what did the Senate bill -- thanks to the Corker-Hoeven "border surge" amendment -- offer? More agents and more fencing.

Three: The debate has been inherently dishonest, with neither side able to trust the other.

Posturing and hot air to the contrary, neither party really wanted to have this debate. It divides their constituencies. Republicans have to referee a civil war between nativists who want less immigration because they fear that the country's complexion is changing, and business interests that want more immigration because they need workers.

Democrats have to keep the peace between Latinos who want illegal immigrants to have a pathway to citizenship because they feel their pain, and some members of organized labor, who--despite the fact that their leadership supports reform-- would like to give immigrants a one-way bus ticket to their home country because they fear the competition.

The solution? Fool everyone.

Republicans talk tough but go soft on employers by creating loopholes and delaying enforcement efforts. Democrats talk soft but pander to working-class Americans by ratcheting up deportations and building walls. Sometimes, it works. Still, it is one heck of a tough spot to be in.

Now thanks to the crisis in Syria, members of Congress in both parties have a way out. And, with the enthusiasm of a dying man in the desert reaching for a bottle of water, they're grabbing it.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Some say Syria kept House from passing immigration reform. That's bogus

@highlight

He says debate over until 2015; bill was cumbersome and pork-laden

@highlight

He says sticking points are over things not vital to reform movement, such as citizenship

@highlight

Navarrette: Both parties panicked; Syria gives them out, but it's not the real reason