(CNN) -- A coalition of protesters marched Saturday under sunny skies to a Royal Air Force base north of London to voice its opposition to the UK's use of armed drones in Afghanistan.

"People are pretty upset about the idea that Britain will be developing this drone warfare," said John Hilary, executive director of War on Want.

Some 700 representatives of "a whole range of different anti-war movements" participated, many of them arriving in buses from around the country, he said.

They made the 4-mile march from the town of Lincoln to Royal Air Force Waddington, about 130 miles north of London, he said.

The coalition also includes members of the Campaign for Nuclear Disarmament, the Drone Campaign Network and Stop the War Coalition.

Their march was held two days after the RAF announced that it has begun remotely operating its Reaper unmanned aerial vehicles deployed to Afghanistan from the Lincolnshire airbase.

Before that, they had been operated from Creech Air Force Base in Nevada, where the U.S. drone program is located.

In a statement, Britain's Ministry of Defence said its Reaper drone, which is operated in Afghanistan under the command of NATO International Security and Assistance Forces, "is undoubtedly helping to save the lives of our forces, our allies and those of countless Afghan civilians."

But the Ministry of Defence itself, in a 2011 Joint Doctrine Note, raised concerns over the increasing use of drones.

"The robot does not care that the target is human or inanimate, terrorist or freedom fighter, savage or barbarian," it said. "A robot cannot be driven by anger to carry out illegal actions such as those at My Lai.

"In theory, therefore, autonomy should enable more ethical and legal warfare. However, we must be sure that clear accountability for robotic thought exists and this in itself raises a number of difficult debates.

"Is a programmer guilty of a war crime if a system error leads to an illegal act? Where is the intent required for an accident to become a crime?"

Noting that the use of unmanned aerial vehicles is increasing, the report called for the establishment of clear policies outlining their acceptable use.

"There is a danger that time is running out," it concluded. "Is debate and development of policy even still possible, or is the technological genie already out of the ethical bottle, embarking us all on an incremental and involuntary journey towards a Terminator-like reality?"

Experts in other countries have grappled with similar questions.

The use of drones "builds resentment, facilitates terrorist recruitment and alienates those we should seek to inspire," said Kurt Volker, former U.S. ambassador to NATO, in an editorial published last October in the Washington Post.

There is no way to be certain that there are no cases of mistaken identity or innocent deaths, he said.

Drone use can radicalize populations, said Volker, who now is executive director of the McCain Institute for International Leadership at Arizona State University and a senior adviser to the Atlantic Council of the United States.

He noted that the United States has no monopoly on the technology. "Imagine China killing Tibetan separatists that it deemed terrorists or Russia launching drone strikes on Chechens," he says. "What would we say?"

But a former RAF "Reaper" pilot, David Cummins, who has worked in the United States and Britain, defended the program from its critics. "I'm not 100% sure what they are marching against," he told CNN in a telephone interview.

There is little difference between drones and piloted planes, said the pilot, who joined the Combined Joint Predator Task Force in 2006 in Nevada and left in 2011. "Same rules of engagement, same laws of armed conflict, same crews.

"It's just one is manned and one is unmanned."

If drone use is indeed immoral, does that mean it would be immoral to fire at an enemy from a naval vessel 50 miles off the coast, asked Cummins. "Where do you draw the line?"

Cummins is now working as a vice president in charge of operations at Unmanned Experts, a company that specializes in drone training, equipment and business development.

A study published last year by two U.S. universities argued that the "dominant narrative" that drones are "surgically precise and effective" is false.

The strikes have killed far more people than the United States has acknowledged, traumatized innocent people and largely been ineffective, according to the study by the law schools of Stanford and New York University.

CNN's Bharati Naik contributed to this report from London

@highlight

"No to drones," says the Drone Campaign Network

@highlight

The march came two days after the RAF announced its program shift

@highlight

"I'm not 100% sure what they are marching against," a former RAF drone pilot says