Editor's note: In Subject Matters, we reveal the struggles faced by educators who teach subjects like science, math, English and history, and the solutions they've found. In the last Subject Matters story, teachers discussed their concerns about science education.

It's the best of times and the worst of times for English teachers as they find themselves more accountable than ever for the academic success of their students, while balancing new technologies that change time-honored practices of reading and writing. Here are some of the modern challenges that language arts teachers face in their classrooms.

Tests are top priority

The federal No Child Left Behind law, passed in 2001, requires states to set standards and assess students' skills as they reach certain grades. Since then, the U.S. Department of Education reports that English language arts and math are tested more than any other subject area. That means English teachers feel extra pressure to have their students perform well on tests, even as they set aside other education goals.

Jeff MacCulloch, who teaches at Middle School 256 in New York City, said the pressure to achieve on tests has increased so much in the past 10 years that it influences how he shapes his lessons. Rather than spend an entire class period on in-depth study of one book, he now spends a portion of each class on skill development for test taking.

"We want the student to be able to switch on and off the right strategy for the right prompt. It can be effective for taking a test," MacCulloch said. "But as far as the learning environment goes, it's like training a musician to announce the chords he or she is playing."

Not every English teacher has found success with that model, though.

In Detroit's suburbs, Hillside Middle School teacher Alissa Lowman has a different approach.

"We've moved away from specifically teaching to the test, because if you teach the curriculum, you should be hitting what the test is asking the student," she said.

Natalie Schlittenhardt, an eighth-grade teacher in Pima, Arizona, said results on the statewide tests are really a report card on whether students had a good day on the day they took the test. Everything she does, she said, comes down to three days of testing for which her school receives a grade.

Robby Davis, a teacher at Lee County High School in Leesburg, Georgia, said it's problematic to judge schools by students' ability to meet minimal testing requirements. Under the No Child Left Behind law, underperforming schools are put on notice to improve or face reorganization.

"I don't have a problem with teaching to the test, if the test is a good measure of what it said it's going to measure," Davis said.

Don't forget to write -- and read, too

Because time spent reading at home varies from student to student, kids come into language arts classrooms with varying skills.

That means teachers have to make accommodations for the best readers, the weak readers and, in some cases, those who are just learning to speak English.

Davis, who teaches students in the 11th grade, said educators shouldn't limit reading requirements to books that students can relate to. Academic reading is done for a different purpose than leisurely reading, he said.

"I'm unapologetic about what I ask them to read," he said.

Lowman, from Michigan, teaches two novels per year in her middle school classroom, and she maintains a separate reading list to help students choose additional books.

"All students are reading different books at different times," she said.

Through mini-lessons, she brings those books into the classroom discussion. For example, when they are studying active verbs, students will have to find examples in their individual books.

"It's harder, time-wise, but in the end they are learning more, reading and writing more," Lowman said.

Christina Gardner, of Millennium High School in New York City, has her students do writing workshops where they edit, provide feedback and revise the papers of their fellow students. Students learning English need more time to give feedback, and generally need to attend after-school writing sessions in order to catch up.

"It's not necessarily the case that English as a Second Language students are not as good at doing this," Gardner said. "In fact, they sometimes work even harder in order to compensate for a deficiency."

But as teachers assign more writing, they set themselves up to spend more time grading papers and have less time to teach.

Gardner recently took her students to see the musical "The Scottsboro Boys" and assigned students to write a review of the show, a monologue for one of the characters and a reflection on the process.

With a class size of more than 50 students, that generated about 150 papers for Gardner to grade.

Technology for good, and for bad

When Beverly Fanelli went to elementary school, encyclopedias were her main research tool. Now, students in her fifth-grade class in Macomb, Michigan, use the Internet for research.

"It's just so wide open as to what's available to them," she said.

Then, there's the whole video game component. When children read, Fanelli said, they take the words on the page and create pictures in their minds. But video games provide visuals with the story, so students don't use their imagination.

Just as everyday use of computers has increased, language arts learning has become more intertwined with technology. Students naturally turn to computers for research and writing in ways they wouldn't have a decade ago.

Davis, from Georgia, said technology can be a distraction. While research has been redefined by the Internet, his emphasis continues to be on teaching his students to take that information and synthesize it with their own ideas.

"Many of us thought the digital revolution was going to expand students' worlds because, theoretically, it could give them access to the globe," said Carol Jago, past president of the National Council of Teachers of English.

Instead, she said, social networking sites like Facebook have contracted students' worlds.

"They're just telling people just like them that they had their nails done or that they drank a cappuccino," she said.

In Clancy, Montana, Sandee Badger said she prefers to have her fifth-graders hand-write their assignments first. At that age, students are weak typists, and their creative flow is easily broken if they are hunting and pecking for letters on the keyboard, she said.

While older students tend to have access to computers in classrooms or computer labs, often there aren't enough computers for each student, so they have to share.

Gardner has access to a cart that contains 16 computers, but even if they all worked, there wouldn't be enough of them for classes of more than 30 kids.

The shortage of computers makes it difficult for students to research and write during class, Gardner said.

"It's hard to maintain a model of writing workshop and maintain the level of expectation for the student," she said.

@highlight

Many English teachers say testing drives how and what they teach

@highlight

In higher grade levels, students' reading levels vary dramatically

@highlight

Technology can help with research, but using it too much can hurt students, teachers say

@highlight

Computers can be more of a distraction if there aren't enough available