Momentum appears to be building for a breakthrough deal on Iran's nuclear program, with top diplomats flocking to the site of ongoing talks.

Hours after a Western official said a deal could be reached "as soon as tonight," discussions ended Friday night, a senior U.S. State Department said. They are set to resume Saturday morning.

By that point, U.S. Secretary of State John Kerry and British Foreign Secretary William Hague should both be in Geneva. They'll have company in the form of French Foreign Minister Laurent Fabius, who headed to the Swiss city Friday night according to an European Union diplomatic source, and Chinese Foreign Minister Wang Yi, according to his ministry's website.

They all join Russian Foreign Minister Sergey Lavrov as well as EU foreign policy chief Catherine Ashton and Iranian Foreign Minister Javad Zarif, who have been the key players in the latest round of discussions.

Together, these diplomats represent all five permanent members of the U.N. Security Council plus Germany -- together known as the P5+1 -- which has been negotiating with Iran about their nuclear program.

The hastily rearranged plans indicate that these Geneva talks are continuing past their scheduled conclusion Friday, though the hopes clearly go beyond just talking.

After talking to Ashton and the U.S. negotiating team, Kerry "made the decision to travel here with the hope that an agreement will be reached," State Department spokeswoman Marie Harf said.

The Western powers have been working toward an agreement to roll back Iran's suspected march toward a nuclear weapon. On the other side, Tehran has been looking for loosening of the economic sanctions that are strangling its economy.

Zarif said Friday there is wide agreement except for a couple of points, the semi-official Iranian Students News Agency reported.

"It should become clear today if we want to reach to a conclusion in the ongoing round of talks or further negotiation events are needed," Zarif said, according to ISNA. "Numerically speaking, perhaps 90% of progress has been made, but there (are) one or two issues which are of great significance."

A major sticking point to an agreement has been Iran's right to enrich uranium, officials involved in the discussions said.

Iran wants the explicit right to do so to be part of the deal -- which would likely extend six months and ideally be a precursor to a more sweeping pact -- diplomats told CNN. Western powers, on the other hand, prefer ambiguity on this matter: They don't want that point written into the agreement, but if Iran states its right to enrich uranium, the West won't dispute it, the diplomats said.

Talks in context

The latest round of talks comes as a change of leadership in Iran has changed that country's priorities.

President Hassan Rouhani, who was elected earlier this year, has made lifting tough economic sanctions against his country a priority.

During a visit to the U.N. General Assembly in September, Rouhani's moderate diplomatic approach raised hopes in the West of a thaw in relations with Tehran and progress in negotiations on its nuclear program.

Despite the sanctions against it, Iran today has 19,000 centrifuges and is building more advanced ones, according to Mark Hibbs, a nuclear policy expert at the Carnegie Endowment for International Peace. At the same time, the sanctions have crippled Iran's economy.

Most world powers believe Iran is realistically at least a year away from building a nuclear weapon, Hibbs said.

Iran insists it seeks to use nuclear power only for peaceful purposes. The international community led by Israel, the United States, France and others demands that Tehran dismantle its ability to enrich uranium and other technology needed to develop nuclear weapons.

Iran recently signed a deal with the International Atomic Energy Agency that agrees to give the U.N. nuclear watchdog agency access to long-unseen nuclear sites, including a heavy-water reactor in Arak.

Controversial approach

Rouhani's new approach has helped bring the parties back to the table, but any deal will have its critics.

Israel, the United States' closest ally in the region, staunchly opposes the tentative plan.

"It's a bad deal -- an exceedingly bad deal," Prime Minister Benjamin Netanyahu told CNN this week.

Netanyahu opposes lifting some sanctions now without getting further concessions to ensure Iran would be unable to continue with uranium enrichment and other steps.

Some U.S. lawmakers aren't sold on the new plan. On Tuesday, a bipartisan group of six senators urged the administration to reject the proposed deal with Iran and accept only an agreement that better dismantles Iran's ability to develop nuclear weapons.

But President Barack Obama said the current sanctions put in place during his administration had forced Iran to the negotiating table because of economic contraction and frozen oil revenue.

He said the proposed deal would "open up the spigot a little bit" on some of the frozen revenue while leaving in place the bulk of the most effective sanctions involving Iranian oil exports and banking. But Obama also stressed that all options, including military strikes on Iran's nuclear facilities, remained on the table as far as the United States was concerned.

U.S. national security adviser Susan Rice said the plan would benefit the global community.

"The international community would have unprecedented access to Iran's nuclear facilities and full transparency into what they're doing, so they wouldn't have the ability to sneak out or break out," Rice said.

@highlight

Official: Talks end for the night, will resume Saturday morning

@highlight

Chinese, French, UK, US, Russian, Iran foreign ministers head to Geneva

@highlight

Spokeswoman: Kerry going there "with the hope that an agreement will be reached"

@highlight

There had been a disagreement over Iran's right to enrich uranium