Mitt Romney and Hillary Clinton are back on the campaign trail.

Romney was in Kentucky on Thursday stumping for Senate Republican Leader Mitch McConnell while Clinton flew to Florida to campaign for Democratic gubernatorial candidate Charlie Crist.

The trips come amid intense speculation over how the 2016 presidential ticket might shape up. While it's unlikely Romney will run, he's leaving the door open a tiny crack to a third campaign. Meanwhile, of course, everyone is watching Clinton for signs that she might join the race -- and she's doing little to discourage the attention.

The 2016 contest is far from a lock. But if the race came down to two leaders who have already run for president, would there be any surprises?

Luckily, with two figures who have spent so many years in the public view, we have an idea of what a Romney-Clinton match up might look like.  Here are some areas that would be interesting to watch:

Russia

Critics have faulted Clinton for failing as secretary of state to foresee growing tensions between the U.S. and Russia. As secretary, Clinton famously offered her Russian counterpart a "reset" button meant to show the two countries were looking to cooperate more.

But President Putin's incursion into Ukraine and his support for Syrian President Bashar al-Assad during the country's bloody civil war, both of which occurred after Clinton stepped down, have chilled the relationship Clinton hoped would thaw.

Enter Romney, who was mocked after calling Russia the United States' "number one geopolitical foe" during an interview with CNN in 2012. At the time, Clinton called his remarks "dated."

Romney struck back in an interview with Fox this summer, calling Clinton's reset button "one of the most embarrassing incidents in American foreign policy."

Tracy Sefl, a Democratic strategist who worked on Clinton's 2008 effort, underlined the former secretary of state's real world foreign policy experience.

"As secretary of state, Hillary Clinton has a foreign policy record," Sefl said. "I'm not entirely sure what Mitt Romney has besides campaign positions."

What about gaffes?

Romney famously made his 2012 effort more difficult with a series of inopportune remarks that Democrats used to paint him as out-of-touch.

From the "couple of Cadillacs" he said his wife owned, to the 47 percent of Americans he said were dependent on government, to his offhand remark that "I like being able to fire people" who provide bad service, Romney handed opponents an opening.

But while promoting her book "Hard Choices" this summer, Clinton made some missteps of her own. The former first lady said she and her husband were "dead broke" when they left the White House in 2001. Earlier this year, she told an audience in New Orleans that she had not driven a car since 1996 because of Secret Service concerns.

Were Romney to run again, Clinton's stumbles might help inoculate him against the same criticism he faced over his wealth during his two previous campaigns.

A former Romney aide suggested Romney's more recent campaign trail experience would make him more comfortable on the stump.

"She's rusty," former Romney 2012 spokesman Ryan Williams said of Clinton. "Gov. Romney has been through two campaigns at this point. He's been out on the campaign trail campaigning for midterm candidates. She certainly would have a steeper learning curve."

Clinton has granted dozens of press interviews and given many speeches to public and private groups. But she hasn't crisscrossed the country campaigning with midterm candidates like Romney.

That potential advantage could extend to presidential debates. Romney shot up in the polls after surprising President Obama in their first one-on-one debate in October 2012. Clinton hasn't gone through that grueling experience since 2008.

But CNN Senior Political Analyst and National Journal Editorial Director Ron Brownstein said Romney would be hard pressed to shake the sense of some voters that he doesn't understand them.

"It was really about him embodying the guy who came to your town and shut down the plant. I still think that's there," Brownstein said. "I don't think Romney gets away from that no matter who he's running against."

Women

In 2008, Clinton's presidential campaign sparked tremendous enthusiasm among women voters and put 18 million cracks in the "highest, hardest glass ceiling." She continued her work on issues affecting women and girls at the State Department and through her family's philanthropic arm, the Clinton Foundation.

Romney struggled with women voters in 2012, with 55% of women supporting President Obama. Clinton has the potential to grow Democratic support even among women who supported Romney during the last election.

"She is just extremely well positioned to exploit the demographic vulnerabilities of the Republican Party," Brownstein said, pointing to GOP support for the Hobby Lobby case on employer funded birth control and state level funding cuts for Planned Parenthood programs.

Clinton supporters point to her focus in public remarks on pocketbook issues such as equal pay and affordable childcare, saying those issues have already resonated with voters.

"I fail to see anyone in the GOP that has either articulated an alternative or that embodies remotely the same amount of excitement and enthusiasm as Hillary does today," Sefl said.

Message

Recent public remarks from Romney and Clinton give a few hints at how they might try to appeal to voters should they launch a presidential campaign.

Clinton has spoken about creating more opportunities for women and girls at a variety of public and political events, in what some analysts have heard as a possible campaign theme.

"Don't let anyone dismiss what you're doing here today as women's work," Clinton told an audience at the Democratic Women's Leadership Forum in Washington, D.C. in September. "We're here proud Democratic women and proud Democratic men, to stand up not just ourselves, not just for women but for all our people - for our families, our communities and our country."

Clinton also would enjoy the support and enthusiasm of a handful of outside political groups like the super PAC Ready For Hillary that have sprouted up purely to fuel her potential candidacy.

As for Romney, his message could be something like: "having second (or third) thoughts now?" On that theme, he told an audience in Colorado this week that President Obama should have taken the terrorist group ISIS more seriously earlier.

"For the president to say, 'Gee, we underestimated ISIS' suggests he wasn't looking at the kinds of ideas that were being brought to him," Romney said. "I guess he was busy doing other things -- vacations, golf, fundraising. He just hasn't done the job he promised to do."

A CNN/ORC poll from July found that 53% of Americans would support Romney over President Obama if they could vote again today. (In a hypothetical match up with Clinton, however, 55% would have supported Clinton, with 42% for Romney.)

Romney supporters argue the former candidate seemed prescient on a variety of issues.

"He brings a proven track record of being forward thinking and having the ability to recognize problems and threats before they become a disaster," Williams, his former spokesman, said.

But while the upcoming presidential election may center on change, both Clinton and Romney could find themselves talking a lot about their experience.

"You've also got to have people who've actually run something," Romney told Fox News in September. "I don't think Hillary Clinton has that experience."

@highlight

Mitt Romney and Hillary Clinton both spent Thursday campaigning

@highlight

Romney has left the door open to another presidential bid

@highlight

Foreign policy and women's issues could dominate a Clinton-Romney race