(CNN) -- Where do you go to feel a sense of gratitude, serenity or peace in your life? While those feelings can come from a simple walk around the block or a moment with a good friend, some places inspire a sense of thankfulness by their very existence.

As the nation gathers to celebrate Thanksgiving, some gratitude gurus tell us how they focus on thankfulness in their daily lives -- and they share the awe-inspiring spots that give them that sense of grace.

Heartbreaking loss inspires a new life

When author and illustrator Grace Lin's first husband died of cancer after a long illness, she found herself filled with gratitude for the time they had spent together and thankfulness for being alive.

Her gratitude for his life and hers made her want to write a book about gratitude. And when she traveled to Hong Kong for a speaking engagement, the folk tales she heard and the beauty she saw further inspired her to write "Where the Mountain Meets the Moon." The children's book is about a poor girl who over time realizes she has everything she needs to be happy.

Her favorite spots include the mountains of Kowloon, a neighborhood in Hong Kong that means "Nine Dragons." As the legends tell it, the Song Dynasty's Emperor Bing named the area after its eight tallest mountains. And the emperor was the ninth "dragon" protecting the region.

Hearing that story from her travel companion, "I thought that was really neat, and it sparked my first idea of putting these folk tales into the story" that became the book, she said.

Her latest book, "Starry River of the Sky," focuses on peace and was also inspired by her visit to Hong Kong. It came upon her when she took the Ngong Ping cable car trip to see the Big Buddha at Po Lin Monastery. "It was a misty day, and I remember riding into it and seeing the huge Buddha in the mist, almost floating. It gave me such a sense of awe."

Now remarried in Massachusetts with a new baby, she has even more reasons to be grateful, she says.

God's painting across the sky

When Lysa TerKeurst gets stressed about her crazy schedule packed with work, writing and the needs of her five children, she admits it's easy to get sucked into anxiety.

If she can realize what she's doing, her first step is to be honest about her anxiety. "I love God and I serve God, but I don't put on any plastic facade to say I have it figured out," says TerKeurst, president of Proverbs 31 Ministries, a Christian ministry for women. "I don't have it figured out."

"I make myself stop and start listing things for which I am thankful," says TerKeurst, whose latest book is "Unglued: Making Wise Choices in the Midst of our Emotions." "That's the best anti-anxiety remedy."

It can be as simple as appreciating the nature around her North Carolina home, or Camp-of-the-Woods, a Christian camp in New York's Adirondacks where her family leaves all electronics behind. "When I watch a sunset, it's like God hand painted the sky that night," she says. "There will never be another one like it again."

To dig even deeper into gratitude, Terkeurst has traveled to the Dream Center in Los Angeles to volunteer on Skid Row. "Every single day they're doing some kind of mission work out in the community, and they will make a way for you to come out to serve," she says. "You can do things as a family with kids, married or single. It's an amazing place where miraculous things happen."

Not at the top of the food chain

Even though she was born and raised in Chicago, author Laura Munson has lived with her family in northwest Montana near Glacier National Park for 20 years. The area inspires Munson, whose memoir focused on her taking responsibility for her own happiness.

"This sacred part of the world steers my life, worldview, writing, mothering, everything," says Munson, author of "This Is Not the Story You Think It Is."

It may have to do with the fact that grizzly bears and mountain lions sometimes outrank humans on the food chain in Montana, she says. And her daily life can require skill with backhoes, chain saws and snowplows.

"My life is very, very quiet and for the most part, unwitnessed," she says. "I can wander in open spaces for miles here in the Flathead Valley, and not see another soul. I am grateful for Montana and its rugged wilderness. It has taught me about the rugged wilderness that is me."

A meditation teacher's discoveries in Virginia

Meditation teacher Pat Coffey lives about 10 minutes from Shenandoah National Park in rural Virginia where he finds peace and gratitude simply by looking at the mountains from his home or taking a daily walk in nature. He loves hiking the different trails at Shenandoah and finding the waterfalls tucked away in the park.

The founder of the Insight Meditation Community of Charlottesville, co-founder of the Meditation Teacher Training Institute and co-founder of the Blue Ridge Prison Project, Coffey does a traditional Buddhist meditation every day for about an hour, but he says you don't need any training to meditate in nature.

"Part of my healthy regimen is to get outside every day and feel what nature has to offer," Coffey says. "Nature is a pretty calming presence. Stand around a bunch of trees, and you'll feel they're just exuding calm. It's a nature meditation that you don't need any practice to do."

Restoration in Anne Lamott's living room

Those without a travel budget can still escape to find that sense of gratitude, says author Anne Lamott. As in her latest book, "Help, Thanks, Wow: The Three Essential Prayers," Lamott focuses much of her work and life on gratitude and that ever-elusive search for serenity.

When she feels frayed and depleted, she creates a space on her living room couch she calls the "cruise ship." "This form of travel mainly requires intention to seek serenity, peace and union, with self, with the now, with the divine," she says.

Choose your cruise ship drinks and snacks: "You need a beautiful festive drink. I make cranberry spritzers, with a slice of lime. So gorgeous -- the cranberry red and the lime -- and you get to use your best glasses."

Grabbable foods are important so there's no need to cook. Her choices include guacamole, corn chips, a perfect cheese, strawberries, Tootsie Pops, Hershey's Kisses and cashews.

Choose your sacred texts: For Lamott, "this might be Mary Oliver and Rumi poems, a daily Bible study, a great novel and the latest issue of People magazine."

Her version of yoga: "prone yoga," where she lies around as much as possible. "Plus I have a small skylight above my couch, so I can see sky and birds without the inconvenience of wind and other people."

Her intention is "to stop fighting to get more done, to figure out more, achieve more, impress more, etc. It is the intention to seek union with something bigger than us -- with the ocean, which in the living room is really just the carpet; or with God, or God's people, and in the living room, God's big motley dogs."

Where do you go to find gratitude or a sense of serenity? Please share in the comments section below.

@highlight

The folk tales Grace Lin heard in Hong Kong inspired her to write about gratitude and peace

@highlight

Montana's rugged wilderness has taught Laura Munson about "rugged wilderness that is me"

@highlight

Anne Lamott creates a "cruise ship" in her living room when she needs to find serenity