Denver (CNN) -- When Nick Nisbet says he once hit rock bottom, he means it.

"I had a heroin overdose. I stopped breathing for too long, and I died. My heartbeat stopped and brain waves stopped," he said. "They had to jump-start me with the paddles."

The 2006 episode finally persuaded Nisbet to kick his deadly drug habit. But getting clean -- and staying clean -- was a daunting proposition.

"I'd tried to get sober many times," the 34-year-old said. "I tried the methadone clinic, I tried just cold turkey. But ... you need to fill the void with something."

He tried 12-step meetings, but they depressed him. So when his girlfriend told him about Phoenix Multisport, a sober support community that offers free athletic activities, he agreed to check it out.

"I reluctantly went, thinking it was just going to be a big waste of time," he said. "Turns out it was the best move I ever made in my life."

Phoenix, named after the mythical bird that rises from its ashes, helped Nisbet rediscover his love of biking. It also connected him with other recovering addicts who wanted to be active.

"They just make sure that you're staying sober and having fun doing it," he said. "It's the best support crew I could imagine having."

More than 4,700 people have participated in Phoenix, which Scott Strode started in 2007. Most join the group because they've struggled with drug or alcohol addiction.

"Life should be better once you get sober," said Strode, 38. "(We want to) help people build a new life, a new self-image and have fun without getting high."

Strode developed his approach through hard-won personal experience. He started drinking when he was just 10 years old. By 15, he was using cocaine.

His addictions intensified after college. One night, after a bender, he woke up on the bathroom floor.

"Suddenly it dawned on me that if I didn't change things, I was going to overdose and that was going to be how my mother would find me," he said.

He decided to give it all up for good. But that meant abandoning his entire social network, as everyone he knew was involved in drinking and drugs.

"Overnight, your friends are gone, you're alone," he remembers. "It was a depressing first three months of recovery."

Eventually Strode started working out at a boxing gym, and he later got involved with triathlons and climbing. These new activities kept him busy, and they also made him feel good.

"You start to believe you can succeed in whatever you do, whether that's your sobriety or ... crossing the finish line," he said.

But for Strode, the most important factor was that many of the people he met through these activities were sober. With these friendships, he built a new support system.

"It was surrounding myself with a group of people that would rather get up at 7 in the morning to climb a mountain than to stay up until 7 in the morning drinking and using," he said. "With influences like that, I just moved further away from the darkness of my addiction."

Do you know a hero? Nominations are open for 2013 CNN Heroes

In 2005, during a climbing trip, Strode realized that New Year's Eve had passed and he hadn't given so much as a thought to drugs or alcohol. He decided he wanted to share what he'd learned with others. A year later, Phoenix Multisport began offering programs in Boulder, Colorado.

Phoenix offers around 50 programs every week, ranging from casual walks and yoga to mountain biking and ice climbing. Activities are led by field instructors, all of whom are in recovery and happy to show beginners the ropes. The organization provides the gear and also offers grants to help people purchase their own equipment. Nearly all events -- with the exception of overnight activities or ski trips -- are free.

"It's a great way to introduce people into something that then later becomes ... sort of their coping mechanism, as opposed to picking up a drink or a drug, " Strode said.

He notes that Phoenix isn't a substitute for any other recovery support program; in fact, many in the group are also in 12-step programs. But Strode believes the natural "high" that people get from Phoenix activities can be transformative.

"Just getting the blood pumping again -- for a lot of our folks, it's been a long time since that's happened," he said. "The physical effects of exercise translate to your work, your family life, your belief in yourself."

Anyone who has been sober for 48 hours is welcome to come to one of Phoenix's open sessions to participate in an activity and learn about the group. After attending several events, individuals are invited to join, provided they sign a pledge to treat everyone respectfully and stay sober. Some members are hard-core athletes, but the group welcomes people of all fitness levels. Most participants have never been active.

Phoenix is now in four locations in Colorado: Boulder, Colorado Springs, Denver and Fort Carson, where the organization does outreach with veterans and active-duty military personnel. Strode would like to expand beyond Colorado later this year, and he hopes Phoenix will one day become a national program.

Already, members can often be seen in their red-and-black Phoenix jerseys at competitions around the country. By being open about their sobriety, Strode hopes they're helping to reduce the stigma of addiction.

"There's so much camaraderie, people often come up and ask us how they can join our club," he said. "We're having fun, and we're proud of being sober."

Nisbet's pride in his sobriety is easy to spot. He sports tattoos on each finger to spell out "DRUG FREE."

"I was proud to be Nick the heroin addict," he said. "When I stopped, I was just plain old boring Nick, I thought. ... Now I get my self-confidence by being able to go out and run a marathon or riding my bike for 100 miles. I like having that identity, as the guy that can do endurance sports. It feels good."

Now married, Nisbet wants to set a good example for his 10-month-old son old by graduating from college. Just recently, he got a new tattoo to cover up one that he got when he was using. The design? A colorful phoenix. For him, the symbolism means a lot.

"Anytime I look down and see (it), it's rising, so ... no more muttering around," he said. "Life is way too short to waste it doing drugs."

Want to get involved? Check out the Phoenix Multisport website at www.phoenixmultisport.org and see how to help.

@highlight

CNN Hero Scott Strode overcame his addictions by becoming more physically active

@highlight

He now runs a nonprofit in Colorado to help other ex-addicts to do the same

@highlight

Phoenix Multisport builds friendships, positive support for those trying to stay sober

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes