(CNN) -- When faced with the most ferocious waves on the planet, most people would seek protection in the largest, sturdiest vessel they could find.

But when Swedish pensioner Sven Yrvind sets out on his ambitious mission to circumnavigate the globe, it won't be in a hefty ship piled high with food, creature comforts and telecommunications equipment. Instead, the 73-year-old plans to traverse the high seas cocooned in a sailboat only slightly bigger than a bathtub.

For many, the proposition of sailing non-stop around the world for a year-and-a-half in a vessel just three meters-long will sound rather ambitious, and coming from a man well past the retirement age, downright far-fetched.

Indeed, few would likely take the idea seriously were Yrvind not one of the world's most respected boat-builders.

During his accomplished life he has given lectures to the Swedish king and queen and received awards from the prestigious Royal Cruising Club in Britain, among others.

"People have said it's a suicide mission," said Yrvind. "But a big boat is actually more dangerous than a small one. You've got bigger forces throwing you around -- a bigger engine, a bigger beam, a bigger deck.

"My small boat is like a little capsule -- nothing can happen to you. It's like throwing a bottle in the water -- it will capsize, it will pitchpole (somersault), but it will always come back up," he added.

If successful, Yrvind will make history for sailing the smallest boat around the world without docking on land.

The record is currently held by Italian Alessandro di Benedetto, who in 2010 circumnavigated the globe in a 6.5 meter yacht -- more than double the size of Yrvind's creation.

Yrvind, from the small village of Vastervik in south east Sweden, started building the ground-breaking vessel in March. Now half-complete, he is reluctant to put a time on its launch.

Click on the pindrops above to trace Sven Yrvind's proposed circumnavigation route.

Named Yrvind Ten after its 10 foot length, the miniature vessel will be just 1.8 meters wide with two six meter-tall masts.

Weighing 1.5 tons, it will be made out of a composite foam and fiberglass material which, he says, is "excellent for insulation and floatation."

Powered by wind, solar panels, gel batteries and a foot crank, Yrvind Ten will set sail from Ireland in a 48,000 kilometer return journey around the globe.

Sir Robin Knox-Johnston, the first person to sail around the world in 1969 in a 9.8 meter yacht, said there was a real possibility Yrvind would complete the voyage.

Briton Knox-Johnston, who also founded the Clipper Round the World Yacht Race, added that many people had thought his own bid to circumnavigate the globe was impossible at the time.

"One of the biggest challenges he'll face is when he's coming up against these massive 25 meter waves in the Southern Ocean. In a boat that size he's just going to be rolled around and around like he's inside a giant washing machine," Knox-Johnston said.

"He might also find he's using a lot more energy -- and will need a lot more food -- being rolled around like that."

The Swede will collect rainwater in sails, funneled by a hose to a tank. With no heating equipment on board, he'll rely on 400 kilograms of muesli and sardines, supplemented with vitamin tablets and fish caught from the sea.

"I need just half-a-kilogram of food a day and this will give me enough food for 800 days," he said.

"In the beginning I will have fruit but obviously that will run out. I also have a friend in Melbourne with a boat who will come out with supplies."

The self-described "recluse" plans to spend his days swimming, philosophizing and reading more than 400 books, which weigh around 100 kilograms.

"On land, people are watching TV, driving cars in traffic, smoking, drinking -- it's not healthy," Yrvind explained.

"Out at sea it's a cleaner environment -- mentally and physically. When I come back I will be a healthier, younger person. This will prolong my life, not the other way around."

Growing up on the small Swedish island of Branno in the North Sea, Yrvind quickly learned to sail in an area so remote he needed to cross water simply to buy a loaf of bread from the shop.

In his 50-year career building boats, Yrvind has been lavished with awards from around the world. In 1980 he received a Seamanship Medal from the Royal Cruising Club in Britain for single-handedly sailing a six meter boat around the stormy waters of Cape Horn, Chile.

Eight years later he was inducted into the Museum of Yachting's Hall of Fame, based in Newport, Rhode Island, for his many single-handed expeditions.

The museum also has one of Yrvind's boats on permanent display -- a six meter yacht he built in his mother's basement and sailed from Sweden to Newport in 1983.

In 1989 Yrvind also built and sailed a 4.5 meter boat from France to Newfoundland, now on display at the Swedish National Maritime Museum in Stockholm.

And the sprightly septuagenarian is no closer to slowing down -- last year sailing a tiny 4.5 meter-long boat from Ireland to the Caribbean.

Yrvind, who is also on the look-out for sponsorship, hopes his boat will not simply break the record books, but pave the way for a new environmentally-friendly design for living.

"We are on Earth living beyond our resources -- oil is running out, fossil fuels are running out, water is running out," he said.

"If I can show I can live on a boat 10 foot-long for more than a year, with all the food I need with me, I think it might benefit mankind."

For a man who "loves all things small," should he accomplish the feat it would be a huge achievement in the history of sailing.

@highlight

73-year-old man plans to sail around world in world's smallest boat

@highlight

At 3meters-long, the vessel is only slightly bigger than a bathtub

@highlight

World renowned boat builder Sven Yrvind says creation is safer than big boats

@highlight

Sir Robin Knox-Johnston, first solo world sailor, says plan is possible