(CNN) -- In a race to beat the flu season, medical institutes across the United States will begin human trials for a new H1N1 flu vaccine starting in early August, the National Institutes of Health announced Wednesday.

Concern about the H1N1 virus grew after it spread quickly around the globe earlier this year.

In the hope of getting the vaccine to those who will need it most by October, the clinical trials will enroll as many as 1,000 adults and children at 10 centers nationwide, said officials at the National Institute of Allergy and Infectious Diseases, a division of the NIH, which will lead the effort. The trials will measure the safety and effectiveness of the vaccine.

The research is a first step toward U.S. health officials' goal of developing a safe and effective vaccine against H1N1, also known as swine flu, which has been declared a global pandemic by the World Health Organization

The time frame for developing a vaccine is a tight one.

"It's going to be close," said Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health. "I believe it can be [ready by October] if things run smoothly. We hope they will, but you never can tell when you're dealing with biological phenomena like making vaccines and administering them."

The announcement of the U.S. trials followed the announcement earlier this week, by an Australian company, CSL Ltd., of the first human trials of a swine flu vaccine.

Concern about the H1N1 virus grew after it spread quickly around the globe earlier this year.

"This virus has the potential to cause significant illness with hospitalizations and deaths during the U.S. flu season this fall and winter," said Dr. Karen Kotloff, professor of pediatrics and lead investigator and researcher at Maryland's Center for Vaccine Development. "Vaccines have always been a vital tool for controlling influenza. The results of these studies will help to guide the optimal use of the H1N1 vaccines in the U.S. and elsewhere in the world."

After careful screening, volunteers will be inoculated and then asked to keep a diary on how they feel. After eight days their blood will be checked and after 21 days they will receive another dose, followed again by diary logs and blood tests.

Patients will be monitored two months for safety issues, followed by a four-month and six-month checkup.

"The purpose of these trials is always to make sure they are safe," Kotloff said. "But even after six weeks, if things look good, we're pretty sure the vaccine will work."

She noted the response to the vaccine may vary in different age groups. "This is because young people have not seen a flu virus like this one before," she noted. "Older adults might have some immunity to the new H1N1 virus as a result of being exposed to similar flu viruses in the past. As a result, older adults might need fewer doses or a lower strength of the vaccine than younger individuals."

The vaccine at this point has been tested only in animals, where it has shown to be effective. Further trials will examine questions such as how the vaccine works in combination with the seasonal flu vaccine and whether including an adjutant, a substance that boosts the immune response to vaccines, can make it work better at lower doses.

Other trial sites along with the University of Maryland Medical Center are Baylor College of Medicine, Cincinnati Children's Hospital Medical Center, Emory University, Saint Louis University, Seattle Group Health Cooperative, the University of Iowa, and Vanderbilt University. They will be joined by Children's Mercy Hospital and Duke University Medical Center.

CNN's Valerie Willingham and Matt Cherry contributed to this report.

@highlight

Human trials for H1N1 flu vaccine start August, says University of Maryland

@highlight

Concern about H1N1 grew after it spread around the globe earlier this year

@highlight

Patients will be monitored two months for safety issues, followed by checkups

@highlight

Vaccine so far tested only in animals, where it has shown to be effective