(CNN) -- Syrian tanks stormed the flashpoint city of Hama Sunday in one of several clashes that rights groups said left more than 70 people dead and more than 100 injured nationwide.

The Local Coordination Committees of Syria reported that at least 71 people were killed across the country, with at least 50 killed in Hama. Other human rights organizations offered different assessments of the situation, with some reporting that more than 100 people died in the city of Hama alone.

A doctor in Hama said that more than 100 people were killed in the city and its surrounding areas.

"I feel terrible. I am exhausted, psychologically exhausted, the pain. I can't imagine a brother is killing his brother. And what for? For the president? It's terrible here. We see a lot of this blood and things -- 115 dead -- it's too much for one day," he said.

CNN was unable to independently confirm the death tolls.

The state-run Syrian Arab News Agency said security forces were responding to "armed groups" in Hama who blocked streets with barricades and terrorized citizens by firing from the rooftops of buildings, while human rights groups described the arrival of tanks as a raid on the city.

Three members of security forces were killed in clashes in Hama and three members of the military were killed in Deir Ezzour, SANA said.

The government-run agency said "armed terrorist groups" had taken to the streets in Deir Ezzour, attacking police headquarters and stealing weapons.

The Local Coordination Committees of Syria, an affiliation of groups that reports on protests in the nation, reported at least 11 people were killed in Deir Ezzour.

In Hama, throngs of residents took to the streets in an attempt to block the tanks, a local activist said. More than 100 were injured in the city, according to the Local Coordination Committees of Syria.

One Hama resident told CNN he was awakened at 4 a.m. by the sounds of bombs, machine guns and yelling. He said hospitals have begun calling people to come donate blood, but security forces have blocked the roads so people cannot reach the hospital.

"Security forces and army tanks, whenever they see a car moving, they start shooting at the car," he said.

"I'm talking to you from the streets. I have my knife," he said. The man said he and his neighbors are trying to protect the neighborhood, using only sticks, swords and knives.

"People are not scared here any more," he said. "What's the worst? The army and security people are already killing people. We are not scared of death at all. We are willing to pay anything -- our souls, anything -- just to get our freedom."

Tanks rolling near the border met fierce resistance from residents, said Omar al Habbal, a member of the committees.

"Hama will be very harsh to them," said al Habbal, who lives in the city. "The whole city has decided to resist with stones, not weapons. The army will either join the demonstrators or leave our city."

Gunfire rang through the air for hours, and thick black smoke covered areas where residents reported shelling and civilian casualties, al Habbal said.

"Mosques have been broadcasting repeated chants of 'Allah Akbar' all morning, and everybody is in the street chanting, 'The people and the army are one hand,' " al Habbal said.

Local residents reported negotiating with the troops, with protesters standing up on the tanks and cheering, "Syria is united!"

CNN could not independently verify the accuracy of the reports.

The raid marks the latest violence as anti-government protesters in the nation have called for a new regime since mid-March. Activists blame the deaths of civilians in demonstrations on security forces, but the government has consistently attributed the violence to "armed groups."

President Bashar al-Assad has drawn criticism at home and abroad for his tough crackdown on the protesters calling for his ouster.

A spokesman for U.N. Secretary-General Ban Ki-moon said Sunday the United Nations chief was "deeply concerned" about reports of hundreds of protesters killed and injured.

"He strongly condemns the use of force against the civilian population and calls on the government of Syria to halt this violent offensive at once," the spokesman said in a statement, referring to Ban.

U.S. President Barack Obama said he was "appalled" and pledged that U.S. officials will increase pressure on the Syrian regime, "isolate the Assad government and stand with the Syrian people."

"The reports out of Hama are horrifying and demonstrate the true character of the Syrian regime," Obama said in a statement.

British Foreign Secretary William Hague also condemned the reported attacks.

"The attack appears to be part of a coordinated effort across a number of towns in Syria to deter the Syrian people from protesting in advance of Ramadan. The attacks are all the more shocking on the eve of the Muslim holy month," he said in a statement. "President Bashar is mistaken if he believes that oppression and military force will end the crisis in his country. He should stop this assault on his own people now."

Earlier this month, Human Rights Watch said government forces targeted the city.

"Hama is the latest city to fall victim to President Bashar al-Assad's security forces despite his promises that his government would tolerate peaceful protests," said Sarah Leah Whitson, Middle East director at Human Rights Watch. "Security forces have responded to protests with the brutality that's become familiar over the past several months."

The humanitarian watchdog said earlier this month that the forces raided homes, opened fire and set up checkpoints in and around the restive city, the site of a deadly military clampdown nearly 30 years ago.

CNN's Arwa Damon, Rima Maktabi and Salma Abdelaziz contributed to this report.

@highlight

NEW: A doctor in Hama says more than 100 people were killed in and around the city

@highlight

"People here are not scared any more," one resident says

@highlight

U.S. President Barack Obama calls the situation in Hama "horrifying"

@highlight

State media reports that "armed groups" are terrorizing citizens