(TIME.com) -- Job burnout can strike workers in nearly any field, but a new study finds that doctors are at special risk.

Nearly 1 in 2 U.S. physicians report at least one symptom of burnout, with doctors at the front line of care particularly vulnerable, the study found -- a significantly higher rate than among the general working population.

Overtaxed doctors are not only at risk for personal problems, like relationship issues and alcohol misuse, but their job-related fatigue can also erode professionalism, compromise quality of care, increase medical errors and encourage early retirement -- a potentially critical problem as an aging population demands more medical care.

The new findings, published in the Archives of Internal Medicine, are based on a survey of 7,288 physicians conducted in June 2011.

Led by researchers from the Mayo Clinic and the American Medical Association, the study asked participating physicians to fill out a questionnaire asking about their feelings of burnout -- including "emotional exhaustion" or losing enthusiasm for their work; feelings of cynicism or "depersonalization"; and a low sense of personal accomplishment.

Seriously? Doctors say they're underpaid

The 22-item questionnaire, called the Maslach Burnout Inventory (MBI), is considered the gold standard for measuring burnout; the doctors also completed a shorter, modified version of the MBI, the answers to which researchers used to compare with the general population.

Researchers also asked doctors how long they worked each week, how satisfied they were with their work-life balance, and whether they had any symptoms of depression or thoughts of suicide.

TIME's mobile tech issue: Better care delivered by iPad, M.D.

The data showed that rates of burnout were high: 45.8% of doctors experienced at least one symptom of work-related burnout.

When each symptom was considered separately, 37.9% of the physicians had high emotional exhaustion, 29.4% had high depersonalization and 12.4% had a low sense of personal accomplishment. U.S. doctors are burning out "at an alarming level," the authors write.

"Our finding is concerning given the extensive literature linking burnout to medical errors and lower quality of care," says study author Dr. Tait Shanafelt of the Mayo Clinic. "Most previous studies of physicians from individual specialties have suggested a burnout rate of 30% to 40%. Thus, the prevalence of burnout among physicians appears to be higher than in the past."

The study found that practitioners of front-line care -- including physicians in emergency medicine, general internal medicine and family medicine -- fared worst.

"Nearly 60% of physicians in those specialties had high levels of burnout," says Shanafelt. "This is concerning since many elements critical to the success of health care reform are built upon increasing the role of the primary care providers."

Doctors practicing pathology, dermatology, general pediatrics and preventive medicine (including occupational health and environmental medicine) had the lowest rates of burnout.

TIME's mobile tech issue: Tracking disease one text at a time

The researchers also compared physicians' job-related fatigue with that of 3,442 working American adults in the general population, and found that physicians were significantly more burned out overall. Among other working adults, only 27.8% were likely to experience burnout, 23.5% had high emotional exhaustion and 15% had high depersonalization.

The authors found also that physicians worked about 10 hours more per week than other people on average (50 hours a week versus 40), and were much more likely to work extra long weeks of 60 hours or more: 37.9% of doctors worked at least 60-hour weeks, compared with only 10.6% of the general population.

More than 40% of doctors reported dissatisfaction with their work-life balance, saying their jobs didn't leave enough time for a personal life or family, compared with 23.1% of non-doctors.

Why doctors fall asleep while treating you

In addition, while higher levels of education were associated with less risk of burnout for people in other professions, doctors' advanced degrees didn't afford them the same protection from job-related stress.

"While individuals in other professions do experience burnout, it seems to be largely driven by the hours," says Shanafelt. "In addition to their high work hours, there appears to be factors related to the nature of the work that increase the risk for physicians."

TIME.com: Should Medicaid be expanded? Study finds it may lower death rates

"Unfortunately, little evidence exists about how to address this problem," the authors write, urging additional research to figure out what can be done to support doctors at the individual, organizational and societal level. "Policy makers and health care organizations must address the problem of physician burnout for the sake of physicians and their patients."

This article was originally published on TIME.com.

Is your doctor burned out? Nearly half of U.S. physicians say they're exhausted

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Nearly half of U.S. doctors have at least one burnout symptom, a study finds

@highlight

Fatigue can erode professionalism and compromise quality of care

@highlight

Doctors are significantly more burned out than the general population