Tehran, Iran (CNN) -- Iranians headed to the polls Friday in a parliamentary election, marking the first nationwide balloting since a disputed vote triggered massive protests nearly three years ago.

In ornate mosques that serve as polling centers, voters waited patiently in long lines to cast their ballots. Some of the centers were decorated with huge banners celebrating the achievements of the Islamic Republic of Iran.

"Elections protect the country," read one slogan. "The capture of the drone was another slap in the face of the enemies of the Islamic Republic," declared another poster, above a photo of the U.S. spy drone that was captured by Iran late last year.

"I have voted in every election in Iran," said a retired university professor named Nasser Ahadi, who brandished an ink-stained finger in a "victory" sign after he cast his ballot. "The fundamentalists...the group that are now governing this country will win this election," he predicted.

Not all Iranians were enthusiastic about the election, though.

"I'm not voting," said a mustachioed man in a small Tehran tailor shop, who asked not to be named because of the plain-clothed security officer who stood conspicuously outside listening in on the conversation. "I voted for Ahmadinejad before, and I regret it because he's not doing a good job," he said, referring to Iranian President Mahmoud Ahmadinejad.

About 3,400 candidates are vying for 290 seats in the parliamentary election.

The Islamic nation faces an escalating international outcry and Western sanctions over its nuclear program, prompting leaders to call for a higher voter turnout to establish legitimacy.

Days before the vote, campaigning intensified as workers distributed leaflets and plastered candidate posters along tree-lined streets in Tehran. State television broadcast wall-to-wall programming encouraging voters to cast their ballots.

"Our progress in science and economics depends on your vote," slogans read in the publicity campaign that included a quote from the late founder of the nation, Ayatollah Ruhollah Khomeini, saying "The measure of a nation is its vote."

In Iran, elections are heralded by the revolutionary regime as a popular demonstration that it enjoys the overwhelming support of the population.

The Interior Ministry predicted voter turnout of about 60%, the state-run Islamic Republic News Agency reported.

Results from smaller precincts could be available in 48 hours, but larger cities may not have complete results until 72 hours, the news agency said.

But the poll marks the first time Iranians are voting since allegations of rigging in the 2009 elections triggered mass street protests against Ahmadinejad's re-election.

Security forces used deadly force to crack down on the opposition Green Movement and presidential candidates Mir Hossein Moussavi and Mehdi Karrubi were placed under house arrest, where they remain.

But at a campaign rally for candidates from the conservative Principalist Front on Wednesday, one lawmaker running for re-election offered a different account of the aftermath of the 2009 vote.

"During the 2009 elections, attempts were made to use cheating in the elections as an excuse to plot against the regime," said Zohreh Elahian.

"Attempts were made to show the world that there is no democracy in Iran and that the people are not the ones who have the power to elect their leaders," she said. "That's why the Friday elections represent the people's will to participate in determining their own future and their country's fate."

There are no candidates from the Green Movement in this year's parliamentary election. Iranian political analysts describe the vote as a contest between rival conservative factions within the government.

"The underlying issue is whether or not you support Ahmadinejad," said Sadegh Zibakalam, a political scientist at Tehran University.

"It's a rivalry between Ahmadinejad on the one hand and the supreme leader on the other ... not overtly, and not directly of course."

Iranian Supreme Leader Ayatollah Ali Khamenei publicly supported Ahmadinejad's controversial re-election victory during the dispute over the 2009 ballot results.

But tensions have flared between the two leaders over the last year, with Ahmadinejad disappearing from public view for 11 days after the supreme leader overruled his decision to fire an intelligence minister.

Several of Ahmadinejad's top political allies have also been subjected to lawsuits and investigations.

In the run-up to this week's vote, the supreme leader urged factions to overcome previous divisions and repeatedly called for unity.

He accused the United States and its allies of trying to stop Iranians from voting, saying a high turnout would be "another firm slap in the face of world arrogance," according to Press TV.

"Vigorous participation of the Iranian nation in the election will send a message to hegemonic powers and will be beneficial for the country's future," he said.

On Tehran streets, some Iranians blamed increasingly harsh American economic sanctions for the precipitous drop in the value of the nation's currency over the last several months.

At polling stations, some voters seemed to suggest there were few ideological differences between the candidates.

"I'm just going to vote out of chance. They're all good," a voter named Behzad said. "It doesn't make any difference. They're all the same. All Hezbollah, religious, very nice kind people."

"To be honest, most of the [candidate] groups are very similar," said Dr. Ali Reza Marandi, a former health minister and current parliament member running for re-election. He said the group of candidates he was running alongside, called the United Principalist Front, campaigned on the platform of "Spirituality and Justice."

Some opposition activists from the Green Movement expressed despair about the election in conversations with CNN.

"What you see on Iranian TV is all propaganda. All the voters are saying, 'See, this is democracy, we are voting,' but we all know it's rigged," said an art student from the city of Shiraz in a phone conversation with CNN. "These elections have been rigged since 1979 and always will be until the mullahs stop running this country into the ground. I am not voting today because my vote does not count and never has counted."

"Moussavi and Karrubi are under house arrest, my friends and family have been arrested, jailed, falsely accused, and beaten," said an engineer, speaking by phone with CNN from Tehran. "I feel like a coward that I cannot go on TV and tell the world what is happening in Iran, but what good am I to the future of this country if I am dead. I am ashamed."

About 48 million people are eligible to vote, according to state-run Press TV.

Iranian officials announced the polling stations would remain open an additional three hours Friday night.

Mitra Mobasherat and Joe Duran contributed to this report.

@highlight

Many voters participate, but others sit it out, saying vote is "rigged"

@highlight

The parliamentary election features about 3,400 candidates vying for 290 seats

@highlight

Mahmoud Ahmadinejad's 2009 re-election sent throngs to the streets over fraud allegations

@highlight

Iran faces an escalating international outcry over its nuclear program