(CNN) -- The first President of the United States got it right. In his farewell address, George Washington warned of the "continual mischiefs of the spirit of party" making it the "interest and duty of a wise people to discourage and restrain it." In other words, he cautioned against the dangers of political parties.

Washington was keenly aware of the destructive nature of political parties and was concerned they would "enfeeble public administration." With myriad affected agencies and thousands of furloughed federal workers, this is exactly where the country finds itself today.

Washington is not typically held in the same intellectual esteem that some of his counterparts are -- Madison, Hamilton and Jefferson come to mind. However, Washington's farewell address is among the most prescient documents ever penned by a President. In it, he cautioned against the vengeful practices of political parties. To him, parties put their own interests above those of the country.

He warned: "The alternate domination of one faction over another, sharpened by the spirit of revenge, natural to party dissension, which in different ages and countries has perpetrated the most horrid enormities, is itself a frightful despotism." Both parties today would likely level such charges against one another, while most Americans recognize that both parties share responsibility for the current situation.

In addition to his concerns about political party mischief, he also warned of the dangers of accumulating debt. He argued that for a country to enjoy safety and strength, it should "cherish public credit." Running up debt would be tantamount to unethical behavior to future generations.

Tea party Republicans have succeeded in heeding Washington's concern by bringing the eyes of the country squarely upon the issue of debt. However, the recalcitrance of the tea party Republicans to compromise has also put the country at great risk, at least in Washington's eyes, given his dedication to maintaining America's credit.

Washington was not a fan of taxation, but he abhorred debt even more. He wrote: "It is essential that you should practically bear in mind that towards the payment of debts there must be revenue; that to have revenue there must be taxes; that no taxes can be devised which are not more or less inconvenient and unpleasant."

Washington encouraged future generations to change policies they did not like by constitutional amendment or through the electoral process, rather than positioning their party to enjoy short-term benefits.

The first President's dislike for political parties still fits with the reality in which most Americans live today.

Political scientist Morris Fiorina has argued that the divisions between Americans have been far overblown. He contends that the so-called culture wars are a myth. While the neat and tidy categories of red and blue states make for interesting media narratives, they fail to depict accurately the ideological beliefs of the citizenry.

Fiorina points out that most Americans are not hard-core ideologues. On the whole, Americans are far more agreeable on most issues than the media depict. We love a good fight and as conflict tends to attract audiences, the media are quick to point to areas where conflict exists. Yet agreement among citizens is the norm, rather than the exception.

The effect of the polarized nation narrative is disillusionment for many Americans and undue influence for the more ideological in our midst.

Some context is helpful. While more than $2.6 billion was spent in the 2012 presidential campaign, 40% of Americans still chose to sit the election out. Those who do participate typically are among the most ideological in the electorate. This tends to produce candidates who are in turn more ideologically oriented.

When more ideological candidates are chosen in primaries, it leads to more ideological choices for voters. These choices likely do not reflect the preferences of the average citizen but instead more likely reflect the preferences among a party's more ideological members.

This cycle becomes increasingly embedded when congressional districts are drawn to support such a system. The end result is what we see happening in Washington today -- gridlock based upon both partisan and ideological whims.

A common criticism is that both parties are putting their own interests above the interests of the United States. Once again, Washington offers good advice to our current policymakers. "The name of American, which belongs to you in your national capacity, must always exalt the just pride of patriotism more than any appellation derived from local discriminations. With slight shades of difference, you have the same religion, manners, habits, and political principles."

For the sake of the country and the world economy, let us hope that our representatives begin to see themselves as Americans, rather than Democrats and Republicans. Thank you Mr. President.

The opinions expressed in this commentary are solely those of Robert Alexander.

@highlight

Robert Alexander: Shenanigans in Congress show wisdom of George Washington

@highlight

Washington argued that political parties would seek to perpetuate themselves at all costs

@highlight

Tea party may share concern about debt, but its position endangers U.S. credit, he says

@highlight

Alexander: Most Americans are in the middle, not sympathetic to ideologues of the two parties