(CNN) -- I've never been one to attend the performances of symphony orchestras, but off and on, for more than 35 years, I gave myself the gift of something even better:

Paul Harvey received the Presidential Medal of Freedom from President Bush in 2005.

I would go and sit with Paul Harvey as he broadcast his radio show.

It was music; it was thrilling. I met him in the early 1970s, when I was a young newspaper reporter in Chicago, and that's when he allowed me, for the first time, to sit silently in his studio as he did his work. Over the years, whenever I felt a need for a Paul Harvey fix, he was always welcoming, and we came to know each other well. I would sit there wordlessly and observe absolute excellence.

He would invariably be wearing a smock when I arrived -- he had been working since well before the sun came up, and the smock would cover his shirt and tie. It was the kind of smock a jeweler might wear, or a watchmaker -- it was crisply pressed, the uniform of an expert craftsman. I never asked him why he wore it, but I suspect that was the reason -- pride in craftsmanship.

He would be at the typewriter, honing his script. He was famed for his voice, but the writing itself was so beautiful -- his respect for words, his understanding of the potency of economy, his instinct for removing the superfluous. The world heard him speak, but the world never saw him write, and I think he honored both aspects of his skill equally.

He would walk down the hallway to his studio just minutes before airtime. The studio itself -- when I first knew him it was on the west side of North Michigan Avenue, and in later years he moved it to the east side of the street -- was far from lavish. It was impossible to equate the spartan surroundings with the idea that his voice was leaving this little room and traveling around the world. Maybe that was the point: He worked for the illusion of unfussy intimacy.

He would make these warm-up noises -- voice exercises, silly-sounding tweets and yodels, strange little un-Paul-Harvey-like sounds -- and he showed no self-consciousness about doing it in front of someone else, because would a National Football League linebacker be self-conscious about someone seeing him stretch before a game, would a National Basketball Association forward be worried about someone seeing him leap up and down before tipoff? This was Paul Harvey's arena, and he would get the voice ready, loosening it, easing it up to the starting line.

And then the signal from the booth, and. . .

"Hello, Americans! This is Paul Harvey! Stand by. . . for news!"

And he would look down at those words that had come out of his typewriter minutes before -- some of them underlined to remind him to punch them hard -- and they became something grander than ink on paper, they became the song, the Paul Harvey symphony. He would allow me to sit right with him in the little room -- he never made me watch from behind the glass -- and there were moments, when his phrases, his word choices, were so perfect -- flawlessly written, flawlessly delivered -- that I just wanted to stand up and cheer.

But of course I never did any such thing -- in Paul Harvey's studio, if you felt a tickle in your throat you would begin to panic, because you knew that if you so much as coughed it would go out over the air into cities and towns all across the continent -- so there were never any cheers. The impulse was always there, though -- when he would drop one of those famous Paul Harvey pauses into the middle of a sentence, letting it linger, proving once again the power of pure silence, the tease of anticipation, you just wanted to applaud for his mastery of his life's work. iReport.com: Share your memories of radio legend Harvey

He probably wouldn't have thought of himself this way, but he was the ultimate singer-songwriter. He wrote the lyrics. And then he went onto his stage and performed them. The cadences that came out of his fingertips at the typewriter were designed to be translated by one voice -- his voice -- and he did it every working day for more than half a century: did it so well that he became a part of the very atmosphere, an element of the American air.

He had difficult years toward the end. At one point there was a problem with his vocal cords, and he had to leave his broadcast for an extended period; when he came back he told me he had felt fear and the deepest kind of despondency, because he thought he might be finished. He wasn't; he was able to work again, and then in the last 12 months he became ill, and his beloved wife, Angel, died; he turned 90 and he wasn't on the air as much.

I was in St. Louis last fall to cover the vice presidential debate, and I was taking a morning walk through the suburb of Clayton. I was on Wydown Boulevard, on a sidewalk beneath some old and thick trees, and the cell phone in my pocket rang. It was Mr. Harvey.

I didn't know exactly why he was calling that day, and I still am not certain, but my sense was that he just felt a need to talk. This was during the time when his radio appearances had become sporadic; I knew how lonely he was without Mrs. Harvey. The voice, of course, was much older, and not as strong, but it was his voice, arriving out of the air in yet another American town, and what I said to him then is what I will say to you now: It was wonderful to hear it again.

I walked down the street, his voice in my ear.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: I was privileged to watch Paul Harvey prepare and deliver the news

@highlight

He says Harvey wrote his own scripts and was a master of spare language

@highlight

Greene: Harvey was a craftsman who words were flawlessly delivered