(CNN) -- You don't have to be an expert to ask yourself the question: How in the world, with today's technology, can a commercial airplane go missing?

It's a question, but also an expression of disbelief.

Those who get lost driving can use GPS. If you lose your iPhone, there's an app to track it down. Scientists successfully plotted the course for a spacecraft that landed on a speeding comet.

But something goes wrong aboard a 123-foot, 67-ton passenger jet, and rescuers must resort to scouring the ocean?

"Why is it easier to find an iPhone (than) to find a plane?" one Twitter user, Catalina Buitano, asked.

There are dozens of similar questions on social media. They hint at the same sentiment: In a world where people's locations are tracked for everything from map apps to what ads appear on a Web browser, why does Big Brother's gaze avoid the skies?

"Why, in this day and age, do we rely on the physical recovery of black boxes? Flight data should be continuously streamed to the cloud," read a tweet by Jacob Rossi.

Of course, this question has been asked before.

The disappearance of AirAsia Flight 8501 on Sunday was the second time this year that a plane vanished. Debris from the Airbus A320-200 has been found, the airline said Tuesday, and two bodies have been found.

Malaysia Airlines Flight 370 vanished, too, and remains missing 10 months later.

At that time, Jim Hall, the former head of the U.S. National Transportation Safety Board, called for upgrades to the tracking capabilities of planes that fly for extended periods over water.

The airline industry has invested billions of dollars in safety features, "yet many allow their aircraft to fall off any direct tracking capability as they fly over vast ocean distances and remote locations, confident that these planes will occasionally check in and reappear as they near the other side of the blacked-out area," Hall wrote.

In a preliminary report on MH370, Malaysian aviation authorities recommended that the International Civil Aviation Organization look into the benefits of introducing a standard for real-time tracking of commercial aircraft.

The technology exists to track flight data in real time, but even after tragedies such as MH370, cost and government bureaucracy are cited as obstacles to implementation.

"Millions of us can be located immediately through technology in our handheld cell phones, but a 300,000-pound Boeing 777 with 239 souls on board disappears from the face of the Earth," Hall wrote, referring to MH370. "NASA has the capability of photographing stars billions of light-years away, and yet our best minds are forced to guess where this plane might be."

Another Twitter user phrased the thought this way: "If we have astronauts reaching safely the International Space Station, why do we still have missing planes on Earth?"

CNN aviation analyst Mary Schiavo says it is time for world leaders to take concrete action on upgrading technology for tracking planes. Making recommendations isn't enough, she said. There need to be laws.

"I think at this day and age, there's really no excuse for (not having real-time tracking)," Schiavo said on CNN's "New Day" on Monday. "I mean, the kind of technology, it's already here. We don't have to wait to develop it. Those planes could be sending out continuous signals."

Two companies with products on the market for real-time streaming are Flyht and Star Navigation Systems.

But the technology is not catching on with major carriers.

Cost has been the biggest hurdle, though the technology is slowly finding its way onto airplanes, said Seth Kaplan, managing partner at Airline Weekly.

Airlines have lobbied for governments to contribute money to equipping planes with new technology, arguing that it is not just an airline issue, but a national security consideration.

The question of who will pay for the technology is beginning to get answered, but not as quickly as travelers would like to see, Kaplan said.

So, those in disbelief are not alone in wondering how in today's world a plane could simply get lost. It's just not an easy question to answer.

@highlight

NEW: Debris from AirAsia flight has been recovered, officials say; two bodies found

@highlight

The question: How can we lose a plane?

@highlight

There is pressure for new technology to be installed on planes

@highlight

But there are obstacles that remain