Washington (CNN) -- When Paul Ryan struggled to explain a budget-balancing timeline under Mitt Romney, he highlighted the difficulty of trying to run a substantive campaign without being too specific.

While Ryan's interview Tuesday with Fox News' Brit Hume was no Sarah Palin-Katie Couric moment, the Republican vice presidential candidate's discomfort in answering when Romney's proposal would balance the budget was evident.

Ryan, a seven-term congressman from Wisconsin and chairman of the House Budget Committee, said he was unsure when Romney's proposals would balance the federal budget. Romney's plans say he would "put the federal government on a course toward a balanced budget" but does not say when.

Mitt Romney's 5-point plan for the economy

Hume repeatedly pressed Ryan on the question of "when" Romney's budget would balance.

Hume: "The budget plan you're now supporting would get to balance when?"

Ryan: "Well, there are different -- the budget plan that Mitt Romney is supporting gets us down to 20% of GDP (gross domestic product) government spending by 2016. That means get the size of government back to where it historically has been. What President Obama has done is he brought the size of government to as high as it hasn't been since World War II. We want to reduce the size of government to have more economic freedom."

Hume: "I get that. What about balance?"

Ryan: "I don't know exactly what the balance is. I don't want to get wonky on you, but we haven't run the numbers on that specific plan. The plan we offer in the House balances the budget. I'd put a contrast. President Obama, never once, ever, has offered a plan to ever balance the budget. The United States Senate, they haven't even balanced, they haven't passed a budget in three years."

Hume: "I understand that. But your own budget, that you --

Ryan: "You are talking about the House budget?"

Hume: "I'm talking about the House budget. Your budget will be a political issue in this campaign."

Ryan: "The House budget doesn't balance until the 2030s under the current measurement of the CBO (Congressional Budget Office) baseline."

The Romney campaign did not respond immediately to a request for comment on a budget balancing timeline.

Ryan's plan, which the nonpartisan Congressional Budget Office says would bring the federal budget "nearly in balance in 2050," has overshadowed Romney's more vague proposals since the younger man was named to the ticket.

As a result, Ryan, one of the GOP's leading numbers guys, has had the unenviable task of underscoring that the Republican ticket has a plan -- albeit a fuzzy one -- while steering clear of outshining his would-be boss on budget matters.

"It has put him in an awkward position. He has answered the questions provided, but he can't go into too much detail because they would come off as the position of the campaign," said Mark Jones, chairman of Rice University's political science department.

There are definite differences in the level of detail in Ryan's and Romney's plans.

Under Ryan's proposal, the deficit "would be around 1% of gross domestic product in the 2020s and would decline further after 2030" -- ultimately showing a surplus by 2040.

Romney's economic plan proposes capping federal spending at 20% of GDP in 2016, while calculations based on the CBO scoring of Ryan's budget show spending on all federal programs -- including entitlements, mandatory and discretionary spending -- would be about 17.25% of GDP in 2030. The report did not include calculations for 2016.

Romney's plan, released in September 2011, does not say when he would bring the federal budget into balance, and in March the candidate said his plans "can't be scored" because key details are omitted, such as how he would change deductions and exemption in the tax code.

Asked in his Tuesday interview what loopholes and deductions the Romney-Ryan administration would eliminate, Ryan deferred.

Ryan's discomfort in elaborating further on the ticket's budget proposal is also because the conservative congressman's plan "is better understood as a long-term initiative to roll back the role of federal government in society," said CNN senior political analyst Ron Brownstein.

And even Romney has acknowledged that he and his running mate aren't fully simpatico when it comes to budget matters. Shortly after Ryan was named to the ticket, the Romney campaign circulated a talking points memo to surrogates that urged them to stress that "Romney applauds Paul Ryan for going in the right direction with his budget, and as president he will be putting together his own plan for cutting the deficit and putting the budget on a path to balance."

As recently as Monday, Romney again made clear there are some differences between the two men's approach to the budget.

"I'm sure there are places that my budget is different than his, but we're on the same page as I said before," Romney said on the trail Monday. "We'll look at the differences. Well, the items we agree on I think outweigh any differences there may be. We haven't gone through piece by piece. ... I can't imagine any two people even in the same party who have exactly the same positions on all issues."

Some conservatives, who cheered when Romney picked Ryan, worry that in some ways the guy at the top of the ticket may be hanging his would-be second in command out to dry.

"I'm sure there are differences between the two, but to his credit, Paul Ryan has a plan; neither Barack Obama nor Mitt Romney for that matter really have a plan with the specificity," conservative commentator and CNN contributor Erick Erickson said Tuesday on CNN's "Early Start."

"Paul Ryan has a 90-page outline of what he wants to do in actual legislative language. ... Now should there be differences between them? I guess, but when you bring Paul Ryan on the ticket, a guy who the Democrats in 2011 were already running commercials with a Paul Ryan look-alike shoving a grandmother off a cliff, you can't really distance yourself from that."

But there does appear to be some distancing, which could provide President Obama's re-election campaign plenty of room to fill in the blanks when it comes to the Romney-Ryan ticket's budget plans, Jones said.

"It's on the Romney campaign to provide (Ryan) more areas of leeway where he can go into detail," Jones said. "They need to come up with greater specifics with the area of budgeting; if they don't, the Obama campaign will define them. They also need to define which areas of (the) Ryan plan (Romney will adopt)."

CNN's Gregory Wallace contributed to this report.

@highlight

Paul Ryan, a top GOP numbers guy, struggles to explain Mitt Romney's fuzzy budget details

@highlight

Part of Ryan's difficulty stems from difference between his and Romney's budget proposals

@highlight

Expert: Romney campaign needs to give Ryan some leeway where he can go into specifics

@highlight

Otherwise, the professor says, "the Obama campaign will define them"