Baghdad, Iraq (CNN) -- Iraq's government touted its military offensive to recapture Saddam Hussein's hometown of Tikrit from extremists, with some officials taking to state-run television over the weekend to declare the army had defeated the Islamic State of Iraq and Syria.

But those who live in the city nestled along the Tigris River, about 140 kilometers (about 87 miles) northwest of Baghdad, told a different story on Sunday.

"There are no Iraqi troops here," one woman told CNN by telephone from Tikrit. The only presence, at least in her neighborhood, is the "Islamic state," she said, referring to ISIS.

The extremist group on Sunday announced the establishment of a "caliphate" and the renaming of the Islamic State in Iraq and Syria (ISIS) to the "Islamic State" in a newly released audio message and written statement purportedly from the official spokesman of ISIS, Abu Mohammed al-Adnani al-Shami.

He said "al-Baghdadi" is the emir of the new caliphate, using his real name of Ibrahim Awwad Ibrahim Ali al-Badri al-Samarrai, but who is more commonly known as Abu Bakr al-Baghdadi.

The group's statement said its flag flies from Aleppo province in Syria to Diyala province in Iraq.

It is also called on Muslims to swear allegiance to the caliphate, which means Islamic state.

CNN could not independently verify the authenticity of the message.

Witnesses: Heavy shelling in Tikrit

The woman in Tikrit, who asked not to be identified over concerns for her safety, said she could hear the sounds of a fierce battle, in the form of shelling, being carried out by both sides.

A video posted on YouTube appears to support her assertion. In it, a man gives a tour of the city to show, he says, that there were no Iraqi security forces on the streets on Saturday -- the day Iraqi forces said they launched the offensive.

On the video, the man can be heard repeatedly saying "June 28, 2014," presumably to offer evidence of the date.

The man says "Thank God, Tikrit is safe and still in the hand of tribesmen and not troops of 'al-Haliki,'" a derogatory reference to Prime Minister Nuri al-Maliki that refers to his death.

The video also shows a concrete blast wall erected around government buildings being taken down.

Witnesses inside and outside of Tikrit said Iraqi forces were heavily shelling the city.

Two days ago, the air force dropped leaflets from helicopters, demanding resident leave the city "for their safety."

A large number of people have fled Tikrit for smaller villages to the north, according to witnesses, who say Iraqi forces are battling ISIS on the southern edge of the city.

At the same time, state-run Iraqi TV showed video footage of large plumes of black smoke billowing from the city. Another video, released by the Ministry of Defense, showed Iraqi troops and convoys loaded with heavy weapons driving through the desert. The video was titled "cleansing the road between Samarra and Tikrit."

CNN cannot independently confirm the claims.

Possible turning of the tide for Iraq forces?

Iraqi security forces were routed by ISIS fighters earlier this month during a lightning advance that saw the al Qaeda offshoot seize large swaths of northern and western Iraq.

State-run Iraqiya TV reported that the Iraqi army and volunteer militia groups had cleared ISIS fighters from the city, having advanced on the city from four directions.

Sheikh Khamis al-Joubouri, a key tribal leader in Tikrit, told CNN on Saturday that the Iraqi security forces entered the city supported by special forces and fighters from among the local tribes and had gained control.

He said ISIS fighters retreated in the direction of Kirkuk and the province of Nineveh.

But a combatant told a CNN freelance reporter that ISIS fighters remained in control of Tikrit, though there were fierce clashes in an area about 20 kilometers (12 miles) from the city center, toward Samarra.

Two security officials in Samarra told CNN that Iraqi soldiers stopped the militants' advance about 10 kilometers (6 miles) south of Tikrit because ISIS had planted mines and booby-trapped houses.

State-run TV aired footage Sunday of the arrival overnight of five Russian Sukhoi fighter jets. They are the first of 25 warplanes expected to be delivered under a contract agreed to by Moscow and Baghdad, the Ministry of Defense said in a statement provided to CNN.

The announcement follows a comment by al-Maliki that militant advances might have been avoided if Iraq had proper air power, in the form of fighter jets that Iraq has been trying to get from the United States.

"I'll be frank and say that we were deluded when we signed the contract" with the United States, al-Maliki told the BBC in the interview last week, which was released Friday.

Iraq has now turned to Russia and Belarus to buy fighter jets, he said. "God willing, within one week, this force will be effective and will destroy the terrorists' dens," he said.

U.S. officials were quick to reject al-Maliki's complaints. U.S. fighter jets have not been slow in coming, Pentagon spokesman Rear Adm. John Kirby told CNN. The first two promised F-16s "weren't expected to be delivered until the fall, which is still months away," Kirby said. "And we were in the process of working towards that delivery."

The advance of the al Qaeda splinter group "couldn't have been stemmed through the use of two particular fighter planes," he said.

Al-Maliki's statements about the need for air support came as American and Arab diplomats told CNN that the United States is unlikely to undertake any military strikes against the militant group, the Islamic State of Iraq and Syria, and its allied fighters before a new government is formed in Iraq.

State Department: Iraq helped create this problem

U.S. State Department spokeswoman Marie Harf told CNN that Iraq helped create the crisis.

"This kind of blame of others on the outside is quite frankly part of what's gotten Iraq into the situation it's in today. It's helped create the crisis. When we left Iraq, we gave the Iraqis the ability to create a better future," she said. "And unfortunately, leaders across the spectrum didn't step up and take the opportunity. They blamed others and didn't bring the country together."

Al-Maliki and his Shiite-dominated government have been under pressure by the Western and Arab diplomats to be more inclusive of Iraq's Sunni minority, who say they have been marginalized and cut out of the political process by the government.

Al-Joubouri said that the Sunni tribes in and around Tikrit were not aligned with the government or with ISIS and had stayed out of the fight until now.

But, he said, when ISIS fighters who arrived in Tikrit robbed banks and carried out executions, as well as bringing the local economy to a standstill, the tribal leaders offered their help to the Iraqi security forces poised outside the city.

The tribal leaders shared their knowledge of the city, including routes and known ISIS positions, he said.

Also, Human Rights Watch has reported the discovery in Tikrit of two mass graves believed to contain the bodies of Iraqi soldiers, police and civilians killed by ISIS and its militant allies.

In addition to the alleged executions in Tikrit, reports continue to emerge of atrocities committed by both sides.

Human Rights Watch, citing displaced residents and local activists and journalists, said Saturday that ISIS fighters kidnapped at least 40 Shiite Turkmens, dynamited four Shiite places of worship and ransacked homes and farms in two villages just outside Mosul.

The few Sunni villagers who remained in Guba and Shireekhan told those who fled that at least some of the kidnapped Turkmens had been killed, the rights group said. However, they had not seen bodies and could not give more information.

ISIS destroyed seven Shiite places of worship in the predominantly Shia Turkmen city of Tal Afar, about 50 kilometers (31 miles) west of Mosul, earlier in the week, Human Rights Watch added, citing local sources.

But the allegations of atrocities are not just limited to ISIS. Amnesty International has said it has gathered evidence pointing to a pattern of "extrajudicial executions" of Sunni detainees by government forces and Shiite militias in Tal Afar, Mosul and Baquba.

Maps: Understand the crisis in Iraq

What is ISIS?

Iraq witnesses recall horrors in Tal Afar, Mosul

CNN's Chelsea J. Carter and Hamdi Alkhshali reported from Baghdad, and Mohammed Tawfeeq reported from Atlanta. CNN's Arwa Damon, Nima Elbaghir, Raja Razek and Yousuf Basil contributed to this report.

@highlight

Militants declare Islamic state extending from Syria to Iraq

@highlight

Iraq's government is touting its offensive to recapture Saddam Hussein's hometown

@highlight

But some residents tell CNN a different story: "There are no Iraqi troops here"

@highlight

Iraqi security forces were routed by ISIS fighters earlier this month