(CNN) -- As with many murder-suicides, the gunman in the Newtown, Connecticut, shooting took to his grave the reasons that compelled him to kill more than two dozen people before taking his own life in the second-deadliest school shooting in U.S. history.

But those who knew the shooter struggled to reconcile the difference between the quiet, withdrawn 20-year-old without a criminal record and the man who wore black fatigues and a military vest and brought death to Sandy Hook Elementary School Friday.

Police say the shooter, Adam Lanza, killed his mother, Nancy, in their home before walking into the school and fatally shooting 26 more people -- 20 of them children no older than 7.

The rampage ended when Lanza apparently took his own life in a classroom. With him were three firearms: a semiautomatic .223-caliber rifle made by Bushmaster and two handguns, a Glock and a Sig Sauer.

Connecticut law requires gun owners to be at least 21. The guns, authorities said, belonged to his mother.

Police have yet to disclose whether they know a motive for the attack, which has left those who knew Lanza trying to discern whether anything in his past could have foreshadowed the present.

"He was a shy kid, quiet," said Alan Diaz who knew Lanza several years ago. "He would sometimes stand in the corner. We knew he was socially awkward and we just accepted it. But he was never threatening."

Diaz told CNN that he tried many times to to talk to Lanza to "try to include him."

Comforting survivors: 'Hug them' and 'cry with them'

'Definitely the challenge of the family'

Lanza moved to Connecticut from Kingston, New Hampshire, with his parents and older brother Ryan, according to a booklet for Newtown's Bennetts Farm neighborhood.

He enjoyed soccer, skateboarding and video games, the publication said.

In September 2009, when Lanza was 17, his mother and father divorced, court documents show.

What happened in the young man's life after that isn't clear, except that he continued to live in Newtown.

His father, Peter Lanza, remarried and moved to an area not far from the town, an official said.

Peter Lanza was questioned by authorities after the shooting, as was Adam Lanza's 24-year-old brother, Ryan.

Authorities have offered few details about Adam Lanza. He had no known criminal record, a law enforcement official said.

One of Lanza's aunts, Marsha, described him as a "quiet, nice kid" who had issues with learning, she said. Her husband is Lanza's paternal uncle.

"He was definitely the challenge of the family in that house. Every family has one," she told CNN affiliate WLS. "They have one. I have one. But never in trouble with the law, never in trouble with anything."

She said Lanza's mother "battled" with the school board and had to home-school her son.

"She had issues with school," said the aunt, who lives in Crystal Lake, Illinois. "I'm not 100% certain if it was behavior or learning disabilities, but he was a very, very bright boy. He was smart."

Slain Connecticut principal just implemented new security system

A 'genius'

Alex Israel was in the same class at Newtown High School with Lanza and lived a few houses down from him.

"You could definitely tell he was a genius," Israel told CNN, adding she hadn't talked with him since middle school. "He was really quiet, he kept to himself."

Alan Diaz said he was in the Technology Club with Lanza at Newtown High School. The group broadcast sports and other school events at school, and worked on computers.

Because Diaz was one of the few students at school who talked to Lanza, Diaz said, he thought Adam probably considered him a friend.

"Eventually he started opening up more to us on the tech team, telling us jokes even," Diaz recalled.

"I never would have thought he was capable of something like this," he said. "I once wondered that if he became isolated he might hurt himself, but never another person."

Diaz recalled that Lanza loved to wear khakis with a belt and green plaid shirt.

"He had a briefcase, really a laptop bag all the time," Diaz recalled. "He was smart. I would call him a genius."

Lanza took honors classes and once taught other students how to build a computer.

"He was really into it and very good at that class," Diaz said.

Diaz ran into Nancy Lanza, Adam's mother, not too long ago, he said.

"When I talked to Nancy that time, about how he was doing, she said he's been going to the (gun) range a lot recently," Diaz said. "That he'd taken that up as a hobby."

As a 13-year-old, Lanza would occasionally ride the bus to school, often sitting in the back, usually alone, said his former bus driver.

"He didn't sit with the other kids and didn't seem to have any friends," said Marsha Moskowitz, 52, who said she drove Lanza to school for three years.

"He was quiet, a very shy and reserved kid," she said, noting that Lanza was one of the older kids on the bus and did little to interact with the others. "No 13-year-old wants to ride the bus to school. It's kind of embarrassing for them."

The shooter's mother was also a quiet woman, said Moskowitz, though she admits she had limited interactions with her.

A 'polite' mother

"I didn't know (Nancy) as well as the other parents, but she was always very polite," said Moskowitz, who said she's been devastated by the news.

How do we stop the violence?

A relative told investigators that Lanza had a form of autism, according to a law enforcement official, who spoke under condition of anonymity due to the sensitive nature of the investigation.

But a national autism committee cautioned against speculating about a link between autism and violence.

"Autism is not a mental health disorder -- it is a neurodevelopmental disorder," said the Autism Research Institute's Autistic Global Initiative Project. "The eyes of the world are on this wrenching tragedy -- with 1 in 88 now diagnosed, misinformation could easily trigger increased prejudice and misunderstanding."

A former classmate told CNN affiliate WCBS that Lanza "was just a kid" -- not a troublemaker.

"I don't know who would do anything like this," the ex-classmate said, before walking away distraught. "This is unspeakable."

Lanza's father was also at a loss for explanation. He sent his condolences to the families of victims in a statement released Saturday.

"Our family is grieving along with all those who have been affected by this enormous tragedy," Peter Lanza said. "No words can truly express how heartbroken we are. We are in a state of disbelief and trying to find whatever answers we can."

In New Hampshire, relatives of Nancy Lanza released a statement in which they, too, expressed shock and sadness.

"On behalf of Nancy's mother and siblings we reach out to the community of Newtown and express our heartfelt sorrow for the incomprehensible and profound loss of innocence that has affected so many."

How you can help

CNN's Susan Candiotti, Mary Snow and Lisa Desjardins reported from Newtown, Connecticut. CNN's Tim Lister, Terry Frieden, John King and Greg Botelho also contributed to this report.

@highlight

Former classmates say Adam Lanza was quiet and withdrawn

@highlight

Police have not said what the motive for the mass shooting might have been

@highlight

Lanza had no known criminal record

@highlight

"We are in a state of disbelief," Lanza's father says