In the same week that witnessed the fall of Homs in the hands of the Assad regime both the U.S. and the UK announced a resumption of non-lethal aid to the Syrian rebels. While this is a highly symbolic move towards an opposition desperate for any kind of support, it is also symbolic in that it is unlikely to affect the balance of power on the ground.

The U.S. and UK contribution is dwarfed into insignificance when compared to military, economic, logistic and diplomatic support that the regime gets from its allies, mainly Iran and Russia. The truce in Homs is a clear consequence of failing Western support to the opposition and the full support that the regime gets from its allies.

A balance sheet that compares aid to the regime against that given to the opposition demonstrates clearly the imbalance in favor of the Assad regime.

This goes some way in explaining two phenomena: one is the disappointment towards the Obama administration felt by many of its Arab allies and by the Syrian opposition who feel let down by the U.S.; two is the way in which Russia and Iran see military engagement and support to the regime in Syria as an integral part of their political and diplomatic strategy, while the U.S. and the UK seem to consider them as two separate processes: you either provide military support to the opposition or push for a diplomatic solution and cannot do both.

U.S. aid of up to $27 million and UK aid of £1 million ($1.69 million) both in non-lethal aid like communications, medical equipment and food rations are being resumed after they had been suspended in December in the run-up to the Geneva II talks and only came up again after the failure of the diplomatic solution in Geneva II.

Russian and Iranian aid to the regime has been continuous and much more substantial. Western policy in Syria projects weakness, hesitation and lack of strategy while Russia and Iran have shown strength, resolve and their policy is part of a wider strategy in confrontation with the U.S. The U.S. was also pressuring its own regional allies like Turkey, Saudi Arabia and other Gulf countries to restrain their support for the opposition mainly on the grounds that a military solution was impossible.

Iranian and Russian assistance

It is difficult to accurately estimate the Iranian and Russian contributions. The European Council on Foreign Relations report on Syria's war economy mentions financial help of up to $5.8 billion in the form of cash and oil supplies in mid 2011 and two credit facilities in 2013 worth a combined $4.3 billion.

Burhan Ghalioun, the former head of the Syrian National Council recently claimed that Iranian assistance to the regime is well over $14 billion so far. The figures would shoot up if military assistance could be estimated.

What we know is that the Quds force, the foreign arm of the IRGC has hundreds of commanders involved in Syria. Iran also arms and trains Hezbollah in Lebanon and several Iraqi militias that are fighting in Syria and sends arms and munitions.

The strain on the Iranian economy is unsustainable and there are already Iranian dissident voices blaming involvement in Syria for a large part of the country's economic problems.

Russia also provides economic and military assistance to the regime, propping up the currency and circumventing the sanctions. Syrian currency is now printed in Russia and military assistance is both technical and hardware.

The balance sheet also includes billions of dollars of Western humanitarian aid that goes through the U.N. and other international organizations. The bulk of it goes to dealing with the symptoms of the war-like refugees and the rest largely goes through the regime and the regime uses it to its benefit in its surrender or starve strategy in sieges like that of Homs.

The scenario is simple: the regime cuts off water, electricity, food, fuel and access; it then proceeds to bomb the city into submission using artillery, air raids and barrel bombs. and then the UN and other international organizations who are also Western funded, help the regime and its allies to negotiate surrenders that are euphemistically called "local ceasefires" as we have seen in Homs and in other areas recently.

Difference in strategy

The difference in strategy is flagrant: Iran and Russia boost military assistance to strengthen Assad's hand in the negotiations; while the US and the UK all but freeze support to the opposition which amounts to pressuring them to compromise in negotiations.  Aaron David Miller even argues in a Foreign Policy piece that the main reason for President Barack Obama's hesitation to assist the rebels in Syria is so as not to jeopardize his engagement with Iran under the logic that you cannot talk and shoot at the same time.

There may also be different perceptions of the importance of the conflict in Syria. The White House may perceive it as marginal at a time when it is shifting its interest away from the Middle East to Asia. It is thus a local conflict where you could stand aside and wait to see which side would win. Iran and Russia are playing to win and see it as a more strategic battle with objectives beyond Syria possibly against the U.S. and its global power.

It may also be argued that perceived U.S. weakness cannot be confined to its position in Syria. While it has disappointed its allies who feel let down; it has at the same time emboldened its enemies who feel they can take advantage of it.

Russia can thus think it can get away with bold moves in Ukraine and Iran thinks it can play the classic trick of good-cop/bad-cop where good-cop is President Rouhani with a smile and a tweet, willing to negotiate but only on the nuclear deal; and the bad cop is General Qassem Suleimani the commander of the IRGC and has a free hand to fight against U.S. interests in Iraq, Syria, Lebanon, Afghanistan and other areas the Quds Force is active in.

If anything, this is a situation similar to that in Iraq in 1991 when an uprising was encouraged by Washington, and then the U.S. and its allies stood by watching Saddam Hussein's helicopters crush it, killing in two months as much as Bashar al-Assad has in the last three years.

@highlight

The Homs truce is a consequence of failing Western support to the opposition, writes Nadim Shehadi

@highlight

Russia provides economic and military assistance to the Syrian regime, he says

@highlight

Shehadi : The situation is similar to that in Iraq in 1991 when an uprising was encouraged by Washington