WASHINGTON (CNN) -- President Obama began to flesh out the details of one of his signature campaign promises Tuesday, outlining his plan for a major overhaul of the country's education system "from the cradle up through a career."

President Obama says the decline of education is "unacceptable for our children."

"We have let our grades slip, our schools crumble, our teacher quality fall short and other nations outpace us," Obama said in an address to the U.S. Hispanic Chamber of Commerce. "The time for finger-pointing is over. The time for holding ourselves accountable is here."

"The relative decline of American education is untenable for our economy, unsustainable for our democracy and unacceptable for our children, and we cannot afford to let it continue," he said.

The president outlined a five-tier reform plan, starting with increased investments in early childhood initiatives.

Obama noted that the recently passed $787 billion stimulus plan includes an additional $5 billion for Head Start, a program to help low-income families.

He highlighted a proposal to offer 55,000 first-time parents "regular visits from trained nurses to help make sure their children are healthy and prepare them for school and life."

He also pledged to boost federal support in the form of "Early Learning Challenge" grants to states that develop plans to strengthen early education programs.

Second, Obama called for an end to "what has become a race to the bottom in our schools" through lower testing standards. Echoing former President Bush's call to end "the soft bigotry of low expectations," Obama said states needed to stop "low-balling expectations" for students.  Watch Obama challenge states to raise their standards »

"The solution to low test scores is not lower standards; it's tougher, clearer standards," he argued.

At the same time, however, he urged states to develop standards "that don't simply measure whether students can fill in a bubble on a test but whether they possess 21st century skills like problem-solving and critical thinking, entrepreneurship and creativity."

To help promote this goal, Obama said he would push for funding in the No Child Left Behind law to be more effectively tied to results. The Education Department, he said, would "back up this commitment to higher standards with a fund to invest in innovation in our school districts."

Obama's third tier focused on teacher training and recruitment. He noted that federal dollars had been set aside in the stimulus plan to help prevent teacher layoffs. He also reiterated a promise to support merit pay, as well as extra pay for math and science teachers with the goal of ending a shortage in both of those subjects.

At the same time, however, the president warned that ineffective teachers should not be allowed to remain on the job.

"If a teacher is given a chance but still does not improve, there is no excuse for that person to continue teaching," he said. "I reject a system that rewards failure and protects a person from its consequences."

Teachers' unions have opposed merit-based pay, arguing that it is unfair because it leads to competition among teachers and because teachers face different challenges depending on where they are located.

Fourth, Obama called for the promotion of educational "innovation and excellence" by renewing his campaign pledge to support charter schools. He called on states to lift caps on the number of allowable charter schools.

He also urged a longer school calendar.

"I know longer school days and school years are not wildly popular ideas," Obama said. "But the challenges of a new century demand more time in the classroom."

Obama's final reform initiative focused on higher education. Among other things, the president promised to boost college access by raising the maximum Pell Grant award to $5,550 a year and indexing it above inflation. He also promised to push for a $2,500 a year tuition tax credit for students from working families.

The American Federation of Teachers, a union with 1.4 million members, said Tuesday that it embraces Obama's goals to provide "all Americans with a comprehensive, competitive education that begins in early childhood and extends through their careers."

"We also fully support the president's call for shared responsibility for education -- among public officials, school administrators, parents, students and teachers," the group said in a statement.

"As with any public policy, the devil is in the details, and it is important that teachers' voices are heard as we implement the president's vision."

In promoting his program, the president called for an end to the "partisanship and petty bickering" that many observers believe has typically defined education policy debates in the past.

"We need to move beyond the worn fights of the 20th century if we are going to succeed in the 21st century," he said.

Obama also offered a rebuttal to critics who have accused him of diverting attention to issues such as education and energy at the expense of the deteriorating economy.

"I know there are some who believe we can only handle one challenge at a time," he said. But "we don't have the luxury of choosing between getting our economy moving now and rebuilding it over the long term."

CNN's Kristi Keck contributed to this report.

@highlight

Obama stresses investments in early childhood initiatives.

@highlight

President says "challenges of a new century" demand more time in classroom

@highlight

He calls for end to the practice of lowering state reading, math standards

@highlight

Obama pledges to push for major expansion of performance-based pay programs