U.S. Rep. Jesse Jackson Jr. resigned from Congress effective Wednesday, citing the need to spend time "restoring my health."

Jackson, who announced his resignation in a letter to House Speaker John Boehner, has been is the subject of several investigations and was recently treated at the Mayo Clinic for what was described as "several serious health issues."

"For 17 years I have given 100% of my time, energy, and life to public service," Jackson wrote. "However, over the past several months, as my health has deteriorated, my ability to serve the constituents of my district has continued to diminish. Against the recommendations of my doctors, I had hoped and tried to return to Washington and continue working on the issues that matter most to the people of the Second District. I know now that will not be possible."

Read Jackson's resignation letter (PDF)

Voters in his South Side Chicago district re-elected Jackson, 47, for a 10th two-year term this month, despite his legal and health troubles.

"The constituents of the Second District deserve a full-time legislator in Washington, something I cannot be for the foreseeable future," he wrote to Boehner. "My health issues and treatment regimen has been incompatible with service in the House of Representatives. Therefore, it is with great regret that I hereby resign as a member of the United States House of Representatives, effective today, in order to focus on restoring my health."

Jackson, the son of civil rights leader the Rev. Jesse Jackson, is the subject of investigations by the FBI and the House Ethics Committee involving possible financial improprieties.

His House colleagues are looking into allegations that he or one of his associates offered to raise money for then-Illinois Gov. Rod Blagojevich in exchange for Jackson being appointed to the Senate seat vacated by Barack Obama in 2008.

"During my journey I have made my share of mistakes," Jackson said in his resignation letter. "I am aware of the ongoing federal investigation into my activities and I am doing my best to address the situation responsibly, cooperate with my investigators, and accept responsibility for my mistakes, for they are my mistakes and mine alone. None of us is immune from our share of shortcomings or human frailties and I pray that I will be remembered for what I did right."

Illinois Gov. Pat Quinn has five days after the resignation is confirmed to set a date for a special election to fill the seat vacated by Jackson.

"This election will be carried out in a manner that is fair to the electorate and as economical as possible for taxpayers," Gov. Quinn said Wednesday.

U.S. Rep. Bobby Rush, who represents another Chicago district, suggested Wednesday that Jackson waited until after the election to step aside to make sure voters could chose his successor.  Otherwise, a few people in the Chicago power structure would have been able to  "choose one of their lackeys to be the congressman."

Rush warned there could be confusion, though, if too many people jumped into the race to replace Jackson.  "My fear is that there are going to be so many wannabees who are guided by blind ambition that we might find a tea party representative from the second congressional district, which would be a travesty in itself," Rush said

Jackson sounded "sounded very, very sorrowful," in a phone call Wednesday morning, Rush said.  "He sounded in so much pain."

"As he works to address his health, our thoughts and prayers are with him, his wife Sandi, his children as well as his parents," House Minority Leader Nancy Pelosi said. "We are grateful to him and his family for their long-standing record of public service to our country."

Jackson has been out of the public eye and absent from Capitol Hill for much of the past year, including while he was being treated at the Mayo Clinic as recently as last month.

He made no campaign appearances, relying instead on a recorded automated call to constituents in October in which Jackson said, "the good news is my health is improving, but my doctors tell me the road to recovery is a long one."

"Like many human beings, a series of events came together in my life at the same time and they've been difficult to sort through," he said in the call, which his office provided to CNN. "I am human, I am doing my best, and I am trying to sort through them all."

In early July, the congressman's office announced he was "receiving intensive medical treatment at a residential treatment facility for a mood disorder." A few weeks later, his office said he was undergoing an "extensive inpatient evaluation for depression and gastrointestinal issues" at the Mayo Clinic.

Jackson grew up in his father's shadow, placing him on history's stage as the Rev. Jesse Jackson Senior led civil rights campaigns, including Operation PUSH and the Rainbow Coalition.

Jackson was born in 1965, just months before President Lyndon Johnson signed the Voting Rights Act, which forced election changes that opened up the political process for African-Americans in the United States.

Listen: Strange saga of Jesse Jackson Jr.

He spent his 21st birthday in a District of Columbia jail cell after being arrested in an anti-apartheid protest at the South African Embassy in 1986, according to the biography on his congressional website.

He was on the stage in Cape Town in 1990 when Nelson Mandela delivered his historic speech after his release from 27 years in a South African prison, the biography says.

The younger Jackson earned a Master of Arts degree in theology and then a law degree in 1993.

He served as national field director for his father's Rainbow Coalition, a role that included leading a campaign to register millions of new voters, the biography says.

In 1995, Jackson became the 91st African-American elected to Congress. Since then, he has represented Illinois' 2nd Congressional District, which includes parts of Chicago's South Side and suburbs.

A potential opportunity created by Barack Obama's election as president in 2008 ironically triggered a series of events that threatened Jackson's political career.

Jackson, then 43, spoke with Blagojevich in fall 2008 about the possibility of being appointed to serve the remaining two years of Obama's vacated U.S. Senate term. Blagojevich was arrested by federal agents the next day and was accused of trying to sell the seat to the highest bidder.

Jackson said he presented only his credentials and polling information that suggested he could win re-election in 2010.

Blagojevich, eventually convicted on multiple corruption charges, started serving a 14-year prison sentence in March.

The House Ethics Committee has been examining allegations that Jackson or one of his associates offered to raise funds for Blagojevich in exchange for the Senate seat.

"In doing so, Rep. Jackson may have violated federal law and House rules concerning the proper use of the member's representational allowance," the statement said.

Jackson has maintained his innocence and pledged to continue to cooperate with authorities. "I did nothing illegal, unethical or inappropriate in that pursuit, and I believe that is what the Ethics Committee will conclude at the end of this process," he said.

Jackson apologized to his constituents in September 2010, after the Chicago Sun-Times reported that a Chicago businessman told federal investigators that Jackson had asked him to pay for a restaurant hostess to fly between Washington and Chicago several times.

He said he was "deeply sorry" that he had "disappointed some supporters."

The newspaper also reported that the businessman, Raghuveer Nayak, told the FBI that Jackson asked him to raise $6 million for Blagojevich in exchange for Obama's vacated Senate seat. The governor ended up appointing former Illinois Attorney General Roland Burris to the Senate post.

Despite the congressional investigation, Jackson decisively won a heated primary for a 10th term in March.

The congressman disappeared from Capitol Hill in May, and in June he explained in a statement released by his staff that he was taking a leave of absence because he was suffering from a "medical condition."

Jackson's wife of 21 years, Sandi Jackson, is a Chicago alderman. The couple met and married during law school. They have two children, Jessica Donatella and Jesse L. Jackson III.

@highlight

Rep. Jesse Jackson Junior says he needs to spend time restoring his health

@highlight

He is being investigated by the FBI and the House Ethics Committee

@highlight

He has been absent from Capitol Hill in recent months, citing health issues

@highlight

Voters in his Chicago-area district re-elected him to a 10th two-year term this month