(CNN) -- The Coast Guard and BP declared the Deepwater Horizon cleanup over in three states Monday but will keep watching dozens of miles of Louisiana shoreline where oil still washes ashore.

More than three years after the worst oil spill in U.S. history erupted in the Gulf of Mexico, the coastlines of Mississippi, Alabama and Florida have been returned to "as close to pre-spill conditions as possible," said Lt. Cmdr. Natalie Murphy, a Coast Guard spokeswoman.

In Louisiana, however, 84 miles of coastline -- mostly barrier islands like Grand Isle and Elmer's Island, about 90 miles south of New Orleans -- is still subject to cleanup, Murphy said. Those areas are still seeing tar balls and occasional mats of weather oil wash up on the beach regularly, particularly since Hurricane Isaac stirred up fresh oil from the seabed in late 2012.

Murphy said the decision was made when only small amounts of oil were being found by cleanup crews. Those crews had "a very large footprint going on some very sensitive areas," she said.

"It begs the question of how much harm are we doing to the environment by walking in or driving ATVs just for a small amount of oil," she said. Now, she said, the Coast Guard will check out any reports of oil on the beaches, and BP will continue to be required to clean up any oil that traces back to the Deepwater Horizon spill.

But environmental groups quickly expressed concern that Monday's decision was premature.

"We don't want the nation to think this disaster is over when oil washes ashore somewhere along Alabama's 53 miles of beach every day," Casi Callaway, executive director of Mobile Baykeeper, told CNN. Callaway said residents and tourists will now have to become "oil spotters" on the beaches.

And the National Wildlife Federation said as many as 1 million barrels of oil from the disaster remained unaccounted for.

"Regardless of how our shorelines are monitored, BP must be held accountable for the cleanup," David White, the head of the group's Gulf of Mexico Restoration Campaign, said in a statement on the decision. "We cannot just accept oiled material on our beaches and in our marshes as the 'new normal.' "

The drill rig Deepwater Horizon exploded and sank in April 2010, killing 11 men aboard and unleashing an undersea gusher from a BP-owned well called Macondo a mile underwater. It took three months to cap the well, and federal officials estimate nearly 5 million barrels of oil -- more than 200 million gallons -- poured into the Gulf in that time.

Most of the oil is believed to have been eaten by hydrocarbon-munching microbes in the Gulf. But an undetermined portion settled to the floor of the Gulf, and tar balls and tar mats are still turning up across the region. Crews dug up a 450-pound tar mat left behind by the spill in Pensacola Beach, Florida, in early April, Murphy said.

Murphy said the decision announced Monday "is a transition, not an end."

"We're going to maintain the proper staffing in order to address those episodic re-oiling instances, and it will be cleaned up," she said.

Meanwhile, BP spokesman Jason Ryan said the company is making "significant progress" in the remaining cleanup work in Louisiana. Ryan said the company still has about 85 workers from a contractor committed to the cleanup work there.

In January, he said, crews drilled 14,000 holes in search of buried oil. Only 3% of those holes found enough oil to require cleanup, and that process is "nearly complete," he said.

Work is also going on in the marshes of Barataria Bay, home to some of the worst-hit spots.

"At Upper Barataria Bay, we finally received permission to treat areas that had been set aside for treatment studies just a few months ago and are now progressing them through the final inspection process," Ryan told CNN.

And he said that the company will clean up any new oil that traces back to the blowout.

"If people do receive these reports, the Coast Guard will come and investigate, and if it's found to be from Macondo, BP will respond," he said.

The disaster has cost BP an estimated $32 billion to date, including $14 billion in cleanup costs. It's also paid out nearly $8 billion in compensation to Gulf Coast residents, pleaded guilty to manslaughter charges and paid a $4 billion fine for the deaths on the rig.

CNN's John Murgatroyd and Vivian Kuo contributed to this report.

@highlight

Oil spill cleanup called complete in Alabama, Mississippi and Florida

@highlight

Work continues on more than 80 miles of Louisiana shores

@highlight

Environmentalists worry the decision is premature