A decreasing number of American gun owners own two-thirds of the nation's guns and as many as one-third of the guns on the planet -- even though they account for less than 1% of the world's population, according to a CNN analysis of gun ownership data.

The data, collected by the Injury Prevention Journal, the United Nations Office on Drugs and Crime, the General Social Survey and population figures from the U.S. Census Bureau, found that the number of U.S. households with guns has declined, but current gun owners are gathering more guns.

The United States tends to have better data on gun numbers than other countries, for instance Somalia or the Democratic Republic of the Congo, which may account for the high percentage, according to Alan Lizotte, dean and professor at the School of Criminal Justice at The University at Albany.

Gun owners debate in wake of Aurora tragedy

However, within its own borders, the U.S. gun owning population is on the decline and those gun owners are stockpiling more firearms.

"Those who own guns, own more guns," said Josh Sugarmann, the executive director and founder of the Violence Policy Center, a Washington-based gun control advocacy group.  Last year the organization released an analysis of figures from the General Social Survey, which found that both the number of households owning guns and the number of people owning guns were decreasing.

Politicians from both parties have tip-toed around gun control after the Aurora, Colorado, movie theater massacre to avoid political implications in the upcoming election. However, studies suggest they are bowing to a smaller number of American gun owners.

Those gun owners tend to live in swing states, explained Lizotte.

"You can see where [the gun debate plays out] in the presidential election," said Lizotte. "Where rural states are swing states and urban states are not."

Candidates show little appetite for new gun control laws

A study published in the Injury Prevention Journal, based on a 2004 National Firearms Survey, found that 20% of the gun owners with the most firearms possessed about 65% of the nation's guns.

A 2007 survey by the U.N's Office on Drugs and Crime found that the United States, which has 5% of the world's population, owns 50% of the world's guns.

The number of households owning guns has declined from almost 50% in 1973 to just over 32% in 2010, according to a 2011 study produced by The University of Chicago's National Opinion Research Center. The number of gun owners has gone down almost 10% over the same period, the report found

The concentration comes, in part, because guns are "marketed by and large to people who already own guns," Lizotte said.

He also said that guns are specialty items, like tools in a tool box, so those who own guns are more likely to buy additional guns for different hunting purposes, for instance.

"If you use a 12-gauge shotgun to shoot a rabbit, the rabbit won't exist after you shoot it," Lizotte said. Therefore a gun owner who is a hunter will use a different gun for different types of hunting, for instance a small-caliber rifle instead of a high-powered shotgun.

Both studies also found that men were more likely to own guns, though the General Social Survey found that male gun ownership is down almost 20% since 1980.  The Violence Policy Center's analysis of the General Social Survey data also found that part of the reason the gun owning population is declining is because those weapons are largely owned by white males, a group whose population is aging.

One in 10 women own a gun, the General Social Survey found.

Opinion: Do guns make us safer?

Still, while it is possible to collect accurate data on the number of guns in the United States using manufacturing, import-export and life-cycle data for the guns, the federal government has little idea of who the guns owners are, gun policy experts said.

"The federal government doesn't have good data on anything on guns and that's been done on purpose," said David Hemenway, director of the Harvard Injury Control Research Center and senior author of the Injury Prevention Journal study. "The gun lobby has lots of power ... [their] goal is not to have any sort of registration system."

"We asked, 'Where'd the guns go?' The answer -- it looked like the people that had lots of guns were buying more guns," Hemenway said.

The false perception that there are more gun owners has helped bolster a political narrative, emboldened the National Rifle Association and left politicians worried about losing support, gun policy experts say.

"...It gives them more power to say they are representing more gun owners and there are more gun owners," said Hemenway.

Sugarmann agreed. "There is a myth pushed by the gun industry, the NRA and the trade associations for gun makers that gun ownership is up," he said.  "[That] there are more gun owners, when the opposite is true, gun ownership is declining."

The NRA did not respond to repeated requests from CNN for comment.

Opinion: Fear drives opposition to gun control

@highlight

The number of U.S. gun owners has declined as more guns are concentrated in fewer hands

@highlight

CNN analysis shows gun owners in the U.S. own one-third of guns on the planet

@highlight

Many gun owners live in swing states, key to the fall election