(Mental Floss) -- The ubiquity of the "Joy of Cooking" is staggering. More than 18 million copies have sold since the Great Depression -- when a Midwestern widow named Irma Rombauer published her recipes and anecdotes in the hope of lifting America's spirits.

And while the lemonade concoctions and tuna casserole recipes were delicious, the real secret of the cookbook's success isn't that it soothed stomachs; it's that it catered to hearts and minds.

The artist of life

Irma Rombauer's young life was uniquely charmed. She was born in 1877 to wealthy German immigrants and spent her teenage years shuttling between her hometown of St. Louis and the elegant port city of Bremen, Germany.

After enjoying a brief tryst with novelist Booth Tarkington, Irma settled down and married an attorney, with whom she raised two children. Although never employed, she thought of herself as an "artist of life," a renaissance woman who aspired to live vibrantly and suck the marrow out of every moment.

When the stock market crashed in 1929, Irma's spirit was put to the test. Her husband, who'd long suffered from depression, committed suicide.

But instead of wallowing in grief, the 54-year-old widow found meaning in a project -- writing a cookbook she titled "The Joy of Cooking: A Collection of Reliable Recipes with a Casual Culinary Chat."

Once completed in 1931, she spent half her savings to publish the book locally in St. Louis. Friends and acquaintances tested the recipes, and the feedback was encouraging, so she began pitching it to major publishers. Five years later, in 1936, Bobbs-Merrill finally took a chance on it and agreed to distribute the "Joy of Cooking" nationwide.

The truth is that Irma had never been a great chef, but she was an excellent hostess. She could whip up a party at a moment's notice and keep all of her guests entertained. By infusing the "Joy of Cooking's" text with that same wit and conviviality, Irma set her cookbook apart.

From the first page, she skipped the kitchen basics in favor of extolling the virtues of cocktails: "They loosen tongues and unbutton the reserves of the socially diffident. Serve them by all means, preferably in the living room, and the sooner the better."

Irma's German heritage also deeply influenced early editions of the book. The first Joy includes recipes for dishes such as blitzkuchen and linzer tortes and even a few rousing quotes from Goethe. Irma also exhibited an endearing frankness with her readers.

Unlike any other cookbook narrator at the time, Irma admitted to her lack of expertise and joked about not having time to cook. In one section, she wrote, "The German recipe reads, 'stir for one hour,' but of course, no high-gear American has time for that."

Simply stated, Irma Rombauer knew her audience.

Mental Floss: 10 foods that are aphrodisiacs

Joy and depression

Other than maybe "The Grapes of Wrath," no book grasped the hardships of the Great Depression better than the "Joy of Cooking." Irma understood that American housewives were struggling to put food on the table, and she addressed those challenges head on.

Many entries began with the tag "Inexpensive and good." There was even an appendix on making the most of leftovers, including stale bread, bones, coffee grounds, and pickle vinegar.

Along with these tidbits, Irma also included the food preferences of celebrities and monarchs. "Is there anything better than good coffee cake?" she wrote. "I am told that the former king of Spain 'dunks.'"

These asides bore little culinary relevance, but they made readers believe they shared something in common with royalty and celebrities. Follow this recipe, Irma hinted, and you're making the same sponge cake that Queen Mary once made for King George V when he was under the weather.

As the country marched off to WWII, the "Joy of Cooking" adapted to the times. Irma's 1943 edition was the first major cookbook to address the issue of rationing. Once again, she treated cutbacks as opportunities for innovation, creating recipes such as Butterless, Eggless, Milkless Cake. She even gave soybeans top billing, featuring them as a prime substitute for meat.

Mental Floss: Food Challenges for the Super Hungry

Family tradition

By 1951, Irma was in her seventies, so her daughter, Marion Becker, took over the bulk of her work. In some ways, Marion was even more of a visionary than her mother, and many of her choices for the 1951 "Joy of Cooking" helped transform it into the classic it is today.

For example, to illustrate techniques and ingredients, Marion added 150 line drawings. She could have chosen trendy photographs, but her decision to use simple, helpful sketches ensured that the book would feel timeless. By contrast, the technicolor cakes and sweaty roast turkeys of 1950's "Betty Crocker's Picture Cookbook" now feel dated.

Marion also introduced a simple lowercase font for the logo. At the time, this was an understated choice; today, it's an icon of cookery.

Like her mother, Marion also drew inspiration from the national mood. When the next edition of Joy was commissioned in 1963, the carefree consumer atmosphere of postwar America was over. Doctors no longer plugged cigarettes on TV, and books such as Rachel Carson's "Silent Spring" dominated the shelves.

To address growing consumer awareness, Marion cut some of Irma's digressions to make way for more relevant information. She included a massive section titled "Know Your Ingredients," containing charts, diagrams, and exhaustive explanations on everything from the best way to beat eggs to how yeast works. The goal was to help readers understand not just the hows of cooking, but the whys, as well.

Marion also wanted Americans to eat healthier, so she added nutritional advice to the pages of Joy. Plagued by undiagnosed food allergies as a child, she understood the link between ingredients and wellness years before people started talking about "organic farming" and "health food."

Although the book still contained plenty of recipes for condensed-soup casseroles, 1963's Joy suggested using fresh, seasonal fruits and vegetables instead of canned or frozen produce. In an era of Wonder Bread, Marion Becker pushed for whole grains.

Marion produced her last revision in 1975 with the help of her husband, John, and son, Ethan. The work was a monumental tome, containing more than 4,500 recipes and 1,000 illustrations. Thanks to its encyclopedic size, this edition became the resource not only for grandmothers searching for German chocolate cake recipes, but also for their hippie grandchildren looking for tips on granola.

Presciently, the book warned readers against overusing microwaves, which were embraced by most major cookbooks at the time. (Off the record, Marion actually wrote to Ralph Nader that she believed microwaves were zapping the nutritional value from food.) The 1975 Joy was considered so authoritative that it remained in print for more than 20 years.

Mental Floss: Secret menu items at fast food restaurants

Today's tastes

In 1997, Scribner Books hired a team of chefs to write a completely new Joy without any input from the Becker family. Critics slammed the edition for being sterile and lacking any sense of playfulness.

In 2006, the publisher made amends. Ethan Becker and his wife, Susan, were put in charge of the 75th anniversary edition, creating a new version that combined Marion Becker's conscientiousness with her mother's sense of fun.

Instead of catering to weight-loss fads (the authors thank heaven that low-carb diets are no longer in vogue), the latest Joy stresses moderation and balance. The classic, gut-busting German cakes are still there, but they share space with homemade energy bars.

Marion would be proud that ethnic cooking is finally represented on a level that reflects our culture, with recipes for hummus, cream cheese balls, and salsa on neighboring pages.

Meanwhile, her mother would be happy that cocktails are back, along with old, quirky recipes, such as Lemonade for 100 People. And the tidbits are classically Irma. For example: "The Romans, who were passionate about snails, grew them on ranches where they were fed special foods like bay leaves, wine, and spicy soups as pre-seasoning."

But to really grasp the spirit of the "Joy of Cooking," one needs only to look at the index of the latest edition, which begins with a Samuel Johnson quote. It reads, "Knowledge is of two kinds. We know a subject ourselves, or we know where we can find information on it." Irma would be proud.

Mental Floss: World's 10 messiest food festivals

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

"Joy of Cooking" author started writing after husband committed suicide

@highlight

Surviving the Great Depression, many recipes labeled "inexpensive and good"

@highlight

Cocktails to be served "preferably in the living room, and the sooner the better"

@highlight

75th anniversary edition includes ethnic food and stresses moderation and balance