London (CNN) -- To an outsider, Thursday's contest to elect the next mayor of London would appear to be a fight between two larger-than-life characters -- known best by their first names -- for control of the city's famous red buses.

Among a wide field of candidates, only these two men have any realistic chance of taking a starring role at this summer's Olympic Games in London: Conservative Party incumbent Mayor Boris Johnson, 47, and his 66-year-old nemesis, Labour left-winger and former Mayor Ken Livingstone. Both men have devoted their energies to transport -- and attacking each other viciously on the issue, as well as on their complex personal tax arrangements.

With his distinctive nasal south London accent, Livingstone rose to fame in the early 1980s as leader of the Greater London Council. Livingstone -- populist, socialist, environmentalist -- was one of the few who stood up to Margaret Thatcher, the Conservative prime minister at the time, earning him the moniker "Red Ken."

Two decades later, Labour PM Tony Blair recreated the long-dormant job of London mayor, but if he hoped a similar-minded centrist would win, the move backfired. Livingstone was a feisty Labour member of Parliament, but when his party picked a blander, less troublesome candidate for mayor, he stood as an independent and cruised to victory. In revenge, he was expelled from Labour, though he was later brought back into the fold.

One of his first, and most unpopular, acts was to scrap the much-loved but decrepit fleet of Routemaster double-decker buses, dating from the 1950s. He replaced them with the "bendy bus," snake-like Mercedes vehicles that terrified road-users in the narrow streets. He also upgraded Underground trains and brought in a controversial congestion tax on motorists entering central London.

Livingstone served two terms before he was beaten in 2008 by Johnson, another maverick politician on the right of the political spectrum. The scruffy-haired Old Etonian ex-journalist, who appears to have emerged straight from a PG Wodehouse novel, inspired a cult following with spirited performances on a satirical BBC TV show that highlighted his blustering, easygoing charm.

Among Johnson's pledges was to scrap the accordion-like bendy buses and replace them with a British-built Routemaster, which appeared on the streets this year. The buses are stylish -- echoing the hop-on, hop-off design of the tourists' favorites -- but expensive: The first eight buses cost more than $18 million in total, although future buses will be $500,000 each.

True to the bitter rivalry between the men, Livingstone has pledged to cancel orders for more Routemasters in favor of hybrid vehicles if Londoners vote him back into power, although he will allow the current eight buses to remain in service.

"I'm quite happy to have them running around London," Livingstone told The Guardian newspaper last month. "We'll put a thing on the side saying: 'The most expensive bus, thanks to Boris.'"

In response, a spokesman for Johnson said: "Ken Livingstone said that only some ghastly dehumanized moron would want to get rid of the Routemaster, then he scrapped it.

"Now he wants to cancel an order for one of the greenest buses, which costs, and he knows costs, no more than a hybrid bus. Such a decision would put hundreds of British jobs at risk and would once again deprive Londoners of the much-loved hop-on, hop-off service. Mr. Livingstone simply can't be trusted."

There's little love lost between the two candidates: At one point during the campaign, as both rivals accused each other of avoiding paying the full rate of income tax, Johnson -- who was born in New York to British parents -- accused Livingstone of being a "f***ing liar."

And while the rising cost of public transport is one of the key issues in the election, many analysts say the difference between the two men themselves will be the deciding factor for most of the city's 5 million registered voters.

"There's a great deal riding on this election, but it's really all about personalities," said Joe Murphy, political editor of the capital's free daily newspaper, The Evening Standard, which has endorsed Johnson. "These are the two best-known politicians in the country outside of the Cabinet."

And while the job of mayor is largely ceremonial, whoever holds it does have control of a Â£14 billion ($23 billion) budget to run the city's transport system and emergency services as well as promote business.

One of Johnson's most eye-catching initiatives has been his fleet of bicycles -- known inevitably as "Boris Bikes" -- that can be hired from streets across the city for short periods. Johnson is an avid cyclist, but Livingstone has said the current scheme is elitist and plans to extend it south of the River Thames.

This summer's Olympics will be another reason to win the election. Livingstone was instrumental in helping win the Games in 2005, and both candidates have claimed credit for the regeneration of east London near the Olympic site. At Beijing in 2008, a famously disheveled-looking Johnson waved the Olympic flag.

"When the job was created by Tony Blair in 2000, he was not looking to create a hugely powerful mayor," Murphy said. "Compared with the New York mayor, the role in London is more of a bully pulpit."

Livingstone earned praise for his condemnation of the 2005 terrorist bombings on London's transport system. He issued a defiant message to the terrorists, and a rallying cry to Londoners in the wake of the attacks, which killed 52 people.

"Whatever you do, however many you kill, you will fail," Livingstone said.

Three years later, though, he was voted out in favor of Johnson.

So what does the election mean this time around, especially for Prime Minister David Cameron's Conservative-led coalition government, currently lagging behind Labour in the polls?

"All the signs point to Boris winning by a small margin of between 2% and 8%," said Murphy. "If he wins, Cameron will get a huge boost, and it may help to keep his party intact."

Conversely, a defeat for Livingstone will be a devastating loss for the young Labour leader, Ed Miliband, who is seen as struggling to establish himself in voters' eyes.

"If he loses London it will look as though Miliband's lost the whole country, even though it's not really about him. Everyone sees a bloody nose."

If Johnson wins, most analysts say his victory will be in spite of his party, not because of it.

"He lifts himself above politics," Murphy said. "'Brand Boris' is simply not seen as a Conservative. The same has been said for Ken, but the price of celebrity is that if it fades, a politician's appeal fades, too."

Johnson has his critics, though, as an editorial in the left-leaning Guardian made clear: "His overall substantive record is ... poor. Many of the big things that have happened on his watch -- Crossrail [a plan for a railway line across the city], the Olympics, even the eye-catching bikes -- were Labour initiatives. Since hard times came to London -- partly also Labour's doing -- Mr. Johnson has rarely attempted anything bold. He has been found wanting by recession. His environmental record is negligible. His police and crime policies have been destructive.

"In the end, though, this is a contest between Mr. Johnson and Mr. Livingstone. There is no ducking it. And that means voting for Mr. Livingstone as London's next mayor."

Whoever wins will play a vital role during the Olympics in terms of security, keeping transport running and ensuring athletes arrive on time.

Johnson's plan to close sections of some roads to general traffic so VIPs and competitors are not delayed -- mockingly called "Zil lanes" after their use in Soviet Russia -- is proving controversial. Livingstone is among those who have criticized the plan.

But as long as the capital's red buses -- however they look -- run on time, most Londoners will likely be happy.

@highlight

About 6 million Londoners are voting to elect new mayor

@highlight

Role largely ceremonial but mayor controls $23 billion budget

@highlight

Front-runners are incumbent Conservative Boris Johnson and Labour's Ken Livingstone

@highlight

Transport is key issue, especially design of city's famous red buses