Atlanta, Georgia (CNN) -- Freedom lovers everywhere over a certain age recall the thrilling news 20 years ago that Nelson Mandela had been released from a Cape Town, South Africa, jail.

After 27 years of isolation and hard labor, the world's most famous political prisoner emerged without bitterness, his humanity intact. When asked what he most missed while in prison, Mandela replied that it was hearing the sounds of children laughing.

Now 92 and frail, Mandela has declined to participate in this week's many celebrations in his honor except one: the opening of Parliament and the address to the nation by South African President Jacob Zuma.

As with all things political in this young and often raucous democracy, politicians and pundits are debating whether Mandela should have skipped this event as well. Zuma's last admission of personal misconduct, fathering his 20th child out of wedlock with the daughter of close friend, has become a national scandal and international embarrassment.

Just two years ago, he confessed to having unprotected sex with an HIV-positive family friend, who then accused him of rape. In a country coping with one of the world's highest incidence of HIV/AIDS, and with a strong official commitment to gender equality, many of Mandela's most fervent admirers don't want him seen anywhere near Zuma.

But Mandela went to jail not to demonstrate personal virtue but in a commitment to freedom, equality and the rule of law, which his appearance in Parliament reaffirms. Zuma is the duly elected president of a nation defined by strict allegiance to a democratic constitution.

Zuma has respected the rule of law and shows no inclination to use his huge parliamentary majority to rewrite the constitution for political advantage.

When Mandela was president, he defied his political advisers and voluntarily appeared before a magistrate so a claim of defamation against him could be adjudicated under due process, available to all citizens. Mandela expects no less from his successors; nor should we.

Preventing abuses of power whether by a privileged minority or by an unrestrained majority is a growing challenge for South Africa's fledgling democracy. The electorate is increasingly restive over policies that have failed to reduce chronic unemployment in excess of 25 percent, curb corruption or address extreme economic and social inequities.

Nor have policies been able to adequately overcome the legacy of damage caused by apartheid to family and community values, education and other basic services. The nation is struggling with a lack of respect for authority and the rule of law, especially among a growing number of alienated youth.

South Africa still has many advantages, including an economy larger than the combined gross domestic products of the rest of sub-Saharan Africa minus Nigeria, and it draws talent and strength from immigrants and political refugees who have created what Kenyan political scientist Ali Mazrui calls "the world's second global nation after the United States."

At issue is whether South Africans can uphold the minimum of shared values necessary for sustaining peace and allowing a decent society to flourish.

Mandela must continue to embody the roles for South Africans that Washington, Lincoln and King serve in protecting and advancing democracy in America. And like them, Mandela's example inspires others and has become a global public good.

President Obama recalls in "Dreams from My Father" how South Africa awakened his interest in politics as a young college student, provoking him to address a public rally for the first time and to describe events there as "a struggle that demands we choose sides. Not between black and white. Not between rich and poor. No, it's a harder choice ... between fairness and injustice. Between commitment and indifference, a choice between right and wrong..."

Mandela rarely talks about his own character but in his autobiography, "Long Walk to Freedom," says he credits any success he has achieved to a trait inherited from his father, "a stubborn sense of fairness." It is an ideal few have upheld to Mandela's standard -- but one we should all seek to emulate.

The opinions in this commentary are solely those of John Stremlau.

@highlight

John Stremlau: 20 years ago today, Nelson Mandela was released from Cape Town jail

@highlight

Stremlau: After 27 years, Mandela emerged "without bitterness, his humanity intact"

@highlight

Mandela maintains commitment to democracy, freedom and rule of law, he writes

@highlight

Mandela is inspiration in troubled nation that desperately needs it, Stremlau says