(CNN)Home means many different things to different people.

It's an idea that intrigues German-born photographer Corinna Kern, who moved into a squatted commercial building for several months in order to document the uncommon lifestyle unfolding behind its walls.

She first visited a squat -- a building occupied by people who don't own it or pay rent -- out of personal interest in April 2013, while she was in London studying for her master's degree.

The notion that this interest could be developed into a wider concept only came along a month or two later, she said. The result is a striking collection of photographs and text titled "A Place Called Home," in which she seeks to challenge common preconceptions about squatters -- and explore the idea that home is more a feeling than a physical place.

Having moved into her new home in a squat in Kentish Town, north London, Kern had to figure out how to coexist in one building with 30 people and three dogs. She also found herself part of a wider alternative community that's both transient and close-knit.

Through the connections she made, she visited six other squats in north and south London. One was in a former fabric warehouse, another in an abandoned garden center, a third in a white-walled former design studio.

"As the squatting scene is very interconnected, I came to discover how diverse squats can be, both in their visual appearance and emotional vibe," she said. "The unusualness of the different places, which may not comply with the idea of home in the common sense, intrigued me and shaped my project."

All the squats Kern visited were in former commercial premises. A law enacted in September 2012 made it illegal to squat in residential properties.

With housing costs high in London and affordable options in short supply, squatting can seem an appealing option to some people -- although, as Kern points out, it's not a lifestyle chosen simply because of homelessness or poverty.

"What might commonly be perceived as a shelter for the homeless or poor is often a conscious choice of an alternative and communal way of living," she writes in the text accompanying her images.

"The squatting lifestyle attracts many individuals on their search for adventure, freedom, friendship and self-discovery. Yet, it demands sacrifices and the ability to change and adapt."

The squatters' campaign group SQUASH (Squatters' Action for Secure Homes) says no one knows how many squatters there are nationwide at any one time. But it is clear that tens of thousands of people in the UK have squatted at one time or another, it says.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

The Empty Homes Agency, an independent charity group that campaigns for empty homes to be used for those in need, estimates that there are currently 610,000 empty homes in England. About one-third of these homes have been empty for six or more months, it says.

But since it's now illegal to squat in residential properties, empty or not, squatters have turned to London's disused commercial buildings, many of which have been left empty long-term.

When squatters move in, they bring a new life to the space, often surprising in its incongruity. In one of Kern's photographs, taken inside the disused fabric warehouse, a man rests on a shelf used for storing rolls of cloth. He's hard to spot at first among the jumble of multicolored fabric.

Other images show "The Castle," a former five-story office block in central London that is now a home for more than 100 squatters -- and a site for raves. Graffiti covers the walls, and party detritus is scattered across the floor where office workers once walked.

Another of Kern's photographs, taken in a squat in a former cabaret restaurant, shows a young man and woman, semi-clothed and hard at work to repair and alter their surroundings using cloth and wood.

For her project, Kern says, she used only a wide-angle lens to reflect the closeness of her subjects. "The use of natural light adds to a candid feel," she said, adding to the authenticity of the images.

"I visually tried to convey the very different vibes of the squats that became homes, according to both their residents and the nature of the occupied spaces. Especially for the squat that I stayed at, I focused largely on the communal lifestyle in order to convey a sense of home."

Far from encountering resistance as she ventured into people's intimate space, Kern says she made many friends. This was in part because she won people's trust by living among them -- but also because her project aimed to celebrate the positive aspects of their lifestyle rather than reinforce the negative stereotypes of squatters as wasters, tax dodgers or down-and-outs.

"My fellow squatters knew that I was a photographer documenting the squatting lifestyle, since I was always carrying my camera with me," she said.

"The squatters were very welcoming when I first met them, became my friends, hence the majority reacted positively towards me taking photographs."

Despite the privations that come with squatting in buildings that often have no electricity or running water, Kern says she would do it again -- although she wants to try out the many other alternative lifestyles out there first.

From her images and her words, it's clear she found her time in a squat an overwhelmingly rewarding experience.

"You may not have a shower, but you may gain the most amazing rooftop views," she writes. "You may have to share your room with seven other people, but you may share your happiest moments with them. You may have to move 10 times a year, but the diverse places and people you meet become an integral part of your journey through life, turning it into anything but ordinary."

Corinna Kern is a photojournalist and documentary photographer based in South Africa. She is on the Reportage by Getty Images Emerging Talent roster.

@highlight

Photographer Corinna Kern joined squatters in London to document their uncommon lifestyle

@highlight

Kern's images aim to challenge conventional beliefs of what makes a home

@highlight

All the squats Kern visited were in former commercial premises