(CNN) -- Military spouse Michelle Aikman has lived through five moves with her husband and their two young children. Currently living at Fairchild Air Force Base in Spokane, Washington, she has made each new town "home" for her family while her husband has served overseas during 13 deployments.

The moving boxes, the unfamiliar surroundings, the new schools, teachers and friends -- all are the norm for Aikman, her family, and thousands of military families across the nation. And so are the challenges facing military spouses like Aikman, who also pursue their own careers.

In honor of Military Family Appreciation Month and the homage we pay to our veterans this week, we would like to offer tribute to America's service members, their families and the myriad sacrifices they make for this country. The challenges they face are tremendous, which is why we are advancing solutions in the United States Congress to make life better for service members and their families.

Five years ago, as friends and colleagues, we reached across the aisle and joined to form the bipartisan Congressional Military Family Caucus. Its mission is to advocate for military families like Aikman's and draw attention to the challenges they face every day.

Over the years, the caucus, which has over 40 members, has reached out to the entire House of Representatives to address such issues as education, health care, combating stress from multiple deployments, mental health, and military spouse employment. We also educate military families on available resources and promote related legislation before the Congress.

Our caucus membership hails from coast to coast, and crosses political boundaries as well. Additionally, a corresponding Military Family Caucus has been formed in the Senate. Together, we work with first lady Michelle Obama and Dr. Jill Biden's "Joining Forces" project, as well as interface with numerous service organizations like the National Military Family Association, Blue Star Families, the Military Officer Association of America, the Wounded Warrior Project, and the Military Child Education Coalition to successfully support military families.

Both of us have personal experiences with military families. One of us married the daughter of a 20-year career U.S. Army veteran, and one of us married a retired 26-year career U.S. Navy officer.

Both our families have a deep understanding and connection to the struggles facing spouses and children coping with continual deployments and rotations. Through living these experiences and hearing their stories, we have garnered a deep appreciation for the tremendous responsibilities that military families like Aikman's take on every single day.

Aikman knew that life as a military spouse would bring its own unique set of challenges. She did not realize, however, that finding a specialized job in her profession would be nearly impossible as her family moved across the country.

Trained as an engineer, Aikman needed state-specific licensing in order to qualify for many positions -- meaning each time she moved, she needed to meet each state's experience standards. Eventually Aikman made the difficult decision to change career paths to provide for her family, and now works as a career consultant and draws attention to how difficult it can be for military spouses to find employment.

Aikman's challenge is not unique to her. Half of working military spouses need licensing or certification for their employment. Since almost 80% of military families have moved across state lines at least once in the past five years, it's no wonder military spouses have some of the highest unemployment rates in the country.

In Congress, we are working to better understand the trials military spouses like Aikman face. We recently offered an amendment to evaluate the Military Spouse Employment Program's progress in helping military spouses find jobs, which passed through the House this May. It is vital to better understand how the program is being used, who is using it and whether the jobs obtained match applicants' skill sets, education and experience, to address unemployment and underemployment for our military spouses.

In a political environment often stuck in gridlock, it is not often that you hear of Democrats and Republicans working together -- yet every year we host a Military Family Summit where we hear directly from military families in order to better understand their challenges. We also connect them with local employers, health care providers, support leaders and advocates. We listen, and we learn. We bring their voices back to Washington and share their stories with our colleagues.

These families have given so much and have gone through more than most of us can imagine, and so this Military Family Appreciation Month -- and every month -- we will be doing all that we can to stand behind them and honor their sacrifices, so they may in turn continue to keep America strong.

Join us on Facebook.com/CNNOpinion.

@highlight

House members put aside partisanship in support of military families

@highlight

Authors: Military spouses struggle with maintaining careers as families move

@highlight

They say state-specific licensing rules can make it extremely difficult for spouses' careers

@highlight

We owe military families as much support as we can give them, authors say