Tokyo (CNN)Japanese Crown Prince Naruhito celebrated his 55th birthday by weighing in on the current controversies swirling around Japan's wartime past.

At a news conference on February 23rd, Naruhito stated, "I myself did not experience the war... but I think that it is important today, when memories of the war are fading, to look back humbly on the past and correctly pass on the tragic experiences and history Japan pursued from the generation which experienced the war to those without direct knowledge."

His remarks might seem unobjectionable, but in the oblique and abstract lexicon of the Imperial Household Agency, he has fired shots across the bow of Prime Minister Shinzo Abe and his fellow revisionists.

The Imperial Household almost never strays into political affairs due to constitutional constraints, but Emperor Akihito has on occasion stretched his tether to its limits, and when he has done so it has always been to repudiate right-wingers who prefer to think they are acting in his name.

It appears that his son is letting it be known that the Imperial Household remains steadfast on the issue of war responsibility, following up his father's similar rebuke at the beginning of January.

Prince Naruhito's remarks were in response to a question regarding the 70th anniversary of the end of WWII in August this year, and comes amid feverish speculation about what Abe intends to include and exclude from his pending statement on that occasion.

So when the prince talks about the need for humility and correctness in assessing wartime Japan, and passing on the lessons of that tragedy to future generations, many Japanese understand his ineffable message calling on Abe to tread carefully.

It is for us pundits to say what he can't: "Humbly" means not glorifying this inglorious past, while "correctly" means not ignoring all the evidence of Japanese aggression and war crimes.

Future generations, in his view, deserve to understand all that went wrong instead of the chest-thumping, valorizing revisionist history favored by the reactionaries who hold political power in Japan.

Given Abe's woeful track record on history, this pointed reminder is useful and also demonstrates that Naruhito is ready to take on a bigger role when it is time to do so, and that he plans to continue Emperor Akihito's reconciliation activism.

Recently, tabloid conservatives questioned whether he was up to the job so this may be a riposte to his critics. The problem about interpreting the utterances of Japan's royals is that bureaucrats vet everything they say, and the wording of statements is intentionally ambiguous to provide plausible deniability.

The deliberately veiled vagueness, however, cannot disguise the symbolism of the royals expressing their unease about wartime history two months in a row precisely at a time when Abe is under intensified scrutiny. This unprecedented double rebuke is not a coincidence.

Ironically, they both obliquely censure military aggression during the reign of Emperor Hirohito, Naruhito's grandfather, while Abe frequently invokes his own grandfather, Nobusuke Kishi, as an inspiration.

This is jarring given that Kishi was a "Class A" war crimes suspect -- although never indicted or even tried -- for his record of mobilizing forced labor in Manchuria and prominent role as Minister of Munitions from 1941-45.

Abe recently appointed a committee of advisers to provide input on his 70th anniversary statement. Their views won't really matter, but it is politically useful that Abe is at least going through the motions of asking the opinion of other eminent people even though none of them is remotely likely to challenge his revisionist views.

The Japanese media is riveted by Abe's vacillating remarks regarding the content of the forthcoming statement because the implications are potentially explosive for regional relations. Beijing and Seoul will carefully scrutinize his words for any sign of backsliding on war responsibility and expressions of remorse.

Washington has also made it clear that Abe will undermine U.S. relations if he doesn't come clean on war guilt.

Abe thus faces tremendous international pressure to swallow his deeply felt views on the wartime issue, but domestic opinion is more divided.

Under Abe there has been a resurgence of jingoistic nationalism -- rightwing extremists have become emboldened, attacking the liberal press, threatening journalists and academics, and engaging in hate speech targeting Japan's ethnic Korean minority.

They have done so with virtual impunity. Abe's core constituencies are eager to see him redeem the unredeemable and members of reactionary groups such as Nippon Kaigi (dubbed Japan's Tea Party) and the Association of Shinto Shrines dominate his cabinet, and share his views on history and shaking off the shackles of the past.

In defiance of majority public opinion, they also support his security agenda of boosting defense cooperation with the U.S. and eliminating constitutional curbs on Japan's military forces.

The gathering forces of darkness apparent in Abe's Japan are troubling to the nation's friends and allies because they are incrementally eroding the foundations of liberal democracy.

Against this backdrop, Japan's besieged liberals welcome the moral support given by Emperor Akihito and Crown Prince Naruhito. But will the royal reproaches matter?

Since the 1995 Murayama Statement commemorating the 50th anniversary of WWII's end, all Japanese leaders have dutifully repeated then-Prime Minister Tomiichi Murayama's heartfelt apology and expression of remorse. This statement has thus become a benchmark against which the Abe Statement will be judged.

Murayama, 89, recently reassured South Korean leaders that Abe would uphold his statement, but doubts linger because Abe has been evasive and waffling about what he plans to say. He has said he will generally uphold the statement, but this provides room for caveats and ellipses.

It is precisely his disputing of the historical details that lands Abe in hot water as he questions what the term aggression means, quibbles about the level of coercion used in recruiting comfort women and in January expressed outrage about what he deems inaccurate accounts of the comfort women in a U.S. history textbook.

The Imperial Household understands that Abe risks undermining Japan's dignity and isolating it from neighbors and allies. By expressing their concerns about war memory, both royals seek to steer Japan back onto the course of reconciliation and a brighter future.

In doing so they provide political cover for Abe to disappoint his jingoistic supporters and make the right call on the past.

@highlight

Japan's crown prince urges subjects to "look back humbly on the past and correctly pass on the tragic experiences and history" of WWII

@highlight

Comments have been taken as a rebuke to Prime Minister Shinzo Abe, often seen as a revisionist

@highlight

Abe will soon make a statement regarding the Second World War's 70th anniversary

@highlight

Anything but conciliatory language in Abe's statement could be potentially explosive for regional relations