(CNN) -- A proposed new ".africa" internet domain name will provide a stronger brand identity than current little known country domains, while preventing registration revenues flowing abroad, say backers.

DotConnectAfrica, a non-profit organization registered in Mauritius, is one of the groups vying to establish and operate the dot africa name space for businesses and individuals across the continent.

The opportunity has arisen since the Internet Corporation for Names and Numbers (ICANN), the body which manages internet domain names, voted earlier this year to allow new varieties of top-level domains -- the suffix of an internet address.

ICANN will be accepting applications for new generic top-level domains, or gTLDs, between January and April next year, with successful applications expected to be operational by 2013.

Two other groups -- the African Top-Level Domains Association and the African Registry Consortium -- have also expressed an interest in applying to operate ".africa", while the African Union has said it plans to endorse a group to apply for the rights to operate the domain on its behalf.

The African Union Commission also plans to apply to ICANN to operate the ".africa" domain, along with the French and Arabic alternatives ".afrique" and ".afriqia". It is currently running an open tender process for technical organizations to operate the domains on its behalf, which will be included in the AUC's application to ICANN.

DotConnectAfrica executive director Sophia Bekele said that the suffixes for individual African countries -- country code top-level domains, or ccTLDs -- had generally proven unpopular during the decade or so of their existence.

Research by her company suggested 80% of African domain name registrants had opted for ".com" or ".org" suffixes instead, which were price competitive, reliable to register and had wide recognition.

By contrast, the ccTLDs were little known, as they were "usually owned by governments, and governments are typically not very good at marketing," she said.

Moctar Yedaly, head of information society for the African Union Commission, said the commission's vision for the .africa domain went beyond the commercial.

"It may well be a very good business in terms of money generating. If it may generate some revenue we can use for the development of ICT in Africa, then that is all very good, but that's not my primary goal," he said. "My primary goal is to ensure the identity of Africa, the image, the culture are well-maintained."

The .africa domain represented all Africans in the same way as the African Union flag, and its dignity needed to be protected. "I wouldn't like to see '.africa' used for something pornographic," he said.

It should operate in the "interests of the community", rather than the interests of individuals in the private sector. "This is for Africa, and Africa is 54 states."

Bekele said that in campaigning to build support for DotConnectAfrica's proposal, the group had encountered a strong response from youth and from business for the notion of a pan-African online identity. More than 3,600 prospective registrants had expressed interest by "pre-registering" with DotConnectAfrica.

She said young developers involved in creating local content felt a stronger affinity with a potential ".africa" suffix than to ".com" domains, while it also appealed to corporates, who would be able to unify their presence across the continent under a single online brand.

John Kariuki is the founder and CEO of AAR Credit Services, a Kenyan-based micro-finance company. The company also operates in Uganda and Tanzania, where it is looking to expand its operations, but currently uses a Kenyan "co.ke" suffix.

"For companies looking to expand throughout Africa, it's a good way of creating a brand identity," he said of the potential domain. "What really appeals to us is expressing that African identity. Sometimes you don't really know where these companies are from."

Bekele said that if her group was successful in its application to establish and operate the domain, it would look offer domains at prices competitive to ".com" registrations -- $5 for students, or between $9 to $19 for small- to medium-enterprises.

A major benefit of the ".africa" domain would be that proceeds from African domain registrations would remain on the continent, rather than flowing offshore. DotConnectAfrica says it plans to reinvest surpluses into developing the African internet sector.

She said there was concern from governments that a ".africa" domain could jeopardize the existing ccTLDs.

"But I can assure you, if there is no '.africa', I don't think there will be any more uptake of the ccTLDs," she said.

However, not everyone is as optimistic about the potential impact of the new generic top-level domains. Ray Valdes, vice-president of web services for tech consultancy Gartner, said that because the new wave of gTLDs went "against the grain of current consumer trends", his company expected most of them to fall short of their goals.

To be successful, the new gTLDs would require a change in consumer behavior, plus a change in how search engines index the internet.

Users would have to type unfamiliar text strings into the address bar of the their browser, at a time when consumers were increasingly relying on search engines and social media to navigate the internet.

He said that given the $185,000 price tag to apply for the new gTLDs, most organizations would be better served by investing in creating faster, more usable sites that are more easily indexed by search engines, and broadening the social media presence of their organization.

However, he did expect a handful of regional-based gTLDs like ".africa" to be successful, depending on how well they were operated and how consumers responded.

ICANN will not make a decision on control of the domain until after the application closes in April next year.

@highlight

A number of groups are vying for the right to operate the ".africa" internet domain

@highlight

There is strong demand for a pan-African online identity, says one

@highlight

It says individual country suffixes, or ccTLDs, have proven unpopular in Africa