(CNN) -- A U.S. official ridiculed as "another blatant lie" a Syrian government report Thursday asserting that terrorists -- not security forces -- massacred civilians in Houla.

Last weekend's massacre, which left more than 100 people dead, sparked outrage across the globe and prompted calls for action against the regime of Bashar al-Assad.

But Syria attributed the latest violence to "armed terrorist groups," the vague entities that the regime has blamed all along for widespread violence against civilians during the nearly 15 months of unrest.

"The goal of the armed operation was to completely terminate the presence of the state in the area and to make it one that is out of the control of the state," Qasim Jamal Sleiman, head of the investigative panel, said in televised remarks.

"All of the martyrs are from peaceful families who refused to stand against the state and have never demonstrated or carried weapons against the state. They were in disagreement with the armed terrorist groups, which confirms that there was a goal and an interest to kill them."

The U.S. ambassador to the United Nations, Susan Rice, called the Syrian account "another blatant lie" and said there's no "factual evidence" to "substantiate that rendition of events." She said the U.N. Human Rights Council in Geneva, Switzerland, could soon embark on an effort to establish facts in the case and hold people accountable.

U.S. Defense Secretary Leon Panetta said the international community needs to ensure al-Assad steps down.

"There is no question that we are very concerned about the atrocities that are taking place in Syria," he said. "Just makes clear how important it is to remove Assad from power and to try to implement the necessary political reforms that are necessary in that country."

The Syrian government investigation said 600 to 800 armed people gathered after Friday prayers at two primary locations and committed the crimes. Sleiman said firearms shot from a close distance and sharp objects were used, but there was no shelling.

"The place where the massacre was committed is an area where armed terrorist groups are present," Sleiman said. "The security forces did not enter the area before or after the massacre and the area is far from the checkpoints where the security forces are positioned."

But he said security forces "defended themselves against the armed terrorist groups."

Some of the attackers hailed from the Houla area, investigators said. "Also, some of the bodies that were shown as part of the massacre are bodies of armed individuals who were killed during their attack on the security forces and they are not from the town."

Politicians across the world, opposition leaders and Syrian citizens blame the regime, citing witness accounts that pro-government forces were responsible for the Houla bloodshed. They say government forces have been responsible for violence in Syria since March 2011.

The massacre spurred diplomatic action this week. The United States, Netherlands, Australia, Britain, France, Germany, Italy, Japan, Spain, Bulgaria, Turkey and Canada announced that they are expelling Syrian diplomats.

Rice has said the massacre was carried out by Shabiha militias or local gangs acting on behalf of the regime.

Survivors told Human Rights Watch that the army shelled the area and "armed men, dressed in military clothes, attacked homes on the outskirts of town and executed entire families."

A network of Syrian opposition activists, the Local Coordination Committees of Syria, blamed "armed militias" of the Syrian government.

"This barbaric act was preceded by the regime's mortar shelling in the town," the LCC said in a statement. "The campaign ended when the armed militias slaughtered entire families in cold blood."

Sectarian tensions have been high in Houla, which is overwhelmingly Sunni and is surrounded by Alawite and Shiite villages. The regime is dominated by Alawites.

The government report came as U.S. Secretary of State Hillary Clinton ramped up pressure Thursday on Russia, saying the Kremlin has been an obstacle to peace in Syria.

"I think they are, in effect, propping up the regime at a time when we should be working for transition," Clinton told reporters in Denmark.

The United States and Russia have been looking for solutions to the 15 months of persistent violence. Estimates of the number of dead range from 9,000 to more than 14,000.

The United States is focused on supporting U.N. and Arab League envoy Kofi Annan's six-point peace plan. The administration is hoping Russia can persuade Syrian President Bashar al-Assad to adhere to the plan and keep the country from deteriorating into more warfare.

The Syrian regime said it supported the Annan plan, which includes a cease-fire. But so far, according to the secretary of state, the Syrian regime has failed to abide by the initiative.

"The Russians keep telling us they want to do everything they can to avoid a civil war because they believe the violence will be catastrophic" and they have likened the situation to the "equivalent of a very large Lebanese civil war," Clinton said.

"They're just vociferous in their claim that they are providing a stabilizing influence," she said. "I reject that."

Clinton urged leaders in Syrian society and the military to use their influence to avoid a full-blown civil war. She said countries like the United States and Denmark are "appalled" by the violence and want "to win over those who still support the regime inside and outside of Syria to see what options are available to us."

"We're also aware that there is still a fear among many elements of the Syrian society and the Syrian government, that as bad as the Assad regime is, it could get worse," she said. "And we therefore continue to call upon the business leadership, the religious leadership, the military leadership, those voices within the government that know what is going on is leading to the very outcome they fear most -- which is a sectarian civil war -- to stand up now and call a halt to further support for this regime."

Merchants in Aleppo shut their stores to register their disgust with Houla on Thursday, echoing the same angry gestures that were made last Monday in the historic Hamidiyeh Bazaar in downtown Damascus.

"We carry the responsibility for continuing to work while people are dying," said an Aleppo store-owner who asked to only be named Abu Karim, in a phone interview with CNN. "That is our shame," he said.

U.N. Secretary-General Ban Ki-moon referenced the Houla incident on Thursday in Istanbul, Turkey, saying "the massacre of civilians of the sort seen last weekend could plunge Syria into a catastrophic civil war -- a civil war from which the country would never recover."

"I demand that the government of Syria act on its commitments under the Annan peace plan," he said. "A united international community demands that the Syrian government act on its responsibilities to its people."

Britain's U.N. Ambassador, Mark Lyall Grant, said Thursday that he was not prepared to pull the plug on the peace plan. "Clearly it is on life support but it isn't dead, yet," he told CNNI's Christiane Amanpour.

"We are directing all our efforts into trying to make it work," he said. "But I think to make it work we're going to need to increase the international pressure on the Syrian regime."

Grant praised the role U.N. observers played in bringing that incident to light: "To be honest, we would not know exactly what had happened in Houla had it not been for the observers able to go there, to demonstrate that there had been tank tracks, that there had been use of heavy artillery, that there had been a massacre by the Syrian regime," he said.

"Otherwise, people would give some credence to this report that the Syrian government has come out with today claiming that it was nothing to do with them. We know that's a tissue of lies partly because the U.N. observers are able to say so."

Russia and China have been more receptive to the Syrian government during the crisis, and have blocked tough action against the al-Assad regime in the U.N. Security Council.

Russian Foreign Minister Sergey Lavrov said this week that "certain countries" were attempting to use the Houla massacre as a "pretext" for a military operation against al-Assad's forces, which have been partly armed by Russia, Russia's RIA Novosti reported.

Lavrov also accused the head of the opposition Syrian National Council of attempting to "incite a civil war." The government also said proposals by Western powers to arm rebels would "prolong the conflict."

Since the conflict began, the government has blamed the violence against civilians on armed terrorist groups. But opposition groups and citizens have blamed the government.

Violence continued in Syria Thursday, with at least 61 people killed in the country, the LCC said. Syrian forces shelled Houla again early in the day, and 29 people were killed in Homs alone, it said.

CNN cannot confirm death tolls or reports of violence from Syria because the government limits access to the country by foreign journalists.

Syrian opposition fighters issued the government a Friday afternoon deadline to cease fire, pull out troops from residential areas and allow humanitarian aid.

The Free Syrian Army, mainly comprised of military defectors, said it would stop adhering to the Annan plan if the government doesn't begin to adhere to it by then.

"Our national, moral and humanitarian duty make it necessary for us to defend and protect our civilians and their cities, towns, blood and dignity," the group said in a statement.

The ultimatum lists a series of demands in a peace plan implemented last month and brokered by Annan.

"Immediately halting gunfire and all violence, pulling out all the troops, tanks and machinery from residential areas, allowing humanitarian aid to reach all stricken areas, releasing all prisoners and allowing media access," said Col. Qasim Saad Eddine, the group's spokesman.

Eddine also called for the freedom to demonstrate, an end to attacks on U.N. monitors and a dialogue on power handover.

Meanwhile, Syrian authorities freed 500 prisoners arrested for their alleged involvement in the uprising, state TV reported Thursday.

CNN's Amir Ahmed, Faith Karimi, Ivan Watson, Yesim Comert, Omar al Muqdad, and Joe Sterling contributed to this report.

@highlight

U.N. Ambassador Susan Rice calls Syrian account "another blatant lie"

@highlight

At least 50 people have died in Syria on Thursday, an opposition group says

@highlight

Aleppo merchants close shops in protest of Houla

@highlight

The regime says terrorists committed the Houla killings