(CNN) -- Unlike their Western counterparts, Africans take elections very seriously -- rising up early to queue patiently in line for hours under the hot sun and cast their ballots. Any misguided attempt to nullify or steal their votes will evoke a strong reaction from them. In fact, it explains why the destruction of an African country often begins with a dispute over the electoral process or transfer of power.

In recent years, allegations of electoral fraud have stirred political violence and civil war, causing death and destruction in Ethiopia (2005), Kenya (2007), Zimbabwe (2008), DR Congo (2011), among others.

The adamant refusal of their respective leaders to relinquish or share power damaged or destroyed these African countries: Liberia (1990), Somalia (1991), Rwanda (1994), Zaire, now Congo DR, (1993), Sierra Leone (1998), Ivory Coast (2000, 2011), Egypt (2011), Libya (2011).

This largely motivated Mo Ibrahim, the telecoms billionaire mogul, to offer a $5 million prize to any African leader who shows "excellent leadership" and who steps down peacefully when his term expires or loses an election. This year -- and for the third time since the inception of the prize in 2006 -- he found no eligible recipient.

Read related: Can Ghana's economy prosper against the odds?

Though none of its leaders has won the prize, Ghana has successfully held elections and transferred power on five occasions since 1992 without imploding -- unlike its Western neighbor, Ivory Coast.

What are the secrets to Ghana's democratic success or maturity that other African countries can learn from?

Four factors account for this. The first is the existence of a free media; in particular, print and broadcast media.

In Africa, radio is the life and death of information transmission and the proliferation of FM radio stations in Ghana provided an invaluable tool to expose problems, hold government accountable and ensure transparent elections. In the 2000 elections, for example, FM Radio stations sent their reporters to every polling station. Anything suspicious or unseemly was immediately reported on the air, leading electoral officers and observers to rush to the scene and fix the problem on the spot.

Watch: Media's role in Ghanaian politics

They did not have to wait months for a voluminous report to expose the problem, by which time it would have been too late. Thus, the FM Radio stations ensured a level of transparency seldom seen in African elections. So impressed was New York Times columnist Thomas Friedman, that he wrote: "Let's stop sending Africa lectures on democracy. Let's instead make all aid, all IMF-World Bank loans, all debt relief conditional on African governments permitting free FM radio stations. Africans will do the rest," he wrote.

Sadly, Africans have not been able to do the rest because, currently, only 10 of the 54 African countries have a free media. In Ethiopia, for example, there is only one government-controlled television network for 83 million people.

The second factor has been the existence of vibrant and vigilant civil society groups and NGOs -- all made possible by freedom of association, of expression and movement, as well as improvements in communication technology such as cell phones and text messaging. There are hordes of NGOs -- promoting a diverse range of issues such as good governance combating corruption, among others. Some have been formed specifically to oversee the December 7 elections.

One with impressive credentials is the Institute of Economic Affairs (IEA), which organized the presidential debates. The IEA also facilitated the crafting of a "Political Parties Code of Conduct" and the setting up of a National Enforcement Body to enforce the code. Eight parties have signed on. The code ensures that the political parties behave responsibly and can be held liable for any unlawful or unethical acts they commit.

Nearly all civil society groups, including religious leaders have been preaching peaceful elections. Even former president Jerry Rawlings, the architect of "macho-men" violence in the past, is now campaigning -- not for any political party candidate -- but for peace.

Read related: Ghana farmers lose out in gold mining boom

To this group may be added Ghanaians in the diaspora, who have a passionate interest in the affairs of their home country. Last year, they reportedly sent more than $14.5 billion in remittances. They can shape and influence political opinion, as well as support various political candidates. With access to the foreign media, governments and institutions, they can raise a stink over electoral shenanigans in Ghana.

In most other African countries, the space for civic activism is severely restricted. In Ethiopia, journalists critical of the government have been branded "terrorists" and jailed.

There is no privately-owned news media left in Eritrea, the "North Korea" of Africa, and one can be jailed in Zimbabwe for insulting the president.

By contrast, Ghanaian presidents expect to be insulted.

The third important factor has been the maturing of political leaders, which was stupendously displayed in the 2008 elections, which the ruling NDC party won by a mere 40,000-vote margin. Elsewhere on the continent, an election that close would have spelled trouble -- angry calls for a recount and descent into violence. But Nana Akuffo-Addo, the losing candidate and now a contender, graciously conceded defeat.

Having hosted refugees fleeing political violence and mayhem in neighboring countries, Ghanaian politicians and the people are now well aware of the destructive consequences an irresponsible political decision may cause.

Political maturity was also on full display following the death of former president John Atta-Mills in July. Not only was the transition to a new president extraordinarily smooth but Ghanaians of all shades and stripes, buried their differences and came together to grieve over their departed president. A violent and chaotic election this week would dishonor his memory.

A nod should also be given to regional leaders, in particular those of Ghana's neighbors. Borders are porous in Africa and violence in one country can send refugees streaming across the border.

Ghana has hosted refugees from civil wars in Liberia and Ivory Coast. In the past, regional leaders have also helped ensure free, fair and transparent elections in Ghana. For example, for the 2000 elections, the former and late president of Togo, Gnassingbe Eyadema, closed the Ghana/Togo border to prevent some of his citizens from crossing it to vote illegally in Ghana's elections.

The fourth factor has been sheer luck. Ghana was fortunate to have one of its sons, Kofi Annan, serve as the United Nations Secretary-General (1997-2006) and co-recipient of the Nobel Peace Prize.

During his tenure, he hop-scotched around the world, trying to end conflicts, douse political flames. He is the first on call when a country implodes to broker a peace deal -- Kenya (2007), Syria (2011), etc. Imagine Annan telling combatants in Kenya and Syria to bury their differences when his own country is on fire with politicians at each other's throat. Kofi Annan has an NGO in Accra and plays an important role in ensuring peaceful elections in Ghana.

Though other African countries may not have a "Kofi Annan," the other three factors are still potent in ensuring free, fair and peaceful elections.

Alarm bells have been sounded over the possibility of massive fraud in the December 7 elections. But, given the current atmosphere in Ghana, it would be foolhardy for any politician to even dream of committing fraud in Friday's elections -- unless he wants to commit political suicide.

The opinions expressed in this commentary are solely those of George Ayittey.

@highlight

Ghana heads to the polls on December 7

@highlight

It has successfully held elections and transferred power on five occasions since 1992

@highlight

George Ayittey: Free media, civil groups, are secrets of the country's success

@highlight

These factors can ensure free, fair and peaceful elections across Africa, he says