Denver, Colorado (CNN) -- When the sun dips below the Rocky Mountains and the streets of Denver go dark, Lokki, his girlfriend Magic and their friend Tripp head home.

They climb in between the rafters of a highway overpass, crouching as they sit under the concrete structure that rumbles with every car that crosses overhead.

It is where they will sleep tonight. It is where they say they can live safely after escaping from abusive homes.

"It's pretty hard," says Magic, 18, when asked about living on the streets. "But most of the time it's just life, you know. Life's not going to be easy."

She refuses to talk about what caused her to leave home.

Her boyfriend Lokki has a different outlook: He says he enjoys the fun and freedom of life on the streets.

"I don't really have to worry about anything," says Lokki, 20. "I get some food and kick back with the homies."

Out of the three friends, Tripp seems to be the most concerned about the future. He says he began living on the streets two years ago, after escaping a violent relationship with his stepfather.

"If I defended myself against him, I always got looked at badly," he said. "So when I turned 18, I left."

He stops talking as he watches a homeless man walk by.

"I'd hate to think that's the way I'm going," says Tripp. "That I'm going to end up being 40 years old and on the streets."

Getting off the streets is a daunting challenge for these young adults and others like them, who have no address, no job, very little education, and many times drug addictions and mental health issues.

"We see a lot of kids really since age of 7 or 8 [who] haven't had any real roots to call their own," according to Tom Manning, spokesman for Covenant House, which helps those who are young and homeless. "Those are the 18-year-olds who [have] very limited education and really need to start from square one."

Manning, who has worked with homeless youths for 20 years, said a key goal is reaching these young adults before they "disappear into the streets."

"It sounds like a movie, but it's true: Pimps and traffickers, they spot these kids and go after them," Manning said. "If we don't get to them, many will end up on drugs or in prison."

The youths can be helped, he said, if they can learn to establish healthy relationships with others.

"It's a trust issue: Most of these kids have been abused and taken advantage of by every adult they've met," Manning said.

Trust is at the heart of the family that Lokki has created for a small group of his friends living on the streets of Denver.

They call themselves "Juggalos" -- the name for fans of the rap group Insane Clown Posse. But now, the name has a  more important meaning.

"Juggalos started as a family for people who feel like they don't have family," Lokki explained. "Other people see it as a gang, but we just look out for each other any way we can."

They mostly hang out, swimming in the Platte River or -- if they manage to panhandle a few dollars -- buying beer or marijuana.

Most days, they eat lunch at Sox Place, which was set up in 2002 by Doyle "Sox" Robinson.  He got his street name after spending a year handing out clean socks to street kids.

Every day, about 100 young people come by to eat lunch, use the computers, watch movies and also pick up a fresh pair of socks.

"They are just like any other kids out there, they have the same struggles, the same issues," Doyle said. "They still want love, they want acceptance, they want protections, they want rules, they want to be held accountable."

Robinson said his goal is simply to provide a stable place where they can be loved for who they are.

"I don't try to change them," he said. "If they want to change, we're here for them.  If they don't want to change, we're still going to love them."

Robinson, 55, says his Christian faith motivates him to help these kids, although he doesn't try to push religion on anyone at Sox Place.  He says he lies awake at night after hearing their stories of abuse and neglect.

"It shakes my faith in people," he said.  "How can we allow this to happen in our own country?"

Read more about Robinson's perspective on faith

The Obama administration recently unveiled a plan to end homelessness in the United States over the next decade.  The U.S. Interagency Council on Homelessness will "harness public and private resources to build on the innovations that have been demonstrated at the local level nationwide," according to council chairman Shaun Donavan.

Robinson is skeptical about whether the government can adequately address the root causes of homelessness.

"We need less government and more grass roots," he said.  "We need taxes not to go to renovating parks, but renovating lives."

All the government can really do is put a roof over someone's head, he said.  And that doesn't necessarily constitute a "home."

"They don't have a home, the sense of family," Robinson said.  "All we're doing is pushing them to the sides, we're not dealing with the real issues."

Belle wandered into Sox Place one afternoon in June, a pretty young woman with an air of confidence that contrasts with the cuts across her cheek and the brace on her knee, injuries she said were inflicted by her pimp.

"People think it's a choice to be on the streets, but it's never a choice," said Belle, 18.

She said she has been sexually abused since she was 6 years old and was in and out of foster care until recently.

Now, she is living in a camp with other homeless kids, hiding from her pimp.

"Yeah, it's not a house, but a house isn't everything," she said.  "Family. Love. Friends. This is my family. All I ever wanted was a family."

She wants to go to college to study psychology and help other street kids, but she knows the odds are against her.

"I don't have the building blocks to get up in life, to be able to do what I need to do, because I never learned it," she said.  "I have to learn that on my own."

The odds were against Liz Martinez, who left home at age 12 and eventually became a member of the Juggalos.

"They were better than my own biological family," said Martinez, who is now 21. "They didn't put their hands on me, they fed me, they kept me safe, they cared about how I felt."

After nearly a decade on the streets, she has just gotten her first apartment with her boyfriend and is looking forward to a more stable future for her 5-month-old daughter.

"I have almost $1,000 saved up from selling plasma and doing day labor, and hopefully in the next month and a half to three months, I'll have my GED," she said.

Martinez has drawn strength from living on the streets, and she thinks others can do the same:

"If you can survive off of living on the street and sleeping on cold concrete or behind a Dumpster when it's snowing, you know you have the strength to do just about anything."

@highlight

Hundreds of homeless teens and young adults live in Denver, Colorado

@highlight

Many fled abusive families or foster parents

@highlight

Doyle "Sox" Robinson has opened a drop-in center for homeless youths

@highlight

"They are just like any other kids out there," Robinson says