(CNN) -- U.S. Sen. Chuck Grassley, R-Iowa, is asking the National Highway Transportation Safety Administration to look into additional questions about unintended acceleration of Toyota cars.

Citing unidentified whistle-blowers critical of "too narrow" federal investigations, the ranking member of the Senate Judiciary Committee asked the NHTSA in a letter to look into the phenomenon of "tin whiskers" -- or crystalline structures of tin -- that theoretically could lead to the unintended acceleration.

The whistle-blowers also provided Grassley with documentation about the investigations by NHTSA and NASA into the Toyota vehicles, including one NASA report that stated: "Because proof that the (electronic throttle-control systems) caused the reported (unintended accelerations) was not found does not mean it could not occur."

Grassley's letter to the safety agency's administrator, David Strickland, asks the agency to provide the committee with all information relating to tin whisker testing and for the agency's position on tin whiskers' possibly causing the unintended acceleration.

Strickland and his agency didn't immediately respond Thursday to a CNN request for a comment.

A Toyota spokesman told CNN Thursday that "so-called 'tin whiskers' are not a new phenomenon and do not represent a mysterious or undetectable problem in a vehicle's electronics."

Last year, a federal investigation into possible causes of the unintended acceleration in Toyota cars found no fault with the automaker's electronic throttle-control systems, the Department of Transportation said. So far there are three known causes of unintended acceleration in Toyota vehicles: improperly installed floor mats, sticky pedals and driver error.

Toyota spokesman Brian Lyons said Thursday that "all the scientific evidence" confirms there's no problem with the electronic throttle-control systems in Toyota vehicles.

"Indeed, no data indicates that tin whiskers are more prone to occur in Toyota vehicles than any other vehicle in the marketplace," Lyons said in an e-mail to CNN.

"Further, no one has ever found a single real-world example of tin whiskers causing an unintended acceleration event, nor have they put forth any evidence of unintended acceleration occurring in a Toyota vehicle because of tin whiskers forming inside an accelerator pedal position sensor," Lyons said.

"Toyota's systems are designed to reduce the risk that tin whiskers will form in the first place and multiple robust fail-safe systems are in place to counter any effects on the operation of our vehicles in the highly unlikely event that they do form and connect to adjacent circuitry," Lyons said.

In Grassley's letter dated July 12 and released publicly Thursday, the senator asks Strickland why his agency relied on NASA engineers and whether the agency lacks "the sufficient expertise to conduct such investigations and why."

Said Grassley in the letter: "This is a serious issue. From 2000 to 2010, NASA concluded there were 9,698 identified UA (unintended acceleration) customer complaints and NHTSA concedes that this is likely only a fraction of the actual incidents of UA: 'NHTSA assumes that not all incidents are reported and that, accordingly, each complaint represents a greater number of unreported real-world failures.'"

Grassley asks the agency how many of the 9,698 vehicles were inspected for tin whiskers.

In March, CNN reported that Toyota engineers found an electronic software problem that caused "sudden unintended acceleration" in a test vehicle during pre-production trials, according to a company engineering document obtained by and translated for CNN.

The 2006 document, marked "confidential," recounted the results of an adaptive cruise-control software test in a model internally designated the 250L, a vehicle later sold as the Lexus 460 in Japan and Europe. The document says a "fail-safe overhaul" would be needed for another model in production, internally designated the 180L, which the company says was later sold as a Toyota Tundra.

In response, Toyota asserted that the document shows no such thing, and the company continues to deny that any sudden unintended acceleration in any of its vehicles was caused by electronic systems.

The Japanese-language document said that Toyota engineers recorded a "sudden unintended acceleration" in the 250L's adaptive cruise control, which was designed to slow the vehicle if sensors detected an object ahead and accelerate the vehicle when the obstacle clears, according to a Tokyo-based translation house with expertise in automotive and technical matters that CNN retained to independently translate the document.

Toyota insisted the translation was inaccurate. Despite multiple requests, the company didn't provide its own translation of the document.

Neither the test vehicle nor the adaptive cruise-control system cited in the document has been sold in the United States, Toyota said.

Grassley set a July 26 deadline for the NHTSA to respond to his eight sets of questions.

CNN's David Fitzpatrick contributed to this report.

@highlight

Sen. Chuck Grassley, R-Iowa, received documents from whistle-blowers

@highlight

Grassley is the ranking member of the Senate Judiciary Committee

@highlight

Questions bear upon "tin whiskers" possibly causing the acceleration

@highlight

Toyota says "tin whiskers" don't "represent a mysterious ... problem"