Washington (CNN) -- A custody battle involving the "best interests" of a 3-year-old Cherokee girl was taken up by the U.S. Supreme Court on Tuesday, an issue spanning the rights of adoptive parents and the desire to preserve Native American families within tribes.

Oral arguments played out in emotional terms, with Justice Anthony Kennedy admitting "domestic relations pose the hardest problems for judges. ... If we could appoint King Solomon, who was the first domestic relations judge, as a special master, we would do it. But we can't."

Several parties have a stake in what happens to this girl: Her biological mother and father, the adoptive parents, the federal government, the Oklahoma-based tribe, and a legal guardian appointed by the state to represent the child's interests.

The appeal was filed by Matt and Melanie Capobianco, who legally adopted Veronica in 2009, shortly after the birth mother agreed to give up the child.

The South Carolina Supreme Court in July ruled for the biological father, Dusten Brown, who had sought custody after the child's birth. He is a registered member of the Cherokee Nation and is raising the child in Oklahoma.

Brown had earlier signed a legal document agreeing to put the girl up for adoption, but his attorneys say he did not understand the extent of the waiver, and that the birth mother misrepresented the child's American Indian heritage to social service workers when the adoption was finalized.

At issue is whether Brown, as the onetime non-custodial father, can gain parental custody, after the non-Indian mother initiated an adoption outside the tribe.

A special congressional law governs such interstate adoptions, since the current 556 federally recognized-tribes all fall under Interior Department oversight, giving those tribes certain unique benefits and rights.

The Capobiancos lawyers say federal law does not define an unwed biological father as a "parent."

While a thin majority may conclude Brown deserves custody, the high court was clearly torn by the conflicting applications of state and federal law.

"If the choice is between a mother, a biological father, or a stranger, and if the father's fit," asked Justice Sonia Sotomayor, "why do you think that the federal statute requires that it be given to a stranger rather than to the biological father when the statute defines 'parent' as the biological father?"

But Chief Justice John Roberts questioned the assertion Brown was initially enthused about becoming a father.

"There is no doubt he paid nothing during the pregnancy and nothing at the time of the birth, to support the child or the mother," he said. "So he was excited by it; he just didn't want to take any responsibility."

The federal law in question is the Indian Child Welfare Act of 1978, a response to decades of often abusive social service practices that resulted in the separation of large numbers of native youngsters from their families, in many cases to non-Indian homes.

The legislation was designed to "promote the stability and security of Indian tribes and Indian families by the establishment of minimum federal standards to prevent the arbitrary removal of Indian children from their families and tribes and to ensure that measures which prevent the breakup of Indian families are followed in child custody proceedings."

Brown's relationship within the "federally recognized government" of the Cherokee Nation means Veronica is a member of the tribe and subject to its jurisdiction.

"It's not anyone's intent ever to rip a child away from a loving home," said Todd Hembree, the Tahlequah, Oklahoma-based tribe's attorney general. "But we want to make sure those loving homes have the opportunity to be Indian homes first."

As with many custody fights, there is wide factual disagreement over the circumstances of both the couple's breakup and subsequent adoption of the child. Opposing sides even disagree on what legal issues the high court should address.

The Capobiancos think the issue should be about whether the ICWA law can improperly block adoption proceedings voluntarily initiated by a non-Indian mother who had sole custody of her child, due to what the adoptive parents say is the Indian father's failure to establish a legal parent-child relationship under state law.

But Brown argues that he successfully established paternity under state law, and qualifies as a "parent" under the ICWA, thereby giving him proper control and custody of his daughter.

He said in legal papers that the child was conceived when the couple was engaged. But he claims that the biological mother, who claims Hispanic heritage, broke off the now-strained relationship by text message.

He agreed to relinquish his parental rights in exchange for not paying child support, but said the mother never indicated she intended unilaterally to give the child up for adoption.

And Brown claims the biological mother tried to "conceal" his Indian heritage during the adoption process with the Capobiancos, who live in Charleston, South Carolina.

Establishing such heritage would normally make it very difficult for the Cherokee Nation and state social services to agree to any non-Indian adoption and removal from the state. On the flip side, without that designation, state law would have made it hard for Brown to get custody.

By this time, Brown went to Iraq on a one-year deployment in the U.S. Army, making it hard to press his custody claims.

Veronica lived with the Capobiancos for two years before the high court in South Carolina ruled for the father. Brown took his daughter back to Bartlesville, Oklahoma, on New Year's Eve 2011.

The state's top court that ruled in his favor said Brown had "a deeply embedded relationship" with his American Indian heritage, in which Veronica will be raised.

But the Capobiancos point to another part of the state court's conclusion: That despite a ruling against them, they were "ideal parents who have exhibited the ability to provide a loving family environment." That court said its hands were tied, and that federal law trumped state law.

"Our lives have been turned upside down and our home is empty with her," Melanie Capobianco told CNN last month. "What would any parent feel like if their child had been removed out of their home abruptly and with no contact whatsoever? It's unbearable."

In arguments, attorney Lisa Blatt representing the Capobiancos, warned a ruling against her clients would discourage interracial adoption.

"You are relegating adopted parents to go to the back of the bus and wait in line if they want to adopt" a native American child, she said. "And you're basically relegating the child to a piece of property with a sign that says, 'Indian-- keep off. Do not disturb."

Blatt said the father's initial agreement to give up his parental rights meant he forfeited any subsequent efforts to establish custody, when the child was already in a happy, stable home environment.

But several justices questioned her assertion the law's intent to protect against the "breakup of the Indian family" did not apply to a man whose only initial relationship to the girl was one of biology.

"It seems to me he's the father, the other woman's the mother, that's the Indian family" protected under the federal law, said Justice Antonin Scalia. "The father, the mother, and the kid."

Brown's attorney Charles Rothfeld later said state courts made a thorough best interest determination.

Yet some on the bench noted the girl and her biological father were listed in legal documents as being less than 1 percent Cherokee.

"Is it one drop of [Indian] blood that triggers all these extraordinary rights?" asked Roberts.

The Obama administration is supporting the birth father and the continued use of the ICWA law.

As a single mother with two other young children, the biological mother felt she had no choice but to give her daughter up for adoption, said a legal brief filed by her lawyers. They say she complied with the adoption laws in both states and with the tribe.

The couple also says they long wanted to be parents and had seven unsuccessful attempts at in vitro fertilization. She is a child developmental psychologist and he is an automotive body technician.

They were in the room when Veronica was born, and had an "open" adoption, meaning the biological mother could and did maintain a relationship with Veronica.

Both the Capobiancos and Brown attend the court arguments Tuesday but did not acknowledge the other.

Brown told CNN afterward he was looking forward to getting back home to Oklahoma to see his daughter.

"She's asking for me to be there," he said.

Now married to another woman since June, the father says Veronica is in a happy, stable environment in Oklahoma.

His attorney John Nichols said Brown "has done as much as humanely possible to get his daughter and keep her. He wants to raise that child."

The case is Adoptive Couple v. Baby Girl, a Minor Child Under the Age of Fourteen Years (12-399). A decision is expected in June.

@highlight

Cherokee Indian man won custody of his biological daughter

@highlight

South Carolina couple's appeal being heard by high court

@highlight

A federal law meant to protect Indian family breakup is key to the case

@highlight

Sides disagree over biological father's rights