Tokyo (CNN) -- Crews struggling to bring the crippled Fukushima Daiichi nuclear plant under control had some success Sunday as cooling systems at two of the facility's reactors were working, Kyodo News reported.

Earlier, workers had connected electric cables needed to power up cooling systems in the damaged reactors. The plan is to get power up and running for the Numbers 1, 2, 3 and 4 reactors soon.

Officials with plant owner Tokyo Electric and Power Company told CNN that the company still has to conduct safety and stability checks on the circuit before throwing the switch.

Cooling systems at the Numbers 5 and 6 reactors -- the least-troublesome of the group -- have already been restored, Kyodo News said.

The cooling systems are essential to keep temperatures low, curb the further emission of radioactive material and, in a worst-case scenario, prevent a full nuclear meltdown. A meltdown could occurs when nuclear fuel rods get so hot that they melt the steel and concrete structure containing them, spilling out into the air and water with potentially deadly results.

But there is no guarantee that the cooling systems will work.

"We do not know if the water pumps are damaged and if they will still work when power is restored," said Graham Andrew, a special assistant to the director of the International Atomic Energy Agency.

Meanwhile, authorities set up a new system using an unmanned device that sprayed seawater continuously on the No. 3 reactor's overheating spent nuclear fuel pool.

A Tokyo fire department official said the system began operating around 2 p.m. Saturday and can spray water for up to seven hours at a time. Previously, firefighters, soldiers and electric company workers had manually done the same in brief intervals to avoid prolonged radiation exposure.

The water, pumped from a nearby port and then funneled to the system, was directed at the No. 3 reactor's spent fuel pool in order to cool it and prevent the emission of more radioactive material into the atmosphere.

Authorities have also started spraying the No. 4 reactor.

The news comes soon after the Japanese government considered halting the sale of food from farms near the Fukushima plant after abnormally high levels of radiation were found in milk and spinach.

Very small amounts -- far below the level of concern -- of radioactive iodine were also detected in tap water in Tokyo and most prefectures near the Fukushima Daiichi plant damaged by last week's monster earthquake and tsunami.

Chief Cabinet Secretary Yukio Edano said levels of radiation exceeding safety limits stipulated by Japanese law were found in some samples of spinach and milk from the Fukushima and Ibaraki prefectures but authorities said the radioactive iodine-contaminated food posed little risk.

Tainted milk was found 30 kilometers (18 1/2 miles) from the plant and spinach was collected as far as 100 kilometers (65 miles) to the south, almost halfway to Tokyo.

"Though radioactive iodine has a short half-life of about eight days and decays naturally within a matter of weeks, there is a short-term risk to human health if radioactive iodine in food is absorbed into the human body," warned the International Atomic Energy Agency.

A person who consumed the tainted food continuously for a year would take in the same amount of radiation as a single CT scan, Edano said. That's about 7 millisieverts or double what an average person in an industrialized country is exposed to in a year, according to the U.S. Food and Drug Administration.

Beyond Saturday's food safety announcement, there have been few indications of any immediate fallout from the nuclear crisis.

Airborne radiation levels around Japan have shown no signs of spiking drastically, according to measurements posted online Saturday by the nation's education and science ministry.

Most readings showed detectable but relatively small amounts of radiation. Even the two top readings in Mito (in Ibaraki prefecture) and Utsonomiya (in Toshigi prefecture) are well below what's considered dangerous to humans and had fallen in recent days.

Still, no one has said that authorities are in the clear. In fact, authorities acknowledged Friday that the situation is far more serious than they'd originally estimated.

"We sincerely apologize ... for causing such a great concern and nuisance," said a statement from Masataka Shimizu, the president of Tokyo Electric.

And the company's managing director, Akio Komori, broke down in a tears after leaving a news conference in Fukushima at which exposure levels were discussed.

Six members of the emergency crew at the plant have been exposed to more than 100 millisieverts of radiation per hour, the equivalent of getting 10 chest X-rays per hour, Tokyo Electric Power Company said.

The utility said the workers were exposed when trying to restore electricity to the stricken reactors in hopes of using the cooling systems again.

Tokyo Electric had raised the exposure level for emergency workers from its previous standard of 100 millisieverts per hour to 250 millisieverts.

People are naturally exposed to about 3 millisieverts of radiation a year. The International Commission on Radiological Protection recommends no more than 50 millisieverts exposure in a given year for nuclear rescue and recovery workers. It offers no restriction in a crisis when "the benefit to others clearly outweighs the rescuer's risk."

CNN's Yoko Wakatsuki, Stan Grant and Steven Jiang contributed to this report

@highlight

NEW: Report: Cooling systems at the Numbers 5 and 6 reactors are working

@highlight

Workers connected cables needed to power up cooling systems at the stricken reactors

@highlight

Japan may halt the sale of food from areas near the Fukushima nuclear plant

@highlight

Abnormally high levels of radiation were found in milk and spinach