(CNN) -- Lost in the laughter over the past two weeks has been GOP presidential candidate and former House Speaker Newt Gingrich's core point about America's future in space. We shouldn't just explore space, we should develop and even settle it, using the same enterprise-friendly approaches that helped open the West and the skies.

As a former NASA executive, it is clear to me that most commentators don't understand this is now possible, let alone necessary.

David Frum's recent CNN viewpoint is eerily similar to what critics have said about other visionary ideas during America's history.

In 1844, Asa Whitney (cousin of cotton gin inventor Eli Whitney) proposed to the U.S. Congress that America build a transcontinental railroad. U.S. Sen. Thomas Benton of Missouri responded that it was "an imposture, a humbug; it could have emanated only from a madman ... science was unequal to overcome the Allegheny Mountains -- and now Whitney proposed to scale the Rocky Mountains, four or five times as high! Why sir, it's madness!"... "You are one hundred years before your time."

The golden spike was pounded into the ground in Utah just 25 years later.

In 1867, Secretary of State William Seward proposed that America purchase Alaska from Russia for $7.2 million. Horace Greeley of the New York Tribune mocked Seward, calling it "a frozen wasteland." Alaska became known as "Seward's Folly." It was one of the best investments America ever made.

David Frum: A moon colony is a waste of money

To be fair, Frum makes a point that must be addressed:

"With the greatest respect," Frum wrote, "'the wonder and glory of it' is not a very compelling answer to the question: 'What do I get for my hundred billion bucks?'"

The answer is that we shouldn't spend that much, and certainly not for "wonder and glory." Gingrich's core point is that we must change how and why we do space by leveraging the power of free enterprise.

Whatever misgivings you might have about Gingrich, in this case he is right.

American history proves that smart, focused action by the U.S. government can jump start entire new industries that open new frontiers -- from western railroads, to the air, to the Internet - and that is exactly where we are today in space.

In 2011, I led a NASA team that designed a strategy that could return America to the moon in 10 years for $40 billion. We can do so by using existing launch vehicles. More importantly, this strategy could also enable a new commercial space-plane industry and fundamentally enhance U.S. national security.

Space launch today costs about $10,000 per pound. Our national security space systems are dominated by small numbers of multibillion-dollar satellites. Innovation is slow. It takes over a decade to plan, develop and introduce new systems.

A large army of people watches over each satellite. If this reminds you of mainframe computers in the mid-1970s, then you know this sector of our economy is ripe for innovation.

Reusable space planes will forever change the space industry. The ability to launch frequently, reliably and at much lower cost will promote experimentation and enable new solutions.

NASA's Office of the Chief Technologist concluded that America has the basic technology to build space planes now. The primary problem is the proven market is not large or certain enough to justify the investments required. A Wall Street investment advisory firm, Near Earth LLC, independently validated our conclusion.

We've been here before.

In the 1850s, it was not possible to close the business case for a transcontinental railroad. The size, cost and risk of the private investment was too large. Then Congress passed the Pacific Railroad Act of 1862.

American entrepreneurs connected a continent and provided rapid, reliable, low-cost access across the country. They quickly accomplished what had been deemed impossible two decades earlier. America was never to be invaded again; no one would dare. We were firmly on the path to become a world superpower.

Fast forward to the 1920s.

Airline entrepreneurs were unable to raise the capital to purchase new airplanes because the passenger travel market was considered speculative. Then Congress passed the Kelly Airmail Act of 1925. With airmail contracts in hand, private airlines sprouted up all over America. Passenger travel grows exponentially. Less than two decades later, U.S. airpower helps win World War II.

Today, we are at a similar juncture. We have lost world leadership in commercial space transportation. But we can recapture it with totally reusable space planes.

Space planes are the transcontinental railroad of our generation. Space planes will open the next frontier -- the greater Earth-moon system -- to economic activity and bind it together. Space planes will radically lower launch costs leading to new applications, new industries and new jobs. The growth in demand will lead to even higher flight rates, lower costs and new opportunities.

As this virtuous cycle takes hold, America's role as the preeminent world leader in space will be assured for the next 50 years. U.S. national security will be permanently enhanced.

And we will get a little wonder and glory, too.

Follow @CNNOpinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Charles Miller.

@highlight

Ex-NASA official: Political pundits don't understand Newt Gingrich's space vision

@highlight

Change how and why U.S. does space by leveraging free enterprise, says Charles Miller

@highlight

Commercial space planes would fundamentally enhance national security, author says

@highlight

Miller: U.S. has lost world leadership in commercial space transportation