(CNN) -- A number of Morocco's riads (traditional courtyard houses) have been transformed into incredible boutique hotels over the past several years, giving travelers a cultural and luxurious experience that was once off limits.

A classic riad is built around a central courtyard with a garden and fountain.

The interior often features lavish ornamentation -- glazed ceramic tiles (zellij) in colorful geometric patterns on walls and floors, carved pierced white stucco work, painted wooden ceilings (zouakt) and shiny polished plaster walls (tadelakt).

"There is extraordinary diversity among Marrakech riads, whose aesthetics range from the ornate flourishes of traditional Moroccan style to ultra-modern interiors that wouldn't look out of place in a New York City loft," says Cyrus Bozorgmehr, a Briton who manages several riads in Marrakech.

"With owners living as far afield as Italy, Tahiti and the United States, each brings their own vision -- so each riad has a unique identity, infused with the personality and history of the person behind it and their relationship with Morocco," adds Bozorgmehr, who estimates Marrakech has more than 1,000 riad hotels.

International fixtures

Opened in 2014, one of the new breed is Riad Jaaneman.

It juxtaposes Italian contemporary style, art deco furnishings, marble bathrooms, iPod docks and Boffi bathroom fixtures with Moroccan-patterned headboards and tadelakt walls.

In the five-suite riad's Partenope suite, green marble from South America, track lighting and ebony tadelakt walls adorn the bathroom.

Dark brown Emperador marble from Spain and tobacco-colored tadelakt walls decorate the bathroom in another suite; the bedroom is decorated with African artifacts and has two walk-in dressing rooms.

An outdoor pool and hammam (traditional steam bath) are here, and riad staff organize day trips to the Atlas Mountains, skiing, cooking classes and yoga.

Owner Leonardo Giangreco, an Italian-born former investment banker in London, left finance in 2010 to "reinvent myself."

He bought the riad in 2003 to live in, spent two years restoring it and plans to display part of his contemporary art collection here.

Traditional elements

In contrast to Riad Jaaneman, Riad El Amine in Fez boasts traditional Moroccan craftsmanship.

It has two courtyards.

One features zellij-adorned columns flanking an aqua-tiled reflecting pool.

A second with a fountain strewn with rose petals in a nine-pointed star-shaped niche and geometric-patterned ceramic tiles.

One of the 11-room riad's eight suites features a lavender-curtained four-poster bed with silk purple and gold pillows. Others have colored-glass arched windows.

Its owner, a Moroccan travel agent, purchased two riads in 2004, and had new tile and stucco work handmade to mimic the old.

"It was the restorations of these ancient courtyard houses -- mostly by expats -- that really saved the ancient poverty-stricken medinas from falling into complete disuse and slums," says Joel A. Zack, president of Heritage Tours Private Travel in New York, which custom designs tours to Morocco.

"Fifteen years ago, they were very different places. It's the perfect example of adaptive reuse that saved an entire historic quarter, and helped grow economy and tourism significantly."

Riads have no windows facing the street -- all face the courtyard. Entryways are often plain doors on a blank wall in a tiny alley in the medina.

These unremarkable exteriors offer absolutely no clue to the wonders within.

"You see the look of terror on their faces when guests often first arrive at a riad, at a sometimes unmarked door in a dark alley," says Bozorgmehr.

"They don't know if they'll ever find their way back, until they get into their comfort zone. It's the Islamic way -- no ostentation outside the house, you show your wealth inside."

Latent luxury

When the King of Morocco decided to open the Royal Mansour Marrakech hotel in 2010 as the last word in opulence, he chose to build 53 brand new riads.

Each is a three-story, one- to four-bedroom jewel box, furnished in a riot of ornate zellij, carved stucco and wooden screens, painted wooden ceilings, silks and brocades in spare-no-expense fashion, with a private courtyard and roof terrace with pool and fireplace.

Giving riads the ultimate luxury twist, King Mohammed VI added three restaurants helmed by three-Michelin-star Paris chef Yannick Alleno, serving Moroccan, gourmet French and Mediterranean cuisine.

There are also a 2,500-square-meter spa with 13 treatment rooms, two hammams, indoor pool, gym and Pilates studio, a library with a telescope for stargazing through a retractable roof and 24-hour room service and private butlers, who travel by underground tunnels for privacy.

Guests receive stationery with their names lettered in gold.

Five-meter-high walls surround the faux medina surrounding the Royal Mansour, a short walk from the Djemaa El Fna, the raucous square alive with snake charmers, magicians, potion, food and drink peddlers and storytellers at night.

CEOs and political leaders have stayed in its biggest riad, the four-bedroom, four-bathroom Riad d'Honneur, which sprawls over 1,800 square meters.

You can book that for a mere $48,945 per night.

Marrakech's first expatriate riad owner is believed to be oil heir J. Paul Getty Jr., who bought a deteriorated riad in the late 1960s and hired Bill Willis, an American interior designer, to decorate it.

The designer's own Marrakech riad, an ultra-flamboyant Arabian Nights-style fantasy where he entertained guests like the Rolling Stones and William S. Burroughs, has appeared in "Architectural Digest" and other design magazines.

Willis, who became the designer of choice for jet set Marrakech expats from Yves St Laurent to Fiat heiress Marella Agnelli, helped catapult Moroccan interior design to international attention.

The city's first riad hotel was La Maison Arabe, a 26-room riad with a renowned Moroccan cooking school, which opened in 1997.

"For those who truly want to experience authenticity, the right riad can be an amazing experience," says Joel Zack of Heritage Tours Private Travel.

"Most do not offer the amenities of a full hotel, but they are gorgeous, each room is different and they offer a magic and a sense of being in Morocco and its hospitality that is absolutely unbeatable."

Royal Mansour, Rue Abou Abbas El Sebti, Marrakech; +212 529 80 80 80; from €650 ($872)

La Maison Arabe, 1 Derb Assehbe Bab Doukkala, Marrakech; +212 524 38 70 10; from €210 ($282)

Riad Jaaneman, 12 Derb Sraghna, Dar El Bacha, Marrakech; +212 524 44 13 23; from €250 ($335)

Riad El Amine, 94, 96 Bab Jdid, Bouajjara, Fez, +212 535 74 07 49; from €95 ($127)

Sharon McDonnell is a travel, history and food/beverage writer based in San Francisco.

@highlight

Expats are mostly responsible for restoration of over 1,000 of Morocco's ancient courtyard houses

@highlight

Entrances to riads are often a plain door in a tiny alley, offering no clue to wonders within

@highlight

La Maison Arabe is Marrakech's first riad hotel with a renowned Moroccan cooking school