(CNN) -- Like many people, I've been riveted by the George Zimmerman trial. I call it "the George Zimmerman trial" because that's what it is, but the more I watch, the more I wonder: Should it be renamed "the Trayvon Martin trial?"

I'm not just talking about some of the media's tabloid-like focus on Martin's background, his personal history, his school records and -- outside the courtroom -- the toxicology report. I'm talking about an aspect of the case that never comes up in the media coverage, one that I would argue is key.

This murder trial, in and out of the courtroom, has been boiled down to one question: Was Zimmerman in fear for his life and thus justified in defending himself by shooting and killing Martin?

It has been framed this way -- in terms of Zimmerman's mortal fear -- since the shooting in 2012.

Zimmerman's assumptions led to death, prosecutor argues

Some people have forgotten that Zimmerman was not even arrested initially. It took more than a month for the special prosecutor to bring the second-degree murder charge. And if not for mass protests across the country, he might not be the defendant in a murder trial at all.

The question that has not surfaced in the courtroom -- the elephant in the room -- is this: Did Martin fear for his life after being followed and confronted by a stranger while going to the store to buy candy and a soft drink? Was he, Martin, justified in standing his ground and defending himself when this stranger, an apparent stalker, approached him in a threatening manner?

Zimmerman didn't identify himself and never said he was part of the neighborhood watch group.

Think about it: We're told over and over that if Zimmerman was afraid of Martin, according to Florida law, he had the right to put a bullet in the chamber of his concealed handgun, get out of his car after being told not to by the 911 dispatcher and follow and confront Martin and shoot him to death.

At the same time, we are told that Martin, who had far greater reason to fear Zimmerman, practically and for reasons of American history, did not have the right to confront his stalker, stand his ground and defend himself, including by using his fists. We are told that this was entirely unjustified and by doing so, Martin justified his own execution.

Running updates from the Zimmerman trial

The phrases "stand your ground" and "self-defense" have been repeated endlessly by anchors, pundits, analysts and experts, but rarely applied to Martin.

How could this be? Why is this other question ignored? Surely it will come up as we approach the trial, I thought. But it hasn't. What's going on here? How can the Florida law apply only to Zimmerman and not to Martin?

I remembered the sharp, sometimes bitter commentary provoked by Spike Lee's 1989 film "Do the Right Thing," particularly in reaction to its climactic scenes, when the police murder a black teenager and Lee's character throws a trash can through the window of the white-owned pizza place.

Years after the movie came out, Lee told an interviewer, "White people still ask me why Mookie threw the can through the window. ...Twenty years later, they're still asking me that."

"No black person ever, in 20 years, no person of color has ever asked me why," he said.

This speak volumes about race and power relations in this country.

Opinion: Zimmerman trial - it's about race

Here's what I think: Assuming Martin did engage Zimmerman physically, perhaps if the teen had hit back a little bit harder, perhaps if he had been able to prevent Zimmerman from grabbing his concealed and loaded gun and perhaps if witnesses had come to Martin's aid, then maybe he would be alive today. That's speculation.

One thing I feel sure of is that if Martin, in fear for his life, had used Zimmerman's own gun to shoot and possibly kill his attacker, when the police arrived on the scene, they would not have failed to charge him with murder.

Why hasn't the prosecution team used Florida law to argue strongly for Martin's right of self-defense, his right to stand his ground against a stalker? Why not turn the tables on Zimmerman's exclusive claim to that argument?

It will be interesting to see whether this question even gets posed for the jury at all. It certainly will be front and center as this case is tried by the jury of history. And future generations will likely puzzle over how the term "racial profiling" could have been banned by the judge before the trial even began.

This country's racial history, the list of names, like Sean Bell, Amadou Diallo, Oscar Grant and other victims of "deadly force" by the policeâ€”these represent an even bigger Elephant in the Room.

They may have been ruled irrelevant in the courtroom, but they are certainly relevant to those who seek justice in this society.

The opinions expressed in this commentary are solely those of Miller Francis.

@highlight

Miller Francis: George Zimmerman trial should be renamed the Trayvon Martin trial

@highlight

He says question not raised: Wasn't Martin the one standing his ground, facing a stalker?

@highlight

We're told that by defending himself, Martin justified his own execution, he says

@highlight

Francis: Prosecution should use stand-your-ground on Martin's behalf; it's about race, justice