(CNN) -- Instead of concrete jungles could our cities become urban forests of wooden skyscrapers?

Swapping cement and steel for timber is the vision of a number of environmentally-minded architects who are planning high-rise buildings across the world.

Architect Michael Green has plans for a 30-story wooden skyscraper in Vancouver, while plans are afoot in Norway and Austria for 17- and 20-story buildings that use wood as the main building material, eschewing steel and concrete.

"We think we can go higher than 30 stories," says Green. "We stopped exploring wood around 100 years ago (with the advent of steel and concrete); now we're looking at a whole new system using mass timber products."

Green says that the modern wood materials have been around for around 20 years, but until recently they've been quite niche or used only in low-rise buildings. What has changed is the way in which architects and builders are thinking about using wood.

"The real change came when we started thinking about climate change. Steel and concrete are great but not environmentally friendly," he says.

Cutting down trees to make buildings doesn't immediately sound eco-friendly either, but if sourced from sustainably managed forests (like those in Europe and North America), it can be more environmentally sensitive.

Wood buildings lock in carbon dioxide for the life cycle of a structure, while the manufacture of steel and concrete produces large amounts of CO2 -- the International Energy Agency (IEA) estimate that for every 10 kilos of cement created, six to nine kilos of CO2 are produced.

Green's "Tallwood" structure is designed with large panels of laminated strand lumber -- a composite made of strands of wood glued together. Other mass timber products use layers of wood fused together at right angels that making they immensely strong and able to be used as lode bearing infrastructure, walls and floors.

Despite being made of wood any worries about towering infernos should be banished, says Green, as large timber performs well in fires with a layer of char insulating the structural wood beneath.

"It may sound counter-intuitive, but performing well in a fire is something inherent in large piece of wood, that's why in forest fires the trees that survive are the largest ones," he says.

Currently one of the highest modern wooden buildings is in London. Called the Stadthaus, Murray Grove, it's a nine-story residential building that stands at just under 30 meters (98 feet). Even the lift shafts and stairwells are made from wood.

"It's under 30 meters because over that UK regulations say that sprinklers have to be installed and other regulations come in to play," says Craig Liddell, commercial director of KLH UK the company that developed the cross-laminated timber for the building.

Liddell thinks that 15 stories is possible before having to use other materials like steel but says that building codes are one of the main reasons we haven't seen more tall wooden buildings, "and more recently the economic downturn," he adds.

The cross-laminated timber used on the Stadthaus is classified as air-tight, making it one of London's most energy efficient buildings. As a pre-fabricated structure it also took less time to construct and was cheaper than a conventional steel and concrete building, says Liddell.

For all the eco-credentials ultimately buildings are erected because of a strong bottom line.

"For the idea of tall wooden buildings to be viable they have to be cost effective," says Green.

"We can show that wood structures are dollar for dollar or cheaper compared to other buildings."

Beyond that Green believes it's about thinking big.

"Really we're at the stage where we're able to start to show what's possible, a bit like that Eiffel Tower moment. That was built when no one was used or understood tall structures, but it showed what could be done and just as importantly stretched the imagination."

@highlight

30-story wooden building planned for Vancouver

@highlight

Structure would not use concrete or steel

@highlight

Wood-only buildings can be more eco-friendly

@highlight

Potential to build higher than 100 meters, believes architect Michael Green