(CNN) -- With more than 2,400 Ebola deaths in Liberia alone, the killer virus may not sound like the most obvious subject to write a song about.

But health officials are using all means at their disposal to educate Liberians on how to contain the spread of the disease.

The United Nations Children's Fund -- UNICEF -- has worked with local musicians to produce a song "Ebola is Real," which urges Liberians to take measures against the disease, such as washing their hands.

The chorus runs: "Ebola is real, it's time to protect yourself, Ebola is real, protect your family, Ebola is real, protect your community."

Near the song's end, the musicians say Ebola is a severe disease that spreads fast. While it can't be cured, they explain, the symptoms of the virus can be treated and explain that the only way of catching Ebola is through direct contact with bodily fluids such as blood, saliva and sweat.

"For our traditional people, when somebody die, don't touch the body with your bare hand -- you can call a health worker closer to you to help you to bury the body but wearing protective clothes and gloves," the song continues, saying the message is from Liberia's Ministry of Health and partners.

UNICEF spokesman Christophe Boulierac said music is "an integral part of life" in Liberia and across Africa.

"Everything from elections to polio campaigns have used songs," he said. "We used songs as a medium of getting out the information to a wide segment of the population, through the best medium available in Liberia -- radio."

UNICEF chose to work with Liberia's cultural ambassador Julie Endee and some well known musicians.

The style of music is a popular form in Liberia known as Hipco and the song has been very successful, playing on radios across the country, Boulierac said.

"Some people even use it as a ring tone," he said. "My colleague in Sierra Leone has heard it play in street side stalls."

CNN's Nima Elbagir is in Liberia covering the outbreak.

Elbagir recalled hearing "Ebola is Real" being played during an earlier visit and said it was very popular and instrumental in getting the public healthcare message across.

Susan Krenn, director at the John Hopkins Center for Communication Programs (CCP), spoke to CNN from Nigeria, where she was working on the launch of a weekly television series "Newman Street."

Newman Street is aimed at addressing the topics of family planning and malaria.

"There is a whole communication science behind this," Krenn said.

"One of the things we really emphasize is that the entertainment has to be of very high quality. You really want to attract people to whatever the piece is because it's something they really want to listen to, or want to watch, because it's entertainment," she said.

"This type of programing really allows you to use creativity and pull people in for the value of the entertainment, while a communication plan allows us to weave messaging in."

The entertainment vehicle itself could get people talking about an issue and get them to adopt certain behaviors, she said.

"One of the beauties of entertainment education is that your reach is phenomenal ... you're impacting a huge number of people."

The CCP has been involved in entertainment education for nearly three decades.

In 1988 it released two family planning songs and music videos -- "Choices" and "Wait for Me" -- in Nigeria.

"Someone actually made a remake of ('Wait for Me')," Krenn said. "It's incredible to see the long life these things have."

The center has gone on to release many more songs but Krenn said it used entertainment within a wider communications strategy.

In the case of "Newman Street," the series was being used as a "national overlay," she said.

Krenn said there were a number of family planning and malaria programs in different states and cities in Nigeria's four main languages. At a more local level, CCP's strategy included radio and working with service providers.

CCP was also involved in Liberia, Krenn said, trying to monitor and help coordinate the communication interventions there.

"With so many different entities, one of biggest needs is communication. We really need to find out where the gaps are," she said.

@highlight

The Ebola virus has killed more than 2,400 people in Liberia

@highlight

UNICEF and local musicians created a popular song with a health message

@highlight

Lyrics include "Ebola is real, it's time to protect yourself"

@highlight

A John Hopkins group is also using entertainment for health education