(CNN) -- Barry Kluger was playing a round of golf with a friend on April 6, 2001, when he received news of the kind every parent fears: His 18-year-old daughter, Erica, had been in a car crash.

"What they didn't tell me is she'd been dead an hour," said Kluger of Scottsdale, Arizona. Twenty minutes after receiving the call, Kluger was at the emergency room talking to a grief counselor.

"A few weeks later, I went to thank the firemen who tried to save her," he said. "They told me she never knew what hit her."

Kluger said he cannot begin to imagine the pain that the loved ones of the victims from Friday's Colorado theater mass shooting are experiencing.

"It was so violent and there was no reason, no cause for it," he said. "Those who lost spouses, siblings, boyfriends and girlfriends -- they're going to spend the next few years and most of their lives trying to make sense out of something that makes no sense."

Victims of massacre remembered with poignant stories

Kluger believes that getting bereavement and trauma experts to victims' families is the best support possible.

When his daughter died, Kluger was running his own company, and could take personal time to grieve. However, extended time off is not a reality for many Americans.

"People have sent me their stories," Kluger said. "One woman lost a child and her boss showed up at the funeral and said, 'I'll see you at work on Monday.'"

In January 2011, Kluger partnered with another grieving father, Kelly Farley, to draft a proposed amendment to the Family and Medical Leave Act of 1993.

According to the U.S. Department of Labor, the current act "entitles eligible employees of covered employers to take unpaid, job-protected leave for specified family and medical reasons."

Three months of leave is allowed for the birth of a child or to care for a sick family member, among other things. Yet the death of a loved one is not covered by the act.

A weekend at grief camp: 'It's never going to be the same'

"You have 12 weeks off to have a child," Kluger said, "but three days off when a child dies. It doesn't make any sense."

In summer 2011, after receiving letters from Montanans who had also signed Kluger's initiative, Sen. John Tester, D-Montana, proposed the Parental Bereavement Act, which would amend the Family and Medical Leave Act to incorporate extended, job-protected leave for the loss of a child.

"The senator was struck by it and, like most people, surprised the law wasn't already taken care of," said a spokesman from Tester's office. "We want to see it pass but we don't have a lot of time left this year."

The average bereavement leave for a person who loses a child is three days, according to Dr. Joanne Cacciatore, a researcher at Arizona State University and the founder of the MISS Foundation, which provides support to grieving families. Cacciatore has been studying the emotional, social, cognitive, and economic impact of child death on individuals, families and society for almost 20 years.

"The death of a child is one of the most traumatic experiences a human being can endure," Cacciatore said. "I cannot express to you how incredibly devastating this is to people."

Experts like Cacciatore explain that without giving parents sufficient time to grieve for their loss, companies and corporations will pay for it in the long run.

Researchers at the Grief Recovery Institute, a nonprofit foundation, measured how situations like death and divorce affect U.S. businesses. According to Russell Friedman, executive director of the institute, the current estimated annual loss due to reduced productivity as an aftereffect of grief is around $225 billion.

"When someone we love dies, we lose the ability to concentrate or focus," Friedman said. "Your brain doesn't work right when your heart is broken. That's why businesses lose money."

Three months for bereavement leave is a more realistic standard than three days, according to Cacciatore. After 12 weeks, "people are usually past the stage of being stunned and paralyzed by the loss," she said. "Now they can understand what this loss means."

While a person can take extra time off for mental health reasons, Cacciatore said this creates an ethical dilemma. If someone needs to mourn, having to declare depression for time off work is an unnecessary label that could also affect future employment opportunities.

"Grief is not a mental illness. It is a normal response," she said.

A walk to pound grief into the ground

@highlight

Barry Kluger has heard from parents who don't get time to grieve

@highlight

Three days of leave "doesn't make any sense," he says

@highlight

A pending bill would extend parental bereavement leave