Editor's note: John Feehery has worked as a staffer for former House Speaker Dennis Hastert and other Republicans in Congress. He is president of Feehery Group, a Washington-based advocacy firm that has represented clients including News Corp., Ford Motor Company and the United States Chamber of Commerce. He formerly was a government relations executive vice president for the Motion Picture Association of America.

John Feehery says the way to oppose President Obama is with new ideas, not with rhetoric.

(CNN) -- As I watched President Obama conduct a town hall meeting in Strasbourg, France, the other day, a chilling realization crossed my mind: I like the guy.

This might be a surprise coming from a partisan Republican who also does some work as a lobbyist. (Obama seems to dislike my profession with special intensity.)

But it shouldn't be. There is much to like about him. He has a winning smile. He is unself-consciously hip. He is smart. He has self-confidence without being overly smug. He has married well and has two "perfect" daughters (his words, not mine).

Obama also has an inspiring life story, and his election to the highest office in the world represents the best possibilities of the American dream.

I also want Obama to succeed. Unlike Rush Limbaugh, if Obama can get my 401(k) back to life, if he can get health care costs under control, if he can stop pollution, if he can get the manufacturing sector back on its feet, if he can make our country more secure while regaining for America the moral high ground, if he can find the cure for cancer and bring peace, love and understanding to the world, I am all for it.

I am also willing to pay a few extra bucks in taxes for that success, if I can get some economic growth in return.

And I am not alone in my feelings. Obama's personal approval ratings are still high, and most Americans simply love his family. Internationally, the president's ratings are off the chart.

So, how do I square my approval of the president personally with my disapproval of his policies? How can I like Obama but not the Obama White House?

For example, I think the president's budget will lead to inflation or even possible bankruptcy for the nation. I understand the difficult choices that he has tried to make, and I understand the desire to get everything done right now. But governing is about choosing, and the system can't do everything at once.

I also disagree with his attack on the lobbying profession. Lobbying the government is protected under the Constitution, because what lobbyists do is petition their government on behalf of the people. Are there some lobbyists who are corrupt or crooked? Sure there are. But most lobbyists, like most politicians, do it the right way, and they serve a vital function of providing expertise to both the private sector and to the public sector.

Philosophically, I don't agree with the president. He is a collectivist, where I believe more in individual responsibility. He is a Keynesian, where I am a supply-sider. He is pro-choice. I am pro-life.

But I still like him. And I think many of my fellow Republicans on Capitol Hill are stuck in the same trap. They like the man, but don't like the policies. They hope, for the sake of the country, that he is successful, but have their real doubts that his policies will work. And because they are the loyal opposition, they are stuck, in this 24-hour cable news and talk radio culture, saying things about him that make them seem shrill and out of touch. What makes it worse is that, according to the polls, Americans have much more faith in Obama and the Democrats now than they do in the GOP.

Here are some suggestions about how Republicans can square the circle, how they can express their admiration for the man and even some of the goals of this administration, without rolling over on the policy front:

1) Accept every social invitation from the president. When he invites you to watch the Final Four, go the White House and watch the Final Four. When he wants to buy you a beer, go ahead and buy him a beer back. Let the public know that you appreciate their appreciation for the president, and that while you might disagree with him on policy, you like hanging out with him on occasion.

2) Never miss an opportunity to compliment the president and his family for something they have done that puts America in a good light. Root for them. If the first lady represents the country well when she meets the French premier's wife, or if the president does a good job talking to students overseas, applaud them. Don't look for reasons to pick on things that don't matter.

3) Agree with certain policy goals. Yes, all children should have access to health care. Yes, we need to have 21st-century schools. Yes, we should have clean water and clean air. Yes, we need to create more jobs. We may have a different approach, but we agree with the goals to make America a better place to live.

4) Create and then market your own ideas. The key to beating Obama is not by vilifying him (in my opinion). The key to beating Obama is in coming up with superior ideas to transform the government and to make America a better place to live. Republicans should come up with plans that insist on transformational change of the government bureaucracy, that require greater accountability from failing school districts, that target the high costs caused by frivolous medical lawsuits, that highlight job-killing union contracts and that insist on total transparency in government spending.

Reacting to the president's proposals puts Republicans in a tough spot. Having the president react to our proposals puts him on the defensive.

Some will say that this "play nice" strategy will backfire on Republicans; that the only way to beat Obama is to stoke fear and attack his character. Others will accuse me of going soft on a Democrat who quite clearly doesn't share the values of most Republicans. But I think there is far greater risk for the Republican brand in not acknowledging what Obama's election means historically, and not appreciating how his example is not only good for Democrats but for the country at large.

Tearing this president down is not the way for Republicans to regain a majority coalition, although some pundits and talk show hosts will be tempted to do just that. Instead, Republicans should allow themselves to like the president, just as they fight against his policies. And as they fight his policies, they should do all that they can to market their own ideas so that the American people understand that the Republicans have positive alternatives that will make our country stronger, safer and more prosperous in the future.

The opinions expressed in this commentary are solely those of John Feehery.

@highlight

John Feehery: Most Americans like Obama and his family

@highlight

He says he wants Obama to succeed but opposes his policies

@highlight

Feehery says the way to oppose Obama is not with rhetoric, but with ideas

@highlight

He says tearing the president down won't get the GOP a winning coalition