(CNN) -- One of the scariest scenarios of any sport must be the realization by a jockey that the half-tonne animal underneath him is not going to land successfully as it flies over a fence six feet high at nearly 50 kilometers per hour.

The onrushing blades of grass appear like blurred lines of green just prior to the ground stopping both rider and horse in brutal fashion.

In the blink of an eye, a kaleidoscope of colors can turn to black -- and lives can be turned upside down.

It is the nightmare prospect for any jockey, his family and friends too, in a sport whose protagonists are constantly followed by an ambulance -- a regular reminder of the all-too-real threat of severe injury, potential paralysis and, in extreme cases, death.

"I was numb when I heard the news," said Fidelma Toole, whose son Peter was in a coma for 13 days after he fell at Liverpool's Aintree racecourse, on Grand National day, in 2011.

"It just wasn't really sinking in."

Thankfully, after years of hard work, which involved being taught to talk again during 18 months in rehab, the Irishman's prognosis is overwhelmingly good.

Now 25, Peter is not only walking and talking, albeit at a somewhat slower pace, but is also -- miraculously in the eyes of many -- riding again.

Despite his experiences, Toole still gets tongue-tied when meeting a fellow Irish jockey.

In March, JT McNamara -- widely regarded as one of the most effective amateur jockeys in the history of British racing -- fell at the popular Cheltenham Festival.

Reportedly a month away from retirement, the 37-year-old has been paralyzed from the neck down ever since.

"John Thomas will never leave your mind," said Toole, who had visited his friend a couple of days before talking to CNN.

"I just pray to God that that didn't happen to me. It was the simplest of falls and you can't believe the damage. He can move his head around and talk just fine, but he can't do anything else."

Given his own past, does Toole have any words of advice?

"No chance," he replied solemnly. "All I can do is just go to see him and be there for him."

As he knows only too well, the advantages of having someone thinking of you can be immeasurable.

For from the moment his charge Classic Fly fell in an incident he still doesn't remember, the pioneering Injured Jockeys Fund (IJF) was by Toole's side. Quite literally so.

Founded in 1964 to assist two paralyzed riders, one of whom had fallen in that year's Grand National, the organization has been easing the lives of those with career-debilitating injuries ever since.

Not only does the IJF provide instant logistical support and limitless rehabilitative work at a state-of-the-art building, its host of initiatives also include the provision of mortgages for those whose incomes have been decimated by injury.

"Basically, we are a charity to support beneficiaries in a financial, medical and emotional way," Lisa Hancock, the CEO of the IJF, told CNN. "In over 49 years, we have supported over 1,000 beneficiaries."

Last year, the Suffolk-based organization assisted more than 500 members of the racing family, with 35 -- or 7% -- being new cases.

Not all of them are jockeys, for a quarter of the workload is devote to stable lads and grooms, but the procedure is often the same whenever anyone is seriously injured.

Leaving all medical care to professional doctors, the IJF initially concentrates on arranging the logistical needs that can overload friends and family -- dispatching one of its so-called "almoners" to assess all the varying requirements.

"The most difficult bit of the job is when you do get somebody who is seriously injured because as much as you try to stay distant from it, you can't help but have it get under your skin," said Karen Sharpe, one of the body's nine almoners.

"You are living and breathing the accident with their family and friends yet you must remain separate from it and not let it affect you.

"If you're falling to pieces because you find it hard, you're absolutely no use to anyone else -- and that can be quite difficult. But equally, if you are able to do even a little bit to help, then it's hugely rewarding."

Described as "a one in a million" by Fidelma Toole, Sharpe was the almoner sent to look after the family when Peter suffered his career-ending fall.

With doctors attending the comatose jockey, Sharpe devoted her attentions to the family, arranging their transfer from Ireland and accommodation in Aintree among a myriad of other measures.

"I just can't imagine how it would have been without Karen or the IJF," said Fidelma. "You are not thinking those first few days. You're just in a different world, wondering how the outcome is going to be.

"Having Karen there was hugely important. You wonder where you would have started otherwise. From the time Peter got hurt, she was on the scene at the hospital and she never left."

Today, Peter is back home in Ireland, his racing career cruelly taken from his grasp ("forget that -- that's gone," he says sadly), but he is able to ride out horses for one of his old trainers.

His road to recovery was hugely helped by a lengthy stay at Oaksey House, the purpose-built rehabilitation center opened in the southern English county of Berkshire and named after IJF founder Lord Oaksey.

The charity also flew Toole back to Ireland, so how can it afford such extensive service?

"Generous supporters, donations, legacies and Christmas work," said Hancock. "We need $4m to cover our costs every year and that is what we typically get. We are very fortunate the racing community has taken the IJF to its heart.

"They empathize with the dangers of a jockey's life. Those supporters who watch on TV or go to the course see what the jockeys are doing, derive pleasure from it and this is their way of giving back."

So much so that the charity is in a position to give significant financial benefit to those in need.

Take the case of Chris "Red" Kinane, an assistant trainer kicked so hard in the head by a horse that his life hung in the balance.

After a year in hospital and 14 operations to rebuild his skull, Kinane's wages crumpled -- so the IJF stepped in.

"We take over the mortgages of jockeys who cannot fulfill their payments," Hancock explained.

"We then link the mortgage to the house price index, which means our money is secure and which means they do not lose their home. It is a long-term way of helping our beneficiaries."

It is also yet another remarkable service from an organization little known outside British racing circles.

Next year, the IJF will celebrate its 50th birthday -- and is opening a new building in the north of England, in Yorkshire, as it does so. Yet this will not set the tone for the second half of its century.

"We can't open any more centers as we have to cut our cloth accordingly," says Hancock. "There are only so many jockeys. We are reasonably well-financed and that is due to prudent care."

In the meantime, the IJF will go about its essential business: an organization no fit jockey wants to know too well, yet one that none can live without should misfortune come calling.

@highlight

Injured Jockeys Fund caters for those who suffer severe injury in the British racing community

@highlight

Founded in 1964, the charity has eased the lives of over 1,000 beneficiaries

@highlight

Generous donors and charitable sales bring in the $4 million needed to run the organization