Blue Mountains, Australia (CNN) -- Firefighters battling blazes that menaced the western suburbs of Sydney, Australia's largest city, are concerned about Thursday's weather conditions.

"Still expecting strong winds today which is clearly our focus across the current fire grounds." Rural Fire Service Commissioner Shane Fitzsimmons told reporters Thursday morning.

Fitzsimmons reported 24 of the 66 active fires are uncontained and raging across a wide swath of Australia's most populous state destroying at least 193 homes in the Blue Mountains area.

"We do apologize and regret that we weren't able to save everything. We are very acutely aware, because our teams are embedded in those local communities- there has been so much damage and destruction and people have lost everything. They did their best and will continue to do their best," Fitzsimmons said on behalf of the fire services.

A combination of high winds and temperatures Wednesday had fueled fears the bush fires burning across a 1,000-mile stretch of New South Wales would spread even farther.

But thanks to fire crews' "extraordinary" work, helped out by some unexpected light rain overnight, the worst of the danger has been avoided, said Rural Fire Service Commissioner Shane Fitzsimmons.

He praised firefighters for their skill and use of "aggressive and high-risk strategies" that included "backburning" operations -- fires begun by emergency crews to reduce potential tinder for the wildfires to feed on -- and thanked local communities for following instructions to keep them safe.

Many families living in the Blue Mountains can now return home, he said, although they should be aware that conditions could still change. Some schools will reopen Thursday in those areas judged less at risk.

But not everyone is out of danger yet. "There's a lot of very dangerous, a lot of very difficult firefighting occurring in communities still under threat," he said. "The fight is far from over."

Blue Mountain resident Pauline Worthington hopes buckets of water and damp grass will stop the fires from damaging her home, but will not be evacuating without trying to protect it.

"Stay and try to defend. If it gets too bad. We will go. Everything is packed ready to go," Worthington says.

A total fire ban is in place for the greater Sydney region until further notice.

More than 1,500 Australian firefighters continue to battle the flames, a fire service spokesman said late Wednesday.

Inspector Andrew Luke of the Rural Fire Service confirmed the State Mine fire near Lithgow was sparked as the result of live ordnance exercises on the Marrangaroo Army Range. Ten buldings and homes in the State Mine area have been destroyed since October 16.

The Australian Department of Defense issued a statement acknowledging Defense personnel were conducting an explosive training activity in the same area on the day the fire started. The department is conducting an investigation into the military exercise.

The Sydney Airport region and Lucas Heights areas are under extreme fire warnings. An emergency warning is also in place in the Gateshead area. Power is out at more than 1,300 homes in fire-stricken regions, according to Ausgrid, a state-owned electricity network.

Thursday is expected to bring an unwelcome change in the weather, said Fitzsimmons, with dry, southerly winds that could gust at up to 50 mph.

This could present "real challenges" for people living and working north of current active fire lines, he said.

A nearly 1,000-mile line

Local officials are surprised by the early arrival of bush fires this year as spring turns toward summer in the Southern Hemisphere.

Fitzsimmons said the threat to Blue Mountains communities followed an unseasonably hot and dry winter.

"Never before have we seen the extent of damage and destruction and wide-scale fire activity at this time of the year," he said. "We need to remind ourselves that we have still got a long way to go as we look down the coming months into summer."

At least one death has been reported. A 63-year-old man died of a suspected heart attack October 18 while defending his home against a blaze on the New South Wales Central Coast, the Australian Broadcasting Corporation reported.

The wildfires stretch along a nearly 1,000-mile line in New South Wales, from the far north of the state south of Brisbane -- which lies just across the Queensland border -- to east of Canberra, the country's federal capital. Fires in the Blue Mountains range west of Sydney are a particular worry as rough terrain has impeded firefighting efforts.

Helicopters circled Springwood, a Blue Mountains community under emergency alert status, dumping "tons and tons of water" as the flames neared homes, said CNN's Robyn Curnow.

"What we're seeing here is fires coming very, very close to residential properties," Curnow said. "There seems to be a sense of helplessness by some people as they are watching as these fires run out of control."

Scores of fires now have burned more than 126,000 hectares (311,000 acres), an area greater than the size of Los Angeles, said Rural Fire Service spokesman Andrew Luke.

Helicopters in the region have dropped not only water to extinguish fires but also incendiary devices on the tops of mountains to create preventive burns.

"These fires ran more than 30 kilometers in one day because it gets on top of a mountain, showers the next area with embers, starts new fires ahead of it," Rural Fire Service Deputy Commissioner Rob Rogers in New South Wales said Tuesday.

The political blaze

Prime Minister Tony Abbott told Australian radio that the United Nations' head of climate change was "talking through her hat" when she told CNN's Christiane Amanpour there is "absolutely" a link between the fires spreading across Australia's most populous state and global warming.

"The World Meteorological Organization has not established a direct link between this wildfire and climate change -- yet," U.N. Climate Chief Christiana Figueres said Monday. "But what is absolutely clear is the science is telling us that there are increasing heat waves in Asia, Europe and Australia; that there, these will continue; that they will continue in their intensity and in their frequency."

Abbott said on 3AW radio in Melbourne on Wednesday that bush fires have had a long history in Australia. "The official in question is talking through her hat, if I may say so," Abbott said.

"Climate change is real, as I've often said, and we should take strong action against it, but these fires are certainly not a function of climate change, they're a function of life in Australia," he said.

"We've had bad fires since almost the beginning of European settlement. It has been since humans were on the continent. The Aboriginal people managed the landscape through various forms of firestick farming."

CNN's Robyn Curnow, Mick Krever, Larry Register, and Jessica King contributed to this report.

@highlight

Official: Strong winds main concern across current fire grounds

@highlight

Investigation confirms one of the fires sparked as the result of live ordnance exercises

@highlight

Fire chief praises firefighters' skill, "extraordinary" effort in battling blazes

@highlight

More than 60 wildfires reported in New South Wales; 24 are not contained