(CNN) -- The complex architecture of the human brain and how its billions of nerve cells communicate has baffled the greatest minds for centuries.

But now, new technology is allowing neuroscientists to map the brain's connections in ever-greater detail.

The creation of a map, or "connectome" as it has been dubbed, is raising hopes that brain disorders like autism and schizophrenia will be better understood in the future, perhaps cured.

The Human Connectome Project (HCP), a U.S. government-funded scheme, recently began trials on healthy volunteers with a state-of-the-art diffusion-imaging scanner.

Built by German engineering company Siemens, it works by tracking the passage of water molecules through nerve fibers, giving a more accurate picture of the brain's structure and its neuronal pathways, scientists say.

"The diffusion image is a map of the water diffusion which we then convert into a marker for the fiber pathways," says Van Wedeen, director of Connectomics at the Martinos Center for Biomedical Imaging at Massachusetts General Hospital (MGH).

"We then reconstruct it through computer algorithms that explain the water diffusion that we have observed."

More from CNN Labs: The credit-card sized $35 PC

From the outside, the scanner looks like a conventional MRI machine but the power inside enables it to produce images more than 10 times clearer.

"It's the difference between looking at the bonnet (of a car) and looking at the gears and belts inside," Wedeen said.

The idea, he says, is to dispose the brain to a coordinates system.

"Think of the difference of making maps before longitude and latitude versus making maps after," he said.

Data from the scanner is still being refined but Wedeen and his colleague Bruce Rosen are excited about its potential.

"Over time, it's clear that in addition to scanning normal volunteers we'd be very interested in scanning patients with disease," says Rosen, director of the Martinos Center for Biological Imaging at MGH.

"The tools we are developing, as well as many other scientists around the world mapping these brain circuits, may be fundamental to how we understand and conceptualize diseases and treat them," he added.

"Once you understand that it's an abnormality of specific circuits it gives you clues in terms of the pharmacology you want use to use depending on the part of the brain."

Poorly understood diseases like autism, he says, could be the result of an abnormality of brain connections called "connectopathies."

"Hopefully, we'll be in a position to see if that's true or not. And if it is, try to understand where it came from and try to fix it," Rosen said.

Sebastian Seung, a neuroscientist at Massachusetts Institute of Technology agrees.

"Researchers have conjectured that the neurons themselves are healthy but maybe they are just wired together in an abnormal way. But we've never had the technology to test that hypothesis until now," Seung said.

Seung's own work in this area is focused on exploring individual neurons (something the HCP scanner cannot do), painstakingly building up three-dimensional maps of neurons taken from the retina of dead mice.

In his new book, "Connectome: How the Brain's Wiring Makes Us Who We Are," Seung argues that our identities are stored in the connections between individual brain cells.

"I believe connectomes are the meeting ground for nature and nurture. The gene controls how the brain wires up, but experiences also modify the connections of the brain," he said.

"I'm interested in why we are unique. What is the source of our uniqueness? I believe the differences between people are going to be, in large part, down to the differences in neuro-connectomes."

But the task of mapping human neurons is enormous when compared to the mapping of say, the human genome, he says.

"The complete neural connectome of a human has a billion times more connections than a genome has letters," Seung said.

And only one organism's connectome -- the one millimeter-long worm C.elegans -- is known in its entirety, says Seung. But its 300 neurons and 7,000 connections took British researchers over a decade to complete during the 1970s and 1980s.

Humans have around 100 billion neurons.

"The brain is so complex, so do we have a prayer of figuring it out?" Seung said.

"I would argue the fundamental limitation has been technological so far. But I would say that once we can observe what's happening in the brain at the appropriate resolution then we have a chance."

@highlight

Emerging field of "Connectomics" aims to uncover the complex secrets of the brain

@highlight

Human Connectome Project shedding new light on connectivity and function

@highlight

New advances could pave the way for treatments of brain disorders like autism