(CNN) -- The revelation that nearly 800 children may have been buried in an unmarked mass grave at a former Catholic-run home for unwed mothers in Ireland is "sickening" and must be investigated, the country's top Catholic clergyman says.

Archbishop of Dublin Diarmuid Martin has issued a statement urging anyone with information about mass graves to go to the authorities.

"The Gospel message is that authentic faith is measured by how we treat children who represent Jesus Christ," Martin said in the June 5 statement.

On June 1, the Irish Mail on Sunday cited a local historian as saying she believed 796 children who had died between 1925 and 1961 at a home run by the Sisters of Bon Secours had been buried in an unofficial grave beside the home's old location in Tuam, County Galway.

Local children stumbled upon the grave in the 1970s, Irish media reported, but the site was never examined afterward.

The historian, Catherine Corless, told The Irish Times Saturday that she had bought death certificates for the children but she found that there had been no burial records.

The revelation has sparked calls for an investigation and renewed questions about the treatment of unmarried mothers and their children by the Catholic Church and institutions associated with it.

'Full bodied inquiry'

The Dublin Archdiocese said Martin had asked the Diocesan archivist to compile information on mother and baby homes in Dublin several months ago.

Hundreds of documents had been collated but none so far contained information concerning mass graves, it said.

"The Archbishop has said he will share this information with any inquiry the government will establish. He expressed the hope that a full bodied inquiry will be set up, examining all aspects of life in the homes and crucially how adoptions were organized."

In an interview with Ireland's national broadcaster RTE Sunday, Martin said it was important that any commission investigating the graves be given "full judicial powers."

"I also think it's very important that the commission be clearly separate from church/state or any other organization that was involved in it," he told RTE.

"I'm not too sure we can throw the entire blame at the church, I think that would be wrong to do that. There was a society in which there was a sort of collusion between the church and state institutions," Martin said.

The archbishop called for a commission to be established to study the social context of the period.

Government response

Minister for Children and Youth Affairs Charlie Flanagan said in a statement Wednesday that "active consideration" was being given to how to address the details that had emerged.

"Many of the revelations are deeply disturbing and a shocking reminder of a darker past in Ireland when our children were not cherished as they should have been," he said.

Government departments are working together to establish the best course of action, said Flanagan.

Opposition parties Sinn Fein and Fianna Fail have urged a comprehensive government inquiry into the matter.

Archbishop Michael Neary, who heads the Tuam archdiocese, last week welcomed any government move to examine what happened at the home.

"It will be a priority for me, in cooperation with the families of the deceased, to seek to obtain a dignified re-interment of the remains of the children in consecrated ground in Tuam," he said.

'Magdalen Laundries'

The Tuam case is the latest high-profile episode in which the state and Catholic Church have been called to account over care of the most vulnerable in Irish society.

A government report last year into the so-called Magdalen Laundries, run by various Catholic orders, acknowledged that Ireland's government sent thousands of women and girls to "harsh and physically demanding" workhouses, where they worked and lived without pay, sometimes for years. The laundries operated from 1922 to 1996.

While some were sent there by courts, others were unmarried mothers, victims of sexual abuse, orphans considered a burden to relatives or the state, or were mentally or physically disabled.

And earlier this year, Philomena Lee -- whose decades-long search for the son she was forced to give up for adoption in the 1950s was the subject of an Oscar-nominated film -- launched the Philomena Project in hopes of compelling the governments of Ireland and the United States to open access to adoption records.

Lee met with Pope Francis in February.

Read more: Outcry over reported mass grave

CNN's Laura Smith Spark contributed to this report.

@highlight

Archbishop of Dublin has called for anyone with information to share it

@highlight

According to local media, children in Tuam stumbled upon the grave in the 1970s

@highlight

A local historian has concluded that children from a Catholic-run home were buried there