Twenty-five percent of 800 tested sunscreens are effective at protecting your skin without the use of potentially harmful ingredients, according to the 2012 Sunscreen Guide released Wednesday by the Environmental Working Group.

"The results are slightly better than previous years, but it continues to surprise us that we can recommend such few products," said Nneka Leiba, an Environmental Working Group senior analyst.

To make the watchdog group's safe list, sunscreens must be free of oxybenzone, retinyl palmitate (a type of vitamin A), not have SPF above 50 and protect against UVA and UVB sunrays.

Toxic ingredients?

The Environmental Working Group says 56% of beach and sport sunscreens contain the chemical oxybenzone. The primary function of oxybenzone is to absorb ultraviolet light, but some research shows oxybenzone can be absorbed through the skin.

The Environmental Working Group and other toxicology experts believe that oxybenzone is linked to hormone disruption and potentially to cell damage that may lead to skin cancer.

The American Academy of Dermatology says oxybenzone is safe.

"Oxybenzone is one of the few FDA-approved ingredients that provides effective broad spectrum protection from UV radiation, and has been approved for use since 1978," said Dr. Daniel M. Siegel, president of the academy.

The Food and Drug Administration has approved oxybenzone in sunscreen for use on children older than 6 months.

"We will continue to push for better options every year. We're trying to fill the gap where the FDA has failed,"  said Leiba.

The Environmental Working Group also warns consumers to avoid retinyl palminate.

Government-funded studies have found that this particular type of vitamin A may increase risk of skin cancer when used on sun-exposed skin. However, these reports have been in mice and evidence has been inconclusive for humans.

"Consumers get frustrated when there are no alternatives, but the point of this is that you don't have to be completely disheartened, because there are products on the market that don't contain these chemicals," said Leiba.

The Environmental Working Group report found that fewer sunscreens - about 25% - contain retinyl palmitate, compared to 33% in last year's study. The Environmental Working Group says this ingredient does not make sunscreen more effective, and until definitive research is available, consumers should avoid sunscreen products containing retinyl palminate.

Broad spectrum

Most dermatologists agree with the Environmental Working Group's recommendation that consumers use products labeled broad spectrum.

Broad spectrum means the product protects against both UVB rays that cause sunburns and also UVA radiation that causes premature skin damage and aging.

"Evidence has shown the best sunscreens are the ones that block UVB and UVA," said Dr. Ariel Ostad, a clinical assistant professor in the department of dermatology at New York University Medical Center, and not affiliated with the Environmental Working Group report.

"The majority of these companies that market sunscreen products, they try to make people more aware of the SPF."

Last year, the FDA announced tighter regulations on how manufacturers label products. The changes, aimed to cut down on consumer confusion, require sunscreen labels to identify if they provide broad spectrum coverage on the front label.  Brands also won't be able to claim products as sweat-proof or waterproof.

However, don't expect to see these changes on store shelves this summer. Last week the FDA announced it is giving manufacturers six additional months from their original deadline to meet the new requirements.  Look for the new labeling in December.

Numbers game

The Environmental Working Group said consumers should not purchase sunscreens with SPF greater than 50.  SPF (sun protection factor) works by absorbing, reflecting or scattering the sun's rays on the skin.

"It is very misleading to put high SPF numbers on labels because it gives consumers a false sense of security and doesn't offer a lot more protection,"  Leiba said.

They are right. While SPF 85 may sound like a lot more protection than SPF 30, the higher the number doesn't always give a high return.

Studies show that sunscreen with SPF 15 can block about 93% of all incoming UVB rays. SPF 30 blocks 97%. SPF 50 blocks 98%.

"The protective factors plateau from there. A product with SPF 100+ blocks about 99.1 percent of the UVB rays," Ostad said.  "You don't really need a high number. They end up being expensive and don't offer more protection than SPF 50."

Keep in mind, SPF protects only against UVB rays.

Bottom Line

It's easy to get overwhelmed with the sunscreen options on store shelves.

Here's a quick guide to find the best products to protect your family from the sun:

--Use a sunscreen with a minimum of SPF 15  and a maximum of SPF 50;

--Make sure labels list UVA and UVB (or broad spectrum protection);

--Avoid products containing oxybenzone and retinyl palminate if you're concerned about potentially toxic chemicals;

--Choose lotions versus spray sunscreens for a more evenly distributed protection.

Remember to apply at least 2 ounces of lotion (about a shot glass full) and reapply often. The sun breaks down the ingredients in sunscreen that protect your skin. Experts recommend reapplying every two hours, or after swimming or heavy sweating.

@highlight

Environmental Working Group tests hundreds of beach and sport sunscreens

@highlight

56% of sunscreens contain the chemical oxybenzone, group says

@highlight

FDA OK'd oxybenzone in sunscreen for use on children older than 6 months

@highlight

The America Academy of Dermatology maintains that oxybenzone is safe