Editor's note: Col. Ann Wright, who served for 29 years in the U.S. Army and Army Reserves, was one of the first State Department officers to open the U.S. Embassy in Kabul in 2001. She resigned from the State Department in protest the day the Iraq War began. She had served as a diplomat for 16 years and received the State Department's Award for Heroism. Paul Kawika Martin is Peace Action's political director and the founder of the Afghanistan Policy Working Group.

President Obama just announced he plans to send 30,000 more troops into Afghanistan, where hatred of the U.S. grows every day. Next door, nuclear-armed Pakistan tilts toward disaster. It's time for Americans to insist on a nonmilitary way out of this mess.

We recently returned from a CodePink study trip to Afghanistan, and our expertise and experience points to a strategy of transitioning from military to political and economic solutions that will help Afghans while making Americans safer.

The first step in providing Afghans security and weakening the Taliban and violent extremists is to remove recruiting incentives. It's time to stop air and Predator drone strikes that tend to kill, injure and terrorize civilians. It's time to stop arbitrary detentions and harsh treatment of prisoners that would be unacceptable here.

While those in major cities live in relative security, rural Afghans fear violence from insurgents or U.S. and NATO forces. Many fear civil war or the return of the Taliban. Afghanistan requires more trusted Afghan police and security forces. These forces are paid only $110 dollars a month -- not a living wage -- and payments are regularly late. Little wonder these forces are corrupt, poorly motivated and have a high rate of desertion. The Taliban pays its foot soldiers far better.

Investing in a living wage and pressuring Hamid Karzai's government to punish corruption swiftly will pay more security dividends than the $1 million a year it costs to send one U.S. soldier.

There is no reason to believe the U.S. military is in the best position to train Afghans, given huge cultural differences and past abuses by U.S. forces. The United Nations is expert in training security forces in ways that are culturally sensitive. The U.S. should ask (and help fund) the U.N. to take over the training of Afghan troops and police, with a focus on training Afghan trainers.

With Afghan unemployment above 40 percent, job creation is critical to security. Vocational training, infrastructure construction and assistance to farmers will help.

We can pay for this economic development by spending current funds more wisely. A criminally small amount of the international aid and development money spent over the last eight years has trickled down to Afghans. Instead, foreign contractors, subcontractors and importers have profited from Afghan misery. USAID's new mantra of "Afghans first" is a start, as long as actions match the rhetoric.

One successful program that deserves full funding is the National Solidarity Project, an Afghan-run community development program administered by the well-regarded Ministry of Rural Rehabilitation and Development.

Obama, NATO commander Gen. Stanley McChrystal and U.N. Secretary General Ban Ki Moon should all mandate that where possible, Afghans -- including their businesses, NGOs and products -- should implement and directly benefit from aid projects.

Obama didn't mention Afghan women in his speech. Funding women-led NGOs, women's education and job training and hiring women can help raise their status. Outside the capital, not much has changed for Afghan women.

Because of cultural traditions, many rural women stay home for lack of security or because of their husbands' demands. The U.S. could transition resources to the Afghan justice system to properly enforce laws about rape and domestic violence, and ensure that girls younger than 16 are not forced to marry.

The president rightly mentioned the importance of the Pakistan border. More resources must be transferred to securing the Pakistan-Afghanistan border. This is easier said than done, as U.S. border guards know from their own difficulties of securing the Mexican border. Nonetheless, the international community can increase political pressure on Pakistan to strengthen their border patrols and rid their country of violent extremists such as al Qaeda.

Despite assurances by the president, more troops will not provide more security to Afghans. The mere presence of foreign forces and some of their actions have created more  Taliban recruits and violent extremists.

Instead of starting to bring troops home in 18 months, U.S. and NATO forces must tell internal and regional stakeholders -- publicly or privately -- that there will be a range of time, say 12 to 24 months, when their military presence will cease.

Then, they must apply significant pressure and concrete support for a public, comprehensive peace process. This process must include all interested parties, including the Karzai administration, tribal leaders, the Taliban, women leaders, as well as neighboring Iran, Pakistan and India.

The U.S. mission in Afghanistan can then focus on rebuilding the country the U.S. partly destroyed eight years ago (through air strikes and funding warlords in the Northern Alliance), lifting Afghans out of poverty and making the country less of a haven or recruiting center for extremists.

It's time for a transition from military investments to an economic and civic strategy that supports reconciling and reintegrating Taliban fighters, reducing poverty and rebuilding infrastructure. Obama outlined escalation rather than the needed transition.

The opinions expressed in this commentary are solely those of Ann Wright and Paul Kawika Martin.

@highlight

U.S., NATO need to stop giving Taliban reasons to recruit supporters, authors say

@highlight

Wright and Martin say economic aid and negotiations can succeed instead of troops

@highlight

Allies should plan to withdraw troops but put pressure on for negotiations, they say