(CNN)Americans like to complain about the endless political gridlock in our capital. But if we're honest we need to look in the mirror too. Many of us abandoned the field by not voting in last year's midterm elections. Those of us who did vote elected more fire breathers than bridge builders to Congress.

What's more, when we're invited to tell our representatives what we want, we can be as demagogic as they are. Remember the Town Hall meetings in the summer of 2009, which erupted in shouting matches between citizens and legislators over health care?  Who can forget the Massachusetts woman holding a picture of President Obama defaced to look like Hitler, who demanded to know why former Rep. Barney Frank supported the "Nazi policy" of extending health care to all? His frank response: "Ma'am, trying to have a conversation with you would be like trying to argue with a dining room table. I have no interest in doing it."

Rather than blame our leaders for the dysfunction, we need to change the game.  We can turn to public forums to tackle big issues of the day.

Consider two efforts to move beyond the contentious debate about climate change.

In Washington, the Senate made a splash by voting for the first time to acknowledge that global warming is really happening. Unfortunately, senators couldn't agree on whether humans are changing the climate and what to do about it. Stalemate.

Outside of the Beltway, in Southeast Florida, it's been five years since the region adopted a comprehensive climate action plan with 110 steps aimed at mitigating its dangers and reducing the region's carbon emissions. As research by Dan Kahan of Yale Law School shows, these counties took action not because Floridians are less divided over political issues, or less partisan, or more scientifically literate than the rest of America. No one sang Kumbaya or hugged a polar bear.

Instead, Florida officials engaged their constituents through scores of open forums convened by governments, businesses and community groups. Local leaders appealed across party lines by framing the issue as one of protecting residents from rising sea levels and storm surges, rather than as a divisive referendum on whether to believe in climate science.

Rather than seeing citizens as targets of a political campaign, officials governed with the diverse residents of their community to develop practical solutions that garnered broad support.

"We recognize each other's differences," explained Susanne Torriente, Fort Lauderdale's assistant city manager, "but also recognize that if we work together we can make South Florida more resilient."

Given what Florida accomplished, Gov. Rick Scott's ban on using the terms "climate change" in state policy discussions to avoid polarization looks smart, not smarmy.

Florida is not alone.  Our research identifies many successful examples of political deliberation in well-designed forums where citizens and officials engage in give-and-take discussion and arrive at solutions. These forums have developed "participatory budgets" in many cities, energy policy in Texas and Nebraska, community policing in Chicago and much more.

Some of these forums are healing the rotting roots of democracy.

For example, gerrymandering of political districts has become one way to protect the party in power and create safe seats for incumbents, sapping their incentive to represent constituents from the opposing party or craft bipartisan legislation. As a North Carolina state senator once said, "We are in the business of rigging elections."

In response in 2010 Californians used their power to approve ballot initiatives to create a nonpartisan Citizens Redistricting Commission, which redrew political districts that better reflected the state's communities and helped elect a legislature that could work together more productively. This is one reason why the state's budgeting process, once an endless game of chicken that paralyzed public services and rang up huge deficits, has become less rancorous and more fiscally responsible.  Let's hope the Supreme Court doesn't kill this reform.

But not every ballot initiative is as enlightened. Many are highly technical proposals pushed by special interests, and multiple initiatives can overwhelm the public's ability to evaluate them all. Oregon's legislature responded by creating a Citizens Initiative Review Board, which researches proposed ballot measures, deliberates about their pros and cons, and makes recommendations on how fellow citizens should vote. Many Oregonians rely on the board's recommendations, which are published in the state's voter guide and mailed to every household.

Unlike politics as usual (and those infamous Town Hall meetings), these forums put citizens at the center of decision-making.  Citizens are challenged to deliberate with each other and forge agreements, with officials and experts joining the effort by giving testimony and feedback. Moderators challenge people to treat other respectfully and consider a wide range of arguments and evidence, rather than engaging in hand-to-hand political combat.

Grandstanding and obstructionism don't play as well in these forums as they do on the Senate floor, partisan media outlets or the local tavern. It's still politics, but it's a politics that offers better odds of success by engaging both citizens and officials productively. The people who participate, many of whom regard typical public meetings like Ebola, say they actually enjoy talking politics with other citizens and officials, sometimes for the first time in their lives.  Can you imagine that?

While there are experts who know how to design good forums, it's no easy task. As the health care Town Hall Meetings showed, simply throwing open the doors is not sufficient. Most people don't have the time to attend a forum, so they need to know whether people like them deliberated and the rules of engagement were fair. It's important to ensure that citizens can participate on equal terms.

If we want to move beyond political stalemate, we should strengthen these innovative forums for citizens to deliberate with each other and officials. When these forums work, they put citizens and leaders on the same side of the chessboard.

@highlight

Americans like to complain about the political gridlock in Congress where nothing much gets done

@highlight

Christopher Karpowitz and Chad Raphael: Public forums can be used to successfully tackle big issues