(CNN) -- It was an odd sight in Ethiopia's capital this week: a standing ovation for Sharif Sheikh Ahmed, the man whom Ethiopian forces had removed from power in neighboring Somalia two years ago.

Sharif Sheikh Ahmed, Somalia's new president, answers questions at the African Union summit in Addis Ababa.

He once led the Islamic Courts Union, which ruled much of Somalia in 2006 before it was routed by the Ethiopians. Now, Ahmed is the leader of Somalia's U.N.-backed transitional government -- and two days after his election to the post of president, he was welcomed with open arms at an African Union summit in Ethiopia's capital, Addis Ababa.

Two years after the invasion and the guerrilla war it provoked, Somalia has in some ways come full circle. Islamist militias control the country's capital and other key cities; the transitional government is trying to establish a foothold from outside the country; and Ahmed -- commonly known as "Sheikh Sharif" -- is in a position of power.

But several analysts who have studied the region say the new government is in a much stronger position to establish itself inside Somalia and restore order to a country that has been mired in chaos for the past two decades.

"The ascendancy of Sheikh Sharif provides an opportunity to create an inclusive coalition governing from the center outwards," said John Prendergast, co-chairman of the Enough Project, who studies the Horn of Africa for the Center for American Progress think tank.

The transitional government is currently stranded in Djibouti, unable to return to Somalia after its base in Baidoa was seized last week by Al-Shabaab, a radical Islamist militia with ties to al Qaeda. Ahmed now stands at a crossroads between quelling the militia, which once was aligned with the ICU, and including more moderates in his future government, Prendergast said.

"The fulcrum for change is in the hands of Sheikh Sharif's government," he said. "If he is able to put together an inclusive government -- even if it's only on paper, even if it's only in Djibouti -- I think it will quickly defuse any fervor of support for Shabaab."  See a list of Somalia's key players »

Rise of Al-Shabaab

Al-Shabaab fighters took control of Baidoa hours after the remaining Ethiopian forces withdrew under a June 2008 cease-fire deal. Rashid Abdi, a Somalia analyst for the International Crisis Group, said the loss of Baidoa is "a clear indication that the transitional federal government has lost any grip -- whatever grip it had -- in Somalia."

But Prendergast said the radical Islamist militia will most likely lose support among Somalis now that its "rallying cry" of getting the Ethiopian forces out of Somalia is gone.

"What the Islamists did was, they wrapped themselves up in the mantle of Somali nationalism and, for the last two years, they have hitched their star to throwing the Ethiopians out," he said.

Prendergast predicted that Al-Shabaab fighters "will sustain themselves for awhile and temporarily expand, but I don't envision it to be a long-term prospect at all."

Last year, the United States put Al-Shabaab -- which means "The Youth" -- on its list of terrorist groups. Analysts say Al-Shabaab models itself after the Taliban's puritanical Islamic rule.  See a timeline of recent events in Somalia »

Stig Jarle Hansen, a Nairobi, Kenya-based expert on Somalia for the Norwegian Institute for Urban and Regional Research, said Al-Shabaab fighters have been trained in Afghanistan, and the group has "clear connections" to al Qaeda.

There has been evidence that the group has extended its reach into the United States, as well.

The FBI is investigating what appears to be a massive recruitment effort by Al-Shabaab in the United States' Somali communities, particularly in Minneapolis, Minnesota, where more than a dozen young men of Somali descent have gone missing in recent months.

One member of Minneapolis' Somali community, Shirwa Ahmed, 27, blew himself up in an apparent suicide bombing in northern Somalia in October.

Also, hours before U.S. President Barack Obama took the oath of office in January, the FBI was warned of a possible terrorist attack by Al-Shabaab that was timed to coincide with his inauguration.

Prendergast said he expects Al-Shabaab's overseas ties to dry up now that its "clarion call" against Ethiopian forces is no longer valid.

"Now that that fight is over, I don't see that money continuing, and I don't see the recruitment from Somalis like places from Minneapolis to continue successfully," he said.

And Ken Menkhaus, a Davidson College professor and former adviser to U.N. missions in Somalia in the 1990s, said the militia's efforts to govern the territory it holds in southern Somalia has had mixed results, alienating many Somalis by imposing hardline Islamic law. Al-Shabaab now has to justify its continued presence "on the basis of what it's for -- and what it's for is not very popular among Somalis," Menkhaus said.

The group is fraught with internal divisions and has already clashed with other militias over control of key neighborhoods in Mogadishu, he said. But if Al-Shabaab did manage to establish a government, there would be a "genuine fear" that al Qaeda could try to gain a foothold there.

"It would guarantee proxy wars and conflicts between Somalis and non-Somalis that would just perpetuate this conflict," Menkhaus said.

Military intervention in Somalia?

The United States has conducted periodic airstrikes against Islamist leaders since 2006 and has long viewed Somalia as a possible haven for al Qaeda. But military intervention would not only be unpopular, it would only empower Al-Shabaab by handing it back its "raison d'etre," Prendergast said.

"You don't immediately confront a group like this -- they are at their high point," he said. "You fight it politically and draw support slowly and patiently ... for clans and organizations in Somalia that don't really want them there.

"Area by area, they'll kick them out, unless they make the mistake of sending U.N. troops."

Susan Rice, the new U.S. ambassador to the United Nations, told U.S. senators during her confirmation hearing that the situation in Somalia "has the potential to pose a serious and direct threat to our own national security." But she also expressed skepticism about the wisdom of sending in a U.N. peacekeeping mission to replace an existing African Union force, calling instead for more efforts by Somalia's neighbors and the international community to promote national reconciliation.

J. Anthony Holmes, director of the Africa program for the Council on Foreign Relations, said there is "little appetite on the ground for sustained engagement" in Somalia. But because of its clan-based society, it is unlikely the country would emerge as "a breeding ground for terrorism," he said.

Holmes said U.S. policy should focus more on longer-term issues -- such as addressing humanitarian and economic issues in the impoverished Horn of Africa country, where years of civil war and near-anarchy have left 1 million people displaced and 3 million needing food aid.

The U.S. intervention in Somalia in the 1990s, in which Somali militiamen killed 18 American service members during a failed attempt to capture a Mogadishu warlord, had a chilling effect on U.S. policy toward Africa.

Author and policy-maker Jared Cohen writes in his book, "One Hundred Days of Silence: America and the Rwanda Genocide" that the "catastrophe in Somalia was the catalyst for this unspoken decision not to intervene in places like Rwanda."

As the new Obama administration gets its Africa policy in place, Washington is in a good position to exert some leverage in Somalia, Prendergast said.

Previous U.S. counterterrorism efforts worked "at cross-purposes" with efforts to promote long-term stability and provide humanitarian aid, according to Menkhaus. He recommended that Somali leaders be given room to either marginalize or co-opt the opposition on their own.

"I personally think that they will, if left to their own devices," Menkhaus said. "But Somalis are never left to their own devices."

CNN's David McKenzie and Matt Smith contributed to this report.

@highlight

Moderate Islamist is new leader of war-torn Somalia

@highlight

Moderate leader has chance to form inclusive government, analyst says

@highlight

Radical Islamist group still controls parts of Somalia

@highlight

With departure of Ethiopian troops, radical Islamists lose rallying cry