(CNN) -- The United States is an exceptional nation. As a people, we are not bound by blood, nationality, ethnicity or religion. Instead, we are connected by the core belief that it does not matter where you came from; it matters only where you are going. This belief is what makes our country unique. It is also what makes education critically important, more so today than ever.

While our political leanings may be different, our careers have taught us that education is inextricably linked to the strength of this country and our leadership in the international community.

Today, globalization and the technological sophistication of our economy are widening already troubling socioeconomic disparities, rewarding those who acquire the right skills and punishing brutally those who do not. Much is at stake.

It is not hyperbole to say that the state of education in our country is a challenge to our national security. Human capital has never been more important for success in our increasingly competitive world economy. Yet, although the United States invests more in education than almost any other developed nation, its students rank in the middle of the pack in reading and toward the bottom in math and science. On average, U.S. students have fallen behind peers in Korea and China, Poland and Canada and New Zealand. This puts us on a trajectory toward massive failure.

Our schools simply must do better. It is essential, too, that we provide a base of knowledge for our students in order to produce citizens who can serve in the Foreign Service, the intelligence community and the armed forces. The State Department is struggling to recruit enough foreign language speakers, U.S. generals are cautioning that enlistees cannot read training manuals for sophisticated equipment, and a report from the XVIII Airborne Corps in Iraq found that out of 250 intelligence personnel, fewer than five had the "aptitude to put pieces together to form a conclusion."

Schools of Thought blog: Report calls education a national security issue

For the United States to maintain its role of military and diplomatic leadership, it needs highly qualified and capable men and women to conduct its foreign affairs. Knowledge of the world and of foreign languages is essential.

Finally, we must also foster a deeper understanding of America's core institutions and values. Successfully educating our young people about our country, its governmental institutions and values — what is sometimes called "civics" — is crucial to our coherence as a population and for informed citizenry.

A year ago, we brought together leaders in education, politics, business, academia and the armed forces and diplomatic communities to assess the nation's educational challenges in the context of national security. We believe education is posing direct threats to our nation: to economic growth, to intellectual property and competitiveness, to the protection of U.S. physical safety and to U.S. global awareness, unity and cohesion.

Based on our consultations with these leaders, we offer three recommendations that build upon our core American strengths and the work already under way in schools, districts and states across the nation. America must compete successfully globally, but reform must have a distinctly American character, tapping our creativity, capacity for innovation and the power of competition. Our recommendations are as follows:

• Implement educational expectations and assessments in subjects vital to protecting national security. States should expand the Common Core State Standards and implement assessments that more meaningfully measure student achievement. Children in every state must have strong foundations in science, technology, and foreign language, and skills like creative thinking and problem solving if they are to be competitive nationally and globally.

• Make structural changes to provide all students with meaningful choices. States and school districts should give parents a much wider range of educational options so children are not trapped in failing schools. Choice is especially important for poor parents who are more likely to live in districts with underperforming schools; mobility gives these children vital options. Enhanced choice and competition among schools, in an environment of equitable resource allocation, will fuel the innovation necessary to transform results.

• Launch a "national security readiness audit" to hold schools and policymakers accountable for results and to raise public awareness. We need a stronger and more coordinated effort to assess school-level information — from basic educational outcomes, like the proportion of students passing courses and graduating from high school to specific national security-related skills, such as mastering foreign languages and computer skills.

America's greatest strengths stem from the freedom to innovate, create, compete and succeed. Without a wide base of educated and capable citizens, our strengths will fade, and the United States will lose its capacity to lead in the international community.

We embarked on this project because we believe the crucial question for our generation is whether, on our watch, the American dream becomes the American memory.

We hope and believe that if the country refocuses and reprioritizes, the American dream can be sustained for future generations.

The opinions expressed in this commentary are solely those of Joel I. Klein and Condoleezza Rice.

@highlight

Condoleezza Rice and Joel Klein: Education essential to America's strength, yet nation lags

@highlight

They say education also key to national security; human capital important in world competitivess

@highlight

They say knowledge of the world, U.S. civics, foreign languages crucial for leadership

@highlight

Writers: U.S. must expand core standards, offer school choice, teach languages, computer skills