(CNN) -- No one ever expected the humble pencil to kickstart a revolution. But, by peeling apart pencil graphite into atom-thick layers using regular adhesive tape, two Russian-born scientists, Andre Geim and Konstantin Novoselov, earned a Nobel Prize in 2010. With it, they sparked the beginnings of a material that could change the world.

It is no exaggeration to say that graphene, the substance that the two scientists -- along with others -- discovered in 2004, is a miracle material. Now a Korean research lab may have made the leap from theoretical to practical with the development of a new way to synthesize it, potentially on a commercial scale.

The substance, "the perfect atomic lattice," boasts a number of hugely attractive properties, meaning it has the potential to be used in myriad industries, and for a huge range of purposes.

Attractive properties

As well as being super-strong -- 20 times stronger than diamond, 200 stronger than steel and six times lighter -- it is also remarkably conductive, both electrically and thermally.

If that wasn't enough, it is also almost perfectly transparent, impermeable to gas, and its properties are, scientists say, easily alterable.

Graphene is one form -- an allotrope -- of carbon, the basis of all life on earth. More familiar carbon allotropes include diamonds and graphite. What makes it unique is its thinness -- at one atom thick it is as good as two-dimensional. Its flexibility means that it could potentially be used for flexible or wearable devices.

"Graphene has a lot of potential, especially in terms of industrial applications for optical and electronic devices," says Ping Sheng, a Professor of Nanoscience at Hong Kong University of Science and Technology.

"The caveat is really in the quality of the graphene that can be produced on a large scale ... If they can overcome that then it will be a big breakthrough."

Another byproduct of its remarkable thinness is its low weight. It could be used to create ultra-light components for, say, the aviation industry, dramatically reducing the weight of aircraft -- and thus significantly improving fuel efficiency -- without compromising strength or integrity.

The substance is so versatile that it has even been touted as the future of condoms. The Bill and Melinda Gates Foundation last year awarded a $100,000 grant to fund the development of graphene prophylactics.

Drawbacks

Currently, its limitations include the fact that its conductivity can't be turned "off," meaning that as a semiconductor it is useless, although researchers are experimenting with the substance to figure out a way around this problem. One possible fix could be to build artificial breaks in the substance, allowing for circuits to be opened and closed, or to alter its properties with the use of chemicals.

If this deficiency can be overcome, however, graphene could be used in a huge range of devices as a super-fast replacement for silicon transistors, which are already reaching their capacity. Graphene has one hundred times the electron mobility of silicon.

Another limitation comes in the form of its production -- currently it can only be synthesized in small crystals. While this is enough for researchers to test its properties and understand the tantalizing benefits of the material, it is not sufficient to produce it for mass commercial use. But with an announcement made last week, all this could change.

Public- and private-sector funding

Governments and the private sector are actively exploring the potential of the substance, with the EU devoting â‚¬1 billion ($1.3 billion) to it between 2013 and 2023, funding research which could potentially transform a range of sectors, including electronics, energy, health and construction.

The Samsung Advanced Institute of Technology last week announced it had developed "a breakthrough synthesis method" of producing graphene, and the hopes are that this will pave the way for the commercialization of the material. The results were published in the journal Science.

Samsung sees graphene as the "perfect material" for next generation device, and the breakthrough could have huge implications for its commercial production.

"This is one of the most significant breakthroughs in graphene research in history," researchers said in a statement released by the company. "We expect this discovery to accelerate the commercialization of graphene, which could unlock the next era of consumer electronic technology."

In partnership with with Sungkyunkwan University, the Institute has pioneered the growing of large-area, single crystal wafer scale graphene. Previously, small graphene particles had been combined to form large-area graphene, but the process diminished both the mechanic and electric effectiveness of the substance.

The material's conductivity would make charging a device take a matter of seconds, and its strength, durability and flexibility would allow Samsung to truly innovate with a whole range of new devices and ways to interact with technology.

It has not been revealed if Samsung plans to make the groundbreaking synthesis process public, a move that would rapidly accelerate the adoption of graphene into daily use.

However, Sheng thinks that it won't be long before the process is widely available. "I don't think they can keep it proprietary very long, even if they want to ... This will start many factories around the world doing the same thing."

READ MORE: Graphene: The nano-sized material with a massive future

READ MORE: Graphene: 'Miracle material' will be in your home sooner than you think

Correction: We erroneously stated that carbon was the most abundant element in the universe. This has since been removed.

@highlight

The "miracle material" graphene is super-light, super-conductive, and super-strong

@highlight

Samsung's research unit announces new way to synthesize material, potentially opening the door to commercial production

@highlight

Graphene has the potential to transform a huge range of industries