(CNET) -- Yahoo's Victor Tsaran knows how much time Web designers spend agonizing over color and font-width choices when laying out an application. So when he started Yahoo's accessibility push two years ago, he had a tough time arousing sympathy for engineers grousing about how much extra time was needed to create accessibility features.

Fortunately for Tsaran, Yahoo's accessibility manager, he's running into that problem less and less.

Web designers are starting to take accessibility as seriously as button placement or heading layout when they develop their products, improving the Web experience not only for people like Tsaran -- who lost his sight at the age of five -- but for Web users in general.

"We're seeing a lot more awareness and involvement in Web accessibility than we did a few years ago, particularly among big companies," said Judy Brewer, director of the Web Accessibility Initiative (WAI) at the World Wide Web Consortium. "It's becoming a solid business expectation that Web sites need to meet the needs of all users."

At the two biggest Internet companies in the world, accessibility is seen as an increasingly important part of what they do.

Yahoo requires every new hire to receive accessibility training from Tsaran and Alan Brightman, senior policy director of special communities. And it books engineering teams for tours of their Accessibility Lab.

Google recently rolled out a service that will let YouTube users add captions to their videos, and believes that as the Web moves more from an era of presentation to an era of two-way "data-driven" communication, accessibility becomes even more important, said Jonas Klink, accessibility program manager.

Web accessibility has come a long way in the decade since many of these proposals were first floated.

It's still a challenge, however, for the Web community to remember that as it pushes forward with exciting new technologies like HTML5 that could reinvent the Internet experience, it must keep in mind the needs of those who can't type 60 words per minute, operate a mouse like a scalpel, or see the unobtrusive pop-up windows that point to the next destination on the page.

"As the Web gets more and more dynamic, the accessibility requirements get more and more interesting, and sometimes challenging, to implement," Brewer said.

The challenges

There are about 60 million people in the U.S. who can't use a computer to get on the Internet in the normal fashion, said Yahoo's Brightman. For those people, a mix of screen reader software, keyboards with special buttons, and even motion-sensing Web cameras must take the place of the mouse and QWERTY keyboard.

That can cause problems for Web designers who rely too heavily on mouse navigation, or who design pages with special multimedia whiz-bang effects that look cool only to the people that can see them.

"There can be an assumption of homogeneity on the Web," said Naomi Bilodeau, technical program manager for Google.

Users of screen readers -- software that essentially reads out loud a description of text, links, and buttons on a page -- are confounded the most by Captchas and Flash Web pages, according to a recent survey of screen-reader users conducted by WebAIM.

But simple things like photos or images can also create problems if the Web publisher doesn't add alt text to those photos, or relies primarily on images as a way of explaining what is happening on the page.

And as Web designers push forward with Javascript and AJAX-based technologies that overlay Web content over the primary Web page, there's great potential to confuse screen readers.

The good news is that most of these problems aren't as much technology issues as design issues; content created with things like Flash can be made accessible if designers start off with that principle in mind.

"There are a bunch of things (in Web design) that are not features," said Nicholas Zakas, principal front-end engineer for Yahoo's home page, meaning that while you can jazz up a page all you like with additional features, there are certain things that should be standard fare. "Performance is not a feature, internationalization is not a feature, and accessibility is not a feature."

However, features can make the Web more accessible. As mentioned, Google recently rolled out automatic captioning software for YouTube videos, making it much easier for deaf people to enjoy the world's largest collection of cute cat videos.

The automatic captioning technology is being rolled out first on YouTube's Educational channel, allowing deaf or hearing-impaired people to take advantage of distance learning programs or other educational systems.

It's most definitely a work in progress, but with refinement could really add to the amount of knowledge that can be consumed by disabled people.

"I wanted this so badly (that) it's good enough, I don't care if there are some bad captions," said Google's Ken Harrenstien, a deaf software engineer who played an instrumental role in bringing the project to life.

The reasons

There are no explicit laws that companies design Web sites to be accessible to the disabled, but many disability experts and Web companies believe that portions of the U.S. Americans with Disabilities Act of 1990 do apply to the Internet, despite having been written several years before the Web emerged as a mainstream phenomenon.

And in order to do business with the U.S. government, companies must comply with Section 508 of the Rehabilitation Act, which insists that electronic and information technology products sold to government agencies be designed with disabled employees in mind, and that government services produced by contractors consider disabled citizens in equal measure.

But these are businesses, after all: Yahoo's Brightman estimated that there's about $220 billion in discretionary spending available to disabled people. Making a Web site accessible to as many people as possible isn't just the right thing to do, it also makes business sense, he said.

Also, with a rapidly aging population in many parts of the world -- notably the U.S. -- accessibility requirements will become useful for today's crop of baby boomers as they grow older.

People over 65 are increasing their use of the Internet, according to Nielsen, and features designed for accessibility could aid those who aren't technically disabled but wouldn't mind a little extra help.

The future

The immediate challenge for those working on Web accessibility is to ensure that accessibility standards are not trampled in the rush to finalize the HTML5 collection of standards that Google and other Web browser companies are currently debating.

Brewer said it's "extremely important to be sure that HTML5 can support accessibility fully," and her group is working closely with the other parts of the W3C to realize that goal.

But beyond that goal, Web accessibility advocates have reason to feel optimistic about their cause. Long-awaited technologies like sophisticated speech recognition are finally coming to fruition after decades of joking about how such capabilities were just two years away. And 46 percent of respondents to the WebAIM survey reported that Web content has become more accessible in recent years.

"Anybody should be able to use anything on this page," said Yahoo's Zakas, keeper of the all-important Yahoo.com page. "If anybody can't use it, it shouldn't be there."

© 2010 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Web designers are starting to take accessibility very seriously

@highlight

About 60 million people in U.S. can't use the Internet in the normal fashion

@highlight

Photos or images can create problems if publisher doesn't add alt text

@highlight

Sophisticated speech recognition technologies are finally coming to fruition