West Pittston, Pennsylvania (CNN) -- The swollen Susquehanna River began receding in northern Pennsylvania on Friday as authorities there and in other eastern U.S. states hit by the remnants of Tropical Storm Lee surveyed the damage.

The Susquehanna appeared to crest at 42.66 feet at Wilkes-Barre, said Charles Ross with the National Weather Service in State College, Pennsylvania. Earlier, officials had said the river crested there at 38.83 feet, but that estimate was based on a faulty flood gauge, said Ross.

"Unofficially, it appears to be a crest of record," he said, surpassing the previous high set by Hurricane Agnes in 1972.

Flood stage there is 22 feet, according to the National Weather Service.

While the flood-engorged Susquehanna crested in some Pennsylvanian and New York cities, other communities braced for still-higher water levels.

The tropical moisture brought floodwaters that have left at least four people dead, caused widespread damage, and prompted police and the National Guard to patrol neighborhoods in an effort to ward off looters.

On Thursday, President Barack Obama signed emergency declarations for Pennsylvania and neighboring New York, making federal resources available to respond to the flooding and its aftermath.

New York Gov. Andrew Cuomo surveyed some of the hardest-hit areas of his state Friday.

"There's no doubt that there is significant damage," he said. "My guess is that there will be thousands of homes that will have sustained damage when all is said and done -- hundreds of businesses."

Cuomo said officials were moving from emergency operations into an assessment phase, but warned residents to remain vigilant.

"Stay off the roads. It's not yet time to go home. The water hasn't receded," he said.

In Luzerne County, in the northeastern part of Pennsylvania, between 65,000 and 70,000 people were ordered to leave their homes as the Susquehanna rose above flood stage, according to Emergency Management Coordinator Stephen Bekanich.

The valley has a levee system that tops out at 41 feet, said Drew McLaughlin, a spokesman for the Wilkes-Barre mayor's office.

McLaughlin and other officials were examining the levees.

"We're closely monitoring, and it seems they are holding steady," he said.

"It's pretty much a ghost town," McLaughlin said from south downtown, adding that residents appeared to heed the call to leave.

Other Luzerne County communities not protected by the system were not so fortunate.

Heavy flooding was reported in West Pittston, Harding and Plymouth Township.

"At this point, we haven't been able to assess that (flooding and damage) because the water is so high," Bekanich said.

Plymouth Township resident Francis Federici was forced to leave his home, which sat in five feet of floodwaters.

"On a normal day, we love it here," he said. "There's nobody around us. We have a beautiful yard. We were fixing our home up."

Luzerne County Commissioner Maryanne Petrilla told CNN that "potentially thousands of homes" have been affected.

Shelter space for 4,100 was rapidly being filled, and the county was looking for more space, she said.

The area from Ithaca to Syracuse to Utica, in New York, and from Wilkes-Barre, to Scranton, to Monticello, in Pennsylvania, continued to experience major to record flooding, said CNN meteorologist Dave Hennen.

An 8-year-old boy died Thursday in East Cocalico Township, Pennsylvania, after he was caught in a storm-water drain, said Cpl. Melissa Arment with the East Cocalico Township police. He was taken to a local hospital, where he was pronounced dead, she said.

A 71-year-old man died Wednesday night in Derry Township, Pennsylvania, as he was bailing water out of the basement of his home and the walls of the structure caved in, said Chief Patrick O'Rourke of Derry Township Police.

A third person drowned early Thursday near Brickerville in Lancaster County, CNN affiliate WGAL-TV reported.

And a fourth person died about 4:30 a.m. Thursday in North Lebanon Township, Pennsylvania, police said. A motorist became stranded in high water and was outside the vehicle when struck by another vehicle, which then left the scene. The suspect and that vehicle were found, authorities said.

Elizabethtown, Pennsylvania, had received an incredible 15.37 inches of rainfall associated with Lee.  At least six other communities had rainfall totals exceeding 10 inches.

Many in the area recalled the flooding caused by Hurricane Agnes in 1972. That storm dumped as much as 18 inches of rain on the area in two days, destroying more than 68,000 homes and 3,000 businesses, and leaving 220,000 Pennsylvanians homeless.

In Bloomsburg, Pennsylvania, CNN iReporter Nick Bohacz said flooded roads prevented him from getting to work. Bohacz, who sent in several photos of the flooding, said he saw a line of people outside a hardware store waiting for supplies.

The rising Susquehanna and Chenango rivers were also triggering evacuations in upstate New York, where evacuation orders were issued for portions of Binghamton and the towns of Conklin, Endicott, Johnson City, Union and Vestal, according to CNN affiliate YNN-TV. Numerous cities and counties declared a state of emergency.

Video from Johnson City showed a flooded shopping mall and a football field with water nearly up to its goalposts.

Water was coming over the flood walls in Binghamton, county spokeswoman Colleen Wagner said. About 15,000 people were ordered to evacuate, and about 1,400 were in shelters, she said. State officials sent in food and water.

A number of boat rescues have taken place, she said, but she did not know how many.

Broome County Emergency Services Director Brett Chellis urged people in the evacuation areas to leave and not return for now. Water was topping flood walls in Union and Vestal as well as Binghamton, he said.

In Otego, New York, about 50 miles northeast of Binghamton, CNN iReporter Don Wyckoff captured footage of water cascading down a road. Wyckoff said he was stunned after watching neighbors and family members lose their homes to the floodwaters.

"You are seeing the tiny mill creek rip out culvert pipes and tearing away roads," he said. "We never thought we would see this again. It happened in 2006, but it is worse now."

In Oneonta, on the Susquehanna upstream of Binghamton, Police Chief Gary O'Neill said some roads were washed out and parks flooded, but the water appeared to be receding. On the down side, water was flooding the chief's home in Binghamton.

Mandatory evacuations were also in place for low-lying areas near Schenectady, New York, YNN said. In neighboring Montgomery County, authorities closed all roads and county buildings, saying only emergency vehicles would be allowed to travel.

The New York State Thruway Authority opened and closed several roads and ramps.

In Maryland, areas near Baltimore were also affected. High water blocked dozens of roads in Baltimore County, according to CNN affiliate WMAR-TV.

The Prince George's County, Maryland, Fire and EMS Department said it was responding to numerous emergency calls, and nearly two dozen people had been rescued or helped by firefighters and the department's swift-water team.

Additional rain is in store for much of the region the next couple of days, with up to an inch forecast through Sunday, according to the National Weather Service. The rain comes on top of the heavy precipitation that has fallen in the region from Hurricane Irene. What's left of Lee stalled across the central Appalachian Mountains and has since drifted into Indiana.

CNN's Chandler Friedman, Ashley Hayes, Phil Gast, Sarah Dillingham, Ines Ferre, Mary Snow, Scott Thompson and Jesse Solomon contributed to this report.

@highlight

NEW: At least four people have died in the flooding so far

@highlight

NEW: The Susquehanna River crests nearly 21 feet above flood stage

@highlight

NEW: New York Gov. Andrew Cuomo: "There's no doubt that there is significant damage"

@highlight

Wilkes-Barre officials say they believe the levees will hold