(CNN) -- Sometimes a number can put a complicated truth in simple terms. Here's one: 20%. A child whose family budget is controlled by the mother is 20% more likely to survive.

Why? Women know what's best for their families. They make health care, nutritious food and education priorities. But most women in developing countries don't control household budgets, and many also don't control the circumstances of their own lives. If women everywhere had the power to determine their futures, the world would be forever transformed.

This week I will attend the Women Deliver conference in Kuala Lumpur. I'll be joined by more than 3,000 people who have dedicated their careers to empowering women and girls. The specifics of our work differ, but we're all united by a single, powerful idea: Empowered women and girls will save lives, make families more prosperous and help the poorest countries in the world build stronger economies.

Once you have a child, your career is over? Absolutely not

One key to empowerment—and an issue that's a personal priority for me—is letting women decide when to have children. Right now, more than 200 million women around the world say they don't want to have a child but are not using contraceptives. Some of these women will die from complications of pregnancy. Some will give birth to a child who dies. Many mothers who survive (and have children who survive) won't have the resources to feed or educate them.

More: CNN's 'Girl Rising'

Take, for example, a girl in Niger, where 75% of girls are married before their 18th birthday. Of course, Niger is small and has the highest rate of child marriage in the world, but there are large countries (including Bangladesh, Ethiopia, India and Tanzania, with a total of 1.5 billion people) where more than 40% of girls become brides.

What happens to a child bride from one of these countries? If she can't use contraceptives, she gets pregnant, leaves school and probably never goes back. If she continues having children one after the next—"one on the back and one in the belly," as women have said to me—her health will deteriorate, along with the health of her babies. By the time her children are school age, they are likely to be malnourished and stunted, so even if they go to school, they won't be ready to learn. Unfortunately, there's a real probability that this very same cycle will start again.

However, if these girls don't get pregnant and are able to stay in school, everything changes. They will be healthier. Their children will be healthier. Because they finished their schooling, they will be able to earn more money. That money will stretch further, because they will be supporting a smaller family. Their children will be set up to lead a better life than they did, which is the goal of every parent I know.

More: Christiane Amanpour's open letter to girls of the world

Last year, at the London Family Planning Summit, the world came together on a goal to reach 120 million more women and girls around the world with the family planning options they want for their families. Since then, almost two dozen countries have developed plans to make sure women have access to contraceptives.

Family planning is just the start. Women who have the power to decide when to get pregnant also must have the power to vaccinate their children, feed them healthy food and pay their school fees. Each of these things is a link in a chain of good health and prosperity.

Take agriculture. The vast majority of the world's poorest people farm small plots of land to grow their food and earn an income. Women do the majority of the agricultural work across Africa and South Asia, but they don't have equal access to information and farm supplies. As a result, plots of land worked by women generate lower yields than plots worked by men—as much as 40% lower.

If women can get the right training, high-quality seeds and access to irrigation and fertilizer, they will be able to grow more and more nutritious food while producing a surplus they can sell for a profit. Those are resources they can convert into a better life for their children.

Women Deliver is organized around the conviction that women and girls can start a virtuous cycle of development. They just need a little support to get it started. They need to be able to plan their pregnancies. They need to be able to grow enough food to support their families. Once these basics are in place, the only limit is women's ambition for the future.

The opinions expressed in this commentary are solely those of Melinda Gates.

@highlight

Melinda Gates: In developing world most women don't control home budgets, reproduction

@highlight

She says when they do, kids fare much better on health, education, prosperity.

@highlight

She says giving women power over reproduction, vaccination breaks cycle of mortality

@highlight

Gates: Proper training gives women edge in agriculture; this converts to better life for family