(CNN) -- Modern travel is an intensely visual experience.

We feast our eyes on glossy guidebooks before bombarding Facebook and Instagram with our oh-so stylish shots of footprints on empty beaches, stunning sunsets and that weird thing we found in the pool.

But in our efforts to soak up the sights and stuff our hard drives with selfies, we may be neglecting another vital element of the travel experience -- sound.

That's the worry of Trevor Cox, a British acoustic engineer who, armed with a microphone and digital recorder, has spent several years earwigging his way around the planet in search of what he calls its "sonic wonders."

"We're used to going on our travels and looking out for beautiful vistas and wonderful architecture, but we tend not to think about the sound," says Cox, who was struck by the notion of exploring a wider world of sound while investigating echoes in, of all places, a London sewer.

"So then I began to think about where I would go if you wanted listen to the most remarkable sounds in the world and I was surprised to find there was relatively little information," he tells CNN. "That's when I thought I should gather it myself."

More: Big thrills -- 50 ways to be a daredevil

Cox has documented his adventures in audio in the newly published "The Sound Book" (released as "Sonic Wonderland" in the UK) -- a fascinating journey which, over several years, takes him from scorching desert sands to slimy subterranean chambers.

He also runs a website aimed at encouraging others to explore sonic wonders and engage in "sound tourism," and points out that since most travelers carry cell phones, they're already equipped with powerful recording devices.

"It's all about making yourself aware and thinking as you wander around about what you are going to catch -- but all you really need to do is listen."

It's about time to make some noise about sound tourism.

With the aid of Cox, we've compiled a list of the world's best sonic destinations.

Singing sands (California)

Where: Kelso Dunes in California's Mojave Desert

What: When in contact with sliding humans, peculiarities in the sand produce deep parping sounds resembling propeller aircraft or sousaphone accidents.

Cox says: "This one was always high on my bucket list. You need the right sort of dune with the right size sand grains. When you scoot down on your backside you get this weird droning."

Stay: Hotel Nipton. Rustic but charming establishment that offers rooms with shared bathrooms and eco-lodges. 107355 Nipton Road, Nipton; +1 760 856 2335

Hear the sands

Bearded singing seals (Norway)

Where: Svalbard, a bleak Norwegian archipelago of ice-capped mountains and fierce polar bears way out in the Arctic Ocean

What: Mind-bending, sub-aquatic sci-fi effects produced by hairy-faced sea mammals to woo their mates -- a soundscape worryingly similar to the tinnitus hangover of a Motorhead gig.

Cox says: "They don't really sound like animals, they sound like UFOs coming in to land -- they make this extraordinary noise that lasts about a minute."

Stay: Polar Hotel. Efficient chain hotel with spectacular fjord views and even more spectacular prices (this is Norway). Longyearbyen 9171, Spitsbergen; +47 79 02 34 50

Hear the seals

Chirping Mayan pyramid (Mexico)

Where: Temple of Kukulcan, Chichen Itza, Yucatan, Mexico

What: Clap your hands in front of this 1,100-year-old structure and you'll hear an echo not unlike the sacred quetzal bird.

Only disturbing if you've seen the 2008 film "The Ruins," in which sound-mimicking vines devour feckless tourists atop a Mayan pyramid.

Cox says: In his book, Cox asks whether the echo was a Mayan design reflecting sophisticated acoustic knowledge: "Imagine an ancient Mayan priest presiding over a ceremony and, with great theatricality, summoning the sound of the quetzal bird by clapping his hands."

Stay: If you want to avoid staying with the crowds in Chichen Itza, the Yucatan's culturally lively capital of Merida is just down the road. The Villa Merida is a tranquil converted colonial mansion set around an airy courtyard. Merida-Uman, Merida; +52 999 928-8466

Hear the pyramid

Gong rocks (Tanzania)

Where: Moru Kopjes, Serengeti National Nark, Tanzania -- and other sites across Africa

What: Not a prog rock group, but one of several eons-old boulders that produce mellow notes when whacked with smaller stones.

Tonally, their range can be a bit on the monotonous side, but the fact that it probably resonates back to the dawn of civilization helps raise neck hairs.

Cox says: "Among the earliest evidence we have of what our ancestors might have listened to is left over bits of musical instruments like these rock gongs."

Stay: You'll need pockets big enough to hold a gong rock to afford to stay in the swanky safari camps of the southern serengeti. Asanja Africa (+255 78 822 1440) is typically luxurious.

Hear the rocks

Whispering gallery (India)

Where: Gol Gumbaz mausoleum, in Bijapur, a town in southwestern India's Karnataka state

What: This majestic, rose-domed structure built in the 1600s features one of the best examples of a whispering gallery -- an elevated architectural echo chamber that seems to sample human voices and loop them repetitively in the style of a 1960s horror flick.

Hugely entertaining.

Cox says: In "The Sound Book," Cox writes: "With children enjoying yelling and listening as their voices repeat over and over again, the atmosphere is like a crowded day at the swimming pool."

Stay: Humdrum hotels abound in Bijapur, but head south and you'll find Badami. The Krishna Heritage looks like a retirement village but pulls in good reviews. Ramdurg Road, Badami; +91 99 01 91 21 27

Hear the gallery

Bubbling mud pots (Iceland)

Where: Hverir, Namafjall, northern Iceland

What: A sulfurous volcanic landscape where noxious gas belches forth from roiling cauldrons of primordial gunge with the fury of a waterfall.

Cox says: "Tumultuous pools of battleship-gray mud bubble at a low simmer," Cox writes in his book. "They seem almost alive; some belch like a thick, gloppy lentil soup while others rage and splatter like an unappetizing gruel on a fast boil."

Stay: Cape Hotel (Laugarbrekka 16, 640 HusavÃ­k; +354 463 3399) is in the tiny fishing town of Husavik. Here you can also pay a visit local museums dedicated to Icelandic history, whales and, of course, penises.

Hear the mud pots

World's longest reverberations (Scotland)

Where: Inchindown oil storage complex/Glasgow's Hamilton mausoleum -- Scotland

What: Cox crawled down slippery pipes to access a vast, empty World War II oil tank built into a Scottish hillside near the town of Invergordon to measure the reverberations within.

Using a starting gun (and a saxophone), he pegged them at a record-breaking 75 seconds.

Sadly, since Inchindown is rarely open to the public, sonic tourists will have to make do with a trip to the previous Guinness record holder, also in Scotland. The grand Hamilton Mausoleum, just outside Glasgow, clocks in at 15 seconds.

Stay: Classy B&B action at 15 Glasgow, in the middle of Scotland's vibrant second city. 15 Woodside Place, Glasgow; +44 141 332 12 63

Hear the Inchindown oil tank echo

Musical road (California)

Where: Avenue G, Lancaster, California

What: A series of grooves gouged into the pavement renders a stretch of the westbound roadway into an instrument that plays the "William Tell Overture" -- also known as the "Lone Ranger" theme -- when vehicles drive over it.

The rhythm is recognizable, but the tune sounds like someone gargling with water in an adjacent room.

Cox says: "It is a very bad rendition of the 'William Tell Overture' -- but it makes you laugh."

Stay: Overnight stays are only for fans of underwhelming chain hotels or tired motels.

Keep driving and you'll hit California's I-5 highway for a drive north for stellar scenery and, you never know, some amazing sounds.

Hear the musical road

@highlight

British acoustic engineer Trevor Cox gathered sounds from the world for "The Sound Book"

@highlight

Sliding down certain sand dunes can produce sounds like a propeller plane

@highlight

Cox has recorded sounds from Temple of Kukulcan in Mexico to bubbling mud pots in Iceland