(CNN) -- Popular literature would have it that the vampire's preferred habitat is Transylvania (or, if you're under 15, the slightly less glamorous Forks, Washington).

But modern day vampire hunters might better focus their attention on a little-known area of northwestern Poland, where earlier this month a suspected vampire grave was exhumed.

Slawomir Gorka, who led the dig at a marketplace in the small West Pomeranian town of Kamien Pomorski, told local website kamienskie.info that several unusual aspects of the burial "indicate that it is a vampire burial".

Teeth had been removed, a fragment of rock was inserted in the mouth, and a leg had been staked (presumably to prevent the body rising from the grave).

And this isn't the first time an interment in Poland has been deemed vampiric. Last July, archaeologists uncovered four decapitated skeletons, their heads placed between their legs, at a construction site in Gliwice, southern Poland. Both the Gliwice and Kamien Pomorski graves are estimated to date back to the 16th century.

The burials may sound gruesome, but they are befitting of early medieval Polish folklore's particularly grisly interpretation of the vampire myth.

"Specific to Polish vampires is that they are known for eating their own flesh and burial garments when they rise from the dead," says Titus Hjelm, who convenes a course on vampires for the School of Slavonic and Eastern European Studies at University College London. He adds that this may explain the stone placed in the mouth of the skeleton.

Fear of vampires was strong among Eastern Europeans in the medieval period.

Professor Martyn Rady, a colleague of Hjelm's, posits the folk tales spread from Serbia to surrounding countries following a report sent by Austrian military authorities to their superiors in Vienna. It told of a mercenary soldier who had been turned into a vampire and infected his victims, who when exhumed from their own graves were found to have fresh blood in their cavities. The report was intercepted before reaching the Austrian capital and published in newspapers.

The Polish had particular reason to fear vampires rising from their graves, Hjelm explains.

"According to some sources, Poles thought that vampires were born, rather than 'made'," he says. "They were normal people who could live normal lives, not aristocrats living in distant castles. The problems only started when these people died. They could come back to live with their families and even impregnate their wives."

This may account for the precautions taken during burial. Hjelm adds the notion of vampires being creatures of the night only appeared relatively recently in the 1922 film "Nosferatu".

However, some experts warn against presuming all such unconventional burials were because of a fear of vampires.

Kamil Kajkowski, an archaeologist with the West-Cassubian Museum in BytÃ³w, northern Poland, admits a number of strange medieval mortuary practices have been discovered during digs in Poland, the most common being those where the body is in the prone position, decapitated, or covered with stones. But the idea is these burials may just as well represent punishment for criminals rather than suspected vampires.

That said, Kajkowski concedes the most recent discovery "is certainly unusual".

"The pierced thigh-bone and a stone inside the mouth clearly indicate that a range of atypical practices with ritual undertones were performed," he says. "(The stone) might reflect the desire to create some kind of supernatural 'barrier' between the dead and the world of the living."

Such peculiar last rites are not confined to medieval Poland. Kajkowski says the last recorded instance of this kind of deviant burial was in 1913. As with the skeletons found in Gliwice last year, the head had been cut off and placed by the legs. "Perhaps such a placement of the head ensured the dead would not be able to 'reach it' and put it back on his neck," he suggests.

Vampiric or not, the strange range of historical graves in Poland indicate the country held deep beliefs around the ritualistic burial of certain citizens. Leszek Gardela, from the Institute of Archaeology at the University of RzeszÃ³w, is currently working on a research project into the phenomenon.

"Unusual mortuary practices have fascinated Polish scholars since the 1950s (when the first were discovered)," she says. "But so far they remain unknown to a wider international audience. It is high time to change this."

6 destinations with a dark side

Send in your best shots from Poland

Read more about CNN's sponsorship policy

@highlight

Exhumed skeleton in Poland revealed unusal bural practices

@highlight

Some believe medieval burial was connected to fear of vampires

@highlight

Vampire folklore strong in the Eastern European country