(CNN) -- In designing modern and sustainable buildings in the United Arab Emirates, architects are taking cues from an ancient Arabic design tradition.

A high-tech shading system running up the facade of the Al Bahar Towers in Abu Dhabi was inspired by "mashrabiya," latticed screens commonly seen in Islamic architecture that diffuse sunlight and keep buildings cool without blocking light.

"Not allowing the sun to land directly on the skin of the building, causing overheating and glare, was a very simple concept," said Abdulmajid Karanouh, the buildings' architect.

"And that's why using the mashrabiya, inspired from the past and inspired by nature, was a no brainer."

Wrapping around most of the 25-story buildings' sides, the screens are arranged as an array of repeating geometric patterns and are computer-controlled to respond to the sun's movement, unfolding like an umbrella when the sun hits them.

The screens fold closed and the automated mechanism shuts off each day after the sun goes down. The north sides of the buildings never receive direct sunlight and are left unshaded by the screens.

In Abu Dhabi, solar rays can heat the outside surface of windows up to 90 degrees Celsius, (200 degrees Fahrenheit). By shielding the glass from the sun, the screens keep the buildings cool, reduce glare and let in diffused natural light.

Using this method, the buildings require less artificial lighting and 50% less air conditioning.

With the desert sun beating down on the cities in the Gulf, solar energy is an important environmental factor in its cities. But desert dust and sand make photovoltaic panels less practical than one would expect in this part of the world.

Karanouh says even a thin layer of dust can reduce the efficiency of solar panels by nearly half, and proper maintenance means regular cleaning using water jets pumping fresh water, a scarcity in an arid country like the United Arab Emirates.

"You might find that you are spending so much energy to desalinate the water and get it to where it needs to be and then clean the panels, you'll find out that that energy may equate or even exceed the energy that you get out of the photovoltaic panels," he said.

In Qatar, the Doha Tower, a striking cylindrical building, was designed along the same lines; it is covered entirely in a latticed screen that uses a multi-layered pattern constructed of aluminum and glass.

Both structures were named as best buildings of 2012 by the Chicago-based Council on Tall Buildings and Urban Habitats, which recognizes sustainable architecture.

The United Arab Emirates is not normally thought of as a leader in combating climate change -- it has one of the highest levels of carbon dioxide emissions per capita in the world, according to the World Bank -- but Abu Dhabi has in recent years drawn attention for its innovative renewable energy building projects.

Most notable is Masdar City, its much-hyped, planned city that is still being constructed, It was originally slated as being a carbon neutral area but now aims for environmental sustainability. The area has green features like a 10 megawatt solar power plant and a 45-meter-tall wind tower that helps regulate air temperatures in the public square by controlling air movement.

@highlight

In the United Arab Emirates, architects are taking cues from an ancient Arabic design tradition.

@highlight

A shading system on the facade of the Al Bahar Towers was inspired by latticed screens.

@highlight

The screens are computer-controlled to respond to the sun's movement.

@highlight

Doha Tower in Qatar, a striking cylindrical building, was designed along the same lines.