(CNN)The discovery of the tail of AirAsia Flight QZ8501 has fueled hopes that searchers may be close to recovering the plane's crucial black boxes.

The cockpit voice recorder and the flight data recorder are considered to be vital elements in figuring out the causes of commercial aviation disasters.

Indonesia's top search and rescue official says searchers are now "striving" to find the black boxes (which are actually orange).

Here's the lowdown on the devices, the information they are likely to hold and how investigators will go about extracting it.

What do black boxes contain?

The two devices hold different kinds of information.

The cockpit voice recorder contains "every audio sound that occurs on the flight deck," said Desmond Ross, an aviation safety expert.

That can include things like conversation between the pilots, warning sounds from the plane's systems and even hail hitting the windshield.

"It'll have the sound of the flight attendant providing a cup of coffee to the pilot if that occurred on the flight," Ross, a former pilot, told CNN. "Everything that happened will be recorded."

The flight data recorder is a different beast. It stores a huge amount of information about the plane's performance.

"The flight data recorder will provide information about all aspects about what was happening with the aircraft when the disaster occurred -- everything from speed, to altitude, to the individual settings of instruments," said Greg Waldron, the managing editor of Flightglobal, an aviation industry website.

"It'll give a very detailed picture of what was going on last Sunday when this crash happened," he told CNN.

Where are they?

In the Airbus A320-200, the aircraft in question, the two flight recorders are housed in the tail. That has led to hopes that they could be within the grasp of the divers who took pictures of the tail section at the bottom of the Java Sea on Wednesday.

Ross suggested that getting them out of the wreckage shouldn't be too tricky.

"If they have the tail and they have a few tools with them, they should be able to take those recorders out of the tail section without even having to raise the tail section to the surface," he said. "It's not that hard. It's done all the time for maintenance on the ground."

But the divers have to contend with murky waters and strong currents as they search the wreckage.

Removing the flight recorders "would be similar to removing a hard drive from a damaged computer," Waldron said. "It's something that you'd want to do very carefully, very slowly and very deliberately."

And AirAsia Chief Executive Tony Fernandes raised the issue of whether the piece of wreckage found by the search teams is the exact part of the tail containing the black boxes.

"I am led to believe the tail section has been found," he tweeted. "If right part of tail section then the black box should be there."

What if they're not in the tail?

Waldron flagged the concern that the flight recorders may have got separated from the tail of the plane as the aircraft came down, noting that officials haven't reported detecting any pings from the devices' locator beacons.

"They might have fallen free, which could create some issues," he said.

But even if the black boxes are no longer attached to the tail, Waldron said he thought searchers would probably find them within a matter of days or weeks.

Peter Goelz, a former managing director of the U.S. National Transportation Safety Board (NTSB), said flight recorders can be difficult to pinpoint, even if they have locator beacons.

"The black boxes often become covered with silt and covered with metal. You have got to be directly over them," he said. "It is hard to find something in the ocean. It took us days to find the black boxes at TWA 800. We were right over it. The pingers, we never picked up."

The batteries powering Flight QZ8501's  pingers are estimated to have around 20 days of power left.

Will the black boxes have all the answers?

Experts seem optimistic that they will.

"We're talking almost 100% certainty that we will get all the answers from those two boxes," Ross said.

"If the two pilots have been discussing the issue and they're talking about the problem they've got, that will tell a lot almost immediately," he told CNN. "The flight data recorder will tell all the speeds, the rate of descent, the cabin pressure -- everything that has basically gone wrong in the final moments of that flight will be evident."

Black boxes don't provide the whole picture for aviation accident investigators, though.

David Soucie, a former Federal Aviation Administration safety inspector, likens the process to "peeling an onion apart and then putting that onion back together from the inside out."

Investigators map the debris found on the surface of the water. Then, they have to look for other pieces in the next level of sea for more clues, he said.

"So you might go down 50 feet or so, to see if there's any floating debris there," said Soucie, an aviation analyst for CNN. "And you keep going down and mapping it as it goes. You see how the drift went and how the pieces of the plane moved."

During the investigation of Air France Flight 447, more than 150,000 images of the plane's wreckage site in the Atlantic Ocean were taken.

It was important to "mosaic them together" to give investigators a comprehensive view of the wreckage site, said David Gallo, who co-led that search after the French jet crashed in 2009.

How long will the investigation take?

If they are recovered, the black boxes will be taken to a lab in Jakarta to be analyzed, according to Indonesia's National Committee for Transportation Safety (NTSC), which is leading the investigation into the disaster.

"There will be a very careful, methodical process by which these things are opened up and by which the data is extracted," Waldron said. "This process is filmed, there'll be officials on hand. So it's kind of a long process."

The flight data recorder requires special software to retrieve the reams of data it contains.

The NTSC's final report into Adam Air Flight 574 -- which crashed in Indonesian waters on New Year's Day, 2007, killing all 102 people on board -- came out more than a year after the disaster.

The report on Flight QZ8501 is likely to take at least year to cover all the different angles, according to Ross.

"It requires a lot of analysis and a lot of background-checking, as well," he said.

CNN's Madison Park contributed to this report.

@highlight

The cockpit recorder holds "every audio sound that occurs on the flight deck," former pilot says

@highlight

The flight data recorder will "give a very detailed picture of what was going on," expert tells CNN