(CNN) -- Your saliva is doing all kinds of useful things for you all the time -- for instance, helping you chew and taste food. It's also home to more than 600 species of bacteria, which are harmlessly enjoying the moisture of your mouth.

There's a slew of bacteria floating around in your mouth, but it's generally harmless.

Since people have different eating habits in different places, you might think an American's saliva might look a lot different from, say, a South African's. But a new study published in the journal Genome Research finds that bacteria in saliva may not be as related to environment and diet as you might think.

In fact, researchers found that the human salivary microbiome -- that is, the community of bacteria in saliva -- does not vary greatly between different geographic locations. That means your saliva is just as different from your neighbor's as someone's on the other side of the planet.

"It was somewhat surprising to us, because in our sampling we didn't control for diet, or environment, or anything like that," said Mark Stoneking of the Max Planck Institute for Evolutionary Anthropology in Leipzig, Germany, and co-author of the study.

Now, Stoneking and colleagues are trying to figure out why. One theory is that since the researchers looked only at the genus of the bacteria in question, they might find more differences at the level of individual species. They are investigating this in a follow-up study.

Stoneking became interested in surveying the bacteria of saliva when he learned that saliva contains more DNA than blood, if you include DNA of bacteria and other organisms.  Human blood, as you might guess, still contains more human DNA than saliva.

Researchers took saliva samples from a total of 120 healthy subjects. The countries represented in this sample were Germany, Poland, Turkey, Georgia, China, Philippines, South Africa, Republic of the Congo, Argentina, Bolivia and the United States. This was the first global survey of bacteria diversity in human saliva.

The most common type of bacteria found in the survey of saliva was Streptococcus, Stoneking said. People typically have Streptococcus in their mouths living benignly, although certain species are responsible for diseases such as strep throat, meningitis and bacterial pneumonia.

Why do you need hundreds of bacteria species in your mouth? It turns out they're mostly not helping you at all -- you're just giving them a warm, moist home.

"Having those bacteria -- that's the price we have to pay for having a lot of saliva in the mouth to begin with," said Nate Dominy, anthropologist at the University of California, Santa Cruz.

Dominy, who has studied enzymes in saliva, found the results surprising, and said no one had previously surveyed the variety of bacteria in saliva.

What else is inside saliva?

One component of saliva that has been shown to vary according to diet is amylase, the only digestive enzyme that converts starch into sugar, Dominy said. Amylase is also found in the pancreas and the small intestine.

The human body evolved to start the digestive process early, in the mouth, so we can maximize the amount of sugar that we take in, Dominy said.

"Given that we have such large brains, and our brains are metabolically very demanding tissues, they're extremely costly and expensive to maintain, so we need a lot of sugar,"  he said.

Americans in particular have a lot of amylase in their saliva because their diets are full of starch: chips, rice and baked potatoes. But the Pygmies of central Africa, for example, eat mostly game animals, honey and fruit. They have relatively little amylase in their saliva.

Dominy and colleagues found these differences at the genetic level, meaning natural selection has favored large quantities of amylase in populations with starchy diets.

But there is also evidence that amylase levels can rise and fall within an individual's lifetime. A study on college students in Ghana, who typically eat a lot of meat at the university, found that students who had grown up eating traditional starchy Ghanaian home-cooked meals had lower levels of amylase after attending the school.

Humans have had starch as an important part of their diet for at least 12,000 years, since the advent of agriculture, he said.

So what else is spit good for?

Saliva spreads molecules to the taste receptors on the tongue so you can tell whether something is salty, sour, sweet or spicy, Dominy said. It also helps soften food and spread it to your teeth so that you don't have to chew as hard.

Compared with other animals, humans are not very good at detecting toxins, he said. As a result, humans vomit much more than other species, and saliva buffers the acid that results from throwing up -- meaning you'll likely salivate immediately beforehand to limit the damage.

"A lot of the value of saliva is attributable to the fact that, in human evolution, we've had to eat marginal plant foods, things that are marginal in quality and full of toxins, and we need these particular salivary adaptations to help cope with those types of food," he said.

@highlight

Saliva contains more DNA than blood because of all of the oral bacteria

@highlight

Most common type of bacteria in saliva is Streptococcus, in a mostly harmless form

@highlight

Saliva spreads molecules to the taste receptors on the tongue