(CNN) -- China, South Korea and Japan dramatically cut their oil imports from Iran in February following intense US efforts to persuade Asian buyers to comply with Washington sanctions on Iran's central bank.

Asian countries are collectively the biggest buyers of Iranian crude oil, accounting for about 65 per cent of Tehran's sales, but their responses to Washington's sanctions campaign have been mixed. China and India have both resisted the US and EU sanctions on Iran, whereas Japan and Korea have broadly committed to follow the US lead.

Pressure on China, South Korea and India to further reduce their imports of Iranian oil intensified this week when Hillary Clinton, US secretary of state, announced that Japan and ten European countries had qualified for exemptions from US penalties on institutions that deal with Iran's central bank. These 11 countries had "significantly reduced" the volume of crude they purchased from Iran, according to Mrs Clinton's statement.

Although China and South Korea were left off the exemption list, the trade data suggest that both countries are on track to qualify for exemptions in coming months, according to analysts. The drop in February imports comes after several Asian countries, including China and Japan, cut their imports of Iranian crude in January.

China, the biggest buyer of Iranian crude, usually accounts for one-fifth of Iran's crude exports but in February China's purchases plummeted to 290,000 barrels a day, a 40 per cent drop from the previous year. South Korea's imports of Iranian oil fell 16 per cent in February from the previous month to 5.9m barrels, a slight increase from the same month a year earlier but below monthly averages in 2011. South Korea's monthly import data tends to be highly volatile.

The value of Japan's total imports from Iran fell 34 per cent in February from the previous year. Crude oil makes up the great majority of Japan's imports from Iran, although Japan does not specifically disclose its oil purchases from Iran.

Iran oil production has fallen to a 10-year low and could drop further as sanctions over its nuclear programme disrupt an industry already suffering from years of under-investment. Tehran produced 3.38m b/d in February, according to the International Energy Agency, the lowest level since late 2002.

Despite China's obvious drop in Iranian oil purchases, Beijing is officially firmly opposed to the US and European Union sanctions.

"The market perception is that the drop in crude imports from Iran is not a signal that China is following US/EU sanctions, but more related to pricing issues that were being worked out at the time," said Soozhana Choi, head of Asia commodities research at Deutsche Bank. "It is likely that we will see a rebound in Iranian oil supply to China in subsequent months."

According to a senior academic, China does not want to give the impression that it is caving in to US pressure. Li Weijian, a Middle East specialist at the Shanghai Institute for International Strategic Studies, said: "The reason China cut imports from Iran is not because of the sanctions. We hope the US doesn't see this as a result of their pressure and try to use this in future."

Nevertheless analysts say China's cut in imports put it in line to receive a waiver from the US, similar to the one announced this week for Japan.

South Korea is in ongoing talks with the US about cutting its oil purchases from Iran and receiving a waiver, but has not committed to a specific reduction target. India, which accounts for about 12 per cent of Iranian crude sales, has not yet disclosed its February purchases of Iranian crude. In January India's imports of Iranian crude rose 19 per cent from the previous year.

Before the threat of sanctions, Showa Shell Sekiyu was Japan's largest importer of oil from Iran, with about 100,000 b/d from Iran. A spokesman said he could not disclose any details on the renewal of annual contracts with Iranian suppliers, but that Showa Shell would "reduce import volumes, according to the agreement between the Japanese and the US government."

China's two biggest importers of Iranian crude are Sinopec and Zhuhai Zhenrong, which are both state-owned. Sinopec could not be reached for comment. Zhuhai Zhenrong declined to comment.

Ben McLannahan in Tokyo and Christian Oliver in Seoul and Javier Blas in London

@highlight

Cut of oil imports come after US efforts to persuade Asian buyers to comply with Washington's sanctions

@highlight

China and South Korea are likely to qualify for exemptions in the coming months

@highlight

Iran oil production has fallen to a 10-year low and could drop further