(CNN) -- As the story about the National Security Agency surveillance continued to unfold last week, some of President Obama's supporters, as well as some of his Republican critics, were quick to jump to his defense.

Chairman of the House of Representatives Intelligence Committee Mike Rogers warned that the allegations about the NSA were wrong. "They are seeing three or four pieces of a thousand-piece puzzle and trying to come to a conclusion."

Speaking before a congressional committee, Director of National Intelligence James Clapper said the monitoring of calls by 35 world leaders was just about spying, something that every country did and so there was nothing to be worked up about. "Some of this reminds me of the classic movie 'Casablanca': 'My God, there's gambling going on here,'" Clapper said.

In a period of crippling partisan warfare that continually brings Washington to a standstill, the leadership of both parties seem to have easily reached bipartisan agreement that the existing national security programs should be left alone.

But these arguments miss the importance of accountability in our national security operations. The notion that citizens should just trust the government to do the right thing on national security poses too many dangers.

The United States has a long history of national security agencies, sometimes with presidential concurrence, misusing their authority and power to harass American citizens. This was the case in the 1960s, when Democrats and Republicans used government institutions to intimidate and harass social activists who were fighting for causes such as civil rights and to protest the war in Vietnam.

With the approval of Attorney General Robert Kennedy, the FBI obsessively wiretapped the Rev. Martin Luther King Jr., with the goal of finding evidence of the role of communism in the civil rights movement. What it found instead was information about his personal life as well as the background of top advisers that could be used against the movement if its demands caused too many problems. FBI Director J. Edgar Hoover leaked information to the press and to King's opponents.

A congressional report later found that the program sought to "discredit Dr. King and to 'neutralize' him as the leader of the civil rights movement." Presidents Lyndon Johnson and Richard Nixon agreed to have authorities bug and infiltrate anti-war activists. The administration spread damaging allegations and information to the media and to supporters of the war with the goal of rendering the activists illegitimate, and nurtured distrust and animosity within the movement so members would turn against each other.

In 1975 and 1976, Idaho Sen. Frank Church conducted shocking hearings into the operations of the CIA and published a detailed report that revealed the agency had been secretly engaged in activities such as the attempted assassination of foreign leaders and illegal intelligence gathering of American citizens. Congress imposed new regulations and created a court to monitor their activities. In the end the regulations proved to be weak and since 9/11 they have essentially been rendered useless.

After the reforms undertaken in light of the abuses of the 1960s and 1970s, intelligence agencies continued their expansion, part of the permanent national security apparatus the United States had established. "The vast secrecy system shows no signs of receding," Sen. Patrick Moynihan wrote in the late 1990s. Then, after 9/11, the power of the government to conduct surveillance greatly expanded beyond anything the senator from New York could have anticipated.

The United States is not alone in facing these risks. One of the reasons Germans have been so sensitive to the recent revelations is their own history of how surveillance has been used aggressively, and violently, to target their own citizens.

Even if the NSA officials play by the rules and regulate themselves, their ability to contain information that could be enormously damaging to the United States and to individual citizens is greatly diminishing in the current era. They no longer are in full control, whatever their intentions might be.

The stories about WikiLeaks as well as the impact of Edward Snowden have shown that the control of classified information is becoming extraordinarily difficult. It is foolhardy to assume that government officials will be able to contain all the data they gather and we must expect that more leaks will occur. When those leaks occur it is also remarkably easy for the information to quickly reach the public via the Internet.

Given that the risks of leaks will continue to remain great, the most effective measures that Congress can take will be to work on regulatory checks at the point of gathering to make sure that national intelligence agents don't sweep up innocent civilians and important allied leaders in their sweeps.

The worst outcome of the NSA revelations would be for Congress and the media to descend into a media-frenzy focusing primarily on the President's statements about what he knew. What would be much more useful to the nation would be for the executive and legislative branches to conduct a thorough review of how the NSA conducts its business and to put into place measures that will prevent unneeded activities that cause more harm than good, and which unnecessarily infringe the civil liberties of innocent people.

In June, when the revelations first broke, Senate Majority Leader Harry Reid said, "Everyone should just calm down and understand this isn't anything that is brand new." Whether or not this is brand new, the time has come for Congress to take a serious look at what the NSA is doing and how to impose needed regulations on what the agency can do. Representative James Sensenbrenner (R-Wisconsin) and Senator Patrick Leahy (D-VT) have started the debate with a bill with sweeping reforms, including a special court to monitor intelligence gathering. Reid and Speaker Boehner have offered cautious support for a review of the program.

In the long run, such steps would have the potential to strengthen trust and confidence in the NSA, and allow it to do the work that is needed to secure the nation and our allies against the threats the United States continually faces.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Some officials dismiss the impact of NSA revelations, saying every country spies

@highlight

Julian Zelizer: It's dangerous to ignore the risk that spying will become too intrusive

@highlight

In the 1960s, 1970s, activists were illegally targeted by government agencies in the U.S.

@highlight

Zelizer: It's crucial to set limits for government agencies such as NSA