It was a shimmering metal wall hanging fashioned from thousands of bottle tops that won El Anatsui international acclaim.

During the Venice Biennale in 2007 the Ghanaian sculptor transformed the facade of a museum by draping one of his exquisite metal tapestries over the top of it, causing a sensation in the art world.

Today, he is hot property, collected by the world's major museums and selling his rippling metal installations that nod to indigenous art for hundreds of thousands of dollars.

His latest work goes on display this week at New York's High Line, an elevated park built on an old freight rail line in Manhattan.

"Broken Bridge II" will be his largest installation yet -- a 37-foot-high sculpture made of recycled pressed tin and mirrors woven together with copper wire.

"The idea of the mirrors is to bring in the landmarks of New York ... to celebrate the achievements of where the work is," he said. The Empire State Building is one building reflected in the sculpture.

Read related: America's black cowboys fight for their place in history

El Anatsui is known for his interest in indigenous art and use of materials that he finds locally -- like the whiskey bottle caps that he uses for his tapestries -- and he puts it down to his upbringing which was cut off from traditional Ghanian culture.

He was born in the small town of Anyako in the Volta region of Ghana during British rule.  The youngest of 32 children (on his father's side), his mother died when he was a baby and he was brought up in a Presbyterian Mission House by his uncle, a Presbyterian Minister.

"When you're living in a Mission House, you have everything there, you don't need to go out and therefore you don't know too much about indigenous society ... I was kind of isolated from it," he said.

Even as a boy, he knew he wanted to be an artist: "I had a kind of calling." He went on to study Fine Arts at the University of Science and Technology in Kumasi, then an "unimaginable" thing to do.

At that time, only a few years after Ghana achieved independence from the UK in 1957, the post-colonial hangover meant El Anatsui studied a British-style curriculum, only covering European art.

Read related: Chinese sculptor Xiang Jing's painful search for truth

He felt strongly that he wanted to know something about his own indigenous culture.

"Having been estranged from it and exposed to art being produced in Europe and Asia, I was wondering why we didn't have art as well," he said.

He remembers coming across a national cultural center in Kumasi and there began to discover Ghana's "very interesting art forms." They included "adrinka," a series of ideograms or graphic symbols that represent aphorisms.

It reminded El Anatsui of the European quest in science during the Renaissance to use symbols to represent abstract concepts.

The similarity gave him "quite a shock," and was the catalyst for his exploration of his native culture -- and his attempts to, as he puts it, "indigenize my consciousness."

He started using materials from his local environment, recyclables like the bottle caps. "A lot of people call them waste, but to me they are not waste ...There are people who collect these things, smash them and make them into utensils like big cooking pots," he said.

Read related: South African rugby legend: Sport can unify a nation

The bottle tops in his flowing, shimmering installations also have a deeper meaning.

He says they are meant to act as a reminder that African slaves were exchanged for European liquor during the transatlantic slave trade. While the fluidity of the sculptures are meant to reflect the unsteady relationship between Europe, Africa and America.

Despite the deep affinity El Anatsui has for homegrown African culture, he resists being called an African artist.

"I don't know any (artist) who wants to be geographically categorized only. Artists want to be known only as artists," he says.

He says that when the Metropolitan Museum of Art in New York first acquired his art, it was for their African Galleries and only later for their Modern and Contemporary Art Galleries.

This "raises so many questions as to what precisely I am -- am I an African artist or an artist?" he asks, adding it is high time museums "revisited their categorizations." He adds: "An artist in India is the same as an artist in Africa, Ghana, Japan or America."

Another thing he doesn't want to be prescriptive about is how his work is hung in galleries.

He sends his work out with no instructions leaving it up to the curators to decide how to install it. At first they are confused but eventually they discover "they themselves are also artists," he says.

"It's a versatile form. I think an art form should be a replica of life itself -- life is not something which is cut and fixed -- it is constantly changing."

@highlight

El Anatsui is an internationally renowned Ghanaian artist who lives and works in Nigeria

@highlight

He is known for monumental sculptures using recycled waste that he collects in Nigeria

@highlight

He is considered to be one of the foremost contemporary artists of his generation

@highlight

Largest ever installation "Broken Bridge II" on display at the High Line in New York