(CNN) -- It's looking like the digital divide may have less gray hair than it used to -- but it's still a big issue for U.S. seniors.

According to new research from the Pew Internet and American Life Project, for the first time more than half (53%) of Americans age 65 or older now use the Internet or e-mail.

Also, most Internet-using seniors have made a daily habit of going online; Pew noted that 70% of them access the Internet on a typical day.

E-mail is especially popular with Internet-using seniors. Nearly half of them use e-mail on a typical day. But social networking sites, which are accessed via the Web or apps, are far less popular: Just 34% of seniors use these at all, and only 18% on a typical day.

Looked at differently, those numbers mean that nearly two-thirds of seniors still either don't go online at all or don't do so on most days.

Seniors also are especially lagging in their adoption of Internet-enabled mobile devices such as smartphones and tablets. While cell phone ownership overall has risen sharply among seniors (69% now have a cell phone, up from 57% a year ago), Pew notes that just 10% of U.S. seniors own a smartphone. Also, only 11% own an e-reader, and 8% own a tablet.

Only 39% of seniors have broadband at home. This means a substantial number of seniors access the Internet only from shared or public computers (such as at libraries, Internet cafes or senior centers), or by bringing a laptop to a location with open Wi-Fi. Just under one-third of U.S. seniors own a laptop computer, Pew found.

Meanwhile, the Internet has become a key tool for accessing news, information and services that affect or can benefit seniors' lives daily. And mobile access to online information and services could be particularly helpful to seniors.

For example, transit is a crucial concern for many seniors -- especially those on a limited income, or who have visual or mobility impairments. Obtaining and interpreting current printed schedules and route maps for buses and trains can be a challenge even for young, able-bodied people with good vision. But when seniors have to get to a location that's off their regular transit routes, they can face enormous challenges in simply figuring out whether they can get to that destination via transit.

I live in Oakland, California, which has pretty good transit access compared to many cities and towns. Earlier this year I overheard one of my neighbors (a senior who doesn't drive) complaining that she might have to change doctors because her physician of 20 years moved to a new office in a part of town she rarely visits. What caught my attention was when she said, "I don't even know what buses go there -- and have you tried to read that AC Transit map? What a mess!"

I pulled out my Android phone, brought up Google maps, and asked her where the doctor's new office was. She gave me the address. In less than a minute I found two potential bus routes to that location -- both involving transfers. I wrote down the route and stop information for her, and later she called AC Transit to have the relevant schedules mailed to her.

When the printed schedules arrived, she mentioned it was a struggle for her to read the tiny, complex tables well enough to determine when the transfers might be easiest, so she could figure the best times of day to schedule her appointments. Looking at those schedules, I found I had the same problem. But again, with poking around a bit on Google Maps on my phone, I was quickly able to give her some good options for appointment times.

She said, "You can do all that on your phone? So if you want to visit a friend or see a show you can find out which bus to take, just like that? I had no idea!"

From there stemmed a conversation in which she revealed how over the years she'd limited her outings mainly to places along the transit routes she already knew well, or where a friend could give her a ride. Having a smartphone or tablet could help her find more transit options, but she's not going to get one. She might be able to afford one, but she doesn't think she could learn how to use it. "It's just too different," she said.

Seniors' low adoption rates for e-readers and tablets also curtail their access to news, books and services. These devices are ideal for people with visual impairments; any e-book or website can be viewed with large print. Also, they're light, easy to carry, generally easier to learn than a smartphone or computer and don't require much typing -- considerable benefits to people with arthritic hands or joints.

For instance, my parents are seniors who live in the greater Philadelphia area. Both lifelong news junkies, they subscribe to several print newspapers. Avidly following national and local news is a key part of how they remain engaged and active.

But for several years the company that publishes the Philadelphia Inquirer and Daily News has been in dire financial straits -- including being sold this year for what Forbes called a "fire-sale price." It's possible these venerable papers might cut back to publishing in print just a few days a week (as the New Orleans Times-Picayune recently decided to do), or go online only (as the Seattle Post-Intelligencer has done), or fold entirely (as Denver's Rocky Mountain News did in 2009).

My parents are very concerned that they might lose their Philly newspapers, which they consider a lifeline. I've been trying to get them interested in tablets -- but so far to no avail. If print papers disappear, they and many seniors like them will be bereft and disadvantaged. Broadcast news is fine, but it doesn't match the depth and range of what they've been getting from newspapers.

Last year Dr. Jeff Cole, director of the Center for the Digital Future at the University of Southern California, told AARP that "lack of access is no longer the primary reason that older adults aren't online. Today, lack of participation is likely more related to other reasons, like fear of learning, how difficult computers are to use (still!), and just general lack of interest."

Yet mobile devices seem to be marketed primarily toward people who are younger or, at most, middle aged.

Pew's research is encouraging, but there's still a long way to go in helping seniors bridge the digital divide. Until this happens, seniors will grow increasingly disadvantaged in an increasingly digital -- and mobile -- society.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Pew: More than half of U.S. seniors now use the Internet

@highlight

Still, two-thirds of seniors either don't use Web or don't use it every day

@highlight

A divide is increasingly significant as more services go digital