(CNN) -- The heat began to fade Wednesday afternoon across the Northeast after posting near triple-digit marks from Maryland to Vermont, with another brutal day in store on Thursday.

The hot, humid air that's bear-hugged the region drove temperatures up to 96 in New York and Philadelphia, 92 in Boston and 94 as far north as Burlington, Vermont. That mass -- which even the normally staid National Weather Service described as "oppressive" in one advisory -- is expected to hang over the region through Friday.

The combination of heat and humidity is expected to drive the heat index, a measurement of how hot it feels to your body, into the triple digits again Thursday. It's also bumped ground-level ozone levels into the danger zone for children, the elderly and people with heart and lung ailments across the Northeast Corridor.

Air quality warnings were posted as far south as Washington, where the odor of sweating masses of tourists added a certain ambiance to the national monuments at the height of the vacation season.

"It's pretty hot back home, but I didn't expect it to be this hot out here," Michael Bell, a visitor from Australia, told CNN. "I'm about to die."

Not that Washingtonians need another reason to complain about tourists, one resident joked.

Complaints flooded social media about subway cars with broken air-conditioning units. After a long day in the office, commuters were treated to an unexpected sweat lodge session on the way home.

"The sweat is just all over you all the time," Sam Weigman said. "I feel like a piece of baked chicken in this heat."

Making things worse, a failing water main in suburban Prince George's County, Maryland, led authorities to warn that water might be cut off for some residents as a result. But sanitation officials reported Wednesday afternoon that while some restrictions on water use were being imposed, no one would be without service.

"If we continue to conserve, I am confident the system will remain full while we complete repairs," Washington Suburban Sanitary Commission chief Jerry Johnson said in a written statement.

Beating the heat

Relief isn't likely before the weekend, when a strong cold front will move through the Great Lakes on Friday and into the Northeast on Saturday. The downside is that also could bring severe thunderstorms capable of producing widespread wind damage.

The saunalike conditions are driving people to desperate measures. The most obvious: Cranking up the air conditioning.

So many New Yorkers are doing that, they're close to setting a record for electricity usage, utility officials said. Electricity provider Con Edison's record is 13,189 megawatts, set on July 22, 2011.

Current consumption is apparently challenging the grid. Con Edison faced a bump in outages and has sent crews hustling to restore power to more than 7,600 customers since the heat rose Sunday.

If parking in front of the air conditioner isn't cutting it, try to fly away.

JetBlue is offering "hot seats" promotions whenever the temperature in New York breaks 90 degrees. They went like hotcakes Tuesday. Sorry, "Sold out today," read a banner plastered over JetBlue's website.

But the special runs through Saturday. So there's hope yet.

Dangerous heat

The National Weather Service defines a heat wave as two or more days of "abnormally and uncomfortably hot and unusually humid weather." And levity aside, it can have deadly consequences.

Anyone who lived in New York in 1972 will tell you that. A two-week wave killed 891 people then. On Wednesday, 33 of the more than 4,000 fire calls in New York were for heat-related issues, Fire Department spokeswoman Elisheva Zakheim said.

The city has recorded one heat-related death so far this year, on July 8, the New York medical examiner's office said.

Fortunately, this wave hasn't claimed any lives. But the New York Fire Department did respond to 37 heat-related incidents Monday and 25 more as of late Tuesday.

The Red Cross and the New York mayor's office are warning people to stay in cool spaces and drink plenty of water. The city has opened cooling centers for those who don't have access to air conditioning.

CNN's Ben Brumfield, Leslie Bentz, Sunlen Miller and Laura Ly contributed to this report.

@highlight

NEW: Highs hit 96 in New York and Philadelphia, 94 in Burlington, 92 in Boston

@highlight

Air-quality warnings posted as far south as Washington

@highlight

"I feel like a piece of baked chicken in this heat," one man says

@highlight

New York is close to setting a new record for electricity usage