New York (CNN) -- Residents of the northeastern United States, still reeling from the havoc Sandy wreaked October 29 on the region, learned Wednesday that the same holds true for snow and wind, which buffeted the coast in the form of a nor'easter.

More than 600,000 households who have been without power since October 29 hunkered down for a long, cold night.

"While this storm is not as dangerous as Sandy was, New Yorkers should still take safety precautions today and tonight," New York Mayor Michael Bloomberg told reporters Wednesday.

By 10 p.m., some four inches of snow had fallen on Staten Island, the borough of New York that was hard hit by Sandy. Parts of Connecticut saw more than eight inches.

"It's Mother Nature's one-two punch," Cory Baker, mayor of Newark, New Jersey, told CNN's "Piers Morgan." "It's testing the resolve and the grit of my state and my city and, obviously, this region."

Some 25,000 residents of Newark had still been without power from Sandy, he said. "Now, this is being dumped; it has the potential to knock out more power within my state."

Indeed, that is what happened. Power outages in New York and New Jersey rose from 607,000 during the day to 652,000 customers by 10 p.m.

Soon after, Elizabeth Flagler, a spokeswoman for the Long Island Power Authority, said the company had tallied 100,000 new power outages since the storm began, bringing its total to 193,000.

"We're getting hit pretty hard between the snow and the wind," she said.

Forecasters predicted gusts of up to 60 mph in shore towns and cities across New York and New Jersey, bringing 2- to 4-foot storm surges just as homes and office buildings had begun to dry out and floodwaters to recede after Sandy.

Coastal erosion caused by last week's storm sparked fears of more flooding in storm-battered communities, while incoming cold weather was expected to hamper utility restoration efforts across the region.

Cold brings fresh misery to Sandy victims

Bloomberg urged residents in the city's low-lying areas -- especially Breezy Point, Hamilton Beach and Gerritsen Beach -- to "consider going someplace else tonight, to be a little bit on the safe side."

But he issued no mandatory evacuation orders, other than for a handful of chronic-care facilities and an adult-care center in areas that were hit hard by Sandy.

"If people think you're crying wolf, the next time, when it's really a serious threat, they might not do it," the mayor said.

That was not the case in New Jersey, where the Brick Township Office of Emergency Management had issued a mandatory evacuation order for all residents of low-lying waterfront areas of town.

Meanwhile, freezing temperatures ushered in snow and potentially deadly conditions for those without shelter, as displaced residents struggled to stay warm with generators and blankets. Others continued to camp with family and neighbors as they awaited the return of electricity.

On Tuesday night, about 8,500 Sandy victims had taken refuge in more than 100 Red Cross shelters. Temperatures were expected to dip again Wednesday night into the 20s, forecasters said.

Shelters were opened across the city for displaced residents or those without power.

"We think we're ready for anything," said Bloomberg, who ordered patrol officers to use their cruisers' loudspeakers to encourage elderly or homebound residents to go somewhere warm and safe and advised residents to check on neighbors.

Bloomberg tells struggling New Yorkers to get off the road

More than a week after Sandy struck the Northeast, its death toll in New York City climbed to 41 as a 78-year-old man died Tuesday of injuries suffered in the storm, police said.

New York Gov. Andrew Cuomo fired his chief of emergency management, Steven Kuhr, for having arranged for the Suffolk County Office of Emergency Management to clear a tree from his driveway, a Cuomo administration source told CNN.

CNN was not able to reach Kuhr.

The continuing recovery effort had already left thousands of area residents tired, homeless and looking for answers.

New York City's Penn Station was shut for a time on Wednesday evening because of overcrowding after the Long Island Railroad halted service systemwide, Metropolitan Transit Authority spokeswoman Marjorie Anders told CNN.

The stations reopened later in the evening and service resumed, she said.

As many as 20,000 households across New York City and Westchester County were not expected to be back online by the weekend because of damage to their homes' electrical systems, officials said.

Contractors will need to check the electrical wiring in each home and business to ensure that power can be safely restored, Bloomberg said. Salt-caked wiring could ignite once the power is restored.

Superstorm Sandy's victims

On Long Island's hard-hit coast, towns such as Oceanside remained largely without power.

"The lights came on for three minutes here. Everybody cheered like A-Rod (Alex Rodriguez) hit one out at Yankee Stadium," said Rick Wolkenberg. "Then there was this weird hum and everything went out again. They teased us, and now we're sitting here in the dark again."

The 59-year-old mortgage lender said his staff has been working for days in his office by means of a small generator and flashlights.

"Everyone's really frazzled, angry," he said. "It's not just the power. Now it's getting an electrician to evaluate the house, then getting a plumber -- and nobody's coming because they're all overwhelmed."

His 81-year-old mother, Edith, moved in with his family after Sandy slammed through her home in Oceanside.

"There just seems so many obstacles now," Wolkenberg said.

"It is like a war zone down there," Gov. Chris Christie said, referring to places such as Ocean County's Mantoloking, where flooding and fires wiped out large sections of the town last week.

At least 20 homes burned to the ground there, mirroring an incident in Breezy Point, a Queens neighborhood where a cluster of more than 100 houses caught fire during the storm.

"We don't know what to expect for the flooding situation as the shorelines have been changed," Christie said. "For many of them, the dunes are gone. So, moderate flooding under normal conditions becomes major in these conditions."

More than three-fourths of New Jersey's school systems were operating Wednesday and 1,728 public schools were open in New York.

Elsewhere, there were signs of the region rebounding.

The PATH train between New Jersey and New York resumed limited service under the Hudson River on Tuesday, after being shut ahead of the storm.

Commuter traffic reopened Wednesday in the Holland Tunnel, where about 91,000 vehicles typically pass under the Hudson River between Manhattan and Jersey City, New Jersey.

Air travel continued to be affected. Authorities advised air travelers to check with their carriers ahead of the storm.

"Airlines serving the Port Authority's major airports -- Newark Liberty International, John F. Kennedy International and LaGuardia -- have canceled all or a significant number of their flights beginning at noon today and continuing through early tomorrow," the Port Authority of New York and New Jersey said Wednesday in a statement.

The storm that broke records -- and hearts

CNN's Kristen Hamill, Katia Hetter, Julia Talanova and Rob Frehse contributed to this report

@highlight

NEW: "It's testing the resolve and the grit of my state," Newark mayor says

@highlight

On Long Island's hard-hit coast, towns such as Oceanside still largely without power

@highlight

"Everyone's really frazzled, angry," says Rick Wolkenberg, 59

@highlight

Contractors go door-to-door to check electrical wiring on homes, businesses