(CNN) -- The United States is an exceptional country. On this, almost all U.S. politicians agree. And millions of Americans, do too, according to recent polls.

More than three centuries after John Winthrop first preached that the new Massachusetts Bay colony would be a "city upon a hill," Presidents John F. Kennedy and Ronald Reagan both reiterated his admonition that "the eyes of all people are upon us." For President Barack Obama, the United States is "not just a place on a map, but the light to the world."

This broad agreement on American exceptionalism is often overlooked. This is especially so for conservatives, who now demand allegiance to the idea and chastise Obama, despite all evidence to the contrary, for not believing sufficiently in the exceptional nature of the country he leads.

Exceptionalism is a flashpoint in American politics today not because the claim is contested, but because conservatives and liberals hold differing views of what makes the United States exceptional. These differences are at the core of our current fights over foreign policy.

Conservatives believe the United States is exceptional because its people are inherently good. And we are. By and large, Americans are upstanding, moral individuals who instinctively support noble policies in our relations with other countries. Nonetheless, conservatives are much more likely than liberals to believe that American values and culture are superior to those of other nations.

In a recent Pew Research Center poll, 63% of conservatives believe our culture is superior to others, compared with just 45% for moderates and 34% for liberals. Although the decline in overall support for this view of cultural superiority from 60% in 2002 to only 49% today received the headline attention, the dispersion across political ideologies is perhaps even more important. For conservatives compared with liberals, American exceptionalism rests in large part on a belief in the country's superior culture and values.

This conservative version of "America the exceptional" was on full display among the Republican candidates in the recent CNN debate on foreign policy.

Conservatives expect other countries to recognize the inherent goodness of the American people and the foreign policies produced by our government, and to accept our international leadership because of our self-evident virtue. Indeed, many conservatives call for a foreign policy that is free of constraints by the United Nations or other multilateral institutions precisely because they believe accommodating the desires of other countries would limit our ability to act on our goodness.

It is striking that the most avid proponents of an assertive unilateralism in which other countries are expected to trust us -- and our government -- simply because we are good are the same conservatives who so distrust government at home.

In the words of Reagan, endorsed by all the current major Republican candidates, "government is the problem, not the solution." In relations with other countries, however, many conservatives argue that the goodness of the United States will be translated directly into action. Economic or social policy at home may be distorted and even captured by "special interests," but foreign policy remains pure and reflects the high morals of the American people. How government can be "the problem" in domestic policy and untainted in its actions toward others is never addressed.

Liberals see the United States as exceptional because of our principles of limited government, embedded in the Constitution. Accepting that inherently good Americans often have different ideas of what goodness means, liberals celebrate our system of checks and balances.

Although few liberals believe in the cultural superiority of the American people, 73% of Democrats in a 2010 USA Today/Gallup poll believe that its "history and its Constitution" make the United States "the greatest country in the world." This is the view of American exceptionalism held by Obama. As he stated in a 2009 news conference in Strasbourg, France, "I think we have a core set of values that are enshrined in our Constitution, in our body of law, in our democratic practices, in our belief in free speech and equality, that, though imperfect, are exceptional."

Contemporary liberals support a larger, more activist role for government at home and abroad because they trust that the competing branches of government will limit the influence of what James Madison called "factions." Expecting the government to usually "do the right thing" because of its institutional constraints, liberals are more comfortable giving it a larger role in our lives.

Liberals extend the principles of limited government to the international arena. Believing that a leader needs followers, and that followers will only follow if the leader can be trusted, liberals embrace multilateralism.

It is only by creating opportunities for other countries to voice their preferences and to shape American policy through joint decision-making that other countries will accept the unique leadership status of the United States, they believe. In this view, the United States can and should welcome limits on its freedom of action abroad -- just as it does at home. According to the Pew Research Center poll, 57% of liberals believe the United States should get United Nations approval before using military force, while only 38% of conservatives say this is an important step.

These competing views of exceptionalism mean that too often Americans talk past one another. Although most of us agree that the United States is exceptional, we do so for very different reasons. Exceptionalism has become a conservative trope, a rhetorical tool with which to challenge the nationalism of liberals.

Focusing more on values, a strong majority of Republicans in the Gallup poll report that they do not believe Obama thinks the United States is exceptional, whereas an overwhelming majority of Democrats believe he does.

Rather than painting liberals as unpatriotic, conservatives should hold up a mirror to their own view and reflect on the contradiction. How they can believe that the will of the people is always distorted at home but flawlessly translated into policy abroad is, well, exceptional.

The opinions expressed in this commentary are solely those of David A. Lake.

@highlight

Belief that America is an exceptional country is widely shared in the U.S.

@highlight

David Lake says it's become a flashpoint, as conservatives dispute Obama's belief in it

@highlight

He says liberals believe U.S. is exceptional because of its constitutional safeguards

@highlight

Lake: Conservatives are more likely to believe U.S. is culturally superior to rest of world