(CNN) -- When Superstorm Sandy hit the eastern United States and the country's largest city, millions of residents across our five boroughs felt its impact and devastation. Many of us felt vulnerable, unsure what the next days would bring.

Communities are still reeling from the aftermath and the most difficult period may still be ahead. But as our city begins to rebuild and recover, New Yorkers and others in the region who already struggle on a regular basis will have the hardest time getting back on their feet.

Thankfully, we've seen a huge outpouring of support and number of people willing to donate their time and resources to help. And for those willing to pitch in, please join us.

Our government is certainly doing its best to help those in need in the aftermath of the storm, but the nonprofit sector plays such a critical role in the delivery of health and human services across New York City and throughout the country. Numerous low-income families depend on vital community-based nonprofits to access the services they need for daily living. That is one reason why United Way created the United Way Hurricane Sandy Recovery Fund (#sandyfund).

Local United Ways along the Eastern Seaboard will use contributions to the fund to address the near- and long-term recovery needs of communities most affected by the hurricane. In addition, the fund will bolster United Way community impact partners that serve hurricane-affected individuals and families who are already vulnerable -- struggling with food insecurity and the ability meet their most basic needs.

Disasters like this unprecedented storm undoubtedly impact all of our communities. Our most under-resourced communities, however, have been trying to make ends meet even before Sandy barreled in. For the third straight year, New York City's poverty rate has been on the rise according to census bureau data, with one in five New Yorkers lacking enough income and earnings to pay for basic necessities. In fact, United Way of New York City's most recent hunger survey found that two-thirds of New Yorkers were concerned that someone they know will need help getting and paying for food in the next 12 months.

Map: See images of destruction, recovery across the East Coast

These financial pressures are exacerbated when an unexpected hardship like a natural disaster strikes. Some families' primary earners continue to lose hourly wages because they can't get to work. In other cases, those jobs no longer exist as flooded offices and businesses have been forced to close. The loss of even a week's income can be devastating, never mind being suddenly thrust into unemployment. Plus, tens of thousands of New Yorkers will be displaced for weeks to come. Some may be unable to return to their homes at all.

It is not the first time United Way has stepped in to help those most in need. For example, following the 9/11 attacks, United Way of New York City created the September 11th Fund in partnership with The New York Community Trust, raising and distributing more than $500 million. Following the devastating earthquake in Haiti in 2010, United Way of NYC partnered with the Brooklyn Community Foundation to found and fund the NYC Haitian Hope & Healing Fund to address the short- and long-term needs of affected individuals residing in New York. And following last year's Hurricane Irene, United Way of New York State set up the Hurricane Irene Recovery Fund to help those in need.

Our needs today remain just as great. Early estimates put Sandy's damage at $30 billion to $50 billion in losses. Let's not forget about our already struggling low-income families who will feel these losses deeply.

@highlight

United Way's Hurricane Sandy Recovery Fund helps low-income families

@highlight

The fund will the address near and long-term recovery needs

@highlight

Financial pressures for low-income families are exacerbated by disasters

@highlight

For more info on this fund and other ways to help, visit Impact Your World