(CNN) -- Washington is obsessed with the question of whether government can do anything anymore. With the lame duck session of Congress mired in confrontation over immigration and Congress about to shift to Republican hands in January, gridlock seems to define Washington.

But there is an issue where politics might work toward a legislative breakthrough rather than against it: the fight against Ebola.

The spread of Ebola has been an absolute disaster for several countries in Africa. As voters learned in the weeks leading up to the election, families and communities have been utterly destroyed as a result of this horrendous disease. For a moment, Americans started to learn about how this disease could also spread to our own continent, as there were some cases of infected people within the United States.

President Obama is requesting that Congress provide $6.2 billion in funding to combat the disease in Africa as part of the spending bill that Congress is now considering. The request comes after a potential breakthrough in the development of a vaccine that could have a major impact.

Money to develop this, as well as to strengthen the public health infrastructure in Africa, is urgently needed. "I think in some ways Ebola has receded from the front page of the papers, but now is not the time to let down our guard," one White House official said.

In the short term, the cynics aren't very optimistic -- and for good reason.

Legislators seemed to have forgotten the issue as soon as voters made their decisions in early November. But if the White House handles the issue in the right way, the President might actually achieve his goals.

President Obama can use the carrot and the stick to push Republicans toward a compromise.

With Ebola, the carrot would be the appeal of Republicans building on their own party's public health record to demonstrate to voters --who are starting to think about 2016 -- that they can govern. One of the greatest successes of President George W. Bush's administration was the President's Emergency Plan for AIDS Relief (PEPFAR) initiative.

Often forgotten amid all the focus on Iraq, torture, and the war on terrorism, Bush scored a huge policy success when he supported a massive infusion of funds into the effort to fight AIDS in Africa. As a result of the program, the number of people receiving care increased from 50,000 in 2004 to over one million by 2008 .

The initiative has been a big success and public health officials agree we are on the road to wiping out the disease.

In 2012, even as he was ramping up his partisan attacks in the presidential election on behalf of President Obama, former President Bill Clinton said: "I have to be grateful, and you should be too, that President George W. Bush supported PEPFAR. It saved the lives of millions of people in poor countries."

Obama can ask Republicans to join him with Ebola and build on that public health record. At a time that many Americans think of the GOP as the party of obstruction -- good at attacking President Obama but not much else -- this could remind voters of what the GOP has helped to do and what they want to accomplish now.

Even if this does not make it into a temporary spending fix that the lame duck Congress might pass, the President must continue to turn up the heat in the coming year to get this done.

Then there is the stick. In the weeks leading up to the midterm elections, Republican candidates made a huge deal about the Ebola crisis. They used this as a way to talk about how passive the President has been in dealing with the crises that the world has faced, from Ebola to ISIS. The Internet record is replete with statements calling on the White House to do something. "I'm concerned," said Texas Sen. Ted Cruz, "that the administration is not treating it with the gravity it deserves...."

Up to now, the Republican record is pretty thin. The Republicans did not really offer any serious path forward and have not been jumping at the president's proposals.

Now President Obama can float his measure and put them on the spot. He can use their record as a way for voters to start measuring whether the Republicans are serious about governance or whether they just want to score political points.

In this case, he can raise the question of whether they are willing to address a public health crisis that they acknowledged or whether they just talk about these issues for their own political gain.

To be sure, we have seen repeatedly how solutions that seem most obvious for the parties to agree upon collapse in this age of partisan gridlock. Nonetheless, if the President moves forward with this proposal and handles it in the right way, he will force Republicans into a position of showing what they are all about -- real solutions or more gridlock. The GOP can be sure that American voters are watching closely.

@highlight

Julian Zelizer: Washington focuses on whether the government can accomplish anything

@highlight

There's one thing both parties could do: support Obama request for Ebola aid

@highlight

GOP backed Bush's vital PEPFAR program, which helped battle against AIDS