Just days before the Nobel committee announces the winner of this year's Nobel Peace Prize, the world found out who stands at the opposite extreme on the quest for peace and justice. We have discovered who the biggest cowards on the planet are today.

The competition for the mark of shame is hard fought, but the title goes to the men who approached a van carrying girls home from school in Pakistan on Tuesday and asked for one very special 14-year-old. Then shot her in the head.

The world's worst cowards are the members of the Pakistani Taliban. Perhaps they believe their thick dark beards, dangerous weapons and fanatical religious pronouncement make them fierce warriors. But their actions tell the true story: The Pakistani Taliban are terrified of a 14-year-old girl named Malala Yousufzai.

And why are they so afraid of Malala? Mostly, because she is not afraid of them.

And because Malala is a relentless advocate of education for girls, something the Taliban find very threatening.

The Taliban, with all their bravado, seem to fear women most of all.

News: Pakistan enraged over attack on teen blogger

The cravenness that has come to define the group -- also known as the Tehrik-i-Taliban Pakistan, or TTP -- is easily matched by Malala's stunning bravery. The fearless activist for girls' education now lies in a hospital bed trying to recover from serious injuries to her head and neck. Overnight doctors performed emergency surgery to remove a bullet near her spinal cord and to relieve swelling in her brain.

Malala knew she was on a TTP hit list, but she did not back down. The Taliban, whose religious, social and political views are founded on a brutally anti-woman ideology, cannot countenance even a young girl challenging their ideas on a blog.

Shortly after Tuesday's assassination attempt, which also left two of Malala's school friends wounded, TTP spokesman Ehsanullah Ehsan acknowledged the group tried to kill her and vowed they will try to do it again if she survives. As is common, he couched the threats in extreme interpretations of Islam and on repression and intimidation of women. "Any female that, by any means, plays a role in the war against the mujahedeen," Ehsan declared, "should be killed."

News: 'I Am Malala' -- a chorus of support across the world

The TTP spokesman called Malala's advocacy for education "a new chapter of obscenity," adding, "We have to finish this chapter." He also accused her of being pro-West and admiring President Barack Obama.

Malala started to become a problem for the TTP when she was just 11. The Pakistani Taliban, who hold the same ideology but are not directly affiliated with the Afghan Taliban, had taken over Pakistan's Swat Valley. Pakistani politicians were turning a blind eye to what had become an increasingly brutal regime. They executed their critics, ordered all men to grow beards and whipped women in public as punishment for real, imagined or fabricated offenses.

It was all about imposing their will, their version of Islamic law, and subjugating the entire population, but women in particular.

The Taliban reportedly had destroyed more than 200 schools and ordered all girls' schools shut down when Malala slowly emerged from obscurity. In 2009, she started writing a blog for the BBC under a pseudonym, talking about her dreams for the future and how the Taliban were pushing those aspirations further and further out of reach.

Learn more about how you can help at CNN Impact Your World

Her story helped bring attention to the disaster befalling the population of the storied Swat Valley. At about the same time, the videotaped beating of a 17-year-old girl by a group of Taliban went viral in Pakistan, adding chilling images to a girl's lament.

Until then, Pakistan had treated the fight against the Taliban as an American problem, something going on across the border in Afghanistan. Malala helped Pakistanis realize their own country, their own way of life were threatened by the TTP. The government fought back and regained control of the region. She continued to speak out and was the first recipient of her country's National Peace Award last year. She and her cause became celebrated throughout the country, and increasingly despised by extremists and their supporters.

Rural areas of Pakistan and the districts near the Afghanistan border include deeply traditional regions from where the Taliban took much of their social views. Many practices, particularly regarding women, are horrifying to more modern Pakistanis living in places such as the capital, Islamabad.

The country has become a dangerous incubator of fanatically enforced prejudice. A prominent politician who opposed Pakistan's controversial blasphemy laws was killed last year. Just last month a Christian girl was sent to prison after her neighbors concocted blasphemy charges against her.

The country has become one of the front lines of the struggle between modernity and the deeply intolerant, misogynistic practices dating back centuries. Malala, despite her young age, stands at the battle line of the push for equality.

iReport: Your views on girls' education

The rule of the Taliban in Afghanistan between 1996 and 2001 showed just how the outcome in Pakistan could affect everyone, but especially women's lives. The TTP aims to impose precisely the kind of rules the Taliban forced on Afghans. Afghan women were barred from working, studying, leaving their homes without a male companion. Even laughing out loud was prohibited. They became nonentities, stoned and beheaded at the local stadium, banned from showing their faces, speaking their voices or earning a living.

In 2002, just after the regime was toppled, a Centers for Disease Control and Prevention study of mental health in the country found a vast majority of Afghan women suffering from depression, anxiety and post-traumatic stress disorder.

A decade later, in bordering Pakistan, in the aftermath of the assassination attempt against Malala, many question if the threat has receded to the extent the authorities claim.

By trying to kill a bright and admired young girl in cold blood, the Taliban have revealed not only their own moral makeup. They have also reawakened the Pakistani people to the threat posed by extremists and the choices the country faces.

Pakistanis are pressuring their populist politicians to speak out against the crime, to take sides.

Pakistan is home to the world's worst cowards. But it's also Malalai's home. Let's hope she makes it, and inspires many to follow in her small but indelible footsteps. There's something -- and someone -- for the Nobel committee to consider.

Join us on Facebook/CNNOpinion.

@highlight

The world's worst cowards are the members of the Pakistani Taliban, says Frida Ghitis

@highlight

They are terrified of Malala Yousufzai, the 14-year-old girl they shot, Ghitis says

@highlight

They want to subjugate the local population, particularly women, she says

@highlight

Ghitis: They have reawakened Pakistanis to the threat posed by extremists