Search teams shifted to a different part of the Indian Ocean Friday in their hunt for the missing Malaysia Airlines plane after "a new credible lead," authorities said.

An analysis of radar data led investigators to move the search to an area 1,100 kilometers (680 miles) to the northeast, the Australian Maritime Safety Authority said, calling the new information "the most credible lead to where debris may be located."

"It indicated that the aircraft was traveling faster than previously estimated, resulting in increased fuel usage and reducing the possible distance the aircraft traveled south into the Indian Ocean," the authority said in a statement.

Four search aircraft are now over the new area, with six more due to fly there over the course of Friday, said John Young, the authority's general manager of emergency response.

The renewed search for Flight 370 in the southern Indian Ocean comes a day after Japan and Thailand both said they'd sent new satellite images to Malaysia showing separate debris fields that could be related to the plane, which vanished March 8 with 239 people aboard.

Analysts said the search area shift could be a sign that investigators are closing in on the missing plane's whereabouts.

"With this development, perhaps they're able to hone in on the more accurate altitude," said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

That, experts said, could bring investigators closer to determining what happened aboard the plane, what caused it to veer off course and where it ended up.

Satellite images raise hope

In addition to the Japanese and Thai satellite images, Malaysian officials announced Wednesday that a French satellite had found 122 pieces of something floating nearby.

It's enough to make you wonder: Have they found that proverbial haystack inside which they'll find the well-hidden wreckage?

Maybe. Maybe not.

Search teams will have at least one more plane in their fleet starting Friday, when a second U.S. Navy P-8 Poseidon will fly from Okinawa, Japan, to Perth, Australia, to join the hunt for the missing aircraft.

"From the pilot and the aircrew perspective, they are optimistic," said Cmdr. William Marks of the U.S. 7th Fleet. "I know every day, when they launch a flight, they have a good feeling about finding something. But the satellite imagery hasn't been conclusive."

There's one thing that Marks said would be a defining moment in the search: visual confirmation from the search crews at sea.

While analysts say it's intriguing that the finds all appear to be in the same general area, searchers have yet to lay eyes on any of the objects, much less haul one aboard a ship and examine it.

Satellite images that have been followed up on have not produced any sightings for search teams, said Young of the Australian maritime authority. "That may change in the future," he added.

The Australian Geospatial-Intelligence Organisation is directing satellites to capture images of the new area, authorities said.

Stephen Wood, a former CIA analyst and satellite imagery expert, said the satellites could be seeing something as simple as whitecaps, which he said can look deceptively like solid objects.

CNN aviation analyst Jeff Wise said that while the latest find is "very enticing," the number and size of the objects make him question whether they could be from the plane.

"If you see something floating that's 60 feet across, that could be a big chunk of fuselage," he said. "But if you have 10 pieces that are 60 feet across, that would indicate that they're not from the plane, because the plane has only so much stuff in it."

But Miles O'Brien, another CNN aviation analyst, said what he sees on the latest satellite images doesn't look like everyday garbage to him.

"What I see there is something that seems to be somewhat metallic and shiny. Looks like airplane wreckage to me. I also see some surfaces that look like they're aerodynamic."

Geoffrey Thomas, an aviation expert and editor-in-chief of AirlineRatings.com, said he doesn't have any doubts about the satellite images.

"The debris pictures we're getting now, they absolutely have to be wreckage from this airplane," he told CNN's "Piers Morgan Live." "They're too big, there's too many of them. And certainly, we get debris in the ocean, unfortunately, but not of this scale, not of this size."

Authorities, he said, must know more than they're letting on.

"I think they know exactly that this is the airplane," he said. "And hopefully, in a few days, we're going to get someone picking a piece up out of the water and saying, 'This is it.'"

Loved ones holding out hope

With no physical evidence pointing to what happened to the plane, loved ones of the passengers onboard have said they're still holding out hope.

Sarah Bajc, the partner of American passenger Philip Wood, said she's not convinced by the authorities' argument that an analysis of satellite data shows that there were no survivors.

The plane, she told CNN's "Erin Burnett Out Front," could have landed somewhere.

"I do believe it's still a possibility, because there's no contradictory evidence to that being a possibility. Even the satellite data that's been pushed forward to show or to demonstrate that the flight took the southerly route, they're really just still guessing," she said. "I mean, this is not something that anybody has ever done before. So, you know, as brilliant as those mathematicians are, they don't really know. They're only analyzing the data that they have. They don't really know for certain."

The confusion has left many family members of missing passengers and crew increasingly frustrated. Some have accused Malaysian authorities of failing to keep them properly informed. Others have accused officials of lying or covering up facts.

Bajc said she first learned that authorities believed there were no survivors from a text message Malaysia Airlines sent to passengers' families.

"The wording of the message led me to believe that they were going to be giving evidence that it was found, right? That there were bodies ... and then all he did is say they've extrapolated the data and they're sure that it went into the water. I mean, I think that was extremely irresponsible."

'Unspeakable challenge' for families

Mystery surfaces pain of 1977 tragedy

Concerns about weather, currents

Malaysian officials have defended their handling of the situation, arguing that they've released information as soon as possible to families and the public.

In recent days, authorities' announcements have focused on the satellite images. Now the search is on for the physical evidence to back them up.

The Thai images show about 300 objects ranging in size from 6 feet (2 meters) to 50 feet (15 meters). When photographed Monday, they were about 125 miles (201 kilometers) away from the spot where a French satellite captured a floating group of objects Sunday.

The Japanese images were taken Wednesday and show about 10 objects floating in a six-mile (10 kilometer) radius some 1,550 miles (2,500 kilometers) off the west coast of Australia, according to the Japanese Cabinet Intelligence and Research Office.

The biggest object was square and measured some 13 feet by 26 feet (4 meters to 8 meters), the agency said.

The finds come after news Wednesday that a French satellite had seen 122 objects in the same region and follows earlier sightings by U.S., Chinese and another French satellite.

Planes are set to try to find the materials and figure out what they are on Friday after rough weather in the remote spot once again delayed search efforts Thursday.

By then, experts say, these objects could have drifted hundreds of miles in the complex currents of the Indian Ocean.

'I understand him'

Meanwhile, the youngest son of missing Malaysia Airlines Flight 370 pilot Zaharie Ahmad Shah has broken his family's silence on the plane's disappearance, rejecting speculation that the longtime aviator was somehow responsible.

"I've read everything online. But I've ignored all the speculation. I know my father better," Ahmad Seth Zaharie, 26, said in an interview published Thursday by the New Straits Times, an English-language Malaysian newspaper.

The idea that Zaharie or co-pilot Fariq Abdul Hamid were responsible for the plane's baffling disappearance is one of many theories investigators continue to pursue.

One line of speculation suggests Zaharie might have hijacked the plane as a political act. He has been identified as a supporter of a high-profile Malaysian opposition figure.

His son rejected such theories.

"We may not be as close, as he travels so much. But I understand him," he said of his father in the interview, which was conducted Tuesday.

Comments from government officials on the investigation so far support the son's view.

A senior Malaysian government official Wednesday told CNN law enforcement analyst Tom Fuentes that authorities have found nothing in 19 days of investigating the two pilots that leads them to any motive, be it political, suicidal or extremist.

And an ongoing FBI review of the two pilots' hard drives, including one in a flight simulator Zaharie had built at his home, has not turned up a "smoking gun," a U.S. official with knowledge of the investigation told CNN.

"They have accessed the data," the official said. "There is nothing that's jumping out and grabbing us right now."

And investigators haven't found anything suspicious with any of the other crew members or passengers, leaving them struggling to find an explanation.

"I don't think there is a prevailing theory," one U.S. official told CNN. "There are counterarguments to every theory right now."

Questions linger

Did flammable cargo doom flight?

How they're searching for debris

@highlight

Australian authorities direct satellites to capture images of new area

@highlight

Four search aircraft are currently over the new search area

@highlight

Analysts say shift in search area could show investigators are closing in

@highlight

Search area shifts after a "new credible lead" about the plane's speed