Thanks to solar wind blowing out from the sun in all directions at a million miles per hour, material from comets gets whipped back into a formation that looks like a tail.

Now, scientists know that our solar system has a tail of its own, with a surprising shape.

NASA researchers working with data from the Interstellar Boundary Explorer announced Wednesday they have for the first time mapped the solar system's tail, called the heliotail. Their study is published in the Astrophysical Journal.

By "tail," scientists don't mean a furry appendage hanging off Pluto, which is not classified as a planet anymore. Rather, the tail is a stream of solar wind plasma -- charged particles -- and magnetic field, trailing off behind the heliosphere.

The heliosphere is a magnetic bubble that surrounds our solar system, as well as the solar wind and our sun's magnetic field. This bubble doesn't stop at the planets -- it extends at least 8 billion miles beyond them.

These new observations help scientists better understand the structure surrounding our solar system.

"Scientists had always presumed that the heliosphere had a tail. We've seen it around other stars, we know the sun is moving relative to interstellar gas," said Eric Christian, IBEX mission scientist at NASA's Goddard Space Flight Center. "But this is actually the first real data that we have that gives us the shape of the tail."

If we could look at a cross-section of the solar system's tail, its shape would resemble a four-leaf clover. The "leaves" on the side are composed of slow-moving particles from lower energy solar wind, and the leaves on the top and bottom are fast-moving particles from high-speed solar wind.

On its "front," the heliosphere is more bullet-shaped, but it is asymmetrical because of the influence of magnetic fields from interstellar space, said David McComas, lead author on the paper and principal investigator for IBEX at Southwest Research Institute in San Antonio, Texas.

These magnetic fields from outside the solar system also affect the shape of the heliotail. McComas compares this to putting bungee cords around a beach ball and pulling on them. The force of the magnetic fields squeezes the tail so that its cross-section becomes flattered like an oval. The tail's cross-section also becomes twisted, and turns to align with the magnetic field.

Pressure from the interstellar gas and magnetic field causes the solar wind to bend back along the tail.

Researchers have not established the length of our solar system's tail, but they believe that it fades at the end and blends in with the rest of interstellar space.

Astronomers had previously determined that other stars also have tails around their magnetic bubbles, which are called astrospheres. In order for such a sphere to form, there must be a balance of an inward compression of interstellar gas and a wind from the star that pushes outward.

The IBEX probe does not take photographs with light. Instead, it makes use of what are called energetic neutral atoms.

Most matter in the universe has an electric charge on it. But sometimes a charged particle, while moving fast through space, picks up an electron from neutral gas, which turns it into a neutral atom. Some of these neutral atoms are pointed back at Earth and are detected when they hit the IBEX spacecraft.

"Because they travel pretty much straight, you can trace them back to where they came from, and make a picture with these atoms instead of light," Christian said. "That's what IBEX does."

There are no space probes currently moving down the tail of our solar system, but the two Voyager spacecraft, which launched in 1977, are still floating further from Earth than any other terrestrial-made objects.

The Voyager and the IBEX missions are complementary, McComas said. The Voyager probes are akin to biopsies of the solar system, while IBEX is more like an MRI, understanding the big picture.

"While we have incredibly good and valuable information from those two locations where we have those spacecraft, how to put those into a global context and understand the really three-dimensional global interaction of the sun with the local part of the galaxy is really more a job for IBEX," McComas said.

According to the latest observations reported in the journal Science, Voyager 1 has traveled more than 11 billion miles from the sun. That brings it closer to reaching the distinction of being the first human-created object to reach interstellar space, which is loaded with material from other stars and a magnetic field from elsewhere in the Milky Way.

Scientists say Voyager 1 may take several more months, perhaps years, to fully escape the solar system.

Voyager 2 is still relatively closer to home, at 9 billion miles from the sun.

IBEX has enlightened scientists as to what the Voyager mission may find at the far reaches of our solar system and beyond, McComas said.

Without the interstellar probe, some say they wouldn't be able to make heads or tails of it.

Follow Elizabeth Landau on Twitter at @lizlandau and for more science news follow @CNNLightYears.

@highlight

NASA's IBEX probe has new information about our solar system's tail

@highlight

Interstellar magnetic fields influence the shape of the tail

@highlight

The magnetic bubble around the solar system is called the heliosphere