(CNN) -- Journalism and national security have survived decades of lies; both can handle a little unexpected truth.

Giving government secrets and classified documents to a nation's enemies or even its allies is certainly against the law. We've always called it spying.

Now the equation is changed and people who approve giving purloined documents to the wide electronic world call it transparency. Others, who oppose WikiLeaks' release of diplomatic cables Sunday, are calling it an act of terrorism to be met with full government sanctions.

The sober side of me knows that putting the entire archive of a quarter-million State Department documents online can be harmful and potentially dangerous for national security. Yet the news reader -- the citizen -- in me also finds it immensely satisfying to learn what government leaders are really saying compared with the official statements, releases and communiqués that often masquerade as government information.

Knowing that Saudi leaders, behind a false front of regional solidarity, are fretting about Iran seems a bit refreshing. I do appreciate knowing that our DEA knows that an Afghan vice president visited the United Arab Emirates last year carrying $52 million in cash.

Even if I feel chagrined that our diplomats are getting blackmailed by other nations into taking Guantanamo Bay prisoners off our hands, I'd rather know the truth than the pretend explanations.

The real danger, it seems to me, is not the revelation of assorted classified material but our tendency to overreact, either to actual security threats such as the shoe bomber and the underwear bomber or, in this case, to a massive information dump.

We've become so reactive to security concerns -- and, at the same time, apathetic to threats to our own civil liberties -- that we might, as a result of the WikiLeaks release, allow government agencies to step on the universal reach of the Internet or find ways to create exceptions to First Amendment freedoms.

Official ire may be aimed at WikiLeaks and its founder, but there's a real current of anger at the media for providing a printed and organized outlet for these documents.

Without the printed media, however, the information would be presented in such a helter-skelter fashion, it would be difficult to analyze or even know what is true and which documents are bogus. Since the earlier two massive releases by WikiLeaks of low-level Defense Department documents relating to the wars in Afghanistan and Iraq, I have yet to find a person who has actually read more than a tiny sampling of the actual leaked documents.

Many say the electronic information age has done away with traditional or mainstream journalism, but here it is evident that the journalists at The New York Times, The Guardian, Germany's Der Spiegel magazine and the Spanish daily El Pais are still doing the legwork -- sifting through information, confirming, editing and presenting it to the public.

Over many weeks, the above publications have also cooperated with their governments and with WikiLeaks in vetting the material and removing information that clearly might be harmful to people in other countries.

We all understand how illegal it is to reveal state secrets, even those that are classified secret for no good reason. We also know that over the years, governments have lied to the American people in the name of national security, whether about preparations for war or dealings with our allies and enemies.

Journalists take comfort in the saying about sunlight being the best disinfectant, and usually that is true. Abraham Lincoln expressed the same sentiment this way: "Let the people know the facts and the country will be safe."

I know there is risk in having these illegally obtained insights into government discussions and calculations, but we should not allow others to use this to attack a free media or to create more government secrecy.

During a conversation with my journalism class on the WikiLeaks controversy yesterday, the graduate students considered both overreactions as potential dangers -- that these leaks will provide an excuse to curtail our constitutional freedoms and that government will become even more duplicitous.

And that would be a real crime.

The opinions expressed in this commentary are solely those of Timothy McNulty

@highlight

Timothy McNulty says journalism, national security survived lies, will survive WikiLeaks truth

@highlight

He says he's uneasy that what used to be called spying is now  "transparency"

@highlight

Still, he says, we should not use WikiLeaks to attack free media, increase government secrecy

@highlight

McNulty: Filter of news media for WikiLeaks dump was crucial to responsible presentation