Washington (CNN) -- Environmental advocacy groups hope President Barack Obama will live up to the words of his second inaugural address that put climate change front and center on the national agenda even though he rarely mentioned it during the presidential campaign.

But the same advocates, including the Sierra Club and the Natural Resources Defense Council, say the president should use the power of the executive branch to further those aims rather than pursuing a congressional strategy.

Melinda Pierce, legislative director for the Sierra Club, pushed the president to focus more on executive orders and regulations from the Environmental Protection Agency than on legislation.

"Congress is a place where good ideas go to die," she said. "There is a tremendous amount that his administration can do without Congress. He has the authority; he doesn't have to wait for Congress."

Eric Pooley, senior vice president of the Environmental Defense Fund, told CNN that while "serious climate legislation isn't in the cards this year" the White House understands that congressional "legislation is not the only way to make progress."

CNN Poll: Do Americans agree with Obama on climate change and immigration?

"There is a clear plan of action here," Pooley said. "It is time to just get started with the rule-making, which is a process that gives ample time for give and take between the administration and industry."

Included in the list of executive actions that Pierce and others hope for are curbing carbon emissions among existing power plants, not just new plants, and mandating high efficiency standards to larger trucks and longer haul vehicles.

Those sort of executive branch actions are similar to what Obama pushed for during his first term.

In 2011, the EPA issued new standards on toxic pollutants and mercury emissions from coal power plants. Obama also finalized regulations requiring that passenger cars and trucks nearly double their fuel efficiency by 2025.

Bob Keefe, spokesman for the Natural Resources Defense Council, said Obama's first term was successful on environmental issues because of those actions. However, he acknowledged that he would have liked to have seen more from the president.

"You take what you can get and you hope for more," Keefe said. "I think the president is recognizing this in his speech."

Why 2013 could be a game-changer on climate

In a lengthy paragraph in his address on Monday, Obama said, "We will respond to the threat of climate change, knowing that failure to do so would betray our children and future generations. The path towards sustainable energy sources will be long and sometimes difficult. But America cannot resist this transition; we must lead it. We cannot cede to other nations the technology that will power new jobs and new industries -- we must claim its promise."

The president made little mention of climate policy in his 2012 campaign and outlined little, if any, specific climate policy plans for his second term.

Obama's climate policies, specifically Energy Department loan and grant programs for developing advanced energy technologies, were used against him on the campaign trail following the bankruptcy of Solyndra, which received economic stimulus money.

Attack ads featured a visit Obama made to the California solar panel manufacturer and Republican candidate Mitt Romney used the bankruptcy to highlight what Republicans believed were misspent taxpayer funds on unproven energy projects.

Pooley called this time period -- the last two years of Obama's first term -- the "two years of silence," when very little talk was devoted to climate change.

It wasn't until Superstorm Sandy, an extraordinary confluence of powerful weather systems, devastated coastal New York and New Jersey in late October that the issue of climate change made an impact on the political season.

Obama's speech ties current issues to founding principles

Before the storm hit, the last time both candidates mentioned the issue in any substantive manner was in written statements to a science organization in September.

"Sandy put this thing back on the agenda with an vengeance and restarted a national climate conversation," Pooley said. "That is the reality, that is what reminded everybody that this issue is not going away, that we need to deal with it."

Next step: Obama's State of the Union speech on February 12.

Pooley said he has "every reason to suspect" that Obama is going to unveil more detail in that speech about "what he is going to do."

@highlight

Activists push for Obama to focus more on executive orders and EPA regulations than on legislation.

@highlight

President made little mention of climate policy in 2012 campaign and outlined few climate policy plans

@highlight

Superstorm Sandy returned climate change to the political conversation just before the election

@highlight

One advocate anticipates Obama will reveal some detail about his environmental agenda in the State of the Union address