(CNN) -- America has endured the exhaustion of a decade of war and the insult of a battered economy. Now many Americans reject all foreign entanglements as expensive, fruitless and, ultimately, futile.

In a recent Pew Research poll, 80% of those answering agreed with the statement, "We should not think so much in international terms but concentrate more on our own national problems and building up our strength and prosperity here at home."

For the first time since Pew began asking the question in 1964, more than half said they believed "the U.S. should mind its own business internationally and let other countries get along the best they can on their own." In the past that figure has topped out around 40%.

Yet even as Americans work to draw the blinds along the nation's borders, the country celebrates the life of former South African President Nelson Mandela, a leader who looked relentlessly outward.

"Our human compassion binds us the one to the other," Mandela is quoted as saying, "not in pity or patronizingly, but as human beings who have learned how to turn our common suffering into hope for the future."

And right now that common suffering is found in abundance in Syria. In 2Â½ years the conflict has gone from local uprising to sprawling and brutal civil war. The U.S. announced Wednesday it was suspending even nonlethal aid to fighters in northern Syria opposed to the Assad regime as moderates among them lose ground to forces aligned with al-Qaeda.

An estimated 125,000 Syrians have died in the conflict -- the equivalent of killing the population of Cambridge, Massachusetts, or Burbank, California. The war has made refugees of 2 million Syrians. More than a million of these refugees are children, and three-quarters of them are under the age of 12. Polio has returned to attack Syrians, most of whom haven't even reached their second birthday.

Cities are said to face starvation, with families said to be turning to eating dogs and anything else that might keep them alive. Winter is nearing and humanitarian agencies are hurrying to ready supplies for the millions of refugees, many of whom fled with only the barest of belongings. As of September, 100,000 Syrian children in Jordan were not in school and the United Nations predicts double that number in Lebanon before year's ends. Water and working toilets are scarce.

News: Syrian refugees face miserable winter in Lebanon

The human suffering, in short, is great. But today we are fast-forwarding through these sad stories, keeping our eyes shut and our wallets closed. The charity Mercy Corps raised more funds for the victims of the typhoon in the Philippines in three days than it has in almost three years for the war in Syria. But few have taken to the streets or to Capitol Hill to say that the United States should do more. In fact, the feeling seems to be that the U.S. is doing quite enough.

Already the country is the largest humanitarian donor to Syria. President Barack Obama ran into resistance at even the prospect of armed intervention when he tried to push for "limited" military action earlier this year -- an effort that ended with a deal to collect Syria's chemical weapons. But he made no progress in creating a humanitarian corridor or imposing a ceasefire to help ease the suffering of those trapped amid falling rockets and flying bullets.

Juxtapose this against this past week, when the world has lauded a leader who showed through his actions and his words that human compassion and a shared humanity sat at the very center of the human experience. Mandela pushed us to care about others, to see ourselves in others, especially when circumstances conspired to rob them of their homes, their livelihoods and their dignity.

Indeed, as Obama said at Tuesday's memorial service, "Mandela understood the ties that bind the human spirit. There is a word in South Africa -- Ubuntu -- a word that captures Mandela's greatest gift: his recognition that we are all bound together in ways that are invisible to the eye; that there is a oneness to humanity; that we achieve ourselves by sharing ourselves with others, and caring for those around us."

Certainly helping is complicated, but standing by as more children die and humanitarian catastrophe sweeps the country is a comfortless option. America is tired, but avoiding the world is not a strategy, it is a preference. It will not leave America safer or stronger.

Diplomatic energy dedicated to opening a humanitarian corridor is critical. Former Ambassador Thomas Pickering is among many diplomats who have advanced the idea that America can do more. If the United States can devote days of urgent and focused diplomacy to getting Syria's chemical weapons in safer hands, surely we can try harder -- in concert with key players and powers -- to do the same for Syria's children. And Americans, for their part, can give to organizations that help parents get blankets and water. And helping teenagers to deal with the traumas they have witnessed can ease some of their suffering.

The world celebrates the life of a stoic hero who dared to stand up to injustice -- a man who would not live quietly beneath the easy shade of comfort, but who acted when he saw others suffer as oppression flourished. But we must heed his words as well -- a call to engage with the world, to ensure that those most vulnerable are not invisible, ignored.

"What counts in life is not the mere fact that we have lived," Mandela said. "It is what difference we have made to the lives of others that will determine the significance of the life we lead."

The opinions expressed in this commentary are solely those of Gayle Tzemach Lemmon.

@highlight

Gayle Lemmon: Poll shows Americans are weary of foreign entanglements

@highlight

She says we celebrate Mandela, who spoke of shared humanity

@highlight

Many Syrian children, affected by war, are facing a brutal winter

@highlight

Lemmon: Mandela urged making difference in lives of others