(CNN) -- In 1940, Hollywood's most popular comedian made a movie that subjected a world leader to ruthless parody, turning a brutal despot into a figure of fun.

At the time, Adolf Hitler was consolidating his hold over Europe; the full monstrousness of Nazi atrocities were still to be revealed, and the United States was not yet at war with his regime.

But the film had been controversial from the start. Two years earlier, German officials raised questions about it and the secretary of the British Board of Film Censors wrote to his American counterpart saying it could violate a rule against depicting a living person on screen without his consent.

Of course, "Dictator" went on to become Charlie Chaplin's biggest commercial success, and is today regularly listed among the greatest films in Hollywood history.

One wonders what would have become of "The Great Dictator" today, given Sony's decision Wednesday to respond to threats from anonymous hackers by yanking the raunchy North Korea satire "The Interview" with Seth Rogen and James Franco from theatrical release.

Granted, it's unlikely that "The Interview" is in the same league as Chaplin's magnum opus -- given that the film's comedy rests on subtle, nuanced plot elements such as Rogen being forced to hide objects in his anus, I'm not even sure it's playing the same sport. And Sony was compelled to pull the film after being subjected to debilitating leaks that have cost it hundreds of millions in lost time and business, and confronted with a new set of cyberterrorist intimidations that included a promise of "9/11-style violence" -- threats that ultimately led a half-dozen of the biggest theater chains in the United States to announce that they would refuse to show "The Interview" if Sony chose to distribute it.

Sony's surrender is more than just a humiliating black eye for one of the world's largest entertainment companies -- more, even, than the first notes of a dirge for the studio and its beleaguered leadership. It opens a new and insidious chapter in artistic censorship that raises the question of whether any work that lampoons or derides a powerful public figure or institution can now be made in today's entertainment industry.

Art (and for this argument's purposes, let's include "The Interview" in the category of "art") has always been deeply intertwined with politics.

Many of the greatest works in history would never have been created without the patronage of powerful world leaders and institutions, from kings and queens to religious faiths to merchant princelings.

And of course, the flipside of the coin of patronage has always been repression: the Iconoclastic Controversy of Byzantine emperor Leo III; Hitler's purging of "degenerate" art; Mao's Cultural Revolution; more recently, the death threats and vandalizations that have accompanied displays of Andres Serrano's "Piss Christ," a photo of a crucifix immersed in urine; the fatwa that sent Salman Rushdie into hiding for writing his literary fantasy "The Satanic Verses"; the murder of filmmaker Theo van Gogh for making the documentary "Submission," which questioned the treatment of women under Islam; and the controversies over the cartoon depiction of the Prophet Mohammed in the Danish newspaper Jyllands-Posten and on Comedy Central's "South Park."

America's recent midterm elections were affected by the question of art's intersection with politics: The Benghazi riots that served as the backdrop for a militant assault that killed several U.S. diplomatic officials, including J. Christopher Stevens, the U.S. ambassador to Libya, were initially claimed to have been part of a global series of protests after the Internet release of an amateurish anti-Islam film called "Innocence of Muslims."

What Sony's capitulation shows, however, is that in our postmodern era, shutting down the arts no longer requires jackbooted soldiers, raging mobs -- or even manifest physical danger. It doesn't matter if North Korea was originally behind the Sony hack; even if it was, it's certainly unlikely that the vague threats to public safety in the more recent warnings could ever have been carried out.

But after Sony's decision, the mere threat of attack by shadowy digital forces may now be enough to forestall interest in depicting "controversial" public figures -- or subjects. And this chill won't be limited to political leaders. After all, any institution or individual can buy a black-hat hacker's time; a single individual with enough time and skills can wreak unprecedented havoc on a multibillion-dollar company, and some of the most brilliant inhabitants of the digital dark side do their dirty deeds for nothing but the promise of "lulz."

So the question remains: Could "The Great Dictator" be made today? Could "Team America: World Police"? What about HBO's forthcoming documentary on Scientology, "Going Clear"? The repercussions from Sony's junking of "The Interview" are already being seen: Fox Studios and New Regency were working on a Steve Carell thriller set in North Korea that was ready to begin shooting in March. On Wednesday, they quietly killed the project.

Sony could have stood its ground and decided to release the film, even if only in a single theater. It could have chosen to distribute it globally via on-demand streaming, and probably would have made hundreds of millions from curiosity-seekers and those who want to send a message against censorship.

It might have even chosen to fight fire with fire, broadly releasing the film to pirate sites and illicit-sharing platforms as an upraised middle finger to those who tried to suppress it -- the money has already been spent on it, after all, and an act of bravura of that caliber might even have brought Sony a patina of cool.

Instead, the dominoes will continue to fall. Sony has given saboteurs a virtual veto over its productions, and Hollywood seems likely to follow suit. In short, at least in this battle, the terrorists have won.

@highlight

After anonymous threats, movie exhibitors and Sony canceled "The Interview"

@highlight

Jeff Yang says it's a complete surrender and has grave implications for media

@highlight

He says a precedent is now set for other saboteurs to kill free expression