(CNN) -- The world's first man-made surfing lake has been given an opening date of summer 2015.

Surf Snowdonia in Wales's Conwy Valley will comprise a 300-meter-long lagoon 10 miles inland, with machines to create waves up to six feet in height.

If you can't wait til then to carve a wave that isn't straight out of a sea-sprayed, sun-bleached postcard, there are other unusual surf experiences out there.

Pororoca (Brazil)

Porocora means "great roar" -- exactly what you hear for 30 minutes before this Amazonian tidal bore rolls into view.

The wave has its own competition -- the National Pororoca Surfing Championship -- and appears between March and April, when the strengthened Atlantic Ocean tide rushes into the Amazon Basin.

How to find it: The bore starts at the point where the Amazon River meets the Atlantic Ocean, but it can travel 800 kilometers (497 miles) inland.

The most popular surf spot is the stretch that passes through Sao Domingos do Capim in Para state, which is served by Belem/Val de Cansâ€”Julio Cezar Ribeiro International Airport, 149 kilometers (92 miles) away.

Standing wave (Munich)

More than 100 surfers ride this standing wave on the Eisbach River every day, but it's not for novices -- the flow rate is about 20 tons per second.

The wave, which reaches a height of two meters, is created by concrete slabs that were placed on the riverbed in the 1970s to weaken the river's flow.

How to find it: The standing wave can be found on the stretch of water that passes through Munich's city center, Englischer Garten (English Garden).

The nearest U-Bahn stop is Hauptbahnhof.

Habitat 67 (Montreal)

In 2002, Olympic kayaker Corran Addison became the first person to the surf St. Lawrence River's standing wave, named after the adjacent housing complex.

Later, he set up a surf school where others could learn to ride the urban wave.

Addison estimates he's taught more than 3,000 students how to surf it.

The wave is created by a river-bottom depression.

Addison is now lobbying to create additional depressions throughout Montreal, with the use of submerged concrete blocks.

How to find it: Habitat 67 -- both the housing complex and the wave named after it -- can be found at Marc-Drouin Quay in the Montreal city center.

Severn Bore (Gloucestershire, UK)

The Severn Bore is created when rising tides in the Bristol Channel force water up the Severn Estuary, creating waves of up to 2.8 meters in height.

The largest bores occur in spring.

Surfers get a ridiculously long hang time -- the record is held by a surfer who rode it for a length of five miles.

"There's something completely mad about riding a muddy, powerful wave up the Severn Estuary, 30 miles inland," says local surfer Phil Williams.

How to find it: One of the most popular entry points is near the Severn Bore pub on Main Street, in the village of Minsterworth.

Bristol, and its regional airport, is 63 kilometers (40 miles) away.

Lake Michigan (United States)

Lake Michigan is the only lake with enough wind to produce surfing conditions.

On average, there are just 10 surfable days per month during surf season, which typically lasts from June to August.

The first people to surf the lake were U.S. soldiers who returned to Michigan from Hawaii after World War II with surfboards they'd purchased.

How to find it: The best surf spots can be found on the eastern shore of the lake.

Antarctica

Overcrowding won't ever be a problem here.

The first (and as yet, only) known person to surf in Antarctica was Red Bull athlete Ramon Navarro.

In late 2013, Navarro headed to the South Shetland Islands and became the first person to surf in Antarctica.

It's one of the world's riskiest surf spots -- it's estimated that without protective gear, Navarro would have died within two minutes of being submerged.

How to find it: Tricky. This is one of the world's most inaccessible places.

Unless you're a sponsored pro or can convince Red Bull to spend thousands of dollars getting you there, this is probably left as a fantasy.

Skeleton Coast (Namibia)

The Skeleton Coast is one of the most barren, inaccessible surf spots in the world.

Surfers rave about the consistent swell in areas like Swakopmund, Walvis Bay and the town of Luderitz.

The coastline's popularity in recent years has prompted the Namibia Surfing Association to impose restrictions on access points.

How to find it: Start with the section of coastline at Luderitz, then head along the coast to Swakopmund, where there are several surf stores.

The Skeleton Coast is served by Hosea Kutako International Airport in Windhoek, Namibia.

Cox's Bazar (Bangladesh)

In this Islamic country, nonprofit organization Surfing the Nations organized the country's first surf competition in 2005 in the coastal town of Cox's Bazar and local surfer Jafar Alam recently set up the country's first surf school, complete with rental boards donated by professional surfers from around the world.

How to find it: Cox's Bazar is located on the Bay of Bengal in southeastern Bangladesh.

The town has its own airport and is well connected with regular flights from the capital, Dhaka.

Arabian Sea (Oman)

Popular surf spots on this spectacular chunk of coastline include Sur, Ras Al Hadd and Salalah, where Oman's first surf school, Surf School Oman, was set up.

The water is warm year round, although surfers need to be self-sufficient due to a lack of facilities.

There are strong riptides and the odd shark -- elements that prove even more disturbing when you're possibly the only surfer in the water between here and Africa.

How to find it: One of Oman's most popular surf spots, Salalah is a coastal city in the southern province of Dhofar.

The airport serves domestic flights from the capital of Muscat and a small number of flights from neighboring countries.

Busua Beach (Ghana)

Ghana's coastline is a muddy, dusty undiscovered surfers' paradise.

"Ghana has an almost unique combination of plentiful surf spots, warm water, consistent swell from the south Atlantic and few surfers, making the country one of West Africa's best surfing destinations," says John Callahan, co-founder of surfEXPLORE.

Busua Beach is home to Ghana's only surf shop, Black Star Surf, and the country's only surf school, Mr Brights, which was set up by a British surfer from Cornwall.

How to find it: Busua is a resort on Ghana's western coast. The nearest airport is Takoradi Airport, 37 kilometers (22 miles) away.

Reykjanes (Iceland)

Surfing in Iceland presents various challenges, not least the freezing temperatures.

"The weather here changes rapidly, so it's all about being at the right place at the right time," says Hreinn Eliasson at Arctic Surfers.

"But I just love how spontaneous the surf scene is in Iceland."

One of the most popular areas is the Reykjanes Peninsula -- the waves break over a rough volcanic reef, so wetsuits and foot protection are essential.

How to find it: Easy! Head to the Reykjanes Peninsula in the southwest, just 49 kilometers (31 miles) from the capital, Reykjavik.

@highlight

Only RamÃ³n Navarro has surfed in Antarctica. Without protective gear he'd have died within two minutes

@highlight

Brazil's Pororoca is a surfable tidal bore that can extend 800 kilometers up the Amazon River

@highlight

Busua Beach in Ghana offers great surfing, and no crowds