Editor's note: Nathaniel Frank is author of "Unfriendly Fire: How the Gay Ban Undermines the Military and Weakens America" and is senior research fellow at the Palm Center, a think tank at the University of California, Santa Barbara, that has focused on gender, sexuality and the military. He also teaches on the adjunct faculty at New York University.

Nathaniel Frank says there's no evidence that letting gays serve openly would harm the military.

(CNN) --   This week, four senior retired officers wrote an op-ed in The Washington Post predicting "grave harm" to the military if President Obama moves forward with his vow to let gays serve openly.

"Our experience," they wrote, "and that of more than 1,000 retired flag and general officers," suggest that lifting the ban would harm unit cohesion, recruitment and retention, and would ultimately "break the All-Volunteer Force."

The argument is an old one, and was an effective canard in defeating President Clinton's move to lift the ban in 1993. But it has never been rooted in fact or evidence, and the effort of these officers to defeat equal treatment this time around will face mountains of opposing data and a dramatically changed cultural landscape.

The officers who oppose openly gay service do not base their arguments on any new information. In addition to their own experience -- an impressive credential that's nevertheless too vague to hang an argument on -- the officers rely on a single poll.

They cite an unscientific survey -- it does not draw from a representative sampling but from newspaper subscribers -- indicating that 58 percent of the military oppose lifting the ban and that, if it's lifted, 24 percent claim they will leave or consider leaving after their tour ends.

But it's naïve at best, and disingenuous at worst, to confuse this opinion survey with a sound prediction of actual behavior. When both Britain and Canada proposed lifting their gay bans in the 1990s, similar opinion surveys found much higher numbers -- about two-thirds in both cases -- claiming they, too, would leave. In each case, no more than three departures were attributed to the policy change. Three.

In fact, the evidence showing that openly gay service works is overwhelming. Since 1957, when the U.S. military began doing its own studies on gays in the military, every last bit of research has shown that openly gay service works.

Studies of foreign militaries include a 1993 Government Accountability Office study of allied nations that found that "the presence of homosexuals in the military is not an issue and has not created problems in the functioning of military units"; a 1994 assessment by the U.S. Army Research Institute for the Behavioral and Social Sciences finding that predicted negative consequences of ending gay exclusion in the Canadian Forces never materialized; the 2000 assessment of the British Ministry of Defense, calling its new policy of equal treatment "a solid achievement" with "no discernible impact" on recruitment or other critical variables; and four academic studies conducted by the Palm Center, where I work, finding that lifting bans in Britain, Israel, Canada and Australia had no negative impact on military readiness, including on recruitment and retention.

The officers writing in The Washington Post question the relevance of foreign militaries to this debate, mocking the idea that the U.S. military "must emulate Denmark, the Netherlands and Canada." But they failed to note that 24 of our closest allies let gays serve openly, including Britain, whose combat-tested soldiers and sailors serve shoulder to shoulder with U.S. forces.

While our military and culture are unique in the world, it's an astonishing vote of no-confidence in American troops to say that they are not capable of doing what 24 other militaries have done successfully. Ours is a professional, disciplined fighting force, and the assertion that a diverse military would lack order and discipline is, as Rep. Patrick Murphy, an Iraq War veteran, has said, "an insult" to him and the entire U.S. military.

But it's not just foreign militaries that provide real evidence on gay service. A majority of U.S. troops know of, or suspect, gays in their units, giving the lie to the most basic assumption underlying the gay ban: that openly gay service could never work.

After all, gays are already serving, and serving openly, without causing problems. Yet despite the law's failure to keep many open gays out, the ban's persistence means that gay troops are subject to random dismissals and are often unable to access military support services for fear of being found out and fired.

Even extensive research by our own military has concluded the gay ban is unnecessary, including a large 1993 study by the RAND Corporation -- a think tank created by the military itself -- and two official military studies -- a 1989 study by the Defense Personnel Security Research Center and the Navy's 1957 Crittenden report -- which all found sexual orientation is irrelevant to military performance.

Indeed, neither the military nor anyone else has ever turned up a shred of evidence tying openly gay service to impairment of the military.

When the officers' claims are pitted against the wealth of actual facts and research on this issue, they are shown for what they really are: fear and intolerance, rooted in a world that's largely disappeared. Indeed, the vast majority of these retired officers, including the authors of this week's op-ed, retired before the current "don't ask, don't tell" policy even began in 1994.

Their military is not the same as today's, where three-quarters of troops are "personally comfortable" with gays and lesbians, and "don't ask, don't tell" is considered "a joke."

These officers attribute current efforts to lift the ban to "gay rights activists," when in fact, according to consistent polling, four-fifths of the American public favors repeal, including majorities of Republicans, conservatives and even churchgoers. It also includes many retired officers who did serve under, and used to support, the current policy, such as Gen. John Shalikashvili, former chairman of the Joint Chiefs of Staff, who sees the ban as a threat to military readiness.

The officers say there is "no compelling national security reason" to accept the "risks" of lifting the ban, which they say include the likely loss of "experienced personnel who are not easily replaced." But under current policy, more than 800 "mission-critical specialists" have been fired just because they're gay, including more than 60 Arabic linguists.

Due to the military's overall struggle to meet its recruiting goals, it has had to lower standards and admit convicted felons.

Kicking out capable troops while replacing them with ex-convicts is not a recipe for good order and discipline. Forcing soldiers to lie to each other is not good for morale or cohesion.

Drumming out Arabic linguists at a time when we don't have enough to translate what our enemies are saying is bad, not good, for national security. If these officers care more about our nation than about preserving an embalmed military culture, they'll cease and desist.

The opinions expressed in this column are solely those of Nathaniel Frank

@highlight

Nathaniel Frank: Some retired military officers oppose letting gay troops serve

@highlight

He says they don't understand wide acceptance of gays today in military

@highlight

He says many other nations have approved gay service without harm

@highlight

Frank: Polls vastly exaggerate number of officers who might leave