LONDON, England (CNN) -- With irresponsible banking practices taking the blame for bringing about the global economic crisis, there has been a surge of interest in Islamic finance.

Islamic finance is estimated to be worth $700 billion and has been growing by 15 to 20 percent per year.

Now, a slew of academic courses are springing up to meet the demand of those wanting to break into an expanding market.

According to ratings agency Moody's, the global Islamic finance sector is worth $700 billion and has the potential to be worth $4 trillion.

What's more, the ethical principles underpinning Islamic finance are seen by some as offering a more sustainable alternative to profit-oriented conventional banking. The result is that academic institutions are lining up to offer formal training in the area.

"There is a huge demand for Islamic finance courses now, so large that it's difficult to cope with," Professor Habib Ahmed, Sharjah chair in the school of government and international affairs at Durham University, England, told CNN.

Durham will launch a Masters degree in Islamic finance from October, becoming one of a number of European institutions to offer Islamic finance programs.

"Islamic finance has been growing by 15 to 20 percent per year for some time and there is a lot of interest at the moment. People are looking for alternatives after the economic crisis."

"Islamic economists believe that if the principles of Islamic finance were followed the crisis wouldn't have happened. We are seeing a lot of non-Muslim countries, including the UK, France, Japan, Hong Kong and Singapore encouraging Islamic finance," he said.

There are many differences between Islamic and conventional banking practices. One fundamental difference is that Islamic banks do not charge interest. Rather than borrowers and lenders, the system is based on buyers and sellers.

"Conventional banking is biased to the seller. Islamic finance is trying to level the ethics between the two parties," Aly Khorshid, an Islamic finance scholar who writes for Islamic Banking and Finance magazine, told CNN.

"People think the Islamic system is based on faith, but it's based on justice. The system is based on justice for the two parties and how you get to the justice is extracted from Islamic faith," he said.

Khorshid said that there are similarities between "ethical investment" schemes and Islamic finance, in that the Islamic system does not allow investment that harms people or the environment. He credits the rapid growth of the Islamic finance sector on the success of "sukuk" -- Islamic bonds.

In the West, banks including Lloyds TSB, HSBC, Deutsche Bank and Citibank all offer Islamic finance products, catering to a niche market of Muslim borrowers.

But while Islamic banks allow Muslims to take advantage of financial services that are consistent with their religious beliefs, it is the ethics underpinning Islamic finance that are attracting the interest of conventional finance institutions keen to learn lessons from the banking crisis.

Although Islamic banks have suffered from the global repercussions of the economic downturn, they emerged largely unscathed from the initial banking meltdown that brought about that financial turmoil.

Ahmed told CNN that is because Islamic banks are not allowed to deal in mortgage-backed securities or credit-default swaps, two of the practices accused of helping bring about the banking crisis.

Khorshid said that although it's too early to say if Islamic finance has dealt with economic downturn better than conventional finance, the Islamic system has many more layers of risk assessment and management, which could help protect it from the problems afflicting conventional banks.

But the growth of Islamic finance has brought its own problems. Critics say some banks use Islamic finance to package what are essentially conventional products. "Islamic banks are also driven by the profit motive and sometimes that can dominate the ethics," Ahmed told CNN.

While Europe is catching up with the demand for these banking products, the U.S. is lagging behind. Ahmed says that regulatory and legal changes are needed for Islamic finance to grow in the U.S., but he adds there are signs that Canada may become a North American center for Islamic finance.

The lack of Islamic finance services in the U.S. is reflected in a relative lack of demand for Islamic finance courses, but in the UK there is the opposite problem.

With students coming from Asia and the Middle East to get the qualifications that will help them take advantage of the Islamic finance boom, Ahmed says it is difficult for universities to find qualified teaching staff. "Most people with PhDs in Islamic finance are working in the industry, making a lot of money," he told CNN.

He added that Islamic finance products have the potential to appeal to the non-Muslims market, pointing out that in Malaysia the majority of customers for Islamic banks aren't Muslims.

"If people look at the principles they'll see something beneficial in terms of economics, rather than just religious reasons. It's a type of ethical finance that may be attractive to a lot of people."

@highlight

There is an increase in demand for academic courses in Islamic finance

@highlight

Some believe Islamic finance principles would have avoided banking crisis

@highlight

Islamic banks do not charge interest or deal in mortgage-backed securities

@highlight

Some principles are similar to those used for ethical investments