(CNN) -- Bahrain security forces fired tear gas and rubber bullets at protesters in the southern city of Sitra on Tuesday, killing at least two protesters and wounding at least 150 people, according to medical officials on the scene Tuesday.

"They are killing everybody," one official said. "They attacked us -- even medical personnel."

The man, who asked to be identified only as a medical official for fear of reprisals, said he was riding with patients in an ambulance as he spoke.

"Even in this ambulance that is marked as an ambulance, they shot at it," he said. "We had to get on the floor of the ambulance. We are not safe even transferring injured patients."

Although troops Saudi Arabia and other member states in the Gulf Cooperation Council are in Bahrain, there have been no reports of those soldiers being involved in the Sitra clashes.

A Saudi soldier was killed in Bahrain on Tuesday, a Saudi official said.

The United States issued a statement calling for "calm and restraint on all sides" and urging a political solution through dialogue, not a military solution.

U.S. Secretary of State Hillary Clinton, now in Cairo, Egypt, expressed "deep concern" about Bahrain in a conversation with Saudi Foreign Minister Prince Saud on Tuesday, a senior State Department official said.

Clinton later said it was important for all parties to promote dialogue instead of violence.

"You can't solve this problem by just trying to bring security to bear. You have to have a political solution," she said.

Bahrain's King Hamad has imposed a three-month state of emergency in the island nation, effective Tuesday, according to the state news agency.

The moves comes amid uncertainty in Bahrain after foreign troops arrived to help the government quell weeks-long protests in the Persian Gulf kingdom.

Saudi Arabia and the United Arab Emirates sent troops Monday to "protect the safety of citizens," the Bahraini government said. The troops arrived under the banner of the Gulf Cooperation Council.

But some in the capital city said Tuesday that they did not need the added protection.

"We don't understand why these troops are coming in," said a 28-year-old blogger in Manama. "We have an army and police. We do not need troops from other places. Opposition leaders have called this an invasion. An act of war."

The blogger also said he did not want to be named because of fears of retribution.

One Saudi soldier, an under-sergeant, was killed in Bahrain on Tuesday, a Saudi official said. The cause of the death was not immediately released. Separately, a Bahraini police officer was killed in Sitra.

A man from the town of Hidd, who wanted to be identified only by his first name, said he feared that the troops would just inflame the already tense standoff.

"I really hope things work, but I don't think foreign troops will solve anything," Abdulrahim said. "It will probably lead to more violence."

But a 25-year-old banker from Manama said she welcomed the presence.

"It gives us peace," the woman said. "Maybe these protests will finally end. These protesters say they are peaceful, but I have seen them carrying sticks and knives. They are blocking the streets so we cannot get to work. They are criminals and this has gone on for too long."

The protests, which started February 14, are part of a series of demonstrations that have swept across the Arab world this year, toppling the leaders of Tunisia and Egypt. But it was not clear whether any other country had taken the step of calling in foreign troops for help.

"Temporarily, it should calm the situation," said Simon Henderson, director of the Gulf and energy policy program at the Washington Institute for Near East Policy. He noted that the Obama administration has been urging political dialogue but said Monday's move was not what the U.S. president meant.

"Sending in Saudi forces is hardly encouraging political dialogue," Henderson said. "The great danger is, it will actually worsen the situation by encouraging Iran to get involved. Not militarily, probably, but certainly diplomatically and rhetorically."

The movement of forces came on the same day that protesters seized control of a key part of the capital city, Manama, a Human Rights Watch official said.

Medical officials said that at least 36 people were injured in clashes Monday, many of them wounded by projectiles from pellet guns.

The Bahrain Financial Harbour was still shut down Tuesday morning, said Faraz Sanei, a researcher with the group. But the extra troops were not visible in the city.

"There are areas of the city that are being controlled by vigilante groups armed with sticks and batons. The patrols seem to be sectarian," he said.

"Any time civilians take up arms and take matters into their own hands or threaten violence it is of great concern," regardless of their political affiliation, Sanei said.

It was not clear how many foreign security troops had entered Bahrain in total. Various parts of the Bahraini government referred questions to other government offices on Monday.

A witness said dozens of armored vehicles and buses full of soldiers crossed Monday afternoon from Saudi Arabia into Bahrain afternoon via the causeway linking the two countries.

The Gulf Cooperation Council comprises six Gulf states -- Bahrain, Saudi Arabia, Kuwait, the United Arab Emirates, Oman and Qatar -- and encourages cooperation among members in a number of areas, including the economy and security.

The nation's independent bloc of lawmakers called on Bahrain security forces to intervene to protect national security and stability, the Bahrain News Agency reported Sunday. The bloc is composed of the 22 pro-government members of the lower house of the legislature.

"Extremist movements are resorting to escalation and sectarian mobilization, which led to an unprecedented disruption of security and hostile sectarian polarization at health and educational institutions," the group said in a statement.

On Sunday, clashes between protesters and security forces resulted in the hospitalization of more than 1,000 people, human rights activists said.

The unrest prompted the U.S. State Department to warn Americans to consider leaving the island nation. The United Kingdom, too, has urged its residents not to travel there.

"One thing is clear: There is no military solution to the problems in Bahrain," White House spokesman Tommy Vietor said. "A political solution is necessary, and all sides must now work to produce a dialogue that addresses the needs of all of Bahrain's citizens."

U.S. Ambassador Jeffrey Feltman is "working the issue aggressively on the ground as we speak," the White House said.

Last month, U.S. President Barack Obama welcomed plans by King Hamad to make changes to his Cabinet and proceed with reforms.

But a few days ago, U.S. Defense Secretary Robert Gates cautioned that "baby steps" would not be sufficient to meet protesters' demands.

Bahrain is the key banking and financial center in the Gulf. It also plays a crucial role in U.S. defense interests in the region. The U.S. Fifth Fleet is headquartered in Bahrain, and Bahrain is the only Arab state to have led one of the coalition task forces that patrol the Persian Gulf. U.S. military access to Bahrain also supports operations in Iraq.

An underlying concern in this issue is that Iran, an overwhelmingly Shiite state, could seize the opportunity to meddle in Bahrain's internal affairs. Bahrain has a Shiite Muslim majority population, but its rulers are Sunni Muslims.

On Tuesday, an Iranian Foreign Ministry official criticized the arrival of Saudi troops as an "invasion," Iran's Press TV reported Monday.

Saudi Arabia's eastern province is home not only to many of the country's rich oil fields but to its largest concentration of minority Shiites as well.

In recent weeks, Shiite demonstrators there have protested the Saudi government, whose leaders are overwhelmingly Sunni.

The Saudi government would presumably be concerned that any uprising by Shiite Muslims in Bahrain could inspire the Shiite population in nearby Saudi Arabia to follow suit.

During protests in Bahrain, moderates have been demanding a constitutional monarchy, and hard-liners have called for the abolition of the royal family altogether.

But pro-government members of parliament have asked King Hamad to enforce a curfew and deploy security forces across the country, saying the protesters' motives are far more sinister.

"What we are witnessing in Manama is no peaceful protest," Bahrain's Foreign Minister Khalid al-Khalifa said on Twitter. "It's (a) wanton, gangster-style takeover of people's lives."

CNN's Lateef Mungin, Jenifer Fenton and Mohammed Jamjoom contributed to this report.

@highlight

Clinton says there is no military solution to Bahrain's unrest

@highlight

King imposes three-month state of emergency in Bahrain

@highlight

"They attacked us -- even medical personnel," medical official says

@highlight

A Saudi soldier was killed, official says