William Gibson's popular science fiction tale "Johnny Mnemonic" foresaw sensitive information being carried by microchips in the brain by 2021. A team of American neuroscientists could be making this fantasy world a reality.

Their motivation is different but the outcome would be somewhat similar. Hailed as one of 2013's top ten technological breakthroughs by MIT, the work by the University of Southern California, North Carolina's Wake Forest University and other partners has actually spanned a decade.

But the U.S.-wide team now thinks that it will see a memory device being implanted in a small number of human volunteers within two years and available to patients in five to 10 years. They can't quite contain their excitement.

"I never thought I'd see this in my lifetime," said Ted Berger, professor of biomedical engineering at the University of Southern California in Los Angeles. "I might not benefit from it myself but my kids will."

Rob Hampson, associate professor of physiology and pharmacology at Wake Forest University, agrees. "We keep pushing forward, every time I put an estimate on it, it gets shorter and shorter."

The scientists -- who bring varied skills to the table, including mathematical modeling and psychiatry -- believe they have cracked how long-term memories are made, stored and retrieved and how to replicate this process in brains that are damaged, particularly by stroke or localized injury.

Berger said they record a memory being made, in an undamaged area of the brain, then use that data to predict what a damaged area "downstream" should be doing. Electrodes are then used to stimulate the damaged area to replicate the action of the undamaged cells.

They concentrate on the hippocampus -- part of the cerebral cortex which sits deep in the brain -- where short-term memories become long-term ones. Berger has looked at how electrical signals travel through neurons there to form those long-term memories and has used his expertise in mathematical modeling to mimic these movements using electronics.

Hampson, whose university has done much of the animal studies, adds: "We support and reinforce the signal in the hippocampus but we are moving forward with the idea that if you can study enough of the inputs and outputs to replace the function of the hippocampus, you can bypass the hippocampus."

The team's experiments on rats and monkeys have shown that certain brain functions can be replaced with signals via electrodes. You would think that the work of then creating an implant for people and getting such a thing approved would be a Herculean task, but think again.

For 15 years, people have been having brain implants to provide deep brain stimulation to treat epilepsy and Parkinson's disease -- a reported 80,000 people have now had such devices placed in their brains. So many of the hurdles have already been overcome -- particularly the "yuck factor" and the fear factor.

"It's now commonly accepted that humans will have electrodes put in them -- it's done for epilepsy, deep brain stimulation, (that has made it) easier for investigative research, it's much more acceptable now than five to 10 years ago," Hampson says.

Much of the work that remains now is in shrinking down the electronics.

"Right now it's not a device, it's a fair amount of equipment,"Hampson says. "We're probably looking at devices in the five to 10 year range for human patients."

The ultimate goal in memory research would be to treat Alzheimer's Disease but unlike in stroke or localized brain injury, Alzheimer's tends to affect many parts of the brain, especially in its later stages, making these implants a less likely option any time soon.

Berger foresees a future, however, where drugs and implants could be used together to treat early dementia. Drugs could be used to enhance the action of cells that surround the most damaged areas, and the team's memory implant could be used to replace a lot of the lost cells in the center of the damaged area. "I think the best strategy is going to involve both drugs and devices," he says.

Unfortunately, the team found that its method can't help patients with advanced dementia.

"When looking at a patient with mild memory loss, there's probably enough residual signal to work with, but not when there's significant memory loss," Hampson said.

Constantine Lyketsos, professor of psychiatry and behavioral sciences at John Hopkins Medicine in Baltimore which is trialing a deep brain stimulator implant for Alzheimer's patients was a little skeptical of the other team's claims.

"The brain has a lot of redundancy, it can function pretty well if loses one or two parts. But memory involves circuits diffusely dispersed throughout the brain so it's hard to envision." However, he added that it was more likely to be successful in helping victims of stroke or localized brain injury as indeed its makers are aiming to do.

The UK's Alzheimer's Society is cautiously optimistic.

"Finding ways to combat symptoms caused by changes in the brain is an ongoing battle for researchers. An implant like this one is an interesting avenue to explore," said Doug Brown, director of research and development.

Hampson says the team's breakthrough is "like the difference between a cane, to help you walk, and a prosthetic limb -- it's two different approaches."

It will still take time for many people to accept their findings and their claims, he says, but they don't expect to have a shortage of volunteers stepping forward to try their implant -- the project is partly funded by the U.S. military which is looking for help with battlefield injuries.

There are U.S. soldiers coming back from operations with brain trauma and a neurologist at DARPA (the Defense Advanced Research Projects Agency) is asking "what can you do for my boys?" Hampson says.

"That's what it's all about."

@highlight

U.S. researchers hoping to start human trials of memory implants in next two years

@highlight

Studies focusing on the hippocampus, where short-term memories become long term

@highlight

Successful trials already carried out on rats and monkeys

@highlight

Implants could help stroke victims and patients with localized brain injuries