(CNN) -- Since the U.N. Millennium Development Goals were launched in 2000, the world has made tremendous gains in reducing new HIV infections and helping people with HIV to live longer and healthier lives.

For a long time, efforts to ensure that a pregnant woman living with HIV would not pass the virus to her child -- during pregnancy, at childbirth, or during breastfeeding -- have lagged behind the promise of technology. But now we can say confidently that with the right efforts, we can reduce new HIV infections among children to zero, even within the short time remaining until the Millennium Development Goals are concluded at the end of 2015.

During the upcoming meeting of leaders at the U.N. General Assembly, the world's governments, NGOs and the private sector should take an important step toward reaching the goal of zero new HIV infections among children.

This can be achieved by deploying a new generation of community health workers (CHWs) who will not only help to fight AIDS but also bring other kinds of health care to the communities they are serving. UNAIDS, Columbia University's Earth Institute, many businesses and NGOs have joined forces with African governments in the 1 Million Community Health Workers Campaign to deploy this large number of CHWs across Africa by the end of 2015.

Although we've known for more than a decade that transmission of HIV from a pregnant woman to her child can be stopped through appropriate interventions -- including timely access to antiretroviral medicines -- the practical challenges to eliminating new infections are substantial. Most women in low-income countries give birth at home, without medical assistance, and usually without the benefit of prenatal care.

One key to overcoming these challenges is to ensure that trained health care professionals are on hand to provide prenatal and delivery support, even in the poorest villages. The Millennium Villages Project and UNAIDS are doing just that by building a network of health workers, supported with training, new technology, a supply chain of antiretrovirals and other key inputs, and professional supervision at the level of clinics and hospitals.

Today, teams of trained health workers across the Millennium Villages complement the nurses and midwives in a structured health care system that is providing pregnant women with not only services to prevent HIV transmission, but comprehensive services including prenatal care, counseling for HIV-positive women, access to antiretrovirals and professional follow-up care for newborns.

The telecoms industry is also playing a new and historic role. In the Millennium Villages system, the health workers are equipped with smartphones. With better technology, community health workers are now accessing real-time emergency guidance, making calls for ambulances in emergencies, maintaining digital health records for each household and more.

With community-based care, the CHWs are able to expand services to reach more women and newborns. For example, in the Millennium Village of Sauri in Kenya, nearly all pregnant women are receiving HIV counseling and testing, compared with fewer than half in 2008. Children who do become infected with HIV are diagnosed earlier and given timely access to HIV treatment, care and support. The community health workers are also playing a growing role in identifying bottlenecks and implementing solutions by engaging decision makers from local to national levels. Challenges such as low acceptance of HIV counseling and testing, commodity stock-outs and infant feeding issues are being identified and addressed with local responses.

Next week as heads of state and global leaders gather at the United Nations, UNAIDS, the Millennium Villages Project and partners in the telecoms industry and beyond will seize the opportunity to make a push for zero new HIV infections among children, and for the 1 Million CHWs in Africa who can help make the goal a reality.

On September 28, we will also join 60,000 people on the Great Lawn of New York's Central Park for Global Citizen Festival -- along with many millions more watching from around the world -- to issue a global appeal for these historic objectives. We believe that the world will rise to the occasion.

The opinions expressed in this commentary are solely those of Jeffrey Sachs and Michel Sidibé.

@highlight

Jeffrey Sachs, Michel Sidibé: The world has made big gains in reducing new HIV infections

@highlight

Sachs, Sidibé: In upcoming U.N. meetings, leaders should take step toward a critical goal

@highlight

Let's aim to reduce new HIV infections among children to zero by the end of 2015, they say

@highlight

Sachs, Sidibé: We can join forces with African leaders to deploy health workers to reach the goal