Farsala, Greece (CNN) -- Multicolor blankets and clothes draped over rusty railings serve as a signpost that you've reached the Roma community on the outskirts of town.

Disheveled children squeal as they chase one young girl who is gripping a plastic doll with synthetic blond hair. They jump around chanting: "We want Maria."

Until last week, these were the knee-high playmates of "Maria," the mystery blond child discovered during last week's police raid on this community.

After DNA tests showed they were no relation, the couple who were posing as her parents, Christos Salis and Eleftheria Dimopoulo, were charged with kidnapping. They deny those accusations and say the birth mother was destitute and unable to care for the baby.

The police raid, the accusations of kidnapping and the subsequent media coverage has incensed Roma residents at this community in central Greece.

The same day our CNN crew pulled up at the gates, we'd had word that another international TV team had been roughed up by Roma men.

Bulgarian woman claims she's Maria's mom

A lot of Greek and international coverage of the case has been fueled by stereotypes and old wives' tales, in part portraying the Romas as untrustworthy, thieves and even child snatchers.

Press reports even prompted a stiff warning from European human rights watchdog, the Council of Europe.

In a written statement it said: ""Such irresponsible reporting can have tremendous effects on the lives of millions of Roma and fuel already widespread violent anti-Roma movements.

"Although the Roma are no more inclined to criminal behavior than anybody else, media insistence on mentioning ethnicity in news reports gives credence to the myth that Roma are by nature criminals."

On the outer margins of society

It was already dusk when we arrived. Before we could even start to try and get the facts of a complex case straight, we had to persuade the Roma to tolerate us, if not welcome us into their community.

Even in the best of times, Roma view outsiders with deep distrust. In Greece, they call non-Roma "balame." Centuries of persecution, including thousands gassed in Nazi Germany's death camps, has pushed the Roma to the outer margins of European society.

The European Union estimates that of about 12 million Roma spread across Europe, almost 90% survive below the poverty line.

Photo blog: Plight of the Roma

Here in Farsala's Roma community, no one we talked to had regular jobs. Some traveled from town to town selling fruit and vegetables. Others collected scrap metal.

Those who had previously picked up farm jobs at harvest time said they were having a tough time because Albanians and Bulgarians were coming in and working for as little as 10 euros a day, way cheaper than the Roma.

Resident Argyris Tsakiris conceded some of the youngsters did bend the law as they battled to survive Greece's economic meltdown. But like his neighbors, he vehemently denied anyone here was involved in serious crime, much less child trafficking.

"People just don't have enough to eat; what can they do? Ten or 15 years ago, this wasn't the case. Now they don't have enough food, and they go crazy," he said.

An invitation to visit a Roma family

Before we left the Roma community that evening, we had managed to talk our way into a lunch invitation the next day with his wife, Vassiliki Tsakiris, and part of her extended family, which included four children and nine grandchildren.

Argyris had supported them for the past 37 years playing clarinet at weddings and christenings. But amid Greece's economic meltdown, his bookings were scare.

"What can you do? It's a general problem but I can only hope we can get by," he said.

Over lunch, Vassiliki explained to us that she, like most of her neighbors, knew Maria and the couple who cared for her. She rejected any suggestions she had been mistreated.

"It's a good family. I've known them for many years; we practically grew up together. Christos used to sell potatoes and fruit and Eleftheria would come here for coffee and bring the little girl," she said.

Vassiliki said she had never met Maria's birth mother but understood she was Bulgarian. She recalls Maria came to the camp possibly five years ago. Authorities estimate Maria may be 5 or 6.

Almost as she was speaking, the lunchtime TV news reported the latest on the case. Her daughter Katerina burst into tears and stopped sobbing only long enough to curse what she called "police and media lies."

"Maria was raised very well. She used to bring her here nicely dressed. She wasn't skinny but well-fed. Eleftheria took more care of her than her own children," she said.

After lunch, we wandered through the narrow alleys that separated the metal, prefabricated huts that made up the community.

A short distance away, Maria Kaleas stopped pushing a rickety green cart she used to collect firewood. She, too, had known Maria.

"Maria used to play here with the other children and go to the store with her mum. Maria was not hidden away," she explained.

"Her real mother gave her away, and Eleftheria was enchanted by Maria's beauty. She shared the food for her own children with Maria."

Among Greek Roma, a blue-eyed, blond child like Maria is a relative rarity. Those familiar with Roma customs here say having a fair-skinned child is seen as good luck.

In fact, Maria and her adoptive parents did not live in the metal huts partly funded by the European Union a decade ago. Their home was a few hundred meters away in a brick and concrete house.

Inside a child's bedroom

Initially, Roma who said they were just looking after the house shooed us away and asked us not to film. Later, they recanted and invited us in. They showed us a spacious room they said had been Maria's bedroom.

Stuffed animals were laid out on a pink quilt and a coloring book lay open on the floor. Their intention seemingly was to show Maria had been well cared for, but it also seemed unlikely that Maria would have had a room to herself in a one-bedroom house that was also home to 13 other children.

Outside, Marinos Panagiotopoulos, son-in-law of the woman who raised Maria, spoke briefly to us.

"Maria was the most beautiful of babies. Her Bulgarian mother left the girl here and my mother in law raised her.

"She had five children already and couldn't raise one more. Originally she left Maria only for a short while but she never came back to get the baby," he added.

A half-hour drive away in the town of Larissa, we found Kostas Katsavos, defense lawyer for the Roma couple. He said relatives of the family were searching for Maria's biological mother.

On Thursday, some of those relatives headed to Bulgaria but could not immediately be contacted by phone.

"From the outset, we have said finding Maria's mother is the key to this case. We are not afraid of what she has to say," Katsavos told CNN over coffee at a pavement cafe.

Almost as he spoke, Bulgarian police reported they had questioned a Roma couple in central Bulgaria who claimed they were Maria's biological parents.

DNA tests have now been scheduled before the weekend, police say, to see if they can resolve the mystery of who is Maria and whether she was the victim of child traffickers or simple the daughter of parents trapped by poverty.

@highlight

Roma couple has been charged with kidnapping little blond "Maria," who they have raised

@highlight

A crew with CNN visits the Roma community in Greece where Maria was found

@highlight

Roma view outsiders with deep distrust even in the best of times

@highlight

They describe a life of hardship since Greece's meltdown but say Maria was treated well