(CNN) -- That the road from revolution to a new Egypt is arduous and twisting comes as no surprise. But few expected that today, one month from presidential elections, Egypt would be moving toward more repression and less accountability than under the deposed dictator Hosni Mubarak.

Egypt's crackdown on human-rights organizations, the prosecution and sentencing of the comic actor Adel Imam and the notorious imposition of Article 28, which removes the basic rights of citizens to challenge anything about the upcoming presidential election, create a trifecta of repression.

Blood is being spilled on Cairo's streets once again, with up to 20 dead and counting, plus scores wounded by thugs attacking protesters outside the Ministry of Defense. The Supreme Council of Armed Forces (SCAF) is consolidating its power. With the leading human rights organizations -- Freedom House, National Democratic Institute, International Republic Institute, the International Center for Journalists and the Konrad Adenauer Foundation -- facing prosecution, oversight of the elections will be minimal at best. The government is eroding the power of civil society to help build a truly democratic Egypt.

Clashes in Egypt turn deadly

And the United States government is complicit in some of these changes for the worse.

The United States mistakenly believed that the "carrot" of granting SCAF carte blanche -- waiving the human-rights condition to deliver $1.3 billion in military goods -- would more likely ensure cooperation than applying the "stick" of withholding military aid.

After pocketing the military aid, the Egyptian government allowed Americans under indictment to leave the country. Then it redoubled its persecution of the Egyptians working for human rights NGOs, threatening them with the serious charge of espionage. So far, the assumption that once the Americans were airlifted out of Cairo, the Egyptian employees left behind would be, in the words of Nancy Okail, head of Freedom House's Cairo office, "forgotten by the international community," has proved to be true.

"This sends the wrong message -- that the United States cares only about its own self-interest," Okail said in a recent interview in Washington. "This is about much more than me and my staff; it is a fight for the future of civil society in Egypt. Without civil society, how can you have a healthy transition to democracy?"

Okail's harrowing tales of being held in the "cage" in the courtroom in Cairo for five hours, where she read Orwell, and of being led out of the building through a cell full of inmates in a failed attempt to intimidate her indicate that the authorities have every intention of going through with the trial of the Egyptian staff members of the five human rights organizations.

Recently making the rounds in Washington, Okail met with universal concern about the fate she and 14 other defendants would face standing trial.

No one wants the brave Okail, or her colleagues, to be martyrs, but neither their safety in Egypt nor immunity from being scapegoated can be guaranteed. Unless the Egyptian authorities cannot be persuaded to drop the case, civil society in Egypt will be dealt a serious blow.

Two years ago, President Barack Obama uttered these words in Cairo: "I do have an unyielding belief that all people yearn for certain things: the ability to speak your mind and have a say in how you are governed; confidence in the rule of law and the equal administration of justice; government that is transparent and doesn't steal from the people; the freedom to live as you choose. Those are not just American ideas, they are human rights, and that is why we will support them everywhere."

Now, a revolution and a tumultuous aftermath later, those words ring hollow, as the United States policy of supporting military dictators in Egypt continues unabated.

Egyptians feel anxious that the presidential elections will be run under Article 28, part of SCAF's Constitutional Declaration of March 2011. Accordingly, election results issued by the Higher Presidential Election Commission are immutable. In other words, if a citizen observes and even captures on film, electoral fraud, he or she has no right to question the result.

As SCAF safeguards its power, hard-line Islamists seek to control Egypt's narrative, tightening the noose around the neck of the Egyptian people.

The unthinkable occurred last month when Adel Imam, Egypt's most beloved actor, was convicted of "insulting Islam" with his films.

Since the Mubarak era, fundamentalists have targeted artists, but the Imam case sets a new standard for censorship. Instead of dismissing the case, as was the custom with past "offending Islam" charges, the judge convicted Imam and sentenced him to three months in prison.

Imam may win on appeal, but now all Egyptian filmmakers have been put on notice that they may be subjected to the nebulous charge of "offending Islam." Add to that the scores who have been convicted for "crimes" of expression in films, books and blogs. Egypt's voices, newly energized since the Revolution, are steadily being silenced.

Where can ordinary Egyptians look for support? The United States should be their prime defender. With its unconditional support of SCAF, however, the U.S. has forfeited the trust and respect of the Egyptian people.

It is not too late for the United States to put the real yearning of the Egyptian people for dignity, justice, opportunity and democracy ahead of the false stability of the Supreme Council of Armed Forces. It is not too late to support the Egyptian people and to demand an end to violence against protesters, protection of NGOs and free, fair and accountable elections.

The opinions expressed in this commentary are solely those of Cynthia Schneider and Khaled Abol Naga.

@highlight

Cynthia Schneider, Khaled Abol Naga: Ahead of vote, Egypt moving toward repression again

@highlight

They say military cracking down on rights groups, making new election laws and arrests

@highlight

They say U.S. gave aid hoping it would buy cooperation from military; it has emboldened it

@highlight

Writers: U.S. forfeited trust of Egyptian people by allying with military; it must change approach