(CNN) -- You've spent weeks, months, maybe years, planning this day. From the moment that one (or both) of you said "Yes!" it's been a whirlwind of wardrobe fittings, seating charts, cake tastings, envelope stuffings, raised glasses and perhaps a teary meltdown or two.

Now all that stands between you and your soon-to-be lawfully wedded spouse (who is looking more gorgeous today than ever) is a few yards of aisle. And all of a sudden, that seems like the longest walk of your lifetime.

Even those of us who are hazy on some details of our wedding day recall exactly how we got to our beloved's side, and who accompanied us there. Whether it's expressed in a beloved song, an unconventional companion or creative transportation, the long trip down the aisle is an opportunity to make your wedding day unique.

For many people in the Western world, Richard Wagner's "Bridal March" from the 1850 opera "Lohengrin" is the music by which the great stride occurs. Those getting married in the Roman Catholic Church (which doesn't cotton to the inclusion of secular music in a religious ceremony) aren't presented with a suite of approved music, but according to a quote often attributed to St. Augustine of Hippo, "He who sings prays twice."

Accordingly, the happy couple is asked to consider a few criteria from Catholic catechism in making their song selections: three principal criteria: beauty that is expressive of prayer, participation of the assembled (everybody sing along!), and solemnity befitting the occasion. That considerably slims down the songbook, but hey -- there's always the reception.

For the rest of us, the world is our jukebox, and that can be a daunting decision. It's a moment that sets a tone for the ceremony, the crowd and possibly even the marriage itself.

A video from the wedding procession of Jill Peterson and Kevin Heinz went viral in 2009 and has been viewed more than 84 million times on YouTube since. The "JK Wedding Entrance Dance" -- which was later recreated by characters in an episode of the sitcom "The Office" -- involved members of the wedding party dancing down the aisle, followed by the tumbling groom, and eventually the beaming, bobbing bride.

Sales of their processional song, "Forever" skyrocketed as the video's popularity soared -- but the perception of the artist, Chris Brown, came crashing back down to Earth as allegations of abuse against his on-again-off-again girlfriend Rihanna surfaced. Heinz and Peterson took action and set up an initiative for donations and ad dollars to be contributed to the Sheila Wellstone Foundation, which works to end domestic violence. According to an update on the couples' website, as of August 1, 2013, $47,641 had been raised for the cause.

But it's a rare couple that undergoes that sort of musical scrutiny. For most, song choice is a deeply personal decision, based on shared experiences, values, the ceremony's aesthetics and old favorites -- and it's plain old fun to engage in.

For Sandy Fong-Navalta, that song was "All I Ask of You" from Andrew Lloyd Weber's "Phantom of the Opera," strummed by a harpist as her 10-year-old niece, Sumiko, accompanied her on the walk.

Fong-Navalta explained, "My father died in 1989 and the thought of getting married and walking down the aisle alone always terrified me. I swore to myself I would never, ever get married. But, when I met the love of my life in 2005, my fears were replaced with love and trust."

The song still brings tears to her eyes whenever she hears it, Fong-Navalta said.

"Say you need me with you now and always. Promise me that all you say is true. Love me, that's all I ask of you. Then say you'll share with me one love, one lifetime. Let me lead you from your solitude. Say you need me with you here beside you, anywhere you go, let me go, too. That's all I ask of you. ..."

Tiffany Barry found a more raucous reflection of her path to the altar in the Nine Inch Nails song "La Mer."

She explained, "Because of a nasty divorce between our parents, my brother and I really raised each other growing up. Because of this, I felt it fitting that my brother, two years younger, escorted me to the aisle where I then walked by myself to my waiting husband."

The song, which is in a more melodic style than bandleader Trent Reznor's usual industrial style, featured lyrics (which translate from the French to "when the day comes, I will become the sky and the sea, and the sea will come to kiss me, for I am going home, and nothing can stop me") that Barry felt were "a perfect marriage of music and meaning" and embodied her feelings toward her husband, who was raised near the sea.

"Through marriage we were becoming one and creating our home," she said.

Rea Frey looked to her second aisle walk as a chance to right the past. At age 22, she had almost vomited and fled the scene. "My father gripped my arm and said, 'We can make a run for it,'" she said, "But the music started playing, the bills were paid and everyone was already there. So, I made my way towards my groom."

Five years later, things hit a sour note and the divorced Frey vowed not to get married -- or spend so much money -- ever again. That was before she met Alex.

She walked down the aisle solo that time, after knowing her now-husband for just a few months. "I am an adult and I didn't feel like I was being given away," Frey said.

"I wanted that moment to be onIy about us, just as our marriage would be. I chose to walk down the aisle to 'Hallelujah' (the Jason Castro version of the Leonard Cohen version), which is my absolute favorite song."

Key lyrics: "I've told the truth, I didn't come to fool you. And even though it all went wrong, I'll stand before the lord of song. With nothing on my tongue but hallelujah."

Wedding decorator Preston Bailey has gussied up the nuptials of hundreds of celebrities and hifalutin couples around the globe, but his own -- at age 64 to partner Theo Bleckmann -- was the first same-sex ceremony he'd crafted. And it had to stand out.

At midnight on February 13, 2013, Bailey rang in Valentine's Day by rolling down the aisle hidden inside a 10-foot, Reem Acra-designed sculpture as Bleckmann sang "You Make Me Feel So Young" and then "Now We Are Free" from the movie "Gladiator" played. The structure featured a body double of Bailey at the top wearing a voluminous wedding gown. "When my guests first saw my body double rolling down the aisle wearing a 10 foot dress, they thought it was me, completely losing my mind," Bailey said.

"As the structure got closer to the altar, I opened the bottom of the dress and casually walked out, bouquet in hand. The room went wild. This entrance set the tone for an evening of fun and laughter. I couldn't have wanted anything more for the night," he recalled. (No doubt this was amplified and encouraged by the presence of officiant Joan Rivers.)

For my now-husband and me, the march was an opportunity to explore the songs that were touchstones for us both -- and a chance for our friends to participate.

Our pick: the instrumental Dream Academy version of "Please Please Please Let Me Get What I Want." While the words would not be sung aloud, we both (along with most of our guests) knew what they were: "Good times for a change. ... So for once in my life, let me get what I want."

He took his place at the altar to the tune originally recorded by The Smiths, and I walked in (with my Irish wolfhound, Mordred, at my side so my dad could tend to my disabled mother) to a duo of musician friends singing The Magnetic Fields' "The Book of Love."

Key lyrics: "The book of love has music in it. In fact, that's where music comes from. Some of it is just transcendental. Some of it is just really dumb. ... But I, I love it when you give me things. And you, you ought to give me wedding rings."

Not a dry eye in the house -- especially not mine -- and every single time I hear that song, I stop what I'm doing and simply listen and remember.

What was playing as you walked down the aisle, and were you solo or accompanied? Please share your story in the comments below.

@highlight

Many stick with traditional options like the "Bridal March" for their walk down the aisle

@highlight

Others choose artists and songs that reflect their relationship

@highlight

It isn't always a parent accompanying their child down the aisle

@highlight

Some choose a sibling, other relative, pet or a solo stroll