(CNN) -- The design of America's embassies overseas might seem at best a mere question of bricks and mortar or a relatively arcane issue in a time of big challenges.

But as we wage a global battle for hearts and minds, embassies can send a powerful message to people everywhere about what America stands for. As the first impression many foreign people have of the United States, embassies can be another force in our arsenal to convey who we really are, to bring allies closer to us, and, yes, even to make us safer.

Unfortunately, many of our embassies are not sending the right message. Our diplomats are engaged in heroic and difficult work every day. But too often, their buildings -- cold concrete at a forbidding distance, hidden away from city life, with little regard for the local surroundings --  undermine our diplomats' message and even their mission.

We need to think creatively about how we can create embassies that protect our diplomats but also project our values.

For decades, we hired world-class architects to design buildings that inspired people, conveyed our spirit of openness and represented the best of our country. Tragically, that same symbolic power also attracted the attention of our enemies. From the Iranian hostage crisis to the African embassy bombings, embassies have been a frequent and deadly target.

Our initial response to the dangers our diplomats faced was to hunker down. Diplomats were shunted from urban settings and city centers, where our diplomatic partners reside, and placed in distant suburban locations -- often far from any government ministries or agencies. Speeding up embassy construction and updating facilities to protect our diplomats against terrorist attacks was sorely needed.

Under Secretary of State Colin Powell's leadership, the department embarked on a construction program that has led to the completion of 71 new facilities and moved over 20,000 people to safer and more secure buildings since 2001. Although this effort significantly improved the safety of our diplomats, unique architectural wonders built to last were replaced by a standardized "embassy in a box." They are uniform in appearance and quickly assembled fortresses designed to meet security specifications in one of four sizes -- small, medium, large and extra-large, epitomized by our supersized embassy in Baghdad.

Congress, too, got into the act, putting speed and cost ahead of our support for the kinds of iconic embassies we built during the Cold War. This contributed to a system where embassy projects are evaluated first and foremost for cost efficiency, with design and location relegated to the status of afterthought. Such designs and locations are sometimes necessary, but our Foreign Service officers will be the first to tell you that they make it much more difficult to reach deep into societies to conduct real diplomacy.

Let us be clear: Our diplomats risk their lives daily. Their security will always come first.

But because diplomats are already taking such risks, we want to empower them to achieve their mission. If the job of diplomats is to reach out to people, promote U.S. values, obtain and share information, and help advance our diplomatic agenda, then we have to build embassies that neither compromise our diplomats' safety nor their work.

Many are coming to realize that justifiable concerns over security swung the pendulum too far. Recently, the State Department announced the construction of a new embassy in London, England, after a highly publicized international architectural competition. Unlike less welcoming U.S. Embassy designs in places like Accra, Ghana, and Tbilisi, Georgia, London's facility will feature transparent glass encasing, cutting edge environmentally sustainable design and a central location immediately across the river from Westminster and the U.K. Parliament. Unfortunately, this innovative approach remains the exception, not the rule.

We need to recalibrate our approach globally and reconnect our embassy construction with the core mission of diplomacy.

The Embassy Design and Security Act is an important first step in a different direction. It establishes a design excellence program at the State Department to instill new thinking, and a design advisory board to provide recommendations on how to integrate the most modern security requirements with a new generation of bolder, more innovative, energy-efficient and sustainable high performance embassies.

The bill also directs the State Department to ensure new embassies adhere to the highest standards of energy efficiency and sustainability. We ask countries to transform the way they use energy; our overseas construction represents an important sign of our good faith and a chance to lead by example.

Above all, the legislation represents an explicit political commitment to an essential truth: Inevitably, our embassies and consulates project our values. They should be public expressions of openness, innovation and boldness. Every day, our enemies try to sell the world a distorted vision of an unwelcoming America indifferent to the concerns of people everywhere. Our embassies need to help our diplomats to tell the world the truth.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Authors: U.S. embassies are America's face in another country and reflect our values

@highlight

They say distant concrete boxes with no regard for surroundings don't win hearts and minds.

@highlight

Authors: Enemies sell the world a distorted vision of an unwelcoming, indifferent U.S.

@highlight

They write: Security a must, but buildings must reflect innovation, welcome