(CNN) -- Maybe you know the phrase:

"Get off the phone!"

It was commonly heard in American households in the years when land-line telephones were the only phones there were. The bellowing might come from your dad, your sister -- from whoever in your family wanted to use the telephone, and who felt that you had been monopolizing it for too many minutes:

"Get off the phone!"

The admonition seemed to have disappeared once cell phones gained ascendancy, and everyone suddenly had their own personal, portable phones. Your phone was yours and yours alone. Who could tell you to hang up?

Well, we all may be about to find out.

From the government, to professional associations, to business owners, a common and serious-minded accord appears to be forming. So don't be at all surprised if 2012 turns out to be the year when a national chorus of voices joins together to say ...

You know.

Get off the phone.

The National Transportation Safety Board has called for a nationwide ban on the use of cell phones by drivers. This would include hands-free devices as well as hand-held phones.

The reasoning is basic: Drivers distracted by phone calls are a danger; drivers who send or receive text messages while behind the wheel, or who play games or update social networks on their phones, are as potentially deadly as drunken drivers. "No call, no text, no update is worth a human life," said NTSB chairman Deborah Hersman.

She's right, of course, and if the proposal had been made in the days before cell phones became popular, there would be little controversy over it. Make telephone calls while driving? It would have sounded preposterous -- what were you supposed to do, get a 50-mile-long extension cord? -- and motorists would have instinctively understood the perils. The first rule of safety, drilled into generations of beginning drivers: Keep both hands on the wheel and your eyes on the road.

But it is far from certain that the NTSB will get its way. The recommendation is for the 50 states to pass no-phones-while-driving laws. Elected legislators can be expected to be hesitant about upsetting their constituents. The problem is that they would be taking away something citizens are already doing every day, and that many motorists would resist giving up.

Yet the same person who bristles when told that he or she should not be allowed to talk on the phone while behind the wheel -- "What if it's an emergency? I have to at least answer the phone to find out" -- likely would have a different reaction when asked, on a dark, rainy, wind-swept night: You're on a two-lane road. You see a car coming around the next turn. Do you want that other driver to be in the middle of a phone call, or texting?

The distractions and temptations inherent to constant cell phone use extend well beyond the highways. Matt Richtel of the New York Times recently reported about a troubling situation at hospitals and doctors' offices:

Physicians and staff members have constant access to smartphones, tablets and computers, which are supposed to make them more efficient. But Richtel reported instances of "a neurosurgeon making personal calls during an operation, a nurse checking airfares during surgery and a poll showing that half of technicians running bypass machines had admitted texting during a procedure."

Dr. Peter J. Papadakos, director of critical care at the University of Rochester (N.Y.) Medical Center, told Richtel: "You walk around the hospital, and what you see is not funny ... My gut feeling is lives are in danger."

Business owners and associations have, for years, quietly been trying to come up with workplace rules that will allow them to get a full day's work from their employees, while not infuriating those same employees who are accustomed to having their cell phones always turned on. It's another case of the horse having long ago escaped from the barn, and leaving the door wide open.

In the days before cell phones, if business owners had been asked to allow their employees to install personal phone lines and use the phones whenever they wished, it would have sounded like a joke. The owners would have said: Of course not. This is work.

But, in the wireless era, it happened almost before anyone noticed. In Lewiston, Idaho, Peggy Hayden, a writer for the business section of the Lewiston Tribune, surveyed business owners in north-central Idaho and southeastern Washington. Many reported a "Get off the phone!" policy.

"It's not what I am paying them for," Derek Weinmann, a food store manager, told Hayden for her story. He said cell phone use on company time was simply not allowed. Restaurant operator Bruce Finch told Hayden: "Employees should leave their phones in their cars, or they can leave them in a basket in the manager's office." James Nash, spokesman for a manufacturing firm, said signs are posted telling employees that cell phones are not permitted on the factory floor.

(But what about bosses around the country who call or text employees on their cell phones after the employees have gone home for the day, or the weekend? Shouldn't this cut both ways? If cell phones and personal calls are banned at work, shouldn't employers be expected to provide overtime payment to their employees for work-related calls made, and text messages sent, to them after business hours?)

The NTSB is committed as can be about the push to outlaw cell phones in cars. "The time to act is now," said chairman Hersman. "How many more lives will be lost before we, as a society, change our attitudes about the deadliness of distractions?"

Plenty of lives, undoubtedly. But the NTSB is likely to fail in its effort. That horse that escaped from the barn is galloping down the road. Past miles and miles of cars whose drivers are in the middle of phone calls, confident that they -- if not the other guy -- can easily handle it.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: There is growing chorus of officials, employers urging less cell phone use

@highlight

He says NTSB warns against use in cars; bosses pushing back on personal calls at work

@highlight

He says cell-phone distractions even affect surgeons and nurses; cut productivity

@highlight

Greene: It may be impossible to take people's freedom of cell use away from them