(CNN) -- Amos Yadlin, formerly chief of Defense Intelligence for the Israel Defense Forces (IDF), observed this week that the Israeli public typically goes through wartime "cycles": first showing sweeping support and then, as civilian and military deaths begin, growing impatient and putting pressure on politicians to end hostilities. Therefore, as Yadlin put it, "the ability of the Israeli home front to withstand a campaign that lasts for more than a week is a key factor in the outcome."

In recent years, though, Israel's missile defense system, Iron Dome, has had a significant impact on that home front's resilience -- and therefore on the calculus of Israel's leaders.

Of course, Israel's overwhelming military superiority over Gaza-based militants ensures that Israeli deaths in Gaza wars have always been relatively low. Nine Israelis were killed in the two-week ground offensive in 2009, Operation Cast Lead, compared to well over a thousand Palestinians. The November 2012 airstrikes, Operation Pillar of Defense, resulted in six Israeli deaths compared to 167 Palestinians.

But the political impact of rocket attacks is greater than these numbers suggest, particularly when usually safe areas come under fire. In 2012, Hamas' longer-range rockets targeted both Tel Aviv, causing air raid sirens to sound there for the first time since Saddam Hussein fired Scud missiles towards the city during the first Gulf War two decades previously, and Jerusalem, which had not been struck since 1970. Although no casualties were inflicted, Hamas demonstrated its ability to threaten Israel's two largest and most important cities.

It has done so again in the past week, and additionally promised to target Ben-Gurion International Airport. Although Hamas faces difficulties in importing its most sophisticated rockets, owing to the new Egyptian government's demolition of key tunnels connecting Gaza with the Sinai Peninsula, Israel's head of Military Intelligence Analysis estimates that the group has still managed to double its stockpile since the 2012 war, to approximately 10,000 rockets, suggesting that it could sustain attacks for months.

The Israeli leadership therefore faces twin pressures. On the one hand, as Yadlin suggests, an open-ended campaign of airstrikes that fails to suppress rocket attacks or demonstrate other strategic achievements could meet with increasing public opposition. On the other hand, a successful rocket attack that inflicts deaths -- particularly in a symbolic area, like Tel Aviv or Jerusalem -- could put sudden pressure on Israeli leaders to escalate, and send ground troops into Gaza.

Any such invasion, involving urban combat in a densely populated urban environment that Hamas knows well, would result in higher IDF casualties, extremely high Palestinian casualties, enormous damage to civilian infrastructure, and the prospect of Israeli troops being taken hostage. This is why, despite getting his Cabinet to authorize the enlistment of 40,000 reservists last week, Prime Minister Benjamin Netanyahu has refrained from launching a ground assault.

Israel's Iron Dome missile defense system, which came to prominence in the 2012 conflict, affects this dynamic in important ways. Although there is intense debate over its effectiveness -- critics argue that the system is knocking rockets to the ground without detonating them, and that it destroys fewer than half -- Israel says that it has successfully intercepted 90% of those rockets that it engaged in this campaign.

Even if this is exaggerated, Iron Dome's ability to shield population centers and key infrastructure has two important effects. First, it buys time for Israel to continue airstrikes without facing popular impatience. Second, it lessens the prospect that a rocket will inflict deaths in a way that forces the government to launch a costly ground invasion it doesn't truly want.

Taken together, this suggests that Iron Dome gives the IDF more time to strike Gaza from the air, and therefore to weaken Hamas, with less pressure to put boots on the ground.

It is important to note that even if Iron Dome is highly effective, there are still other sources of pressure on the Israeli government. Calling up tens of thousands of reservists in a country of just 8 million people places strain on the domestic economy, and pressure quickly mounts to demobilize those forces. Moreover, international pressure also grows over time.

For instance, Egyptian President Abdul Fattah el-Sisi is hostile to Hamas and has refrained from commenting, but a mounting Palestinian death toll would draw him further into the conflict, possibly persuading him to open land borders with Gaza. Finally, the longer the conflict drags on, the greater the likelihood that Iron Dome's imperfections will be revealed, and that a rocket will get through.

These factors mean that the clock is still ticking for Netanyahu -- though perhaps at a slower pace than it used to.

How Iron Dome blocks rockets from Gaza, protects Israelis

Rocket fired into northern Israel from Lebanon as Gaza conflict continues

Striking Gaza could buy Israel peace for a year, maybe more, analysts say

@highlight

Israeli deaths in Gaza wars have always been relatively low, writes Shashank Joshi

@highlight

Joshi: Political impact of rocket attacks is greater than these numbers suggest though

@highlight

Israeli invasion of Gaza would carry big military and political risks, he says

@highlight

Missile defense means Israel need not resort to ground troops, Joshi argues