(CNN) -- Since December 2010, I have lived with death threats because I have documented and revealed corruption at the highest levels in the Mexican government. My family has been attacked, I have to live with bodyguards and some of my sources have been killed or are in jail.

But my case is just one of many. A large number of journalists and human rights activists -- as well as those who denounce corruption in Mexico -- receive similar threats or have been killed. And the biggest danger is not in fact the drug cartels, but rather the government and business officials that work for them and fear exposure.

My new book "Narcoland" is the result of five grueling years of research. Over this time I gradually became immersed in a shadowy world full of traps, lies, betrayals, and contradictions.

The data I present is backed up by numerous legal documents, and the testimony of many who witnessed the events first-hand. I met people involved in the Mexican drug cartels and spoke to police and army officers, U.S. government officials, professional hit men, and priests -- figures who know the drug trade inside out. From this I found complicity at the heart of Mexican government, business, police and drug cartels.

Read more: Security forces responsible for disappearances -- report

The worst, and most violent, face of corruption in Mexico is drug trafficking -- an industry that is estimated to have left more than 60,000 people dead, and more than 26,000 missing in the last six years. And things are getting worse. Between January and July this year it is estimated that 10,000 people in Mexico have died at the hands of the drug cartels.

Read more: Mexico reports more than 26,000 missing

The business of producing, trafficking and selling illicit drugs has become increasingly attractive to people around the world -- a lucrative market considering that consumption is increasing globally. Mexico is now the world's second largest cultivator of opium poppy and, according to the CIA Factbook, in 2007 was the largest foreign supplier of marijuana and methamphetamine to the U.S. market.

The story of how Joaquín "El Chapo" Guzmán Loera -- a man widely considered as the most powerful drug trafficker in the world -- became a great drug baron, the king of betrayal and bribery, and the boss of top Federal Police commanders, is intimately linked to a process of decay in Mexico where two factors are constant: corruption, and an unbridled ambition for money and power.

Read more: Forbes drops 'El Chapo' from billionaires list

I read avidly the thousands of pages of evidence in the case of El Chapo's "escape" from jail. Through dozens of statements given by cooks, laundry workers, inmates, detention officers, and prison police commanders it was confirmed to me that in 2001 El Chapo did not escape from Puente Grande in that famous laundry cart: instead, high-ranking officials took him out, disguised as a policeman.

Semi-illiterate peasants like El Príncipe, Don Neto, El Azul, El Mayo, and El Chapo would not have got far without the collusion of businessmen, politicians, and policemen, and all those who exercise everyday power from behind a false halo of legality.

Read more: Are Obama, Romeny ignoring Mexico's drug war?

We see their faces all the time, not in the mug shots of most wanted felons put out by the Attorney General's Office, but in the front-page stories, business sections, and society columns of the main papers. All these are the true godfathers of Narcoland, the true lords of the drug world.

Currently, all the old rules governing relations between the drug barons and the centers of economic and political power have broken down. The drug traffickers impose their own law. The businessmen who launder their money are their partners, while some local and federal officials are viewed as employees to be paid off in advance, for example by financing their political campaigns.

The culture of terror encouraged by the criminal gangs through their grotesque violence produces a paralyzing fear at all levels of society.

Finishing this book demanded a constant battle against such fear. They have tried to convince us that the drug barons and their cronies are immovable and untouchable, but this book offers a modest demonstration of the contrary.

As citizens or as journalists, we must never allow the state and the authorities to give up on their duty to provide security, and simply hand the country over to an outlaw network made up of drug traffickers, businessmen, and politicians.

Since its publication in Mexico, "Narcoland" has sold more than 200,000 copies -- astounding in a country with high levels of poverty and incredibly low levels of literacy compared to the American-European book-buying market

It seems to me that the tide of public opinion is changing in Mexico; people no longer accept the view that the Mexican government are at war with the drug cartels.

The levels of violence, murder, trafficking, child pornography and kidnapping in Mexico at the moment is simply catastrophic.

In line with the increase in drug consumption across the world, the cocaine business has become more powerful than anyone could have imagined. The money created from this has allowed drug cartel criminals to buy whatever they want -- whether that is people, governments, police, land or impunity.

This corruption spreads across the world; Europe has become on the biggest importers of Mexico's trafficked drugs.

It is important that people in London, Paris or New York understand that when they buy a gram of cocaine they have blood on their hands.

The world needs to work with Mexico to combat this 21st-century form of warfare; fight against drug trafficking and organized crime has to be global.

* In response to CNN's request for comment on this article, the Embassy of Mexico to the U.K. said the Mexican government was fully committed to upholding the rule of law.

"President Enrique Peña Nieto prioritizes a Mexico in peace as the first national goal," the embassy said.

"The National Security Strategy has been raised to the level of State Policy, and is underpinned by a multidimensional security focus that puts the wellbeing of citizens and the forefront of its concerns, by emphasizing prevention and the reduction of crime.

"This new focus is not only designed to enforce the law and, if need be, for the State to make use of force in order to guarantee safety, but also to counteract the vulnerabilities created by consumption and violence through the implementation of social programs."

Read more: Kofi Annan -- Stop 'war on drugs'

The opinions expressed in this commentary are solely those of Anabel Hernandez.

@highlight

Anabel Hernandez says she has lived with death threats since revealing corruption in Mexico

@highlight

She says Mexico's drug traffickers impose their own law, encouraging terror

@highlight

Mexico's narcotics industry is estimated to have cost more than 60,000 lives in six years

@highlight

Hernandez argues that people no longer view the government as being at war with the cartels