(AOL Autos) -- Protecting drivers and passengers from injury has been a high priority for car makers for the last 40 years or more.

A truck driver tests an anti-collison system. The red light goes on if the car in front of him is too close.

Not just because it's the right thing to do, but also because having a reputation for building safe vehicles helps automakers sell more cars.

But in recent years, high-tech advancements have come along at such a fast and furious rate that auto-safety systems have entered a whole new universe.

For most of the history of auto manufacturing, car makers' efforts in the area of safety have been devoted to developing "passive" safety features -- seat belts, air bags, building a stronger frame for the cabin, side-impact door beams, etc. All those things help you stay safe once you are involved in an accident.

But just as advanced technology has changed almost every other industry, so too has it changed the automotive industry, leading to the design of more "active" safety features. AOL Autos: Safest cars

It started with now-common features like anti-lock brakes (ABS) and electronic stability control systems (ESC). But in recent years, engineers have taken safety technology to a new level.

And these days, they spend more time and money researching and developing "crash avoidance" features and technologies. These computerized systems, instead of protecting you if a crash occurs, help you avoid accidents in the first place.

Some of these systems are already in vehicles on the road today, while others are coming down the pipeline in the next few years.

Mercedes uses radar, rear-view monitor

Given that it's a higher-priced luxury brand, it figures that Mercedes-Benz is one of the leaders when it comes to these kinds of high-tech crash-avoidance systems. Finely-tuned anti-lock brake and electronic-stability-control systems are standard equipment in all Mercedes cars. AOL Autos: Best and worst hybrids

"And presently, a number of our vehicles offer Distronic Plus, a crash-avoidance system that employs dual-band radar that measures the distance between you and the vehicle ahead of you," said Patrik Borenius, Mercedes' manager of advanced product planning.

"If that distance closes too rapidly, indicating that a crash might be imminent, it emits first an audible signal, then a visual warning, and the system can actually start to apply the brakes to a certain threshold.

"Or, if you start to apply the brakes yourself, but not quickly enough to help you avoid impact, our Brake Assist system applies even more braking power." AOL Autos: Most popular fuel-efficient cars

"We also have a Blind Spot Monitor that uses radar to examine the area just to the rear and to the left of your vehicle," added Bart Herring, product manager for Mercedes' S-Class and CL-Class. "So when another vehicle, or any object, enters into that blind spot, a red indicator light in your side view mirror lights up. And if you start to change lanes while that other car is in your blind spot that also triggers an audio alert to warn you."

Plus, Mercedes' Rear View Monitor "views" anything that is directly behind the vehicle as it is backing up, and then projects that image onto the navigation-system screen. This feature helps avoid accidents in situations where the vehicle is going in reverse and the driver's view of oncoming traffic is impaired -- like in parking structures, or when backing out of a driveway on a heavily-trafficked street. AOL Autos: Most popular crossover vehicles

Mercedes also offers a Night View system in the S-Class and CL-Class, which, at night, "gives you a very sharp, daytime-quality picture of everything that is going on in front of you," Herring said. "And it's projected onto a separate display screen that's in the middle of the instrument cluster, right in front of you."

The "new frontier" of safety technology

Ford Motor Company is another car maker where the engineers are excited about its tech-driven crash-avoidance systems -- some currently in use, some still in development. AOL Autos: Luxury cars with the best MPG

"Developing new active-safety systems really is the new frontier in safety technology in the auto industry," said Steve Kozak, Ford's global chief engineer for safety systems.

Ford has owned Volvo since 1999, so Ford is benefiting from many of Volvo's renowned safety features. "Some of the more advanced features that were first offered in Volvo's vehicles are cascading down into the Ford product line, due to our engineers working together with theirs," Kozak said.

One Ford system in development addresses the fact that many accidents happen because drivers aren't paying attention. "Studies have shown that in 50 percent of accidents, the drivers never even stepped on the brake," Kozak said. So, one technology that excites Kozak is the "collision mitigation system" that originated in the 2007 Volvo S80 and will be cascading into the Ford product line in the near future.

"It senses that that the car ahead of you is coming to a rapid stop, so if you're not paying attention, it essentially tells you to 'wake up and do something,' " Kozak explained. "With this system, there is a light mounted at the top of the instrument panel that reflects into the windshield, it's essentially a heads-up display, so in this kind of panic situation, that light will illuminate plus you get an audio alert telling you it's time to take action."

Ford is also presently developing a blind-spot alert system (for early '09 rollout) and a lane-departure warning system (similar to those offered in Mercedes vehicles) -- technologies that also originated in Volvo vehicles.

"One interesting aspect of the lane-departure system that we're working on is that it may involve 'tactile input' in addition to an audio warning," Kozak said. That is, when you're coming up too fast on the car ahead of you, "you could get a vibrating sensation in the car seat or steering wheel."

From roll mitigation to trailer stability -- and more

Meanwhile, Chrysler LLC is "devoting plenty of resources and doing a lot of system-development work devoted to trying to mitigate a crash," said Chris Barman, Chrysler's director for active and passive safety systems.

One such crash-avoidance system currently employed in various Chrysler/Dodge/Jeep vehicles is an electronic Roll-Mitigation System. "It senses when the vehicle is in danger or is moving sideways at a rapid pace, which could lead to a rollover," Barman explained. "So it applies more brake pressure to the outside front wheel, which corrects the lateral motion and keeps the car moving forward."

Chrysler's own version of a computerized Brake-Assist system helps in another situation that is all too common, Barman said. "Many times, in an emergency-braking situation, drivers will initially hit the brakes -- but then, unknowingly, let off the brake pedal, which means they lose a lot of stopping distance.

"So, if they don't hit the brakes with enough pressure, or don't brake fast enough, this system will detect that, and automatically applies the optimum amount of brake pressure in the shortest amount of time -- which could go a long way toward avoiding a crash and any resulting injury."

Another Chrysler feature Barman likes is the trailer-stability control system. "Sometimes, if you've never towed a trailer before, or if maybe you have too much weight in the rear of the trailer, the trailer can start swaying back and forth," Barman explained. "Well, this system uses sensors to determine yaw rate and lateral-movement rate, and then provides brake pressure that is counter to the sway of the trailer to get it to settle down."

Other crash-avoiding features being introduced for the 2009 Chrysler Town & Country and the Dodge Caravan minivans are Chrysler's own version of the Blind Spot Monitoring system, plus the Rear Cross Path system, which uses an illuminated icon in the mirror and an audible chime to warn you of the presence of an oncoming vehicle when you're backing up -- like in the parking-structure scenario cited above.

"We're trying to take a 360-degree view all around the vehicle, in order to determine everything we can do to help a person avoid a crash," Barman said.

@highlight

High-tech advancements push auto-safety systems forward

@highlight

Having reputation for building safe vehicles helps automakers sell more cars

@highlight

Mercedes' Rear View Monitor views directly behind the vehicle as it backs up

@highlight

Chrysler system senses when car is in danger of rolling over