Seoul, South Korea (CNN) -- South Korea and the United States began assembling ships for joint war exercises Sunday off the west coast of the Korean peninsula in the Yellow Sea, a source at the South Korean Joint Chiefs told CNN.

The exercises are set to begin as diplomats worked to ease tensions in the Koreas after North Korea warned of unpredictable "consequences" if the United States fulfills its vow of deploying an aircraft carrier to the Yellow Sea for joint military maneuvers with South Korea.

The exercises are scheduled to begin at 3 p.m. Sunday (1 a.m. ET).

China's foreign minister spoke with his Russian, U.S., and Japanese counterparts, and a Chinese representative visited Seoul as envoys underscored the need to lower the temperature in the longtime flash-point region, days after four South Koreans died when North Korea shelled Yeonpyeong Island.

North Korea said the South provoked the Tuesday attack because shells from a South Korean military drill landed in the North's waters. South Korea was holding its annual Hoguk military drill when the North started its shelling, and the South returned fire.

North Korea's official Korean Central News Agency on Saturday slammed South Korea and the United States for provoking the crisis.

It called reports of civilian casualties part of South Korea's "propaganda campaign" and accused the "enemy" of creating "a human shield by deploying civilians around artillery positions and inside military facilities before the launch of the provocation."

"If the U.S. brings its carrier to the West Sea of Korea at last, no one can predict the ensuing consequences," said KCNA, referring to the aircraft carrier USS George Washington, which is set to join South Korea's forces near the coasts of China and North Korea for the four-day military drill scheduled to start Sunday.

U.S. State Department spokeswoman Nicole Thompson called the claims "outrageous."

"This is just another example of North Korea's own internal propaganda. The North Koreans for many years, including the Cheonan warship incident, have taken provocative action. This didn't have anything to do with U.S. actions," Thompson told CNN, referring to the sinking of a South Korean ship in March that left 46 people on board dead.

The United States and South Korea blame the sinking on the North, which has consistently denied responsibility.

Diplomats, seeking a lessening of tensions and a return to the six-party talks with North Korea over the country's nuclear aspirations, busily labored to avert more hostilities. The United States, China, Japan, Russia, South Korea and North Korea are the six countries that have been involved in the talks, which were put on hold in 2008.

"These parties should call on the DPRK and South Korea to exercise calmness and restraint and hold dialogue and make contacts, and not to take actions that would escalate the conflict," China's official Xinhua news agency quoted Chinese Foreign Minister Yang Jiechi as saying. China is North Korea's largest trading partner.

Yang and Russian Foreign Minister Sergey Lavrov "stressed the need to prevent the situation from exacerbating and to work toward relieving the tensions," according to the Russian Foreign Ministry.

Xinhua reported that Japanese Foreign Minister Seiji Maehara said his country "is willing to work together with China to joint safeguard peace and stability on the Korean peninsula."

And a Twitter message from U.S. State Department spokesman P.J. Crowley said Secretary of State Hillary Clinton spoke with Yang on Friday and "encouraged Beijing to make clear that North Korea's behavior is unacceptable."

Meanwhile, Dai Bingguo, a Chinese state councilor, sat down with South Korean Foreign Minister Kim Sung-hwan in Seoul to discuss the tensions.

The violence has sparked anger and political turmoil in South Korea. The country's defense minister, Kim Tae-young resigned after the exchange of fire, and veterans of the South Korean military protested Saturday on the streets of Seoul, stating they were angry that their country's government had not done enough to respond to the North's shelling.

One group of protesters gathered near the defense ministry building Saturday, clashing with police officers with some charging and kicking officers.

Two South Korean marines were among the four killed in the shelling. Hundreds of mourners attended their nationally televised funeral Saturday, weeping before photos of the two men set among an array of flowers.

As for Sunday's joint military exercises, China appeared to criticize them Friday and Chinese analysts warned against the United States and South Korea embarking on "sensitive and provocative military actions."

"We oppose any party to take any military acts in our exclusive economic zone without permission," Foreign Ministry spokesman Hong Lei said in a statement, Xinhua reported.

But the United States has described the drill as defensive in nature. The exercises were planned months ago, and are meant to underscore strong ties between South Korea and the United States, defense officials from both countries have said.

There will be no live firing element in the drills; live firing exercises can only take place in a designated training range or in a closed-off area at sea, Cmdr. Jeff Davis, public affairs officer for the U.S. 7th Fleet, and such firing exercises are not possible given the amount of traffic in the area.

The drills will include anti-air attack and anti-surface-attack exercises, communications and data drills, expert exchanges, logistical support, and replenishment drills. For example, a Korean oil tanker will refuel a U.S. ship, Davis said.

But the prospect of more violence has prompted alarm across the region. Japan's Kyodo news agency reported that Japanese "Cabinet members have been ordered to stay in Tokyo until Wednesday and be at their ministry offices within an hour in the event emergency situations develop."

South Korea said Thursday that it will strengthen its rules of engagement in the Yellow Sea. South Korean marine forces based in five islands near North Korea and the disputed Northern Limit Line also will be reinforced, a government spokesman said.

The tense maritime border between the two Koreas has become the major military flash point on the Korean peninsula in recent years.

The Yeonpyeong attack was the first direct artillery assault on South Korea since 1953, when an armistice ended fighting, though both Koreas are still technically at war.

Journalist Andrew Salmon and CNN's Stan Grant and Tim Schwarz contributed to this report.

@highlight

NEW: South Korea, U.S. begin assembling ships for war exercises

@highlight

China, other nations urge an avoidance of hostilities

@highlight

A Chinese official visits Seoul to discuss rising tensions

@highlight

The U.S. calls North Korean claims "outrageous"