(CNN) -- The fight against sexism has suddenly become all the rage among politicians. How curious. How timely. How suspiciously convenient.

It took one politician, a woman, to put it all in perspective. If you have not heard the speech from Prime Minister Julia Gillard on the floor of the Australian House of Representatives, do yourself a favor. This is one for the ages.

Nobody has unmasked political hypocrisy with such fire, with such passion, in a long, long time.

We have heard the poll-tested, calculated claims by politicians around the globe. We hear it in presidential debates in the United States, where the election may depend on the support of female voters, and we've heard it in places like Pakistan, where politicians want to benefit from the outrage over the shooting of 14-year-old Malala Yousufzai after assassins tried to kill her for defending every girl's right to an education.

In Australia, the political battle revolved around a very unique, rather strange, set of circumstances. But Gillard's words crystallized the source of the unease that hangs over so many people as they hear politicians courting them. How much can we believe what they say?

Much became clear after the speech in Canberra, when Gillard unloaded a sizzling rhetorical barrage on Tony Abbott, the leader of the opposition, who had presented a motion he claimed was motivated by his own support of women's equality.

Gillard would have none of it. "I will not be lectured about misogyny by this man. I will not. Not now, not ever," she intoned, pointing directly at Abbott, who sat in his chair trying to keep a plastic smile on his face, no doubt hoping it would all end soon. But Gillard was just getting started.

The Australian prime minister, glancing only occasionally at a sheet of notes, eviscerated her opponent's claim that he had a sincere interest in standing up for women. You could detect a brief wince of anguish in Abbott's tense brow when Gillard suggested "Let's go through the opposition leader's repulsive double standards."

She went on to list, one by one, instances that demonstrate a track record of disdain for women by the opposition leader. Abbott was claiming to be offended by crude, sexist text messages, sent by the speaker of the House, who happened to be a supporter of the prime minister. The speaker eventually resigned his position. But Gillard, to the consternation of some Australians, would not support Abbott's motion to fire him.

If Abbott thinks misogynists are not suited for high office, she said, he should take a piece of paper and write out his resignation. "If he wants to know what misogyny looks like in modern Australia, he doesn't need a motion in the House of Representatives," Gillard charged, "he needs a mirror."

Checkmate.

Gillard's now-famous "Misogyny Speech" became such a worldwide hit that publishing house Macquarie decided to update its definition of "misogyny." The old definition is "hatred of women." Macquarie said it will add a new meaning, "entrenched prejudice against women," reflecting the word's modern usage.

The speech became a hit because of its raw eloquence and visceral emotion. But it would not have ignited a fast-spreading fire if it had not touched flammable material. Gillard's words resonated because we have all heard hypocritical politicians make claims that have the tinny ring of untruth, an echo of political consultant and focus-group regurgitation.

The phenomenon becomes more prevalent, not surprisingly, when elections approach. In Pakistan, for example, the country is preparing to hold elections this year. The attempt to kill Malala by the supremely misogynistic Pakistani Taliban came just in time for politicians to try to fuel their campaigns with popular sentiment.

The populist Imran Khan, a former cricket superstar who has entered politics, rushed to Malala's bedside and was quick to condemn the attempted murder, as were many politicians. But, like many others, he refused to blame the Taliban, even though the group openly admitted to the hit and vowed to try again to kill her, reaffirming its revolting anti-women ideology. A closer look at Khan's views, despite his show of support for Malala, indicates that he is unlikely to challenge the Taliban, even if that means sacrificing women's rights.

In the U.S., the last presidential debate came just after a Gallup poll showed Republican Mitt Romney tying President Obama in likely swing state votes from women. Obama had relied on an advantage with women to stay ahead in the polls. Not surprisingly, the two men came out prepared for a full-on joust for the women's vote.

By one count, the two mentioned women 30 times in the last debate, with Obama wrapping himself in his support for equal pay legislation and Romney making his much-maligned claim to have relied on "binders full of women" to find qualified candidates for high office while he was governor of Massachusetts.

Cardona: Romney's empty 'binders full of women'

I am not arguing that the "binders" are a fantasy, nor am I saying that Obama or Romney are sexist. What I do say is that, increasingly, what we hear from politicians is carefully calculated. It is not calculated for accuracy; it is calibrated for effect.

That means women, and those who want to see the realization of a vision of equality, of an end to sexism and misogyny, need to consume the words of politicians with a large serving of skepticism.

Every claim, every promise, must be checked against a track record to find whether it's true and whether it is a good predictor of what they would do after the election, when standing up for women's rights may not prove as timely and convenient as it does today.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Fiery speech by Australia's leader slams a politician's newly found support of women

@highlight

Frida Ghitis: Male candidates' promises to women usually forgotten after elections

@highlight

Suddenly supporting women's issues is a hypocritical bid for votes, she says

@highlight

Ghitis: Women must take claims with grain of salt and examine candidates' track records