(BudgetTravel.com) -- With seas of jostling crowds and sky-high costs (not to mention jellyfish and riptides), ocean retreats can be more frustrating than fun, which is why we've compiled a list of quintessential American lake towns.

These are places where you can swim and sunbathe to your heart's content and fill up on BBQ, grilled trout and freshly made apple pie as you watch the sun go down from your balcony. If you're anything like us, you may decide to turn one of these trips into a new summer tradition.

Budget Travel: See a slideshow of the lakes

Coeur d'Alene, Idaho, on Lake Coeur d'Alene

Framed by pine-forested hills, the deep blue Lake Coeur d'Alene is 25 miles long. At the northern end, weekenders from Seattle and California pack the town's brewpubs and art galleries, while its southern reaches are more secluded, with sheltered coves and inlets. The best ways to soak it all in is by kayak; the guides at ROW Adventures will point out wildlife like eagles and osprey along the way as you paddle (four-hour excursions from $67 per person).

Where to Refuel: There's almost always a line outside Hudson's Hamburgers, but its Huddy Burgers -- garnished only with pickles, onion, and a closely guarded ketchup recipe -- are well worth the wait. 207 E. Sherman Ave., 208/664-5444, burgers from $2.45.

Where to Stay: McFarland Inn Bed & Breakfast has been a familiar sight in the historic garden district since the building was constructed in 1905. Its five rooms are small, but quaint, and it's only a 15 minute walk to the lake. 601 E. Foster Ave., 800/335-1232, mcfarlandinn.com, from $155, breakfast included.

Sackets Harbor, New York, on Lake Ontario

This under-the-radar gem along Lake Ontario in New York is not only rich in colonial-era history, but it's also pretty darn scenic, too. A battlefield from the War of 1812 has been converted into a lakefront park, while yacht clubs dotting the harbors to the south lend an almost Riviera-like feel. Spend the day at Robert G. Wehle State Park, a waterside retreat of pastures and hiking trails (315/938-5302, nysparks.state.ny.us). Snakefoot Trail is the most popular, with stunning views from limestone cliffs that tower some 80 feet high.

Where to Refuel: Tin Pan Galley's sunny outdoor patio makes a great place to kick off the morning, with Mediterranean omelets and French toast stuffed with cream cheese and topped with maple butter and fresh strawberries. 110 W. Main St., 315/646-3812, tinpangalley.com, breakfast entrees from $5.

Where to Stay: Ontario Place Hotel's 46 rooms and suites have an unbeatable location -- overlooking the marina right in the center of town. 103 General Smith Dr., 800/564-1812, ontarioplacehotel.com, from $109.

Budget Travel: 10 best affordable beachfront hotels

Bigfork, Montana, on Flathead Lake

If mountain-ringed Flathead Lake captures Big Sky Country's raw beauty, the town of Bigfork makes for an artistic counterpoint. The Riverbend Concert Series runs each Sunday of the summer through mid-August, while the Bigfork Festival of the Arts welcomes food, jewelry, and crafts vendors to the town on August 6 and 7. There's also Wild Horse Island, a Tom Sawyer-like preserve of pastures and pioneer homesteads -- reach it via charter boat (406/837-5617, wildhorseislandboattrips.com, trips from $80 per hour for up to seven adults).

Where to Refuel: Bigfork Inn's chalet-style restaurant has an outdoor deck in the summer months and standout prime rib. 604 Electric Ave., 406/837-6680, bigforkinn.com, entrees from $8.50 ($24 for the prime rib).

Where to Stay: Historic Tamarack Lodge & Cabins is set right in the midst of Flathead National Forest. The main lodge has one room that sleeps two, but most folks book one of the 18 cabins. 9549 U.S. Hwy. 2 East, 877/387-4420, historictamaracklodge.com, from $114.

Saugatuck, Michigan, on Lake Michigan

Long a weekend getaway for Chicagoans, Saugatuck's independent shops, trendy restaurants, and LGBT presence are starting to gain the town national attention. But beaches are its trademark, with long sandy stretches that often feel more Miami than Midwest. Oval Beach is one of the most popular with picnic areas and sheltered dunes (saugatuck.com/beaches.asp). Ride the Saugatuck Chain Ferry from downtown to Oval; it's the only hand-cranked chain ferry on the Great Lakes (adults and children ages 3 and up $1).

Where to Refuel: Pumpernickel's Eatery bakes its bread fresh on-site. Pair two loaves with your favorite lunch meat, have them wrap your sandwich picnic-style, and tote it with you to the beach. 202 Butler St., 269/857-1196, pumpernickelssaugatuck.com, sandwiches from $7.50.

Where to Stay: Lake Shore Resort overlooks Lake Michigan from its bluff above the water. In celebration of local craftsmanship, each of the 30 rooms is decorated with paintings by hometown artist James Brandess. Rates include free continental breakfast, Wi-Fi, and use of bikes, kayaks, and outdoor BBQ pits. 2885 Lakeshore Dr., 269/857-7121, lakeshoreresortsaugatuck.com, from $160.

Grand Lake, Colorado, on Grand Lake

Surrounded by the high peaks of Rocky Mountain National Park, Colorado's largest natural lake couldn't be more picturesque. The town was founded in 1881 and affects a rustic, Wild West vibe, with saloons and a boardwalk along Grand Avenue. Embrace the theme by hitching a ride on horseback with Sombrero Ranches, whose ranch hands will lead you through alpine meadows, alongside clear mountain streams, and up steep hillsides (970/627-3514, sombrero.com, four hour rides $75 per person).

Where to Refuel: The chefs at Sagebrush BBQ & Grill were taking advantage of local riches -- Rocky Mountain trout, elk, buffalo -- long before it became trendy. 1101 Grand Ave., 970/627-1404, sagebrushbbq.com, entrées from $10.95.

Where to Stay: The Grand Lake Lodge dates back to 1920 and has a homey, welcoming vibe with a circular fireplace and hickory rocking chairs in the main lodge. Plus it's perched on a hillside overlooking the lake. 15500 U.S. Hwy. 34, 855/585-0004, grandlakelodge.com, from $125.

Budget Travel: 25 greatest travel books of all time

Bemidji, Minnesota, on Lake Bemidji

Bemidji best captures the Norman Rockwell glow of a summer lake town, with clean beaches, quirky annual traditions, and a packed social calendar. Its Fourth of July and county fair are pure Americana, while the Dragon Boat Festival and its competitive racing crews channel a Minnesota-style Mardi Gras from August 1 to 6. Book an afternoon with one of the guides at Tomahawk Lodges to fish for walleye, a flaky white fish that does nicely on the grill (800/452-8023, call for price estimates).

Where to Refuel: Minnesota Nice Café is a sure bet for Midwestern favorites like potato pancakes with applesauce. Don't miss the freshly baked apple pies -- they taste like they come straight from a county fair. 414 Beltrami Ave. NW, 218/444-6656, minnesotanicecafe.com.

Where to Stay: Ruttger's Birchmont Lodge occupies the lake's quieter northwest shore, with 38 lakefront rooms and suites and 29 cabins on a 1,700-foot-long sand beach. 7598 Bemidji Rd. NE, 888/788-8437, ruttger.com, from $62.

Jackson Hole, Wyoming, near Jackson Lake

Framed by the Grand Tetons and situated just north of posh Jackson Hole, Jackson Lake is a pristine glacial stunner. Soak in the views from a four-wheel cruise down the John D. Rockefeller, Jr. Memorial Parkway on its eastern edge. For a more immersive take, Jackson Lake Boat Rentals provides six types of watercraft, from sea kayaks by the hour to deck cruisers by the day (307/543-2831, full-day rentals from $79 per person).

Where to Refuel: The Bear's Den restaurant serves all the hearty fare you'd expect at a Wyoming ranch; favorites include Campfire Chili with cheddar cheese and Mom's Meatloaf. At Flagg Ranch, right off Hwy. 89 (two miles south of Yellowstone), 800/443-2311, entrees from $9.

Where to Stay: It's nothing fancy, but Signal Mountain Lodge is the only waterfront resort on the shores of Jackson Lake. Each of its rustic log cabins has semi-private balconies and views of the Tetons. Inner Park Rd., Moran, Wyo., 307/543-2831, signalmountainlodge.com, from $131.

Newport, New Hampshire, near Sunapee Lake

Sunapee Lake is quintessential pastoral New England, with a handful of beaches made for swimming and a revolving lineup of outdoor concerts all summer. Its focal point is the lively marina scene at Sunapee Harbor; other highlights include the Fells Historic Estate & Gardens, an 84-acre estate with gardens dating back to the early 20th century.

Where to Refuel: One Mile West specializes in New England favorites like Atlantic haddock fish and chips; try the signature Brook Rd. BLT, which adds pepper-crusted sirloin to the tried-and-true bacon-lettuce-tomato combo. 6 Brook Rd., 603/863-7500, onemilewest.com.

Where to Stay: Dexter's Inn's estate-like grounds are immaculate, with an outdoor pool, tennis court, and views of the lake. 285 Stagecoach Rd., 800/232-5571, dextersnh.com, from $110.

Budget Travel: 16 awe-inspiring American monuments

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

Quintessential American lake towns provide a nice summer vacation option

@highlight

From Montana to New Hampshire, cozy lake towns are full of natural scenery

@highlight

These towns offer fun recreational activities, shopping and scrumptious regional dishes