(CNN) -- You'll find his name and initials everywhere you go at the French Open -- the famous green and brick red logo stamped on everything from parasols and caps to towels and tennis balls.

But ask most people who Roland Garros was and they'll tend to double fault.

"For a lot of people in France and abroad, Garros is a tennis man, or a sometime president of the French Tennis Federation (FFT)," says Michael Guittard, head of collections and cultural mediation at the FFT.

"Everybody knows the name of Roland Garros, but nobody knows who he was. That's why we have an exhibition to explain that he is not a tennis champion, but a hero of World War One."

Garros' elevated status wasn't earned down in the trenches, but up in the skies above the Western Front, as the exhibition at the FFT museum entitled "Moi... Roland Garros" explains.

Born in 1888 on the French island of RÃ©union in the Indian Ocean, Garros had won fame before the war, notably becoming the first man to fly across the Mediterranean Sea in September 1913.

The following year, he switched from peacetime record-breaker to intrepid war pilot.

Pioneering propellers

Although he never reached the status of flying ace -- he is officially credited with shooting down four enemy aircraft during the war -- Garros gained notoriety another way by developing a means of allowing a machine gun to be fired forward through a plane's propeller arc.

"He was an early pioneer in the development of fighter aviation," says Peter Jakab, chief curator at the U.S.'s Smithsonian National Air and Space Museum.

His method of attaching wedge-shaped steel plates to the propeller blades may have been crude, but it worked, says Jakab.

"The rate of fire was that most of the bullets would miss the propeller, but every so often one would strike it. So this was a way to deflect the bullets from the propeller," Jakab told CNN.

"It wasn't very efficient, but in the very early months of the war when airplanes were either defenseless or carrying hand-held weapons, this technique made his aircraft more lethal than anything flying.

"Over a very short period of time he shot down a number of German airplanes and created quite some terror among the German pilots."

Piloting his Morane-Saulnier, Garros' first victory came at the beginning of April 1915 and two more quickly followed. But his luck ran out later that month when a clogged fuel line forced him to crash-land behind enemy lines.

Captured by the Germans, Garros remained a prisoner of war for almost three years before escaping in February 1918.

Short-lived success

Undeterred by the prospect of another incarceration or worse, Garros was soon airborne again, this time piloting a SPAD biplane.

The pioneering airman showed he had lost none of his shooting skills as he downed his fourth German plane of the war in early October 1918. But it wasn't long before disaster struck.

On October 5, a day before his 30th birthday and five weeks before Armistice Day on November 11, Garros was shot down and killed near the French town of Vouziers, close to the Belgian border.

His demise came at the hands of a German airman flying a Fokker D VII plane fitted with a synchronization gear that stopped bullets hitting the propeller altogether.

Designed by Dutch aircraft manufacturer Anthony Fokker, the device was far more efficient than Garros' earlier deflector plates and caused numerous deaths of allied airmen when introduced in mid-1915 -- prompting the British press to coin the phrase the "Fokker Scourge."

Garros had, it seems, become a victim of the rapid progress that he had started.

"What you see in the First World War is this laboratory or crucible for development of what we know as air power today -- from a tactical/mission perspective as well as a technical design perspective," Jakab says.

"A guy like Garros was one of the early pioneers of developing a tactic in an aircraft-specific role. But ideas of formation flying and how squadrons would tactically engage had evolved after he was in prison.

"So when he came out, he was still pursuing fighter aviation like he had done in 1915, but it was a different ball game by that point," Jakab said.

"He was surpassed by the war and by this technique that he had pioneered. But he was a great war hero."

It was a status reaffirmed a decade after his death when a new stadium built to host the international teams tennis tournament now known as the Davis Cup was named in Garros' honor.

After beating the U.S. at Philadelphia's Germantown Cricket Club in 1927, France, led by the "Four Musketeers" (Jean Borotra, Jacques Brugnon, Henri Cochet and Rene Lacoste) went on to win five consecutive Davis Cup titles at the new stadium in Paris' 16th arrondissement beginning in 1928 -- the same year the French Open was first held at the clay-court venue.

Pre-war records

Garros' high-standing among the French public wasn't built solely on his efforts during the war.

Prior to 1914, he had been a highly successful member of a new burgeoning aircraft community which had rapidly grown in the wake of the Wright Brothers' (Wilbur and Orville) first powered flight at Outer Banks, North Carolina in December 1903.

"A lot of people don't realize how much aeronautical activity was going on before the First World War," says Jakab.

France was at the heart of this development, Jakab says, noting Louis Bleriot's first crossing of the English Channel in an airplane in July 1909 which was followed a month later by the world's first air meet at Reims in the Champagne-Ardenne region.

"It took place over a two-week period and upwards of 200,000 people came out to see the flying," Jakab says.

"This was not an obscure event and by 1910, '11, '12 you have the foundation of an aircraft industry in Europe not just in France, but the UK, Italy, Germany and Russia."

As the FFT exhibition notes, Garros was inspired to take up flying after attending the Reims event and it wasn't long before he was making a name for himself.

In 1912, two years after making his first flight, he won the prestigious Circuit de Anjou race before becoming the first man to fly across the Mediterranean Sea on September 23 the following year, as Flight International magazine reported.

"Tuesday last saw Roland Garros achieve his ambition of flying across the Mediterranean from France to Africa...

"Leaving the Frejus Aerodrome at St. Raphael at 5.45 a.m., and steering straight across the Mediterranean, over Sardinia, he made a safe landing in Bizerta, in Tunisia at 1.45 p.m. The distance between the two points is about 460 miles, and after his eight hours flight there still remained in the tank five liters of petrol."

"The 1913 flight across the Mediterranean was his great flight," Jakab says.

"From a pre-war point of view, he was one of the key pioneering aviators who established the viability of the airplane as a technology in terms of these long-term flights."

These days, the only aviators you are likely to find at Roland Garros stadium are pairs of sunglasses perched on patron's noses court side at Philippe Chatrier (who actually was a former FFT president).

The pilot's story may be lost on most of them, but 100 years after the Great War began, Garros' fighting spirit lives on in more frivolous forms of battle.

"Garros had two big qualities -- a lot of courage and a lot of determination," Guittard says.

"Those two words are perfect for our champions."

The "Moi... Roland Garros" exhibition can be seen at the FFT museum at Roland Garros stadium. Entry is free of charge to ticket-holders during the tournament.

@highlight

Early 20th-century aviator was credited with developing fighter aviation

@highlight

Garros fitted a device which enabled forward shooting from planes

@highlight

Captured by Germans, he escaped -- only to be killed months later

@highlight

Garros was a pioneer in war and peacetime, setting new distance flight records