(CNN) -- The July/August cover story of the Atlantic, "Why Women Still Can't Have It All" by Anne-Marie Slaughter, has ignited a firestorm.

One side accepts the author's argument: that feminism has set women up to fail by pretending they can have a high-powered career and still be an involved mother. The other side accuses Slaughter, who left her job as the first female director of policy planning at the State Department, of setting women back by telling them to "rediscover the pursuit of happiness," starting at home.

Slaughter's article contains a powerful critique of the insanely rigid workplace culture that produces higher levels of career-family conflict among Americans -- among men and women -- than among any of our Western European counterparts, without measurably increasing our productivity or gross national product. And she makes sensible suggestions about how to reorganize workplaces and individual career paths to lessen that conflict.

Unfortunately, the way the discussion is framed perpetuates two myths: that feminism is to blame for raising unrealistic expectations about "having it all" and that work-family dilemmas are primarily an issue for women.

Let's start by recognizing that the women's movement never told anybody that they could "have it all." That concept was the brainchild of advertising executives, not feminist activists. Feminism insists on women's right to make choices -- about whether to marry, whether to have children, whether to combine work and family or to focus on one over the other. It also urges men and women to share the joys and burdens of family life and calls on society to place a higher priority on supporting caregiving work.

Second, we should distinguish between high-powered careers that really are incompatible with active involvement in family life and those that force people to choose between work and family only because of misguided employment requirements and inadequate work-family policies.

By her account, Slaughter had one of the former. Before she "dropped out" merely to become a full-time professor, write books and make 40 to 50 speeches each year, Slaughter left Trenton, New Jersey, every Monday on the 5:30 a.m. train to Washington and didn't get back until late Friday night. Such a job is incompatible with family obligations and pleasures for men as well as for women. The real question is not why so many women feel compelled to walk away from these jobs but why so few men feel the same way.

The teaser at the top of the Atlantic article claims that "women who have managed to be both mothers and top professionals are superhuman, rich or self-employed." But that sentence is missing an adjective. What it really means is that women who manage simultaneously to be involved mothers and top professionals in the United States are a rare and privileged group. Men who manage to be involved fathers and top professionals are equally rare and privileged.

The irony is that most jobs, even top professional positions, do not actually require as much absenteeism from family as employers often impose. University of Texas sociologist Jennifer Glass, a senior fellow at the Council on Contemporary Families, points out that corporate and government professionals in the United States put in much longer workweeks than their counterparts in Europe, where limits on work hours are common, workplace flexibility is more widespread, and workers are entitled to far more vacation days per year than most Americans -- and actually use them.

U.S. companies generally penalize workers who try to cut back on hours, reducing their hourly wages even when their hourly productivity remains the same or increases. The European Union, by contrast, forbids employers to pay less per hour for the same work when it is done part time than when it is done full time.

"In a system where work hours are encouraged to spiral out of control at the highest positions," Glass notes, "the people who make it to the top -- male or female -- have little time for family or community commitments, and little patience for the family commitments of the people they supervise."

Slaughter ultimately suggests some excellent reforms that would allow both men and women to meet their work and family commitments more successfully, although she inexplicably describes them as "solutions to the problems of professional women." Later she acknowledges that work-family issues plague all American workers, regardless of their sex, income level, occupational niche or even parental status since many childless workers have responsibilities to aging parents or ill partners. In fact, according to the New York-based Families and Work Institute, men now report even higher levels of work-family conflict than women do.

It was a great victory for gender equality when people finally stopped routinely saying "she's awfully good at her job -- for a woman." The next big step forward will be when people stop saying, "It's awfully tough to balance work and family -- for a woman." It's tough for men and women. We need to push for work-family practices and policies that allow individuals to customize their work lives according to their changing individual preferences and family obligations, not just their traditional gender roles.

The opinions expressed in this commentary are solely those of Stephanie Coontz.

@highlight

Stephanie Coontz: Atlantic article riled women on perennial issues of feminism, motherhood

@highlight

Coontz says issue framed as false feminist promise of "having it all"

@highlight

She says U.S. companies often inhospitable to work/family balance for women and men

@highlight

Coontz: Workplaces should reasonably accommodate family life regardless of worker's sex