(CNN) -- Instead of slathering on baby oil and baking in the sun until turning red as a tomato, more beachgoers are donning wide-brimmed hats, flowing tunics and hiding from ultraviolet rays under large umbrellas.

Friends Anne Botica, 27, and Monique Moore, 28, noticed this shift in sunbathing fashion trends during a trip to the beach two years ago.

"Instead of tanning and trying to get as bronze as possible, people were being really smart about the sun and covering up in really cute, fashionable ways," says Moore, who co-founded a sun-blocking clothing company called Mott 50 with Botica in New York City last year.

New companies like Mott 50 are fulfilling people's needs to stay healthy and stylish. Until a few years ago, those seeking special sun-blocking clothing could order apparel only from specialized catalogs. The options were often limited to drab colors and basic cuts. Today, new clothing lines have recognized shoppers' desires to buy outfits they can wear to parties and show off to friends.

"Everything is style-driven and designed to incorporate the latest trends," says Melissa Marks, founder of Cabana Life, a sun-blocking clothing company she started in 2005 after she was diagnosed with skin cancer.

As the rate of skin cancer continues to rise -- with more than 2 million people diagnosed in the United States each year -- more Americans are seeking sun-safe products. The list includes clothing that contains UPF (ultraviolet protection factor) values, which span from 15 to 50-plus. The higher the value, the more the fabric absorbs UV rays and prevents them from hitting skin.

But consumers should not confuse UPF with SPF (sun protection factor) values that rate protection from ultraviolet-B rays in sunscreen because "they don't necessarily match," says Vilma Cokkinides, an epidemiologist and director of research for the American Cancer Society in Atlanta.

Sleeves, shade your best bet for sun protection

The UPF value is based on the color and weave of the fabric.

"Shirts with tight weaves are much more protective than shirts with loose weaves," says Martin Weinstock, chief of dermatology at the VA Medical Center in Providence, Rhode Island.

While darker hues are more protective, clothing companies have created bright, popping colors that are UPF-approved and in style this summer. Some lines sell apparel that covers most of the skin, such as dresses with long sleeves and swim shorts that extend past the knee.

Mott 50 caters to people who want to protect themselves and still have fun in the sun.

"We sort of say, 'Go out, wear your swim suit, your bikini, get the color that you want and desire, but ... when you're covering up and you're not looking to get color, then wear something that is certified with the UVA and UVB protection,' " Moore said.

Moore's business partner Botica has a family history of skin cancer. She said women concerned about wrinkles and the sun's effect on aging tend to buy their products, including women in their 20s and 30s. Other customers have been diagnosed with skin cancer and need clothing to protect themselves from UVA and UVB rays.

Some purchase items like Henley shirts and colorful sundresses because they think they're "cute," Moore said. "The fact that it has skin protection is an added value."

For Marks, designing trendy skin-protective clothing is the main goal. Marks was a merchandise expert for fashion magazines such as Vogue, Vanity Fair and Seventeen before she was diagnosed with malignant melanoma at age 26. At the time, her dermatologist said she needed to wear skin-protective clothing -- something Marks was unfamiliar with.

"Here I am in the fashion world, I had never heard such a thing," she said.

New melanoma drug helps patients

When she started researching UPF clothing, she was disappointed by what was on the market.

"I thought, 'OK, no wonder I had never heard about it, because it's not something me or any of my friends would want to put on and march around wearing,' " Marks said. "It was fluorescent, it was synthetic, and it was not going with a pair of stilettos."

Marks, who is now a cancer survivor, said she was inspired to design clothing that "combined fashion with function" and would compete on the same floor as designer brands. Since officially launching in 2005, she has accomplished that goal -- selling Cabana Life hats, beach cover-ups and children's swimwear at Saks Fifth Avenue and resorts like the Four Seasons and The Breakers. Celebrities such as Madonna, Gwyneth Paltrow and Lisa Kudrow have also supported her products.

"When we hit the scene in 2005, I said UV protection in clothing, and I felt like we had to explain it to everyone," Marks said. "Over the course of the time since we started the company, more and more people are talking about it, understanding it."

Over the past five years, Julie Mahoney from Atlantic Highlands, New Jersey, has purchased Cabana Life products for herself and children ages 3 and younger.

"My father had gotten skin cancer years ago, and I'm Irish with very fair skin, so I just decided it was time to be a little more responsible, but also I wanted to wear cute things," she said.

Five ways to avoid getting a deep-fried sunburn

While some of the clothes tend to be on the expensive side -- with prices ranging from $48 for a girl's pink terry cover-up to $75 for a woman's coral tunic dress -- Mahoney said they're "well worth the investment."

Her favorite item? Rash guard bathing suits for children that have long sleeves, boy shorts and come in bright colors and aquatic designs.

"They look cute, the kids love wearing them, and they're also great with the sun protection," she said.

Michael Hubsmith, executive vice president of Coolibar, said he has noticed an increase in the level of awareness about sun-blocking clothing since Coolibar started in 2003 in Minneapolis.

Modeled after popular Australian skin-protective clothing, all Coolibar products have a UPF value of 50-plus that is guaranteed to last the life of the garment. Unlike some companies, Coolibar doesn't sell products like bikinis that expose a large portion of the body to sun.

"If you don't cover the skin, then those little triangles of UPF 50-plus in your bikini aren't really going to do anything for you," Hubsmith said.

While wearing a bathing suit may not comply with sun-blocking practices, Marks said companies have to be realistic about people's clothing choices.

"If I had a sun suit that covered me from head to toe and zipped up over every part of my body, yes, it would be extremely effective, but it wouldn't be effective because I wouldn't put it on," she said.

Hubsmith also recognizes the need to make UPF clothing "as fashionable as it can be."

"People that need UV protection also want to feel like they're included in the crowd -- that the style and clothing they're wearing is not going to single them out as having some kind of a problem with the sun," he said.

Why not to fry your skin

About one in five Americans develop skin cancer, according to the Skin Cancer Foundation. Besides making smart clothing choices, experts say people can protect themselves from harmful rays by wearing sunscreen and minimizing the time spent outdoors between 10 a.m. and 4 p.m., when UV rays are the most intense.

But people shouldn't be afraid to venture outside, said Weinstock, the Providence VA Medical Center chief of dermatology.

"It's important for people to be physically active, which usually means being physically active outdoors," he said. "People just need to be sensible. They need to take precautions to minimize any damage to their skin."

@highlight

Protecting yourself, family with sun-blocking clothes is becoming a healthy fashion trend

@highlight

Clothing with an ultraviolet protection factor of 50-plus blocks the most UVA, UVB rays

@highlight

Cabana Life, Mott 50 and Coolibar offer stylish sun-blocking products