Washington (CNN) -- In a graphic example of election-year politics at work, a defense bill that would repeal the military's "don't ask, don't tell" policy got blocked Tuesday in the U.S. Senate by a Republican-led filibuster.

The bill stalled on a 56-43 vote, four short of the 60 votes needed to overcome the Republican opposition. Senate Majority Leader Harry Reid, D-Nevada, changed his vote to "no" as a tactical move, allowing him to bring the measure up later.

Reid and other Democrats accused Republicans of stalling the National Defense Authorization Act, which traditionally passes with bipartisan support, to undermine the "don't ask, don't tell" repeal and an immigration provision offering a path to citizenship for students and soldiers who are children of illegal immigrants.

Republicans countered that Democrats were trying to use defense policy act that authorizes $725 billion in military spending to force through provisions popular with their political base ahead of the November 2 congressional elections.

White House Press Secretary Robert Gibbs expressed disappointment at the vote but said "we'll keep trying" to get Congress to approve the repeal of the "don't ask, don't tell" policy barring openly gay and lesbian soldiers from the military.

A federal judge recently ruled that the "don't ask, don't tell" policy was unconstitutional, and the uncertainty of congressional action after Tuesday's vote further complicated the issue

What's your take on "don't ask, don't tell"?

The Human Rights Campaign, a gay rights advocacy group, said in response to the vote that the Justice Department should let the court ruling stand instead of filing an appeal.

"We still have a fighting chance to repeal DADT through congressional action, but in the meantime, the best interests of our men and women in uniform -- as well as the country -- are served by doing everything we can do to get rid of this discriminatory law," said Joe Solmonese, the group's president.

Debate on the defense bill was rancorous in the run-up to the vote. Republicans accused Reid of trying to prevent them from proposing amendments to the bill and criticized his plan to tack on the immigration provision, known as the DREAM Act.

"I've never seen such a cynical use of the needs of the men and women of the military," said GOP Sen. John McCain of Arizona, the top Republican on the Armed Services Committee, calling the expanded bill "a cynical act for political reasons as the election nears to try to salvage what appears to be a losing campaign."

Reid countered that the Republican opposition was a blow to gay and lesbian Americans, as well as those born to illegal immigrants, who want to serve their country.

"The Defense Department¹s strategic plan explicitly states that passage of the DREAM Act is critical to helping the military shape and maintain a mission-ready all-volunteer force," Reid said in a statement.

McCain and other Republicans "should know better than anyone that patriots who step up to serve our grateful nation should be offered a path to citizenship, and that anyone who volunteers to serve should be welcomed regardless of their sexual orientation," Reid's statement said.

Republican opponents included some GOP senators who favor lifting the Pentagon's requirement that gays and lesbians keep their sexuality a secret.

However, they expressed concern that Democratic leaders could limit GOP amendments to the broader National Defense Authorization Act that includes the "don't ask, don't tell" provision.

Sen. Mitch McConnell of Kentucky, the chamber's top Republican, proposed an agreement for the chamber to consider 20 amendments on a rotating basis, but none could include adding the DREAM Act to the bill.

Reid rejected the proposal, saying such an agreement was too great a departure from how the Senate normally conducted its business. Another of the chamber's Democratic leaders, Sen. Dick Durbin of Illinois, said McConnell's proposal was intended to "stop the DREAM Act."

With 59 seats in the chamber, Senate Democrats and their allies needed at least one Republican vote to reach the 60 needed to overcome a GOP filibuster.

However, none of the moderate Republicans who in the past have voted with Democrats crossed the aisle this time.

"I find myself on the horns of a dilemma," Sen. Susan Collins of Maine said before the vote.

Collins explained that she supported repeal of the "don't ask, don't tell" policy but "cannot vote to proceed to this bill under a situation that is going to shut down debate and preclude Republican amendments."

She called for an agreement that guarantees "full and open debate," adding: "Now is not the time to play politics simply because an election is looming in a few weeks."

On Monday, pop star Lady Gaga held a rally to call on both Collins and fellow Maine Republican Sen. Olympia Snowe to join Democrats in overcoming the expected GOP filibuster attempt.

Both Snowe and Collins oppose the "don't ask, don't tell" policy, and Collins was the sole Republican vote in the Senate Armed Services Committee in support of getting rid of it.

However, both joined the GOP filibuster after Reid refused to change his approach.

Reid had said he wanted the Senate to take up the bill now, but no final vote would take place until after the November 2 elections. He rejected the GOP calls for an agreement on how the amendment process would proceed, citing what he called a pattern of Republicans obstructing debate on important policies.

The legislation, which is a broad defense policy bill, would rescind "don't ask, don't tell" after the Pentagon completes a review of the repeal's impact on the military.

The review is due in December and would serve as the basis for certification by the president, defense secretary and chairman of the Joint Chiefs of Staff that the military could handle repealing the policy.

On Tuesday, the general nominated to head the Marine Corps told a Senate committee that he believes responses from Marines on repealing the "don't ask, don't tell" policy have been mostly negative so far.

Gen. James Amos said he had heard that at Marine bases and in Marines' responses to an online survey, the feeling "is predominantly negative." He added, however, "I don't know that as a fact."

In written answers to the Senate Armed Services Committee, Amos said he opposes repeal of the "don't ask, don't tell" policy now because it could disrupt cohesion due to "significant change during a period of extended combat operations." At the same time, Amos made clear that he would oversee a repeal if ordered to do so.

"The Marine Corps is probably one of the most faithful services you have in our country," Amos said. "And if the law is changed by Congress and signed by the president of the United States, the Marine Corps will get in step and do it smartly."

Many Republicans complain that Congress should not step in until after that military review is completed.

McCain, the top Republican on the Armed Services Committee, said that approving a repeal provision before finishing the review process would amount to an insult to military personnel.

"The most fundamental thing we could do to honor the sacrifice of our troops is to take the time to hear their views," McCain said Tuesday.

McCain also cited statements by the heads of the four military branches opposing congressional action on the issue before the review process is completed.

Democrats noted that Defense Secretary Robert Gates and Adm. Mike Mullen, the Joint Chiefs chairman, have said publicly that they support repealing "don't ask, don't tell."

The military has working groups looking at how to implement the change if ordered. The groups are looking at issues such as housing to entitlements and even personal displays of affection.

CNN's Chris Lawrence, Matt Smith and Tom Cohen contributed to this report.

@highlight

NEW: McCain accuses Democrats of cynical stance on defense bill

@highlight

NEW: Durbin says Republicans wanted to kill immigration provision

@highlight

Defense bill that would repeal the "don't ask, don't tell" military policy is blocked

@highlight

White House disappointed but says "we'll keep trying"