(CNN) -- The ancient Chinese were stonewall masters.

China not only has the world's longest fortification, the 21,196-kilometer-long Great Wall, but arguably the world's longest circular city wall, the Ming City Wall, which was originally 35 kilometers around.

The latter stands in Jiangsu's provincial capital of Nanjing.

It's one of China's most underrated tourist attractions.

Some 22 of the remaining 25 kilometers of the once-inaccessible wall are scheduled to open to the public in August. (Currently, visitors can access only about three kilometers of the wall.)

The opening coincides with the local government's preparations for the 2nd Summer Youth Olympic Games (August 16-24) and is part of an effort to snag the Ming City Wall a spot on the UNESCO World Heritage list in 2015.

The wall was built between 1366 and 1386 to protect the founding capital of the Ming Dynasty.

"In the past, the wall was the end of the city," says Sun Xiaowei, 32, president of the Nanjing-based urban hiking community, HigKing Group.

"But now it's the starting point of Nanjing's culture. It's the most direct reminder of Nanjing's eventful history."

Sun recently shared with CNN what he considers the best route to take to get the most out of this generally ignored Chinese treasure.

Stop 1: Zhonghua Gate

Located immediately to the north of Qinhuai River, Zhonghua Gate, or the Gate of China, is one of the best preserved and most intricate barbicans in the world, according to Sun.

The gate is used as a grand entrance to any tour of the City Wall.

It once served as the southern gate of ancient Nanjing, a 15,168-square-meter fortification that contained four layers of defenses, as well as three grand castles, the ruins of which are connected to each other by a wide ring of wall.

After paying an entry fee, visitors can view former garrisons, an exhibition about the history and variety of bricks used to build the City Wall.

Visitors can also climb up a platform with an impressive view over the Qinhuai River to the south and buzzing downtown to the north.

It's possible to rent a bike and ride atop the wall to Dongshui Guan, a Ming watergate 2.7 kilometers to the northeast.

Zhonghua Gate, Qinhuai District, Nanjing; +86 25 8662 5435; open from 8 a.m.-9 p.m.; RMB 35 ($5.50)

Stop 2: Dongshui Guan

Dongshui Guan, or the East Water Checkpoint, is a 10-minute bike ride along the wall or a 30-minute walk from Zhonghua Gate.

The restored compound is the only watergate on the Ming City Wall, according to Sun.

In recent years, the gate and its surrounding area have been redeveloped into a 41,500-square-meter public park.

"If you stand on the highest point of the park, you can have a bird's-eye-view over the whole watergate," says Sun.

"The busy modern metropolis in the background and the grand checkpoint in the foreground form an interesting contrast."

Dongshui Guan Ruins Park, Dongshuiguantou Road, Qinhuai District

Stop 3: Wu Gate

It's worth sparing an hour to walk northward from Dongshui Guan to Wu Gate.

The route passes through some of the widest ancient streets in Nanjing.

Yudao Jie street was the exclusive carriageway of Ming emperors -- you'll find Wu Gate located at its terminus.

The stone gate heralds the entrance of the Ming Imperial Palace, which is believed to have served as the blueprint for the Forbidden City in Beijing.

The majority of the defunct palace has been transformed into a green space open to the public.

The park itself contains a restored gate, an original inner moat, ruins of the Hall of Praying to Heaven and a stonewall with intricate Ming-era carvings of fabled animals.

This is a good place for people watching.

Nanjing is at its most lively here, with sword-dance performers, chess players and tai chi students filling up every corner.

Strangely, the doorway of Wu Gate has become a meeting point for the local saxophone community.

On weekend afternoons, you can find dozens of saxophone enthusiasts blasting out mini-concerts in the shadow of imperial power.

Wuchaomen Park, Ming Gugong Road, Baixia District; open 7:30 a.m.-10 p.m.

Stop 4: Jiefang Gate

From Wumen, it's another hour's walk to reach Jie Fang, or Liberation Gate, a newly built fortress added to the wall in 1952.

Scenery en route includes the crowded commercial thoroughfare Zhujiang Road (good for electronics shopping), a stretch of Beijing Dong Road (home to the Nanjing City Government) and the imposing Cock-crowing Temple.

According to Sun, the gate was added to the wall to facilitate air raid evacuations and traffic between the two sides of the wall.

Although it's newly built, Sun considers the gate a part of the "longest, tallest and best preserved stretch of the Ming Wall," which zigzags from Xuanwu Gate to Taiping Gate.

The wall terminates next to the Cock-crowing Temple, giving visitors a stunning view toward gilded halls and Buddhist pagodas.

Jiefang Gate, Jiming Si Road, Xuanwu District

Stop 5: Taicheng

Next up is Taicheng, a five-minute walk on top of the wall from Jiefang Gate.

The view from here is breathtaking.

On one side lies Xuanwu Lake, a 3.68-square-kilometer refuge in the heart of the city that's home to best park in Nanjing.

Here, locals share their collective passion for speed-walking along the shore.

On the other side of Taicheng, decorative Cock-crow Temple and sleek skyscraper Zifeng Tower can be framed within the same photo.

The 450-meter-tall Zifeng is the second tallest completed building in mainland China and home to InterContinental Nanjing.

The Nanjing History Museum of the Ming City Wall is located inside the Taicheng wall section -- it's worth a detour for those keen to see more bricks.

Taicheng, No. 8 Jiefang Gate, Huanhu Road, Xuanwu District; +86 25 8321 7200; open 8 a.m.-5:30 p.m.; RMB 15 ($2.50)

Stop 6: Heping Gate

To find the most complete gate along the Ming City Wall, you'll need to walk along Xuanwu Lake til you reach the northernmost point of the old Nanjing City, which forms a straight north-south axis with Zhonghua Gate on the southern boundary.

Located just to the north of Xuanwu Lake, the fortress, also known as Shence Gate, was a guarded military zone inaccessible to the public for more than seven decades, according to Sun.

As a result, Heping or Peace Gate is the only gate of 13 along the Ming City Wall to have a watchtower that predates 1912, the founding of the Republic of China.

The gate was repurposed as a public park in 2006.

The 1,600-meter stretch of wall between Xuanwu Gate and Shence Gate is a key section of the government's plan to open more of the wall to the public this year.

Heping Gate, 8 Longpan Road, Xuanwu District

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports. Read the policy.

Shanghai native Tracy You is a former CNN editor and freelance writer now based in London.

@highlight

Nanjing's Ming City Wall is one of the most underrated historic sites in China

@highlight

Large portions of the once-inaccessible wall will open to public in August

@highlight

The wall was built between 1366 and 1386