NEW YORK (CNNMoney.com) -- The nation is becoming even more diverse: More than one third of its population belongs to a minority group, and Hispanics are the fastest-growing segment.

Nearly one in six residents, or 46.9 million people, are Hispanic, according to the U.S. Census Bureau.

The U.S. Census Bureau reported Thursday that the minority population reached an estimated 104.6 million -- or 34 percent of the nation's total population -- on July 1, 2008, compared to 31 percent when the Census was taken in 2000. Nearly one in six residents, or 46.9 million people, are Hispanic, the agency reported.

Even more telling for the future: 44 percent of children younger than 18 and 47 percent of children younger than the age of five are now from minority families.

The quickly expanding Latino population is having a healthy impact on the economy, according to Ken Gronbach, author of "The Age Curve: How to Profit from the Growing Demographic Trend."

"Latinos have saved our country," he said. "They represent 14 percent of the population but 25 percent of the live births. The United States is the only western industrialized nation with a fertility rate above the 2.2 percent replacement rate."

Growth of other minority groups is also outpacing that of the majority population. Asians, the second-fastest growing group, increased 2.7 percent year-over-year to 15.5 million. The African-American population rose 1.3 percent to 41.1 million.

Minority births, combined with high immigration levels, kept the nation's population growing dynamically, spurring the economy by adding to consumer demand.

They will also help to prop up the real-estate market once the economy begins to recover, according to Rakesh Kochhar, associate director of the Pew Hispanic Center. During the housing boom, minorities closed much of the homeownership gap, although the bust has worked to widen that again.

As it ages, the Baby Boom generation, the largest age cohort in U.S. history, will start to sell their castles as they look to downsize their empty nests. But the group that would be expected to buy those houses, Generation X, has about 9 million fewer members.

"There would be about 10 homes for every eight buyers," said Gronbach. "Xers simply do not have the critical mass to make up for the boomers' footprint."

Minorities will help take up that slack. They are relatively youthful and looking to house their families. The Hispanic population, for example, posted a median age of 27.7 years in 2008. That compared to 36.8 years for the total U.S. population -- which is a year-and-a-half older than the median age in 2000.

The number of 65-year-olds and older is nearing 39 million, or 12.8 percent of the population, up from 12.4 percent in 2000. The state with the oldest average residents is, not surprisingly, Florida: 17 percent of the retirement Mecca's population was 65 or older.

Latinos and other minority workers contribute to keeping the Social Security system solvent, according to Monique Morrissey, an economist for the Economic Policy Institute. The undocumented workers among them often pay more into the Social Security pool than they will take out in benefits.

Morrissey said estimates of deficits in the pool's finances were reduced last year when a Social Security advisory board's technical panel revised some unrealistically low assumptions it had made about Latino immigration.

"They took into account people without papers [paying into Social Security] but not accessing funds from there," she said. "That's bad for workers but very good for Social Security."

The most Latino county in the nation was Los Angeles, with 4.7 million people. Latinos accounted for nearly half the population there and increased 67,000 during the 12 months ended July 1, the most of any county. The Rio Grande border county of Starr, Texas, has the highest proportion of Latino residents: 98 percent.

California leads all states in the number of Latinos, with a population of 13.5 million, an increase of 313,000 in just one year. New Mexico, appropriately, has the highest percentage of Latinos: 45 percent.

New York State has the greatest number of African-Americans -- 3.5 million -- while the District of Columbia and Mississippi have the highest percentages, at 56 percent and 38 percent respectively. In terms of counties, Cook County, Ill. (Chicago) leads all others with 1.4 million African Americans, while Claiborne County, Miss., had the highest percentage at 84 percent.

More than 5 million Asians live in California, more than in any other state; Hawaii has the highest percentage of Asians at 54 percent. It's the only majority-Asian state in the nation.

Los Angeles County is home to 12.4 million Asians, the most of any county. Honolulu, with 58 percent, had the highest proportion.

More Pacific Islanders (283,000) and native Americans (739,000) lived in California than any other state.

@highlight

U.S. Census Bureau says the minority population has hit an estimated 104.6 million

@highlight

Nearly one in six residents, or 46.9 million people, are Hispanic

@highlight

The most Latino county in the nation was Los Angeles, with 4.7 million people