When Susan Patton, a Princeton alumna, advised in an open letter that Princeton coeds find a husband before they graduate, she provoked an avalanche of responses that span the spectrum from "good idea" to "no way."

So, what should young women make of her advice?

It turns out that we actually know a lot about the consequences of choosing a mate at an early age. Most of it shows that, on average, delaying marriage confers a number of advantages to women -- and to men as well.

Research over the last several decades has repeatedly demonstrated that women who postpone marriage are less likely to divorce, more likely to attain economic stability for themselves and their children, and more likely to express satisfaction with their family and work commitments.

Even "Knot Yet," a recent report co-written by the National Marriage Project and concerned with the possible costs of postponing marriage, clearly shows that delayed marriage improves the socioeconomic prospects of women and their families (especially among more privileged groups), reduces the chance of divorce and allows women to attain important life goals.

Opinion: If only I'd snagged a Princeton man

It's no mystery why this is the case. Amid our post-industrial, hi-tech economy, it takes longer to gain the personal insights and occupational skills needed to make a successful transition to adulthood. It takes time not just to develop the practical knowledge needed to negotiate a rapidly changing world but also to gain a clear sense of purpose about one's own life and about the kind of person one wishes to have as a life partner.

In my own research, young women from diverse backgrounds consistently agreed, in the words of one of my respondents, that "you need to find out who you are first" before you are ready to choose a lifelong partner.  This woman was the first member of her family to graduate from college.

But whether they were graduates of an elite university or making their way through a community college while holding a full-time job, these young women were keenly aware of the challenges facing today's relationships.  They overwhelmingly hope to create a lasting marriage -- or "marriage-like relationship" -- in the long run.

But they also believe the best chance of making a marriage work is to first establish their own identity and independence. As another young woman put it, as she discussed her plans to finish college and find a good job before settling down, "I want to be stable for myself, so I'm not getting married prematurely."

These are just some of the reasons the average age at first marriage has been rising for several decades and now hovers around 27 for women and 29 for men.  Younger generations have concluded, accurately, that their options do not contract after schooling, that they can take time to develop their own identities and make important life commitments, and that it may make sense to wait.

If the evidence supporting the option of delayed marriage is so strong, why has a letter urging women to choose a partner early garnered so much attention?

Perhaps because, despite the crumbling barriers that have allowed women to enter the halls of once all-male enclaves such as Princeton, so much remains unchanged.

Susan Patton never questions the norm that women should "marry up" -- and by extension, men should marry "down" -- on a variety of dimensions, including education, accomplishment and age. (Nor does she question the assumption that mate choice is universally heterosexual, but that is a topic for another debate.) Yet a thorough gender revolution means questioning such assumptions about how women (and men) select a life partner.

Genuine equality means jettisoning assumptions that all women should choose a partner who is older, more professionally accomplished or even more intelligent. The young women I have interviewed are far more likely to stress the importance of such criteria as mutual support, respect and love in a marital partnership.

Most of all, decisions about when and whom to marry are deeply personal, and advice that presumes "one size fits all" is more likely to trigger unnecessary anxiety than to offer useful help.

Instead of telling new generations what choices to make, we should turn our attention to creating the social supports and economic opportunities that will help them forge the more egalitarian relationships, satisfying work careers and work-family balance they desire, regardless of when -- and whether -- they marry.

@highlight

Susan Patton, a Princeton alumna, advised women to find a husband before they graduate

@highlight

Kathleen Gerson: Research consistently show that delaying marriage is better for women

@highlight

She says women who marry later are less likely to divorce and attain important life goals

@highlight

Gerson: The decision one makes about when and whom to marry is deeply personal