(CNN) -- Rain began falling on the Big Island Thursday afternoon and the winds began to pick up as Hurricane Iselle zeroed in on Hawaii.

The outer bands of the storm reached the eastern part of the island, bringing wind gusts as fast as 65 mph.

By Thursday, the shelves of many supermarkets were swept bare. Schools and government offices closed. Sandbags were being filled and placed around homes and hotels. Ports were told to close.

In Hawaii County, where there is a hurricane warning, 630 people have gone to shelters, Mayor Billy Kenoi told CNN affiliate KHON.

Gwendolyn Hill, who operates a bicycle tour on the island, said she normally goes to the store at 5:30 a.m. and is usually the only one there.

Not this time.

"People were buying water, rice, toilet paper and Spam," she said. "I don't eat Spam but a lot of people here do and it was going fast."

She said she thought her family was prepared for the storm. They got out the camping gear and had food and water for a week in case the power went out.

"The power goes out fairly often here on the Big Island, so losing power is not really a big deal," she said.

Track the storm

The shoppers were preparing for a potentially devastating one-two tropical cyclone punch, starting with Hurricane Iselle, with winds of 75 mph, and Hurricane Julio, a Category 3 storm, about 900 miles behind it.

Iselle could bring up to 12 inches of rain, life-threatening storm surges, flash floods and mudslides, forecasters said. They predicted Iselle will weaken somewhat and potentially make landfall late Thursday as a strong tropical storm.

Hurricane Julio, churning behind Iselle, could affect the islands two days later, though forecasters expect it to brush the state only with its southern outer bands as it passes to the north as a weakened tropical storm.

Customers picked through stores for groceries and other supplies Wednesday night and Thursday morning. At many locations, such as KTA in Waimea, bottled water was sold out, leaving the seller scrambling to get more.

"We've been on the phone from very early (Wednesday) morning, working with our vendors trying to get more water. It's been a very difficult situation because everybody is trying to get water," store manager Colin Miura told CNN affiliate KGMB.

Flash flooding on already saturated islands will be a main threat, along with mudslides from some of the mountainous terrain into populated areas.

"Preparations to protect life and property should be rushed to completion," the Central Pacific Hurricane Center said in its public advisory on Iselle early Thursday.

A hurricane warning was in effect for the easternmost populated island, Hawaii, with some of the state's other islands -- Oahu, Maui, Molokai, Lanai and Kahoolawe -- bracing for tropical storm conditions, with sustained winds of under 73 mph.

Even as the storms approached Hawaii, the National Oceanic and Atmospheric Administration said Thursday it is more confident that the other side of North America will see a below-average tropical cyclone year.

NOAA said that there is now a 70% chance that the number of named storms in the Atlantic this year will be at or below the 30-year average of 12. NOAA had put the chance at 50% on May 22.

"We are more confident that a below-normal season will occur because atmospheric and oceanic conditions that suppress cyclone formation have developed and will persist through the season," Gerry Bell, lead seasonal forecaster with the NOAA Climate Prediction Center, said.

Storm dangers

Iselle should bring heavy downpours of 4 to 8 inches over the Big Island; in isolated spots up to 12 inches, the hurricane center predicts.

That could cause rock and mudslides. And it would further saturate the ground in advance of Julio's arrival with more rain.

Also, the storm surge could come on top of high tide, pushing 1 to 2 feet of water onto land, and depending on overlap with tides, could hit isolated areas hard.

Ports are taking no chance, and Thursday, the U.S. Coast Guard upped warning levels to signal the storm was nearing.

"All oceangoing commercial vessels and oceangoing barges greater than 200 gross tons are expected to make preparations to leave the ports," it said. Ships wishing to remain in port are required to file a safe mooring plan

A relatively rare event

Direct hits are rare for the state. Since the 1950s, only two hurricane eyes have hit Hawaii -- and both approached from the south, where water temperature generally is warm enough to sustain the storms' strength.

Iselle, however, approaches from the east, and it would be the first tropical cyclone from that direction to hit the state since the satellite era began in 1959, CNN meteorologist Dave Hennen said.

That's not to say Hawaii hasn't had close calls. The central Pacific sees an average of about five tropical cyclones a year, and some have brushed the state in recent decades.

But Iselle is poised to overcome a number of factors that in recent decades conspired to keep the storms from hitting Hawaii directly or weaken them before they got there.

The cyclones generally approach from the east after forming in the eastern Pacific. But close to Hawaii, dry air, cooler water and wind shear combine to weaken approaching cyclones, dissipating them before they can become a significant threat, CNN meteorologist Indra Petersons said.

Now, however, the water off Hawaii is warmer than usual, and that could keep Iselle at hurricane strength if it hits Hawaii island as expected Thursday, Petersons said.

Hawaii's most damaging hurricane in recent decades -- Hurricane Iniki of 1992 -- came during an El Nino year, or a year of above-average sea surface temperatures. This year hasn't met the criteria for El Nino, but it could in the weeks ahead, Petersons said.

Iniki killed at least four people and caused about $2 billion in damage when it hit the western Hawaiian island of Kauai, according to the National Oceanic and Atmospheric Administration.

School's out; elections still on

The schools on the Big Island and Maui will be closed Friday as residents assess Iselle's affect.

Some airlines are making concessions to customers ahead of the storms.

Hawaiian Airlines moved one flight, to Los Angeles, up by five hours to beat Iselle's arrival.

For people who had been scheduled to travel to or from Hawaii's airports on Thursday and Friday, United Airlines and Hawaiian Airlines say they won't charge fees to change reservations, and they'll waive differences in fares for those changes. United canceled flights to Hilo and Kona. American Airlines and US Airways also called off flights out of Kona on Thursday, but said it expected Friday's flight schedule to operate normally.

Island Air will do the same for passengers ticketed from Thursday though Tuesday. Delta said it would waive fees for reservation changes for Thursday and Friday, but fare increases could apply. It said two flights had been delayed in leaving the islands.

Hawaii's primary elections will go on as scheduled Saturday, despite the storms, KGMB reported. Local media reported that many turned up for early voting in expectation of severe weather on election day. Others are concerned that voter turnout could be affected.

Hawaii Gov. Neil Abercrombie has signed an emergency proclamation, his office said. It gives the government access to the state's disaster funds.

CNN's Taylor Ward, Mariano Castillo, Katia Hetter, Tina Burnside and Tony Marco contributed to this report.

@highlight

One gust from Hurricane Iselle was measured at 65 mph on the Big Island

@highlight

Hurricanes and other tropical cyclones rarely make landfall in Hawaii

@highlight

Julio is tracking north and may just brush the Hawaiian islands

@highlight

Schools in Hawaii and Maui counties were closed Thursday