(CNN) -- When asked if I miss being in government, I usually try to lighten the moment by responding that I awake most days, read the paper, and then observe that, "It's yet another great day to be the former director of the Central Intelligence Agency."

Of course, this casual answer is designed to limit comment on the things I miss (largely the mission and the people) and especially the things I don't (a longer list).

But lately my half-flippant answer seems a little more true than I ever wanted it to be. And its somber implications apply not just to the director of CIA but to other senior intelligence officials as well.

These jobs have always been hard. While I was at Langley, a prominent American (not in government, but very accustomed to calculating risk) once asked me, "On a scale of zero to 10, how would you rate CIA analysis?"

I began my answer on CIA analysis--and by extension on the entire American intelligence enterprise--by noting that "eight, nine and 10 are not on our scale. If you can get to those numbers, nobody is asking us those questions." Using a baseball metaphor, I concluded that "all the pitches we see seem to be hard sliders on the outside corner at the knees."

That's hard enough, but today the intelligence community seems unduly burdened with questions beyond this permanent, almost existential, dilemma.

Take Benghazi, for example. Some have described what happened before the attack in which a U. S. ambassador and three other Americans died as an intelligence failure. Really? If someone needed more information to know that security there had deteriorated beyond the point of safety, they weren't waiting for warning -- they were waiting for someone to die. Good people made bad decisions, but it wasn't because they were unaware of the situation on the ground.

Then there is the aftermath of Benghazi: What did we know, when did we know it and how did the administration choose to express it? The intelligence community is still living with the consequences of what could be described as a public debate badly crossing the wires of political speech with those of analytic thought.

An intelligence analyst may attribute an attack to al Qaeda, whereas a policy maker could opt for the more general "extremist." It's still not clear what happened in this case (or why) and both speakers could technically be correct, but it is never a good thing for the analyst to be drawn into a debate to explain or justify the word choices of the politician. Director of National Intelligence Jim Clapper's office seemed forced to do just that in late September.

Surely what happened before and after those fateful hours in Benghazi is of national importance and our political processes need to adjudicate these questions. But at their heart these are now more political and policy debates than intelligence issues.

Then there's this movie, "Zero Dark Thirty" about the hunt for Osama bin Laden. Some have complained that too many "secrets" were dished out by the intelligence and special operations communities to director Kathryn Bigelow, screenwriter Mark Boal and their crew, part of a broader pattern of using intelligence for political effect.

There are now reports that one of the intelligence community's stars, Under Secretary of Defense Mike Vickers, may have leaned too far forward in talking to the film's creators. I doubt it. But I am glad that someone took the trouble to chronicle an American intelligence success.

But even that narrative is controversial. So controversial in fact that acting CIA Director Michael Morell felt compelled to issue a note to his workforce last week reminding them that the movie was a work of fiction, not a documentary. And three members of the Senate are on record demanding that Sony Pictures issue a disclaimer on the role of CIA enhanced interrogations in the hunt for bin Laden.

Here's what I know about the film's controversial aspects: The scenes of CIA interrogation are overwrought and inaccurate; more than detainee-derived data was key in getting to Abbottabad; and the film's star, "Maya", was not alone in urging the agency to move.

But as often happens in art, each of these story lines has a thread of truth. CIA interrogations of more than 30 detainees were tough; the agency did derive significant intelligence from them; and "Maya" was a real heroine.

At the end of the day, though, "Zero Dark Thirty" is a movie. Made by Hollywood. To be dramatic. That this is being debated and that intelligence leaders are being drawn into that debate is as revealing as it should be troubling.

When I was at CIA I asked my civilian advisory board to tackle some tough questions. Among the toughest: In a political culture that every day demands more transparency and more public accountability from every aspect of national life, could American intelligence continue to survive and succeed?

That jury is still out.

One hopes that in the new year our intelligence professionals--from seniors like Clapper, Morell and Vickers to the newest arriving analyst--can disentangle themselves from these public disputes and focus on their core responsibilities.

Responsibilities like gauging the spread of al Qaeda affiliates in North Africa, helping decision makers judge whether the Muslim Brotherhood in Egypt is a bridge or a barrier to Islamist fanaticism, identifying what part (if any) of the Syrian opposition can be trusted, or giving all of us confidence that we can detect an Iranian nuclear breakout before it is too late.

Working on that stuff actually constitutes the definition of a "great day."

The opinions expressed in this commentary are solely those of Michael V. Hayden.

@highlight

Hayden: Controversy unfairly surrounds intelligence officials' roles in two Washington issues

@highlight

He says political fights have obscured reality in both areas

@highlight

He says the Benghazi security breakdown wasn't an intelligence failure

@highlight

Hayden: "Zero Dark Thirty" has elements of truth, but is dramatized in Hollywood style