Beirut, Lebanon (CNN) -- At least four people were killed and 77 injured when a car bomb exploded in a residential neighborhood in southern Beirut on Thursday, Lebanon's state-run National News Agency reported.

The explosion caused significant damage, Lebanese broadcaster Al Manar TV said.

Video from Al Manar showed people gathered around smoking cars, and others bringing hoses to put out the flames. Thick clouds of dust rose as buildings collapsed after the blast.

The district, Haret Hreik, is known as a Hezbollah stronghold. The blast was strong enough to be felt in nearby neighborhoods of the capital, NNA reported.

A source with knowledge of the security situation told CNN that the car bomb exploded near Al-Jawad restaurant, about 50 meters (55 yards) from a building used by Hezbollah.

There has not yet been any claim of responsibility for the blast.

Lebanon's armed forces, in a statement published by NNA, urged people not to gather in the area in case of further explosions. Experts are gathering forensic evidence from the scene, the statement said.

The explosion comes less than a week after a car bomb exploded in downtown Beirut, killing half a dozen people and injuring dozens.

Among those killed in that blast was Mohamad Chatah, a former Lebanese finance minister and ambassador to the United States. He was an outspoken critic of Hezbollah and the Syrian regime.

Hezbollah, a Lebanese-based, Iranian-backed Shiite militia that is better equipped than Lebanon's army, has been supporting government forces in neighboring Syria's civil war.

This has led to increased tensions in Lebanon, where sectarian divisions reflect those in Syria.

'Opened the doors of hell'

Outgoing Prime Minister Najib Mikati warned that worse is to come if the Lebanese people don't overcome their political differences and engage in dialogue, NNA said.

A member of the Future Bloc, a political group opposed to Hezbollah, condemned the bombing. Hezbollah's involvement in the Syrian crisis has "opened the doors of hell to Lebanon," said Ammar Houry, quoted by NNA.

Syrian Information Minister Omran al-Zoubi condemned the bombing, which he labeled a "terrorist act," Syrian state news agency SANA reported.

In an online statement, Derek Plumbly, the U.N. special coordinator for Lebanon, expressed his "outrage that this is the fourth bomb to have exploded in Beirut's southern suburbs since July."

"It is deeply distressing to have to condemn yet another appalling act of terrorism, the latest in the number which have killed and injured so many innocent people in this country," he said. Plumbly called for those responsible to be held accountable.

Car bombs in the same area of Beirut in July and August killed dozens and injured hundreds.

And in November, a suicide bomb attack outside the Iranian Embassy, close to the neighborhood where Thursday's attack occurred, killed two dozen people and injured about 150.

Earlier this week, Lebanese state media reported that Saudi Arabia had pledged $3 billion to strengthen the Lebanese army. The money will allow Lebanon's armed forces to buy weapons from France.

It's been seen as a move to counter the strength of Hezbollah, but many analysts are doubtful because of the time it will take to equip and train the Lebanese armed forces, in a period when tensions and violence are increasing day by day.

Hezbollah still enjoys wide backing in Lebanon, but some groups have been angered by its support for Syrian President Bashar al-Assad's forces.

'Proxy war'

Beirut-based Middle East analyst Rami Khouri told CNN the recent surge in violence in Lebanon was part of larger, regional turmoil.

"We are seeing the greatest proxy war of modern times playing itself out in Lebanon and Syria and Iraq, that have now become really one battlefield in which two great ideological camps are fighting to the death like gladiators," he said.

Political divisions and ideological tensions in Lebanon go back several decades, Khouri said, but they have been reinforced by the emergence of radical Islamist terrorist groups, linked to al Qaeda, following the U.S.-led invasion of Iraq.

The situation has been aggravated by the civil war raging on Lebanon's doorstep in Syria, Khouri said, but that is not its cause.

It's not clear who is behind the bombings, he said, adding that the violence is not from ordinary Sunnis and Shiites attacking each other, but a more complex picture of extremist ideologies.

Hezbollah was designated as a terrorist group by the United States in 1995 "for a long history of terrorist attacks against American citizens and officials, including the bombing of the U.S. Embassy and Marine barracks in Lebanon during the 1980s," the U.S. State Department website says.

The U.N.-backed Special Tribunal for Lebanon is due to begin the trial this month of four Hezbollah suspects in the 2005 assassination of former Lebanese Prime Minister Rafik Hariri. He was also killed in a car bomb attack.

CNN's Mohammed Jamjoom reported from Beirut and Laura Smith-Spark wrote in London. CNN's Nic Robertson, Mohammed Tawfeeq and Larry Register contributed to this report.

@highlight

NEW: At least four people are killed and 77 injured in a large blast in Beirut, state media say

@highlight

U.N. representative in Lebanon condemns "yet another appalling act of terrorism"

@highlight

The neighborhood hit by the car bomb is known as a Hezbollah stronghold

@highlight

Tensions are rising in Lebanon; many are angered by Hezbollah's role in Syria's conflict