(CNN) -- It's no Super Bowl. Heck, it's no Monday Night Football, but for an American audience, Monday's Manchester derby -- that is, the English club soccer game between Manchester's two Premier League teams -- is about as big as it gets stateside.

Sure, many American sports fans call the sport boring and complain there's not enough scoring. It moves too slowly, they say, and is marred by prima donnas who flop to the ground if you breathe on them.

Haters aside, the United States is taking notice. ESPN moved the game from ESPN 2 to its flagship station, a first for a weekday Premiership game. Pubs across the nation are anticipating big crowds, and some Americans are doing something very British for match day: skipping out of work early.

"You'll definitely want to see this. It's as high a stakes game as you'll see in any soccer league in the world," said Sports Illustrated senior writer and soccer guru, Grant Wahl.

Wahl likened the match between No. 1 Manchester United and No. 2 Manchester City to the New York Jets and New York Giants playing in the Super Bowl, or perhaps the Iron Bowl, which pits cross-state rivals Auburn and Alabama against each other at the end of the college football season.

Ferguson experience key to Manchester derby

He's never seen a Manchester derby this important in the 15 years he's been covering soccer, said Wahl, who authored the book, "The Beckham Experiment: How the World's Most Famous Athlete Tried to Conquer America."

ESPN announced this week it moved the game to take advantage of the live edition of "SportsCenter" that will lead into the game, which begins at 3 p.m. ET. In an e-mail, spokesman Mac Nwulu said the paid programming on ESPN2 prior to the game typically draws about 221,000 viewers, where "SportsCenter" will have an expected audience of 482,000. The live lead-in is key to sports programming, he said.

The network's English Premier League offerings on ESPN2 this year are 50% percent higher than last year's games, so English soccer's popularity is increasing in the U.S., Nwulu said.

"Best matchup of the season," Nwulu said of Monday's game. "So far, 20 teams have each played an average of 36 matches. And with two match-days to go, EPL has one game that is akin to a title game in a league series not decided by knockouts."

We've come a long way

British sports commentator Ian Darke, who will be calling the game for ESPN, predicts a "turbo-charged occasion" and said he has noticed America's growing interest in soccer since ABC hired him to call games for the U.S.-hosted World Cup in 1994.

"Producers (back then) said to explain what offsides was and explain the laws of the game as we went along," he recalled. "Now, there's been a complete change of emphasis."

Today, more Americans -- many of whom played the sport in school and youth leagues -- have a better grasp on the basics, and commentators cover games in a more "authentic way, as if it were being broadcast for a European audience."

ESPN isn't the only one sensing the game taking off in the states. Hugh Folkerth, a bartender at Horse Brass Pub in Portland, Oregon, said that not so long ago Horse Brass was the premier place to watch English soccer in the city.

As the game has become more popular, more bars carry the matches and more people get the games at home, so the number of patrons coming to watch soccer at Horse Brass has taken a hit.

Of the derby Monday, Folkerth said he's received calls from people asking if he's showing it, and he expects a few more patrons than usual during the lunchtime rush.

A CNN Facebook page asking if fans were planning to skip work or school Monday drew plenty of the aforementioned haters, but a handful of fans said they'd be playing hooky.

"Will be skipping class at University and have already re-scheduled couple meetings already," wrote Tejash Patel, a United fan.

"Work? School? Bills? Life? All of it stops when the Derby is in play!" wrote fellow Red Devil Parker Smith.

Added Oladeji Thompson, "I'm coming home very early from work."

Continue the conversation on Facebook here

Fado Irish pubs in Austin, Texas, and Atlanta say they're expecting plenty of people to forsake their professors and employers. Both are tripling their staff. Austin general manager John O'Brien is expecting about 200 people for the game, which airs there at 2 p.m.

In Atlanta, general manager Brian Russell said he is expecting a similar crowd. Though he's bringing in the doorman who generally works only on weekends, he's not anticipating any problems with the crowd, he said.

"We'll just make sure the volume is loud, the TVs are on and we have enough staff to get everyone food and drinks," Russell said.

What's the big deal anyway?

So, the uninitiated may be asking, why all the fuss over this particular game? Well, there are many storylines.

The first is that it's a derby, so there's the longstanding city rivalry in addition to the championship implications. United's Old Trafford and City's Etihad Stadium are separated by about five miles, so you can imagine how the game divides friends, family, coworkers and neighbors.

Sara Tomkins, assistant chief executive for the Manchester City Council, called it "one of the most anticipated derbies this city has seen for a decade" and said those not lucky enough to get tickets, which are commanding Â£1,300 ($2,115) online, will be filling up the city's pubs or gathering around the TV at home.

Police aren't expecting problems, according to a statement from Superintendent John O'Hare, but they've asked local businesses to "take extra safety measures such as using plastic glasses, employing more door staff and keeping an eye on the front of house. ... People will see extra patrols. This is not because we are expecting trouble; it is to make sure people feel safe to come and watch the match."

ESPN's Darke, who has been covering English derbies for almost 40 years, said he is expecting a rowdy and raucous atmosphere.

"Manchester's going to be quite a lively place, no matter the outcome. I might bring a tin helmet like the soldiers wear," he said with a chuckle.

Another reason for the hullabaloo is that both teams are insanely wealthy. For United, the reigning English champs, this is nothing new. Founded in 1878, the team boasts 19 English championships and three European crowns. City, on the other hand, hasn't won the English title since 1968 and played unremarkably for the better part of four decades until Sheikh Mansour bin Zayed al-Nahyan of the Abu Dhabi royal family bought the team in 2008.

United has always been the "glamour team" with the big players, where City have been the forgettable step-relatives, and "City fans are wearily philosophical about it," Darke said.

"City fans are sick to death of United ruling their roost, and here's their chance," he said. "They will celebrate like there's no tomorrow if they pull it off."

Both teams are now among the most loaded clubs in the world. The professional services firm, Deloitte, reported that with â‚¬367 million ($487 million), United was No. 3 in revenues last year, behind Spanish powerhouses Real Madrid and Barcelona. City came in at 11th with â‚¬170 million ($225 million).

To give you an idea what these figures mean, Forbes reported that average revenue among NFL teams in 2010 was $261 million.

City and United have used their fortunes to acquire some of the biggest soccer names in the world: Wayne Rooney, Sergio Aguero, David Silva and Rio Ferdinand among them. The five dozen players on the two teams represent stars from 23 countries.

"(City) bought a lot of talent," said Sports Illustrated's Wahl. "The question is whether they bought a great team. The questions are going to remain until they win a title."

Topsy-turvy

Also stoking interest in the match is soap-opera-like drama surrounding it. Not only has the injection of Middle Eastern cash made City more competitive, but the Blues thrashed the American-owned United 6-1 during their first meeting, a result Wahl called "the most shocking result we've seen all year."

City stood atop the Premier League for months until March, when United seemed to find its form and took the lead. From there, it seemed a United repeat was inevitable, but in recent weeks, the tables have turned again. United has a win, loss and tie in its last three matches, while City has three wins.

Each team's coach has engaged in a bit of psychological banter ahead of the fixture. United's Alex Ferguson has prohibited his team from making statements about the game, calling it the most important derby since he took over the club in 1986. City's Roberto Mancini cheekily fired back that the 6-1 drubbing earlier this year was more important.

In a strange twist, he also said his team has no chance of winning the title and went so far as to congratulate United on its championship with three games remaining.

Mancini simply knows his team performed better as underdogs this season than they did when they sat atop the table, Darke said.

"He knows how big this game is. Everything he's been saying in the last few days, he's trying to take pressure off his players," he said. "It's the lousiest piece of psychological warfare ever."

United will have to go into Etihad, where City hasn't lost all season, and snatch three points to ensure their second championship in as many years. City is three points behind United, but with a win, can take the Premiership lead. They'll be tied with United in the points column but will take first place because they have scored one more goal than United and given up five fewer than the Reds this season.

Though City is the favorite in the betting houses, no one seemed comfortable offering a prediction. Darke said his thoughts on the outcome were meaningless.

"Anything could happen. I'd just urge people to watch it," he said.

@highlight

ESPN moves English club soccer game to flagship station for first time in history

@highlight

Manchester derby pits city rivals against each other for national championship

@highlight

Pubs bolster staffs, as Americans plan to skip school, work for Monday match

@highlight

ESPN announcer expecting lively crowd, "might bring a tin helmet," he jokes