The horrific bombing at the finish line of the Boston Marathon on Monday reminds us of both our physical vulnerability and the fragility of our peace of mind.  Even as we grieve for the victims and worry about friends and family in the vicinity, because these were bombings -- clearly an act of terror on someone's part -- they shake us. We are touched to the core as we have been by 9/11.

Old familiar questions that have been tamped down for years re-emerge.

How do we make ourselves safe?  Can we?  And of course, we ask: Who? Why?

For us, the first duty in the wake of the Boston attacks is to make sure that no additional related threats remain.  At the same time, we must care for those injured in the attacks and the families of those who lost their lives.  But 9/11 taught us one more thing.  We must care for ourselves, for the truth.  We must fight to retain our equilibrium and our cool.

Earlier this month at a Police Executive Research Forum in Washington, police discussed an approach that law enforcement has encouraged in recent years in the event of attacks like mass shootings: Often the right thing to do is to take action, rather than run away. This makes some sense, particularly if there is a visible perpetrator to pursue or victims to aid.

But in the moments after an attack, we need to remember, too, that reflection and careful, fact-based analysis is more important than reflexive acts that appear to respond to but only compound the terror and, ultimately, the costs of the attack.

In the hours immediately after the Boston attacks, there were the understandable, prudent reactions.  New York and Washington entered heightened states of alert.  Friends and families texted and called one another asking whether their loved ones should leave Boston.  No doubt others organizing public events in the next few weeks or months began to rethink their security precautions. President Obama's brief, measured remarks expressing sympathy for the victims, resolve to seek justice and a commitment to providing full federal support for state and local authorities was a perfect example of an appropriate response.

But elsewhere it was fevered. The Twitterverse exploded with graphic images and rumors and reactions and over-reactions.  It captured the hysteria of a crowd, the diverse mix of healthy and unhealthy reactions, almost as a photograph would: a high resolution picture of the state of mind of countless bystanders and interested parties.

Reading the tweets and the first stories, hearing of ground stoppages at airports and security moves at the White House, it was all too easy to remember the mood in the wake of 9/11, a moment in history when justified horror fed panic. But this was translated into a crackdown on civil liberties, an unnecessary war — and some very dark days for the United States.

Tragedies like these call for swift response from police and emergency workers, not to mention Homeland Security officials.  But experience tells us that the ultimate accessories to the terrorist are the innocent and well-intentioned who spread and exaggerate the terror.  Just as we should track down perpetrators, we should also remember that if we remain calm and rational, we can minimize the effectiveness of these acts and in so doing make them less attractive for terrorists to undertake.

This is how people in countries plagued with violence, like Israel, have long handled attacks.  Be resolute about security, intelligence and enforcement.  But place equal emphasis on maintaining order and ensuring the minimum possible disruption of daily life.

With more than 100 casualties reported at the time of this writing, it is easy to let anguish fuel anger and worse. Sadly, we have been here before.  It is time we used past lessons to ensure that we respond today and in the future better than we have in the past—with equal parts of both purpose and perspective, with as much focus on maintaining life as usual as in dealing with its cruel disruption.

@highlight

David Rothkopf: Boston blasts remind us of our vulnerability and fragility of state of mind

@highlight

He says first duties: Care for victims, assess threat. Then, keep cool; this a lesson of 9/11

@highlight

He says too-quick response to terror can compound its effects, encourage terrorists

@highlight

Rothkopf: We've been here before. Crucial to stay calm, rational, maintain order