(CNN) -- It wasn't until his senior year of high school in North Carolina that Monji Dolon found out about his murky immigration status.

His family had emigrated from Bangladesh in 1991 when Dolon was 5 years old and since then Dolon, his mother and his brother have lived without legal residency in the United States.

Uncertain of what to check under "residency" on his college applications, Dolon learned at the age of 18 that he was in an ongoing battle to stay in the country he had grown up in.

"I remember having a huge sense of panic at the time," say Dolon, now 25.

The Department of Homeland Security announced reforms this year that would halt the deportations of young immigrants who pose no threat to security. It said it also would review almost 300,000 cases on an individual basis -- something it had not been done before.

Individuals without a criminal record are considered low priority for forced or immediate deportation. But without permanent relief, many like Monji Dolon are still in immigration limbo.

Both Dolon and his older brother, Sahid Limon, recently received a "stay of removal." This allows them to temporarily stay in the country but without an exact timeline or a plan of action.

"Once we heard about our stay of removal, I was happy but not really excited because I'm tired and it's not a permanent solution," Dolon says.

He is facing a situation that many young immigrants confront if their parents come to the U.S. illegally. Many say they don't have a clear map to becoming legal residents in the country they've grown up in. The Migration Policy Institute, a nonprofit think tank, estimates that more than 2.1 million adolescents and young adults are in this category.

Dolon and his brother came to the United States after their mother, Tahera Islam, felt it would be unsafe for them to stay in Bangladesh. She was an active member of an opposition party in Bangladesh and received several threats from the majority party supporters.

That's when she decided to seek political asylum elsewhere.

"I wanted to go to a free country -- I was scared," she says.

Dolon says he didn't realize the seriousness of the situation until he received a rejection letter after applying at the University of North Carolina at Chapel Hill.

The letter said the university would be unable to admit him due to his immigration status. Determined to move forward, he met with university administrators, who finally agreed to admit him as an international student without any financial aid or scholarships.

Under ordinary circumstances, a student with Dolon's grades would qualify for financial aid and perhaps even scholarships. But any possibility he had for such was lost due to his residency status.

Since graduating from UNC in 2008, Dolon has been working as a freelance web designer and computer programmer. He says he's been unable to take on a fulltime job even though he's had several offers -- including one from a start-up in California's Silicon Valley -- because his immigration status wouldn't allow it.

Frustrated, Dolon wrote a letter to the office of Sen. Dick Durbin's, D-Illinois, describing his situation.

Durbin shared Dolon's story on the Senate floor earlier this year as a way to drum up support for the Dream Act -- an initiative that would legalize young immigrants who have been in the country for more than five years if they attend college or serve in the military.

Durbin alluded to Dolon's achievements and talent in the technology field saying "we could use people with Monji's talent in America."

By 2009, Dolon's family had already gone through four different lawyers to help them apply for legal status with no avail. Having spent tens of thousands of dollars in legal fees, and feeling like they had exhausted all of their resources, they made plans to leave for Bangladesh because they were constantly facing deportation notices.

As a final desperate attempt, Dolon's father, who had obtained residency years ago with a different visa than the rest of his family, decided to hire a lawyer in New York. The lawyer advised the family not to leave because it would complicate their chances of ever returning to the United States. With that, the family canceled their plane tickets -- losing half of the money -- and hired that lawyer.

Nine months later, the family received a letter from U.S. Citizenship and Immigration Services telling them that while immigration officials sympathized with their situation, they would be unable to take any legal action. In July 2011, Immigration and Customs Enforcement (ICE) officers took Sahid Limon into detention. He had no past criminal record and was eventually released a few weeks later and given the "stay of removal."

"The current immigration laws in the U.S. are one of many rules but little justice," says Marty Rosenbluth, a pro bono immigration lawyer in North Carolina who started working on Monji Dolon's case last summer.

"It's very difficult if not impossible for many people to get legal status."

Despite recent immigration reforms, Dolon and his family members live with the fear that they could be asked to leave at any time.

Dolon is currently freelancing with a start-up company in California as a web designer and programmer. He's been unable to accept an offered full-time position with the company because he hasn't been able to obtain a work visa.

As of now, Dolon's and Limon's "stay of removal" is set to expire next summer. It's uncertain whether or not they'll be able to renew it.

Though exhausted from the battle, Dolon says it would be very difficult to leave everyone he's ever known behind -- but adds that very little is in his hands.

"It's not something I can or could've fixed right now. It's something I've been trying to fight," he says.

@highlight

Monji Dolon came to the United States from Bangladesh when he was 5 years old

@highlight

As a senior in high school, he found that he was in legal limbo because of his immigration status

@highlight

Now 25, he still is in an immigration quagmire

@highlight

A think tank estimates that 2.1 million young immigrants are facing uncertain futures