(CNN) -- With its glassy touch screen, powerful graphics, crisp sound and tilt feature, the iPhone is more than a smart phone for some users -- it's a portable entertainment system.

"Trism" developer Steve Demeter demonstrates his game via webcast to CNN.com's Nicole Lapin.

It's also become a potential gold mine for entrepreneurs who create games for the device. Just ask Steve Demeter, developer of the popular puzzle game "Trism."

A former ATM software designer for a large bank, Demeter created "Trism" in his spare time and pitched it to Apple last spring. The company made the game available for download with the July launch of its App Store, an online provider of applications for its iPods and iPhones.

Priced at $5, "Trism" earned Demeter $250,000 in profits the first two months.

"It's done phenomenal business," said Demeter, 29, who lives in the California's San Francisco Bay area. "I'm very honored that so many people would enjoy my game. I get e-mails from 50-year-old ladies who say, "I don't play games, but I love Trism.' That's the coolest thing."

It can take dozens of professional developers and millions of dollars to create a video game for a traditional console such as a PlayStation or an Xbox. But the iPhone and the App Store have helped democratize game development by opening the field to any software coder with talent and a clever idea, industry observers say.

"A single one of these titles can be turned around for pennies by comparison in just weeks by a single hobbyist working in their off-hours," said Scott Steinberg, publisher of DigitalTrends.com and author of "Get Rich Playing Games." "The overhead and barriers to entry are so low that virtually anyone can afford to take a crack, if not several, at hitting a home run."

Demeter took his crack after attending an iPhone conference in the summer of 2007. He spent months afterward brainstorming, by himself and with friends, about how to create an original game for the device. Once he got the idea for "Trism" in February he spent another four months coding the game on nights and weekends.

The result is a puzzle game, like "Bejeweled," in which players manipulate a colorful grid of triangles. Players score points by lining up three or more like-colored triangles in a row, with an iPhone twist: The triangles rearrange themselves depending on which way the player rotates the phone.

"I did the game myself, basically. I had a buddy of mine who actually came up with the name 'Trism.' I paid him a couple of grand. But other than that it [was] just me," Demeter told CNN. "It's a very simple-to-learn, hard-to-master puzzle game. It wasn't as hard [to develop] as a 3-D, gun-and-battle kind of game. But for the one-man team that I was, it was definitely a challenge."

Demeter quit his bank job two months ago and has launched a company, Demiforce, to develop more electronic games. Now he has a salaried staff, five games in development and two coming out by Christmas, including a spinoff to "Trism" called "Trismology."

"Apple has made it so easy to put [game publishing] in the palms of developers," he said. "You just make it and then you submit it to Apple. If you have a relevant, fun game or application, I don't see any reason why it shouldn't be approved."

Developers earn 70 percent of App Store proceeds from the sale of their games, with Apple taking 30 percent.

The field is getting crowded, though. There now are more than 1,500 iPhone games available from the App Store, up from about 900 two months ago.

"It's a rich and promising vein that several independent game publishers have been able to successfully tap," said DigitalTrends' Steinberg in an e-mail interview. "However, success stories remain the exception, not the norm -- as with any gold rush, what we're presently seeing is a massive number of prospectors looking to stake their claim.

"Many of the overnight successes we've witnessed enjoyed the benefits of timing and visibility, advantages quickly being eroded due to market oversaturation," Steinberg added. "Let's put it this way: I wouldn't tell anyone to quit their day job just yet. As with any Cinderella story, chances of recreating this kind of success are few and far between."

@highlight

The iPhone has become a gold mine for those who create games for the device

@highlight

Steve Demeter developed the popular puzzle game "Trism" in his spare time

@highlight

"Trism" earned Demeter $250,000 in two months, inspired him to quit his bank job

@highlight

The App Store has helped open the game-development field to entrepreneurs