(CNN) -- "Hey, Joe!"

There was a time in American life that if you shouted those words on a busy street, or on a factory floor, you might see dozens of people turning expectantly toward you.

Joes were everywhere. For much of U.S. history, Joseph was one of the top 10 names that families gave to their newborn sons.

Today, Joe no longer even makes the top 20.

America is ever-changing, in any number of ways, and one of the most fascinating of them can be found in the names mothers and fathers give to their sons and daughters. The Social Security Administration, in addition to sending checks to older Americans, keeps track of the names of the youngest Americans: newborns.

The agency does this for bookkeeping purposes: the babies will someday, during their working lives, be a source of revenue for the SSA, and later (assuming Social Security survives) will be recipients of retirement income. In the meantime, by compiling the names and their ranking in popularity (the list goes back to the birth year 1880), the agency paints a perpetually in motion portrait of what we are called.

Read more: Mohammed retakes top spot in English baby names

And what we are called is no longer, in the main, what we were once called. This is probably a good thing -- it is an affirmation of the vitality of a nation moving always into the future.

Yet some of the particulars would undoubtedly startle just about every Tom, Dick and Harry.

Whose three names, as emblemized by that time-honored phrase, were, for much of the 20th century, on the tip of America's tongue. But, according to the SSA's most recent compilations, Thomas no longer makes the top 50 names for newborns. Dick (formally, Richard) has dropped out of the Hot 100. Harry comes in all the way down at No. 709.

The evolution in names has been building in strength for quite a while; it kicked into high gear in the 1970s, '80s and '90s when, according to SSA records, Tylers and Brandons, Brittanys and Kaylas, Ryans and Megans and Heathers and Jasons began to join and supplant the names that had for generations dominated the all-but-static lists.

And by now the iconic names of the seemingly not-so-distant past appear destined to be iconic no more. John? John of Johnny Carson, John of John Wayne, John of Johnny Unitas? John of Johnny Depp (who was born in 1963, when John was the No. 2-most popular name)? John has fallen out of the top 25. Maybe Johnny Football will help him come back.

Goodnight, David, goodnight, Chet? David, once a No. 1 champion, misses the top 15; Chester is not listed in the top 1,000.

Bob (formally, Robert) was a longtime (1924 to 1939) No. 1, but today he fails to crack the top 50. In the words of a great mid-'60s song by the Everly Brothers, he's "Gone, Gone, Gone."

Read more: Does your name shape your destiny?

(As are the first names of Don and Phil Everly themselves, as far as current popularity goes. Donald comes in at No. 376; Philip -- or Phillip, with the extra "l" -- is at No. 406 and/or 378.)

So if those once-standard names have vanished from the top 10, who, according to the SSA, are some of the guys who have replaced them in today's top 10?

Say hello to Mason.

Meet Ethan.

Hi there, Jayden.

Nice to make your acquaintance, Aiden.

And the change is even more dramatic for girls. Mary, the most popular female name ever, including an uninterrupted 66-year streak at No. 1, from 1880 through 1946? Mary has dropped down to No. 112.

The pattern holds for many of the other female names that were, in the middle of the 20th century, utterly commonplace. Nancy is at No. 541 today. Deborah is at No. 808. Patricia is at No. 667. Barbara is at No. 764. Sandy (as in Sandra) is at No. 614. Carol? No. 972.

And then there's Donna. In the late 1950s she was No. 5, as America danced to "I had a girl, Donna was her name" and watched "The Donna Reed Show" on television.

Today Donna has fallen all the way out of the top 1,000.

To be replaced in the current top 10 by, among others, Olivia, Ava, Abigail, Madison, Mia and Chloe.

Read more: Parents name child after Facebook 'Like' button

What accounts for the changes in names and tastes? There are probably as many individual reasons as there are names themselves -- everything from shifts in ethnic patterns, to actors, actresses, athletes and singers who inspire new parents mulling over names, to people simply becoming tired of the sound of the old litany of names.

Giving a child a name is perhaps the most personal decision a mother and father ever make. It is an act of absolute freedom. The government can't tell you what to name your child, your employers or extended family can't force your hand -- coming up with a name is a parent's first and biggest choice.

One to be celebrated -- as is the country's constant impulse to evolve and start anew. There's no logical reason to long for the days of John and Mary, of Nancy and Joe. That train has left the station.

Guided by its pair of trusty engineers, Jacob and Sophia.

Currently the No. 1 names for the youngest members of the American family.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: The Social Security Administration keeps track of evolving baby naming trends

@highlight

He says for decades, "standard" American names held sway--your Tom, Dick, Nancy. Not now

@highlight

Even names like Joe have moved way down the list. Starting In the '70s, names transformed

@highlight

Greene: Ethnic, cultural shifts probably reason. Now: Joe? Say hi to Jayden. Mary? Meet Sophia