(CNN) -- Rebels and regime fighters girded for a decisive battle in Aleppo as world powers issued dire warnings of a government onslaught in the sprawling and densely populated Syrian city.

Fighting flared in parts of the metropolis Friday. But Malik Kurdi, deputy commander of the rebel Free Syrian Army, said both sides are preparing for a bigger confrontation the regime is calling "the mother of all battles."

Rebel battalions trekked into Aleppo from the countryside and the regime is taking forces from other regions into the city. The huge urban center resembles a "ghost town" in many areas, with only fighters are on the streets, Kurdi said.

Faces of the Free Syrian Army

"People are fleeing the city towards the countryside. I think they are sensing that a huge battle is about to take place, a decisive one," Kurdi said.

The confrontation could signal the fate of the President Bashar al-Assad and his government, which has been engulfed in an uprising that started peacefully in March 2011 but has transformed into an armed rebellion.

Activists said early Saturday that regime forces are preventing fuel and food from entering neighborhoods controlled by rebel fighters. Amateur videos showed long lines at bakeries and grocery stores, as people tried to get their hands on whatever was available.

"They are besieging our area," Abu Omar, a resident of the Salaheddin neighorhood, said. "There is no electricity in some parts, and food is scarce."

Aleppo, in northern Syrian near Turkey, is the country's commercial capital and a World Heritage site. The CIA World Factbook says it is the nation's most populous city.

Andrew Tabler, a Syria expert at the Washington Institute for Near East Policy, said that if the government's military effort fails in Aleppo, "it will cost the regime dearly and begin a process of contraction of regime control over Syria."

"If the regime is able to beat the rebels back, this conflict will go on far longer," he said.

Maj. Gen. Robert Mood, the former head of the U.N. observer mission in Syria, told CNN "it's only a matter of time before this regime will fall" and "time is on the side of the rebels."

Syrian rebels appear more capable, yet still outgunned

"It can take a lot of time or it can go quickly, it's impossible to say. ... It is a cycle of violence. Sooner or later we will reach a climax with the fall of the regime," he told CNN.

Violence hit parts of the city on Friday. The opposition Local Coordination Committees of Syria reported a "horrific massacre" in the city's Fardos district, where regime forces indiscriminately shelled homes.

The international activist group Avaaz, saying it has spoken to witnesses, also reported violence in Fardos.

The witnesses reported casualties in a "blistering" regime "dawn attack" in the district, in central Aleppo.

Regime forces in the Khaldieh district fired at protesters coming out of the Al-Ghafran mosque and shelled the Salaheddin district with missiles, automatic weapons and attack helicopters, the LCC said.

Syrian state TV said that "special security authorities" destroyed five pickup vehicles equipped with machine guns used by "terrorists" in the Aleppo countryside. The report said people in the vehicles were killed and injured.

Kurdi said rebels have had skirmishes with regime forces and destroyed several vehicles.

At least 15 of the 100 people slain in Syria on Friday were from Aleppo province, the LCC said, and the count is expected to rise. The day before, 48 of the 200 people killed in Syria violence were also from the Aleppo region, the first time since the uprising started that the region led in the number of deaths in a single day.

As the violence unfolded, throngs of protesters marched down Aleppo streets Friday, chanting and carrying signs, saying, "we stand for all the Syrian devastated cities" and "we are all Syrians."

The world community urged al-Assad's regime to stop its assault.

Opinion: After the fall of the House of Assad, could Syria be worse?

"I urge the Syrian government to halt their offensive," U.N. Secretary-General Ban Ki-moon said on Friday in London. "The violence from both sides must stop for the sake of the suffering civilians of Syria."

British Foreign Secretary William Hague said the "utterly unacceptable escalation of the conflict could lead to a devastating loss of civilian life and a humanitarian disaster."

Turkish Foreign Minister Ahmet Davutoglu called the developments in Aleppo "really worrisome," saying the use of heavy weapons and air forces on such a civilian hub would constitute "an international crime, clearly."

"Such an attack would both start a massive migration and also such destruction of a commercial center like Aleppo would mean cutting the lifeline of Syria," he said. "For a regime to destroy its own country in such a rough way is really turning into a crime of humanity."

Battles for key cities of Aleppo, Damascus heat up in Syrian civil war

Iran, meanwhile, signaled its support for al-Assad's government. Its energy minister, Majid Namjou, vowed his government "will not leave Syria alone in such a difficult situation," according to a story by state-run Press TV.

The report said the two nations signed a deal Thursday to expand sharing of electricity and water, with Namjou saying Iranian firms are ready to rebuild damaged power plant facilities. Iran plans to export at least 250 million watts of electricity, and Iranian companies "to produce and supply industrial equipment needed in the Arab country," according to the energy minister.

U.S. officials, meanwhile, have increased contacts with the Syrian opposition in recent weeks, a senior U.S. official said Friday.

"The U.S. and others are playing more of an advisory role to the opposition now," the official said.

Yet U.S. Joint Chiefs Chairman Gen. Martin Dempsey said Friday he's not aware of any discussions about giving the opposition any "lethal support."

The rebels are composed largely of soldiers who have defected from the Syrian military. But many civilians -- including students, shopkeepers, real-estate agents and members of the president's ruling Baath party -- also are trying to end four decades of Assad family rule.

They are gearing up for a fight.

Rebel commander Mustafa Abdullah, told CNN that rebels have set up medical clinics in Aleppo homes and have plans to transport and evacuate anyone who is wounded.

"They (government forces) want to surround Aleppo completely and send support from all sides, then start shelling rebel-controlled areas and hospitals," Abdullah said.

Abdullah, the rebel commander in Aleppo, recalled the merciless government bombardment of the city of Homs this year as he geared up for battle. Asked if these fighters had enough ammunition to withstand a government siege, Abdullah said simply "no." He then added, "It will be just like Homs" and wept at the thought.

The Aleppo fighting has hit home politically.

A Syrian parliamentarian from Aleppo has defected to Turkey, according to the opposition Syrian National Council. Ikhlas Badawi is the first member of the assembly elected in May to defect and the latest in a series of high-profile officials to cut ties with the regime. This follows defections by high-level Syrian diplomats to the United Arab Emirates, Cyprus and Iraq.

"I call on all of my colleagues to join this revolution and defend their rights to stand up for the free across all of our society's sects," he told reporters Friday in Antakya, Turkey. "I also call on members of the Syrian army to honor their word and defend our country, not just one ruling family."

More from CNN inside Syria

As fighting raged in recent days, aid agencies scaled back their efforts in Aleppo.

A spokeswoman for the International Committee of the Red Cross -- which said it is temporarily moving some aid workers out of Syria to Beirut for security reasons -- said the organization doesn't have a presence in Aleppo at the moment. In addition, the Syrian Arab Red Crescent has had to suspend some of its activities.

"The situation there is extremely volatile," the ICRC said. "Several schools in Aleppo have been opened to host displaced families, and the local SARC volunteers have provided some relief items (mattresses, hygiene products and food). However, humanitarian needs are on the rise."

Outside Aleppo, battles between regime forces and rebels raged. Heavy shelling rocked other cities, including Damascus, Daraa, Idlib and Homs, the Local Coordination Committees of Syria said. Thirty people died in Daraa province, 23 in Damascus and its suburbs, 11 in Deir Ezzor province and 10 in Homs province, the LCC said.

The Syrian Observatory for Human Rights, another pro-opposition group, said early Saturday that rebel forces controlled the biggest and most important checkpoint in the northern city of Maaret Nouman, in Idlib province.

Syrian rebels, regime forces clash in Aleppo

Syria: As al-Assad's grip loosens, what could come next?

Opinion: Syria's chemical weapons threat demands a response

CNN's Amir Ahmed, Barbara Starr, Saad Abedine, Ivan Watson, Faith Karimi, Samira Said, Hamdi Alkhshali, Yesim Comert and Joe Sterling and Journalist Shiyar Sayed Mohamad contributed to this report.

@highlight

NEW: Activists say Syrian forces are cutting off food and fuel to parts of Aleppo

@highlight

NEW: A defecting legislator urges Syria's army to protect citizens, not the ruling family

@highlight

The U.S. has increased contacts with the opposition, a senior U.S. official says

@highlight

Maj. Gen. Mood from the U.N. says "time is on the side of the rebels"