(CNN) -- The bombings at the Boston Marathon have brought attention to "pressure cooker bombs."

Improvised explosive devices can be constructed using everyday items, and those made with pressure cookers have been around for 40 years. The U.S. Department of Homeland Security has issued repeated warnings against IEDs made with pressure cookers.

IEDs have been used in numerous attacks in the United States, most notably the April 1995 Oklahoma City bombing; the May 2010 attack in Times Square; and failed attempts by the Underwear Bomber and the Shoe Bomber. Some experts view the aircraft used to strike the Twin Towers and the Pentagon on 9/11 as the largest IEDs ever created.

Abroad, Anders Behring Breivik, the perpetrator of the July 2011 attack in Oslo, Norway, described the IED he detonated -- before killing 77 people at a youth camp -- as a "marketing tool" for his extremist views.

IEDs are a global threat and have become an effective weapon for those who advance their cause through terror and violence. For the past several years, excluding Iraq and Afghanistan, there are on average, three IED incidents each day. The Department of Defense's Joint IED Defeat Organization has an even higher estimate of 500 IED incidents per month, again excluding Afghanistan and Iraq .

Historically, IEDs have been used in a variety of situations, including conflict and post-conflict environments (Iraq, Afghanistan, Sudan, Somalia, Israel, Lebanon and Gaza and the West Bank); illegal drug operations (Mexico, Colombia and Peru); insurgencies (Chechnya, Russia, Nigeria and Northern Ireland); election-related violence (Kenya, Nigeria and Ivory Coast); religious crises (India, Pakistan and Nigeria); ethnic conflicts (Nigeria, Rwanda, Democratic Republic of the Congo and Serbia); and other notable acts of terror (France, Norway, Russia, United Kingdom and United States).

The Boston Marathon attack exemplifies what some parts of the world experience on a regular basis. According to our estimates, in the 10 days before the Boston Marathon, IEDs took the lives of more than 100 people in seven countries. And in the past 60 days, 64 people were killed in a Pakistani incident in February and 44 people were killed in a Nigerian incident in March.

The Boston attack also cast a spotlight on the severity of injuries that result from IED use. Thousands of U.S. service members, veterans and civilians around the world endure the consequences of these horrific injuries.

IEDs cause the top four injuries to veterans, including hearing loss, traumatic brain injury and post-traumatic stress. According to the Blinded Veterans Association, approximately 34% of those injured by IED blasts suffer dual sensory loss of vision and hearing in addition to the well-documented physical wounds such as loss of limbs and other permanent physical disabilities.

Treating these injuries is a challenge because the U.S. Department of Defense inadequately shares blast trauma research with the Veterans Administration and other organizations.

To date, the domestic and international threat of IEDS has been ignored. No nation has formally condemned the use of IEDs. While the United Nations annually issues a resolution condemning landmines, it has never issued a resolution condemning IEDs.

Members of the U.S. Congress have recently raised the alarm on this threat.

In May 2012, a bipartisan group of 92 members of the House of Representatives sent a letter to President Barack Obama calling for a unified U.S. strategy and international action against IEDs. So far, no adequate response from the administration has been received.

To fill this vacuum of inaction, I founded the Global Campaign Against IEDs in an effort to push for the reduction of IED use and the trafficking of IED precursor materials. Through a coalition of public, private and military efforts, we can reduce IED networks and prevent IED networks from forming.

A purely military approach has failed to stop IEDs in Afghanistan and Iraq. The solution to this dilemma, proposed by the Global Campaign against IEDs, will be comprehensive, involving public, private and military partners.

Finally, the broader global community must come together and take meaningful action against IEDs and those who use them.

The opinions expressed in this commentary are solely those of Bob Morris.

@highlight

Bob Morris: Pressure cooker bombs, like the one used in Boston marathon, are not new

@highlight

Morris: IEDs are effective for those who want to inflict terror and violence on people

@highlight

He says to date, the domestic and international threat of IEDS has been ignored

@highlight

Morris: The U.S. and the global community must take meaningful action against IEDs