The Pacific Island nation of Kiribati may be the first country to disappear under the rising sea levels of climate change. Its people fear their homeland may become the world's next Atlantis.

As our boat nears the shore, the dark shadows beneath the sea sharpen into focus. Chiseled coral stones, organized neatly into rows, glisten from the reef of this shallow cove.

We are drifting over the foundations of the surrendered neighborhoods of Tebunginako. The village was once home to more than 200 households, but today, it lies beneath several meters of turquoise water.

"We used to swim out there to see the ships when we were boys. They'd tie them up to the coconut trees just over here," explains the Mayor, pointing enthusiastically as we coast over the remains of his town. Locals say Tebunginako was once the island's main harbor -- before the rising sea swallowed its coast.

Now stumps of dead coconut trees line the lagoon, their tips peaking out from the water like little grave stones of a civilization lost.

The extreme coastal erosion of Tebunginako is becoming increasingly common in Kiribati, a South Pacific nation of 33 islands strung along the equator.

The Intergovernmental Panel on Climate Change has identified Kiribati as one of the six Pacific Island countries most threatened by rising sea-levels. The report claims that, due to coastal erosion and freshwater contamination, Kiribati could become uninhabitable as early as 2050.

"Right now we're experiencing total inundation of areas that previously were not vulnerable to normal tides," says Andrew Teem, Kiribati's Senior Adviser on Climate Change. "We're getting something called King Tides -- extremely high tides. These were non-existent when I was a boy."

A large number of Kiribati's citizens are already internally displaced from climate-related disasters, and many have fled to the capitol island, South Tarawa.

Today, half of Kiribati's population crowds onto South Tarawa's tiny crescent of land, making it one of the most densely populated areas on earth, mirroring the population density of Tokyo or London. Unless birthrates or internal displacement are curbed, the population of South Tarawa is expected to double by 2030.

"Like any developing island state, our population is quite young and developing at a very high rate, which already strains our fresh water supply," Teem explains. "Climate change and the rising sea exacerbate a problem we already have with regards to our water resources."

This week, representatives from 190 countries will gather in Lima, Peru for the twentieth session of the U.N. Climate Change Conference. The Lima conference will lay the groundwork for a climate treaty at the end of 2015, for implementation by 2020.

But for low-lying island nations like Kiribati, these commitments may not materialize soon enough. For communities like Tebunginako, these treaties are already long overdue.

"Climate change has major implications for our people today, not in the future like some other countries," explains Teem.

Kiribati's government has pursued various adaptation initiatives over the last decade. These efforts range from employment-related migration programs with Australia and New Zealand to the exploration of man-made floating islands. This year, Kiribati finalized a purchase of a plot of land in Fiji that it hopes to use in the future.

But the people of Kiribati are unwilling to abandon their homes without a fight.

In addition to their local efforts, they are challenging the root of the problem, global carbon-emissions, at the international level. The government of Kiribati, along with a coalition of other small island states, has been lobbying for binding carbon-emissions treaties. They have also supported the concept of "climate change reparations," or compensation to non-industrialized developing countries for the climate-related damages caused by the industrialized powers.

In the past month, breakthroughs were made on both fronts. The United States and China -- the world's largest emitters of carbon -- announced plans to cut emissions over the next two decades. At the recent G20 conference, several nations joined President Obama in committing billions of dollars to the United Nation's Green Climate Fund, which will support developing nations in combating the effects of climate change.

While the government of Kiribati welcomed this news, the measures are only a first step towards addressing their national needs. Environmental groups have criticized the developments, calling the measures "a drop in the ocean."

"Climate change is something we were not responsible for. If we were responsible for this fate, that would be a different story all together," responds Teem, on the issues of climate change reparations and carbon emission cuts.

"We are very simple people with very simple needs, but we do not want to be faced with something that is not entirely of our own doing."

As the sun sets in Tebunginako, the Mayor guides us to the shore of the town's two remaining structures, a Church and a traditional community center, known as a maneaba. The tall structures jet out defiantly from the middle of the lagoon, fortified only by leaking sandbags and battered seawalls.

"We struggle to maintain them as a remembrance of Tebunginako," explains the Mayor. "These places are important to our people because of their religion and because it was the last place they were all together."

When asked about his people's future, he clings to their past.

"We are very scared, and we need help," he shrugs. "We believe in our government and their strong voice to the world, but we are still waiting for the world to reply."

"We used to swim out there as children," he repeats quietly, his gaze shifting blankly to the ocean. "And tie the boats to the coconut trees..."

@highlight

The Pacific Island nation of Kiribati was once home to more than 200 households

@highlight

Today, it lies beneath several meters of turquoise water

@highlight

The Intergovernmental Panel on Climate Change says it is most threatened by rising sea-levels

@highlight

The report claims that the island could become uninhabitable as early as 2050