Hong Kong (CNN) -- As Chinese Communist Party chief Xi Jinping formally succeeds Hu Jintao as state president at the 12th National People's Congress (NPC) in Beijing, it completes what has been a seemingly smooth transition of power in the world's most populous nation.

But who is he?

As with all Chinese leaders, details of the Xi's life are tightly controlled, creating a gap that biographies -- some written under pseudonyms, given the political sensitivities -- have sought to fill. China watchers meanwhile try to discern how he would lead.

"Chinese leaders don't rise to the top telegraphing what changes they'll do," said Bruce J. Dickson, a political science professor at George Washington University's Elliott School of International Affairs. "They rise to the top showing how loyal they are to the incumbent. What they'll do when they rise to the top -- that's the big question."

Xi was born in 1953, four years after the Chinese Communist Party defeated the ruling Nationalists and established the People's Republic of China. He is the son of the second marriage of Xi Zhongxun, a revolutionary hero whom then-paramount leader Mao Zedong would appoint minister of propaganda and education.

Xi Zhongxun would later become vice premier under Zhou Enlai and secretary general of the State Council, China's highest administrative body, before being purged in 1962.

Until then, Xi Jinping had grown up a "princeling" with other children of China's first generation of leaders in the enclave of power in Beijing known as Zhongnanhai. One childhood peer was Bo Xilai, son of Bo Yibo, the first finance minister who was also purged during the Cultural Revolution.

Life was comfortable and far removed from the mass starvation during Mao's disastrous "Great Leap Forward" campaign (1958-1962), which was designed to transform the nation into an industrial society.

However, a few years later, Xi -- his father by then deposed -- would be among 30 million "sent-down youth," forced to leave cities for the countryside and mountains under another of Mao's policies. From 1969-1975, or most of the Cultural Revolution, Xi was an agricultural laborer in Liangjiahe, Shaanxi, his ancestral province.

"That generation went through a lot of difficulties," said Cheng Li, director of research at the John L. Thornton Center at the Brookings Institution. "Idealism and pragmatism in a very unique way combined in this generation."

The experience had a positive influence on Xi's view of China and the world, according to Guo Yanjun, chairman of CNHK Media, the publisher of "China's Future: A Biography of Xi Jinping." "Even after he became a leader, he helped farmers," Guo said. His favorite story was of the Tsinghua University-bound Xi in 1975 being accompanied by villagers who walked 60 li (30 km) to send him off at a train station.

When Mao died in 1976, Xi's father was subsequently rehabilitated and became party secretary of Guangdong, where he oversaw China's first special economic zones near Hong Kong -- reforms that would define then paramount leader Deng Xiaoping's economic legacy.

The elder Xi's connections proved critical. After graduating from Tsinghua with a chemical engineering degree in 1979, Xi Jinping became the personal secretary to his father's former comrade-in-arms, Geng Biao, and became an active military service member. As vice premier, a member of the Communist Party's Politburo Standing Committee and secretary general of the Central Military Commission, Geng "dominated the Party, government and the army," according to "China's Future," affording Xi a rare vantage point.

Such military ties -- familial and professional -- give him what neither Hu nor his predecessor Jiang Zemin had, said Chi Wang, president of the U.S.-China Policy Foundation.

"The military takes him as one of the family members."

It was around this period that Xi was married to his first wife, Ke Lingling, the daughter of Ke Hua, China's ambassador to Great Britain and a former underling of Xi Zhongxun, according to "China's Future."

Not much is known about the marriage except that it ended in divorce within a few years. In 1987, Xi would marry his current wife, Peng Liyuan, a popular folk singer for the People's Liberation Army.

Read how Xi is considered a "mystery"

In 1982, when his father entered the ruling Politburo and the Secretariat, Xi became county deputy secretary in Zhengding, Hebei province, his first experience in rural politics.

In this role, he took his first trip to the United States -- as part of an agricultural delegation in 1985 to Hebei's "sister state" of Iowa -- and brought back knowledge of farming technology as well as tourism.

This trip had a great impact on Xi, who stayed with a family in Muscatine, said Pin Ho, chairman of Mirror Books, which recently published a separate "Biography of Xi Jinping."

"Vocally, he's a nationalist. Psychologically, he greatly hopes to keep good relations with the West, especially the U.S.," Ho said, noting that Xi's daughter, Xi Mingze, studies there -- at Harvard -- under a pseudonym.

In a major policy speech in Washington in February 2012, Xi called for increasing strategic trust and reducing suspicions while respecting each other's core interests, such as the "One China policy" that opposes Taiwan and Tibetan independence.

In an indirect reference to the Obama administration's "rebalancing" strategy toward Asia, Xi said, "We hope the United States will respect the interests and concerns of China and other countries in the region."

Nonetheless, Xi got high marks for his desire to engage with the United States, and his trip included meetings with President Barack Obama, Vice President Joe Biden, then-Secretary of State Hillary Clinton and then-Defense Secretary Leon Panetta. Also not overlooked was the fact Xi chose to make a nostalgic stop in Iowa, in addition to Los Angeles, during his five-day U.S. tour.

"From my conversations with people in the United States, the reigning understanding is, 'This is a guy we can work with,'" said David Lampton, director of the China Studies Program at Johns Hopkins School of Advanced International Studies.

Wang of the U.S.-China Policy Foundation echoed the sentiments, calling Xi "relaxed, very at ease to talk with people" and a departure from Communist leaders who tend to be "very cautious" when talking.

Read about how U.S., China are worlds apart but joined

Meanwhile, "Xi's leadership experience [after Zhengding] in running Fujian, Zhejiang, and Shanghai, three economically-advanced regions, has prepared him well for pursuing policies to promote the development of the private sector, foreign investment and trade, and the liberalization of China's financial system," wrote Cheng Li of Brookings for the Washington Quarterly in its winter 2012 edition.

The run-up to Xi's ascension as China's next leader has nonetheless been bumpy.

In September, his nearly two-week "disappearance" -- and canceled meetings with Clinton and other foreign officials -- fueled speculation over his health and factional infighting.

In an interview with CNN's Christiane Amanpour, former Hong Kong Chief Executive Tung Chee-hwa said Xi had suffered a back injury while swimming.

Even so, the Chinese media's "default mode" of not speaking about its leaders, coupled with the lack of a constitutional basis for the regime's transfer of power, left people wondering, "What's the Plan B if something were to happen?" Lampton said.

Also of note were two reports released by Xinhua on September 28 within three minutes of each other: the Congress' November 8 opening date -- after much speculation it would fall in October -- and the expulsion of Bo Xilai from the Communist Party. Bo now faces criminal prosecution in the wake of a scandal that saw his wife convicted of murder.

The clean reputation of Xi -- who had become Shanghai's leader after his predecessor, Chen Liangyu, was dismissed over a social security fund scandal -- took a hit last June when Bloomberg reported on the wealth of his extended family.

Although no assets were traced to Xi, his wife or daughter, Bloomberg found that his extended family had business interests in minerals, real estate and mobile-phone equipment, with assets in the hundreds of millions.

In October the New York Times gave a similar treatment to Premier Wen Jiabao, reporting on the staggering wealth of his relatives -- a review that found assets of at least $2.7 billion.

Xi and the new leaders will have to demonstrate to the public how serious they are in fighting widespread corruption, Lampton said, or face "huge problems."

@highlight

As with all Chinese leaders, government tightly controls details of Xi's life

@highlight

Xi is the son of a revolutionary hero, grew up a "princeling"

@highlight

Xi has military ties that predecessors Hu, Jiang don't, one observer notes

@highlight

Xi received high marks during Washington trip for desire to engage United States