Jizan, Saudi Arabia (CNN)Driving out of the sleepy Saudi seaside town of Jizan at dawn, I had no idea what to expect.

I'd been asking the Saudi Interior Ministry to take me there for several years. Now I was in the desert kingdom covering King Salman bin Abdulaziz's ascent to the throne, and that permission had finally come through.

In the past few weeks, Houthi rebels have taken control of Yemen's capital, pushing the country ever closer to "failed state" status and giving the al Qaeda franchise there -- al Qaeda in the Arabian Peninsula, or AQAP -- a greater foothold.

The Saudi minister of interior, now second-in-line to the throne, has a personal stake in seeing AQAP eradicated. The terror group's top bomb-maker put a sophisticated bomb in his own brother's rectum, exploding it when the brother met the leading royal a few years ago. The brother died, the minister was only lightly injured.

This is the same bomb-maker who made the underpants bomb that came close to bringing down an airliner over Detroit on Christmas Day 2009. Despite extensive drone campaigns targeting him, he is believed to still be alive and remains a significant global threat.

There is no doubt in anyone's mind here that al Qaeda in Yemen will use any chance it gets to export terror over the border to their northern neighbor, with the royal family being the targets of choice.

Col. Omar al Kahtani, our escort for the day, was in a voluble mood as we sped toward the looming mountains that mark the border. "Anything could happen," he told us. "Be ready with your camera." Gun battles are rare on this border, he said, but only three weeks earlier, on Saudi's northern frontier,  ISIS fighters broke through the defenses, killing three Saudi soldiers, including their commander.

The gun battle, footage of which was posted on the Internet, was a salutary reminder that the desert kingdom, the West's biggest regional partner in fighting the terror groups, is surrounded by battle-hardened enemies.

This corner of the country is remarkably green. Relatively lush vegetation -- in Saudi terms, at least --  sprouts in profusion from the semi-arid fields.

As our four-wheel-drive truck swung through the rickety metal gate, marking the edge of the border exclusion zone, we got our first taste of what has mostly been a hidden war down here.

A sprawling Saudi village of large ornate villas came into view. Pretty, until we got close, when we realized the buildings were all shot up. Rockets had torn gaping holes in the walls and gardens were overgrown with spindly tentacles of creepers that slowly consumed the once-vibrant homes.

Our host explained this was a village overrun by Houthi rebels from Yemen six years ago. In a three-week battle, Saudi Apache gunships had nearly destroyed the hamlet in the battle to save it. The government moved the residents away, creating a buffer between them and their fractious neighbor.

As we drive on, he tells us Yemen's security is worsening and Saudi Arabia is spending almost $3 billion on beefing up border security. Our trucks are bumping and slipping their way up the newly cut rough rock tracks. At moments, it feels as if we are almost climbing vertically.

These mountains are as rugged and rough as they are beautiful. Villages cling precariously to their higher reaches. No fence reaches up this far, the tiny smattering of guards solidifies the impression that at these altitudes, border control works on an honor system.

No line on a map will stop these mountain men from rounding up their stray goats. Even from the roadside I can see tiny footpaths crisscrossing the steep terrain from Yemen to Saudi and back.

In the foothills, control is much more effective. Watch towers are equipped with thermal imaging equipment, super zoom cameras watching over mile upon mile, and layer upon layer of razor wire. It needs to be like this.

What we saw was staggering. I had no idea so many people and such a massive amount of drugs are moving over the border every day.

At our first stop, we saw two men captured that day. We saw another one caught soon after. Then a whole vanload, about a dozen people crowded inside a mesh cage welded to a pickup truck. One of them was just 11 years old.

They all told us they had come to Saudi for work. The 11-year-old was earning about $100 a month on a supermarket till in Jizan. All told the same story: about poverty and increasing chaos in Yemen and the Houthis getting stronger. The risk of jail in Saudi, they said, was better than the certainty of poverty in Yemen.

Our government escort told us they'd all be sent to the nearest large police station where they would be fingerprinted and officials would check their records to make sure none had ties to terrorism.

The men -- and they were all men -- admitted that sneaking over the border is getting much harder amid the increase in guard posts and border fences.

Border guards told us in the past three months alone, they have picked up 42,000 people along the 800-kilometer (about 500 miles) border.

Of course we are unable to verify that figure, but if the volume of illegal migrants we saw in the morning was shocking, then the afternoon was mind-blowing.

We were taken to a room where three children were standing with bundles of qat, the narcotic shrub that most Yemenis chew every day, at their feet.

The youngest, a 10-year-old, told me drug barons pay him $50 for hauling 10-kilos (about 22 lbs) of the green leaves over the border. It's the second time he has been caught.

I was told that the boy, who had been given a banana and a bottle of water by the guards, would be taken back to the border and told to return home. All three looked small for their age. No one, particularly them, doubted they would be back.

Unemployment among younger people is running at 40% in Yemen, likely higher in their villages. Putting food on the table at the end of the day is as far ahead as they think.

Between them, they had been caught with about 30 kilos of the narcotic. Piled up outside the guard post were several tons more -- the haul of the past week, or so we were told. I'd seen similar piles outside many of the other posts we'd already visited.

According to statistics given to us at the Jizan headquarters of the border guards, qat is a multi-million-dollar business. In the last three months, they say, they have seized more than 500,000 tons along the border, with a street value close to $100 million.

They also showed us 50 kg of cannabis resin they had confiscated that day. Over the past three months, more than 6,000 kg of hashish -- with a street value in Saudi of about $36 million -- had been seized, we were told.

Guns and ammunition are also smuggled in: 2,562 weapons have been seized in the past three months, as well as 380,088 rounds of ammunition, the border guards said. And the list goes on.

And so did our day and the near-continual stream of infiltrators. The problem for the Saudis is that they cannot ignore this deluge. Any one of the thousands they stop could be a terrorist.

Said Kouachi, one of the Charlie Hebdo attackers in Paris, is believed to have slipped in to Yemen not far from Saudi's border, making his way there for terror training from Oman. The attack he and his brother carried out also shows the lengths that AQAP is willing to go to in order to export terror.

Hajj pilgrimages to Islam's two holiest sites, Mecca and Medina, draw millions of Muslims to the kingdom. Knowing who comes and who goes is vital.

As the sun began to set, we jumped in police gun trucks as another group of men were spotted near the razor wire border fence. Tearing over the bumpy ground, we raced to intercept them. Surprisingly, they didn't run. They know they'll be freed soon, and from what we saw none of the six were beaten or abused.

Within minutes, as we were driving away, the sun sinking over the horizon and our day done, we thought we passed another eight men being caught. We stopped as police emptied the men's pockets. Cheap cellphones, not much else. They were illegal workers on their way back to homes in Yemen after weeks of work in Saudi, their wages already sent over the border by local money exchangers.

It was already darkening as we pulled away, once again trying to set off back to Jizan. And yet again,  we stopped as we saw a group of guards searching two small figures. More child qat smugglers, rope and sack bags on their backs bulging with the big wraps that protect the delicate green leaves. Each boy carrying bundles with the drug baron's name on them.

Later, when we finally did get back to Jizan, we ate dinner sitting on rugs next to the Red Sea: fish, meat, salads, bread and Saudi "champagne," non-alcoholic fizzy grape juice.

This is a land of plenty, Yemen is not. Stanching the human tide flowing over the border is only going to get more difficult, and finding the terrorist hiding in so much human misery even harder.

Victoria Eastwood and Brad Olson contributed to this report.

@highlight

In the past few weeks, Houthi rebels have taken control of Yemen's capital

@highlight

The move pushes country closer to failed state status, giving al Qaeda greater foothold

@highlight

Nic Robertson joins Saudi border police trying to staunch the human tide