(CNN) -- People up and down the Mississippi River could feel the effects from this week's epic flooding long after the water recedes.

Farmers may face a major disruption to their livelihood in places where the U.S. Army Corps of Engineers opens spillways to drain water from the swollen river onto adjacent land.

"If you have a pasture where you grow soybeans and it gets flooded by 25 feet of floodwaters and you end up with 3 feet of oozing mud on top of your pasture, it's going to be a long time before you can plow -- certainly one year," said Sam Bentley, a professor of sedimentary geology at Louisiana State University in Baton Rouge. "It might be arable next year, but it would probably be quite difficult to work."

There's also a chance that floodwaters could spill into wetlands and damage oyster beds near where the Mississippi River meets the Gulf of Mexico.

"They don't like to be buried in mud," said Ivor van Heerden of the oysters.  Van Heerden is former deputy director of the Louisiana State University Hurricane Center and now a private consultant.

How bad will it be in Louisiana, where the swollen Mississippi is headed?

Experts held out hope that the floodwaters forecast for much of the Lower Mississippi River will exact a minimum toll in lives lost. Yet they appeared resigned to the likelihood of steep property losses.

If a system of levees holds, then floodwater will be discharged only where the Corps of Engineers plans to discharge water, Bentley said.

"There will be property lost, hopefully no lives, but according to a plan executed by the Corps of Engineers as opposed to a rapidly unfolding catastrophe," he said.

A failure in the system of levees would change the landscape considerably, he said, though he does not expect that.

"I wouldn't say that this is going to be a disaster, but the modern Mississippi levee system has never been tested under flood conditions like this," he said. "It's probably going to exceed water levels not seen since the Great Flood of 1927 -- historically the largest ever measured."

That flood led Congress in 1928 to authorize the Army Corps of Engineers to build the system of levees and other controls now under stress.

Farmers in parts of Louisiana could face a long recovery, particularly if authorities open the Morganza Spillway near Baton Rogue to lower water levels on the Mississippi River.

Roy Dakka, a professor of civil and environmental engineering and director of the Center for Geoinformatics at Louisiana State University, predicted it will take weeks to months for the farmland to dry.

"Any existing crops are going to be toast," he said, citing the fields of corn, sugar cane and soybeans that will be covered with sediment. "Plus, God knows what's in the water and what gets deposited."

If the floodwaters remain on the ground for 30 days or so, "then we probably would not be able to get a crop in this year," said Roger Carter, president of Agricultural Management Services, an agricultural consultant firm in Clayton, Louisiana. "Most of our crops are already planted in the floodplains. They would be destroyed."

He said he was comfortable that the levee would hold, but added that, if it breaks, "that would be a catastrophe ... it could be years before we could replace that infrastructure."

Any farmers who wind up losing a year's worth of crops will likely be forced out of the business, since insurance would not cover their losses adequately, he said.

In all, Bentley predicted, the floods will affect three major areas in the Lower Mississippi Delta, which begins around Baton Rouge and ends in the Gulf of Mexico.

Some 80 miles north of Baton Rouge, the Atchafalaya River diverges from the Mississippi and flows down to the Gulf. The entire Atchafalaya Basin will get from 5 feet to 25 feet of water going down the Atchafalaya, whose surroundings are less populated than the area around the Mississippi River.

"It's a safer place to discharge water in terms of the human cost," he said. "At the same time, there are tens of thousands of people who live there."

The second area of significance is Lake Pontchartrain, a major estuary north of New Orleans that will receive floodwater from the Bonnet Carre Spillway.

Bentley predicted that the fertilizer and waste deposited in Lake Pontchartrain will result in "extensive" blooms of algae by midsummer.

"This is essentially a large, unplanned sediment transport experiment," he said, adding that he plans to study how effectively coastal bays, lakes and estuaries trap sediment to build new land. The ratio of how much is deposited versus how much is washed out by tides determines how fast land can be built, "which is what we need to do in order to rebuild the Mississippi River Delta," he said.

The third area is the Mississippi River below New Orleans, which is protected by "very low and relatively weak levees," Bentley said. Though the area is largely unpopulated, it is a major navigational channel. Were any place in the Mississippi River system to experience a breach in a levee, that could lead to a change in the river channel, he said.

He pointed to areas near the town of Port Sulphur as particularly vulnerable. "Those are areas where the levees get low and weak."

Under the best-case scenario, the Army Corps of Engineers will prove able to manage the water flow and flooding will be minor. But there is little doubt that property will be lost and the economy will take a hit, Dakka said.

"On the other hand, the worst-case scenario is that the water rises, we're not able to manage it, it finds the weak areas, exploits those vulnerabilities, perhaps even segments of the river levee get taken out by erosion or collapse due to failure of saturated levees or other things could happen -- ships get loose in the river, barges of chemicals run into the side of the levee."

If levees break, weeks could pass before engineers could reseal them, he said.

But Dakka said his worst-case scenario might not tell the whole story.

"There are unintended consequences that are going to happen that we can't possibly even fathom right now," he said. "We just have to be ready for it, and get people out of the way."

If wide-scale flooding occurs, the resulting economic damage will be felt for years, he predicted. "Any city that ever floods never really returns economically to where it once was because people don't have confidence, people don't want to put businesses there. New Orleans is the big example."

Already, even before the slow-motion disaster has unfolded, policymakers should have learned some lessons, he said. One of them is that flood plains should not have been developed.

"Nature wins in the end," he said, "And I just hope that we've done enough planning that we can basically at least hold it back this one more time."

"We should really be thinking about whether we want to continue to live in really stupid places, because nature is going to exploit our stupidity," Dakka said.

@highlight

Hope prevails that the levee system for the Mississippi River will hold

@highlight

"Landscape changes considerably" if levees fail, expert Sam Bentley says

@highlight

The levee system "never been tested under flood conditions like this"

@highlight

"Nature is going to exploit our stupidity," says LSU's Roy Dakka