Calling the NCAA and five of the major athletic conferences a "cartel," an attorney representing four college athletes filed a class-action lawsuit against the NCAA on Monday, saying it was "illegally restraining competition for the services of players."

In short, college athletes should be paid, according to the landmark antitrust suit filed in a Trenton, New Jersey, federal court.

The NCAA compensation cap allows universities to pay their football and basketball players only in the form of tuition, books, room and board and related fees, which Monday's complaint says is akin to a price-fixing agreement.

Attorney Jeffrey Kessler, who is no stranger to taking on sports' governing bodies, claims in the lawsuit that the schools are generating "billions of dollars in revenues each year through the hard work, sweat and sometimes broken bodies of top-tier college football and men's basketball athletes."

"The reality is that it is already pro sports for everybody but the athletes," Kessler said, noting that the sports conferences negotiate lucrative television contracts and sponsorships, and universities shell out big bucks for coaches.

In most states, a team coach is the highest paid state employee, the New York-based attorney said.

"What we are saying is that it is fundamentally unfair for there to be rules that prevent athletes who create all of this to receive nothing in return," Kessler said.

Are times changing?

Kessler, who has handled several complex and high-profile antitrust cases, also litigated McNeil v. the National Football League, which led to the establishment of free agency in the NFL, and Brady v. NFL, which ended the 2011 NFL lockout. He also represented players in antitrust actions that led to the present free agency and salary cap systems in the NBA.

In Monday's lawsuit, Kessler represents four plaintiffs: Clemson University football player Martin Jenkins, Rutgers University basketball player J.J. Moore, University of California football player Bill Tyndall, who played his senior season in 2013, and University of Texas-El Paso football player Kevin Perry, who also played basketball for the Miners in 2011 and 2012.

While only four plaintiffs are named, the class-action proposes representing all Football Bowl Subdivision players and all Division I basketball players.

In addition to the NCAA, the lawsuit -- which the National College Players Association is backing -- also targets the so-called "power conferences": the Southeastern, Big Ten, Big 12, Pacific-12 and Atlantic Coast.

"Ten years ago this discussion was completely different," Players Association President Ramogi Huma said. "There were a lot of people defending the NCAA system. Fast-forward to today, very few people are defending the NCAA and its practices."

This isn't the former University of California-Los Angeles football player's first foray into the issue. Along with organizing the All Players United wrist tape effort -- which seeks to end a system in which players "forfeit their rights and endure unnecessary physical, academic and financial risks as a condition of participating in NCAA sports" -- Huma also founded the College Athlete Players Association.

The College Athlete Players Association supported Northwestern University football players' attempts to unionize. The players say they are university employees who are forced to put football first or risk losing free tuition.

While Monday's lawsuit aims to end the old notion of amateurism in college sports and reverse NCAA rules that forbid colleges from sharing with their players the billions of dollars made each year via their football and men's basketball programs, the lawsuit does not guarantee salaries or eliminate scholarships. Nor does it call for a trust fund or mention a stipend.

It simply would give a university the option of paying the players it wants most. It also calls for individual damages for the player plaintiffs.

"Instead of permitting individual institutions to compete for the services of players who participate in their major college sports businesses, the NCAA and the power conferences act as a cartel in placing a cap on the athletes' compensation," Kessler said in a statement. "These restrictions are a blatant violation of antitrust laws, have no legitimate pro-competitive justification, and it is finally time to bring them to an end."

Value in education

The NCAA contends that athletes are paid in the form of a free education, something that holds a lot of value both immediately and in the future.

However, proponents of Monday's lawsuit point out that many student athletes never walk across the stage to get their diploma, and the percentage of Division I football and basketball players who make it to the NFL and NBA drafts is miniscule.

In October, the NCAA released a report saying that 82% of Division 1 athletes who entered school in 2006 earned their degrees. The NCAA lauded the graduation rates of two groups of student athletes, those playing for Football Bowl Subdivision teams and African-American Division I men's basketball players, whom the report said graduated at rates of 71% and 68%, both records, according to the NCAA.

A September report from the University of South Carolina-based College Sport Research Institute said student athlete graduation rates still hover well below those of the general student bodies. According to its "adjusted graduation gap" reports, players in the 10 conferences making up the Football Bowl subdivision -- which includes the five conferences named in Monday's lawsuit -- graduated at a rate 18% below the male student bodies of their schools. For black football players, the rate was 24% below, the report said.

The research institute's basketball data from January 2013 also showed wide gaps, with male basketball players graduating at a rate 20% below their male student bodies and female basketball players at a rate 9.2% beneath that of their student bodies. If you consider only the top basketball conference, those rates jump to 30.1% for men and 13.4% for women, according to the institute's findings.

Meanwhile, a joint study between Drexel University and Huma's organization found the fair market value of the average collegiate football player is about $120,000. It is $265,000 for the average men's basketball player, the study said.

The average scholarship, Huma said, is worth $23,000.

"College athletes, they earn their way through school. This is not a gift. They put their bodies on the line," Huma said. "I believe that amateurism is a myth. This is a multibillion dollar industry. ... We're not against that, but to exclude players from the spoils is un-American. It's illegal, it's inappropriate, and amateurism at this point is being used as a tool to strip the players of their fair market value."

Not everyone thinks paying college players is a good idea. The topic has been debated for years by those within the world of college sport, and paying players has generally been opposed by college presidents, athletic directors and, of course, the NCAA.

They all hang their hat on the education argument. At Monday's Knight Commission on Intercollegiate Athletics meeting, former NFL Commissioner Paul Tagliabue said paying athletes would be counterproductive and not in their best interests.

Some college athletes play like adults, read like 5th-graders

Does free market apply?

But Emmett Gill, a former consultant with the NCAA on academic reform who is now an assistant professor at North Carolina Central University in Durham, said offering compensation could have a positive impact on athletes' educations.

"If students are able to participate in the free market, it will allow us to decide what athletes are there for an education and what athletes are there for a minor league system and allow us to develop programs for each," he said.

The small percentage of athletes who play on full scholarship in the revenue-generating sports -- football and men's basketball -- could be offered a salary as an incentive to play at a particular school, he said.

But the rest of the student athletes, the majority of whom realistically will never be offered cash -- because most aren't even offered full scholarships -- could also benefit from a free market because it would open the door for endorsement deals, Gill said.

"I really do not believe that paying student athletes will have a negative impact on their education," Gill said. "It will have a positive impact."

Huma and Kessler said they believe public opinion is shifting their way. They acknowledge that a few years ago, it would have been less likely to find current players willing to put their names on a lawsuit like this.

But as former NCAA basketball player Ed O'Bannon's lawsuit -- which he filed to take back the rights to his own name and likeness from the NCAA -- has moved through the courts, public opinion on the matter of athlete compensation is shifting, they said.

In recent years, prominent coaches like the University of South Carolina's football coach, Steve Spurrier, have come out in favor of paying players, while Kessler's legal team even has a convert, Tim Nevius, a former NCAA lead investigator who is now playing for the other side.

Whether the sports-loving public is ready to hop aboard the bandwagon is another story. A Marist College Center for Sports Communication poll conducted in 2012 showed that about two-thirds of sports fans, college football fans and college basketball fans concurred that a scholarship for top players was sufficient. But when Seton Hall Sports Poll asked a similar question in 2007, the number was much higher, with 78% of those responding saying college athletes should not be paid salaries.

@highlight

Attorney calls NCAA, major conferences a "cartel" in filing lawsuit to pay athletes

@highlight

Athletes get tuition, board, fees, while conferences negotiate major TV contracts

@highlight

Ex-NFL commissioner says paying athletes not in their interests, counterproductive

@highlight

Southeastern, Big Ten, Big 12, Pacific-12 and Atlantic Coast conferences named in suit