Ukraine's President announced progress on a ceasefire agreement Wednesday with Russia, but U.S. President Barack Obama greeted it with skepticism and Moscow downplayed it.

Obama, speaking in Estonia ahead of a NATO summit in Wales, said he was aware of the reported deal, as conflicting accounts emerged from Russia and Ukraine. But he said it was too early to see if all sides would follow through.

Any ceasefire effort has not worked up to now, he said, "either because Russia has not supported it or pretended it is not controlling the separatists" in eastern Ukraine.

"Having said that, if in fact Russia is prepared to stop financing, arming, training and in many cases joining with Russian troops' activities in Ukraine, and is serious about a political settlement, that is something that we all hope for," Obama said.

Meanwhile, France, a member of NATO, won't be delivering the first warship it is due to deliver Russia as part of a 2011 contract, the office of French President Francois Hollande said.

"The President of the Republic has noted that, despite the prospect of a ceasefire that remains to be confirmed and implemented, the conditions for France to authorize the delivery of the first (warship) are not authorized," the statement said.

Since mid-April, Ukrainian forces have been battling pro-Russian rebels in eastern Ukraine. Kiev and the West say the rebels are supported by Moscow -- a claim Moscow denies.

Ukrainian President Petro Poroshenko's office initially said he and Russian President Vladimir Putin had agreed to "a full ceasefire" following a phone call, but subsequently indicated they had agreed on a process that could lead to a truce.

"The conversation resulted in an agreement on ceasefire regime in the Donbas (eastern Ukraine region)," said the statement from the presidential press office. "The parties reached mutual understanding on the steps that will facilitate the establishment of peace."

Earlier, Putin spokesman Dmitry Peskov told CNN there was "no confirmation of a ceasefire because Putin cannot agree (to) a ceasefire because he is not party to the conflict.

"What was agreed were steps that would lead to a ceasefire. The important thing is to bring an end to the bloodshed and to stop the firing. Everyone is trying to de-escalate the conflict."

Peskov also said the longer term issue of constitutional reform in Ukraine was not discussed.

However, the spokesman told Russian state news agency Itar-Tass that Putin's view on possible ways out of the crisis "largely coincides" with that of Poroshenko.

Putin's roadmap

Russia's President presented his roadmap for a ceasefire to journalists Wednesday, the state-run RIA Novosti news agency reported.

Setting out his seven-point plan, Putin said both parties in the conflict must negotiate immediately and stop "any offensive military operations by the army, armed forces and self-defense groups of the southeast of Ukraine towards Donetsk and Luhansk." Russia routinely refers to the rebels as self-defense forces.

Putin called for Ukrainian troops to pull back to a distance that would mean they can't fire shells on communities. He also urged an end to the use of military aircraft against civilians and an exchange of all hostages.

The Russian President said the sides should "provide full and objective international control over the conditions for the ceasefire and monitoring of the situation."

Humanitarian corridors also should be opened to permit delivery of aid to communities in Donetsk and Luhansk, he added, and workers should get access so they can rebuild cities' infrastructure.

Ukrainian Prime Minister Arseniy Yatsenyuk dismissed Putin's roadmap as looking like a "rescue plan" for the rebels, and said Russia could not be trusted to stick to any agreement.

"This plan is yet another attempt to trick the international community on the eve of NATO summit and avoid the EU decision of the next level of sanctions against Russia," he said, according to the Cabinet's press office.

"Putin's real plan is to destroy Ukraine and renew the USSR."

Obama flies to Europe with a warning for Putin

Rebels question ceasefire

A rebel spokesman in eastern Ukraine expressed doubt a ceasefire could hold and demanded federal troops withdraw from the region, according to RIA Novosti.

An aide to another rebel leader, the DPR's First Deputy Prime Minister Andrei Purgin, told the news agency that Poroshenko's ceasefire move was unilateral and was "impractical" while there were still Ukrainian forces in the disputed region.

"This is some sort of a game by Kiev. This was completely unexpected. This decision was made without us," Purgin's aide quoted him as saying, according to the news agency.

Putin has consistently argued that Russia has no say over ending the conflict because it is not involved in it on the ground.

U.S. and NATO officials say that in recent days Russia has sent its own troops and heavy weaponry into Ukraine, as well as training and arming the rebels.

Obama vows support

Obama, giving a speech in Tallinn, Estonia, ahead of a NATO summit this week, said a vision of a Europe dedicated to peace and freedom is "threatened by Russia's aggression against Ukraine."

It challenges the most basic principles of the international system: that no border can be redrawn at the barrel of a gun, Obama said.

He vowed NATO will always come to the defense of its member states, including the Baltic nations. "We will defend our NATO allies, and that means every ally," he said, including Estonia.

Ukraine is not part of NATO, but the alliance has said it will support Kiev in the face of what it says is Russian aggression.

Defense Secretary Chuck Hagel defended the U.S. response to the Ukraine conflict and dismissed any criticism that the diplomatic efforts have failed to de-escalate the tension.

Hagel blamed Putin for fueling the Ukraine crisis.

The Russian President "continues to take very dangerous escalatory actions," Hagel told CNN.

The continued escalation by Putin would bring further consequences, but Hagel added that "we're not going to get into a military engagement, a war, over this with Russia."

On the battlefield

Traces of warfare remained starkly evident in eastern Ukraine near the town of Illovaisk.

One road was a graveyard for burned-out military vehicles stretching for 1.5 miles: tanks, trucks, armored personnel vehicles. There was even a surface-to-surface missile laying on the side of the road.

Shallow graves were dug a distance from the roadway, and an odor of decomposition permeated the air.

CNN's Diana Magnay found a Russian military food box labeled "Army of Russia," an apparent indication that Russia has some involvement in the conflict, though Moscow vehemently denies it.

Apparel belonging to the Ukrainian National Guard was also found among battlefield debris, but it was unclear Wednesday what happened in the recent fire fight between pro-Russian separatists and Ukrainian forces.

Military exercises

Ukraine's National Security and Defense Council announced Wednesday that Ukraine would host multinational exercises later this month with the United States, NATO and other nations.

It said 200 American soldiers are expected to take part in the exercise, alongside about 1,000 servicemen from Ukraine, Azerbaijan, Britain, Canada, Georgia, Germany, Latvia, Lithuania, Moldova, Norway, Poland, Romania and Spain.

Earlier, speaking alongside the Estonian President, Obama announced that additional U.S. personnel and aircraft are being rotated through the Baltics as part of NATO operations.

Obama's trip to Estonia, before he heads to the NATO summit in Wales, is meant to reassure nervous Eastern Europe that Putin's support for separatists in Ukraine doesn't mean he has a free pass for territorial gains elsewhere.

The United States and European Union have agreed that additional economic sanctions are needed to curb Russia's actions in Ukraine.

"The sanctions that we've applied so far have had a real effect on Russia, and I think it's important for us to continue to impose costs on Russia, so long as it is violating basic principles of international law," said Obama.

European nations will consider proposals for "significant further steps" against Russia on Wednesday afternoon, an EU statement said.

The proposed sanctions regard "access to capital markets, defense, dual use goods, and sensitive technologies," the statement added.

@highlight

Putin may face consequences but U.S. won't go to "war" with Russia, Hagel says

@highlight

Vladimir Putin presents a series of steps he says would restore peace to Ukraine

@highlight

Obama says a peaceful Europe "is threatened by Russia's aggression against Ukraine"

@highlight

Putin spokesman says Russia can't agree to a ceasefire because it's not party in conflict