(CNN) -- The detention and interrogation facility at Guantanamo Bay, Cuba, which I have visited, has served and continues to serve an important role in the war against terrorists since it opened 10 years ago. It houses high-value terrorist detainees, like Khalid Sheikh Mohammed, the architect of September 11.

The military commissions' courthouse, called the Expeditionary Legal Compound, is a world-class, state-of-the-art facility specifically designed to accommodate the needs of both defense and prosecutors dealing with classified information. The detainees there are represented by civilian and military counsel, and the Supreme Court has ruled that they enjoy the constitutional right of habeas corpus. The conditions of detention there are safe, secure and humane and comply with national and international standards, including Common Article 3 of the Geneva Conventions.

It is important to remember that the United States of America is engaged in armed conflict and has been since September 11, 2001. The September 18, 2001, Authorization for Use of Military Force, relied upon by both the Bush and Obama administrations, gives our military the legal authority to engage the enemy under appropriate circumstances.

Under the law of armed conflict, also called the law of war, engaging the enemy includes killing or capturing the enemy. This age-old principle -- detention of the enemy during wartime for the duration of hostilities -- is just as applicable to al Qaeda as it was to Nazi POWs in World War II or other enemies in previous wars. This principle has been upheld by our courts, including the United States Supreme Court.

Shortly after September 11, it became evident that this war would be different from all previous wars in the sense that we would need to rely more on tactical and strategic intelligence to thwart and defeat the enemy than traditional military might. To defeat al Qaeda and its affiliates, we needed to know what they knew; one of the obvious ways to learn their intentions was through lawful interrogation at a safe detention facility. Guantanamo, used as a detention facility since the Clinton administration, was just such a place.

There have been 779 detainees at Guantanamo. Today, there are only 171. But over the past decade, we have not only kept dangerous terrorists at Guantanamo and thus away from the battlefield, we have learned a great deal from them during long-term, lawful interrogations. Without a safe, secure detention and interrogation facility, we would not have gained the tactical and strategic intelligence needed to degrade and ultimately defeat the enemy.

It has been said that the mere existence of Guantanamo is a recruiting tool for the enemy. However, recall that there was no Guantanamo detention facility when al Qaeda bombed the World Trade Center in the 1990s or blew up the U.S. embassies in East Africa in 1998 or attacked the USS Cole in 2000. And I suspect that if the Bush administration had brought the Guantanamo detainees not to Cuba but to a detention facility in the United States, that facility would have been the object of their scorn and derision.

All things considered, the detention facility at Guantanamo Bay has played an invaluable role in the war against terrorists by keeping them off the battlefield and allowing for lawful interrogations.

Neither the Bush nor Obama administrations has offered a reasonable and feasible alternative to Guantanamo. Unless and until a safe, reasonable alternative facility is proposed, the United States should continue to use Guantanamo as a detention, interrogation and military commissions' facility.

Opposing view: Vince Warren says Gitmo is unjust and must be closed

Join CNN Opinion on Facebook and follow updates on Twitter.

The opinions expressed in this commentary are solely those of Edwin Meese.

@highlight

Ed Meese: Guantanamo Bay holds high-value terrorist detainees, like 9/11 architect

@highlight

The U.S. is at war, he says, and detention of the enemy during wartime is legal

@highlight

Meese: Gitmo has kept terrorists off the battlefield and provided key intelligence

@highlight

Until a safe, reasonable alternative is found, he writes, Gitmo should remain open