Washington (CNN) -- As the new evangelist for entrepreneurship, President Obama is finally on the right track. Mentioning "small business" 14 times in his State of the Union address last week, he pledged to increase small business lending and provide tax incentives to jump-start new jobs.

And pivoting from propping up "too big to fail" behemoths to boosting more nimble job generators is smart. After all, mom and pop shops, small enterprises, and garage start-ups get Americans on the payroll.

Small Business Administration (SBA) data shows that small companies have generated 64 percent of net new jobs annually over the past 15 years. What's more, a Kauffman Foundation study reveals that firms less than five years old are the engine of this growth.

Yet, for these businesses the recession has been particularly acute. According to a Senate report last year, American businesses with fewer than 20 employees have suffered steeper job losses than bigger companies. With unemployment hovering at 10 percent, the president must kick-start small business. In an appearance in Nashua, New Hampshire, yesterday, Obama detailed his proposed small business lending program.

Let's examine his proposals:

$30 billion of federal bailout funds redirected to community banks to lend to small business. Yesterday in Nashua, President Obama unveiled his proposal to redirect $30 billion of Troubled Asset Relief Program (TARP) funds to create a new Small Business Lending Fund for community banks. To do this, the White House has said, would require an act of Congress to change current law.

On Capitol Hill yesterday, White House Budget Director Peter Orszag met with severe criticism from Sen. Judd Gregg (R-N.H.), who accused the administration of viewing TARP as a "piggy bank" and using it for political purposes.

Certainly access to credit is the lifeblood of small business and has been sorely lacking. If we are to direct funds to community banks, we must not make the same mistake twice. Federal funds must come with mandatory loan distribution requirements to ensure that banks actually lend.

Better yet, Obama should channel capital to small businesses through the Small Business Administration directly. Pending legislation introduced by Sen. Benjamin L. Cardin, D- Maryland, proposes funneling bailout funds through the SBA itself. The infrastructure is in place and such a process would be quicker and more efficient.

At a minimum, Obama needs to empower the SBA with funding for consistent loan guarantees. As part of the Recovery Act, the SBA raised guarantees from 75 to 90 percent and eliminated fees, making it more attractive for banks to lend. This was helpful, but inconsistent funding left 1,069 small businesses on a waiting list in late 2009. Subsequent funding was extended, but this on-again, off-again fluctuation makes it impossible for small businesses to plan, and in some cases, survive.

Tax credits for new hires and wage increases. The goal of this program is to encourage on-the-fence businesses to take the plunge and hire new workers. While tax credits rarely provide the reason to add new staff, for businesses anticipating growth, this nudge can catalyze hiring.

As part of Obama's $33 billion tax credit proposal, employers would get a $5,000 tax credit for every net new worker hired in 2010 and reimbursement for Social Security taxes paid when they increase wages. By limiting the maximum credit to $500,000 per company, the intention is to focus on small companies, though all businesses would be eligible.

Elimination of capital-gains tax on investments in small business. This is a winning proposal. For small companies seeking investment, a zero-rate capital gains tax will attract private investors who together with friends and family provide essential funding for small business start-ups. Such incentives will reward entrepreneurs who take start-up risks, and create a more level playing field for worldwide investors, as many other countries do not tax capital gains.

Tax incentives for investment in new facilities and equipment. Allowing companies to write off, instead of depreciate, new equipment helps businesses buy things they were already planning to buy. Encouraging businesses to ramp up sooner accelerates job creation.

In addition, Obama's State of the Union pledge to double U.S. export growth over the next five years bolsters small and big businesses alike. Real growth comes from our links with the rest of the world, and the passage of stalled trade agreements with South Korea, Panama and Colombia would open those countries' markets to U.S. goods. Promotion of free trade and the creation of a national export initiative would boost not only traditional exports, but also spark an uptick in exports of new services such as marketing or accounting services.

One thing missing that would help stimulate jobs is immigration reform. Over the last decade and a half, fully one-quarter of all technology firms founded in the United States were started by immigrants; eBay, Google and Yahoo to name a few. Changing the provisions of the EB-5 visa or "entrepreneur's visa" to favor those who plan to start companies and extending their visas as they hire U.S. workers would spark job creation. Simply put, the United States needs global talent to help create jobs at home.

Given the turbulence of the last 18 months, many small businesses remain cautious about hiring, and policy uncertainty is not helping. Health care reform, energy policy, tax policy and financial regulatory reform are all outstanding questions with significant implications for the cost of labor. Clarity on some of these issues will help businesses make hiring commitments.

As Obama juggles the need to boost employment without adding significantly to our nation's debt, he is wise to focus on entrepreneurs. What he must remember is that small is big. To get our country back up on its feet, we must help small business get back to work.

The opinions expressed in this commentary are solely those of Amy M. Wilkinson.

@highlight

Amy Wilkinson says Obama's new focus on small businesses and jobs is on track

@highlight

She says small businesses, the engines for U.S. job recovery, took hit in recession

@highlight

Obama's plan for lending, tax breaks, incentives could go even further, she says

@highlight

Wilkinson: Give SBA a role in loans; reform immigration to bring job-creating talent to U.S.