ATLANTA, Georgia (CNN) -- Cheryl Reed's morning routine starts like that of millions of other mothers around the country. She makes breakfast for her 8-year-old son and 6-year-old daughter, piles them into a minivan and drops them off at school.

Cheryl Reed has a rare form of breast cancer that mostly affects young African-American women.

It's the next stop that sets Reed apart from other women. Three weeks a month, she heads to the infusion center at the Emory Winship Cancer Institute in Atlanta, Georgia, for chemotherapy treatments.

Reed, 40, has breast cancer; not just any form of the disease, but a rare, aggressive and difficult to treat version called triple negative.

Of the estimated 180,000 women who learn they have invasive breast cancer this year in the United States, about 15 percent will have triple negative.

Like Reed, the majority of triple negative patients will be young African-American women.

"It never occurred to me that I'm going to die from this," Reed said. "I was like, 'I've got breast cancer, let's take care of it.' "

Reed did take care of it. For eight months during 2006, she endured chemotherapy and radiation treatments. She thought the cancer was in remission, but it returned last November. This time, it had spread to her liver, lungs and chest wall.

"Triple negative cancers do tend to be aggressive in their natural histories, so they have a very high rate of recurrence or relapsing," explained Dr. Ruth O'Regan, Reed's oncologist at the Winship Institute.

She's one of several breast cancer experts around the country who are trying to learn more about what causes triple negative and how to treat it more effectively.

Dr. Funmi Olopade, a professor of medicine at the University of Chicago, was at the forefront of identifying triple negative and the trend among African-American women.

She said what makes it different from other types of breast cancer is that women with the disease lack three hormone receptors known to fuel most breast cancer tumors: estrogen, progesterone and HER2.  Health Minute: More on triple negative breast cancer »

"When you have triple negative, it means that we cannot use hormone therapy. ... The only way we can treat that type of breast cancer is to use chemotherapy," Olopade said.

Tamoxifen and Herceptin, two of the most effective medications for treating breast cancer, don't work for triple negative breast cancer patients.

But if a patient responds well to chemotherapy, Olopade said, there's a very good chance of curing the disease.

"The challenge we have is when the cancer comes back," she added. "Right now, we don't have any effective way to treat it, and that's why when it comes back, it tends to be deadly."

Reed is enrolled in a clinical trial at the Winship center where she's receiving chemotherapy along with a drug called Avastin, which cuts the blood supply to cancer cells.

Olopade is hoping better drugs will be available in the next two to five years that will help eradicate triple negative cancer cells.

In the meantime, she stressed, early detection is the key to recovery, especially for women at highest risk.

"In this country, what we have found was young African-American women have a rate that is higher than young white women, and we don't know if that is because of a gene or other risk factors," Olopade said.

"We know that women with a family history of breast cancer who have a BRCA1 mutation are most at risk," she said.

BRCA1 is a major breast cancer-causing gene that was identified 14 years ago. Olopade said women born with the defective gene have a higher chance of getting breast cancer and at a younger age.

Olopade also wants to explore further whether triple negative rates are higher among women who do not breastfeed their children. "It's that first pregnancy and first breastfeeding that really allows the breast to become fully mature," she said.

She worried that in general, "African-Americans are not likely to breastfeed, as they are getting in the work force and returning to work soon after childbirth."

Even with several clues, Olopade acknowledged that researchers still don't know a lot about triple negative breast cancer and more study is needed.

She encouraged all young women, no matter what their race, to talk to their doctor about doing a risk assessment for the BRCA1 gene. If there is a family history of the gene mutation, some physicians may tell a woman not wait until she turns 40 to get her first mammogram.

"We begin screening as early at 25," Olopade said. "Many of the women are surviving. They are beating the odds of dying because they know they can do preventive approaches to reduce their risk of dying."

Reed is trying to increase her chances of survival by getting experimental treatment in the clinical trial. She seems to be responding well, but she's realistic.

"There's always the possibility that once this is done, it could be two years and I'm back in treatment again," she said. "It really is a part of my life now. ... I'm a survivor."

CNN's Sabriya Rice contributed to this report.

@highlight

Triple negative breast cancer is rare, aggressive and difficult to treat

@highlight

Most triple negative patients are young African-American women

@highlight

Early detection is the key to recovery, says Dr. Funmi Olopade