Editor's note: Brian Levin is director of the Center for the Study of Hate & Extremism at California State University, San Bernardino. Jack McDevitt is the director of the Institute on Race and Justice and Associate Dean in the College of Criminal Justice at Northeastern University. Both have testified before Congress in support of federal hate crime legislation and are co-authors of a book on hate in America, due to be published next year.

Brian Levin says a new federal hate crime law is needed to combat violent incidents of bias.

SAN BERNARDINO, California (CNN) -- America needs a coordinated and multifaceted response to combat the continuing scourge of violent hate crime like the crime committed at the United States Holocaust Memorial Museum on June 10.

The Matthew Shepard Hate Crimes Prevention Act, originally introduced by Sen. Edward Kennedy a decade ago and nearly passed during the most recent legislative session, is expected to go before the Senate for a vote soon. U.S. Attorney General Eric Holder testified on its behalf Thursday before the Senate Judiciary Committee.

It is a crucial step in the nation's evolving response to hate crime. A hate crime occurs when an individual intentionally targets a victim or their property because of his or her actual or perceived race, color, religion, national origin, ethnicity, gender, gender identity, disability or sexual orientation.

While some have argued that these kind of laws criminalize free speech, the U.S. Supreme Court unanimously ruled in the 1993 case, Wisconsin v. Mitchell, that well-drafted hate crime laws are constitutional and do not punish speech. Rather they enhance the penalties only for acts that are already considered crimes.

The act is named for Matthew Shepard, a 21-year-old gay college student who was kidnapped, robbed, tortured and left to die, tied to a fence in a remote area outside of Laramie, Wyoming in October 1998. His mother Judy has been a tireless advocate for hate crime laws and victims.

The Shepard Act remedies legal loopholes in federal and state criminal law that fail to protect against bias-motivated attacks based on such characteristics as sexual orientation, gender, gender identity and disability.

It also removes antiquated "Klan era" language that forces federal prosecutors to tie violent racial attacks to a small number of activities such as participating in a jury, voting or using hotels. As recent events have indicated, today's violent hate offenders, unlike their predecessors, will often swing into brutal action on their own initiative without waiting for a victim to exercise a specific activity covered by old 1960s laws.

However, much of the act's potency lies not in what it punishes, but rather in its recognition of the primary role local authorities now play in combating hate crime. Nearly all hate crime investigations and prosecutions in the United States are handled by state and local authorities, such as the Boston Police or Washington, D.C., Metropolitan Police.

Gone are the days where masses of federal agents and soldiers had to swoop into states to protect new students and freedom riders from thugs in Klan-dominated municipalities. The act has a clear bias in favor of local prosecution and has restrictions that require federal prosecution only in limited cases where the leadership of the DJ approves.

However, reporting data indicates that some states apparently provide limited assistance to hate crime victims. These jurisdictions report either zero hate crimes or a handful of crime to the FBI, year after year, while neighboring states with similar demographics and crime profiles report far more.

A 2005 Bureau of Justice Statistics victimization study found that only a small fraction of hate crimes nationally are actually reported. Thus, there appear to be various instances where federal help or prosecution are still necessary.

Today, in the midst of our economic downturn, federal authorities are needed much more to assist cash-strapped local departments, not as an unwelcome occupying force, but as a desperately needed partner to assist with forensics, technical assistance and investigations.

Even in police departments with model hate crime investigative units, such as the Boston Police Department's Community Disorders Unit, modern cases increasingly involve interstate travel or Internet hate networks, and require sophisticated ballistic and DNA testing or computer forensics.

These measures may be beyond the capacity of many local police agencies, particularly in difficult economic times. The act also provides greater access to local communities for federal training programs and mediation services that can prevent hate crimes before they boil over into violence.

Our research has established that hate crimes are a qualitatively unique category of offenses. Compared to non-bias motivated crimes these crimes are more likely to involve violence, injury, hospitalization, psychological trauma and a greater risk of retaliatory attacks, which can often spill across municipal borders. And while we cannot say whether hate crimes overall are actually increasing, there does appear to be an increase in the most violent hate crimes.

In 2007, hate-motivated homicides claimed nine lives, up from three in 2006, and the last year has seen a steady stream of violent plots and attacks against symbolic targets by hardened hate-mongers.

Since the beginning of the year we have seen many examples of extremist crimes. Here are a few:

Brockton, Massachusetts: January 21 -- White supremacist Keith Luke 22, allegedly kills two, rapes one, and shoots another while en route to a synagogue to kill Jews.

Miramar Beach, Florida: February 26 -- Dannie Baker, 60, a man known for anti-immigrant rantings, allegedly shoots 5, killing two Chilean immigrants.

Pittsburgh, Pennsylvania: April 5 -- Neo-Nazi Richard Poplawski, 22, agitated over the belief that President Obama would ban guns, allegedly kills three police officers during a domestic violence call.

New York: May 20 -- Four Muslim converts are arrested on federal charges relating to a plot to bomb Jewish and military targets.

Pima County, Arizona: May 30 -- Leaders of the Minuteman American Defense group allegedly kill a 29-year-old Latino man and his nine-year-old daughter in an attempt to steal drugs and money to finance their civilian border patrol group.

Washington: June 10 -- Holocaust denier James von Brunn, 88, allegedly kills a security guard at the U.S. Holocaust Memorial Museum.

Two national research reports released last week document a disturbing level of supremacist activities and overall violence against a broad range of groups. Another report from the Southern Poverty Law Center counted a record number of 926 hate groups in the United States last year.

But there is something more to hate crime's harms that cannot be completely captured by statistics or criminological studies. As the Holocaust Museum attack demonstrates, hate crimes threaten pluralistic democracies in a way that other crimes do not.

Unlike many other crimes, they are at once discriminatory and terroristic. As law professor James Weinstein observed: "The effect of Kristallnacht on German Jews was greater than the sum of the damage to buildings and assaults on individual victims."

Violence and threats that destabilize the bonds between citizens and the democratic institutions that they share are worthy of additional punishment and federal assistance. Moreover, victims of hate-motivated violence are entitled to legal protection no matter where they reside. That is why over two-thirds of the American public favor hate crime laws, and why the Senate should heed their call to pass the Shepard Act.

The opinions expressed in this commentary are solely those of Brian Levin and Jack McDevitt.

@highlight

Levin, McDevitt: Senate to vote on Matthew Shepard hate crime bill

@highlight

They say loopholes in existing laws require new legislation

@highlight

They say bill would provide federal help to localities fighting hate crime

@highlight

Levin, McDevitt: Hate crimes target pluralistic societies along with victims