(CNN) -- In the end, enigma swirled around Moammar Gadhafi in death just as it had in life, the grisly details of his demise still emerging.

Libya's new leaders said he was caught in a crossfire although several cell phone videos seemed to contradict that report. Based on NATO officials, journalists, human rights monitors and witnesses, here is an account of how the strongman's last day transpired.

Revolutionary fighters had cornered Gadhafi loyalists in the District 2 area of Sirte. There had been rumors that he was holed up in the city of his birth but speculation also held that he had fled to the desert.

In any case, NATO surveillance drones and National Transitional Council commanders had been keeping an eye on District 2 for a while and again on Thursday morning, the drones were out.

Somewhere around 8:30 in the morning, according to a NATO official, a convoy of loyalists made a break from that part of Sirte and headed west trying to get out of the city.

U.S. drones and French fighter jets struck the convoy, splitting it up and forcing the loyalists to scurry on foot. It's not clear whether Gadhafi was in that convoy but a NATO official said he was, though he was not directly hit.

"Two miles west of Sirte, 15 pickup trucks mounted with machine guns lay burnt out, smashed and smoldering next to an electricity substation 20 meters from the main road," reported the Reuters news agency.

The revolutionaries began shooting at the loyalists.

"At first we fired at them with anti-aircraft guns, but it was no use," Salem Bakeer told Reuters. "Then we went in on foot."

The ferocious firefight lasted three hours, said Peter Bouckaert, Human Rights Watch's emergencies director, who is in Sirte. He said 95 bodies were found in the area.

Gadhafi survived and fled with a handful of his men. The revolutionaries eventually found him hiding in a drainage pipe.

Misrata fighter Omran Shaaban told The New York Times that Gadhafi was bleeding from his head and chest but still was able to speak with his trademark indignation. Bakeer told Reuters that Gadhafi was wounded with gunshots in his leg and back. Some accounts described him as confused. Others said he pleaded for his life.

"When he saw us, he said, 'What's happening? Those were the words he spoke," Shaaban told the Times.

There were bodies strewn about the 70-feet long chunk of drab, concrete tubing that passed under a road. On it, graffiti scribbled in blue lettering read: "This is the place of the rat, Gadhafi. God is great."

It was, of course, Gadhafi who called the rebels rats from the very start of Libya's uprising in February. They had finally caught him. Now it was Gadhafi, the self-styled "king of kings" of Africa who was caught like a rat amid rubbish and rocks and sand

He was captured alive. But that's when the stories diverge.

The National Transitional Council's leadership says Gadhafi was killed in crossfire between revolutionary fighters and the remnants of loyalists in Sirte.

Mohammed Sayeh, a senior member of the council, told CNN that Gadhafi was being transported to Misrata to the northwest.

"They were taking him to a hospital," he said.

In the hail of gunfire, Sayeh said, Gadhafi was shot in the feet and then in his head.

"I cannot tell you whether it was from far or near, but it was unintentional," he said. "No one decided to kill him or slaughter him. It would have been much better for us Libyans and the whole universe to capture him and take him to a court."

But cell phone videos and other accounts seem to contradict Sayeh's statement. And questions remain about when and exactly how Gadhafi died.

One man told the BBC that he saw Gadhafi being shot with a 9mm gun in the abdomen at around 12:30 p.m. That was four hours before the National Transitional Council's executive board Chairman Mahmoud Jibril announced that Gadhafi was dead.

Ibrahim Tika, a doctor who allegedly performed DNA tests on Gadhafi's body Friday, told Al Arabiya television that Gadhafi was shot in the head and stomach.

Bouckaert said he did not believe Gadhafi was killed in crossfire. From what Human Rights Watch has learned, Bouckaert said Gadhafi did not have a gunshot wound in his head when he was captured.

"He was taken into the streets," he said. "Enraged crowds started beating him, pulling his hair. They tried to put him on a hood of a car and drive him away. He fell off."

In a shaky amateur video, a bloodied Gadhafi is seen alive and being hoisted onto a truck. Another, obtained by the Al-Jazeera network, showed his corpse on the ground, a bullet wound in his head. A third piece of footage posted on YouTube showed fighters grabbing Gadhafi's tangled curls and jerking his head about.

"It certainly was a very humiliating end for Gadhafi," Bouckaert said. "But when he left this area he was very much alive."The The different versions of how Gadhafi met his end prompted the U.N. High Commissioner for Human Rights as well as Human Rights Watch and Amnesty International to ask for investigations. Bouckaert said an autopsy on his body ought to be internationally supervised.

For weeks, the revolutionaries had been on the forefront of the battle for Sirte, struggling to wrest control of the coastal city from the last vestiges of the old regime in brutal urban warfare. Thursday, when the fight was finally won, they could finally claim liberation for their nation.

They waved Gadhafi's golden gun in the air.

The revolutionaries also took Gadhafi's satellite phone, his brown scarf and one black boot, the Times reported, to keep as ultimate trophies of their victory.

But their first day of freedom, said Bouckaert, is now blemished with the suspicious circumstances of the former tyrant's death.

Friday, Gadhafi's bloody, battered body lay on a mattress in a Misrata market cold storage room, Reuters reported. The news agency showed video of curious onlookers snapping pictures with their mobile phones.

It was unclear when and how he would be put to rest, even though Muslim rites require burial within 24 hours.

Mahmoud al-Shammam, the National Transitional Council's information minister, told CNN that a funeral would be postponed for a few days just in case officials from the International Criminal Court -- which had an arrest warrant out for Gadhafi for alleged crimes against humanity -- wanted to see the body firsthand.

In his 42 years in power, Gadhafi embraced eccentric tactics and cold-blooded violence, meting out cruel forms of punishment to those he perceived as his enemies. He should have faced justice in court, many Libyans as well as human rights activists said.

Instead, he was like many of his victims whose ignominious end raised plenty of questions.

@highlight

Moammar Gadhafi was in a convoy heading out of Sirte that was hit by NATO

@highlight

Gadhafi survived and hid in a drainage pipe

@highlight

He was alive when he was captured, say anti-Gadhafi fighters

@highlight

A human rights investigator says his brutal end is a blemish on Libya's first day of freedom