Rome (CNN) -- At least 16 people died, one was missing and 350 were injured after a 5.8-magnitude earthquake shook northern Italy Tuesday, Italian authorities said.

The earthquake, which forced thousands of people from their homes, came nine days after a 6.0-magnitude quake struck the same region, killing seven people.

Italian civil protection authorities said two of Tuesday's deaths were not directly caused by the quake.

Tuesday's quake was followed by dozens of aftershocks. The U.S. Geological Survey recorded one aftershock of 5.6 magnitude.

Look at high-res images of the disaster

The quakes have displaced some 14,000 people, the civil protection agency said.

Tuesday's earthquake was centered in the province of Modena, near Bologna. The towns of Mirandola and Cavezzo were closest to the epicenter, civil protection authorities said.

Witnesses reported on Twitter that Cavezzo was about 70% destroyed. Pictures purportedly from the town, as well as a video stream from Italian newspaper Corriere de la Serra, show damaged and destroyed buildings.

"People are very scared. It's been shaking nonstop for the past week," said journalist Andrea Vogt, who was near the epicenter.

The earthquakes have been "a real shock," she said, adding that no residents she spoke with could remember so many quakes in such a short period of time.

"Factories were full," said Vogt, a freelancer based in Bologna. "Many of the workers were working on repairs to the already damaged buildings."

A spokeswoman for the government office in Modena said as many as 12,000 people could be displaced, including those affected by the previous earthquake.

"Damages are very serious. The old centers of many villages have been closed down to (the) public and many little villages have been completely evacuated," she said.

Authorities were setting up tents to house those forced from their homes, she said, and hotels and campsites were offering space to those in need.

The Italian railway company was sending eight coaches -- expected to shelter 400 people -- to the village of Crevalcore, near Bologna, the civil protection agency said.

At the time of Tuesday's quake, Italian Prime Minister Mario Monti was meeting with the head of the civil protection agency and the governor of the region to discuss the previous quake.

"The state will do all what needs to be done, in the quickest way, to assure the return to normal life to such a special and productive region of the country," Monti said in a televised statement.

The quake response was expected to be among the issues discussed at a Cabinet meeting scheduled for 9 a.m. Wednesday.

Some buildings that were damaged in last week's earthquake were further damaged on Tuesday, a spokeswoman said. "San Felice sul Panaro and Mirandola registered most of the damage," she added.

Violetta Galia said she was afraid to remain in Bologna. "We've been having many quakes, so it's not safe to go back to work. We are having problems with communications, so it's not easy to get in contact with somebody by phone," she told CNN via Skype.

"I don't feel safe -- I need to go away, I don't want to live (in) Bologna. If I don't leave Bologna, I will never feel safe because we are still having quakes every three or five minutes."

CNN iReporter Martina Lunardelli, a freelance translator and interpreter, said she was at work in Pieve di Soligo, Italy, when she felt the earthquake. She said she heard "that thunder sound and my head spinning fast, as if I was drunk and could not see the others around since they were out of focus. I felt so strange."

A spokeswoman for the prefecture in Ferrara province said people were in need of urgent help.

"We need tents. The number of displaced is increasing. It will take time to check if homes are safe, and also people are terrified and don't want to sleep in their houses," she said.

"We had enormous damage to all our factories, and there will be dramatic consequences on employment."

The area's cultural heritage has also suffered, she said, with two churches destroyed in the village of Cento and another church facade collapsing.

Authorities face an additional logistical challenge in helping local communities because emergency supplies were already depleted from the response to the earlier quake.

Some railway routes were affected by the earthquake, but Trenitalia, the Italian train system, said late Tuesday afternoon that all had been reopened and that train service was returning to normal.

Earlier in the day, some high-speed services from Bologna to Milan and Florence, among others, were running slower than usual.

Northern Italy is the heartland of the country's manufacturing industry.

"It's going to have an economic impact as well as a human impact," Vogt said of the earthquake.

CNN's Laura Perez Maestro, Marilia Brochetto and Phil Han and journalists Barbie Nadeau and Livia Borghese contributed to this report.

@highlight

At least 16 people are dead, Italy's civil protection agency says

@highlight

Some 14,000 people have been displaced by the quakes, the agency says

@highlight

Dozens of aftershocks are reported, several of more than 5.0 magnitude

@highlight

The quake struck the same region where seven people were killed nine days ago