(CNN) -- Another wave of deaths engulfed Syria on Saturday, and top security officials kept their jobs after the regime formed a new government.

At least 131 people died Saturday, including 31 in the turbulent city of Deir Ezzor, the opposition Local Coordination Committees of Syria said.

The largest city in the country's eastern region, Deir Ezzor is "in dire need of help" because it is "under continuous indiscriminate shelling targeting residential homes since yesterday," the LCC said Saturday.

"The uninterrupted intense shelling makes it impossible to reach the wounded and to recover the bodies of martyrs (the dead) that are lying on the roads and in houses. The medical and humanitarian situation is extremely difficult, especially with the ongoing complete outage of the internet services and mobile communications," the LCC said.

A 23-year-old volunteer for the Syrian Arab Red Crescent, Bashar al-Youssef, was shot dead Friday in Deir Ezzor, the fourth Red Crescent member killed on duty since September.

The worker, shot while on "first-aid duty," wore a uniform "clearly marked with the Red Crescent emblem," the International Committee of the Red Cross said.

"This comes at a time when the ICRC and the Syrian Arab Red Crescent are virtually the only organizations able to work in areas affected by the violence in Syria," said Alexandre Equey, deputy head of the ICRC's delegation in Syria. "We take such incidents extremely seriously."

The violence occurred as the Syrian regime announced a new government just weeks after parliamentary elections.

Riad Hijab, who served as minister of agriculture and agrarian reform, is the new prime minister, President Bashar al-Assad said in a decree. A longtime member of the ruling Baathist party, Hijab also governed the Syrian provinces of Latakia and Quneitra during his political career.

The country's top diplomat, Foreign Minister Walid Moallem, is keeping his post.

Two top security officials, Defense Minister Dawood Rajiha and Interior Minister Mohammad Ibrahim al-Shaar are staying in their jobs as government forces clamp down on an anti-regime uprising.

The Syrian government -- which has asserted its support of reform and change during the 15 months of unrest -- touted a "wide turnout" for its May parliamentary elections, when more than 7,000 candidates vied for 250 parliamentary seats.

Members of the opposition regarded the elections as a sham. They said a vote for any of the candidates amounted to a vote for al-Assad, whose family has ruled the country for 42 years. They argued that the government is only interested in maintaining its power by any means and urged Syrians to boycott the elections.

Since the anti-government uprising started in March last year, more than 15,000 people in Syria, mostly civilians, have been killed, according to the Syrian Observatory for Human Rights. The United Nations has said that at least 10,000 people have been killed in the conflict.

CNN cannot confirm specific reports of violence in Syria because the government has restricted access to the country by international journalists.

Opposition groups say the violence began when a government crackdown on peaceful protesters generated a nationwide uprising, including the armed resistance. Syria consistently blames terrorists for the violence.

The government on Saturday said it buried 68 security personnel killed by terrorist groups. The LCC also said another 13 soldiers died overnight when they tried to defect.

In Syrian hospital, no escape from war

World powers have been working to avoid a full-blown civil war, but a U.N. and Arab League-backed peace initiative has failed to take hold. Fears of a wider conflict heightened in the Middle East on Friday when Syrian artillery shot down a Turkish military jet.

The act comes as Syrian-Turkish ties have worsened during the anti-government uprising. Turkey, which hosts Syrian opposition groups and thousands of Syrian refugees, has been outspoken in its criticism of the al-Assad regime.

A Syrian military spokesman quoted by the state-run Syrian Arab News Agency on Saturday said Syrian forces struck "an unidentified aerial target that violated Syrian airspace."

The craft -- flying "at a very low altitude and at high speed over territorial waters" -- crashed in Syrian territorial waters near Latakia province, the spokesman said. Syrian authorities eventually learned that the target was the Turkish jet.

Turkish President Abdullah Gul said Saturday that the craft may have entered Syria's airspace, according to the semi-official Anatolia news agency.

"When you take in to account the speeds at which jet planes travel over the sea, it is routine for planes to go in and out of borders," he is quoted as saying by the news agency. "It is something that happens without bad intentions and that happens due to the high speeds."

The search for the plane continues, he said, speaking in Kayseri, central Turkey.

"It is not possible to cover something like this up. Whatever needs to be done will be done, without a doubt," he said, according to Anatolia.

U.N. Secretary-General Ban Ki-moon called the incident "serious" and hopes both sides handle the situation with "restraint" via "diplomatic channels."

Iraqi Foreign Minister Hoshyar Zebari, whose country neighbors Syria, said his government's "main concern is the spillover of the crisis" into the region.

"If this conflict were to turn in an all-out sectarian or civil war Iraq will be affected, Lebanon will be affected, Jordan will not be immune, Turkey could be," he said.

"We don't want to see chaos reign in the region, in the neighborhood and that's why Iraq should have a say, a role in what is going to go in Syria, no country can ignore or bypass Iraq in this regard."

CNN's Saad Abedine, Mohammed Tawfeeq, Hamdi Alkhshali and Joe Sterling contributed to this report.

@highlight

NEW: At least 131 deaths reported by opposition group

@highlight

The former agriculture minister is now the prime minister

@highlight

Ministers in top security and diplomatic posts keep their jobs

@highlight

Neighboring Iraq worried about "spillover" violence