(CNN) -- Three debates down. Two weeks of campaigning to go.

President Barack Obama put Republican challenger Mitt Romney on the defensive on foreign policy in the final presidential debate Monday night, with analysts and an immediate poll giving Obama the victory.

With 15 days before the November 6 vote, the candidates now hit the road for the final sprint to Election Day -- focusing on the handful of vital battleground states that could decade the closely contested race.

Obama kicks off his "America Forward" tour Tuesday with events in Florida and Ohio, where he will be joined by Vice President Joe Biden, while Romney and his running mate, Rep. Paul Ryan, campaign in Nevada and Colorado.

In Monday's debate, Obama sought to highlight his experience after nearly four years leading the nation's military and foreign policy efforts. Romney, a former governor with less foreign policy experience, tried to paint Obama as an ineffective leader even as he expressed agreement with many of the administration's steps in Syria, Iran and other hotspots.

Were your questions answered? Share your reactions to the final debate.

Analysts agreed that Obama won on points, but questioned if the result would have a big impact on voters and the race as a whole.

"There's no question debate coaches would score this one for the president," said CNN Chief National Correspondent John King, while CNN Senior Political Analyst David Gergen said Obama "dominated the middle of the debate" and emerged as the winner.

Both King and Gergen agreed that Romney avoided sounding like an overzealous advocate of military action -- which is how Obama and Democrats seek to portray him.

Alex Castellanos, a Republican strategist and CNN contributor, conceded Obama "won tonight on points, no doubt about it," but added that Romney showed the leadership style of a commander-in-chief to demonstrate that making a change in the White House would be safe.

A CNN/ORC International poll of people who watched the debate showed 48% favored Obama compared to 40% for Romney, numbers barely within the margin of error range of plus-or-minus 4.5%. Another poll by CBS scored it a clear victory for Obama.

At the same time, the CNN/ORC poll showed viewers thought Romney established credibility as a leader, which former White House Press Secretary Ari Fleischer, a Republican strategist and CNN contributor, said was very important.

"This isn't going to change the trajectory of the result," Fleischer said, noting that 24% of those questioned said the debate made them more likely to vote for Obama while 25% said it nudged them toward Romney, and 50% said they were not influence either way.

The poll also reinforced a gender gap in the race, with women favoring Obama as a strong leader by 59% to 39%, while men chose Romney by 53% to 43%. Obama needs to repeat the strong support from women voters -- who comprise half the electorate -- that helped him win in 2008.

The third and final face-to-face showdown occurred with the candidates running even in national polls and the race hinging on a handful of battleground states -- particularly Ohio, Florida and Virginia.

According to the latest polls, Obama has a slight lead in Ohio. Romney is ahead in Florida, and Virginia is a dead heat.

In the debate, Obama more than once sought to highlight Romney's lack of foreign policy experience.

The president took a jab at his challenger's world view -- paying him a backhanded compliment for his analysis of the threat of terrorism to the United States.

"Governor Romney, I'm glad that you recognize that al Qaeda is a threat, because a few months ago when you were asked what's the biggest geopolitical threat facing America, you said Russia, not al Qaeda; you said Russia," Obama said, adding that "the 1980s, they're now calling to ask for their foreign policy back because, you know, the Cold War's been over for 20 years."

Romney countered that in that speech, he had argued Iran was the nation's greatest security threat and identified Russia as a "geopolitical foe."

"Attacking me is not talking about how we're going to deal with the challenges that exist in the Middle East, and take advantage of the opportunity there, and stem the tide of this violence," he said.

Romney added that Obama's foreign affairs policies have made the United States less respected and more vulnerable, particularly as it relates to Iran.

"I think from the very beginning, one of the challenges we've had with Iran is that they have looked at this administration, and felt that the administration was not as strong as it needed to be," Romney said.

Romney also repeatedly tried to shift the discussion to his strongest issue -- the continued high unemployment and slow economic recovery under Obama -- arguing that a strong foreign policy and national defense depends on a strong economy.

"We want to end those conflicts to the extent humanly possible," Romney said. "But in order to be able to fulfill our role in the world, America must be strong. America must lead. And for that to happen, we have to strengthen our economy here at home."

Romney also accused Obama of supporting policies that undermine the nation's military preparedness.

"Our Navy is smaller now than at any time since 1917," the Republican nominee said, also noting that "our Air Force is older and smaller than at any time since it was founded in 1947."

Obama fired back, suggesting Romney "maybe hasn't spent enough time looking at how our military works."

"You mentioned the Navy, for example, and that we have fewer ships than we did in 1916," Obama said. "Well, governor, we also have fewer horses and bayonets because the nature of our military has changed."

Sarcastically noting that the Navy now has "these things called aircraft carriers, where planes land on them" as well as "ships that go underwater, nuclear submarines," Obama concluded that "the question is not a game of 'Battleship,' where we're counting ships -- it's what are our capabilities."

How foreign policy hits close to home

Romney applauded the Obama-approved mission that killed Osama bin Laden and his efforts to take out other al Qaeda leaders but insisted that "we can't kill our way out of this mess." Rather, he pushed for "a comprehensive strategy" to curb violent extremism in the Middle East.

"The key that we're going to have to pursue is a -- is a pathway to get the Muslim world to be able to reject extremism on its own," Romney said, proposing U.S. policies to promote economic development, better education, gender equity and to help create institutions.

However, he was unable to express any significant policy difference with Obama on how that would happen.

Obama responded by criticizing his opponent on a host of foreign policy issues -- claiming Romney had favored positions that would have hurt the United States or offered sometimes contradictory views.

"What we need to do with respect to the Middle East is strong, steady leadership -- not wrong and reckless leadership that is all over the map," the president said.

Read the full debate transcript

Romney's economic plan seeks trillions in tax cuts while increasing defense spending, which would increase the deficit, Obama said.

For his part, Romney repeatedly shifted back to his stump speech criticism of the nation's sluggish economic recovery under Obama's policies, which he says have hindered growth through high taxes and onerous regulations.

The candidates were at odds as well about how Washington should ultimately respond to the continuing violence in Syria.

Checking the candidates' facts on foreign policy and national security

Talking about the need to provide those fighting Syrian President Bashar al-Assad's forces with arms, Romney said the Democratic incumbent has not done enough to curb violence that has left tens of thousands of people dead and also destabilized the region.

"We should be playing the leadership role," Romney said.

That precipitated a quick response from Obama, who pointed to American efforts to organize international efforts to address the issue as well as its support for opposition factions. "We are making sure that those we help will be our friends (in the future)," he said.

A strong performance by Romney against a lackluster Obama in the first debate October 3 in Denver helped the GOP challenger tighten the race and even pass the president in some polls.

Where they stand: Candidates and issues

The president fought back to win the second debate last week in New York, according to polls and pundits, setting up Monday night's showdown at Lynn University in Boca Raton, Florida, moderated by CBS News Chief Washington Correspondent Bob Schieffer.

Until recently, polls showed Obama ahead of the former governor on foreign relations issues, and the Romney campaign has mounted pointed attacks in an attempt to narrow the president's advantage.

Other issues discussed in the debate included Iran's nuclear ambitions, China and the war in Afghanistan. Both candidates pledged to support Israel if the Jewish state comes under attack, and Romney backed the 2014 date set by Obama and NATO for withdrawing combat troops from Afghanistan.

Romney has landed blows thus far in the campaign by promoting his own business background while arguing that continued high unemployment and sluggish growth showed failed policies under the president.

CNN/Google Campaign Explorer: Ads, money and travel

In a major foreign policy address on October 8, Romney promoted a traditional U.S. foreign policy dating back decades, based on exerting global influence through military and economic power. While the speech sought to distinguish himself from Obama on foreign policy, specific proposals he cited then were similar to what the administration is doing.

Obama's campaign has accused Romney of shifting positions on foreign policy matters and mishandling a trip to England, Israel and Poland this summer when he publicly questioned London's preparedness to host the Olympic Games and cited cultural differences as a reason for economic disparities between Israelis and Palestinians.

Defense: $2 trillion divides Obama and Romney

CNN's Greg Botelho contributed to this report.

@highlight

NEW: Barack Obama and Mitt Romney head to battleground states

@highlight

CNN/ORC poll shows President Obama, Mitt Romney benefit from their final debate

@highlight

Obama says Romney's policies are "all over the map"

@highlight

Romney says the United States is less respected now than four years ago