Beijing (CNN) -- Twenty-year-old Li Xue has a passion for learning but has never spent a day at school.

The only way she could study was by borrowing books with her elder sister's library card and begging her for lessons.

As a second child born under the strictures of China's one-child policy, she was not entitled to a state education.

Nor did she have access to subsidized health care that most city dwellers enjoy. She used her mother's and sister's identity cards to buy medicine when she fell ill.

"She kept asking me why she can't go to school, why she can't while all others do, and I had no idea how to respond her except repeating that she is a second child," her mother Bai Xiuling, a former factory worker, told CNN from her modest bare-brick home.

Li says she was not jealous of her 28-year-old sister, but grateful because she tutored her in her spare time.

"I want to learn as much as she does but it's different because she can go to school and I cannot."

Her mother fell unexpectedly pregnant in 1993. Despite the risks, she went ahead with the pregnancy. A childhood bout of polio damaged her leg and she wanted to have another child to take care of her in old age.

China's family planning laws require most families living in urban areas to have one child. The policy is looser in rural areas and can also be skirted by those who can afford to pay the eye-watering fines.

But Li's parents could not pay the 5,000 yuan ($820) penalty and authorities denied Li her household registration documents, or "hukou," which entitle city residents to subsidized health, housing and education.

Reform?

The one-child policy, though applauded by many for slowing down China's population growth, has been widely criticized for resulting in forced abortions and hefty fines that are sometimes used to enforce it.

Some critics say the law hurts China's elderly, who typically rely on their children for support in old age, and even constrains economic growth as the working age population begins to decline.

In August, Xinhua, China's state news agency, said China was deliberating relaxing the policy to allow couples, where one parent is an only child, to have two children. Currently, both parents must be sole children to be eligible for a second child.

The government is also debating a two-child policy after 2015, according to state media.

"We are optimistic that an end to the one-child policy will soon be confirmed," economists Ting Lu and Xiaojia Zhi wrote in an August report for investment house Bank of America Merrill Lynch.

They said that reform of the three-decade old policy could happen after a key four-day gathering of China's top leaders -- the Communist Party's third plenum -- which began on Saturday.

But even if the policy is eased, it is unlikely to make life easier for Liand others like her.

Her family have campaigned relentlessly for her to have the "hukou" documents they believe she is entitled to in order to live a normal life.

They have petitioned local and national authorities and are pursuing their case through the legal system, but, so far, to no avail.

Instead, her mother and father said they have been beaten and harassed by the local police.

"Li Xue's father and I were beaten brutally in 2001. I couldn't get out of bed for almost two months, and her sister had to take care of me," said Bai.

Local police declined to comment when contacted by CNN.

Chinese newborn, allegedly sold by doctor, is returned to parents

'Never give up'

In September, the family received notice that their case would be heard by the Beijing High People's Court but they are not optimistic that the case will be resolved in their favor.

A spokesperson for the court told CNN that the case is now being examined and an announcement will be made in due course. There were two possible outcomes; either the case would be retried or the original verdict affirmed, the spokesperson said.

"The only thing we want is an explanation of why our daughter has no "hukou", and no more," said Li's father, Li Hongyu.

In 2011, Li started a microblog on Weibo, China's equivalent of Twitter. She hopes her online presence will help draw attention to her plight, and she wants to use the platform to initiate more positive change for people in her position.

When asked what she would major in if she had a chance to go to university, Li says she would like to become a lawyer.

"I do enjoy studying law and hope I could use this to help other people, but right now, I have to be practical and solve my most urgent problem -- becoming a legal second child," she said.

"Sometimes I doubt whether what I do will change anything, but I think I'll carry on," she said, echoing the name of her blog -- Little Xue never give up.

China's only children less trusting, avoid risk, study finds

Katie Hunt wrote and reported from Hong Kong

@highlight

Twenty-year-old Li Xue has a passion for learning but has never spent a day at school

@highlight

A second child born under China's one-child policy, she says she was not entitled to a state education

@highlight

China's family planning laws have been in place for three decades

@highlight

China may soon ease some restrictions, state media have said