Eleven years ago, Brenda Heist dropped off her young kids at school -- and never returned. Not to pick them up later, and not to their Pennsylvania home. The family thought she was dead. That something terrible had happened to her. What else could explain the sudden disappearance of a woman her daughter, then 8, later described as a "great" mom?

But then last week, after more than a decade, Heist turned up in Florida, revealing to police that she hadn't been kidnapped or killed. She had, she said, been stressed.

Most mothers are familiar with the feeling -- for some it's more fleeting than for others -- of total exhaustion, frustration, a sense of being overwhelmed by duty and the responsibility of raising children. Maybe some indulge in a momentary fantasy of running away.

Though there are no hard numbers, reports would seem to indicate that the number of moms who actually do run away -- or at least walk away -- is increasing. According to the U.S. Census Bureau, the number of single fathers has been rising steadily, from more than 600,000 in 1982 to more than 2 million in 2011. Anecdotally, too, we're hearing more from mothers who leave their children due to choice or circumstance. There's Rahna Reiko Rizzuto, who wrote in an essay for Salon.com that she realized, when her sons were 3 and 5 that she didn't want to be a full-time mother anymore. There are even support groups now for women who decide to leave their children.

What is happening?

It's hard to say, but our increasingly me-first world might have something to do with it. According to a study published in the journal Social Psychology and Personality Science, clinical narcissism --defined by heightened feelings of entitlement, decreased morality and a dog-eat-dog mentality -- has increased by 30% over the past 20 years. Two out of every three people now measure high for the disorder.

In her book "The Narcissism Epidemic," Jean Twenge argues that we live in a culture that not only tolerates, but also encourages, "being true to ourselves" and "never compromising." This can extend to parenthood, as more and more mothers and fathers resist the notion that parenthood is necessarily life changing -- and perhaps not all it's cracked up to be.

A 2010 New York magazine story titled "All Joy and No Fun: Why parents hate parenting," for example, cited a 2004 study by behavioral economic Daniel Kahneman that found that child care ranked 16th in pleasure out of 19 activities among the Texas women surveyed. Except, of course, parenting isn't always supposed to be fun. Whoever said it was?

Mothers who abandon their children tend to be judged far more harshly by society, and by their children, than fathers who do the same -- though not because of outcome. According to various studies, including a 1994 report in the Journal of Family Issues, children raised in single-father homes as a whole fare as well as those in single-mother homes. From an emotional standpoint, there are no studies to show that children of absentee mothers are angrier than those of absentee fathers. But anecdotally, this seems to be the case.

If this is true, it has to do with the fact that although stereotypical gender roles for women have changed, with more men staying home to raise the kids as mom brings home the bacon and father cooks it, societal expectations for mothers remain rooted firmly in the traditional.

Case in point: Although the number of stay-at-home fathers -- about 154,000 according to the 2010 census -- is on the rise, women still carry out more of the domestic work, according to a report by Pew Research Center. American culture, meanwhile, is still conditioned --through the media and pop culture -- to believe that many women's greatest desire is to have a baby. When mothers abandon their children, it's seen as unnatural.

Could this imbalance of responsibility and expectation be another reason more women are abandoning their children? It's possible. As one married mother of two, Janelle, told me, "My husband doesn't do much. I have to do and plan for everything myself." It's easy to see where resentment could come in.

The positive spin: Most experts, myself included, agree that it's better for a child to have an absent parent than a parent who's present but neglectful -- or worse.

And in my experience, children who come to accept the abandonment of a parent, specifically a mother, tend to be more forgiving when they believe that in doing so they were given a better life, whether that was the mother's intent or not.

Of course, every single case is different and there are few generalizations to be made. Brenda Heist's children, for their part, want nothing to do with their mother. The good news is that being raised by a single parent does not condemn a child to a disadvantaged life. These days, the unconventional family is the norm. Thankfully, when it comes to parenting, it's quality over quantity.

@highlight

After disappearing for more than a decade, Brenda Heist turned up in Florida

@highlight

Peggy Drexler: Reports show the number of moms who run away is on the rise

@highlight

She says our increasingly me-first narcissistic tendencies might have something to do with it

@highlight

Drexler: Mothers who abandon their children are still judged more harshly by society