Washington (CNN) -- A top judicial nominee of President Obama's was denied a final confirmation vote on the Senate floor Wednesday after Republicans expressed concern that she would be an "activist" on the bench.

New York attorney Caitlin Halligan is one of two nominees named in January by Obama to the U.S. Court of Appeals for the District of Columbia, seen by many as a professional stepping stone to the Supreme Court.

A 51-41 cloture vote failed to achieve the necessary 60 senators to end debate on Halligan's qualifications, with Senate Democrats complaining she was being unfairly filibustered. Her third nomination to this judicial seat remains in political limbo.

The president said he was "deeply disappointed" about the outcome.

Halligan is general counsel for the Manhattan District Attorney's Office. She would fill the seat vacated by John Roberts, who joined the high court in 2005 and is now chief justice.

"Rather than debate the merits of her nomination and whether she has the legal ability, judgment, character, ethics and temperament to serve on the court, Senate Republicans resorted to smearing her distinguished record of service," said Sen. Patrick Leahy, D-Vermont, chairman of the Judiciary Committee. "They have not been fair to this fine woman."

But Senate conservatives said Halligan met the "extraordinary circumstances" justifying a delay in a confirmation vote.

"Ms. Halligan has a well-documented record of advocating extreme positions on constitutional issues, pushing legal arguments beyond what I think is reasonable, including in cases involving Second Amendment gun rights, abortion, the death penalty and others," said Sen. Jeff Sessions, R-Alabama, who's also on the Judiciary Committee. "Her attempts to distance herself from her record were simply unconvincing. There is no question where she stands on these issues. She herself has said that the 'courts are the special friend of liberty ... the dynamics of our rule of law enables enviable social progress and mobility.' "

Obama is the only president in recent memory never to have successfully placed a nominee on the D.C. Circuit, which handles many high-profile appeals, including executive authority to fight terrorism and broader congressional power. There are four vacancies on that bench, and much of the debate on Halligan was whether the court's caseload was enough to justify filling the bench with more judges.

"As measured by the Democrats' own standards and their own prior actions, now is not the time to confirm another judge to the D.C. Circuit," said Sen. Mike Lee, R-Utah. "And it is certainly not the time to consider such a controversial nominee for that important court."

Besides Roberts, Justices Antonin Scalia, Clarence Thomas and Ruth Bader Ginsburg served on the D.C. Circuit before assuming their current jobs. Judges Robert Bork and Douglas Ginsburg also served there, but their 1987 nominations by President Reagan to the high court did not succeed. Bork died in December.

In a rare move, Senate Republicans voted in December 2011 to block Halligan the first time she was tapped for the appeals court, complaining that the 46-year-old Ohio native was too liberal and would bring her "extreme" political views to the bench.

Senate Republican Leader Mitch McConnell on Wednesday reiterated the view of many of his colleagues that Halligan met the "extraordinary circumstances" standard, under a 2005 Senate agreement that allowed filibusters of judicial nominees only in extreme cases.

McConnell complained about Halligan's legal positions on gun rights, detainee rights and immigration, and said she would bring an activist agenda to the court.

But Obama said his choices were being held to a different standard. "Today's vote continues the Republican pattern of obstruction. My judicial nominees wait more than three times as long on the Senate floor to receive a vote than my predecessor's nominees," he said in a statement. "Until last month, for more than forty years, the court has always had at least eight active judges and as many as twelve. A majority of the Senate agrees that Ms. Halligan is exactly the kind of person who should serve on this court, and I urge Senate Republicans to allow the Senate to express its will and to confirm Ms. Halligan without further delay."

As a U.S. senator, Obama joined the unsuccessful 2006 Democratic-led filibuster of Samuel Alito to join the Supreme Court. That effort failed, and Justice Alito has since carved a consistent conservative record in the court.

Democrats had defended Halligan as a "superbly qualified nominee," in the words of Leahy. Sen. Chuck Schumer, D-New York, who along with colleague Sen. Kristen Gillibrand spearheaded the nomination, called her a "moderate" and said Republicans have distorted her record.

Also renominated for the D.C. Circuit is Sri Srinivasan, the principal deputy solicitor general at the Justice Department, who has argued more than 20 cases before the Supreme Court. He would be the appeals court's first Asian-American, if confirmed. Unlike Halligan, Srinivasan has not even had a committee vote, the procedural first step to getting final floor confirmation.

Obama had nominated 33 people to the federal bench in January, including Halligan, saying at the time that many had waited more than six months for a vote. "I urge the Senate to consider and confirm these nominees without delay, so all Americans can have equal and timely access to justice," the president said.

On Tuesday, White House press secretary Jay Carney expressed frustration about the confirmation process, particularly involving Halligan.

"When Republicans filibustered her nomination in 2011, several of them hung their objections not on her qualifications or her judicial philosophy, but on the D.C. Circuit workload. In essence, they didn't object to her as a judge, just that the seat did not need to be filled. But since then, there has been an additional vacancy," with 188 pending cases at the court.

Republicans were criticized for delaying floor votes on many nominees in the president's first term in office. But the White House, too, has come under fire for not moving quickly to fill growing bench vacancies.

Some moderates from both parties have long lamented threats of delays and filibuster attempts of most presidential appointments. They say ongoing unfilled vacancies have created a crisis in many federal courts, with bulging dockets being handled by too few judges.

@highlight

Obama says his judicial nominees have waited too long, blames GOP obstruction

@highlight

President nominated New York attorney Caitlin Halligan to D.C. appeals court in January

@highlight

Sen. Patrick Leahy: "Republicans resorted to smearing her distinguished record of service"

@highlight

Sen. Jeff Sessions: Halligan "has a well-documented record of advocating extreme positions"