(CNN) -- It's the most complex construction project in history.

NASA's funding of the international space station is scheduled to end in 2016.

Flying 250 miles overhead, the international space station can be seen with the naked eye, orbiting the Earth every 90 minutes, usually carrying a crew of six. Now, before construction of the station is even complete, there is already talk of when the lights will be turned off.

NASA is waiting for the Obama administration to decide how much longer the station will fly and exactly which direction the U.S. space agency will take next -- a return to the moon, or maybe a trip to Mars?

The initial phase of the international space station was launched in 1998, although the station is still being expanded. The U.S. is one of 16 countries that help build and operate the station, whose laboratory runs a number of science experiments, including measuring the effects of space conditions, such as weightlessness, on humans.

The U.S. contribution to the space station so far: $44 billion. (NASA says it does not keep track of contributions from the other 15 partners.) NASA's funding of the space station is currently scheduled to end in 2016.

"The general idea that we would spend approximately 11 years building the space station, get it to its full operational capability, and then kind of abandon it a few years later ... doesn't make a lot of sense," said Robert Braun, a former NASA chief engineer. Braun currently is the director of Georgia Tech's Space Systems Design Laboratory.

An independent committee reviewing the future of U.S. human spaceflight recently recommended to the White House that the station's life be extended to 2020.  Watch more on the future of the space station »

"You've got all of these different countries working together on this common project in space. And if we go ahead and stop ... it's going to break up that framework," said Leroy Chiao, a former space station commander and shuttle astronaut who sits on the advisory panel.

"The different countries around the world will lose confidence in the U.S. as a leader in space exploration," he said.

But the committee also found that the U.S. space program appears to be pursuing goals that exceed current funding levels. So it will be up to the Obama administration to chart a new course.

NASA has been planning on retiring the aging space shuttle fleet upon completion of the space station in 2011. That shuttle funding was to be used instead for NASA's next great endeavor -- the Constellation Program, which would take astronauts back to the moon.

But that means NASA would no longer have its own spacecraft to ferry astronauts to the space station. Until a new space vehicle is ready to fly, the U.S. will have to hitch a ride on Russia's Soyuz capsule.

One of the options the advisory committee has recommended is that NASA fly shuttles on a reduced schedule through 2015 to help close that gap, Chiao told CNN.

"That gap is real," he said. "It's going to be there, and the only access we're going to have [to the space station] is to buy seats on the Russian Soyuz."

Part of the problem with the U.S. space agency's funding gap, according to some experts, is that NASA's culture is to build.

"We're always looking for that next engineering or construction project," said Marco Caceres, a senior analyst on aerospace at the Teal Group.

"But the big thing is the science, and you can't sell that to the public. It's not sexy," he said. "So NASA keeps moving on to other things, without putting the really hard work into doing what will benefit the people the most -- doing the things that station was designed to do in the first place."

Until now, the majority of the science done in space involves human experiments with microgravity. Such research is considered essential for long-duration missions on the space station, or for future trips to the moon or Mars. Biomedical challenges such as bone loss, cardiovascular issues, psychosocial issues and exposure to radiation must be resolved before humans can venture too far from Earth for too long.

While promised space research on diseases like Parkinson's and Alzheimer's hasn't happened yet, some space science has brought encouragement.

Astrogenetix, a private company, has used the zero-gravity environment aboard space shuttle flights to develop a salmonella vaccine, which is moving through the Food and Drug Administration's approval process. Growing the bacteria in space is much easier than it is on Earth.

"That process on Earth ... can take up to 10 years. And we send it up to space, for really three trips, and we found that we already had a vaccine for salmonella," said company Chairman Thomas Pickens.

Astrogenetix also conducted an experiment on the last shuttle flight aimed at producing a vaccine for MRSA, a highly resistant staph infection.

Pickens said that up until now, the space station hasn't been a viable location for long-term, commercialized experiments.

"They've been under construction, and you wouldn't do heart surgery in the middle of a construction site for a skyscraper," he said.

Now all NASA needs is direction from the White House -- and, of course, money. The station's backers say you don't spend a fortune constructing a customized house only to knock it down. But NASA also may need to conserve funds for a possible mission to Mars.

Observers should find out soon whether the hope of groundbreaking science is enough for Obama to keep the space station aloft.

@highlight

President Obama must decide how long to fund the international space station

@highlight

NASA's funding of the space station is currently scheduled to end in 2016

@highlight

The station's laboratory can conduct valuable science experiments

@highlight

Obama may wish to shift NASA funding instead to missions to the moon or Mars