Berlin (CNN) -- Germany's President Christian Wulff announced his resignation Friday following a series of scandals that prompted calls for him to step down.

The German presidency is a largely ceremonial office, but Wulff's resignation is seen as a blow to Chancellor Angela Merkel, who supported his candidacy as president.

However, it is unlikely to impact Germany's handling of the eurozone debt crisis, Carsten Brzeski, a senior economist at ING, told CNN.

In a brief televised statement, Merkel said she accepted Wulff's resignation with the "utmost respect and deepest personal regret."

Wulff had put the interests of the general public to the fore in deciding to resign, Merkel said.

In a separate televised statement, Wulff said Germany "needs a president who can devote himself completely to national and international challenges" -- and one who commands the trust of a wide majority of citizens.

"The developments of the past days and weeks have shown that this trust and therefore confidence in my ability to serve have been adversely affected," he said.

"For this reason, it is no longer possible for me to continue in my role as president."

The scandal involves alleged political favors and financial impropriety while he was state premier of Lower Saxony.

The Hanover prosecutor's office called Thursday for the government to waive the president's immunity from prosecution, in light of the evidence it had gathered.

"Following extensive analyses of new documents and the evaluation of further media reports, the Hanover Public Prosecutor's Office now has sufficient factual evidence and therefore grounds for initial suspicion of receiving bribes or being granted advantages," it said in a statement.

"(The Office) therefore proposes to the president of the German Parliament that immunity for the federal president be waived."

The Hanover prosecutors are investigating David Groenewold, a German film producer, alongside Wulff.

At the center of the issue is a story -- first reported on by the German tabloid BILD in mid-December last year -- that Wulff received a low interest, â‚¬500,000 ($649,000) private loan from the wife of a wealthy friend while still governor of Lower Saxony.

This was followed by intense criticism when it emerged that Wulff had attempted to prevent the paper from publishing the story. Trying to put a lid on any negative media coverage, Wulff left an angry message on the answering machine of BILD's editor-in-chief Kai Diekmann before it reported on the loan.

Although Wulff eventually apologized to Diekmann, the former president has always maintained that he did nothing wrong throughout the course of the scandals -- something he reiterated during his resignation speech.

"I have always behaved legally correctly in the offices I held," he said. "I have made mistakes, but I was always honest."

Merkel said Wulff's presidency would be remembered for his efforts to promote a modern, tolerant Germany.

She added: "With his resignation, President Wulff reiterated his conviction that he always behaved legally correctly in office and in service to the people of our country. I express my utmost respect for this position."

The members of her governing coalition would now discuss who should stand for election in his place, she said, in consultation with other political parties.

Merkel had been due to meet Italian Prime Minister Mario Monti in Rome to discuss the eurozone crisis but canceled the trip amid the political storm over Wulff, who belongs to her party.

However, Brzeski said that Wulff's resignation should not have any direct impact on Germany's handling of the eurozone crisis in the short term, given his almost entirely ceremonial role.

"Even if it is the highest official office in Germany, he has no say at all in the government's policy toward the crisis," Brzeski said.

However, in the medium term the Wulff affair could weaken Merkel's position in domestic politics, he said, which could affect her ability to win parliamentary votes on the eurozone's bailout fund, the EFSF, and a second bailout package for Greece.

Merkel has not had involvement in any of the scandals. But Wulff's departure comes within two years of the resignation of his predecessor, Horst Koehler, who was also backed by Merkel -- raises a question mark over her judgment, Brzeski added.

Merkel's decision to liaise with the Social Democrats and the Greens on finding a replacement for Wulff is a break from her earlier stance in 2010, when she insisted on Wulff as successor to Koehler, who resigned following controversial comments in which he suggested military deployments were vital to Germany's economic success.

The chairman of the Social Democrats (SPD), Sigmar Gabriel, said Wulff's decision had been long overdue.

"Germany needs a new beginning," he said. "I'm assuming that the leaders of the CDU and Federal Chancellor Merkel won't for the third time be selecting a new candidate with purely partisan motives. They have to include all political parties in their discussions to find a consensus candidate."

The Greens' parliamentary leaders, Renate KÃ¼nast and JÃ¼rgen Trittin, said they were "relieved that Christian Wulff has finally unburdened the country from agonizing debate with his resignation."

Wulff, who was the state premier of Lower Saxony for seven years, was one of Merkel's biggest rivals within the Christian Democrats before being elected to the presidency in 2010.

It took three rounds of voting in the Bundestag, or German parliament, before he won enough backing from lawmakers to assume the role. German presidents are elected by the Federal Convention, comprised of parliament members.

Wulff was born in Osnabruck, Lower Saxony, in June 1959 and went on to become a lawyer, according to the official website of the presidency.

He first entered local politics as a member of the CDU party in 1986 and was elected to Lower Saxony's parliament in 1994. He was chosen as state premiere by lawmakers in his party following elections in 2003.

He was the 10th president to serve in the Federal Republic of Germany. He has been married twice and has two children of his own and a stepson.

CNN's Christopher Cottrell, Laura Smith-Spark and Kendra Wates contributed to this report.

@highlight

NEW: The resignation will not affect Germany's handling of the eurozone debt crisis - analyst

@highlight

Hanover prosecutors say they have "grounds for initial suspicion of receiving bribes"

@highlight

Chancellor Angela Merkel says she accepts Wulff's resignation with deep regret

@highlight

Recent developments have eroded public trust and confidence in him, Wulff says