(CNN) -- It's been almost six months since the January 12 earthquake that devastated my beloved Haiti. Speaking for myself -- not for my organization Yéle Haiti -- I will say it: Speed is of the essence. I feel that progress is being made at the speed of a turtle.

With the amount of money that has been raised to help our country, I was expecting to see construction projects. I was expecting to see thousands of heavy tractors and loaders lifting up rubble. I was expecting to see people relocated from tents and starting to get into temporary housing. And yet, during my last visit, just a few weeks ago, I saw very few, or none, of these.

We need to work together -- no one organization or government can succeed without the help and cooperation of others. We need to work together for the people there who so badly need our help. The country needs to grow in all areas, from agriculture to health care.

Many people have been working very hard with the recovery efforts since that terrible day. Many of us were there the day after the quake, and we've gone back many times since, to deliver much-needed supplies and plan ways to rebuild -- and really just to try to help the people. Unless you've been there yourself, you can't imagine the terrible conditions that still exist for so many.

Impact your world: How you can help Haiti

At last count, about 1.6 million Haitians are still living in the tent camps, without enough food, or a sufficient supply of water, and certainly without any feeling of safety or security. All of these refugees are dependent on donations and have no means to support or sustain themselves.

And this doesn't even include the countless people who have been reluctant to leave their land and their destroyed homes, so they are living with very little shelter on their property, in tents they've fashioned from whatever materials they could find. The unemployment rate of the country is tragic -- it's between 70 and 80 percent.

At Yéle Haiti, my wife, Claudinette, and I and the staff have been doing what we can. We recently met with Leslie Voltaire, Haiti's special envoy to the United Nations, who is charged by President René Préval with facilitating the international community's efforts to make sure there's effective aid management and delivery through the offices of Bill Clinton, the U.N.'s special envoy to Haiti. So we brought Leslie to a property where we are working to show him what we're doing.

We showed him how we've been serving water. We reviewed with him our plans for Yéle Kitchen, the sustainable kitchen project we are funding, which will provide hot meals for children in schools and orphanages, and which will also provide vocational training for its workers, who will be able to sell some of the food they cook.

Then we showed him the most important project we're working on: the temporary housing that we want to create that would become permanent homes. We're proposing a city called Exodus. We could then start to relocate families who don't have homes into this new place.

We want to work with the government to rebuild, and we want to help get families into new homes. We suggest starting with a model; the goal for Exodus is to eventually build 1,000 homes, which translates to housing for 5,000 people. We are working with the government on agreeing to a site in the area of Croix-des-Bouquets for building our first hundred units.

If the government works with us in identifying people to relocate, Yéle would start with that piece of land, which has a great agricultural component to it. People will be able not only to live in the housing we're planning to build, but also to plant on that land, grow on that land, then sell their crops from stands on the streets or to commercial markets.

In this way, we won't just be giving these families shelter, we'll be giving them a way to sustain themselves, either by growing their own food or -- ultimately, this is our wish -- growing enough so that they'd be able to sell some of the produce and have an income.

We need to bring business back to Haiti, we need to focus on jobs -- and, of course, education. As we reach the six-month mark, let's make a renewed commitment to cooperate, collaborate, do whatever it takes to make sure the next six months are eventful in terms of real progress.

Let's do what we have to do to see things start to move more quickly. No more turtle speed; let's try to pick up the pace of Haiti's rebirth.

The opinions expressed in this commentary are solely those of Wyclef Jean.

@highlight

Haiti's devastating earthquake happened six months ago

@highlight

Wyclef Jean says many are working to help Haiti recover, but progress seems to be slow

@highlight

More than a million Haitians are still living in tent camps and are badly in need of help, he says