(CNN) -- When Indian Prime Minister Narendra Modi visits the White House next week, he will carry with him grand hopes for a re-energized partnership between his country and the United States. Fresh off a landslide victory in the Indian elections, Modi has seized an outright majority in parliament and a mandate for sweeping domestic reform. For years, the former chief minister of Gujarat faced an American visa ban due to his alleged role in violent riots. Now, the new premier's visit represents a key opportunity to recharge a critical bilateral relationship.

It's one the United States and India should seize.

Routinely described as "natural allies," India and the United States have over the past year seemed more like estranged partners, united more by a sense of dashed expectations than by a shared approach to common challenges.

India's economy, which grew 7.4% annually between 2000 and 2011, fell to 4.5% growth in 2012 and has rebounded only slightly since. The economic slowdown prompted a more inward focus in New Delhi and questions in Washington about India's ability to generate national power.

At the same time, key agreements went unsigned or unfulfilled, including a landmark civil nuclear accord, defense pacts aimed at deepening security cooperation and a stalled bilateral investment treaty. Indian government officials expressed worry about Obama's stated commitment to withdraw all troops from Afghanistan; Americans had their own concerns about India's disinclination to apply sanctions on Iran. The fallout from the December 2013 arrest in New York of India's deputy counsel general brought relations to a new low.

Albright: Why Modi visit crucial for U.S., India, world

Nevertheless, the strategic logic compelling closer bilateral ties remains sound. The United States and India share interests, including ensuring a stable Asian balance of power, expanding economic relations, preserving access to the global commons, countering terrorism, expanding access to energy sources and supporting the expansion of human rights. India and the United States view similarly the challenge posed by China's rise, seeking strong economic ties with China and good diplomatic relations with Beijing while hedging by strengthening relations with other regional powers -- including each other. Stronger ties with India signal that the United States remains committed to an enduring presence in Asia and helps ensure that China ascends in a region where the great democratic powers are also strong.

Despite -- or perhaps because of -- the underlying strategic rationale for closer partnership, American and Indian leaders have too frequently sounded more romantic than realistic about the possibilities. Rarely does a speech lack either a reference to the natural affinities between the "world's oldest democracy and the world's largest democracy" or high-flying rhetoric about the ease with which "natural allies" should work together. But invoking such romance risks raising expectations of effortless achievement, as if the compelling logic of two liberty-loving great powers working in harmony is itself sufficient to propel the relationship forward. The reality is more difficult and continuing to build a true strategic partnership will take senior-level ownership, hard work and the expenditure of diplomatic capital.

Modi's visit should mark a new step toward that goal. An ambitious but realistic agenda of deepened political, economic and security ties would reverberate in the Indo-Pacific region and beyond. As the two country's leaders chart the next phase of the U.S.-India relationship, they should outline a path forward that encompasses new activity in a broad range of areas. Boosting economic and defense ties and enhancing regional cooperation should be at the top of the agenda.

In practical terms, Washington and New Delhi should press ahead to complete their bilateral investment treaty negotiations, for instance, seek a resolution to their differences at the World Trade Organization and jump start trade liberalization talks. They should complete the implementation of the civil nuclear agreement and renew and expand their defense framework agreement, which expires next year. And they should deepen regional cooperation, including through dialogue on the shape of Afghanistan after the 2016 withdrawal of American troops and by reviving the U.S.-India-Japan-Australia Quadrilateral Security Dialogue.

Modi's visit to the United States represents an important opportunity to rejuvenate bilateral ties after a period of malaise and inattention. Once the pomp and ceremony of the visit have passed, the two countries must ensure that it does not represent a one-off attempt but rather the beginning of renewed attention to a relationship that requires constant tending. In so doing, they can deepen the transformation of relations between two great powers, anchor an Asian balance of power, spur growth in both countries and smooth the rise of the world's largest democracy. In a world awash with intractable challenges, this is an investment worth making.

@highlight

Indian Prime Minister Narendra Modi is visiting the United States

@highlight

India, U.S. have seemed like estranged partners, writes Richard Fontaine

@highlight

Modi's visit to U.S. is an opportunity to rejuvenate bilateral ties, Fontaine says