(CNN) -- Less than three months after New Jersey Gov. Chris Christie cruised to an overwhelming reelection win, the main political question he faces isn't whether he can make a transition to the national stage and run for president -- it's whether he can continue to govern the state at all.

Negative press about the so-called Bridgegate scandal -- an apparent decision by top Christie aides to close lanes on the George Washington Bridge and snarl traffic for days on end, allegedly out of petty political spite toward local officials -- has taken a severe toll on Christie's national prospects: A recent poll confirms that he has tumbled from first to third place as a potential 2016 presidential candidate.

But that could prove to be the least of Christie's headaches. A more pressing matter is raised by a short, devastating letter penned by Alan Zegas, the lawyer for a former top aide to Christie, David Wildstein, and published on the New York Times website.

The immediate point of the letter was to press the Port Authority, the agency that operates the George Washington Bridge, to pay Wildstein's legal expenses. But it's not just a financial dispute.

If Wildstein, who personally oversaw the lane closures, was following orders requested or approved from on high, he can demand legal protection by the agency. But by refusing to cover his costs, the Port Authority is saying, in effect, that Wildstein was acting on his own.

The letter by Wildstein's attorney bluntly suggests otherwise: "It has also come to light that a person within the Christie administration communicated the Christie administration's order that certain lanes on the George Washington Bridge were to be closed, and evidence exists as well tying Mr. Christie to having knowledge of the lane closures, during the period when the lanes were closed, contrary to what the Governor stated publicly in a two-hour press conference."

Ouch.

The Christie administration hastily responded with a statement that the governor "had absolutely no prior knowledge of the lane closures before they happened and whatever Mr. Wildstein's motivations were for closing them to begin with."

But the damage was done: The scandal now has the potential to be carried directly into the inner circle of the Governor's office, and undermine his credibility.

Until now, Christie has employed a blunt but effective two-step strategy for containing the scandal. Step One: Summarily fire and publicly condemn deputies who were linked to the scandal. Step Two: Plead utter ignorance as to how or why these top aides would engage in unethical or illegal behavior.

The strategy was never quite plausible -- Christie, a former prosecutor, has a reputation as a hands-on manager whose aides don't stray far without permission -- and it's a risky gambit: By publicly denigrating fired members of his inner circle, Christie opens himself to the possibility of disgruntled ex-employees going public with information that is embarrassing, or even incriminating.

One can only imagine what Wildstein was thinking during Christie's two-hour press conference, in which he blasted Wilstein and another fired ex-aide, Bridget Ann Kelly, for "abject stupidity."

"What did I do wrong to have these folks think it was OK to lie to me?" he said during the press conference.

Adding insult to injury, Christie went so far as to say that Wildstein, often described in the press as a high school friend, wasn't really a Christie pal.

"David and I were not friends in high school. We were not even acquaintances in high school," Christie said. "We didn't travel in the same circles in high school. You know, I was the class president and athlete. I don't know what David was doing during that period of time."

At least one commentator, Michael Tomasky, thinks that personal snub might make Wildstein more inclined to turn on Christie. "What if Wildstein is sitting on some goods? Is he going to be happy being dismissed as too geeky for Christie to waste his time on back in high school?" Tomasky asks, concluding: "The nerd is striking back."

As a matter of political technique, Christie's swift firings and forceful denials seem credible in the short term -- but they also echo at least one time when the denounce-and-fire tactic backfired. In 2010, after New Jersey's request for millions in federal education funds was rejected -- in part because the final request lacked key budget estimates -- Christie publicly castigated and fired his education commissioner, Brett Schundler, allegedly for lying to him about what went wrong with the application.

But Schundler swiftly struck back, producing e-mails and other documents that showed he had, indeed, told Christie up front about the application's shortcomings.

"I will not accept being defamed by the Governor for something he knows I did not do," wrote Schundler. "The Governor called me a liar this week. That was the last straw."

The Schundler episode is important. Will Christie's strenuous denials of knowledge of Bridgegate -- and his suggestion that his top aides lied to him -- hold up under scrutiny?

Indeed, the state's most powerful newspaper, the Star-Ledger, is already warning Christie that the end may be near. Within hours of the publication of Wildstein letter suggesting Christie knew about Bridgegate, the paper published a hard-hitting editorial.

"If this charge proves true, then the governor must resign or be impeached. Because that would leave him so drained of credibility that he could not possibly govern effectively," the editorial says. "He would owe it to the people of New Jersey to stop the bleeding and quit."

For Christie, it's been a long, bumpy road. He began November with a spectacular reelection and a coveted spot on the cover of Time Magazine. He enters February with troubling hints that his governorship may be damaged beyond repair.

The opinions expressed in this commentary are solely those of Errol Louis.

@highlight

Bridgegate has hit New Jersey Gov. Chris Christie's national prospects hard

@highlight

His response to the scandal seem credible in the short term, says Errol Louis

@highlight

Louis: The strategy was never quite plausible; Christie has a hands-on reputation

@highlight

Louis: Pushback from a former aide and fired education commissioner is damaging