Moscow (CNN) -- Just before Syrian security forces launched a large-scale military operation in the southern town of Daraa in the early hours of April 25, the commander of the 35th Special Forces Regiment, Brig. Gen. Ramadan Mahmoud Ramadan, allegedly gathered his troops and explained their mission. "Use heavy shooting. Nobody will ask you to explain," the brigadier said, according to "Amjad," one of the many defectors I have interviewed in the last months.

Amjad explained to me that normally the troops were supposed to save bullets, but this time it was different. "The commander said to use as many bullets as we wanted."

Over the next four days, security forces in Daraa killed around 200 people (Human Rights Watch documented the abuses at the time by interviewing victims and witnesses) and arrested thousands, subjecting many to beatings and torture. Since then, Amjad and more than 60 other defectors from Syria's military and intelligence agencies have given us crucial information about who was responsible for abuses across the country. They provided consistent accounts of officers giving similar orders to military units all over Syria, at different times. The orders were to stop the protests "by all means necessary." In many cases, they said, officers gave orders to fire directly at protesters.

The defectors told us that some soldiers reacted by throwing away their weapons and making a run for it. Others aimed above the protesters' heads or to the ground. But that was dangerous. Eight defectors told us that they saw officers and intelligence agents killing soldiers who disobeyed orders. Others were detained and tortured. We are not publishing the defectors' names and locations to protect them and their families.

All these statements demolish President Bashar al-Assad's claim that the bloodshed is the result of a few rogue commanders getting overly enthusiastic on crowd control. The defectors' testimonies paint a horrific picture of a widespread and systematic crackdown against demonstrators: torture, arbitrary arrests and a "shoot to kill" policy that clearly amount to crimes against humanity.

Al-Assad and his allies have sought to portray the protesters as "armed gangs sponsored from abroad." In more than nine months of investigations in Syria, we have documented episodes of fighting, and attacks on security forces by armed defectors have increased. But the vast majority of protests that we documented were nonviolent, and the government's use of force was clearly excessive compared with any threat facing troops.

The Syrian leadership has so far gotten away with murder, in part because the Russian government, one of Assad's staunchest allies, has blocked action on Syria at the U.N. Security Council and continues to supply Syria with arms. The Syrians whom I interviewed were well aware of Russia's obstructionist position. As Ghassan, a former officer, was serving tea during our interview, he suddenly stopped and looked at me with suspicion. "I heard you are Russian -- if you say that you support their position on Syria, you won't get any tea!" He was joking, of course, but his anger at Russia was real.

Since Russia blocked Security Council action in October, Syrian security forces have killed more than 2,000 people, according to the U.N. high commissioner for human rights, Navi Pillay. Russia's continued obstruction sends a signal to the Syrian government that it can continue its violent crackdown with impunity.

It is difficult to conduct human rights investigations on Syria, since the government has barred most journalists, human rights monitors and even a U.N. commission of inquiry. But it is not impossible. I managed to enter Syria and speak safely with victims there, and we continue to interview witnesses in neighboring countries. We've spoken to hundreds of Syrians with firsthand knowledge of abuses. And in a report Human Rights Watch released Thursday, we're naming 74 commanders, from generals to colonels to captains, who allegedly ordered, authorized or condoned the abuses.

But responsibility for these crimes does not stop with the commanders on the ground. Under international criminal law, al-Assad, as commander in chief of all forces in Syria, bears responsibility for the most serious crimes committed by his forces -- even if he did not order them -- to the extent that he knew or should have known about the abuses and failed to prevent them. Given the widespread public and international criticism of the abuses, it would be incredible for al-Assad to argue that he did not know.

Pillay told the Security Council this week that the death toll in Syria tops 5,000, including 300 children killed. Amjad's commander may have told his troops that "nobody will ask you to explain," but he was wrong.

It's time for the Security Council to act: to impose an arms embargo on Syria, to apply targeted sanctions to al-Assad and his circle of cronies, and, most important, to refer Syria to the International Criminal Court in The Hague. That is where Ramadan, his fellow commanders and his bosses will have to explain themselves and where their many victims will receive justice.

The opinions expressed in this commentary are solely those of Anna Neistat.

@highlight

Anna Neistat: Defectors say Syrian military told them to use "heavy shooting" in Daraa attack

@highlight

She says al-Assad must take responsibility for killings, torture reported by defectors

@highlight

She says Russia has helped block Security Council action

@highlight

Neistat: Syria must face arms embargo, sanctions, referral to International Criminal Court