(CNN) -- In the heart of Northern California's wine country, piles of stemware lay shattered on the ground.

Building facades in historic downtown Napa crumbled into the streets.

And residents who enjoyed decades of calm received a harsh reminder that intense quakes can strike anytime.

"I was in shock to see people's homes and offices on the floor," Napa resident Elise Martinez said. "This is life-changing."

But even as the Bay Area tries to clean up from its strongest earthquake in 25 years, the tremor could have been much worse.

No one was killed in the 6.0-magnitude earthquake that jostled residents awake early Sunday.

The Queen of the Valley Medical Center said it has treated "approximately 208" patients since the earthquake struck. Of those, 17 were admitted to the hospital, and one is still in critical condition.

The majority of patients sustained injuries that were not life-threatening.

But the hospital has not seen any patients related to the earthquake since 11 p.m. PT Sunday.

Although 70,000 customers lost power after the quake, power was restored for all customers Monday afternoon, according Pacific Gas and Electric.

'We need more help'

Still, the recovery will be daunting.

"Everything and everyone in Napa was affected by the quake," said CNN iReporter Malissa Koven. "My house, along with everybody else's, is a disaster. It looks like somebody broke in and ravaged the place, room by room."

Napa City Manager Mike Parness said the damage is beyond what the city can handle.

"We have exhausted our local resources," he said. "We need more help from the outside."

California Gov. Jerry Brown declared a state of emergency.

The earthquake triggered six major fires that destroyed several mobile homes, Napa Division Fire Chief John Callanan said.

Safety measures are still in effect for dozens of buildings across the city.

Upwards of 200 commercial and noncommercial structures have been marked by yellow tags, meaning "property owners can go into the building to clean up but have been advised not to occupy until further notice," said Rick Tooker, Napa community development director at a news conference Monday evening.

"Seventy commercial and noncommercial structures have been red-tagged and cannot be occupied," added Tooker.

And it could take up to a week to get the water system back to normal after dozens of reported water-main breaks, Napa Public Works Director Jack Rochelle said. But he said running water is safe to drink.

More aftershocks expected

About 50 to 60 aftershocks rattled the area in the hours after the quake, said John Parrish, chief of the California Geological Survey. The strongest had a magnitude of 3.6.

"We do think the aftershocks will continue for several weeks," Parrish said.

The quake was the strongest to hit the Bay Area since 1989, when a 6.9-magnitude temblor struck during the World Series. The Loma Prieta earthquake caused 63 deaths, 3,757 injuries and an estimated $6 billion in property damage, according to the U.S. Geological Survey.

The damage from Sunday's earthquake was relatively minor compared with the buckled highways and destroyed homes 25 years ago.

But some said Sunday's quake seemed more intense.

"Honestly, it felt much worse than the '89 earthquake," CNN iReporter Garret Gauer said. "The refrigerator relocated itself to the other side of the kitchen."

One child hurt when a fireplace collapsed was airlifted to UC Davis Medical Center, hospital spokeswoman Vanessa deGier said.

Nearly 160 people were treated for minor injuries at the emergency room at Queen of the Valley Hospital, though hospital CEO Walt Mickens could not confirm that all of those patients were injured in the earthquake.

How did it feel?

Sunday's earthquake was centered 6 miles southwest of Napa and 9 miles southeast of Sonoma, according to the USGS.

The U.S. Geological Survey estimated based on their locations that 15,000 people experienced severe shaking, and 106,000 people felt very strong shaking.

The quake struck about 7 miles deep and was considered "strong" by the Geological Survey. Major quakes start at a 7.0 magnitude, according to the agency's scale.

The economic loss will probably top $1 billion, according to USGS data.

At Silver Oak Winery, owner David Duncan tried to clean up hundreds of broken wine bottles that tumbled off the shelves.

"Those bottles were very unique," he said. They were part of his private collection and worth hundreds of dollars.

California Lt. Gov. Gavin Newsom stressed that it's not just the wine country that needs help.

"There's a mythology about Napa, that it's all fancy wineries," Newsom said. "But underneath that there are a lot of folks here -- very low income -- that are going to need support."

Follow the story in a CNN Storify.

Did you feel it? Weigh in at Facebook, Twitter or CNN iReport.

CNN's Dan Simon, Susanna Capelouto, Josh Levs, Melanie Whitley, Dave Alsup, Scott Thompson and Carma Hassan contributed to this story

@highlight

"Approximately 208" patients have been treated since the earthquake struck

@highlight

"We have exhausted our local resources," Napa's city manager says

@highlight

California Gov. Jerry Brown declares a state of emergency