Boston (CNN) -- Out of sheer boredom, Susumu Ito, in World War II, became a forward artillery observer, one of the most dangerous jobs available.

"I lied to my mom and told her it was assigned," he recalled. "I didn't want to tell her I thought it was exciting."

Forward artillery observers are among the first to go behind enemy lines, scouting for enemy installations and troop formations, targeting them for artillery strikes. In combat, he used an artillery periscope to spot enemy positions and direct cannon fire.

Ito had been in the Army since 1940, but after the attack on Pearl Harbor, many Japanese-American soldiers were discharged, and even those kept on were disarmed and reassigned.

"They took our rifles away, they didn't know what to do with us," Ito said.

At first, the Army made him a mechanic, a job he found tedious.

"Except for reveille at 6 o'clock in the morning, we had duties that were entirely like civilians."

In 1943, the creation of the segregated 442nd Regimental Combat Team allowed Japanese-Americans to prove their loyalty to the United States. Ito and thousands of other Asian-Americans welcomed the chance to demonstrate their courage in combat.

"The majority got into the infantry, and that's what I expected, but I was happy to be in the artillery," he said.

On Wednesday, Ito, along with more than 1,000 members of the 100th Battalion, 442nd RCT, will be honored on Capitol Hill with a Congressional Gold Medal for their extraordinary accomplishments in World War II. The Congressional Gold Medal is the nation's highest civilian award.

Japanese-American WWII vets awarded special medal

During World War II, Ito watched as hundreds of men, including dozens of his friends, fell in battle. He witnessed prisoners in striped uniforms look back at their liberators with sunken eyes. He even got to walk around the Berghof, Adolf Hitler's residence near his famed "Eagle's Nest" retreat in the Alps.

Before deploying to Europe, Ito had seen and been behind the barbed wire that surrounded his family's barracks at Rohwer Relocation Center in southeast Arkansas. After the attack on Pearl Harbor, Japanese-Americans were labeled "enemy aliens," and more than 110,000 were sent to internment camps across the United States. Though he was concerned, Ito says that he and his family accepted this as something that had to be done.

"It was a strange feeling to have an armed guard give me a pass in order to be let in," he said.

Ito captured many of his wartime experiences with his small Argus camera. Under orders not to bring cameras, he brought one anyway, as he wanted to keep a record.

"It was quite unique because no one to my knowledge had a camera, they all obeyed orders. I bent them whenever possible."

Ito is now 92 years old, a retired Harvard Medical Emeritus professor who spends his days inside a laboratory using high-tech microscopy equipment to view his cell specimens.

His photographs still generate a range of emotions. Many are group shots of smiling war buddies, posing near their howitzers or against scenic backdrops. Some feature the capture of German soldiers or the damaged buildings of the Berghof, and others contain more solemn reminders of the concentration camps, which evoke a sense of indignation.

Ito's unit, the 522nd Field Artillery, liberated concentration camp prisoners from a subcamp of Dachau, a town in southern Germany.

"It was an awful feeling, hearing a Lithuanian teenager, in his gray uniform, translate what had happened," he recalled.

As he snapped photos of the survivors, he thought of his parents and the stark difference in treatment between the German and American camps.

"I have objected to Americans calling the U.S. relocation centers 'concentration camps,' because in my mind, they were nothing compared to the emaciated bodies and crematoria we found in Germany," he said.

The 442nd motto was "Go for Broke," a saying that rings true for the regiment's battle-hardened soldiers. Most notably, it related to the famous rescue of the Lost Battalion in France in October 1944, when around 230 men in the 141st Regiment, 36th Texas Division, were surrounded by German forces in the Vosges Mountains.

Ito still gets goose bumps talking about it. The 442nd dug foxholes in the dense woods, as trees burst and casualties mounted from shrapnel.

"It was so dark, you couldn't see the man in front of you," he said. Artillery continued to rain down on them.

On the fifth day, two infantry companies, plus 2nd Lt. Ito and his three men, were ordered to charge the hill and reach the 141st. The hill was later renamed Banzai Hill.

" 'Banzai' was a Japanese battle cry," Ito explained.

The Japanese were notorious for massed suicidal offenses, and now the Americans were directing the same charge at the Germans. Ito and the three men under his command were part of the K and I companies that sent up 371 men. Only 25 soldiers reached the battalion unhurt; including Ito and his three artillerymen.

"I lost so many colleagues in the rescue," Ito recalled, his voice hoarse. The 442nd suffered 800 casualties in less than a week. "I don't know why I was so fortunate. I'm very grateful for the time given to me. I aim to make the most of it."

Needless to say, Ito is proud of his regiment's accomplishments and humbled by the recognition after all these years. He believes this unit's dedication to American patriotism is finally being noticed.

"Despite the fact that we were rounded up, segregated and interned, I think the message I would like to spread is that our loyalty to the United States is unquestioned."

CNN's Amanda White contributed to this story

@highlight

Japanese-American Susumu Ito fought in the 442nd Regimental Combat Team in WW II

@highlight

Members of the 442nd RCT are being honored on Capitol Hill with a Congressional Gold Medal

@highlight

The Congressional Gold Medal is the nation's highest civilian award