(CNN) -- The European Union imposed fresh sanctions Friday on Bashar al-Assad's inner circle as the familiar sounds of gunfire and shelling rang out across Syria.

Ratcheting up pressure, the EU froze the assets of al-Assad's wife, Asma, and his mother, sister and sister-in-law, an EU spokesman said.

The women, among a dozen Syrians added to the sanctions list, are also banned from travel to EU nations, although London-born Asma al-Assad cannot be barred entry into Britain despite the EU ban.

"I cannot say to you in strong enough terms how much we are concerned about what's going on in Syria," said Catherine Ashton, the EU's foreign policy chief. "I'm really worried about the escalating spiral of violence there."

She said sanctions should never be underestimated as an important tool.

"Sanctions make a significant difference because they do two things: One is they target individuals and entities in ways that prevent them from carrying on their business as usual, and secondly, they make a strong political statement about how the international community feels about what's going on," she said.

The United States, the EU, the Arab League, Turkey and Japan have already slapped sanctions on Syria in an effort to deflate al-Assad's ability to finance attacks on his own people.

U.S. State Department spokeswoman Victoria Nuland cheered the EU freeze on Friday, saying it sent a strong message.

The bloodshed, however, has continued unabated.

Syrian forces took aim in rebel strongholds Friday as the opposition urged Syrians to take to the streets of Damascus to bring the fight to the capital.

The opposition is calling for "We are coming to Damascus" demonstrations as part of its desire to take the protests and, more important, the fight to al-Assad's stronghold.

At least 54 people were killed Friday, including three children, according to the opposition group Local Coordination Committees of Syria.

The organization said security forces were heavily deployed in Damascus and were firing tear gas and live ammunition in several neighborhoods. It reported fighting across Syrian cities including Homs, Daraa, Hama, Idlib and Aleppo.

The attacks on Friday, Islam's day of prayer, targeted mosques in many of those cities, the Local Coordination Committees said.

In recent days, close to 9,000 people have received aid -- such as food, blankets and mattresses -- in Idlib and Homs provinces, according to the International Committee of the Red Cross.

"The impact of fighting on the humanitarian situation has increased significantly since December. People have been killed or wounded and tens of thousands have fled their homes, leaving behind most of their belongings," according to a Red Cross statement.

Meanwhile, Kofi Annan, the U.N.-Arab League special envoy to Syria, planned to visit Moscow and Beijing this weekend for talks on the Syrian crisis, his spokesman said Friday.

The U.N. Security Council this week urged immediate implementation of a peace plan proposed by Annan. The 15-member body, including China and Russia, expressed full support for Annan's efforts.

Russia and China have vetoed Security Council attempts to pass resolutions condemning the al-Assad regime for its clampdown. The two countries said they want the violence to stop but argued that previous resolutions were not evenhanded.

Both have major trade deals with Syria, and again Friday they refused to condemn al-Assad's regime formally by voting against a U.N. Human Rights Council resolution that condemns "appalling human rights violations in Syria." The resolution passed 41-3, with Cuba casting the other negative vote.

British Foreign Office Minister Alistair Burt called the resolution another "very clear signal" that the international community will not tolerate human rights violations by al-Assad's regime.

Among the dead Friday were a 17-year-old and an elderly woman who were killed in heavy shelling in the besieged city of Homs, according to the London-based Syrian Observatory for Human Rights. Two people, including a 22-year-old in Douma, were killed by direct fire from snipers.

Homs has been a hotbed of anti-government sentiment during the yearlong uprising against the Syrian regime. The opposition said the corpses of 39 people killed this month were recovered from the city's Refaie district Wednesday.

The Syrian government, which routinely blames the violence on "armed terrorist groups," said a child and his brother were killed by one such group Thursday in Homs. Three people were also wounded in the attack, the state-run Syrian Arab News Agency reported.

Funeral services were held Friday for four soldiers and a civilian, reportedly killed by terrorists, SANA said.

In northern Aleppo province, heavy fighting was reported in and around Izaz, the Syrian Observatory for Human Rights said.

CNN cannot independently confirm reports of casualties or attacks in Syria because the government has severely restricted the access of international journalists.

The opposition is attempting to the strike back at al-Assad in Damascus after last week's clashes in the capital.

The opposition believes that gaining a stronghold in Damascus would change the nature of the conflict, with al-Assad being forced to defend his positions within the city rather than take the fight to other provinces.

Friday's protests were promoted on Facebook, and they come a day after an al Qaeda-linked website posted a statement from a group calling itself Jabhat al-Nasra claiming responsibility for a recent bombing in Damascus. The statement said it was the group's first news release.

The rebel Free Syrian Army and Syrian National Council have pointed fingers at the Syrian government, saying they believe the regime set up a proxy group to take the blame.

U.N. officials have said the Syrian conflict has killed more than 8,000 people, while opposition activists put the toll at more than 10,000.

CNN's Saad Abedine and Arwa Damon contributed to this report.

@highlight

NEW: At least 54 people were killed Friday, says an opposition group

@highlight

Aid is delivered as tens of thousands of people have fled, the ICRC says

@highlight

The U.N. Human Rights Council adopts resolution condemning the Syrian regime

@highlight

Special envoy Kofi Annan will discuss the crisis with Russia and China this weekend