(CNN) -- What may be the worst flooding since 1927 turned communities across Vermont on Sunday into islands, as high, fast-moving waters swamped roads and shredded some of the state's iconic covered bridges.

In some areas, homes knocked off their foundations by Hurricane Irene's wrath floated in lake and rivers. One woman was swept away in the Deerfield River in Wilmington and was feared dead, Gov. Peter Shumlin told CNN.

The flooding is so pervasive that officials had no clear idea Sunday night of the potential number of casualties, not to mention the full extent and cost of the damage.

"I think tomorrow we may find some bad things," said state police Capt. Ray Keefe. "I hope not."

The state was under a flash-flood watch Sunday night. Residents were told to expect 4 to 7 inches of rain through Monday morning.

Hundreds of roads remained closed. CNN iReporters provided astounding video images of flooding, especially in the southern part of the state. Military high-water vehicles were sent to Wilmington, which was cut off from outside access.

Keefe, who said the flooding was the worst he has seen in his 24 years with the department, described scenes of utter devastation.

"The storm essentially shut southern Vermont down," he said. "It's terrible."

While the state ordered no evacuations in advance, Shumlin said it was prepared for the storm and knew it was going to receive torrential rainfall. Because so many towns are in lowlands and because there are few large areas of dry land, large-scale evacuation was impractical, he said.

In the ski resort town of Ludlow, near Okemo in south-central Vermont, town communications officer Dave Vanguilder said about three dozen roads in the area were closed. Three or four bridges were washed out.

Montpelier, the capital in the north, reported worsening conditions Sunday evening. Portions of the city of 8,000 were evacuated and people were told to stay off the roads.

Jill Remick, from the state's emergency management division, said waters in the area -- where multiple rivers converge -- could rise as high as 20 feet, above the 17.5 feet that led to substantial flooding in May.

City Manager William J. Fraser told CNN Sunday evening that most of downtown, which has retail, insurance offices and boutiques, likely will be underwater by Monday. Many buildings already had water in them.

Fraser was concerned about contamination from flooded structures getting into the Winooski and North Branch rivers.

Montpelier, like most of the state, has saturated ground from snow and spring rains. A 1992 flood, caused by an ice jam, sent 4 to 5 feet of water downtown.

"We don't know what 20 feet looks like," Fraser said.

The state government complex likely will be safe, but at least one low-lying residential area is threatened and has been evacuated, he said. Residents were urged to leave flood-prone areas on Saturday.

With about 625,000 people, Vermont is often defined by its covered bridges, quaint communities and rolling hills, mountains and valleys. Its summers are typically serene, especially compared to sometimes snow-filled winters, yet the recent flooding attesting to the fact that Mother Nature -- for all its beauty -- also carries significant perils year-round in the Green Mountain State.

Many towns and cities are in valleys, next to rivers or downhill from flood runoff.

In Brattleboro, near the New Hampshire border, officials in the city of 12,000 were concerned about the structural integrity of bridges and roadways. Precautionary evacuations began Saturday night.

"We've seen nothing like this," said Town Manager Barbara Sondag. "We've had no loss of life and are very thankful."

The nearby Connecticut River was expected to crest Monday. And the town is as worried about the normally idyllic Whetstone Brook, a waterway that flows in from the west.

CNN iReporter David Cadran videotaped the brook's raging waters rushing through town.

Cadran, 23, said he and a friend were downtown when they spotted water starting to come down the road.

"Then police came through and said, 'You guys have to get out of here, there's a wall of water coming,' " he told CNN.

Soon thereafter, he noticed a home's "whole deck floating down the river," as well as numerous propane tanks. Much of the downtown area was soon immersed in four feet of water, according to Cadran.

"It was shredding everything that went through," he said of an area that children often go swimming in

Like Montpelier, Battleboro believes its water system will be in good shape. Sondag said the city is monitoring its sewer plant.

Mark Bosma, a spokesman for the state's emergency management division, described conditions as "awful" in many parts of the state with "some small towns ... entirely covered with water."

"There has been steady, heavy rains all day," he said. "We got reports of people stranded at schools and in cars. One woman was swept away in a river. Water is pretty much everywhere."

Another iReporter, William Battilana, said that Woodstock -- about 70 miles north of Brattleboro -- also had major flooding of the Ottauquechee River, with propane tanks from a storage yard scattered along the banks.

Vermont emergency management officials got a phone call that one woman was in labor and driving to the hospital before she was waylaid by flood waters, Bosma said.

"She couldn't get there, so she went to a school," he said. "She's doing fine now, things are stabilized, (and) we are making arrangements to get her out."

There were no mandatory evacuations ahead of the storm. Cadran said many dismissed the prospect that a hurricane -- that hits land about 120 miles away -- could do serious damage in Vermont.

"We get hurricanes here, and everybody kind of jokes about it saying, 'Please, we're so far inland,' " he said. "It's unlike anything that anyone in town has ever seen. People are totally in shock."

Town officials expect residents to band together and help with the clean-up.

"The attitude is fantastic," said Montpelier's Fraser. "People will work together."

CNN's Divina Mims contributed to this report.

@highlight

NEW: Ravaged state is under flash-flood watch

@highlight

NEW: Montpelier sees flooding downtown

@highlight

At least one town was completely cut off from outside access

@highlight

One man sees decks and propane tanks in fast-moving waters in Brattleboro