From the Vatican to Buenos Aires, Catholics worldwide rejoiced when Cardinal Jorge Bergoglio became the new pope.

He's the first Jesuit and the first Latin American in modern times to lead the world's 1.2 billion Catholics.

But in some ways, he's just a normal guy.

Here are five things to know about Pope Francis:

1. His name says a lot about him

Unlike other recent pontiffs -- John Paul II, Benedict XVI -- Pope Francis doesn't have a numeral after his name. That's because he's the first to take the name Francis.

Why Francis?

The pope wanted to honor St. Francis of Assisi, an admirer of nature and a servant to the poor and destitute.

St. Francis of Assisi was born the son of a rich cloth merchant. But he lived in rags among beggars at St. Peter's Basilica in Rome.

Talk Back: What kind of spiritual leader will draw people back to organized religion?

Those close to Pope Francis see similarities between the two men.

"Francis of Assisi is ... someone who turned his back on the wealth of his family and the lifestyle he had, and bonded with lepers and the poor," said the Rev. Thomas Rosica, the Vatican's deputy spokesman. "Here's this pope known for his care for AIDS patients and people who are very sick. Who is known for his concern with single mothers whose babies were refused to be baptized by priests in his diocese.

"He scolded those priests last year and said, 'How can you turn these people away when they belong to us? '"

Pope Francis, the pontiff of firsts, breaks with tradition

2. He's not actually the first pope from outside Europe

Sure, Francis is the first non-European pope in modern times. But back in the 8th century, a Syrian -- Pope St. Gregory III -- led the church from 731 to 741 A.D.

We've also had popes from Bethlehem (St. Evaristus, from 97 to 105 A.D.), Jerusalem (Pope Theodore I, from 642 to 649) and modern-day Libya (Saint Victor I, from 189 to 199). Several other Syrians have also been pontiff in the last few millennia.

Of course, the majority of popes have been Italian. But with Francis' appointment, the tide could be shifting to outside Europe.

First Latin American pope 'very exciting,' faithful say

3. He's a pope of the people

In some ways, Pope Francis is just a normal guy.

"The new pope is a very humble man," said the Rev. Eduardo Mangiarotti, an Argentine priest. "He takes public transport every day."

He also chose to live in an apartment instead of the archbishop's palace, passed on a chauffeured limousine and cooked his own meals, CNN Vatican analyst John Allen wrote in a profile published by National Catholic Reporter.

In his first public act as pontiff, Pope Francis broke with tradition by asking the estimated 150,000 people packed into St. Peter's Square to pray for him, rather than him blessing the crowd first.

"He is a very simple man," said Luis R. Zarama, auxiliary bishop of Atlanta. "It's very clear from the way he approached the people and asked them to bless him and pray for him. It's a beautiful sign of closeness and humility."

The pontiff broke with another tradition by refusing to use a platform to elevate himself above the cardinals standing with him as he was introduced to the world as Pope Francis.

"He said I'll stay down here," said Cardinal Timothy Dolan, archbishop of New York and the president of the U.S. Conference of Catholic Bishops. "He met each of us on our own level."

From public transport to popemobile: Bergoglio's journey

4.  He comes with a side of controversy

Francis opposes same-sex marriage and abortion, which isn't surprising as leader of the socially conservative Catholic church.

But as a cardinal, Francis clashed with the government of Argentine President Cristina Fernandez de Kirchner over his opposition to gay marriage and free distribution of contraceptives.

His career as a priest in Argentina coincided with the so-called Dirty War -- and some say the church didn't do enough to confront the military dictatorship.

As many as 30,000 people died or disappeared during the seven-year period that began with a coup in 1976.

Francis, in particular, was accused in a complaint of complicity in the 1976 kidnapping of two liberal Jesuit priests, Allen wrote. Francis denied the charge.

"The best evidence that I know of that this was all a lie and a series of salacious attacks was that Amnesty International who investigated that said that was all untrue," said Jim Nicholson, former U.S. Ambassador to the Holy See. "These were unfair accusations of this fine priest."

But Amnesty International said it did not investigate any individual for their specific involvement.

"Our research focused on the plight of the disappeared," said Susanna Flood, media director for Amnesty International.

Opinion: Francis, open up the church

5. He faces a host of challenges ahead

Francis takes the helm of a church that has been rocked in recent years by sex abuse by priests and claims of corruption and infighting among the church hierarchy.

He may need to find a way to draw new Catholics into the church where it is in decline, said Phillip M. Thompson, executive director of the Aquinas Center of Theology at Emory University.

And he'll also need to find ways of working with shifting viewpoints among Catholics. In the United States, for example, 90% of Catholics are using contraception and 82% think it is morally permissible.

"The church has conservative positions on human sexuality, bioethics, etc., but liberal positions on issues such as economic regulation, the death penalty and immigration," Thompson said. "A church divided against itself seems unlikely to renew our political or cultural structures."

Opinion: Humble, authentic and credible

@highlight

Pope Francis took his name from St. Francis, a servant to the poor

@highlight

The Argentinian is not the first pope from outside Europe

@highlight

He uses public transportation and refused to elevate himself on a platform above cardinals