Did you ever wonder what happens to your old laptop or cellphone when you throw it away?

Chances are some of your old electronic junk will end up in China.

According to a recent United Nations report, "China now appears to be the largest e-waste dumping site in the world."

E-waste, or electronic waste, consists of everything from scrapped TVs, refrigerators and air conditioners to that old desktop computer that may be collecting dust in your closet.

Many of these gadgets were initially manufactured in China. Through a strange twist of global economics, much of this electronic junk returns to China to die.

"According to United Nations data, about 70% of electronic waste globally generated ended up in China," said Ma Tianjie, a spokesman for the Beijing office of Greenpeace.

"Much of [the e-waste] comes through illegal channels because under United Nations conventions, there is a specific ban on electronic waste being transferred from developed countries like the United States to countries like China and Vietnam."

For the past decade, the southeastern town of Guiyu, nestled in China's main manufacturing zone, has been a major hub for the disposal of e-waste.  Hundreds of thousands of people here have become experts at dismantling the world's electronic junk.

On seemingly every street, laborers sit on the pavement outside workshops ripping out the guts of household appliances with hammers and drills. The roads in Guiyu are lined with bundles of plastic, wires, cables and other garbage. Different components are separated based on their value and potential for re-sale. On one street sits a pile of green and gold circuit boards. On another, the metal cases of desktop computers.

At times, it looks like workers are reaping some giant plastic harvest, especially when women stand on roadsides raking ankle-deep "fields" of plastic chips.

In one workshop, men sliced open sacks of these plastic chips, which they then poured into large vats of fluid.  They then used shovels and their bare hands to stir this synthetic stew.

"We sell this plastic to Foxconn," one of the workers said, referring to a Taiwanese company that manufactures products for many global electronics companies, including Apple, Dell and Hewlett-Packard.

Dirty, dangerous work

This may be one of the world's largest informal recycling operations for electronic waste. In one family-run garage, workers seemed to specialize in sorting plastic from old televisions and cars into different baskets.  "If this plastic cup has a hole in it, you throw it away," said a man who ran the operation, pointing to a pink plastic mug.  "We take it and re-sell it."

But recycling in Guiyu is dirty, dangerous work. "When recycling is done properly, it's a good thing for the environment," said Ma, the Greenpeace spokesman in Beijing.

"But when recycling is done in primitive ways like we have seen in China with the electronic waste, it is hugely devastating for the local environment."

According to the April 2013 U.N. report "E-Waste in China," Guiyu suffered an "environmental calamity" as a result of the wide-scale e-waste disposal industry in the area.

Much of the toxic pollution comes from burning circuit boards, plastic and copper wires, or washing them with hydrochloric acid to recover valuable metals like copper and steel. In doing so, workshops contaminate workers and the environment with toxic heavy metals like lead, beryllium and cadmium, while also releasing hydrocarbon ashes into the air, water and soil, the report said.

For first-time visitors to Guiyu, the air leaves a burning sensation in the eyes and nostrils.

Toxic tech

Studies by the Shantou University Medical College revealed that many children tested in Guiyu had higher than average levels of lead in their blood, which can stunt the development of the brain and central nervous system.

Piles of technological scrap had been dumped in a muddy field just outside of town.  There, water buffalo grazed and soaked themselves in ponds surrounded by piles of electronic components with labels like Hewlett-Packard, IBM, Epson and Dell.

The enormous animals casually stomped through mounds of sheet glass, which clearly had been removed from video monitors.

Flat screen displays often use mercury, a highly toxic metal.

"Releases of mercury can occur during the dismantling of equipment such as flat screen displays," wrote Greenpeace, in a report titled "Toxic Tech."  "Incineration or landfilling can also result in releases of mercury to the environment...that can bioaccumulate and biomagnify to high levels in food chains, particularly in fish."

Most of the workers in Guiyu involved in the e-waste business are migrants from destitute regions of China and poorly educated.  Many of them downplayed the potential damage the industry could cause to their health.

They asked only to use their family names, to protect their identity.

"Of course it isn't healthy," said Lu, a woman who was rapidly sorting plastic shards from devices like computer keyboards, remote controls and even computer mice.  She and her colleagues burned plastic using lighters and blow-torches to identify different kinds of material.

"But there are families that have lived here for generations ... and there is little impact on their health," she said.

Several migrants said that while the work is tough, it allows them more freedom than working on factory lines where young children are not permitted to enter the premises and working hours are stringent.

Used to be worse

Despite the environmental degradation and toxic fumes permeating the air, many in Guiyu said that conditions have improved dramatically over the years.

"I remember in 2007, when I first came here, there was a flood of trash," said Wong, a 20-year-old man who ferried bundles of electronic waste around on a motorcycle with a trailer attached to it.

"Before people were washing metals, burning things and it severely damaged people's lungs," Wong added.  "But now, compared to before, the [authorities] have cracked down pretty hard."

But residents who did not work in the e-waste business offered a very different take on the pollution in Guiyu.

A group of farmers who had migrated from neighboring Guangxi province to cultivate rice in Guiyu told CNN they did not dare drink the local well water.

They claimed if they tried to wash clothes and linens with the water, it turned fabrics yellow.

The head of the group, who identified himself as Zhou, had another shocking admission.

"It may not sound nice, but we don't dare eat the rice that we farm because it's planted here with all the pollution," Zhou said, pointing at water-logged rice paddy next to him.

Asked who did eat the harvested rice, Zhou answered: "How should I know?  A lot of it is sold off ... they don't dare label the rice from here as 'grown in Guiyu.'  They'll write that its rice from some other place."

Not that surprising considering that the latest food scandal to hit the country earlier this month is cadmium-laced rice. Officials in Guangzhou city, roughly 400 kilometers away from Guiyu, found high rates of cadmium in rice and rice products. According to the city's Food and Drug Administration samples pulled from a local restaurant, food seller and two university canteens showed high levels of cadmium in rice and rice noodles. Officials did not specify how the contaminated rice entered the city's food supply.

CNN made several attempts to contact the Guiyu town government.  Government officials refused to comment on the electronic waste issue and hung up the phone.

However, it did appear that government efforts to restrict imports of foreign waste are reducing the flow of e-trash here.

"Why are they stopping the garbage from reaching us?" asked one man who ran a plastic sorting workshop.  "Of course it's hurting our business," he added.

Domestic e-waste grows

The Chinese government had some success regulating e-waste disposal with a "Home Appliance Old for New Rebate Program," which was tested from 2009 to 2011.

With the help of generous government subsidies, the program collected tens of millions of obsolete home appliances, according to the U.N.

Even if Chinese authorities succeed in limiting smuggled supplies of foreign garbage, the U.N. warns that the country is rapidly generating its own supply of e-waste.

"Domestic generation of e-waste has risen rapidly as a result of technological and economic development," the U.N. reported.  It cited statistics showing an exponential surge in sales of TV's, refrigerators, washing machines, air conditioners and computers in China over a 16-year period.

To avoid a vicious cycle of pollution, resulting from both the manufacture and disposal of appliances, Greenpeace has lobbied for manufacturers to use fewer toxic chemicals in their products.

The organization also has a message for consumers who seem to swap their phones, tablets and other computer devices with increasing frequency.

"Think about where your mobile phone or where your gadgets go," said Ma, the Greenpeace activist.

"When you think about changing [your phone], or buying a new product, always think about the footprint that you put on this planet."

@highlight

U.N. report: "China now appears to be the largest e-waste dumping site in the world"

@highlight

Products originally produced in China are now finding their way back as electronic junk

@highlight

The small town of Guiyu as been a major hub for the disposal of e-waste

@highlight

"When recycling is done in primitive ways ... it is hugely devastating for the local environment"