(CNN) -- The old adage "beauty is only skin deep" has turned out to be true, and filmmaker Timothy Greenfield-Sanders is a living witness.

For his latest documentary, "About Face: Supermodels Then & Now" -- premiering on HBO on Monday --- the lensman exposes a side of the fashion business rarely seen by the masses, in which some of the most legendary and beautiful clotheshorses open up about their triumphs and struggles in and out of the spotlight.

HBO is owned by CNN's parent company.

The hour-plus-long film, which debuted this year at the Sundance Film Festival, features interviews with household names like Christie Brinkley, Beverly Johnson, Calvin Klein, Isabella Rossellini, Christy Turlington Burns and Cheryl Tiegs alongside industry pioneers such as Carmen Dell'Orefice, China Machado, Eileen Ford, Pat Cleveland and Bethann Hardison.

Unlike other accounts of the fashion business -- such as popular fictional films like "Mahogany," "Zoolander" and "The Devil Wears Prada" and the documentary "The September Issue" -- "About Face" let the models do the talking.

"People go into the film thinking, 'Oh, it's going to be some kind of fluffy film about the fashion world,' and then they leave it overwhelmed," Greenfield-Sanders said from his home in upstate New York.

"I think that everyone was very honest in the film," he added. "And that's what I appreciated, them giving me their 100%. They gave me a lot and were very open."

The film begins with 81-year-old Dell'Orefice candidly comparing her plastic surgery to repairing a ceiling that's falling down. The New York native is regarded as the world's oldest working model and started at Vogue magazine at the tender age of 15.

Another eyebrow-raising moment comes with anecdotes from another octogenarian: Machado, who became the first ethnic model to grace the cover of Harper's Bazaar in 1959 after legendary fashion photographer Richard Avedon blackmailed the magazine's publisher into putting her on it. Three years later, the Shanghai-born beauty would become fashion editor of the same publication.

"It started out in this '70s and '80s world," Greenfield-Sanders explained. "And I realized that I wanted to go deeper in front of that, and I wanted to do people from the '60s and even the '50s. Part of that was because they are still alive. You can still have a first-person conversation with (them)."

The auteur behind such acclaimed documentaries as "Lou Reed: Rock and Roll Heart," "Thinking XXX" and "The Black List" series became inspired to do the project after a chance encounter.

His friend Harry King, a well-known fashion hairdresser, hosted a party three years ago in New York as a reunion of sorts with people from the past who were his current Facebook friends. Greenfield-Sanders double-parked his car to run in for five minutes and ended up staying for hours. "My life changed," he said.

"I knew a few of their names, and there were a handful of models there, and I thought, 'This could be a interesting group portrait,' " he said. "And that was the beginning of what I wanted to do. ... As I got to know them, I realized that this could definitely be a film."

"I liked the idea of strong women who had kind of reinvented themselves, who have gone through tremendous fame and glamour and how they deal with that."

The conversation around ageism is what mostly piqued his interests, he admitted.

"That's something I think about a lot. I'm 60 years old. How does the world treat you as you get older? How do you deal with the fact that you're not the best-looking person anymore if your life is all about your looks?"

Beverly Johnson, the first African-American woman to grace the cover of Vogue, appears in the film, as does another black beauty ("one-eighth African-American," she clarifies in "About Face"): Cleveland, who spoke poignantly about being attacked in the racist South during her early days modeling with the Ebony Fashion Fair. Cleveland would flee the United States for Europe until women of color were represented more in fashion in her homeland.

Marisa Berenson revealed how her grandmother, famed fashion designer Elsa Schiaparelli, ended a longtime friendship with then-Vogue editrix Diana Vreeland after she hired her as a model for the magazine. Isabella Rossellini opened up about how her long-term contract as a spokesmodel for LancÃ´me cosmetics ended once she turned 40. And Bethann Hardison, who is more known for managing and shaping supermodels' careers, shared intimate stories about growing up in Brooklyn and how her mother thought she was a prostitute when she embarked on a modeling career.

There were a few coveted cover girls, like Twiggy, who were out of his reach.

"I think the film covers all of the areas that I wanted to cover. It covers the fun of fashion and modeling and the excitement of being that beautiful and having people turning everyone's heads," he noted. "It covers the drugs, the racism and the plastic surgery, and it's a very wide-ranging film. And I like that about it. And we like stories."

Kim Alexis, one of the top models of the '80s, was elated to be a part of the film and to reconnect with friends she hadn't seen in years. "Modeling is a lonely business. We show up for jobs by ourselves, and each day is a new venture, no team, no office camaraderie. To be able to take a photo with my favorite models, doing what we did best, was a great day."

The former Revlon spokesmodel released her literary debut, a novel titled "Beauty To Die For," this week. Like her book -- a sudsy murder mystery -- she said "About Face" offers a voice for the silent. "Modeling is silent. People don't know or understand how we feel as we work."

Alexis recently hobnobbed with some of the film's subjects and the New York glitterati at the premiere party at the Paley Center for Media, which will house the corresponding portrait exhibit through September.

"How good it was to hear these women's past and present thoughts, how everyone looked so good -- still -- and what a great thought on the part of Timothy Greenfield-Sanders to think it was worth sharing," said model Tyson Beckford, who attended the party. "No matter who you are, a good story is always worth listening to, and a beauty-related issue keeps it interesting."

With the increasing growth and mass appeal of image-savvy social media apps and smartphones (equipped with state-of-the-art camera lenses) Greenfield-Sanders understands his lofty position as the poster child for portraiture. And it's not something he takes for granted.

"I have been very aware of this and how the world had gotten so much faster and bigger, and if you don't have a photo show and a movie and a book and a DVD and a CD all at once, you just get lost, and I've been lucky as an artist, because I started out as a filmmaker but then became a photographer, so I'm skilled in all of these areas," he said. "I think, if you can, you need to be in as many mediums as possible at the same time."

@highlight

"About Face: Supermodels Then & Now" premieres tonight

@highlight

The filmmaker got access to some of the top names in fashion

@highlight

Models' struggles with race, age are included in documentary