Washington (CNN) -- Hindsight is 20/20, they say, but some people may need backwards-looking glasses in debating whether the State Department under Hillary Clinton erred two years ago by not designating Boko Haram a terrorist group.

The question arose Thursday as part of the international focus on last month's abduction of more than 200 schoolgirls by the jihadist group in northeast Nigeria that threatens to sell them into slavery.

A Daily Beast article raised the issue. It quoted an anonymous U.S. official who criticized the Clinton State Department for rejecting calls in 2012 by some in Congress, the Department of Justice and others to add Boko Haram to the terror list as a threat to U.S. interests and homeland security.

At the time, State Department officials argued such a move could cause more harm than good by enhancing the group's standing and making U.S. and Western interests a target of Boko Haram attacks.

After Clinton stepped down and was succeeded by John Kerry, the State Department designated the group as a terrorist organization in November 2013.

With global outrage and frustration over Boko Haram mounting, here are some questions and answers on what happened and why:

How did this all begin?

In 2009, the small and scattered Boko Haram -- an Islamic extremist group advocating Sharia law -- killed two police officers and a soldier in an attack on a police station in Borno state.

The Nigerian military responded with a brutal and indiscriminate crackdown that killed 700 people, including Boko Haram leader Mohammed Yusuf in what a congressional committee report described as an extrajudicial execution.

Such violence hardened already bitter divisions between the remote and mostly Muslim northern regions of Nigeria and the southern and more Christian southern areas. A year later, Boko Haram re-emerged with a more violent profile, according to the report by the House Homeland Security Committee.

The group's attacks escalated and spread beyond its northeast stronghold, including the August 2011 suicide bombing at the United Nations headquarters in Abuja, the capital, that killed 23 people.

"A number of factors have been attributed to fueling Boko Haram's violence and fanaticism, including a feeling of alienation from the wealthier, Christian, oil-producing southern Nigeria; pervasive poverty; rampant government corruption; heavy-handed security measures, and the belief that relations with the West are a corrupting influence," said the House panel's report compiled in November 2011. "These grievances have led to sympathy among the local Muslim population despite Boko Haram's violent tactics."

What was the response?

The Nigerian government continued to respond with brutal military repression, while voices in Congress warned that Boko Haram was getting support from al Qaeda affiliates elsewhere in Africa that could make it a threat beyond Nigeria.

In its report, the Homeland Security Committee called for Clinton to "conduct an investigation into whether Boko Haram should be designated a Foreign Terrorist Organization" under federal law.

Such a move "may be required to provide our intelligence and law enforcement communities the tools necessary to ensure Boko Haram does not attack U.S. interests and the U.S. homeland," the report said.

A few months later, amid increasing violence by Boko Haram, the top Republicans on the panel wrote Clinton to urge its immediate terrorist designation.

In a letter to the secretary, Reps. Peter King of New York and Patrick Meehan of Pennsylvania cited support by the Department of Justice and military intelligence for such a step.

State Department officials opposed the move, as did 24 academics with expertise in African affairs.

What were the arguments?

In their letter, King and Meehan said Boko Haram could be growing into an al Qaeda affiliate capable of attacking the United States.

Other al Qaeda affiliates, such as al Qaeda in the Arabian Peninsula and al Qaeda in the Islamic Magreb, had started as local or regional groups that became international threats, the legislators noted.

Adding Boko Haram to the terror list would give U.S. intelligence, law enforcement and economic officials a wide range of tools against the group, according to King and Meehan.

Opponents of the terrorist designation argued that Boko Haram posed no threat to the United States, while adding it to the terrorism list could make Washington and Western interests more of a target.

A letter to Clinton by the 24 academics, including former U.S. Ambassador to Nigeria John Campbell of the Council on Foreign Relations, said a terrorist designation would raise Boko Haram's international profile and possibly link the United States to abuses by Nigerian forces cracking down on the group.

"Secretary Clinton's response was entirely consistent with the position of the government of Nigeria," which hired a Washington lobbying firm to oppose the foreign terrorist organization designation for Boko Haran in 2012, said Carl LeVan, an American University professor and among the academics who signed the letter.

What did Clinton's State Department do?

In June 2012, the State Department added three Boko Haram members to a terrorist blacklist, including Abubakar Shekau, who took over the group's leadership after Yusuf's death.

Meanwhile, the Obama administration offered various types of assistance to Nigeria, State Department spokeswoman Jen Psaki told reporters Thursday.

"Designations are just one tool we use to fight terrorism," Psaki said. "There are a range of steps including under Secretary Clinton that Secretary Kerry has continued, stepping up counter-terrorism cooperation with not just the Nigerian government but other governments in Northern Africa."

In a conference call with journalists Wednesday, former Assistant Secretary of State for African Affairs Johnnie Carson explained the thinking on whether to designate Boko Haram two years ago.

"There was a concern that putting Boko Haram on the foreign terrorist list would in fact raise its profile, give it a greater publicity, give it greater credibility, help in its recruitment and also probably drive more assistance in its direction," Carson said.

Such a designation provides greater access to a group's finances and more ability to limit its movements, "but none of their finances are here in the United States and none of them are coming here," he noted.

Whether coincidence or not, Boko Haram has again increased its attacks since the State Department under Kerry added it to the list of terrorist organizations last November.

Despite a multimillion-dollar bounty on his head, Shekau has avoided capture and Boko Haram operates with virtual impunity in northeast Nigeria and some parts of the northwest, as well as its incursions as far south as Abuja, Campbell told the Wednesday conference call. A videotape made public recently showed a man believed to be Shekau threatening to sell the recently abducted schoolgirls into slavery.

What's the fallout?

The political right immediately embraced the Daily Beast story to enhance its attack line against Clinton, the overwhelming favorite for the Democratic presidential nomination in 2016 if she decides to run.

With Clinton polling well so far against possible GOP challengers, Republicans seek to exploit any political vulnerability they can find.

They seek to use the Boko Haram case as well as the September 2012 terrorist attack in Benghazi, Libya, that killed four Americans, including Ambassador Chris Stevens, to depict Clinton as complicit in what they argue is a weakened U.S. foreign policy under President Barack Obama.

Republican National Committee Chairman Reince Priebus said Thursday that it was "sad" that Clinton "refused calls to designate al Qaeda-linked Boko Haram as a terrorist organization."

The conservative America Rising political action committee alerted journalists to the Daily Beast story when it was published, then featured it atop its website.

Such attacks mimicked GOP tactics during Obama's 2012 re-election campaign, when Republican nominee Mitt Romney criticized the administration's response to the Benghazi attack shortly after it occurred.

On Boko Haram, the letter from King and Meehan to Clinton urging the group's terrorist designation came amid the campaign primaries in March 2012 as Republicans sought to weaken the President's perceived advantage over Romney on foreign policy -- mostly due to the killing of al Qaeda leader Osama bin Laden on Obama's order.

Democrats focused their comments Thursday on calls for the government to help Nigeria rescue the kidnapped schoolgirls. Clinton supporters referred journalists to the 2012 letter from the 24 academics but otherwise avoided commenting on State Department steps then.

To Carson, who served under Clinton at that time, the convoluted socio-economic dynamics of Nigeria require a more holistic and nuanced approach than the security focus of anti-terrorism efforts.

"This is a very complex situation," he said. "We all know what has happened with the girls, what happened with the number of terrorist attacks that occurred, but this is being played out against a backdrop of domestic politics and lots of social and economic immiseration in the north."

CNN's Jamie Crawford, Dan Merica, Elise Labott and Evan Perez contributed to this report.

@highlight

Republicans criticize Hillary Clinton's handling of Nigerian jihadist group

@highlight

Under Clinton, the State Department didn't add Boko Haram to the terror list

@highlight

It's not a cut-and-dried issue, argues a former State Department official

@highlight

The GOP attacks seek to weaken Clinton for her possible 2016 presidential run