Washington (CNN) -- The Obama administration raised the stakes in the health care debate Monday, releasing a new blueprint that seeks to bridge the gap between measures passed by the Senate and House of Representatives last year.

If enacted, the president's sweeping compromise plan would constitute the biggest expansion of federal health care guarantees since the enactment of Medicare and Medicaid more than four decades ago. The White House said it would extend coverage to 31 million Americans.

Among other things, the White House said it would expand Medicare prescription drug coverage, increase federal subsidies to help people buy insurance and give the federal government new authority to block excessive rate hikes by health insurance companies.

It increases the threshold -- relative to the Senate bill -- under which a tax on high-end health insurance plans would kick in.

As with both the House and Senate plans, it includes significant reductions in Medicare spending in part through changes in payments made under the Medicare Advantage program.

President Obama's plan does not include a government-run public health insurance option, an idea strongly backed by liberal Democrats but fiercely opposed by both Republicans and key Democratic moderates.

It also eliminates a deeply unpopular provision in the Senate bill worked in by Sen. Ben Nelson, D-Nebraska, that would exempt his Midwestern state from paying increased Medicaid expenses.

Administration officials said Obama's measure would cut the deficit by $100 billion over the next 10 years. They estimate the total cost of the bill to be $950 billion in the next decade.

The Senate bill would cost an estimated $871 billion, according to the nonpartisan Congressional Budget Office, while the more expansive House plan has been estimated to cost more than $1 trillion.

The release of Obama's plan sets the stage for a critical televised health care summit Thursday with top congressional Republicans. The White House is trying to pressure GOP leaders to present a detailed alternative proposal in advance of the meeting.

"We view this as the opening bid for the health meeting" on Thursday, White House communications director Dan Pfeiffer told reporters.

"We took our best shot at bridging the differences" between the House and Senate bills. "It is our hope the Republicans will come together around [their] plan and post it online" before the meeting.

President's health care blueprint

Pfeiffer said Obama will come to Thursday's meeting "with an open mind." The president's willing to back decent Republican ideas if the two sides can have an "honest, open, substantive discussion" in which "both parties can get off their talking points," he said.

GOP leaders have indicated they will attend the meeting but have urged Democrats to scrap the Senate and House bills completely.

They characterized Obama's proposal Monday as setting the stage for a meeting that will amount to little more than political posturing.

"The president has crippled the credibility of this week's summit by proposing the same massive government takeover of health care based on a partisan bill the American people have already rejected," said House Minority Leader John Boehner, R-Ohio.

"This new Democrats-only backroom deal doubles down on the same failed approach that will drive up premiums, destroy jobs, raise taxes and slash Medicare benefits. This week's summit clearly has all the makings of a Democratic infomercial."

Senate Minority Leader Mitch McConnell, R-Kentucky, released a statement calling the plan "disappointing that Democrats in Washington either aren't listening or are completely ignoring what Americans across the country have been saying."

White House press secretary Robert Gibbs dismissed the GOP criticisms, arguing that Republican leaders had asked for this week's meeting for months.

"If they're not the party of no, Thursday's the perfect venue to be the party of yes," Gibbs said.

Highlights of Obama's proposal

Under Obama's plan:

• The health and human services secretary would work with a seven-member board of doctors, economists and consumer and insurance representatives to review premium hikes. This Health Insurance Rate Authority would provide an annual report to recommend to states whether certain rate increases should be approved, although the secretary could overrule state insurance regulators.

• New health insurance subsidies would be provided to families of four making up to $88,000 annually, or 400 percent of the federal poverty level. Compared with the Senate bill, Obama's proposal lowers premiums for families making between $44,000 and $66,000, according to the White House. Compared with the House legislation, it lowers premiums for families making between $55,000 and $88,000.

• The Medicare prescription drug "doughnut hole" would be closed by 2020. Under current law, Medicare stops covering drug costs after a plan and beneficiary have spent more than $2,830 on prescription drugs. It starts paying again after an individual's out-of-pocket expenses exceed $4,550.

• A 40 percent tax would be imposed on insurance companies providing so-called "Cadillac" health plans valued at more than $27,000 for families. The tax would kick in starting in 2018 for all plans. In contrast, the Senate bill would apply the tax to plans valued at more than $23,000 for families. The House bill does not include the tax, which labor unions vehemently oppose.

• The federal government would assist states by picking up 100 percent of the costs of expanded Medicaid coverage through 2017. The federal government would cover 95 percent of costs for 2018 and 2019, and 90 percent in the following years.

• Health insurance exchanges would be created to make it easier for small businesses, the self-employed and unemployed to pool resources and purchase less expensive coverage.

• Total out-of-pocket expenses would be limited, and insurance companies would be prevented from denying coverage for pre-existing conditions. Insurers would be barred from charging higher premiums based on a person's gender or medical history.

• Individuals under Obama's plan would be required to purchase coverage or face a fine of up to $695 or 2.5 percent of income starting in 2016, whichever is greater. The House bill, in contrast, would have imposed a fine of up to 2.5 percent of an individual's income. The Senate plan would have required a person to buy coverage or face a fine of up to $750 or 2 percent of his or her income. All three plans include a hardship exemption for poorer Americans.

• Companies with more than 50 employees under Obama's plan would be required to pay a fee of $2,000 per worker if the company does not provide coverage and any of that company's workers receives federal health care subsidies. The first 30 workers would be subtracted from the payment calculation. As with the individual requirement, this represents a compromise between the House and Senate plans.

• Some $40 billion in tax credits would be established for small businesses to help them provide health care options for their employees.

• States could choose whether to ban abortion coverage in plans offered in the health insurance exchanges. Individuals purchasing plans through the exchanges would have to pay for abortion coverage out of their own funds. The White House is following the Senate's lead. The stricter House version banned abortion coverage in private policies available in the exchange to people receiving federal subsidies.

•  Illegal immigrants would not be allowed to buy health insurance in the health insurance exchanges. They would be exempted from the individual insurance mandate. As with abortion, the White House is adopting the Senate's language.

CNN's Dana Bash, Lisa Desjardins, Kristi Keck, Suzanne Malveaux, Alan Silverleib and Deirdre Walsh contributed to this report.

@highlight

NEW: House GOP leader: Health care summit has "all the makings of a Democratic infomercial"

@highlight

Administration plan seeks to bridge gap between House, Senate bills

@highlight

President Obama's plan doesn't include public option

@highlight

Plan would seek to block excessive rate hikes by health insurance companies