(CNN) -- One of the first photos it sent home showed a self-portrait of its shadow. The dark gray specter of machinery against a lighter grainy backdrop showed up minutes after the news of its arrival, as if to say "I'm here!"

With its cameras as our eyes, it opened our minds to un-roved territory. If you're a NASA engineer, you might even call it "she."

Curiosity, NASA's most sophisticated and complex Mars rover, touched down on the Red Planet on the morning of August 6, 2012 (August 5 if you're in Pacific Daylight Time). The $2.5 billion mission set out to explore Gale Crater, which was thought to have once hosted flowing water, and find out if that environment was once habitable.

Spoiler alert: It was.

But that's not all the rover found while traveling 1.6 kilometers across Mars' barren surface during its 12 months on the planet. Curiosity has collected 190 gigabits of data and sent back more than 36,700 full images and 35,000 thumbnail images, NASA said. The rover has also fired more than 75,000 laser shots to help scientists analyze the composition of material, and collected samples from two rocks.

NASA scientists joke that the "warranty" on Curiosity is two years, since that was the rover's design specification, said Ashwin Vasavada, deputy project scientist for the Mars Science Laboratory Mission. But other robotic vehicles have far outlasted their projected lifetimes. NASA landed twin rovers Spirit and Opportunity on Mars in 2004, and Opportunity is still chugging along. (Spirit stopped communicating in 2010).

Now, Curiosity is on its way to Mount Sharp, a three-mile-high structure made of layers that, scientists believe, recorded Mars' geological history.

"It's a lot of work and a lot of people involved, but it's wonderful in the sense that it's really capable scientifically," Vasavada said of the rover. "We're always amazed at how much we can do through this robot."

To mark the anniversary of its first year on Mars, Curiosity played "Happy Birthday" to itself Monday night, using an on-board instrument to beep out the tune. No word on whether anyone was listening.

Here are five fascinating milestones from Curiosity's first 12 months:

1. OMG, it actually landed. #mindblown. How do you land a two-ton, car-sized rover on another planet? Engineers thought about it a lot, and came up with a complex plan requiring a sky crane and the world's largest supersonic parachute. The acrobatic maneuvers required to get it safely to the ground were dubbed the "seven minutes of terror," as featured in a NASA video simulation depicting just how many things had to go right to get the rover on the ground in one piece.

Adam Steltzner, lead engineer overseeing the rover's arrival, told reporters a few days before the big night, "I promise you it is the least crazy of the methods you could use to get a rover the size of Curiosity on Mars."

For the social media generation, this was our moon landing.

The Internet went wild over a rover flight director who showed up for work on landing night with a mohawk, got hailed as "Mohawk Guy," and later received a shout-out from President Barack Obama. Curiosity itself has a verified Twitter account (with 1.3 million followers), and tweeted that night, "I'm safely on the surface of Mars. GALE CRATER I AM IN YOU!!! #MSL."

"The overall highlight, I think, even a year later, still is planning successfully and seeing Gale Crater for the first time," Vasavada said. He added: "We landed much more smoothly than we ever rehearsed it."

2. Life on Mars could have existed. This was the major science highlight of Curiosity's inaugural Martian year, Vasavada said. Although this discovery builds upon previous ideas, Curiosity provided enough confirmation for scientists to finally come out and say it: The environment Curiosity has been exploring was once habitable.

"We now know Mars offered favorable conditions for microbial life billions of years ago," said the mission's project scientist, John Grotzinger of the California Institute of Technology.

Curiosity became the first robot to drill on another planet, and the powder on the drill bit gave the scientists sufficient evidence to say that life could have survived in that area. The drill material had chemicals important for life in it, including sulfur, nitrogen, hydrogen, oxygen, phosphorus and carbon. Also excitingly for scientists, the sample contained a type of clay that forms in the presence of water.

The rover's Mast Camera (Mastcam) additionally spotted evidence of water-bearing minerals in the Yellowknife Bay area where Curiosity first drilled. Scientists detected minerals using the camera's infrared-imaging capability.

Gallery: Curiosity's best photos of the Red Planet

This area that Curiosity has been exploring is part of an alluvial fan, a formation of debris left by a river that once flowed into the crater, scientists say.

"We investigated the fan and found evidence that there was very likely an intermittent lake that had freshwater at one point," Vasavada said.

3. Mars is red on top, gray below. That material in the drill bit that the rover used to probe rock wasn't the same orange color that's so familiar to us from the rover's photography. Instead, it was gray, scientists said in February.

"You can probably bet that when things turn orange, it's because there's a rusting process of some kind going on that oxidizes the iron in the rock," Joel Hurowitz, sampling system scientist for Curiosity at NASA's Jet Propulsion Laboratory, said at the time.

4. The planet's atmosphere was destroyed a long time ago. Using instruments on board Curiosity, scientists determined that the Martian atmosphere hasn't changed much in the last 4 billion years, and during that whole time it has been thin, as well as inhospitable to life as we know it.

Initially, however, after the planet formed 4.5 billion years ago, the planet's atmosphere was 100 times denser than the Earth's atmosphere, scientists say. Their results were published in the journal Science in July.

We could learn even more about the atmosphere from NASA's Mars Atmosphere and Volatile Evolution Mission orbiter, which is expected to launch in November. This spacecraft will have techniques to measure the current rate of loss of the atmosphere.

5. Radiation makes the trip to Mars dangerous for humans. Curiosity spent 253 days getting to Mars in 2012. During that time, the mission (officially called Mars Science Laboratory) was collecting data about radiation on the journey to the Red Planet using the Radiation Assessment Detector device.

An analysis of this data, published in the journal Science in May, found that Mars-bound pioneers would be exposed to radiation levels that could effectively retire astronauts under NASA's current standards.

"The radiation environment in deep space is several hundred times what it is on Earth, and that's even inside a shielded spacecraft," said Cary Zeitlin, principal scientist for the Martian Radiation Environment Experiment. Scientists are working on faster engines to shorten the trip to Mars, and may be able to conceive of a spacecraft with better shielding.

501 days in space with your spouse: Could you handle it?

What's next? Drive, drive, drive!

The rover's second year will be mostly about the five-mile drive to Mount Sharp, Vasavada said.

So far, Curiosity has stopped a lot to test out its instruments, collecting and analyzing samples and exploring particular areas. Now, it will drive as far as it can every day -- but not at Earthly highway speeds. Vasavada's hope is to get the rover to Mount Sharp by next summer.

During the drive, the rover will continue snapping photos, and the meteorological instruments will still take measurements. Curiosity will stop if it spots anything -- a structure or formation, or the improbable Martian -- that looks interesting to scientists.

In 2020, another NASA rover is planned to join the small fleet of human-made vehicles on Mars. This one may be able to collect samples for potential return to Earth, and test technology relevant to human exploration.

Meanwhile, the Opportunity rover rolls along, in its 10th year, exploring Mars on the opposite side of the planet from Curiosity.

None of these rovers may ever meet. But perhaps their tracks will mark the paths where humans will someday tread.

Buzz Aldrin: Get to Mars within 20 years

Follow Elizabeth Landau on Twitter and Google+.

@highlight

Curiosity landed on Mars on August 6, 2012 (August 5 in the western U.S.)

@highlight

The rover will make a 5-mile journey to the planet's Mount Sharp

@highlight

Scientist says landing the rover itself was a major accomplishment

@highlight

Rover found evidence that life could have existed on Mars