(CNN) -- An eclectic group of engineers, designers, artists, parents and lactation consultants came together at MIT over the weekend to improve a necessary, unpopular device: the breast pump.

"They are loud, they are painful, they are very expensive, they can cause pain and tissue damage, and they are weird," said Alexandra Metral, a research affiliate at the Massachusetts Institute of Technology and mother of three.

Together with a group of other MIT Media Lab researchers and students, Metral helped host a "Make The Breast Pump Not Suck" hackathon in Boston. The 120 participants broke into 18 teams. They tinkered with old pumps and materials, consulted with volunteer experts and low-income working moms and came up with prototypes for what they hope will be the next generation of breast pumps.

The winning team designed a pump for people who aren't able to take breaks to pump breast milk. Pumping while working means stopping all activity and heading to a secluded room for half an hour, multiple times a day. That loss of productivity is bad for employers and employees, and it can be difficult to do with active jobs such as nursing. The Mighty Mom utility belt turned a pump into a hands-free portable device that is worn discreetly under clothes and can work while the wearer goes about her regular routine.

Many of the teams saw potential in wearable sensors and data. The PumpIO design used a smartphone and sensors to log data such as pumping times and amounts. A mother could share the information with her doctor, a lactation support consultant or a larger community of other pumping mothers to troubleshoot any issues.

A handful of teams focused on mimicking the natural feel of breastfeeding a baby instead of the vacuum technology used by current pumps. A hands-free compression bra used small bladders that fill up to massage and compress the breast, drawing the milk out. Another used technology similar to blood pressure cuffs. A soft baby sling with little ears on it doubles as a holder for a pump, mimicking the feel, look and weight of carrying a child.

The technology already exists to fix many of the biggest issues with breast pump technology, such as loud motors and bulky, weak batteries.

"There really is low-hanging fruit here," said Metral.

To make the leap from cool idea to actual product, the hackathon teams need to attract funding or the interest of a major pump manufacturer. Luckily, the event drew executives from major maternal health companies, including Medela and Ameda. And the winning team gets to pitch its idea to Silicon Valley investors.

The group started as an idea for an art project: to make a wonderful breast pump that everyone wanted to wear. Then Catherine D'Ignazio, Metral and Alexis Hope realized the idea wasn't so crazy after all. Spurred on by a piece in The New York Times' Motherlode blog, they got a Hack the Breast Pump group together and decided to do something about it.

The first "Make the Breast Pump Not Suck" hackathon took place in May and included about 20 people. The response was huge. Over 1,000 people wrote in with their own problems, ideas and fixes on the group's Facebook page. Some had specific issues, such as breast cancer survivors who wanted to breastfeed.

Parents also shared their own fixes and solutions. As it turns out, moms have been hacking their own pumps for ages. Some knit cozies to muffle the loud noise the pump makes, others have created custom flanges to fit their unique shapes.

Instead of just encouraging manufacturers to improve their designs, the Hack the Breast Pump group is making some hacks publicly available. They'll publish 3D files online so anyone with access to a 3D printer can print custom accessories and parts that work with existing pumps.

@highlight

120 people participated in a "Make the Breast Pump Not Suck" hackathon at MIT

@highlight

The engineers, designers and parents created new takes on the breast pump

@highlight

The winner was a pump on a utility belt that could be worn under clothes