(CNN) -- Edith "Edie" Windsor lost her spouse in 2009, her grief compounded by an estate tax bill much larger than other married couples would have to pay.

Because her decades-long partner was also a woman, the federal government in legal terms did not recognize the same-sex marriage, even though their home state of New York did.

"I was devastated by the loss of the great love of my life, and I was also very sick, then had to deal with pulling together enough money to pay for the taxes," Windsor, 83, told CNN. "And it was deeply upsetting."

That fundamental unfairness as Windsor and her supporters see it, is at the center of legal fight now awaiting action at the U.S. Supreme Court.

Victory for lesbian, years after her longtime partner's death

The justices will meet privately Friday for a closed-door conference to decide if they will accept any of 10 pending appeals, essentially over whether a fundamental constitutional right for gays and lesbians to marry exists.

If they agree to hear the issue, oral arguments would be likely be held in March with a ruling by late June.

The political, social, and legal stakes of this long-simmering debate will once again put the high court at the center of national attention, a contentious encore to their summer ruling upholding the massive health care reform law championed by President Barack Obama.

Earlier this month, voters in Maryland, Washington, and Maine approved same-sex marriage, adding to the six states and the District of Columbia that already have done so. Minnesota voters also rejected an effort to ban such unions through a constitutional amendment.

Is there a national consensus?

As more states legalize same-sex marriage, one of the key questions the justices may be forced to address is whether a national consensus now exists supporting the idea of expanding an "equal protection" right of marriage to homosexuals.

Three separate issues confront the justices, who are likely to only accept only one for review in coming months. These include federal benefits, state benefits and state referendums.

The Defense of Marriage Act, or DOMA, is a 1996 congressional law that says for federal purposes, marriage is defined as only between one man and one woman. That means federal tax, Social Security, pension, and bankruptcy benefits, and family medical leave protections -- do not apply to gay and lesbian couples, such as Windsor and her late partner Thea Spyer.

Federal appeals court strikes down Defense of Marriage Act

This appeal from Arizona asks whether a state that prohibits same-sex marriage may also deny same-sex couples marital benefits if one of the partners is a state employee, when other state workers in opposite-sex marriages enjoy government benefits.

On referendums, the California high court had earlier concluded same-sex marriage was legal, but the 2008 voter-approved Proposition 8 abolished it. If the high court accepts this appeal, it would likely not decide whether same-sex marriage is a constitutional right, but only whether a state can revoke that right through referendum once it has already been recognized.

"The justices are almost certainly going to take up the question of the constitutionality of the Defense of Marriage Act," said Thomas Goldstein, publisher of SCOTUSblog.com and a top Washington attorney. "The real question is whether they'll step into California's Prop 8 and the ruling there that California discriminated unconstitutionally when it granted a right to same sex-marriage and then took it away. It's a tossup on whether they'll hear that case."

Who will represent U.S. in any court case

Complicating matters is just who will defend the DOMA law before the justices. Traditionally that role would fall to the Justice Department's Solicitor General office. But Obama, in an election-year stunner, said in May he supports same-sex marriages. The president had already ordered Attorney General Eric Holder not to defend the federal law in court.

That left House Republicans, led by Speaker John Boehner, R-Ohio, to step in after the Justice Department refused to participate. They have hired top Washington attorney Paul Clement-- himself a former solicitor general-- to make the arguments to keep the law in place, at least until lawmakers decide otherwise.

Clement said a congressionally mandated, uniform standard to define marriage for federal purposes is both proper and practical, since different states have different laws defining the limits of marriage.

"DOMA does not bar or invalidate any marriages but leaves states free to decide whether they will recognize same-sex marriage," Clement told the court in a legal brief. "Rather, DOMA merely reaffirmed and codified the traditional definition of marriage: what Congress itself has always meant and what courts and the executive branch have always understood it to mean -- in using those words: A traditional male-female couple."

The law does not prohibit states from allowing same-sex marriages, but it also does not force states to recognize them from other states. Most of the current plaintiffs are federal workers, who are not allowed to add their spouses to health care plans, and other benefits.

Many other states, including New Jersey, Illinois, Delaware, Rhode Island and Hawaii, have legalized domestic partnerships and civil unions for such couples -- a step designed in most cases to provide the same rights of marriage under state law.

But other states have passed laws or state constitutional amendments banning such marriages. California's Prop 8 is the only such referendum that revoked the right after lawmakers and the state courts previously allowed it.

In February, a federal appeals court in San Francisco ruled the measure unconstitutional.

Timeline: Same-sex marriage

Court could offer final word

By patiently letting legislatures and the voters decide the social and practical implications of same-sex marriage over the past decade, the high court is now poised to perhaps offer the final word on the tricky constitutional questions.

The split 5-4 conservative-liberal bench has the option of ruling broadly or narrowly-- perhaps taking a series of incremental cases over a period years, building political momentum and public confidence in the process.

Edie Windsor is one of more than a dozen plaintiffs involved in the current DOMA appeals before the high court. She and Spyer, a psychologist, had been a devoted couple in New York's Greenwich Village for more than 40 years, before marrying in Canada in 2007.

New York did not allow same-sex marriages to be performed in the state when Windsor and Spyer wed, but did recognize the out-of-state license. New York's legislature last year approved same-sex marriage.

Windsor, a retired computer systems programmer, wants the $363,053 in added estate taxes she was forced to pay the IRS. She said the federal government considers her relationship with Spyer as little more than "girlfriends," something she called an "incredible indignation."

"I would like to receive my money back. New York State accepted my marriage as a marriage," she told CNN. "And I believe, and the Justice Department and the president agree with me, that the DOMA law is unconstitutional. DOMA is cruel. It discriminates against us for absolutely no value to the country. And we'd like to see that defeated altogether. I'd like other people not to go through what I went through."

@highlight

Edith "Edie" Windsor lost her spouse in 2009 and got a tax bill that triggered legal fight

@highlight

Justices meet Friday to decide if they will accept any of 10 pending marriage-related appeals

@highlight

Some states have approved same-sex marriage; while others have banned it

@highlight

The 5-4 conservative-liberal bench has the option of ruling broadly or narrowly