Zakouma National Park, Chad (CNN) -- Rian Labuschagne pilots his single-engine bush plane low over a herd of elephants, his trained eye scanning for calves. He's spotted 21 in just the last few months.

"See that baby drinking?" he asks, as he dips the left wing over a watering hole.

It's something Chad's Zakouma National Park has been without for nearly five years.

Large-scale Sudanese poaching operations from across the border have decimated the park's elephants. In the span of just a few years they slaughtered 90% of the park's elephant population. Labuschagne, the park's director, says until now, the survivors were too traumatized to mate.

Zakouma is both blessed and cursed by its geography. The 3,000 square kilometers of pristine Sahel is a crucial habitat for the species, separating desert to the north and savannah to the south.

But the park is also surrounded by conflict. To the east is Darfur, to the south, Central African Republic, and to the west is Nigeria.

Opinion: Elephants slaughtered for trinkets and terrorism

"There were less weapons in the past," says Idriss DÃ©by, President of Chad. "Today all around us there are more weapons and more men who can use them. Poaching has no borders. All of this leads us to believe that national security, and regional security may be threatened by the poachers."

We fly towards the park's northern boundary, the landscape below dotted with nomad tents and their livestock, and the occasional camel caravan crossing ancient trading tracks. The terrain here is rugged, lawless and largely inaccessible by car, making it ideal for poachers.

It's been that way for centuries, Labuschagne tells us from his pilot's seat. Hunting elephants here is nothing new. What is, are the weapons and tactics.

"They operate in small groups, they are usually about four to five people on horseback, they've got good communication systems, satellite phones, local phones," he says. "They are absolute professionals in what they do. Except the shooting â€” it's just done in a massacre way. They just machine gun as many as they can, shoot as many as they can, get the ivory and then move on."

In September 2012, African Parks, which manages Zakouma, saw six of its rangers killed in a sophisticated three-pronged strike on their hillside outpost. Piles of stones mark the graves where they were buried. Dark patches still outline where the tents once stood, burnt to the ground by the poachers.

It's the first time one of the ranger's sons, 18-year-old Issa Idris, has visited the site where his father was slain.

"I am remembering everything about him, what he must have been doing, what happened to him," Idris says in hushed tones, his eyes filled with pain.

The attack, Labuschagne tells us, was revenge for a raid his rangers conducted on the poacher's camp just weeks before.

Evidence collected from the camp gave Labuschagne more evidence into just what they were up against. They found thousands of rounds of ammunition, satellite phones containing images of hundreds of slaughtered elephants that matched those of carcasses in Cameroon, linking the poachers to one of the biggest elephant slaughters in decades.

Also recovered at the site were Sudanese military uniforms, one identified as similar to those issued to Sudan's Abu Tira paramilitary service, notorious for its brutality and linked to atrocities in Darfur, and a stamped leave slip from the Sudanese Army.

This month, the park, with the help of an outside agency, traced the ammunitions back to Khartoum.

Sudan's Minister of Information, Ahmed Bilal Osman, denies the military link. "Sudan has an ammunition factory, but the presence of Sudanese ammunition in Chad may have occurred in many different ways," he said. "Sudan gets blamed for everything."

The war in neighboring Central African Republic is bringing even more threats. As Chadians living in the CAR flee the violence many return to the area which borders the park, where they have roots.

Like so many others, Amin Younes, 29, is coming home to escape the violence. His wife and three-year-old daughter were brutally murdered.

'Machetes -- I didn't have the courage to look at them," he tells us as he unloads his luggage at a repatriation center. "My heart wouldn't let me look at them."

He's hoping to escape the haunting memory and says he'll try to look for work in agriculture. But the influx of refugees, some of whom have weapons from the conflict, ties to the military or the Seleka rebels is a concern to local leaders. There aren't enough jobs here to go around and poaching is lucrative, especially for those battle-hardened.

Since taking control of the park in 2010, Labuschagne's employer, the non-profit African Parks, has managed to keep the remaining elephants relatively safe. Labuschagne's team are collaring elephants, allowing them to track and respond to threats with younger, more highly trained rangers. He tells us that one of central Africa's largest herds is secure for now.

But, he says, "we have to prepare ourselves. We will become a target again in the future."

@highlight

Rangers in Chad's Zakouma National Park face a serious threat from poaching operations

@highlight

In recent years, park rangers have been executed in their line of work

@highlight

90% of the park's elephants have been slaughtered for their ivory

@highlight

Poachers have come from neighboring Sudan; now the CAR war presents a new threat