(CNN) -- For much of the world, February 14 is known as a day to celebrate love.

But in Iran, Valentine's Day has come to mark another occasion as well—the anniversary of the house arrest of Iran's leading opposition figures Mir Hossein Mousavi, Mehdi Karroubi and Zahra Rahnavard. On February 14, 2011, Iranian authorities placed Mousavi, Karroubi and Rahnavard under house arrest for calling on Iranians to demonstrate in support of the popular Arab uprisings across the region.

According to Reuters, earlier this month Karroubi was moved from a Ministry of Intelligence-controlled safe house to his own home.

The transfer shined new light on the plight of Iran's "prisoners of rights"— those imprisoned for seeking to exercise commonly recognized political, social, religious, economic, and cultural rights, denied to them by the Iranian government.

In addition to opposition politicians like Mousavi, Karroubi and Rahnavard, Iran's prisoners of rights include lawyers, journalists, professors, students, labor union workers, poets, musicians, artists, dissident clerics, bloggers, ethnic and religious minorities, LGBT persons and even humanitarian aid workers.

Civil rights and human rights activists are also a primary target. Some prisoners of rights, like women's rights and student activist Bahareh Hedayat, have been arrested for holding gatherings to protest laws that discriminate against women.

Others, like the "Yaran"—the seven leaders of the Bahá'í religious minority in Iran—are imprisoned for teaching a faith the Iranian government does not recognize.

Still others, like lawyer Abdolfattah Soltani, are imprisoned for their efforts to assist or seek justice for prisoners of rights. Ironically, before his arrest, Soltani had been preparing a case in defense of the seven Bahá'í leaders.

The easing of restrictions on Karroubi's house arrest will be of key interest to observers tracking President Hassan Rouhani's delivery on promises he made on the campaign trail in last June's presidential election. While Rouhani made no express promise to free Iran's prisoners of rights, his references to the jailed opposition leaders and pledge to increase civil and cultural freedoms resonated strongly with voters.

The release of renowned human rights lawyer Nasrin Sotoudeh and other high profile activists last September in advance of President Rouhani's first-ever address to the UN General Assembly buoyed hopes of more releases. And a subsequent announcement by the Iranian judiciary that 80 more political prisoners had been pardoned further stoked expectations.

Unfortunately, these hopes have gone largely unrealized.

According to human rights groups, only half of the 80 promised pardons can be confirmed. Many of those released had already served their terms. Since the announcement, arrests have continued—including the arrest of a popular rapper and more than a dozen "cyberactivists."

There is some indication that Iran's Judiciary may be driving human rights abuses during President Rouhani's first six months in office—perhaps in an effort to undermine reforms.

Indeed, while significant gains have been made through international diplomacy on the nuclear issue during President Rouhani's tenure, advancement on human rights has come to a standstill. This despite a recent poll that shows democracy, civil rights and women's rights top the list of priorities for the Iranian people.

Regardless of whom in Iran's complicated governance structure is at fault, one thing is clear: the international community's engagement on human rights, alongside resolution of the nuclear issue and the easing of sanctions, remains a necessary factor for progress.

Each visit to Tehran, each promise of renewed investment, each round of nuclear negotiations brings a fresh opportunity for global decision makers and influencers to press human rights concerns. These openings should not be squandered.

Another opportunity will present itself when the P5+1 powers reconvene in New York City this month. Although by definition the focus of the talks will remain on the nuclear issue, geo-strategic concerns will likely be raised. Alongside those concerns, every effort should be made to incorporate discussion of Iran's human rights situation into the conversation.

Finally, all of these governments will convene again in March for the UN Human Rights Council's 25th session in Geneva. They should take the opportunity to recommit themselves to the human rights cause by adopting a resolution renewing the mandate of the UN Special Rapporteur on the situation of human rights in Iran and allowing him to visit the country. The resolution should also set specific benchmarks for the Iranian government including the release of all prisoners of conscience, a moratorium on executions, and an end to restrictions on assembly, association, and expression. Recently developed bilateral and multilateral channels between Iran and global powers, including the European Union, its member states, and United States, should be used to advance these human rights goals.

A few days ago another anniversary passed -- the 35th anniversary of Iran's 1979 revolution. Back then the international community's support of the Shah was also premised on long term diplomatic security and stability while paying short shrift to the leadership's human rights abuses. The Iranian people did not forget this. Making the same mistake again is not only wrong, it is surely unwise.

The opinions expressed in this commentary are solely those of Gissou Nia.

@highlight

Gissou Nia: Feb 14 marks the anniversary of the house arrest of leading opposition figures

@highlight

Iran's prisoners of rights include lawyers, students, musicians, bloggers, writes Nia

@highlight

Nia: Iranian President Hassan Rouhani pledged to increase civil and cultural freedoms

@highlight

Unfortunately, these hopes have gone largely unrealized, she says