Cambridge, Massachusetts (CNN) -- Even though House Republicans are now wisely folding their tents, their disarray this week over extending a payroll tax cut has left a sour taste at year's end in Washington, contributing in no small part to an even bigger political story: the resurrection of President Obama and his fellow Democrats heading toward the 2012 elections.

After the debt ceiling debacle of last summer, the conventional wisdom among many political analysts was that Obama would go the way of President Jimmy Carter, that Republicans would lose a few seats in the House but retain control, and that the GOP would surge into power in the Senate. In short, Republicans were looking for a clean sweep.

Who believes that now? Obama is still highly vulnerable and could lose, but the CNN poll coming out of the field this week reveals a remarkable turnaround, especially in the past month.

In a mid-November survey, when asked which candidate they were more likely to support, registered voters gave Mitt Romney a lead of 4 percentage points over Obama, 51% to 47%. The mid-December survey found an 11-point switch; Obama now has a 52%-45% edge over Romney. Against Newt Gingrich, Obama has a 16-point lead, 56%-40%. (Ironically, the one Republican candidate who does as well against Obama as Romney is Rep Ron Paul, trailing by the same 52%-45% margin.)

It is too early to tell how much Democratic prospects for the Senate and House have improved, but senior Republicans are worried. John King pointed out one straw in the wind Wednesday night on CNN's "AC360.": the Massachusetts Senate race, where a poll has shown Democratic populist Elizabeth Warren grabbing an unexpected lead over Republican populist Scott Brown. Only a few months ago, the Brown forces were supremely confident.

Brown has seen how much danger the payroll tax mess can pose for his re-election and was one of the first to condemn House Republicans for rejecting a Senate compromise that had overwhelming, bipartisan support.

For Brown and other GOP candidates in blue and purple states, the hard-liners in the House are playing directly into a narrative that Democrats have been promoting for months: that Washington is broken because the GOP has become hostage to the tea party. With sentiment toward the tea party now running 49%-33% unfavorable in CNN polling, that is potent stuff.

The truth about the breakdown in Washington is much more complicated (Democrats deserve ample blame, too), but Republican congressional leaders have so mishandled the payroll tax issue that they have made it easy for the charge to stick.

As The Wall Street Journal said in its scathing editorial, the GOP has also strengthened Obama's arguments that he is more on the side of middle-class taxpayers than Republicans are. No wonder the White House is quietly chortling and senior Republicans like GOP leader Mitch McConnell pressed hard for House Republicans to cave on the payroll tax cut.

There are two other major forces at work that have been lifting Democratic hopes. One is the quality of the Republican presidential race. With less than two weeks left before the Iowa caucuses, as The Boston Globe reports Thursday, it is apparent that no one has captured the imagination of GOP voters. We are back to where we started: a sense the field is weak and people wondering whether a Jeb Bush or a Chris Christie will get off the sidelines.

All primary campaigns draw candidates toward the extreme end of their parties, but this year, with so many debates, there has been a danger all along for Republicans that moderates and independents would also be driven off. (In the CNN poll, moderates now give Obama a sizable lead against every GOP candidate.)

The other force driving the change in outlook is Obama himself. What he does best, as we have learned, is campaign. In domestic affairs, he has been far better at that than governing. He and his team apparently made a decision after the debt ceiling fight that he should be much less involved in leading Washington and instead hit the campaign trail. From my perspective, that's not good for the country -- witness how appallingly little has been accomplished this fall on jobs and the deficits -- but it seems to be working for his re-election.

None of this is to say that Obama and Democrats have become clear favorites for next fall. The fluidity we have seen among Republican primary voters may well show up in the general electorate. As Romney has been arguing, the GOP is likely to close its ranks more fully once a nominee has been crowned. The improving tone of the economy -- also a factor for Obama -- could well be short-lived: As The New York Times reported Thursday, economists tend to think that growth could slow again next year. And that dark cloud called the euro zone is still hovering.

Even so, we are witnessing an important change in the political landscape -- and it could be lasting. Republicans well remember the mid-1990s when they seized power in Congress and Speaker Newt Gingrich went mano-a-mano with President Bill Clinton. For a while, Gingrich had the upper hand, but Clinton then outmaneuvered him on two governmental shutdowns -- and when the momentum turned in Clinton's favor, he rode it to an easy re-election. No one should doubt that could happen again.

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

David Gergen: The payroll tax cut extension squabble is helping Obama, Democrats

@highlight

He cites CNN poll showing higher approval, stronger matchups for Obama vs. GOP

@highlight

Also hurting GOP is concern that its presidential field is weak, Gergen says

@highlight

Gergen: Obama has proven to be stronger at campaigning than governing