(CNN) -- By now, people in the United States and elsewhere in the world are familiar with the Tea Party, but there's a new social movement on the political block -- it's called the "Tequila Party," and its leaders say the group is serving as a wake-up call to the Latino voting bloc.

Tequila Party organizers describe their movement as a nonpartisan group that launched this year on May 5 -- Cinco de Mayo, to mark the Mexican holiday. It has enlisted both Democrats and Republicans to get the more than 20 million eligible Latino voters to become "consistent primary and general election voters," the movement's website says.

In other words, its organizers say, it is not a political party in the traditional sense. It's more about registering to vote and then voting than supporting particular candidates.

"I think first you have to understand the humor of calling it the Tequila Party. We are a culture that likes humor," the movement's main political consultant, Agustin "Gus" Garcia, told CNN.

"We're not Puritans. Humor is part of our politics as well. We could have called it the 'Cafe con Leche Party.' You have to laugh because there is no logic in racism."

In 2008, during now-Secretary of State Hillary Clinton's run to become president, Garcia was her national Latin co-chair. A Democrat, Garcia said he believes there is no better time for the Tequila Party movement.

"There is fertile ground right now for a message like this," he added. "We're appealing to a large group in this nation. We're not appealing to a minority, but to a mass of people. We're united by culture and language."

National Tequila Party leader Belinda "Deedee" Garcia-Blase told CNN that the movement "is a platform for us to position ourselves as consistent voters."

"This is not a movement in place to endorse any politician whatsoever," she said in a phone interview from Tucson, Arizona, where the movement is based. "We're not going to bash politicians like the Tea Party does. This is about voting and why we're in the situation we're in."

The goal is to influence the 2012 elections, Garcia-Blase said. The group is now in the final stages of organizing a national tour of concerts, events, dinners and rallies in 20 states that will "encourage a massive Latino 'Get Out The Vote,'" she said. The kickoff event is June 4 in Tucson, Arizona.

The U.S. Hispanic population grew 43 percent in 10 years between 2000 and 2010 -- four times faster than the total U.S. population -- according to figures from the 2010 census. Currently, people of Hispanic origin make up only about 9% of the eligible electorate, according the Pew Hispanic Center.

Still, Hispanics were one of the most sought-after voting groups in the 2008 presidential election and were heavily concentrated in at least four battleground states in the presidential campaign -- Florida, Colorado, New Mexico and Nevada.

"We're one-out-of-four people entering college. We're now becoming more obvious. We're national now," said Garcia, who is a Cuban-American who immigrated as a child to the United States in 1961 and now lives in Miami. "We're no longer regional. We are reflective of a world that is changing. Latins are the neighbor next door that brings global society."

Garcia-Blase is also head of Somos Republican (We Are Republican), the largest Hispanic GOP group in the nation. She says the genesis of the Tequila Party grew out of frustration with the Obama administration's failure to pass comprehensive immigration reform and legislation including the DREAM Act, Garcia-Blase says. But she is quick to clarify the movement is not "anti-Obama, but pro-social justice."

The DREAM -- Development, Relief and Education for Alien Minors -- Act would offer a path to citizenship for illegal immigrants who came to the United States as children. In December, it failed to pass the Senate during a lame-duck session of Congress.

"The immigration issue is the number-one concern to Latinos right now," Garcia-Blase says. "We've witnessed over 800,000 Latinos get deported. We've heard the cries and the pain and the suffering from families who are being forced apart. Now is a time for us to become better voters."

Garcia-Blase concedes the idea for the Tequila Party was not originally hers. She credits Fernando Romero as being the inspiration behind the movement. Romero is president of the nonpartisan Nevada group Hispanics in Politics.

"The movement is important because it unites efforts from the two major parties and others who want to get involved on issues that their party is not dealing with or their party may be in disapproval of," Romero told CNN from his office in Las Vegas. "This is a collective resolution for the Hispanic community. To this moment I have not received any negative feedback."

Romero first got involved in politics more than 30 years ago as a volunteer for now-Sen. Harry Reid's campaign for lieutenant governor of Nevada.

"The principle thing for the Tequila Party movement is border education," Romero said. "Everything else will come through once we accomplish a good community empowerment movement that will allow us to be as effective as we can. The challenges may be that non-Hispanics may try to make an issue of this as a third-party movement. That's a misinterpretation of what we're trying to accomplish."

For first-generation Cuban-America Felix Castillo, 19, a rising Badson College sophomore in Wellesley, Massachusetts, and an unregistered voter, the Tequila Party movement is a good idea in principle, but he's skeptical about its ability to succeed in accomplishing its goals.

"I don't think it's necessary," Castillo told CNN. "I think people my age are really hard-headed. ... I really don't think people my age are going to listen to them."

"They're going to have to do more than just concerts (to succeed)," he added.

University of Washington Political Science Associate Professor Matt A. Barreto is also skeptical. He has conducted political research on Latinos for more than 15 years and is currently a pollster for Latino Decisions, an independent polling firm that began in 2007.

"My impression is that it's 99.9% driven by Republican Latinos. Everyone that I've talked to about it believes that to be the case. It's more of an effort to try and get the Republican Party to take the immigration issue more seriously and to not ignore the Latino vote," Barreto told CNN in a phone interview.

"Based on history, I think they're going to continue issuing press releases and they may hold some events surrounding immigration issues, but I'm not sure they're currently set up with the organizational capacity to conduct massive voter registration drives," he added.

Garcia-Blase says organizers have not received any funding from Republicans for the Tequila Party and reiterated to CNN that the movement is not at all affiliated with the Republican Party.

"A lot of our leaders are Democrat," she said.

Right now, Garcia-Blase says, the group has more than 55 grass-roots leaders throughout the nation working to get sponsors for the rallies, which are planned in places with a conventional Latino presence including Los Angeles, Chicago and Miami, but also in non-traditional Hispanic cities like Des Moines, Iowa; Milwaukee, Wisconsin; and Topeka, Kansas.

"We're working with a group of pro-immigrant-minded business leaders in Florida for financing. It would cost between $5,000 and $6,000 per metropolitan city. We want to bring in a good entertainment like Shakira and Santana. If we don't get the national acts, we'll go local," she said.

Garcia-Blase, a sixth generation Mexican-American whose parents worked in the potato fields of Idaho when she was a child, says that for now, 100% of her focus is on the pro-Latino movement.

The pro-immigration reform advocate says she plans on changing her political affiliation to independent so that she can be taken seriously by critics as a legitimate social leader.

"I used to be a rah-rah Republican. To heck with that," Garcia-Blase said. "This isn't about politics. It's about people. I've always maintained I'm a real Republican, but I've been called names because I defend my community and put people before party. I still get attacked for that."

@highlight

Organizers are calling an effort to increase the Latino voting bloc the "Tequila Party"

@highlight

They say it is nonpartisan and not endorsing candidates

@highlight

Voter registration and immigration reform are focal points for the group