(CNN) -- When the moment finally arrived, 86 of us stood up to utter 31 sacred words.

I raised my right hand. My heart was pounding. All those years spent in public schools in America, I'd refrained from saying the Pledge of Allegiance. It was wrong to say it when my loyalties lay elsewhere.

But that changed with a ceremony on a July day six years ago. And it changed me. I learned lessons about the meaning of country and more importantly, about myself.

I'd been in America almost three decades but happily retained an Indian passport. Over the years, each time it was renewed, my green card changed to pink and white but the status remained the same: permanent U.S. resident.

I'd lived here so long that I felt just as much American as I did Indian, but I had my reasons for not taking that last formal step that made my Americanness official.

One was practical -- there was a matter of inheriting my father's property in Kolkata, India, and for a long time, that process was excruciatingly painful without Indian citizenship. My father knew what a bureaucratic nightmare inheritance could be, and as long as he was alive, he encouraged me to stay an Indian.

The other reason I held back was far more personal.

India does not allow dual citizenship with the United States, and assuming U.S. citizenship would effectively mean renouncing India. That felt like betrayal, a severance with the land that gave me birth and shaped me.

I spent a chunk of my childhood in India. When my family finally settled in the United States, I struggled to find myself.

I learned to speak English well, even with a twinge of Southern drawl, some would say. I went to high school dances and loved my Levi's and even went out on dates, something I would never have done in India at that time.

But I never felt fully accepted.

I was always an "other" on forms that asked for race and ethnicity, before the days when Asian-American became a census category. In high school and college, I found myself fighting stereotypes and answering absurd questions about India, such as "do people live in grass huts?"

Sometimes, I felt Americans simply didn't understand me and that everything would be better if I could just go back to India.

The yearning for home and family grew stronger with age, especially after my parents moved back to India in 1985. I felt a need to rediscover my roots, not uncommon, I suppose, among immigrant children.

But every time I returned home to visit, I realized I could never feel fully at home in India anymore. I was too Americanized. A memsahib, the elders in my family joked, referring to the term for British women during colonial times.

That, too, is not uncommon among immigrant children. Many of us feel neither here nor there, straddling two cultures as we navigate key years of our lives.

In my case, I was happy to go on as a citizen of one country, a resident of another.

I paid my taxes and enjoyed all the freedoms afforded Americans save two things. I never served on a jury and more importantly, I could not vote. I never had an electoral say in India either because it did not allow absentee voting.

I hailed from the world's largest democracy and lived in the world's most powerful one, but was unable to take part in a free society's most essential expression. I always felt cheated, or worse, that I was falling short.

In 2004, I covered the presidential elections for an Atlanta newspaper, and after months of excitement and intrigue I was frustrated that I could not cast a ballot on Election Day.

By then I had cleared the biggest legal hurdles in India in settling my father's property. And so it happened that I sat down to fill out the necessary forms declaring my intent to become American.

I was fingerprinted, passed citizenship tests that challenged my knowledge of the Constitution and was finally called to take the oath in July 2008.

At the suburban Atlanta offices of the U.S. Citizenship and Immigration Services, I scanned the room to see faces from Vietnam to Venezuela. There were people from 38 different countries there that day for the naturalization ceremony.

I thought back to all the people I had met in my career as a reporter, of people who fought for freedom in lands that kept them caged, and others who clawed their way to these shores to break free.

I remembered Cuban dissenters I had met on my trip to Havana, and Afghan women who risked their lives to make things better for their little girls.

Now, all we have to do is look to the men and women of the Arab Spring, who took to the streets to oust governments that kept them down. Think of how much people risk to attain the kind of freedom we enjoy in America. And how much people in our own country have struggled to rid our society of prejudice and persecution.

My naturalization ceremony was testament to the American spirit. I looked around me and realized that this wasn't just about the journeys people had made; it was about the potential of all they could achieve in their new nation.

I thought about the Americans I'd met who worked hard, determined to achieve the American dream; about how their expectations were greater than their fears.

Such was the case with Fernando Andrade, who left behind Gen. Augusto Pinochet's military rule in Chile and arrived here without a college degree or English skills. He started in construction jobs and worked his way up to become a successful businessman.

Or Darly Pierre, who fled the brutal dictatorship of Jean-Claude "Baby Doc" Duvalier. She came to America ready to fulfill her dreams. In Haiti, she said, she never had that chance.

I thought, too, about all the Americans I met who inspired me to carry on in the face of adversity. They, too, championed the American spirit.

Dylynn Waters lost her New Orleans home to Hurricane Katrina, resettled in Atlanta only to lose her home again in a fire. Waters persevered with a smile on her face. She said she had learned that it was not possessions that made a home.

Richard Ingram was a young cavalry scout whose arm was blown off in a roadside bombing in Iraq. He returned home determined to make the best of life. He is the first severely wounded soldier in the wars in Iraq and Afghanistan to become an officer.

America is filled with such stories. It is a nation that gives people hope.

On that July day, I felt proud, and extremely lucky, to be a part of this land.

I glanced at Francisco Montiel of Venezuela, standing to my right, dressed for the occasion in a khaki suit and blue tie. And on my left stood my friend Vino Wong, a photographer for The Atlanta Journal-Constitution newspaper and a native of Malaysia.

I wondered what they were thinking as they, too, became U.S. citizens. Did they have the same emotions I did? Was their joy tinged with the melancholy of giving up a homeland?

My eyes welled as I began the oath.

"I hereby declare, on oath, that I absolutely and entirely renounce and abjure all allegiance and fidelity to any foreign prince, potentate, state or sovereignty, of whom or which I have heretofore been a subject or citizen; that I will support and defend the Constitution and laws of the United States of America against all enemies, foreign and domestic; that I will bear true faith and allegiance to the same. ..."

Two worlds collided in my head as I drove to the Fulton County Courthouse with my new certificate of citizenship so that I could register to vote in time for the 2008 presidential elections.

That November, America made history with the election of Barack Obama as its first black president. The election became an important part of my own history as I stepped up to a voting booth and cast a ballot for the very first time.

Since then, I've come to think differently of my new citizenship.

I know now that swearing allegiance to the red, white and blue gave me new nationality. But nothing can ever take away my identity or that of the 40 million other people living in America who were born in other countries.

My Indian roots run deep, and I strive to carry with me every day the very best of two lands.

That is, after all, what makes America great.

What does U.S. citizenship mean to you as we approach July 4th? Share your take in the comments section below.

@highlight

CNN reporter Moni Basu writes about making her "Americanness official"

@highlight

After almost 30 years in America, she became a citizen in 2008

@highlight

Author: "America...is a nation that gives people hope"