(CNN)A federal investigation has not found enough evidence to charge Darren Wilson for depriving Michael Brown of his civil rights, according to multiple sources familiar with the probe. This would be the second time the former police officer has avoided standing trial in the black teen's fatal shooting last summer in Ferguson, Missouri.

The FBI joined local officials in interviewing more than 200 people -- and looked at much the same evidence -- as a St. Louis County grand jury that decided in November not to indict Wilson, who is white, on any charges in Brown's death. That federal law enforcement agency has now completed its investigation into the August shooting and sent its findings to the Justice Department, a law enforcement official and a separate U.S. official said Wednesday.

Based on that probe, Justice Department prosecutors won't recommend civil rights charges against Wilson because there is not sufficient evidence to support them, a U.S. official told CNN.

The New York Times first reported the development Wednesday.

The Justice Department report has not been completed, and Attorney General Eric Holder ultimately will make the final decision whether to press federal civil rights charges against Wilson.

Still, it wouldn't be a surprise if Holder doesn't call for charges. While he's been outspoken on Ferguson, met with Brown's family and said he understood African-Americans' mistrust for police after the incident, the attorney general acknowledged in November that "federal civil rights law imposes a high legal bar in these types of cases."

The shooting of the 18-year-old Brown stirred months of emotionally charged, widespread and at times violent demonstrations in Ferguson, a few miles northwest of St. Louis. "Hands up, don't shoot" became a mantra for protesters nationwide decrying what they called undue, unfair police violence against African-Americans, resonating even after grand jury testimony disputed whether Brown ever actually raised his arms in surrender.

Those protests bubbled up in the days immediately after the shooting, with anger growing due to what some saw as law enforcement's heavy-handed response. And they swelled again after the grand jury's decision this fall not to indict Wilson on state charges.

If Holder decides, based on prosecutors' recommendation, not to press federal civil rights charges against Wilson, that could rile things up yet again. Antonio French, a St. Louis city alderman who has been involved in the Ferguson protests, thinks some people will be disappointed, at the least.

"The community and the family wanted a day in court, an opportunity to see all the evidence laid out, cross-examined," French said. "And it looks like that's not going to happen. I hope we don't have any violence as a result of this."

For now, though, Brown's family is laying low.

What are the Brown family's options?

Benjamin Crump, a lawyer for the family, has said he felt federal civil rights charges against Wilson were "not very likely" given the "very high standard" that has to be met. CNN senior legal analyst Jeffrey Toobin has noted that authorities would need proof that Wilson exhibited "racial hostility," presumably by what he said before, during or after the shooting.

The Brown camp deferred comment on Wednesday's news reports suggesting there would be no charges.

"The family of Michael Brown Jr. will wait for official word from the Justice Department regarding whether or not any charges will be filed against the police officer who shot and killed him," Crump said in a written statement. "The family won't address speculation from anonymous sources."

Even without charges, this story isn't over.

It's possible that Brown's family will file a civil lawsuit against Wilson, who resigned in late November citing security concerns. And the U.S. Justice Department still has another open investigation -- this one looking at the Ferguson Police Department as a whole.

"Anecdotal accounts underscore the history of mistrust of law enforcement in Ferguson that has received a good deal of attention," Holder said in September. "Our investigation will assess the police department's use of force, including deadly force. It will analyze stops, searches and arrests. And it will examine the treatment of individuals detained at Ferguson's city jail."

That investigation could lead to significant changes in Ferguson, much as similar federal probes have produced in New Orleans, Los Angeles, Pittsburgh, Cincinnati and elsewhere. But it wouldn't mean charges for Wilson, personally, or that anyone would go on trial.

It's also possible there could be legislation, policy changes or personnel turnovers not forced by the federal government.

In his State of the State speech on Wednesday, Missouri Gov. Jay Nixon said addressing "the broader, systemic issues" raised by the unrest that followed the killing of Brown would demand "sustained effort."

"The legacy of Ferguson will be determined by what we do next ... to foster healing and hope ... and the changes we make to strengthen all of our communities," he said.

At the least, French said, he expects more protests to keep up pressure on authorities.

"That's a good thing," he said. "But we want to keep them peaceful, nonviolent because violence makes the situation worse. It divides the community in a time we need to come together and make everyone feel like they can get equal protection."

Ultimately, he said, some of the protesters' goals can be achieved outside the courts.

"The next steps I think are legislative change," French said, "trying to make sure that in cases like this we get a special prosecutor by law, and to create a new level of civilian oversight over police departments."

CNN's Shimon Prokupecz, Catherine E. Shoichet, Dave Alsup, Jethro Mullen and Wolf Blitzer contributed to this report.

@highlight

Sources: Federal prosecutors don't think there's enough proof for civil rights charges

@highlight

A grand jury decided against state charges for ex-Ferguson police Officer Darren Wilson

@highlight

It all stems from Michael Brown's fatal shooting, which stirred up large, emotional protests