(CNN)There are many things that immigrants could teach those of us who are U.S.-born. The biggest lesson may simply to be grateful for our rights and privileges. That includes the little things we take for granted.

Like a small plastic card that not only allows us to drive on public roadways but also provides us a sense of identity. Imagine not having a driver's license and not being able to obtain one because the government prohibits it.

Erika Andiola doesn't have to imagine. Until recently, the 27-year-old Phoenix resident and co-director of the Arizona Dream Coalition was barred from having a driver's license by Arizona. The reason: she is an undocumented immigrant born in Mexico and brought here as a child by her mother.

Given that she arrived in the United States when she was 11 and has lived on this side of the U.S.-Mexico border longer than she lived on the other side, Andiola considers herself an American and this country her home.

Under Deferred Action for Childhood Arrivals, which was initiated by the Obama administration, more than half a million undocumented youth were given a two-year reprieve from deportation and a work permit.

Andiola is one of the recipients, having been granted DACA protection in November 2012 and a renewal since then.

From that point, had she lived in another state, the process for getting a driver's license might have been much smoother. But she lives in Arizona, which -- in the 20 years from 1989 to 2009 -- welcomed illegal immigrants and their labor to build homes in Phoenix, work in restaurants in Tucson and make beds at ski lodges in Flagstaff but then tried to expel them when their chores were done.

To push them out the door, legislators passed a spiteful law in 2010 that roped local police into enforcing federal immigration statutes and essentially sanctioned ethnic profiling of Latinos.

In August 2012, on the same day that DACA took effect, Arizona Gov. Jan Brewer issued an executive order preventing the program's recipients from obtaining driver's licenses or other public "benefit."

Brewer's order was challenged in court. Two years later, in July 2014, a three-judge panel of the 9th Circuit Court of Appeals struck down the Arizona policy as a violation of the equal protection clause of the U.S. Constitution.

With that, the estimated 22,000 DACA recipients who are also residents of the Grand Canyon State were free to apply for driver's licenses and take their driving tests like anyone else.

Andiola got her Arizona license earlier this month, after paying a $25 fee that she'll have to pay every two years each time she renews it.

I wondered what traveling that road taught her about that piece of plastic she carries with her. And I was curious about whether she had given any thought to how the native-born see driver's licenses compared to people like her.

"There is a pretty big difference," Andiola said. "I think it's because we fought really hard for it. People born here might not ever think about their driver's license unless they buy a drink or get stopped by police. For us, it's a reminder of the fruits of our labor. Think about how many minds we had to change so people could come out of the shadows."

Other privileges get taken for granted by the native-born, she said, such as the ability to apply for financial aid to attend college or pay the lower in-state tuition that you're entitled to pay as a state resident.

"When it comes to higher education, I don't think a lot of people really understand what they have unless they have to struggle to get it," Andiola said. "I have nephews who are citizens. I'm trying to make them understand how it was such a big deal, in my case, to attend college and pay in-state tuition and have it taken away. It was a big hurdle, and I almost dropped out. I want them to understand some of the privileges they have."

Finally, there's the right to vote. Undocumented immigrants can't do it, and yet many of those U.S. citizens who can don't bother going to the polls.

"Look at what we've done to bring change," she said. "Imagine how much someone can accomplish when they vote. A lot of Americans don't learn the political process. And you don't feel you need to until you struggle to drive, to vote, to just be allowed to stay with your family."

Listen to her, America. This is an exemplary country, and it'll stay that way as long as those of us who were born here and have these rights and privileges learn to appreciate them, treat them with care and put them to good use.

@highlight

Ruben Navarrette: A driver's license is not only about transportation but about identity

@highlight

He says it took a hard fight for young immigrants to win the right to driver's licenses in Arizona