(CNN) -- It captivated millions of people around the world for eight days in the summer of 1969. It brought glory to the embattled U.S. space program and inspired beliefs that anything was possible.

Moon landing hoax theorists point to the "rippling" flag as evidence the landings were faked.

It's arguably the greatest technological feat of the 20th century.

And to some, it was all a lie.

Forty years after Neil Armstrong and Buzz Aldrin set foot on the moon, a small cult of conspiracy theorists maintains the historic event -- and the five subsequent Apollo moon landings -- were staged. These people believe NASA fabricated the landings to trump their Soviet rivals and fulfill President Kennedy's goal of ferrying humans safely to and from the moon by the end of the 1960s.

"I do know the moon landings were faked," said crusading filmmaker Bart Sibrel, whose aggressive interview tactics once provoked Aldrin to punch him in the face. "I'd bet my life on it."

Sibrel may seem crazy, but he has company. A 1999 Gallup poll found that a scant 6 percent of Americans doubted the Apollo 11 moon landing happened, and there is anecdotal evidence that the ranks of such conspiracy theorists, fueled by innuendo-filled documentaries and the Internet, are growing.

Twenty-five percent of respondents to a survey in the British magazine Engineering & Technology said they do not believe humans landed on the moon. A handful of Web sites and blogs circulate suspicions about NASA's "hoax."

And a Google search this week for "Apollo moon landing hoax" yielded more than 1.5 billion results.

"We love conspiracies," said Roger Launius, a senior curator at the National Air and Space Museum in Washington. "Going to the moon is hard to understand. And it's easier for some people to accept the answer that, 'Well, maybe we didn't go to the moon.' A lot of it is naivete."

Conspiracy theories about the Apollo missions began not long after the last astronaut returned from the moon in 1972. Bill Kaysing, a technical writer for Rocketdyne, which built rocket engines for NASA's Apollo program, published a 1974 book, "We Never Went to the Moon: America's Thirty Billion Dollar Swindle."

In the book and elsewhere, Kaysing argued that NASA lacked the technology in 1969 to land humans safely on the moon, that the Apollo astronauts would have been poisoned by passing through the Van Allen radiation belts that ring the Earth and that NASA's photos from the moon contained suspicious anomalies.  See improved NASA footage of the 1969 moonwalk »

Kaysing theorized NASA sent the Apollo 11 astronauts up in a rocket until it was out of sight, then transferred the lunar capsule and its three passengers to a military cargo plane that dropped the capsule eight days later in the Pacific, where it was recovered. In the meantime, he believed, NASA officials filmed the "moon landing" at Area 51, the high-security military base in the Nevada desert, and brainwashed the astronauts to ensure their cooperation.

Some believe Kaysing's theories inspired the 1978 movie "Capricorn One," in which NASA fakes a Mars landing on a remote military base, then goes to desperate lengths to cover it up. Others insist NASA recruited director Stanley Kubrick, hot off "2001: A Space Odyssey," to film the "faked" moon landings.

Oh, and those moon rocks? Lunar meteorites from Antarctica.

Decades later, Kaysing's beliefs formed the foundation for "Conspiracy Theory: Did We Land on the Moon?" a sensational 2001 Fox TV documentary that spotted eerie "inconsistencies" in NASA's Apollo images and TV footage.

Among them: no blast craters are visible under the landing modules; shadows intersect instead of running parallel, suggesting the presence of an unnatural light source; and a planted American flag appears to ripple in a breeze although there's no wind on the moon.

The hour-long special sparked such interest in the topic that NASA took the unusual step of issuing a news release and posting a point-by-point rebuttal on its Web site. The press release began: "Yes. Astronauts did land on the moon."

In various documents, NASA has countered that the Apollo astronauts passed through the Van Allen belts too quickly to be exposed to dangerous levels of radiation; that the module's descent engines weren't powerful enough to leave a blast crater; that the shadows in photos were distorted by wide-angle lenses and sloping lunar terrain; and that the Apollo flags had horizontal support bars that made the flags swing.

Kaysing died in 2005, but not before grabbing the attention of Sibrel, a Nashville, Tennessee, filmmaker who has since become the most visible proponent of the Apollo hoax theories. With funding from an anonymous donor, Sibrel wrote and directed a 47-minute documentary in 2001 that reiterated many of the now-familiar hoax arguments.

Critics of moon-landing hoax theorists, and there are many, say it would be impossible for tens of thousands of NASA employees and Apollo contractors to keep such a whopping secret for almost four decades.

But Sibrel believes the Apollo program was so compartmentalized that only its astronauts and a handful of high-level NASA officials knew the entire story. Sibrel spent years ambushing Apollo astronauts and insisting they swear on a Bible before his cameras that they walked on the moon.

"When someone has gotten away with a crime, in my opinion, they deserve to be ambushed," Sibrel said. "I'm a journalist trying to get at the truth."

In an episode made infamous on YouTube, Sibrel confronted Aldrin in 2002 and called him "a coward, a liar and a thief." Aldrin, then 72, socked the thirtysomething Sibrel in the face, knocking him backwards.

"I don't want to call attention to the individuals who are trying to promote and shuffle off this hoax on people," Aldrin told CNN in a recent interview. "I feel sorry for the gullible people who're going to go along with them. I guess it's just natural human reaction to want to be a part of 'knowing something that somebody doesn't know.' But it's misguided. It's just a shame."

It's been 37 years since the last Apollo moon mission, and tens of millions of younger Americans have no memories of watching the moon landings live. A 2005-2006 poll by Mary Lynne Dittmar, a space consultant based in Houston, Texas, found that more than a quarter of Americans 18 to 25 expressed some doubt that humans set foot on the moon.

"As the number of people who were not yet born at the time of the Apollo program increases, the number of questions [about the moon landings] also may increase," NASA said in a statement. "Conspiracy theories are always difficult to refute because of the impossibility of proving a negative."

Launius, the National Air and Space Museum curator, believes Apollo conspiracy theories resonate with people who are disengaged from society and distrustful of government. He also believes their numbers are overblown.

"These diehards are really vocal, but they're really tiny," he said.

But Stuart Robbins, a Ph.D. candidate in astrophysics at the University of Colorado who gives lectures defending NASA from Apollo hoax theorists, believes their influence can be harmful.

"If people don't think we were able to go to the moon, then they don't believe in the ingenuity of human achievement," he said. "Going to the moon and returning astronauts safely back to Earth is arguably one of the most profound achievements in human history, and so when people simply believe it was a hoax, they lose out on that shared experience and doubt what humans can do."

In its information campaign against Apollo's "debunkers," NASA may have a potent ace up its sleeve, however. Its Lunar Reconnaissance Orbiter is now circling the moon with powerful cameras, snapping crisp pictures that could reveal Apollo 11's Eagle lander squatting on the moon's surface.

Then again, conspiracy theorists may just say NASA doctored the photos.

"Will the LRO's incredibly high-resolution images of the lunar surface, including, eventually, the Apollo landing sites, finally quell the lunacy of the Moon Hoax believers? Obviously it won't," writes astronomer Phil Plait in his blog on Discover magazine's Web site. "These true believers don't live in an evidence-based world."

@highlight

A cult of conspiracy theorists believe NASA faked the Apollo moon landings

@highlight

The U.S. wanted to avoid embarrassment and trump the Soviets, hoax theorists say

@highlight

Theorists point to "inconsistencies" in NASA photos and TV footage

@highlight

A poll shows 6 percent of Americans believe the Apollo moon landings were faked