(Health.com) -- Roughly 20% of the antibiotic prescriptions written in the United States for adults each year are for sinus infections. That's an impressive statistic, given that doctors and public health officials have long doubted that antibiotics can successfully treat the condition.

A new study, published this week in the Journal of the American Medical Association, appears to confirm those doubts: The antibiotic amoxicillin was no better than placebo at improving the congestion, cough, runny nose, pain, and other symptoms that accompany sinus infections (also known as acute sinusitis), researchers found.

"Compared to placebo, amoxicillin doesn't seem to provide any benefits," says lead author Jane Garbutt, an associate professor at the Washington University School of Medicine, in St. Louis. "In terms of patient satisfaction, side effects, symptom relief, days missed from work, et cetera, we did not see any difference."

Health.com: Is it a cold? Or a sinus infection?

Most sinus infections are caused by viruses, which don't respond to antibiotics. But even bacterial sinus infections rarely require antibiotic treatment, according to the Centers for Disease Control and Prevention. In most cases, both types of infection go away on their own in less than two weeks.

"Most patients get better despite antibiotics, not because of them," says Garbutt. "There is a high rate of spontaneous resolution."

Antibiotics would be more useful if doctors were able to distinguish between viral and bacterial sinusitis. But general practitioners have no tests at their disposal that reliably diagnose bacterial infections, Garbutt says, and in the study she and her colleagues were unable to identify any symptoms or other markers that predicted which patients would respond to antibiotics.

"The problem for primary care physicians is figuring out which patients would benefit," she says.

Health.com: How to tell if you need an antibiotic

The study included 166 people with moderate or severe sinus infections. Half of the participants took amoxicillin three times a day for 10 days, and the other half took a placebo on the same schedule. In addition, every patient was given acetaminophen, cough medicine, and decongestants to use as needed.

The two groups of patients improved at approximately the same rate. By day three, just over one-third of those in each group reported a lessening of their symptoms, a proprotion that increased to roughly 80% in each group by day 10.

The patients taking antibiotics did feel measurably better than the placebo group on day seven, but the researchers did not consider the difference to be clinically (as opposed to statistically) significant. On that day, the difference in the two groups' quality of life -- as measured by a scale appropriately named SNOT-16 -- was negligible, the study notes.

Health.com: 10 products that can ease sinus symptoms

The results reinforce what many doctors have suspected, even if they've continued to prescribe antibiotics to sinusitis patients, says Daniel Merenstein, M.D., an assistant professor of family medicine at Georgetown University Medical Center, in Washington, D.C.

"We don't practice it, but we do know it," he says. "This study might help us give out fewer antibiotics."

The main reason doctors continue to prescribe antibiotics is that patients have come to expect them, Garbutt and her colleagues note. One way of satisfying patients without overusing antibiotics, Garbutt says, is to give them a prescription but advise them not to fill it unless their symptoms persist or worsen -- a protocol that's become popular in Europe.

Garbutt says it's also vital that doctors talk to their patients about which treatments work, which don't, and why. "You have to have some communication plan," she says. "You need to provide information about what they should expect and what to do if their condition deteriorates."

Health.com: Surprising causes of sinus trouble

Patient expectations aren't the only driver of antibiotic use for sinus infections, however.

Mark Shikowitz, M.D., director of the Zucker Nasal and Sinus Center at North Shore--Long Island Jewish Health System, in New Hyde Park, New York, says some doctors prescribe the drugs to guard against the very rare chance that a sinus infection will progress to something much worse, such as a brain abscess, a bundle of cells that can develop following a bacterial infection.

"The chances are quite small, but the outcome if it does happen can be catastrophic," Shikowitz says. "And behind every bad outcome is a medical malpractice attorney."

Some doctors will be reluctant to withhold or discourage antibiotics until physician organizations formally adopt the conservative approach advocated by Garbutt and her colleagues as the new standard of care, he says.

The overuse of antibiotics for sinusitis has important public-health implications in light of the growing concerns about antibiotic-resistant bacteria and viruses. Widespread antibiotic use can lead the infectious organisms that cause disease to adapt a defense, making the drug less effective in the population overall.

Copyright Health Magazine 2011

@highlight

Doctors still prescribing antibiotics for sinus infections, despite evidence they don't work

@highlight

Antibiotic amoxicillin was no better than placebo at improving symptoms

@highlight

Even bacterial sinus infections rarely require antibiotic treatment, the CDC says