The involvement of five Arab countries in the air strikes against ISIS in Syria is a major new development for the region. It is not yet clear exactly what role they have played in what the Pentagon described as "participation and support" for the operation, but this is about symbolism more than military might.

For the U.S., it was vitally important to avoid this looking like another Western attack on a Middle Eastern country, and to emphasize that opposition to ISIS comes from within the Arab and Muslim worlds - where the vast majority of their victims have come from.

But what's in it for the Arab countries?

The move reflects a combination of concerns about their domestic security and their international reputation. Longer term, beyond the concerns about ISIS itself, it reflects a desire on the part of these Arab states to play a more active role in regional security -- but also illustrates the risks that can affect anyone wanting to become the policeman of the region.

Firstly, these states see ISIS as a threat to their own domestic security. ISIS's ideology doesn't only condemn the "infidel West;" like al Qaeda, it is also dead set against the existing regimes in the Arab states, and wants the states themselves to fall and be replaced by a caliphate.

Saudi Arabia, which has confirmed its air force was involved in Tuesday's strikes, has been the victim of al Qaeda (AQ) attacks before, in 2003-04, and Jordan was bombed by an AQ affiliate led by Abu Musab al Zarqawi, an ideological precursor of ISIS. For its part, the UAE has accused the Muslim Brotherhood of plotting to overthrow it.

The UAE is the most hawkish of the five states when it comes to Islamists, and U.S. officials say that UAE forces recently bombed Islamist militants in Libya, a claim dismissed by a UAE minister.

If so, this would be another indication of the growing military assertiveness of this small but wealthy country. However, if it happened it proved ineffective; the militants subsequently took Tripoli airport.

Second, for some Gulf states, especially Qatar, there is a worry that some in the West actually blame them for ISIS emerging. Several Gulf countries have been arming and funding a variety of Syrian opposition groups -- as the West has too.

Gulf states say they've funded only "moderate rebels", and that though this has included some Islamists, they are not ISIS.

But there are allegations of Qatari funding for Jebhat al Nusra, an al Qaeda affiliate, which Qatar denies.

Qatar is also being criticized harshly by Israel for supporting Hamas. For Qatar, therefore, a role in the airstrikes operation is a chance to counter the allegations that it supports terrorism.

It is also a chance to make a rare display of solidarity between Qatar and UAE, who have been at odds because they take opposing approaches to Islamists in the region.

Both the Qatari and UAE air forces participated in enforcing the no fly zone in Libya. But since then they've backed different sides in Libya. Indeed the Libyan PM has alleged that Qatari planes tried to take weapons to the militants holding Tripoli airport.

This evident disunity has weakened the foreign policy credibility of the Gulf cooperation council, the regional alliance of Gulf monarchies, so it has been especially important for the key Gulf players to pull together against ISIS.

The Saudi interior ministry has always been concerned that funding Islamists could lead to blowback. They've seen this before, with Afghanistan. However, it's less clear exactly what covert intelligence operations may have been supported in their bid to topple Assad and combat Iran; and when weapons and money go into a complex and fragmented civil war, it is not always certain where they will end up.

There has certainly been private funding from the Gulf; the U.N. has recently blacklisted several private individuals from the Gulf for funding ISIS and JaN.

Several thousand Saudis have gone to fight in Syria -- though with a range of opposition groups, some of which are supported by the West. And there have been claims in the Western media that the Saudi interpretation of Islam itself promotes this kind of exclusionary ideology -- which Saudis reject strongly, saying their religion is against the shedding of innocent blood.

For Riyadh, this is a reminder of the period after 9/11, when U.S. analysts seriously questioned the value of their alliance with Saudi Arabia. Indeed, as part of its response to ISIS, Saudi Arabia convened a regional counterterrorism summit on this year's anniversary of 9/11.

But for the Kingdom to take part in a U.S.- led coalition is something much more dramatic, not seen since 1991, when Gulf forces joined U.S.-led coalition to liberate Kuwait from Iraqi occupation. Saudi Arabian forces have been involved in fighting Houthi militants in Yemen in recent years, in a war almost entirely ignored by Western media. But both these conflicts were on their own borders, and had a defensive aspect.

Greater military assertiveness by the Gulf countries, and Gulf cooperation with the larger armies in Egypt and Jordan, are key regional trends to watch.

Gulf countries will remain keen to expand their own limited military capabilities and be less reliant on the U.S., just in case it is not always there to guard them.

Some in the Gulf, including the former emir of Qatar, have expressed frustration that the U.S. was not doing enough to end the Syrian conflict and suggesting that there should be an Arab intervention.

However, until recently, they were talking about an Arab intervention against Assad. With this latest display of military force, the Syrians who sympathize with the opposition will be asking why these countries didn't have the same interest in defending them against regime attacks and chemical weapons.

@highlight

Five Arab states participated in or support airstrikes against ISIS targets in Syria, the U.S. says

@highlight

Jane Kinninmont says their support reflects concerns about security and reputation

@highlight

Some of the Gulf states are concerned that the West blames them for ISIS's rise, she says

@highlight

But pro-opposition Syrians will ask why they didn't intervene against Assad, she says