(CNN) -- The U.N. Commission of Inquiry on Syria recently determined that the fighting in Syria is not an "armed conflict" (PDF) -- the legal term for war -- under international law because the opposition forces are not sufficiently organized. Yet surely the protesters, dissident fighters and terrified citizens caught up in the violence in Syria believe they are at war.

States and other international legal experts are following the same overly technical approach and, as a result, not applying the law designed for just this situation: the law of war. The international community is left unable to use every available tool in its efforts to halt the violence and protect civilians from extraordinary suffering.

Failing to call Syria's upheaval an armed conflict -- the legal term for war -- has real and immediate consequences. Contrary to what events in Syria suggest, war is not waged in a legal vacuum. International law regulates permissible conduct during war, even civil war.

The law of war exists specifically to restrain brutality in war, protect innocent civilians from direct attack and minimize suffering. It prohibits deliberate attacks on civilians and using them as human shields, requires humane treatment of the wounded or detained personnel, obligates parties to respect and protect medical aid providers, mandates efforts to facilitate delivery of humanitarian relief, and imposes criminal responsibility on those who disregard these obligations. These basic and essential protections apply during any armed conflict.

The only rule that President Bashar al-Assad and his forces follow, however, is the rule of unrestrained brute force. Indiscriminate shelling of towns; civilians forcibly used as human shields; and attacks on the wounded, ambulances and humanitarian workers are a daily staple in the mismatched struggle between al-Assad's heavily armed and morally corrupt forces and the regime's opponents: protesters, dissident army units and other fighters.

Massive suffering from heavy-handed government responses to internal threats is nothing new; indeed, the images from Syria are unfortunately all too common. Bosnia, Sierra Leone, Rwanda, Sudan and now Syria are the latest in history's long line of notoriously brutal struggles between competing factions within a state. Historically, states did not recognize the law of war's application during internal conflict, arguing that internal matters were solely the concern of the state. The need to maximize protection of civilians in the face of the unprecedented brutality of internal conflicts -- especially the Spanish Civil War -- was the primary motivation for including fundamental law of war protections for such conflicts in the 1949 Geneva Conventions.

Demanding that the Syrian government respect international human rights obligations is certainly appropriate. These obligations protect the same fundamental rights as the law of war. But armed conflict involves a level of force and violence that triggers the law of war's more specialized international legal regime, one better suited to address war's full range of challenges. Notably, however, there are no demands that the parties abide by the law of war.

The United Nations Commission and other experts may fear that acknowledging an armed conflict in Syria will give both sides free rein to use military force. Such concern is naÃ¯ve in the present circumstances. Al-Assad is already using maximum firepower. The primary concern must be whether we can use every available tool to regulate that use of force to protect innocent victims.

Reality thus tragically demonstrates that the essential dividing line in Syria is not between peacetime and wartime but between the law of war and no law at all. Syria's crisis surpassed that demarcation line long ago, even if the opposition is not extensively organized.

Levels of violence obviously exceeding what is normal during peacetime and, especially, a government unleashing its full military might to repress a dissident threat call for the application of the law of war. The international community's refusal to recognize an armed conflict in Syria can only be characterized as not seeing the forest for the trees.

Widespread recognition that the situation has risen to the level of armed conflict is no talisman: It will not result in immediate intervention, nor is it likely the regime will immediately change its tactics. What it will do is arm those seeking an end to indiscriminate brutality with a clearly defined legal basis to demand restraint from the parties to the hostilities. Perhaps more important, it will place Syrian leaders on immediate notice that their actions will be judged against a standard of wartime conduct, and that they are accountable for the widespread suffering they have caused.

It is time to call a spade a spade and demand compliance with this law. By doing so, an international community increasingly disgusted by events in Syria can send a clear message that the law's basic protections for persons in the conflict zone must be upheld and that every leader responsible for violating this law will be held to account.

The opinions expressed in this commentary are solely those of Laurie Blank and Geoffrey Corn.

@highlight

Writers: What is happening in Syria is a war, but international legal experts refuse to call it that

@highlight

Legal experts say it's not a war because the opposition isn't well-organized

@highlight

If it's determined to be war, then the law of war applies, they say, even to an internal conflict

@highlight

Writers: The law sets standards to restrain brutality, protect civilians, minimize suffering