Corolla, North Carolina (CNN) -- Ray Midgett hunts the Corolla beaches on the Outer Banks of North Carolina almost every day.

"Beachcombing, or metal detecting, or relic hunting is in my blood," said Midgett, a retired government worker who hits the sand between October and April.

"There are so many shipwrecks up here, it's just beautiful."

Midgett drives his pickup truck right onto the beach using the access road near the Currituck Beach Lighthouse. With a metal detector and shovel in tow, he's uncovered everything from antique coins to wedding rings.

Yet his biggest discovery came in December when he located the remains of a historic shipwreck.

The wreckage, hidden under the sand for centuries, became fully exposed after a winter of brutal Nor'easters, making it the oldest shipwreck found off the coast of North Carolina.

But historians had to act fast to recover the ship, according to Meghan Agresto, site manager of the Currituck Beach Lighthouse.

"This winter, it just got smacked. After awhile the ocean was going to take it back," Agresto said. "The fact that we got it off the beach makes us excited because we got to save it."

Midgett and other beachcombers had discovered a number of relics near the shipwreck's beach grave site, including coins believed to be from the reign of Louis XIII in France and Charles I in England, lead bale seals used for identification, and spoons dating to the mid-1600s.

Midgett said he feels a personal connection to the discovery.

"This shipwreck is a part of me, and some of the other hunters, too, that have been hunting around it for years," Midgett said. "I'm just so glad that they decided to save it."

The rough currents and shallow sand bars off North Carolina's Outer Banks have destroyed thousands of ships in what is sometimes called the "Graveyard of the Atlantic."

However, it is rare to find the remains of a shipwreck -- particularly a wooden vessel -- intact.

Throughout winter, the Corolla beach shipwreck would repeatedly get uncovered and covered again.  The waves would also move it along the coastline, causing damage.

"I'm glad we got to it when we did. ... It may have covered back up and survived another summer," Midgett said.

"But next winter it would have been the same thing over and it eventually would have gone to pieces."

Midgett, who used to work as a government auditor, wanted to make sure his discovery was salvaged, so he personally lobbied North Carolina state Sen. Marc Basnight. After numerous phone calls and e-mails appealing to Basnight, a beach lover himself, he was successful.

In April, volunteers from the Wildlife Resources Commission, Underwater Archaeology Branch, the Corolla Fire Department and area residents helped free the wreck from the sand and tow it near the lighthouse.

Archaeologists originally thought the wreck could be the HMS Swift, a British Navy ship from the late 18th century that originally ran around in the southern Chesapeake Bay off Virginia's coast.

The HMS Swift drifted to the Outer Banks, where it was looted once it hit shore, then disabled by the looters so it wouldn't resurface.

After further examination of the ship's 12-ton skeleton -- complete with wooden peg fasteners -- archaeologists determined that it was not the HMS Swift, but most likely a merchant's ship dating to the mid- to late-1600s.

That makes it the oldest shipwreck found along the state's coast.

"History is the one thing we have that has a reasonable amount of certainty attached to it," said Joseph Schwarzer, director of North Carolina Maritime Museums. "It tells us where we've been, it tells us what's happening, and it's a directional sign for where you need to go next."

Before the Corolla Beach discovery, the oldest shipwreck found along the state's coast was Queen Anne's Revenge, the presumed flagship of Blackbeard the pirate said to have run aground in 1718, according to the North Carolina Maritime Museums.

The remains of the Corolla Beach wreck and some of its artifacts will be moved to the Graveyard of the Atlantic Museum on Hatteras Island, North Carolina.

Midgett and the other beachcombers are entitled to keep the coins and other artifacts found near the ship they discovered.

"It's very exciting to find something from this time period," said Richard Lawrence, director of the North Carolina Underwater Archaeology Branch for the Department of Cultural Resources.

"And amazingly we found it in this beach environment. It appears this wreck has been sitting here for 350 years almost undisturbed until this winter."

Lawrence said the discovery would never have happened without Midgett.

"Ray Midgett was probably more responsible than anybody to get this wreck off the beach," Lawrence said. "He created enough of a stir to get various organizations involved.

"Thankfully, Ray and his colleagues collected various artifacts that would have otherwise not survived."

@highlight

Ray Midgett finds shipwreck while on his regular beachcombing route

@highlight

He and other beachcombers had found numerous coins and other items from the wreck

@highlight

Winter storms uncovered the wreck, but historians feared it would be re-covered

@highlight

Midgett lobbies a state senator to get wreck removed so it could be studied and preserved