(CNN) -- When designer Sam Lessin started working at Facebook he wanted to make a point.

So he printed his Facebook profile page and stretched it out in the company's California offices. There it was, multiple years of his life, on a scrolling piece of paper.

A story big enough to cross the room.

It's a story you'd never see on Facebook.com, he argued, since pretty much all the status updates and photos he'd posted over the years were hidden beneath a gray button at the bottom of the page: "Older Posts."

"All of the stories you've shared over time just fall off a cliff at the bottom of your (Facebook) wall and effectively disappear," company CEO Mark Zuckerberg said on stage at an event for Facebook app developers in San Francisco, where this story was retold.

That, in a nutshell, is why Facebook on Thursday unveiled a completely rethought version of its profile pages: To surface all the events and stories that are hidden from view because they happened too long ago.

The fact that this is even something up for discussion is significant. Facebook, as The Atlantic's Rebecca Rosen pointed out, is trying to be the "forever" social network. All its predecessors, from Friendster to MySpace, vanished almost as quickly as they appeared. Now Facebook is saying it wants to be the website where you document the most important events of your entire life, presumably from birth to death, not just this year or next.

That's something audacious and new in this ephemeral era of social networking.

The vehicle for this lifelong sharing, according to Facebook, is called "Timeline."

"We wanted to design a place that feels like your home," Zuckerberg said on stage Thursday, wearing a gray T-shirt and one of those ear-clip headsets you see on Old Navy employees. "Where you tell your story online is really personal. You invest a lot of time in it and you curate it. You link to it and you tell all your friends to find you there. So we wanted to make Timeline a place you're proud to call your home. So Timeline is a completely new aesthetic from Facebook ... so you can express who you really are."

Or, more succinctly: "Timeline is the story of your life," Zuckerberg said.

In the coming weeks, Facebook is going to start replacing peoples' profile pages with a new blog-like template, where photos and check-ins and status updates are strung along the backbone of chronology -- days, months and, here's the big leap, years.

The site's users can customize this page as they'd like, clicking a heart button to make photos appear at double their normal size, for example, or deleting catty comments from ex-boyfriends or girlfriends.

Facebook's robots take care of the rest. The site's equations prioritize your memories, letting the stuff they determine to be insignificant fade into the recesses of time, and shining a digital light on moments they determine to be the most life-alteringly crucial.

This goes all the way back to birth.

When the 27-year-old Zuckerberg unveiled this page design, he scrolled to the bottom of his Timeline and there it was: a photo of him as a baby. It was as if he was hinting at a future when a person's entire existence could be cataloged and preserved, all on Facebook.com.

That sparked some chatter online.

"So it's easier for kids to put more of their lives online that they'll regret later in life," tech analyst Michael Gartenberg wrote on Twitter.

Anyone who has friends of a child-bearing age likely realizes that many kids already have Facebook pages almost from birth -- or, at the very least, their early lives are detailed on their parents' pages. Timelines, which highlight all of a Facebook user's years, may make this even more apparent.

Furthermore, as Douglas Crets at the blog ReadWriteWeb says, those of us who crossed out of infancy before the dawn of Facebook could use Timelines to recreate our pasts on the social network:

"This new format allows you to go back in time to periods in your life that happened before there was a Facebook, making your Facebook profile into a graphically intense version of your entire life," he wrote.

TechCrunch called the Timeline "the story of your life on a single page."

If you want it to be.

Bill Barol at Forbes wrote that Facebook users should be skeptical of this concept:

"The news isn't that Facebook has figured out a new way to package your life and present it back to you," he wrote. "The news is that no one blinks at the notion of a giant company being the custodian of your memories. At least that's what Facebook is banking on. Timeline is your life, their way.

"That is, if you want to fill in the details."

@highlight

Mark Zuckerberg unveils new profile pages called "Timelines"

@highlight

The aim: For people to document their entire lives on one page

@highlight

Facebook CEO: "We wanted to design a place that feels like your home"

@highlight

Forbes writer: Facebook users should be skeptical of concept