(CNN) -- World leaders and world markets have been weighing in forcefully about what's happening in Crimea.

It's clear how U.S. officials feel (they're outraged) about Russia's military activities in Ukraine's Crimea region and along the border between the two neighbors. Here's what others are saying or doing:

China

A neighbor and often an ally of Russia, China is distancing itself from Russia's troop movements.

"It is China's long-standing position not to interfere in others' internal affairs," Chinese Foreign Ministry spokesperson Qin Gang said. "We respect the independence, sovereignty and territorial integrity of Ukraine."

At the same time, Qin suggested that Ukraine isn't completely faultless.

"There are reasons for why the situation in Ukraine is what it is today," Qin said.

Qin didn't elaborate on that point, but earlier in his statement, Qin spoke of Ukraine and said China condemns "the recent extreme and violent acts there and have been urging the relevant parties in Ukraine to resolve their internal disputes peacefully within the legal framework so as to safeguard the lawful rights and interests of all ethnic communities in Ukraine and restore normal social order at an early date."

World markets

Earlier this week, the world's investment leaders sent global markets into nosedive out of fears of a military conflict between Russia and Ukraine.

Traders dumped the Russian currency, sending the ruble down more than 10% so far this year.

But on Tuesday, when Russian President Vladimir Putin said his country won't make a claim to Crimea, global markets rebounded, the ruble improved, and Russia's main stock index, the Micex, rose 6% after falling 11% a day earlier.

"There has been a distinct change in the tone of the markets today as the Russian-Ukraine crisis stabilizes. The latest headlines suggest that Putin has had a change of heart," Kathleen Brooks, a research director at FOREX.com, told CNN Money. "Putin is still trying to save some face after this situation dramatically backfired on him."

But the crisis remains a concern to the world markets.

"The situation in Ukraine is far from off the radar and remains a potent wild card," said Ilya Spivak, a currency strategist at DailyFX. "Deeper escalation of tensions remains a clear possibility."

Germany

Chancellor Angela Merkel was so concerned about the rising tension in the Crimean peninsula that she and Putin held a conversation, and in it, she proposed a "fact-finding mission" to Ukraine and a political dialogue.

Putin accepted.

The mission may be carried out under the leadership of the Organization for Security and Co-operation in Europe (OSCE), according to statement from the chancellor's office.

On Tuesday, the German publication Spiegel Online portrayed Germany as "playing a central role in communications with Russian President Vladimir Putin. But the international community has doubts that Chancellor Angela Merkel can pull it off," the news outlet said.

Spiegel quoted Foreign Minister Frank-Walter Steinmeier as saying that "Europe is, without a doubt, in its most serious crisis since the fall of the Berlin Wall.

"Twenty-five years after the end of the conflict between the blocs, there's a new, real danger that Europe will split once again," Steinmeier said, according to Spiegel.

European Union

European nations at Monday's meeting of the Foreign Affairs Council have called upon Russia to stand down in the Crimea and return its forces immediately "to the areas of their permanent stationing," U.K. Foreign Secretary William Hague said in a statement to the House of Commons on Tuesday.

The European Union will take up the crisis at a meeting Thursday and "will decide about consequences for relations between the EU and Russia -- such as suspending bilateral talks with Russia on visa matters, and considering targeted measures" -- if Russia doesn't begin "de-escalating steps," Hague said.

British Prime Minister David Cameron and U.S. President Barack Obama are of like mind about Russia's military exercises in relation to Ukraine: "There must be significant costs to Russia if it does not change course on Ukraine," Hague said.

The UK government has "condemned Russia's military intervention in Ukraine and warned against any further escalation," Hague added.

Ulrich Speck, a visiting scholar at the Carnegie Europe think tank in Brussels, contended in a CNN Opinion column that Putin is trying to build an empire that Speck labeled a "Soviet Union lite" -- "a ring of countries under Moscow's control, with the goal of boosting Russia's geopolitical standing," Speck wrote.

"Ukraine is the cornerstone of that project," Speck argued.

CNN Money's Sophia Yan and Alanna Petroff contributed to this report.

@highlight

China distances itself from Russia's troop movements, hints Ukraine isn't faultless

@highlight

World markets nosedive but bounce back as Putin says Russia won't claim Crimea

@highlight

Can German Chancellor Angela Merkel pull off a role as world liaison to Putin?

@highlight

European Union will look at consequences if Russia doesn't stand down