(CNN) -- For one of the farthest, coldest places in the solar system, Pluto sure stirs a lot of hot emotions right here on Earth.

This montage of images taken by Voyager shows, from left to right, Neptune, Uranus, Saturn and Jupiter.

It was three years ago Monday that the International Astronomical Union demoted Pluto from a planet to a dwarf planet, a decision that made jaws drop around the world.

An outcry followed, textbooks had to be rewritten, long-held beliefs were shattered, and many people felt our cosmic neighborhood just didn't seem the same with eight -- instead of nine --planets in the solar system.

Today, debate still rages over how to classify the little celestial body, along with others orbiting the sun, but the IAU stands by its definition.

"I think that most of the astronomical community has come to terms with the fact that we now know that the solar system has a continuous distribution of objects from very large down to very small," said Lars Lindberg Christensen, a spokesman for the IAU.

"We now know that what we call the different objects has to necessarily change with time."

Don't tell that to Plutophiles still seething about the decision. Some are even taking action.

Earlier this year, the Illinois Senate adopted a resolution declaring that Pluto was "unfairly downgraded" and restoring "full planetary status" to the celestial body as it "passes overhead through Illinois' night skies."

It also designated March 13, 2009, as "Pluto Day" in honor of the date that its discovery was announced in 1930. (In case you are wondering why the state is so passionate about Pluto: Clyde Tombaugh, who discovered the planet-now-dwarf-planet, was born in Illinois.)

Meanwhile, New Mexico's House of Representatives proclaimed February 18, 2009, as "Pluto is a Planet in New Mexico Day" and praised Tombaugh, who worked in the state for decades and died there in 1997.

Passionate about Pluto

Don't live in those states and want to make your voice heard? You can order "Plutophile" bumper stickers to proclaim your firm support for Pluto, print out a Pluto Fan Club card -- which allows you to declare, "In my heart, Pluto will always be a planet" -- or sign an online petition.

Christensen said 90 percent of the critical e-mails and letters the IAU received after its decision in 2006 came from North America.

Astrophysicist Neil deGrasse Tyson, director of New York City's Hayden Planetarium and author of "The Pluto Files," believes there are two reasons why Americans are so engaged in the issue.

"Disney's dog Pluto was sketched the same year the cosmic object was discovered. And Pluto was discovered by an American. So here you have a recipe for Americans falling in love with a planet that really is just a tiny ice ball," Tyson told Time magazine.

Still, astronomers are divided about the best way to classify Pluto.  See photos of other planets and find out what makes them stand out »

At the heart of the matter lies the question: What makes a planet in the solar system?

According to the IAU's definition, it must orbit the sun, it must be big enough for gravity to crush it into a nearly round shape, and it must clear the neighborhood around its orbit. In other words, it must be dominant enough to clear away objects in its orbital space, according to NASA.

This last point is what proved to be Pluto's demise as a planet: There are other competing objects in its orbit.

Crowded solar system?

Some scientists say that part of the definition doesn't make sense.

"It's kind of like, I'm going to tell you what your car is on the basis of how the traffic around you is behaving," said Mark Sykes, director of the Planetary Science Institute.

The more logical way to classify planets is the geophysical definition, which simply states that planets are round objects that orbit the sun, Sykes argues. The objects must still be big enough so that gravity crushes them into a ball.

"The problem with the geophysical definition is we might have a couple of dozen planets in the solar system as more are discovered in the distant reaches," Sykes said.

He believes the International Astronomical Union's definition won't stick around after NASA spacecraft reach Pluto and Ceres, a Texas-size asteroid in an orbit between Mars and Jupiter that is now also classified as a dwarf planet.

"I think [the IAU's definition] is going to collapse by 2015 when the Dawn mission gets to Ceres and the New Horizons mission gets to Pluto because we're not going to see irregular-shaped, impact crater-filled, boring surfaces. We're going to see dynamic worlds," Sykes said.

The IAU's decision also came under fire because only 4 percent of its scientists participated in the vote that reclassified Pluto. But Christensen said the IAU was following its statutes and bylaws and has passed other resolutions in a similar way.

The subject of Pluto didn't come up at the IAU's general assembly earlier this month in Rio de Janeiro, Brazil, Christensen added.

Sykes countered that astronomers wanted to discuss the issue, just as they have at other recent major meetings, but the IAU didn't allow there to be any sessions on planet classification.

"I think the IAU did a terrible disservice to science, because it gives the public the impression that science is done by votes," Sykes said. "And that's not the way science is done at all."

@highlight

International Astronomical Union demoted Pluto to a dwarf planet three years ago

@highlight

90 percent of the critical letters the IAU received afterward came from North America

@highlight

In spring, Illinois lawmakers restored "full planetary status" to Pluto

@highlight

Some scientists say the IAU's definition of a planet doesn't make sense