(CNN) -- After days of mass demonstrations, Egypt's military finally ousted Mohamed Morsy, the country's first democratically elected president, in the country's second revolution in two years.

Morsy, a Western-educated Islamist aligned with the Muslim Brotherhood movement, had rejected an ultimatum delivered by the military to resolve the crisis within 48 hours, creating a stand-off with the military, the most powerful institution in the country. In a televised speech to the nation, Egypt's top military officer, Gen. Abdel-Fatah El-Sisi, said Morsy "did not achieve the goals of the people" during his single year in office.

Who runs Egypt now?

El-Sisi said Adly Mansour, head of the country's Supreme Constitutional Court, would replace Morsy as interim president and Mansour was sworn in on Thursday. The road map announced by El-Sisi also includes suspending and rewriting the constitution introduced after former dictator Hosni Mubarak's ouster, and holding new parliamentary and presidential elections at a later, unspecified date. At his swearing in ceremony, Mansour said the Egyptian people had given him the authority "to amend and correct" the 2011 revolution.

Who is Adly Mansour?

The 67-year-old judge only became the head of Egypt's Supreme Constitutional Court on Monday, and was named as the country's new interim president just two days later. He was appointed vice president of the court in 1992, serving during Mubarak's nearly 30-year rule. CNN's chief international correspondent Christiane Amanpour said that, according to one former military official, Mansour could serve between 9 to 12 months in an interim role.

PROFILE: Adly Mansour

How have the Egyptian people reacted?

The news has been met with jubilation and fireworks in Tahrir Square in central Cairo, where hundreds of thousands had turned out in recent days demanding Morsy leave office. Their complaints ranged from concerns about the Muslim Brotherhood's Islamic agenda being brought to bear on the nation's laws, to frustration with his government's failure to address high unemployment, crime and living costs.

But Morsy, who was elected as president with 52% of the vote last year, retains a substantial support base, which has congregated at rallies in places like Nasr City in Cairo. The pro-Morsy camp has decried the army's move as an illegitimate coup and refused to accept its validity, while Morsy himself has declared that he is still president.

CNN senior international correspondent Ben Wedeman, a former Cairo bureau chief who has been covering the crisis, said one protester at a pro-Morsy rally had told him he felt demonstrators would stay there "until Mohamed Morsy is once again president of Egypt." Despite the euphoria in Tahrir, said Wedeman, "There's a significant portion of the Egyptian population -- I wouldn't suggest it's a majority -- who are very upset at what has happened."

As news of the coup broke, clashes were reported throughout the country, with at least eight killed and 340 wounded. Political violence had rocked the country in the days leading up to the military takeover.

How are Morsy and the Muslim Brotherhood being treated?

The deposed president was arrested by presidential guards at their headquarters, and is being held under house arrest and "basically cut (off) from the world," Muslim Brotherhood spokesman Gehad El-Haddad told CNN. "They cut all his access, all his calls. No one is meeting him," he said.

According to reports, the military has also begun rounding up members of the Muslim Brotherhood, the long-repressed political movement that propelled the deposed president to office. State-run newspaper Al-Ahram reported 300 members of the Muslim Brotherhood were being sought by police, and El-Haddad said the Muslim Brotherhood's Freedom and Justice Party chief, Saad el-Katatni, and his deputy, Rashad Al-Bayoumi, had been arrested.

Has anyone else been affected in the crackdown?

Arabic satellite network Al Jazeera reported its Cairo studios were raided during a live broadcast and its presenter, guests and producers detained, after broadcasting a taped statement from Morsy.

How is Morsy's Islamist base likely to respond?

Morsy has called for dialogue and appealed to his supporters to demonstrate peacefully, but observers fear the army's actions could trigger a violent response.

Wedeman said there was a danger that some members of the Muslim Brotherhood would become disenfranchised and "challenge (Egypt's new leaders) with violence. They may take the attitude of 'we tried to play the game, our leaders were jailed, our media have been shut down ... so we're going to destroy the system,'" he said. He felt the mood appeared more volatile than after Mubarak's ouster in 2011. "There's not going to be that quiet after the storm this time around," he said.

Mohammed Ayoob, Michigan State University professor emeritus of international relations, wrote an opinion piece for CNN.com warning of a potential extremist backlash to the coup. "The major lesson that Islamists in the Middle East are likely to learn from this episode is that they will not be allowed to exercise power no matter how many compromises they make in both the domestic and foreign policy arenas." He added: "This is likely to push a substantial portion of mainstream Islamists into the arms of the extremists who reject democracy and ideological compromise."

Telling CNN's Anderson Cooper that the pro-Morsy protests would remain on the streets, Muslim Brotherhood spokesman El-Haddad reiterated his movement's commitment to non-violence, but hinted at the frustrations felt by his camp. "At the end of the day, we are committed to democracy and to peaceful change of power. But if the road to democracy every time ... gets derailed ... what other option are the people left with?"

What has been the reaction internationally?

U.S. President Barack Obama has expressed his country's "deep concern" over the toppling of a democratically elected leader and the suspension of the constitution, and said he would instruct officials to review aid contributions to Egypt as a result. But as CNN's Jake Tapper pointed out, Obama's statement was telling in that he did not use the word "coup," and in that he called on the Egyptian military to restore power to "a democratically elected civilian government" -- but not explicitly Morsy's.

U.N. Secretary-General Ban Ki-moon also called for a quick return to civilian rule, appealing for "calm, non-violence, dialogue and restraint." By contrast, Saudi Arabia and the UAE both issued statements congratulating the Egyptian military for their actions.

'Correction' or 'coup'?

The military's actions have been decried as a coup by Morsy supporters but celebrated as a "correction" and an expression of the popular will by his opponents. The issue of definition is critical, as Amanpour pointed out, with ramifications in terms of how the international community responds to the situation.

But, she said, "if it's proven and true that they're running around issuing arrest warrants for all these people, attacking and closing down various media outlets, there's very little you can call it other than a coup.

"As one analyst said to me... no matter what it's called... it's umpired by the army... It's the army in charge no matter who they put there (in charge)."

The situation was "a paradox," she added. "Here you have the first elected government -- which obviously didn't perform as the people wanted -- now being drummed out by the military called upon by so many millions of Egyptians."

@highlight

Morsy ousted after rejecting army ultimatum to resolve the crisis within 48 hours

@highlight

Christiane Amanpour: "There's very little you can call it other than a coup"

@highlight

Some analysts are warning of a potential extremist backlash against recent events

@highlight

Ben Wedeman: "There's not going to be that quiet after the storm this time around"