Hong Kong (CNN) -- Thousands of pro-democracy protesters jammed the streets of Hong Kong's central business district Saturday night and early Sunday, clapping and cheering just hours after an ultimatum by government leaders: Let city workers back in their offices soon, or else.

Demonstrators swarmed the semi-autonomous Chinese territory's Admiralty district to hear nighttime speeches from protest leaders perched on a small spotlighted podium -- all defying city leaders' insistence that they disperse and let Hong Kong's life and commerce return to normal.

Even after the rally, many hundreds camped out or roamed the streets early Sunday, stretching the demonstrations into their eighth day and raising the prospect that protesters intend to test the government's latest ultimatum.

"There have been continuous clashes over the past couple days," Patrick Kwok, police senior superintendent, said at a Sunday morning press briefing. He said clashes were in the Mong Kok district.

"Police officers are still dealing with the situation. Protesters in those areas have been extremely uncooperative."

Chief Executive C.Y. Leung -- under pressure from protesters demanding his resignation -- took to television Saturday evening to once again demand that protesters disperse immediately.

But his demand now came with a deadline: The streets must be clear by Monday so that classes could resume at schools, he said.

And entrances to the government headquarters also must be clear then, he said. He said protesters blocked 3,000 government employees from going to work Friday, clogging all entrances to the city's chief executive office building -- something he said would not be repeated Monday.

"The government and the police have the responsibilities and determination to take all necessary actions to restore social order," Leung said in his televised address.

"There are numerous social problems to be solved," Leung added, "but the proper way is through rational communication, finding commonalities and preserving differences -- not through resistance on (the) street that worsens the problem," he said.

Who is C.Y. Leung?

Pro-democracy activists, led by student groups, are demonstrating for universal suffrage in Hong Kong and the right to directly choose candidates for elected office -- rather than having China choose the eligible candidates. They've also called for the resignation of Leung, whom the protesters view as a puppet of Beijing.

Despite Leung's warning, activists showed no signs of going anywhere soon. Instead of tearing down barricades meant to impede any security forces, participants built them up Saturday night, making piles of metal on the perimeter.

Protest leaders said Friday's violence -- scuffles between protesters and counter-protesters in Mong Kok, a nearby district -- reinforced their resolve. They accuse police of standing by and failing to take action when some students were attacked and beaten, and when some were sexually assaulted.

Peaceful protests against the government will continue despite provocations, Alex Chow, leader of the Hong Kong Federation of Students, told reporters Saturday afternoon.

Throughout the day Saturday, small skirmishes continued with mainly older residents -- appearing in their 40s or 50s -- yelling at the youngsters sitting by the main tent in the Mong Kok protest area. One older man swore at the students, repeatedly cursing at them as "kids causing trouble."

Protest leaders: Police didn't stop attackers

A source familiar with the Hong Kong government said leaders expect a prolonged faceoff and know the conflict won't resolve itself in two or three days.

The government plans to "wait it out" and thinks the number of protesters will gradually diminish, the source said.

Beijing worries that Hong Kong could become an anti-communist base and that pro-democracy protests could gain traction in other Chinese cities, the source said.

Beijing thinks granting Hong Kong the right to nominate candidates is a threat to national security, the source said.

Health officials said more than 50 people were injured in Friday's protests, which were punctuated by scuffles between protesters and counterprotesters in Mong Kok, a tightly packed district of shops and residences surrounding one of the city's busiest intersections.

At least 19 people were arrested Friday into Saturday, police said, on suspicion of crimes including fighting in public places, unlawful assembly and assault.

Protest leaders backed out of negotiations with government officials after Friday's violence in Mong Kok, where protest opponents tore down tents and scuffled with demonstrators; dozens were injured.

The attacks have strained relations as demonstrators say police officers failed to protect them when they were assaulted; police accuse protesters of escalating the situation.

Critics of the pro-democracy movement, called Occupy Central, say the weeklong demonstrations have hurt the economy and small businesses, and clogged traffic and daily operations of the city.

Student leaders say they refuse to negotiate with the government until there is an explanation of police action.

Joshua Wong, the 17-year-old leader of student group Scholarism, told CNN's Kristie Lu Stout that the Hong Kong government should "pay responsibility of this accident."

Meet the 17-year-old student agitating for change

Assistant Commissioner of Police Cheung Tak-keung rejected the protesters' claims, saying the accusations were "totally unfounded and extremely unfair to police officers who faithfully and diligently performed their duty at the scene."

He said police separated the two parties and set up a buffer area to prevent further injuries.

In the seven days of protest, more than 150 people have been injured, and 12 were in a hospital as of 2 p.m. Saturday, the city's information services department said.

The U.S. Consulate in Hong Kong issued an advisory, warning U.S. citizens "to avoid all protest areas due to the potential risk of escalating violence."

Counterprotester: 'It's anarchy'

A few dozen people who oppose the protests peacefully walked to a police station Saturday morning with blue ribbons -- which signify solidarity with the officers.

"We need order. We know what they want. Why do they still stay?" said one of them, retired police officer Yan pak Yu. "Go to the park. Go the playground. Don't obstruct the daily operations of Hong Kong."

Another resident, Peter Bentley, a retiree added: "It's anarchy. These are our streets. What I oppose is anarchy."

Hong Kong protests: What's next?

What protesters want

Demonstrators are upset with a recently enacted policy giving Beijing veto power on who can run as a candidate for the chief executive role in the 2017 election.

A new electoral system will, for the first time, let the city's 5 million eligible voters pick a winner, rather than a 1,200-member committee stacked with Beijing loyalists that has chosen past leaders.

But critics argue that the right to vote is pointless if the candidates are handpicked by Beijing.

They complain the Chinese government is encroaching too much on the affairs of Hong Kong, a semiautonomous Chinese territory ruled according to the "one country, two systems" policy since Britain handed over Hong Kong in 1997.

Beijing condemns the protests as "illegal acts" and in a Saturday editorial of People's Daily, the mouthpiece of the Chinese Communist Party, dismissed the movement's potential to spread to mainland China as "no more than a daydream."

CNN's Madison Park and Chieu Luu reported and wrote from Hong Kong. CNN's Jason Hanna wrote and reported from Atlanta. CNN's Anjali Tsui, Will Ripley, Wilfred Chan, Ivan Watson, Pamela Boykoff and Rebecca Wright contributed to this report in Hong Kong.

@highlight

City leader says protesters must clear roads, stop impeding government workers by Monday

@highlight

Mass Hong Kong protests enter seventh day

@highlight

Students allege police failed to protect them when they were attacked

@highlight

Police say students are escalating the situation