(CNN) -- One person has come to the United States and come down with Ebola here.

Authorities want to keep it that way.

To that end, the Centers for Disease Control and Prevention announced Wednesday beefed-up measures at five of America's biggest, busiest airports aimed at preventing the deadly virus' further spread.

While talk about preventing Ebola's spread abounds everywhere from coffee shops to TV news, this intervention won't affect a lot of people.

It applies only to about 150 people a day, by CDC Director Dr. Tom Frieden's estimate, arriving in the United States after having recently traveled from Ebolva-ravaged West African nations of Guinea, Liberia and Sierra Leone.

These travelers will get special treatment, including having their temperature taken and answering questions about whether they've been exposed to anyone with Ebola. The idea is to stop anyone with warning signs from getting past the airport gates, and into the U.S. public, before they can possibly spread the virus any further.

But, Frieden cautioned, this isn't some sort of magic solution.

U.S. officials will likely discover some people have fevers or have had contacts with Ebola sufferers, only to find out they don't have the virus. Someone can still unknowingly come to the United States and show no signs of it, since it can take up to 21 days for someone to feel sick. Plus, there are more ways than ever for people to cross communities, cross borders, cross oceans and spread a virus like Ebola.

"We are stepping up protection for people, (and) we will continuously look at ways that we can increase the safety of Americans," Frieden told reporters. "(But) whatever we do can't get the risk to zero here in the interconnected world that we live in today."

Can you catch Ebola on a plane?

New policy in place of 5 of America's busiest airports

Some of the measures to halt Ebola's spread are already happening -- in West Africa.

The U.S. government has been involved in efforts at international airports in the hardest-hit nations to question travelers about their health and exposure to Ebola, as well as take their temperature using what Frieden describes as FDA-approved devices.

During those screenings, 74 people with fevers and three more with other symptoms were stopped from boarding planes, according to Frieden. None of those are thought to have Ebola, something the CDC director attributed to the fact that high temperatures also are a symptom of malaria, a common ailment in Africa spread by mosquitoes, but not person-to-person.

The U.S. process for now will be in effect in only five airports -- where 94% of all travelers from West Africa enter the United States.

It will start Saturday at New York's John F. Kennedy International Airport, which has nearly half of all such passengers. The same thing will roll out next week at Dulles International Airport outside the nation's capital, Newark Liberty International Airport in northern New Jersey, O'Hare International Airport in Chicago and Hartsfield-Jackson Atlanta International Airport.

Here's how it will work.

It starts with U.S. authorities identifying anyone who'd recently been in West Africa, whether they flew in directly or via a connecting flight.

Alejandro Mayorkas, deputy secretary of the Department of Homeland Security, explained that "we have in our screening capabilities the ability to identify individuals traveling not only with respect to the last point of departure but the point of origin."

"So ... we can, in fact, identify the full journey of the individual arriving in the United States," said Mayorkas.

Customs and Border Protection -- the federal agency charged with safeguarding U.S. borders and airports -- will take the lead, escorting pinpointed travelers to a what Mayorkas called a "quarantine station." There, they will be asked questions about their health and possible exposure to Ebola, something that might tip off authorities that they might pose a risk.

These CBP officers, who won't be wearing any masks, will also place a non-contact thermometer over travelers' foreheads to take their temperature, since having a fever is one symptom of Ebola.

If there are any red flags, the person will be evaluated by a CDC public health officer on site. He or she will then be given the OK to go, taken to a hospital or be referred to a local health department for monitoring and support.

Complete coverage on Ebola

All passengers who fly from West Africa will be given information about how to monitor themselves for possible symptoms, will be asked to log their temperature daily and be asked to provide their contact information to authorities.

Debate if more travel restrictions necessary

The only person to be diagnosed with Ebola in the United States, Thomas Eric Duncan, died Wednesday in a Dallas hospital.

Duncan traveled from Liberia, via Belgium, before arriving in Texas on September 20. It's not likely the stepped-up screening would have affected him, according to Frieden, because he didn't appear to show signs of the virus until a few days after his arrival.

Ebola patient dies in Texas

There are many more like him, people who have spent time in West Africa and been exposed, whether they know it or not, to the disease. Frieden called the outbreak "unprecedented," given how quickly its spread through the regions.

According to the World Health Organization, more than 800 people have been infected with Ebola and at least 3,800 have died. Authorities have said the actual numbers are probably much higher, because many people may have died before authorities firmly identified Ebola as a cause, and others -- like Duncan -- may have the disease without knowing it or reporting it to officials.

And things aren't getting any better. According to a WHO update released Wednesday, "the situation in Guinea, Liberia and Sierra Leone continues to deteriorate, with widespread and persistent transmission of (Ebola)."

This alarming trend -- and the fact that there's been at least one person to bring Ebola unknowingly into the United States -- has spurred some calls to stop on all travel into the United States from West Africa so long as the virus is spreading.

Sen. Bill Nelson, a Florida Democrat, has publicly urged Secretary of State John Kerry to suspend U.S. travel visas of those from the affected region for any "unnecessary travel" and not to issue new visas.

The Rev. Jesse Jackson, a prominent civil rights leader who has served as a spokesman for Duncan's family, argued that such measures will hurt the economies of longtime American allies such as Liberia.

"We should quarantine the disease, not quarantine nations and not quarantine airline flights," the civil rights leader said. "We should not panic."

Frieden, the CDC director, also spoke against such a ban, arguing that severe travel restrictions will create more problems than they solve.

"It makes it hard to get health workers in, because they can't get out," he said. "If we make it harder to respond to the outbreak in West Africa, it will spread not only in those three countries (in West Africa hit hardest by Ebola) but to other parts of Africa and ultimately increase the risk here" in the United States."

@highlight

New airport screening measures will affect travelers from Guinea, Liberia and Sierra Leone

@highlight

They'll take effect at New York's JFK airport, then in Atlanta, Chicago, Newark and Dulles

@highlight

Official: U.S. can track those traveling from West Africa via connecting flights

@highlight

CDC director: "We can't get the risk to zero here in the interconnected world"