London, England (CNN) -- Over half the world's population now live in cities according to the United Nations.

Unprecedented levels of urban migration in recent decades coupled with the challenges presented by climate change are threatening to create a perfect storm for city planners, design engineers and architects.

The history of cities has too often been one of waste and inefficiency. But if cities are to have a viable future they will have to be transformed into lean, clean, people-friendly machines.

But for many city dwellers, the future is already here. The citizens of Iceland's capital, Reykjavik and Vancouver in British Columbia, Canada already enjoy energy supplied almost exclusively from renewables.

Vancouver is somewhat blessed geographically -- with mountains, rivers, oceans and valleys -- but citizens there have always tried to help what nature has provided.

Jane McRae, is program director at the International Center for Sustainable Cities (ICSC) which is based in the city.

"I think sustainability has always been important here because it's a beautiful place and people value the environment. Green ideas are well accepted here and it creates a climate for innovation and pushing the envelope a bit," McRae told CNN.

For the past 17 years, McRae and her colleagues at the ICSC have been spreading the message of urban sustainability at home and overseas sharing ideas and innovations with cities, regions and associations in Asia, Africa and Europe.

The same sustainability rules apply to cities wherever they are, according to McRae.

They need to be looked at as "one complex system," she says, which "recognizes the inter-relations and interactions of the four elements of sustainability -- economic, environmental, social and cultural -- and treat the whole system as a whole.

"Sustainability is complex and requires moving from short term problem-solving to long term thinking."

Cities also need to adopt a far more integrated approach to management of key services like water, waste and transport and encourage participation at all levels of the community in decision-making.

"It is the cornerstone of sustainable development," McRae says.

These levels of engagement have been evident in cities like Freiberg, in south west Germany. Completed in 2006, the Vauben project transformed an old army barracks into a sustainable, energy-efficient community of 5000 people.

Some cities have been grappling with green issues for much longer. Curitiba -- 330 kilometers south-west of Sao Paulo -- in Brazil introduced a sustainable transport system (Bus Rapid Transit) over 30 years ago.

Others projects like the Masdar eco city project (completion date 2016) in the United Arab Emirates perhaps point to a new breed of sustainable settlement.

McRae has been impressed with what U.S. cities Portland and Chicago have accomplished and praises Europeans being a leaders in tackling greenhouse gas emissions and energy conservation.

But she cautions against complacency. "We will not be sustainable if only a few cities become sustainable," she said.

"Until cities are producing less waste and not taking resources from the earth that we can't regenerate sufficiently so that future generations are going to have access to the same kinds of resources that we do. That's the ultimate definition of sustainability," McRae added.

The U.N. predict that by 2050 over two-thirds of the total world population -- projected to be 9.5 billion -- will live in cities.

Only time -- and an enormous effort on the part of everyone -- will tell if cities can survive the twin assault of humans and climate change.

Is your city blazing a green trail? Do you think other cities are deserving of more praise for their sustainability measures. We would like to hear from you. Use the sound off box below to leave your comments.

@highlight

Mass migration has created more city dwellers than ever before

@highlight

Rising populations and climate change mean cities will have to become sustainable

@highlight

North American cities Vancouver and Portland are good models of efficiency