(CNN)As Americans mark the 150th anniversary of Abraham Lincoln's death this week, let us remember that he not only belongs to the ages, but also belongs, in a special way, to Illinois.

Lincoln's two greatest legacies -- indivisible union and irreversible emancipation -- grew organically from his Midwestern roots. He knew firsthand that no defensible border shielded the land of corn from the land of cotton.

The entire region from the Appalachians to the Rockies drained through the Mississippi River, enabling farmers in this vast basin to float their goods down to market through New Orleans and from there to the world. He thus could never allow a potentially hostile power to control this geostrategic chokepoint in particular, or Dixie more generally.

The U.S. landmass, he insisted, "is  well adapted to be the home of one national family; and it is not well adapted for two, or more" because "there is no line, straight or crooked, suitable for a national boundary upon which to divide."

Lincoln supplemented his Midwestern geography lesson with a distinctly Midwestern claim about constitutional history: "The Union is older than any of the States; and in fact, it created them as States."

Lincoln did not need to make this controversial claim to prove his case, and elsewhere he stressed the decisive legal point that the Constitution's text clearly prohibits unilateral secession. The Constitution is always and everywhere the supreme law of the land -- no matter what an individual state says.

But Lincoln's additional assertion that the Union created the states, not vice versa, provoked strong disagreement in other parts of the country. Most Virginians, including Confederate Gen. Robert E. Lee, insisted that of course Virginia had come first!  At the outbreak of the American Revolution, the Old Dominion was already a century and a half old. Generations of Lees had helped govern Virginia long before the United States was born.

But if Lee was, first and always, a Virginian, Lincoln was an American. His father came from Virginia, his grandfather hailed from Pennsylvania, and before that, the family had probably lived in New England.

Abe himself had been born in Kentucky and had moved as a boy to Indiana, and later, as a young man, to Illinois. These latter two Midwestern states had undeniably been formed by the Union itself. These places had begun as federal territory -- the common inheritance of all Americans -- and it was the federal government that had indeed brought these new states to life.

When young Abe moved to Indiana, it was just becoming a state, thanks to federal governmental action. It was a wise set of federal policies -- proper land surveys and a commitment to public education -- that had drawn the Lincolns and countless other Kentuckians to leave the Bluegrass State for a brighter future in the Midwest.

Retracing Lincoln's assassination 150 years later

That brighter future also involved freedom from slavery. The Old Northwest had always been free soil, as provided for by a Northwest Ordinance that predated the U.S. Constitution.  The words of the 13th  Amendment -- the only constitutional amendment that Lincoln would live to sign -- promised to end slavery everywhere in America and did so by borrowing verbatim from Article 6 of the Northwest Ordinance.

True, geography is not inexorable destiny. Many other Midwesterners in Lincoln's era embraced slavery and secession. Hugo Black, the Supreme Court justice who did the most to make Lincoln's constitutional vision a reality over the next century, was born and raised in Alabama.

But geographic variation has always been a large part of America's constitutional saga. In the 1860 election that brought him to power, Lincoln swept almost all the Northern states, but did miserably in the slaveholding south. John Wilkes Booth, the dastard who ended Lincoln's life 150 years ago this week, was an embittered extremist from a slave state.

So was Lincoln's nemesis on the Supreme Court, Chief Justice Roger Taney. Taney's most infamous ruling, the pro-slavery Dred Scott decision in 1857, had emerged from a court dominated by the South; although slave states accounted for less a third of America's free population, this region held an absolute majority of the seats on the court.

Remembering Lincoln's murder

In our era, given the fact that Republican appointees have held a majority of the court for the last 40 years, the court has been rather moderate. Much of this moderation has come courtesy of northern Republicans on the Court -- most notably, Minnesota's Harry Blackmun, Illinois' John Paul Stevens, and New Hampshire's David Souter.

All nine of the current justices learned their law in liberal New England, at Harvard or Yale, and the Republican appointee most attentive to gay rights, Anthony Kennedy, grew up in northern California, a corner of the country renowned for its respect for alternative lifestyles.

Which takes us back to Lincoln. When Anthony Kennedy was a lad in California's state capital, the governor, a friend of the Kennedy family, was a Lincoln Republican named Earl Warren -- a man who would later author the Court's iconic opinion in Brown v. Board of Education, vindicating the constitutional amendments enshrined by Lincoln and his allies.

Today, both parties at their best claim Lincoln. Jeb Bush aims to appeal to the better angels of our nature and Rand Paul is a Kentuckian who professes interest in racial outreach. Hillary Clinton was born an Illinois Republican. And the leader of her adopted political party -- who also happens to be president -- is a lanky and brainy lawyer from Illinois who knows how to give a good speech, and who swept to power in 2008 by recreating Lincoln's geographic coalition, winning every state within a four-hour drive of Chicago.

In the largest sense, then, all Americans, of both parties and all regions -- whether or not they have ever set foot in Illinois -- are living in the Land of Lincoln.

@highlight

Akhil Amar: Lincoln's two biggest legacies, keeping union together and abolishing slavery, had Midwestern roots

@highlight

Lincoln saw the federal government as pre-eminent and believed there was no logical border for dividing the U.S.