(CNN) -- A shrewd Wall Street friend once advised me: "There's all the difference in the world between a great business and a great investment."

That's good advice to keep in mind after the drop in Facebook's share price last week. Shares in the social media company closed Friday at $21, a loss of $17 since the company's public offering in May. (It moved up by 83 cents in Monday's trading.)

By any definition, Facebook has grown into a very successful business. Facebook is one of those rare companies that reshape the world. It has signed up almost 1 billion users, it collects almost $4 billion in revenues, it earns more than $1 billion in profits.

Yet Facebook is rapidly proving itself a correspondingly disappointing investment -- and worse may be ahead. The stock's latest drop was triggered by a company admission that its more profitable U.S. desktop user base had ceased to grow, was now in fact shrinking, as more users access Facebook on mobile devices .

Meanwhile, an advertiser raised doubts that Facebook ads generate as many clicks from consumers as the company claims, and the company said it's looking into the complaint.

For a company that derives almost 90% of its revenue from ads, many of them based on per-click pricing, such doubts represent a serious challenge to its market valuation.

The challenge arises because Facebook as a company has decided it cares more about its future as an investment than its future as a business.

A great business ceaselessly asks itself the question: How can we serve our customers better? What products and services can we offer -- and how should we price them -- so that people will want to buy them? Such a company builds its profits upon customer satisfaction. I rent cars from Hertz about three or four times a year. Each time, I'm impressed when I notice some small way the experience is smoother and better than it was the time before. Every time I buy a new Mac computer, I'm delighted by the amazing superiority of the new machine over its predecessor.

But unfortunately, some companies think in a very different way. They think: "Our customers are basically not very intelligent people. They don't read contracts carefully. We can take advantage of their weaknesses to make more money in the short term than we'd make from a more ethical approach." Think of the credit card companies always scheming to hit lower-income customers with small fees, or cell-phone companies that decided against developing warnings to customers when they exceed the minutes allotted by their contract, or pretty much the entire sub-prime mortgage industry

Facebook's $38 IPO price was premised on the assumption that each Facebook user was worth $100.

That was a heroic assumption given that Facebook was then earning an average of only $4.84 from each existing customer -- and that most of Facebook's growth prospects are found outside the United States, where customers generate radically less revenue than do American customers.

To sustain the $38 stock price -- never mind to deliver the price rises that people who bought at $38 were hoping for -- Facebook would have to find ways to increase its per-customer earnings. And as Facebook users are painfully discovering, many of those ways involve uses of customer information that some customers experience as an intrusion upon their privacy.

Many Facebook customers surely think of Facebook as a communications network, just like their telephone company. If one of those customers telephones a friend to say, "I really liked the new Batman movie," that customer would likely assume that the information contained in the phone call is his or her personal business. That customer would probably think that the phone company is entitled to payment for carrying the message. That customer would also hold the view that the phone company was not entitled to eavesdrop upon the message and sell advertisers the information, "Jim or Julie liked the new Batman movie."

Ditto for most e-mail providers, for Skype, for the Post Office, for anyone else involved in the carriage of data.

Facebook, however, takes the view that the information customers necessarily divulge in the course of using Facebook becomes Facebook's property to use as Facebook sees fit -- unless of course the customer affirmatively opts out by ticking the correct boxes in Facebook's notoriously confusing and repeatedly changing privacy settings.

It's not a very confidence-inspiring way to run a company.

More relevantly, it's a way of running a company that repeatedly defeats customer expectations. And when a company defeats its customers' expectations, it will find its customers going elsewhere.

Which is what seems to be happening to Facebook in its core and most valuable market. There are two lessons in this story, one for Facebook in particular and the other for the broader U.S. economy.

For Facebook, the lesson is: Business ethics matter. Facebook may regard its users' privacy concerns as irrational and outdated. Its CEO, Mark Zuckerberg, said in 2010 that social norms had changed and people were comfortable sharing a lot more information about themselves. He said, "Doing a privacy change for 350 million users is not the kind of thing that a lot of companies would do. But we viewed that as a really important thing, to always keep a beginner's mind and what would we do if we were starting the company now and we decided that these would be the social norms now and we just went for it."

Zuckerberg later apologized and promised to do better on protecting privacy.

Yet, in general, instead of trying to convince customers to see things Facebook's way, the company has often sought to bypass those concerns in ways that many customers who don't read Facebook's legal disclosures discover only after the fact. That practice leads to a loss of trust. And trust is an asset that every company should value -- especially one that earns money by counting its own clicks. Today, as a question is raised about Facebook's advertising numbers, many of us think: "Gee, whom should I believe? This advertiser I'd never previously heard of? Or Facebook, a company that so often acts in ways that I personally find unethical?"

For the U.S. economy, the warning is even more ominous.

From a strictly economic point of view, the stock market is becoming a less and less important place. The days when companies used public markets as important sources of financing have long since passed. Increasingly, stock markets function as speculative adjuncts to the real work of business finance.

Yet as stock markets have dwindled in economic importance, they have grown in political and social importance. Without the stock market, for example, Zuckerberg would be CEO of a company that falls well short of qualifying for the Fortune 500.

It's the speculative actions of the market that have made Zuckerberg a multiple billionaire -- and the need to satisfy that market that could cannibalize the company he founded, built, and may now be endangering.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Facebook shares have declined sharply since it first offered stock to the public

@highlight

David Frum says Facebook's growth in a key segment is leveling off

@highlight

He says the company hasn't fully confronted the privacy issues involved in its business

@highlight

Frum: Facebook needs to find way to improve the experience for its users