(CNN) -- Venice is romantic and unforgettable on any budget, but it can be dazzling if you are willing to splurge.

Open your wallet wide -- very wide -- and you'll find suites with stunning views of the Grand Canal, poshly furnished rooms fit for a royal and Murano glass chandeliers to light up your night.

No wonder some of the world's richest and most famous tourists feel right at home when they come to the City of Water.

"It's a magical place," said Joyce Falcone, owner of The Italian Concierge, who travels to Venice about twice a year -- drawn, like many people, by its unique ambiance, color and history.

5 surprisingly raunchy destinations in Europe

We asked Falcone; Venice native Roberto Agostini of Precision Travel; and Andrea Sertoli, president of Select Italy, to pick their favorite luxury Venice hotels. Here are some of their recommendations.

Hotel Cipriani

Located on the tip of Giudecca Island, this hotel has it all, Sertoli said, calling it elegant, stylish and romantic.

Stay in the main building or the Palazzo Vendramin, a 15th-century residence near the hotel. Both offer opulent rooms and suites, including the Palladio Suite, which has a private dock and sweeping views over the Venetian lagoon through floor-to-ceiling windows.

The hotel is one of only two in Venice to offer a swimming pool, Agostini said, while the surrounding gardens can be used for weddings and receptions. And come September, the Cipriani fills up with movie stars and celebrities in town for the Venice Film Festival.

But the hotel always manages to maintain an aura of serenity.

"It's laid back because it's away from the madness of St. Mark's [Square]. ... They also have a great pool and grounds, which is pretty novel in Venice with land at a premium," Falcone said.

"A lot of people think St. Mark's Square is the spot to be. For me, it's just way too crowded. I would prefer to be away where it's quiet and just go there when you feel like it, but then be able to escape to your gorgeous, luxurious hotel that's away from all of that."

Rates for a junior suite start at about $2,450 per night.

For more information, click here.

Hotel Danieli

If you do want to stay in the center of it all, the Danieli is a stunning option. Located next to Doge's Palace and the Bridge of Sighs, it is just steps away from St. Mark's Square.

This is the hotel that Angelina Jolie and Johnny Depp checked into in "The Tourist," and depending on the room you choose, the lagoon views can be as stunning as those seen in the movie.

Hotel Danieli is made up of three palazzi dating back to the 14th, 19th and 20th centuries, so expect luxurious surroundings that feature marble columns, antique carpets and gilded ceilings. Recent renovations have returned the hotel to the list of top accommodations in Venice, Sertoli said.

Because it is part of the Luxury Collection, many of Falcone's clients like it because they can use Starwood points to book their stay.

"It is an old Venetian classic, and you can't go wrong by selecting the Danieli," Falcone said.

A lagoon view suite starts at about $2,520 per night.

For more information, click here.

Hotel Gritti Palace

Commissioned by the doge of Venice in 1525, Gritti Palace was the residence of noble families for hundreds of years until it was turned into a posh hotel at the beginning of the 19th century.

Located about three blocks from St. Mark's Square, the palazzo faces the Grand Canal and offers guests views that extend from San Giorgio Island, to the church of Santa Maria della Salute, and over to the Accademia.

"It's a very classical Venetian palace," Agostini said, calling it "very luxurious."

Splurge for a Grand Canal suite, and you will be surrounded by antique furnishings, walls hung with paintings and embroidered damask drapes. (Gritti Palace may not be the best choice if you're not a fan of very ornate interiors. Some travelers find the hotel too stuffy, Agostini said.)

Most importantly, floor-to-ceiling windows and balconies allow you to make the most of the beautiful location.

Rates for Grand Canal suites start at about $4,000 per night. The hotel is also part of the Luxury Collection, so you can book your stay with Starwood points.

For more information, click here.

Ca' Sagredo Hotel

This 14th century palazzo with a pink facade is a hotel, a national monument and a museum all rolled into one.

Once home to the Sagredos, a noble Venetian family, the palace opened as a hotel in 2007 after an extensive restoration. Guests will find opulent decor and incredible stucco works, frescoes, paintings, canvas and architectural features.

The hotel is a short walk away from St. Mark's Square, between Ca' D'Oro and the Rialto Bridge.

"We like it a lot," Sertoli said, while Agostini called it a "fantastic" and "unbelievable."

The Ca' Sagredo is near the Venice Casino, so it might be a good pick for visitors who like to gamble, Falcone said.

"It's absolutely beautiful if you get one of the rooms that are on the piano nobile -- the main floor where the family did live. Those rooms are frescoed, and they face the Grand Canal and they're huge," Falcone said.

The Grand Canal presidential suite starts at about $1,200 per night in August.

For more information, click here.

San Clemente Palace Hotel & Resort

Located on a private island on the site of a former 17th century monastery, the resort boasts views of St. Mark's Square, Giudecca Island and the Lido.

It's perfect for families, because children will enjoy the beautiful, spacious grounds, Agostini said. The island also offers lots of activities for kids, like treasure hunts and tennis lessons. For fitness-minded guests, there's golf, swimming and jogging.

"It's a beautiful hotel," Agostini said, praising its subdued elegance. He once leased the whole island for a group event, and he has recommended the resort for weddings and receptions.

But be warned: The hotel is big -- Agostini estimated its size at about three square blocks -- so be prepared to walk a bit to get to your room.

Rates for a classic suite start at about $1,075 per night in August.

For more information, click here.

@highlight

Visit these Venice hotels to feel pampered and surrounded by luxury

@highlight

Hotel Cipriani fills up with stars and celebrities during the Venice Film Festival

@highlight

Hotel Danieli was featured in the Angelina Jolie-Johnny Depp movie "The Tourist"