(CNN) -- Kepler-22b is the first confirmed planet in the "habitable zone," the area around a star where a planet could exist with liquid water on its surface, that has been discovered by NASA's Kepler mission.

The planet's radius is about 2.4 times that of the Earth. It is located about 600 light years away. Its orbital period is shorter than that of the Earth: a "year" on Kepler-22b is 290 days instead of 365.

There were two other planets confirmed this year by other projects in the habitable zone, but their stars are much cooler than our Sun, and their orbits are more like that of Venus or Mars, scientists say.

Kepler-22b is 15% closer to its star and we are to the Sun. But since Kepler-22b's star is dimmer, lower in temperature and smaller than our Sun, researchers' modeling suggests it is a similar temperature to the Earth, said Bill Borucki, Kepler principal investigator at NASA's Ames Research Center.

"If the greenhouse warming were similar on this planet and had a surface, its surface temperature would be something like 72 Fahrenheit, a very pleasant temperature here on Earth."

The warmer a planet, the more evaporation of water there would be, Borucki said. A planet can't have a surface temperature that's very hot without losing all of the surface water.

The Kepler mission reported in February that it had found 54 planet candidates in the habitable zone; Kepler-22b is the first of these to be confirmed, and those results will be published in The Astrophysical Journal. There are still 48 potential planets from that batch.

Researchers find planets by examining the brightness of stars as a function of time; brightness drops when a potential planet crosses the star. Three transits are required for a planet confirmation. The period of the transit of Kepler 22-b was 7.4 hours. It did not appear to give off its own light, indicating it is a planet and not a star.

Scientists do not yet have a measurement of the mass of Kepler 22-b, which would tell them more about the composition of the planet. This summer, when the planet's star will be high in the sky, ground-based telescopes can attempt to get its mass.

Opinion: Why we need Hubble successor

The planet is even more mysterious because its radius is between that of Earth and Uranus and Neptune, both of which have radii about four times the size of Earth's. So we don't know what a planet in this size range typically looks like.

"We have no planet like this in our solar system," he said.

Is life restricted to Earth, or could it exist somewhere like Kepler 22-b? It may be that the characteristics of Earth, with its particular position in the solar system, particular magnetic field strength and presence of larger planets like Jupiter make Earth very rare in having life (this is called the "Rare Earth Hypothesis.") But it's also possible that life in the universe is common, and we're only one example.

"As soon as we find an independent example of life somewhere else, we'll know it's ubiquitous throughout the universe. We're all looking for No. 2," said Jill Tarter of the SETI Institute.

The Kepler mission has now identified a total of 2,326 planet candidates.

You can read more about the Kepler discoveries at the mission website.

@highlight

Kepler-22b is the first confirmed planet in the "habitable zone" where liquid water can exist

@highlight

The planet is more than twice as big as Earth

@highlight

Scientists are now trying to establish its mass

@highlight

The Kepler mission has identified more than 2,000 planet candidates that could hold life