(CNN) -- Two years ago, a major earthquake struck near the Haitian capital of Port-au-Prince. Up to 3 million people were killed, injured or displaced. In the wake of this disaster, aid flowed in via many channels -- including, notably, individual donations sent via text message.

The Red Cross immediately launched a donate-by-text program, promoted heavily by the U.S. State Department and the mainstream media. Relief agencies collected $43 million in donations via text after Haiti quake -- sent $10 at a time by texting the word "HAITI" to the shortcode 90999. (The donation appeared as a charge on donors' phone bills.)

Who are these mobile givers? What motivated them to give, and did their donations to Haitian earthquake relief influence their future patterns of giving?

The Pew Internet and American Life Project on Wednesday released an in-depth study based on interviews with 863 people who sent donations to Haiti via text message.

Pew found that most of these donations were made on impulse -- an immediate response to media coverage of the disaster, especially on television. For three-quarters of them, it was the first time they'd ever donated via text message. Only a third of them made additional text donations to Haitian earthquake relief.

By and large, these donors did not research this donation beforehand. Also, their interest in Haiti's recovery waned quickly: More than half of the donors interviewed reported that they have not followed Haitian relief and reconstruction efforts much or at all since making their donation.

Still, their willingness to donate to disaster relief by text did increase and that has benefited the victims of later disasters.

According to Pew, "More than half of the donors surveyed have made text message contributions to other disaster relief efforts since their Haiti donation. Two in five of these donors (40%) texted a donation to groups helping people living in Japan following the March 2011 earthquake and tsunami, 27% texted a donation to groups helping people living in the U.S. Gulf region following the 2010 BP oil spill, and 18% texted a donation to groups helping victims of the 2011 tornadoes in the U.S. Taken together, 56% of Haiti mobile givers in our sample made a contribution to at least one of these events."

These donors reported also making donations by other channels: online web forms, by mail, and in person. But, interestingly, their least favorite donation channel was over a voice phone call.

What's special about mobile donors?

Pew found that they're much like the average American, except that they tend to have more technology. For instance, nearly one-fourth of mobile donors own an e-reader, compared with just 9% of U.S. adults. (Very similar figures apply to tablet ownership.) Also 82% own a laptop computer, vs. 57% for the general population.

Mobile donors tend to do more things with their phones than the average American. Nearly three-quarters access the Internet from their phone, vs. 44% of the general population. More of them also use their phones to shoot photos or video or use e-mail.

Two-thirds of the Haiti text donors were female, and they tend to be more highly educated than the general population. Two-thirds also were white.

Pew noted a significant social aspect to mobile giving -- but it's not about social media.

Just over 40% of mobile donors reported encouraging friends and family to donate by text to Haitian earthquake relief. These efforts were surprisingly successful. According to Pew, "76% of these 'encouragers' say that their friends or family members did indeed make a contribution to earthquake relief using their phones. Nonwhite and young donors were particularly likely to spread the word among their friend networks."

But even though mobile donors are more likely than the average American to use social media, most of this encouraging happened in face-to-face conversations, not online. "Of those who encouraged a friend or family member to contribute, 75% did so by talking with others in person, and 38% did so via voice call. By comparison, 34% encouraged others to contribute by sending a text message, 21% did so by posting on a social networking site and 10% did so via email."

People can donate by text message to all sorts of causes and campaigns. Many services such as mGive and MobileCause.org provide text-to-give services for nonprofits and campaigns.

It's unclear whether the patterns Pew spotted in the Haitian relief text donors would apply to donations for causes other than disaster recovery -- but this field is growing fast.

In 2012, Americans should expect to be pelted with more text-to-give pleas than ever -- especially if you live in California or Maryland, which are moving forward to allow political contributions by text.

So far, text donations are not allowed for federal political campaigns, including the presidential race. In December 2010 the Federal Election Commission ruled that those campaigns could not receive donations via text message. This would circumvent disclosure laws for political contributions -- currently anyone who gives more than $200 to a federal campaign must list their occupation and the name of their employer.

However, the Huffington Post reported on frenzied efforts under way to enable cell phone campaign donation methods that do not rely on text messages. Stay tuned on that front.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Disaster relief groups collect $43 million in donations via text after Haiti quake

@highlight

Pew finds most donations were made on impulse, after coverage of disaster

@highlight

Majority of donors did not follow relief and reconstruction efforts