Tehran, Iran (CNN) -- A nuclear scientist was killed in a blast in Tehran on Wednesday morning, an Iranian news agency reported, in the latest in a string of attacks that Iran has blamed on Israel.

A motorcyclist placed a magnetic bomb under Mostafa Ahmadi Roshan's Peugeot 405, the state-run IRNA news agency said. The blast also wounded two others, IRNA said.

State television channel Press TV reported later Wednesday that Roshan's driver, Reza Qashqaei, had died in a hospital from his injuries.

Mohammad Khazaee, Iranian ambassador to the United Nations, condemned what he called "cruel, inhumane and criminal acts of terrorism against the Iranian scientists."

"Based on the existing evidence collected by the relevant Iranian security authorities, similar to previous incidents, perpetrators used the same terrorist method in assassinating Iranian nuclear scientists, i.e., attaching a sticky magnetic bomb to the car carrying the scientists and detonating it," Khazaee said in a statement.

"I would like to emphasize, once again, that the Islamic Republic (of) Iran would not compromise over its inalienable right to use nuclear energy for peaceful purposes and any kind of political and economic pressures or terrorist attacks targeting the Iranian nuclear scientists, could not prevent our nation in exercising this right," Khazaee said.

Lawmaker Kazem Jalali blamed the intelligence agencies of the United States and Israel for the latest attack, saying the United Nations' nuclear watchdog, the International Atomic Energy Agency, also bore responsibility for passing on information about Iran's nuclear scientists to other countries, IRNA reports.

U.S. Secretary of State Hillary Clinton, speaking alongside the Qatari foreign minister in Washington, rejected the claims.

"I want to categorically deny any United States involvement in any kind of act of violence inside Iran," she said.

"We believe there has to be an understanding between Iran, its neighbors and the international community that finds a way forward for it to end its provocative behavior, end its search for nuclear weapons and rejoin the international community and be a productive member of it."

Israel does not normally comment on such claims. However, Brig. Gen. Yoav Mordechai, a spokesman for the Israel Defense Forces (IDF), said on his Facebook page Wednesday: "I have no idea who targeted the Iranian scientist but I certainly don't shed a tear."

Roshan, 32, was a deputy director for commercial affairs at the Natanz uranium enrichment facility in Isfahan province and a graduate of Iran's Oil Industry University, according to the semi-official news agency Fars.

Natanz, which is said to have 8,000 centrifuges in operation, is one of two facilities that is enriching uranium in the country. This week, the IAEA identified the second in the mountains of Qom province.

Western diplomats at the U.N. on Wednesday criticized Iran over the recent revelation that Tehran is enriching uranium beyond the level needed for civilian use, saying that the actions flaunt Security Council resolutions. The Security Council discussed the issue in closed consultations.

"We have very serious concerns about this blatant disregard for fulfillment of their international obligations," said Rosemary DiCarlo, deputy U.S. ambassador to the U.N.

"The location, the size and the clandestine nature of the facility at Qom raise serious doubts about what its ultimate purposes are," added Philip Parham, deputy British ambassador to the U.N.

The IAEA announced on Monday its finding that Iran is enriching uranium at a previously secret facility to 20% purity.

Diplomats said that further Security Council sanctions were possible. But they indicated that they are focusing on ensuring that the sanctions already in place are enforced. They emphasized the need for a negotiated solution to the standoff.

"A year ago we passed very strict sanctions on Iran, the most comprehensive ever," DiCarlo said. "Those sanctions are being implemented, and President Ahmadinejad himself has acknowledged to his own parliament that they're having an impact."

Officials in the United States and other Western nations have ratcheted up sanctions against Tehran since a November report by the IAEA said the Iranian government was developing the technology needed to build a nuclear weapon. Last month, U.S. President Barack Obama announced sanctions against Iran's central bank.

Tehran maintains its nuclear program is for civilian energy purposes only. But the IAEA has said it cannot verify whether the intent of Tehran's nuclear program remains peaceful.

The attack comes at a time when relations between Iran and the United States have rarely been as strained.

Iran sentenced Iranian-American and former Marine Amir Hekmati to death Tuesday for alleged espionage, prompting strong condemnation from the U.S. State Department.

Iran also aggravated tensions in the past month with its threat to close the strategically important Strait of Hormuz if Western nations carry through with sanctions on its oil industry to punish Tehran's lack of cooperation on its nuclear program. In comments Wednesday, Russian Deputy Foreign Minister Sergei Ryabkov urged Western nations and Iran to avoid escalating the situation further, Russia's official Itar-Tass news agency reported.

Responding to Wednesday's bombing, Iran's First Vice President Mohammad Reza Rahimi said the attacks against scientists would not stop the country from achieving its goals, IRNA reported.

"Iranian scientists become more determined to take steps in line with the aspirations of the Islamic Republic in spite of terrorist operations," Rahimi told the news agency.

The attack followed a similar mode of operation as others that have killed nuclear scientists in Iran's capital city.

And on January 12, 2010, Iranian university professor and nuclear scientist Massoud Ali Mohammadi died in a blast when an assailant stuck a bomb under his car. Majid Jamali Fashi, an Iranian, reportedly confessed to the bombing and was sentenced to death in August, IRNA reported at the time.

Prosecutors accused him of working for Israel's spy agency Mossad and said he was paid $120,000 by Israel to carry out the hit, Fars news agency reported. Israel does not comment on such claims.

In November 2010, nuclear scientist Majid Shahriari was killed in a blast where, again, a bomb was stuck under a car by someone on a motorcycle. Another nuclear scientist, Prof. Fereydoun Abbasi Davani, and his wife were injured in a similar attack. Abbasi is now director of the Iran Atomic Energy Organization.

"The bomb used in the (Wednesday) explosion was a magnetic bomb, the same kind that were used in previous assassinations of Iranian scientists. And the fact is that this is the work of the Zionists," Fars news agency quoted Tehran's Deputy Gov. Safarali Baratloo as saying.

Iran uses the term "Zionist" to refer to Israel. Iran has been engaged in a war of words with Israel, whom it accuses of trying to destabilize the republic.

Mickey Segal, a former director of the Iranian department in the IDF Intelligence Branch, told Israel Army Radio that Wednesday's attack was part of broader pressure being brought to bear on President Mahmoud Ahmadinejad's regime.

"Many bad things have been happening to Iran in the recent period. Iran is in a situation where pressure on it is mounting, and the latest assassination joins the pressure that the Iranian regime is facing," Segal said.

The Jerusalem Post reported Wednesday that the Israeli military chief of staff Benny Gantz, speaking at a Knesset Foreign Affairs and Defense Committee meeting, warned that "2012 will be a critical year in the connection between Iran gaining nuclear power, changes in leadership, continuing pressure from the international community and events that happen unnaturally."

Ali Ansari, a professor at the Institute for Iranian Studies at Scotland's University of St. Andrews, said more information is needed about the victims to help determine who's perpetrating the attacks.

Some have speculated that the victims were members of the opposition movement and could have been targeted by internal forces, Ansari said.

"But if it is true that Israel is behind it, Iran should make a formal complaint to the U.N. so they can get an answer from Israel," Ansari said. "Because if they really think some other country is killing their nuclear experts, why are they not giving them more protection?"

CNN's Shirzad Bozorgmehr, Kevin Flower, Elise Labott, Jill Dougherty, Lateef Mungin, Mick Krever and Michael Martinez contributed to this report.

@highlight

NEW: Magnetic bombs were used in other Iran assassinations, ambassador says

@highlight

Secretary of State Hillary Clinton categorically denies U.S. involvement in the killing

@highlight

An Israeli military spokesman says he does not know who carried out the attack

@highlight

A bomb was put under Mostafa Ahmadi Roshan's car, state-run IRNA news agency says