Editor's Note: Josef Sorett, Ph.D. is an assistant professor of religion and African-American studies at Columbia University. He is an interdisciplinary historian of religion in America with a focus on black communities and cultures in the United States. His research and teaching interests include American religious history, African American religions, hip hop, popular culture and the arts.

I'm lucky enough to have a job that requires me to think, read, write, teach and speak about the intersections of religion, entertainment and popular culture in American society. However, long before I began work as a college professor, I attended a church that placed as much emphasis on entertainment as instilling faith. There was a shared sense that the latter goal (i.e. instilling faith) depended upon an ability to perform the former task (i.e. entertaining).

I vividly recall the Sunday in 1985 my father took me to the church bookstore after service to purchase a copy of the first Christian rap CD, "Bible Break" by Stephen Wiley, an Oklahoma-based youth minister/rapper who became a recurring guest at my church's annual youth retreats. By all accounts, my youth leaders sought to "keep it real" even as their real goal was to keep us "saved."

By no means is "Bible Break" great music, but it is certainly memorable. I still can recite its lyrics almost verbatim.

These memories inspire much of my current work. I had the opportunity to interview Wiley while writing my dissertation. He shared with me the story of a church where an actual fist-fight broke out as leaders were debating whether to allow him to rap in their pulpit.

In dramatic fashion Wiley's experience reveals the common belief that faith and popular culture are (or should be) diametrically opposed. Black churches have always been a place where people have come to sway, to dance, to shout and -- value judgments aside -- to be entertained. To be moved by the Spirit. And sometimes not.

In short, there are multiple layers of meaning at the source of what brings folks into "the House of the Lord." Churches were the first independent black institutions. They were a place for both worship and politics. In addition to serving as arbiters of things spiritual and political, church was also a space of pleasure and play: a theater, a concert stage and a dance hall. Many prominent black cultural institutions and artists began in churches. The Dance Theater of Harlem and the Harlem School of the Arts both held their first practices in churches.

American music legends Sam Cooke and Aretha Franklin began their careers in the church, as did contemporary artists Fantasia Barrino and John Legend. To this day, a common thought is that all black entertainers come out of the church. Yet few acknowledge that the church was and is a source and site of entertainment.

In today's tabloid-driven, scandal-obsessed celebrity culture, people are reluctant to reconcile the seriousness of a "Hallelujah!" with the sensationalism, sensuality and sometimes downright silliness of Hollywood. The writer Rudolph Fisher captured this phenomenon well in a short story that appeared in what is considered the bible of the Harlem Renaissance, Alain Locke's 1925 anthology "The New Negro." Fisher tells a tale of two young men in 1920s Upper Manhattan. Debating whether or not to attend a local revival, one of the men ended their exchange as follows:

"Ought to be a pretty good show when some o' them old-time sisters get happy. Too early for the cabarets; let's go in a while, just for the hell of it... Somethin' funny's bound to happen. You might even get religion."

Clearly, for these men, a revival was as much about pleasure as it was about the promise of salvation. To be sure, this illustration fails to capture all of the many motivations that fill church pews. Yet it suggests that recreation and religion are fundamentally intertwined.

Fisher's Harlem, of course, holds a special place in African-American cultural history. Yet his stories are not solely about race or place. Rather, they show black churches to be exceptional even as they are quintessentially American.

Recent public debates around black liberation theology often portray black churches as occupying an alternative universe. African-American Christians breathe the same cultural and political air as their churchgoing brothers and sisters of other races. This is perhaps no more clear than in the realm of aesthetics. Most of the fastest growing black churches have adopted the praise and worship format that has long been popular in white evangelical and charismatic congregations. A prime case of this is Byron Cage's "Breathe," a remake of the Hillsong standard, "This is the Air I Breathe."

More generally, the history of entertainment in the United States cannot be told without holding a special place for protestant Christianity. This is especially the case for American evangelicalism, beginning with the Great Awakenings tremendous revivals of the 18th and 19th centuries, which facilitated the first large-scale embrace of the Christian gospel by African-Americans.

In the 20th century, one recalls figures like Oral Roberts, Kathryn Kuhlman and Frederick "Rev. Ike" Eikerenkoetter, the list goes on ad infinitum in black and white.

These preachers possessed a powerful stage presence. Each was also a media personality with a popular radio and/or television show. Theirs is the same history that helped produce a tradition of black religious broadcasters from J.M. Gates, Lucy Smith and Clarence Cobb to Cartlon Pearson, TD Jakes and Juanita Bynum.

Before Juanita Bynum's popular "No More Sheets" DVD or Eddie Long's "Taking Authority" network, there was Frederick K.C. Price's "Ever Increasing Faith" weekly television program. And long before these three there was Elder Solomon Lightfoot Michaux's "Happy Am I" radio show. In addition to preachers and their sermons, there is sacred music from Thomas Dorsey's gospel blues to the holy hip hop of the cross movement.

There is film: Oscar Micheaux's "Within Our Gates" (1919) to Jakes' "Woman Thou Art Loosed," (2004). And there is theater: Langston Hughes' "Black Nativity," to Tyler Perry's "I Know I've Been Changed".

Perry's plays, movies and sitcoms always offer dramatic morality tales, and they are never short on the rich biblical rhetoric of the black Christian vernacular. The appeal of these clerics and religious celebrities is attributable as much to their entertainment value and media savvy as it is to their spiritual acumen.

Collectively, they comprise a veritable black Christian culture industry, complete with countless commodities and commercial opportunities. This is not meant to question the authenticity of any minister or ministry. Rather, it points to the evolving interplay between churches and the matrices of markets, media and culture, a complex set of networks that includes the arts and literature, television and digital technologies, music and movies, fashion and finance.

Black churches continue to provide a place where African-Americans go to pray and receive prayer. To hear and to speak "the word." To fellowship and to feel the Spirit. And, ultimately, to feel their best, right in the here and now. This is, and always has been, the story of the black church.

@highlight

Josef Sorett: There is a belief that faith and popular culture are diametrically opposed

@highlight

Black churches have always been places to be entertained, moved by the spirit, he says

@highlight

Music legends, contemporary artists got their start in the church