The campaign of airstrikes against ISIS in Syria has pitted several Arab countries into action alongside the United States.

Analysts say the involvement of leading Sunni Muslim nations in a fight against the Sunni extremism of ISIS is crucial.

"I think that's very important going forward as it does show that we've got some regional buy-in, it shows that there are Arab countries willing to put their reputations on the line," said retired Lt. Col. Rick Francona, an Air Force veteran intelligence officer and CNN military analyst.

But there are also some U.S. allies and regional powers that are conspicuous by their absence from the new phase of the conflict with ISIS.

Here's the lowdown on who's taking part and why -- and who's staying on the sidelines.

Who's in

Saudi Arabia: The largest and most influential Gulf nation has fought with U.S. forces in previous conflicts, including Operation Desert Storm in the 1990s. ISIS' rapid gains in Syria and Iraq have raised alarm in the oil-rich kingdom. The Saudi government has already agreed to train moderate rebel fighters on its soil, according to U.S. officials.

Jordan: The Arab kingdom has experienced a lot of spillover from the unrest in Syria and Iraq. It has received large numbers of refugees across its borders with both countries. Jordan's involvement in the airstrikes is part of its "position on combating terrorism and protecting its security and borders," Jordanian government spokesman Mohammed Al Momani told CNN Arabic. The country also claims to have strong intelligence resources on ISIS.

United Arab Emirates: The country was previously reported to have offered to support the U.S. attacks against ISIS. It is also hosting Australian combat jets on its soil. The UAE contributed aircraft to the international coalition that intervened in Libya in 2011.

Bahrain: A key U.S. ally in the region, the island nation of Bahrain houses the U.S. Navy's Fifth Fleet. As a regularly participant in U.S.-led coalitions, its involvement in the airstrikes isn't surprising.

Qatar:  The Gulf nation had already flown a number of humanitarian flights to help anti-ISIS efforts in Iraq. But its involvement in the military strikes in Syria significantly raises its commitment. Qatar has strained relations with Saudi Arabia and the United Arab Emirates over its willingness to provide refuge for members of the Muslim Brotherhood, which espouses a political Islam feared by several other governments in the region.

Who's not

Turkey: A NATO member and one of the hardest-hit countries by shock waves from the Syrian civil war, Turkey's absence from the first wave of airstrikes will raise some eyebrows. The country is absorbing vast numbers of refugees from the conflict and is seen as a major transit point for foreign fighters joining ISIS and other armed groups.

Until recently, the country had one strong reason to stay out of military action against ISIS: 49 of its citizens, including senior diplomats and their families, were being held hostage by the militants. Those captives were released over the weekend. How Turkey's role in the fight against ISIS evolves from here will be closely watched.

Egypt: Another large, influential Middle Eastern nation that receives substantial U.S. military aid. Egypt is considered to have the air power to conduct strikes where it wants in the region. Cairo has denied recent assertions that it and the UAE had carried out secret airstrikes against Islamists in Libya.

Iran: The Islamic Republic is a hugely influential player in both Syria and Iraq, where it supports the Shiite-led governments. ISIS' Sunni extremism is a fierce challenge to Iran's sway in the region, but Tehran's long-standing tensions with Washington make any link to the coalition extremely tricky. Earlier this month, Supreme Leader Ayatollah Khamenei rejected the idea of cooperation,  accusing the United States of planning to use military action against ISIS to "dominate the region."

United Kingdom: A close ally to the U.S. in recent conflicts in the Middle East, the U.K. says it isn't involved in the airstrikes on ISIS in Syria. ISIS has already killed one British hostage this month and has threatened the life of another. Reports in the British media suggest Prime Minister David Cameron may seek parliamentary approval to participate in airstrikes against ISIS in Iraq. Cameron has previously pledged to help arm Kurdish forces fighting ISIS and continue supplying humanitarian help.

France: The French military began airstrikes against ISIS in Iraq last week, using Rafale fighter jets to attack a logistics warehouse. But Foreign Minister Laurent Fabius said Monday that France doesn't plan to expand the attacks into Syria. "The French President has said we do not have intention to do the same in Syria, I mean by air," he said at the Council of Foreign Relations in New York. But Paris will help "the moderate opposition in Syria," he said.

Netherlands: The Dutch military will contribute six F-16 fighter jets and 250 troops to carry out airstrikes and train Iraqi and Kurdish forces in the fight against ISIS in Iraq, the Dutch Foreign Ministry said. The Dutch F-16s, which will be based outside of Iraq, will be used in Iraq for a period up to 12 months, the ministry said. Of the troops being deployed, 130 will be focused on training Iraqi forces, it said.

Belgium: A long-standing ally of the United States and the UK, Belgium is seeking the approval of Parliament to send six fighter jets to participate in the bombing campaign against ISIS in Iraq, Foreign Minister Didier Reynders said. There is no plan to send ground troops.

Maps: Arab nations join U.S., expand fight against terror to Syria

@highlight

Belgium and Netherlands will participate in strikes in Iraq, but not Syria

@highlight

Saudi Arabia, Jordan, the UAE, Bahrain and Qatar joined the U.S. in airstrikes

@highlight

But other close allies and regional powers stayed out of the fray

@highlight

The future role of NATO member Turkey, heavily affected by the Syrian conflict, remains unclear