(CNN) -- In the painkiller world, oxycodone and naloxone seem like strange bedfellows. Oxycodone is a powerful painkiller, while naloxone is used to reverse painkiller overdose.

On Wednesday, the Food and Drug Administration approved a drug combining the two, called Targiniq ER.

The drug's maker, Purdue Pharma, said the combination is intended to "alleviate pain while also introducing a new method by which to help deter misuse and abuse."

Oxycodone is one in a group of powerful painkillers -- called opioid analgesics -- that include hydrocodone, morphine and hydromorphone. It provides pain relief by binding to receptors in the brain that dull the sensation of pain.

So why marry it with naloxone? Simply put, naloxone can unseat oxycodone on those same brain receptors, blocking its ability to provide pain relief.

In the case of Targiniq, it happens only when the pill is crushed. If the pill remains intact, naloxone lies dormant, allowing oxycodone to do its work.

Approval of an abuse-deterrent painkiller such as Targiniq would seem welcome, considering the rampant use of the drugs in the United States. The United States consumes 83% of the world's oxycodone and 99% of its hydrocodone, according to a 2010 International Narcotics Control Board report.

Forty-six people die each day from prescription painkiller overdoses, according to the Centers for Disease Control and Prevention.

Dr. Stephen Anderson, an emergency room physician who sees opioid overdoses on a weekly basis, said Targiniq limits the common abuse delivery routes -- such as crushing, dissolving and injecting pills, or crushing and snorting them.

"Well done to the manufacturer for placing some built-in pharmacological protections," said Anderson, past president of the Washington chapter of the American College of Emergency Physicians, in an e-mail. "It won't stop orally ingested overdose deaths, but will limit some of its 'street marketability.' "

And abuse-deterrence seemed to work with another of Purdue Pharma's painkillers, OxyContin: A difficult-to-crush version of the drug was introduced in 2010.

"Before that, OxyContin was the most commonly diverted and abused drug," said Caleb Banta-Green, an opioid overdose researcher and former senior science adviser to the Office of National Drug Control Policy. "After the formulation changed, nobody liked it because they couldn't abuse it."

According to the New England Journal of Medicine, before 2010, OxyContin had been considered a primary drug of abuse for about 36% of people surveyed. Twenty-one months after the introduction of the abuse-deterrence version, only 13% abused it.

What impact Targiniq's approval could have on oxycodone abuse remains to be seen.

Targiniq's approval "will better enable the FDA to balance addressing this problem with meeting the needs of the millions of people in this country suffering from pain," said Dr. Sharon Hertz, deputy director of the FDA's Division of Anesthesia, Analgesia and Addiction Products, in a statement.

The FDA said the drug should be prescribed as a last resort, for patients who have exhausted all other attempts to relieve their pain.

Still, experts on addiction said they fear that Targiniq could still be easily abused.

"Naloxone is only active if injected or squirted up the nose," said Andrew Kolodny, chief medical officer of the Phoenix House, an alcohol and drug abuse treatment provider. "That means a patient who chews Targiniq will get the entire dose all at once and the naloxone will have no effect.

"When the pills are swallowed, they are as addictive and dangerous as pure oxycodone."

The concern is that people who abuse or misuse opioids (also called opiates) will simply find another route to a high.

"In a sense it's playing a game of whack-a-mole, because if people are addicted to opiates, they will find an opiate," said Banta-Green, who's a senior research scientist at the University of Washington's Alcohol and Drug Abuse Institute.

"This (drug approval) could and will likely help, but it doesn't fix the inherent problem that people addicted to opiates will continue to use them."

FDA aims to tighten control of hydrocodone

FDA fights drug overdoses with new labels

@highlight

The Food and Drug Administration approves Targiniq ER

@highlight

Drug relieves pain while at the same time deterring misuse

@highlight

Experts on addiction say they fear Targiniq could still be easily abused