(CNN) -- Apple's Worldwide Developers Conference, the annual gathering where the secretive company hosts folks who make a living writing software for its products, kicks off today.

And while the event is designed around presentations to help developers, its keynote address has also become an opportunity for Apple to roll out new products not just to developers, but to the world.

Two iPhones and several Macs have had their coming-out parties at WWDC, along with a host of operating-system overhauls.

Which raises the obvious question: What will Apple announce at its keynote, set for 1 pm ET?

Speculation has run rampant, as it does every time the Cupertino, California-based computing giant moves a muscle. But some of the guesses make more sense than others.

Here's a look at some of the most credible reports, with our take on the odds of them being even vaguely true.

Software updates

This one isn't as sexy as a big product unveiling, but software is the bread-and-butter of WWDC. And there might be some drama here, yet.

It's about time for a first look at iOS 6, an update of the mobile operating system that runs iPhones, iPads and Apple's other Web-enabled mobile devices.

The developers in attendance will no doubt hang on every detail. But the most high-profile change is expected to be Apple's announcement that it's replacing Google Maps with its own mapping app as the system's default.

Apple and Google have obviously squared off in the mobile space, with more smartphones now running Google's Android system, even though the iPhone remains the single most popular phone.

Supplanting Google's popular maps on its millions of mobile devices would be a big blow in the rivals' ongoing slugfest.

Looking to get the jump on Apple, Google announced new features to Google Maps on Wednesday, including more 3-D images and the ability to use the product even when you're offline.

Interestingly, Google only announced the update for people using its own Android mobile operating system.

Developers also may get a closer look at OS X Mountain Lion, the Mac operating system scheduled for release this summer.

Odds: Bet the farm.

Refreshed Macs

Of the nonsoftware speculation, this one feels like the most likely -- and could be pretty significant.

For one, It's been a year or more since Apple's major desktop and laptop models have been updated. The iMac got refreshed in May 2011, the MacBook Pro's last overhaul was February 2011 and MacBook Air's latest model rolled out in July of last year.

Second, apps have started showing up in the Mac app store with updates saying they've added "retina graphics."

That's the term Apple uses for its high-resolution displays on newer iPhones and iPads and suggests that Macs might be getting similar treatment.

Plus, the online Apple Store was down Monday morning, suggesting that new hardware is on the way.

Apple followers have already been passing around reports that the company could unveil a 15-inch Macbook Pro in a big rollout that might include most of its other Mac products.

Announcing now would mean that Apple would have fresh products to push before back-to-school and off-to-college time, not to mention the holidays.

Odds: Get your chips on the table.

Apple TV

A television set from Apple has been the most elusive and speculated-about piece of vaporware in the tech world for the past year.

Whether it's been snippets of info from Apple's supply chain, suggestive notes from retailers or the always talkative "unnamed sources," most observers seem to agree it's just a matter of time before the company goes from offering a set-top box like Roku, Boxee or TiVo to selling its own TVs.

Could Monday be the day we finally see it?

Maybe ... but it doesn't feel likely. Instead, look for another update to the Apple TV system, the little box that lets users stream movies and other content from iTunes to their TVs. Such a move could be a step towards Apple launching the TV set itself.

One report says the company will introduce a kit for third-party developers who want to build apps for the Apple TV device.

By Apple standards, Apple TV hasn't been a big seller yet. And things are getting more interesting in that space. Last week, Microsoft announced Xbox SmartGlass, a system that will synch that gaming and entertainment console with mobile devices like iPads and iPhones.

Odds: Even money at best.

A new iPhone

As of this writing, longshot Guyana Star Dweej is getting 60-to-1 odds to win Saturday's Belmont Stakes.

If those odds seem way too good for you, bet on a new iPhone be unveiled Monday.

Yes, new iPhones were unveiled at WWDC in 2009 and 2010. But last year's iPhone 4S didn't hit the market until October.

It would be out of character for the company to roll out another one eight months later. Sorry, folks. Check back this fall.

Same goes for the iPad and iPods. New iPods usually get their own fall events, and the "new iPad" is barely three months old. Even Apple doesn't crank out updates that fast.

Odds: Slim, meet none.

@highlight

Apple's developers conference kicks off with a keynote at 1 pm ET today

@highlight

Apple will reveal features of iOS 6, its operating system for iPhones and iPads

@highlight

Company could also unveil its replacement for Google Maps on iPhone, iPad

@highlight

We may also see upgrades to the Apple TV device that streams iTunes content