NEW ORLEANS, Louisiana (CNN) -- Before a cheering crowd at a town hall meeting in New Orleans, President Obama fired back at critics who accuse him of accomplishing little in his nine months in office, saying "I'm just getting started."

President Obama speaks at a town hall meeting at the University of New Orleans on Thursday.

"I never thought any of this was going to be easy," said Obama, speaking at the University of New Orleans in his first visit to the Gulf Coast city since taking office. He poked fun at his critics, asking, "Why haven't you solved world hunger yet? It's been nine months. Why?"

"What'd I say during the campaign? I said change is hard," Obama said. "Big change is harder. ... I wasn't kidding about it being hard."

"Those folks who are trying to stand in the way of progress ... let me tell you, I'm just getting started," he said. "I don't quit. I'm not tired. I'm just getting started."

Before taking questions, Obama discussed the recovery effort in New Orleans, a city struggling to get back on its feet after Hurricane Katrina.

"It has now been just over four years since that terrible storm struck your shores," the president said. "And [in] the days after it did, this nation and all the world bore witness to the fact that the damage from Katrina was not caused just by a disaster of nature, but also by a breakdown of government, that government wasn't adequately prepared and we didn't appropriately respond."

Obama said that when he took office, he pledged to make Gulf Coast rebuilding efforts and disaster response top priorities of his administration.

"So far, I'm pleased to report that we've made good progress," he said. "We've got a long way to go, but we've made progress."

He said he has sent more Cabinet members to the Gulf Coast than any other region -- "not just to appearances, but to listen and to learn and help you move forward." Also, he said, his administration has helped eliminate red tape and turf disputes in order to get stalled programs moving, and freed up $1.5 billion in recovery funds.

He said his administration is tackling "corruption and inefficiency" that has plagued the New Orleans Housing Authority for years -- remarks that drew applause from the crowd -- and has helped move families out of emergency housing, helping homeowners rebuild and helping renters find affordable options.

The government has also invested in supporting health centers and recruiting primary care providers, nurses and other professionals to fill shortages left by the 2005 hurricane, he said.  Watch bloggers debate Obama's handling of New Orleans »

Before the meeting, Obama toured the Martin Luther King charter school -- the first charter school to reopen in New Orleans' Ninth Ward, the hardest-hit portion of the city. The president called the school "an inspiration for this city."

However, "it's clear how far we have to go before we can call this recovery a real success," he said, adding that much remains to be done to repair roads, hospitals and schools and rebuild neighborhoods.

"We will not forget about New Orleans," he said. "We're going to keep on working."

He also touched on the economy and on health care reform. "Too many Americans have waited too long for this to happen," he said, drawing wild cheers from the crowd. "We are going to pass health care reform by the end of the year."

Meeting the challenges faced by the nation, he said, "requires diligence and perseverance and patience ... it requires a renewed spirit of cooperation among our citizens."

He took questions from the crowd on topics ranging from the school dropout rate to immigration.

One man asked Obama, "Why is it four years after Katrina we're still fighting with the federal government for money to repair our devastated city? ... I expected as much from the Bush administration, but why are we still being nickeled and dimed in our recovery?"

The president responded, "I make no excuses for the fact that the federal government did not work effectively with state and local governments immediately in the aftermath of the storm to make sure that everybody got the help they needed right away. And we are still working through the backlog of problems that existed."

"My expectation is that by the time that my term is over, you guys are going to look back and you're going to say, 'This was a responsive administration on health care, on housing, on education, that actually made sure the money flowed and that things got done the way they were supposed to get done," he said.

A fourth-grade boy asked Obama his final question: "Why do people hate you? They're supposed to love you. And God is love."

"Well, now, first of all, I did get elected president, so not everybody hates me now," Obama said. "... If you were watching TV lately, it seems like everybody's just getting mad all the time. ... Some of it is just what's called politics, where, you know, once one party wins, then the other party kind of feels like it needs to poke you a little bit to keep you on your toes."

In addition, he told the boy, some people have lost their jobs and are frustrated. "When you're president of the United States, you've got to deal with all of that," he said. "... I'm a pretty tough guy. Are you a tough guy?"

Four years after Katrina, evidence of the storm's devastation lingers. About 1,500 people in Louisiana are still living in temporary housing, according to the Federal Emergency Management Agency, although that is down from a high of more than 90,000.

And the Army Corps of Engineers is only a third of the way through a $15 billion system to provide 100-year flood protection for the city.

However, the agency says 76 disputed projects in Louisiana have been resolved since Obama took office, and more than $1.4 billion in aid has been sent to Louisiana, along with more than $160 million to Mississippi. And it says that more than 89,000 Louisiana households and 45,044 Mississippi households displaced by Katrina -- and by Hurricane Rita, which hit a month later -- have found longer-term housing solutions.

The emergency agency also says more than $1 billion from the stimulus program has been targeted for New Orleans.

The Obama administration's efforts have been praised. In August, Louisiana Gov. Bobby Jindal, a Republican, told the New Orleans Times-Picayune newspaper, "there is a sense of momentum and a desire to get things done."

Still, the length and nature of Obama's visit Thursday drew some ire. The president was to spend less than four hours in New Orleans and will not visit other areas of the Gulf Coast affected by Katrina, such as the Mississippi coast.

"The people of New Orleans deserve more than a 'drive-through daiquiri' summit with the president," Rep. Steve Scalise, R-Louisiana, said in a news conference Monday.

And Sen. David Vitter, R-Louisiana, wrote in a letter to Obama that "if the town hall is the only major event of the visit, I truly think it will be deeply disappointing to most citizens."

The White House said that Obama has been to New Orleans five times since Katrina, and that since Obama took office, there have been 35 trips to the Gulf Coast by more than 20 senior administration officials.

"The president made a promise to come to New Orleans and wanted to fulfill that promise as soon as his schedule allowed," White House spokesman Nicholas Shapiro said.

@highlight

NEW: "I never thought any of this was going to be easy," he says at university

@highlight

President not visiting other Gulf Coast areas damaged by Katrina in 2005

@highlight

Some local Republicans have decried Obama's visit as too short

@highlight

But White House cites other visits by him, senior officials since storm