Altinozu, Turkey (CNN) -- Gofran Hejazi does not know whether to refer to herself as a wife... or a widow.

She and her four children have been in limbo ever since August 29, the last day she saw her husband in the flesh.

"My eldest son sometimes opens up the computer, puts up his father's photo and starts crying," Hejazi said. "Not a day goes by without my youngest son asking me 'when is daddy coming home?'"

Until he went missing from a refugee camp in Turkey last August, Hejazi's husband, Syrian army Lieutenant Colonel Hussein al Harmoush, was the self-styled leader of a rebellion of mutinous soldiers against the Syrian government known as the "Free Syrian Army."

The sensitivity of Harmoush's case was plainly evident during Hejazi's first interview with a journalist since the disappearance of her husband.

Police at the makeshift camp where her family lives insisted that a plain-clothed Turkish police officer accompany Hejazi during an hour-long interview with CNN. The officer was assigned "for her protection," authorities said. He did not interfere with the interview and remained out of earshot for the duration of the discussion.

Harmoush first attracted international attention last June, when he made an online video calling on other Syrian soldiers to desert and join an anti-government group he labeled the "Free Syrian Army." He was one of the first Syrian military officers to publicly break with the regime.

Judging by the number of similar videos that started cropping up on the internet, it appeared Harmoush's rebellion was growing. Again and again, uniformed soldiers and officers faced the camera, held up their identity cards as proof, and then denounced the Syrian regime's deadly crackdown against pro-democracy demonstrators.

Harmoush claimed to lead this movement from exile in neighboring Turkey. Harmoush, his wife and four children lived in a compound of empty warehouses the Turkish government converted into a makeshift refugee camp in the Turkish border town of Altinozu. Harmoush regularly met with opposition activists and journalists there, until August 29.

That morning, Hejazi said her husband walked out of the gates of the camp, which are protected by Turkish police.

Soon after, she said he disappeared and his phone stopped answering calls.

"From that moment, I was certain my husband was handed back to the Syrians," Hejazi recalled.

After going missing for more than two weeks, Harmoush suddenly resurfaced... this time in a "confession" aired on Syria's strictly-controlled state television network.

In the September 15 broadcast, Harmoush recanted his support for the opposition. He denied ever receiving orders from commanding officers to open fire on demonstrators. And he accused the opposition Muslim Brotherhood of smuggling weapons and terrorists to Syria.

Harmoush has not been seen or heard from since. Hejazi believes he is now in Syrian custody.

"I can't live in a fantasy and pretend as if I'm blind or deaf and say it's not true," she said.

It is still a mystery how Harmoush disappeared from the gates of a police-protected Turkish refugee camp and ended up on Syrian state television.

Hejazi and some other opposition activists blame the Turkish government.

"I talked to him [Harmoush] on the morning of August 29th," said exiled Syrian activist Omar al Muqdad, in an interview with CNN on September 16. "He said 'I have a meeting with a Turkish security man. When I finish I will call you.' I waited for three days and didn't hear from him."

Hejazi also said her husband left the camp on August 29 planning on meeting with a mysterious man camp residents believed was a Turkish intelligence officer.

"Maybe he's not an intelligence officer as he claimed, but he's one of the Turks," Hejazi said. "We don't know his rank or who the guy is exactly, but over the phone he introduced himself as Abu Mohammed."

Hejazi accused Turkish authorities of handing the rebel officer over to the Syrians.

"I believe they arrested him as part of an agreement between the two countries," Hejazi said.

The Turkish government has repeatedly denied such accusations.

Turkish officials also denied any knowledge of the alleged intelligence officer refugee camp residents knew as "Abu Mohammed," which is a generic Arabic nick-name that means "father of Mohammed."

Ankara officially states that it welcomes all Syrians on Turkish territory. Turkish officials pointed to the more than 7,500 Syrian refugees that have been fed, clothed and housed for months at a network of government-run camps along the border.

Relations between the two neighbors have grown increasingly frosty. Ankara has hosted several Syrian opposition meetings. Turkish leaders have also threatened to punish the Syrian government's ongoing violence against its citizens with sanctions.

But in Hatay, the Turkish border province where Harmoush disappeared, there is strong local support for Syrian president Bashar al Assad.

The region is home to a large number of ethnic Arabs from the same Allawite sect as Assad, whose family and clan have ruled Syria for more than 40 years. Portraits of the Syrian president sell in Turkish souvenir shops. It is not uncommon to hear locals cursing Syrian anti-government demonstrators.

Hejazi said her husband's revolt against Damascus, was fueled partially by the perception that the army's dominant Allawite officer corps discriminated against Harmoush because he was from Syria's majority Sunni Muslim sect.

"Because he was Sunni, they stopped promoting him. They treated him badly," Hejazi said.

In interviews with CNN, other Sunni officers who joined the "Free Syrian Army" also complained bitterly about discrimination at the hands of senior Allawite commanders in the Syrian military.

Meanwhile, efforts to track down the missing leader of the "Free Syrian Army" have proven fruitless.

When Hejazi asked for the help of a lawyer, she said local Turkish officials demanded she first provide documentary evidence that she was in fact married to Harmoush. Those are documents Hejazi cannot provide.

"We left the country without passports," Hejazi said. "According to Syrian law, officers in the Syrian military cannot provide passports to their wife and family. So we don't have passports."

Visibly distraught, Hejazi now finds herself caught in legal limbo between two countries. She said she felt her children were not safe, living in a camp close to the porous border with Syria.

After an hour-long conversation, it was clear she did not know whether she should begin mourning for her missing husband.

When asked whether she had a message for Harmoush, Hejazi thought for a moment.

"If he is still alive, I urge him to be patient," she finally said, adding: "But I don't think anyone can survive the torture and dungeons of the Syrian secret service. If he's dead, that means he's in paradise."

CNN's Yesim Comert contributed to this report

@highlight

Harmoush was the self-styled leader of a rebellion of mutinous soldiers against the Syrian government

@highlight

He was last seen in September on Syrian television

@highlight

In that appearance he recanted his support for the opposition

@highlight

His wife says she does not know if she is a wife or a widow