Tampa, Florida (CNN) -- The unusually cold weather that struck Florida in January did more than damage crops and citrus trees.

It has also caused an unprecedented number of deaths among Florida's beloved residents, the endangered West Indies manatees.

Twisting and flopping in the shallow water, Baby Coral  probably doesn't realize just how lucky she is. When this 3-year-old female manatee was brought into Tampa's Lowry Park Zoo last month, she was 300 pounds underweight, unable to eat.

Her skin was covered with small white, blister-like lesions known as "Florida frostbite," the result of exposure to cold temperatures.

Lowry Park Zoo is one of the three facilities in the state that provide medical treatment and a place for manatees to recover from cold stress, as well as other injuries.

"It's an exceptionally bad year for the manatee," said Dr. David Murphy, the zoo's veterinarian.

So far this year, a record 280 or more manatees have died from cold stress-related illnesses. That's estimated to be 5 percent of the total population in Florida. Add that to last year's record mortality rate of 429 deaths from boat strikes and other causes, and that number may be as high as 10 percent.

Marine biologist Andy Garrett says he's never seen anything like this before. The full impact of the cold weather on the manatee population is still unclear, according to Garrett, who works for Florida's Fish and Wildlife Conservation Commission.

He says that when water temperatures dip below 68 degrees Fahrenheit, these subtropical animals simply can't cope with the cold.  Last month, Florida's water temperatures dropped as low as the 40s. While manatees are round and plump like seals and other marine mammals, their fat is not designed to insulate them from the cold, Garrett said.

West Indies manatees roam the warm waters of the Caribbean, and in the summer have been known to migrate as far north as the New Jersey, and as far west as Texas.

But those wintering in Florida are at the marginal edge of their habitat, and are always susceptible to the cold. On the other side of Tampa Bay, manatees have found a practical solution: Hundreds gather in a canal warmed by water discharged from a Tampa Electric Co. power plant. There, they are able to escape the cold, floating in waters that stay around 78 degrees.

The carcasses of manatees who weren't able to find a warm water refuge have been turning up daily. Most end up at the Florida Fish and Wildlife Conservation Commission's necropsy lab in St. Petersburg. The lab has been busy in recent weeks, at times examining a dozen manatees a day. There, Dr. Martine de Wit and her staff determine cause of death. It's normally the young manatees that are most stressed by cold weather, but this year, full-size adults are dying.

"That is a very bad sign," she said.

The cold water shuts down their internal systems. Many were unable to eat; others drowned because they were unable to breathe.

Garrett and de Wit believe that this may just be the beginning. They fear that more manatees will die during the spring, unable to recover from the trauma of Florida's deep freeze.

@highlight

Cold has killed at least 5 percent of West Indies manatees this year, 280 in all

@highlight

Wildlife official: Manatees can't cope when water is colder than 68 degrees

@highlight

Manatee are already endangered, and 2009 known deaths were a record 429

@highlight

Necropsy lab official says she fears more may die in spring from lingering effects of cold