Last week the Electronic Privacy Information Center filed a petition with the Supreme Court asking it to stop the government's collection of telephone records of Verizon customers. It was not a decision we took lightly. But as an organization dedicated to protecting privacy, we had no choice.

Of all the recent revelations about the government's surveillance activities, the most significant is a secret court order that required Verizon to provide to the National Security Agency -- on an ongoing basis -- the call detail records on all of its customers.

Not since the congressional hearings of the Church Committee -- the Senate committee that investigated widespread intelligence abuses in the 1970s -- has there been evidence of such extensive spying by the U.S. government on the American public. But unlike then, the digital data of the modern telephone network allows for an extraordinary sorting and sifting of digital information today.

A phone number is easily linked to a person, perhaps a doctor, a minister, a family member, or a close friend. Call detail records can also reveal where people are and who they are with. Such information can be very useful when tracking a particular target in a criminal or intelligence investigation, but collecting such data on all Americans who have a telephone is without precedent.

In our filing with the Supreme Court, the Electronic Privacy Information Center asked a simple question that we hope the Court will answer: Is it legal for the government to collect so much information about so many people suspected of no threat to national security?

According to the law -- section 215 of the Patriot Act -- the government is only allowed to obtain such information if it is "relevant" to an "authorized investigation" and if its use is for very narrow purposes. How could it possibly be that all of the customers of Verizon could be subject to an authorized investigation of the U.S. government?

To us that seems impossible. And that is also the view of some of those who wrote the law and who served on the court that applies the law.

Rep. James Sensenbrenner, R-Wisconsin, the original author of the Patriot Act, recently said he was "extremely disturbed" about the news of the Verizon order and said it was "not consistent with the Patriot Act."

Retired Judge James Robertson, who served on the secretive Foreign Intelligence Surveillance Court, said he was "stunned" to learn about the court's broad authorities.

The views of Sensenbrenner and Robertson are shared by many legal scholars. It is simply inconceivable that Congress could grant legal authority for the routine surveillance of all of our telephone records.

And the secrecy surrounding these activities -- not only was the court order kept secret, but so too was the legal justification -- should set off alarm bells. If the government has a good justification for the program, it should not be difficult to provide a public explanation, even if some of the details must be withheld.

Some are surprised that our organization went directly to the Supreme Court. They point out that the Supreme Court prefers hearing disputes after the issues have been considered by lower courts. But under the special rules of the secret court that issued the Verizon order, we had no choice. Only the government or Verizon could have objected to the order of the secret court. They didn't, so we turned to the one Court that has the ultimate authority to say what the law allows.

And if there is one case that justifies review under the Supreme Court's "mandamus" standard, our organization's  challenge to the NSA's domestic surveillance program is that case.

Over the next month, we look forward to working with legal scholars, technical experts and others who have expressed support for our petition. They will be filing friend of the court briefs to explain to the Supreme Court in more detail the important issues in our case. We anticipate that the Court will consider our arguments when it returns in early October.

Still, there is more to do. We believe that the NSA's decision to undertake domestic surveillance has also triggered a provision of law that requires the agency to take public comments. We believe that the public should have the opportunity to express its views on the program. Whether you oppose or support the NSA's domestic surveillance program, your views should be heard.

@highlight

Marc Rotenberg: Electonic Privacy group wants Supreme Court to step in on privacy

@highlight

He says secret court order makes Verizon give call record info to National Security Agency

@highlight

He says: Patriot Act powers can only be used in certain circumstances

@highlight

Rotenberg: Supreme Court has ultimate authority to say what law allows -- and it is not this