(CNN) -- As the scale of the humanitarian crisis in Syria mounts, so have the calls for military intervention. Bashar al-Assad's regime has been brutal, calculating and impervious to world opinion; with the assistance of Russia and China, it has dodged a U.N. mandate to halt the attacks on its own people.

The now-familiar pattern of the Arab Spring -- popular outcries for freedom provoking hideous repression, which we saw in Libya in 2011 -- seems to warrant military intervention to stop the slaughter in Syria. But first we need answers to some hard questions. Please.

We have just exited Iraq after 8Â½ years, a cost of more than $1 trillion and a loss of some 5,000 U.S. service members. And Iraq is still a cockpit for sectarian struggle and violence.

In Tunisia, Egypt and Libya, strong Islamic sentiments have inevitably surfaced despite the democratic and Western-oriented facade of the initial Arab Spring uprisings. The future orientation of these states is likely to be less helpful to U.S. aims and policies in the region than their predecessors. And overshadowing Syria is the worry of Iran's nuclear ambition, and the fact that "all" options must be kept available in case diplomacy fails there.

So, in the case of Syria, we must ask, first, what are the U.S. national interests at stake? What is our objective? Then, how would the use of force attain that objective? How much force, how applied, at what cost? What is the end state we seek? What basis in international law is there for action? Which allies will help us? And, when all is said and done, have we actually achieved what we set out to do, and at a cost and risk proportionate to U.S. interests?

In addition to humanitarian concerns, there are significant U.S. strategic interests at play in Syria. The Syrian regime is a "front-line" state to America's ally Israel, and so is critical to lasting peace there. And while the Syrian regime has flirted with a peace agreement, it has also served as a conduit of Iranian influence and threats.

McCain calls for airstrikes on Syria

Syria hosts Iranian advisers and assists Hezbollah, an Iranian-backed fighting force that has squeezed and threatened Israel from the north, provoked one border war already, taken a powerful and coercive role inside neighboring Lebanon, and which serves as a major factor of regional intimidation as Iran angles to attain its nuclear aims. Moreover, the Syrian regime is a Cold War relic, maintaining a strong military and inviting ties with America's geostrategic competitor, Russia.

Unlike the case of Libya, the United States has substantial strategic interests in Syria but would be facing a strong, capable military still mostly loyal to al-Assad. Syria is less accessible militarily than Libya, with a population triple its size -- 22 million, including some 2 million Christians.

Opinion: World shouldn't stay silent in face of regime's brutality

Weapons are flowing in, refugees are fleeing, but there seems to be little in the way of an organized Syrian opposition with which to work. And while Saudi Arabia and Qatar are calling for al-Assad's removal, this seems more of an opportunistic anti-Iran strategy. Among the resistance forces are apparently some radical Sunni fighters, perhaps al Qaeda itself, and others whose ascension to power would likely cause a further crisis, with millions of Christians and other religious minorities fleeing from the region.

While the U.S. aim in ending the violence and saving lives is obvious, this is a much more complicated and demanding scenario than Libya. There is as yet no international mandate, not even from NATO. The most appropriate form of intervention is reportedly under study -- but it looks like almost any course of action will increase the violence, not reduce it. And who will be available in the skies and on the ground to help? How will a new government be formed, and how will Syria be managed until then?

What is needed right now is clear thinking, solid planning and a well-supported international strategy for the region, including Iran -- before we act.

The opinions expressed in this commentary are solely those of Wesley Clark.

@highlight

Wesley Clark: The calls for military action to stop Syria slaughter are understandable

@highlight

He says there are a host of unanswered questions to deal with

@highlight

Intervention in Syria would be much tougher than in Libya, he says

@highlight

Clark: It looks like every course of action would increase, rather than curb, violence