(CNN) -- Dan Bucatinsky is a gay dad in real life, and he also plays one on TV. The 47-year-old actor, producer and author recently won the Outstanding Actor in a Guest Role Emmy award for his work on ABC's mega-hit "Scandal." Along with Lisa Kudrow, Bucatinsky co-produces the TLC show "Who Do You Think You Are?" in which celebrities trace their family roots.

Off-screen, he and his husband, writer and director Don Roos are parents to two young children, Eliza and Jonah. Bucatinsky wrote about their road to becoming a family in his memoir, "Does This Baby Make Me Look Straight?: Confessions of a Gay Dad."

CNN spoke with Bucatinsky about the challenges and commonalities same-sex parents find in a world where the definition of "family" is evolving. An edited transcript is below.

CNN: When you were growing up and coming to terms with being gay, did it ever cross your mind that you might someday be a father?

Dan Bucatinsky: It wasn't something that I dared to aspire to. I lived a lot of years in denial. I spent a lot of my teen years promising myself that if it turned out to be true, that I would kill myself. I'm really glad that I didn't fulfill that promise.

Even early in my 20s when I came out of the closet, I wasn't really thinking about marriage. I focused on my career, and I didn't have a clear picture of my future as being in a relationship, having kids and having a domestic life. By 27, I was settling down, and it became clearer to me that it was something I was subconsciously craving.

I was so envious of the gay men I'd meet who wore wedding rings. I remember feeling some kind of pang in my mid-to-late 20s. Maybe it was too painful to really picture. I felt like it wasn't in my cards. I met Don when I was 27, and we didn't have kids until I was 40. For 12 years we talked about it, but not seriously, until the last five years. I didn't believe it was possible, so now, when I think about it, it's just surreal.

CNN: When you talk to young, gay men about parenthood now, do their expectations differ from that?

Bucatinsky: It's amazing how different it is now to talk to someone who is exactly my age when I met Don -- a 27-year-old out, gay man (who has probably been out since he was 15). It's a foregone conclusion that if they want it, marriage and kids could be in their future. Parents used to say, "I love you just the same that you're gay, but it's such a sad, lonely life," but that can't be said anymore.

CNN: When parenthood was finally happening for you and your husband, did you worry about not having a blueprint for it?

Bucatinsky: While we were expecting Eliza, I was in such shock and denial that it was really happening. It didn't occur to me what would happen when we took that baby home. I didn't really think it through. Nor did my spouse and I have long enough discussions about our parenting styles. We have subsequently discovered our differences, which hopefully leads to a little yin and yang with the kids.

There were parents that to me were just the ideal. Many of them were straight moms who have just been great, supporting, warm, funny and tough, at least in my perception of them. I'm sure they all had their own bouts of self-doubt. They became my role models, and I hoped I could be as good as them; their kids turned out so great.

CNN: Is motherhood necessarily tied to femininity?

Dan Bucatinsky: It's not. What I discovered inside me that I didn't realize was there, was mommyness. But by definition of the fact that I'm not a mommy, if I'm finding qualities that I'm describing as "mommyness" then why do I have to attach a gender to them? Why can't we move to a time where "parent" is an umbrella term that encapsulates a lot of things: discipline, nurturing, sustenance, support and boundaries?

When you're a gay dad, you get the question, "Which one of you is the mom?" I used to get offended by it, but now I just answer: I am. If you're asking me in the way that I'm using the term "mom" loosely, then yes, I have fallen into those more mommyish kinds of roles. Don has fallen more into the daddyish roles, but that doesn't mean that he doesn't do bath time. But straight parents, too, any modern dad now is doing the same kinds of things. It doesn't really have to do with gay or straight anymore.

CNN: There's a line in the book: "We have the added challenge or privilege to expand who we are with our kids." What is it like to not have these distinct boundaries?

Bucatinsky: While there's a certain freedom, it's scary because you have to figure it out and navigate it and negotiate it with the other parent in a way that a lot of my straight friends don't really have to. For them, it's a given: dad just being a dad, and mom acting the way all the moms act.

Our roles bounce back and forth a lot. We cover all the bases in a way that might be in a more traditional family: mom does this, dad does that.

When you're two men, things are going to be different. Someone naturally falls into the role of the cook, cleaner and Band-Aid putter-oner. Those things were discoveries for us and sometimes challenges, because we both want to make decisions and have to negotiate.

CNN: How do you frame "family" to your children?

Bucatinsky: We refer to a lot of our closest friends as "aunt" and "uncle," which is an honor that is usually based on bloodlines. It may be symptomatic of living in a big city where you surround yourself with disenfranchised people who become your chosen family. Straight couples face this; people expect you to have kids and how do you call yourself a family if you don't?

Don and I became a family the minute we made a home together. We've introduced two kids into it, but we were a family before that. There were friends in our lives who were just like family, if not closer.

Then there's the notion of calling ourselves the "fathers" of our children. We're not their biological fathers, but does that make me any less their father? If you can adopt children and be nonbiological parents, you can be nonbiological aunts, uncles, cousins, brothers and sisters.

As time goes on and we redefine marriage and commitment and parenthood, we're opening up the ability to define words differently, and I think it's a good thing.

CNN: There weren't really portrayals of same-sex parents on TV when you were growing up. How does it feel to be a role model for gay men growing up now?

Dan Bucatinsky: You can only imagine how blessed and shocked I feel that I'm not only living the life of a gay father, but also get to play one on television and also portray the struggle between career, family and marriage.

Portrayal of same-sex parents have been few and far between, but it's really important that in ("Scandal" creator) Shonda Rhimes' writing, she does the "just happens to be" story about the act of being a parent, which is something that's completely universal. The parents just happen to be both men, both women or single.

I grew up watching the same shows everyone else did, "The Brady Bunch," "The Waltons." There were so many portrayals of the perfect mom and dad on TV, you would think each person would grow up with the idea that this was the kind of mom or dad they wanted to become.

There were no portrayals of gay parents. It wasn't an option, which in a way is one of the most liberating things. You can emerge and forge your own path and not feel like you have to live in the footsteps of any media portrayal.

CNN: What do you want your kids to look back and remember about how they were parented?

Bucatinsky: There's a reasonableness I aspire to. I don't want to be extreme in any way. I hope that when my kids are older and think back to their upbringing that though they may or may not feel some sense of having missed out on something like having a mom, which they would have every right to feel and explore, they don't feel like they were in want of any love or support.

I hope they understand as they grow older that we love them unconditionally, and they derive a sense of self esteem of having lived this way and had fun.

Follow Kat Kinsman and keep up with CNN Parents on Twitter.

Are you a same-sex parent who has faced interesting challenges or found creative ways to address your parental role? We'd love to hear all about it in the comments below.

@highlight

Actor Dan Bucatinsky grew up never thinking he'd have a chance to be a dad

@highlight

Parenting has its own unique set of challenges as two dads figure out roles

@highlight

Bucatinsky, who is gay, was surprised and thrilled to find his "mommyness"

@highlight

Playing gay father on "Scandal" gives him a chance to be role model for new generation