(CNN) -- Not there yet, but the future of drone flight in the United States took another important step on Monday.

The Federal Aviation Administration (FAA) selected six research sites to help it test and map out the best way to safely bring unmanned aircraft into the heavily used U.S. airspace.

FAA Administrator Michael Heurta said the facilities, strategically located, will work with the agency to develop standardized procedures and regulations -- elements that govern all areas of aviation.

"With these sites, what we have is the platform to conduct broad based research considering a wide variety of different factors, and we'll see where the research takes us as we introduce these into the national airspace system," Huerta told reporters.

The six sites are: the University of Alaska, the state of Nevada, Griffiss International Airport in Rome, New York, the North Dakota Department of Commerce, Texas A&M University -- Corpus Christi, and Virginia Tech. Virginia Tech's research will also include a collaboration with Rutgers University in New Jersey.

The FAA said it considered a number of factors in selecting the sites, including differences in climate and geography, available infrastructure, aviation experience, aviation traffic volume, and specific research proposals.

It is currently working with the selected applicants to determine the airspace for conducting research, including test flights.

Research will cover safety and logistical concerns, including that drones can detect and avoid other aircraft, and that they operate safely if they lose their link to their pilot, who is at the controls in another location.

The research will also concentrate on environmental impact of drone use, and developing pilot training and standardized regulatory requirements.

Current law requires a case-by-case certificate of authorization in order to fly an unmanned aircraft in U.S. airspace.

The facilities are part of a comprehensive roadmap that the FAA has developed at the behest of Congress to develop a plan to safely integrate privately operated unmanned aircraft by 2015.

Huerta said the FAA will work to get all six facilities up and running as soon as possible, but Congress requires at least one facility be operational within six months. The sites will operate until February 2017.

Unmanned aircraft systems are currently used for a variety of reasons, including border surveillance, scientific and environmental research, and to support law enforcement.

Overseas, drones have become a key counterterror tool.

But rapidly changing technology has opened the door to privately operated drone use for recreational and commercial purposes domestically.

Not without a warrant: Illinois bans the use of drones for law enforcement

Amazon recently announced 30-minute package delivery system using drone-like "octocopters." The FAA has not yet signed off on Amazon's plans, which CEO Jeff Bezos says he hopes to have in place by 2015.

There also have been concerns raised in Congress and elsewhere over privacy issues involving expanded domestic drone use.

Huerta said he envisions a staged process as drone technology and usage evolves, and as "we learn a lot more about what these aircraft are, how they interact with other aircraft, and what are the things that we have to consider as we integrate them into differing airspace and climatic considerations."

"The important thing about today's announcement is it provides the platform for this research to really be carried out a very large scale across the entire country," Huerta said.

@highlight

The Federal Aviation Administration announces sites for testing

@highlight

Drones are used overseas in counterterror operations

@highlight

But they are also becoming more popular in domestic security, law enforcement

@highlight

FAA looks to develop standards for their use in domestic airspace