New Orleans, Louisiana (CNN) -- Gulf state health and fisheries officials and leaders from several federal agencies will collaborate to set safety levels for seafood coming out of the Gulf of Mexico, Vice President Joe Biden said Tuesday.

"We want one single standard so you don't have to worry about where you fish, when you can fish," Biden said. "Bottom line is, we want to get fishermen back out on the water as soon as possible after the oil has been removed."

The plan will be devised and carried out in collaboration with the Food and Drug Administration and the National Oceanic and Atmospheric Administration, he said.

Representatives from NOAA, the Food and Drug Administration and the Environmental Protection Agency met last week in New Orleans with state health officers and state fisheries directors from Alabama, Florida, Louisiana, Mississippi and Texas to fine-tune the plan for sampling state and federal waters and deciding when to reopen them.

"Together, they will implement a comprehensive, coordinated, multi-agency program to ensure that seafood from the Gulf of Mexico is safe to eat," NOAA and the FDA said in a joint news release. "This is important not only for consumers who need to know their food is safe to eat, but also for fishermen who need to be able to sell their products with confidence."

"No single agency could adequately ensure the safety of seafood coming from the Gulf following this tragedy, but in working together, we can be sure that tainted waters are closed as appropriate, contaminated seafood is not allowed to make it to market, and that closed waters can be reopened to fishing as soon as is safe," said Eric Schwaab, NOAA assistant administrator for fisheries, in the release.

NOAA said it was applying the protocol in considering whether to reopen two areas off Louisiana and Florida.

The release also quoted Michael Taylor, FDA deputy commissioner for foods, saying, "We understand the devastating effects this spill has had on the Gulf states and we look forward to continuing our collaboration with state and federal partners to ensure that these important protocols are implemented efficiently, effectively and in a way that makes sense for all involved, while maintaining the No. 1 priority we all share -- protecting the health of those in the Gulf Coast and across the country."

NOAA and FDA are also testing fish caught outside closed areas to see whether they contain petroleum compounds, the release said.

"So far, fish flesh tested from outside the closure areas have tested well below any level of concern for oil-based contamination," it said.

Biden made his announcement after touring the operations center in New Orleans.

"I just came to say thanks," the vice president told staffers at the center. "I appreciate it. You're probably missing out on vacation. My mother would say, 'God love you.'"

Biden later flew to Naval Air Station Pensacola in the Florida Panhandle, where he sought to reassure Gulf Coast residents of the government's long-term commitment to recovery efforts in the area.

"We ... intend to stick with this region until it is made whole so we can repair the economy and rebuild the ecosystem and restart a way of life from Louisiana to here," Biden said.

He was scheduled to continue on to MacDill Air Force Base in Tampa, Florida, for dinner with Gen. David Petraeus and his wife at their home.

Biden's visit came on the 71st day of the spill that President Barack Obama has called the nation's worst environmental disaster.

His comments also came as officials prepared to close Pensacola Pass, the main entry from the Gulf of Mexico into Pensacola Bay, because of an approaching six-square-mile patch of "dark red tar mats" ranging in size from 6 feet to 10 feet across, according to Escambia County spokeswoman Sonya Daniel.

The pass will reopen Wednesday with the outgoing tide, said Daniel, who added that the pass has been closed in the past to other oil incidents.

Daniel also noted that tar mats are easier to corral while still in the water.

BP said Tuesday it is on track to reach its August deadline of getting a relief well down to the area where the oil is leaking in the Gulf of Mexico.

The relief well has reached a depth of 16,770 feet, but engineers plan to drill an additional 900 feet vertically before cutting in sideways, said Kent Wells, BP senior vice president of exploration and production.

Meanwhile, efforts continue to increase the containment of leaking oil. The next step is to bring in a third rig called the Helix Producer at the well, which would increase the containment by 20,000 to 25,000 more barrels per day, Wells said.

But the arrival, originally planned for Tuesday, was delayed until perhaps July 6 or 7 by rough seas, said Mark Proegler, a spokesman for BP.

The work of two other vessels, the Discoverer Enterprise and the Q4000, was continuing without interruption, he said.

The use of skimmers, which require calm seas to be effective, was suspended Monday and Tuesday, he said. But the use of dispersants continued, with a total to date of nearly 1.6 million gallons recovered, he said.

BP spokesman Brian Ferguson said that surface burning of oil and the placing of additional booms also were suspended in the choppy 5- to 7-foot seas.

Alex was approaching hurricane strength Tuesday evening and was located off the coast of Mexico's Yucatan Peninsula in the Bay of Campeche. At 5 p.m. ET, it was moving to the northwest at about 13 mph, the National Hurricane Center said, but was headed away from the area affected by the oil spill.

Researchers have estimated that between 35,000 barrels (about 1.5 million gallons) and 60,000 barrels (about 2.5 million gallons) of oil are gushing into the gulf every day.

But even with BP feverishly trying to contain it, more and more oil seems to wash up on the coasts of some Gulf states.

Connie Moran, the mayor of Ocean Springs, Mississippi, said she was going to have to close a beach in her town Tuesday.

"What we're seeing actually is minimal tar balls anywhere from a penny to half-a-dollar size. They are tacky," she said.

CNN's Allan Chernoff, April Williams, Patty Lane, Chuck Johnston, Brandon Miller and T.J. Holmes contributed to this report.

@highlight

NEW: Tar mats close Pensacola Pass

@highlight

Vice president arrives in Pensacola, Florida

@highlight

Biden emphasizes government support to region

@highlight

Federal agencies to collaborate on Gulf food safety