(TIME.com) -- The month in which babies are born can affect how their immune systems develop, and even how vulnerable they are to autoimmune diseases.

Scientists studying the neurological disorder multiple sclerosis, in which the body's own immune cells destroy the protective coating around nerves and can lead to paralysis and loss of other functions, have long been puzzled by the "birth month effect." Many patients with MS are born in the spring, and rates of the disease are lowest for those born in November.

Some have speculated that insufficient levels of vitamin D, which the skin produces when exposed to sunlight, on the mom's part could play a role, since babies born in May are gestated during the colder, darker months, while winter babies are in utero during the spring and summer.

Now a study published in JAMA Neurology shows that this hunch may be correct, and suggests a mechanism for how the vitamin might be driving immune system development.

TIME.com: Vitamin D not recommended post-menopause

Researchers in the UK studied 50 babies born in London in May and 50 babies born in November between 2009 and 2010. They sampled blood from the newborns' umbilical chords and recorded levels of vitamin D and a specific type of immune cell known as autoreactive T-cells.

T-cells are the white blood cells that battle pathogens like bacteria and viruses, but autoreactive T-cells are aberrant versions that mistake the body's own cells as foreign and attack them as they would an unwanted infection.

TIME.com: Multiple Sclerosis drug may not slow disease

The researchers found that babies born in May had vitamin D levels that were 20% lower than those in babies born in November, and almost double the amount of autoreactive T-cells. They speculate that vitamin D may be important in some way in educating T cells about how to recognize self cells; this occurs in the thymus, and errors in the training could lead to higher levels of the destructive T cells.

The connection between vitamin D and immune disorders first emerged from population studies that showed people who lived further away from the equator, in places with less sunlight, were at higher risk of developing MS. But the researchers caution that their results still don't suggest that lower levels of the vitamin cause autoimmune disorders like MS.

So it's not clear yet whether supplements of vitamin D could help to lower rates of the disease â€” especially for those conceived in July and born in May. In fact, experts continue to debate how much vitamin D is appropriate for otherwise healthy people when it comes to preventing disease, since studies on the subject are conflicting. The Institute of Medicine currently recommends that adults get about 600 IU daily.

TIME.com: After Jack Osbourne's MS diagnosis

More research is needed to figure out whether pregnant women might need to take more vitamin D in order to strengthen their babies' immune systems, but doctors now have a better understanding of what birth months have to do with how the immune system develops.

This article was originally published on TIME.com

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Many patients with multiple sclerosis are born in the spring, not fall

@highlight

Scientists speculate the mother's exposure to Vitamin D could play a role

@highlight

New study shows the vitamin might be driving immune system development