(CNN) -- The West is understandably nervous about the election of Mohamed Morsi. The president-elect of Egypt is taking charge of a febrile situation. The economy is contracting and human rights abuses are rampant -- attacks on Coptic churches by Islamic groups have forced an estimated 100,000 Christians to flee the country.

Morsi's Muslim Brotherhood is philosophically committed to creating a state governed by Islamic law, and some say that his victory poses a threat to Israel. Now he wants to reach out to Iran.

But it would be wrong to conclude that Islamic democracy is a contradiction in terms. Whatever new state emerges in Egypt almost certainly won't be democratic in the liberal, European tradition, and there will be a constant fight to protect the rights of women and religious minorities.

But the presumption that Morsi's political Islam is the vanguard of theocratic dictatorship ignores historical and contemporary evidence to the contrary. Islam is simply too complex to be stereotyped as the faith of tyrants.

Early Muslim societies, romanticized by Islamists, were decentralized in nature and allowed for a large degree of self-government. The first caliphs were elected by tribal councils, and their powers were limited by legal scholars in a manner that approximates to constitutionalism. Rulers could, theoretically, be impeached; religious pluralism was tolerated.

When Umar Ibn al-Khattab conquered Jerusalem in 637, he permitted Christians and Jews to remain in the holy city and worship freely in their own temples. The Covenant of Umar is one of history's first examples of a state guaranteeing religious freedom.

The record of modern experiments in Islamic statecraft is tragically mixed. On the good side, Bangladesh, Indonesia, Mali, Senegal, Turkey and now Egypt are all some form of democracy. Even Iran has permitted a degree of popular representation. When the liberal-minded cleric Mohammad Khatami ran for the Iranian presidency in 1997, he was hindered by a media blackout and opposition from Iran's clerical leadership. Yet he won 70% on an 80% turnout and was permitted to serve two terms. (Admittedly, Khatami's achievements in advancing civil liberties were few, and he was hampered by clerical intervention in parliamentary elections.)

Alas, there are many more examples across the Muslim world of dictatorships and parties implacably committed to violent fundamentalism. Saudi Arabia, for example, hasn't stopped the bankrolling of terrorism, forces its subjects to live by a strict reading of Sharia law and even tolerates beheadings for witchcraft.

But while the Islamic emphasis upon submission to religious authority might have hardened resistance to Enlightenment values of pluralism and civil liberties, the legacy of Western imperialism shares responsibility, too. Central Asian countries such as Turkmenistan and Uzbekistan are former Soviet republics, Iran had its parliamentary democracy subverted by the West in the 1950s, and Saudi Arabian politics have been dominated by the international oil market.

In short, the spread of democracy in the Islamic world has either been retarded by autocratic practices imported from the West, or subverted by Cold War politics and economic globalization. Pitted against these savage forces, Islam has sometimes offered a rare vehicle for anti-authoritarian dissent -- from Algeria to China.

The fact that Islamic parties, such as the Muslim Brotherhood, have emerged from dictatorships bolstered by foreign arms has colored their politics -- to the degree that they regard Western "democracy" as a byword for imperialism. Nonetheless, there is some evidence that the Brotherhood is a diverse, pragmatic movement more concerned with reducing the influence of the secular state than erecting a theocracy in its place.

The Brotherhood has certainly moderated its views in recent years to accommodate shifting domestic attitudes toward the veil, the presence of Westerners or alcohol.

An example of a more temperate Islamism might be found in Morocco, where the appointment of an Islamist prime minister, Abdelilah Benkirane, has shown signs of opening the country up. He has promised transparency, a war on corruption and a fairer distribution of wealth. Crucially, anything more radical that the prime minister might try to do is tempered by Morocco's monarch and powerful army. This arrangement sees Islamism expanding popular representation while the political establishment safeguards secularism.

We see some of that careful balance in the new Egypt. The military still enjoys enormous power, and it will effectively control the writing of a constitution. The army might be motivated by venial desires to protect its power and patronage, but the fact that Morsi is ultimately answerable to Field Marshal Mohamed Hussein Tantawi, chairman of the Supreme Council of the Armed Forces and defense minister, means his ability to construct any kind of theocracy is severely limited.

Although Western unease toward Morsi's Islamist politics is justified by recent experience, the existence of historical and political variation offers hope that Egypt won't become a new caliphate. On the contrary: In democracies, process is all -- and so far the process has been respected by everyone involved. The West's complaint that "the wrong man won" in Egypt mustn't detract from the fact that the country is still undergoing a remarkable, apparently progressive transition -- albeit at the cost of many lives.

The people overthrew a dictator and then elected a new leader in free and fair elections. The very fact that the "wrong man" was even allowed to assume the presidency suggests that Egypt is embracing a more humane politics. So far, political Islam has facilitated, not hindered, the building of a democratic country. So far.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Timothy Stanley: Many worry that Egypt's Muslim Brotherhood leader will bring theocracy

@highlight

But Stanley says historic and modern evidence shows Islamic societies can be democratic

@highlight

He says Mali, Bangladesh and Morocco seek balance between Islam and openness

@highlight

Stanley: Brotherhood (and military) in Egypt respecting democratic process so far