(CNN) -- Here's a question that seems to be lost in the debate over the Scottish independence vote scheduled for September 18:

If Scotland votes to secede, does that open up a spot for another country? And if so -- Scotland, can we take your place?

I realize that Americans fought a bloody war of independence from England in the late 1700s, but our rifts have healed over the past 240 years. In 2013, the Pew Research Center reported that England topped America's list of favorite nations, in a near-tie with our beloved northern neighbor, Canada.

In the past few years, as America has degenerated into political and economic chaos, it has become increasingly clear that we would be far better off if we apologized for our revolt against the Crown and requested to rejoin the United Kingdom.

There are four main ways America would benefit from unification with the UK: Brits have better health, less inequality, excellent manners and -- let's face it -- a superior culture. Let's improve our quality of life by joining them.

Want to live longer? Then let's become Stateland â€” the 50-state replacement for Scotland.

Brits have greater longevity than Americans, and the British health care system, while far from perfect, is indescribably better than ours. In my visits to the United Kingdom, I've noticed that just about anyone who can afford private health insurance buys it, which allows Brits to supplement their free, government-provided health care. That means there's a baseline of care that every person receives, and if you want something faster or better, you pay for it yourself.

Meanwhile, America's needlessly complicated arrangement of government- and employer-provided health care, in a clumsy compromise with insurance companies, costs way more than other developed countries' while producing worse results.

Next, Britain is a more equitable society. Although America has a higher GDP per capita, most of us -- that is, the 99% -- are not happy because of our ever-widening wealth gap. Brits have less inequality, and their median incomes (unlike ours) have risen in the past decade.

America's middle class used to be the richest in the world; now we're overtaken by Canada. Unless you are the 1% in America, chances are your wages are stagnant. Living a good life -- owning a house and a car and being able to support a family -- seems like a struggle, especially when compared with your parents' generation.

Americans could also learn a few lessons from the Brits when it comes to good manners.

When I took students with me to film news reports of the 2012 Olympics in London, we dealt with unimaginable crowds on the street, in the shopping centers and on the Tube. Did we hear groans of exasperation when we accidentally bumped into Brits in Parliament Square while trying to get a better view of Big Ben? Never. Did we see looks of frustration when our cameras accidentally knocked into innocent people in Piccadilly Circus? Not even once.

This patience and politeness stands in stark contrast to the attitude in big American cities, where cab drivers curse at you just for your mere existence, and TSA agents at American airports compete for the title of Biggest Emotional Abuser.

Finally, America would benefit from a closer association with Britain's culture. The country that produced Shakespeare, the world's best storyteller, has also given us some of the best entertainment and media of modern times. Our imitation of British television (e.g. "The Office") speaks for itself. Has any band ever topped the Beatles?

And nothing against PBS and NPR, but the BBC produces some of the best publicly funded journalism, putting much of the world's radio and television news programs to shame. The world respects the United Kingdom, in part, because the BBC is so trustworthy. That's called soft power.

But wait, you ask. What's in it for the Brits? Three things. Natural resources (oh so much land!), the majestic Grand Canyon and a sport called "American football." They'll love it.

So remember, Americans, if Scotland votes for independence on September 18, let's improve our lives by asking to take their place -- if not officially, then at least in spirit. We hold this truth to be self-evident: Brits have a superior society.

Americans claim we don't want a monarchy, but deep down, we're just as hungry as our British cousins for news about Queen Elizabeth, Princes William and Harry, and those adorable royal babies.

England, will you take us back?

@highlight

Scottish is voting on a referendum for independence from England on September 18

@highlight

David Wheeler: If Scotland secedes, can America take its place?

@highlight

He offers four main ways why Americans would benefit from unification with the UK

@highlight

Wheeler: Brits have better health, manners, less inequality and superior culture