(CNN) -- President Barack Obama and Russian President Vladimir Putin went to great lengths to portray their phone call Friday as evidence the two leaders were working together to stabilize the situation in Ukraine.

Absent were the accusations they traded the past two months over the future of the former Soviet republic.

The Obama administration continues to dismiss the notion of a new Cold War with Russia. But the louder their protests, the more apparent the chill has become.

It was on display Saturday in widely differing characterizations of a telephone conversation between Secretary of State John Kerry and his Russian counterpart, Sergey Lavrov, after news broke that Ukrainian President Viktor Yanukovych left the capital because of what he described as a "coup."

Kerry said the two agreed on a need to resolve the political tumult in Ukraine without violence, and that he expressed to Lavrov the importance of both countries encouraging Ukraine to move toward constitutional change, according to the State Department.

But Lavrov said he raised concerns about "illegal extremist groups" refusing to surrender arms and reiterated the conversation between their respective leaders. "Putin called on Obama to use all opportunities to curb the radicals' illegal actions and settle the situation by peaceful means," according to a state-run ITAR-TASS report, which was tweeted by Russia's Foreign Ministry.

In December, Kerry snubbed Ukraine after it rejected an agreement to increase trade with Europe. Instead he visited Moldova, which did sign the agreement.

There, Kerry insisted the United States was not engaged in a bidding war with Russia over Ukraine or any of the former Soviet republics.

Kerry raises idea of sanctions against Ukraine government

Similar statements ensued over the past few months, with the White House saying this week the Ukraine conflict is not reminiscent of the "proxy conflicts of the Cold War era."

Obama put a finer point on showdown in Kiev this week, saying he didn't view U.S. and Russian differences over Ukraine, or Syria, through that lens.

"Our approach as the United States is not to see these as some Cold War chessboard in which we're in competition with Russia. Our goal is to make sure that the people of Ukraine are able to make decisions for themselves about their future, that the people of Syria are able to make decisions without having bombs going off and killing women and children, or chemical weapons, or towns being starved because a despot wants to cling to power."

U.S. talks tough, but options limited in Ukraine

Obama is right. It is not the Cold War. Today, the United States has the upper hand economically, militarily and diplomatically. But it does face a resurgent, defiant and increasingly authoritarian Russia.

But, in essence, it is a chessboard. And the crisis in Ukraine illustrates the latest moves between Washington and Moscow as they compete for influence on the world stage.

The disagreement between the two powers over Ukraine is not entirely dissimilar to their power play over the conflict in Syria. Until recently, Ukrainian President Viktor Yanukovych was able to challenge his opposition's pro-Western leanings with Russian political and financial backing, just as Syrian President Bashar al-Assad in large part has been able to withstand three years of civil war and threats of American military strikes with Russian money, arms and diplomatic support.

But in both cases, Obama matched Putin's moves with his own. Washington banned 20 officials from the Russian-backed government in Kiev from traveling to the United States, and has threatened further measures if government forces continue their violent crackdown against protesters.

Frustrated with Moscow's failure to enact any compromises from the Syrian regime at U.S.-Russian sponsored peace talks in Geneva, the United States has now signaled it is examining its policy options in Syria, where the bombing by al-Assad's forces against civilians has intensified.

Putin's desire to maintain a sphere of influence in the Middle East is in no ways limited to Syria. He has met U.S. ambivalence toward the military-led government by welcoming the de facto Egyptian leader, Field Marshal Abdel Fattah El-Sisi, to Moscow this month, giving him an endorsement for his as-yet undeclared candidacy for president and continuing discussions about a $2 billion arms deal for Egypt, even as the U.S. has suspended some military support to Cairo.

The visit was a Russian bid to rekindle a relationship that foundered since the Cold War, when Egyptian President Anwar Sadat broke off ties with the Kremlin. The ties remained frosty during Hosni Mubarak's 30-year rule. But the warm reception of Sisi and Foreign Minister Nabil Fahmy also seemed designed to send a message to the United States that Russia still has clout in the region's most influential and populous country and is prepared to increase its military ties.

Sport is not immune to the rivalry between the two nations. Obama declined to attend the Sochi Olympics, instead sending openly gay athletes in a clear jab at Russia's anti-gay laws. It was the first time in more than a decade a U.S. president, vice president, first lady or former president hasn't attended an Olympic opening or closing ceremony.

The U.S. hockey victory over the Russians in Sochi, the first American win since the collapse of the Soviet Union in 1991, added insult to injury, presumably made even more painful by the gloats of National Security Adviser Susan Rice, who tweeted "U.S.A., U.S.A., U.S.A."

Overall, Putin's party in Sochi was a relative success. Dire predictions of political protests or a terrorist attack haven't materialized, and after a rocky start in terms of preparations at some hotels and the condition of some venues, the games were hailed by most athletes and the International Olympic Committee athletes. Putin was even on his best behavior as he made a visit to American athletes at the U.S. Olympic headquarters.

But now that the Sochi games are coming to a close, Putin has even less incentive to play nice. With the truce in Kiev shaky at best, the U.S. is bracing for an even more audacious power grab for Ukraine -- whether that be financial blackmail or even sending in its own forces if the violence continues.

It will then be up to the U.S. to contemplate its next move on this chess board. With Ukraine's future at stake, it's far from a game.

CNN's Chelsea J. Carter contributed to this report.

@highlight

NEW: John Kerry and his Russian counterpart give differing views of conversation

@highlight

Obama administration continues to dismiss notion of new Cold War with Russia

@highlight

John Kerry said in December that U.S., Russia weren't engaged in bidding war over Ukraine

@highlight

White House says Ukraine conflict not reminiscent of 'proxy conflicts of the Cold War era'