Shenzhen, China (CNN) -- In a brightly-lit Shenzhen restaurant, 21-year-old Zheng Liqiang, a migrant worker from the inland province of Sichuan, describes his life in this southern Chinese city as "bu kai xin" -- glum.

He says his working hours are too long; his salary too low and he has no personal life.

"I feel lonely in this big city," he says.

For the past three years, Zheng has been fixing photocopy machines at various factories in China's manufacturing heartland.

His monthly salary of 3,500 to 4,500 yuan ($580 -$740) -- depending on overtime -- is higher than the average wage, but only because his job requires more risks -- the ink has toxic fumes.

Yet, he worries about losing a job he loathes. In fact, he says he feels constantly anxious -- a state of mind made clear by a habit of cracking his knuckles and jiggling his leg as he talks.

If he were able to speak to a psychologist, it's possible he would be diagnosed as suffering from anxiety disorder, a common problem among migrant workers, according to Professor Cheng Yu at Sun Yat-sen University in Guangzhou.

"Their mental health is far more worrying than we originally thought," he said.

Emotional burden

Cheng and his colleagues interviewed 807 migrant workers in the Shenzhen area and had in-depth conversations with 60 of them.

Their research suggested that 58.5% of those surveyed suffered from depression, 17% from anxiety and 4.6% had considered the idea of suicide.

His team found that the majority of those surveyed, half of whom were under 30, bore a heavy financial and emotional burden as they left behind aging parents or young children.

They felt guilty for being unable to care for them and, at the same time, felt pressure to provide for their families.

Cheng said he first noticed this issue five years ago when he conducted research on the mental health of sex workers in the region, most of whom worked at factories before turning to prostitution.

In 2010, the issue made international headlines after a spate of worker suicides at Foxconn, a large electronic manufacturer that assembles many Apple products, making the professor determined to find out the root causes of the workers' mental health problems.

Loneliness and a sense of isolation were reported to be among the reasons that drove the workers to jump off factory and dormitory roofs.

Though the focus of Cheng's research was in the southern province of Guangdong, the mental health of migrants is likely to be similar elsewhere in the country.

Some 260 million Chinese farmers have left their villages and to work in cities, according to the China Labour Bulletin.

Despite their contribution to China's economic miracle, the social status of these migrant workers remains low.

It's not a phenomenon unique to China. Throughout the world, research suggests that migrant workers are more likely to experience mental illness than those who stay behind as they adjust to a new environment without their families and social support groups.

In China's case, the hukou system -- or household registration system that divides the population into two distinct categories of the urban and the rural -- makes things harder for the migrants, who don't enjoy the same access to healthcare and education as other city residents. They are often discriminated against in terms of salary and treatment.

Better-educated and internet savvy, younger migrants like Zheng suffer more from this urban-rural divide than their elders.

Zheng's parents left home with one goal in mind: making money in the city and then returning home.

'Toad who eats swan meat?'

Zheng, however, aspires to become a true urbanite and wants to be an interior designer. He tries to study the subject on his own but struggles to find time to do so.

His parents -- who work in Shenzhen as a small time trader and a domestic helper - laugh at his efforts, calling him "a toad who dreams of eating swan meat."

"The glaring gap between what they desire and the harsh reality intensifies the anxiety and depression for some young workers," said Cheng.

Many workers' lives are confined to production lines and dormitories. They may change jobs -- indeed they change more frequently than their parents did -- but their chances of climbing up to the next level to become, say, a designer, are limited.

Having grown up with his grandparents in his hometown in Sichuan, Zheng doesn't have much to say to his parents.

He is aware that he should consider himself lucky to have his family around, but he nevertheless feels lonely in Shenzhen.

He has only a few friends here, all young migrants from Sichuan. Constrained by time, money and changing shifts, they are unable to meet often.

One day, he hopes to settle in Chengdu, the capital of his province where he spent two happy years studying at a technology college.

The government recently announced plans to relax the control over hukou system in a bid to narrow the gap between rural and urban areas and to help migrants assimilate better into the city life. But the process will be a long and slow one.

"We just have to pay more attention to mental diseases as they can lead to suicide," said Cheng.

He recommends compulsory mental health testing in the workplace and a practice he calls "positive psychological intervention" -- setting up hotlines and counseling services and providing workers with more opportunities to socialize.

It is a big question when, if at all, professor Cheng's ideas may be turned into reality. For young Zheng and millions like him, the struggle is likely to continue.

@highlight

China has more than 260 million migrant workers

@highlight

Survey suggests many may suffer from mental health problems

@highlight

Leaving behind children and elderly parents an emotional and financial burden

@highlight

Better-educated and internet savvy, younger migrants suffer more than their elders