London (CNN) -- With the financial crisis in the eurozone, Germany finds itself in a position that everybody seems to envy, except the Germans themselves.

The government and a majority of German citizens would like to shine through example rather than action. If only others would emulate the "German model," so the argument goes, there would be no crisis in the eurozone.

Angela Merkel: Europe's Mrs. Nein

One could easily discard this as the flattering self-image that all patriots have of their own country. But the curious thing is that the critics of Germany come to almost the same conclusion, except that they would admire the German model without the permanent export surplus.

Yet, like all such models, it is at best a half-truth.

There is a myth that Germans are still traumatized by the hyperinflation of the interwar years, a memory that has somehow become part of the genetic endowment of every German.

Peer Steinbrueck: The man who stirred up German politics

That's why the Kohl government insisted on making the European Central Bank a clone of the Bundesbank -- except that the two central banks pursue very different monetary strategies: the ECB does nothing to maintain a permanent export surplus of the euro area as the Bundesbank did for its currency area back then.

The Bundesbank achieved this exactly as China achieves it today: instead of selling all the foreign exchange it earned from its export surplus, it hoarded vast foreign exchange reserves. This prevented an appreciation of the Deutschmark because piling up these reserves means somebody expresses huge demand for dollars, francs and pounds.

Watch: Merkel says Europe has lost competitiveness

But there is one snag. Handing out your own currency against all these foreign exchange earnings can create inflation and thus real appreciation: the price of domestic goods rises in terms of foreign goods and makes domestic goods more expensive. So the Bundesbank reined in domestic credit supply -- according to the jargon, it sterilized (or counteracted) the expansion of the money supply through trade by reducing the money supply that is generated in domestic credit.

All this is to say that what explains the anti-inflationary stance of German monetary policy was not the trauma of the 1920s but the Bundesbank playing its part in maintaining export surpluses.

It actually had a worse inflation record than the ECB and back then, it did not think that 2% inflation was the tolerable maximum: as long as the trading partners had a higher one, why care about such a number? Such an undervaluation strategy makes perfect sense -- and only perfect sense -- when you are concerned about employment and demand for your products. It's a Keynesian concern.

This, then, is the second myth that Germans and the country's critics share: the German lands are populated by "ordoliberals," a Teutonic version of small-but-strong-state liberalism that is anti-Keynesian. It was certainly different from the United States with its then-fashionable version of Keynesianism, namely domestic pump priming. US administrations criticized the German authorities for their macroeconomic strategy of begging the transatlantic neighbor just as they criticize the Chinese authorities today.

Pushed into a corner, the accused would always say they did not interfere (Germany) or act in self-defense (China). But Keynes knew about beggar-thy-neighbor policies that countries with underemployment pursue, even if he did not endorse them.

Does the performance of Germany today not prove that its success is down to the fact that the Germans work so hard and save so much? That's another convenient myth that the critics grudgingly concede.

What doesn't quite fit the myth is that Germans have relatively low annual working hours in comparison with other nations. Labor market reforms in the early 2000s helped to create more jobs with fewer hours, and the hours each employee works have gone down further over the past decade. While the overall volume of work went up by less than 3% between 2002 and 2012, the number of people in work went up by almost 6%.

Read more: Eurozone crisis tarnishes Germany's 'Iron Lady'

There are also many more jobs that are poorly paid. Together with the UK, Germany is the Western European country with the highest share of low wage workers. These are defined as workers that earn less than two thirds of the national median wage: 22% of all those employed in Germany are low-paid, only Poland (24%), Romania (26%) and Latvia (28%) have higher shares.

Labor market reforms arguably scared organized labor into accepting wage increases below the rise in productivity, so unit labor costs fell. Such state-induced and coordinated wage competition is new. It helps maintain the export surplus but it busts the myth that German competitiveness is all about quality products and not wage costs.

As to savings: the world was recently surprised by a report of the ECB that showed how little wealth Germans have accumulated if they supposedly save so much. The puzzle has been solved: first of all, Germans get their old age security from public pensions rather than from home-ownership but pensions were excluded from the survey.

German firms hold more capital than most others in Europe. The discrepancy between the value of domestic production and the value of domestic consumption mostly accrues to firms, making the wealth distribution one of the most unequal in Europe.

All of this means that what German wage earners consume has much lower value than what they produce (and earn in wages), and not that Germans are constantly tightening their belts. Another myth busted.

The unfortunate consequence of these myths is that they harden Germany's stance towards a solution to the crisis in the eurozone.

If their success as an export nation has supposedly nothing to do with policies and is all due to hard work and avid saving, then indeed why should the others not become "more like us?"

But if Germany still pursues beggar-thy-neighbor policies in order to create more jobs, the hard work is on average now just less well-paid work, and the savings are disproportionately enriching firms, then perhaps even Germans will see that something is wrong, and that continuing to behave like a successful emerging market is not a model for the rest of the Eurozone, not only because it beggars-the-neighbors but also because it does little for ordinary people in Germany.

The opinions expressed in this commentary are solely those of Waltraud Schelkle.

@highlight

Many in struggling countries across the eurozone envy Germany's strong economy

@highlight

Economist Waltraud Schelkle says the "German model" is not as perfect as it may appear

@highlight

Schelkle: Germany's beggar-my-neighbor policies also hurt the country's own people

@highlight

Germany has the highest share of low wage workers in Western Europe