(CNN)As we approach April 27 when South Africa marks the anniversary of the first post-apartheid elections held that day in 1994, we are faced with yet another wave of deadly attacks against African migrants. Outrage triggered by this violence is being heard loudly throughout social media with "#WeAreAfrica" showcasing the need for a common front against this affront.

These recurring attacks against migrants and their property might be read as one more indication of how the rainbow nation's dream has faltered. That vision not only symbolized a multi-ethnic South Africa, but one where living in dignity is shared across racial and class lines.

Attacks against newcomers in South Africa are often reduced to attitudes of hate and resentment towards other black Africans. The national and international headlines use "xenophobia" as if any one word can convey the multifaceted crisis within which this phenomenon occurs.

Labeling this turmoil as xenophobic fails to convey the conditions in which African migrants are scapegoated for the persistent legacy of apartheid in the post-liberation era.

This word also does not tell us that extreme poverty now exceeds that experienced under apartheid.

And it certainly does not account for how extreme inequality is now fully embraced and normalized by a new black elite joining the "white-haves" of yesteryear.

The question of why foreign blacks are targeted and not foreign whites is also repeated ad nauseam, as if the majority of black citizens and African migrants share any common spaces and experiences with white South Africans or white foreigners.

Contact between the majority of African migrant groups and native black South Africans mostly occurs in under-developed informal settlements and townships. In the interaction and competition between these groups in these spaces, we need to be wary of the simplistic treatment of South Africa's ailment as xenophobia.

Such labeling does not and cannot explain the totality of the contact, competition and conflict between native poor black South Africans and foreign African entrepreneurs.

Attention as to how such interactions occur in an environment where a vast portion of South Africa's black majority experiences segregation, persistent and relative poverty, and high crime rates in post-apartheid South Africa is paramount. Neglecting access to social rights, such as water, electricity, education and other services, is tantamount to violence by political leaders against the poor.

Condemning and prosecuting those who incite violence is essential to maintaining law and order and protecting those vulnerable because of their nationality. But the evictions, harassment and ultimately brutal killings of foreigners cannot and should not be separated from the daily brutal violence poor South Africans in informal settlements and many townships experience.

It cannot and should not be separated from South Africa's status as one of the most unequal societies in the world; it cannot and should not be separated from the fact that South Africa has one of the highest homicide levels in the world.

A mantra of xenophobia wishes away the fact that the everyday lives of those in vulnerable positions in this society (the poor, the disabled, women, children, the elderly) are filled with violence similar -- if not worse -- than that facing African foreigners eking out a living in the midst of abject poverty.

Labeling South Africa's poor blacks as ungrateful and amnesiac to the history of hospitality other Africans bestowed on their exiles under apartheid does a disservice to both the local poor whose citizenship rights are marginal at best and the resilient migrants in search of asylum and dignity.

Such labeling only serves politicians and the elites who are sealed off by barbed wire surrounded by a security industry that outspends and outnumbers South Africa's police force. It allows corruption to persist while the political leaders who are implicated in this violence scapegoat "criminal youth" to further fill an overflowing prison industry.

Religious and civil society leaders' recent mobilization saying "not in our name" in reaction to violence against migrants should be applauded. But religious, civil society and student groups also have an obligation to organize and denounce the inequality and the violence that is the everyday lot of the extremely poor in South Africa. Pervasive misery and corruption in the midst of a nation with so much potential should not be tolerated.

Neither a hashtag of outrage #WeAreAfrica nor the expedience of the label "xenophobia" can wish away the angst, violence and the impending crisis in South Africa. Migrants' security and dignity is part and parcel of a greater security and dignity for all South Africans, which seem deferred for now.

@highlight

Xenophobia cannot explain the conflict between native poor black South Africans and foreign African entrepreneurs, says Abdi

@highlight

Killings of foreigners cannot be separated from the brutal violence poor South Africans experience, she adds.