(CNN) -- On Tuesday, January 12 2010, the world watched in horror as Haiti was struck by a catastrophic earthquake. At least 100,000 people lost their lives in the devastation. In the aftermath, many people around the world sent financial aid to help support survivors.

But one young entrepreneur was so affected by the tragedy that he sat down at his desk to try to lend his professional skills to future relief efforts.

Having watched the disaster unfold on TV, Francisco Aguilar, a graduate from MIT Sloan and the Harvard Kennedy School, began working on a tool that could be used to help in emergency response situations around the world.

"If you remember the 2010 earthquake in Haiti, you saw hundreds of thousands of people buried under the rubble. After an earthquake most people die in the first 48 hours. People who are trapped tend to die in the first 48 hours. And the international rescue teams came with their very sophisticated equipment, and did a fantastic job when they got there, (but) they didn't get there for 48 hours. And their tools, their fiber optic scopes, and all the kinds of equipment that they have, cost $50,000, and are very hard to use. So, despite their very valiant efforts, they pulled out a few hundred people, but most of the damage was already done," Aguilar says.

The device Aguilar invented is called the Bounce Imaging Explorer -- a small black probe about the size of a baseball, fixed with an array of sensors and cameras that can be thrown or dropped into dangerous environments.

"The initial thought was, how could we create something that was easy to use, that could allow a first responder, or even a volunteer, to easily look inside a space to determine whether it was safe to enter it, to see if there was a victim inside," Aguilar says. "And that moved from search and rescue, to police who often face hostage situations: aggressive shooters, or terrorism. To fire fighting applications, where people often want to search different rooms in a complex, before having to enter or decide whether there is a fire or not. So there's a common problem across first responders of having to decide whether to enter a house or a space. And we are trying to make it cheap and easy to get images while they are out of there."

To develop the product Aguilar partnered with David Young, an entrepreneur who spent four and a half years as a US Army infantry officer.

The Bounce Imaging Explorer's cameras and sensors can quickly take panoramic images after being thrown into an inaccessible space. The impact resistant shell can also house heat sensors, Geiger counters, vibration antennae or smoke detectors to provide different information in different kinds of emergencies, such as natural distasters or SWAT team hostage rescues. The ball then broadcasts its findings back to a mobile device to give users information on whether there are hazards (or indeed survivors) around a corner, or buried beneath fallen debris.

The company, Bounce Imaging, won a gold award of $50,000 at MassChallenge, and was named one of TIME Magazine's Best Inventions of the year.

Gianfranco Zaccai, CEO of design consultancy Continuum, said: "I think that the concept is really great in its simplicity ... There's a lot of potential there, and there's a lot of potential for doing good with it, because if you think about, the dangerous world that we live in, we need simple, robust, usable ideas that are embedded in great products."

Aguilar hopes to begin producing the Bounce Imaging Explorer next year, and says he aims to keep the cost between $500 and $1000.

@highlight

U.S. graduate Francisco Aguilar invents throwable camera called the Bounce Imaging Explorer

@highlight

The shock absorbent baseball-sized tool can be thrown into hostile situations to assess risk

@highlight

It is a low-cost piece of equipment that could help first responders in developing countries