(CNN) -- Chinese web developers are using a new weapon aimed at fighting corruption: sites encouraging people to share stories of bribes online.

Such sites -- inspired by a similar idea in India -- have surged in the past few weeks, but they've had a shaky start.

Interest in the idea gained widespread momentum on June 8, after China's state-run Beijing News published a story about a new website in India called "Ipaidabribe.com." The site encourages users to "tell us your bribe story" and aims to "uncover the market price of corruption" by making people's experiences publicly-accessible online.

The website's administrators promise to use the stories "to argue for improving governance systems ... and thereby reduce the scope for corruption in obtaining services from the government."

The idea quickly caught on in China, where analysts have said corruption is a serious problem. Official statistics on government corruption are hard to come by, but a 2007 report from the Carnegie Endowment for International Peace argued that corruption threatens China's future, fueling socioeconomic inequality and social unrest.

Within days of the Beijing News story, several homegrown Chinese spinoffs had emerged. Visitors began posting hundreds of "tips" under headings like "local officials ... are buying luxury villas at a small fraction of the market value," and "High-ranking official with 146 mistresses writes a letter to his son." Some contained documentation to back up the claims; others posted the names of the parties accused with no supporting evidence.

But a week later, the state-run Jinghua Times reported that the government had declared "citizens' anti-corruption websites," as they had come to be known, illegal.

It was a move many predicted.

"People share these websites with one another saying they want to see how long they'll last before they get shut down or blocked. (Their) pessimistic attitudes are not unfounded," media critic Wei Yingjie wrote in a June 13 editorial posted on multiple Chinese newspapers' websites. "In fact, up til now, there has been no shortage of channels for fighting corruption. But in reality, posts (that expose corruption) get deleted; people who file complaints about local government with higher levels of government get sent away; and (corruption) tipsters get shipped from province to province."

Within days, Wei's article itself had been removed from several state-run websites.

But last week, an unlikely coalition emerged against the government's declaration: Chinese Internet freedom activists and the Communist Party-supported Global Times newspaper, which published an op-ed that argued against the ban on this class of website.

"Instead of shutting down these websites because of legal issues, the government should take this opportunity to work with the few websites that genuinely want to help, so that they may complement official bodies to fight corruption," the newspaper said.

A web developer who goes by the name of "Peater Q" embodies this alliance. A young Communist Party member and web developer, Peater says his site, wohuilule.com, is the first of its kind to obtain government permission to exist. ("Wo hui lu le" is a translation of "I paid a bribe.")

He asked to remain anonymous for this article, saying he feared revealing his identity would put his security at risk.

CNN did not see his website's application documents, but his site was still viewable online Sunday -- days after many other similar sites were no longer accessible.

Peater said he believes the government is working hard to reduce corruption within its own ranks, and he sees his site as "a very specific resource for tips" for the government officials who investigate corruption claims.

"I want to reduce their burden," he said.

The very notion of anti-corruption websites that are vetted, potentially, by the same government officials the sites seek to expose sets off warning signals for some, who fear the sites will be used as a tool of persecution. An editorial cartoon in China's widely-read Southern Weekend newspaper showed a representative of the public security bureau smiling as he says, "please register with your legal name, address ..."

In front of him, a man is sweating and hiding behind a sign that reads "I bribed.com" in Chinese.

At least one expert says such sites pose serious ethical questions.

"If you wanted to tarnish the reputation of the government or a department within it, or settle a vendetta, you could just get all of your friends to post claims against them," said Raymond Fisman, a professor at the Columbia Business School who has studied corruption.

"There is no way of credibly aggregating the information to assess the magnitude of the problem," he added.

When asked if he thinks his site, too, could one day run afoul of Internet censors, Peater acknowledged negative consequences could pop up if people use the site for "reactionary behavior."

But he said sharing information will help tackle corruption.

"Positive things will come from widespread awareness. It's not just a website for bad feelings," he said.

For now, Peater continues tweaking his site -- now just three days old -- and waiting for the tips to come in.

@highlight

The sites allow people to report bribes and corruption complaints

@highlight

Chinese state media reports "citizens' anti-corruption websites" are illegal

@highlight

One web developer says he has received government permission for his site

@highlight

One expert says open-source anti-bribe sites pose serious ethical questions