(CNN) -- Not long ago, I was very kindly invited to Buckingham Palace, as a member of Britain's food industry. Hundreds of very smart foodies turned up, having showered, shaved and left behind their stoves, whisks and knives.

It is a funny thing seeing many of your contemporaries in suits and dresses when you're used to seeing them in their whites and aprons. I spent most of the evening introducing myself or just observing the many groups of people that mingle at occasions like these.

One group caught my eye for most of the evening. It was made up of gentlemen all dressed in military uniform -- rather splendid military uniforms, obviously designed for just such a royal occasion. It was not the uniforms or even the rows of medals on their chests, but the fact that military members were there at all.

Watch an interview with Arthur Potts Dawson

What would the military be doing at a food gig at Buckingham Palace? Well, the answer stopped me short, so short that I have been unable to think of much else since that rather uneventful night -- uneventful except for the firm handshake of Her Majesty the Queen.

The answer in its simplest form was that the uniforms were the catering corps, a corps that has catered all over the world for British soldiers on every battlefield ever since men needed to fight and eat at the same time.

The answer in its most shocking form was that these were the men who would be in control of the food in Britain should we face shortages. Shortages? Yes, shortages, of oil, water and their means of distribution. Shortages of flour, milk and eggs. Shortages of meat, fruit and vegetables.

In fact, should this country suffer from any number of potential problems with our oil-dependent food chain, our very lives could be in the hands of the small group of men standing in a corner in Buckingham Palace. All of Britain's superstar chefs had turned out for this event, but none was more important than the gentlemen who stood watching the rest of us, as we rather arrogantly walked around the room as if food would always be available  to perform tricks with, to swear at and make jokes with. Well, food security is a serious issue and I better find out as much as I can about it.

TED.com: Jamie Oliver's TED Prize wish

In Britain the big supermarkets dominate our food chain. British supermarkets are some of the best in the world at controlling, manipulating and delivering cheap food. Controlling food and its distribution takes a huge amount of money and energy, but because the British food producer could not keep up with the supermarkets' demands for ever-lower prices, the supermarkets have moved to buying globally.

They turned to the products provided by cheap labor in northern and southern Africa, South America and Asia. But in shifting from Britain to the world, our supermarkets managed to destabilize Britain's food infrastructure. The supermarkets have left behind farmers, milk producers and fishermen. They all have knowledge they should be passing down, but there is no new blood wanting to pick up the rake, the fishing net or the gate latch at 4 a.m.

TED.com: Michael Pollan gives a plant eye's view

There is no money in food production in Britain: The supermarkets have taken the potential for a decent living away. The cost to produce milk is higher than the supermarkets are willing to pay. The cost of meat is too high, and the cost of fish is too high.

But the supermarkets reply that they are only trying to "give the customers what they want," so they must go abroad. In this statement is the manipulation. We as customers are led to believe that the low costs we pay are borne by the supermarkets. Well, think again.

It is the producers in this country who are paid such low prices by the supermarkets for their produce that they are going out of business by the hundreds every year, and with it goes their knowledge. The supermarkets are not delivering cheap food, it is the farmers and producers of Britain, and now the world -- and at a cost to the environment too. Increased yield means increased use of fertilizers, pesticides and antibiotics in animals.

About 30% of fresh food is thrown away in supermarkets every day, although they will deny it. British households are throwing an estimated 30% of their food away too. Where are we going with this over-producing, over-consuming super-cheap food system? We are going global with a huge reliance on oil.

TED.com: Dean Ornish on the world's killer diet

But when the oil stops flowing, and our systems fail, no safety procedures are in place to help us. No localized food networks, and no agricultural schools developing our next wave of farmers -- this in a country where the average age for a farmer is 64.

It feels to me as if we are becoming so overly reliant on our supermarket system, that when it breaks down, all we can turn to is military intervention.

Surely we should be striving to teach and educate people how to feed themselves. How to grow food and distribute it locally. How to barter for food items that can bring the essential vitamins and minerals for healthy life.

Be mindful of what supermarkets are doing and demand to see their business practices. Stop throwing away food. Compost as much as you can, eat as locally and as seasonally as you can. Share knowledge and information.

We are stronger as a group than an individual. Think in a cooperative and communal way, set up local food hubs and create growing communities. I have tried to create that type of idea in The People's Supermarket, and hope that it grows in popularity.

The opinions in this commentary are solely those of Arthur Potts Dawson.

@highlight

Arthur Potts Dawson: British supermarkets control and deliver very cheap food

@highlight

Potts: They buy cheap food globally, driving local producers out of business

@highlight

Dairy and meat farmers, fishermen are becoming a vanishing breed, he writes

@highlight

Consumers must work for fresh, sustainable food systems not reliant on oil, he writes