(CNN) -- Ultimately, it's about power.

When Ukrainian President Viktor Yanukovich suspended an agreement with the European Union (EU) on November 21, his personal considerations would certainly have been a driving factor.

Signing the agreement would not only have brought Ukraine much closer to its Western neighbors. It would also have made its political sphere more democratic and competitive and its economy more transparent -- outcomes that would have been unlikely to fit with Yanukovich's personal interests.

Read more: Russia calls for stability and order

What the EU did in the past with its enlargement policy, and what it is trying now to replicate with its "Eastern Partnership", is to use its economic power as a tool to push neighboring countries towards liberal democracy.

The more these countries -- among them Ukraine, Moldova, and Georgia -- move towards rule of law, democracy and a market economy, the more access they have to the EU market, and the easier it is for their people to travel and work in the EU.

But the project to transform Ukraine's political and economic structures is unlikely to please Yanukovich. Allegations that his party had rigged voting in 2004 triggered the "Orange Revolution," forcing him from office and giving power to his political opponents, including Yulia Tymoshenko, who became prime minister.

Soon after Yanukovich was elected president in 2010, Tymoshenko was jailed after being found guilty of abuse of office, in a case many believe was politically motivated. In its negotiations, the EU had been demanding that Yanukovich free Tymoshenko.

Ukraine is seen as a deeply corrupt country, ranked number 144 out of 177 countries in the Transparency International Corruption Perceptions Index. This environment provides a breeding ground for arbitrary rule by powerful clans. A rapprochement with the EU would, at least on longer term, put pressure on that rule.

Another reason to put the agreement with the EU on hold seems to have been the Russia factor.

Read more: Opinion -- why Ukraine's future lies with the EU

Russian President Vladimir Putin wants to bring the Ukraine into his sphere of influence through integration into a Moscow-led customs union which in the future shall be transformed into a fully-fledged "Eurasian Union." In the past few months, the Kremlin has put considerable pressure on Ukraine to move over to this camp.

But for Yanukovich, an alliance with Russia would be a double-edged sword. While Putin is likely to give the Ukrainian leader a free hand to consolidate his power base, he would also want control over key economic and political decisions. In a close alliance, Ukraine would lose core elements of sovereignty.

If Yanukovich were to hand his country over to Moscow, he would very likely be met with another revolution.

Since the Orange Revolution in 2004, Ukraine's political class has been aware that it needs to stay in tune with popular opinion. And a clear majority wants to go West.

People see a prosperous, well-governed EU next to their borders -- in sharp contrast with their own economic and political misery. That's why they are on the streets now, in Kiev and elsewhere.

Yanukovich, however, is likely to try to keep Ukraine in the middle -- going neither West nor East. He wants to keep the status quo, where he feels safe. But the economic crisis is getting worse, and he needs help. Without a rapprochement, neither the EU nor Russia will invest substantially in his regime.

Read more: Opinion -- beware Russia's power play

And there is a new factor which may bring additional dynamism into the game. Germany, now seen by many as the leading power in Europe, has recently put its weight behind the Eastern Partnership -- which had mainly been driven by Poland and Sweden in the past.

In a speech on November 18, German Chancellor Angela Merkel flatly rejected Russia's claims over the region. Eastern European countries, she said, "must decide themselves on their future direction." "Third parties" -- ie Russia -- "cannot have the right to veto," she said.

Berlin would urge the EU to counter Russian pressure on Eastern Europe, "be it in the form of additional sales opportunities for products from our partner countries, which for instance may not be exported to Russia, or in the form of assistance to diversify their energy supply," Merkel said.

This is quite a turnaround in German policies towards Russia. It is the first time Merkel has spoken to Moscow with the assertive attitude of the leader of a great power. And she was doing what great powers usually do: pushing back other great powers and offering protection to smaller powers.

In other words, Merkel took a first step towards a geopolitical competition with Russia over Eastern Europe -- effectively ending years of cozy bilateral relations with Moscow.

Merkel has picked up the gauntlet thrown by Putin at her and the EU. But it is still unclear to what extent she will follow-up her rhetoric and push the EU towards making more substantial offers to Ukraine -- especially after the hopes of signing an agreement at the Vilnius summit have been disappointed.

But she has shown a Germany that no longer afraid to confront Russia over Eastern Europe.

This is starting to look like an entirely new game.

The opinions expressed in this commentary are solely those of Ulrich Speck.

@highlight

Thousands have been protesting in Kiev after the Ukrainian government rejected an EU deal

@highlight

The deal would have made Ukraine's political sphere more democratic, Ulrich Speck says

@highlight

But he says it was not in the president's own interests to sign and move away from Russia

@highlight

Germany has shown it is not afraid to confront Russia over Eastern Europe, Speck says