(CNN) -- After 50 years, a seismic shift is taking place in the international drug policy debate, both at the level of individual countries and also at the U.N.

On December 10, Uruguay's Senate passed a law making it the first country in the world to legally regulate marijuana. This is hugely significant as it is the first time a country has officially broken with the international prohibitionist approach.

In so doing, Uruguay will establish a legal recreational cannabis market by regulating production through to sale. This goes far beyond decriminalization or de facto toleration as witnessed in the Netherlands and a few other states.

Meanwhile, at the United Nations, the international community appears headed for a "drug war" showdown. News broke recently of deadlock and fevered debates on drug policy at the U.N. as the organization tries to agree an international strategic outline for the coming years.

For many, who have witnessed decades of failure of global drugs policy, the key question is why these developments have taken so long. This question was addressed in an LSE IDEAS report, "Governing the Global Drug Wars," which I recently edited.

Since 1961, governments have been held in check by an apparent international consensus on criminal justice-oriented approaches to drugs. The trajectory of policy has been toward greater repression and more coercive policies. And, led by the United States, the war on drugs became militarized at the global level from the 1970s.

Breakaway countries that tried new policies, such as decriminalization and public health models, were roundly criticized by other states and the U.N. system itself. This forced countries willing to experiment into a defensive posture. Some proceeded with alternative policies such as de facto regulated markets (even though the laws remained unchanged).

But in the past few years the global drugs consensus has unraveled. No longer do nations of the world talk about the unobtainable goal of "a drug-free world."

Instead, a more multifaceted dialogue is now under way. On the one side remain the unreconstructed drug warriors, led by Russia, China and an obscure international institution known as the International Narcotics Control Board.

On the other side is an emerging coalition of Latin American nations, including Colombia, Guatemala and Mexico, calling for a systemic rethink. They have been joined by other world leaders, ranging from former U.N. Secretary-General Kofi Annan, to former Swiss President Ruth Dreifuss.

In the middle are European states. On the one hand they lead the way on relatively innovative health-based policies of harm reduction while, on the other, they pursue more minimalist variants of the global drug war. A common thread for European policy has thus far been an unwillingness to assume any major leadership at the international level.

Add to this middle ground the previous drug war proselytizer and advocate, the United States. Coming to terms with the impacts of its drug war at home, Washington has ceased advocating it as militantly abroad. This factor, perhaps above all else, has provided space for alternative discussions to gain prominence at the U.N.

Leaked documents from a key U.N. drugs strategy meeting this month underscored that global drugs policy is at a major crossroads. Drug war advocates can no longer paper over very real divisions in strategic goals and tactical means.

Many Latin America states are refusing a continued acceptance of the black market violence that accompanies a global illicit commodity market. And Uruguay is a clear example of this desire for change. It has pursued marijuana regulation as an innovative way to tackle criminality and gangs.

Meanwhile, some European countries like Switzerland and the Netherlands are no longer willing to overlook the glaring successes of their harm reduction policies out of deference to drug war rhetoric. And the United States has ceased expending political capital on this issue and is looking to set a new course.

The massive opportunities here should not be underestimated. A militarized and enforcement-led war on drugs is an illogical approach to what is essentially a public health issue.

Policies based on public health principles of treatment and harm reduction provide the only clear successes in international drug policy over the last few decades. As states look to consolidate these gains, having effective international institutions which can support, rather than undermine, these policies will be a tremendous boon in the battle against HIV, Hepatitis C and addiction in general.

Meanwhile, the move towards an "impact reduction" rather than a supply reduction paradigm in producer and transit countries seems the most hopeful way to reduce the appalling levels of violence that has been displaced to these countries by rich world consumer countries.

As we witness the beginning of the end of the current prohibitionist strategy, no longer it seems will evidence-based policy always and inevitably be overruled by ideology and politicization. With the breakdown of the one-size-fits-all approach, a move towards policy multipolarity is the best step forward towards improved international management of this crucial issue.

The opinions expressed in this commentary are solely those of John Collins.

@highlight

Uruguayan lawmakers vote to legalize marijuana

@highlight

International community heading for "drug war" showdown, says John Collins

@highlight

Collins: In past few years global drugs consensus has unraveled

@highlight

Move towards "impact reduction" will be more effective, he adds