(CNN) -- A day after a Southwest Airlines jet with 124 passengers landed at the wrong airport, many are asking: How in the world could that happen?

"It's not common, but it's not unheard of," said pilot Mark Weiss, a 20-year veteran of commercial aviation who has frequently flown Boeing 737-700s, the same kind of aircraft that touched down Sunday at a small airport in Taney County, Missouri, about seven miles from where it was supposed to land at Branson Airport.

The plane stopped about 500 feet from the end of a runway at M. Graham Clark Downtown Airport, but no one was injured, said Chris Berndt, the Western Taney County Fire District fire chief and emergency management director.

"There are a lot of questions, and I suspect this is a matter of procedures not being followed, something along the long chain of everything you must do and constantly do as a pilot for safety," Weiss said.

But that's little consolation for passengers shaken by the experience.

"Really happy (the) pilot applied brakes the way he did," said passenger Scott Schieffer. "Who knows what would have happened?"

The airport's runway is 3,738 feet long, about half the length of the Branson Airport runway, which is 7,140 feet. That forced pilots to act fast and brake hard when the aircraft touched down.

If they had not, the plane could have overshot the end of the runway, tumbled down an embankment and onto U.S. Highway 65.

Air traffic controllers had cleared the jet to land at Branson and only learned of the mishap when the pilots radioed that they had landed at the wrong airport, a source familiar with the investigation told CNN. Branson is not equipped with radar, and Clark has no control tower.

Southwest said the flight's captain had worked for the airline for 14 years and the first officer had been with the company for 12. Both were on paid leave pending an investigation, it said.

The jet took off Monday from Clark after "a thorough inspection" and was scheduled to resume regular service in the evening. The airline did not disclose its destination, but the aviation website FlightAware said it was bound for Tulsa, Oklahoma.

"We have since reached out to each customer directly to apologize, refund their tickets and provide future travel credit as a gesture of goodwill for the inconvenience," the airline said in a written statement.

Apology following landing announcement

Passenger Schieffer told CNN the flight had been late in departing Chicago's Midway International Airport on Sunday afternoon, but nothing seemed amiss. As the plane touched down on the runway, however, Schieffer said he heard and felt the brakes hit hard and smelled rubber burning.

It was "one of the hardest landings I ever experienced," he told CNN.

Kevin Riley, who lives near the airport, said he was sitting in his living room when he heard the landing.

"I thought it was a military plane because it's so loud," he said. "This airport takes small planes ... nothing to the level or volume of that plane."

"Welcome to Branson," the pilot announced, Schieffer recalled. A few minutes later, the pilot came back on.

"I'm sorry, ladies and gentlemen, we have landed at the wrong airport," he said, according to Schieffer.

He then repeatedly apologized to passengers who were stuck on the tarmac for two hours while steps could be brought over from Branson Airport to help them deplane.

The pilots declined to talk about what happened as they left the plane, Berndt said.

While waiting, Schieffer and the other passengers ate peanuts provided by flight attendants. Southwest offered them a $200 travel voucher, he said.

Paper and computer

Southwest spokesman Brad Hawkins said Sunday night he didn't yet have enough information to say why the plane landed at the wrong location.

CNN first learned of the landing error via tweets from the region.

There are many questions that the Federal Aviation Administration and National Transportation Safety Board will explore. Both agencies have launched investigations.

Weiss gave insight into what investigators will be looking for in their probes.

When the plane was still on the ground at Midway, the pilots would have looked at a paper flight plan on which the distance between their departing location and arriving location would have been written. That distance should have also been plugged into the cockpit computer.

"You match one thing to the other," he said. "Let's say there was 503 miles on the paper. The computer in the console should have matched that distance."

That's important if the pilots end up doing what is called an instrument landing -- essentially where they rely on their instruments to assure everything is as it should be. If the equipment was correct on the ground at Midway, the instrument reading during an instrument landing would have indicated to the pilots they were descending to the wrong location.

Relying on instruments is sometimes the only alternative pilots have when the weather is poor or there are other factors making visual landing difficult. When the plane landed, it was 58 degrees Fahrenheit in the area, with visibility for 10 miles and clear skies. It was a bit breezy with a south wind of about 20 mph.

A checklist to mind

Regardless of particular variables, pilots should constantly be working on a checklist of safety measures. "You back the approach (to a runway) up (consulting) all the instrumentation and validation that you have available to you," Weiss said.

That includes scanning the horizon, looking up and down, talking to air traffic controllers, reading instruments and communicating frequently with a copilot.

Some smaller airports don't have towers. The airport where the Southwest plane landed did not, but it's unclear whether air traffic controllers were in touch with the pilots.

When an airplane descends, the pilot will tell the controllers, "I have the runway in sight."

"Once a pilot says that then the responsibility for getting that aircraft to that runway isn't a joint responsibility," Weiss said. "It's the responsibility of the pilot."

Pilot Ken Hiller has been flying into both Missouri airports for a decade. He said a navigational tool called a localizer could have told the pilots that they were off. The airports have different runway numbers that would have popped up -- they are 20 degrees of difference between them. If pilots were only doing a visual landing, they might not have noticed the difference in numbers in a navigation tool.

But even with all the instruments available to modern pilots, Mary Schiavo, former inspector general of the U.S. Department of Transportation told CNN that planes landing at the wrong airport aren't unusual.

"A visual landing on side-by-side airports, not far apart ... that's how it happens," she said Monday on CNN. "It happens many times."

Similar incidents

Sunday night's incident brought to mind another landing at a wrong airport two months earlier.

In November, a mammoth cargo plane landed at the wrong airport in Wichita, Kansas -- one that typically does not accommodate such beasts and with a runway half a mile shorter than such an aircraft usually uses.

The Boeing 747 Dreamlifter was bound for McConnell Air Force Base from New York's John F. Kennedy International Airport. But instead of landing at the military airport on Wichita's southeast side, it landed at the much smaller, general aviation Col. James Jabara Airport on the northeast side. It eventually took off.

In August 2012, a regional commuter plane landed at the wrong West Virginia airport.

United Express Flight 4049, operated by Silver Airways, was supposed to fly from Morgantown to Clarksburg but landed instead at Fairmont Municipal Airport about 10 miles away.

CNN's Mike M. Ahlers, Thom Patterson, Aaron Cooper, Jethro Mullen, Shawn Nottingham, Joe Sutton, Dave Alsup and Janet DiGiacomo contributed to this report.

@highlight

Controllers learned plane had landed at the wrong airport when pilots radioed them, source says

@highlight

Southwest says it doesn't yet know why the jet landed seven miles from its intended airport

@highlight

The pilots have been removed from flying duty pending an investigation, Southwest says

@highlight

Taney County airport's runway is much shorter than Branson, where the jet was supposed to land