(CNN) -- On the one-year anniversary of President Mohamed Morsy's inauguration, tens of thousands of Egyptians marched in the streets of Cairo in an effort to remove him from office.

The Associated Press described the protesters as "an array of secular and liberal Egyptians, moderate Muslims, Christians â€” and what the opposition says is a broad sector of the general public that has turned against the Islamists."

You would think these protesters represent an Egypt more favorable or in line with American interests. Unfortunately, our government supports the current regime of Morsy and the Muslim Brotherhood. Earlier this year, we sent Egypt's government 20 F-16 fighter jets, Abrams tanks and other military aid.

I introduced an amendment that would halt the transfer of advanced weapons to Egypt. I argued that the situation in that country was too volatile and that Morsy was not someone the United States should necessarily embrace.

My amendment was defeated in the Senate, 79 to 19.

Last week, President Obama deployed more than 400 Army soldiers to Egypt as part of a nine-month "peacekeeping mission," which could include responding to protestsâ€”or even riotsâ€”led potentially by Egyptians seeking a more secular or moderate government.

Our government insists on calling Morsy an ally. Morsy, on the other hand, has called Jews "bloodsuckers" and has said they are the "descendants of apes and pigs."

The Obama administration announced in March that we no longer had enough money to continue giving White House tours because of the sequester. That same month, Secretary of State John Kerry met with Morsy and pledged $250 million in additional aid to Egypt.

Before America supported the Muslim Brotherhood, we supported Morsy's predecessor, Hosni Mubarak. For decades, we aided the Mubarak regime to the tune of about $60 billion in total.

When Egyptians protested Mubarak in January 2011, F-16 jets were used by Mubarak to intimidate protesters. Those jets were supplied to Egypt by the United States.

When hundreds of thousands of Egyptians rallied in Tahir Square to protest three decades of martial law, Mubarak doused them with tear gas made in Pennsylvania and paid for with American taxpayer's money.

Mubarak abused and tortured his people for decades, while we subsidized his government. As Egyptians marched in the streets to remove this dictator from power in early 2011, former Vice President Dick Cheney said we should stand by Mubarak and called him our "good friend."

For many Egyptians, the United States was Mubarak. In their eyes, we were the same. To some, we are now undoubtedly Morsy. Indeed, the weapons that were once given to Mubarak or bought with U.S. dollars are now in the hands of the Muslim Brotherhood.

Egypt is just one example of our misguided foreign policy. There are multiple examples of our government aiding and abetting despotic regimes in ways that ultimately work against American interests.

The same Washington leaders who were eager to aid Mubarak, and now Morsy, were also once the loudest voices for supporting Libyan dictator Moammar Gadhafi. They are the same Democrat and Republican hawks who later insisted we back the Libyan rebels. They are the same people who now demand we fund the Syrian rebels, even though al-Nusra and others who belong to the resistance are also affiliated with al Qaeda.

The problem with constantly intervening in these troubled parts of the world is that there are often no clear good guys or bad guys. Today's ally can quickly become tomorrow's enemy. This should be a paramount and obvious concern, but in Washington it is almost always treated as an afterthought.

Also, what kind of message does funding despots send to the rest of the world? When Mubarak was our "good friend," he was certainly no friend to the Egyptian people. Judging by the protests in Cairo on Sunday, the same can probably be said of Morsy's regime.

You cannot give people liberty. They must fight for it themselves.

People around the world seek to emulate and embrace our concept of freedom. America should continue to lead, something we often do best by example.

But what kind of example do we set when we side with the enemies of freedom? How can we have influence in troubled parts of the world when we cuddle up to regimes responsible for much of the trouble?

The opinions expressed in this commentary are solely those of Rand Paul.

@highlight

Rand Paul: Why is the U.S. supporting Egyptian President Mohamed Morsy?

@highlight

Paul: I argued that Morsy is not someone the U.S. should necessarily embrace

@highlight

He says despite Egyptians' discontent with Morsy, we continue to give him aid

@highlight

Paul: What kind of example do we set when we side with the enemies of freedom?