(CNN) -- The violent cycle of retribution and retaliation only seems to be worsening.

As militants fire volleys of rockets from Gaza, Israel is responding with waves of airstrikes.

As Hamas vows to make its enemy pay the price, Israel is calling up hundreds of recruits and strengthening its positions around Gaza.

Tensions between Palestinians and Israelis have always simmered in plain view, erupting periodically into deadly spasms.

Could it be happening again?

"I do not want to over-dramatize, but the last few hours may have been, God forbid, the tipping point," Ari Shavit, a prominent Israeli author and journalist, told CNN's Christiane Amanpour on Monday night.

"What we see is different sides who do not want escalation ... they are dragged into something that is becoming very violent, very dangerous."

Israel prepared to expand operation against Hamas in Gaza

'The blood is up'

Long-standing resentments have boiled over in recent weeks following the kidnapping of three Israeli teenagers in the West Bank, which Israel blamed on Hamas. The militant group praised the abductions but denied responsibility.

Israel responded by cracking down on Hamas operations in the West Bank, arresting hundreds of activists and conducting widespread searches of homes.

When the three teenagers' bodies were found last week in a field in the West Bank, anger erupted in Israel. Prime Minister Benjamin Netanyahu vowed that Hamas would pay.

The mood darkened further when a Palestinian teenager was abducted and killed in Jerusalem in what police say could be a revenge killing. The news sparked clashes between protesting Palestinian youths and Israeli security forces in Jerusalem.

Throughout that grim week, Israel and Hamas continued to trade fire across the Gaza border.

"You have got politics. The blood is up. You have got retaliation," said Aaron David Miller, a Middle East expert at the Woodrow Wilson International Center for Scholars.

'Clouds are getting dark'

The region has many depressing precedents when it comes to violence.

In recent decades, Palestinians launched two armed uprisings against Israel, known as Intifadas, that each went on for years.

In late 2008 and early 2009, Israel carried out airstrikes and then a ground offensive against Hamas in Gaza that killed hundreds of Palestinians.

In November 2012, the two sides fought a bloody eight-day conflict that ended in a cease-fire.

The region appears to be careering toward another confrontation.

"It's difficult to see how this stops. At what point does one of the sides say, 'You know what? Let's have a moment where we make a preemptive concession, we do some kind of peace talks,'" said CNN's Fareed Zakaria.

"That's not in the cards right now."

The Israeli military is nonetheless gathering its forces near the border with Gaza.

"They are talking about an escalation," said CNN's Ben Wedeman. "Perhaps not on the scale of November 2012 or the war at the end of 2008, beginning of 2009, but definitely there's a feeling that the clouds are getting dark over Gaza and things could get much worse."

On Tuesday, Israeli Defense Minister Moshe Ya'alon said the security operation against Hamas "will probably not end within several days." And the Israeli military was gathering its forces near the border with Gaza.

"They are talking about an escalation," said CNN's Ben Wedeman. "Perhaps not on the scale of November 2012 or the war at the end of 2008, beginning of 2009, but definitely there's a feeling that the clouds are getting dark over Gaza and things could get much worse."

'I still think no'

There are reasons why violence may not engulf the whole region.

Although clashes flared in some areas of Jerusalem after the killing of the Palestinian teenager last week, the unrest doesn't so far appear to be spreading.

The Israeli daily newspaper Haaretz reported that "many East Jerusalem officials expect the turmoil to die down." It noted that West Bank cities have not joined the violent protests.

"Are we on the tipping point of a third Intifada? A major sustained escalation?" Miller asked in a conversation with CNN's Wolf Blitzer. "I still think no."

Palestinian people are "far more interested in social-economic issues," Miller said.

"They know the pain and suffering caused by the second Intifada that achieved very little. And even Hamas, I suspect, weakened by the fact that they don't have much support from Egypt or Turkey, bad governance, economic mismanagement in Gaza, I'm not sure they are prepared for sustained battle either."

'No angels here'

Shavit said that since the collapse of U.S.-sponsored peace talks earlier this year, Netanyahu and Palestinian Authority President Mahmoud Abbas have failed to halt the descent into crisis.

"What we see in recent months is that the extremists on both sides are taking the agenda and are actually cornering these two leaders and actually dragging us into conflict," he said.

He faulted Netanyahu for failing to control hardliners in his government and not acting in time against violent Jewish nationalists.

But Shavit also criticized Abbas for agreeing to a pact with Hamas after years of divisions between the two factions.

"There are no angels here," Shavit said.

U.S. Secretary of State John Kerry also has to face tough questions about the unraveling situation.

"Some of us here warned a few months ago ... that the moment you try to have peace in this land, the way Secretary Kerry did in a courageous way, you cannot step back," Shavit said.

"And from the moment that negotiations collapsed in late March, this illusion that you can go back to Washington, deal with China and Ukraine and ignore the Middle East, was a dangerous illusion."

Role for U.S.?

Now, it appears tricky for the United States to play a role in calming the situation.

"I'm not sure, frankly, that the Secretary of State wants or should put himself in a situation right now of trying to negotiate a ceasefire between Israel and Hamas," Miller said. The U.S. government lists Hamas as a terrorist organization.

During the 2012 conflict in Gaza, Egypt brokered the cease-fire.

But that was under Islamist-backed former President Mohamed Morsy, who has since been ousted and replaced by the country's former military chief Abdel Fattah el-Sisi.

The new Egyptian president has "very poor" relations with Hamas, according to Zakaria. And in the current climate, "I don't think an outside mediator is going to help," he said.

Even Hamas has been losing support to more radical elements in recent years, Zakaria said, which has put the movement under pressure to act.

"On both sides, there is an internal compulsion, an internal dynamic which is pushing them to a confrontation that maybe they don't rationally want," he said.

And those who will pay the price for the unwanted conflict are likely to be the civilians of Gaza and southern Israel.

@highlight

"The blood is up. You have got retaliation," a Middle East expert warns

@highlight

Analysts say the escalating conflict between Israel and Hamas appears set to continue

@highlight

But a broader Palestinian uprising against Israel seems less likely

@highlight

Both sides are sinking into a confrontation they don't necessarily want, analysts say