Tripoli, Libya (CNN) -- Government forces pounded rebel-held cities and crowds ransacked empty embassies in Tripoli on Sunday after Libyan authorities reported a NATO airstrike killed one of longtime strongman Moammar Gadhafi's sons and three of his grandchildren.

The U.S. Embassy was attacked by what one U.S. official called an "organized mob," along with the British, French, Italian and Qatari embassies, British and Italian officials told CNN. Meanwhile, pro-Gadhafi forces stepped up their shelling of rebel positions in Misrata after Libya's government reported the deaths.

"It's going to be like revenge," one eyewitness in the embattled coastal city of Misrata said.

The eyewitness reported significant damage and some casualties in Misrata, the country's third-largest city. The city remains in rebel hands, with no forces aligned with Gadhafi remaining in the city itself, he said.

Another witness, who agreed to be identified only as Mohammed, said "very heavy shelling" targeted the coastal city's port.

"I have been here during all days of the conflict," he told CNN. "Last night was the worst."

And a third man, who wanted to be identified only as Abdsalam, said the port was heavily bombarded. Electricity is out in nearly the entire city, and food and fresh water are running scarce, he said.

"They are using every every possible type of weapon," he said.

The Libyan government said Sunday that Gadhafi's son, Saif al-Arab Gadhafi, and three grandchildren died in the strike that destroyed the son's home in Tripoli. The Libyan government identified the children as Saif al-Arab's sons Gartaj Hannibal Muammar al-Gadhafi, age 3, and 2-year-old Saif Mohammad al-Gadhafi, as well as Mastoura Hamid Abuzitaia, the daughter of the leader's daughter Aysha.

State TV aired video of two bodies, wrapped in white shrouds and draped with flags, one of which was reported to be the body of Gadhafi's son. A funeral procession and burial for the fallen "martyrs" will be held on Monday, state TV said.

The Libyan leader and his wife were in the house when it was targeted, but they are in good health, government spokesman Musa Ibrahim told journalists.

The building was in a residential area of Tripoli that houses several embassies. Ibrahim called the bombing a "war crime." The strike destroyed the two-bedroom, single-story house, leaving a massive crater in its place.

CNN could not independently confirm the reports, and NATO said in a statement Sunday that the alliance was "aware of unconfirmed media reports that some of Gadhafi's family members may have been killed."

"We regret all loss of life, especially the innocent civilians being harmed as a result of this ongoing conflict," said Lt. Gen. Charles Bouchard, commander of NATO's military operations. However, Bouchard said, all targets "are military in nature and have been clearly linked to the Gadhafi regime's systemic attacks on the Libyan population ... We do not target individuals."

But U.S. Sen. Lindsey Graham, a leading supporter of the Libya campaign, called the elder Gadhafi a "murderer" and "a legitimate military target."

"He's not the legitimate leader of Libya, and the way to get this to end is to go after the people around him and his support system," Graham told "Fox News Sunday." The South Carolina Republican is a member of the Senate Armed Services Committee.

In Benghazi, a hub for rebel forces and their transitional government, the news triggered celebratory gunfire even as a rebel spokesman dismissed the reported death as "a desperate attempt to get sympathy."

"In all honesty, we never heard of Saif al-Arab until the start of the uprising," said Hafiz Ghoga, deputy chairman of the Transitional National Council in Benghazi, on Sunday.

"We don't believe this is true ... This regime constantly lies and keeps lying," he added.

Opposition members, citing witness reports, also warned that pro-Gadhafi troops in the town of Zintan, 50 kilometers (31 miles) west of Misrata, and other nearby areas have been equipped with gas masks. The opposition figures say that suggests the government forces are preparing to use chemical weapons against rebel forces -- but the accounts lacked detail, and CNN could not independently confirm the reports.

Ibrahim dismissed the allegations as "all lies."

"Every time they come with a lie, they jump out to the next lie," he said. "The media cannot report from one side of reports. It is the same lie when they said we are using cluster bombs."

Human Rights Watch reported in mid-April that pro-Gadhafi troops were firing cluster munitions into Misrata and displayed a portion of a Spanish-made mortar shell that releases 21 smaller bombs across a wide area. The Libyan government denies the allegation.

Fighting also intensified Sunday near the rebel-held Djerba border crossing into Tunisia, witnesses and Tunisia's state news agency reported. The TAP news agency said the flow of refugees out of Libya had slowed, possibly as a result.

NATO began bombarding Libya on March 19, after the U.N. Security Council approved a resolution authorizing any means necessary to protect civilians demanding the end of Gadhafi's nearly 42-year rule. The alliance said it targeted a "command-and-control building" in Tripoli on Saturday, as well as hit seven ammunition depots around the capital.

According to a NATO military official, the airstrike that Libya says killed Gadhafi's son involved four precision-targeted bombs, one of which failed to detonate. The official, who declined to be identified because of the sensitivity of the matter, said the alliance was certain the target was a command-and-control facility and said the building hit, although above ground, had reinforced portions.

The official said NATO had "no evidence" that Gadhafi's relatives had been killed.

A photograph of the site showed the unexploded bomb, a 2,000-pound weapon designed to penetrate reinforced concrete, but NATO would not confirm what other types of ordnance may have been dropped. Nor would it disclose which nation's aircraft carried out the strike, or what type of aircraft were used.

Libyan officials attacked the U.S. Embassy compound in Tripoli Sunday, as well as the British, French and Italian missions, according to a senior U.S. official in Washington. All four NATO nations are taking part in the airstrikes.

Mark Toner, a U.S. State Department spokesman, said he had seen reports of violence against the diplomatic facilities and that if true, "we condemn these attacks in the strongest possible terms."

Italian officials told CNN that the embassy of Qatar, a Gulf Arab state that supports the campaign and is supplying arms to the rebels, was also targeted.

The senior U.S. official said Turkey, the protecting power for U.S. interests in Libya, is trying to keep an eye on the American compound -- but "there isn't much they can do when you have an organized mob, as this appeared to be."

In London, British Foreign Secretary William Hague expelled Libya's ambassador to the United Kingdom after the attacks. Hague said the Tripoli government is breaching its international obligation to protect diplomatic missions by allowing the vandalism.

"The attacks against diplomatic missions will not weaken our resolve to protect the civilian population in Libya," Hague said.

Ibrahim told CNN the attacks happened because "the people were upset" and that Libyan security forces stopped the attacks and prevented the embassies from being destroyed.

"There are embassies that have not been touched," he said.

Libyan Deputy Foreign Minister Khaled Kaim said later the government deeply regrets the looting and violence at the embassies. Angry crowds simply overwhelmed police, he said.

In addition, 12 U.N. international staffers left Tripoli because of the unrest and are in Tunisia, the world body said Sunday. Spokeswoman Eri Kaneko said the United Nations would not identify the staffers or their agencies for safety reasons. U.N. national staffers are still in the country and international staffers remain in Benghazi.

CNN's Frederik Pleitgen, Richard Roth, Barbara Starr, Elise Labott, Richard Allen Greene and Holly Yan contributed to this report.

@highlight

NEW: The Libyan government says it regrets the attacks on foreign embassies

@highlight

State TV reports a funeral procession and burial will be held on Monday

@highlight

Witnesses report heavy fire from pro-Gadhafi forces in Misrata and Benghazi

@highlight

One man thinks it is "revenge" for a strike that reportedly killed one of Gadhafi's sons