Cairo, Egypt (CNN) -- Embattled President Hosni Mubarak said early Saturday that he asked the country's government to resign after thousands of angry Egyptians defied a government curfew and faced stinging police tear gas as they marched for change.

"I asked the government to resign today and I will commission a new government to take over tomorrow," Mubarak said in a national address on Saturday shortly after midnight.

As Mubarak spoke, Egyptian tanks rolled into the country's major cities after the nation's police force had been largely faced down by protesters on Friday. Demonstrators burned many police stations in Cairo and Alexandria and overturned and torched police vehicles.

Mubarak faces toughest challenge

U.S. President Barack Obama spoke with the Egyptian president after Mubarak's address.

"When President Mubarak addressed the Egyptian people tonight, he pledged a better democracy and greater economic opportunity," Obama said from the White House.

"I just spoke to him after his speech, and told him he has a responsibility to give meaning to those words, to take concrete steps and actions that deliver on that promise," Obama said in a televised appearance. "Violence will not address the grievances of the Egyptian people. Suppressing ideas never succeeds in making them go away."

ElBaradei: The man to lead a free Egypt?

Mubarak gave no indication that he would step down or leave the country.

"I assure you that I'm working for the people and giving freedoms of opinion as long as you're respecting the law," he said. "There is very little line between freedom and chaos."

Are you there? Send images, videos

At the same time, Mubarak said that "these protests arose to express a legitimate demand for more democracy, need for a greater social safety net, and the improvement of living standards, fighting poverty and rampant corruption."

"I understand these legitimate demands of the people and I truly understand the depth of their worries and burdens and I will not part from them ever and I will work for them everyday," he said. "But regardless of what problems we face, this does not justify violence or lawlessness."

CNN Arabic

A senior Obama administration official, meanwhile, said Friday evening that Mubarak's speech was "hardly conciliatory and highly disappointing, but what did you expect?"

It's clear, the official said -- speaking on condition of anonymity because of the sensitivity of the matter -- that Mubarak believes he can ride this out, "and this time, we're not so sure that is the right assumption." Administration officials had hoped Mubarak would promise an immediate and open dialogue, the official said.

The streets of downtown Cairo appeared to calm somewhat overnight Friday as the army -- a much more respected force than police among Egyptian civilians -- took control of the country.

The army was much less aggressive with protesters than the police had been, and many Egyptians applauded the arrival of its tanks in Cairo, Alexandria and elsewhere.

One of the key questions ahead of sunrise in Egypt on Saturday is whether people will continue to welcome the army as a protective force or reject it as a tool of Mubarak.

Celebratory crowds that had gathered overnight Friday ahead of Mubarak's speech, expecting him to announce his resignation, quickly transformed into street demonstrations when the president announced he was staying put.

The government cracked down throughout Friday with thousands of riot and plainclothes police, later joined by army troops in tanks and armored personnel carriers equipped with gun turrets. Undeterred, people ran, screamed, hurled rocks and accosted walls of security as they tried to make their way to central Cairo.

Anti-government demonstrators have taken to the streets in Egypt since Tuesday to demand an end to Mubarak's rule. The protests come weeks after similar disturbances sparked a revolution in Tunisia, forcing then-president Zine El Abidine Ben Ali to flee the country.

Both Egypt and Tunisia have seen dramatic rises in the cost of living in recent years and accusations of corruption among the ruling elite.

In downtown Cairo, a calm seemed to be settling in overnight Friday amid little sign of authority.

"There is no authority ... there's nobody to protest against," CNN's Ben Wedeman said, speaking of the capital's downtown area. "State authority in much of downtown Cairo has disappeared."

Mubarak imposed a nationwide curfew from 6 p.m. Friday to 7 a.m. Saturday. State-run Nile TV said the curfew was in response to the "hooliganism and lawlessness" of the protesters.

Vans packed with riot police circled Cairo neighborhoods before the start of weekly prayers in the afternoon. Later in the day, Egyptian soldiers moved onto the streets, the first time the army has been deployed to quell unrest since 1985.

But protesters defied all warnings to demand an end to Mubarak's authoritarian 30-year-rule.

They chanted "God is Great" and that the dictator must go. "Down, Down, Mubarak," they shouted.

Plumes of rancid, thick smoke billowed over the Nile River as, by nightfall, chaos reigned in the bustling metropolis. The headquarters of the ruling National Democratic Party was ablaze Friday night. Nile TV said protesters ransacked the building and set it afire.

Police fired water cannons, rubber bullets and tear gas with force and impunity. A tourist on the balcony of his 18th floor hotel room told CNN he had to run in and wash his eyes and face from the stinging gas. Police confiscated cameras from people, including guests at the Hilton Hotel.

At least six people have died in the demonstrations this week, according to Egypt's Interior Ministry. But Nile TV reported Friday that 13 have died and 75 were injured in Suez, south of Cairo, citing medical sources

As the government cracked down on protesters across Egypt, opposition leader Mohamed ElBaradei, who returned home to Cairo to join the demonstrations, was placed under house arrest, a high-level security source told CNN.

ElBaradei, a Nobel Peace Prize winner and former head of the United Nations' nuclear watchdog agency, was warned earlier not to leave a mosque near downtown Cairo where he was attending Friday prayers.

White House press secretary Robert Gibbs said that the U.S. is reviewing its aid to Egypt "based on events now and in the coming days."

U.S. Secretary of State Hillary Clinton addressed the Egyptian crisis Friday, urging all parties to be peaceful and engage in dialogue.

"We are deeply concerned about the use of violence by Egyptian police and security forces against protesters and we call on the Egyptian government to do everything within its power to restrain its security forces," Clinton said. "At the same time, protesters should also refrain from violence and express themselves peacefully."

The protests sent ripples around the world, with stocks plunging on news of Egypt unrest. The Dow dropped 166 points on Friday, its largest loss since November.

The State Department urged Americans to defer all non-essential travel to Egypt and within the country. Delta Air Lines said its last flight from Cairo will depart Saturday; all other Cairo service was indefinitely suspended, said spokeswoman Susan Elliott. American Airlines and British Airways will allow customers with tickets between Friday and Monday to or from Cairo to change their flights at no charge, according American Airlines spokesman Edward Martelle.

Egypt is the most populous nation in the Arab world and often a barometer for sentiment on the Arab community.

"What happens in Egypt will have an impact throughout the Arab world and the Middle East," said Edward Djerejian, a former U.S. ambassador to Israel and Syria.

In the Mediterranean port city of Alexandria on Friday, at least 1,000 protesters gathered and youths hurled rocks through black clouds of gas. Crowds ran through the streets toward the city's central square. There was no indication of a curfew in that city either, as people remained out well after the time it was to begin.

In Suez, 15,000 riot police were out, using tear gas to disperse crowds, Nile TV said.

Riot police also confronted protesters in the cities and towns of Ismailia, Fayoum and Shbin Elkoum, according to the anti-government group Egyptian Liberation.

A CNN crew covering the clashes in Cairo felt the wrath of the police.

CNN's Wedeman and Mary Rogers were under an overpass and behind a column as police tried to hold back protesters. Plainclothes police wielding clubs surrounded the CNN team and wanted "to haul us off," Wedeman said. In a struggle, police grabbed Rogers's camera, cracked its viewfinder, and confiscated it. Wedeman said the police threatened to beat them.

Egypt's Interior Ministry forbade protests Friday, but some Egyptians went door to door in Cairo, urging their neighbors to participate. The main opposition bloc, the Muslim Brotherhood, urged its supporters for the first time to take to the streets.

Hours ahead of the protests, the internet went dark in many parts of the country. Some text messaging and cell phone services appeared to be blocked.

Even though it was difficult to use Twitter and Facebook within Egypt, thousands of others outside the country ran with the powerful social media tool to provide a real-time chronology of events. "Mubarak" was a trending topic.

Authorities arrested a prominent Muslim Brotherhood leader early Friday, detaining the party's main speaker, Issam al-Aryan, according to a relative.

Other government critics voiced their opinions -- amazingly -- on state-run television.

A popular morning show on state-run Nile TV included comments from guests calling for the resignation of government officials and increased dialogue between authorities and arrested protesters. The network carried coverage of the protests, even at times calling them large and peaceful.

They followed days of unrest that have roiled several Arab countries. Demonstrations in Tunisia were followed by protests in Algeria, Egypt, Yemen and Jordan.

"They all want the same," said Emile Hokayem of the International Institute for Strategic Studies in the Middle East, speaking of protesters in different Arab countries. "They're all protesting about growing inequalities, they're all protesting against growing nepotism. The top of the pyramid was getting richer and richer."

People are also fed up with authoritarian regimes that do not afford the people proper representation.

Mubarak has not been seen in public for some time. He is 82 and there has been speculation of failing health. Many Egyptians believe Mubarak is grooming his son, Gamal, as his successor, a plan that could be complicated by demands for democracy.

CNN's Nic Robertson, Frederik Pleitgen, Salma Abdelaziz, Housam Ahmed and Caroline Faraj contributed to this report.

@highlight

Tanks roll into Egyptian cities as army takes control

@highlight

President Obama speaks to the Egyptian president after Mubarak gives an address

@highlight

Mubarak says he has asked government to resign

@highlight

Protesters defy a curfew that went into effect at 6 p.m. Friday