When I first poked my head inside Virgin Galactic's newest spaceship, I felt a little like I was getting a front-row seat to space history.

The company, led by billionaire Richard Branson, allowed CNN unprecedented access to a "SpaceShipTwo, Serial Two" spacecraft which was being carefully assembled by workers at a secure facility in the high desert north of Los Angeles.

This invention spun from carbon fiber and imagination is designed to fly tourists some 60 miles high to the edge of space.

In 2008, Branson predicted the company would be launching paying passengers by 2010. Obviously that hasn't happened yet. Meanwhile, more than 700 people -- reportedly including astrophysicist Stephen Hawking, Justin Bieber and Ashton Kutcher -- are awaiting to gain official status as Space Cowboys.

The latest word: Virgin Galactic says it's on track to begin commercial service by the end of this year.

"Rome wasn't built in a day," Branson tweeted in January.

The spaceship I boarded isn't expected to fly until 2015. I was asked not to take photos or video. From the inside, it looks bigger than you'd expect after seeing its 60-foot-long exterior. For some reason I expected more machinery during assembly. Standing inside the cabin's shell, I found four technicians working away with precision and TLC.

There were no furnishings installed yet, so I tried to imagine which of the six seats in the spacecraft would be my choice --  if I could afford a $250,000 ticket.

The cabin is dotted with so many windows it blew me away -- a side window and a ceiling window for every passenger. I imagined myself in the front row. Right side. Stepping carefully to the window, I remembered what space travelers have said about the power of seeing the awe-inspiring curvature of the Earth and what a life-changing experience that is.

I was sort of projecting that as I stood inside the spaceship.

Here's how Virgin Galactic's space tours are supposed to work: Six passengers and two pilots will board a SpaceShipTwo -- a combination rocket and glider. The ship is attached to a powerful airplane, called a WhiteKnightTwo. That plane flies the rocket/gilder up to about 50,000 feet.

Then the real fun starts.

The pilots separate the spacecraft from the plane. They ignite the spacecraft's rocket engine, creating G-forces that pin passengers back in their seats, according to Virgin Galactic. They'll experience "eye-watering acceleration" to nearly 2,500 mph, more than three times the speed of sound.

As the ship reaches higher and higher, the cobalt blue sky turns to black. Then: engines off.

Silence.

Passengers will be allowed out of their seats -- to feel that weightlessness we've all heard so much about.

It will be interesting to learn what really happens during the six minutes of weightlessness that Virgin Galactic says passengers will get on each flight. Imagine all six passengers inside this cabin as they're dying to get that space-faring-selfie they can post online for the rest of their lives.

I'm wondering: What are the rules in space to get those photos? How is that going to work? Is everyone going to be bumping into each other while they're floating around the cabin? There were four workers in the ship's cabin with me, and I could imagine us all bumping into each other -- accidentally throwing an elbow while we tried to maintain balance and control in zero-G.

After the weightless portion of the flight -- if all goes according to plan -- passengers will strap themselves back into their seats before the spacecraft yields to the forces of gravity and begins its glide downward toward sweet Mother Earth.

Related: What does a Virgin Galactic ticket get you?

Perhaps the real, lasting value of this experience will be what passengers bring back with them. Will it change the way they live here on Earth? Virgin Galactic says its primary goal isn't about pushing the boundaries of space exploration. It's about offering people a chance to gain a new perspective on the world -- literally and figuratively. Will seeing the beauty of the planet shift the way passengers interact with the environment? Will it trigger people to embrace more environmentally sustainable lifestyles and technologies?

Whatever the case, the Virgin Galactic website promises: "Life will never quite be the same again."

As anticipation builds towards the maiden passenger flight, here are seven things about the program you may not know:

1. Can we call them astronauts?

Virgin Galactic refers to its space tourists as "passenger astronauts." But Buzz Aldrin doesn't like it. "I don't think they should be called astronauts," Aldrin told CNN in 2010. "That term was created by the U.S. military. My suggestions would be star-traveler or starflyer." Aldrin knows from astronauts. Let's not forget he was the the second astronaut to walk on the moon.

2. Chinese nationals are banned from flights

U.S. anti-espionage laws require Virgin Galactic to ban Chinese nationals from its flights, according to the South China Morning Post. Why? Because rocket engines on the Virgin Galactic vessels reportedly are considered military-grade technology under U.S. arms trafficking laws established during the Cold War. The legislation was designed to prevent certain foreign powers, such as China, from getting hold of U.S. military tech secrets.

3. Virgin Galactic accepts Bitcoin

For the unaware: Bitcoin is an experimental form of money that exists only online. It's not regulated by any central authorty. About 12 million Bitcoins have entered circulation. Branson told CNNMoney last January that a "future astronaut, a female flight attendant from Hawaii, has already purchased her Virgin Galactic ticket using Bitcoins."

4. Look who's hitching a ride: NASA

As everyone knows, NASA figured out how to go to the moon long ago. Now, after the death of the shuttle program, the legendary space agency is relying on others for transportation. Virgin Galactic has agreed to carry a dozen NASA technology experiments on its first commercial research flight.

5. Should Virgin Galactic partner with Google?

Doug Messier, managing editor of the space news site parabolicarc.com, speculates that Virgin Galactic and Google might make a good match to help Google gain a foothold in space. Google already is developing flying wind-turbine technology.

6. DiCaprio's secret seat-mate

At a charity auction last year in France, an anonymous bidder won a Virgin Galactic seat next to actor Leonardo DiCaprio, according to the Hollywood Reporter. Winning bid: $1.5 million.

7. Breakfast in London, lunch in LA

Branson is said to be looking down the road to even more space ventures, including high-speed, point-to-point travel on Earth. Imagine traveling by rocket-plane from London to Singapore in an hour -- or from London to Los Angeles in a couple of hours.

With every delay, the global attention on Virgin Galactic intensifies to prove that it will accomplish what it set out to do years ago. I can't wait to see what happens next. We'll keep you posted.

@highlight

Virgin Galactic space tourism flights are scheduled to begin this year

@highlight

The company is building a fleet of spaceships for passengers

@highlight

700 people have paid hundreds of thousands of dollars each to be passengers

@highlight

Stephen Hawking, Justin Bieber, Leonardo DiCaprio and Ashton Kutcher reportedly are on the passenger list