More than 1.7 million children in conflict-torn areas of eastern Ukraine face an "extremely serious" situation, the U.N. children's agency has warned, with their suffering exacerbated by harsh winter weather.

Many families have been forced from their homes and lack access to safe water, sanitation and schooling.

"Children continue to bear the brunt of this conflict, with schooling disrupted and access to basic services limited," said Marie-Pierre Poirier, Unicef regional director for Central and Eastern Europe and Central Asia.

She called for extra resources to be provided to those in need.

"Extremely harsh winter conditions have made the impact of the crisis more acute," she said.

Government forces and pro-Russia rebels have been battling for control of eastern Donetsk and Luhansk regions since April, after Russia annexed Ukraine's southeastern Crimea region the previous month.

According to a Unicef press release Friday, 147 schools have been closed in parts of the Donetsk region where fighting is ongoing, disrupting the education of about 50,000 children since September 1. While some schools are in ruins, others are closed because of safety concerns.

In government-controlled areas, 187 educational institutions in total have been damaged or destroyed, Unicef said.

The closures mean that besides lessons, children are missing out on the stability and routine that can be provided by school at a time of crisis, helping to alleviate their stress, the agency said.

More than 1 million displaced

It's not just those still living in conflict areas who are affected. Since March, more than 1 million people have been displaced by the fighting, including nearly 530,000 within Ukraine. Of those, at least 130,000 are children, according to Unicef. In many cases they are not attending a new school because their parents have not registered them, anticipating further displacement or planning to return home.

Unicef says it needs $32.4 million to meet the urgent humanitarian needs of 600,000 children and their families in Ukraine.

The funds would help provide access to schooling; enable support to reduce children's high levels of stress; pay for polio vaccines; and ensure 250,000 children and women get safe water and hygiene supplies to prevent outbreaks of disease.

The agency has received $9.4 million in funding and pledges to date.

Amid the fighting, at least 44 children have been killed in Ukraine this year, according to the agency.

Pressure on Moscow

While Ukraine's civilian population suffers, there is little sign of progress in reaching a diplomatic resolution to the crisis.

Western powers accuse Russia of sending troops and equipment to help the separatists in their fight against Ukrainian government forces and have imposed repeated rounds of economic sanctions against Russian interests in a bid to put pressure on Moscow.

But President Vladimir Putin appears to have little appetite to repair relations with the West, despite his country's tanking economy.

Putin told reporters gathered in Moscow on Thursday that his country was ready to mediate in the Ukraine crisis. He also denied that Russians killed in Ukraine were members of his country's military, repeating the long-standing Russian line that any Russians fighting in Ukraine were volunteers.

A ceasefire deal was reached September 5 in Minsk, Belarus, after talks between representatives of Ukraine's government, Russia and rebel leaders in eastern Ukraine. A subsequent agreement on September 19 in Minsk set out more measures.

But fighting in Ukraine has since resumed, with a British security official last month telling CNN that the conflict had returned to levels that preceded the ceasefire.

Military spokesman Andriy Lysenko said during a televised briefing Friday that five Ukrainian soldiers had been killed and seven wounded in the past 24 hours.

Militants, including snipers, fired on Ukrainian positions using rifles and small arms, said Lysenko.

@highlight

Unicef: More than 1.7 million children in Ukraine face "extremely serious" situation

@highlight

Many families are without safe water, sanitation and access to schooling, U.N. agency says

@highlight

147 schools are currently closed in parts of the Donetsk region where fighting continues

@highlight

"Harsh winter conditions have made the impact of the crisis more acute," says Unicef official