Washington (CNN) -- Mitt Romney told Latino business leaders this week in Los Angeles that he is convinced the "Republican Party is the rightful home of Hispanic Americans," but added that "my speech today isn't about my political party."

With good reason.

Unable to close ground on President Barack Obama in the polls, the GOP challenger seeks to woo Hispanic American voters but finds himself hindered by the conservative stance he took on immigration policy in order to win the Republican primary campaign.

Now, his opposition to Obama's move this summer to halt deportations of some children of illegal immigrants puts Romney at odds with a majority of Latino voters, especially younger ones in the fastest-growing demographic of the U.S. population.

Facing a highly anticipated appearance on Wednesday at the Univision News "Meet the Candidates" forum in Miami, Romney has struggled to explain his stance on the issue because of the difference between what his party base demands and what most Hispanic Americans want to hear.

Opinion: Romney better off as a Latino?

He demonstrated his dilemma in an interview on Monday with Spanish-language Telemundo's Jose Diaz-Balart.

Romney lambasted Obama's economic policies in making the case for why the Latino electorate that traditionally backs Democrats should vote for him this time. But he sounded uncomfortable when asked if he would continue the administration's halt in deporting so-called dreamers -- young illegal immigrants brought to America as children who want to study and work in the country where they grew up.

Conservatives oppose the Obama program, calling it an amnesty that increases competition for scarce jobs. During the primary campaign, Romney said he opposed the DREAM Act, a Democratic proposal blocked by congressional Republicans, but also called for an unspecified GOP version that has yet to emerge from the party or his campaign.

"I'm going to make sure that we have a permanent solution to help dreamers, to help these young people who came to this country through no fault of their own, brought here by their parents," Romney told Diaz-Balart, adding that "I want them to understand what their permanent status is. And from the very beginning of my administration, I will work to put in place legislation that is -- that deals with the major immigration issues that America faces, including that one."

He repeated his past intention to provide a pathway to permanent residency for those who served in the military, adding he would work with Congress to find a "reasonable solution."

When Diaz-Balart then asked what happens in a Romney administration to the hundreds of thousands who would benefit from the Obama program, Romney responded: "Well, I'm going to put in place an immigration reform proposal that makes sure that they have a solution."

Would that mean dreamers get deported, Diaz -Balart asked, to which Romney replied: "Well, they're -- they're -- they're not deported immediately today. And -- and that's not, that has not been the practice. My practice is to make sure these people have a permanent understanding and a solution to this issue."

Weak standing among Hispanic voters

To CNN contributor Ana Navarro, a Latina Republican, such equivocation contributes to Romney's weak standing among Hispanic American voters. The ImpreMedia/Latino Decisions weekly tracking poll reported Monday that Obama held a 68%-26% advantage over Romney among Hispanic Americans.

"Romney needs to move beyond his positions during the primary," Navarro wrote in an online commentary. "He promised to veto the Dream Act. He should then tell us if and how he plans to confront the predicament these young people face."

In particular, Navarro asked if a President Romney would revoke or let stand Obama's administrative order providing dreamers with a two-year reprieve from possible deportation, adding: "A simple yes or no will suffice."

Clarissa Martinez, the director of civic engagement for the National Council of La Raza, agreed that Romney needs to clarify his position to have any chance of making headway with Latino voters.

"The question is what would a Romney administration do?" Martinez told CNN, adding that Obama can strengthen his position by hammering Romney on the dreamer deportation issue "because Romney has not come up with a specific position."

According to the ImpreMedia-Latino Decisions poll, immigration is the second-most important issue to Latino voters, behind the economy.

With the November vote likely to be decided in nine battleground states considered toss-ups at this point, the Latino demographic could be crucial in some tightly contested races.

For example, North Carolina's 15 electoral votes are up for grabs in a state Obama won by 14,177 votes four years ago. With more than 182,000 eligible Latino voters in the state, according to the Latino Decisions website, the presidential breakdown could play a major role in determining who wins.

Gaining traction with Latino voters requires the same kind of campaigning as any other demographic, Martinez said.

"The prescription is not much different," she said, advocating outreach and building relationships. "The question is the substance. What are the issues and what are you saying about them?"

For both Romney and Obama, "answering some of these lingering questions would help the outreach go further," Martinez said. "You give voters specificity so they have something to vote for and not just something to vote against."

Can Romney connect with Latino voters?

Immigration advisers

Another issue of concern to Latino voters involves Romney's advisers on immigration, Martinez said, noting concerns about the role that Kansas Secretary of State Kris Kobach could play in a Romney administration.

Kobach, the architect of tough immigration laws in Alabama and Arizona, says he has been advising Romney for years, and the Romney campaign described him as an "informal adviser." However, Romney told Univision America Radio on Monday that he had never met with Kobach.

"He may well be part of a policy team," Romney said. "I have not met with him yet. And don't know whether he is or he is not."

In January, Romney expressed gratitude when the conservative Kobach endorsed him for the Republican nomination.

"I'm so proud to earn Kris's support," he said in a statement at the time. "Kris has been a true leader on securing our borders and stopping the flow of illegal immigration into this country. We need more conservative leaders like Kris willing to stand up for the rule of law."

In another past comment that could draw fire this week, Romney acknowledged at a private fundraiser in May the difficulty Republicans have in winning support from Hispanic American voters.

A secretly recorded video of Romney's remarks shows him saying that "if the Hispanic voting bloc becomes as committed to the (Democratic Party) as the African America voting bloc, then we are in trouble as a party and I think as a nation."

Share your thoughts on Romney with CNN iReport

CNN's Peter Hamby and Rachel Streitfeld contributed to this report.

@highlight

Mitt Romney faces a challenge in wooing Latino voters

@highlight

Romney backed conservative immigration policies in the GOP primary race

@highlight

President Obama halted deportations of some young illegal immigrants

@highlight

Obama's move is popular with Latinos, but opposed by conservatives