LONDON, England (CNN) -- Social networking, Martin Scorsese and cinema classics on demand: this is the enticing mix on offer at new movie Web site The Auteurs.

The Auteurs mastermind Efe Cakarel (center) at Cannes with Celluloid Dreams' Hengameh Panahi (left) and Martin Scorsese.

The self-styled "online cinematheque" allows users to watch art house films from directors like Michael Winterbottom, Francois Ozon and Walter Salles, while Facebook-style profile pages and discussion forums encourage movie debate.

With their innovative approach, The Auteurs hope to introduce art house cinema to a whole new audience.

Recently, The Auteurs announced a prestigious partnership with another more widely known auteur: Scorsese.

The site is collaborating with Scorsese's World Cinema Foundation (WCF) -- an organization dedicated to restoring lost cinema classics from around the world -- to exhibit the refurbished masterpieces online.

The first four rescued works from Scorsese's project are currently available to watch for free on The Auteurs Web site.

Among them are Korean domestic thriller "The Housemaid" (1960) and "Transes" (1973), a documentary about pioneering Moroccan band Nass El Ghiwan, famously described by Scorsese as "the Rolling Stones of North Africa." Watch a clip from "The Housemaid" Watch a clip from "Transes"

"It is really exciting and important to have Scorsese preserving the films he is preserving," said one of the masterminds behind The Auteurs, Eduardo Costantini, over the phone from New York.

"As he said, it's not only important to preserve, but to show -- and he chose The Auteurs because of our look and feel and our philosophy and concept. We are really proud."

The basic ambition behind The Auteurs is to make high quality cinema accessible to a young, global audience by making it available on demand cheaply.

"If you are not in LA, London, New York, San Francisco, Tokyo, Paris, or Berlin, forget it," Efe Cakarel told CNN over the phone from Palo Alto, California.

"Many of these films you cannot get even on DVD if you are living in Warsaw, in Istanbul, in Seoul or Buenos Aires."

The Auteurs is Cakarel's brainchild: an ambitious former Goldman Sachs banker with a head for technology, he came up with the idea back in 2007 in Tokyo when, with some spare time on his hands, he tried to watch Wong Kar-wai's "In the Mood for Love" on the Internet.

"It was very simple. I went online and I did not find a place that I could use," he says. He started writing his business plan there and then.

Cakarel says he knew that if he was going to succeed in his quest to bring quality cinema to the global village he would have to enlist some of the industry's top brass.

Enter Argentine millionaire, Eduardo Costantini of Costa Films, the company behind 2007 Berlinale winner "Elite Troop," and Hengameh Panahi of Paris-based distributor Celluloid Dreams which represents films like Jacques Audiard's "A Prophet," which won the Grand Prize at Cannes Film Festival this year.

Costantini and Panahi have instilled the site with their film knowledge, and paved the way for the site's other major collaboration with masters of the vintage re-release, the Criterion Collection.

Each month, the Criterion Collection curates a free online film festival making available classic films from its large library on The Auteurs. This month, users can watch Michelangelo Antonioni's 1960 classic "L'Avventura" or "Harakiri" (1962) by Japanese master Masaki Kobayashi.

Of course, all this begs the question: is there really a big appetite for auteur-driven feature films outside the lofty but limited cinephile circles -- especially at a time when studio-driven blockbuster fodder like "X-Men Origins: Wolverine" and "Angels & Demons" dominate at the box office?

"I want to create an entirely new audience for these films," says Cakarel. "Because the only thing people in much of the world are exposed to is "Spiderman 3" or "Pirates of the Caribbean" in their local multiplex."

The Auteurs is one of a number of Web sites, like jaman.com, making previously hard-to-find films available on the Internet since the YouTube revolution paved the way for new ways of consuming video on the Web.

The Auteurs' particular niche is auteur-driven cinema combined with social networking: "Putting the films online is only part of it. The moment you put the film in the existing conversation between people that know each other, then you create a platform for discovery.

According to Cakarel, what sets the site apart from the others is quality: each film is individually encoded (compared to most sites, which batch encode films) for the Web which he says gives a higher quality of sound and vision than anywhere else on the Web.

"Being the best in the world has a huge premium and I know that we can be the best in the world," said Cakarel.

The site is cleanly designed, easy to navigate and you can pay to watch films like 1998 Dogme 95 classic "Festen" by Danish director Thomas Vinterberg and "The Corporation," (2003) an unsettling examination of the pre-eminence of big business.

Currently there are 200 films available to watch, some free, but mostly for around $5. Costantini says he hopes to increase the number of films to 1,000.

Despite the unabashedly highbrow aims of the site, both Cakarel and Costantini realize they will need to include more commercial fare if they want to increase membership of the site which currently stands at around 80,000.

"It is important we start getting some major films," said Costantini. "Not only treasures that Scorsese restores but also some films that are more commercial."

Cakarel says he would love to host quality studio films like the Coen's "No Country for Old Men," Oscar-winner "There Will be Blood," and Tarantino's "Inglourious Basterds."

But there are limits: "I will never put a mainstream film that is purely for entertainment; that has no soul on the site.

"You will never see 'Knocked Up' or 'Spiderman 3.'"

@highlight

Scorsese collaborates with Web site The Auteurs to put restored films online free

@highlight

The movie masterpieces were restored by Scorsese's World Cinema Foundation

@highlight

They include Korean film "The Housemaid" and Moroccan documentary "Transes"

@highlight

The Auteurs is an innovative mix of social networking and video on demand