The rationale behind Confucius Institutes -- an international chain of academic centers run by an arm of the Chinese government -- is understandable.

With extraordinary economic growth in the past three decades, China is again center stage in the international community.

In the early years of reform, it was imperative to bring the outside world -- particularly its technology and capital -- into China.

Today, it's imperative to introduce a born-again China to the outside world, especially in light of the myriad stereotypes, misperceptions, and distortions about China that are still prevalent among many foreigners.

While introducing Chinese language and culture to foreigners is a good idea, the aggressive attempt to do so via Confucius Institutes has proved problematic.

The Hanban -- the Chinese government body that operates the Confucius Institutes -- often gives one the impression that it is carrying out a worldwide ideological campaign.

Several U.S. educational institutions -- most recently the University of Chicago and Penn State University -- reportedly have decided to cut ties with the Confucius Institute program over concerns about academic freedom.

In another widely reported incident that adds to suspicions about their ideological agenda, the Hanban ordered pages from a Taiwan scholarly foundation to be removed from a program handed out at the 20th conference of the European Association of Chinese Studies in Portugal in July of this year.

Soft power push

By the end of 2013 there were already 440 Confucius Institutes and 646 smaller Confucius Classrooms across 120 countries.

Given that the first Confucius Institute was founded in 2004 in South Korea, this is nothing short of a cultural "Great Leap Forward" targeted at foreigners.

China's leaders appear to have subscribed to the view that though China already possesses formidable hard power -- in economic and military terms -- it won't be viewed as a truly global power like the United States until it also possesses equally formidable soft power.

The elements of Chinese soft power frequently cited by foreigners when asked about their views of China include the Great Wall, the Forbidden City, pandas, Kung Fu, and the Peking Opera.

With the exception of pandas, however, they are all cultural products of ancient China. What China really lacks is not culture per se, but modern culture that can easily resonate with people around the world

Instead of promoting the controversial Confucius Institutes that are interpreted by some as a sign of cultural colonialism by a rising China, the Chinese government would be better off attracting foreigners to China through scholarships, research grants, and cultural products.

What would Confucius say?

Confucianism was the ruling ideology of China for the better part of Chinese history until 1911. It comprises a set of values, norms, and practices that derive primarily from the teachings of Confucius, a philosopher-teacher who lived from 551 to 470 BC.

While Confucianism has much to say about nearly every aspect of Chinese society, it does not advocate aggressively spreading Chinese culture outside the Middle Kingdom.

Instead, at least from my perspective, it exhorts Chinese emperors to make China a "city on the hill" -- a shining example of advanced culture for other people to admire and emulate.

Besides, there is hardly anything in Confucianism that is both uniquely Chinese and universally appealing.

In fact, some of the core elements of Confucianism -- such as the priority of the state over the individual, hierarchical society, and deference to authority -- are obviously at odds with the dominant trends of the contemporary world.

Those who are familiar with China's post-1949 history also won't miss the irony that the Communist government is marketing Confucius as the icon of Chinese culture.

Confucius and his thoughts were attacked as backward and as an obstacle to China's modernization during the Cultural Revolution (1966-76).

As a result, Confucianism was marginalized in Chinese discourse, only to be revived and promoted by Chinese leaders in the past decade.

In the end, the key to China's soft power hinges on modernizing Chinese culture instead of marketing its ancient heritage.

Such cultural modernization includes not only more appealing cultural products and business innovations, but also fundamental reforms in the Chinese body politic.

To paraphrase the wise words of Confucius, perhaps Chinese leaders should worry less about having little soft power abroad and more about building up a prosperous, free, and just society at home.

@highlight

China is keen to project its culture as well as its economic and military power

@highlight

Chinese government accused of worldwide ideological campaign through Confucius Institutes

@highlight

Several U.S. educational institutions cut ties over concerns about academic freedom

@highlight

Tao: China would be better off attracting foreigners through scholarships, cultural products