Hundreds of demonstrators, including prominent lawmakers, were arrested at a peaceful sit-in in Hong Kong early Wednesday, following a huge rally calling for democracy in the Chinese territory.

Large crowds had turned out for a 5 km march through the city's central business district Tuesday, in a massive show of defiance against Beijing's vision for the city's political future.

Police said 98,600 people took part in the march, while organizers said 510,000 participated. Statisticians from the University of Hong Kong estimated the turnout as between 154,000 and 172,000.

At the end of the rally, student activist groups held illegal sit-ins at two locations, at Chater Road in the heart of the business district, and outside the office of Hong Kong Chief Executive Leung Chun-ying.

Police said 511 people were arrested at the Chater Road sit-in for unauthorized assembly and obstructing police officers.

Among those arrested were pro-democracy lawmakers Albert Ho and Lee Cheuk-yan, their staff told CNN.

At about 3 a.m., police officers began arresting demonstrators at the Chater Road site, telling those present to disperse or face prosecution. Buses were brought in to transport protesters away, and arrests continued through the night, police said.

Joshua Wong, the 17-year-old co-founder of Scholarism, one of the student groups behind the sit-ins, said the demonstrations were a success.

"We were able to show that peaceful, non-violent protest is possible," he told CNN. "We did not engage in any verbal or physical conflict with the police."

Amnesty International described the arrests as "disturbing" and called for the immediate and unconditional release of the protesters.

"This was not an illegal assembly; it was a peaceful and legitimate protest under international law," said Mabel Au, director of Amnesty International Hong Kong.

"The police action was hasty and unnecessary and sets a disturbing precedent."

'Last resort'

Pro-democracy protests on July 1 -- the anniversary of the 1997 handover of the former British colony to China -- are an annual event in Hong Kong.

But public anger over a recently published Chinese "white paper" declaring Beijing's "comprehensive jurisdiction" over the territory, released amid a campaign by pro-democracy activists for universal suffrage, drew a larger than usual turnout.

READ MORE: Hong Kong politics -- an explainer

Marchers gathered in Victoria Park before setting out along the protest route through the downtown business district, amid sweltering temperatures and sporadic heavy rain showers.

Posters of the controversial Beijing white paper, which stressed that Hong Kong does not have "full autonomy" and comes under Beijing's control, were taped to the ground along the protest route for marchers to trample underfoot. At one point along the route, a protester flogged a giant model of the white paper with a whip.

"This is our last resort. If we don't say anything, then Hong Kong will turn into a Chinese city," said a 50-year-old protester, who like many on the march, was not comfortable giving her full name.

A 36-year old teacher was marching with his wife and two young children. "I want them to grow up in a society in which we can freely express ourselves," he told CNN.

Johnson Yeung Ching-yin, convener of the Civil Human Rights Front, the organizers of the rally, said it was a pivotal moment for political reform in Hong Kong.

"If we want real democracy right now, then this rally is very significant," he said.

"We can show the world and show the central government that Hong Kong people want democracy so badly and we will fight for it at all costs."

Lawmaker Cyd Ho Sau-lan said that the march was necessary to send a message to Beijing.

"The Hong Kong government is only a puppet of the central government," she told CNN. "We must pressure the central government, and tell them not to ignore the will of the Hong Kong people."

'One country, two systems'

Under the "one country, two systems" policy, the seven million residents of Hong Kong -- defined as a "Special Administrative Region" of China -- are afforded greater civil liberties than those in the Mainland, under a leadership approved by Beijing.

This reflects an agreement reached between China and the United Kingdom prior to the handover, which promised Hong Kong a "high degree of autonomy" for 50 years after its return.

But there are increasing fears that those freedoms are being eroded.

While the Hong Kong government has promised residents they will be able to vote for their next chief executive in 2017 elections, Beijing says it will only allow candidates who "love China."

Chinese state media carried reports on Beijing's official response to the march, which was that the size of the protest would not change the central government's stance on Hong Kong's political arrangements.

READ MORE: Pro-democracy activism not in Hong Kong's interest, China warns

The Hong Kong government said in a statement that regardless of the calls from protesters for the candidates for the chief executive position to be publicly nominated, Article 45 of Hong Kong's Basic Law stipulated that the power to nominate candidates was vested in the Nominating Committee only.

Pro-democracy campaigners complain that the Nominating Committee is stacked with pro-Beijing appointees, and are calling for Hong Kongers to be able to freely elect their next leader.

Unofficial 'referendum'

Pro-democracy activist group Occupy Central with Love and Peace (OCLP) recently conducted an unofficial referendum in which Hong Kongers could register a "vote" in favor of free elections for the city's next leader.

According to organizers, more than 780,000 did so, significantly higher than the 100,000 they were initially expecting.

Beijing condemned the referendum, with state media editorials branding it an "illegal farce" and accusing activists of sowing "hatred."

But Yeung said he believed the referendum had helped pressure leaders in Hong Kong and Beijing towards a more moderate position.

Occupy Central says that if its calls to reform electoral processes fail, then it is prepared to resort to civil disobedience. The group has floated plans to "occupy" the central business district by mustering thousands of protesters to sit and peacefully block traffic.

READ MORE: Alarm in Hong Kong at Beijing "white paper" affirming Chinese control

@highlight

Huge crowds march in Hong Kong calling for democracy on the anniversary of handover

@highlight

511 protesters arrested at illegal sit-in following the march, say police

@highlight

An annual event, the march is especially charged this year amid a heated political climate

@highlight

Pro-democracy activists are threatening to "occupy" downtown if calls are not heard