ORLANDO, Florida (CNN) -- The search teams comb through the backyards of the half-million-dollar homes with metal detectors, placing red flags on the manicured lawns every time they get a hit. To the shock of residents, they sometimes find live bombs.

The Army Corps of Engineers digs up metal in search for live bombs in an Orlando neighborhood.

The bombs are left over from a 12,000-acre World War II bombing range. The area has become an Orlando neighborhood with thousands of homes.

The Army Corps of Engineers has launched a $10 million cleanup of what used to be the PineCastle Jeep Range, but it said bombs could remain there once they're done.

"Chances are, it's not a problem," said Mike Ornella, the man leading the Army Corps cleanup.

But he conceded, "We're never going to be 100 percent sure. We're never going to give a 100 percent guarantee that the properties are clear."

The developer refused comment for this story. Residents are enraged.  Watch the Army Corps blow up bombs »

"It's incomprehensible," said Frank Kruppenbacher, the general counsel of the Orange County school board. "It starts with my wondering why the U.S. military ever allowed any of these properties [to] be developed without first saying you have to go through X-checklist."

The first bomb was found last summer next to the Odyssey Middle School track. Since that time, 126 rockets and bombs -- with high explosives -- have been found on school property, along with other military debris.

No children have been injured by the explosives. Two adults who found munitions on school property suffered minor burns, including a worker, who while making repairs on the track, uncovered a fragment that was buried under concrete and it caught fire.

A handful of explosives have been found in the housing developments, but no residents have been hurt, officials said.

Kruppenbacher is furious.

"Before they get to walk away and claim 'we're done,' we're going to have a real day of reckoning and assurances," Kruppenbacher said.

Danette Lamb said she and her husband, Russell, raided their retirement savings to pay for their townhouse in the Vista Square subdivision. Their son, Johnny, attends Odyssey Middle School.  Watch neighborhood outrage over live bombs: "It's wrong" »

"It makes you feel bad as a parent because I don't have the funds to go and take my son and put him in private school," she said.

She added that her property value has plummeted since the bomb discoveries.

"What am I going to do with this? Nobody wants to touch this neighborhood. I'm stuck. So this is not my little American family dream that we had."

Red flags mark spots in the ground where metal has been found and needs further inspection. "For Sale" and "For Rent" signs are everywhere.

Most want to know: How could this happen and who's responsible?

The Army Corps of Engineers maintains it's not responsible.

"It was known that this was a demonstration area for war fighting," said Ornella. "People knew it and the information was available. Absolutely available."

Asked if the Army Corps raised enough concerns, Ornella said, "I believe the Army Corps followed the process we are required to follow."

The Army Corps of Engineers did publish government reports more than a decade ago about the bombing range.

A 1994 report said the site "is a possible danger to the public," and a 1997 report cited "strafing, practice bombing, air-to-ground rocket firing, some high explosive bombing."

Ornella said the Army Corps wasn't required to do more to inform anyone about the possible dangers, even though their records show they knew construction was coming.

"Development expected in near future," read a July 1994 report.

The bombing site in Orlando is one of 9,000 formerly used by the Pentagon in the United States, according to the Army Corps of Engineers. Some are being cleaned up, but they said most are not. As in Orlando, some have been the target of lawsuits and some, including a site in Dallas, Texas, have been developed.

The Orlando site jumped to the top of the priority list last summer, when live bombs were found in the area.

Local officials say it's disturbing that home construction was allowed anywhere near the property.

The school board, builders and engineering firms all say they didn't ask because they had no idea it was an old bombing range.

Multiple lawsuits have been filed, accusing builders of gross negligence and seeking unspecified monetary damages.

John K. Overchuck, a lawyer representing homeowners, is suing one builder, Lennar.

"They're the ones who made the money off this property. They're the ones who bought this for dirt, and built these houses for up to a half a million dollars," he says. "They're the ones who made the profit, they're the ones who are responsible because they've got these people suckered into these houses."

Lennar would not consent to an interview to CNN, but did provide a written statement. Lennar says it relied on studies that "made no mention of ... a military range," and claims the military did not show up in property ownership records because, "it had leased the land."

But at the same time, it was no secret that the military once used the property.

Nearly two decades ago, the 1989 development order, in which the county granted the permission to develop the land, shows that builders and developers knew "of the site's history of military use."

The order specifically says that "project construction personnel shall be notified ... of the site's history of military use." It states that construction management must be notified of "suspected findings of potentially hazardous military material."

It further states that in the event of such findings, "the developer shall immediately stop construction at the site of discovery and notify Orange County and the Florida Department of Environmental Regulation."

Homeowner Danette Lamb wants answers.

"Somebody knew something. A lot of somebodies turned their heads and tried to make a quick buck," she said.

Meanwhile, the Army Corps of Engineers continues to survey the land and homeowners' properties. But they can only survey the common areas and grassy areas. Sensors and examining equipment cannot see under roads, cement or the foundations of homes.

Local and federal law enforcement officials say that the issue is a civil matter and that no criminal investigations have begun.

Orlando Mayor Buddy Dyer says homeowners deserve to be angry about the situation.

"We have to make sure that the federal government, who has the ability to right this wrong, does so," he said.

"They [the Army Corps] need to restore the faith in the neighborhood, that their neighborhood is safe and making it a neighborhood that somebody would want to come buy a house in."

But that faith may be a long way away -- if even achievable.

"You can't even give this place away right now. I've tried to re-finance. ... I can't do anything," Lamb said.

@highlight

More than 100 bombs and rockets have been found on Orlando school property

@highlight

Neighborhood was built around a World War II bombing range

@highlight

Army Corps of Engineers is conducting a $10 million cleanup

@highlight

Residents are outraged: "It's incomprehensible"