Imagine being out to dinner with the love of your life and your beautiful, smiling, 3-year-old child.  It's a double celebration: your birthday and the end of your young boy's difficult recovery from surgery for a heart defect.

As you cross the street afterward, holding hands and swinging the little one up in the air, you think, "This is what it's about."

You know it's one of the best days of your life.

For Michael Morton, that day was August 12, 1986.  He had just turned 32.

The next day, it was all taken away.  The dream became a nightmare.

Christine, his wife, was attacked and killed at their home in Williamson County, Texas, just outside Austin.  Michael Morton was at work at the time. Still, authorities suspected him.

"Innocent people think that if you just tell the truth then you've got nothing to fear from the police," Morton says now.  "If you just stick to it that the system will work, it'll all come to light, everything will be fine."

Instead, Morton was charged, ripped away from his boy, and put on trial.  The prosecutor, speaking to the jury in emotional terms with tears streaming down his face, laid out a graphic, depraved sexual scenario, accusing Morton of bludgeoning his wife for refusing to have sex on his birthday.

"There was no scientific evidence, there was no eyewitness, there was no murder weapon, there was no believable motive," Morton says.  "... I didn't see how any rational, thinking person would say that's enough for a guilty verdict."

But with no other suspects, the jury convicted him.  "We all felt so strongly that this was justice for Christine and that we were doing the right thing," says Mark Landrum, who was the jury foreman.

Morton spent nearly 25 years in prison.

He saw his son Eric only twice a year.  "I would love seeing him, I was fascinated with his every move," Morton says.  But Eric "was becoming more distant," Morton says.  "He was becoming less mine."

As a teen, Eric had no memories of his father outside of prison.  Letters his dad wrote him were "just a window into a life that never happened," he says.  His father "barely existed in my life.  I didn't have memories of him outside of the visits to prison."

Eric decided to stop visiting.  "I think it was embarrassing for me to think that I had to go to jail to see my dad."

Michael Morton wrote Eric saying he had to come and tell him that in person.  He did.

"It was another one of those numb, painful things," Morton says.  "I just looked at my sister-in-law and said something like, 'Take care of my son.'"

Eric also changed his last name to that of the relatives who raised him.

Opinion: How to fight prosecutors who abuse the justice system

Trial didn't include critical evidence

A few years ago, a group of attorneys, working pro bono on Morton's behalf, managed to bring the truth to light.  Not only was Morton innocent, but the prosecutor, Ken Anderson, was accused of withholding crucial evidence.

DNA exonerations by the numbers

The little boy, Eric, had seen the attack and told relatives that daddy was not home at the time.  He described the man who did it.  Neighbors had described a man parking a green van behind the Mortons' house and walking off into a wooded area. A blood-stained bandana was found nearby.  None of that evidence made it into the trial.

It took years of fighting, but Morton's attorneys finally got the bandana tested for DNA.  It contained Christine Morton's blood and hair and the DNA of another man -- a convicted felon named Mark Norwood.

Norwood had killed Christine Morton.  And since no one figured that out after her death, he remained free.  He killed another woman in the Austin area, Debra Baker, in similar circumstances less than two years later, authorities say.

Norwood has now been convicted in Morton's killing, and indicted in Baker's killing.

Morton was freed in October 2011.  He was 57 years old. "I thank God this wasn't a capital case," he said.

Morton's story, told in the CNN Films' documentary "An Unreal Dream," shines a spotlight on wrongful convictions in the United States.  More than 2,000 wrongfully convicted people were exonerated between 1989 and 2012, according to data compiled by the University of Michigan Law School.

But Morton's case has paved new ground that could affect cases nationwide.

Last month, Anderson -- Morton's prosecutor who in 2001 became a judge -- pleaded no contest to a court order to show cause for withholding exculpatory evidence. A judgment of contempt from the clerk's office of the 26th Judicial District, Williamson County, Texas, said the court found "Anderson in criminal contempt of court on the matters set out in the show cause order..."

Anderson's punishment pales in comparison to Morton's experience. The former prosecutor stepped down from his position as a judge and agreed to 10 days in jail.  He then served only five of those days, under Texas laws involving good behavior behind bars.

He also agreed to a $500 fine, 500 hours of community service, and the loss of his law license, according to the Innocence Project, a legal clinic affiliated with Yeshiva University's Cardozo Law School.

It's "an extremely rare instance, and perhaps the first time, that a prosecutor has been criminally punished for failing to turn over exculpatory evidence," the Innocence Project said.

The "historic precedent demonstrates that when a judge orders a prosecutor to look in his file and disclose exculpatory evidence, deliberate failure to do so is punishable by contempt," said Barry Scheck, the project's co-director.

The organization is working with the Texas Criminal Defense Lawyers Association and the Innocence Project of Texas to coordinate a review of Anderson's cases.

Anderson, meanwhile, has not publicly acknowledged any personal wrongdoing.  In court, he said he couldn't remember details of the case, and that he and his family have been through false accusations over it.

"I apologize that the system screwed up. I've beaten myself up on what I could have done different and I don't know," he said, acknowledging Morton's "pain."

Morton asked a judge to "do what needs to be done, but at the same time to be gentle with Judge Anderson."

In prepared remarks outside the courthouse, Anderson repeated that he wanted to "formally apologize for the system's failure to Mr. Morton and every other person who was affected by the verdict."

A statement released by Anderson on Thursday said, "This resolution resulted in a finding of contempt only.  As stated on the record, this resolution did not involve any plea by Mr. Anderson to any criminal charge."

The former prosecutor also commented that he "hopes, for the sake of all persons involved, that this resolution brings an end to the tragic situation that began with the brutal murder of Christine Morton in 1986 and that was followed by the incorrect conviction and incarceration of Michael Morton.  Mr. Anderson continues to believe that Mr. Morton's conviction resulted directly from a medical examiner's assessment of Christine Morton's time of death at 1:30 a.m. -- a time when Mr. Morton was indisputably at home with his wife. Regardless of the cause of the wrong result reached in the Morton trial, in light of the DNA results obtained in 2011, Mr. Anderson has consistently expressed -- and continues to express to Mr. Morton and his family -- his regret for Mr. Morton's prosecution and incorrect incarceration."

Morton now works on programs to help other innocent people behind bars.  Earlier this year, Texas Gov. Rick Perry signed the Michael Morton Act into law, requiring prosecutors to turn evidence over to defense lawyers in criminal cases, upon the defendant's request, without the need for a court order.

The law will make the state's criminal justice system "fairer and helping prevent wrongful convictions," Perry said.

'Life has come full circle'

"Other people often feel far more anger than I do," Morton says.  "Vindication is very, very good, but it's something I knew all along. ...  It's really nothing new for me."

He had a religious epiphany in jail, and credits his newfound inner peace with the knowledge that God "loves me."

He's now close with his son -- and daughter-in-law, and granddaughter, who is named after Christine.  "I've never seen a more perfect child," Morton says.

"Life has come full circle," his son Eric says.  "...I do love him."

"The conundrums of life, the philosophical paradoxes, the metaphysical problems -- I feel like I get it now," Michael Morton says with a smile.  "I understand suffering and unfairness. I can't think of anything better to receive than that. I'm good with this."

After 15 years on death row, freedom

Football player exonerated, returns to the field

@highlight

Ex-DA expresses "regret" for Micheal Morton's "prosecution and incorrect incarceration"

@highlight

Michael Morton was wrongly convicted in his wife's murder and served nearly 25 years

@highlight

Jurors convicted Morton, but they weren't allowed to hear all the evidence

@highlight

Morton's ties with son faded over the years, but they've grown close after his release