(CNN) -- All day long, Lucia looked forward to her favorite weekday ritual: putting the kids to bed, changing her clothes, and pouring herself a generous glass of Pinot Noir. "My friends and I joke that motherhood 'drives us to drink,' but sometimes it really does for me," she said.

"I feel like I need it to unwind," she said. Most nights she had three or four glasses, though never, she insisted, more than that. "And on nights that I don't have it," she said, "I really wish that I did."

For a long time, Lucia saw nothing wrong with her drinking. It didn't interfere with her parenting, or her relationships. She got done what she needed to get done. But lately, Lucia had been starting to wonder about her daily habit -- looking as forward to it as she did, and the anxiety that consumed her when she could not have it left her feeling unsettled.

Part of her concern related to a history of alcoholism in her family. "My father was an alcoholic, and I always have in the back of my head this idea that I could become one, too; it's in my genes," she said.

Although men have historically been heavier drinkers than women, there is plenty of evidence to suggest that the gender gap is shrinking, and fast.

According to the Centers for Disease Control and Prevention, more American women are drinking more heavily than ever before: one in eight women binge drink -- defined as four drinks or more in one sitting -- about three times a month.

A forthcoming study in the October 2013 issue of the journal Alcoholism: Clinical and Experimental Research found that college-aged women are drinking more often than their male counterparts, confirming a January 2013 study of college students in Spain found female students were more likely to binge drink than male students.

The National Highway Traffic Safety Administration reports that arrests for women driving while drunk are on the rise, by about 30% from 1998 to 2007. And according to the CDC, white, college-educated woman ages 18 to 24 with $75,000 or more annual household income were more likely to binge drink than women of other races, ages, and socioeconomic categories.

Part of this rise in alcohol consumption may have something to do with young people staying single longer; presumably women are out socializing more often than women their age were likely to do 20 years ago.

They're also working more, and drinking is often part of the job in male-dominated industries, like banking and tech. A study that appeared in the December 2011 issue of Alcoholism: Clinical and Experimental Research, which tracked alcohol consumption in those born after World War II, suggested that the move toward gender equality may correlate with higher drinking rates. This suggests that more women have the opportunity, and the pressure, to socialize for work and "drink like men."

After all, although the three-martini lunch is a "Mad Men"-era relic, alcohol undoubtedly still plays a key role in many work functions. Entertaining clients is one way colleagues compete, while after-work socializing is an ever-important part of the professional culture. Many who don't participate in the interoffice networking often feel left out of the group, or even suffer professionally.

And yet women with careers aren't the only ones getting a bigger buzz than ever before. A University of Cincinnati study found that, surprisingly, married women actually drink slightly more than their single counterparts.

Sarah, a stay-at-home mother, began to drink more frequently after having her third child. She was often drinking alone, because her husband traveled a lot for work. "My social life is just so restricted; I'm home every night," she said. "I used to have an active social life. Now, most of my evenings are about feeding kids, cleaning kids, putting them to bed -- and then collapsing in front of the TV." Sometimes, she said, having a drink was a way to remember some of the excitement of her old life. Other times, it was just something to do.

Sarah certainly isn't unique and, in fact, there's been a movement toward a certain acceptance -- in some cases even glorification -- of mothers who drink. Popular Facebook groups like "Moms Who Need Wine" and "OMG I So Need a Glass of Wine or I'm Going to Sell My Kids" have tens of thousands of fans, inspiring one winemaker to create a label of wine especially for stressed-out moms. "Put your kids to bed," the label for MommyJuice Wines reads, "and have a glass of Mommy Juice."

Though meant, as a concept, to relieve mothers of the pressure to be perfect, the promotion, even half-seriously, of alcohol as an escape, something deserved as a reward for a long day of parenting, has helped make evident the biggest issue of all: That many women don't realize what problem drinking looks, or feels, like.

Like Lucia, many problem drinkers will never find themselves hitting "rock bottom" or facing any sort of trouble. Instead, they may experience far more prosaic effects, which prevent them, and their family and friends, from recognizing their over-consumption. A recent UK study of more than 22,000 people published in the European Journal of Public Health found that the average woman underreports her weekly drinking by 60%, and that up to 80% of women exceed the recommended daily intake.

Are they alcoholics? It's hard to say. But if you believe that alcoholism is defined by a preoccupation with drinking, a steady increase in the amount you need to drink in order to get the same effect, and an inability to give it up -- and most in the medical profession do -- then more and more women fit the profile quite nicely, though often come to the realization on their own.

"My husband only ever commented on the number of bottles in the recycling," said Lucia, who eventually quit drinking altogether. "He'd be like, 'You drank all that? But you weren't drunk at all!' Except, looking back, I sort of was."

The opinions in this commentary are solely those of Peggy Drexler.

@highlight

Women talk to Peggy Drexler about needing to drink to unwind after day with kids or work

@highlight

Drexler: More women drinking more heavily; college age women drinking more than men

@highlight

Websites promote moms drinking wine, she says. Often women don't see signs of trouble

@highlight

Drexler: Rise might be cause women staying single longer, working at traditional male jobs