(Health.com) -- The changes may be subtle, especially at first: An aging executive misses an appointment or two, or can't recall what was said in last week's meeting. A doctor who's nearing retirement suddenly blanks on a longtime patient's name.

So-called senior moments like these aren't unusual as people age, but if memory lapses on the job persist, get worse, and can no longer be overlooked or downplayed by colleagues, it could be a red flag for Alzheimer's disease.

"New cases of Alzheimer's occur every 70 seconds," says Richard Mayeux, MD, a professor of neurology, psychiatry, and epidemiology at Columbia University, in New York City. "The total number of individuals with problems like this will increase as the population ages."

Health.com: 25 signs and symptoms of Alzheimer's disease

Given the aging population and the weak economy -- which is prompting older people who do have jobs to stay in them -- the problem will likely only get worse. More than 5 million people in the U.S. have Alzheimer's disease, and this number will quadruple by 2050, according to the Alzheimer's Association.

In a survey conducted by the Pew Research Center in May, 35% of employed adults over the age of 61 said they'd delayed their retirement due to the recession. Roughly 60% of people in their 50s were worried they would have to do the same.

Spotting the warning signs of Alzheimer's

What does early Alzheimer's look like on the job? The warning signs may differ depending on the profession, but one common denominator that affects executives, doctors, and construction workers alike is an overall decline in job performance, according to John C. Morris, MD, the director of the Alzheimer's disease research center at Washington University, in St. Louis.

"People just can't do their job as well as before," Dr. Morris says. "These changes or declines in mental ability are subtle, so co-workers will cover up at first and make excuses such as 'Well, Fred is getting over the loss of his brother' or 'We just got a new computer system.' Gradually, their level of responsibility has to keep getting reduced so the person is either let go or kept on in a largely ceremonial role."

Health.com: 9 foods that may help save your memory

This pattern of rationalization and decreased responsibility is "very common," says Patrick Lyden, MD, the chair of the department of neurology at Cedars-Sinai Medical Center, in Los Angeles. "We see it most often in businesses where the founder is still in charge."

Short-term memory loss is the hallmark early symptom of Alzheimer's. Initially, memory problems may show up as forgetting appointments, repeating anecdotes, confusion, misplacing things, and trouble finding the right word in conversation.

"Eventually the diagnosis is made when the impairment is to the point where no one can ignore it anymore," Dr. Lyden says. "People come to me because the forgetfulness has gone beyond names and phone numbers to include meetings, key decisions, and reiterating and rehashing decisions that have already been made."

Health.com: How to age-proof your memory

Memory loss isn't the only warning sign, however. Others include difficulty with technology and new tasks, and personality changes such as becoming more withdrawn and less talkative. In some cases, people may become irritable or agitated, or may start to behave inappropriately.

These signs often become noticeable in the workplace before anywhere else. "A lot of time stuff shows up at work that doesn't show up at home," says Anna Treinkman, RN, a nurse practitioner at the Rush University Alzheimer's Disease Clinic, in Chicago.

Getting help

If a person begins to experience persistent memory problems and other signs of Alzheimer's, the first step is an evaluation that may include blood work, an MRI, and tests of mental function, says Dr. Mayeux, who wrote about Alzheimer's symptoms in the workplace in the New England Journal of Medicine earlier this year.

It's important to seek medical attention sooner rather than later, as early diagnosis may improve prognosis, says Nina Silverberg, PhD, assistant director of the Alzheimer's Disease Centers program at the National Institute on Aging, in Bethesda, Md.

"Get evaluated by a medical professional, whether a neurologist, neuropsychologist, or primary-care doctor," Silverberg says. "The belief in the field is that the earlier you catch it, the more effective certain treatments are. The less damage [to] the neurons, the more likely we will be able to preserve what you have for as long as possible."

Health.com: Alzheimer's disease: Should I take medicines?

If early Alzheimer's is diagnosed, starting one or more prescription drugs may help slow the progression of the disease. But the available medications work only for a short period of time and only in some people, Silverberg says.

How to handle Alzheimer's at work

If you have a co-worker who you suspect may be showing signs of Alzheimer's, sitting down with the person and expressing your concern in a nonjudgmental fashion can be helpful. "Say, 'Have you noticed any memory problems? Do you have concerns or has anyone else commented about this?'" Treinkman suggests. Calling a family member may also be an option.

Although a person could become defensive, "it's in their best interest to get an evaluation while still working, so they don't get fired," Treinkman says. Some employees may be eligible for short- or long-term disability, she adds.

Health.com: Should you get disability insurance?

The Social Security Administration recently approved expedited benefits for people who have been diagnosed with early-onset Alzheimer's, which is defined as dementia occurring before age 65 (when Medicare kicks in). Roughly 10% of Alzheimer's cases are early-onset.

Mary Sano, PhD, the director of the Alzheimer's disease research center at the Mount Sinai School of Medicine, in New York City, worries that the legitimate concerns about rising rates of dementia in the workplace could spill over to older workers who are still competent.

"The awareness of a progressive disease with likelihood of further deterioration would impact on the ability to continue in many types of jobs," Sano says. "Raising the retirement age could increase the likely occurrence of the working population being at risk for the disease, but most problematic is the potential stigma that this risk may impose on an older worker."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2010

@highlight

Short-term memory loss is the hallmark early symptom of Alzheimer's

@highlight

The SSA approved benefits for people who have been diagnosed with Alzheimer's

@highlight

These signs often become noticeable in the workplace before anywhere else