(CNN) -- In this year's season of commencement speeches, these academic rites of passage have become the subject of fierce political controversy.

Just over the past few months, several prominent invited speakers, including Condoleezza Rice, Christine Lagarde, and Robert Birgeneau have withdrawn following a campus backlash to news they would be coming to Rutgers, Smith, and Haverford, respectively. This trend is not entirely new, since college students have been protesting proposed speakers for many decades.

But there is some indication that in the age of social networking and the Internet, where news spreads around campus and across state lines quickly, the controversies will continue to intensify.

Regardless of what one thinks of the politics of any of the speakers at the center of this year's debates, these and other incidents could have the unfortunate impact of producing future invitations only to those who will not be controversial or say anything bold.

Rather than big ideas or stimulating thought as a result of commencement exercises, we could head down a road where parents and students congregate to hear a few jokes and milquetoast comments before heading home with their degrees.

This would be a loss. In fact, sometimes commencement speeches have been the venue to introduce bold ideas to the American public.

Fifty years ago, toward the end of May 1964, President Lyndon Johnson -- just six months after becoming president following the assassination of JFK -- stepped up to the podium at the University of Michigan. On a bright sunny day, Johnson spoke to about 85,000 people who were packed into Michigan stadium, celebrating the class of '64, to introduce them to the idea of a Great Society, an idea that would guide a transformation in public policy that lives on today.

The speech had been a long time in the making. For months Johnson had been struggling to come up with a concept that would describe his legislative agenda. Richard Goodwin, who had worked as a special counsel to the House Legislative Oversight Committee that had investigated the quiz show scandal in 1959 and who had worked as a speechwriter for President Kennedy, was given the task of solving Johnson's problem.

Goodwin had kept a close eye on the growing ferment on the college campuses in the early 1960s, including the establishment of the left-wing Students for a Democratic Society which was committed to achieving civil rights and participatory democracy. Goodwin met with the best experts he knew to come up with a phrase that summed up Johnson's program.

Princeton historian Eric Goldman, whom Johnson had recruited as an adviser, said that Johnson should focus public attention on issues other than economic growth. He mentioned the title of a book by the journalist Walter Lippmann, called "The Good Society." Goodwin shared the concept with adviser Bill Moyers who then used it in a number of smaller speeches for LBJ leading up to the graduation.

On May 22, 1964, Johnson delivered his 20 minute commencement address, which was only finished the night before, to the exuberant students at Michigan. The speech was a smash hit. The students interrupted Johnson several times to applaud.

Johnson told the students that the nation had the possibility of reaching beyond merely being a "rich" and "powerful" society to becoming a "Great Society" that delivered something more.

He said: "The Great Society rests on abundance and liberty for all. It demands an end to poverty and racial injustice, to which we are totally committed in our time. But that is just the beginning. The Great Society is a place where every child can find knowledge to enrich his mind and to enlarge his talents. ... It is a place where the city of man serves not only the needs of the body and the demands of commerce, but the desire for beauty and the hunger of community."

"Will you join in the battle to give every citizen the full equality which God enjoins and the law requires, whatever his belief, or race, or the color of his skin? Will you join the battle," Johnson asked, "to give every citizen an escape from the crushing weight of poverty?"

Richard Goodwin, who watched the speech from the White House, felt as "if I were hearing the words for the first time, experiencing the exhilarating revelation of suddenly widening horizons. ... I clapped for the president, and for our country." Johnson was exhilarated by the response. On Air Force One, he walked to the back of the plane to recap the key points with reporters so that they did not miss them for their stories.

The speech provided powerful motivation to legislators and activists who struggled over the next few years to pass legislation that enhanced the power of the federal government to provide support for education, medical care, voting rights, environmental programs, housing support and more.

Today, liberals can certainly look back at the speech for inspiration, finding a powerful set of arguments to use to justify government intervention through programs such as the minimum wage, health care, and green jobs.

Johnson's vision in the speech was that the government could help make the quality of life better for all Americans and provide the tools that every citizen needed to become self-sufficient and independent actors. Some of the programs didn't turn out as well as he hoped. But others, such as Medicare for the aged and voting rights for African-Americans, proved to be stunning successes.

The ideas that Johnson proposed were certainly controversial. At the time a powerful bloc of Southern conservative Democrats and Republicans controlled Congress and had little appetite for growing government. Republicans were about to nominate Arizona Sen. Barry Goldwater as their nominee for the 1964 election, indicating that the right-wing was a growing presence in national politics. For every organization like the Students for Democratic Action there was another, like the conservative Young Americans for Freedom that saw the future through a much different lens.

Commencement talks can be more than about celebrity, funny quips, and attention-gaining opportunities for colleges. They can be moments that truly inspire and change the national conversation. A little over 50 years ago, Lyndon Johnson was able to accomplish that in Ann Arbor.

@highlight

Controversy led three speakers to drop out of commencement talks this year

@highlight

Julian Zelizer: It would be a shame if colleges only invited those who give bland, inoffensive speeches

@highlight

Commencement speeches can be an opportunity to introduce bold ideas, he says

@highlight

President Lyndon Johnson made a stirring case in 1964 for his vision of a "Great Society"