(CNN) -- With a name like Chiqui Cartagena, you can't escape the fact that you're different from your classmates in school. From the first grade on, I was constantly looked down upon and treated differently -- and sometimes not so nicely.

I'm an Army brat. My father was a decorated veteran of the Puerto Rican 65th Infantry Regiment that bravely fought in the Korean War. When he left the armed forces, he became a corporate executive for General Electric in Spain, which is where I grew up from the age of 6 until I was 21 years old.

When I came to the U.S. to finish my education and became a journalist, I was fascinated by how little people really understood Latinos. So I have spent my whole professional life helping my fellow Americans understand who we are.

The last two Census reports and presidential elections have certainly elevated the awareness of the power and growth of the U.S. Latino community, especially in certain sectors, politics being one of them. But there is still a lot of ignorance about the important impact Hispanics are having on every sector of the U.S. economy.

U.S. Latino population is growing fast, and traditional demographic patterns are shifting

There are seven sectors of business -- retail, food, entertainment, financial services, etc. -- that offer companies unprecedented domestic growth opportunities, if only they will focus their efforts on marketing to Hispanics. But business leaders don't feel like they know how to take the proper steps to capitalize on their Hispanic opportunity, so they don't do anything at all.

On average, only 5% to 6% of all advertising budgets is allocated to marketing to Latinos, who already represent 17% of the total population and 20% or more of key demographic groups -- children, teens, and millennials. Clearly, there is a fundamental gap between awareness of the need to start marketing to Latinos and the ability to do so.

Business leaders often don't know where to begin. It all feels very scary to them -- partly because for so long, language has been the main way people think about Hispanic marketing, when in fact, it's all about culture and creating marketing campaigns that are culturally relevant.

Fewer Latinos will speak Spanish, more non-Latinos will

When minorities in general make up almost half of all millennials -- with Hispanics accounting for nearly 25% of them and growing at the fastest pace -- this is an opportunity you can no longer ignore. How can you have a millennial strategy without asking yourself "What about Hispanics?"

You simply can't afford to leave out one quarter of your target simply because you don't know how to talk to them. If you do, chances are your competition will figure it out and you will lose in the long term.

Hispanics are creating a new baby boom in the United States.

Think of it this way: Every 30 seconds, two non-Hispanics reach retirement age and one Latino turns 18. Like the baby boomers before us, the Latino baby boom will affect every aspect of American life over the next 50 years. Do you want to be the one missing out on this opportunity? I think not.

Although I have spent the last month giving speeches about the importance of the Latino community as part of various events celebrating Hispanic Heritage Month, I feel like the designation of Hispanic Heritage Month is becoming an anachronism. In many ways the influence of Hispanics on America can be felt every day.

Does Hispanic Heritage Month matter?

From the grocery aisle where you pick up your Corona beer and your dulce de leche ice cream, to the Billboard charts where Pitbull, Marc Anthony and Jennifer Lopez routinely dominate, to the lunch you order at Chipotle or Panera or, in fact, at the great American fast feeder, McDonald's -- the Latino effect is everywhere.

The media and both political parties now readily acknowledge that it was the influence of the Latino vote in the key swing states that got President Barack Obama re-elected last year. In fact, just two weeks ago, Mitt Romney said that insufficient Hispanic outreach was his largest error in 2012.

The story behind Hispanic Heritage Month

"The largest strategic error was not investing sufficiently, particularly in Hispanic TV and Hispanic outreach to help Hispanic voters understand that ours is the party of opportunity," Romney told CNN's Jake Tapper of the lesson to be learned for GOP presidential campaigns of the future.

Funny, because just this past summer, Univision Network made history when it came in first place during the July sweeps, beating ABC, NBC, CBS and Fox in the much coveted demographic of adults 18-34.

I can't think of a more appropriate way to recognize the influence Hispanics are having on America.

25 stories that shaped the Latino community

The opinions expressed in this commentary are solely those of Chiqui Cartagena.

@highlight

Cartagena spent whole professional life helping fellow Americans understand Latinos

@highlight

Every 30 seconds, two non-Hispanics reach retirement age and one Latino turns 18

@highlight

"Latino baby boom" will affect every aspect of American life over the next 50 years

@highlight

Cartagena: Businesses can't afford to ignore Hispanics, one-quarter of their market