(CNN) -- Perhaps it is ironic that in London Fashion week, a man who crafted one of the most beautiful and enriching football tapestries should be left watching the seams of his work unravel.

While the next set of trendsetters sit with their heads craned towards the catwalk across some of the capital's plushest venues, one of football's great designers was left shrouded under a cloak of misery on a cold February night in north London.

As Arsene Wenger trudged off down the Emirates tunnel, his side soundly beaten 3-1 by Bayern Munich in the first leg of its last-16 Champions League clash Tuesday, perhaps the reality had at last set in.

Outplayed and outclassed, the seemingly unstoppable chasm between Arsenal and Europe's elite shows no sign of stopping.

When Wenger arrived as a virtual unknown at Arsenal in October 1996, few had the foresight to imagine just how this professorial figure would redefine the game in England.

While his look may have suggested a more school teacher like approach, the reality was anything but.

It was art. From knitting together one of the most wonderfully aesthetic sides to have graced the Premier League and embroidering it with gems such as Thierry Henry, Dennis Bergkamp and the other strands of brilliance, Wenger brought about a renaissance period in English football.

To watch Wenger's Arsenal in its pomp was something joyful to behold, a privilege and a delight.

And yet while it was easy on the eye, this team was made of such strong fabric, resilient, interwoven with the DNA of winners.

Those were the days when Bergkamp would produce moments to take your breath away, pirouetting on a sixpence and scoring a goal which would leave you open mouthed.

Thierry Henry would have you believe he was from a different planet with an outrageous flick, run and finish, while the gladiatorial Patrick Vieira would give Arsenal the heart it so sorely lacks today.

The likes of Robert Pires, Freddie Ljungberg, Marc Overmars, Emmanuel Petit, Sol Campbell and Ashley Cole, players who would excite, produce when it mattered. They were winners.

This makes it all the more galling for Arsenal fans, who have watched their club fall dramatically from the days where it produced some of the most scintillating football ever witnessed in the Premier League.

During the 2003/4 season, Arsenal went through an entire season unbeaten, winning 26 and drawing 12 of their 38 league games, cruising to the title by 11 points. That team was labeled 'The Invincibles'.

Those days seem a lifetime ago. Not since its FA Cup win in 2005 has Arsenal managed to win a trophy -- a fact which Wenger is reminded of almost daily whenever he lifts a newspaper or turns on the radio.

The three Premier League titles and four FA Cup trophies are part of yesteryear as is the club's appearance in the 2006 Champions League final, where it was beaten by Barcelona.

In a society which demands instant gratification, Wenger is losing the battle.

Held up as a beacon of financial prudence and a club ideally positioned for the advent of the FFP rules, Arsenal is constantly applauded for the way it conducts itself.

But while the bank accounts might be full, the trophy cabinet continues to gather dust as frustration grows over the lack of progress made on the pitch.

The sale of star players such as Robin van Persie and Cesc Fabregas has only exacerbated the fact that Arsenal can no longer compete with the likes of Manchester United, Manchester City and Chelsea over an entire season.

Being dumped out of the League Cup, the country's third most important domestic competition, by a Bradford side in the bottom rung of English football, was humiliating.

Crashing out at home to first division Blackburn in the prestigious FA Cup was another embarrassing episode in a season which is unraveling at an alarming pace.

But against Bayern, a team seemingly cruising to domestic title success, there was a chance for redemption.

A lesser club than Bayern might have wilted under the disappointment of losing last year's Champions League final inside its own stadium in such heartbreaking fashion.

The penalty shoot out defeat by Chelsea left its players crushed, devastated and bewildered after it had dominated for so much of the contest.

Its reply, however, speaks volumes for the team. A 15 point lead at the top of the Bundesliga, a team with a record of 57 points from 22 games and a defense which had conceded in 450 minutes of football shows little sign of sulking.

Add to that the staggering run of away form which had seen Jupp Heynckes team win 10 out of its past 11 away games and it was obvious to see why Arsenal was up against it.

Fresh from Wenger's outburst at the press conference Tuesday and its shock FA Cup defeat by second-tier Blackburn last Saturday, Arsenal began confidently.

At least it did for the first six minutes. Then it all went downhill.

Germany international Tony Kroos was afforded time and space and duly took advantage, lashing home his fifth Champions League goal and giving Bayern the perfect start.

That strike tore through the already fragile confidence of an Arsenal side which looked decisively anaemic.

While Arsenal struggled, Bayern appeared to be cut from a different cloth.

The Germans swarmed around the pitch, every pass tailor made as it unpicked the stitching in Arsenal's defense with ease.

It took just 21 minutes to leave Arsenal's dream of qualification ripped to shreds as Bayern strengthened its grip on the contest.

Goalkeeper Wojciech Szczesny could only parry Daniel van Buyten's near-post header and Thomas Muller was on hand to smash the ball into the roof of the net.

The interval brought respite from the jeers which greeted the halftime whistle and gave a chance for Arsenal to regroup.

And regroup it did. Suddenly it awoke from its nerve induced coma and began to show glimpses of what its fans so badly crave.

That fleet of foot, that crisp passing with the wonderfully talented Jack Wilshere trying to thread those "eye of the needle" passes to finally find a way through the Bayern defense.

In the end, it took some luck and an uncharacteristic piece of poor defending which allowed the home side back into the game.

A corner was awarded when it shouldn't have been and Lukas Podolski ensured his side made the most of its good fortune, heading home against his former club to reduce the deficit.

Now it was Arsenal which began to grow and only a wonderful reaction save from Manuel Neuer denied substitute Olivier Giroud an equalizer.

It proved to be a crucial moment as with 13 minutes remaining, Mario Mandzukic bundled home Philipp Lahm's cross to all but end Arsenal's hope of making the quarterfinal.

Bayern, which is unbeaten in 19 games since losing to Bayer Leverkusen on October 28 last year, will now expect to finish the job on March 13 in Munich.

"We expected a very big start from Arsenal here at home with the fans behind them," Bayern's Arjen Robben told ITV.

"I know from my time in England and we warned all of the players we have to be there from the first minute because there will be a storm going here at the Emirates Stadium.

"I think we did very well and of course if you score two goals you're in a great position."

Based on past results in the competition, Arsenal has just a 2.2% chance of progressing to the next stage -- but in Wilshere it has one player with great heart and determination.

It is little surprise that Barcelona's players are already beginning to voice their admiration of the midfielder in a similar way they did during the pursuit of Cesc Fabregas.

For now Wilshere remains at Arsenal and fully focused on the task in hand.

"In the second half, we stepped it up and it's unfortunate we didn't do that in the first half," Wilshere told ITV.

"I'm not sure why. Maybe it's a bit of nerves or anxiety, because we show what we can do when we play. We will look at it and try to put it right."

But while Wenger ponders a redesign, Bayern will surely only grow stronger.

For next season they will have their own artist and in Pep Guardiola, the former Barceloan coach, it will have a man who has produced one of the great works of modern football.

In the night's other game, Joao Moutinho's second half strike was enough to give Porto a 1-0 win over Malaga.

In a tight and cagey contest, Moutinho popped up six minutes after the break to take Alex Sandro's pass in his stride and fire home past Willy Caballero.

But Malaga coach Manuel Pellegrini is adamant his side can still prevail when the two teams meet again in three weeks time.

"Whether it is a good result or not we will see at the end of 180 minutes," Pellegrini told Spanish TV station TVE.

"To lose is never good, but losing by just the one goal is the best thing we can take from the game.

"For all the possession Porto had they didn't create many clear cut chances and even the goal itself is offside.

"You have to give credit to Porto for the way they pressed us all over the pitch, but we have to apply the same pressure in Malaga.

"We can still turn the tie around at La Rosaleda. We have demonstrated this year that we can compete with anyone."

@highlight

Bayern Munich claims a 3-1 win at Arsenal in last-16 of Champions League

@highlight

Toni Kroos, Thomas Muller and Mario Mandzukic score crucial away goals

@highlight

Porto will take 1-0 lead to Malaga for second leg of last-16 clash

@highlight

Joao Muutinho's second half strike the difference between the two sides