Many Americans think global warming is a distant risk that threatens faraway places with ice caps and polar bears. Very few Americans link global warming to infectious disease, but that could change.

As the climate of the northern United States warms, the Asian tiger mosquito, one of the world's most invasive pests, continues spreading northward from Texas to New York, while extending its breeding season. These changes are happening just when chikungunya, an infectious disease carried by this and other mosquitoes, is rapidly spreading throughout the Caribbean. Pieces are falling into place for a historic epidemic on U.S. shores.

If that happens, then mosquitoes might just shift the debate from whether climate change is happening to a more serious discussion on how to respond to the consequences of a warmer world.

Studies by the Yale Project on Climate Change Communication have found that when Americans are informed about the broad health consequences of climate change, they are more likely to engage with the issue. When what's threatened are our neighbors, rather than far away polar bears, the perception of climate change is likely to shift.

When informed about the broad health consequences of climate change, participants surveyed by the Yale Project for Climate Change Communication are more likely to engage with climate issues. In the end, disease-carrying mosquitoes don't care if you are a Democrat or a Republican.

Asian tiger mosquitoes are opportunistic; they breed nearly anywhere. Unlike most other mosquitoes, they bite all day long. Nor do they mind having their blood meal interrupted by an attempted swatting. They just fly off to other victims and increase the odds of spreading disease.

Arriving in Texas in the mid-1980s,  Asian tiger mosquitoes spread northward to their ecological limit where annual average temperatures are 50 degrees Fahrenheit or warmer — a boundary that runs more or less through New York City. Indeed, New York health officials are monitoring Asian tiger mosquitoes in 61 locations across the city's five boroughs. The mosquito is abundant in the Washington, D.C., area.

The Asian tiger mosquito is also adapting its behavior and is able to ignore the onset of autumn, postpone hibernation, and extend its egg-laying season. More time to breed allows more Asian tiger mosquitoes in northern latitudes, just as one of the worst diseases they can carry arrived near U.S. shores.

News reports on chikungunya picked up their pace last December when the disease first appeared on the Caribbean island of St. Martin. We know it originated in East Africa, how the Makonde people in Africa named it for the contorted posture related to its painful arthritis-like symptoms, that the number of confirmed or suspected cases in the Caribbean has passed 25,000, and that it is highly likely to spread to the U.S. mainland. There is little or no discussion of the virus' propensity to mutate.

Although the outbreak is driven by the yellow fever mosquito, which thrives only in the tropics, recent mutations allow the chikungunya virus to be carried 100 times more efficiently by the Asian tiger mosquito.

This new virus strain infected hundreds of thousands of people on Reunion Island in the Indian Ocean in 2005; about 255,000 cases were reported. Many died and thousands experienced high fever and intense physical pain. The same strain has caused at least five outbreaks in Asia affecting millions, with smaller outbreaks in France and Italy.

Unfortunately, just when public health officials should be preparing for a chikungunya outbreak in the United States, the federal budget sequestration reduced funding for research on all infectious diseases. Global warming is enabling the Asian tiger mosquito to spread northward, yet climate policy remains stalled in Congress, where some elected officials still dismiss even the reality of the measurable rise in global temperatures since the Industrial Revolution.

The relationship between climate change and infectious disease needs to be a focus of the nation's strategy for outbreak prevention, preparedness, detection and response. Public understanding of chikungunya and the broader links between rising temperatures and human health could help change public discourse.

Since the first outbreak of Lyme in Connecticut, the disease has already spread into Canada. cryptococcosis, a frequently lethal fungal disease formerly restricted to the tropics, was identified in the Pacific Northwest in 2007. Valley fever and hantavirus are also spreading. All have been associated with changing environmental conditions as temperatures increase. Do we really need to wait until chikungunya arrives in the United States before we initiate responsible climate and human health policies?

@highlight

Writers: Global warming doesn't just hurt polar bears; it can help spread disease

@highlight

Writers: Chikungunya-carrying Asian tiger mosquito's range expands as nation warms

@highlight

They say the illness is spreading in Caribbean and is highly likely to spread to the U.S.

@highlight

Writers: We need to act on relationship between climate change and infectious disease