(CNN) -- Faced with some of driest conditions Texas has seen in nearly a century, firefighters around the state are struggling to fight off what a forest service official on Sunday called the "perfect storm for wildfires."

April Saginor, a spokeswoman with the Texas Forest Service, said crews were having difficulty getting hundreds of blazes under control due to a rare combination of strong winds, unseasonably warm temperatures and low humidity. Conditions this spring are the driest they've been in Texas since 1917, she claimed.

Authorities have responded to 7,807 fires across more than 1.5 million acres since this year's wildfire season began, Gov. Rick Perry wrote in a letter late Saturday to President Barack Obama requesting that the federal government declare Texas a disaster area. These have affected all but two of the state's 254 counties.

On Sunday, some 1,300 personnel representing 34 states were on the front lines battling these fires. And, unless there is a drastic and sustained change in conditions, Saginor said she expects the fight to continue for several months more.

"We're looking at this as a marathon, not a sprint," she said. "We're very committed to this."

To that end, Perry's request to federal authorities -- which he made late Saturday and announced Sunday -- was an attempt to expedite federal assistance.

"I have determined that this incident is of such severity and magnitude that effective response is beyond the capabilities of the state and the affected local governments, and that supplementary federal assistance is necessary," the governor wrote in his letter to Obama, sent through a Texas-based Federal Emergency Management Agency official.

Saginor noted that rural areas and more populated areas like Austin have been affected -- though she added that there have been no civilian casualties and problems with numerous evacuations that have taken place. The governor noted that one firefighter has died and 18 others have been injured, while 244 homes have been destroyed and another 8,514 threatened residences "saved."

"The wildland fire risk potential has reached a critically high level," Perry said. These conditions "present a serious hazard to the lives and property of the citizens of the state."

New and evolving wildfires prompted three sets of evacuations Sunday, all while crews tried to prevent further damage all around the state.

The Texas Forest Service announced in a statement that, as of 2:15 p.m. Sunday, people were being ordered to evacuate from Strawn and other parts of Palo Pinto County and Caddo in Stephens County.

Strawn's population of 764, the forest agency said, is endangered by a fire fanned by strong winds and fueled by "extremely dry" conditions in north central Texas. People in other parts of Palo Pinto County, including those in about 300 homes and a campground in the Peninsula on Possum Kingdom Lake, have also been told to leave.

Saginor explained that these actions are part of a trio of nearby fires that, collectively, have burned 55,000 acres. Numerous resources -- including three helitankers (helicopters that dump water), two Blackhawk helicopters and three 20-man crews -- have been brought in, she said.

A 2,200-acre fire imperiled Caddo, where 40 people lived in 2000, according to the Texas State Historical Society.

Two hours later, the forest service noted that evacuations were "in progress" in Travis County, home of the state capital of Austin. That fire, while smaller than many others at 60 acres, raised alarms as it crept near 100 homes, 10 businesses and Austin Community College.

The forest service update, posted online at 4:19 p.m. Sunday, said "extreme fire behavior is being exhibited," though no additional information was immediately available.

Mother Nature didn't appear to be doing firefighters any favors. Sustained winds in many locales were blowing 20 to 25 mph from the south this weekend, and gusting even stronger.

And the long-term forecast didn't look much better. The forecast in Palo Pinto County for instance, called for high temperatures in the mid-90s through Tuesday, according to the National Weather Service. In Austin, temperatures are expected to hit or surpass 90 all week.

"With the winds that we've got today, it's hard to be aggressive with any suppression activities; it's just too dangerous to get in front of that type of fire," Texas Forest Service spokesman Marq Webb told CNN affiliate WFAA. "The fires we're experiencing in some cases are moving four or five miles an hour. That's the length of a football field every minute."

As of Saturday, Texas Forest Service personnel were responding to at least 14,758 acres of new fires -- five of them major -- that broke out during the day. A blend of potent winds, dense growth of flammable material and low humidity have made this a challenging season for firefighters in the state, with 195 Texas counties banning any burning in a bid to prevent more blazes.

The biggest of the new fires Saturday was in Jack County, where more than 150 homes were threatened and ultimately saved in the town of Bryson, according to the forest service. That 7,500-acre fire was 40% contained as of 11 a.m. Sunday.

A 1,440-acre fire in Trinity County burning in mostly pine forest 20 miles northwest of Livingston and 800 acres that imperiled 40 homes in Tyler County some 10 miles northeast of Kountze were both 50% contained. Two Blackhawk helicopters, from the National Guard, were called in to assist with the latter blaze, the Texas Forest Service said.

Some 1,850 acres in Cisco were threatened by a new 1,400-acre fire in Eastland County that was 75% contained, and forces had batted down an even higher percentage of the 2,000-acre blaze burning in Young County, six miles northeast of Graham.

All these blazes paled in size to several others elsewhere in Texas. The biggest this season has been the so-called Rockhouse fire that spanned more than 182,000 acres in Presidio and Jeff Davis counties. That blaze, which destroyed 23 homes and two businesses, is 70% contained.

In Coke County, north of San Angelo, crews had only managed to contain 10% of 130,000 acres of what's being called the Wildcat fire.

The Texas Forest Service said late Sunday afternoon that this blaze was moving north and northwest, making it a threat to the county seat of Robert Lee and its 1,171 residents. New resources were brought in this weekend to fight this fire, with the state agency saying crews planned to approach it from the south.

Another major wildfire centered in Cooper Mountain Ranch -- spanning 152,000 acres in Kent, Stonewall and Fisher counties -- was half-contained as of Sunday morning, with shifting winds the previous day pushing the flames toward Camp Springs.

CNN's Stephanie Gallman contributed to this report.

@highlight

NEW: A forest service spokeswoman says conditions are the driest since 1917

@highlight

One fire Sunday spurs evacuations and threatens a college in Travis County, near Austin

@highlight

Governor asks for help, saying the wildfire fight "is beyond the capabilities of the state"

@highlight

Texas authorities have battled 7,807 fires over more than 1.5 million acres so far this season