Washington (CNN) -- Politically sensitive issues such as immigration, border security, drug trafficking and trade took center stage in Washington on Wednesday as President Obama welcomed his Mexican counterpart, Felipe Calderon, to the White House.

Both leaders used the occasion -- the fourth time they have met for bilateral talks -- to take sharp aim at Arizona's new law meant to crack down on illegal immigrants. Calderon characterized the measure as discriminatory; Obama called it a "misdirected expression of frustration."

The leaders criticized the law while meeting with reporters shortly after Obama, Vice President Joe Biden and Secretary of State Hillary Clinton rolled out the red carpet for Calderon in a formal White House arrival ceremony.

U.S. first lady Michelle Obama and Mexican first lady Margarita Zavala joined their husbands for the occasion, which was to be followed by a state dinner Wednesday night. Calderon is to address a joint session of Congress on Thursday.

"Our progress today marks another step forward in a new era of cooperation and partnership between our countries, a partnership based on mutual interests, mutual respect and mutual responsibility," Obama said.

Calderon said the United States and Mexico now face a series of common challenges, including climate change and organized crime, which is a rising threat to border stability.

But what ultimately "turns us into good neighbors" is a common belief in "freedom, justice and democracy," he said.

Obama ticked through a list of items he said the two leaders had agreed upon during their meeting. On the economy, he said, they had agreed to streamline regulations while strengthening protection of intellectual property. To facilitate trade, they had reaffirmed a "commitment to a 21st-century border that is modern, secure and efficient."

He also pledged to expand joint initiatives promoting renewable energy and "smart grid" technology.

Turning to illegal drug and weapons trafficking, Obama noted that his administration is now screening 100 percent of south-bound rail cargo. Moving in the other direction, Mexican authorities in recent years have seized 45,000 weapons that could be traced to the United States.

Obama also cited new initiatives to cut U.S. demand for illegal drugs.

"As your partner, we'll give you the support you need to prevail ... against the drug cartels that have unleashed horrific violence in so many communities," Obama told Calderon.

Drug violence claimed 6,500 lives in Mexico last year. But Calderon said 90 percent of the casualties from the war on drugs are criminals fighting each other, adding that the cartels "are not winning."

"The Mexican gangs are passing through a very unstable process ... and fighting each other and that explains most of those casualties," Calderon said on CNN's "The Situation Room."

He acknowledged, however, that innocent people have also been killed.

Obama also noted Mexico's current seat on the U.N. Security Council, highlighting the two countries' agreement on possible sanctions against Iran to stop Tehran's current nuclear program.

The issue of Arizona's new immigration law, however, consumed most of the leaders' time during their meeting with reporters. The measure, which will allow law enforcement officers to ask for proof of legal residency of anyone who is being investigated for a crime or possible legal infraction, has drawn widespread criticism in Mexico.

Critics contend, among other things, that the law will lead to racial profiling against Hispanic residents.

Later Wednesday, Calderon acknowledged that immigration is the biggest challenge Mexico is facing with the United States.

"It is provoking a lot of tensions between our people," Calderon said. "This is a phenomenon that we need to solve. ... And the best way to solve that is creating new jobs in Mexico and that is exactly what we are trying to do."

Calderon said Mexico is working to change its own immigration policies to address criticisms from officials in Texas, Arizona and New Mexico who claim they're only trying to do in their states what Mexico is doing in the southern part of its country.

Calderon said that illegal immigration has not been a crime in Mexico since last year.

"In the past, Mexican authorities were in an unfortunate way in the treatment (of immigrants)," he said. "We changed already the law and that is different today. We are trying to write a new story."

Regarding Arizona's tough new immigration law, Calderon said the potential for racial profiling with the statute "is against any sense of human rights."

Obama said he thinks the Arizona law "has the potential of being applied in a discriminatory fashion. ... A fair reading of the language of the statute indicates that it gives the possibility of individuals who are deemed suspicious of being illegal immigrants from being harassed or arrested.

"The judgments that are going to be made in applying this law are troublesome," he noted.

Obama noted that he has directed the Justice Department "to look very carefully at the language of this law to see whether it comports both with our core values and existing legal standards, as well as the fact that the federal government is ultimately the one charged with immigration policy."

Obama said he'll make some decisions about how to address the law after he gets a final report from the Justice officials.

A broad coalition of civil rights groups filed a class-action lawsuit against the measure Monday, arguing that it violates the U.S. Constitution's equal protection and free speech guarantees, among other things.

In Arizona, the city councils of Tucson and Flagstaff have also decided to challenge the law in court.

A majority of Americans, however, appears to back to the measure. Fifty-nine percent of adults nationwide supported the law in a May 6-9 Pew Research Center Poll. Thirty-two percent opposed it.

The Arizona law, Obama asserted Wednesday, "expresses some of the frustrations that the American people have had in not fixing a broken immigration system, and, frankly, the failures of the federal government to get this done. I'm sympathetic to those frustrations."

Obama repeated his call for comprehensive immigration reform but said such a measure can't pass without Republican support.

A Mexican official familiar with arrangements for Calderon's visit cautioned that it would be wrong to let the controversy over Arizona's law overwhelm the rest of the visit.

"It will not define the visit or the relationship," the Mexican official said. "The U.S.-Mexican relationship is much more rich and diverse than one issue."

A senior Obama administration official, however, acknowledged that "this is an issue that has resonated in Mexico (and) is of deep concern to the Mexican government."

This month, Mexico's ambassador to the United States, Arturo Sarukhan, warned of "a worrying surge" of anti-immigrant sentiments. He warned that the Arizona law might "poison the well from which our two nations have found and should continue to find inspiration for a joint future of prosperity, security, tolerance and justice."

CNN's Charley Keyes and Alan Silverleib contributed to this report.

@highlight

NEW: Felipe Calderon says immigration is biggest challenge Mexico faces with U.S.

@highlight

Obama and Calderon criticize Arizona law

@highlight

Drug violence, trade, renewable energy also among topics

@highlight

Immigration overshadows Wednesday's state dinner, which will honor Calderon