(CNN) -- I believed we had learned lessons from the George Zimmerman case in how to better handle cases like the Michael Brown shooting. Zimmerman, you'll recall, was charged with shooting Trayvon Martin, an unarmed black teenager in Sanford, Florida, in 2012. I was Zimmereman's lawyer. That case caught national attention for the shooting itself, but almost more for the way law enforcement was perceived to have mishandled it and for the racial animus it exposed over how young blacks are treated in the criminal justice system.

Unfortunately, I'm not sure that all of the right people have learned all of the right lessons from that case. Now, as the days drag on in Ferguson, Missouri, it seems that some involved, particularly in the law enforcement hierarchy, are not handling the Michael Brown case better than the Zimmerman case. In fact, this time it's being handled worse.

Some observations on Ferguson:

The social media response has been amazing. An event these days -- whether it be the Michael Brown shooting, the Donald Sterling uproar, the questionable death of Kendrick Johnson in Georgia -- gains a life online via social media, keeping it in the forefront of our national conversation. Though there are down sides, one of social media's strong positives is that it allows for an open, quick and national discourse. With the crackdown on the press in Ferguson this week, it was citizens with cell phones who provided pictures and helped set the editorial agenda.

The Ferguson Police Department has fallen far short of expectations. While we still don't know -- and likely won't for a while -- what exactly happened and why the officer fired those fatal shots, the way the Ferguson police department reacted was poor and made matters worse, not better. A sensitive response -- informed by an awareness that this shooting would lead to a powerful, communitywide reactionâ€”would have acknowledged the trauma inflicted on the entire black community.

While I still maintain that the integrity of the investigation is paramount (if charges are being considered, we must make sure that the witnesses were not tainted by leaked information or coached in their answers to the perceived events), the police mishandled the situation in important ways, and in ways that undermined or destroyed the black community's faith that this would be handled properly.

Critics rip police tactics, use of military equipment

The name of the officer who shot Michael was finally released Friday. He is Officer Darren Wilson, a six-year veteran of the department. It was time to do this. At least now that point of frustration has ended. But the decision also to release the videotape of the previous robbery event in which Michael Brown was suspected was a further insult to the sensitivities that exist in this now cultural event. If it had to be done, it should have been well separated.

We shouldn't forget that the law enforcement agencies involved in the investigation, from the Justice Department and the FBI to the St. Louis County Sherriff, had already had the officer's name, his background, his disciplinary record, his medical records--and are still gathering the other information necessary to begin drilling into who he was before this shooting and what happened to him during it. The coordinated interaction between these agencies is a good definition of transparency, not piecemeal distribution of snippets of information.

The police chief's decision to come out with a statement early in the investigation defending his officer was a poor decision, as it polarized an already tense environment and was insensitive to Ferguson's African-American community.

Missouri state troopers take over security in Ferguson

How the police reacted to the civil unrest is a mixed bag. While law enforcement agencies have both the right and the obligation to maintain civil order and peace, they must do so in a way that is sensitive to the issues that are being addressed in protests.

I do not have a concern with an appropriate police presence, and I believe police should act to stop destruction of property or the use of the protest for personal gain or profit, such as looting stores. That said, nothing justifies use of an aggressive police presence without proper cause. There was no basis for a military-style response, even though the law enforcement could justify it by looking at their textbooks. This did not warrant a textbook response. This warranted -- demanded -- a response that carried the respect appropriate in such difficult times. We also now know that a lesser response, as has happened since estate police took over, worked to lessen tensions.

5 things to know about the Michael Brown shooting

At the very least, I sincerely hope that the police agencies involved maintained their own video log of events witnessed and reacted to by law enforcement. If those actions were necessary in response to threats or inappropriate actions from protesters, I would give the department deference. But they are going to have to justify tear gas and rubber bullets, and that will be tough to do in a situation as socially charged as this one.

There will be and should be, a review of police activities in response to the shooting; not to place blame, but as a learning tool. We were dangerously close to a meltdown in Ferguson. We now look back at how Seminole County, Florida, handled the Zimmerman matter and must acknowledge they did a better job than Ferguson.

The protesters, setting aside for a moment the looters and hooligans, have acted in a very appropriate and responsible way. Our country was built upon the concept of seeking appropriate redress of actions by our government. It is not only allowed and appropriate, but it is ingrained in our national fabric and the nation would be weaker without it.

The people who take advantage of a situation that allows them to loot and steal -- which they continued doing early Saturday -- should face significant consequences. Not only have they committed individual crimes by their actions, but they have desecrated the very purpose of the respectful protesters and in doing so damaged the national perspective of the protest itself. Their actions distract attention from the important, underlying reasons for the protest and threaten to turn the process into a dangerous, counterproductive battle between themselves and the police presence.

Looting, tensions dash tenuous peace in Ferguson's streets

The response Friday night and early Saturday by law enforcement was restrained; they deserve credit. Even more so, the protesters who tried to block the looters stand as testament to the true purpose of their involvement: peaceful pleas for change.

The governor of Missouri should have taken stronger action and done so much sooner. While he may have hoped that this incident could be addressed properly at the local level, Gov. Jay Dixon should have realized that wasn't going to happen by the end of the first 24-hour period. At that point, having an elected official unconnected with the police department involved would have given the proper appearance of impartiality and would have put the strength of the entire state behind this event.

I'm very glad that Dixon finally became involved in the process, and I believe his presentation to the church affirming the state's commitment was necessary. His promise to handle this matter to the end, in a transparent way, and to seek justice wherever that may lead, was the right position for the governor to take. (P.S.--Don't try to make jokes about how you look on camera when you're dealing with a national tragedy.)

President Barack Obama should have a voice in the public reaction to this event, but he needs to be circumspect in his presentation. I have, in the past, expressed my chagrin that Obama injected himself into the Zimmerman matter -- not because he involved himself with a national tragedy, but because he took a side in a pending case where he should be very reluctant to do so. I appreciate his more inclusive and tempered response to this troubling shooting.

Opinion: Obama, can't you see black anger in Ferguson?

Traditional media have handled this case well. Across the board, media outlets have presented a number of well-balanced reviews of the relevant issues. The traditional media learned a good deal from the Zimmerman case: Reporting on the Michael Brown shooting has been much better founded in both the rules of evidence, the rules of the court and the statutes that deal with such issues as self-defense, "imminent fear of great bodily injury," and police procedures. The media have learned to understand the subject and the applicable statutes before commenting on the case.

Full coverage on Ferguson shooting and protests

There has also been a greater level of fairness in reporting, and also a necessary acknowledgment that precious few facts are available yet. The media have asked the right questions, but have hesitated to fuel speculation. And that is the essence of responsible reporting.

@highlight

Mark O'Mara: Response in Brown killing shows we didn't learn enough in Trayvon Martin case

@highlight

He says social media played big role this time in driving national conversation on Ferguson

@highlight

He says cops blew it with military-style response that disrespected black community

@highlight

O'Mara: Governor too slow to react; protesters, President, media acquitted themselves well