(CNN)As ominous music plays, the ISIS flag flutters, child fighters wield weapons and graphic images of beheadings flash across the screen.

At first, it seems like one of the notorious, slick jihadist recruitment videos flooding the Internet. But the tone quickly shifts. There are images of Syrian children crying, dead bodies lying on the floor and dire warnings: "You will discover hell on Earth" and "You will die alone far from home."

The video campaign, which started this month, is the latest volley in a fierce battle being fought online between the French government and jihadist groups. What's at stake is nothing less than the lives of the country's youth.

It's an idea that's catching on. Online recruiting by extremist groups was among topics discussed this week at a White House summit on countering violent extremism. Several online initiatives to combat those recruiting efforts are being launched by various countries, including France.

Brazen, brutal: 5 terror groups making headlines

"This is clearly a communication war against jihadist groups," Jean-Charles Brisard, head of the independent French Center for the Analysis of Terrorism, told CNN. "And it is going to be a long-term endeavor."

And even though the latest "battlefields" are social media platforms and no real bullets are being fired, there are French civilians already caught in what amounts to a cyber-crossfire.

Precise figures on the number of Europeans who have gone to Iraq and Syria -- and which jihadist groups they have joined -- are hard to come by. The consensus among counter-terrorism analysts is that more than 3,000 have traveled, of whom 500 have returned.

In France, officials say the stakes are high.

Recruiting by jihadist groups has been successful there. More than 400 of its citizens are believed to be fighting in Syria or Iraq, according to Prime Minister Manuel Valls, and another 1,000 or so are believed to have some involvement with those groups.

President Francois Hollande's government started its first anti-ISIS online communication campaign, "Stop Jihadism," on February 5. The effort is aimed at countering recruiting in France by ISIS and other jihadist groups.

The French government's campaign, posted on YouTube, features an online video edited in the style of an ISIS video -- complete with harrowing music showing screenshots of Facebook accounts from ISIS supporters.

After a few seconds, a Facebook message from a purported ISIS supporter pops up on the screen: "Hey, I like the stuff you like on Facebook. Are you interested in what's going in Syria these days? If you have any question, don't hesitate. The truth is over there, you should go! ... I can put you in touch with friends who are fighting there."

Then, the images of crying children and the warning about "hell on Earth" play.

"This is video is very simple and goes straight to the point," Brisard said. "It is important to counter propaganda. It is worse to do nothing."

But ISIS fired back just two days after France began its new initiative, posting its own material with French-speaking ISIS fighters mocking the government's campaign.

ISIS supporters used Twitter to post graphics with the same typography and the same kind of slogans as the French government campaign. When the French government used catchphrases such as, "If you go to Syria, you will massacre civilians," ISIS supporters replied online with slogans telling potential recruits if they go to Syria, they would be "happy to kill" their enemies, as opposed to leading depressed lives in France.

Other jihadist groups have joined in the effort to counter the French campaign.

Omar Diaby, purported to be one of the most influential French jihadist recruiters, released a trailer video focused on the January attacks in Paris. The video, called "Once upon a time Charlie," an obvious reference to the satirical magazine Charlie Hebdo, features French-speaking al Qaeda fighters, uses special effects, music and voices of male, female and teenage jihadists.

Speakers in the video praise the names of the brothers who carried out the attacks, and they try to argue against the French government with lines such as, "France pretends to be a country of free speech but censors all the time our video."

Last September, the French government commissioned an anti-radicalization organization called the Prevention Center Against Sectarianism Related to Islam, which goes by the French acronym CPDSI, to counter online recruitment of French youths by jihadist groups.

"The recruitment and the first contacts are most of the time established on the Internet," said Donia Bouzar, director of CPDSI.

According to a study published by the CPDSI, jihadists in charge of online recruitment use specific arguments to attract young people.

These arguments target five different categories of individuals who could be susceptible to recruitment such as "heroic knight" for men or "humanitarian cause" for women. Other categories include young people who are avid players of war video games, aimless teens looking for a leader or people who are simply "in need of power."

According to the CPDSI, young French people who get involved with jihadist groups are from a range of economic, social and religious backgrounds. In fact, most of the families whose teens become involved with jihadist groups consider themselves to be nonreligious or atheist, the CPDSI says.

"The jihadist in charge of online recruitment will look for key words on social media," Bouzar said on French TV Canal Plus. "They will look for people who have Facebook or Twitter statuses mentioning they want to be nurses or social workers, for example."

French journalist Anna Erelle knows that type of effort well.

During a recent month, she pretended to be "Melanie," a young French woman converted to Islam who wanted to join ISIS. In her book "In the Skin of a Jihadist," she tells how she decided to be in virtual contact with French jihadi already in Syria and Iraq. One of them, a 38-year-old man, was especially insistent and did everything he could to get her to travel to Raqqa, Syria.

"I had a fake Facebook account and I wanted to understand why a young French woman would want to leave her family and her friends to join ISIS," Erelle told CNN. "I was shocked by how the jihadists become quickly ever-present in your daily life. When they have a target they won't stop."

A 16-year-old French girl that the government identifies only as "Léa" echoes that, saying repeated contacts began after she posted online that she wanted an altruistic job -- she wanted to be a nurse.

"More than 50 people were contacting me per day. It was all day. They contacted me in the morning, at night. They were men, then women. They wanted me to attack a synagogue in Lyon (France)," said Léa, according to the French government.

Some Muslims in French-speaking countries say the government's new campaign is culturally insulting, and holds Muslims as a group to ridicule.

A French-speaking Belgian organization named Muslim Rights Against Islamophobia said the French campaign completely is "full of generalizations and conflations."

One online graphic in the campaign shows nine signs of radicalization parents should look for in their teens, including "changing the way they dress," "stopping listening to music" or "eating differently."

"It's not because we have a beard or that we don't listen to mainstream music that we are necessarily going to attack someone," Redwane Tehla, a 22-year-old Muslim student in Paris told CNN. "Again, in France, the Muslim community is blamed for jihadism.

"The problem is not Internet, the problem is Islamophobia in France ... France is not fighting against the real social problems that push people to go join ISIS," Tehla said.

The French government insists that its campaign is legitimate and is to "prevent young people from turning to terrorism activities."

"We know that 90 percent of French young jihadists started on the Internet," Interior Minister Bernard Cazeneuve said at a press conference the day the government launched the website.

Some terrorism experts agree with the French government's strategy.

"It is not supposed to stigmatize the Muslim community, it is supposed to stigmatize terrorists. The French government needed to be shocking and had to make a powerful statement," says terrorism expert Jean Paul Ney. "This needs to be fought the same way intelligence services would fight against a sect -- with mass mind control through propaganda."

Experts say it's too early to tell whether the new campaign is producing results, but they point out that France is not the first country to have started an online platform against ISIS propaganda. The U.S. State Department launched the campaign "Think Again Turn Away" last September, which also used a graphic video using ISIS's own pictures.

"All governments involved in the war against terrorism are trying to find new tools to stop jihadists' online recruitment," Brisard told CNN. "Internet recruiting is new, we all grope around and see what could work best."

@highlight

More than 400 French citizens are believed to be fighting in Syria or Iraq, the government says

@highlight

France has launched an effort to counter online recruiting by jihadist groups