(CNN) -- All eyes at the Group of 20 summit in St. Petersburg, Russia, will be on Vladimir Putin and Barack Obama, two men who are barely on speaking terms. Undoubtedly there will be drama. Putin brought his pet Labrador, Koni, to his first meeting with German Chancellor Angela Merkel, who has a well-known fear of dogs, to intimidate her. Given Putin's track record, one could be forgiven for thinking that Edward Snowden might make an appearance in the Russian delegation.

The true cost of the U.S.-Russian dispute will only become apparent in a few months. As the leaders focus on Syria, the purpose of the summit -- managing the global economy -- will get short shrift. As concern grows about economic troubles in emerging economies such as China, India and Brazil, we are unlikely to see a coordinated response from St. Petersburg. Official agenda items such as energy subsidies and food security will be completely overshadowed.

The G20 leaders' summit was created in 2008 after the fall of Lehman Brothers as the world economy stood on the brink of collapse. The West's leaders recognized they could not fix the global economy by themselves in the old Group of Eight club. Emerging economies such as China, India, Brazil, South Korea and South Africa had to be brought into the mix and could no longer be treated as second-class citizens.

The G20's great contribution to world affairs was its success in managing the global financial crisis and restoring stability to the financial system. The Washington summit in 2008 and the London summit in 2009 did much to avert a new great depression. Unprecedented cooperation between the world's largest economies provided liquidity that limited the contagion of the banking crisis, kept markets open and prevented countries from resorting to protectionism, and provided a stimulus that cushioned the drop in growth.

In the years since, it has become fashionable to say that the G20 failed to follow up on its initial success. There is some truth to that. Member states have been unable to agree on a common fiscal policy -- the United States and several emerging powers favored more stimulus, while Germany and the United Kingdom led a coalition for austerity.

Much still needs to be done to fix international finance, which remains crisis-prone. And the G20 has been unable to assist in managing the euro crisis. The reason is simple. Once it stepped back from the edge of the precipice, each government began fighting from its own corner.

Now, as emerging economies slow down and developed economies show new signs of growth, some may ask whether the G20 still has a role to play. Is it just another talking shop? This view is understandable but wrongheaded. It could do better, but the G20 still matters for the global economy. In a globalized world, no country can pursue a unilateral international economic policy. Instability in a major economy will inevitably destabilize all other economies. We can't go back to the G8, which would leave out the world's second (China), seventh (Brazil) and 10th (India) largest economies.

Governments will disagree on the best way to achieve growth, on the right level of regulation, on currency manipulation and much else. But all of these divisions would grow and threaten economic stability if leaders did not formally meet to discuss them. Even if progress is slow, we live with the ever-present risk of a new economic crisis. If one were to occur, a functioning G20 is indispensable.

The real problem with the St. Petersburg summit, which contrary to expectations was relatively well-organized by Russia, is that the G20's global economy agenda has being taken over by the Syrian crisis. It is not surprising, but there is a real cost.

The world still needs an effective steering committee for the global economy. If there were the remotest possibility of G20 agreement on Syria, it might be worth it, but there isn't. It will be up to Australia, which hosts the next summit in 2014, to get the G20 back on track.

The opinions expressed in this commentary are solely those of Thomas Wright.

@highlight

Thomas Wright: Syria likely to overshadow G20's purpose: managing global economy

@highlight

He says G20 created in 2008 to respond to economic crisis and it was able to avert disaster

@highlight

G20 remains key to staving off global economic crises, Wright says

@highlight

Wright: Meeting likely won't do much to solve Syrian conflict, but world still needs G20