Tehran (CNN) -- Iranian centrist candidate Hassan Rouhani has won the country's presidential election, a victory that garnered both congratulations and skepticism around the world.

Rouhani spoke of reforms without threatening Iran's supreme leader, Ayatollah Ali Khamenei, or the country's institutions -- of which he is product. The former national security council chief promised greater personal freedoms and indicated he would free political prisoners and jailed journalists.

He takes the helm as Iran deals with sharp economic sanctions tied to international concern about its nuclear program.

On Sunday, Israeli Prime Minister Benjamin Netanyahu cautioned the world against easing such sanctions.

"Regarding the results of the elections in Iran, let us not delude ourselves. The international community must not become caught up in wishes and be tempted to relax the pressure on Iran to stop its nuclear program," Netanyahu said at a weekly Cabinet meeting.

The prime minister also said Iran's supreme leader "disqualified candidates who did not fit his extremist outlook."

Read more: Rouhani, hawk or dove?

In his campaigning, Rouhani pledged to improve the economy and unemployment. As a former nuclear negotiator, he said he would reduce the high tension between Iran and the outside world by addressing the sanctions.

In a message through the semiofficial Fars News Agency, the 65-year-old Rouhani said the win "is the victory of wisdom, moderation, growth and awareness, the victory of commitment and religiosity over extremism and ill tempers."

Global reactions

The British Foreign Office immediately urged Rouhani to help steer Iran in a new direction.

"We call on him to use the opportunity to set Iran on a different course for the future: addressing international concerns about Iran's nuclear program, taking forward a constructive relationship with the international community, and improving the political and human rights situation for the people of Iran," a Foreign Office spokesman said.

The United States "remains ready to engage the Iranian government directly in order to reach a diplomatic solution that will fully address the international community's concerns about Iran's nuclear program," the White House said.

Read more: Will Iran shift policy on Syria?

While the White House respected the vote, it said the election occurred "against the backdrop of a lack of transparency, censorship of the media, Internet, and text messages, and an intimidating security environment that limited freedom of expression and assembly."

U.N. Secretary-General Ban Ki-moon offered his congratulations and called on Iran to take a "constructive role in regional and international affairs.".

Following Ahmadinejad

Rouhani succeeds outgoing President Mahmoud Ahmadinejad, who was term-limited and could not run in the election.

But Rouhani won't be Iran's most powerful man. That distinction belongs to Ayatollah Ali Khamenei, who has been Iran's supreme leader since 1989. He's got plenty of backing, from conservative citizens to loyalist militia groups to, most notably, the Revolutionary Guard.

On his website, the supreme leader said Rouhani is the president of all Iranians and told supporters of various candidates to set aside their differences and unify.

Rouhani has all-round credentials in Iran's institutions that include senior cleric, former commander of Iranian air defenses and is an intellectual with three law degrees, including from a university in Scotland.

Read more: The view from Tehran

He has a reputation for shunning extreme positions and bridging differences.

While he has represented Khamenei on Iran's security council since 1989, he has avoided being perceived as a pushover and has taken exception with the supreme leader on being too rigid toward the international community, according to an Iranian scholar at Stanford University.

Rouhani has accused state-run media of censorship and publishing lies.

'Not a democracy as we know it'

Prior to the results, British Prime Minister David Cameron said the Iranian election system doesn't resemble a true democracy.

"We have to remember this is always only an election between a restricted number of candidates. It's not democracy as we know it," he told CNN's Richard Quest.

Iran's Guardian Council, an unelected body made up of six clerics and six lawyers operating under the oversight of the supreme leader, drew up the restricted list of candidates from the 680 who initially registered.

Read more: What's at stake in election?

Eight candidates were approved, two of whom subsequently dropped out.

The final six contenders didn't include any women. Nor did they include Ahmadinejad's aide and protege Esfandiar Rahim Mashaei, who was among those excluded by the Guardian Council.

The only cleric among the candidates, he has close ties to Khamenei and served in Iran's parliament for two decades. He was also Iran's lead nuclear negotiator from 2003 to 2005 and holds seats on several powerful decision-making bodies.

Remembering the 2009 chaos

Four years ago, when allegations of election fraud sparked widespread protests, Iran's police and the Basij, a feared paramilitary group, cracked down on the opposition Green Movement.

Protesters were jailed, and human rights groups alleged many were tortured and killed behind bars while the government quashed the uprising.

Reform politicians representing the movement, including Ahmadinejad's election rival, former Prime Minister Mir Hossein Moussavi, have been under house arrest since 2011.

Despite the unrest, Ahmadinejad's re-election was formally certified by the clerical establishment.

CNN's Shirzad Bozorgmehr reported from Tehran and Michael Martinez reported and wrote from Los Angeles. CNN's Holly Yan, Michael Schwartz, Laura Smith-Spark, Reza Sayah, Azadeh Ansari and Sara Mazloumsaki contributed to this report.

@highlight

Hassan Rouhani succeeds Mahmoud Ahmadinejad as president

@highlight

He promises greater personal freedoms without threatening Iran's supreme leader

@highlight

Israeli prime minister: The world shouldn't let up on sanctions for Iran's nuclear program

@highlight

"It's not democracy as we know it," Britain's prime minister says of the Iranian election