(CNN) -- This week, Latinos experienced their own version of "Super Tuesday."

That was the day it was announced that San Antonio Mayor Julian Castro had been chosen to deliver the keynote speech at next month's Democratic National Convention in Charlotte, North Carolina. It marks the first time that a Latino has headlined the event, and it's a huge story.

I've known Julian for about eight years, and consider him a close friend. We talk about politics, but since we both have 3-year-old daughters, we also talk about fatherhood.

We were on the phone Tuesday night talking about what he intends to say in his convention speech when the news broke that Ted Cruz, a former Texas solicitor general, had just defeated Texas Lt. Gov. David Dewhurst in the Republican primary runoff for the U.S. Senate seat being vacated by Kay Bailey Hutchison. Cruz will now go on to face a Democratic opponent in the general election, which he is likely to win. This would make the Republican the first Latino senator from Texas, which makes for another huge story.

I've known Ted for about 10 years and consider him a friend, too. We've been to dinner with our wives. He has a sharp mind and a good heart.

Castro is a Mexican-American Democrat, and Cruz is a Cuban-American Republican. And yet, these two Latino politicos from Texas have a lot in common.

They're both young -- Castro is 37, Cruz is 41. They both graduated from prestigious universities -- Castro from Stanford, Cruz from Princeton. They went to Harvard Law School. They're both well-spoken, well-connected and well-liked by non-Latinos who share their politics.

The real difference is how many Latinos are reacting to these young men and their remarkable accomplishments. Word of Castro's speech is being treated unequivocally as great news.

And it is: He has been handed the golden ticket that was eight years ago given to Barack Obama. This is his chance to make America fall in love with him, draw scores of new contributors from around the country and position himself for the next rung on the political ladder. Look for Castro to try to move up in 2014. The high-achiever may soon make more history by becoming the first Latino governor of Texas.

It is great news for the 52 million Latinos in the United States who will continue to grow their influence and be courted by both parties as long they don't give in to either too easily. That has been a problem in the past.

Latinos are loyal consumers of detergents, soft drinks and the Democratic Party. Many Mexican-Americans -- who along with naturalized Mexicans, represent nearly 70% of the Latino population -- would never think of voting for a Republican. And the GOP doesn't do much to win them over with its ham-handed approach to immigration. Meanwhile, by putting the spotlight on Castro, Democrats may have clinched the Latino vote for the next decade.

This is great news for the Democratic Party, even though when it comes to fixing the public schools, shoring up Social Security or overhauling the immigration system, it tends to put its own narrow interests before the broader interests of its most loyal constituents. Democrats take care of organized labor, senior citizen lobbies, teachers unions and anyone else who takes care of them. Minorities and young people come last.

Latinos have given a majority of their votes to Democratic candidates in the past 13 presidential elections, dating back to 1960. What took the Democrats so long to allow a Latino to give the keynote address at their national convention? Republicans did it back in 1984, when U.S. Treasurer Katherine Ortega gave the keynote speech at the Republican National Convention in Dallas. This new gesture is appreciated, but it is also way overdue.

As for Cruz, his being endorsed and championed by the tea party makes many Latinos uneasy and suspicious, particularly Mexican-Americans in the Southwest. It's causing angst as Latinos try to figure out if Cruz's victory is a giant step forward or an enormous leap backward.

They wonder if he'll identify at all with being Latino, or just fall in line behind Sen. Jim DeMint of South Carolina and other rigid conservatives. In fact, in the initial round of media stories, Cruz's victory was framed more as a triumph for the tea party than a breakthrough for Latinos.

Nonsense. It's both.

His opponent Dewhurst had waged a nasty campaign that was borderline racist in suggesting that his Latino opponent was soft on illegal immigration, with no evidence to back that up other than Cruz's Spanish surname. He deserved to lose, and I'm glad he did. It sent a message to other politicians not to waste their time engaging in this kind of ethnic demagoguery.

Besides, Latinos are never going to get ahead politically in this country until they learn to split their votes between the parties to influence Republicans and Democrats. Cruz can help with that.

It's true that I criticized him a few months ago in a column for betraying his moderate roots and lurching to the right in his Senate campaign.This is someone who served as Domestic Policy Advisor to George W. Bush in the 2000 Bush-Cheney campaign, and now he refers to comprehensive immigration reform -- one of Bush's signature causes -- as "amnesty?"

But now that Cruz appears to be headed for Washington, I wouldn't be surprised if he distanced himself from the tea party the way that Sen. Marco Rubio of Florida did after getting elected in 2010. In fact, I would expect Cruz to team up with Rubio in a kind of Cuban-American dynamic duo that could steer important debates in the Senate. How could that be bad for Latinos?

Beyond that, Cruz's developing fortunes are more than just a powerful symbol. It's a neon billboard that reminds Democrats that they can do much better in terms of sharing power and expanding opportunity. Why hadn't the Texas Democratic Party broken this barrier years ago and elected a Latino Democrat to the Senate, especially in light of the decades of support it has enjoyed from Latino voters?

Latinos are living through a kind of political renaissance.

They should enjoy the spotlight but also take advantage of it. These two political hotshots are just part of the story. Now it's up to Latino voters to make the most of their new influence and improve the lives of a community that has been poorly served by both parties -- and deserves much better.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Two Latino politicians' boosts this week could be good news for Latinos

@highlight

Julian Castro will give keynote speech to Democrats; Ted Cruz won GOP primary in Texas

@highlight

He says Latino voters support Democrats, who don't return the favor by addressing their needs

@highlight

Writer: Cruz's success might draw Latinos to the right; they're in a position to gain influence