Washington (CNN) -- The Justice Department on Tuesday weighed in on one of the most explosive issues in American politics, filing a lawsuit to overturn a tough new Arizona immigration law that has sharply divided people along partisan, ideological and ethnic lines.

It also asked the federal courts to grant an injunction to stop enforcement of the measure before it takes effect late this month.

Arizona's law requires immigrants to carry their alien registration documents at all times and allows police to question the residency status of people in the course of enforcing another law. It also targets businesses that hire illegal immigrant laborers or knowingly transport them.

Justice Department lawyers argued that the state statute should be declared invalid because it has improperly preempted federal law.

"In our constitutional system, the power to regulate immigration is exclusively vested in the federal government," the brief said. "The immigration framework set forth by Congress and administered by federal agencies reflects a careful and considered balance of national law enforcement, foreign relations, and humanitarian concerns -- concerns that belong to the nation as a whole, not a single state."

How do you feel about the Arizona immigration law?

However, Arizona Gov. Jan Brewer said it was "wrong that our own federal government is suing the people of Arizona for helping to enforce federal immigration law."

"Today's filing is nothing more than a massive waste of taxpayer funds," Brewer said in a statement. "These funds could be better used against the violent Mexican cartels than the people of Arizona."

The government's brief said the U.S. Constitution and federal law "do not permit the development of a patchwork of state and local immigration policies throughout the country."

"Although a state may adopt regulations that have an indirect or incidental effect on aliens, a state may not establish its own immigration policy or enforce state laws in a manner that interferes with federal immigration law," the brief said. "The State of Arizona has crossed this constitutional line."

The brief contends that the Arizona law "disrupts federal enforcement priorities and resources that focus on aliens who pose a threat to national security or public safety. ... If allowed to go into effect, [its] mandatory enforcement scheme will conflict with and undermine the federal government's careful balance of immigration enforcement priorities and objectives."

The Justice Department highlighted statements in support of the lawsuit from the sheriff of Arizona's Santa Cruz County and several Department of Homeland Security officials, among others.

President Barack Obama said in a speech July 1 that the Arizona measure has "fanned the flames of an already contentious debate." Among other things, it puts pressure on police officers to enforce rules that are "unenforceable" while making communities less safe -- in part, by making people more reluctant to report crimes, he said.

The law also has "the potential of violating the rights of innocent American citizens and legal residents, making them subject to possible stops or questioning because of what they look like or how they sound."

Arizona's two Republican senators, however, immediately blasted the decision to file the lawsuit.

"The American people must wonder whether the Obama administration is really committed to securing the border when it sues a state that is simply trying to protect its people by enforcing immigration law," Sens. Jon Kyl and John McCain said in a statement.

The top Republican on the House Judiciary Committee also ripped the decision.

"Not only does this lawsuit reveal the Obama administration's contempt for immigration laws and the people of Arizona, it reveals contempt for the majority of the American people who support Arizona's efforts to reduce human smuggling, drug trafficking and illegal immigration," said Rep. Lamar Smith, R-Texas. "Arizona's law simply applies state penalties to acts already illegal under federal law."

Rep. Ann Kirkpatrick, D-Arizona, released a statement calling the lawsuit a "sideshow."

"A court battle between the federal government and Arizona will not move us closer to securing the border or fixing America's broken immigration system," she said.

Brewer, a Republican, said the Arizona law was designed "to complement, not supplant, enforcement of federal immigration laws," and that she would fight the government lawsuit with the help of a legal defense fund set up to pay the legal fees.

"Our laws will be found to be constitutional -- because that is exactly what they are," Brewer's statement said.

Obama renewed his push for comprehensive immigration reform last week, calling for bipartisan cooperation on an issue reflecting deep social and political divisions.

Seeking an elusive middle ground on the subject, the president highlighted the importance of immigrants to American history and progress while acknowledging the fear and frustration many feel with a system that he said seems "fundamentally broken."

He asserted that the majority of Americans are ready to embrace reform legislation that would help resolve the status of an estimated 11 million illegal immigrants.

In his July 1 speech, Obama warned that rounding up everyone in the country who has entered illegally would be both "logistically impossible" and "tear at the fabric of the nation." At the same time, the president indicated it would be wrong to offer blanket amnesty for people who came into the United States unlawfully.

Despite Obama's call for bipartisan immigration reform, several senior Democratic sources said last week they see virtually no chance of Congress taking up such a measure before November's midterm elections.

A CNN/Opinion Research Corp. national poll conducted in late May showed 57 percent of Americans backing the Arizona law, with 37 percent opposed to it.

The poll also indicated that public support for beefing up security along the U.S. border with Mexico has grown significantly. According to the survey, nearly nine out of 10 Americans want to increase U.S. law enforcement along the border with Mexico.

Eight in 10 questioned also supported a program that would allow illegal immigrants already in the United States to stay here and apply for legal residency, provided they had a job and paid back taxes.

But only 38 percent say that program should be a higher priority than border security and other get-tough proposals. Six in 10 said border security was the higher priority.

CNN's Terry Frieden, Bill Mears and Alan Silverleib contributed to this report

@highlight

NEW: Arizona governor criticizes government lawsuit against immigration law

@highlight

Key Republican says lawsuit shows "contempt" for Americans

@highlight

Justice Department says Arizona improperly preempts federal law

@highlight

Law requires police to question people suspected of being in U.S. illegally