For more than 30 years, Dan Dominguez helped operate the San Onofre Nuclear Generating Station near San Diego. Now he's helping to button it up for good.

Dominguez is one of nearly 600 people still working at the two-reactor plant, down from a work force of more than 1,500 when the plant was still running -- "all solid, middle-class jobs," he said.

"A lot of them have already moved on," Dominguez said. They've gone to work for other U.S. nuclear plants, for conventionally fueled plants or other arms of the electrical power industry, he said. And a few have gone to work overseas, where other countries are building new nuclear plants.

"Three or four of our guys, maybe five, went to work in Abu Dhabi," said Dominguez, who's also the business manager for Local 246 of the Utility Workers Union of America. "Another one went to South Korea."

Not long ago, nuclear energy seemed poised to start a much-touted renaissance in the United States. Buoyed by forecasts of increased demand, utilities were gearing up to start building the first new reactors since the 1970s. Concerns about the emissions from carbon-rich fossil fuels blamed for global warming started to offset public fears about safety that had lingered since the Three Mile Island accident in 1979.

Read CNN's quick facts about U.S. nuclear power plants

Map: How close are you to nuclear waste? (PDF)

But since then, the industry has seen a dramatic reversal of fortune. And while some environmentalists, like those featured in the CNN Films' documentary "Pandora's Promise," now argue that nuclear power is needed to head off climate change, the market has become a hostile place.

"The industry got hit between the eyes by a number of things happening at once," said Peter Bradford, a former Nuclear Regulatory Commission member.

Related: 'Pandora's Promise'

Five new reactors are currently being built, in Georgia, South Carolina and Tennessee. But in the past year, utilities have permanently shut down four others and plan to take a fifth out of service next year. At least two other planned projects have been shelved.

The projected increases in electric demand didn't materialize, tamped down by the steep recession of 2007-2009 and increasing efficiencies and conservation measures, Bradford said. Then, a revolution in drilling techniques produced a boom in cheap natural gas.

And during the recession, long-debated efforts to limit carbon emissions through a "cap-and-trade" system failed to make it through Congress. The Environmental Protection Agency forecast that cap-and-trade would have led utilities to produce more nuclear plants, which produce large amounts of power without releasing carbon dioxide.

"Looking back as sort of an armchair quarterback, it really turns out the nuclear industry needed some kind of cap-and-trade or strong carbon regulation to get back off the ground," said David Solan, director of the Energy Policy Institute at Idaho's Boise State University.

Related: Ads warn against taxing carbon emissions

Then in 2011, the historic Japanese earthquake and tsunami triggered the worst nuclear accident since the Soviet Union's Chernobyl disaster in 1986, bringing safety issues back into the spotlight.

Three reactors at the Fukushima Daiichi plant in northeastern Japan melted down after the tsunami swamped the plant and knocked out its emergency power systems. Though no fatalities have been blamed on the accident, the resulting contamination displaced more than 100,000 people, and the cleanup and damages have left Japan's largest utility on life support. Solan called it a "body blow" to the American nuclear establishment, following the gas revolution and the failure of government attempts to impose a price on carbon emissions.

"Fracking," the use of hydraulic fracturing to break open underground rock formations that hold natural gas, has driven the cost of that fuel sharply downward. Gas-fired power plants are far faster and cheaper to build than nuclear plants, which can take a decade and cost billions of dollars to get up and running. And while gas isn't carbon-free, it puts out about half the carbon emissions of coal. The shift toward selling electricity on regional grids, particularly in the Northeast and Midwest, has pitted nuclear-generated power directly against gas -- and nuclear is losing, Solan said.

"From a generation standpoint, it's really hard for them to make money in those markets," he said.

David Crane, the head of the utility conglomerate NRG, predicted in April that natural gas would wipe out both coal and nuclear power. NRG had sought to build two new reactors in south Texas but abandoned the project in 2011, citing high costs and the "extraordinary challenges" facing the industry after Fukushima Daiichi.

"I don't necessarily think at least the second of those is a good thing," Crane said. "But I think it's inevitable outside of government intervention, which I don't think is going to happen."

In Vermont, the single-reactor Vermont Yankee plant will close in 2014 after its owner, Entergy, decided in August that it was no longer "financially viable." Dominion Power shut down its Kewaunee plant in Wisconsin in May, a decision it said was "based purely on economics." Duke Energy announced in February that it would write off its Crystal River plant in Florida, which had been idled since 2009 for repairs to its concrete containment building.

And San Onofre had been offline for more than a year when its owner, Southern California Edison, announced in June that it wouldn't reopen. The plant shut down in 2012 after a gas leak revealed problems in its massive new steam generators, which had just been replaced at a cost of nearly $700 million. SCE said the "continuing uncertainty" over the plant's future "was not good for our customers, our investors, or the need to plan for our region's long-term electricity needs."

Read more about the closing of Vermont Yankee

Bradford, the former NRC member, said utilities have been unable to draw investors for new plants, forcing them to rely on loan guarantees from the federal government -- and on customers in states like Georgia and Florida, which have allowed regulated public utilities to charge them for plants still under construction.

"The fundamental problem was the renaissance was always economically unsound," Bradford said. "There was never a point in time at which private investors were prepared to back new nuclear. There were just too many things that could go wrong."

And while the zero-carbon promise of nuclear power may be appealing, the billions it would take to build a nuclear plant could better be spent to develop renewable energy sources like wind and solar, boost conservation efforts and improve fuel efficiency for motor vehicles, he said.

Climate change warriors: It's time to go nuclear

"The problem with using nuclear as an answer to climate change is it's so much more expensive than other potential answers," Bradford said. "It's like building palaces to solve a housing shortage, or using caviar to solve world hunger."

Dominguez said his co-workers aren't likely to have trouble finding jobs -- "There's a lot of skills that are transferable," he told CNN. But he also calls himself "a climate change guy," and said most of the 2,200 megawatts of electricity that San Onofre used to produce will now be replaced by carbon-emitting fossil fuel plants rather than renewable.

"The only greenhouse gases that San Onofre created was the smokers up on the top of the deck, when they would get together and smoke," he said.

@highlight

Cheap natural gas, Fukushima and no carbon limits hurt promised "nuclear renaissance"

@highlight

Five U.S. reactors are being built, but others are shutting down or being canceled

@highlight

The nuclear industry "got hit between the eyes," former NRC commissioner says