Washington (CNN) -- Increased fighting in Afghanistan has caused a drop in morale among U.S. soldiers while the reduction in combat in Iraq has bolstered morale, according to a new U.S. Army report released Friday.

The report summarizes two surveys of U.S. soldiers in Iraq and Afghanistan taken earlier this year. New statistics from the Army also show suicides are up in the entire service.

Produced every two years by the Army's Mental Health Advisory Team, this latest report comes just over a week after a U.S. soldier went on a shooting rampage at a U.S. Army base in Texas and possibly just days or weeks from an announcement from the Obama administration to send more troops to Afghanistan, where fighting has gotten more intense in recent months.

Authorities have not determined a motive for the shooting. The suspect, Maj. Nidal Malik Hasan, was scheduled to deploy to Afghanistan but had told his family that he wanted to get out of the military.

"Soldiers in Iraq and Afghanistan continue to face stress from multiple deployments into combat but report being more prepared for the stresses of deployments," Lt. Gen. Eric Schoomaker, the Army Surgeon General told reporters Friday.

Not surprisingly, the report showed that soldiers with multiple deployments, three or four tours of duty to Iraq or Afghanistan, had much lower morale and more mental health problems than those soldiers who have one or two combat deployments. Increased time at home, however, resulted in improved morale among troops sent back to the field.

The updated survey of soldiers in Afghanistan found post-traumatic stress syndrome and depression in soldiers at the same levels of the survey in 2007, but still about double that of the 2005 survey results: 21.4 percent in 2009, 23.4 percent for 2007 and 10.4 percent in 2005, according to the report.

In Iraq, where the survey has been done every year, lower numbers were attributed to the decrease in combat action there. The 2009 numbers showed 13.3 percent of soldiers suffering from mental health problems, compared to 18.8 percent in 2007 and 22 percent in 2006.

Army officials said that with the push of more than 20,000 additional troops into the Afghan theater of battle over the last few months, there have been fewer mental health professionals in the field to help. Army officials said the ration was about one mental health professional for every 1,120 soldiers.

To combat the falling morale and lack of mental health professionals in the field, Army officials said the service needs to more than double the number of mental health providers and hopes to have at least 65 more of those providers in the field by December, making the ratio one for every 700 soldiers.

The mental health assessment teams also conducted interviews with soldiers and found a drop in unit morale in Afghanistan to about half of what it was in 2007 and 2005, when about 10 percent surveyed gave top ratings to unit morale. In 2009, that number was 5.7 percent.

The report also showed soldiers are seeing more difficulty at home with an increasing number reporting they are getting or considering getting divorced, according to the report.

The overall report was based on almost 4,000 soldiers who filled out anonymous surveys in Iraq and Afghanistan between December 2008 and June 2009.

In Iraq, 2,400 soldiers were randomly selected and the results were studied by a mental health assessment team in the combat zone. About 1,500 troops in Afghanistan took the survey, Army officials said.

The survey was different from previous years when all types of soldiers were surveyed together. The 2009 survey questioned combat troops and support troops separately, though Army officials said there were few differences in the results.

On Friday, the Army also released its latest suicide statistics. They show an increase in the number over this time last year.

The Army reported 133 suspected suicides as of October; there were 115 as of October 2008. Of the 133, 90 have been confirmed, and 43 are pending confirmation, according to an Army press release.

Last year the Army totaled 140 suicides in its ranks, the highest the service has recorded.

"Stigma continues to be one of the most difficult challenges we confront," said Brig. Gen. Colleen McGuire, the director of the Suicide Prevention Task Force for the Army.

"The more we educate our Army community about the need to get help, the need to get it early, and that a full recovery is often possible, the less stigma we'll see."

The Army has implemented a number of suicide prevention programs over the past year, including training, a suicide prevention task force and a day off official duties to focus on suicide prevention.

@highlight

Report summarizes 2 surveys of soldiers in Iraq and Afghanistan taken this year

@highlight

Results attributed to increased fighting in Afghanistan, less in Iraq

@highlight

Army hopes to increase number of mental health providers in the field