(CNN) -- The strongest earthquake in 25 years in Northern California's Bay Area struck early Sunday, injuring dozens of people, damaging historic buildings in downtown Napa and turning fireplaces into rubble.

The 6.0-magnitude quake struck just six miles southwest of Napa, California's famed wine country.

"Everything and everyone in Napa was affected by the quake. My house, along with everybody else's, is a disaster. It looks like somebody broke in and ravaged the place, room by room," said CNN iReporter Malissa Koven, who was awakened by the shaking at about 3:20 a.m.

"Anything and everything that could fall, did," she said.

One child was hurt when a fireplace collapsed and was airlifted to UC Davis Medical Center, hospital spokeswoman Vanessa deGier told CNN.

Nearly 160 were treated for minor injuries at the emergency room at Queen of the Valley Hospital, though hospital CEO Walt Mickens could not confirm that all of those patients were injured in the earthquake.

Thirteen people were admitted for orthopedic issues and medical conditions, according to Mickens. By Sunday night, only one patient was still in critical condition.

Assessing the aftermath

The damage in Napa is "fairly significant," said Glenn Pomeroy, the CEO of the California Earthquake Authority, who surveyed the area Sunday afternoon.

At least 15,000 customers in and around Sonoma, Napa and Santa Rosa lost power, according to Pacific Gas and Electric Company. Roughly 7,300 were still without power as of Sunday evening.

In historic downtown Napa, the bricks and beams that once made up buildings' facades lay splayed in the street. Shattered glassware covered the floor of a local restaurant. One home had visible charring from a fire that occurred in the aftermath of the quake. Gas leaks and downed power lines were also reported.

"The post office building had cracked, the local hardware store was destroyed with layers of shelves that had fallen over and busted the windows, multiple buildings had fallen apart, and all the local businesses looked trashed on the inside and out," Koven said.

Pomeroy said that downtown was particularly hard hit "probably because of the age of construction."

However, the damage "is not as bad as it could have been," Mark Ghilarducci, the director of the California Office of Emergency Services, said at a news conference Sunday.

Putting out the fires

To help with the recovery Gov. Jerry Brown declared a state of emergency.

"We're here for the long run," Lt. Gov. Gavin Newsom told CNN. "Not just when we're putting out fires -- literally."

The earthquake triggered six major fires that destroyed several mobile homes, said Napa Division Fire Chief John Callanan.

Napa Public Works Director Jack Rochelle said it might take up to a week to get the water system back to normal after dozens of water main breaks were reported. The water that is still flowing is safe to drink, he said.

How did it feel?

Sunday's earthquake struck four miles northwest of American Canyon, six miles southwest of Napa and nine miles southeast of Sonoma, according to the USGS.

The USGS estimated that based on their locations, 15,000 people experienced severe shaking, 106,000 people felt very strong shaking, 176,000 felt strong shaking and 738,000 felt moderate shaking.

For those in Napa, close to the epicenter, the quake jolted downtown residents such as Karen Lynch.

"It was not like other quakes we have felt," Lynch told CNN. "This was a violent quake."

Although the quake has not resulted in any deaths so far, many residents were surprised by how strong it was.

"Honestly it felt much worse than the '89 earthquake," CNN iReporter Garret Gauer said. "The refrigerator relocated itself to the other side of the kitchen"

Farther south of the epicenter in San Francisco, CNN producer Augie Martin felt the quake differently.

"It was a fairly good shake, about 25 or 30 seconds. It was a softer rolling type earthquake," he said.

The quake struck about seven miles deep and was considered "strong" by the USGS. Major quakes start at a 7.0 magnitude, according to the USGS scale.

More than 60 aftershocks struck in the hours following the quake, according to the USGS, ranging from 0.6 to 3.6 magnitude.

The economic loss is likely to be more than $1 billion, according to USGS pager data.

Wine country hit

"I've got a lot of broken wine, being here in Napa," said Emily Massimi, who was woken up by the quake. "We tend to collect wine, so I have wine all over my kitchen, and glass, and pictures off the wall and books off of bookshelves," she told CNN.

At Silver Oak Winery, owner David Duncan spent the morning cleaning up hundreds of broken wine bottles that fell off the shelves.

"Those bottles were very unique," he said. They were part of his private collection and worth hundreds of dollars. Duncan said he plans to open the winery today.

But it's not just the wine economy that will feel the pain.

"There's a mythology about Napa, that it's all fancy wineries," Newsom said. "But underneath that there are a lot of folks here -- very low income -- that are going to need support."

25 years later

The quake was the strongest to hit the Bay Area since 1989, when a 6.9-magnitude one struck during the World Series. The Loma Prieta earthquake caused 63 deaths, 3,757 injuries and an estimated $6 billion in property damage, according to the USGS.

The damage from Sunday's earthquake was relatively minor compared with the buckled highways and destroyed homes that scattered the Bay area in the aftermath of the quake 25 years ago.

The 1994 Northridge earthquake in Southern California was nearly as deadly -- 60 people were killed and more than 7,000 were injured. The USGS says 20,000 people were left homeless in its aftermath.

Follow the story in a CNN Storify.

Did you feel it? Weigh in at Facebook, Twitter, or CNN iReport.

CNN's Rick Martin and Carma Hassan contributed to this story

@highlight

One hospital treats more than 170 people, most suffering bruises and cuts

@highlight

Young child in critical condition flown out for treatment, authorities say

@highlight

California governor declares state of emergency

@highlight

Water main ruptures and fires break out; at least 15,000 people without power