Yemen is going through its greatest upheaval since protests erupted during the Arab Spring more than three years ago. Only this time, it's not a cry for democracy but a bitter sectarian battle for power -- pitching al Qaeda and other Sunni groups against Shia Houthi rebels.

The Houthi -- whose stronghold is northern Yemen -- swept into the capital, Sanaa, a month ago, where they met little opposition. Since then, they've taken control of Yemen's second port, Hodeida, on the Red Sea.

Now they're trying to challenge al Qaeda in the Arabian Peninsula (AQAP) in its heartland in central Yemen. Hundreds of Houthi fighters converged on the provinces of Ibb and al Bayda in recent days. Yemeni Interior Ministry officials tell CNN Houthis have taken heavy casualties because of roadside bombs planted by AQAP.

"Houthis are used to military clashes, while al Qaeda uses guerrilla tactics against its enemies," said Abdul Salam Mohammed, president of the Abaad Strategic Center in Sanaa.

Officials estimate that at least 75 people have been killed in fighting since Saturday, the great majority of them Houthis -- including 22 killed by a roadside bomb Monday in the town of Rada'a. There were further clashes in the town Tuesday, with AQAP claiming it inflicted heavy casualties on Houthi fighters.

AQAP has taken control of the town of Al Odayn in neighboring Ibb province, as Yemen threatens -- again -- to become a patchwork of rival fiefdoms where the central government has little influence. Al Qaeda claims that some Sunni tribes have joined it in repelling the Houthi incursions.

Writing in Al Monitor, commentator Maysaa Shuja al Deen says AQAP is "forging political alliances with tribes that view the Houthis as enemies... Indeed, the organization has expanded to new areas in response to Houthi control."

Jalal BalEidi, a senior figure in AQAP, said the group will confront the Houthis' advance, in what appears to be a new front in the larger Shia/Sunni struggle across the Middle East.

The Houthis have long complained that they have been marginalized and persecuted by Yemen's Sunni majority, and have been involved in series of rebellions since 2004. But never before have they taken so much territory across such a wide area of central and northern Yemen. They are demanding a substantial presence in a new government and a voice in the writing of a new constitution.

After taking control of ministries, the state television headquarters and other government facilities in Sanaa last month, Houthi leaders signed a peace agreement with President Abdu Rabu Mansour Hadi. But their presence has sparked protests among hardline Sunni parties and groups and has given al Qaeda a new rallying call. Al Deen says the agreement tried "to legitimize the fall of the capital and cover the truth on the ground, which is the collapse of the Yemeni state and its replacement by militia forces taking control of its streets and expanding militarily to the rest of the country's provinces."

Adding to an increasingly volatile situation, a secessionist movement in the south of Yemen, al Hirak, is stepping up protests in Aden, Yemen's chief port and the largest city in the south.

Al Qaeda resurgent in Yemen amid political turmoil

For Washington, Yemen's descent into a conflict of many groups -- whose alliances can change quickly and unpredictably -- is the worst-case scenario. For al Qaeda, it is fertile ground. In some ways, events in Yemen, with outside powers all jockeying for advantage, are beginning to mirror the disintegration of Syria.

@highlight

Houthi rebels battle al Qaeda-linked group for territory in Yemen

@highlight

Houthis took over some ministries in Sanaa last month, demanding role in government

@highlight

Analyst says Yemeni state is collapsing and militia forces are taking control