(CNN) -- Glass, Google's high-profile entry into the world of wearable tech, may help launch a revolution if it's released later this year as expected. But test models already on the street have begun playing a more unlikely role -- as symbols in a simmering fight over Silicon Valley's impact on the city of San Francisco.

It's a local story, but one with ramifications everywhere as Google on Tuesday made the connected headsets available to the public for the first time in a one-day sale.

While our smartphones drop easily into pockets and tablets get zipped up in cases or backpacks, wearables such as Glass are, quite literally, in your face all the time.

The $1,500 device, which displays Web content on a tiny screen, signals its wearer as a likely member of an affluent tech elite. And Glass also can discreetly shoot photos or video, which some people view as invasive.

That's caused unease for some folks and, in some cases has led to arguments, altercations and even attacks against people wearing the technology.

Kyle Russell, a reporter for Business Insider, wrote Sunday that he was walking home after covering a protest march against a Google employee who reportedly had bought a property and then evicted its tenants.

He was wearing, but not using, the eyewear "when a person put their hand on my face and yelled, 'Glass!' In an instant, the person was sprinting away, Google Glass in hand."

Russell says he ran after the woman, who then "pivoted, shifting their weight to put all of their momentum into an overhand swing. The Google Glass smashed into the ground, and they ran in another direction."

Tension city

In the column, Russell said he thinks the protest and attack Friday were linked, though he does not think the woman who did it was at the march.

"My love for gadgets makes me look and sound like one of the people whom residents of the city have come to feel oppressed by," he wrote.

"The individual who smashed my Google Glass on Friday -- because of political beliefs or a personal impact that has been made by the tech industry -- felt that it was appropriate to destroy my personal property in protest against what I seemed to stand for, based on my appearance; never mind the irony in choosing to assault someone based on their appearance as a way to preserve San Francisco's culture," he wrote.

On Monday, a Google spokesman condemned the attack.

"Targeting anyone for a crime because of what they wear is wrong," the spokesman said in a statement. "We have reached out to the person to see what we can do to help."

In recent months, tensions have run high in San Francisco over the perceived role that tech-industry giants have had on the city. Protesters complain that an influx of highly paid tech workers is driving up rents, forcing out longtime residents and robbing the city of its famously eccentric character.

Related story: Would you want Google Glass in class?

Most of the anti-tech fervor has focused on big-name companies such as Google and Twitter and the private bus systems that ferry their employees from the city to various corporate headquarters in Silicon Valley.

But individual employees are increasingly being targeted, too.

Just last week, protesters picketed in front of the private home of Kevin Rose, co-founder of Digg and now a partner with Google Ventures. The protesters, who posted signs calling Rose a "parasite," claimed his group, which helps Google decide which startups to invest money in, has helped to inflate prices in the city.

Friday's march targeted Jack Halperin, an attorney for Google, who protesters say bought a building, where he intends to live, and evicted tenants who had been renting there.

Glass as a flashpoint

But while the tensions over housing in San Francisco have been bubbling for some time, it's relatively new for Glass to be targeted, either over privacy concerns or as a presumed symbol of the tech industry as a whole.

In late February, a woman says she was attacked at a bar on San Francisco's famous Haight Street after fellow patrons began heckling her and trying to rip Glass off of her face.

In a video Sarah Slocum shared with KRON-TV, a woman can be heard saying "You're killing the city" while approaching Slocum and apparently trying to rip the headset off of her face.

Another man is shown similarly trying to grab the device. Slocum said the man eventually took the headset and ran out of the bar with it. She was able to retrieve her Glass but says her purse and phone were stolen.

Google is clearly cognizant of the concerns some people have about Glass and has acted to encourage "Explorers" -- people who have been publicly field-testing the devices since early last year -- not to behave in ways that stoke anti-Glass sentiment.

In February, the company issued a list of tips for Explorers that included not being "creepy or rude (aka a 'Glasshole')." Other advice included always asking permission before taking a photo or shooting a video of someone, and being careful not to "Glass out," or just sit idly with the device on when others are around.

It's hard to know whether the San Francisco attacks were just isolated incidents or whether others might be targeted similarly. One suspects that when the digital headsets become widely available, presumably later this year, people will become more accustomed to seeing them.

Slocum, the woman attacked in the San Francisco bar, hopes potential users won't be discouraged.

"I hope this incident doesn't deter people from wearing Google Glass, because 95% of the time, my experience is 180 degrees different," she told KRON. "Most people are just excited, curious. I usually end up demonstrating them, showing them to people, letting them try them on."

@highlight

Two recent cases saw Google Glass users attacked in San Francisco

@highlight

Both appeared linked to protests over tech industry's role in the city

@highlight

Protesters say tech jobs are gentrifying the classically quirky city

@highlight

Users say most Glass interactions are positive