(CNN) -- It began as horseplay, with two teenage stepbrothers chasing each other with blow guns and darts. But it soon escalated when one of the boys grabbed a knife.

Michael Barton, Quantel Lotts' stepbrother, was stabbed to death at age 17.

The older teen, Michael Barton, 17, was dead by the time he reached the hospital, stabbed twice.The younger boy, Quantel Lotts, 14, would eventually become one of Missouri's youngest lifers.

Lotts was sentenced in Missouri's St. Francois County Circuit Court in 2002 to life in prison without parole for first-degree murder in his stepbrother's stabbing death.

It made no difference that at the time of the deadly scuffle, Lotts was barely old enough to watch PG-13 movie and too young to drive, vote or buy beer.

"They locked me up and threw away the keys," Lotts, now 23, said from prison. "They took away all hope for the future."

His stepmother, the victim's mother, has forgiven Lotts and is working with lawyers to gain his release.

Lotts is one of at least 73 U.S. inmates -- most of them minorities -- who were sentenced to spend the rest of their lives in prison for crimes committed when they were 13 or 14, according to the Equal Justice Initiative, a nonprofit organization in Alabama that defends indigent defendants and prisoners.

The 73 are just a fraction of the more than 2,000 offenders serving life sentences for crimes they committed as minors under the age of 18.

Across the country, most juvenile offenders and many adults are given a second chance. Charles Manson, convicted in seven notorious murders committed when he was 27, will be eligible for his 12th parole hearing in 2012. He's been denied parole 11 times. Even "Son of Sam" killer David Berkowitz, who confessed to killing six people in the 1970s when he was in his 20s, has had four parole hearings, though he has said he doesn't deserve parole and doesn't want it.

But Quantel Lotts has no hope for a parole hearing. At least not yet.  See which states have sentenced minors to life without parole »

Lotts is part of a trend that has developed over the past two decades. Numerous studies have shown that In the 1970s and 1980s, minors were rarely given life sentences, let alone life without parole, experts said. By the early 1990s, according to the Department of Justice, an alarming spike in juvenile homicides spawned a nationwide crackdown, including a movement to try kids in adult courts.

"Criminal court doesn't care they are kids," said Melissa Sickmund, chief of systems research at the National Center for Juvenile Justice in Pittsburgh, Pennsylvania. "Once they are there, it's just another case."

Today, there are only a handful of states -- including Alaska, Colorado, Kansas, New Mexico and Oregon -- that prohibit sentencing minors to life without parole, according to the National Conference of State Legislatures.

Proponents of the strict sentencing laws said public safety should be top priority. They argued that judges give certain criminals, regardless of their age, life sentences because the crimes are so abhorrent.

"There are some people who are so fundamentally dangerous that they can't walk among us," said Jennifer Jenkins, who co-founded the National Organization for Victims of Juvenile Lifers. The Illinois-based group has fought legislation in nine states that would remove sentences of life without parole.

Jenkins has experienced the devastation of losing family members to a teen killer. In 1990, her sister and her sister's family, who were living in a wealthy suburb in Chicago, Illinois, were murdered by a teenager.

"Victims have the right not to be constantly revictimized," she said.

"They will come back to my community and your community and repeat," said Harriet Salerno, president of Crime Victims United of California, a group trying to block the passage of laws that would ease sentencing for juveniles.

She founded the victim's group after her daughter, a pre-medical student, was murdered at the University of the Pacific in Stockton, California in the 1979. "Many of them have dysfunctional homes, and the crimes will escalate because there is no place to put them."

Only 19 states punish children under 14 with life sentences without parole, according to a study conducted by the Equal Justice Initiative.

Over the past three years, the advocacy group's attorneys have appealed cases involving 13- and 14-year-old offenders in state and federal court. Attorneys argue that the sentences are "cruel and unusual punishment" given the tender years of the offenders. Read the center's report

Last week, the state of Missouri dismissed Quantel Lotts' case in St. Francois County Circuit Court. The Equal Justice Initiative will challenge the decision in the Missouri Court of Appeals. A separate petition, filed in 2007, is pending in federal court in the Eastern District of Missouri.

Lotts remains in prison in Bonne Terre, Missouri, and he is hopeful. He has new dreams of going to college and maybe even becoming a lawyer.

"My family motivates me," he explained. "Because I want to be out there with them so I can never give up."

He wishes he could start over, but not at the beginning. He grew up in a crack house with a mother who used and sold drugs. In Lotts' case, court documents reveal that he was sexually abused as a child.

When child welfare officials took Lotts from his mother at the age of 8, they noted that he "smelled of urine and had badly decayed molars as well as numerous scars on his arms, legs and forehead."

"Quantel had a lot of anger because of all he has been through," said stepmother Tammy Lotts, 45, whose son Michael Barton was Lotts' victim. iReport.com: Sentence 'totally unfair'

At the time of the crime, Tammy Lotts said she left her children for several days with her husband to get high on crack cocaine.

"But I don't believe that Quantel did it," she added. "They took care of each other. They didn't see each other as stepbrothers; they considered them brothers."

Most young offenders serving life without parole were exposed to poverty, violence or drugs during childhood, the Equal Justice Initiative reported.

Some victims' families say that's exactly why the juveniles should stay locked up.

Salerno, of Crime Victims United of California, said that some juveniles can be rehabilitated but that some committed crimes so severe, resources shouldn't be wasted on them.

Two cases in which juvenile offenders got life without parole didn't even involve murder.

Antonio Nunez was 14 years old when he committed a crime that gave him life without parole. The crime was an armed kidnapping that occurred in 2001. He spent his childhood in a gang-ridden neighborhood in South Central Los Angeles, California. He was shot in the stomach multiple times while riding his bike at age 13.  See stories of other inmates who were sentenced to life in prison without parole »

In Florida, Joe Sullivan, who case will be heard soon by the U.S. Supreme Court, was sentenced to life without parole for 1989 rape of an elderly woman. He was 13 at the time of the crime and is mentally disabled.

In 2005, groups that opposed life sentences without parole for young people, began to gain traction after the U.S. Supreme Court abolished the death penalty for crimes committed by 16 and 17 year olds in the landmark case Roper v. Simmons.

A year later, Colorado abolished life without parole for minors who commit crimes. At the federal level, Rep. Robert C. Scott, D-Virginia, will introduce legislation this year to give youthful offenders the option of parole. In California, Democratic Sen. Leland Yee has proposed a law that grants young offenders a chance at parole after ten years.

"Children aren't just little adults, and it's starting to resonate with people," said Ashley Nellis, an analyst at the Sentencing Project, a research organization tracking sentencing patterns. "There has been a general momentum of changing juvenile law in the last few years."

Nearly a decade later, Lotts, now a grown man, still cries himself to sleep over the loss of his stepbrother. To ease the pain, he reads novels or listens to the tunes of R&B group Dru Hill.

One sleepless night in prison, Lotts found himself reading the book "Lightning" by Dean Koontz. The novel, about time travel, has become one of his favorites. He often thinks about what it would be like to turn back time.

"This would have never happened," he said. "My brother would be here today."

@highlight

At least 73 inmates serve life without parole for offenses committed at 13 and 14

@highlight

Proponents of tough sentencing laws say public safety is top priority

@highlight

Only 19 states punish minors under 14 with sentences of life without parole

@highlight

"They took away all hope for the future," says Quantel Lotts, now 23