Atlanta, Georgia (CNN) -- A long line of people winds outside the door at The Plaza Theatre in Atlanta, but the near-sellout crowd isn't here for a new release. They are waiting to see "The Room," a movie panned by critics when it was released in 2003.

The majority of the people in line have seen it before, and will see it again. A few are wearing costumes, and more have brought along new friends and boxes of plastic spoons.

Everyone seems to have their own way of describing the film: "It's so much more than a movie, it's a social experience," says Anna Spence before her 18th theater viewing.

Kate Cella, a first-time viewer, was dragged to the movie by friends. "I've heard that it's the worst best movie ever, or the best worst movie ever, and that I should bring plastic spoons to throw at people."

Whether it's the best worst or the worst best, audiences have discovered a new cult classic movie.

The story of "The Room" started with its premiere in Los Angeles in 2003. There was some buzz about the film, helped by a large billboard on a main drag in Hollywood. The director, producer and lead actor, all one man named Tommy Wiseau, arrived via limousine to a spotlight on a red carpet and signed autographs.

The Hollywood treatment didn't last long. Some in the audience walked out of the showing. Critics were harsh, ripping every aspect of the film, from the overacting and confusing dialogue to the primitive cinematography. Actress Robyn Paris recalls, "It was like trying not to laugh in church."

It wasn't supposed to be like this for Wiseau, who poured his life and money into this passion project.

But a select group saw a hidden brilliance in the unintentional comedy. One college kid named Michael Rousselet sat and watched "The Room" alone in an empty theater and immediately called his friends to come to the next screening. More friends came to the next, and the next. The day after, 100 people were in the theater yelling out quotes along with the movie.

After the disappointing initial two-week run in Los Angeles, fans persuaded Wiseau to continue screening the film once a month. "It immediately struck a chord with the young, hip college crowd. They absolutely loved it." remembers Greg Sestero, who plays the character Mark in the film. "I showed up at a small screening and there wasn't enough room, people were sitting on the floor. These kids knew every line."

The crowds grew, selling out theaters, and have continued since, once a month for the past seven years. Shortly thereafter showings popped up in cities across the United States, and then in the UK, Denmark, India, Germany and everywhere in between. The Sunset 5 Theater in Los Angeles now sells out all 5 cinemas the last Saturday of every month for screenings of the "The Room."

Inside the theater in Atlanta, as the lights dim, there is an energy. As the film's title displays, the audience erupts into cheers and applause. Laughter continues throughout the entire 99 minute showing of this dark tale of infidelity. Rarely a moment passes when there isn't a level of audience interaction: quoting the film aloud in unison and answering the characters' dialogue with clever jokes.

The most common ritual in theaters everywhere is the plastic spoons. In the titular room, where most of the drama takes place, there are several framed photographs of the cutlery item, and every time one appears on screen, audiences yell "spoons!" while throwing hundreds of them in the air.

Director Wiseau is clearly the force behind this movie, with his hands on everything from writing the script to funding the production out of his own pocket. The heavily accented star also provides most of the humor in the highly quotable film, intentional or otherwise. He doesn't mind, saying, "If you can laugh at my project, I did well. I put a little happiness in your life and that's good."

While this is certainly a unique event, it's not a completely new experience. "The Rocky Horror Picture Show" has been combining cinema with audience participation since the '70's. Even Rousselet says he and his friends were intentionally attempting to make the experience like "Rocky Horror."

But Wiseau doesn't see the comparison. "You can't compare oranges to apple, or oranges to lemon. We're dealing with relationships and betrayal."

After seven years, it appears the aura of "The Room" is still growing. When cast member Kyle Vogt went to a screening, Bobcat Goldthwait came out of the audience and asked to take a picture with him.

Wiseau has since made appearances on Adult Swim and Comedy Central. But the self-made star is not forgetting the movie that fans will forever remember him for. "Next year we put 'The Room' on 3-D, and I have great support. We will do 'The Room' musical eventually."

There is a lot of mystery about Wiseau, who won't answer questions about his heritage or where he got his money. Fans gather at Q and A sessions trying to get every bit of information so often that Sestero decided to publish a tell-all book about meeting Wiseau and the making of the film.

Amid the confusion, there are plenty of fans who don't need an explanation. "I'm not confused about 'The Room' at all, I think it's beautiful," says Johnny McGowan. "The more that people allow 'The Room' to be what it is ... I think the more enjoyment they'll get." Johnny Padgett agrees, "'The Room' is probably the greatest movie I've seen in my lifetime."

Wiseau says he is pleased with the way things have turned out, and he has few regrets. "Everything turned out the way I wanted it. When you look at the content, I wouldn't do differently. If you look at technical, yes, maybe 20% differently."

@highlight

2003 box-office bomb "The Room" is now a cult favorite

@highlight

Tommy Wiseau was the director, producer and lead actor in the film

@highlight

Film has regular screenings around the world