(CNN) -- Like millions of other Americans, Dan and Sally Sligh packed up their vehicle and headed out for a Memorial Day weekend trip. As they crossed the Interstate 5 bridge over the Skagit River outside Seattle, Washington, the bridge gave way and their pickup truck plunged into the frigid waters.

Luckily, everyone survived Thursday's incident.

When a bridge fails, such as the I-5 bridge in Washington state, it raises questions about the safety of millions of travelers. Where are America's risky bridges? Are interstate bridges being properly inspected? What will it take to make the nation's bridges safer?

Related: Find deficient bridges near you

We shouldn't be worried, but we should be wary: that's the message from the American Society of Civil Engineers, which puts out a "report card" on the safety and maintenance of U.S. bridges.

Right now, America's got a C+.

That may be a passing grade, but it's not good enough, says infrastructure expert Barry LePatner. That's because there have been nearly 600 bridge failures since 1989, LePatner told CNN. And one out of every nine U.S. bridges is rated as "structurally deficient," according to the ASCE.

Thursday's collapse was apparently caused when a tractor-trailer struck one of the overhead beams of the bridge, which is nearly six decades old. LePatner said it is "totally unacceptable" that the bridge did not have another support structure.

"Bridges today have redundancy so that where you have something hitting a structural element, there (are) other supports to keep the bridge up," he noted. "That is something that bridge engineers understand, but politicians are not funding."

President Barack Obama has championed infrastructure spending since taking office, yet he hasn't been able to convince lawmakers to support his initiatives.

"The problem is we've had some trouble out of Congress just going ahead and funding," Obama said last week during a speech in Baltimore, Maryland.

The president directed government agencies to "do what it takes to cut timelines for breaking ground on major infrastructure projects in half."

"Sometimes it takes too long to get projects off the ground," Obama said.

Maintaining bridges and other key transportation links is not only a safety issue -- it's an economic matter, as well.

"We are on the brink of losing our competitive edge in the global marketplace as a result," Sen. Jay Rockefeller, D-West Virginia, said Wednesday.

Politicians are turning their backs on this issue, said LePatner. They "do not see infrastructure as a high priority and the American public and our economic system is paying a terrible price for this."

Of course, a lot of this issue surrounds money.

To make all necessary repairs to America's bridges, the Federal Highway Administration estimates it will cost $76 billion.

Who's going to pay for that? Taxpayers? No thank you, say most of the Americans who answered a recent Gallup poll.

Two thirds said they're against paying more in gasoline taxes to fund bridge and road repairs in their own states. And it didn't matter if the respondents were Republican, Democrat or independent.

Here's another sobering stat: the average age of all 607,400 bridges in the United States is 42 years.

It points to the fact that so much of this issue revolves around trust. Do we trust the systems now in place that are aimed at finding bad bridges and taking appropriate action?

The federal government requires all bridges to be inspected at least every two years. If inspectors find something wrong, they can order emergency repairs or cut the size of vehicles allowed to cross, or even shut the bridges down entirely.

Washington's I-5 bridge had been inspected as recently as November. It was built in 1955 and had been rated "functionally obsolete," according to a federal database. LePatner explained that this classification doesn't mean that the bridge is necessarily unsafe.

"What it does indicate is that there are serious failures because of lack of maintenance," he said. "A bridge that is designed in 1955 could never have contemplated heavy 18-wheeler trucks."

Bridge engineer Andy Herrmann says that the current U.S. model of inspecting bridges is working just fine.

"Engineers are watching -- trying to ensure the public safety," said Herrmann, a former president of the American Society of Civil Engineers who has spent 40 years designing and maintaining bridges.

"If you look at the Champlain Bridge in New York state, they were watching that bridge very carefully and when it got to the point where the deterioration was suddenly accelerating, they decided to close it immediately."

The bridge, which linked Crown Point, New York, with Chimney Point, Vermont, was demolished in 2009 and a newly built bridge opened to traffic in 2011.

In some instances, the new generation of bridges that are being built today include new monitoring technology instead of relying solely on bridge inspectors.

When the I-35W bridge collapsed in Minneapolis in 2007, 13 people died and 145 others were hurt. The bridge that replaced it cost $233.8 million. Out of that budget, about $1 million paid for smart technology that senses danger and warns of a potential structural threat.

Sensors were built into the bridge to monitor corrosion, stress and the movement of the structure from constant traffic.

A tiny beam of light is used to measure very small differences in the movement of the bridge when vehicles pass over. Data from the sensors is monitored, providing an extra layer of engineering oversight.

"We want these bridges to be safe," said Herrmann. "But we need to provide the funding, the investment to make them safe."

The number of America's deficient bridges has actually decreased "ever so slightly over the last couple of years," Herrmann said. That's mostly because of increased funding from state and local governments, he said.

Is that a good sign?

Herrmann said yes, but he added, "If we don't start accelerating we could start losing ground."

Would you support an increase of your state's gasoline tax to pay for bridge and road repairs in your state? Let us know in the comments section below.

@highlight

After collapse of Washington state's Interstate 5 bridge, should drivers worry?

@highlight

No, says top U.S. bridge engineer, but they should be "wary"

@highlight

All bridges must be inspected every two years; new technology offers extra protection

@highlight

President Obama takes action to speed up bridge improvements