Washington (CNN) -- As the "Arab Spring" revolutions dominate the news, Kyrgyzstan is marking the one-year anniversary of another uprising. That one overthrew the authoritarian regime of President Kurmanbek Bakiev, who resigned last April.

Now, the woman who replaced him, Rosa Otunbayeva, follows developments in the Mideast and North Africa as she grapples with the aftermath of revolution in her own country.

"It's quite a difficult, thorny road," she told CNN during a visit to Washington, to accept a "Women of Courage" award from Secretary of State Hillary Clinton.

The non-stop media coverage of the Arab revolutions is a sharp contrast to the limited news of last year's uprising in Kyrgyzstan. Otunbayeva is disappointed that the violence in Kyrgyzstan did not spark the international outrage that violence in Mideast countries has.

"On April 7th (of last year) a crowd of people came to the central square in front of our White House," she says. "They were shot straight from the roof. Eighty-seven people died, hundreds were wounded. Yet nobody defined this as unacceptable or outrageous."

In July of last year, after Bakiev fled the country, Otunbayeva was sworn in. Acting as interim leader, she pledged to serve for 18 months until new elections. And she made history, becoming Central Asia's first female head of state and head of government in a traditional, majority-Muslim country.

But making history has not solved the mountain of problems she faces. The Kyrgyz government is faltering. There are other major challenges, Otunbayeva says, including sharp increases in food prices and a budget shortfall. There are security problems: the central Asian nation borders Tajikistan, a neighbor of Afghanistan.

One of the first tasks Otunbayeva and her fellow opposition leaders worked on, after years of presidential rule, was introducing a new constitution with a parliamentary system.

"As head of provisional government, I was everything: speaker, head of the government, interim president. We steadily reached what we had promised. And today power is not any more in the hands of any one person."

Asked what is the biggest danger for a country after a revolution, she points out that the Kyrgyz revolution was led by young people, just as the uprisings in many of the Arab and North African countries have been.

"They said enough is enough, all this bribery and corruption."

But the Kyrgyz revolution was followed by violent ethnic fighting in the south of Kyrgyzstan. "We lost people there, a lot of victims," Otunbayeva recalls.

The uprsising in Kyrgyzstan came after unrest in that country in 2005 that has come to be called the "Tulip Revolution," which led to the ouster of then-President Askar Akaev.

In any country undergoing revolution it's critically important, she says, that whoever ends up holding power be very attentive to long-standing issues like ethnic rivalries.

"You should have an exact plan of action, how you'll fix it," she says. "Otherwise it will put you in danger."

Kyrgyzstan had some advantages over a few Mideast and North African nations: after the fall of the Soviet Union it introduced freedom of speech and assembly. It has a strong civil society and trade unions. Many young Kyrgyz study in the United States.

Otunbayeva says events of last year were some of the toughest and most dramatic in Kyrgyz history. It wasn't just an issue of survival, she says, but an issue "of sovereignty, of independence, of unity of the nation."

"We are an ancient nation in Central Asia on the Silk Road, quite famous. We have a rich history and traditions," she says. It was a test for her country, and for herself.

Otunbayeva says it's important to be a role model for young women. "The situation is not as good as it was before," she says. Fundamentalist religion, she says, is on the rise and, as a result, the situation of women has deteriorated in her region.

"In such a circumstances, to be a leader of the nation, this is really, I guess, a good impetus for thousands and thousands of women to be in the forefront of the nation. And I hope I will be a really good example."

Receiving the Women of Courage award from Hillary Clinton, Otunbayeva was cited for "courageous leadership...binding together a historically fractious opposition into a provisional government structure able to check the struggles for power from stirring up wider divisions in society."

Central Asia expert Martha Brill Olcott of the Carnegie Endowment for International Peace says: "That's really a very conscious goal of hers, to be this example of the first woman in office in the region.

"She has a strong sense of historic mission about what she's doing. She wants to make a revolution that's successful, that makes Kyrgyzstan a sustainable democracy, and even more than being the first woman, she really wants to be the first person who leaves (office)...She sees it not only as making a revolution but creating a model that somebody could walk out the door."

Otunbayeva explains it this way: "As it happened, I was the person around whom other parties, political leaders, rallied. I'm one of many millions of women in my country. And I'm proud to say that we've done this job. We didn't lose our sovereignty. We did it."

Smiling broadly, she says: "So, women can do something in Kyrgyzstan."

@highlight

Kyrgyzstan's president received a "Women of Courage" award in Washington

@highlight

In an interview, Rosa Otunbayeva discusses her country's revolution a year aga

@highlight

She is disappointed that violence in her country did not spark international outrace

@highlight

She is making history in Kyrgyzstan, "And I'm proud to say that we've done this job"