(CNN) -- Inventors across the country are being asked to find a way to lighten the load U.S. soldiers carry on their backs -- largely due to the high-tech gear that uses batteries -- and the solution will be decided in a $1 million contest.

The military wants to lighten the load troops carry into combat.

The Department of Defense is asking a person or team to come up with a way to lessen the weight of the 20-40 pounds of batteries a solider carries on a typical four-day mission. The batteries power everything from soldiers' GPS systems to their night-vision goggles.

"In many missions the batteries are heavier than the ammunition they are carrying," said Dr. William S. Rees Jr., Deputy Undersecretary of Defense for Laboratories and Basic Sciences -- whose office, the Director of Defense Research and Engineering, is sponsoring the prize competition. "We'd like to reverse that ratio."

Some missions require as much as 100 pounds of equipment, according to Brig. General Mark Brown who commands the Army's Program Executive Office Soldier program.  See what troops are carrying and wearing into combat »

"Any weight reduction on batteries would really help us out," Army Spc. Daniel Tinsely, currently serving in Iraq, told CNN's Federick Pleitgen.  Watch as Tinsely explains the gear he carries and the batteries required »

"It's a challenge we've had in the military forever," said CNN military analyst retired Army Brig. Gen. James "Spider" Marks.

Marks says one of the best things to help out the soldiers would be to give them a "power pack" that's miniaturized -- one that can last a long time and doesn't weigh much.

And that's the key to winning the $1 million. The whole prototype must weigh 8.8 pounds (4 kilograms) or less and produce 20 watts average power for 4 days or 96 hours. It has to be wearable, like a vest, and will undergo rigorous testing.

The entry that can demonstrate a wearable electric power system that can provide 96 hours of equipment operation at 8.8 pounds or less, will take first place and the $1 million. Systems coming in second and third place will receive $500,000 and $250,000.

The contest, announced July 5, will take place in the fall of 2008. It is open to individuals and teams and the DDR&E hopes to attract entrepreneurs as well as traditional defense contractors.

This is the first cash prize giveaway by the DDR&E, Rees added.

"We welcome all players to the game," he said.

An individual must be a U.S. citizen and at least 21 years old. A team can be comprised of non-citizens but the team leader must be a U.S. citizen at least 21 years old.

During the five-day competition, the top performing systems will take part in an eight-hour trial meant to mimic real life troop activities. Competitors will strap on their prototypes and "subject their power systems to periods of walking, lying prone, outdoor environmental conditions, potentially short-term cold chambers and off-wearer operation in an airtight container."

The judging panel will consist of government scientists, engineers and military personnel.

The military hopes these power packs may also have commercial use in camping, hiking and other outdoor activities.

First responders could power radios and search lights with the new technology, Rees suggested. "You could run a small refrigerator off of it," he added.

In September the military will hold a public meeting to brief potential competitors on technical details, the rules and qualification requirements. The registration deadline is November 30, 2007. E-mail to a friend

@highlight

Military: $1 million prize for a wearable electric power system for U.S. troops

@highlight

Power system must weigh 8.8 pounds (4 kilograms) or less

@highlight

It has to produce 20 watts average power for 4 days

@highlight

The contest, to be held in the fall of 2008, is open to individuals and teams