LONDON, England (CNN) -- Leaders of the world's largest economies agreed on Thursday to a package worth more than $1 trillion to tackle the global economic crisis.

Barack Obama: "The challenge is clear" for world leaders to tackle the economic crisis.

U.S. President Barack Obama called the deal "a turning point in our pursuit of global economic recovery." The plan calls for reform of the international banking system and the injection of more than $1 trillion into the world financial system.

The Group of 20 is taking "unprecedented steps" to attack the global economic downturn, stimulate growth and expand loans to troubled nations, Obama said at the close of the group's meeting in London.

"The challenge is clear," the U.S. president said. "The global economy is contracting. Trade is shrinking. Unemployment is rising. The international financial system is nearly frozen."  Watch Obama's speech »

British Prime Minister Gordon Brown heralded the emergence of a "new world order" Thursday following the release of what he called an "unprecedented" package of measures to tackle the crisis.

The deal agreed by the leaders of the world's largest economies included reform of the international banking system and the injection of more than $1 trillion into the world financial system.  Watch what was agreed to at the summit »

French President Nicolas Sarkozy and German Chancellor Angela Merkel, who had voiced concerns prior to the summit about the wisdom of pumping further public money into economies already in recession, welcomed Thursday's agreement -- though hinted at unresolved disagreements behind the scenes.

There had been concerns that a rift was opening up between the approach being championed by the U.S. and Britain -- more economic stimulus -- and that favored by France and Germany -- more banking regulations.

Sarkozy said the agreement represented "great progress" on reform of financial institutions and said "a page had been turned." Merkel described the deal as "a very, very good, almost historic compromise."

The six-point plan includes banking reform measures and more than $1 trillion to be spent on restoring credit, growth and jobs, as well as measures clamping down on tax havens and a commitment to build a green and sustainable economy. iReport: What's the economy like where you are?

Much of the G-20 communique issued at the end of the London summit restated promises and goals that international leaders had made earlier, relying on language such as "we remain committed" and "we reaffirm our historic commitment."

But Brown said: "Our message is clear and certain. We believe that in this new global age our prosperity is indivisible. We believe global problems require global solutions," Brown said.

"I think a new world order is emerging and with it the foundations of a new and progressive era of international cooperation." Watch Brown's statement »

Brown said the new rescue package, which includes a commitment to treble the resources available to the International Monetary Fund to $750 billion, amounted to "the largest macro economic stimulus the world has ever seen."

Along with existing national stimulus measures, Brown said efforts to bolster economies amounted to more than $5 trillion.

The six-point consensus consisted of measures to:

Obama said: "We owe it to all of our citizens to act and to act with urgency. We have agreed upon a series of unprecedented steps to restore growth and prevent a crisis like this from happening again."

"We have rejected the protectionism that could deepen this crisis. ... This cooperation between the world's leading economies signals our support for open markets," he said. "Second, we are committed to comprehensive reform of a failed regulatory system."

Obama added: "We can rebuild our global prosperity if we act with the sense of common purpose, persistence, and optimism that our moment demands."

Obama said the United States would also provide $448 million in additional aid to vulnerable nations which he described as "future drivers of world economic growth."

Brown said the G-20 would meet again later in the year to review the success of its plans and said details of the summit would be announced over the next few days.  Watch global impact of the downturn »

"Together with the measures we have each taken nationally, this constitutes a global plan for recovery on an unprecedented scale," the G-20 communique said.

As expected, the communique included tough new measures to reform global financial institutions, citing "major failures" in regulation of the sector as "fundamental causes of the crisis."

The G-20 members will also establish a new Financial Stability Board to provide "early warning of macroeconomic and financial risks," the summit's final communique said, but it was not clear if board would have regulatory powers.

Brown said the final deal included agreement on tighter regulation of hedge funds, tax havens and the banking system.

"We will implement new rules on pay and bonuses at a global level that reflect actual performance with no more rewards for failure," Brown said. "We want to encourage corporate responsibility in every part of the world."

There were only a few protesters outside the summit when it started Thursday -- a marked difference from the thousands who gathered in central London 24 hours earlier.  Watch more on the protests »

Police said they arrested nearly 90 people on Wednesday and were expecting more problems.

@highlight

U.S. President Barack Obama: Unprecedented steps to restore growth

@highlight

World leaders say the agreed measures will shorten the recession

@highlight

More than $1 trillion will be injected into the world financial system

@highlight

Six-point plan also strengthens regulations in the financial sector