(CNN) -- What do you remember about April 20, 1999?

Families visit the graves of the Columbine shooting victims at Chapel Hill Memorial Gardens in 2007.

If you recall that two unpopular teenage boys from the Trench Coat Mafia sought revenge against the jocks by shooting up Columbine High School, you're wrong.

But you're not alone.

Ten years after the massacre in Littleton, Colorado, there's still a collective memory of two Goth-obsessed loners, Eric Harris and Dylan Klebold, who went on a shooting rampage and killed 12 of their classmates and a teacher, injured 23 others and then turned their guns on themselves.

Journalist and author Dave Cullen was one of the first to take on what he calls the myths of Columbine. He kept at it for a decade, challenging what the media and law enforcement officials reported.

"Kids had never been attacked in this kind of way until Columbine," he recently told CNN. "I just had to find out what happened to those kids."  See if you know what really happened at Columbine »

Cullen's book,"Columbine," was released this month -- just in time for today's 10th anniversary of the shooting at the Colorado high school. While tackling popular misconceptions, Cullen also gives a riveting account of what happened that day and how the survivors view the event that marked their lives forever.

Cullen concluded that the killers weren't part of the Trench Coat Mafia, that they weren't bullied by other students and that they didn't target popular jocks, African-Americans or any other group. A school shooting wasn't their initial intent, he said. They wanted to bomb their school in an attack they hoped would make them more infamous than Oklahoma City bomber Timothy McVeigh.

The Columbine tragedy left a lasting mark on many Americans, largely because of the media's around-the-clock coverage in the days and weeks following the shooting. Columbine was named the top news story of 1999 with nearly 70 percent of Americans saying they "followed [Columbine] very closely," according to a Pew Research Center study.  Watch parents reflect on children lost at Columbine »

When media coverage faded, reporters and investigators soon learned that some of the initial reports were wrong. Cullen writes about the misperceptions: "Facts rush in, the fog lifts, an accurate picture solidifies. The public accepts this, but the final portrait is the farthest from the truth."

Officials at the Jefferson County Sheriff's office agreed that the Trench Coat Mafia, among other myths, were false. Lead investigator Kate Battan said the 10-year anniversary offers a chance to clear up the misconceptions.

"It was the first big event where cell phones were around, and I had witnesses giving information to the media before I even got to it," she said. "A lot of that information was wrong."

For example, many in the media initially reported that 17-year-old Cassie Bernall, a Christian, answered "yes" when asked if she believed in God before she was shot to death. She became a poster child for the Evangelical movement after her death. But investigators and student witnesses later told Cullen that it was another student, Valeen Schnurr, who avowed her belief in God as she was shot. Schnurr survived.

Cullen's first book reading was in Denver, Colorado, a few weeks ago. He said most of the 150 guests, despite their close proximity to Littleton and the shootings, still believed that Harris and Klebold targeted certain classmates, among many other misperceptions.

Today, after carefully combing through the boy's diaries, school assignments and police documents, journalists and investigators agree there is no evidence the killers singled out the jocks in a hit list. In fact, their victims varied in race, popularity, religion and age.

Cullen said the myths were so widely reported that they were hard to take back later.

"You would have to go through a lot of corrections," Cullen said. "You would need to have something blockbuster to shake them [the public] up and say 'Everything you know about Columbine, let it go.'"

Psychologists who study memory say people tend to remember first impressions. In the case of Columbine, what the public first saw and heard in the news tended to stick with them.

Professor Elizabeth Loftus at the University of California-Irvine, who specializes in memory, said myths continue to be validated when people start talking with others about an event. Once memories are embedded, people resist changing their minds, experts say.

"Memories often fade and get more distorted as time passes," Loftus said

Five months after Columbine, Cullen wrote an article published on Salon.com revealing that most members of a group dubbed the Trench Coat Mafia had graduated years earlier.

The Trench Coat Mafia was a nonviolent school group of computer gamers established a few years before the shooting, Cullen said. They feuded with the jocks and wore black trench coats. Harris and Klebold were not members, Cullen concluded after talking to students at the school and analyzing police documents. Neither boy appeared in the Trench Coat Mafia's yearbook group photo in 1998. iReport.com: How did Columbine affect you?

The two killers were far from normal teens. Harris was a psychopath and Klebold battled depression, according to psychologists cited in the book. Even so, they also weren't the extreme social outcasts and loners depicted in the early days of media coverage.

Records released later by the Jefferson County Sheriff's office showed that Harris and Klebold had their own circle of friends. Klebold took a date to the prom, riding with a dozen friends in a limo, just days before the shooting.

"I don't believe bullying caused Columbine," Jeff Kass, who covered the story for the Rocky Mountain News, told CNN. "My key reason for that is they never mentioned it in their diaries."

After a decade of research, including hundreds of interviews and relentless requests for evidence and documents, Kass also released a book this month called "Columbine: A True Crime Story." It provides comprehensive profiles of the killers and their motives.

Kass was able to get Klebold's college application essay through public records requests. The essay indicated he was a complex teen, who acknowledged hanging with the wrong crowd during his sophomore and junior years.

Cullen, the original Columbine debunker, theorizes that the public was afraid to believe Harris and Klebold weren't total outcasts. By identifying them as goth loners who were "weird" or "oddballs," it was easier to set them apart from other students and for schools to distinguish future potential shooters, he said.

"The bombs were inconsistent with what we remember," Cullen said. "We dropped the one that was true and kept the myth."

Kirsten Kreiling, president of the Columbine Memorial Foundation, said she believed the initial reports that the killers were in the Trench Coat Mafia and targeted jocks. So did many other people in the community. Ten years later, Kreiling, who has diligently kept up with news reports on Columbine, knows those initial reports were false.

She realizes many people still accept the myths and hopes the truth of what happened at Columbine will some day replace the popular misconceptions.

"Understanding what happened can help us try to prevent these things from happening again in the future," she said. "If you don't understand history, you are doomed to repeat it."

@highlight

Columbine was named the top news story of 1999, according to the Pew Center

@highlight

When media coverage faded, officials learned some of the initial reports were wrong

@highlight

One myth is Eric Harris and Dylan Klebold were part of the Trench Coat Mafia

@highlight

Killers wanted to be more infamous than Oklahoma City bomber Timothy McVeigh