(CNN) -- A passenger jet shot out of the sky two weeks ago brought the world's attention to eastern Ukraine, where government forces are battling pro-Russian separatists.

But with so much fast-breaking global news, it's easy to lose track of the latest developments.

Here's a guide to get you up to speed on the Malaysia Airlines Flight 17 crash investigation and the conflict in eastern Ukraine, based on the latest CNN reporting.

There still may be dozens of bodies at the crash site.

So far, at least 227 coffins from the crash site have been transported to Netherlands. But as many as 80 bodies could still be lying in the fields of eastern Ukraine where the passenger jet crashed, Australia's foreign minister told CNN on Thursday.

"But we won't know until our investigative teams are on the site and combing the crash site for remains," Foreign Minister Julie Bishop said. "And that's the grisly and sobering task that they must undertake from now on."

All 298 people aboard the Boeing 777 were killed when it plunged to the ground near the Russian border in rural eastern Ukraine. U.S. and Ukrainian officials have alleged that a Russian-made missile system downed the plane from rebel-held territory; Russia and the rebel fighters deny involvement.

Investigators are having a hard time getting there.

For four days this week, dangerous clashes in the area stopped investigators from getting to the site. The Ukrainian government claimed that rebels had placed landmines nearby.

On Thursday, teams of experts and investigators got through -- but only after six hours of travel -- a journey three times longer than usual.

The trip was possible only after high-level political agreements were negotiated with both sides, said Michael Bociurkiw, spokesman for the Organization for Security and Co-operation in Europe.

Even once investigators are able to get regular access to the site, there are a lot of questions about what useful evidence will be left.

"It is one of the biggest open crime scenes in the world as we speak," Bociurkiw said, "and it is not secured."

Fighting is raging near the crash site.

The MH17 crash hasn't put a stop to fighting between government forces and separatists in the area.

Ukraine's military announced a one-day cease-fire Thursday to allow international experts full access to the crash site. But that came after days of clashes in the area.

Heavy shelling and anti-aircraft fire in Donetsk sent many people fleeing over the weekend.

Rockets launched by both sides have killed at least 16 civilians and wounded many more in separatist-controlled areas of Donetsk and its suburbs since July 12, Human Rights Watch said.

The turmoil started months ago.

After popular protests toppled Ukraine's pro-Moscow President Viktor Yanukovych from power in February, pro-Russia rebels first appeared in Ukraine's Crimea region, where they seized key infrastructure. The region was subsequently annexed by Russia.

Unrest then broke out in eastern Ukraine, a heartland of support for Yanukovych, where many people speak Russian and feel closer ties to Moscow than to Kiev.

Rebel leaders in Luhansk and Donetsk seized key government buildings and declared themselves the heads of the People's Republics of Donetsk and Luhansk. In May, a referendum was held in each region on secession from Ukraine.

Russia has showed no sign of backing down.

In fact, quite the opposite, according to U.S. and Ukrainian officials -- who say that Russia is arming the rebels and pushing to take over Ukrainian territory.

Last week, the United States said it had proof that Russia was firing into Ukraine.

"We have new evidence that the Russians intend to deliver heavier and more powerful multiple rocket launchers to the separatist forces in Ukraine and have evidence that Russia is firing artillery from within Russia to attack Ukrainian military positions," State Department spokeswoman Marie Harf said last week.

Russia denies accusations that it's arming the rebels or aiming to annex more territory.

To turn the tide, Europe and the United States are trying to hit Russia where it hurts: its pocketbook.

This week the European Union and the United States slapped Russian companies and cronies of President Vladimir Putin with sanctions.

Putin's longtime acquaintance and judo sparring partner, Arkady Romanovich Rotenberg, and the Russian National Commercial Bank are among those targeted.

Foreign Minister Sergey Lavrov has shrugged off the sanctions, saying his country isn't happy about them but will overcome any economic difficulties and become more independent as a result.

This could be the start of another Cold War ... or not.

Whether this is a battle in a new Cold War depends on whom you ask.

Russian lawmaker Aleksey Pushkov, the head of the State Duma's foreign affairs committee, said via Twitter that U.S. President Barack Obama "will make history not as a peacekeeper, everyone forgot about his Nobel Prize, but as the statesman who started a new Cold War."

Obama brushed aside such a comparison when asked about it by reporters this week.

"It's not a new Cold War," he said. "What it is is a very specific issue related to Russia's unwillingness to recognize that Ukraine can chart its own path."

CNN's Laura Smith-Spark, Ivan Watson and Nick Paton Walsh contributed to this report.

@highlight

Official: There could still be 80 bodies at the MH17 crash site in eastern Ukraine

@highlight

Observer: The crash site is "one of the biggest open crime scenes in the world"

@highlight

Europe and the U.S. stepped up sanctions; Russia shows no sign of backing down

@highlight

As accusations fly, many make Cold War comparisons