Long Beach, California (CNN) -- Moments after marine explorer Sylvia Earle finished her passionate plea to preserve vast stretches of the world's oceans at last year's TED conference, a foundation executive walked up to her and pledged a million dollars for the cause.

It was one of nearly 400 offers of support Earle received after revealing the wish she wanted to be granted as a winner of the TED Prize, given by the nonprofit organization whose motto is "Ideas worth spreading." It grants the winners $100,000 and organizational support but the impact of the prize is typically magnified by the backing of the influential audience attending the conferences.

On Wednesday, British celebrity chef and nutrition advocate Jamie Oliver will reveal his wish as the winner of the 2010 prize. "Every year we're looking around for someone who can inspire the world to do something big and interesting," says Chris Anderson, who runs  TED with the title of curator.

"The issue of obesity, both in the US and worldwide, is a big deal, a shocking problem in a world where you've got a lot of people starving and a lot of people killing themselves by overeating... or eating the wrong things. We were interested in finding an inspirational figure who could address that."

Past TED prizes have gone to former President Bill Clinton, rock star and philanthropist Bono and biologist E.O. Wilson. Since 2005, TED has granted wishes to three people a year and continues to work with past winners on achieving their wishes.

But this year, the only winner will be Oliver, who has built an empire of cooking shows, cookbooks and restaurants. Oliver, the 34-year-old son of the owners of a pub/restaurant in Essex, England, came to public attention when he starred in a BBC television series, "The Naked Chef." He has followed that up with many other series, including one on nutrition in America due to launch this spring on ABC.

The chef branched out into advocacy with a "Feed Me Better" campaign for improved school lunches in the U.K. He presented a petition with more than 270,000 signatures to the prime minister's residence at 10 Downing Street in 2005, and officials promised to spend an added 280 million pounds ($437 million) to improve school food quality.

TED Prize winners typically keep their wishes secret until the conference. Anderson told CNN last week that he did not know what Oliver's wish is.

"The whole idea is that the winner can actually wish for anything. We're taking a bit of a gamble here, for all we know he could wish for a hot tub full of models." The suspense is "part of the magical nature of the prize ... that moment of unveiling is special and it excites people."

Oliver's not tipping his hand about his wish, saying  -- through a spokesman -- "I humbly but passionately hope that my wish and my speech will inspire everyone in the room -- and watching on the Internet -- to take action on an issue that affects the whole world."

TED began in the 1980s as a conference in California focusing on technology, entertainment and design but has since expanded to include virtually any subject and conferences in other locations. Speakers, dressed informally, prowl a big stage -- there's no lectern -- and present their views as a clock ticks away the 18 minutes each is allotted.

This year's conference in Long Beach, California, with 1,500 people attending in person and 500 watching a simulcast at the TEDActive conference in Palm Springs, features Bill Gates, Sheryl Crow, Sarah Silverman, James Cameron, David Byrne and Eve Ensler, among a roster of speakers in fields such as technology, science, philosophy, art, music and design.

Anderson, who built and eventually sold a magazine publishing empire in the 1980s and 1990s, first attended a TED conference in 1998 and was intrigued that many people said it was the highlight of their year. He acquired TED in 2001 and hosted his first conference in 2003.

Three years later, TED began posting videos of its talks on the Web. They have been viewed more than 200 million times and many have now been given subtitles in 70 languages, through the work of volunteer translators.

With the TED Prize, the organization goes beyond simply spreading ideas. "Whenever I've been to TED, I've been struck by how towards the end of the conference, you had a room full of influential connected people absolutely burning with the possibility of inspiration, and it felt like something could be done with that," Anderson said.

After a brainstorming session with participants, the idea of a TED Prize emerged, "a prize that instead of looking back, it looked forward. You brought someone to the conference and instead of just honoring them, you granted them a wish, a chance to make a difference in the world, a wish without restrictions."

Amy Novogratz, director of the TED Prize, said the year after biologist E.O. Wilson wished for a database to document every species on earth, the organization helped launch the "Encyclopedia of Life."

"Bono, the humanitarian rock star, won in 2005," Novogratz said, "and wished for a million Americans to sign up to say that they care about poverty in Africa. With Bono and his organization we launched one.org, and he delivered a petition to the G8 that summer with almost 2 million signatures."

Sylvia Earle, the marine biologist, has led dozens of expeditions, including an all-female team that lived for weeks underwater in 1970. She also walked on the sea floor untethered at a lower depth than any other woman.

In her talk last year, she pointed out that in the past 50 years, 90 percent of the big fish in the oceans have been consumed and nearly half of the ocean's coral reefs have disappeared. Less than one percent of the ocean is protected from destructive fishing, and Earle believes the seas will go into irreversible decline unless a much larger portion - some experts say as much as 30 percent - is protected.

Earle said the world needs to act swiftly to protect what she calls "the blue heart of the planet that basically keeps us alive."

She told CNN in an interview that a major public awareness campaign will be launched this year and that plans are underway for a conference at sea to get "influential people to use their talents and intellect to come up with new ways to address these problems." Earle attributes these initiatives to the involvement of TED.

"It allows us to tap into individuals and organizations all over the world that I wouldn't be able to do as an individual," she said. "They create this awareness and they frame the issues in such a way that people get it and they're inspired to help. And that is a true gift. That's the real prize."

@highlight

TED is an organization with the motto "Ideas worth spreading"

@highlight

Its TED Prize has gone to Bono, Bill Clinton, E.O. Wilson, among others

@highlight

Winner Jamie Oliver will announce his secret "wish to change the world" at TED2010 at approximately 8:50 pm ET Wednesday, Feb 10, live on CNN.com

@highlight

Oliver is a celebrity chef who has crusaded for improved school nutrition in the U.K.