(CNN) -- Amanda Garcia's peaceful life in Saltillo, Mexico, was shaken this past March when she witnessed a military convoy heading at full speed and against traffic on one of the city's important avenues.

The lawyer had taken an alternate route to get home sooner and be with her 7-year-old son. It had been a difficult day in Saltillo, the capital of Coahuila state: Seven people had been killed and four police officers were injured in a series of firefights that caused alarm throughout the city, the state attorney general's office said.

A few yards from reaching her home, she was stopped at a military checkpoint.

"When I parked I saw at least six soldiers in front of my car, getting out of their vehicle and aiming at me, asking me to get out. One came close to my door and I heard a sound I had never heard before, apparently of a weapon when you take the safety off. Few times in my life had I felt so scared," she said.

After an inspection, the soldiers told Amanda that they were looking for a vehicle similar to hers and that she was free to return home.

"Usually, the presence of the army does not make me nervous at all, to the contrary. But that day, I really thought they were going to shoot at me," she said. "I've never seen the city so empty."

Two days later, a soldier died and another was injured in a confrontation with suspected drug traffickers, after four cartel roadblocks were reported in various parts of the city, according to the attorney general's office.

Saltillo, with some 700,000 residents, is a colonial city that until recently was known for its auto industry -- General Motors, Chrysler and Freightliner have plants there -- and construction. However, the situation has changed progressively until the city has reached notoriety for other reasons.

According to a report from intelligence company Stratfor, the Gulf and Sinaloa cartels formed the New Federation, an alliance combating the Zetas cartel, and launched an offensive to control the trafficking routes in Mexico's northeast.

"There were pacts here, and now those pacts are broken and a battle has begun between various criminal groups for this territory. This is evident," said Raul Vera, the Catholic bishop of Saltillo.

The Coahuila attorney general's office declined to let any of its officials be interviewed to give their version of escalating violence in the region.

"This was something that has been coming for a while, not only the dispute for control of the territory for the routes, but also for control of the population, through terror, (and) control of the economy," said Blanca Martinez, director of the Fray Juan de Larios Human Rights Center.

In the four years of Felipe Calderon's term so far, more than 34,612 drug-related killings have been recorded in Mexico, of which 659 happened in northern Coahuila, according to the federal government. Of these, a little more than 3% occurred in Saltillo.

Like neighboring states Nuevo Leon and Tamaulipas, all on the U.S. border, Coahuila has seen peaks in violence associated with the capture or killing of important trafficking leaders who had influence in the region.

"The people in the city are afraid. It can be felt in the streets, homes, with friends. All the conversations are about security now," said Jorge Muniz, a young graphic designer who lives in the city.

The day after the confrontation between security forces and the presumed drug traffickers, a rumor surged on social media that there would be a curfew in Saltillo, something that was denied by Gov. Jorge Torres Lopez.

"Even then the city took its precautions and that false curfew turned into a real curfew," Muniz said. "The city was deserted from five in the afternoon. There were few people in the streets, and after seven at night, it looked like a ghost town, shops closed, with little traffic."

He added, "I think this is just the beginning of the violent acts. Other nearby cities, like Monterrey, the capital of Nuevo Leon, also started like this and now are cities where they live a climate of strong violence."

Another indicator of the growing insecurity in Saltillo and the rest of Coahuila is the increase in the number of disappearances in the past two years, the majority believed to be linked to organized crime.

From 2007 to January 2011, the Fray Juan de Larios Human Rights Center, in coordination with United for Our Disappeared of Coahuila, documented 118 disappearances, of which 91 presumably were related to organized crime, according to a report by the organization.

The report indicates that the average age of the victims is 30, the majority are men, and five of them were minors at the time of their disappearance. Five others were women. Only one out of the 118 cases has evidence that the objective of the disappearance was kidnapping. There was never a request for ransom from the others.

Another characteristic of the disappearances in Coahuila is that they happen in groups. Only 17 of the victims disappeared individually, and in 23 cases it is alleged that there was involvement by police or the military, the organizations reported.

The state attorney general's office declined to comment on the disappearances.

Saltillo could be considered a refuge for the Zetas, the U.S. consul in Monterrey, Bruce Williamson, said in February 2010 in a diplomatic cable published by WikiLeaks.

The cable is full of doubt about the effectiveness of the Mexican military in the fight against organized crime.

In another cable from 2009, the consul writes that the security model implemented in Coahuila by then-Gov. Humberto Moreira was inadequate, and described them as "baby steps."

@highlight

Firefights have been recorded in Saltillo, Mexico

@highlight

Two cartels have united to fight a third in the area, an intelligence firm says

@highlight

More than 100 disappearances have been reported in recent years