Syria's neighbors are preparing for the worst as the specter of potential Western airstrikes hang heavily over a nervous Middle East.

As U.S. President Barack Obama makes his case to Congress and the international community for a military response to an alleged chemical attack by Syrian regime forces in a Damascus suburb, CNN explores how the countries bordering war-torn Syria feel about Syrian President Bashar al-Assad and the possibility of foreign intervention in the bloody conflict there.

Lebanon

Security is tightening and there is a mood of growing worry and angst in the streets of Beirut, where many are convinced that strikes on Damascus, less than 70 miles from the Lebanese capital, will further destabilize the country that, aside from Syria, has suffered the most as a result of the war.

Tiny Lebanon is inextricably linked to its larger neighbor, and sectarian divisions there mirror those in Syria. But while politicians who support al-Assad say the proposed airstrikes are reminiscent of the lead-up to the war in Iraq, those who oppose him are playing it safe for now.

Talal Arslan, the Lebanese Democratic Party leader and a supporter of al-Assad, said accusations of chemical weapons use by regime forces in a Damascus suburb were "a reminder of (America's) previous lies to invade Iraq. No one buys these lies any longer."

Lebanese MP Walid Jumblatt, a staunch ally of the Syrian rebels who previously accused the Assad regime of killing his father in the early years of Lebanon's civil war in the 1970s, said strikes would not deal a fatal blow to the Syrian regime: "The action will not be decisive, particularly in the absence of international consensus on strike or on the post-strike era."

Ahmad Fatfat, an anti-Assad member of the Lebanese parliament, said the ramifications of airstrikes would probably depend on the reaction of Hezbollah, the Beirut-based Shiite militant group that has joined Syria's civil war on behalf of its patrons in Damascus and Iran.

The government has mostly tried to stay out of the conflict, but that hasn't stopped the bloodshed -- and those fleeing the fighting -- from spilling over Lebanon's borders. One in six people in Lebanon is now a Syrian refugee, and tensions between Lebanese and Syrians are rising.

Hezbollah was the target of deadly Beirut bombings in recent weeks that killed dozens and left many in Lebanon believing that the country is now a proxy battlefield as Iran and Saudi Arabia fight to control the outcome of Syria's civil war.

But despite these deep divisions, many Lebanese are united in the belief that potential strikes are little more than a superficial show of power from an American president backed into a corner by his "red line" declaration about chemical weapons use in Syria.

Israel

Thousands of scared residents in cities across Israel made their way to gas-mask distribution centers amid fears that potential airstrikes on Syria could result in retaliatory chemical attacks.

In 2011, Israeli President Shimon Peres insisted at a news conference that al-Assad "must go," but the comments have been an exception for the Israeli government. In May of 2013, an Israeli defense ministry official specifically denied that Israel had "done anything against Assad and his regime."

Still, Israel has been accused three times this year of launching airstrikes inside Syria. In January, a U.S. official said Israeli fighter jets bombed a Syrian convoy suspected of moving weapons to Hezbollah.

Israel's military has long said it would target any transfer of weapons to Hezbollah or other terrorist groups as well as any effort to smuggle Syrian weapons into Lebanon that could threaten Israel.

Jordan

In Amman, an hour's drive from the Syrian border and well within range of Syrian missiles, there are fears that Jordan's involvement in the civil war could lead to attacks on its own soil.

King Abdullah is one of the West's key allies in the region and was the first Arab leader to call for al-Assad to step down. The vast majority of the country's citizens are Sunni and sympathize with the plight of the Syrian rebels trying to topple the country's Alawite regime.

OPINION: Why strikes in Syria are a bad idea

It is an open secret that Saudi Arabia is using Jordan to smuggle weapons into Syria for the rebels. Jordan says it is doing all it can to prevent that and does not want to inflame the situation in Syria.

But despite the fact the world's military leaders gathered last week in Jordan to discuss Syria, the government insists it will not be a launchpad for a Western strike on its neighbor.

Government spokesman Mohammad Momani said: "Our position regarding the Syrian crisis is based on our concern for Jordan's higher national interests and our unfailing policy of non-interference in the internal affairs of our neighbors."

"Jordan renews its calls for a political solution in Syria and urges the international community to intensify efforts to reach such a solution."

Iraq

In Iraq, where at least 30,000 Syrian refugees fled over a five-day period in late August, the government has said in recent days that the country is on high alert in anticipation of a strike in Syria.

Iraq is opposed to Western military intervention in Syria and is deeply divided along sectarian lines. Iraq's Shiite-dominated government is wary that the Sunni Islamists who've been involved in fighting al-Assad's regime are targeting the government in Baghdad.

Prime Minister Nuri al-Maliki called for unity in a statement: "What is happening in Syria threatens Iraq and the region, and all Iraqis, especially politicians, should unite and reject sectarianism and place the national interest above all partisan interests in order to ward off the dangers and protect national unity and sovereignty."

Saudi Arabia

Saudi Arabia, the region's Sunni powerhouse, is walking a very fine line on Syria. While many observers believe the Saudis tacitly approve of the strikes, the government has not come out publicly in support of Western military intervention.

Saudi Foreign Minister Prince Saud Al-Faisal has called for the U.N. Security Council to shoulder its responsibilities to the Syrian people and said the Assad regime had lost sight of its Arab identity.

A majority of Saudis support the rebels and want al-Assad gone, but they're also horrified about the plight of ordinary Syrians and believe missile strikes could exacerbate their suffering.

Khaled Al-Maeena, editor-in-chief of the Saudi Gazette, told CNN: "People here are against any attack that will cause more bloodshed to the existing conflict in Syria. They know what happened in Iraq -- how many innocent people died in Iraq, Libya, Yemen and Pakistan due to strikes. I hope and believe people are not excited at the prospect of hits on Syria."

"I would not want to see any strike on Syria that will only add to the agony of the Syrian people. Arabs have had enough of collateral damage."

Egypt

In Egypt, which remains embroiled in its own deadly crisis more than a month after the military deposed and detained president Mohamed Morsy, a number of political parties have stood against foreign intervention in Syria.

The Tamarrod movement, which spearheaded the drive to remove Morsy from office, ripped the U.S. and called on the Egyptian government to act in the event of a Western strike on Syria.

Tamarrod spokesman Mahmoud Badr said: "The U.S. is an imperial state that has destroyed Iraq and aims to destroy Syria and intervene in Egyptian affairs." Hassan Shahin, another spokesman, "demanded the closure of the Suez Canal" if there is any naval movement toward Syria, according to state-owned Egyptian news.

Nabil Fahmy, Egypt's minister of foreign affairs, said the only way forward in Syria is a political solution.

Yemen

In Yemen, a country living under the constant specter of American drone strikes targeting al Qaeda militants, it is nearly impossible to find anyone who supports Western bombs in Syria, despite mixed attitudes about the Assad regime.

Ahmed Bahri of Yemen's Haq Party told CNN that foreign intervention in Syria will only increase Yemeni and Arab resentment of the U.S. He said: "Arabs do not trust the U.S. anymore because it is attacking numerous Arab countries -- but some Arab leaders are working against their people's will."

While many Yemenis would like to see al-Assad deposed, others are worried about the Sunni extremist groups that could replace him if he went. Al Qaeda in the Arab Peninsula vastly expanded its base in Yemen after the fall of President Ali Abdullah Saleh during the Arab Spring in 2011. And while Yemenis feel terrorized by the group, they also live in daily fear of U.S. drone strikes.

Youth activist Nasser al-Absi said a U.S. strike in Syria would merely create another generation of terrorists in the region.

"The U.S. will regret any attack in Syria ... Arabs are peaceful, but they are being attacked by the West. These attacks will make thousands of people join al Qaeda to avenge the death of their loved ones."

@highlight

Lebanon: Security tight amid fears Western strikes in Syria will destabilize country

@highlight

Israel: Scared residents line up at gas-mask distribution centers; Israeli PM 'ready for anything'

@highlight

Jordan: Despite world's military officials meeting there, country says it won't be launching pad

@highlight

Saudi Arabia: Many want Assad gone, but believe airstrikes will make Syrian suffering worse