New Delhi (CNN) -- On a recent trip home to India, I heard a German man on my flight remark to another passenger that he'd taken his son on a tour of a Kolkata slum.

I believe the man was well-intentioned -- he wanted his child, accustomed to a comfortable existence, to get a firsthand look at how millions of poor people live.

Later, I discovered that slum tours in India are often organized and can cost money.

Reality Tours and Travel takes tourists on slum and sightseeing tours in Mumbai. A walking tour of Dharavi, Asia's largest slum, costs only $9. For about $135, five people get a nine-hour car tour of Dharavi, the red light district of Kamathipura, as well as other more traditional tourist areas.

Reality Tours founders say the tours were set up "primarily to show the positive side of the slums and break down negative stereotypes about its people and residents" who occupy cramped huts in unending stretches of squalor. They say 80% of their profits go back to local communities through social service programs.

That seems like a noble cause, but then I got to thinking about the idea of poverty tours in general -- how it might feel to be a slum-dweller coming face to face with a wealthy visitor gawking at me as though I were an animal in a zoo.

Therein lies the debate over such tours.

Kennedy Odede, the executive director of Shining Hope for Communities, a social services organization in Kenya, decried poverty tours of Nairobi's largest slum, Kibera. He wrote in The New York Times that the tours do nothing to alleviate the problem.

"Slum tourism turns poverty into entertainment, something that can be momentarily experienced and then escaped from," he said. "People think they've really 'seen' something -- and then go back to their lives and leave me, my family and my community right where we were before."

I decided to see for myself. When I was in New Delhi over the winter, I signed up for a walking tour in Paharganj, a neighborhood near the train station that I had always known as seedy. I'd rushed through it once before in my life, when I had to spend a night after a train was delayed.

It's not unlike the many neighborhoods in Kolkata I know so well. The smell of turmeric and green chiles mixing with that of garbage and urine. It's a hodgepodge of activity. Women cooking. Men working. Children sleeping out in the open, a swarm of flies covering their unwashed faces. A maze of snaking alleyways and dark, dank corners.

And people everywhere, entire families crowded into small rooms, sleeping on one bed.

These were sights and sounds familiar to me, and I always considered myself immensely lucky to have lived outside of that world -- lucky, at least, to live in relative comfort. I was curious to see how tour operators presented Indian poverty, especially to foreigners. I picked one run by a nonprofit organization that works to improve the lives of street kids. This way, my money was going toward a good cause.

"This is unlike other poverty tours," says Poonam Sharma, coordinator of the tours. "When people start interacting with the children, misconceptions about street life fall away."

I am asked to meet the guide from Salaam Baalak Trust at 10 a.m. Salaam means hello and baalak means child. The tours are conducted by former street kids who were able to improve their lives through the organization.

On this day, I am among a handful of people, all foreigners on the City Tour. Our guide is a young man named Iqbal, who has been living on the streets since he ran away from home at 5.

"Can you guess why a child runs away from home?" he asks us. "Poverty, abuse, addiction. And sometimes, they think if they come to the city, they can become a Bollywood star."

The tourists laugh.

Iqbal continues and tells his own story.

"My parents used to fight," he says. "My father beat me."

So he ran away to the streets of New Delhi. He spent nights terrified, alone and hungry on trains and in stations. He was beaten and abused, he says, by other street dwellers and even by the police.

Most of the boys work menial jobs or steal, he tells us. They are deft pickpocketers.

Girls, he says, run away because their parents cannot afford dowries to get them married, and they don't want to be a burden to their families anymore. Instead, they come to the city and sell their bodies to eat.

The street kids have nowhere to keep their money. They spend whatever they earn, or it's stolen while they sleep. Iqbal used to work at a recycling center. Out of every 100 rupees ($2.25) he earned, 75 went to the gangs who provided security. After that, he worked at a chai (tea) stall and then at a dhaba (roadside eatery), where he didn't get paid but got something even better: food and shelter.

Iqbal leads us from the main road into a lane. He shows us a recycling shop, like the one where he worked, where newspaper and glass bottles turn into money. We wander through the main market in Paharganj, assaulted by a panoply of goods -- handbags, sweaters, pots and pans, pirated CDs and DVDs, refurbished electronics, blankets, shoes.

He takes us to one of Salaam Baalak Trust's shelters next to the bustling train station. We learn a bit of history from him.

"In 1911, Delhi became the capital of India," Iqbal says proudly. "More than 400,000 people pass through this train station every day."

Upstairs from a small police station is a shelter where children can come to rest, eat and get medical attention. Boys of all ages were hanging out that day, glued to a television set.

"Normally, kids don't trust you," Iqbal says. "It is quite difficult to convince them to come to a shelter."

Dr. Vijay Kumar sits behind a stark wooden table with a giant logbook in front of him. He says he treats kids for all sorts of ailments and regularly administers HIV tests. Many children fall into a life of addiction. They sniff glue or burn foil and smoke gecko tails.

Next, we make our way to the Salaam Baalak Trust office in Paharganj, passing by a pottery market, where merchants, mostly women, are selling their terracotta wares.

The tourists in my group are wide-eyed. They peer down alleys where you can only walk single file. They smile at people who pass us. Photography is forbidden on many parts of the tour. Nor do we stop to speak to any of the residents.

We climb up several flights of stairs at the office. A wall of success stories greets the tourists. Sonia works for designer Ritu Kumar. Nitish works for the Delhi metro. And there's Iqbal, who eventually made his way to one of Salaam Baalak Trust's shelters and straightened out his life. He studied computers and dreams of becoming a software engineer. Not surprising, I think, for a kid who grew up during India's information technology boom.

Iqbal is 20 now and has not seen his family since that day that he decided to run. He cannot even remember where he was from.

"Maybe UP," he says, referring to neighboring Uttar Pradesh state. He takes us into one of the classrooms.

The younger children at Salaam Baalak Trust perform for the tourists. They sing their hearts out; their smiles are wide. They seem so innocent, like children at my neighborhood day-care center in Atlanta. But they have seen the worst of life. They can never grow up with the sweet naivety that makes childhood carefree.

Caitlyn Oleykowski, a student at the University of Pittsburgh, says the City Tour is eye-opening. She came to India to see places such as the Taj Mahal, and although she encountered beggars on the street, she never would have walked through Paharganj by herself.

She tells me she has not seen poverty like this before. Through her travels in India, she felt helpless, not knowing whether or how to help.

University of Illinois student Ruth Tekeste says she feels inspired by the street kids.

Others in the group also tell me that this is an India they might not have otherwise seen. And maybe they were wiser for it, sensitized to problems that can be unimaginable back home.

How can that be bad? There's no better way to learn about a place, after all, than to experience it.

Still, as the foreigners turn in their donations for Salaam Baalak Trust, I can't help but think about the day for what it was: a tour of poverty. And hasty, I think. In all of less than two hours, our look at others' lives is over. The only people I have spoken to are connected to Salaam Baalak Trust and provide a very positive outlook on things. What might Paharganj residents have told us?

We all head back to where we first met Iqbal and scatter in our taxis and auto rickshaws. We escape the slums and return to comfort, leaving Iqbal and thousands of other baalaks on the streets.

I think about Iqbal's parting words. He feels lucky most of the time, though sometimes, he can't shed the melancholy that blankets him. That's something that visitors cannot see on the tour.

What do you think about the idea of poverty tourism? Share your thoughts in the comments section below.

@highlight

The charitable Salaam Baalak Trust runs a city tour in New Delhi

@highlight

Tourists walk through the streets of Paharganj, a poor neighborhood

@highlight

Former street kids act as guides through a maze of congested lanes

@highlight

Poverty tours have sparked controversy