London (CNN) -- For visitors and newcomers, the mention of London conjures up images of the queen, gray skies, Big Ben and Parliament.

But the opening of the Games of the 30th Olympiad will confront millions around the world with unfamiliar scenes of London's East End, the vibrant and distinctly proletarian heart of the capital.

East London has long housed the capital's working, criminal and creative classes. And Stratford, where the Olympic Park now stands, has been regarded by many as little more than a post-industrial wasteland, a relic of the city's bygone manufacturing era.

When I moved to London from Arizona in 2006, I thought the East End might look like the gilded west London settings I'd seen during my first trip to the capital in 2001.

But Mile End, where I settled, one train stop from Stratford, was no one's destination of choice. Nor was Stratford -- unless, that is, you needed to buy flimsy housewares from the Poundland discount store in the grim outlet mall flanking the train station.

Read more: Olympic park sets gold standard for sustainability

This may sound obvious, but one of the first things I realized when I moved to London is how old everything is when compared to Phoenix, where I was born and raised.

For those who haven't been, Phoenix is a sprawling expanse of scalding hot desert and cactus-lined asphalt in southwest Arizona. Almost nothing has been around for more than a hundred years.

London, on the other hand, has been lived in for thousands of years. An East End bell foundry made the Liberty Bell, that famous icon of American independence, in the 1750s, before the U.S. even became a country.

Read more: Is the Olympics worth more than Google?

The areas surrounding Queen Mary University in Mile End were miles from the well-kempt tourist attractions of central London. While many west London neighborhoods have aged gracefully, large eastern swathes of the capital merely look dilapidated and rundown.

Fortunately, what the area lacked in towering monuments to British glory, it made up for in gruesome historical footnotes.

Forget Big Ben, the London Eye and St. Paul's Cathedral. East London's top tourist attraction is the Jack the Ripper tour -- a guide around the dark streets and alleys in Whitechapel where an unidentified madman stalked, murdered and disemboweled prostitutes in 1888. Not quite the same as a double-decker bus tour past Parliament.

Read more: London's World Heritage Sites

For someone who spent years piloting a car down Phoenix's broad, unclogged desert boulevards, taking a bus through the traffic-choked East End was a more adventurous prospect -- and I developed a theory early on that the number 25, cutting a path east from the West End, London's default nightlife center, had to be London's worst route.

I once saw a drunk man get his face split open during a fistfight aboard the 25, a long, single-decker accordion-style monstrosity, the back section of which regularly turned into a smoking section for gangs and drunks and the only bus that ever made me truly miss my car.

The only thing more surprising than the fight was that no one moved a muscle, or seemed to think it was unusual. Rather than call the police, the driver simply opened the doors to let the man off, leaking blood across the floor as he limped away.

Read more: UK faces security questions ahead of Olympics

The 25 also passes the Blind Beggar pub in Whitechapel. It was outside this historic old boozer that William Booth delivered his sermon that established the Salvation Army -- and inside it that notorious Cockney gangster Ronnie Kray shot George Cornell through the forehead in 1966 in front of shocked drinkers.

East London has always been rough around the edges, but that's what makes it interesting. Waves of immigrants have settled amongst the white working-class locals in the East End for generations -- Bangladeshi communities in Mile End and Whitechapel; Afro-Caribbean communities in Hackney; and Turkish, Kurdish and Orthodox Jewish communities in Dalston -- and the area's extreme diversity means that virtually anything you want is only a bus stop away.

On a single morning at Roman Road market in Bow, you'll pass designer clothes, donuts the size of your head, pirate DVDs, and the stall whose chief product appears to be thermal socks (my personal favorite), before nipping into east London institution G. Kelly for the area's signature dish: handmade beef pies, served with mashed potatoes drenched in parsley sauce.

Read more: Orbit Tower unveiled at Olympic Park

If you run out of money, you can walk across the street to an ATM that offers Cockney rhyming slang as an alternative to English. Depending on how flush you are, you can enter your huckleberry finn (PIN) and withdraw anything from a speckled hen (Â£10) to a nifty (Â£50).

Ten minutes down the road, along the south end of Brick Lane, fabric shops sit alongside dozens of Bengali curry houses; at the north end, you can rummage through vintage clothing shops before tucking into a salt beef bagel at the world-famous Beigel Bake, a 24-hour reminder of Jewish migration to the area more than a century ago.

A steady stream of educated, creative types have gentrified Shoreditch and Dalston in a generation, and the dozens of cafes, bars and nightclubs that sprouted up have turned the rundown road connecting the two neighborhoods into London's most fashionable destination for a night out.

The smartening-up of these working-class neighborhoods -- with their cheap rent, relatively large spaces and newly opened train lines -- was inevitable in a way, but it has only added to, not dimmed, the cacophony of eclectic voices ringing through the streets.

Video: Olympic spending to boost London economy

Gentrification is going on in unimaginable parts of east London today. In Hackney -- voted Britain's worst place to live by Channel 4 in 2006 -- a recently refurbished theatre and new boutique cinema flourish alongside the Vietnamese restaurants dotting Mare Street, just hundreds of feet from an area previously known as Murder Mile for a string of gangland killings which took place around 2000.

But opening a series of glossy gastropubs and flower markets doesn't change the fact that three of the five official Olympic boroughs (Hackney, Newham and Tower Hamlets) are among Britain's poorest districts -- a fact which became painfully clear during last summer's riots.

The shooting in August 2011 of a young black man by police in north London set off days of the worst rioting across the capital in 30 years. The epicenter of the chaos in Hackney was on Mare Street, where rioters set cars alight, battled police and took everything from shops they could carry.

Read more: Four billion reasons to watch the Olympics

Today, the riots stand as a reminder that the deep-seated poverty in many parts of east London can't be wiped out by a three-week international sporting event any more than it can be eradicated by a handful of college kids moving into the neighborhood.

Last summer's riots showed the worst London is capable of. But what happened the day after, when hundreds of volunteers turned up with brooms to help clean up east London's broken neighborhoods, showed an extraordinary sense of community that might have surprised some people in the capital.

No one's sure yet what the Olympics will mean for the East End. Roughly Â£9.3 billion ($14.5 billion) of the public's money has been spent on the Games, three-quarters of which has reportedly been invested in long-term regeneration. But while the Olympic stadium is visible from much of east London, how many people there will actually see tangible benefits from the Games?

Regardless of its future legacy, the Olympics are here now, and east London has much to be proud of. As for whether the Games can mark a turning point in the fortunes of some of Britain's poorest areas, the verdict on that won't be returned until long after the athletes have gone and the world's eyes have again turned away.

Read more: London prepares for an Olympics to remember

@highlight

East London has long been home to the capital's working, creative and criminal classes

@highlight

The East End is one of Britain's most ethnically diverse -- and poor -- areas

@highlight

Many doubt the Olympics will bring long-term benefits to east London