(CNN) -- It's the question Edin Dzeko is constantly asked.

"You ask me again about war..." sighs the 28-year-old, rolling his eyes and smiling as he enjoys a rare moment of peace outside Bosnia-Herzegovina's team hotel in the picturesque suburb of Ilidza.

Perhaps the line of questioning is understandable given that just a short drive away is Dzeko's home city of Sarajevo, where the national hero lived throughout the Bosnian War which raged between 1992 and 1995.

The war in Bosnia left tens of thousands dead, and hundreds of thousands displaced.

But just as the bullet holes which still riddle this land represent a gruesome past, Dzeko and his teammates have become symbols of a different more optimistic future.

For the first time in its short history, Bosnia is off to the World Cup.

"I never thought I would be where I am now," Dzeko, who played a key role in Manchester City's 2013-14 English Premier League title triumph, told CNN.

Dzeko's early years were played out against the devastating backdrop of the consequences of a brutal internecine conflict.

"I started to play football when I was about 10, my father brought me to one school because there were more pitches where we could play. Everything was destroyed after the war."

In previous interviews Dzeko has spoken of how his family home was destroyed and he was forced to live in his grandparents' house with 15 of his relatives.

His mother once inadvertently saved his life, calling him inside seconds before the land he was playing on was hit by bombs.

The siege of Sarajevo followed the break-up of the former Yugoslavia, with conflict erupting between the ethnic groups which make up Bosnia -- chiefly Bosnian Muslims, Croats and Serbs.

Modern-day Bosnia is an independent state, although still under international administration.

"I was here all the time during the war and I know what it is, but I think we came out stronger," explains Dzeko.

"We want to show the world that even if you go through some bad periods, you always have to think positive just to go forward.

"Some people had a very hard life, we are still making positives and I think that's amazing."

Amid the bombs and bullets, Dzeko forged an unlikely path to the top.

After signing his first professional contract in Bosnia, the young striker earned a move to Teplice in the Czech Republic before getting his big break with VFL Wolfsburg in the German Bundesliga.

He became one of the hottest properties in European football during a prolific spell which saw him score 67 Bundesliga goals in three-and-a-half seasons, with City winning the race for his signature after paying Wolfsburg a reported $45 million in January 2011.

While Dzeko carries echoes of the fighting wherever he goes, other members of the Bosnia squad had a different experience.

Asmir Begovic and his family left Trebinje, 80 miles south of Sarajevo, and headed to Germany before immigrating to Canada.

Aged four when his family relocated, Begovic has no memories of the conflict which engulfed his homeland.

"And it's probably better so," the 26-year-old goalkeeper, who plays in England for Stoke City.

"I mean it's obviously very bad memories, very bad experiences for some of my other family members who have been around and stayed for the war.

"I left when I was a boy, so I really don't remember much from the past.

"As I've gotten older I've educated myself a little on the situation and what happened, drawn on experiences from my family members and friends, who lived through it and it was just a very unpleasant experience as people can imagine.

"For our quality of life as a family, just being able to be safe in a different country meant a lot to us."

Although Begovic's life abroad has left its mark on his voice -- he speaks perfect English with a slight North American accent -- he insists his upbringing was distinctly Bosnian.

"I've always been very close to the country," he says. "When the opportunity came it was a fantastic thing for myself and my family to do, I couldn't wait to put on a Bosnia shirt and I haven't really looked back since."

Neither has Bosnia's national football team.

Since an inauspicious first official international match in November 1995 -- a 2-0 reverse away to Albania -- "The Dragons" have gone from strength to strength.

Bids to qualify for the 2010 World Cup and the 2012 European Championships fell agonizingly short, with Portugal ending the team's hopes at the playoff stage of both qualification competitions.

But, on October 15, 2013 in the Lithuanian capital city of Vilnius, a goal from striker Vedad Ibisevic sealed a 1-0 win for Safet Susic's Bosnia and passage to Brazil 2014.

Cue wild celebrations on the streets of Sarajevo, with the team flying home to be greeted by 50,000 ecstatic Bosnian football fans.

"I am proud of this team that we achieved some great things, that we did some things that nobody could do it before us," said Dzeko.

"When you see 50,000 there waiting for you, then you know you did something good."

"We've learned from our past, we've learned from our failures and I think we've definitely grown as a team and we've been able to overcome that final hurdle now," added Begovic.

"To receive such an ovation and such a reception from our people, being able to celebrate with them is what qualifying and being able to qualify for major tournaments is all about.

"It's something we have all accomplished together."

Now Rio de Janeiro's iconic Maracana Stadium awaits.

At the arena first built for the 1950 World Cup and lavishly redeveloped for Brazil's second hosting of the tournament, Bosnia will take its bow against a Lionel Messi-led Argentina.

African Cup of Nations winners Nigeria and Iran are the other two teams which make up a tough Group F.

"I'm very much looking forward to it," says Begovic, who will be trying to keep out four-time FIFA Ballon d'Or winner Messi.

"That's what football is all about, being able to work your whole life to get to a World Cup and then playing against one of the biggest football countries in the world in the opening game.

"Obviously we're massive underdogs, so we've got nothing to lose in that game, we can go there with an open mind and see how we can beat them.

"It's going to be a huge challenge, but I believe in the quality of our team and we can cause Argentina problems."

With players like Begovic and Dzeko, not to mention Roma playmaker Miralem Pjanic, Bosnia have players capable of upsetting the odds.

And in Dzeko, they also have a leader who is determined to show how far his country has come in the last 20 years.

"I love this country, I love my country," he said.

"I am very happy that I am born here and I am very happy that I know that I will always, always come back here.

"I think we all just can't wait for this World Cup to start."

Interactive: Take the pulse of the 2014 World Cup

@highlight

Bosnia-Herzegovina will play at the World Cup for the first time in its short history

@highlight

First major tournament the team has played at since gaining independence in 1992

@highlight

Manchester City striker Edin Dzeko is the biggest star in a team

@highlight

Bosnia will play in Group F, alongside Argentina, Nigeria and Iran