(CNN) -- This election should have been a walkover for the Republicans. The economy is sluggish and the United States is beset with crises abroad. Yet, Mitt Romney has committed one gaffe after another, almost as if he actually wants to lose. Perhaps the multi-millionaire has decided that the White House is too small for him.

On Monday night, Romney was hit with what we might call a "pre-gaffe" when a private statement that he made months ago suddenly hit the Web. The video shows Romney apparently dismissing the 47% of Americans who he says don't pay federal income taxes as freeloaders. For someone who is often portrayed as cynical and uncaring, this is not good news. What will we see next? Leaked footage of Romney stealing candy from a baby?

There's cause for Republicans to panic. Some commentators are starting to ask, "Did Romney just lose the election?" When I first saw the "47%" video, I wrote that it had to damage Romney's already poor likeability ratings and maybe even cost him the White House. But, after a couple of days of reflection, I think there's still reason for Republicans to have hope. Not least because the polls point to a closer election than the headlines do. But I'll come to that in a moment.

First, it's helpful to put the "47%" speech into historical perspective, which suggests that "gaffes never matter." Every campaign has a moment when the candidate says something they shouldn't have, and it isn't necessarily the end of the road.

Opinion: Romney better off as a Latino?

In April 2008, in the middle of his primary race against Hillary Clinton, Barack Obama gave a speech in which he said that poverty caused "bitter" people to "cling to guns or religion or antipathy to people who aren't like them." His opponents went wild, but this kind of "cat out of the bag" statement tends to matter far more to fervent activists than it does to ordinary voters. After all, Obama won the primary and the general election.

Four years later, it's only Republican activists who still say they are "proud to be clinging to my guns and religion" -- as if the statement has any contemporary relevance. In 2016, Democratic activists will probably be driving around with faded bumper stickers that read, "47 Percent -- And Proud!" The rest of us will have long forgotten what that means.

Over time, sober analysis might slowly turn in Romney's favor, too. Consider how Obama's words were taken out of context. He was really making a case for why liberals had to renew their efforts to improve people's finances, "to get people persuaded that we can make progress when there's not evidence of that in their daily lives."

Likewise, Romney was actually arguing that there was no point pitching his low tax policy to the 47% of Americans who already don't pay income taxes because ... they don't pay taxes.

What he meant by "I don't have to worry about them," was that he didn't need to court their vote. He wasn't saying that if he saw them begging in the street he'd drive his limo straight on by.

In fact, the "47%" speech reads a lot better on the page than it sounds on the video. Part of Romney's problem isn't the content of his ideas, but the ubiquitous context of wealth and power. His host was a one-percenter with a taste for extravagant parties, and Romney delivered his line as if sharing the inner workings of a Ponzi scheme.

Despite Romney's personality problem, he isn't doing nearly as badly in the polls as the punditry suggests. In fact, the day after the 47% video leaked, Gallup released a poll that showed the president only 1 percentage point ahead of the Republican challenger. Ironically, the pollster also reported that he has surprising support among people with low incomes. This would seem to prove that Obama's convention bounce was only temporary and that he remains vulnerable.

More importantly, the public hasn't punished Romney for a serious gaffe he made over Egypt. Critics accused him of jumping the gun when he lambasted a statement released by the U.S. Embassy in Cairo condemning a film considered offensive to Islam -- protests against which later resulted in the death of four Americans in Libya. If they're prepared to forgive him for that snafu, perhaps they'll ignore this one, too.

Take a look at the electoral map and you'll see that Obama has momentum in the swing states. But not much. According to RealClearPolitics' average of polls, he's ahead 4.2 percentage points in Ohio, 3 points in Virginia, 2.7 points in Wisconsin, and 1.4 points in Florida. That puts Romney well within striking distance and that's even before he's had a chance to land some punches in the debates.

Opinion: How Romney really feels about Republicans

Never underestimate the power of events or the flexibility of polls. We don't know what's going to happen between now and November, and the recent crises in the Middle East show how unsettled things are. Around this point in 1980, Carter was running even with Reagan. Things changed then; things can change now.

Ultimately, Romney still has an advantage when it comes to the grand narrative of this campaign. A lot of the 2012 election has been about character and culture -- which candidate do you like best and where do they stand on same-sex marriage or abortion. But voters consistently tell pollsters that the issue they really care about is the economy. As long as they actually vote on that matter -- and as long as unemployment remains high -- Romney is in with a chance. Republicans shouldn't give up hope just yet.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Tim Stanley: Mitt Romney's secretly taped remarks hurt his cause but aren't fatal

@highlight

He says Romney may find, like other politicians, that gaffes often don't stick

@highlight

Polls in recent days show the race remains close, Stanley says

@highlight

Stanley: Voters remain focused mostly on the economy, and that could be a Romney strength