(CNN) -- "My friends think just because we live in Hawaii, we live in paradise. We're all just out here sipping mai tais, shaking our hips and catching waves. Are they insane?" While an Oscar-nominated picture requires the kind of conflict that George Clooney's character implies with this line from "The Descendants," your vacation getaway doesn't.

So leave the plot-twisting drama at home while you sink into the stunning scenery of some of this year's best picture picks, from the lush jungles of Kauai to England's wild moorlands to the heart of the Mississippi Delta.

"The Descendants" -- Kauai, Hawaii

The Garden Isle's resplendent green cliffs and lush tropical landscapes have served as a backdrop for dozens of movies in addition to this year's Academy Award nominee. The oldest of all the main Hawaiian Islands, Kauai is known for its secluded beaches, scenic waterfalls and jungle hikes. More than 90% of the island cannot be reached by road, so bring your walking shoes.

In Central Kauai, the 4.2-mile-round-trip Kuilau Trail winds through a diversity of flora before opening to a view of Kapehua'ala, the highest peak of the Makaleha Mountains. A moderately difficult hike, this former road also offers a glimpse of Mount Waialeale, the wettest place on Earth.

The only way to view the breathtaking waterfalls hidden in the island's remote valleys is by helicopter tour. Make sure yours includes a view of the "weeping wall" in the Waialeale Crater. And if you're looking for killer snorkeling, Tunnels Beach is the place.

Wondering where to stay? Visitors rave about the Hanalei Surfboard House, just across the street from surfers' paradise, Hanalei Bay. The courtyard features a fountain, tropical flowers and quirky sculptures, along with the inn's namesake fence, lined with vintage surfboards. Choose between the Elvis and Cowgirl rooms, decorated with thematic Americana, each with a private entrance and patio as well as an outdoor shower.

"War Horse" -- Dartmoor, England

Explore the "abundance of natural beauty" that so captivated director Steven Spielberg during the shooting of "War Horse" at Dartmoor, in Devon. Dartmoor National Park is the largest and wildest area of open country in southern England. With rolling green fields, grazing sheep, rock outcroppings and blue rivers, the 368-square-mile park offers a guided walk about the movie filming as well as opportunities for cycling, hiking and climbing. Visit the ruins of Okehampton Castle, then picnic at River Okement. Trek to Lydford Gorge with its turquoise lagoons, or take a class with the professional chefs at the nearby Ashburton Cookery School.

Stay at the Hotel Endsleigh (where Spielberg himself is rumored to have roomed) and schedule your own equine adventure, riding horseback on the hotel's 108-acre grounds, or a fishing trip along eight miles of the Tamar, lauded as the best salmon and sea trout river in England. Furnished with antiques, the hotel embraces the spirit of the Regency period while the dining room features local and regional foods prepared according to traditional English recipes. If it was nice enough for Spielberg ...

"Moneyball" -- Oakland, California

Have a budding baseball fan in the family? How about a trip to Oakland to see Stomper the elephant, the official A's mascot, at a real, live A's game? Purchase a Kids Club membership and receive an A's drawstring bag, water bottle, lanyard and coupon booklet, featuring discounts at places like the Oakland Zoo. Take advantage of that coupon to see the more than 660 native and exotic animals.

Other kid-friendly Oakland options include the Chabot Space & Science Center, with a planetarium and interactive exhibits about space and earth sciences, the Museum of Children's Art, which offers hands-on workshops and "Drop-In Art" sessions for children to explore using paint, papier-mÃ¢chÃ©, clay, fabrics, feathers and other materials, and Children's Fairyland, a 10-acre park on the shores of Lake Merritt where children's literature comes to life through storybook sets, rides, animals and puppet shows.

Continue the family fun at the historic Claremont Hotel, which, in addition to luxuries parents will enjoy, offers on-site craft activities, toys and games. Plan to top off "game day" night with a sundae at Fentons Creamery, the century-old ice cream parlor and restaurant featured in the movie "UP!," and be sure to wear Oakland A's colors for a discount.

"The Help" -- Greenwood, Mississippi

When "The Help" filmmakers went looking for stately Southern buildings and "modern" homes to stand in for 1960s-era Jackson, Mississippi, they discovered Greenwood, a historic Delta town 90 miles away. Though much of the shooting took place on private property, the local visitors' bureau provides a map, and CivilRightsTravel.com has compiled a list of a dozen sites to see.

For some historical context, take advantage of Greenwood's other "true Delta" experiences. View the eclectic collection at the Museum of the Mississippi Delta, which includes regional art as well as artifacts related to agriculture, Native American and local military history. Venture out to nearby spots on the Mississippi Blues Trail, including Baptist Town, one of Greenwood's oldest African-American neighborhoods, said to have been a safe haven for musicians looking to escape work in the cotton fields. Then, journey 10 miles north to Money to glimpse what remains of Bryant's Grocery and Meat Market, where in 1955, 14-year-old Emmett Till allegedly whistled at a white woman. After he was beaten and murdered two days later, photographs of his mutilated body spurred the public outrage that sparked the civil rights movement.

Following your day of history, take refuge at The Alluvian, the boutique hotel that several "Help" stars called home during filming. Enjoy the award-winning design, the Mississippi art on the walls and dinner at Giardina's, the on-site restaurant founded in 1936.

"Midnight in Paris" -- Historic Paris

If you needed inspiration to visit Paris, Woody Allen's latest flick provides it. Kick off your historic Parisian adventure with a Paris Underbelly Discovery Tour of sites featured in the film that "capture the lively and quintessential spirit of Paris from the past." Depending on which tour you choose, you'll see Monet's "Waterlilies," visit the Rodin sculpture garden, sip cocktails in one of the swank hotels featured in the film, or pop in at one of Ernest Hemingway's favorite haunts for jazz and spirits.

By the 1920s, Paris had become a rich cultural center, a world capital for the artistic and intellectual vanguard. Catch a glimpse of this period at La Coupole, the brasserie that hosted a convergence of writers, artists and musicians including Man Ray, Pablo Picasso, Josephine Baker, Henry Miller and Jean-Paul Sartre. Over dinner, ogle at the Cubist-inspired pillars covered with imitation-marble mosaics and the brightly colored Art Deco dome.

For a glamorous finish to your day, splurge on a night at the opulent Le Meurice hotel where "Midnight" scenes were shot, and surrealist Salvador Dali once stayed.

@highlight

Visit the filming sites of five of this year's best picture nominees

@highlight

Subtract the drama of "The Descendants" and relax on location in Kauai

@highlight

Create a kid-friendly getaway around "Moneyball" and the Oakland A's