London (CNN) -- The case of three women allegedly held captive for more than 30 years in London is one of brainwashing and emotional abuse, London's Metropolitan Police said Friday.

Police announced Thursday they had arrested a couple on suspicion of being involved in forced labor and domestic servitude after authorities took a Malaysian woman, 69, Irish woman, 57, and 30-year-old Briton to safety from a property in Lambeth, south London.

However, police told CNN on Friday that while the man and woman were arrested under the slavery, servitude and forced or compulsory labor section of the Coroners and Justice Act of 2009, that law did not necessarily describe the alleged crime.

"It is not as brutally obvious as women being physically restrained inside an address and not allowed to leave. What (Detective Inspector Kevin Hyland) and his team are trying to understand is what were the invisible handcuffs that were used to exert such a degree of control over these women," Commander Steve Rodhouse said.

"Trying to label this investigation as domestic servitude or forced labor is far too simple. What we have uncovered so far is a complicated and disturbing picture of emotional control over many years. Brainwashing would be the most simplest term, yet that belittles the years of emotional abuse these victims have had to endure."

Rodhouse said the investigation has uncovered "something that is, so far, unique to us and does not compare to any previous investigations we have carried out."

Hyland said there were "clear allegations of slavery," but officers were still establishing the details of the "complex and complicated" case and could not jump to conclusions.

Coercion, violence allegations

"Clearly the allegations are that people were being controlled, subject of coercion, violence. And as you're aware, the case goes back three decades -- so there's a lot for us to untangle," Hyland said.

He said the women were subjected to physical abuse like beatings, as well as psychological pressure: "We are trying to figure out the nature of those invisible handcuffs."

Police have not released the names of the man and woman -- both 67 -- alleged to have held the women captive but say they are not British nationals.

They revealed Friday that the two suspects were arrested in the 1970s but would not say why or whether they have a criminal record.

The couple have since been released on bail, but have not returned to the Lambeth property at the center of the allegations, police said.

"They have also been arrested on suspicion of immigration offenses, and we are working closely with the Home Office Immigration Enforcement," Hyland said

British lawmaker Tessa Jowell said Friday that the house is in her constituency. She represents the south London neighborhoods of Dulwich and West Norwood.

CNN's Atika Shubert said police had told her that the group of people involved had presented themselves as a normal family, but officers would not detail how they were related.

"I'm both looking at the relationships -- as in biological -- and I'm also looking at relationships -- how they interacted," Hyland said. He said police did not believe the victims had been trafficked into the UK.

Earlier, police said the 30-year-old alleged victim "appears to have been in servitude for her entire life." They said she and the two other women were "highly traumatized" and being cared for in a place of safety.

Police said Freedom Charity alerted them to the suspects in October after receiving a phone call from one of the victims.

"The woman found the courage to contact the charity after seeing a documentary on television we are informed was aired by the BBC," they said in a statement.

'Controlled freedom'

With the "help of sensitive negotiations" by the charity, police met with the Irish and British women on October 25. The women identified the place where they said they had been held, allowing police to rescue the 69-year-old Malaysian woman and take all three to safety, Metropolitan Police said.

"We believe that the women had some controlled freedom, but at this stage we are still trying to find out to what extent and what form this took. The relationship between the women is part of an ongoing investigation, and we are not willing to speculate," police said.

Hyland said it was an unprecedented case for the Met's Human Trafficking Unit.

"We've seen some cases where people have been held for up to 10 years, but we've never seen anything of this magnitude before," he said.

"Our unit deals with many cases every year but has never unearthed such a staggering example of people held against their will for their whole lifetime."

He said authorities are in the early stages of a "complicated and sensitive" investigation.

"These women are highly traumatized, having been held in servitude for at least 30 years with no real exposure to the outside world, and trying to find out exactly what has happened over three decades will understandably take some time."

Sensitivity and secrecy

Police said they had seen no evidence "to suggest anything of a sexual nature," but the investigation is ongoing.

Freedom Charity spokeswoman Aneeta Prem said the organization took "immediate action" to plan a rescue after learning of the women's situation.

"Facilitating their escape was achieved using utmost sensitivity and secrecy and with the safety of the women as our primary concern," she said, describing the work of those involved as "outstanding."

A television documentary on forced marriages relating to the work of Freedom Charity prompted the call for help.

"They'd seen me on various news channels talking about forced marriage and dishonor violence, and they said I had a face they trusted, so they called our 24-hour helpline," Prem told CNN.

She said the process was "very difficult" and charity CEO Vineeta Thornhill was personally involved in the negotiations

"Throughout the process until they were rescued -- so it was over a week of speaking to them -- she gained their trust and confidence, and they believed that when they came out, they would be taken to safety, they would be looked after," Prem said.

"These ladies have spent 30 years in captivity as slaves and have come out with absolutely nothing at all," she said. "The road to freedom isn't going to be an easy one."

'Harrowing'

Thornhill told CNN she believed the youngest woman was born in captivity.

The 30-year-old is not related to the other two victims, but police are investigating whether she is related to the couple who were arrested, she said.

Prem said she has seen the women on a number of occasions since their rescue. "They're doing remarkably well considering how harrowing it's been for them."

Read more: I'm a modern-day slave in America

She said such cases could occur in a city the size of London, where she said people often didn't know their neighbors.

"We all need to look out for neighbors and say 'is everybody absolutely safe.' And I think this is the tip of the iceberg. I think 30 years is going to be the exception for people being held, but I'm sure this can't be the only case," she said.

Read more: Slavery's last stronghold

Freedom Project: Ending slavery

CNN's Max Foster contributed to this report.

@highlight

Police say the captives were brainwashed, emotionally abused

@highlight

A couple is alleged to have held three women captive in London for more than 30 years

@highlight

One of the alleged captives contacted a charity, which worked with police on a rescue

@highlight

Police arrested the pair Thursday but released them on bail Friday, until a date in January