(CNN) -- "The first thing he asked was 'Are you the one who said that you are the best drummer in this country?' I laughed and told him, 'I never said so.' He asked me if I could play jazz and I said yes. He asked me if I could take solos and I said yes again."

That's how Tony Allen details his first ever encounter with Fela Kuti back in the mid-1960s, a meeting that was destined to trigger an explosive sonic collaboration that a few years later gave birth to the blistering Afrobeat sound -- arguably the most exciting period in the history of popular West African music.

This anecdote, and many more others, are featured in the newly released autobiography of Allen, the iconic Nigerian drummer who's left an indelible stamp on the history of world music with his distinctive style and pioneering grooves. Brian Eno has hailed Allen as the "greatest living drummer."

Read this: The rise of Fatoumata Diawara

Co-written with Michael E. Veal, "Tony Allen: An Autobiography of the Master Drummer of Afrobeat" follows Allen's life from his early days growing up in the heart of Lagos Island, though his struggling first steps as a badly paid freelance musician, the meeting with Fela and the heights of their "Africa 70" band, to his departure from the group and his relocation to Paris in the mid 1980s.

Master drummer

Born in Lagos in 1940 to a Nigerian father and a Ghanaian mother, Allen was the oldest of six children. His first gig came in late 1950s when he started playing clefs in a highlife group called "The Cool Cats," before taking over the band's rhythm section.

From then on, Allen went on to hone his self-taught drumming skills by dipping into different styles as a member of several other Lagos bands -- including "Agu Norris and the Heatwaves," "The Paradise Melody Angels" and "The Western Toppers."

In 1964, Allen met up with Fela and his career took a different, more exciting path. Over the next 15 years, Allen would be the rhythmic engine for the Nigerian multi-instrumentalist and political rights activist, first for the highlife-jazz outfit "Koola Lobitos" and then for the seminal "Africa 70" group.

Read this: Femi Kuti builds on his father's legacy

It was after the band returned from a 10-month stay in the United States in 1969 that Allen created the potent drumming concept of Afrobeat, fusing the different beats and patterns he'd heard while growing up with the new techniques he'd mastered as a professional drummer -- everything from highlife and traditional Nigerian music to Western jazz, funk and R&B.

"I was looking for something," Allen says, from Paris, where he is currently based. "I wanted to be myself," he adds. "I played like everybody already but there was no point in continuing doing that because I'd be bored completely."

Allen, the only member of Fela's band allowed to compose his own parts, could famously drum in a different time signature with each of his four limbs. Driven by his fluid and steady drumming, Africa 70 went on to record a string of highly successful and politically charged albums, which turned Fela into a huge musical and countercultural icon in Nigeria and abroad.

But it was onstage where the full force of Afrobeat's intoxicating sound and the talents of Fela and Allen really shone through.

"With me and Fela, it's a question of telepathy," Allen says of the musical closeness he enjoyed with "Africa 70's" firebrand leader.

"That is why I was able to stick around this guy for 15 years -- you know, I never did that with anyone before; the maximum time I stayed in a band was one year," adds Allen.

"Since I met him I knew that this guy had something, this is the type of challenge I needed ... I just believed that I am meeting a genius and it's great to work with a genius."

Life after Fela

This deep appreciation of Fela's musical brilliance oozes through the pages of Allen's autobiography. But the narrative is also filled with wrangles over payments and recognition. In the end, Allen says it was not the ongoing pay disputes but the increasingly volatile situation around Fela's political activism that led to Allen leaving the group in 1978 -- events like the army attack on Fela's compound in 1977.

"The only thing that happened was that it became a package of madness," Allen says. "I stood it for a while too, I was inside it -- I had been arrested, I had to submit myself because he is like my brother."

Read this: Meet the Malawi Mouse Boys

Allen's departure left a big void in the heart of the Afrobeat sound. Fela, who replaced his polyrhythmic sideman with four drummers during live performances, once said that "there would be no Afrobeat without Tony Allen." The two remained friends until Fela's death in 1997.

After leaving "Africa 70," Allen went on to form his own bands in Nigeria before relocating to Paris in 1985.

Since then, he's released several well-received albums. A musician committed to innovation, he's joined forces with an eclectic roster of both African and international musicians over the years-- including Damon Albarn, King Sunny Ade and Jimi Tenor.

Today, at the age of 73, Allen still remains as active as ever.

"I don't see the end of exploring," says Allen, who is currently working on a new album. It's a sentiment echoed in his final remarks in the book.

"I still challenge myself every time with my playing," Allen writes. "I still want to play something impossible, something I never played before."

@highlight

Legendary Nigerian drummer Tony Allen has released an autobiography

@highlight

Allen is famous for helping create Afrobeat by fusing different beats and patterns

@highlight

Described as the world's greatest drummer, he worked for 15 years with Fela Kuti

@highlight

Aged 73, Paris-based Allen continues to make music to this day