(CNN) -- Kodak -- the company known for decades for its cameras and film -- this week confirmed it used weapons-grade uranium in an underground lab in upstate New York for upwards of 30 years.

A company spokesman and a former scientist for the firm say there was not enough material to sustain a nuclear chain reaction.

Former Kodak researcher Albert Filo said the uranium was alloyed with aluminum in plates sealed in sleeves that were not moved for three decades. The amount of fuel was about 3Â½ pounds, which experts say is less than one-tenth of the amount necessary to make a crude nuclear device.

The alloyed material "could not be readily converted to make a nuclear weapon," said Eastman Kodak spokesman Christopher Veronda. "Disassembling the device and removing these plates was a process that took highly trained experts more than a day to perform."

But advocates for preventing nuclear proliferation say it highlights the risk that terrorists could obtain enough fuel to build a nuclear device.

"In this day and age, no one should be allowed to possess nuclear-weapons-usable material without providing an armed defense of that material," said Edwin Lyman, a nuclear physicist with the Union of Concerned Scientists.

"There really should be an effort to eliminate the use of materials in commercial companies that could be used by terrorists to make nuclear weapons," he said.

Kodak turned the material over to the government in 2007, under heavy security. But for more than 30 years, the company had a device called a californium neutron flux multiplier, or CFX, in a specially built labyrinth beneath Building 82 at its labs near Rochester, New York. The device was about the size of a refrigerator.

It was not a reactor, but rather a hunk of metal emitting radiation. Its purpose was to create a beam of neutrons to use for scanning and testing other materials. The device's primary source of neutron radiation was the radioactive element californium, but the stream of neutrons produced by the californium was multiplied by passing it through a lattice of highly enriched uranium U-235, whose nuclear fission released additional neutrons.

According to a spokesman for the Nuclear Regulatory Commission, Kodak's uranium was highly enriched -- to a level approaching 93.4%. That is the type of weapons-grade material that U.S. government agencies are trying to prevent terrorists from getting their hands on. (For the sake of comparison, Iran claims to have enriched uranium to 20%, leading Western nations to impose sanctions on the country in an effort to prevent Iran from pursuing further enrichment.)

Lyman acknowledges that the quantity was not enough to make a bomb. "But you can always imagine," he said, "an adversary that was coordinated could steal enough in different areas to kind of consolidate, and have enough for a bomb."

While Kodak did not have armed guards, Filo said that there were security procedures in place to prevent any unauthorized access to the uranium. Also, he said, it would take hours or days for anyone to dismantle the CFX and extract the nuclear fuel.

He also said the bunker was subject to regular inspection, never leaked radiation, and never posed any risk to the neighborhood of radioactive exposure.

"The walls surrounding it were two feet of reinforced concrete. The ceiling over it was again two feet of concrete and then eight feet of earth. So it was really a well-shielded instrument," he said.

Kodak says it never intended to hide the CFX, and it was licensed by both state and federal officials. But the fact that the company was handling highly enriched uranium was never widely publicized.

There are 31 reactors in the United States for research or testing purposes, according to the Nuclear Regulatory Commission. Most are run by universities and use low-enriched uranium rather than highly enriched uranium.

But weapons-grade fuel is still used in some reactors, said Lyman.

"The (Massachusetts Institute of Technology) reactor, and a (university) reactor in Missouri, both still use highly enriched uranium. The Department of Energy would like those reactors to change the way they operate, so they don't have to use bomb material anymore," he said. "But it's technically hard, it costs a lot of money, and there's resistance."

CNN's Chris Kokenes contributed to this report.

@highlight

Kodak turned the material over to the government in 2007

@highlight

It was used in scanning and testing for more than 30 years

@highlight

The amount of fuel was about three-and-a-half pounds

@highlight

Experts say that's less than a tenth of what's needed for a crude nuclear device