(CNN) -- As the final days of 2012 trickle away, an uncommon emotional intensity hangs in the air in America. Something is happening here.

The country stands on the cusp of major change. Gun control is just one of the formerly taboo subjects that has come out of the political closet. Today, a majority of Americans support stricter gun laws, a majority support a more progressive tax system and most favor same-sex marriage. A majority of voters even support the idea of legalizing marijuana.

The laws have not caught up with this dramatic change in attitudes, and entrenched interests will fight what amounts to a quiet but pivotal social revolution. The coming year will see continuing battles in the courts, in the media and in legislatures, as the forces of change -- now representing the majority -- seek to upset the status quo.

No topic has stirred more passion in recent days than the clash between two competing rights: the right to own guns and the right not to get shot. Americans feel the lingering sadness, confusion and anger surrounding a recent massacre of schoolchildren, stirred more by the outrageous, dumbfounding, Christmas Eve murder of firefighters responding to a call for help in New York.

Then there's that strange, unbecoming political show, the one with the ticking clock, known as the fiscal cliff. The contest over the budget sounds arcane, but it deals with a fundamental social value, the role of government in society, and the way the burden of financing ought to be shared.

Those are just the most immediate of the ongoing dramas adding stress to holiday dinners, energy to television shows and liveliness to coffee house debates.

The United States is reassessing matters that many thought had been settled. It wasn't very long ago that the views from the most conservative elements of the political establishment dominated the social agenda.

Since the turn of the century we had seen a steady turn toward lower taxes, a ban on even discussing gun control, a rising wave of anti-gay legislation and all manner of conservative legislation. America seemed left behind, ossified, as other parts of the Western world, which generally share America's culture and values, revised their views and rules on social issues.

In July, after the movie theater massacre in Colorado, President Obama unhelpfully, unnervingly, mused that "if there's anything to take away from this tragedy, it's the reminder that life is very fragile." This time, in the wake of the Newtown massacre, he found a more practical takeaway, launching a push to stop gun violence. Most importantly, the tragedy energized the growing majority of Americans who support stepped-up gun control. It also prompted the powerful NRA to push back, and we can expect an all-out campaign whose outcome is far from certain. But the battle has been joined -- and not just in Washington.

It took far too many killings, but the massacre at Sandy Hook elementary finally pushed the matter of gun rights one awful step too far, and the conversation changed.

Jeffrey Toobin: 2013, a year for big issues in the courts

People who have spent decades working tirelessly for change will no doubt want to correct the impression that all this change has come suddenly. Surely, gay rights activists, gun control organizations have toiled with only minimal victories as reward. In recent months, however, we have reached a tipping point.

It may have something to do with the media -- social media, television, the Internet -- providing a boost to the message, a message of human dignity and common sense. It certainly has much to do with demographics. Young people, growing up with new ideas, are picking up the torch of social change.

Today, a majority of Americans -- 57% -- favor stricter gun control, jumping sharply from 39% just a few months ago. That's bad news for the most conservative elements in society, who think the government should stand back from almost every aspect of our lives.

But the truly radical transformation has come in the area of gay rights. For the first time, Gallup Polls show a majority of Americans support full marriage equality for gay couples. That's an astonishing change. But it's not as astonishing as the wholesale acceptance of gay people that has suffused American society in the last few years.

Perhaps it was "Will and Grace" or "Glee" or President Obama's long-delayed approval of same-sex marriage. Probably all of the above and much more, but a switch has been flipped. The cause has gained an unstoppable momentum, so unstoppable that even if full equality is denied by the conservative-tilted Supreme Court, scheduled to rule on the issue by this summer, it will only amount to a delay of the inevitable.

Once again, the people are leading their leaders. Public views, especially among the young, hold that discrimination is not only wrong, it's silly.

Attitudes are changing in other ways that seemed unthinkable not long ago. Who would have thought Americans would favor legalizing drugs? Two-thirds of voters under age 30 support legalizing pot, bringing the overall total to 51%, and giving a boost to referendum campaigns on the issue.

The wisdom of lowering taxes also dominated for many years, but no more. Three-quarters of Americans agree it makes sense to make the tax system more progressive, raising the burden on the wealthy. What exactly "wealthy" means is still unclear. And, as in all the other areas of change, the battle to transform those majority views into law will be hard-fought.

With just a few days before the start of 2013, the issues facing America are serious, the disagreements are intense, and the range of views is wide. And yet, the country is facing its choices with nervous anticipation. Something is happening in America.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: After years in which conservative views predominated, U.S. is changing

@highlight

Ghitis: 2013 should see impact of support for progressive tax rates, same-sex marriage

@highlight

Gun control is now considered an urgent issue once again, she says

@highlight

Ghitis: Opponents of progressive policies will stand against change