(CNN) -- Iran won't be attending this week's international peace conference on Syria because it won't embrace the framework laid out in a previous conference, U.N. and Iranian officials said Monday.

The last-minute invitation to Iran, a leading Syrian ally, had threatened to derail the talks after the leading Syrian opposition group and the United States spoke out against it. Louay Safi, a spokesman for the Syrian National Coalition, called Iran's attendance "a deal-breaker."

Iran announced Monday afternoon that it would not accept "any preconditions" for joining the talks, slated to begin Wednesday in Switzerland. That includes acceptance of the communique issued at the first Geneva conference in 2012, said Mohammad Khazaee, Tehran's U.N. ambassador.

"If the participation of Iran is conditioned to accept Geneva I communique, Iran will not participate in Geneva II conference," Khazaee said in a written statement Monday afternoon. Foreign Minister Javad Zarif had made a similar declaration on Iranian state TV earlier Monday.

U.N. Secretary-General Ban Ki-moon, who issued the invitation Sunday, believed he had Iran's assurance that it accepted the original Geneva declaration, his spokesman, Martin Nesirky, told reporters.

"The secretary-general is deeply disappointed by Iranian public statements today that are not at all consistent with that stated commitment," Nesirky said.The declaration "remains the internationally agreed framework for ending the crisis," he said -- and without Iran's acceptance, this week's conference "will proceed without Iran's participation," he added.

The goal of the talks is to set up a transitional government to help end the violence that has wracked the country.

The United Nations says more than 100,000 people have been killed in Syria since the revolt against President Bashar al-Assad began in 2011. The Geneva I communique calls for a transitional government and eventual free elections as part of a political settlement to end the war.

Monday's news capped a day of what Ban described as "intensive and urgent" discussions."

Gruesome Syria photos may prove torture by Assad regime

The opposition coalition initially set a 2 p.m. ET deadline for its conditions to be met. When that time passed, the coalition said it would await Ban's decision before making any moves on its own.

Safi told CNN that Ban "did the right thing" by withdrawing Iran's invitation. And in Washington, the State Department praised the move.

"We are hopeful that, in the wake of today's announcement, all parties can now return to focus on the task at hand, which is bringing an end to the suffering of the Syrian people and beginning a process toward a long overdue political transition," State Department spokeswoman Jen Psaki said.

Western intelligence officials believe Iran has provided fighters, intelligence and communications to support al-Assad. In addition, fighters from the Iranian-backed Shiite militia Hezbollah have seen combat in Syria on the side of the government.

Most outside support for rebel forces has come from the Persian Gulf monarchies of Saudi Arabia and Qatar. U.S. aid has been limited largely to non-lethal assistance such as communications gear and medical equipment, and American officials have struggled with how to back opposition groups without providing weapons to those linked to Islamic militants.

Syrian opposition votes to attend Geneva 2 peace talks

A preliminary international session is scheduled for Wednesday in Montreux, Switzerland, with talks between the Syrian government and opposition delegations slated to begin Friday in Geneva.

Al-Assad has called for the conference to include a focus on "fighting terrorism" in Syria. Throughout the civil war, Syria has blamed violence on "terrorists."

"The obvious matter that we continuously talk about, is that we like Geneva conference to have clear resolution concerning fighting terrorism in Syria, and put pressure on the countries that export terrorism to Syria, by sending terrorists to Syria, sending money to terrorist organizations and sending weapons, especially Saudi and Turkey, and of course the western countries who create political cover for these organizations," al-Assad said in an interview with AFP.

Saudi Arabia and Turkey have denied similar accusations from Syria in the past.

Any political resolution that comes out of the talks "without considering fighting terrorism will have no value," al-Assad added.

'Iran needs to be part of the solution'

Damascus softens its stance as talks near

Ban announced the invitation to Iran at a surprise news conference Sunday night.

"As I have said repeatedly, I believe strongly that Iran needs to be part of the solution to the Syrian crisis," Ban said, adding that he has spoken "at length" with Zarif in recent days.

"He has assured me that, like all the other countries invited to the opening day discussions in Montreux, Iran understands that the basis of the talks is the full implementation of the 30 June 2012 Geneva Communique, including the Action Plan.

"Foreign Minister Zarif and I agree that the goal of the negotiations is to establish, by mutual consent, a transitional governing body with full executive powers. It was on that basis that Foreign Minister Zarif pledged that Iran would play a positive and constructive role in Montreux," Ban said.

On Monday, two car bombs exploded in northern Syria near a border crossing with Turkey, killing 10 people, according to the Local Coordination Committees of Syria, a network of opposition activists.

The Bab al Hawa border crossing has been has been one of the main terminals for sending supplies from Turkey into rebel-held portions of Syria, though it has been closed during periods of violence on the Syrian side of the border.

Monday's bombing was the latest attack there. Last February, an explosion rocked a customs gate on the Turkish side, killing at least 13 people, the Turkish government said.

Syrian rebels first overran the Syrian border gate at Bab el Hawa in the summer of 2012, flushing out government forces after days of fighting, though different groups have battled for control of the area since. The Syrian side of the border gate currently is held by an Islamist militant group, opposition activists say.

Photos: Haunting images of Syria's abandoned homes

CNN's Josh Levs, Elise Labott, Ivan Watson and Shirzad Bozorgmehr contributed to this report.

@highlight

Ban is "deeply disappointed" by Iran's statements, his spokesman says

@highlight

Iran says it won't attend Geneva talks if it has to accept "preconditions"

@highlight

Syrian opposition and the United States had called for Iran's invitation to be rescinded

@highlight

The goal of talks is to set up a transitional government to end the violence