(CNN) -- A 10-year-old boy, his face still innocent, abducted from his village and forced to kill alongside ruthless militia fighters. A 60-year-old grandmother too ashamed of the injuries caused by a brutal rape to leave her house for five months, even though her wounds worsened. A girl who reminded me of my own daughter, bridging the years between youth and womanhood, who had been dragged into a forest near her house by a group of men and raped, over and over again.

Images of these people, whose quiet but warm personalities barely hint at the atrocities they have survived, give a human face to the conflict in eastern Congo that has long moved me as an activist. With well over 5 million people dead through war and its accompanying hardships spanning more than a decade, it is difficult to imagine the daily impact of a conflict of this magnitude, much less to feel empowered to do anything about it.

A new documentary film, "Blood in the Mobile," powerfully addresses both the limits of the imagination and our sense of connection to atrocities committed on the other side of the world. Through a shaky camera in the damp and dark mines of eastern Congo, filmmaker Frank Poulsen introduces us to some of the young men (and even children) toiling at the first stage of Congo's lucrative business in tin, tantalum, tungsten and gold. But the wealth of this industry doesn't really benefit the Congolese miners for their back-breaking, perilous and poorly paid work -- not by a long shot.

Militia groups and factions of the Congo's army control many mines, imposing heavy "taxes" on miners for whom there are few alternatives for making a living. Juxtapose these gritty images of Congo with shots filmed at the headquarters of Nokia, the electronics powerhouse that sells these minerals in its consumer products, and you have a message that is difficult to ignore: the cell phones, laptops, digital cameras and other products we have come to rely on link all of us to the conflict in Congo.

As consumers, we're perpetuating the conflict. We have an obligation but also an opportunity.

I was fortunate to have a chance to travel to eastern Congo recently to see with my own eyes and to feel, even with the relative safety of traveling with the ever-attentive Fidel Bafilemba of the Enough Project, the psychological effect of spending time in an unpredictable conflict zone. I was struck by how we witnessed the raw, nervous strain of communities said to be post-conflict, post-traumatic.

But nothing seemed to be "post-": Indeed, these communities appear to be enduring conflict and trauma on a daily basis. Local organizations, from the reintegration center for child soldiers to the rehabilitation center for survivors of sexual violence, are working as hard as they can to provide solace and a hopeful future for those most physically and emotionally harmed by the conflict. But as necessary as these efforts are, they treat the symptoms; there is little concept of pre-emptive or preventive.

Two years had passed since U.S. Secretary of State Hillary Clinton came to one of the same towns I visited. Nearly everyone I met remembered "Mama Clinton" and asked me to follow up with her when I returned to the United States. "I think it is no secret to you," one woman said, speaking into the videocamera and addressing Clinton. "Our wealth is being plundered, and that's why we are being raped." She urged Clinton to make good on her promise to bring high-level U.S. attention to the crisis in Congo.

In particular, Clinton's leadership and gravitas are needed to implement an international certification scheme that enables companies to trace the source of the minerals to ensure that they aren't funding armed groups, and that allows consumers to choose which companies to give business to, based on their human rights record in Congo.

Visiting Congo for the first time without knowing the local language, Kiswahili, I was dependent on my talented interpreter Fidel for putting into words my countless questions and gratitude to the people I interviewed. But in those moments when I sat face-to-face with women, neither of us speaking while we listened to his translation, I would often catch a look, a slight nod, that clearly said, "I know you know. I know you understand."

Women have a natural, inherent knowingness, an unspoken connection between us, as mothers, wives and sisters. For several years I have followed Congo from afar, understanding theoretically and intellectually how we in the United States could help end the conflict. Now I deeply feel the why.

The opinions expressed in this commentary are solely those of Robin Wright.

@highlight

In Congo, militia groups and army factions control many mines, says Robin Wright

@highlight

Minerals in these mines go into cell phones, laptops, digital cameras and other products

@highlight

Congolese mine work is back-breaking, perilous and poorly paid, Wright says

@highlight

In Congo, more than 5 million have died through war and hardships in the past decade