Washington (CNN) -- Military prosecutors have recommended the death penalty for the accused mastermind of the deadly 2000 bombing of the destroyer USS Cole.

The announcement Wednesday from the Defense Department is another signal the case against Abd al-Rahim al-Nashiri will be moving closer to trial before a military commission. As one of 16 "high-value" detainees, he has been held for years at the U.S. Navy's detention facility at Guantanamo Bay, Cuba. If approved, this would be the first death penalty trial in the reconfigured military trial system.

Intelligence sources have said al-Nashiri headed al Qaeda operations in the Persian Gulf region before his 2002 capture by U.S. intelligence agents. CIA Director Michael Hayden confirmed six years later that al-Nashiri and two other high-value terror suspects were subjected to waterboarding, a harsh interrogation technique.

The chief prosecutor recommended capital charges against the 46-year-old Saudi native. He has been formally recharged with planning the bombing attack on the U.S. Navy vessel, which was in the Gulf of Aden near Yemen.

Two suicide bombers rammed a garbage barge full of explosives into the USS Cole during a refueling stop. Seventeen sailors were killed, and 47 others were injured. The blast left a 40-by-40-foot hole in the port side of the Norfolk, Virginia-based guided-missile destroyer, which was carrying a crew of 293.

Al-Nashiri also is charged with heading the aborted attack on the destroyer USS The Sullivans that same year.

The decision to formally move ahead with the prosecution had been expected for weeks, ever since Defense Secretary Robert Gates in January lifted a previous order that had prevented any new cases from moving forward.

The final decision about whether the death penalty can be pursued is now in the hands of retired Vice Adm. Bruce McDonald. In military terminology he is the convening authority of the military commissions, the equivalent of a civilian criminal court.

The American Civil Liberties Union, however, said the "broken military commissions system" should not be used to try al-Nashiri.

"We are deeply disturbed that the Obama administration has chosen to use the military commissions to try a capital case in which much of the evidence is reportedly based on hearsay and therefore not reliable enough to be admissible in federal court," said Hina Shamsi, director of the ACLU's National Security Project. "Allowing hearsay is a backdoor way of allowing evidence that may have been obtained through torture.

"All of our concerns about the inherent unfairness of the military commissions are compounded in cases like this one, in which the result could be death," Shamsi said. "The Constitution and international law rightly require enhanced protections in death penalty cases, but the military commissions are incapable of providing those necessary protections."

Yemen had separately sentenced the man to death in absentia for his alleged role in the Cole attack.

His four-year custody in secret overseas CIA prisons before his 2006 transfer to Guantanamo is expected to be a key point of contention in any trial, since al-Nashiri did not have access to legal counsel for months nor had any charges been filed against him. It is unclear what rules of evidence the government could present that would withstand judicial scrutiny. Military justice rules allow al-Nashiri to have defense counsel represent him.

He was charged in December 2008 before a military commission in Guantanamo, but the charges were suspended a few months later when the Obama administration took over and sought a fresh review of all detainees at the overseas prison. Later that year Attorney General Eric Holder announced al-Nashiri, alleged 9/11 mastermind Khalid Sheikh Mohammed and several other key terror suspects would face prosecution in the military justice system.

The Obama administration had considered transferring some terror suspects to the United States for prosecution in either special military or civilian courts. But the president earlier this month announced all prosecutions would be in military courts in Guantanamo.

The CIA has admitted tapes of al-Nashiri's interrogation at a secret location in 2002 were destroyed in 2005. Waterboarding involves strapping a person to a surface, covering his or her face with cloth and pouring water on the face to simulate the sensation of drowning. Critics have called it torture.

Destruction of CIA tapes sparked concerns

During his Combatant Status Review Tribunal -- a preliminary court proceeding -- at Guantanamo in March 2007, al-Nashiri acknowledged knowing al Qaeda leader Osama bin Laden and said he had accepted money from him. But bin Laden gave many people money to help them get married or conduct businesses, al-Nashiri said.

Al-Nashiri said he is not a member of al Qaeda, according to the 4-year-old documents. He said he knew the perpetrators of the bombing because he had business dealings with them in the fishing industry.

The suspect said he "was tortured into confession, and once he made a confession his captors were happy and they stopped questioning him," according to a statement read during a 2007 hearing. "Also, the detainee states that he made up stories during the torture in order to get (the torture) to stop."

In addition to Mohammed, charges could be forthcoming against Ahmed al-Darbi -- a Saudi man accused in the failed plot to bomb oil tankers in the Straits of Hormuz; and Obaydullah, an Afghan accused of planting explosives.

The last military execution was in 1961, involving a U.S. Army private who had been convicted of rape and attempted murder of an Austrian girl.

CNN Pentagon Correspondent Chris Lawrence contributed to this report.

@highlight

Abd al-Rahim al-Nashiri is charged with planning the 2000 bombing of the USS Cole

@highlight

Seventeen sailors died and 47 were wounded

@highlight

The chief prosecutor is recommending capital charges against al-Nashiri

@highlight

He will be tried before a military commission at Guantanamo Bay, Cuba