"Jordanians look around the region and they say to themselves --'We're lucky -- the streets are safe. There is stability.'"

Those were the words of a former Jordanian minister speaking to CNN on a bleak, damp day in Amman 18 months ago. At the time, Egypt and Yemen were in turmoil, Tunisia's president had fled, and Shiite protesters were taking to the streets of Bahrain.

But even then, there was plenty of grumbling in Jordan -- over gas prices, unemployment, pervasive corruption. Tribal sheiks described their disappointment with King Abdullah, who succeeded his father to the throne in 1999. In towns like Mafraq, near the Syrian border and traditionally a bedrock of support for the monarchy, there was an undercurrent of resentment -- especially toward Queen Rania for her alleged lavish lifestyle.

Those same grievances have stoked the current protests, triggered by a sudden and sharp increase in the price of cooking oil and fuel as state subsidies have been withdrawn. Now King Abdullah confronts what analysts in Amman say is the biggest crisis of his 13-year reign.

Osama Al Sharif -- an Amman-based commentator and syndicated columnist -- says the  economic crunch is merging with evermore strident demands for political change, now led by the Muslim Brotherhood. But the sometimes violent protests in Amman and elsewhere this week have also included young men from poor areas, and for the first time a refrain from protests elsewhere in the Arab world -- "The People Want the Downfall of the Regime" -- has been heard.

The street protests this week have underlined a growing divide between older tribal leaders and a younger generation that's "on a totally different bandwidth," Al Sharif says.

Al Sharif and others do not believe the monarchy is under threat. Jordan's military, security and intelligence services are efficient and intensely loyal. But the threat of more unrest beckons, and could deter what little foreign investment Jordan attracts. The Islamic Action Front, the political arm of the Muslim Brotherhood, is demanding the price hikes be rescinded immediately.

It also wants changes to the election law -- and constitutional reform so that the prime minister is directly elected and not appointed by the king. The Brotherhood, which intends to boycott parliamentary elections in January, has built alliances with other opposition groups.

The government appears adamant that with the state's coffers nearly bare and compensation offered to the poorest, subsidies have to be reduced. That's the condition set by the International Monetary Fund for $2 billion in further credit.

Jordan simply can't survive without foreign aid. The state has a huge role in the economy -- as employer of more than one-third the work force and in subsidizing the price of basic commodities which consumes almost one quarter of all government spending.

When it can't afford those subsidies, or the International Monetary Fund demands they are reduced in return for loans, trouble is not far away.

As in Egypt and other Arab countries, the Jordanian "street" is hypersensitive to the price of bread and cooking oil. Most Jordanians struggle to get by: The average per capita income is $6,500. Price "shocks" provoked street protests in 1989 and 1996 -- just as they did in Egypt in 1979 and 2007.

The Kingdom's current problems echo those of 1989. Aid was declining, but spending was rising amid ever-worsening unemployment. As part of a deal with the IMF, the government cut subsidies on basic goods and riots erupted in southern Jordan, quickly turning into more general protests against the government.

The same syndrome has taken hold this year, worsened by cuts in gas supplies from Egypt to less than one-fifth the agreed amount. The government has already tried once (in August) to tackle subsidies, but retreated in the face of protests.

Despite its lack of size and economic clout, Jordan matters to the West. The Hashemite Kingdom has been consistently pro-Western, is one of only two Arab states to have a peace treaty with Israel and is at the heart of a volatile neighborhood. In the past it has quietly allowed the American and British militaries to use its territory and facilities as a staging ground.

About half of Jordan's population is Palestinian, and the monarchy has worked hard to ensure peace between them and the various tribes that live there.

The Kingdom's geography -- as a neighbor of Israel, Syria, Saudi Arabia and Iraq -- has thrown up awkward and sometimes impossible choices. Its current financial situation is not helped by the presence of some 200,000 Syrian refugees on Jordanian soil and King Abdullah's cautious attitude toward events in Syria -- while Jordan is quietly helping the Syrian opposition, it has kept its ambassador in Damascus.

Al Sharif says the less-than-wholehearted Jordanian support for the Syrian rebels may explain why Saudi Arabia has not delivered the expected level of financial aid this year.

There is also a growing threat from Salafist/jihadi groups. Eman Ebed Alkadi of the Eurasia Group says Salafists have acquired weapons from Syria and points out that Jordanian intelligence recently uncovered a plot to launch terror attacks on diplomatic missions in Amman. Radical clerics such as Abu Muhammad al-Tahawi have called for sharia rule in Jordan to replace "the gang of corruptors" in power.

Al Sharif says some commentators, himself included, believe that as trust in the monarchy erodes, it's time for a "grand political initiative" from the king -- one that addresses the current dissent and sets a new role for the monarch within a revised constitution.

The United States says it supports both the king's road map for reform -- which gradually shifts more power to the elected parliament -- and demands for a more inclusive political process. But the two may not be compatible. The tribes don't want to see the largely urban Muslim Brotherhood -- which derives much of its support from Jordan's Palestinian population -- gain power at their expense.

Economic crisis, a government virtually out of money, a generational divide, political deadlock, rising unrest in neighboring countries: King Abdullah faces a multifaceted challenge that would have tested the abilities of his wily father.

@highlight

Rising oil and food prices stoke unrest in Jordan

@highlight

Islamic Action Front demanding price hikes be rescinded immediately

@highlight

Threat of more unrest could deter what little foreign investment Jordan attracts

@highlight

Growing threat from Salafist/jihadi groups