(CNN) -- Only innovation can reduce illness and poverty in Africa, according to a program that is funding creative approaches to healthcare in developing countries.

More than 50,000 women die each year of cervical cancer in Africa, according to World Health Organization estimates, as more than 80% of the cases are detected in late stages.

In countries such as Tanzania, where nearly 4,500 women die annually from the disease, the problem is exacerbated by an acute shortage of medical experts and a lack of quality screening services, especially in rural areas.

But now a group of Canadian and Tanzanian health innovators have joined forces to apply simple and safe mobile technologies to improve cervical cancer screening and thus potentially reduce mortality rates in the East African country.

The idea is to send teams of two trained non-physician healthcare workers in remote Tanzania to examine women living several hours away from health centers. The nurses, who will be equipped with cervical screening and treatment tools as well as standard smartphones, will take a photograph of the cervix with their phone and send it via SMS to a medical expert in a specialized clinic.

Trained doctors will then be able to review the image immediately and text the diagnosis back to the health worker, as well as give instructions about treatment.

"That's the beauty of it -- for early grade cancers, those will be able to be treated right in the field, right in the rural area," says Dr Karen Yeates, of Queen's University, Ontario, the principal investigator of The Kilimanjaro Cervical Screening Project.

Read: How the cell phone can improve health care

The effectiveness of the idea will be put to the test in the coming months as Yeates was named Thursday amongst the 68 innovators to receive $100,000 Canadian grants to pursue bold concepts for tackling health issues in developing countries.

In total, some $7 million has been awarded to 51 innovators in 18 low and middle-income countries, and to 17 Canadian projects, by Grand Challenges Canada, a group sponsoring breakthrough concepts to improve health in poor parts of the world. Thirty-eight of these projects will be implemented in Africa.

"This is probably the largest pipeline of innovation in global health from the developing world," says Peter Singer, chief executive of Grand Challenges Canada, which is funded by the Canadian government. "It shows that poor countries are very rich in ideas because talent is everywhere, opportunity is not, and what we are trying to do is to bring opportunity to talent to improve health."

Amongst the Africa-based projects is a new trading system in Kenya where researchers will create a barcoded vaccination card that people can redeem for farm seeds and fertilizer as part of efforts to encourage vaccination of children.

Benson Wamalwa, of the University of Nairobi, says the project "would powerfully incentivize parents to seek and adhere to their children's immunization schedule even when hard pressed financially to reach a distant vaccination center. The idea is a practical solution that would significantly boost small farm productivity and incomes for poor households while safeguarding the general health of children in farming villages through up-to-date immunizations."

Read: How 'Afropreneurs' will shape Africa's future

Other programs include restoring native freshwater prawns in Senegal to eat the populations of snails that are responsible for the spreading of the parasitic disease schistosomiasis; paying youth in Uganda to collect and sort garbage and deliver it to a plant for conversion to fertilizer and biogas in order to improve sanitation; and anti-diarrhea kits for children hitching a ride on Coca-Cola's distribution chain to improve the availability of life-saving drugs.

Grand Challenges Canada says it will repeat its Stars in Global Health program every six months, funding hundreds of projects over the coming years. It also plans to work with partners to provide scale-up funding of up to $1 million to those ideas that are proved to be successful so that they can have a bigger impact in a more sustainable way.

Singer says that many of the traditional approaches when it comes to aid have proved to be inadequate. Instead, he argues, fostering innovation and investing in the ideas of the people can be an effective exit strategy from poverty.

"There are only two ways for a country to develop, there's only two sources of wealth in the world," he says. "Either you mine the ground for resources and minerals, if you do that in a non-corrupt manner, or you mine the brains of your citizens for their bold ideas and help them to create social enterprises, to create businesses that can improve the local conditions in a broader scale."

He adds: "I do think that these innovators can help the problems of their community -- in fact, they are the only thing that can."

@highlight

A Canada-backed body is sponsoring health innovators to pursue creative ideas

@highlight

The goal is to improve access to care in developing countries

@highlight

Grants of $100,000 have been given to 68 projects, 38 of which will be implemented in Africa

@highlight

Successful projects will be able to apply for funding of up to $1 million