London (CNN) -- Italians don't tend to pay much attention to billion-dollar banking scandals when it comes to casting their votes for the country's next leader.

The country is "saturated" with them, according to Italian politics expert Duncan McDonnell of the European University Institute in Florence. The people say "So what?" he adds.

That indifference is reflected in January's opinion polls pointing to this month's election. But a financial scandal at the world's oldest bank, Monti dei Paschi di Siena, could upset the apathy.

The scandal centers on losses of 730 million euros ($975 million) from financial products, details of which were allegedly hidden from regulators. The transactions, which took place between 2007 and 2009, have now triggered a probe into the bank's former management.

The affair is exposing just how close Italy's politicians and banks are intertwined, casting a shadow over the general election on February 24 and 25.

It threatens to taint the reputations of Italy's top political figures, with even European Central Bank (ECB) President Mario Draghi finding himself under media scrutiny. The scandal could also resurrect the campaign fortunes of controversial former Prime Minister and AC Milan owner Silvio Berlusconi.

Watch more: Berlusconi wants old job back in Italy

According to McDonnell, of the three candidates running for prime minister, Pier Luigi Bersani, leader of the center-left Democratic Party and likely next prime minister, and incumbent technocratic Prime Minister Mario Monti have the most to lose.

None of the candidates have been accused of any wrong-doing but McDonnell said local party officials were "all up to their necks in Monte dei Paschi... This ought to reflect really badly on the center-left and the Democratic Party."

A city in Tuscany

Siena -- the small Tuscan city where the banking giant is headquartered -- is a stronghold for Bersani.

McDonnell pointed to the Democratic Party's role in placing the chairman, Giuseppi Mussari, through the bank's largest shareholder, Fondazione Monte dei Paschi di Siena. The foundation did not immediately respond to requests for comment.

Watch more: Italy faces large mountain of debt

Mussari was chairman of Monte dei Paschi from 2006 before stepping down last year after the bank's problems mounted. He is currently under investigation by prosecutors in Siena. Mussari's lawyer did not respond to requests for a comment.

Last year the bank appointed Alessandro Profumo -- former CEO of Italy's biggest bank UniCredit -- as chairman and Fabrizio Viola as chief executive.

Giovanni Sanfelice di Monteforte, a spokesman for Monte dei Paschi, told CNN: "It is essential to distinguish between the past and the new management." He added: "Today the bank is completely independent from politics."

Bruno Tabacci is the leader of Centro Democratico, a party that together with the Democractic Party forms the center-left coalition. Speaking on behalf of both parties, Tabacci told CNN the scandal at Monte dei Paschi is due to the exclusive relationshp between the city of Siena and the bank creating "over time clearly evident situations of conflict of interests."

He says that Monte dei Paschi is the only institution among the big Italian banks where a foundation has majority control.

But Tabbaci told CNN the affair would not be decisive in the elections. He said: "It is necessary for the interest of the account holders, consumers, family and industries that banking be clearly separated from politics. I know for a fact that Bersani agrees with me on this point."

Gianfranco Pasquino, former Italian senator of the independent left and John Hopkins Professor of Italian politics, told CNN the scandal was a bad combination of politics and banking. He said: "The bank was controlling everything from the mayoral elections to the local basketball team."

Could scandal destabilize Italy?

The Monte Paschi affair throws into question whether Italy's politicians and central bank are truly in control of the country's financial system, according to McDonnell.

And it even stretches beyond Italy and to the doors of the ECB. Draghi was head of the central bank of Italy at the time of the suspect trades.

Speaking at his monthly ECB press conference Thursday, Draghi said: "You should certainly discount much of what you hear and read... as part of the regular noise that elections produce."

The revelations are unfolding even as Italy, under the helm of Monti, has entered a period of relative calm after being in the spotlight of the eurozone crisis.

But Federigo Argentieri, professor of political science at the John Cabot University, says banking scandals such as Monte Paschi could pose a threat to the country's austerity drive and raise concerns over the integrity of Italy's financial system.

The revelation of Monte Paschi's alleged misdemeanours forced Monti's finance minister Vittorio Grilli to answer questions in parliament last month. He told lawmakers that Italy's banks are solid and supervision by Italy's central bank was attentive.

Argentieri said Grilli's remarks were an "empty defense" and he echoed the sentiments of Berlusconi's party secretary Angelino Alfano and Giulio Tremonti, telling CNN: "In the first place, don't tell us that the [Democratic Party] is not involved... number two; don't tell us the Bank of Italy is completely not responsible for it."

A spokesman for Grilli declined to comment when contacted by CNN.

Meanwhile, the mere suggestion the scandal could revive Berlusconi's political career is causing concern for some.

Pasquino said a return to government for media tycoon Berlusconi would be a "disaster" for the Italian economy.

@highlight

The scandal centers on losses of 730 million euros ($975 million) from financial products

@highlight

McDonnell said local party officials were "all up to their necks in Monte dei Paschi"

@highlight

Mussari was chairman of Monte dei Paschi from 2006 before stepping down last year