Adrianne Haslet-Davis' life as a dancer was shattered last year at the Boston Marathon bombings. She and her husband Adam, who had just returned from a tour in Afghanistan with the Air Force, were steps away from the second blast.

"I felt the direct impact and it immediately blew off (part of) my left foot," she said.

Before Haslet-Davis could even see the damage the bomb had done, her husband's reaction confirmed her fears.

"I remember him picking up my foot and looking and just screaming a scream that you never want to hear a loved one scream," she recalled.

Adam Davis also sustained injuries -- shrapnel wounds to both legs were causing blood loss -- but he knew it was his wife's much more traumatic injury that could quickly kill her.

"I took my belt off and put it around Adrianne's leg. At that point I remember thinking this is very ironic. For 4½ months, I had a real tourniquet on my arm every day ... in Afghanistan," he said. "When did I need it? Back at home."

Minutes later, first responders rushed Haslet-Davis into an ambulance and raced to Boston Medical Center. While her life was saved by the heroic actions of her husband, emergency personnel and doctors, the damage to her foot was so severe that surgeons had no choice but to amputate.

She woke up the next day in the hospital in a haze, with phantom pains in her foot. She believed it had been saved. Her mother had to deliver the heart-breaking news.

"She looked at me and said, 'Adrianne, you don't have a foot. Your foot is gone,' " she said.  "I just lost it. It was really hard to hear."

The loss of a limb would be agonizing for anyone but for Haslet-Davis, it was the end of her way of life. She is an award-winning ballroom dancer whose passion for dance is contagious.

"Dancing is the one thing I do that when I do it, I don't feel like I should be doing anything else ever. I feel so free," she said. Her dream was to continue teaching ballroom dancing in Boston and competing in higher levels of dance tournaments across the country.

"When she dances, I see her glow. I see her light up ... then all of a sudden, (to) have it removed in a split second is devastating," said Adam Davis. "I knew that there was a chance that she'd never dance again."

'I thought everybody had a bomb'

From the early days of her recovery, Haslet-Davis was defiant towards her new life as an amputee.  Speaking to CNN's Anderson Cooper just a week after the bombings, she vowed that she would dance again.

"I feel like somebody has come along and said, 'Oh, we're not going to let you do that anymore,' " she said. "I'm going to prove them wrong."

Haslet-Davis agreed to allow CNN to follow her journey to recovery and film her everyday life over the past year.  She details her recovery on CNN's "The Survivor Diaries" on April 8 at 10 p.m. ET.

Her video diaries portray a raw, honest and at times heart-breaking picture of a woman battling extreme physical and emotional challenges.

"The reality of knowing that someone tried to kill you and letting that sink in ... it's just been really difficult," she said in one video. "I have gone through many, many stages, of not only PTSD, but also of mourning the loss of my leg," she said. "I remember waking up many mornings and just bawling and just crying and just being so sad."

The mental scars, especially in the early months, were never far from the surface. "Navigating the streets of Boston for the first time, it was really tough," said Haslet-Davis. "I thought everybody had a bomb. I mean I hate even saying things like that out loud because it sounds crazy but ... I had horrible anxiety."

That's evident in one video that shows Haslet-Davis' reaction to a fireworks show outside the couple's apartment.  "I thought we were going to die," she said. "I hit the floor immediately and put my hands over my head and started screaming and crying and called 911."

Beyond the anguish she battled mentally, the physical challenges of walking and eventually dancing again were extreme. "I was very uneducated about prosthetics and it was a huge surprise and complete, not only disappointment, but devastation that I couldn't just put on a prosthetic and just walk and go. I didn't know it would be so incredibly painful," she said.

It would be months of intense physical therapy before Haslet-Davis trusted her leg enough to try dancing again. Her muscle memory from dancing as many as 60 hours a week before her amputation was still there, but her prosthetic didn't respond as her natural leg had. Unlike the repetitive motion of walking or running, the complicated and varied movements of ballroom dancing are nearly impossible on a standard prosthetic.

A new start

Just as Haslet-Davis' frustration with dancing began to overwhelm her, she connected with the man that would eventually put her back on the dance floor. Dr. Hugh Herr is one of the world's leading creators of bionic prosthetic limbs as director of the Biomechatronics group at the MIT Media Lab. He is also an amputee, having lost both of his legs in an ice climbing accident as a teenager. After meeting Haslet-Davis, Herr pledged to help her recapture her dream.

"I really emotionally connect with Adrianne's mission to dance again. And I wanted do everything I could to help her achieve that goal," said Herr. But the doctor and his team had a massive challenge -- they'd have to create the world's first bionic leg designed specifically for dancing.

"We're going to measure everything about the dance -- the movements, the forces," said Herr. He and his team brought one of Haslet-Davis' fellow dancers into their lab and placed super sensitive sensors on her body while she danced some of Haslet-Davis' favorite dance steps.

"We have to use ... artificial type intelligence," he said.  "Intelligence built into the bionic limb has to understand fundamentally the nature of the dance."

Video:  Meet Hugh Herr, creator of the most advanced bionic leg

Herr and his team spent months developing the bionic limb and when it was ready to be worn, Haslet-Davis spent countless hours in their lab testing it and giving them feedback. When she felt strong enough, she invited Anderson Cooper to MIT to show him how far she'd come.

In just eight months since they first met, Haslet-Davis overcame seemingly overwhelming odds and made good on her promise to give Cooper a dance lesson.

"I had no doubt that Adrianne had the will to do it and would dance again," said Cooper. "She was very kind in trying to help me dance. I think I need a lot more work than she does in that area."

Anderson Cooper on Adrianne's story

Beyond continued hard work to return to the level of dancing she attained before the bombing, Haslet-Davis has now become an advocate for other amputees. "I feel really passionately about the rights of amputees as well as the advancements in prosthetics," she said. "I know that the only thing that makes me disabled is not the fact that I don't have two feet, it's the fact that what I'm using isn't advanced enough to make me do the same thing that the person next to me with two feet can do."

Haslet-Davis sees her participation in this CNN documentary as a way to reach out to other amputees and help them through their own dark days. "I know that I'm not inspired by the amputee that's standing on top of the mountain or the amputee that crossed the finish line. I'm inspired by the struggle and the journey it took to get there," she said.

Perhaps Adrianne Haslet-Davis' biggest message is that she never wants to be pitied or to be called a victim of the people that carried out the Boston bombings. "A victim ... means that I somehow belong to somebody or I'm suffering because of him and I'm not suffering. I'm thriving," she said. "I am a survivor."

@highlight

Adrianne Haslet-Davis lost part of her leg in last year's Boston marathon bombings

@highlight

She has allowed CNN to document her recovery

@highlight

Watch "Survivor Diaries" Tuesday, April 8 at 10 p.m. ET on CNN