(CNN) -- For an institution that moves glacially, instant analysis is as impossible as it is unwise. Yet first impressions are important. Our initial glimpse of the new pope was curiously disconcerting. He stood there impassive and unemotional. He looked stunned, without almost any reaction at all except, perhaps, awe or even fear of the moment.

Suddenly, his eyes seemed to open wide, as if he was really seeing the position for which he had been chosen less than an hour before. And then he spoke, not with the power of physical force or energy but with something stronger: humility.

With the election of Cardinal Jorge Mario Bergoglio of Buenos Aires as pope, the Roman Catholic Church enters the next chapter of her history. And yet, as often happens in the church, she turns to her past for inspiration and even innovation. So we have the first pope to be elected from the Society of Jesus, known as the Jesuits, who were founded by Ignatius of Loyola in the 16th century while Catholicism reeled from Protestant challenges.

Yet this Jesuit takes the name Francis from the humble servant of medieval Assisi who began the Franciscan order 300 years before Ignatius.

Francis took to the balcony with the word "bishop" crossing his lips more than "pope" or "pontiff." He referred to himself first as the bishop of Rome and to Benedict XVI not as retired pope but emeritus bishop. There was something genuine about the way he referred to the journey of faith as one that he and the faithful take together in love and trust. He asked for help and the favor of a prayer -- but this wasn't the standard "pray for me." Pope Francis bowed to receive that prayer from the people of God he now serves.

Opinion: Francis, open up the church

Looking back at the monthlong examination of conscience that Catholics, Vatican-watchers and the cardinals have undergone, what does Francis face? What will he do based on his own experience?

The cardinals' pre-conclave meetings seemed to reveal a particular job description, but the rumors and leaks seemed to have been wrong. This man is 76 and not in his 60s. He has not worked full-time in the Vatican's headquarters, called the curia, raising immediate questions about how he will reform the institution's central administration.

It is hard, at least initially and under deadline, to discover how he acted when faced with clerical sexual abuse, although we have heard less of this awful situation in Latin America than in the United States and Ireland.

Francis does seem to be a moderate who is respected by and can work with people sitting on different benches along the ideological spectrum. He is friendly with the conservative organization Communione e Liberazione and yet like John Paul II embraces the church's lively sense of fairness and justice when it comes to the poor and middle class left out by rampant capitalism and its twin temptation, the gospel of prosperity. As archbishop, he took a bus to work and lived in a small apartment.

Opinion: The biggest moment in the world

Like Ignatius, he has a reputation for using his mind to solve a problem but his heart to make a decision. Like Francis of Assisi, he operates within the world of an ordained clergy while not being drowned in self-serving clerical rank and privilege.

So what Pope Francis seems to bring, at least at a first glance, is personal authenticity and credibility. Both are critical precursors to change. Many people want change, it is true, but any proposals that might or might not come won't mean a thing unless a new spirit of credibility and trust flows down the Tiber throughout the planet's oceans to the world's 1.2 billion Catholics.

For too long, it seems that the curia has been about power, which is not the same thing as authentic authority. People respond with lasting love to authority but with only temporary fear to power. For too long, the people in the pews have felt distanced from their priests, bishops and the Vatican. That is not the gospel of love and service that Jesus preached. Yet it is precisely the gospel that Francis of Assisi and Ignatius Loyola learned from Jesus and shared with the world in word and deed.

The opinions expressed in this commentary are solely those of Christopher M. Bellitto.

@highlight

Cardinal Jorge Mario Bergoglio of Buenos Aires is selected as pope

@highlight

Christopher Bellitto: At first glance, Francis seems to bring authenticity and credibility

@highlight

He says that for too long, people have felt distanced from priests and Vatican

@highlight

Bellitto: Francis has many challenges ahead; we will have to see how he deals with them