(CNN) -- First came the stuff that floats on the surface and is pushed by wind: Buoys, a soccer ball, flotation devices. And, most notably, a rust-stained unmanned fishing trawler in Alaskan waters.

Communities in Alaska, Hawaii, the West Coast and Canada are preparing for the main event from debris pushed offshore by last year's massive Japanese earthquake and tsunami.

About 70% of the debris sank, according to Japanese government estimates.

No one knows how much of the remaining 1.5 million tons of debris is still floating in the Pacific Ocean.

But U.S. and state officials say that some items washing ashore may be from the disaster, which took place 13 months ago and nearly 5,000 miles away. Thousands of people were killed.

"Our models show the outer edge of the debris is at the West Coast and Alaska now," Nancy Wallace, program director and division chief of the National Oceanic and Atmospheric Administration's Marine Debris Program, said Wednesday. The bulk of the debris is north of Hawaii, slowly moving east.

In Washington state, there have been reports of lumber, lightbulbs and fishing items reaching land. Their source has not been confirmed.

Officials can't rule out they came from the tsunami, according to Curt Hart, communications manager at the the state's Department of Ecology.

A volunteer helping in a beach cleanup this weekend along the Washington coast said she found items that appeared to include Japanese writing, according to CNN Seattle affiliate KING. That doesn't prove they were part of the tsunami debris, officials caution.

NOAA said there is no current "debris field." Rather, items, large and small, are scattered over a huge swath of the North Pacific and may make landfall intermittently.

Residents are being told to expect reports of debris to increase and continue over the next couple of years.

What might they see?

For starters, building materials, fishing nets and gear, plastic, barrels and hazardous materials.

Federal, state and local officials held a workshop in Ocean Shores, Washington, on Wednesday, to discuss strategies for handling additional debris. The workshop followed a round of meetings in Washington communities.

"I think my folks have heard a little bit of everything at these meetings," said Tim Church, communications director for the Washington State Department of Health. "The great majority who have come have been low-key about it."

Some people have asked whether any bodies will come ashore. That's not expected.

The top concern is whether radioactive material from the Fukushima nuclear power plant will make landfall.

NOAA has said that scenario is highly unlikely.

"We do not expect to see anything to wash up from Japan with elevated levels of radiation," said Church. "At the same time, we fully appreciate the concern of people. If you spend a lot of time on the coast, if you see the news coverage, you want to see you are safe."

A beach cleanup this past weekend along the Washington shore included checks with radiation-detecting equipment, according to Church. "There just had not been anything so far."

No single government agency is in charge of patrolling and cleaning beaches; hence the planning and public information campaign.

"We are poised ... with a well-coordinated response," said Hart of the state ecology department. "We are going to see items from the tsunami on our beaches."

Of concern for his agency is the potential for oil or chemical drums or fuel cylinders to come ashore. That risk could increase as the region sees normal stormy weather kick up later this year, according to Hart. The U.S. Coast Guard is focusing on pollution threats and any impediments to navigation, according to Lt. Regina Caffrey, a public affairs officer in Washington state.

Lynne Talley, a physical oceanographer with the Scripps Institution of Oceanography in San Diego, said the debris was initially carried on the swift Kuroshio current, but slowed as it joined another current west of Hawaii.

"It is now scattered over 4,000 miles in one direction and 1,000 miles in another area," Talley said. "The front edge of it has gotten here and the whole cloud should arrive at the end of another year."

To better pinpoint the debris and update models, NOAA has turned to satellite images and reports from commercial shipping lines, according to Wallace of the marine debris program.

"It is extremely spread out, and if you were sailing through it you would not see much," said Talley.

Earlier this month, the U.S. Coast Guard opened fire on the drifting 200-foot trawler 180 miles southwest of Sitka, Alaska, after it determined the "unmanned, unlit, unmarked vessel" posed a hazard to mariners and the marine environment.

It was a dramatic end for the Japanese squid trawler. It was bound for a scrap yard before becoming part of the debris.

The soccer ball that recently washed up on a remote Alaskan beach apparently belonged to a teenager from a Japanese city devastated by the earthquake and tsunami.

Misaki Murakami, a 16-year-old high school student, said he has "no doubt" that the ball is his after hearing that his name was among the characters written on it, Japan's Kyodo news agency reported.

NOAA blogs about the soccer ball

Ocean debris is nothing new, but "If you look at it over a long time, it is worse now than it has been," said Wallace.

Plastic does not degrade, nor does fishing gear made of synthetic materials. "Derelict fishing gear used to be made of ropes and would break down quicker," she said.

Even with models and technology, predicting exactly where debris will come ashore is far from an exact science.

"We can only forecast a few days into the future, because of wind and current," Wallace said. "We expect there to be an upswing in debris on the shore. The interesting thing is we don't know where it's going to be, and we think it is going to be spread out."

She cautioned against overreaction.

"We don't want people to cancel their beach vacation (thinking) it will be inundated with beach debris," said Wallace.

Still, agencies want to be prepared, and officials understand concerns.

"This is a really human tragedy that happened in Japan," said Wallace. "It captured the media and public's sympathy. Afterward, you saw the videos of what was washed" out into the sea.

CNN's Jethro Mullen and Chelsea J. Carter contributed to this report.

@highlight

Last year's earthquake and tsunami sent tons of debris into Pacific Ocean

@highlight

A portion of that headed east for Alaska, Hawaii, West Coast

@highlight

Officials are receiving reports of items coming ashore

@highlight

It's difficult to predict exactly the path