(CNN) -- There is something deeply troubling about President Obama's decision to grant legal safe haven to unauthorized immigrants by executive order.

It isn't the underlying policy that is troubling. Just the opposite. We have known for years that we would never deport some 11 million people from our midst. Many have become hard-working, productive members of our society, and Congress, working with the White House, should long ago have provided them a safe pathway out of the shadows.

In that sense, this policy is good. One wonders indeed why the President, having decided to take the plunge, didn't go further and build a pathway to fuller benefits such as health care for those who establish a solid record of work and good behavior.

Nor is it even the questionable legality that disturbs. On many occasions during our history, presidents have tested the boundaries of their constitutional power through executive orders: Lincoln's suspension of habeas corpus, his Emancipation Proclamation, Franklin D. Roosevelt's creation of the Works Progress Administration, FDR's awful internment of Japanese-Americans, and Harry Truman's integration of the armed forces were all accomplished through controversial executive orders.

During the 19th century, conventional wisdom held that presidents had only as much authority as the constitution explicitly granted; Teddy Roosevelt famously flipped that proposition on its head -- unless the Constitution explicitly forbids, he argued, the president has implied authority to act, especially as commander-in-chief. Many of his successors have agreed and usually the courts have gone along with them.

Even so, President Obama's executive order on immigration seems to move us into uncharted, dangerous waters. It is one thing for a president like Lincoln or FDR to act unilaterally in national emergencies. In nearly all the big examples of the past -- like the Emancipation Proclamation -- they were also acting as commander-in-chief. As the one foremost responsible for protecting the nation's existence, a president as commander-in-chief has long been recognized as having inherent powers that stretch well beyond those of normal governance.

Not an emergency

But the challenges of immigration policy do not represent a national emergency, nor do they touch upon the military authorities of a president. Rather, they represent the chronic, abysmal failures of politicians in Washington to govern well from both ends of Pennsylvania Avenue. They helped create this immigration mess over a long number of years and working together, they have a public duty to solve it.

The White House has repeatedly pointed to immigration-related executive orders issued by past presidents, notably Ronald Reagan and George H.W. Bush, to support the legality of President Obama's order and to palliate its partisan sting.

Both the executive orders cited, however, can be distinguished from the case at hand. Reagan granted amnesty to 100,000 undocumented immigrants to close a loophole in the comprehensive immigration reform bill passed in 1986.

Bush's order, which granted amnesty to at most 1.5 million people (although the actual number who benefited is likely much smaller), also attempted to clean up a piece of legislation. As Mark Krikorian writes in National Review, the Reagan and Bush examples were presidents trying to implement congressional directives, as is constitutionally permissible, whereas the current action is the President telling Congress "I'm going to implement my own directives."

While the President's impatience is understandable and his anger at Republican intransigence is well placed, that does not justify an abandonment of traditional ways of addressing hard public problems.

Against the spirit of the Constitution

One can argue whether this executive order is legal, but it certainly violates the spirit of the founders. They intentionally focused Article One of the Constitution on the Congress and Article Two on the president. That is because the Congress is the body charged with passing laws and the president is the person charged with faithfully carrying them out.

In effect, the Congress was originally seen as the pre-eminent branch and the president more of a clerk. The president's power grew enormously in the 20th century but even so, the Constitution still envisions Congress and the president as co-equal branches of government -- or as the scholar Richard Neustadt observed, co-equal branches sharing power.

For better or worse, Americans have always expected that in addressing big, tough domestic issues, Congress and the president had to work together to find resolution.

For a president to toss aside such deep traditions of governance is a radical, imprudent step. When a president in day-to-day operations can decide which laws to enforce and which to ignore, where are the limits on his power? Where are the checks and balances so carefully constructed in the Constitution?

If a Democratic president can cancel existing laws on immigration, what is to prevent the next Republican from unilaterally canceling laws on health care?

A bad way to start with new Congress

Coming on the heels of midterm elections that were a clear call for a change of course in Washington, starting in the White House, this is also a discouraging way to open the final years of this presidency. A new Wall Street Journal/NBC poll finds that by 53-40%, Americans feel positive about the election results; by 56-33%, they want Congress to set policy for the country, not the President; by 57-40% they favor a pathway to citizenship for illegal immigrants but by 42-32%, they disapprove of Obama overhauling immigration through executive order. Why isn't the White House listening to the public?

In retrospect, it would have been far better if coming out of the elections, the President had said he had promised he would act through executive order before the end of the year, but in light of the election results, he would work with the new Congress for six months. If there were no legislation, he would act on his own.

That would have been a much fairer proposition, would have started out with Republicans on better footing, and would have rallied the public behind him if the GOP refused to cooperate.

Sadly, we instead have an action from the White House that will cast a dark shadow over prospects for legislative cooperation, falls short of what the immigrant population had hoped and steers us into deep, unknown waters in our governance.

@highlight

David Gergen: President Obama's action on immigration is a troubling move

@highlight

Gergen says Obama's action is of questionable legality and sets a bad precedent

@highlight

Americans want the parties to work together and want Congress to set agenda, he says