(CNN) -- We've all heard that Paul Ryan is Gov. Mitt Romney's running mate. But many still don't know the details of his proposals for health care reform. They offer a stark contrast to what the Obama administration would like to do.

Medicare

Medicare is a defined benefit program. That means the federal government decides each year what Medicare will cover. No matter what that costs, the government pays for most of it; individuals are responsible for the rest. Ryan's original plan, passed by the House of Representatives (but not the Senate) last year, would have changed Medicare to a defined contribution program, where the government would instead decide every year what it will pay.

Under his plan, the government would give seniors that amount of money, in one form or another, to buy insurance on their own. Seniors would have had to pay for the difference between the cost of the insurance and the amount the government was willing to pay.

The problem was that his original plan saved money by limiting how quickly the voucher seniors would get to buy health care would grow. This meant that by 2030, seniors would have been responsible for 68% of the cost of their insurance, likely too much for most to afford.

At the end of 2011, though, Ryan made significant alterations to his proposal. With Democratic Sen. Ron Wyden, he produced a plan that more closely resembles Romney's (although he changed things again in his 2013 budget, which Wyden does not support).

Instead of tying the amount of the voucher to an arbitrary increase in the future, it would be tied, in his 2011 proposal, to how much insurance costs. Each year, companies will submit bids for how much it will cost to provide insurance for a senior that year. The voucher would then be set at the price of the second-lowest bid. In other words, seniors could get the second-cheapest plan for very little. If they chose the cheapest plan, they would actually get a rebate. If they want anything more expensive, they would have to pay for the difference.

Moreover, traditional Medicare will be one of the choices. If it is the second cheapest, not much will change. If, however, it is more expensive, then seniors would have to pay for the difference, but in this way they will have the option to keep their Medicare.

There are potential concerns, however. The first is that the proposal requires that the plans be "actuarially equivalent," but not that they provide the same coverage benefits. This means that plans can tweak benefits they offer to try to preferentially attract healthy customers.

The second issue is that this plan won't save near the money that Ryan's first attempt did. If this plan had been implemented in 2009, it would have saved the federal government 9% that year. But that would have been a one-time savings, and it wouldn't bend the cost curve much at all. Moreover, seniors would have had to pay about $64 a month for their traditional Medicare, which is a significant amount for many of them.

A third concern, voiced by many who oppose the Ryan plan, is that the details are insufficient to assume that traditional Medicare will be preserved. There may be a good reason for this: If the Affordable Care Act is too radical for many wishing to pass this proposal into law, it's hard to imagine they'll be in a position to defend something far more specific and comprehensive.

Most significantly, though, this whole plan rests on the same rationale as Medicare Advantage did (it lets Medicare beneficiaries get their coverage through private insurance companies) when President George W. Bush first proposed it. That didn't clearly work. Many private plans were unable to come in under traditional Medicare, and only in certain markets in the country.

Medicaid

With respect to Medicaid, Ryan (and Romney) would like to get the federal government far less involved. They want to convert the current program, where benefits are set at the federal level, and costs are shared between the federal and state governments, to one in which states are given far more flexibility to set benefits, and a block grant payment with which to pay for them.

Some states like this plan, because it will allow them to alter benefits and coverage locally so they will be on the hook for less money in the future. Even though the federal government covers somewhere between 50% and 75% of Medicaid costs right now, the remaining spending is still a significant drain on state budgets.

Unfortunately, savings to the federal government would come from drastically cutting the amount of money they will give states in the future. The only way states would be able to provide insurance to Medicaid recipients on way less money would be if they reduced the benefits or the number of beneficiaries.

If benefits aren't cut, and already low provider reimbursements aren't further reduced, then by 2021 about 19 million people, or one-third of all people on Medicaid, will need to be dropped from coverage. Many of those covered by Medicaid are very poor elderly people, or those who are blind or disabled. If states acted to preferentially protect those groups from cuts, then 27 million other people, many of them children and pregnant women, would be dropped from Medicaid.

Although it will likely get far less media attention, the changes to Medicaid may be far more radical. Medicaid is already one of the cheapest forms of insurance around. There isn't that much fat to be trimmed, regardless of how much states might "innovate." Although the focus of much of the election will be on Medicare, these proposed changes to Medicaid are far more severe, and will have far more immediate repercussions.

The choice

The Obama administration would like to reduce future health care spending by a number of means, including Accountable Care Organizations, the Independent Advisory Board and other programs that focus on providers and hospitals to save money (discussed on CNN.com here). They believe, in general, that relying on experts and leaning on providers can bend the cost curve. The problem is that some see this as rationing.

Ryan and Romney, on the other hand, believe that individuals should be the lever by which spending is reduced. They propose to decrease the amount the federal government pays for care by increasing the amount individuals pay and giving them more choices. They further believe that this will drive individuals to demand lower prices.

With respect to Medicare, the problem is that the amount seniors will be required to pay may be too much for many. Moreover, there is little evidence that prices will drop (they didn't for Medicare Advantage), and this could result in some seniors forgoing necessary care, which will have negative health consequences. Ironically, for all the talk about the concerns over the deficit, their plan also may not reduce Medicare spending as much as the Affordable Care Act does in the next decade.

In a rational world, we'd try all these things. A bipartisan plan could come from Republicans accepting the Affordable Care Act as it stands for all those younger than 65, without further talk of repeal, in exchange for implementing the Ryan-Wyden plan for those 65 and older. After all, that proposal isn't really much different than the way the exchanges will work in the Affordable Care Act, with the exception that there is a public option (which should be opened to everyone under 65 as well). Everyone gets something they want, with all the tools available being brought to bear on containing future costs.

This would require compromise, though, something that is in short supply in election years.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Aaron Carroll: Ryan's proposals for Medicare, Medicaid sharply differ from Obama's

@highlight

He says Ryan's Medicare plan could change quality of care, increase cost to seniors

@highlight

He says plan for block grants to states to pay for Medicaid would result in benefit cuts to poor, old

@highlight

Carroll: Obama's approach is different; ideally a compromise would keep best of both plans