(CNN) -- "In my old school, they used to beat people. Like you have to bring firewood in school, carry the water and you have to carry all of that and you have to be there early in the morning. If you're late, you'll be given a punishment, you'll be caned or sent home for a week."

The memories of 13-year-old Rebecca Ikiru are crystal clear as she considers what her life was like before meeting Lee and Carole Johnson. Five years ago, she was living in an orphanage in Lodwar, the largest city in northern Kenya, and she wanted a better education than her circumstances provided.

"I told them maybe if you take me to another school, maybe I can do better," Ikiru recalls.

It was her request for a better school that sparked a direct change in the lives of the Johnsons, who are Georgia natives. It all began with Lee Johnson's first trip to Kenya as a volunteer. Eventually Carole joined him, and the pair spent time volunteering for the same orphanage where Ikiru lived. As their relationship with the children in Lodwar grew, so did their personal desire to help

"My husband and I both grew up in Georgia. My husband is from rural south Georgia, and I was from rural north Georgia, a very segregated society. We grew up during the Martin Luther King era, which changed our world. I never thought when I was a child growing up that I would ever be in, ever visit Africa much less come here as often as we do," Carole Johnson says.

The Johnsons came to love each one of the six children who later came into their guardianship and a part of Kenya Education for Youth.

"We were very concerned that as the children aged out of the orphanage that they would return to the same poverty that they came from, and along about this time, one of the older girls that we had a very close relationship with told us she wanted to go to a better school. So we looked at the public school that she went to and there were over 100 children in a classroom," Carole Johnson says.

"We started looking into the schools for the children in Lodwar (Rebecca Ikiru, Monty Esibitar and Gershom Eurpe) that we thought would be good candidates, and about that time we met two other children (Ann Njoki and Cyrus Kirwa) who were extremely gifted. We just overnight had five children enrolled in Greensteads International School, which is in Nakuru. That was two years ago, and all five of the children are either competing (with) or exceeding the children of privilege who have been in this school for their entire education."

A sixth child, 10-year-old Beryl Mudeshi, was recently added and attends Mt. Kenya Academy, which is a day school in the same town. In the past year, she has blossomed academically and loves karate.

"I prayed to God that he might help me find a new school, a better one so that when I grow up, I can be a missionary and help the other children. I want to be a missionary because I just wanted to help the other kids how I was helped," Beryl says.

Beryl lived in rural Lodwar before meeting the Johnsons and now says her prayers were answered. "The new school is good, it's better, it's awesome."

Carole Johnson feels that the personal attention each child receives from their K.E.Y. sponsor is the literal key to each child's success.

"What we think really makes a difference is not just putting these children in a private school and seeing them and looking at test grades, but we feel it's extremely important to provide mentors, people in the United States who care for these kids, who are willing to contact them either through e-mail, Facebook, other social media, visit, phone calls. We think that's what sets this program apart."

Each of the K.E.Y. kids has a passion for learning.

Beryl wants to become a missionary and help children like herself. Ann wants to be a forensic psychologist to better understand why people commit crimes. Gershom wants to make Kenya beautiful by becoming a civil engineer. Monty is passionate about aviation and wants to become a pilot. Rebecca would like to become a doctor. And Cyrus is planning to become a neurosurgeon.

Carole Johnson says Kenya Education for Youth is committed to providing an education to each one, all the way through college graduation. High school seniors Ann and Cyrus are anxiously preparing for as their school year comes to an end.

"We're testing some uncharted waters with the two older ones. We have schools in the U.S. that are interested in them, so at this point, we are perusing student visas, and they'll be taking the SAT in January just to see where they can go. That doesn't mean we would not consider university in Kenya, it just so happens that for both of them the education that they would need to pursue the vocation they want, they would have to go outside Kenya either to the UK or to the U.S.

"And these children, the two older ones in particular, have never had the benefit of a family, and we would very selfishly like to have them in Georgia schools so they could spend their breaks with us and be part of a family because that's, I think in the end, what matters is to have the love."

"We are a family. That is, yeah we come from far, we may be different biologically; but living together we embrace each other," Cyrus says with a smile.

It's a sentiment echoed by each child, including 15-year-old Monty. "They're like my brothers and sisters, like a family."

And 13-year-old Rebecca says, "I feel like they are my mommy and my daddy. The way they take care of me [is] like I'm their real daughter, and I'm so happy for that."

It's a love that crosses two continents, an ocean and cultural barriers with an aim to impact the world one child at a time.

@highlight

Growing up, Georgia natives Lee and Carole Johnson never imagined they would visit Africa

@highlight

The couple first traveled to Kenya to volunteer with children at an orphanage

@highlight

The Johnson's founded K.E.Y. to help the children transition to adulthood and out of poverty

@highlight

Providing high-quality education and personal mentors is central to the program's mission