(CNN) -- In the dark of night, U.S. helicopters approached a high-walled compound in Pakistan on a mission to capture or kill one of the world's most notorious terrorist leaders.

Less than 40 minutes later -- early Monday morning in Pakistan -- Osama bin Laden was dead, along with four others inside the complex, and the U.S. forces departed with the slain al Qaeda leader's body to fulfill a vow that originated shortly after the September 11, 2001, terrorist attacks on the United States.

And as he announced the raid at the White House Sunday night, U.S. President Barack Obama called bin Laden's death "the most significant achievement to date in our nation's effort to defeat al Qaeda."

One senior administration official called the investigation a "team effort" and a "model of really seamless cooperation" across agencies.

This official and others briefed reporters on further details about the assault on the compound, which they believe was built five years ago for the specific purpose of hiding bin Laden -- known by the code name "Geronimo," a U.S. official said.

A senior administration official said later that "Geronimo" was code for the act of capturing or killing bin Laden, not the man himself.

The compound is in Abbottabad, about 50 kilometers (31 miles) north of the Pakistani capital of Islamabad. The city sits in a mountainous region that is not heavily populated. Many of the residents are army personnel.

While senior administration officials would not offer a breakdown of the U.S. mission's composition, a senior defense official said U.S. Navy SEALs were involved.

After years of intelligence work and months of following a specific lead, they traced a courier linked to bin Laden to the compound in Abbottabad, the officials said.

When first built, the compound was secluded and reachable by only a dirt road, the officials said. In recent years, more residences built up around it, but it remained by far the largest and most heavily secured property in the area, they said.

The mission ordered Friday by Obama found outer walls up to 18 feet tall topped with barbed wire, with two security gates and a series of internal walls that sectioned off different portions of the compound, the senior administration officials said. The main structure was a three-story building with few windows facing the outside of the compound, and a third-floor terrace had a 7-foot privacy wall, they said.

Months of intelligence work determined that the compound was custom-built to hide a high-value terrorism suspect, almost certainly bin Laden. The officials noted there was no telephone or Internet service at the dwelling, which was valued at more than $1 million, and its occupants burned their trash rather than leave it out for collection as other area residents did.

Calling the U.S. operation a surgical raid, officials said it was conducted by a small team and designed to minimize collateral damage.

A firefight was under way for most of the 40 minutes that U.S. Special Operations forces were in the compound, as the team encountered resistance from bin Laden and three other men, a senior defense official said.

The official said the forces had to fight their way through the first floor of the three-story building, where two adult males lived.

Bin Laden and his family lived on the second and third floors, and they were cleared last, with bin Laden killed in the last five or 10 minutes of the siege, the official said.

One of bin Laden's wives identified his body to U.S. forces after the team made visual identification, the official said.

In the end, all four of the combatants in the compound were dead, along with a woman whom one of the men used as a human shield, the officials said. Sources said bin Laden was shot in the head.

John Brennan, assistant to the president for homeland security and counterterrorism, said it is his understanding that the woman who was killed was one of bin Laden's wives.

Later, a senior U.S. official said that bin Laden's wife was not the woman killed and that she may not have been used as a human shield after all. This official also said that bin Laden was shot twice, once in the chest and once in the head.

At some point, one of the assaulting helicopters crashed due to a mechanical failure, according to the officials. It was destroyed as the U.S. team flew away, they said.

Obama and the senior administration officials said no U.S. forces were harmed in the operation, which took place very early Monday morning Pakistani time.

Shandana Syed, a resident doctor in Abbottabad, said she woke up to a large thundering sound.

"My initial reaction was that maybe we're being attacked ... I saw the last helicopter. It was flying very low. Initially I was too afraid to get out. I was very terrified," she said.

U.S. officials said they used a number of methods to identify the body as bin Laden.

One official said it was clear to the assault force that the body matched bin Laden's description, but they used "facial recognition work, amongst other things, to confirm the identity."

A senior national security official told CNN that they had multiple confirmations that the body was bin Laden, saying they had the "ability to run images of the body and the face."

Another U.S. official told CNN that bin Laden has already been buried at sea. His body was handled in the Islamic tradition, said the official, who did not elaborate.

A senior administration official also said bin Laden's body would be "handled in accordance with Islamic practice and tradition. This is something that we take very seriously, and so therefore this is being handled in an appropriate manner."

According to the senior administration officials, intelligence work determined at the beginning of 2011 that bin Laden might be located at the compound in Pakistan. By mid-February, the intelligence was considered strong enough to begin considering action pledged by Obama when bin Laden's whereabouts had been determined.

To discuss that intelligence and develop a plan, Obama chaired five National Security Council meetings from mid-March until late April, with the last two on April 19 and April 28 -- last Thursday. The next day, on Friday, Obama gave the order for the mission, the officials said.

A U.S. official said multiple options were considered before settling on the assault.

"A bombing would not have risked American lives but it might have left questions" as to whether Bin Laden was killed, the official said. National security officials widely agreed "the best option is the one that gives proof," the official said.

The key break involved one of the few couriers trusted by bin Laden, according to the officials. About two years ago, intelligence work identified where the courier and his brother lived and operated in Pakistan, and it took until August of last year to find the compound in Abbottabad, they said.

"When we saw the compound where the brothers lived, we were shocked by what we saw -- an extraordinarily unique compound," one senior administration official said. "The compound sits on a large plot of land in an area that was relatively secluded when it was built. It is roughly eight times larger than the other homes in the area."

Noting that the courier and his brother had no discernible source of wealth to live at such a property, intelligence analysts concluded the compound was "custom-built to hide someone of extraordinary significance," the official said, adding: "Everything was consistent with what experts thought Osama bin Laden's compound would look like."

U.S. forces also recovered what a senior intelligence official is calling "quite a bit of material."

"There's a robust collection of materials we need to sift through, and we hope to find valuable intelligence that will lead us to other players in al Qaeda," the senior intelligence official said.

A task force has been set up "because of the sheer volume of material collected. That material is currently being exploited and analyzed," the official added.

CNN's Nick Paton Walsh, Ed Henry, Tom Cohen, Elise Labott, Pam Benson, Dana Bash, Chris Lawrence and Aliza Kassim contributed to this report

@highlight

NEW: A senior official says "Geronimo" was code for the capturing or killing of bin Laden

@highlight

NEW: The woman killed during the operation may not have been bin Laden's wife

@highlight

Authorities call the raid a surgical strike

@highlight

Sources say bin Laden resisted the assault and was shot in a firefight