Washington (CNN) -- Senate Republican Leader Mitch McConnell holds a slim four-point edge over his Democratic challenger Alison Lundergan Grimes in a new CNN/ORC International Poll of one of the most closely watched Senate races of 2014.

McConnell's 4-point advantage, 50%-46%, falls within the survey's 4-point sampling error, furthering emphasizing how close this Kentucky contest remains 62 days before Election Day. The outcome of this election may help decide control of the Senate, influence President Barack Obama's final two years in office and determine the political fate of Kentucky's longest-serving senator.

Data from the poll offers both hope and challenges for each candidate over the next two months, as outside groups and the individual candidates continue to pour millions of dollars into this race to try to influence Kentuckians on whom to support in November.

That sliver of persuadable voters might be as small as 19%, which is the number of people who said they "might change their mind." In contrast, 77% of those surveyed said they "made up their mind" about whom they will back in November.

What might be a troubling data point for Grimes is the number of Democrats -- 16% -- who said they are supporting or leaning towards supporting McConnell.

"That 16% may not sound like much, but it's more than double the number of crossover votes that Grimes wins from Republicans," CNN Polling Director Keating Holland said. "It's likely that there are some Democrats who think that their state is better off with a Kentuckian running the Senate rather than a Democrat who would rank at the very bottom in seniority."

And that is a main talking point for McConnell on the campaign trail, a senator who speaks about how he delivers for Kentuckians while maintaining conservative sensibilities. He also embraces his role as one of Obama's biggest critics, which in many ways is low-hanging fruit in a commonwealth that overwhelmingly disapproves of how the commander-in-chief is handling his job.

Obama has a 64% disapproval rating in the poll among all respondents, while only 29% approve of his stewardship of the country. The president's high disapproval rating is fueled in part by his policy on coal -- a major employer in parts of Kentucky. In fact, McConnell has a whopping 20% lead over Grimes in the east and a 28% lead over her in the west, the two coal-producing regions in the commonwealth. It is no surprise that Grimes has not embraced Obama, and has even chastised him publicly for his position on coal.

"She has made it quite clear where she stands on coal," said a Democratic strategist who spoke freely about the race on the condition of anonymity. "And she has a starkly different approach to Kentucky's coal industry than President Obama and some national Democrats."

What is troubling for McConnell is that despite being one of the most powerful Republicans in the nation, he is locked in a statistical tie with Grimes who holds a 10-point lead over McConnell in the Bluegrass region (anchored by the cities of Lexington and Frankfort), a 27-point lead over McConnell in the Jefferson County area (anchored by the city of Louisville), and an 8-point lead over McConnell in the suburbs of Louisville and Cincinnati.

The poll indicates a controversy that erupted Friday that forced McConnell's campaign manager to resign has not had a major impact on this race. Jesse Benton cut ties with the campaign as speculation swirled about his involvement in an unfolding corruption scandal related to then-Rep. Ron Paul's 2012 bid for president.

The bottom line for McConnell is that he is the No. 1 target of national Democrats. A Republican strategist acknowledged as much saying that Democratic leaders have framed this race to their donor base as an opportunity to defeat a major opponent to the Democratic agenda. National Democratic money will continue to flow into Kentucky.

Digging deeper into the data, there are no real surprises in terms of which candidate is winning traditional political demographic groups: McConnell has a 13% lead with men and is seen more favorably by voters who make $50,000 or more, while Grimes holds a seven-point lead with women and does better with voters making less than $50,000.

Democrats view the Kentucky Senate race twofold: an opportunity to defeat a Republican leader, a major symbolic victory that last occurred in 2004 when then-Senate Minority Leader Tom Daschle, a South Dakota Democrat, was defeated by former Rep. John Thune; and more important for Democrats, the Kentucky race is a key part of the political beachhead needed to protect their vulnerable Senate majority in November.

For Republicans to take back control of the Senate floor and the committees that produce legislation and provide oversight of the Obama administration, the party needs a net gain of six seats -- a very doable task given the math and electoral map two months before Election Day, even though Democrats currently hold a 55-45 seat advantage in the chamber.

To start, Democrats need to defend 21 seats in November, while the GOP only needs to protect 15.

Take a closer look at the 36 Senate seats on the ballot this year and the news is even more disturbing for Democrats. At least three seats currently held by Democrats -- Montana, South Dakota and West Virginia -- are expected to be won by Republicans on November 4, according to the most recent CNN analysis of the 2014 midterm election. And of the six seats that CNN designated as "Up for Grabs," five are held by Democratic incumbents representing Alaska, Arkansas, Iowa, Louisiana and North Carolina.

At this time, Kentucky is the only GOP-held seat that CNN has placed in the "Up for Grabs" column.

So, while there are many competitive Senate races in this election, Kentucky is viewed as the premier contest heading into November.

The poll was conducted for CNN by ORC International, which interviewed 1,037 adult Americans, including 671 likely voters, by telephone between August 28 and September 1. The sampling error for results for likely voters is +/-4 percentage points.

After 30 years in Senate, McConnell runs as 'candidate of change'

@highlight

Kentucky Senate race could determine balance of power in the Senate

@highlight

It could also decide whether Mitch McConnell will be Senate majority leader

@highlight

McConnell is running as an agent of change after 30 years in the Senate

@highlight

Opponent Alison Lundergan Grimes is a rising star in the Democratic Party