(CNN) -- In contrast to the 2002 farewell summit between President George W. Bush and outgoing Chinese President Jiang Zemin at Bush's ranch in Crawford, Texas, this week's talks between Barack Obama and Xi Jinping in California mark the first time in history that a U.S. president will host a series of informal meetings with a new Chinese leader.

While issues such as North Korea, cybersecurity and the economy will likely dominate their discussions, what really matters is whether Xi and Obama can establish a trusting personal relationship that will help both leaders overcome stark policy differences.

As charismatic leaders who view themselves as transformational figures, what better way to start the conversation than to outline their aspirations and plans for resolving pressing domestic matters?

Both Xi and Obama are finding themselves at political crossroads that will define their subsequent days in office. Both need to solve a confluence of structural problems while confronting cynical constituencies that can easily turn on them.

For Obama, dealing with a seemingly intractable partisan divide in Washington is hard enough. A series of recent bureaucratic problems has made his burden worse, resulting in what some have referred to as his "second term blues."

For Xi, an apparent turn to conservatism has the potential to bring his erstwhile reform-minded political honeymoon to an untimely end.

Luckily, each leader has the opportunity this week to talk with one of the few counterparts in the world who can empathize with the magnitude of the issues.

In his first few months as president, Xi has worked to give the Chinese government a face-lift, trying to contain corruption and construct a sense of nationalism by offering his people something they aspire to: the Chinese Dream, or what Xi has described as the rejuvenation of the Chinese nation and the opportunity to realize a middle-class lifestyle.

As Xi pursues these aspirations, he should join Obama in exploring similar issues that are hindering both countries -- a growing divide between the rich and poor, persistent post-graduate unemployment, housing bubbles, food safety concerns, immigration (or internal migration for China) reform, health care reform and tax reform.

If Xi is to be successful in confronting these issues, it will be difficult to do so without political reform.

In China, dissent has been growing on college campuses, where academics have received recommendations instructing them not to speak about seven sensitive issues: universal values, freedom of the press, civil society, civil rights, past party mistakes, crony capitalism and judicial independence. Whether such official guidelines persist will determine if there is hope for an open and intellectually dynamic political environment that can accommodate socioeconomic changes.

As a former professor of constitutional law, Obama is uniquely situated to address the importance of Chinese political reform and constitutionalism. Obama needs to stress that avoiding intellectual discussion of political issues doesn't make them go awayâ€”it only pushes such discussion into less structured arenas, and China has seen how that has turned out in the past.

As the first black president, Obama can also candidly and respectfully articulate America's lessons from the civil rights movement and its firm commitment to democracy, human rights, media freedom and the rule of law, which the United States believe to be fundamental to the long-term stability and prosperity of any country.

Some might argue that discussion of China's much needed political reform would set Obama and Xi on course for a contentious relationship. In fact, it would help remind Xi that he can seize this moment to stand on the right side of history and turn back from the conservative path before he squanders the reform-minded political capital he has built over his first productive months in office.

Instead of focusing solely on specific issues like national security and economic rebalancing, Obama and Xi have an opportunity to set the stage for a deeper, more candid and more cooperative Sino-American relationship by crafting a shared vision of the future and drawing on the common needs and desires of the Chinese and American people.

Only by talking about their domestic challenges and areas for improvement will they realize the potential fruits to be born out of such cooperation. And only when such unity of purpose is realized will China and America be able to work together and tackle the economic and security issues of our time.

The opinions expressed in this commentary are solely those of Cheng Li and Ryan McElveen.

@highlight

President Obama and President Xi Jinping are meeting for informal talks

@highlight

Cheng Li, Ryan McElveen: The two leaders should discuss their domestic issues

@highlight

Obama is uniquely qualified to focus on the importance of Chinese political reform, they say

@highlight

Li, McElveen: Obama can remind Xi to seize the moment and stand on the right side of history