Nigeria is not renowned for its golfers, or its golf clubs.

Most of its population of 170 million cannot afford to play a sport that is, in most countries around the world, the domain of the moneyed classes.

Golf is, however, a measure of a society's aspirations -- and one Nigerian province is aiming high with a development that could mark it as an international destination.

"An up-to-date standard golf course becomes relevant in an economy like ours in Nigeria, that is growing rapidly," Cross River State's governor Liyel Imoke told CNN.

"We now see a new emerging middle class, what they used to call the yuppie class. The yuppie generation is here, and they play golf. If Calabar has something to offer, and they come to Calabar, then the people in Calabar benefit from that expenditure."

In the 18th century, Cross River State's capital Calabar was at the center of the African slave trade, with over a million people shipped across the Atlantic from its ports. It now describes itself as the "People's Paradise," due to its lush surrounding rainforest and the picturesque Great Kwa River that borders the east of the city.

And in the middle of this jungle, in an old rubber plantation, its government has committed $200 million to develop a golf complex that will help boost the region's economic growth.

"This is part of a wider development, including a conference center, hotel down on the river and some housing," says Tim Lobb, a golf architect with Thomson, Perrett & Lobb, the firm overseeing the design and construction of the course.

"The vision from the governor was to create an international destination for Nigerians. We're starting the golf course off in an old rubber plantation. We don't try to clear the whole forest; we selectively clear the golfing corridor.

"What we're trying to do is create a golf course that will look like it's been here for a long time."

Environmental impact?

However, some environmentalists are concerned that the construction of golf courses in Cross River State could be damaging to the tropical rainforests that stretch through the region. They are home to endangered species such as the Drill Monkey, and conservation groups believe the natural beauty of the region should be the focus of development, not sport.

"This state has something that is unique," says Peter Jenkins, co-founder of the Pandrillus Foundation, a non-profit trust which seeks to protect wildlife.

"We have a forest that no other place in the country has, and we should be very careful that our development goals do not in any way harm the resource that makes it a paradise."

The Cross River State forestry commission describes the region as the "environmental capital of Nigeria" on its website.

"We pride ourselves as a biodiversity hotspot, and we want to maintain that," commission CEO Odigha Odigha told CNN.

"Our development should be based very seriously on the niche that we have, which is the rainforest."

Growing the game

There are only about 200,000 golfers in Nigeria, an oil-rich nation which has high levels of poverty.

There is just one 18-hole golf course in Cross River State, and it is far from a luxury resort -- with its putting greens made of dirt, not grass.

Lobb arranged for golf's main ruling body, the R&A, to donate 20 sets of clubs after hearing that kids hit balls around with sticks.

Its club pro Peter Simon, who started out as a caddy for one of the members, partly relies on funds from a mentor to be able to play in Nigeria's few tournaments.

"Most of the big players in Nigeria get help from sponsors," he said.

Across the state border in Akwa Ibom, Uyo is the home of Le Meridien -- a much more upmarket golf club managed by global sports group IMG. It stages amateur and pro events run under its own initiative as there is no official tour structure in Nigeria.

"There are not as many tournaments as we would like, perhaps 10 per annum," a golf professional named Michael told CNN.

His colleague Emmanuel added: "We need teachers to concentrate on bringing these young boys who will take over from us, because most of the time they concentrate on playing events."

Nigerian golf needs an overhaul the grassroots up to the top, says Le Meridien's general manager Sam Logan.

"We need to get the PGA of Nigeria stronger," he told CNN. "We need to get the Nigerian Golf Federation organized. Every other amateur body of golf around the world controls the amateur golf -- here there is no control."

Future generations

In the capital Lagos, home to 17 million people, there is a new premier golf development called Lakowe Lakes

"When you look at the trajectory of growth of golf as a sport in Nigeria, I think for many years to come will outstrip supply," says managing director Wale Odutola.

"As more facilities like this, which are of championship standard, come up then it becomes an easier sell for corporates to get involved in the project."

Also in Lagos, the established Ikoyi golf club is leading the way in creating new generations of golfers. It started a juniors program four years ago which has led to graduates playing in overseas events.

"The most important thing is to catch many children, so that they are interested and we can improve the quality of membership in golf," says its club captain Ebi Pinnick.

Cross River State's government has already moved to encourage more youngsters to take up the sport.

"I've given approval for them to recruit new coaches at the existing facility," Imoke said.

"We've introduced programs for training in golf at our secondary schools and I believe that it is catching on. We believe it is important we build a culture of golf."

@highlight

Nigeria's Cross River State government is investing $200 million in a golf resort

@highlight

It wants to attract tourists and help the game grow in the region

@highlight

There are concerns Nigeria's tropical rainforest will suffer

@highlight

Golf is struggling to establish itself in the oil-rich nation, which has high poverty