London (CNN) -- Hundreds of millions around the world have been dazzled by the sights and sounds of director Danny Boyle's opening ceremony for the London 2012 Olympic Games.

The four-hour, Â£27 million ($42.4 million) spectacle contained references to such globally-recognized British icons such as James Bond, David Bowie and Harry Potter's Lord Voldemort.

But with the production tossing out historical and cultural references at a rapid rate, even the most ardent Anglophiles in the audience may have felt some allusions whiz over their head like an airborne nanny.

The Oscar-winning director of "Slumdog Millionaire" says the ceremony, titled "Isles of Wonder," was inspired by a passage in Shakespeare's The Tempest, believed to have been written in 1610 and set on a remote, magical island.

Although that phrase itself appears nowhere in the play, the character Caliban refers to his home as an isle "full of noises, sounds and sweet airs, that give delight and hurt not."

The line encapsulates the vision fellow film director Stephen Daldry, the ceremony's creative director, says the production sought to represent, in capturing "the rich heritage, diversity, energy, inventiveness, wit and creativity that truly defines the British Isles."

The ceremony opened with a scene inspired by the work of another English literary genius, the Romantic visionary poet and painter William Blake: Specifically, the preface to his epic "Milton a Poem" -- "And did those feet in ancient time," better known as "Jerusalem."

Written in 1804, the poem was set to music in 1916 by Sir Hubert Parry, and sung to bolster flagging spirits during the war years. With its lyric describing the establishment of a new Jerusalem in England, it has become England's most recognized patriotic song, sung as a religious hymn and a de facto national anthem at many sporting events.

No less than three phrases from its 16 lines -- "green & pleasant land," "dark satanic mills" and a "chariot of fire" -- have entered the national lexicon, and were referenced within the ceremony.

The first provided the theme for the opening scene, which presented a vision of England as a pre-industrial rural idyll -- the type of bucolic setting in which J. R. R. Tolkien's Hobbits made their home.

Animals gambolled, workers tended the fields while a game of cricket took place on a village green, complete with a maypole -- a traditional focal point for community celebrations in British village life.

In one area of the stadium was a mound resembling Glastonbury Tor, an historically significant hill in Somerset identified with King Arthur. The hill carries a link to the Jerusalem theme, as Blake's poem is inspired by the "Glastonbury Legend" -- an apocryphal story that one of Jesus' relatives, Joseph of Arimathea, had visited Glastonbury and taken Jesus there as a boy. Glastonbury also has a more contemporary significance as the home of the UK's most famous music festival.

Enter the "dark satanic mills" of the industrial revolution, which began in the UK in the middle of the 18th century and swept throughout the rest of the world, transforming society and laying the foundations of the modern world in its wake.

Featured in the ceremony were representations of looms for manufacturing textiles and iron-making processes which played a key role in the revolution.

The next, dreamlike sequence celebrated one of Britain's most beloved institutions, the National Health Service, while playing on its link to another celebrated icon.

Founded in 1948, the NHS provides free healthcare, and has become the fifth largest employer in the world, with 1.7 million staff. Many Britons are fiercely proud of the service and have fought to defend it from successive waves of reforms.

The NHS was represented here by several wards' worth of nurses pushing hospital beds, which were used as trampolines by children before being arranged to spell out the word: "Gosh."

Coming in close proximity to a recitation from J.M. Barrie's children's classic Peter Pan -- "When you play at it by day with the chairs and table-cloth, it is not in the least alarming, but in the two minutes before you go to sleep it becomes very real" -- this was a clear reference to Great Ormond Street Hospital, a London children's hospital closely associated with that book.

In 1929, Barrie gifted all the rights from the work to the hospital, claiming that Peter Pan himself had been a patient there, and that "it was he who put me up to the little thing I did for the hospital."

Peter Pan was not the only children's literary character to feature in the segment, as a shower of Mary Poppinses -- the magical English nanny who was the heroine of P. L. Travers' book series -- blew in from above, to do battle with a towering character who resembled Lord Voldemort, the main villain of J. K. Rowling's Harry Potter books (Rowling herself also appeared in the ceremony).

The heroes didn't all hail from the world of books. At one point a Mini appeared -- the classic two-door economy car first manufactured by the British Motor Corporation in 1959. The next narrative segment was more modern and raucous, featuring a house party crashed by a horde of social networking teens. The attention also shifted to Britain's rich lineage of musical stars: Queen, David Bowie, the Sex Pistols, New Order and the Eurythmics, among many others.

The ceremony also made great play of the two great, inescapable constants of British life -- the weather, and the dry national humor.

At one point in the proceedings, as a "storm cloud" broke and threatened to jeopardize the celebrations on stage, an audio clip familiar to many Britons was played. It contained the immortal words of veteran television weatherman Michael Fish, best remembered for allegedly saying, hours before a killer 1987 storm: "Apparently a lady rang the BBC and said she heard that there was a hurricane on the way. Well, don't worry, if you're watching, there isn't."

In recent years, Fish has been at pains to point out that the British public has misremembered his role in the affair, saying he wasn't working that day and that his infamous quote was actually made in relation to another storm.

On any other day, he might resent the matter being revisited. But tonight he will surely manage a laugh at the unlikely way the bane of his career has placed him at center stage, in celebrated company, at Britain's biggest party.

@highlight

Danny Boyle's Olympic opening teemed with historic, literary and pop culture references

@highlight

Its title, 'Isles of Wonder,' was inspired by a line in Shakespeare's "The Tempest"

@highlight

It contained many references to the celebrated William Blake poem "Jerusalem"

@highlight

But it's not all highbrow: There was also a reference to a famous weatherman blooper