(CNN)During a conversation with a professor at an Ivy League college, a mother nudges her daughter to share how she's president of her school's "survivors-of-bulimia" group.

Hoping to impress the Yale admissions committee, a student writes an essay about the time she was so engrossed in a discussion with a French teacher she admired that she urinated on herself instead of interrupting the teacher or leaving the room.

Looking to give their child an edge, parents hire a college admissions consultant when their child is in the eighth grade and know the total tab will be roughly $50,000.

How I wish I could report that those three nuggets were pure fiction, morsels from my imagination for a great storyline for a novel or television series.

But sadly, they are all-too-real examples included in a provocative new book "Where You Go Is Not Who You'll Be: An Antidote to the College Admissions Mania" by award-winning New York Times op-ed columnist and bestselling author Frank Bruni.

Those examples, Bruni said, should really be "wake-up calls" for any parents or students currently engaged in, or one day likely  to be consumed by, the "What school will I get into?" annual game.

"This says that we are attaching a level of importance to this that is just completely bonkers," Bruni said during a recent interview.

Student goes 8 for 8 in Ivy League college admissions

For many families in the United States, the challenge isn't getting into the right college. It is being able to afford the school of their choice, or any school for that matter. But for many middle- and upper-income families, the college admissions process is as frenzied as ever with the belief that one school can make or break a child's future.

I had to ask Bruni, whom I met during my time covering presidential politics, how exactly college admissions became so insanely intense and ridiculously competitive. We both laughed that the process was definitely not nearly as manic or as charged when we both went to college in the '80s.

Bruni points to a number of factors all mixed together, creating "this kind of perfect storm of just absolute fixation, panic, etc." about where kids are going to go to school, whether it's exclusive enough and whether they've "breached the inner sanctum."

There's the economic pessimism over the past decade, combined with a widening chasm between the haves and have-nots, he said.

"I think all of that has made parents feel anxious on behalf of their kids and has made them feel like their kids have to have anything that might be a leg up, and if an elite school is a leg up, well, then dammit, let's get them that."

Adding to the dangerous brew, says Bruni, is the "whole test prep and college coaching industry." Yes, it has become an industry, with parents and students willing to pay thousands of dollars to consultants for an extra edge. That "industry" didn't exist just three decades ago when Frank and I were applying.

5 ways community colleges are fixing higher education

The final piece of the puzzle are the colleges, which have essentially become businesses, marketing themselves and using their acceptance rate as a bragging right.

"So when you have colleges drumming up extra applications so that they can then claim an acceptance rate below 15%, that becomes part of the discussion that adds to the anxiety because you look at these numbers and you think, 'Oh my God, if I don't begin doing SAT prep as a freshman in high school, if I don't hire the private tutor,' " I won't get in -- or so the thinking goes, said Bruni.

But how much does where you go really determine how successful you will ultimately be?

Consider the Fortune 500 and the alma maters of the heads of the 10 companies with the highest gross revenues back in the summer of 2014. There was only one Ivy League school on the list (Dartmouth), Bruni says in his book.

When you look at the Fortune 500 executives in the top 30, you see Cornell, Princeton and Brown, but also the University of Central Oklahoma, the University of Pittsburgh and the University of Minnesota, he writes.

The point is there isn't one exact path to the corner office, and an Ivy League degree or a degree from another prestigious private university is neither a requirement nor a guarantee.

National politics is another case in point. Sure, there are presidents who hail from the Ivies (George W. Bush, Bill Clinton) but there are many who don't: Ronald Reagan went to Eureka College, a small school in Illinois, and Richard Nixon got his undergraduate degree from Whittier College in Southern California.

Looking at other national politicians who either ran for or could run for president someday, New Jersey Gov. Chris Christie and Vice President Joe Biden graduated from the University of Delaware, Paul Ryan from Miami University of Ohio and John Edwards from North Carolina State University.

Bruni said a big reason for writing the book was that when he surveyed the accomplished people he has known and interviewed, there didn't seem to be any "exaggerated concentration" of people coming from the most selective colleges.

"So the amount of importance that parents and kids seem to be attaching to the selectiveness of where they went to school did not seem to me to jibe at all with the ingredients of success as manifest in the people I've met who were successful and even more to the point content," he said.

"And so I felt like that contradiction really needed to be pointed out in a bold way."

Part of what fuels the perception that the most successful among us always attend the most selective schools is what we see and read about people who've made it.

For instance, take the "30 Under 30" list, which Forbes magazine puts out every year. Bruni writes about how back in 2013, a website called the 60second Recap noted how every time honorees attended a school like Harvard, Stanford or Princeton, it was mentioned in the profile. But if they hadn't graduated from such a school, Forbes didn't mention their alma mater.

"So why do we get the impression that so many of the world's most glittering people went to these schools? Because when they've gone to those schools, we make it part of their biography because we think it explains something. And when they haven't gone to those schools, we skip right over it because we think it's actually contradictory evidence when it may be anything but."

One of the most poignant stories that Bruni shares in his book is the letter Matt Levin's parents wrote to him the night before he received his first college response.

Levin, like many of his classmates at Cold Spring Harbor High School on Long Island, had Ivy on his mind. He hoped for admission to Yale, Princeton or Brown, and he did everything to be a standout candidate: studying with a tutor for the SATs, playing on the varsity baseball team, earning one of the highest grade point averages as a junior and volunteering for more than 100 hours of community service.

The letters came, and Levin got rejected by all three.

His mom and dad, in their letter, wrote, "Your worth as a person, a student and our son is not diminished or influenced in the least by what these colleges have decided. If it does not go your way, you'll take a different route to get where you want."

A letter to my son as he leaves for college

"What I love about Matt Levin's parents and that story is ... they were saying, we know you've been filled with these aspirations. We may have been agents of filling you with them," said Bruni. "What they were saying is this is one metric in a life with many of them. Do not turn this metric into a bludgeon that you are beating yourself up with, and that's what I think parents need to do."

Is it possible to restore any sanity to the entire college admissions process?

Bruni said what we can do is try to change the conversation and begin to also talk about the negative consequences of this push to get into the most selective school. "If we give kids too much of an impression that the name on their diploma is going to be everything, we run the risk of also telling them that their diploma is going to do the work for them."

Kids who feel that way often end up in therapy or completely incapable of carving out a life, he said.

"If we talk about all the things that happen, all the negative things that attend an over-concentration on getting into an elite school, then maybe we will begin to not concentrate as much on getting into elite schools."

Bruni hopes parents and students read his book, but he especially hopes graduating seniors read it before they head off to school.

Because while we spend so much time worrying about where our kids are going to get in, we spend less time on what they are going to do and explore when they get there.

"So my dream audience are kids going off to college, and kids who are going off to college ... being made to think about more than the name on their sweatshirt and being made to ponder what they're going to do with this extraordinary privilege."

Do you think going to an elite college gives you a leg up when it comes to professional success? Share your thoughts with Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

A new book says that where you go to college does not determine who you will be

@highlight

Author Frank Bruni blames the economy and colleges for increasing the stakes for admission

@highlight

Of the top 10 Fortune 500 CEOs in 2014, only one went to an Ivy League school