(CNN) -- The Obama administration is sending letters to all 50 states warning that it will limit road construction spending beginning August 1 unless Congress acts to fund a dwindling federal trust fund that helps pay for such projects.

For motorists, that could mean everything from renewed encounters with axle-crunching potholes to more congestion as traffic is managed more tightly on outdated bridges.

For state and local governments, it means juggling infrastructure maintenance and upgrades with an unsteady source of funds to carry out those priorities.

Like the situation involving many of the roads nationwide awaiting attention, there is nothing new going on here.

The on-and-off legislative wrangling over related construction spending is another year older and like a lot of other things caught up in bitter partisan politicking in Washington, no closer to a resolution.

Obama makes new pitch

President Barack Obama aimed on Tuesday ahead of the July 4 holiday travel period to make another pitch for Congress to boost investment in infrastructure spending to address pressing highway and transit needs and spur job creation.

Obama proposed a long-term highway construction bill earlier this year. Other lawmakers have their own plans as well.

Some are calling for a hike in gas taxes to help pay for federal transportation priorities. Others would like to see less government involvement and spending, and more private financing and creative financing approaches.

The current two-year law allowing the government to send from the trust fund expires in September, a deadline that can be extended if more money is found.

This is how road funding works now: Motorists pay gasoline taxes each time they go to the pump. The federal portion -- just over 18 cents per gallon -- goes into an account called the Highway Trust Fund.

The money is mainly dedicated to projects spearheaded by individual states. These can include that highway widening job, repairing curbs on Main Street, and replacing a rusting bridge.

Over the years, the trust fund balance has gone down sharply. The recession and high gas prices were blamed for people driving a lot less and the push for greater energy independence has led to more fuel efficient cars.

This all means less money spent on gas and less money collected in related taxes. Over the years, the trust fund balance has fallen and now there's concern it will run out of money.

Running low on money

The federal highway account started last October with approximately $1.6 billion in cash, and then received nearly $10 billion more from general tax revenues. At the start of June, the balance was roughly $8 billion, according to Transportation Department figures.

The Transportation Department is now warning states that it will use a different method for distributing money to them once the fund balance dips below $4 billion in less than a month.

Normally, they get reimbursed once an invoice is submitted, but now the money will go out as part of a new formula.

States will instead get two installments in August -- one toward the middle of the month and another at the end. At the end of August or early September, the fund will reach zero.

"I believe this cash management plan is a sound one," Transportation Secretary Anthony Foxx wrote to state highway administrators. "It treats all states equitably and provides you with as much certainty as we can in an uncertain situation.

Will Congress act?

But "there is still time for Congress to act on a long-term solution," Foxx wrote.

Similar spending for mass transit is also in rough shape, prompting a similar response from federal transportation officials.

Moreover, summer is high season for road construction.

Fox told CNN that congressional inaction would mean delays in road repairs â€” and traffic jams.

"Those potholes that you saw this winter, well we may not be able to see many of those potholes get fixed â€” or as many of them get fixed," Foxx said. "But more importantly, I think is that congestion, travel times are lengthening in many parts of the country. They're getting longer. People are sitting in traffic longer, and the types of solutions that are needed to relieve that congestion are ones that are paid for by the Highway Trust Fund."

CNN's Jennifer Liberto and Jeanne Sahadi contributed to this report.

@highlight

States being notified that the federal government will limit road construction financing

@highlight

It means potholes won't get filled and bridge repairs won't get done

@highlight

Road construction financed by federal trust fund that may become insolvent soon

@highlight

President Obama making another pitch to Congress to invest robustly in transportation