(CNN) -- Kenya remains a safe place to visit despite an attack on a Nairobi shopping mall over the weekend in which at least 68 people, including foreigners, died, the country's tourism minister said Monday.

The siege by suspected Islamist militants at the upscale Westgate Mall represents another potential blow to tourism in Kenya, whose tourist numbers have increased in recent years but which has also suffered a series of violent incidents affecting foreigners.

The mall, normally a calm refuge in an often turbulent city, is itself a tourist draw in the Kenyan capital, and suspected Islamist militants may have targeted it partly for that reason.

"It's a really international place," Isha Saini, a Nairobi interior designer, told CNN.

"Lots of expats and other foreigners go there on the weekend for lunch.

"This is definitely going to have a big impact on tourism."

Foreigners among dead

Among those killed in the mall siege were three British citizens, two French nationals and two Canadians, their governments said.

Several American citizens were among the wounded. The attack is the latest of several incidents in the past few years to have hurt the country's tourism image.

In late 2011, a British man, David Tebbutt, was killed and his wife held hostage for 192 days in an attack by Somali pirates on the couple's luxury resort near Kenya's Lamu Island.

In October of the same year, an elderly French expatriate was kidnapped from her home on Manda island, in the Lamu archipelago, and died shortly afterwards owing to her fragile health.

In March this year, the month of national elections, tourists were warned to stay away from Kenya over fears of a repeat of the violence that followed the country's last such poll, in 2007, when more than 1,200 people died.

In the event, the elections passed off peacefully.

A few months later, in early August this year, a huge fire destroyed large parts of Nairobi's Kenyatta International Airport, a major African transport hub.

"Despicable act"

In a statement on the Nairobi mall attack -- which latest reports suggest authorities are close to resolving -- Kenya's tourism and commerce secretary, Phyllis Kandie, condemned what she called "a despicable act of cowardice intended to instill fear among Kenyans and our visitors."

Tourist facilities throughout the country were "operating normally," she said, and the government had "scaled up security" in these and other "social places."

Two tourism conferences -- one on hotel investment and another on eco-tourism -- were due to go ahead in Nairobi this week, Kandie said.

She also noted that the British government had not changed its official travel advice on Kenya.

At the time of writing, the U.S. state department's advice also remained unchanged.

Tourism boost

Kenya has made strides in recent years to boost tourism, one of its major industries and its main source of foreign exchange.

The industry had been hit hard in the past by events such as the 1998 bombing of the US embassy in Nairobi and the negative travel advice from foreign governments that followed.

Yet from 2008 to 20011 tourist arrivals in Kenya climbed from approximately 1.2 million to 1.8 million, according to Kenyan government figures -- a 50% increase.

Tourism revenue doubled over the period from 53 billion Kenyan shillings ($600 million) to 98 billion shillings.

Safaris top attraction

For decades, wildlife safaris have been Kenya's top tourism draw.

Tsavo National Park is one of Africa's best places to see elephants, lions and leopards, as well as to witness the continent's famed wildebeest migration.

Also on CNN: Ten things you probably didn't know you could do in Kenya

Kenya's Indian Ocean beach resorts are another big attraction, as is the dramatic landscape of cliffs and gorges in Hell's Gate National Park.

Despite the weekend attack and the city's generally edgy reputation, the cafes and nightlife of Nairobi also offer one of the liveliest slices of urban existence in Africa.

Risk of robbery

In general advice, the British Foreign and Commonwealth Office warns against the risk of robbery in Nairobi and other large Kenyan cities, although it says foreigners aren't usually targeted.

Tourists should nonetheless avoid carrying large amounts of cash and wearing expensive jewelry, the FCO says.

The British government additionally advises against all but essential travel to within 60 kilometers of the Kenya-Somali border and to other pockets within Nairobi and Kenya more widely.

@highlight

Mall attack may have targeted tourists

@highlight

"It's a really international place," says one Kenya resident

@highlight

Incident follows tourist kidnappings and airport blaze

@highlight

Kenya had upped visitor numbers by 50% in recent years