In New Orleans, food is a way of life -- it's as ingrained there as Spanish moss and Bourbon Street. Gumbo flows like the sweet sounds of jazz; po-boys are stuffed with fried shrimp from the bayous where the Acadian settlers chose to place their roots.

So it's understandable that while growing up in The Big Easy, Darrin Cook's childhood revolved around food.

Every meal had an appetizer, an entrée and dessert. The word "salad" wasn't in his family's vocabulary. They celebrated Saints games with barbecues and brownies.

"Food and I went together like red beans and rice," Cook, 21, writes in his upcoming book, "The Weight of New Orleans." By middle school, he weighed more than 300 pounds.

"No one told me, 'You don't have to eat it all.' I used to stuff myself until I was sick."

Cook hid behind school work and dark clothes, his mom Monique says. He tended to socialize with people who were also obese, and his humble nature kept him out of the spotlight.

"I really felt his pain," Monique says, "but I made sure he knew that he was a handsome man -- that people were not looking at the weight. They loved Darrin because of his personality."

Monique struggled with fear for her son's health. She knew his eating habits were dangerous, but she didn't know how to bring it up.

"I was really in denial as his mom. I never told him that I thought he was obese, that never came out of my mouth. That's my baby; I didn't want to hurt his feelings."

Still it was hard for Cook to ignore his weight. People called Cook "Little Darrin," as his dad was "Big Darrin." Family members used to tease the young boy, saying he should be the one called "Big Darrin." At a birthday party, friends told him he'd have to stay on shore while they went on a paddle boat ride -- he was so big it might sink.

"People don't realize how cruel they can be," Cook says.

Mother Nature can be crueler.

Hurricane Katrina headed toward New Orleans in late August 2005. The Cook family wasn't going to evacuate. Like many residents of the Upper 9th Ward, they were used to riding storms out at home. But after seeing warnings from police, they headed toward Alexandria, Louisiana. The normally three and a half hour drive took them 24. All the hotels in Alexandria were full.

Hearing reports of flooding at home, the family continued on to Dallas to stay with Cook's great-aunt. Fifteen relatives invaded the house. Cook slept in the living room with his cousins and started attending a local high school.

At dinner, he shoveled in Zatarain's products like they were memories he was trying not to forget.

"My whole life was turned upside down," he says. "The only thing I had left to hold to was the food. That was New Orleans -- the food."

His beloved home flooded with 6 feet of water. When his family returned to New Orleans in January 2006, very few food places were open. Cook remembers eating hot sausages and shrimp from the corner store almost every day. Rally's and McDonald's rounded out his diet.

The weight continued to pile on. At his heaviest, Cook weighed 390 pounds.

It's not lost on Cook that Sea World -- home to the famous Shamu whale -- was the surprising birth place of his weight loss journey. The 16-year-old was on vacation with his family in the summer of 2006 and wanted to swim with dolphins. Unfortunately, the staff had trouble finding a life vest to fit him. Humiliated, he realized he needed to make a change.

"I was tired of lying to myself. All the dreams I had were going to fade away."

Cook returned home to New Orleans and talked his goals over with childhood friend Semone Jackson.

"It kind of surprised me," she says, "because weight never was a topic of conversation between us growing up. He didn't really let it affect him."

But like most things he tackled in life, Cook took his weight loss plan seriously. He cut out fast food, soda, sweets and most processed products. He ate at Subway a lot -- a six-inch turkey breast on wheat with no cheese for lunch. Then he would eat the other six inches of the sub for dinner.

"Darrin is really, really strict on himself and what he eats," Jackson says. "If you're eating something sweet, he won't even ask for some."

Cook also started walking every day around the man-made lake in his neighborhood. At first it was one loop -- a mile. Then it was two. His mom joined him some mornings and people began noticing a change in his body just three weeks in.

"It was just fascinating," Monique says. "People were actually cheering. Neighbors started walking as well. Many people in our community started getting active because of Darrin."

After six months, he had dropped 90 pounds. Cook graduated high school at 16 and headed to college. During the next four years, he lost an additional 85 pounds, bringing his current weight to 215. He wears a size 36 pants -- and tries to avoid dark colors.

"It almost felt like I was invisible with that weight," he says. "The world, it was almost like I wasn't noticed. It wasn't until I lost the weight that it was like, 'Hey, I arrived.' "

Cook's got a little GQ in him now, Jackson says with a laugh. Her friend is still the same on the inside, but the "teddy bear" has turned into a good-looking young man.

"I've noticed that a lot of females, young ladies, they kind of tend to gravitate to him more."

Cook is an entrepreneur -- CEO of My Mogul Media -- and splits his time between New Orleans and an office in Atlanta. He hopes to travel the country speaking to young teens who are struggling with weight like he once did. He turns 22 in August.

"He has always been a young fellow in an old man's body," his mom says. "Everywhere he goes he really touches people. He's just my angel on Earth."

Cook carries granola bars with him at all times and eats oatmeal for breakfast. He's learned to split meals at restaurants and drink water instead of soda. He has a trainer and tries to work out at least 30 minutes every day. His goal weight is 185 pounds.

"It's not going to be an easy road," Cook says. "I weigh myself every day. [But] losing weight ... made me much more confident in myself. If I can conquer this weight, where most people struggle, I can do anything."

@highlight

Darrin Cook is a 21-year-old entrepreneur and CEO of My Mogul Media

@highlight

Cook weighed 390 pounds at his heaviest after Hurricane Katrina hit New Orleans

@highlight

Teen dropped 175 pounds by cutting out sugar, soda and processed foods