(CNN) -- Ask anyone from the U.S. to name a famous swimmer and they will probably say Michael Phelps. But put the same question to someone in Japan and the name that trips off the tongue is Kosuke Kitajima.

The 32-year-old has propelled not only himself but Japanese swimming into the spotlight in the 21st century thanks to a series of remarkable performances on the global stage, smashing records and scooping multiple world and Olympic titles.

His best days in the pool may be behind him but Kitajima's focus remains forward-looking as he builds on his legacy as arguably the greatest breaststroke exponent of all time.

His goal is to inspire the next generation of champions from the Far East ahead of Tokyo's 2020 hosting of the world's biggest sporting showpiece by getting them started in the pool.

"I want children to start swimming and have lots of dreams in swimming," Kitajima tells CNN's Human to Hero series.

"I think the best thing about swimming is that anyone from 0 years old to grandpas and grandmas can do it. So it's important to give dreams to children but I'd also like to let people know the fun of swimming."

He set up his swimming club, KITAJIMAQUATICS, in 2011 and a quick scroll through his social media accounts shows he's often personally on hand to inspire an excited audience around the prefectures.

Stroke of genius

Kitajima may not possess the physical stature associated with modern swimming champions -- most pros are considerably taller and heavier than his 1.78-meter, 72.5-kg (160-pound) frame -- but that didn't stop him rising above his contemporaries.

"There haven't been many people in Asia who could compete in the world of swimming. I proved that we (Japan) can," he says.

Kitajima burst onto the scene as a 17-year-old, serving notice of his talent with a fourth-place finish in the 100 meters breaststroke final at the Sydney Olympics in 2000.

Buoyed by the experience -- "it gave me confidence," he says -- Kitajima went on to take gold at the Pan Pacific Games in 2002 at the same distance before winning both the 100m and 200m breaststroke at the world championships the following year in Barcelona.

His reputation for performing on the biggest stage was confirmed when he achieved the same double at the Athens Olympics in 2004.

After pipping his great American rival Brendan Hansen in the 100m final, Kitajima let rip with a primal scream of joy before exclaiming "cho kimochi ii!" -- meaning "I feel really good!" -- a phrase which he is credited with popularizing in his homeland.

Noises of a different kind were also audible from the U.S. camp following the race, with Hansen's teammate Aaron Peirsol accusing Kitajima of using an illegal dolphin kick.

The underwater motion which takes its name from the way dolphins flick their tail up and down was banned in the breaststroke discipline at that time, although swimming's governing body FINA has since relaxed the law, allowing one dolphin kick at the start and on turns.

There was, however, little controversy about Kitajima's win in the 200m a few days later, with Hansen having to settle for bronze.

Duel for supremacy

The Tokyo native's rivalry with the American was one of the great swimming duels of recent times.

Hansen got his revenge on Kitajima in subsequent world championships, beating the Japanese star in the 100m in both 2005 and 2007.

The pair proved just as hard to separate when it came to world records, with both men treating the 100m and 200m breaststroke world record like a hot potato. In total, they broke it a total of 10 times; that particular duel finished in a dead heat with five records each.

"Every time he set a record, I wanted to break them," Kitajima recalls. "It was such a happy time in my swimming career when I could compete with him."

Despite being plagued by injuries in the years following Athens, Kitajima showed he was still the man to beat when the Olympics rolled around again in 2008.

In Beijing, the then 25-year-old managed to fend off Hansen and everyone else to repeat his Athens double, becoming the first man in Olympic history to successfully defend both the 100m and 200m breaststroke titles.

With his fame now peaking at home, the "Frog King," as he was nicknamed, upped sticks and moved to the U.S. He says relocating to California helped to prolong his career.

"I wanted to change my living environment. I didn't really miss Japan while I was in Los Angeles. I came back to Japan when I had a competition and went to LA to train. It was a good balance," he explains.

"I owe that I can still swim like this to the friends I met in LA and coaches who accepted me to train with them in America."

Dave Salo, the head coach at the University of Southern California who worked with Kitajima, described him as "probably the most efficient breaststroke swimmer I have ever witnessed."

But even his superb technique couldn't propel the double, double Olympic champion to a unprecedented triple triumph at London 2012 -- a fifth place in the 100m was his best individual showing.

Despite diminishing returns over the last two years, Kitajima is not thinking about retiring just yet, but now has other things competing for his attention.

In September 2013, he married pop star Chisa Maekawa -- former lead singer with Japanese band Girl Next Door -- who gave birth to their daughter earlier this year. But he remains determined to carry on in the pool.

"I want to compete (and) I'd like to continue being an athlete. So as far as people give me support I want to continue," he says.

A trip to Rio in 2016 may still be on the cards, he hopes, but an appearance at his hometown Games in Tokyo in six years' time is surely out of the question. Isn't it?

"I'm not sure whether I will be continuing my career then or not, but I hope I can (remain a part of) swimming for a long time," he says.

Tokyo 2020 maybe a bridge too far, even for the great man, but the future looks bright for Asian swimming, he says.

"The whole of Asia is getting stronger now, not just Japan but countries such as China and Korea are doing well.

"In Japan we have very strong swimmers who won world competitions. I'm very glad that there are many of them coming out now."

Read more: Rise of the 'new Nadia Comaneci'

Read more: Cake-loving runner on top of the world

@highlight

Olympic history-maker Kosuke Kitajima inspires new generation of swimmers

@highlight

Kitajima won 100m/200m breaststroke titles at back-to-back Olympics

@highlight

Japanese swimmer rose to worldwide prominence at Athens in 2004

@highlight

The 32-year-old from Tokyo not ruling out competing at Rio Games in 2016