(CNN) -- The United States and its allies aren't "blind" or "stupid" when it comes to negotiations with Iran, Washington's top diplomat said Sunday after nuclear talks with the Islamic republic broke up without an agreement.

"We are absolutely determined that this would be a good deal, or there'll be no deal," Secretary of State John Kerry told NBC's "Meet the Press."

"This is a new overture, and it has to be put to the test very, very carefully," he added.

But Israel's prime minister cheered the failure of the talks, saying the agreement reportedly on the table would have been a "jackpot" for Iran. Iran's president, meanwhile, tried to reassure his parliament that he won't trade away Tehran's ability to produce nuclear fuel in any agreement to lift international sanctions.

After two days of foreign minister-level talks, negotiations between Iran and the five U.N. Security Council members plus Germany ended in Geneva, Switzerland, early Sunday. The European Union's foreign policy chief, Catherine Ashton, told reporters, "A lot of concrete progress has been achieved, but some differences remain."

Negotiations are set to resume November 20, with Ashton and Iranian Foreign Minister Javad Zarif attending.

"I think we are all on the same wavelength, and that's important," Zarif said. "And that gives us the impetus to go forward."

Iran insists its aims are peaceful

Iran has refused U.N. Security Council demands to halt its production of enriched uranium, which can be used to power nuclear reactors or in extremely high concentrations, to make an atomic bomb.

It insists it wants to build civilian power plants, but Western powers and Israel accuse it of harboring ambitions for a nuclear weapon. U.N. inspectors reported in 2011 that they could no longer verify the Iranian program was strictly peaceful.

Iran's refusal to stop enriching uranium has led to sanctions that have crippled its economy, slashing its crude oil exports and triggering widespread inflation at home. But President Hassan Rouhani, whose overtures to the West since taking office in August raised hopes of a deal, said Sunday that Tehran has its own "red lines" that his government won't cross.

"The rights of the Iranian nation and national interests are our red lines, and those rights include nuclear rights within the framework of international law, as well as enrichment on Iranian soil," Rouhani told lawmakers, according to the semi-official Fars news agency.

But nonproliferation expert Joseph Cirincione told CNN's "Fareed Zakaria GPS" that the outlines of a deal appear clear, and he expected one would be clinched "very soon."

"We've seen some remarkable developments over the last couple days, including the normalization of U.S and Iranian dialogue," Cirincione said. "We now take it for granted that the secretary of state should talk to Iran's foreign minister, but that hadn't happened in 34 years until last September."

What's on the table in talks

Two senior U.S. administration officials said that in the proposal on the table, Iran would agree to stop enriching uranium to a concentration of 20% -- well above the level needed to fuel a nuclear power plant, though still far below what's needed to produce a nuclear weapon. Tehran would render most of its existing stockpile of 20% enriched uranium unusable under the proposal.

In addition, it would agree not to use its advanced IR-2 centrifuges, which can operate five times faster than older models used in its enrichment plants. And it wouldn't activate a heavy-water reactor at Arak, which can be used to produce plutonium. That's a demand that France in particular insisted upon, French Foreign Minister Laurent Fabius said.

Iran's nuclear capabilities

The officials said that in return, the P5+1 powers of the United States, Britain, France, Russia, China and Germany would unfreeze some Iranian assets held in banks overseas and consider easing sanctions banning trade in gold, precious metals and petrochemicals. Other sweeteners were also under consideration, they said.

One of the officials said the deal was designed to delay the point at which Iran could develop a nuclear weapon while providing temporary, reversible sanctions relief. But Fabius told radio station France Inter on Saturday that while Paris wanted a deal, it wouldn't agree to a "fool's game" -- and that the proposal on the table at that time was unsatisfactory.

"Thank God for France," U.S. Sen. Lindsey Graham, a leading Republican who is pushing for another round of sanctions on Iran, told CNN's "State of the Union." The Democratic chairman of the Senate Foreign Relations Committee, New Jersey Sen. Robert Menendez, told ABC's "This Week" that the United States "can't want the deal more than Iranians."

Graham: New sanctions on Iran needed

And Israeli Prime Minister Benjamin Netanyahu, who had criticized the negotiations last week, told CBS's "Face the Nation" that Iran should have to dismantle its existing centrifuges and the Arak reactor as part of any agreement.

"Iran gives practically nothing, and it gets a hell of a lot. That's not a good deal," Netanyahu said. He said other Arab states shared his opinion.

"And you know, when you have the Arabs and Israelis speaking in one voice -- it doesn't happen very often -- I think it's worth paying attention to."

Kerry: We know what we're doing

Kerry told NBC that critics are underestimating the negotiators.

"Some of the most serious and capable, expert people in our government, who have spent a lifetime dealing both with Iran as well as with nuclear weapon and nuclear armament and proliferation, are engaged in our negotiation. We are not blind, and I don't think we're stupid," Kerry said.

"I think we have a pretty strong sense of how to measure whether or not we are acting in the interests of our country and of the globe, and particularly of our allies like Israel and Gulf states and others in the region."

The State Department dispatched a top Kerry deputy, Undersecretary of State for Political Affairs Wendy Sherman, to Jerusalem to discuss the Geneva talks with Israeli officials, a senior State Department official told reporters on condition of anonymity.

For years, international leaders have been fearful of the instability a nuclear-armed Iran could bring to the Middle East. Those fears, for example, include the possibility of a pre-emptive Israeli strike that could spark a broader conflict. In the past, Iran has threatened Israel with military attack.

They also include concerns that an Iranian bomb could spur other countries in the region to seek nuclear weapons of their own, leading to a spiraling arms race in the region.

Israel is widely believed to possess nuclear weapons, though it has never declared itself to be a nuclear power.

CNN's Marilia Brocchetto, Karl Penhaul, Elise Labott and Greg Botelho contributed to this report.

@highlight

"This would be a good deal, or there'll be no deal," Secretary of State John Kerry says

@highlight

Nuclear talks with Iran broke up without agreement early Sunday

@highlight

French FM says Paris wasn't interested in a "fool's game"

@highlight

President Hassan Rouhani says Iran won't trade uranium enrichment