(CNN) -- Laura Kassem had tripped before. But this time, she fell hard. She couldn't seem to control her body as she went down, even to protect her face from hitting the concrete sidewalk.

It happened again the next day as she stepped off an escalator. Then again in the parking garage on Monday when she went to work.

"I had no idea what was going on," the 33-year-old remembers. "I had no idea why I would just drop all of a sudden."

The third time, she went to the emergency room, where a neurologist ordered an MRI and a cardiologist performed a tilt test -- normally done on patients who faint because of a sudden drop in blood pressure.

The tests revealed nothing. Doctors sent Kassem home with instructions to drink more water.

Kassem continued to trip over nothing. So she went to the Cleveland Clinic, where she says her symptoms "baffled" doctors in the rheumatology, cardiology and neurology departments.

Back home in Sylvania, Ohio, a suburb of Toledo, Kassem made an appointment with an orthopedic surgeon to address the extreme pain in her hips and lower back. He sent her to a neurosurgeon, who in turn sent her to see a neurologist who specialized in neuromuscular disorders.

Meanwhile, Kassem tried to avoid open spaces. She hugged walls so that if her body froze up, she wouldn't fall flat on her face. She already had a few loose teeth, and her nose was a mix of blue and purple.

One night, Kassem and her sister were watching "20/20" when the woman being interviewed began describing Kassem's symptoms. The woman had been diagnosed with Stiff Person Syndrome, or SPS, a rare neurological disorder characterized by painful muscle spasms and progressive stiffness in the lower back and limbs.

Could that be it? the Kassems asked themselves. They had never heard of SPS. But Kassem's latest neurologist thought they could be right. While waiting for the test results, he put Kassem on benzodiazepine, a medication that is known to lessen the symptoms of SPS.

It worked. For the first time in nearly a year, Kassem was able to walk without assistance.

Read more of Laura's story on iReport

The exact prevalence of Stiff Person Syndrome is unknown, according to the National Organization for Rare Disorders, but one estimate places it at one in every 1 million people. That means about 316 people in the United States have it.

The exact cause of SPS is also unknown. Doctors believe it has something to do with a deficiency of glutamic acid decarboxylase, or GAD. GAD is involved in the body's production of gamma-aminobutyric acid, which helps control muscle movement. In patients with SPS, antibodies mistakenly attack certain neurons that produce GAD, leaving the body without the protein it needs.

The symptoms of SPS generally start to appear in patients after age 30. People with SPS initially experience muscle stiffness or discomfort. As the disease progresses, muscle spasms and rigidity become more pronounced. These muscle spasms can last anywhere from a few minutes to several hours, and are triggered by unexpected noises, physical contact, stress and/or emotional anxiety.

"I've fallen on the streets and prayed to God that someone wouldn't run over me," says Ingrid Steppan, who was diagnosed with SPS five years ago. "My husband can't touch my arm. My kids can't give me hugs."

Steppan compares the muscle spasms to childbirth. Imagine contractions felt in the uterus happening from your neck down to your toes, she says. The whole body goes stiff -- hence the syndrome's name.

When she first began experiencing symptoms, Steppan couldn't dress herself. Her 9-year-old son had to help her put on her underwear, because his older siblings had all moved out and her husband went to work early.

"It was embarrassing for him and it was embarrassing for me," she remembers. "We both cried."

Treatment has helped. While there is no cure yet for SPS, patients are often put on benzodiazepines to treat muscle stiffness and calm the spasms. Anti-seizure medications and painkillers are sometimes prescribed as well to lessen symptoms.

Yet after years of freezing and falling unexpectedly because of stress or sudden sounds, many patients with SPS develop agoraphobia, an irrational fear of certain places and/or situations. They become housebound, unable to venture outside their comfort zone.

"My mind knows I'm OK, but my body won't cooperate," Steppan says. "If I try to go outside, my body completely stiffens up, and I will fall over flat. You can put a sticker on my head and put me up for sale. I'm a statue for your lawn."

A few years ago, Steppan underwent intravenous immunoglobulin therapy, or IVIg, a common treatment for patients with SPS.

With IVIg, a concentrated solution of sterilized antibodies is given to the patient through one of their veins. IVIg is most commonly used to help people with autoimmune disorders. Although SPS is a neurological disorder, it has "features" of an autoimmune disease, according to the National Institutes of Health.

Those features could eventually lead scientists to a cure.

Dr. Harry Atkins, medical director of regenerative medicine at Ottawa Hospital Research Institute in Ontario, Canada, has been studying the effects of stem cell transplantation on autoimmune diseases for close to a decade.

Five years ago, a patient with SPS approached him with her medical history. She had done her research, Atkins says, and told him that a stem cell transplant could restore her immune system -- ridding it of the antibodies fighting against GAD production.

"She made a very compelling case that this was worth trying," Atkins remembers. "That's how I learned about Stiff Person Syndrome."

During a stem cell transplant, doctors use strong doses of chemotherapy to wipe out the patient's immune system. They then return purified bone marrow stem cells to the body.

"It appears that as the immune system regrows, it's like a baby's immune system," Atkins says. "It recognizes what's part of the body, and is able to fight against germs and pathogens."

It's a dangerous procedure. When their immune system is wiped out, patients are prone to infection and organ damage. As such, it is reserved for those with only the most severe autoimmune diseases.

Atkins decided SPS fit that bill and performed the stem cell transplant. His first SPS patient is now symptom-free, he says, and off all medications typically used for treating the rare disorder. He performed another transplant on a second SPS patient two years ago. That patient is symptom-free as well, he says, though she still relies on a few medications.

"I didn't believe the procedure would work so well," Atkins says. "It's like a miracle to see what she was like before, and to see her now -- it's quite dramatic."

Steppan will be Atkins' third SPS patient.

Last week, doctors harvested her stem cells for sterilization. She hopes to receive her last dose of chemotherapy soon, so they can then start rebuilding her immune system.

Atkins is cautious about saying stem cell transplantation is the definitive treatment for Stiff Person Syndrome. The results have been encouraging, but the procedure has only been done in two patients. The rarity of the disease makes it difficult to find research funding -- not to mention participants. All three procedures were performed in Canada under the country's universal health care system.

Doctors at Fred Hutchinson Cancer Research Center in Seattle have an open clinical trial protocol for doing stem cell transplants on patients with Stiff Person Syndrome, says Dr. George Georges. Unfortunately, most insurance carriers in the United States will not cover the cost of the transplant.

Kassem is trying to raise $400,000 as a deposit.

The Ohio resident has been bedridden since October. She has spasms that cause her whole body to stretch out and shake. Her brother is the only one strong enough to bend her legs when they go stiff. She lives with her parents, and someone has to be home 24/7.

Kassem has made many new friends through rare disease support groups online. They're so few and far between it's often the only way patients with SPS can find each other. She and Steppan have communicated through Facebook.

"It's a very lonely life," Steppan says. "I talk to them every day and they talk to me. ... These people need to believe that there's hope."

See more stories from people living with Stiff Person Syndrome

@highlight

Stiff Person Syndrome is a rare disorder that causes painful muscle spasms and stiffness

@highlight

Experts estimate one in every 1 million people has SPS

@highlight

Stem cell transplantation may successfully treat this debilitating disease