(CNN) -- Democrats need to show more political spine when it comes to the issue of taxes.

This week, income taxes are on everybody's mind with Tuesday's filing deadline in view.

Republicans have no interest in defending the progressive income tax system. Rand Paul, with an eye toward 2016, has called for a flat tax with one rate for all income levels.

In their minds, the progressive tax is system has often been inequitable, and they claim that those who work hard are penalized for spurring economic growth rather than rewarded.

Ever since conservatives undertook their "starve the beast" strategy in the early 1980s, Republicans have also been aware that continually cutting taxes is the best way to ensure that Democrats won't have the money they need to start new government programs.

But Democrats can't afford to sit still when it comes to this issue. Too often in recent decades, Democrats have desperately tried to avoid the subject of taxes. When Republicans complain that taxes are bad, Democrats slip into the corner so that nobody asks them what they think.

Ever since Ronald Reagan came to Washington in 1981 and slashed tax rates to historically low levels, Democrats have always felt that talking about a more vigorous progressive income tax system that brings more revenue into the federal government is toxic.

They all remember when Democratic presidential candidate Walter Mondale admitted in a debate against Ronald Reagan in 1984 that he would raise taxes and suffered as a result. When President Bill Clinton took the step of raising taxes in 1993 to curb the deficit, his party suffered in the 1994 midterm elections. President Obama, who simply decided not to restore some of the Bush tax cuts, came under intense criticism and was branded a tax and spend liberal.

The failure to defend taxation has its cost. At a time everyone is celebrating Lyndon Johnson's historic achievement with the Civil Rights Act of 1964, Democrats should remember the consequences of another piece of legislation passed 50 years ago -- the Revenue Act of 1964 which provided an across-the-board tax cut, reducing top rates from 91% to 70%, the bottom rate from 20% to 10% and the corporate rate from 52% to 48%.

This too was a historic tax cut, unequaled at the time, that liberal economists had proposed as a way to stimulate consumer demand. While many liberals signed on to the tax cut, including President Johnson, others warned that it would starve the government of needed revenue right as the President was embarking on an effort to build a Great Society.

To obtain passage of the tax cut, which Johnson believed would stimulate the economy by the time of the 1964 election, he agreed to a stringent budget in order to win over the support of Virginia Democrat Harry Byrd, the conservative southern chairman of the Senate Finance Committee.

As a result of the tax cut, Johnson didn't have much money to play with early in his term. When he convinced Congress to pass the War on Poverty in 1964, it was done on the cheap.

Congress didn't allocate, and he didn't ask for, sufficient money to construct programs capable of really taking a bite out of economic inequality. Many of the programs still did well and provided a huge boost to the disadvantaged, but the money that would have been needed to really eradicate poverty was never there.

Johnson also backed away from other proposals, like the public works programs his Secretary of Labor Willard Wirtz was proposing, because he didn't want to endanger the tax cut and didn't have enough funds to do more.

Later in his presidency, Johnson would also hesitate to propose increased taxes to finance the war in Vietnam. He waited too long, fearful of the political consequences, finally approaching Congress in 1967 to ask for a temporary tax surcharge. But he did so when his political stock had fallen and the war was controversial. Congress passed a 10%, temporary tax surcharge in 1968, but only after forcing Johnson to agree to steep cuts in domestic spending and after inflation had really taken off.

Another Democrat who took a very different approach to taxes was Franklin Roosevelt, the architect of the New Deal. Early in the 1930s, FDR displayed an antipathy toward taxation, generally resisting any efforts to undertake a mass expansion of the tax system, which then only touched a small portion of the population. But did finally take steps to increase taxes on the wealthy, such as the enactment of the "Wealth Tax" in 1935 as well as the earmarked taxes tied to Social Security.

In the middle of World War II, FDR became even bolder. He understood that we have to pay if we want the government to do great things. In other words, we needed "Taxes to Beat the Axis." In 1943 and 1944, FDR undertook a massive expansion of the income tax system, expanding the number of people subject to the income tax from 4 million to 44 million and instituting the policy of withholding at the source.

The Department of Treasury conducted an aggressive campaign -- using film, radio and more -- to sell Americans on the idea that they had to sacrifice, through taxes, while other Americans were sacrificing their lives. Even Donald Duck was called in with the movie "The New Spirit" to persuade the nation that taxes were a patriotic duty.

Irving Berlin wrote "I Paid My Income Tax Today," which reminded Americans: "You see those bombers in the sky? Rockefeller helped to build them -- so did I!" The campaign worked and the tax system put into place remained a permanent part of the political landscape with upper level taxes reaching over 90% in the 1950s.

While proposing taxes is politically frightening, it is necessary. And Democrats, as the party that believes in government, must also be willing to defend and fight for the progressive tax system that has been the backbone of domestic and foreign policy since the start of the 20th century. They need to find a way to build support for increasing rates and filling loopholes such as lower rates on dividends and capital gains and the earnings of hedge fund millionaires -- all of which exacerbate the problem of inequality in America.

If Democrats don't do something to shore up the progressive income tax system, they will continue to see the funds of government erode, limiting what they can do or even imagine.

@highlight

Julian Zelizer: When Republicans attack progressive taxes, Democrats usually hide

@highlight

He says Democrats need to advocate for a progressive system and use it to fund programs

@highlight

The GOP's "starve the beast" strategy has kept government from tackling key problems, he says