(CNN) -- Once again, rumors of Venezuelan President Hugo Chavez's impending death have swept through social media in recent days, fueled by a report that the ailing leader had moved to a presidential residence to live his last days.

The government's vagueness and secrecy regarding Chavez has created a hunger -- both in and outside of Venezuela -- for reliable information about the president's health.

With no official updates, the void has been filled by a few who claim to have sources familiar with Chavez's health. Users of social media, as well as traditional media, amplify such information, which the government usually ends up trying to refute in one way or another.

How should news consumers value the information from these unofficial sources? Here's a look at some of the reporting by three of the most closely followed sources: Emili Blasco, Washington correspondent for Spain's ABC newspaper; Jose Rafael Marquina, a widely-cited Venezuelan doctor practicing in Florida; and Nelson Bocaranda, a Venezuelan investigative journalist.

Emili Blasco, ABC newspaper

Report: Chavez has been moved to a residence at a military base at La Orchila island to be surrounded by family, awaiting his fate; he is receiving only palliative care (March 1).

Government response: Admits that Chavez is "fighting for his life," but says Chavez is undergoing intense treatments, including chemotherapy, at military hospital in Caracas.

Validity: Unconfirmed. Chavez has not spoken, nor have any photos or videos been released of him since he returned to Venezuela this month, that would prove whether he is in Caracas or La Orchila.

---

Report: Chavez's Cuban medical team was being pressured by their government to stabilize Chavez to the point he could be transported back to Venezuela in hopes that he can be sworn in for his new presidential term, which had already begun. His treatment would move from Cuba to the military hospital in Caracas. The same report claims that in early January, Chavez suffered "minor" cardiac arrest that left him in a coma for 15 minutes and unconscious for several days (January 18).

Government response: No direct response to report, but around the date that Chavez allegedly suffered cardiac arrest, the government said Chavez suffered from respiratory insufficiency and was handling treatment well. After this report came out, Venezuela's foreign minister said Chavez was awake, joking and making decisions.

Validity: One month after this report, on February 18, Chavez was indeed flown back to Venezuela, and taken to the military hospital there. Currently no way to confirm cardiac arrest and his state in the days following.

---

Report: Chavez was in an induced coma, and remained alive only through life support, which could be disconnected at any moment (January 2).

Government response: While not addressing Blasco's story directly, on the same day it was published, Vice President Nicolas Maduro said Chavez remained in delicate condition. "Sometimes, he has had slight improvements. Sometimes, he has remained stable," Maduro said.

Validity: Obviously, no one pulled the plug on Chavez in early January. The government has confirmed that Chavez has received help breathing, but it is not known whether Chavez was ever in an induced coma.

---

Report: Chavez underwent a tracheotomy because of complications from a respiratory infection (December 22).

Government response: Maduro, speaking to the media on the same day, says Chavez is getting stronger each day. "President Chavez is resting and his recovery is progressing," he said.

Validity: In February, Venezuelan officials changer their story, and confirmed that Chavez did have a tracheal tube.

------

Jose Rafael Marquina, doctor

Report: Chavez's lungs continue to accumulate with fluid, which must be drained. At this point, there is no treatment except palliative treatment. His cancer had spread to the liver, lungs and back, so the surgery in December included removingsome vertebrae (February 24).

Government response: No mention of such details, besides confirming Chavez had surgery in December and is having a complex recovery.

Validity: Marquina always presents very specific information, but impossible for now to know with certainty what doctors in Cuba did during their operation.

---

Report: Chavez is paraplegic, and was transferred from Cuba back to Venezuela because doctors couldn't do anything more for him (February 21).

Government response: Officials have not specifically addressed this claim, but have repeatedly accused Marquina and others of waging a disinformation campaign.

Validity: The public hasn't seen evidence of Chavez walking in months. The only photos released of him recently show him laying down on a pillow. But it cannot be confirmed that he is paraplegic. Marquina first warned that paralysis was a possibility in December.

---

Report: Chavez is likely showing signs of renal failure and lung infection (January 3).

Government reponse: That same day, National Assembly President Diosdado Cabello said, "Don't fall victim to the opposition's rumors. ... They have bad intentions every time they talk." The government had already said there was a lung infection, but only later spoke about respiratory insufficiency.

Validity: The seriousness of the lung infection was confirmed as Chavez battled it for weeks, but little has been said that could confirm that he is having kidney problems, too.

------

Nelson Bocaranda, investigative journalist

Report: Ever since returning from Venezuela, Chavez remains the same, tired and ailing from the trip, which was never recommended (February 21).

Government response: Officials trumpeted Chavez's return to Venezuela, but have not given reasons behind the move. "Thank God! Thank you dear people! Here we continue the treatment," a post on Chavez's Twitter account said that day.

Validity: Bocaranda says the return was never recommended. Marquina says it was because doctors could do no more. Blasco says the Cuban government was pushing for the return. They can't all be right.

---

Report: Only a handful of people -- Chavez's family, the Castro brothers and medical staff -- could visit Chavez in Cuba. Even Maduro and Cabello were limited to short visits with their president. There were metal detectors, no cell phones allowed, and Chavez's medical information is under lock and key (February 7)

Government response: In January, Information Minister Ernesto Villegas insisted that Chavez was still very much in charge of the country, meeting with leaders and making key decisions. Maduro and Cabello traveled to Cuba several times to visit Chavez.

Validity: There is a contradiction here. If access Chavez was truly so limited, it makes it less plausible that Chavez was holding meetings and directing the country from his hospital room. If security was so tight, leaking information seems like a risky endeavor.

---

Report: Chavez has emphysema and has lost 70 pounds (February 6).

Government response: The government has spoken at length about a "respiratory insufficiency" that Chavez suffers, but has not said exactly what is causing it. 

Validity: It is certain that Chavez has lung problems, but the details of what they are and how long they have affected him remains unknown. Only a few photos have been released of Chavez since his December surgery, and it is difficult to tell how much weight the president may have lost.

@highlight

Rumors persist that Hugo Chavez is near death

@highlight

The government admits that Chavez is fighting for his life

@highlight

But valid information is hard to come by