(CNN) -- Iranian student Puyan Mahmudian scored the sixth highest marks in his year group in his entrance exam, but was rejected for a Masters degree in chemical engineering at Amirkabir University in Tehran.

The problem was not his academic record, but his political background, according to human rights groups, which note that Mahmudian had previously been jailed for being editor of a student magazine that was critical of the government.

Mahmudian, now 25, believes he is one of hundreds of so-called "starred students," whom campaigners claim are denied access to university or expelled because of their religious or political beliefs.

A report called "Punishing Stars" by the non-governmental organization International Campaign for Human Rights in Iran names 217 students who it says have been deprived of education because of their religion or political activism in the last five years. It says the real number is much higher as many did not want to be named.

Many of those listed are members of the Baha'i Faith, the largest religious minority in Iran, with around 300,000 members, according to the official website of the faith in the United States. It says Baha'is have been persecuted in Iran since the faith started there in the mid-19th century. The conservative clergy considers followers of the Baha'i faith to be part of a wayward sect and apostates.

Other "starred students" are human rights activists, supporters of women's rights, members of the political opposition and student journalists, campaigners claim.

Now, a grassroots campaign, which began in Germany and has spread to other countries around the world, is drawing attention to alleged denial of education in Iran.

The campaign, called "Can You Solve This?" publicizes a QR code which, when scanned by smart phones, directs people to a website with an animated video.

The QR code has been printed on flyers, banners, pavements and t-shirts in coffee shops, streets and university campuses. In Germany, the QR code was used without any other information to build up mystery around the campaign.

Ruha Reyani, a second generation Iranian living in Germany and one of the architects of the campaign, said: "We are at the start of the university year and there's a big push from the Iranian government to use denial of education as a tool of persecution.

"We want people to come to take action by sending letters to their political leaders." Events to support the campaign have already been held in Germany, the United Kingdom, Brazil, India and the Netherlands, and are planned for Canada, the United States, France, Italy and other countries.

Esra'a Al Shafei, founder of Mideast Youth, one of the organizations supporting the campaign, said: "It's a creative and dynamic campaign that appeals to young people everywhere. The video has had more than 70,000 views and more than 5,000 letters have been sent through the website."

Mahmudian, now living in Germany, was arrested and jailed in 2007 while editor of a student magazine at Amirkabir University of Technology in Tehran.

In a case highlighted at the time by Human Rights Watch, Amnesty International and the Committee to Protect Journalists, Mahmudian and seven other students were arrested, accused of defaming Islam in their publications.

Mahmudian said the members of the information ministry had circulated forged editions of their publications containing offensive articles.

Sarah Leah Whitson, Middle East director at Human Rights Watch, said in a press release at the time: "The Iranian authorities are using the flimsiest of pretexts to arrests student journalists and activists.

"Even the Judiciary has admitted that these students had nothing to do with the forged publications."

Mahmudian said: "I spent more than 50 days in solitary confinement. They used physical and mental torture. I went on hunger strike for 11 days to be allowed to make one phone call to my mother to tell her I was okay.

"After 80 days of extreme pressure they got a videotaped confession from us inside prison. We apologized to the president and were released and allowed to go back to university."

It was after his undergraduate studies finished and he applied to do his Masters that the incident caused him more trouble.

He said he was called in to the information ministry for three interrogation sessions.

"They asked me to sign a guarantee that I wouldn't continue any political, social and cultural activities and that I would cooperate with the information ministry," he said. "I accepted to end my political activities but refused to collaborate with them," he said.

Mahmudian was told he had not passed the "general" qualification for the Masters course. He tried to make a legal appeal against the decision but was told there were no avenues.

He later moved to Berlin, Germany, to do his masters degree and has no immediate plans to return to Iran.

Repeated efforts to reach Iranian officials for comment were unsuccessful. Messages left with the Iranian consulate in London were not returned.

The report "Punishing Stars" released in December last year claims that the Ministry of Intelligence has used a system of three stars as a method of discrimination against students since Mahmoud Ahmadinejad became president in 2005.

It said that in 2007, in response to pressure from starred students and the media, the government announced that it would no longer use the star system. However, the report claims, the discrimination has continued as a de facto policy.

@highlight

Report: Hundreds of Iranian students rejected from university for political or religious beliefs

@highlight

"Can You Solve This?" campaign using QR code and video raises awareness

@highlight

Puyan Mahmudian one of so-called "starred students" for editing student magazine