The UK has become one of the latest Western countries to enter the coalition fighting ISIS, with Parliament voting Friday to endorse British military engagement in Iraq through airstrikes.

The vote came shortly after Prime Minister David Cameron's speech during the United Nations General Assembly in New York on Wednesday, in which he emphasized the threat posed by ISIS to the UK and endorsed military action based on "careful preparation" while saying "no to rushing to join a conflict without a clear plan."

In doing so, the UK appears to want to redeem itself after the blunders of the invasion of Iraq in 2003. Yet entering the conflict through airstrikes in Iraq is in itself an indication of the lack of a clear plan on part of the UK in particular and the anti-ISIS coalition as a whole. As it currently stands, the coalition's plan carries a high risk of backfiring.

The UK is basing its involvement in Iraq on the legitimacy granted by the democratically elected Iraqi government's request for international intervention to aid it in fighting ISIS, a scenario that cannot be duplicated in Syria.

But ISIS has set roots in both Syria and Iraq, and has erased the border between the two countries in areas under its control. To limit any action against ISIS, whether military or otherwise, to Iraq alone is therefore meaningless.

Focusing on airstrikes as a key method of military engagement is also ineffective. ISIS knew very well that no Western country would want to commit boots on the ground in Syria or Iraq, and prepared to defend itself accordingly.

Before the coalition's campaign began, ISIS bases in Raqqa and elsewhere were evacuated and the group's members went underground. The raids that have been conducted to date have led to little actual damage to ISIS' military capability, according to one of my informants on the ground there. If anything, they have played right into the hands of its strategy.

This strategy is based on engaging in a defensive, asymmetrical war, which, as the examples of Hamas and Hezbollah have shown, is a good bet for militant groups with limited capabilities confronting larger conventional armies.

ISIS also invited military action against it in order to legitimize its narrative of fighting a war against "crusades." This narrative has now been strengthened, especially with many of those killed during the strikes being civilians. The more civilians die, the higher the resentment against the coalition, and the more attractive ISIS becomes to potential recruits.

Airstrikes will not sever people's ties with ISIS. The attraction of ISIS to its recruits is not merely ideological. It is based on seeking revenge for economic, social, and political grievances as well as the pursuit of power and money, but also a sense of belonging to a grand project, which is the establishment of a Caliphate.

Now that a Caliphate has been declared, even in rudimentary form, the most airstrikes can achieve is the containment of ISIS through limiting its ability to expand geographically, but not its eradication.

Without a political and economic plan tackling the motivations driving ISIS sympathizers within Syria and Iraq and globally, limited military action will keep ISIS alive and open the door to retaliation. With an increasing number of ISIS jihadists hailing from the UK, British involvement in the air raid campaign translates into increased threat to UK security. The risk of retaliation extends to all countries involved in the anti-ISIS coalition.

Although the anti-ISIS coalition has been crystalizing for some time, what it's pursuing is far from a carefully planned strategy. In addition to the risks highlighted above, a glaring gap is a political strategy for Syria that would prevent the country from descending into the kind of chaos witnessed in Libya. Also absent is a regional security strategy for neighboring countries like Jordan and the Gulf states, which have entered the coalition nervously and are worried about their own stability now that they are in direct confrontation with ISIS.

There were several measures -- from diplomatic pressure to strengthening the Syrian opposition adequately -- that the international community could have taken two years ago, that would have prevented the Syrian crisis from escalating to the alarming level witnessed today.

Military action as currently planned would have been much more effective back when ISIS was still in its infancy. Now that military action is a reality, instead of merely jumping on the bandwagon, the UK should use its position as a major European country and a key ally of the United States to push the coalition towards formulating a long-term strategy that is indeed comprehensive and that offers a realistic plan for what happens in Syria and Iraq the day after ISIS is eradicated. This would bolster the UK's international standing, better secure coalition countries, as well as prevent the coalition from repeating the mistakes of the past.

@highlight

UK Parliament has voted in favor of Britain joining airstrikes in Iraq

@highlight

The UK wants to redeem itself after the Iraq invasion in 2003, writes Lina Khatib

@highlight

As it currently stands, the coalition's plan carries a high risk of backfiring, she says

@highlight

Khatib argues that airstrikes will not sever people's ties with ISIS