(CNN) -- If you live in the South, you probably know not to ask for a mustard-based BBQ sauce in North Carolina and you'd never, ever think of using soap on your cast-iron skillet. But even if you call some corner of the South "home," you might not know how to properly shuck an oyster, prepare the perfect wedding toast or start a fire.

It won't be held against you -- but bless your heart -- you might consider picking up a copy of "The Southerner's Handbook," a new book from the editors of Garden and Gun magazine.

With a name inspired by a long-gone late-night club in the magazine's hometown of Charleston, South Carolina -- "the Studio 54 of the South," as editor David DiBenedetto put it -- Garden and Gun isn't just about gardens or guns. Nor is the magazine and its new book directed solely toward Southerners. More than 40% of the magazine's readership is based above the Mason-Dixon line, he said.

It's about the culture, people and places that make the South -- well -- Southern, with a strong sense of sophistication the region has earned.

"The Southerner's Handbook" is billed as a "guide to living the good life" and features illustrations, tips and tricks to help readers embrace Southern living.

Yet despite the magazine's predilection for all things Dixie, DiBenedetto says transplants to the South -- no matter where they hail from -- can benefit from flipping through the handbook's pages.

Here's what DiBenedetto, a native of Savannah, Georgia, had to say about the book and modern Southern culture.

CNN: Why a handbook?

DiBenedetto: The South is a vast place with pockets of culture that are really different from each other. If you're in the low country, you better know how to shuck an oyster. If you're in the Appalachian mountains, you better know when to find ramps. When it's Mardi Gras, you're gonna need to know how to avoid any throw up flying off a balcony.

There are so many nuances to different parts of the South. So many traditions and passions, there are a lot of great skills that get passed down. The South has an unbelievable natural bounty; we've developed a set of skills to address that bounty.

CNN: For someone who's never been to the South, or is new here, what does it mean to be a Southerner?

DiBenedetto: It means to have pride in place; it means to be connected to the land and to understand that land. So much of the book is a bit of tutorial, but it's also about telling great stories. It's about bringing people to the table, about having conversations. Food is a leveler, and Southern food unites us in so many ways.

CNN: The topics addressed seem to range from outdoorsy -- the fastest way to start a fire -- to pretty sophisticated -- how to talk Faulkner. Is that what a Southerner is?

DiBenedetto: Around here we call it high and low. A Southerner is at home in a BBQ shack in the middle of nowhere ... and at the same time dressed in style in a black tie event. The South is these juxtapositions of high and low.

To bridge the gap you have to experience them, you've gotta be open to going to the middle of nowhere to a small BBQ shack in Mississippi. You have to be open to experience, open to listen to the folks that have experience, tradition and skills. If you're willing to listen and learn, it's all there for you.

CNN: How could a transplant benefit from the handbook?

DiBenedetto: There is an unbelievable amount of details and information (in the book.) If you're at a party and there's football on, the book addresses great SEC football rivalries and why they're important. You'll also learn the difference between mustard and vinegar based BBQ sauces. There's a lot to take away

CNN: Why is it important that someone new to the South understand these two things?

DiBenedetto: I think it lets you get in on the conversation; it lets you in on the party. To understand why the Alabama-Auburn game, which has been going on since the late 1800s and was postponed for a number of years because the rivalry was so intense, helps you understand how far football goes back in the South and what it means to football fans.

The same way with pepper vinegar versus mustard sauce. It helps understand place, and so much of what the book is about is understanding place and tradition.

CNN: How can already established Southerners use this book to up their game?

DiBenedetto: This being such a vast place in terms of different cultures and geography, there's plenty to learn. There's so much variety in the South and a variety of skill sets, even a Southerner would find plenty to enjoy in the book.

CNN: There are phrases like "Bless your heart" that mean something else entirely when said a certain way. What are the best phrases to learn that are genteel, yet communicate something deeper?

DiBenedetto: The go-to is "Bless your heart" and how that can be said with tone or the way someone cuts theirs eyes. A Southern woman can say so much with the way she cuts her eyes when she says something.

There's a section of the book where we talk about the proper way to say goodbye. At the end of an evening the host might say "Well, this has been a fun time." It means what it sounds like -- it's been fun, but it's over now. While that's not very Southern, it's the Southern way to say "Get out of the house."

CNN: Given the heat and humidity, clothing in the South can be as much about fashion as it is about function. Which wardrobe choices help beat the heat but still help maintain a Southern sense of style?

DiBenedetto: Seersucker. There's a danger of overdoing seersucker, but if you've gotta look stylin' you can impart just enough Southern sense of style, and it's still good for a hot climate.

CNN: What are the three things any self-respecting Southerner should have on hand for impromptu entertaining?

DiBenedetto: Bourbon, proper seating and deviled eggs.

CNN: Mastering all of the topics in the book seems a little intimidating, are there a few every transplant and Southerner should master?

DiBenedetto: Food and drink are so important to Southern culture. And understanding why is important. There are great recipes in the book and stories about food. Those two chapters are core.

Southerners love to have a good time, they're not afraid to have a good time. A lot of that centers around food and drink. We have parties where you bring out your grandmother's pimentos cheese or deviled eggs and it's about that tradition. Good food and drink leads to great stories.

To master some of these basics is to be able to be in the conversation. To know what a cat head biscuit is and know how to make it, to understand why we crave and lust after the perfect fried chicken. Knowing that stuff gets you closer to the traditions and the passions and the people and the land.

@highlight

The magazine Garden and Gun released "The Southerner's Handbook: A Guide to Living the Good Life"

@highlight

The handbook includes how-tos to "Mardi Gras like a local" and "Dance like a cowboy"

@highlight

Handbook editor David DiBenedetto says it's for Southerners new and old