(CareerBuilder.com) -- Do you ever wonder who decided potato chips should come in such a loud, crinkly package? And why a bag of chips? Why not a box? Or a can? Someone had to decide. Luckily, you can take comfort in knowing that the "bag of chips" decision was made by an expert.

Packaging, the art of developing appropriate vehicles for consumer goods to arrive safely at our homes in, is actually a major at multiple colleges in the U.S. And packaging isn't even the strangest college degree out there.

We rounded up some of the most unique and interesting degrees offered at colleges and universities around the country, and then went a step further to find out what, exactly, people do with these degrees when they graduate.

Here, a look at some of the nation's most interesting college programs, and the post-grad job possibilities.

CareerBuilder.com: An entire career at one company

1. Race track management

The Race Track Industry Program at the University of Arizona is the only program of its kind, providing students with the background necessary for a number of career paths in the horse racing industry. Should students choose the "animal path," they will graduate prepared to work as a horse trainer or breeder.

Those opting for the "business path`" will be suited to work on the management side of the industry. So how do students fare in the real world after graduating from such a unique program?

According to Douglas Reed, the program's director, graduates do pretty well.

"We have a placement rate in excess of 80 percent immediately upon graduation and [students] receive jobs in all facets of the industry due to the nature of the two paths and the broad based knowledge they receive," Reed says.

"Some students start at a racetrack in mid-level management or entry level jobs, others work with the horses either on farms or at the track for a trainer. Still others enter the business in related companies [like those] that process wagers or service the industry."

Interested in finding out more about what can be done with the degree? A list of alum can be found on the program's website.

2. Packaging

Students who enroll in one of the nation's few undergraduate packaging programs don't spend four years learning to think outside the box. They learn to think about the box. A degree in packaging teaches students how to create the most economically, aesthetically, environmentally and technically sound packages for the good we use on a daily basis.

According to the University of Wisconsin-Stout, graduates of its packaging program go on to work for companies like Snap-on Tools, Frito-Lay, Kohler and FedEx.

In a survey on 2009 graduates of the UWS program, in the months following graduation, 95 percent of packaging graduates were employed, 90 percent in a field related to their major.

3. Viticulture and enology

In laymen's terms, Cornell University's Viticulture and Enology Program is it's school of Grapes and Wine. Though the school began offering coursework in the discipline in the early 1990s, Viticulture and Enology only recently became an official major at Cornell.

According to Kari Richards, Cornell's Viticulture and Enology Major Coordinator, there are currently about 35 students enrolled in the major and 20 enrolled in the minor.

"Of the approximately 20 graduates over the past five years, the majority are involved in the industry," Richards says. "Some have continued enology-related studies in graduate school, others travel worldwide to gain experience in harvest and crush, [and a] few will or have returned to the home winery/vineyard."

CareerBuilder.com: Get the most out of a fall-back job

4. Puppetry

The University of Connecticut is one of only two schools in the country to offer an undergraduate degree in puppetry arts, and the only school in the country offering a Master's program.

According to the program's website, enrollment is limited to only 22 students, who take classes like "Trends in Contemporary American Puppetry" and "Marionette Construction."

According to the site, "graduates of the program perform and design for theatres around the world; appear in, build for and manage internationally recognized television programs and films; write books; design toys; teach children; and direct prominent schools and museums."

5. Decision making

Indiana University's Kelley School of Business offers a Doctorate degree in decision sciences, a program literally designed to help future business leaders analyze and make decisions. Though the name may make this degree sound like fluff, the course of study is quite rigorous.

According to the program's website, "Decision Sciences is devoted to the study of quantitative methods used to aid decision making in business environments. Using mathematical models and analytical reasoning, students examine problems ... and learn how to solve these problems by using a number of mathematical techniques, including optimization methods (linear, integer, nonlinear), computer simulation, decision analysis, artificial intelligence and more."

6. Turfgrass management

Michigan State University is one of a handful of schools in the country that offers a turfgrass specialization.

Under its College of Agriculture and Natural Resources, students in the MSU program learn to maintain golf-course greens, athletic fields and parks by taking classes like "Golf turf irrigation,""Management of turfgrass weeds" and "Plant genetics."

Graduates of the program have nabbed some pretty notable jobs, too.

According to Jill Cords, a career consultant with the college, two alumni actually faced off at last year's World Series. One alumnus was a groundskeeper for the Texas Rangers, and another was working for the San Francisco Giants.

CareerBuilder.com: 7 things you should never say in an interview

Kaitlin Madden is a writer and blogger for CareerBuilder.com.

&copy CareerBuilder.com 2010. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

The Race Track Industry Program at the University of Arizona prepares students for a career  in the horse racing industry

@highlight

Students can study wine at Cornell University

@highlight

Michigan State University offers a turfgrass specialization