(CNN) -- The three mothers hail from the same province in China, but they'd never met until a reckless driver in central Ohio killed their only children.

From left, Sun "Zoe" Yan, Bian "Jack" Jin and Xue "Jo" Bing were students at Urbana University in Ohio.

Two years later, the women wade through a cultural morass, struggling with American laws and language as they work to recoup the tens of thousands of dollars they borrowed to educate, and bury, their children.

They've also lost their pride and possibly their future. In China, a family's future often rides on the education of its youngest member, and parents routinely mortgage the present for a brighter retirement.

The three mothers have no good news for friends and relatives who stop by their homes in northeast China, sometimes for hours, asking for their money. The mothers face the cultural shame of not being able to repay them, and many of their creditors don't believe them when they explain they've received little compensation for their losses.

"Even after I die, I could not close my eyes," Cai Tie Juan said, describing her stress and exhaustion through a translator.

On March 8, 2007, Cai's son, Bian Jin, 27, better known to his American counterparts as Jack, was returning from a spring break shopping trip with Sun Yan and Xue Bing, both 24.  Learn more about students »

According to the Dayton Daily News, Bian was driving. Sun, aka Zoe, and Bian's girlfriend, Xue -- whose friends called her Jo -- were in the backseat of Bian's Ford Taurus. They were trying to get back in time for Sun's 6:30 p.m. shift at a local Chinese restaurant in Urbana, Ohio, where the three attended graduate school.

Witnesses told the newspaper that several cars were waiting at a traffic light when Jason Skaggs, then 34, approached the intersection of Urbana and Moorefield roads. Skaggs crashed his blue Chevy Tahoe into a Buick Skylark at 98 mph (about 158 kph), went airborne and sandwiched Bian's Taurus between the Tahoe and a gold Chrysler, witnesses and police told the paper.

The Taurus was reduced to a ball of crumpled metal with tires. Bian, Sun and Xue were killed instantly. Four others, including Skaggs, were injured. See photos of wreck, trial from Dayton Daily News

Skaggs said he had had a seizure before barreling into the intersection, but the jury didn't buy the defense and found him guilty of aggravated vehicular homicide. During the trial, the media uncovered a litany of driving violations committed by Skaggs, including a speeding ticket he received for driving 91 mph in a 65-mph zone just weeks before the wreck.

Skaggs also had been jailed for aggravated vehicular homicide in the past, after he had passed a car in a blind curve in 1994, killing a 79-year-old mother and her son, the Daily News reported.

A judge in August sentenced Skaggs to the maximum 34 years in prison.

The students' parents wonder how Skaggs had a license to begin with. He'd already killed two people and had no insurance. And if epilepsy played a role in the wreck, it only bolsters their belief he shouldn't have been driving in the first place.

"Why could somebody let this happen?" Xue's mother, Sun Chun Zhi, asked through a translator. "Obviously, he had a history of driving recklessly and had violated many traffic laws."

Chinese laws would've never let someone like Skaggs drive, and more frustratingly, they say, the Chinese government would've stepped in with financial help if this had happened in their homeland.

Conversely, it is a Chinese law that has been most devastating. Because the world's most populous nation has for 30 years enforced a one-child-per-couple policy, Bian, Xue and Sun Yan had no siblings, so the families' prospects for the future were crushed in a Ford Taurus at the intersection of Urbana and Moorefield roads.

"When you raise a child in China, you are basically insuring your old age," Sun Yan's mother, Yu Ming, said, weeping as she spoke through a translator.

Because Bian, Xue and Sun Yan had promising futures, their parents were confident asking friends, relatives, colleagues and even their kids' classmates for money to send them to graduate school at the 1,500-student Urbana University.

In China, personal loans from banks aren't as common as they are in the U.S. More commonly, people borrow from friends and family, and you are honor bound to pay them back. There is no poor-mouthing or filing for bankruptcy.

The university unveiled a memorial last year among three Lacebark Pines, a native Chinese tree.

"You return what you owe. It is the bible of heaven and the ground rule of Earth," Yu said, using a Chinese saying to explain the importance of honoring your debts.

Each family borrowed in the neighborhood of 300,000 yuan, almost $44,000, to send their kids 6,500 miles to Urbana University. They each borrowed tens of thousands of dollars more for their children's funerals and several trips to the United States, some to attend Skaggs' trial.

They've collectively received about $19,000 from a state victim's fund and $22,000 from a charitable fund established by Urbana University. Another fund set up by the university collected about $36,000, but much of the money went toward the families' funeral and travel bills.

The mothers say they appreciate the donations because their pensions and pay are a pittance of what they owe.

Xue's father is back home in Dalian City, a trading hub of about 6 million people on the Liaodong Peninsula near North Korea. The retired office manager earns a pension of about 1,600 yuan, or $234, a month.

Bian's father and Sun Yan's father live in Shenyang, an industrial base of more than 7 million people, also near North Korea. Bian's father has been working all the overtime shifts he can muster and brings home about 3,500 yuan ($512) a month. Sun Yan's father is a farmer and receives no pension.

Meanwhile, the mothers have been in Springfield, Ohio, living in a home donated by a sympathizer since November. They keep their living expenses as low as possible, subsisting off one meal a day to save money.

Cai and Yu still collect their respective pensions of about 1,300 yuan ($190) and 700 yuan ($102) a month. Sun Chun Zhi has lost her job as an accountant because of all the trips she has made to the states in the last two years.

The women say they are pleading with anyone they think can help -- university officials, the consulate, even a senator.

Yu said she and her husband recently sold their cozy apartment in Shenyang and moved in with a niece in China to help pay off their debts, which included about 50,000 yuan ($7,312) that Yu and her four siblings scraped together to pay their father's medical bills from a recent surgery.

"It didn't amount to a lot of money," Yu said of the apartment sale.

The mothers have considered suing Skaggs, who was represented at trial by a public defender, but lawyers have told them it's not worth it.

Friends and family members regularly stop by their homes in China, asking, "How could there possibly be no money? We really need money, too. Can you return it?" Sun Chun Zhi said. "They really don't understand why we didn't get any money. They didn't believe that ... they're not forcing you. They sit there and keep asking for money."

Added Yu, "They're not rich, either. They save all this money, and they don't spend like Americans, they save. And then they lend it to me, and now they've lost it, too."

The mothers are coping with emotional problems as well.

Sun said the death of her daughter has left the family feeling helpless and "emotionally destroyed." Yu, who did not eat for two days after the wreck, said she's lost her "source of energy." And Cai has taken up a regimen of sleeping pills to get some rest at night.

"It's not getting better. It also feels like my heart is almost failing me, and I feel my body is almost failing me," Cai said.

Sun Chun Zhi said she, Cai and Yu sometimes struggle to grasp "the meaning of why we need to survive" after losing their only children.

"But we cannot fall apart now because we are trying to return the money to the people we borrowed it from," said Sun Chun Zhi. "We're trying every possible way to return their money."

@highlight

Jason Skaggs had vehicular homicide conviction before he killed students

@highlight

Mothers plead for help paying off thousands they borrowed to send kids to U.S.

@highlight

Mother: "When you raise a child in China, you are basically insuring your old age"

@highlight

Families earn between $102 and $702 a month in pay, pensions in China