(CNN) -- During his trip to northwest Syria in late April, Ole Solvang talked to dozens of people who told him gut-wrenching stories. When the Human Rights Watch interviewer and his colleagues returned home, they titled their report "They burned my heart: War crimes in Northern Idlib during peace plan negotiations."

"Those words were chosen because what we saw and heard evidence of were systematic executions and torture -- war crimes -- by the Syrian government forces," he said.

"It's been frustrating to record these stories and then hear more negotiating," said Solvang, who describes in a video what he saw. "I think it's clear that there are attempts to undermine the peace plan."

This week, a bomb exploded near a United Nations convoy of workers tasked with monitoring whether a peace plan is working. On Thursday, two car bombs also exploded outside a key government intelligence compound in Damascus. For much of the 14-month uprising, the capital city, home to many al-Assad supporters, has been largely untouched by the violence. Thursday's explosions, which killed more than 50 people, are believed to mark a major point in the conflict.

More violence came Friday, according to an opposition group. Five people in Homs and Hama were killed by government forces: Three were shot by snipers, and two were tortured to death, a spokesperson said.

The architect of the peace plan, Kofi Annan, the United Nations special envoy to Syria, has said that he is now weighing an invitation to meet with al-Assad.

Al-Assad's government faults "terrorists," the term it uses to describe the opposition and rationalize security forces' crackdown.

His regime has banned foreign journalists, and several of those who've attempted to report on what's happening in Syria have been injured or killed.

Solvang and his team knew the risk they took in entering Syria. They avoided checkpoints and kept a low profile.

They visited homes in the province of Idlib and say they hundreds of ruined homes in various towns, many probably from systemic house-by-house arson attacks.

Many of the male opposition fighters who once lived in the area's towns have fled, Solvang said. Many women, children and the elderly remain, yet they are being targeted with equal brutality, he said.

Several of the 65 witnesses and victims who talked to Human Rights Watch were mothers or wives. They say government forces broke into their homes and executed their families. Three of the victims were children.

At 33, Solvang is already an experienced conflict documentarian, interviewing victims of violence in Russia, the North Caucasus and Sri Lanka. He has focused on Syria since the anti-Assad movement exploded in March 2011.

But still, he cannot get one mother out of his head.

"She was telling me how the government forces had detained her son and how she had tried to be nice and quiet and cooperative, hoping they would release him," Solvang said. "But as soon as the soldiers left, they told her, 'You have to forget your son.' "

Three days later, the woman found her son's body, riddled with signs of torture, in a village cemetery.

"The courage she had despite (what she went through) and the way she described how she found his body afterward, that made quite a great impact on me," he said.

Solvang says another mother suffered similarly.

The woman recalled how her three sons -- all in their early 20s -- were awakened in the middle of the night by fighters in uniform who identified themselves as "Bashar's men."

The fighters demanded to know why the sons owned a pants of a style seen worn at demonstrations.

The mother desperately tried to explain that the pants were common, that they were the only style available at the town market.

The fighters, she said, ransacked the house and forced the sons outside. The mother ran after them, but the "soldiers pushed me back inside," she said.

She describes what happened: "About an hour later, a neighbor came in and said there was a fire nearby, that the army set some cars and a motorcycle on fire, and the neighbors needed more water. My daughters and I went out with buckets, and then my daughters, who were in front, ran to me, saying that my sons were there as well.

"After we extinguished the fire, we found their bodies. Bilal was shot in the middle of his forehead, Yousef behind his ear, and Talal was shot by two bullets, in the head and in the back."

The mother told Human Rights Watch, "I just wish I were killed and I didn't have to see that."

Several of the victims of summary executions were teenagers; three were children, and several were older than 60, the group documented.

Though Solvang has interviewed victims in numerous conflicts, Syria stands out to him because of the estimated tens of thousands of people who rights workers suspect have been unlawfully detained. "But it's really unclear how many. No one really knows for sure," he said.

Also unusual is what he says is Syrian authorities' widespread, systematic use of certain torture techniques: Electricity is often used. Syrians have also come up with a name for being hogtied; they call it the "flying carpet."

Solvang was also struck by people who victims described accompanying their attackers. These people often wear masks and may be locals or people familiar with the victims.

One man recalled to Human Rights Watch that while a Syrian official brutalized him, a man with his attacker spouted personal information about him.

"Ask him about his cousin who happens to be a lawyer who is active with the opposition," the man said.

Another section of the report details the execution of 19 boys and men in the village of Taftanaz on April 3.

Human Rights Watch was able to observe bullet marks near several of the alleged killings: all in a row, about 50 to 60 centimeters above the floor, indicating that the victims were probably kneeling when they were shot.

Less than a week earlier, in late March, al-Assad announced that he would implement the United Nations peace plan.

@highlight

Human Rights Watch interviewed Syrians who said families had been executed

@highlight

One woman talked about finding her son's body, tortured, in a cemetery

@highlight

The group interviewed 65 witnesses and victims in late April

@highlight

Interviewer said what he heard and saw constitutes war crimes