Which Jeff Bezos bought the Washington Post for $250 million?

Was it the Bezos who helped recover two Apollo-era F-1 engines from the bottom of the Atlantic ocean this spring? A savior capable of raising rusted heaps out of their watery graves?

Was it the Bezos who's sunk $42 million into the "Clock of the Long Now," a timepiece that will run for 10,000 years entombed inside a man-made cavern carved into the top of a mountain outside of Ely, Nevada? An eccentric billionaire who'll drop vast amounts of money into, well, a hole in the ground?

Was it the Bezos who founded Amazon, the biggest store in the world, a company that has both transformed and trampled nearly every formerly brick-and-mortar industry it has entered, from books to shoes and beyond?

Or was it the Bezos whose personal investments -- in companies like Twitter, Airbnb, Makerbot, Uber and many others -- demonstrate an innate understanding of the shifting trends of the web?

Each one of those Jeff Bezoses would do interesting things to the Washington Post (well, maybe not the crazy mountain clock guy).

But as someone who spends every day thinking about the intersection of journalism and technology, I hope it was the Jeff Bezos who shepherded AWS -- Amazon Web Services -- into being.

Unless you build things on the Internet, you've probably never heard of AWS. That's because AWS is in one of the world's least sexy businesses: server and computational infrastructure.

AWS began as a commerce problem. Amazon needed a massive server cloud for the holiday shopping season but only a fraction of it for the rest of the year. That means a lot of expensive servers would be sitting idle to make sure your Christmas presents don't get hung up when you press "purchase." So the idea hatched that those idle computer servers could be rented out to other companies. It worked.

Now, when you watch a movie streamed from Netflix, you're using AWS. When you check out your friend's picture on Instagram, read a blog on Tumblr, pin something on Pinterest, you're accessing AWS. Reddit, the "front page of the Internet"? That's built on AWS. The infrastructure of the Obama for America re-election campaign -- vaunted as the most technically sophisticated campaign in history -- relied on AWS, too. The size, scale and impact of the AWS server cloud is massive and growing.

AWS is one of the most transformative and oft-overlooked technologies of the last decade. And it started as little more than a "hare-brained scheme," as Benjamin Black, one of the original drafters of the technology, described it in 2009. AWS is about as "all of the buffalo" as you get in technology: Use every part of the tech stack so that your servers are always in use, either by you or by others.

With AWS, Bezos found value in every part of the process. He looked at risks and embraced "hare-brained" experiments. He saw opportunity in extending Amazon technology externally, not just keeping it all in-house (AWS serves the streaming movies of Amazon's competitor Netflix just as efficiently as it serves its own).

Similar to the creation of AWS, journalism has its done its share of invention and experiments that have transformed the Web.

Django, a Web framework used by companies like Pinterest and Instagram, got its start in the newsroom of the Lawrence Journal-World. Backbone, a Javascript library that powers sites like Hulu and Pandora, was created as part of the Document Cloud project at the New York Times. These newsroom technologies and others like them are transformational not just to journalism but to the entire Web the same way AWS doesn't power only Amazon.

These spinoffs, these "hare-brained" ideas, these bits and pieces of code that start in the newsroom and end transforming the Web itself, are what technologists in journalism do best when they have the right support and leadership behind them. That leadership is still too rare in the journalism industry. That may have changed in a big way on Monday.

In a letter written to Washington Post employees, Bezos says that, moving forward, "we will need to invent, which means we will need to experiment."

Let's do it.

@highlight

Amazon.com's Jeff Bezos bought the Washington Post for $250 million

@highlight

Dan Sinker: I hope it was the Bezos who shepherded Amazon Web Services into being

@highlight

He says with AWS, a transformative technology, Bezos embraced experiments

@highlight

Sinker: Leadership that allows journalists to invent and experiment is what we need