The devices used in the Boston Marathon attack Monday are typical of the "lone wolf:" the solo terrorist who builds a bomb on his own by following a widely available formula.

In this case, the formula seems very similar to one that al Qaeda has recommended to its supporters around the world as both crudely effective and difficult to trace. But it is also a recipe that has been adopted by extreme right-wing individuals in the United States.

The threat of the "lone wolf" alarms the intelligence community.

"This is what you worry about the most," a source with knowledge of the investigation told CNN's Chief Political Analyst Gloria Borger. "No trail, no intelligence."

Officials have told CNN that among the materials used in the attack on the marathon were some sort of timing device, a basic mixture of explosives and some sort of metal container containing nails and other projectiles. The FBI said late Tuesday that what appeared to be fragments of ball bearings, or BBs, and nails had been recovered and had possibly been contained in a pressure cooker.

One federal law enforcement source told CNN's Deborah Feyerick the devices contained "low-velocity improvised explosive mixture -- perhaps flash-powder or sugar chlorate mixture likely packed with nails or shrapnel."

An explosives expert told CNN the yellowness of the flame probably came from carbon or some organic fuel such as sugar that contains it. The expert, who is frequently consulted by the FBI and other government agencies, said the white smoke made it "unlikely that a military-grade high explosive, such as those used in shells and bombs, which is usually grey or black, was used."

U.S. Rep. Mike McCaul, chairman of the House Homeland Security Committee, said "most likely gun powder" was used in the devices.

Such improvised devices use readily available materials that cannot be easily traced. Al Qaeda in the Arabian Peninsula, in its English-language online magazine Inspire, noted such "ingredients are readily available" and they are "easily disposed of if the enemy searches your home."

There is no evidence that AQAP or any of its supporters was involved in the Boston attack. Nor is it clear whether the attack was the work of one or more individuals. But AQAP has championed 'do-it-yourself terrorism' in the last three years, urging Muslims in the West to take action on their own.

"How to Make a Bomb in Your Mom's Kitchen," published in a 2010 edition of Inspire, has been downloaded by Islamist militants plotting terrorist attacks in both the United States and the U.K., according to counterterrorism officials.

Eight pages were devoted to building a basic but lethal device. The ingredients included sugar and a black powder made from match heads. Combining step-by-step instructions and diagrams, the magazine described wiring a "timed circuit as it is simple" and using small nails as shrapnel. It said gunpowder or powder from fireworks can be used as a substitute for match heads.

It continues: "It only works if contained in a high-pressure environment. So you may use iron pipes, pressure cookers, fire extinguishers or empty propane canisters ... The pressure cooker is the most effective method."

The U.S. Department of Homeland Security has issued several unclassified bulletins about the use of pressure cookers as part of an explosive device. In July 2010, the DHS said that while pressure cookers are common in countries such as Afghanistan, "the presence of a pressure cooker in an unusual location such as a building lobby or busy street corner should be treated as suspicious."

Such a formula is certainly not unique to AQAP. Variations appear all over the Internet.  A senior U.S. counterterrorism investigator told CNN that pressure cooker bombs have also been a signature of extreme right-wing individuals in the United States who he said tend to revel in building homemade bombs.

For example, the devices planted by Erich Rudolph at an Atlanta park during the 1996 Olympic Games were pipe bombs filled with gunpowder and nails  to increase their lethality; it also had an alarm clock as a timing mechanism. Like the bombings in Boston, those devices were concealed in a backpack, according to a Department of Homeland Security report detailing the 1996 attack.

At least two previous terrorist plots on U.S. soil have involved variations on the Inspire recipe, and both involved "lone wolves." Pakistani-American Faisal Shahzad tried to detonate a vehicle bomb in Times Square in 2010 that included "a pressure cooker containing approximately 120 firecrackers," according to the 2010 DHS bulletin.

The indictment against another alleged "lone wolf" militant, Jose Pimentel, described a video "showing the defendant following precisely the instructions from the Inspire Magazine article by (i) scraping the heads from the matches and collecting the incendiary powder in a bowl; and (ii) connecting a Christmas tree light to the battery using wiring to create an ignition device."

Pimentel was arrested by New York police in November 2011 and pleaded not guilty to state terrorism charges.  He had not received training overseas, but Shahzad had received training from a bomb-maker with the Pakistani Taliban.

And exactly one year before Pimentel's arrest, Taimur Abdulwahab al-Abdaly flew to Sweden from England. There he built a powerful but  rudimentary bomb, using ingredients he was able to purchase locally: pressure cookers, fireworks, explosive chemicals, and nails and ball bearings. He too had received bomb-making training, not in Pakistan, like many others, but in Iraq.

Abdulwahab died when he tried to detonate a device in central Stockholm in December 2010.

@highlight

Boston Marathon bombs seem to follow widely available recipe, experts say

@highlight

"Lone wolf" devices worry the intelligence community because there's "no trail, no intelligence"

@highlight

Al Qaeda, U.S. right-wing extremists use hard-to-trace bombs, experts say