(CNN) -- If the furnace in your basement stopped working, and you hired a company to repair it, what would you do if several of the workers came upstairs, told you they couldn't figure out how to get the furnace started, and then began pointing fingers at each other and saying:

"It's his fault."

"No, it's his fault."

"If he'd listen to me, we could get this job done."

"He tries to stop me every time I'm on the verge of fixing your furnace."

You'd probably stand there slack-jawed, hardly believing what you were witnessing. Then you'd say:

"I don't want to hear you guys blaming each other. I'm paying you to do a job. Just go back down there and do it, or if you can't, get out of my house."

Or if you had a leak in your plumbing, and the plumbers emerged from under your sink to tell you:

"I'm sorry -- I can't work with this man. He undoes everything I'm trying to do to get your pipes back in shape."

"So typical of him to put the blame on me. He's got it exactly backward. I know how to stop the leak -- he has no idea. And he never has."

You'd tell them that this is not what you hired them to do. Why are they wasting your time and money telling you that it's the other guy's fault that the water is still dripping onto your floor? You'd ask them to keep their personal animosities to themselves and figure out a way to complete the job they'd agreed to do, or else you're not going to give them a cent.

You'd be well within your rights. When work needs to be done, you hire people who promise that they know how to do it, and you expect to get what you paid for. You are the employer; you are the boss.

But in one area, this doesn't seem to be the case.

In politics and government, almost all Americans agree on the tasks that urgently need to be completed.

A few of them:

â€¢ Creating jobs so that finding meaningful employment can stop feeling like pursuing an all-but-unattainable luxury.

â€¢ A fair solution to health care, that compassionate people along every station of the right/left continuum can live with and be proud of.

â€¢ Fixing the fallout from the big-bank machinations and the mortgage crisis that have cost so many people their homes.

Addressing these problems is a task beyond any of us as individuals. So, in the same way we hire workers to repair the furnace or plug the leak under the sink, we hire workers to fix the big national problems.

They have lofty titles and work in buildings made of white marble. We hire our presidents, our members of Congress, and, indirectly, our justices of the United States Supreme Court.

And maybe it is time to remind ourselves -- and to remind them -- that they are, in fact, hired hands.

They are being paid to do a job. They are not being paid to tell their employers -- the citizens -- why they can't get the job done, or why they can't get along with the other hired hands who are supposed to be working beside them.

Only in politics and government, when the hired hands come up short, are they allowed to get away with flicking spitballs at each other as the country waits for results -- spitballs in the form of purportedly clever attack lines packaged and issued by advisers, meant to wound the other side, yet doing nothing to further the completion of the jobs at hand.

Whether, individually, we are conservatives or liberals or somewhere in the middle, we have a right to expect the people who have been hired to solve the country's problems to do just that, and to spare us the name-calling and blame-shifting. We wouldn't accept that from electricians or auto mechanics; there is no reason to accept it from men and women with federal titles.

There is a self-congratulatory phrase that political pros like to throw around: "Politics ain't beanbag." But these days, that's what it increasingly can feel like: a childish game played by people so enamored of the game itself that the playing of it pushes aside the real-world consequences.

Those real-world consequences matter -- they matter desperately. And the people who should be the demanding employers -- the citizens -- are tossed about in the heavy waves of the political storm, as if they are mere bystanders who have no standing in all of this.

There is another phrase, used as the title of a song by the young Bob Dylan in the years before his name became known all over the world. In a different context from the issues we face now, Dylan called his song "Only a Pawn in Their Game."

It would be hard to blame Americans today if they sometimes identify with that phrase.

But they shouldn't have to settle for feeling like pawns.

And this is not a game.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: If you hired people to fix your furnace and they couldn't agree, you'd fire them

@highlight

He says similarly, government officials, whose salaries we pay, must show results

@highlight

He says only in politics can people get paid for fighting among themselves

@highlight

Greene: Citizens can be forgiven for feeling they are a pawn in politicians' game