Benghazi, Libya (CNN) -- CIA operatives are providing intelligence from Libya, where opposition forces are on the run and the defiant government suffered the embarrassing defection of its foreign minister Wednesday.

The NATO-led coalition, which is enforcing a no-fly zone and protecting civilians from the intense fighting, got no help from the weather in its ongoing efforts to protect the fragile opposition movement.

"The weather conditions did not allow close combat support by aircraft in the last couple of days," said Republican U.S. Rep. Mike Rogers, chairman of the House Permanent Select Committee on Intelligence.

Moammar Gadhafi's government, for its part, kept up the war of words.

State-run Libyan TV late Wednesday quoted a military source as saying a "civilian location was shelled tonight in the city of Tripoli by the colonizing crusader aggression."

Amid debate on whether the allies will arm the retreating and undertrained rebels, a U.S. intelligence source told CNN the CIA is in the country to increase the "military and political understanding" of the situation.

"Yes, we are gathering intel firsthand and we are in contact with some opposition entities," said the source.

The White House refused to comment on a Reuters report that President Barack Obama has signed a secret order authorizing covert U.S. government support for rebel troops.

"I will reiterate what the president said yesterday -- no decision has been made about providing arms to the opposition or to any group in Libya," said White House press secretary Jay Carney in a statement. "We're not ruling it out or ruling it in. We're assessing and reviewing options for all types of assistance that we could provide to the Libyan people, and have consulted directly with the opposition and our international partners about these matters."

According to the Reuters report, Obama signed the covert aid order, or "finding," within the past few weeks. Such findings are required for the CIA to conduct secret operations, the report said.

A U.S. official not authorized to speak publicly could not confirm the finding, but noted when there are crises like this, "you look at all instruments of national power."

In early March, a U.S. official told CNN "the intelligence community is aggressively pursuing information on the ground" in Libya.

British Prime Minister David Cameron told the House of Commons that he has not ruled out arming the Libyan opposition, but added that Britain has not made the decision to do so.

U.S. Defense Secretary Robert Gates and Secretary of State Hillary Clinton provided classified briefings to House and Senate members who asked whether the United States intended to arm the rebels, participants told CNN.

Clinton and Gates made clear that no decision had been made, and Congress members from both parties said they believed it would be a bad idea, according to participants.

Regarding the committing of U.S. forces to the U.N.-backed operation, the White House has said Obama acted within his authority under the War Powers Act. It notes that the president and other officials consulted congressional leaders several times in the run-up to the March 19 deployment of U.S. forces to the U.N.-authorized Libya mission.

Clinton told members of Congress the administration acted within the requirements of the War Powers Act and needed no authorization for further decisions on the mission, lawmakers said.

The opposition got a boost Wednesday with news that Libyan Foreign Minister Moussa Koussa willingly traveled to London and told the government there that he has resigned, the United Kingdom Foreign Office said.

CNN's Ben Wedeman, who has been reporting from Libya for several weeks, said that Koussa's departure is a significant blow, but not a critical loss to the regime.

A Foreign Office spokesperson said Koussa was one of the most senior figures in Gadhafi's government "and his role was to represent the regime internationally -- something that he is no longer willing to do."

The department provided no other details on the surprise move.

CNN's Nic Robertson, who previously met with Koussa, said the former head of intelligence once was a stalwart defender of the government.

The Senate's Rogers called Moussa's defection "huge news."

Libya's opposition said its fighters are executing a "tactical withdrawal" from a swath of territory they once controlled, a move that comes as Gadhafi's forces relentlessly pound them.

Col. Ahmed Bani, speaking at a news conference in the opposition capital of Benghazi on Wednesday, said his forces are being outgunned by the superior military power of loyalists, spared the wrath of coalition airstrikes.

They have been pushed eastward over the last two days after CNN reported on Sunday that rebels took Brega, Ras Lanuf and Bin Jawad and reached a town just east of Sirte.

Rebel forces have now lost Bin Jawad and the key oil town of Ras Lanuf and are backed up to the Brega area, Bani said. Ajdabiya, which is east of Brega, will be prepared as a "defense point" if the withdrawal continues farther east, he said.

CNN's Wedeman said the rebels continue to have no effective command and control.

Bani called on the international community to supply opposition fighters with better and more powerful weapons to hold off the Gadhafi forces. He said the opposition was open to foreign troops training rebel fighters. Bani asked for tanks, heavy artillery and communications and logistics equipment.

The rebels have been demanding an end to Gadhafi's almost 42-year rule in Libya, but they have been facing "sustained attacks in the face of the coalition bombing" in Misrata, Ras Lanuf, and Bin Jawad, Robertson reported.

In an address to the House of Commons in London on Wednesday, British Foreign Secretary William Hague said that "regime forces have intensified their attacks, driving back opposition forces from ground they had taken in recent days." He cited the violence in the western town of Misrata.

"Misrata also came under heavy attack yesterday, with further loss of civilian life, including children, from mortars, sniper fire and attacks on all sides from regime tanks and personnel carriers," Hague said.

In the outskirts of Ajdabiya -- which was recently taken over by opposition forces -- Gadhafi's regime planted several dozen land mines, Human Rights Watch said in a statement Wednesday.

"Given the pedestrian and vehicular traffic in the area, the mines were clearly laid while government forces were in Ajdabiya," the group said.

Human Rights Watch also said 370 people are missing in the eastern part of the country, with some suspected to be in government custody. That list includes rebel fighters and civilians, including doctors, the group said.

CNN's Reza Sayah, Dana Bash, Pam Benson and Nic Robertson contributed to this report

@highlight

Weather prevents new coalition airstrikes

@highlight

CIA operating in Libya, in contact with opposition, source says

@highlight

Libyan foreign minister quits, U.K. says

@highlight

Opposition says it is carrying out "tactical withdrawal"