(CNN) -- More than 6 million Americans signed up for Obamacare before the March 31 deadline to get private health insurance through the Affordable Care Act exchanges. This is great news for the Obama administration.

But there are millions more reasons to celebrate Obamacare. Actually, at the writing of this essay, there are more than 317 million reasons — because that's the population of the United States of America and every single one of us can benefit from health care reform. How? Here's a rundown by the numbers:

3.1 million

That's how many young adults can get coverage because of the provision in Obamacare that allows them to stay on their parents' insurance plans until age 26.

105 million

That's how many Americans no longer have lifetime expense caps, whether it's because they have chronic illnesses or because their insurance company set restrictive policies.

6.1 million

That's how many Americans with Medicare Part D no longer have to go through the "doughnut hole" coverage gap. This means seniors can save more than $5.7 billion on prescription drugs.

3.2 million

That's the number of small businesses estimated to be eligible for tax credits for providing health insurance to their 19.3 million employees nationwide, credits worth $15.4 billion in 2011 alone.

4.4 million

That's how many low-income adults will now have access to health insurance thanks to states implementing the expansion of Medicaid under Obamacare; an additional 5.8 million poor adults would be included in this count if 25 mostly Republican-led states weren't refusing Medicaid expansion.

50 to 129 million

That's how many people will benefit from the Obamacare provision that eliminates all bars for coverage based on pre-existing conditions. Studies say that anywhere from 19% to 50% of non-elderly Americans have health conditions that could qualify as pre-existing conditions.

49.4 million

That's how many current Medicare enrollees can feel secure knowing that, under Obamacare, existing Medicare benefits can neither be reduced nor taken away.

317 million

-- That's how many Americans — i.e., all of us — potentially benefit from the requirement that insurance companies provide flu shots, HIV screenings, prostate exams, mammograms and FDA-approved contraception for free, without a co-pay.

-- Plus, we all benefit from new requirements that insurance companies must spend at least 80% of our premium dollars on our health care as opposed to marketing or administration.

-- We all benefit from the new requirement that insurance companies publicly justify their actions if they want to raise premiums by 10% or more.

-- We all benefit from knowing that our insurance can now never be capped or canceled at the whim of insurance companies.

As high quality care is maintained while costs may go down because of improved coverage and access, we all benefit from a more affordable and effective health care system.

What about, you ask, the estimated 4.7 million Americans who lost their current insurance plans during the rollout of Obamacare? Well, according to a congressional report, 2.35 million or so can take advantage of the Obama administration's decision to grandfather those plans through 2014.

Another 1.4 million qualify for Medicaid expansion or subsidies in the Obamacare exchanges. On top of that, the Obama administration has agreed that a "hardship exemption" built into health care reform for any American facing major challenges in complying with the law would be interpreted to include those whose policies had been canceled. In other words, they won't be penalized.

When Republicans rolled out stories of alleged Obamacare victims, the details were usually debunked in some way. The truth is that many of the canceled plans were no longer legal under Obamacare because they neither covered the basic things insurance should cover or, worse, were dangerously designed to explode the minute the insured got sick: what Consumer Reports has called "junk insurance."

Arguing that people should be able to keep these plans is like arguing that people should still be allowed to drive defective Chevy Cobalts or cars without seat belts. Like it or not, the government's job is to help keep us safe and insurance companies that were peddling shoddy products were doing the opposite.

Polls show most Americans want to keep Obamacare and work to fix it rather than replace or get rid of health care reform altogether. And there's much to suggest support for Obamacare would be even higher were it not for constant Republican attacks and misinformation about the law.

After all, when Americans find out what specific provisions are included in Obamacare, they overwhelmingly support them. Eighty percent support the extension of dependent coverage, 79% support closing the Medicare "doughnut hole," 77% support eliminating out-of-pocket costs for preventive services, 74% support the expansion of Medicaid. These Obamacare components are even supported by a majority of Republicans.

And it's still early. As more Americans access private health insurance choices through the exchange marketplace, receive care minus the discrimination and dirty tricks that insurance companies could get away with in the past, we'll see more people getting the medicine they need, screened for cancer sooner in more treatable stages and pay less for good care.

Every day, as we all see the benefits of health care reform in our lives, support for Obamacare will grow stronger. Before long, not even the most partisan Republicans will be able to attack it.

@highlight

Sally Kohn: There are more than 317 million reasons to celebrate Obamacare

@highlight

Kohn: With 6 million sign-ups, the young, poor, elderly and chronically ill all benefit

@highlight

She says Americans want to keep Obamacare and fix it rather than get rid of it

@highlight

Kohn: Over time, not even the most partisan Republicans will be able to attack it