(CNN) -- Here's a big idea that needs to sink in quickly: Car crashes and motorcycle accidents are symptoms of a disease, and it's high time we started looking at killer roads as a public health crisis -- or "pandemic," as the Pulitzer Center put it recently.

We think of HIV/AIDS and malaria as the big bad killer illnesses. They are among them, of course. But they've also got the advantage of having the world's attention.

Meanwhile, as the developing world continues to build more roads and buy more cars, road traffic deaths have emerged as a new and growing crisis -- one that's a threat to global public health.

"In the developing world, in a very short time, (road deaths) are going to leapfrog past all of these more famous diseases and will be the No. 5 killer in the developing world," said Tom Hundley, a senior editor at the Pulitzer Center, which launched an extensive project in August called "Roads Kill." That switch will happen, according to World Health Organization data, because malaria and HIV/AIDS are becoming less likely to kill a person, while deaths from road traffic accidents are expected to increase in coming decades.

The ongoing Pulitzer project highlights sobering facts: Roads kill 1.24 million people each year, and by 2030, that annual number is expected to jump to 3.6 million. Sometimes laws are the problem. For instance, Nigeria only recently started requiring new drivers to pass tests. More often, it seems, enforcement is a culprit. South Africa requires seat belts for front and back seat passengers, the center reports. But it got a rating of only 1 on a scale of 1 to 10 for enforcement, with 10 being the best. Meanwhile, front seat passengers who wear seat belts reduce their risk of dying in a crash by 40% to 50%, according to the World Health Organization.

The Dominican Republic has just about the highest number of road traffic deaths per capita, according to the World Health Organization. "Travel at night on intercity highways and in rural areas should be avoided, due to animals on the road, poor road conditions, poor lane markers, missing manhole covers, large potholes, unmarked speed bumps, and other vehicles being driven at excessive speeds, often with malfunctioning headlights or taillights," the U.S. State Department says on its website for travelers to the Dominican Republic. "Drivers should be aware that road hazards and closures are often indicated by piles of debris littered across the roadway, without any lettered signs or reflective surfaces to help call attention to the road condition. Often times, there is no indication of the road hazard whatsoever."

China has the highest total number of road deaths.

In many developing countries, Hundley told me, traffic cops are on foot -- meaning they can't chase down speeding cars. "You could run a red light or speed with impunity," he said. Motorcycles in Southeast Asia often carry entire families. That's got to create balance issues, and not everyone wears a helmet. "A lot of these countries have helmet laws -- so the driver wears a helmet," he said, "but his wife and two children don't."

Saddest of all is that, like many other killers, unsafe roads primarily are victimizing people in poorer countries. Income inequality factors in, too. "If you're the rich guy in an SUV and you hit a child on a bicycle, you just take off" in some countries with weak law enforcement, Hundley said. "Or you pay a small fine."

If road deaths are part of a disease, we know the cure. Countries like the United States and Australia have greatly lowered their rates of road deaths, in part with smart safety laws and levels of traffic enforcement that don't exist in some other nations. Australia used to be a country of "reckless drivers," the Pulitzer Center writes. "But strict enforcement of safe driving laws resulted in an 80% decline in road fatalities" over several decades.

In the United States, the rate of road deaths per 100,000 people was 15.64 in 1994, according to the National Highway Traffic Safety Administration. That rate had declined to 10.39 by 2011.

One of the most interesting things about the Pulitzer project is it has kickstarted conversations about road safety all over the world. Dan McCarey, a Web developer at the Pulitzer Center, told me people from Venezuela to South Africa have been talking about it.

"It was big in Iran for a couple days," he said.

These conversations need to happen, in part because of the increasing death toll, but also because solutions are relatively simple, especially compared to more stubborn global health problems like malaria, which also is a worthy issue.

Road deaths should roll onto the global radar.

That's where you come in. Everyone has a story about a dangerous road in the town or a traffic law they'd love to see changed. Take a look at the Pulitzer report -- it has a map where you can look up your country -- and tweet about what you want to change, or what you've experienced on the roads in the place where you live.

The group suggests using the hashtag #roadskill.

I'll do the same. I may tweet about how I've been on buses in Madagascar that turn their lights off at night because they think they're saving gas. Or about the driver in Atlanta who ran into me while I was biking because he didn't yield on a left turn.

No one anecdote will solve this problem, but the more we talk about it the closer we'll get.

And if Twitter isn't your thing, I'd love to hear your road stories in the comments section below.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Roads kill 1.24 million people per year, according to the WHO

@highlight

A new project highlights the deaths as part of a public health "pandemic"

@highlight

John Sutter: It's time for the world to address this crisis

@highlight

He asks readers to share stories about bad roads and laws in their countries