(CNN) -- In my line of work I get to meet a lot of talented developers, entrepreneurs and people who are just plain passionate about technology and Africa.

These people tell me their story, pitch me their start-ups and sometimes show me how they intend to change the world. I like it; it makes me feel like I am part of something amazing.

Recently I was given the opportunity to mentor a few start-ups, and as interesting and as innovative as their ideas are, I am yet to meet a start-up in Africa that wants to build hardware that they hope will change the world.

The general consensus with most of the start-ups that I have met is that they want to provide a service with the lowest barrier to entry so as to minimize costs. That makes sense.

Companies that are daring to build hardware are outsourcing to China, sure it's cheaper to make things there but surely this hurts the continent's economic growth in the end, but I digress.

There are African start-ups/companies that are building hardware but they seem to be getting the market's attention as easily as the established devices, which are understandable, I suppose.

Why are tablets built by African start-ups (which there are) not getting enough traction in the market? Is it because they just don't stand up to the competition?

There are quite a few cool projects that tackle hardware that get an initial burst when they launch, but their products don't seem to stay in the minds of everyday people for long, you know the consumers.

Enter the Inye tablet, built by Nigerian hardware pioneer Saheed Adepoju, the man that founded Encipher Limited, which launched Nigeria's first Android-based tablet device. So there are gadget makers in Africa.

Adepoju's tablet costs between $250 and $300 but according to his site he is out of stock, which could be a sign of great success or lack of funds.

It's more the latter as Adepoju is looking for investors and, according to an interview with VC4Africa, he feels that African investors don't want to invest.

"Talking about venture capitalists in Africa, I am yet to see one that will invest... when I mean invest, I don't mean give seed funding of $50 000. I mean actually give $2 million to a business that is already gaining traction. So I believe they are very risk averse in investing in a market where they are not sure of a return on investment," said Adepoju.

So is Africa facing an investor problem rather than a product problem?

See also: Africa grows, but youth get left behind

It seems the consensus around this is that building physical products tends to be more expensive, and there is the problem of trying to compete with China. In the world of cheap and affordable tablets it seems the East is winning.

All it takes is Apple or Samsung to announce a new product for a cheaper version of it to show up in the streets of China.

Then there is the Way-C, a tablet designed by young entrepreneur Verone Mankou in the Republic of the Congo.

The device, though designed in the Congo, was assembled in China like all major manufactures seem to do. Interestingly this Android-based device is targeted at West African countries and some countries in Europe. It also seems to have the support of MTN in Congo.

See also: Bringing the Dreamliner to Africa

Perhaps this is the solution: partnering with mobile operators to launch affordable smart devices make in Africa aimed at the African market.

Erik Hersman, a technology blogger, argues that the environment in Africa has "bred a generation of problem-solvers".

"Concurrently, we're a net importer of fabricated products from around the world. We might make some of our own software now, but we do little to nothing with hardware. How can we be the masters of our own future if we don't do any meaningful levels of fabrication?" he adds.

There are some really fascinating projects that look at fabrication and building hardware, such as the Maker Faire Africa project. A project that recognizes the need for Africa to take charge of its hardware future and encourages tinkering. The fair is organized around African innovation and gets people together to build gadgets in a tech DIY environment.

So who else is building gadgets in Africa and why don't we know about them?

The opinions expressed in this commentary are solely those of Michelle Atagana.

@highlight

Most African start-ups provide services rather than hardware to minimize costs

@highlight

Companies building hardware seem to struggle for investors

@highlight

Maker Faire Africa project recognizes the need for Africa to take charge of its hardware future