I recently led a bipartisan congressional delegation to the Middle East and Europe to discuss regional security issues with key American partners.  Beyond the strategic challenges posed by the Arab Spring lies an urgent threat -- Iran's determination to achieve nuclear weapons capability. Iran's effort, if successful, could destabilize the Middle East, spur a regional nuclear arms race and undermine America's influence in this pivotal region.

Unfortunately, the window to solve this problem without conflict gets smaller with each passing day as Iran attempts to master the enrichment of uranium.  Several administrations have tried engaging Iran and offering security guarantees, but that has not prevented the country from pursuing the bomb or patronizing the world's most dangerous terrorist groups. Economic and diplomatic pressures haven't worked either, but they have been episodic, gradual and largely unilateral. While the U.S. left Iran's market years ago, we can still exert great pressure through financial sanctions, and President Barack Obama should do so.

Our partners in Europe, Asia and the Middle East can and should do more to amplify the effect of U.S. sanctions if they are serious about stopping Iran's nuclear proliferation. Some influential countries, however, may be unwilling to pay the costs associated with greater multilateral sanctions, either because they do not feel threatened by a nuclear-armed Iran or they see utility in having the U.S. being consumed with that threat.  In the weeks ahead, it will be actions, not words, that demonstrate which countries are truly committed to stopping Iran.

The latest round of European sanctions is designed to compel Iran to come back to the negotiating table. If the Iranians do so, the desire for a deal at any cost should not be permitted to overshadow our long experience in negotiating with rogue states.  We must focus on the results rather than the process of negotiations.

With its nuclear centrifuges continuing to spin, Iran cannot be allowed -- as it has been in the past -- to further delay this process. Mere promises cannot be rewarded with a loosening of pressure. Iran's leaders must feel dramatic pressure that imperils their very hold on power until their abandonment of nuclear program can be verified.

It is possible that only a strategy that jeopardizes the hard-line clerics' hold on power in Tehran will give the Iranian regime sufficient reason to abandon its nuclear ambitions.

Frankly, the Obama administration missed an opportunity to stand with Iran's dissidents when they rose up against their oppressive rulers after the rigged elections in 2009.  It is hard to believe a less ideological government would be as intransigent as the current regime. Perhaps further sanctions could breathe new life into the budding democratic movement that for a brief moment brought a glimmer of hope to the Iranian people.

In addition to sanctions, we must actively combat Iran's influence throughout the Middle East.

Our partners are perplexed at what they perceive as our lackadaisical response to Iran's support of extremist proxies. And in Iraq, our partners believe that America's abandonment of that country has left a vacuum that Iran is only too eager to fill.  It is hard to see why the Obama administration has not expended more effort in trying to keep Iraq -- a potentially rich and influential country at the heart of the Middle East that was liberated at such great cost -- more firmly in the American camp.

Finally, there is the low-hanging fruit of Syria.

Bashar al-Assad's regime may be Iran's most important strategic partner. Instead of aggressively combating Syria's support to Hamas and Hezballah and interference in Lebanon and Iraq, the Obama administration came to office seeking to engage al-Assad. It failed.

Now the president has finally acknowledged that it's time for al-Assad to go. America should not defer to obstinate Russian diplomats at the United Nations about Syria. Instead, we should lead an international effort to apply tremendous pressure on Syria and provide demonstrable support to its growing political opposition. The longer the Syrian crackdown is allowed to continue, the greater the risk of chaos and the harder it will be to put Syria back together. If Syria goes down, it would be a serious blow to the Iranian regime.

There is no substitute for American leadership in the Middle East. It is time for the Obama administration to show it. Without recourse to war, these steps represent the best hope of confronting the challenges posed by Iran's nuclear proliferation and patronage of terrorism. If these measures ultimately fail, the international community may be forced to confront the difficult decision of using military force in face of an implacable Iran.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

@highlight

Eric Cantor: Iran's determination for nuclear weapons capability is an urgent threat

@highlight

Cantor: We can exert stronger pressure on Iran through financial sanctions

@highlight

He says we should combat Iranian influence throughout the Middle East

@highlight

There's no substitute for American leadership in this critical region, he says