(CNN) -- Immigration is the only issue where a political candidate can totally do the bidding of the K Street lobbyists and still be hailed as compassionate and humane.

At CNN's Republican National Security Debate this past Tuesday, former Speaker of the House Newt Gingrich reconfirmed his longstanding immigration policy:

-- A commitment to enhanced border security

-- A guest worker program

-- Individual hearings for each of 12 million or so illegal aliens, at which those with long ties to the country will gain residency rights

-- No citizenship for illegal entries

On its face, this program is unworkable. Examine each piece in turn:

Why the border?

The border is the wrong place to stop illegal immigration, if only because tighter security wouldn't stop the up to 45% of the illegal population who enter the country legally, then overstay their visas, as estimated by the Senate Committee on Homeland Security.

The right place to stop illegality is the workplace. If employers faced an effective requirement to hire only legal workers, and meaningful penalties for breaking the law, we'd change the incentive structure that creates the problem in the first place. As is, employers are punished only if they can be shown to have employed illegal labor "knowingly," meaning that so long as the employee produces a valid-seeming Social Security number, the employer goes scot-free. Even if somehow caught, the fines are small. Under those circumstances, you could deploy the whole U.S. Army on the Mexican border and hardly make an impact on the problem.

Immigration enforcement inescapably impinges on employers, especially employers in low-wage industries such as restaurants, hotels, groundskeeping and meatpacking, whose voices are heard through those K Street lobbyists.

Border security is the policy you endorse if you don't want to impinge on employers. Which means that border security is the policy you endorse if you don't want your immigration enforcement to succeed.

Why guest workers?

The United States in 2011 does not exactly suffer from a labor shortage. The unemployment rates for the most recent immigrants are particularly bad: the Latino unemployment rate is almost 12%, the unemployment rate for people without a high school diploma is almost 14%. How can you imagine that the US needs an even larger population of low-skilled labor?

When most Americans hear the phrase "guest worker," they think "agricultural labor." But past guest worker proposals have not been so limited. Such proposals generally provide that when employers cannot attract labor of a specific type at a specific wage, they may import that labor from abroad, and not only from Mexico (a middle-income country by world standards), but from genuinely poor countries such as Indonesia, Egypt or Vietnam. The only requirement is that guest workers be paid above the U.S. minimum wage.

Employers in difficult or dangerous industries such as nursing homes or garbage recycling can find Americans today who will do very hard work at very low wages. But such employees will not necessarily be grateful for the opportunity, and they will know that they can quit the job without forfeiting their right to remain in the country.

Guest working is the policy you endorse if your labor market priority is a cheaper and more pliable work force.

Why hearings?

Gingrich had a good applause line about uprooting the illegal alien who has sunk 25-year roots in the country and has citizen children and grandchildren.

But how do you tell the difference between that person and between the illegal alien who has been present for 20 years? Or two years? Or two months? Gingrich proposes individualized hearings by citizen courts. But 12 million hearings? Really? Even if we could somehow complete a hearing an hour, you are talking about 1.5 million person-days, or 5,769 person-years.

And that's assuming the courts approved the concept, which they very well might not.

The idea is unworkable on its face. It would rapidly disintegrate into something very like blanket approvals of whole categories of illegals -- in other words, into some kind of qualified amnesty.

Hearings are the policy you endorse if your real goal is to find a way to represent amnesty as something other than amnesty.

Why not citizenship?

Gingrich proposes to confer on much of the 12 million illegal population the right to live and work in the United States, but not citizenship. That is, not the right to vote.

At a stroke, the measure would create a huge class of subordinated workers in this country.

But it would also do something else, something very politically ingenious. The newly legalized residents of the United States would no longer have reason to hide from the Census Bureau. They'd be enumerated just in time for 2020. Immigration magnet states such as Texas, Arizona and Florida would gain increased representation in Congress and greater clout in the Electoral College. But because those new residents would not be able to vote, the clout would be exercised only by the state's older citizen population, and it would be that way for years to come. (Of the top 10 illegal immigration states, only four are blue states: California, New York, Illinois and New Jersey.)

Were illegal aliens to gain the franchise, they'd likely vote overwhelmingly Democratic. Even in the Republican year 2004, the Democrats swept voters with incomes of less than $15,000 by a 63% to 36% margin, and voters with family incomes of $15,000-$30,000 by a 57% to 42% margin.

As noncitizens, the former illegals would not vote at all.

Noncitizenship is the policy you advocate if you want to expand the low-wage work force while tamping down the number of low-wage Democratic voters.

Is there a better way? There is, and it's the way advocated by Republican presidential candidate Mitt Romney.

1: Enforce the immigration laws at the workplace, removing the magnet that draws new illegal workers and encouraging the existing illegal population to return home. Yes, that population includes people who have been present in the country for more than 20 years and won't return. It also includes people who have been in the country less than 20 months and might well return if they cannot find work in the U.S.

2: Pause to assess. See how much an enforcement-first policy reduces the illegal population. The best estimates suggest that the recession of 2008-2009 sent perhaps 1.7 million illegals back home.

A prolonged period of enforcement -- and the removal of the offer of early amnesty -- would likely reduce the illegal population even more.

3: Debate and decide on any future amnesty proposal after enforcement has taken effect, not before.

If any approach to immigration deserves to be described as "humane," it is the approach that begins with concern for the stagnating wages of American workers.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Newt Gingrich's plan doesn't solve immigration problem

@highlight

By emphasizing border security, it neglects role of employers as magnet, he says

@highlight

Holding individual hearings on 12 million illegal immigrants is unworkable, Frum says

@highlight

Frum: Gingrich plan would hurt American workers whose wages are stagnating