Manufacturers of antibacterial hand soap and body wash will be required to prove their products are more effective than plain soap and water in preventing illness and the spread of infection, under a proposed rule announced Monday by the Food and Drug Administration.

Those manufacturers also will be required to prove their products are safe for long-term use, the agency said.

"Millions of Americans use antibacterial hand soap and body wash products," the agency said in a statement. "Although consumers generally view these products as effective tools to help prevent the spread of germs, there is currently no evidence that they are any more effective at preventing illness than washing with plain soap and water.

"Further, some data suggest that long-term exposure to certain active ingredients used in antibacterial products -- for example, triclosan (liquid soaps) and triclocarban (bar soaps) -- could pose health risks, such as bacterial resistance or hormonal effects."

About 2,000 individual products contain these products, health officials said.

"Our goal is, if a company is making a claim that something is antibacterial and in this case promoting the concept that consumers who use these products can prevent the spread of germs, then there ought to be data behind that," said Dr. Sandra Kweder, deputy director of the Office of New Drugs in FDA's Center for Drug Evaluation and Research.

"We think that companies ought to have data before they make these claims."

Studies in rats have shown a decrease in thyroid hormones with long-term exposure, she said. Collecting data from humans is "very difficult" because the studies look at a long time period.

Get dangerous germs out of your home

Before the proposed rule is finalized, companies will need to provide data to support their claims, or -- if they do not -- the products will need to be reformulated or relabeled to remain on the market.

"This is a good first step toward getting unsafe triclosan off the market," said Mae Wu, an attorney for the Natural Resources Defense Council. "FDA is finally taking concerns about triclosan seriously. Washing your hands with soap containing triclosan doesn't make them cleaner than using regular soap and water and can carry potential health risks.

The FDA first proposed removing triclosan from certain products in 1978, the council said, "but because the agency took no final action, triclosan has been found in more and more soaps."

In 2010, the council said it sued FDA to force it to issue a final rule. The new proposed rule stems from a settlement in that suit, according to the NRDC.

The rule is available for public comment for 180 days, with a concurrent one-year period for companies to submit new data and information, followed by a 60-day period for rebuttal comments, according to the FDA.

The target deadline is June 2014 for the public comment period, then companies will have until December 2014 to submit data and studies. The FDA wants to finalize the rule and determine whether these products are "generally recognized as safe and effective" by September 2016.

"Antibacterial soaps and body washes are used widely and frequently by consumers in everyday home, work, school and public settings, where the risk of infection is relatively low," said Dr. Janet Woodcock, director of the FDA's Center for Drug Evaluation and Research.

"Due to consumers' extensive exposure to the ingredients in antibacterial soaps, we believe there should be a clearly demonstrated benefit from using antibacterial soap to balance any potential risk."

The action is part of FDA's ongoing review of antibacterial active ingredients, the agency said.

Hand sanitizers, wipes and antibacterial products used in health care settings are not affected.

Most hand sanitizers have 60% alcohol or ethanol and are generally recognized as safe when water isn't available, Kweder said. However, health officials still believe washing hands with soap and water is the best method.

@highlight

The FDA says there's no evidence antibacterial washes are better than soap and water

@highlight

Some data shows there may be long-term health risks from exposure

@highlight

Hand sanitizers and wipes are not covered by the proposed rule