London, England (CNN) -- The arrest of a Nigerian politician who deposited millions of dollars of stolen money in UK accounts has raised questions about the role of British banks in corruption.

As governor of the oil-rich Delta state in Nigeria, James Ibori's salary was only $6000 a year, yet he managed to afford luxury properties, fleets of Rolls Royces, a Bentley and a Maybach, first class travel, private boarding school fees and a private jet worth $20 million.

In April, accused of money laundering, Ibori pleaded guilty to stealing $80 million, although investigators believe he may have stolen three times as much. He was sentenced to 13 years.

Prior to entering politics, Ibori had lived in London, England with his wife Theresa. In 1990, the pair were convicted of stealing from a hardware store where Ibori worked as a cashier. The next year, he was convicted of handling a stolen credit card. By the end of the decade, having lied about his criminal record, Ibori was governor of Delta State, and was reelected for a four year term in 2003.

The Africans looking to make it in China

Although acquitted by a Delta State court in 2009, justice finally came for Ibori in a South London court, after a seven year investigation by the Proceeds of Corruption Unit of London's Metropolitan Police.

The unit, staffed by a dozen or so detectives, traces the flow of foreign politicians' money through London, and is funded by the UK government's Department for International Development, which also delivers aid to Africa.

"We hope that, by tackling the likes of James Ibori, we're saying to those stealing from the state purse, you can't have your children at private school in London. You can't have a multimillion pound house in one of the most affluent areas of London. You can't drive around in top of the range vehicles. We won't let you move money around to buy multimillion pound jets," says unit head Detective Chief Inspector Jonathan Benton.

Ibori employed a range of methods, some straightforward, some devious. He inflated contracts, took kickbacks, and simply transferred cash out of state accounts. He was helped by his family, wife and mistress, as well as by London-based professionals, who set up shell companies, assisted in purchases and provided false due diligence.

According to Robert Palmer of anti corruption NGO Global Witness, London holds a double attraction for corrupt politicians. "We are a major financial and legal center so there's a lot of expertise, and there's also a lot of assets that go through the British financial institution, so it's easier to disguise your assets." Palmer believes London also seems like a great place to spend "illicit loot".

"There's a prestige about being able to bring your assets and your wealth into the UK," he observes.

In March, the Financial Services Authority fined Coutts, a private arm of Royal Bank of Scotland, a record $14 million for failing to monitor three-quarters of its high-risk customers, known as Politically Exposed Persons. Although Coutts says it found no evidence of money laundering, and its processes are now robust, campaigners say London's banks are still playing a role in the problem of African corruption.

"I think we need to see more sanctions," says Chandu Krishnan of Transparency International. "And the greater the severity of penalties, the greater the deterrent effect. And that will ensure fewer institutions would commit these offenses."

Palmer has similar concerns. "According to the prosecutor, Ibori and his associates had accounts with Barclays, HSBC, Citibank. He had a Centurion American Express card. These are major financial institutions that all took money from James Ibori and his associates," he notes.

"I think the only way we're going to get serious change is if you have heavy penalties, you go after individual bankers and, in the worst cases, in the most egregious failures, you put people in jail."

Is narcotic khat funding terrorism?

Prosecutors in Ibori's case were aided by a whistleblower, Dotun Oloko. Although Oloko's identity was accidentally leaked back to Nigeria, resulting in his relocation to the UK, he continues to campaign against Nigerian corruption -- whether it's in Britain or Nigeria. He observes a "terrible paradox": "The international financial intermediaries believe they can engage in this kind of activity, being protected by the same states or the same governments that are leading the same anti-corruption battle."

Detective Benton says although British banks do cooperate with his unit, tracing the sources of money can still be difficult, particularly without international cooperation. "They may have accrued legitimate wealth. They may have had family interests in businesses. What you are trying to do is look at a pot of money and go, 'What is legitimate and what isn't?' and that can be very, very, difficult.

A spokesperson from the Proceeds of Corruption Unit said Ibori's embezzled assets will be confiscated and repatriated to their rightful owners -- the people of the Delta State.

"It is always rewarding for anyone working on a proceeds of corruption case to know that the stolen funds they identify will eventually be returned to some of the poorest and most vulnerable people in the world."

@highlight

Former Governor James Ibori embezzled an estimated $250 million from the people of Delta State

@highlight

He was caught by an investigative unit funded by the same body that delivers aid to Africa

@highlight

Campaigners question the role of British banks in facilitating African corruption