Editor's note: Seth Porges is a magazine editor and the creator of Cloth, an iOS fashion app for iPhone and iPod Touch. His Twitter handle is @sethporges.

(Mashable) -- App appeal is obvious. The barrier to entry? So low!

The upshot of producing the next Angry Birds or beer-chug simulator? So high!

Heck, with just a small investment of time and cash, it's not hard for would-be mobile moguls to turn a concept into a steady stream of cash. And thanks to today's app stores, it's never been easier to try your hand at becoming the next tech tycoon.

Here's (almost) everything you need to know before you get started on your own app -- and what I wish I knew before I got into the game.

1. What does it cost to make an app?

If you're new to the app game, prepare for some sticker shock. Making an app will cost you, at the very minimum, around $10,000. This is for a super-simple program — none of that fancy enterprise or social networking jibber-jabber. Even still, any app worth its weight in code will likely cost you closer to $20,000.

Unless you have some basic design skills, you'll need to enlist the help of both a programmer and a designer. And these guys ain't cheap — particularly programmers who, thanks to a pronounced shortage of qualified coders, can pretty much name their prices. (A suggestion for those low on funds: Find some creative way to come up with the cash. I funded my app through Airbnb income.)

You can try to offload some of your costs by offering your guys equity; on the other hand, everybody tries to get free (or close to free) apps by offering developers equity. So unless you can really sell them on the strength of your idea (or bring something totally rad to the table, such as a celebrity), you better be prepared to pony up some cash. Of course, adding in some equity as a bonus is never a bad idea, so you'll probably want to dish out some shares too.

This basic supply/demand dynamic also means that many developers ask for some pretty insane terms. Some demand deals that involve a huge upfront payment in exchange for a few weeks (or even just days) of work. And if a decent developer isn't already working full time, it's not unreasonable to assume he's at least a little commitment-averse. So, if you're serious about making something beyond a quickie cash grab, find a developer you are sure will stay with the project for updates, and not abandon it the second it hits the store.

And get it all in writing. If you don't want to hire a lawyer, find a boilerplate contract online or get one from somebody else who's gone through the process, and just swap in your names and numbers.

If you can, you'll also want to work with people who are local to you -- or at least with people who are willing to join you for regular Skype chats or Google Hangouts. I had weekly beer summits with my coder and designer, which proved super helpful as we continued to fine-tune our app well into its development.

One more unavoidable cost: Apple charges $100 per year to hold onto a developer's account (which you need to publish your app). So be sure to reserve an extra Benjamin for your budget.

2. What should you charge for your app?

I would consider starting one's app at or near $1.99. It's premium price, but it's also immensely satisfying to get more than a buck per download after Apple takes away its 30%. And, as with most things, it's a lot easier to lower the price later than it is to raise it.

During the holiday period, we briefly played around with a special promotion that dropped our app price to $0.99. Predictably, this spiked our downloads, but it didn't actually raise our total revenue. Even on Christmas Day -- the single biggest download day for just about everybody — our revenue was actually higher a week or so later, once we had raised the price back to $1.99.

The obvious exception: If your primary business model involves in-app purchases, ads or the like, you'll probably want to give your app away for free. After all, a quick glance at Apple's top grossing charts shows a whole bunch of free apps.

3. When will you get paid?

Apple sends you cash one month at a time, up to 45 days after the month has ended. So, if your app goes live in January, you can expect your first kickback sometime in early March. Oh, and Apple only pays you if your earned amount totals at least $150, so you may have to wait before getting your first payment. Keep in mind, Apple only pays you through direct deposit.

4. How do you write your iTunes description?

Don't try to rock the boat here. Take a look at a bunch of hit apps, and crib their formats. If it works for them, it'll work for you. Typically, this involves a quickie intro statement, press blurbs and a list of your key features. Then add some screenshots (the most interesting ones first) and call it a day.

5. What's the best way to beta test?

Getting an unreleased app onto your friends' iPhones isn't the easiest thing in the world. My developer and I are in total agreement that the best method is a program called TestFlight, which makes it very easy to send build updates to registered devices, over the air.

6. What happens when you get featured on iTunes?

Getting featured on iTunes is obviously awesome, but what exactly does it get you? When Apple included our app on its featured lists, we enjoyed a predictable flow of downloads almost identical in volume every single day we were parked there. Especially fascinating, the "New & Notable" list gave us almost exactly twice as many daily downloads as the "What's Hot" list. I'm assuming this is because, when you tap the "Featured" tab on the "App Store" app, "New & Notable" pops up by default.

7. How do you get press?

As a longtime tech writer, the main advice I can give you in your pursuit for press is that less is more. If you think a site or publication would be into your app, don't e-mail the entire staff or the big boss — just find the writer who covers your category, briefly summarize your app in an email, and attach a download code (Apple gives you 50 for every update). Smaller sites may be more responsive than the big guys, and if you build up enough buzz, you can rest assured that the majors will come knocking.

If a journalist doesn't get back to you, move on. And don't even touch that phone or personal e-mail address (unless that person is a freelancer) -- writers hate nothing more than phone or personal-inbox press pitches.

Consider also producing an embeddable YouTube or Vimeo ad of some sort. Not only does this provide one more avenue for people to stumble upon your app, but it also gives bloggers something alive and colorful to toss into posts, which could increase the chances that they'll write about you. Keep it simple, and preferably, well under two minutes. And don't forget to promote over Twitter, Facebook, etc.

8. How do you avoid the spam?

Within days of hitting the App Store, expect whichever email you linked to your iTunes developer's account to be pounded with spam. Most try to lure you into ponying over money in exchange for positive reviews, under the guise of "mobile marketing." Let's put it this way: If you don't regularly buy Viagra pills online, then you probably shouldn't give cash to these guys. Of course, if you're smart enough to make an app, you're smart enough to know this already.

© 2013 MASHABLE.com. All rights reserved.

@highlight

Making an app will cost you, at the very minimum, around $10,000

@highlight

$1.99 is premium price, but it's also immensely satisfying to get more than a buck per download

@highlight

Consider also producing an embeddable YouTube or Vimeo ad of some sort