Editor's note: Harvard Business School Professor Clayton M. Christensen and Innosight Institute Executive Director of Education Michael B. Horn are the co-authors along with Curtis W. Johnson of "Disrupting Class: How Disruptive Innovation Will Change the Way the World Learns."

Clay Christensen says the sudden burst of federal spending on schools holds great danger.

(CNN) -- Historically the federal government has been a small investor in the nation's education system. With the recent economic stimulus bill, however, this changed virtually overnight.

There is great danger in the sudden and massive amount of funding -- nearly $100 billion -- that the federal government is throwing at the nation's schools. District by district, the budgetary crises into which all schools were plunging created the impetus for long-needed changes.

The most likely result of this stimulus will be to give our schools the luxury of affording not to change. This is borrowed money that we're pumping into our schools, and it comes at a price. Charging education isn't changing it.

That our schools need to change should not be surprising. Just walk into your local school and enter a classroom. Odds are high that it won't look too different from a classroom from a generation or two ago.

Sure, there might be some computers in the back of the room and perhaps an interactive white board instead of a chalkboard, but chances are high that students will still be sitting at desks lined up in neat rows with a teacher at the front delivering the same lesson on the same day to all the students. This might be acceptable if society and the skills many people need to succeed in today's economy hadn't changed either, but they have.

While U.S. schools stand still, the rest of the world is moving forward, and this has a price tag -- not just for individual children, but also for the nation.

We urge the federal government to consider four criteria when creating new programs or grants for states and districts to help transform an outdated educational system into one fit for the 21st Century.

First, don't fund technology that simply shoves computers and other technologies into existing classrooms. We've spent well over $60 billion in the last two decades doing just that, and there is now overwhelming evidence that when we do it, the current unsatisfactory system co-opts the technology to sustain itself.

We should instead use technology funding to bolster new learning models and innovations, such as online-learning environments, to level the playing field and allow students from all walks of life -- from small, rural communities to budget-strapped urban schools -- to access the rich variety that is now available only to children in wealthy suburban districts.

Second, don't fund new school buildings that look like the existing ones. If the architecture of new buildings is the same as that of existing schools -- designed around teachers delivering monolithic, one-size-fits-all lessons to large batches of students -- it will lock students into another century in which the physical infrastructure works against the flexibility needed for student-centric learning.

Instead, invest in bandwidth as an infrastructure of change. The government has a productive history in investing in infrastructure that creates change and innovation -- from allocating land to those building the transcontinental railroad and the land-grant colleges in 1862 to the Defense Advanced Research Projects Agency funding the creation of the Internet.

To allow all districts to realize the power of online learning to advance us toward a student-centric system, the federal government should help deliver broadband capabilities necessary not just for today's needs, where schools already lag, but also in anticipation of tomorrow's.

Third, don't fund the institutions that are least likely to change. Our research shows that institutions are good at improving what they are structured to do, but that transformative innovations that fundamentally change the trade-off between cost and quality -- disruptive innovations -- come from start-up institutions.

This means that there is a high probability that spending money on existing schools of education will only result in their doing more of the same, for example. Meanwhile, there are a host of disruptive training organizations that are providing comparable educators at lower cost, such as Teach for America, the American Board for Certification of Teacher Excellence, and New Leaders for New Schools.

Alternative certification, including alternative programs from existing schools of education, has grown at a 29 percent compound annual growth rate since 1997. The government must embrace this and back the winners, not defend the old institutions.

Fourth, direct more funds for research and development to create student-centric learning software. Just a fraction of 1 percent of the $600 billion in K-12 spending from all levels currently goes toward R&D.

The federal government should reallocate funds so we can begin to understand not just what learning opportunities work best on average but also what works for whom and under what circumstance. It is vital to fund learning software that captures data about the student and the efficacy of different approaches so we can connect these dots.

Transformation of any existing system isn't an easy process, but ignoring the laws of innovation, although it may be perhaps politically expedient in the short run, will only make it more difficult.

When the federal government directs future funds toward education, having these principles in place will go a long way toward making sure we're not simply charging education, but that we have a fighting chance of changing it.

The opinions expressed in this commentary are solely those of Clayton Christensen and Michael Horn.

@highlight

Christensen, Horn: Federal spending on schools is set to jump

@highlight

They say it would be a big mistake to use money to let failing schools resist change

@highlight

Co-authors: Federal money should go to innovators challenging traditional ways

@highlight

They say technology should be used to create new forms of schooling