(CNN) -- Virginia Johnson, the pioneering sex researcher who was part of the groundbreaking team Masters and Johnson, has died at age 88, her son, Scott Johnson, told CNN on Wednesday.

Johnson died Tuesday morning in St. Louis of natural causes, though she had some complications from heart disease, he said.

Dr. William Masters and Johnson conducted the first modern research on sexuality and the treatment of sexual dysfunction that paved the way for the sexual revolution.

The pair wrote several books, starting with "Human Sexual Response" in 1966, a landmark work discussing the physiology of sex. Their second book, "Human Sexual Inadequacy," published in 1970, detailed how to treat sexual dysfunction.

"The first research on 'sexual response' was unique and surprising," Dr. Julia Heiman, director of the Kinsey Institute, said in a statement. "No one had, with a fairly large number of men and women in a laboratory setting, tried to measure a number of physical responses (heart rate, lubrication, blood pressure, penile and vaginal size charges) during sexual stimulation and orgasm.

Opinion: The woman who explained the female orgasm

"Then the second book, on 'treatment for sexual dysfunctions,' used a very non-medical approach (no drugs, physical aids, or surgery), incorporating behavioral treatments for sexual dysfunctions in men and women. And doing so within two short weeks of daily treatment," Heiman said.

Johnson never had a degree, other than two honorary doctor of science degrees, her son said. She was working at Washington University's medical school in St. Louis when she met Masters, who was looking for a partner to help conduct his experiments and research.

The two shared the work but complemented each other's strengths, Scott Johnson said. Masters. who died in 2001 at age 85, knew what made sense from a scientific perspective and Johnson was able to humanize it, helping their hundreds of subjects get comfortable enough to talk about their problems, and knowing how to address those problems without being cold and impersonal, he said.

"The combination of the two may have been critical for the research to begin, continue and to have the lasting impact it did," Heiman said.

Thomas Maier, author of "Masters of Sex: The Life and Times of William Masters and Virginia Johnson, the Couple Who Taught America How to Love," now a Showtime TV series, agrees that without Johnson, the research could not have happened.

"She was the one who was able to watch what worked, she was the one who took the background interviews with all the patients," he said. "She put together all of these things and she understood what worked, because she just had a real native genius for understanding what made things click. She was really the brains behind the therapy."

Masters and Johnson developed the practice of sensate focus, which helps couples refocus on each other through emotional skills and body awareness. In sensate focus therapy, sex is removed while the couples reconnect through touching and developing a heightened sense of sexual self awareness, says Ian Kerner, a sexuality counselor who blogs about sex for CNN.com's The Chart. Couples gradually develop a keener understanding of what feels good to their partner, he says.

Sensate focus is the basis of sex therapy today, said Linda Weiner, a certified sex therapist in St. Louis who spent five months in the Masters and Johnson training program.

"It's something she invented based on the relaxation she felt as a child when her mother would trace Virginia's face with her fingers to relax her," Weiner said. The practice helps couples learn "how to relax and deal with anxiety and performance, which they discovered was one of the major factors in sexual problems."

Said Kerner: "Their essential work continues to be debated and appreciated and Virginia Johnson's legacy will always remind us of life before the little blue pill -- when couples solved their sexual problems the old-fashioned way: through communication and loving touch."

People we've lost in 2013: The lives they lived

@highlight

She was part of the groundbreaking team Masters and Johnson

@highlight

She died Tuesday in St. Louis of natural causes, her son says

@highlight

The team conducted the first modern research into sexuality