Pleading for asylum after spilling American secrets, Edward Snowden told Ecuador's government that he fears inhumane treatment or even death if he's handed over to face U.S. espionage charges, Ecuador's foreign minister said Monday.

Snowden told Ecuadorian President Rafael Correa that it is "unlikely that I will have a fair trial or humane treatment" if handed over to U.S. officials to stand trial, according to a letter from Snowden read by Foreign Minister Ricardo Patino.

The whereabouts of Snowden, the computer contractor who exposed details of the National Security Agency's surveillance programs, were uncertain late Monday. He was last known to be in Moscow, where he landed after a flight from Hong Kong on Sunday.

He had been expected to board a flight to Cuba on Monday, Russia's semiofficial Interfax news agency reported. But CNN journalists on two successive Moscow-to-Havana flights said Snowden did not appear to be in the cabin, while officials at the Russian capital's Sheremetyevo International Airport declined to say whether he was still there.

U.S. officials have yanked Snowden's passport, but he left Hong Kong on a "refugee document of passage" issued by Ecuador, according to Julian Assange, founder of the anti-secrecy group WikiLeaks, which is aiding Snowden's efforts to find a safe haven. Assange would say only that the former National Security Agency contractor is "in a safe place and his spirits are high."

While Patino, speaking at a news conference in Vietnam, said the country has yet to decide on Snowden's asylum request, he questioned whether it was Snowden or the United States that was acting badly in the affair.

He called the surveillance programs revealed by Snowden "a breach of the rights" of people around the world.

"We have to ask, who has betrayed who?" he said.

Correa, meanwhile, took to Twitter to address the issue. "Rest assured that we will analyze the Snowden case very responsibly and we will make with absolute sovereignty the decision that we believe is most appropriate," the president tweeted.

He added, "A big hug to everyone and happy week."

Snowden has acknowledged that he leaked classified documents about NSA-run surveillance programs to the Guardian newspaper in Britain and to The Washington Post. The documents revealed the existence of programs that collect records of domestic telephone calls in the United States and monitor the Internet activity of overseas residents. The disclosures shook the U.S. intelligence community and raised questions about whether the NSA is eroding American civil liberties.

He walked away from a six-figure job in Hawaii with the computer consulting firm Booz Allen Hamilton, an NSA contractor, and went to Hong Kong before the newspapers began publishing stories based on his leak. He told the Guardian that he exposed the surveillance programs because they pose a threat to democracy, but administration officials said the programs are vital to preventing terrorist attacks and are overseen by all three branches of government.

A Hong Kong paper, the South China Morning Post, reported Tuesday that Snowden took the job at Booz Allen early this year to "collect proof" about the programs before disclosing them to reporters. Snowden told the paper that he intends to release more of the documents he took from the firm.

"If I have time to go through this information, I would like to make it available to journalists in each country to make their own assessment, independent of my bias, as to whether or not the knowledge of U.S. network operations against their people should be published," the newspaper quoted Snowden as saying.

In addition to Ecuador, Snowden is asking Iceland and other, unspecified countries to consider granting him asylum, WikiLeaks attorney Michael Ratner told reporters Friday.

Iceland has not received a formal application from Snowden, the Interior Ministry said Monday.

Meanwhile, U.S. officials cast a wide net seeking his return, telling Russia and Latin American countries that they should hand Snowden over should he land on their soil.

President Barack Obama told reporters Monday that the United States is pursuing all legal channels to bring Snowden back. And White House spokesman Jay Carney said U.S. officials are reaching out to numerous countries in an effort to have Snowden turned over.

"The U.S. is advising these governments that Mr. Snowden is wanted on felony charges and as such should not be allowed to proceed in any further international travel other than is necessary to return him here to the United States," he said.

But CNN legal analyst Jeffrey Toobin said the issue now "is much more of a political and diplomatic matter than it is a legal matter."

"In an ordinary case, sure, you need a passport to get around," Toobin said. "But here, where this case is causing increasing embarrassment for the United States, governments that want the United States to be embarrassed are only too happy to waive some of the technical legal rules."

Secretary of State John Kerry particularly urged Russian authorities to work with the United States, noting that U.S. officials have turned over seven prisoners to Russia in recent years.

"We need to cooperate on this because it's important to the upholding of the rule of law," he told CNN.

He defended the U.S. effort to capture Snowden for prosecution, saying "people may die as a consequence of what this man did."

FBI Director Robert Mueller called his counterpart at Russia's Federal Security Service twice Monday concerning Snowden, a senior administration official said. And a Justice Department official told CNN that the United States isn't planning to ask for a "red notice" calling on members of the international police agency Interpol to take Snowden into custody -- but the official would not say whether the United States has sent or will send provisional arrest warrants to other countries that might take Snowden in or help him in his travels.

Ecuador 'analyzing' request

It seems unlikely that Cuba, Venezuela or Ecuador -- the nations on Snowden's potential itinerary -- would be inclined to send him back to the United States. The U.S. government has already asked those three Latin American countries to not admit Snowden or to expel him if they do, a senior Obama administration official told CNN on Sunday.

But Cuba and Venezuela have long had strained relations with Washington. And Ecuador has given Assange refuge in its embassy in London for a year after he unsuccessfully fought extradition to Sweden in British courts.

Why would Snowden head for Ecuador?

Assange say he fears Sweden, which wants him for questioning about sexual assault allegations, would transfer him to the United States.

In his letter, read by Patino, Snowden compared himself to Pvt. Bradley Manning, the U.S. soldier accused of leaking classified information through WikiLeaks. He said U.S. officials have treated Manning inhumanely by holding him in solitary confinement, and he predicted a similar "cruel and unusual" fate for himself if he falls into U.S. hands.

Carney questioned Snowden's assertion that he acted in defense of democratic transparency, saying his argument "is belied by the protectors he has potentially chosen -- China, Russia, Ecuador."

"His failures to criticize these regimes suggests that his true motive throughout has been to injure the national security of the United States, not to advance Internet freedom and free speech," Carney told reporters.

The Committee to Protect Journalists has criticized Correa's government for pushing legislation that would roll back press freedoms, calling its policies increasingly repressive. But Snowden isn't looking for "political nirvana," said Glenn Greenwald, the columnist for the Guardian who broke Snowden's revelations.

"He's searching for a place where he can be safe and remain free and participate in the debate, and Ecuador seems to be the place he has chosen," Greenwald told CNN's The Lead.

U.S. warns China

Carney said Monday that Hong Kong's decision to let Snowden leave dealt efforts to build trust between the United States and China a "serious setback." He declined to speculate what impact the decision could have on U.S.-China relations, but said U.S. officials are making their displeasure known "very directly."

Hong Kong's semi-autonomous government said Sunday it declined to act on a U.S. request for a provisional arrest warrant because it needed more information -- and without that information, it said, it had no reason to stop Snowden from boarding his flight to Moscow. Carney said U.S. officials had told Hong Kong authorities that Snowden's passport had been revoked "in plenty of time to have prohibited travel."

"We are just not buying that this was a technical decision by a Hong Kong immigration official," Carney said Monday. "This was a deliberate choice by the government to release a fugitive despite a valid arrest warrant, and that decision unquestionably has a negative impact on the U.S.-China relationship."

Lawmakers say tenuous ties shaken further as Snowden lands in Russia

But an online petition calling on the White House to pardon Snowden passed the key threshold of 100,000 signatures over the weekend and had more than 110,000 early Monday.

The petition describes Snowden as "a national hero."

The White House says it will respond to any petition on its site that gathers more than 100,000 signatures in 30 days.

WikiLeaks' Assange urges support for Snowden, slams Obama

@highlight

Snowden took Booz Allen job to get NSA secrets, Hong Kong paper reports

@highlight

Snowden seeks refuge in Ecuador and was last reported in Moscow

@highlight

Ecuador says it's reviewing his appeal "very responsibly"

@highlight

Washington says Snowden is a wanted man, urges nations to turn him away