Sanaa, Yemen (CNN)Oversized military trucks painted in desert beige hauled tanks in the same camouflage color down a dark highway late Saturday past glowing billboards in the Saudi Arabian town of Jazan.

With the border with Yemen little more than 20 miles away, the trucks captured on a video distributed by the news agency Reuters also carried a message: Suggestions of a ground incursion into Yemen, which is in the throes of a Houthi rebel uprising, may be more than just talk.

Saudi Arabia and Egypt have both spoken about the possibility of putting boots on the ground before. And on Saturday, Yemeni Foreign Minister Riyadh Yaseen said he expected coalition troops to be in Yemen within days.

Saudi leaders have said that if troops do go in, they won't leave until they have degraded the Houthis' ability to do battle, CNN's Ian Lee reported. The Houthis are apt guerrillas. A fight on the ground could prove bloody and lengthy.

Politically, the situation appears to be heating up. Ahmed Ali Abdullah Saleh, the son of former Yemen President Ali Abdullah Saleh, has been removed from his post as ambassador to United Arab Emirates, according to two aides of the nation's current President, Abdu Rabu Mansour Hadi.

Hadi fled the country in February amid the Houthi uprising. He went to Aden and declared that he remained the country's leader.

Also on Sunday, pro-Hadi fighters took over Aden's airport, according to security officials in Aden, but that airport hasn't been operational for weeks.

Yemen's ex-president, Ali Abdullah Saleh, a Shiite, still holds influence over large parts of the Yemeni army, and his troops are also fighting the government. In a taped speech played on Yemen Today TV on Friday, he called for the airstrikes to stop and offered in return not to run for president in the next elections.

The Saudi-led coalition fighting the Shiite Houthis, who deposed the Yemeni government and seized territory in a series of offensives, began its military action last week.

It answered Hadi's call for intervention with an unrelenting air campaign called "Decisive Storm."

Hadi slipped out of Yemen last week and has gone to the resort town of Sharm el-Sheikh, Egypt, to attend the Arab League summit, where he is rallying support with leaders of member nations for operation Determination Storm.

Support is already broad. The coalition nations participating in the bombardments make up about a third of the league's membership.

On Saturday, Hadi called the Houthis out: "You violated the sovereignty (of Yemen), and you bear the responsibility for what happened and what is going to happen."

Dozens have died from the coalition bombardment. Houthi commanders put the death toll at 48. Most of the dead are civilians, they said.

Airstrikes have hit Houthi militant groups, smashed their big air defense guns and crumbled key infrastructure that links major towns with the capital, Sanaa, a Saudi official has said. The coalition has destroyed Yemeni army weapons caches and military facilities.

Saudi naval special forces have also rescued dozens of diplomats, the official said. And many U.N. representatives have fled the unrest.

Saudi Arabia has set up a blockade, effectively cutting off Houthi supply lines, and its air force controls Yemeni airspace. They have threatened to attack ships that might supply the rebels.

The Shiite Houthis are allied with Iran, a majority Shiite nation. Saudi Arabia has accused Iran of beefing up the Houthis' weaponry for their offensive.

Hadi denounced them on Saturday as Iran's "puppet."

"I say to the puppet of Iran, and those who are with him, you destroyed Yemen with your immature politics, and creating internal and regional crisis," he said.

The conflict splits the region along religious lines. Determination Storm's coalition comprises the majority Sunni nations of Saudi Arabia, the United Arab Emirates, Kuwait, Bahrain, Qatar, Jordan, Morocco, Egypt and Sudan.

On Saturday, Houthis claimed to have shot down a Sudanese jet and captured the pilot. They distributed photos of a pilot and wreckage to back up the claim.

Iran and Saudi Arabia are bitter rivals. Having Yemen become an Iranian satellite country on its border would be unacceptable to the kingdom.

Iran has sharply denounced the Saudi-dominated armed intervention.

And two Arab League members, Lebanon and Iraq, have voiced opposition to Determination Storm, Lee reported. Both countries are majority Shiite.

Israeli Prime Minister Benjamin Netanyahu pointed to Yemen on Sunday to criticize nuclear negotiations between Iran and the P5+1 group of nations. He accused Iran of trying to use the conflict in Yemen to "take over the whole Middle East."

The United States voiced approval of the airstrikes. It's supporting them logistically and aiding coalition forces in locating targets, but it is not participating in active battle.

The unrest in Yemen led to the withdrawal of U.S. special forces earlier this month, seriously undermining counterterrorism efforts in a country that has been a stronghold for al Qaeda in the Arabian Peninsula (AQAP).

For years, Yemen had allowed U.S. drones and special operations forces to stalk AQAP in the country. Now, that arrangement is in tatters.

On Saturday, the coalition struck al Anad Airbase, which was used as the headquarters for U.S. counterterrorism operations, Houthi commanders said. Houthi rebels had taken control of the base.

Houthi rebels and the government began doing battle in 2004, but arrived at a ceasefire in 2010, according to the CIA World Factbook. The country has seen much unrest in the wake of the Arab Spring uprising.

Arab Spring wasn't supposed to turn out like this

Yemen was plunged into chaos when the Houthi rebels, who have long felt marginalized in the majority Sunni country, began seizing control of the capital and other areas of the country last fall.

Houthis moved into Sanaa in September, sparking battles that killed a few hundred people before a ceasefire was called. In January, they surrounded the presidential palace and Hadi resigned and was put under house arrest.

In February the Houthis took control of military forces stationed near Sanaa, including the air force.

But the chaos is not limited to the Houthi uprising.

In the area of the southern port city of Aden, opposing Yemeni military forces -- those allied with the Houthis, and those supporting Hadi -- have fought for more than a week.

CORRECTION: Pakistan is not participating in airstrikes over Yemen, the Pakistani embassy in Washington said. CNN previously included Pakistan in an illustration of coalition member countries participating the operation Determination Storm. The illustration said the country was contributing 15 jets. That illustration has since been updated.

Journalist Hakim Almasmari reported from Sanaa; CNN's Ben Brumfield wrote this story from Atlanta. CNN's Jason Hanna and Ian Lee contributed to this report.

@highlight

Son of former president removed from post as ambassador to United Arab Emirates

@highlight

Reuters video shows trucks carrying tanks in Saudi Arabia near Yemen border

@highlight

Yemen's foreign minister says he expects coalition troops to arrive within days