(CNN) -- Georgia -- with its tumultuous past of discrimination -- is following Arizona's recently failed attempt to pass what amounts to anti-gay legislation with the Preservation of Religious Freedom Act.

The state may shift from the cradle of the civil rights movement to the vanguard of legalized 21st-century bigotry with the consideration of this legislation, modeled on Arizona's, that would allow businesses to refuse service to gay and lesbian customers on the basis of alleged religious conviction.

The measure, whose fringe supporters contend is couched in the First Amendment, would provide a legal avenue for business operators to ignore existing local nondiscrimination protections that even "indirectly inhibit" the "free exercise" of their faith.

Like the controversial Arizona bill, this broadly written proposal has profound implications -- not only for the aggrieved minority it would directly affect but also for the social reputation of the state at large. Those implications will permanently stain us, cementing the lasting ignominy of Jim Crow.

One of us is the Democratic leader of the Georgia House of Representatives and the other an adviser to two conservative Republican governors and national party committees. Despite our policy disagreements, we're both Georgians, and we stand together in opposition to these bills.

The fact that we can overcome our severe political differences and agree that this legislation would be wrong and bad for the state demonstrates the growing bipartisan opposition to legislation of this sort.

Two bills exist, one in each chamber: Boosters of the House measure, House Bill 1023, have soft-pedaled the issue, but the sponsor of the Senate proposal, Senate Bill 377, griped this week that the only opponents to his legislation are those advocating "militant atheism," whatever that is.

As written, the Senate bill doesn't carve out narrow exemptions for wedding vendors but instead extends the blanket conscience provision to all commercial quarters.

Not only could restaurateurs and hoteliers turn away same-sex couples, but pharmacists could deny life-saving therapy to HIV-positive patients. The legislation is so vague that it's not merely limited to individuals who are lesbian, gay, bisexual and transgender: It could even be used as a means to discriminate against unmarried women and people of different faiths.

Those possibilities are frightening, but the economic consequences are no less serious.

Georgia, like much of the Southeast, is still struggling to reinvent its modest economy after it collapsed from an overdependence on housing and real estate. Every job, every dollar of out-of-state investment matters. We have no such luxury of chasing Yankee business from our borders.

And yet that's precisely what this legislation would accomplish.

In Arizona, respected companies such as Apple and American Airlines warned they would withdraw investments from the state should the law take effect. Gov. Jan Brewer must have taken this into consideration in her veto.

Anti-gay legislation of this order is a significant social barometer for the young professionals and innovators on whom businesses rely. If they deem the state hostile to mainstream sensibilities, neither will come.

Georgia's proposal would repel the creative class in a way few other factors could -- except maybe our recent experiences with snowstorms and 20 hours in a frigid car. In the same way, the law would spook out-of-state firms weighing a move to Georgia.

But even worse than new business avoiding the state is the real prospect of existing major companies bailing. Delta Air Lines, one of Georgia's largest employers, on Tuesday strongly denounced the measure and warned it would "result in job losses."

That's a proposition Georgia can ill afford.

Central to the American ethos is the promise of freedom, the protection of which is an appropriate function of the legislature. But freedom is a universal shelter, swaddling each American the same as the next no matter his or her color, creed or sexual orientation.

No weary driver nor hungry belly would want to be denied a hotel room or hot meal on the basis of immutable characteristics or faith, but that's what the Georgia bill would allow. The notion is distinctly un-American and we, Republican and Democrat together, don't want that in our state.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: Georgia considers bill that would allow discrimination based on religious beliefs

@highlight

They say the Arizona-style bill would hurt the state's reputation like Jim Crow laws once did

@highlight

Writers disagree on politics, but in this case they agree this bill would hurt the state

@highlight

Writers: Businesses, entrepreneurs won't locate in state, existing ones might leave