(CNN) -- Richard Holbrooke believed in Bosnia. As we mourn his passing, we also mark the 15th anniversary of the signing of the Dayton Peace Accords, the agreement that culminated his efforts in the Balkans.

The physical damage of the war has been largely repaired. While many psychological scars linger, progress is evident in Bosnia and Herzegovina.

Ambassador Holbrooke knew that progress here was attainable. He was not only a great diplomat but also a true friend to our country. We should honor him by living out his dream for us to succeed and flourish as a nation.

As we reflect on the past 15 years, there are still skeptics and critics who express their concerns about political stability. The country has challenges ahead, including the difficult task of changing its constitution. But the world should not have a short memory -- the political situation has improved tremendously since the official end of war on December 14, 1995.

Tributes to Richard Holbrooke, architect of Bosnian peace

Bosnia has signed a Stabilization and Association Agreement (SAA) with the EU and is well on its way to NATO membership.

On December 15, the citizens of Bosnia will gain visa-free travel to the EU countries covered by the Schengen agreement. And Bosnia currently serves as a nonpermanent member of the U.N. Security Council and assumes its presidency in January 2011. That's a significant achievement for a post-conflict country. These are all clear signs of improvement.

There is one key element required for further progress -- economic growth. Productive foreign investment will open markets, encourage stability and speed government reform. Bosnia's pre-war industries were destroyed, and a lack of domestic capital has meant that the country's export and hard currency earning potential in agriculture and food processing, lumber and wood working, hydroelectric power and tourism remain untapped. Most analysts expect foreign investment will be stimulated by the country's entry into NATO and eventually the EU.

It is true that after the war, Bosnia entered into a transitional phase with a corrupt administration and an economic environment that discouraged foreign investment, but many difficulties with post-war corruption are behind us.

The investment environment has improved with foreign investments peaking at $1.7 billion in 2007 just before the global recession. That's an impressive number considering Bosnia has only 4.6 million residents. Bosnia and Herzegovina has a stable macro-economic environment that includes a strong convertible currency, low inflation and the most developed banking system in southeastern Europe.

The fact that investments in Bosnia and Herzegovina have grown indicates that investors have confidence in Bosnia, even before NATO membership, and these early investors will reap the greatest rewards. Bosnia will become a member of the EU, an ally of the west and follow the path of Bulgaria, the Czech Republic, Slovakia, Hungary and Romania.

I was born in Bosnia and Herzegovina to an ethnically mixed family. After surviving the war, I immigrated to the United States in 1994. I lived for 14 years in Rochester, New York, started a family, studied business at Monroe Community College and electronic business management at Rochester Institute of Technology.

My first job was as a stack clerk at the liquor store, and I later applied my schooling and worked in technology companies, higher education and for an industrialist, Dutch Summers, who later became one of the chief sponsors of American University. After gaining a valuable education and work experience, I decided that I wanted to return to Bosnia to help rebuild a country and region by providing others the opportunity I had to gain a quality education.

I wanted to help the people of Bosnia and region to build better lives and a better future.

With the support of people I had met during my time in the states, I started the American University in Bosnia and Herzegovina (AUBiH), partnering with State University of New York at Canton. In 2006, the school opened its doors with 21 students, and today AUBiH has more than 500 students at three campuses.

Our goal was to overcome ethnic differences and allow young people to learn and work together to build the future of their country. We were committed to building a university with a multi-ethnic body of students who will be future leaders in business and government and who have a shared vision of the country's successful integration into Europe.

We are building a work force of educated leaders for the new century will be able to support and implement investments in Bosnia. Their ability to prosper with expanded employment will drive the necessary reforms to modernize government.

Bosnia is a relatively small market, but it offers some unique resources, a favorable geographic location and, as a member of the Central European Free Trade Agreement, access to millions of consumers in the region. And it offers a diaspora motivated to return and ready to help their homeland by taking positions in the government and opening their own businesses.

The readiness of a new generation of Bosnians to commit to their country over a more comfortable life in the West is proof that young Bosnians are very optimistic about the nation.

With increased investment and a new multi-ethnic generation of educated leaders Bosnia and Herzegovina will have the bright future Richard Holbrooke believed in.

The opinions expressed in this commentary are solely those of Denis Prcic.

@highlight

Richard Holbrooke negotiated Dayton Accords, which ended Bosnia war in 1995

@highlight

Denis Prcic says Bosnia has overcome challenges and become more stable

@highlight

He says economy is gaining strength and offers growth potential

@highlight

Prcic: A generation of Bosnians is motivated to return and help their homeland