Kaufman County, Texas (CNN) -- The memorial service Thursday for a slain Texas prosecutor and his wife was somber, but one phrase made mourners erupt in applause.

"Chase 'em down. Go get 'em. Bring 'em to justice," said Chris Heisler, who led the service, drawing cheers and whistles from the crowd. "Take them out of the hole they come from."

The emotional plea came as investigators search for suspects in the unsolved killings of two prosecutors that have shaken this Texas county and drawn national attention.

Before the memorial, Texas Gov. Rick Perry made a similar appeal, calling the slayings "direct attacks on the core of our civil society" and announcing that authorities were offering a new reward of up to $100,000 for information leading to the arrest and indictment of the killers.

"These are heinous crimes, and they've affected not just Texans but people across the country who respect the rule of law," Perry told reporters.

District Attorney Mike McLelland and his wife, Cynthia, died in a weekend shooting at their home, almost exactly two months after McLelland's chief felony prosecutor, Mark Hasse, died in a daytime shooting outside the county courthouse.

Investigators are considering a wide array of potential culprits but haven't arrested any suspects.

Mourners at Thursday's memorial for the McLellands said they were holding out hope.

"We don't know what happened," said Skeet Phillips, a family friend. "But I pray every night that one of us, one of these fine law enforcement officers, is just going to accidentally get the right break, the right step, and then we'll find these people."

Vows to follow in McClellands' footsteps

Police saluted a flag-draped casket Thursday afternoon at a memorial service for the McClellands as family, friends and members of the community packed the pews of a baptist church.

About 1,000 people attended the public service in Sunnyvale, Texas, CNN affiliate WFAA reported. A funeral for the family is scheduled for Friday.

Speakers at Thursday's ceremony vowed to follow in the McClellands' footsteps.

"We will not stop pursuing justice. We will not give up the good fight. We will not stop doing God's work," said Bruce Bryant, chief investigator of the Kaufman County District Attorney's Office. "We will pause only to celebrate the lives of those we have lost, but we will not stop."

Daughter Christina Foreman said she came to the lectern to deliver the message her parents would have wanted her to share.

"He was quite eloquent in saying that he didn't give a sh-t if people were scaring him, and he wasn't frightened, and he was going to stand his ground," she said. "And I think that we need to follow in those footsteps, not just the people in law enforcement, not just the people that do the jobs day to day, but everybody. We can't let the fear of what people are going to do to us or say to us, or the fear of them of what they're going to do to our families stop us from doing the right thing.

"The right thing is never the easy thing. It's never the easy path. It's hard, and he knew that. And he stood up anyway."

Outside after the memorial, bagpipes played taps as Perry presented a folded American flag to the family.

On the roof of the church, snipers stood guard.

No clear suspects

Authorities are considering a wide array of potential culprits -- such as a white supremacist gang targeted by officials last year, drug cartels, and someone who may have held a personal grudge.

While authorities offered no new information on the investigation Thursday, Perry said investigators would leave "no stone unturned" in finding the killers and any group they might be associated with.

"Any organization that is operating in the state of Texas outside the bounds of our laws is going to be put on notice that we're going to hunt you down, we're going to punish you and do our best to remove that type of threat to the safety of the citizens of the state of Texas," Perry said.

A law enforcement official speaking on the condition of anonymity told CNN Wednesday that authorities "haven't come close to charging anyone." The official was not authorized to publicly release details of the investigation.

FBI computer teams searching for evidence

An FBI computer analysis response team has joined the investigation.

The team is scouring for digital evidence on computers, phones and other electronics belonging to the McClellands and Hasse, said Katherine Chaumont, a spokeswoman for the FBI's Dallas Field Office.

Such forensic investigations could be used to search for threats that might have been made against them and could help investigators learn more about the victims' lives.

Chaumont would not specify whether the investigators were examining devices belonging to anyone else, such as witnesses or possible suspects.

Investigating local residents

Since Hasse was gunned down near the county courthouse on January 31, authorities have pored through his case files, including public corruption cases, to see if any defendants he tried may have sought vengeance.

Authorities met with Eric Williams, a former justice of the peace who was convicted last year of burglary and theft by a public servant.

Surveillance video showed Williams apparently stealing computer monitors from the county courthouse. He was sentenced to two years' probation.

Saturday night, hours after the McLellands were found dead in their home, investigators met Williams at a local Denny's restaurant, his attorney told CNN Tuesday.

Investigators took swab samples from Williams' hand to test for gun residue, attorney David Sergi said.

The law enforcement official said Williams is "one angle we are looking at," the official said.

Sergi says his client voluntarily cooperated because he has nothing to hide.

Another Kaufman County resident has drawn the interest of investigators.

The man, who has been trying to open a gun range on his property, was involved in a civil dispute with McLelland and the county.

The resident told CNN that FBI agents visited him and asked a few questions, but nothing else materialized.

Speculation about the Aryan Brotherhood of Texas

McLelland, in an interview with The Associated Press before his death, speculated that the Aryan Brotherhood of Texas could have been behind Hasse's slaying.

"We put some real dents in the Aryan Brotherhood around here in the past year," McLelland told the news agency.

McLelland said Hasse wasn't involved in the Aryan Brotherhood of Texas investigation, but his office was one of numerous Texas and federal agencies involved in an investigation that led to the indictment last year of 34 alleged members of the group -- including four of its senior leaders -- on racketeering charges.

Authorities have not said whether they have linked white supremacists to the deaths. But weeks after the indictment, the Texas Department of Public Safety said it had "credible information" the Aryan Brotherhood of Texas was planning to retaliate.

Asked about the group's possible involvement, the governor said it was too soon to link or discount the it.

"I think it's obviously too early to be speculating on whether there is any direct contact, but I think it's wise for us to not overlook any evidence that either may be superficial or otherwise," Perry said on Fox News.

"So they are here, they are active in this state. We know the drug cartels are very, very active in our country now," Perry said.

Eric Fiegel reported from Kaufman County; Holly Yan and Catherine E. Shoichet reported and wrote from Atlanta. CNN's Gary Tuchman, Ed Lavandera, Carol Cratty, and Vivian Kuo contributed to this report.

@highlight

"We will not stop pursuing justice," the district attorney's chief investigator vows

@highlight

An FBI computer forensics team joins the investigation

@highlight

The Texas governor offers a $100,000 reward in the prosecutor killings

@highlight

The killings are "direct attacks on the core of our civil society," Gov. Rick Perry says