(CNN) -- The question means little to millions living in poverty with neither electricity nor electronics. But there are also millions now weaving the Web 2.0 ever more tightly into their social fabric -- witness the booming popularity of Facebook and other social networking sites -- so the question seems worth asking.

Happiness can be found everywhere, including social networks and on blogs.

Enter the "Virtual Happiness Project" in the Netherlands, which explores the relationship between the Web 2.0 (in particular) and happiness.

Though the final report hasn't been released yet, the project's global survey results and experiments suggest something that a lot of Facebook users already sense: social interaction is a driver for happiness, and the Web 2.0 is a valid way to experience it.

Jim Stolze, a writer and researcher involved with the project, says the Internet has become our "new global campfire," the place where we gather to argue, laugh, talk, learn, love, turn strangers into friends, and to get a sense of belonging.

"We are a social species and we need to interact in order to feel alive," he says.

As happiness research over the past half century or so has shown, belonging is a strong a predictor of happiness.

Psychology courses introduce students to Maslow's "hierarchy of needs," a pyramid diagram created by the American psychologist Abraham Maslow.

The project suggests the pyramid's middle levels of "love/belonging" and "esteem" can be met by services like blogs, Facebook, Twitter and other elements of Web 2.0, like comments sections below news articles or YouTube posts.

But as with anything there are perils tempering the benefits of heavy Internet usage. Stolze warns the Internet can cause stress in users who don't take control of the experience.

"The attitude that they treat the medium with," he says, "defines the happiness they experience."

People who feel they "rule the Web" are happier than those who feel like "they are ruled by the Web," he says.

"The first group sees the long tail as a brilliant place to cherry pick for the best results, and the second group immediately experiences stress because they can't look at all the results."

Staying in control

At this month's TED conference in California, Stolze gave some light-hearted but probably sound advice for making sure you're in control of your Internet life.

Among the tidbits dispensed: Don't take your Blackberry into the bedroom. Accept that there is more information than you can possibly look at. Human filters of information (like your Twitter network) often beat machine filters (like Google). Know when to go online and when to go offline -- sometimes a face-to-face talk is needed.

Ignoring the latter is a possible sign of Internet addiction, a growing problem in many parts of the world.

At clinics like the Illinois Institute for Addiction Recovery at Proctor Hospital, patients (especially online gamers) are challenged to look at sacrificing some of the "high" they get out engaging in their addictive behavior (a boost in self-esteem, a sense of belonging, an ability to forget about real-world problems) because of the consequences of the negative aspects.

These can include loss of personal relationships, conflict with family members, and the threat of job loss. Of course it's important to distinguish between addicts and healthy users, which make up the vast majority.

"As far as people using networking sites such as Facebook or Twitter to derive happiness, that is not uncommon," says Shannon Chrismore, a clinical coordinator at the clinic.

"Many people can use these sites for their intended purpose -- to remain in contact with people and/or to develop personal relationships."

But perhaps even healthy Internet users get "addicted" -- and are aware of it -- to at least some degree.

As part of a playful experiment, Stolze, a blogger and Twitter user with hundreds of followers, decided to spend the month of December completely offline, during which time he worked on his upcoming book "How to Survive Your Inbox" (written in Dutch).

Feelings he experienced went from "phantom limb" strangeness in the first week to anger and regret in the second to peace of mind in the third. Without the online distractions, he says, "I had tons of energy and have never been more productive than in that single week."

In the fourth week there was anticipation but also a sense of growing anxiety about losing that sense of quietness and ability to focus.

Life without the Internet, he decided after the experiment, was not for him. Life without email, though, was a blessing.

A lot of us, not just Stolze, are wondering what it would be like to unplug for a while. That in itself is interesting. Twenty years ago the idea that millions would be so absorbed in the Internet might have seemed unlikely and bizarre.

A T-shirt of Stolze's reading "The Internet was closed so I thought I'd come outside today" wouldn't have struck a chord the way it does now. And virtual happiness -- and unhappiness -- wouldn't have been considered real.

@highlight

Dutch project examined relationship between Web 2.0 and happiness

@highlight

Project suggests blogs social networks provide strong feelings of belonging

@highlight

Danger of too much Internet usage leading to loss in real life relationships