Washington (CNN) -- The United States on Monday condemned the violence in Libya and called for a halt to the "unacceptable bloodshed" in response to civil unrest, Secretary of State Hillary Clinton said in a statement.

"The government of Libya has a responsibility to respect the universal rights of the people, including the right to free expression and assembly," Clinton's statement said. "Now is the time to stop this unacceptable bloodshed. We are working urgently with friends and partners around the world to convey this message to the Libyan government."

It was the highest-level statement so far by the U.S. government on the accelerating strife in Libya, where reports Monday indicated a deteriorating situation with some military forces and pro-government allies attacking anti-government demonstrators.

Two Republican senators called Monday for President Barack Obama to publicly denounce what they called "egregious violations of human rights" by Libyan leader Col. Moammar Gadhafi.

"We urge the president to speak out clearly in support of the Libyan people," said a statement by Sen. Jon Kyl, R-Arizona, and Mark Kirk, R-Illinois.

U.S. authorities were keeping a close watch on Libya's rapidly unfolding political crisis, in part to see what possibilities might exist for meaningful reform, a senior Obama administration official said.

Among other things, Washington was taking a close look at a speech early Monday by Saif al-Islam Gadhafi -- the Libyan leader's son -- which included warnings of a civil war if demonstrations in the North African country don't stop.

In the speech, Saif Gadhafi also acknowledged political change occurring throughout North Africa and the Middle East, and proposed "radical" reforms -- such as bolstering local governments, relaxing restrictive laws, raising salaries, extending loans and drafting a constitution, which doesn't exist now.

Obama officials continued to discuss with their Libyan counterparts the need to avoid violence against peaceful protesters, the Obama administration official added.

The State Department, meanwhile, ordered all U.S. Embassy family members and non-emergency personnel to depart Libya. U.S. citizens were urged to defer all travel to the country.

Despite the warning from Gadhafi's son, Libya's protesters showed no sign of backing down. After Gadhafi's government apparently lost control of the city of Benghazi, angry protesters said they hoped for a similar turn of events in the capital, Tripoli.

Tripoli residents said state-run al-Shababiya TV was attacked Sunday evening by anti-government protesters. CNN, however, could not immediately confirm reports. The Libyan government maintains tight control on communications and has not responded to repeated requests from CNN for access to the country.

CNN has interviewed witnesses by phone.

The unrest, spurred largely by high unemployment and demands for freedom, has left at least 233 people dead in Libya, according to Human Rights Watch, citing hospital sources.

The growing U.S. pressure on Gadhafi -- a famously mercurial leader -- is only the latest in a series of twists and turns in the relationship between Washington and Tripoli over his 42 years of rule.

In 1986, Libya was implicated in the fatal bombing at a West Berlin nightclub that resulted in the death an American service member. President Ronald Reagan ordered the bombing targets in Libya in response and imposed economic sanctions. Reagan dubbed Gadhafi the "mad dog of the Middle East."

Two years later, Libya was implicated in the 1988 bombing of Pan Am Flight 103, which exploded over Lockerbie, Scotland.

In 1999, Gadhafi tried to thaw his icy relationship with the West, agreeing to demands to turn over suspects in the Lockerbie bombing. In 2003, he agreed to eliminate his pursuit and stockpile of weapons of mass destruction.

The moves helped Libya regain diplomatic relations with the United States in 2006.

In 2008, however, Swiss officials jailed one of Gadhafi's sons, prompting the furious leader to cut off the country's oil supplies, withdraw Libyan money from Swiss banks and threaten to sever diplomatic ties.

Two years ago, Gadhafi returned to the international spotlight yet again when Scotland agreed to release convicted Lockerbie bomber Abdel Basset al-Megrahi, who received a hero's welcome in Libya.

Scottish authorities said al-Megrahi was terminally ill with cancer and, as a result, was released on compassionate grounds. Skeptics, including several U.S. senators, contend that al-Megrahi was released as part of a deal fueled by British business interests in Libya, including oil giant BP.

Libya is one of Europe's key oil suppliers.

CNN's Alan Silverleib, Jill Dougherty and Mike Pearson contributed to this report.

@highlight

NEW: Clinton calls bloodshed in Libya unacceptable

@highlight

State Department has ordered the evacuation of all non-essential personnel

@highlight

The Obama administration is stressing the need to avoid violence against protesters

@highlight

Gadhafi's son has warned of a possible civil war if protesters do not back down