(CNN) -- A small town in Maryland is setting a precedent in eco-friendly road construction, breaking ground this week on one of the greenest streets in the nation.

The tiny port town of Edmonston in Prince George's County is billing the thoroughfare as the greenest on the East Coast. The road will help clean and filter toxic storm water pollution that drains into rivers, and eventually into Chesapeake Bay.

"What we're hoping to do, from top to bottom, is build a street that is completely environmentally sustainable, " said Edmonston Mayor Adam Ortiz.

Ortiz says the blueprint incorporates native tree cover to cool off the streets, wind-powered street lights that use high-efficiency LED bulbs, and pedestrian and bicycle access

But most important, says Ortiz, is the plan for all that water that rolls down the streets when it rains.

"[It's] not going to be flushed into our local rivers. Instead it's going to be naturally filtered. And that's very important for us to save our rivers and to help save the Chesapeake Bay here in Maryland."

Storm water runoff often carries toxins and pollution from parking lots and city streets, and from farms and agricultural lands in rural areas. Most cities and towns have underground concrete drain systems that collect the runoff and dump it into rivers and streams, pollutants and all.

"What we're going to do, instead, is divert that water into natural gardens. To the naked eye it just looks like a regular garden, but actually it's very specially engineered to absorb a lot of water and naturally filter it before it gets into the water table, and to keep it from washing all those pollutants into the river," according to Ortiz.

The storm water runoff in Edmonston drains into the nearby Anacostia River, which feeds into the Washington Channel, then empties into the Potomac River and eventually Chesapeake Bay.

The eco-street project includes using porous bricks in building the road and creating bioretention cells or rain gardens. The idea is to trap the polluted runoff water, sending it through natural filter systems so that when it makes it into the Anacostia, it's a lot cleaner.

Maryland Department of the Environment Deputy Secretary Robert Summers hopes this new main street in Edmonston is just the first of many.

"This kind of green infrastructure project to reduce storm water and energy consumption is exactly the kind of thing we need to do around the bay watershed to reduce pollution."

Summers says the benefits of this project are twofold: a reduction in storm water pollution and, through the energy efficiency in powering lighting, a reduction in air pollution and fallout.

But how much can converting one street really help in cleaning up an area the size of the Chesapeake Bay?

Summers acknowledges this is just the beginning.

"We need to grow it by leaps and bounds."

The Edmonston green street project is funded by the Environmental Protection Agency through a $1.1 million Recovery Act grant.

Summers says the state of Maryland has already allocated $20 million for other green projects and that this is the first of many projects.

The District of Columbia, Virginia, and Pennsylvania are also reviewing this green technology to eventually help do their part to clean up Chesapeake Bay. And in the Northwest, Seattle, Washington, and Portland, Oregon, have already taken steps to clean and control polluted storm water runoff.

"Our goal is that other towns and cities and communities will steal our ideas," Edmonston Mayor Ortiz said. "We'll know we're successful when we see these technologies used in other places."

@highlight

New road will help clean storm water pollution that drains into rivers, Chesapeake Bay

@highlight

Road will divert runoff into natural gardens designed to filter water

@highlight

Plan also uses native tree cover to cool streets, wind-powered street lights

@highlight

Project aims to reduce storm water pollution, air pollution, fallout to the bay, official says