In a country where the image of Mao Zedong is still revered and taxi drivers hang Mao medallions from their rear-view mirrors almost like lucky talismans, Bo Xilai's "red culture" revival was always going to have traction.

In the sprawling riverside megalopolis of Chongqing, the charismatic and urbane politician Bo launched a "smash black, sing red" campaign that promoted Chinese communist culture as zealously as it cracked down on organized crime.

From June 2009, Bo led a law and order drive that resulted in the arrest of thousands of suspected gangsters, but critics claim it also targeted his political adversaries.

The crackdown may have thrilled many in Chongqing's massive municipality of 32.8 million people -- almost four million of whom are rural migrant workers seeking work in the urban center -- but Bo's law-and-order campaign touched on one of China's growing social and political fault lines.

While many are becoming fabulously wealthy in the new China, millions more feel they are missing out on the country's economic transformation.

Bo's red-tinged economic policies -- which have included millions spent on social housing -- may have garnered him a rock star status in Chongqing, but almost 1,000 miles from the Yangtze River city in Beijing, some party chiefs were taking a different view.

His populist policies and high-profile personal style were seen as a challenge to the economically liberal and reform-oriented faction within the Chinese Communist Party (CCP).

The division emerged in the famous "cake theory" spat between Bo and Guangdong party chief Wang Yang in 2011.

Wang at the time stated that China needed to pursue economic growth before it could worry about how to divide the wealth, saying that "one must bake a bigger cake first before dividing it."

Bo was said to have responded: "Some people think [...] that one must bake a large cake before dividing it; but this is wrong in practice. If the distribution of the cake is unfair, those who make the cake won't feel motivated to bake it." Political analysts say the spat, which was widely aired on Chinese media last year, drives to the heart of the factional problems besetting the CCP.

The political divisions came to a boil in March 2012, when China's national legislature convened its annual meeting in Beijing.

Speaking to reporters on March 9 on the sidelines of a panel discussion of Chongqing delegates, Bo defended his policies. "Ask any citizen on the street if they support fighting corruption and they'll say 'yes'," he boomed. Addressing the rich-poor divide, he said: ''If only a few people are rich then we are capitalists, we've failed."

That may have been Bo's last stand.

Timeline: Bo's fall from grace

A few weeks earlier, Wang Lijun, his handpicked former police chief, had tried to defect to the U.S. consulate in the neighboring Sichuan city of Chengdu, triggering a political crisis that rocked the leadership in Beijing.

On March 14, the Prime Minister Wen Jiabao obliquely reprimanded Chongqing's leadership over the Wang incident during the premier's annual press conference. Wen also refered to the damage wrought by the Cultural Revolution - a reference that alluded to Bo's red revival in Chongqing - and said that the city's stellar double-digit economic performance had been the fruits of several administrations and not just Bo's work alone.

On March 15, the state-run Xinhua news service announced that Bo had been dismissed as Chongqing party chief and, almost a month later, he was suspended from the CCP's Central Committee and its Politburo-- the second-highest decision-making body in China -- ahead of investigations for "serious disciplinary violations."

Bo's dismissal is the most sensational political scandal to hit the Chinese Communist Party in recent years.

As a "princeling" - a son of a revolutionary veteran -- Bo was considered a strong contender for promotion into the Standing Committee of the party's Politburo, whose nine members decide how to run China.

But then, things were always likely to be different for the maverick cadre.

His father Bo Yibo, who had a similar relaxed and open style, was imprisoned and tortured during the Cultural Revolution as a "capitalist roader."

His credentials as an economic reformer were cemented during the 1980s when he famously visited the Boeing factory in the United States. Seeing just two planes on the tarmac, Bo senior asked if they were the only planes the factory planned to produce. When he was told that Boeing only made the planes that were on its order books, he immediately saw the problems of China's planned economy which produced goods regardless of whether there was a market or not.

Bo Xilai himself spent five years in jail during the Cultural Revolution and was said to have denounced his father during the tumultuous political upheaval -- an action that some argue may have cost him political allies in a culture that strongly values family ties.

After his release, Bo entered Peking University's history department in 1977 and two years later, after gaining a degree, Bo got into the master's degree program in journalism, the first ever, at the Chinese Academy of Social Sciences.

"His top ambition then was to be a Chinese journalist posted overseas," recalls a classmate and close friend of Bo.

After graduation, however, Bo did not pursue his ambition to become a foreign correspondent. Instead, he worked his way up as a local party and government official.

He spent 17 years in Dalian, a charming but gritty coastal city in northeastern China. He became Dalian mayor in 1993 and transformed it into a popular investment and tourism destination.

As early as 1999, Bo was expected to move to Beijing for a ministerial post but his promotion was aborted when he failed to get elected into the Central Committee, the Communist Party's ruling elite.

Bo served as the governor and later party chief of Liaoning, a rust-belt region in northeast China which then boasted of large but mostly money-losing state-owned enterprises. In Liaoning, Bo dealt with high unemployment and endemic corruption.

In 2004, when Bo finally got elected into the elite Central Committee, he moved to Beijing as minister of trade and commerce.

"He was a tough and effective negotiator in terms of defending China's global trade policies and interests," said Wenran Jiang, a professor at the University of Alberta and Bo's former classmate at Peking University.

For decades, Jiang recalled that Bo stood out as one of China's most dynamic and maverick politicians. Instead of reading prepared speeches, for example, he often spoke extemporaneously.

"He would have had a chance to become China's top leader, if China had direct elections. But he shows too much personality and charisma in the post-Mao political culture that emphasizes collective leadership," said Wenfang Tang, a political science professor at the University of Iowa.

During Bo's anti-corruption crackdown, Bo relied mainly on Wang Lijun, a tough and decorated policeman who served as Chongqing's police chief from 2009 to 2011.

The campaign led to thousands of arrests and several executions. Wang was promoted to vice mayor as a reward.

Ironically, it was also Wang who torpedoed Bo's career.

On February 8, 2012, Wang was unexpectedly reported to be "on leave" for health reasons. Days later, Wang mysteriously fled into the U.S. consulate in Chengdu, six hours' drive away from Chongqing.

The next day, Wang left the consulate "of his own volition," U.S. officials said, and was taken into custody by security officials. His revelations led to a murder investigation involving Bo's family.

In April of the same year, Bo's wife Gu Kailai and a family aide, Zhang Xiaojun, were detained on suspicion of having murdered British businessman Neil Heywood.

During her one-day trial that August, Gu issued a statement saying she didn't deny the accusations levied against her, but "accepted all the facts written in the indictment" -- including poisoning Heywood at a time when she thought her son's life was in danger, according to the state-run Xinhua news agency.

Gu received a suspended death sentence, which is expected to be commuted to life in prison after two years. Zhang was sentenced to nine years in prison.

Finally in August this year, the 64-year old stood trial at the Jinan Intermediate People's Court in eastern Shandong Provine on charges of bribe-taking, embezzlement and abuse of power.

During the hearings of the politically sensitive trial that took place over several days and featured testimony from both his wife and Wang, Bo denied the charges and strongly challenged the prosecution's case against him, according to court accounts.

Days before the court announced the date for delivering the verdict, Bo reiterated his innocence but said he anticipated a lengthy imprisonment in a letter written to his family.

Read more: Bo Xilai jailed for life

But then on Sunday, September 23 Bo learned his fate: guilty of all charges and a life term in prison. The fall from grace of this one-time rising star was complete, leaving China watchers to ponder whether this was a statement of intent from President Xi Jinping as he continues with his anti-corruption drive.

@highlight

Charismatic politician Bo Xilai promoted Chinese communist culture

@highlight

His populist policies were seen to challenge a faction of the Party

@highlight

Bo jailed for life for bribe-taking, embezzlement and abuse of power

@highlight

Bo's wife and family aide also serving time for murdering Neil Heywood