(CNN) -- A lab crucial to diagnosing cases of drug-resistant tuberculosis at the Centers for Disease Control and Prevention has reopened, according to the CDC.

The Atlanta lab was closed several weeks ago after reports of multiple improprieties -- including transporting dangerous materials in Ziploc bags and sending a live sample of bird flu to a low-security lab -- prompted CDC Director Dr. Thomas Frieden to instruct his highest-security labs to stop transferring out biological materials.

The TB lab resumed operations after an "intensive review" by the CDC's new internal laboratory safety working group. The group has implemented detailed safety procedures for TB inactivation, according to a CDC statement. This lab was not involved in the recent anthrax- and deadly flu-exposure incidents.

The transfer moratorium remains in place for other high-security labs, known as BSL-3 and BSL-4.

The lab mishaps continue to have broad impact, compromising care for patients with diseases such as chikungunya and potentially slowing work overseas on Ebola and MERS. Laboratories around the world can no longer depend on the CDC to help them diagnose these unusual diseases, said Michael Shaw, deputy director of the CDC's Office of Infectious Diseases.

The CDC is one of only three public health labs in the United States that does quick testing on drug-resistant tuberculosis specimens to see which antibiotic might work the best.

The CDC is still turning away about 100 samples per week that need to be checked for chikungunya, a mosquito-borne disease that's risen to record levels in Puerto Rico, the U.S. Virgin Islands and other parts of the Caribbean, according to Shaw.

Doctors in the area have been sending specimens to the CDC to help diagnose the disease, which often has the same symptoms as dengue fever or malaria. Without answers, doctors on the ground will have difficulty knowing how to treat their patients and whether they need to isolate them from others, Shaw said.

The CDC has also stopped a mosquito surveillance program in Gulf Coast states aimed at detecting whether infected bugs are bringing the disease to the continental United States.

State labs in the United States also rely on materials from the CDC to test substances such as white powders that are suspicious for bioterrorism. The labs have enough materials to last awhile but at some point will run out.

Internationally, labs working on the Ebola crisis in Africa and on Middle East Respiratory Syndrome might see their work slowed down because of the CDC lab situation.

Those labs depend on materials from the CDC to do their work. Shaw said they also currently have enough but might run out soon.

The 22 CDC labs under the moratorium are in Atlanta; Anchorage, Alaska; San Juan, Puerto Rico; and Fort Collins, Colorado. The moratorium will be removed lab by lab as each one can prove it can operate safely again, Shaw said.

"We shouldn't and we won't be doing this work unless we can do it in a safe way," he added. "As soon as each lab can document that policies and procedures and validated protocols are in place, they can resume transporting materials."

CDC lab director resigns after anthrax incident

USDA finds more CDC lab problems

Anthrax investigation turns up 'distressing' issues at CDC

@highlight

NEW: CDC lifts moratorium on high-security lab responsible for TB diagnosis

@highlight

Improprieties led CDC director to instruct labs to stop transferring biological materials

@highlight

Ban meant other labs could no longer get the CDC's help