(CNN) -- If travel industry experts are correct, next year will see us snapping holiday "braggies," eating dinner at a local's house, being served by a "Botler" and, more than likely, heading to Asia.

Singapore, Thailand and Japan are among top destination picks for next year, while world-class sports events like the 2015 Rugby World Cup will also see fans flocking to host nation England.

Why Asia's hot right now

"One of the hottest regions is Asia and there are a couple of different drivers," says Elizabeth Crabill, president of global travel provider TravelBound, which serves 40,000 travel agents worldwide.

Japan, notoriously expensive for foreign visitors, is set to become more affordable because of the depreciation of the yen, which has lost nearly a quarter of its value since 2012.

"International currencies are going to go a lot farther," says Crabill.

She points to increased interest in Okinawa, "the Hawaii of Japan," a string of islands in the south with a subtropical climate and a strong indigenous culture.

Thailand is expected to bounce back from a coup in May, which hit tourism hard with unrest and curfews.

"There's a lot of pent up demand," says Crabill, adding that in spite of the recent negative headlines tourists are likely to stream back to Thailand for great food and glorious beaches.

Meanwhile, Singapore will celebrate its 50th anniversary of independence in 2015, making it a big draw for visitors.

Famed for its eclectic cuisine, soaring skyscrapers -- and, more recently, ambitions to transform itself into a city in a garden starting with the 100-hectare Gardens by the Bay -- Singapore is putting on a number of events to celebrate its Golden Jubilee.

Highlights include the opening of the National Gallery Singapore and the opening of the Jubilee Walk, which will cover historic locations on the island.

"It's our top destination for 2015 globally," says Crabill.

Instant messaging, wearable tech, robots

Tech continues to drive the future of travel and it's shaping everything from the way we show off about our holidays with "braggies," like a selfie, but taken within 10 minutes of arriving at your hotel.

It's also changing who brings us room service (clue: it might not be a human).

"Technology is the strongest disruptive force in the travel industry today," says Angelo Rossini, travel and tourism analyst at Euromonitor International.

He's one of the editors of the annual WTM Global Trends Report 2014, released at last month's World Travel Market in London.

One of the most surprising predictions in the report comes out of Asia, where millions of people now make travel bookings via instant messaging.

Chinese messaging service WeChat has 440 million active users -- second only to U.S. messaging service Whatsapp -- but it's leading the way when it comes to monetizing its popularity.

Chinese online travel agency Ctrip sells air, train and other tickets on WeChat, while travelers on low-cost carrier Spring Airlines book flights and check in using its WeChat service.

"Instant messaging is becoming a threat to telecoms companies -- and also for social media," says Rossini. "We definitely expect this to become the case in more and more other regions of the world."

The report predicts that wearable tech (Internet-connected devices that you wear) will be an increasingly important tool for travelers over the next couple of years.

Products currently on sale include the Sony SmartWatch and Google Glass.

But it's the Apple Watch, which goes on sale in 2015, that's expected to be the real game changer.

Starwood Hotels, which owns the Sheraton, St. Regis, W hotels and several other global brands, is getting ahead of the trend with an Apple Watch and iPhone app that allows hotel guests to unlock their hotel rooms without a key card.

Perhaps taking all this to its logical extreme, Aloft Hotels, also part of the Starwood group, is trialing a robot butler, known as "Botler" in Cupertino, California.

"Botler brings you things you need, for example toothpaste, your slippers, a newspaper," says Caroline Bremner, head of travel and tourism for Euromonitor.

Cruise line Royal Caribbean installed robot bartenders on its new Quantum of the Seas, which it says is the world's most technologically advanced cruise ship.

However, technicians had to pull to plug on them on the inaugural voyage after they failed to stand glasses upright and mix cocktails fast enough, according to the Daily Telegraph.

"At some point the introduction of tech has to be functional, not just novelty, and there's a danger that hospitality goes toward gimmick," says Bremner.

Do-it-yourself holidays and the sharing economy

In 2015, more of us will likely book our own holidays, use online forums to research destinations and rent from locals when we get there.

"We are seeing more and more people move away from the model of getting a package holiday," says James Kay, spokesperson for online booking and review company, TripAdvisor.

The company announced in August 2014 that 315 million people now use the site each month -- an increase of 20% from 2013.

Increasing numbers of people are using TripAdvisor's forums to research destinations in advance, taking the opportunity to ask locals specific questions.

"They will take time to put the pieces of a trip together, because they figure they can get better value for money on it and also find those local gems," Kay adds.

The sharing economy, particularly peer-to-peer rentals and experiences, is gaining popularity at warp speed.

Poster child of the movement, holiday rentals site Airbnb currently has 6 million guests in 190 countries.

Some of that growth has come from word-of-mouth, according to Euromonitor's Bremner.

"People might have been hesitant but then they hear of (others) who have had a positive experience -- or not -- and they are more inclined to try it out," she says.

Hanging with the locals

What we're all likely to be doing a lot more next year is eating with the locals -- not in restaurants but in their homes, according to the WTM Global Trends Report 2014.

Sites like Eatwith.com, which pairs travelers with home cooks and Bookalokal.com, a network of locals who offer meals and cooking classes, are rapidly expanding.

"My best travel experiences have always involved having a local person on the ground, so I set out to launch a platform where travelers could connect with local people," says Bookalokal.com founder Evelyne White in the report.

Both Bookalokal.com and EatWith.com apply the Airbnb model to dining: guests review hosts and some are verified for food quality, venue and cleanliness.

Peer-to-peer sites that offer experiences, like Vayable.com, are also popping up.

Vayable connects travelers with locals offering everything from a night photography tour of Paris to kayaking in Auckland to a tour of Kibera, Africa's largest slum.

Services like these are forecast to become some of the fastest growing areas in the travel industry over the next few years, fueled by the public's appetite for authentic experiences and connections with local people.

@highlight

Aloft Hotels is trying out a robot butler named "Botler" in Cupertino, California

@highlight

"Braggies" are just like selfies, but taken within 10 minutes of arriving at your hotel

@highlight

Travelers will be eating more meals alongside locals, say industry insiders