Birmingham, Alabama (CNN) -- The class of 1963 crowded in a rectangle on the dance floor, the memories of high school fresh on their minds as the band played in a sea of pink and blue hues.

Aretha Franklin. Etta James. The Temptations. Just what you would expect to be playing at a 1960s prom. Yet the song that drew the most bodies to the dance floor was "The Wobble."

Until this hip-hop song emptied the chairs, it felt as if the auditorium had been transported back 50 years.

But it's 2013, and despite the full-court nostalgia for the 1960s, that decade was one of the most difficult times in Birmingham's history.

Societal tensions over race were so high in 1963 that the city canceled senior prom for five of the city's segregated high schools for blacks.

Today, a half century has passed since the seminal civil rights protests that changed Birmingham and plotted a path for the nation away from segregation and toward equal rights.

Just like that path, the healing process has been a long one.

The Historic 1963 Prom, held Friday and hosted by the city of Birmingham, closed one chapter for these Alabamans.

'A tension-filled city'

Growing up in Birmingham in the 1950s, Earnestine Thomas knew the rules of this segregated city. At a restaurant, she could pay in the front, but had to walk around the back to get her food from a cook. She could shop only in certain places; there were neighborhoods that she knew not to visit.

"As a child, I recognized that it was unfair, but didn't understand that there were laws propping (segregation) up," she said as she waited for a hair appointment before Friday's prom.

More: Segregated prom yields to unity

She treated herself to a hair styling before donning a lavender dress with a sequined jacket and matching shoes. Lavender was a fitting color, she said, not just because it is her favorite, but because it was the school color at Parker High School.

It was a day of celebration that she and her classmates were denied in 1963.

Segregation in Birmingham permeated everything, down to the Bibles that judges used to swear witnesses in -- there was one holy book for white witnesses and another for black witnesses.

Yet members of the class of 1963 recall having the same struggles as any other teenagers, then and today -- parents' rules, scrounging enough money for dates, finding reliable transportation.

As often is the case when people witness a historic period, many black high school students in Birmingham in 1963 did not recognize the moment that was upon them.

Years of advocacy by civil rights leaders had successfully chipped away at segregation, and students pushed the boundaries -- as much out of teenage rebellion as a sense of justice.

Opinion: For Dr. King, everybody in and nobody out

Cynthia May and her friends were the first ones to board the bus the day that the signs relegating blacks to the back of the bus were removed, around the summer of 1962.

The teens tested the new limits immediately by sitting in the front. But when whites began boarding the bus, they stood, rather than sit behind the black teens. The teens also noticed that white riders refused to sit next to black riders, so instead of sitting two to a seat, they spread out individually to occupy the seats, leaving other passengers no choice but to sit next to them. Again, the white riders chose to stand.

"It was a tension-filled city," May said.

It was against this backdrop that the seniors at the black high schools began preparing for graduation.

Each May, in Thomas' neighborhood, the graduating seniors would parade down the street. And in 1963, it would be her turn.

There was also prom, an American rite of passage.

Thomas can still picture her long dress, a blue and green neon attention-grabber that showed different colors in the light as she moved.

A neighbor had bought it for her in December.

"Even though it was a winter dress, I was going to wear it to the prom," Thomas said. "But in one fell swoop, that was wiped away."

Civil rights come to Birmingham

There is disagreement over why prom was canceled for those five black high schools in 1963.

The civil rights movement was in full swing that year, but the high school students, to an extent, were kept at a distance from it.

This would change on May 2, 1963, when hundreds of children, some as young as 6, left school to march in Birmingham in opposition to segregation.

CNN Photo Blog: Birmingham's civil rights crusade

Thousands of arrests were made at the so-called Children's March, and when the marches persisted for several days, authorities responded with fire hoses and dogs.

"This was a very controversial thing," said Glenn T. Eskew, a history professor at Georgia State University who has written a book about Birmingham during this period. "There were those who did not believe that schoolchildren should be engaging in civil rights protests. Not only was it dangerous, but they were youth and it was a very confrontational thing."

The images of children being hosed and intimidated by police dogs renewed a level of outrage at the national level that had been flagging.

"It changed the dynamic of the protest dramatically," Eskew said. "It encouraged other youth to participate on one hand, and on the other it ratcheted up the pressure on the forces of white supremacy."

50 years since MLK's Letter from a Birmingham jail

Only a fraction of students from the black high schools participated. Many were told by their parents not to participate, for fear of losing a job or other retribution.

Thomas didn't march because her grandfather expressed concerns that he might be fired if someone saw her protesting.

But everyone would be affected by the protests, whether they marched or not.

Days after the marches, the school board announced that all end-of-the-year activities were canceled for the class of 1963. No prom, no graduation, no yearbook.

The stated reason for the cancellations was security concerns; that in such a tense racial atmosphere, a gathering such as a graduation ceremony or prom could become the target of an attack.

Yet many believe that the events were taken away as a punishment for their participation in the marches.

If the authorities were truly concerned about the safety of the black students, they would not have met them with fire hoses and snarling dogs, said Bishop Calvin Woods, director of the Birmingham chapter of the Southern Christian Leadership Conference.

It was Woods, who was a father with children at the schools, who sued to have graduation reinstated.

A court eventually ordered graduation must go on, and it did, though delayed. But prom never happened.

Shirley Holmes Sims had her copper-colored dress ready to go when she left school to participate in the Children's March. And copper-colored shoes to match.

They would go unworn, and be lost decades later in a tornado.

"We marched down that street and we were singing 'We Shall Overcome,'" Sims said. "You think back to it today, and it was truly worth it."

Righting a wrong

Ethel Arms has a line she uses when the topic of high school rites of passage and prom comes up: "We didn't have a prom because of the civil rights movement."

It puts the memory of 1963 in perspective and justifies the sacrifice.

Yet it doesn't change the fact that inside, she has always lamented that she never had that night.

Sure, there were more important things going on in Birmingham at the time, but she was just a teenager and wanted those experiences.

This time, Arms was on the "prom committee" that organized Friday's event. The small group gathered in a hotel room before the dance, laughing and reminiscing about the prom they never had. There would be no prom king and queen elected this time, but the theme of the dance summed up what the night was all about: "Finally, the Prom We Never Had."

Sims ironed her purple and gold dress as the women placed corsages on their wrists and waited for the limousines that would take them to the prom.

Amid the celebratory atmosphere, there were moments of reflection, and thoughts of those classmates who had passed away.

In a way, this party was a celebration of what they had endured and survived over the last 50 years, Thomas said.

"As we get older, everything behind us looks greater," she said.

The prom committee held hands and said a prayer before walking out of the room. This would be their night.

The prom was especially meaningful for Ethel Arms, as she and her high school sweetheart, Eugene, had been negotiating with their parents for permission to attend the prom when it was canceled in 1963. They had been trying to figure out where to find transportation to the dance, and how to earn the money to rent formal wear or buy a dress.

They later married, and when it came time for their children to attend proms, the couple put extra effort into making them special nights.

It wasn't until Friday night, though, in Birmingham's Boutwell Auditorium, that Eugene Arms was finally able to take his own sweetheart to the prom.

"It's really a much more pleasant event because we can afford the attire, we have no problem getting back and forth," Eugene Arms said.

"It makes you appreciate everything when we were children," he continued. "The sacrifices people made."

Eugene Arms had attended rallies during the civil rights movement, but out of deference to his parents, he did not participate in the Children's March.

The students that did participate in the march faced dogs and water and arrests, he said.

"All we did was give up prom," he said.

Opinion: Historic milestone for African-American voters in 2012

@highlight

On May 2, 1963, hundreds of Birmingham schoolchildren marched against segregation

@highlight

Images of children being hosed and intimidated by police dogs sparked national outrage

@highlight

Days later, the city canceled graduation and prom for seniors at five black high schools

@highlight

While graduation was reinstated, prom never was -- until this weekend