(CNN)When Americans ponder the world's most desolate places, they tend to conjure Antarctic outposts, Tibetan mountaintops, central Australian plateaus or Kardashian brain stems.

Fact is, if you're in the States you don't have to travel halfway across the globe to separate yourself from civilization.

You don't even have to leave the continental United States.

Secluded swamps, forsaken tundra, vacuous canyons, yonder mountain ranges, deserted deserts -- despite all the development, the United States is still home to plenty of untamed hinterland.

Here's the ultimate list of those destinations with suggested activities for each.

The criteria are as simple as they are vague: maximum distance from other humans and any signs of their existence, including but not limited to roads, posted signs, smokestacks, government surveillance, electronic dance music, Snapchat and cronuts.

(And, as is so often the case, Alaska and Hawaii not included.*)

Camping

Rampart Mountain (Montana)

In 2008, Backpacker magazine identified the most remote coordinates in the lower 48 United States: Yellowstone National Park's Two Ocean Plateau.

But there's more to seclusion than geography -- chiefly, the absence not only of civilization, but civilians as well, and Yellowstone hosted 3.19 million of them last year.

According to an ecologist couple dedicated to identifying the most remote spot in each U.S. state, that location is smack in the middle of Montana's Bob Marshall Wilderness Complex.

It took the couple five days hiking in, during which they encountered grizzly bears and mountain goats, traversed white limestone and red sandstone streams and crossed the Great Divide en route to maximum peoplelessness.

Bob Marshall Wilderness Complex, 10 Hungry Horse Drive, Hungry Horse, Montana; +1 406 387 3800

Hiking

High Peaks Wilderness (New York)

Admittedly, there are hikes in the United States more secluded than this section of Adirondack Park.

Most of us without 10 days to throw at a nature walk, however, will find plenty of peace in the largest publicly protected area on the U.S. mainland.

The terrain varies from low-lying swamplands to the highest point in New York state, the summit of Mount Marcy (5,344 feet).

With its most isolated spot reaching nearly six miles from the nearest road, the High Peaks Wilderness Area still attract thousands of hikers a year.

But there are plenty of unmarked trails, high-elevation lakes and untrammeled terrain -- especially in the Peaks' western zone -- on which to avoid them.

High Peaks Wilderness Area, Eastern Adirondacks/Lake Champlain, New York; +1 518 897 1200

Sun-tanning

Wildcat Beach (California)

The 5.5-mile hike (or seven-mile bike ride) keeps the average beach-goer from reaching this vehicularly inaccessible notch of the popular Point Reyes National Seashore.

But the lush vegetation, unrivaled Pacific views and downright alien beachside waterfall (aka, Alamere Falls) keep rewarding those who do.

The falls are active year round, but peak in activity following the rainy season, from January to March.

Strong currents make the ocean more of an aesthetic rather than recreational feature of the beach, but once the morning fog of the summer months burns off, Wildcat's 2.5 miles of expansive sands and encompassing cliff-side ramparts make for a sunny yet secluded beach adventure.

Beaches of Point Reyes, Bear Valley Visitor Center, 1 Bear Valley Road, Point Reyes Station, California; +1 415 464 5100

Game tracking

Wasatch Mountains (Utah)

Outdoor Life calls it possibly the toughest hunt in North America.

The goat are as abundant in Utah's high alpine areas as the treacherous peaks and cliff faces, making the Wasatch Mountains a destination of maximum risk and reward offering minimum human competition.

According to Double C Guides & Outfitters, the Box Elder and Provo peaks see the fewest interlopers, owing to the difficulty of the terrain, which is rife with mountain goat.

Other areas of the Wasatch Mountains support healthy deer, elk and moose -- but also hiker -- populations.

While the altitudes are high and physical demands strenuous, if you're a hunter, the greatest challenge may be drawing a big game tag in the state's annual raffle.

Wasatch Mountain State Park, Midway, Utah; +1 435 654 1791

Canoeing

Wilderness Waterway (Florida)

The nation's most famous paddleways are Minnesota's Boundary Waters -- explaining their absence here.

Less frequented, especially come summer, is the labyrinth of mangrove forests, Gulf beaches and sawgrass marshes comprising Everglades National Park.

Wilderness Waterway is the 99-mile corridor from Everglades City down to Flamingo, flanked by plenty of alternate routes that promise one of the most humanly deserted, biologically diverse wilds in the world; more than 360 species of bird, endangered panthers and the only known coexistence of alligators and crocodiles on earth.

Mainland Florida's most remote spot can also be found within the 'Glades, 17 miles from the nearest road -- just one mile closer than Montana's farthest reach.

Everglades National Park, main entrance at 40001 State Road, Homestead, Florida; +1 305 242 7700

Waterfalls

Mooney Falls (Supai, Arizona)

Deep within the Grand Canyon's western edge, this Havasupai tribal village is the most remote community in the continental United States, according to the U.S. Department of Agriculture.

Mail here is still delivered via mule and, aside from helicopter, that's the only transportation in or out.

The 2,000-foot descent down Havasu Canyon Trail into Supai starts at Hualapai Hilltop.

Eight miles later you'll find a general store, a Mormon church and the Supai Village Cafe, where fried bread is a staple.

From there, Mooney Falls is just downstream.

It's a nearly 200-feet tumble of incandescent blue-green waters for which the Havasupai are named.

Contact the Havasupai Tribe for information and entry permits.

Fishing

Angle Inlet (Minnesota)

The highest point of latitude on the U.S. mainland is so remote the only way to reach it by land is through Canada.

In fact, being the product of a surveying error in the Treaty of Paris, the Northwest Angle should by all rights be Canadian.

Instead, it's one of few U.S. points of entry to the Lake of the Woods, a 1,700-square-mile freshwater Eden with a world-class walleye population in addition to pike, perch, muskie, bass, trout, sturgeon, crappie and sauger.

Following a secessionist stunt in the late-1990s intended to raise awareness of neighboring Ontario's restrictive catch limits, visitors to the Angle are now able to keep their often trophy-size catches.

Angle Inlet, Angle Township, Woods County, Minnesota

Driving

U.S. Route 50 (Nevada)

What was once a warning to tourists became the slogan for a tourism board.

A 1986 Life magazine article dubbed the Nevada stretch of this coast-to-coast highway "The Loneliest Road in America."

An accompanying caveat from the American Automobile Association urged drivers to avoid U.S. 50 unless they were "confident of their survival skills."

The state has since seized on the reputation of its lonesome road, extolling the virtues of its vacuity and points of interest, including bygone mining camps, ghost towns and nuclear test sites.

The highway mimics the old Pony Express route, traversing sand dunes and snowy mountains as well as Great Basin National Park near its eastern terminus.

The Loneliest Road in America, U.S. Route 50, Nevada

Russia Watching

Little Diomede Island (Alaska)

*Despite that disclaimer above excluding the 49th state, we can't help making one exception to this list because, if we're being honest, just about the most remote everything in the United States is located in Alaska.

It has the most land and lowest population density of any state, while offering some of the richest natural spoils on earth.

But the tiny island of Little Diomede poses not only one of the most effective escapes from humanity, it also offers the kind of front-row vistas on Russia that once formed the putative centerpiece of Sarah Palin's foreign policy.

In the middle of the 50-mile expanse separating the United States and its renewed rival is a population of approximately 40 people for whom it's a hardscrabble life -- but the views of Siberia are superb.

For more information on Little Diomede check out the Communities of the Bering Strait website operated by the Kawerak nonprofit corporation.

Jordan Burchette is a Los Angeles-based writer and editor who has written for numerous publications and websites including ESPN, Thrillist and Men's Fitness.

@highlight

Despite development, the United States has plenty of untamed hinterland

@highlight

Most remote coordinates in lower 48 states are in Yellowstone National Park

@highlight

Mainland Florida's most remote spot is 17 miles from the nearest road

@highlight

Nevada stretch of U.S. Route 50 dubbed "The Loneliest Road in America"