(CNN) -- Just days after giving birth to her second child, Dr. Jane Dimer drove herself home from the hospital to find her then-husband in bed with another woman. He threw Dimer down the stairs, and she never saw him again until court.

Rihanna was allegedly attacked by her boyfriend, singer Chris Brown, before the Grammys on February 8.

Dimer, now an obstetrician-gynecologist at Group Health Cooperative in Seattle, Washington, had been in an abusive relationship with her husband in Germany for 4½ years until he pushed her out 11 years ago.

"Emotionally, the remnants of that stay for a long time," she said.

Domestic violence is the most common cause of injury to women ages 15 to 44, according to the National Institutes of Health. With the entertainment world buzzing about pop sensation Rihanna, whose boyfriend Chris Brown has been formally charged with assaulting her, public interest in domestic violence has been reinvigorated.

Abuse can influence a victim's future behavior in relationships and even in friendships, depending on whether the victim stays or leaves, said Mark Crawford, a clinical psychologist based in Roswell, Georgia. Those who stay are likely to stop trusting their own perceptions and become passive in both romantic and nonromantic relationships.

Victims who do leave -- which is the healthier choice, Crawford said -- often become over-accommodating because they want to avoid conflict, even verbal disputes, at all costs. Some women won't trust people easily, if at all, and won't be able to handle even normal expressions of anger. Visit CNNHealth.com, your connection to better living

"What they need to do when they get out of the relationship is make sure they're aware of their own anger, and then they can learn how to freely express it in a healthy, normal way," he said. "If somebody's still having issues 10 years later, they just haven't worked through it. They haven't healed; they need to do that."

New research shows that abuse victims feel the impact of violence long after it occurred. A recent study in the Journal of Women's Health found that older African-American women who were exposed to high levels of family violence at some point in their lifetimes -- whether by a partner or family member -- are at a greater risk of poor mental and physical health status.

"Not just ongoing violence, which everybody thinks about, but even when it's over, there's something about what happens that seems to have a lingering effect that we don't quite understand yet," said Dr. Anuradha Paranjape, co-author of the study and associate professor at Temple University School of Medicine.

It makes sense that abused women would report worse health, given that people in stressful situations have higher levels of stress hormones, which interfere with immune function, Crawford said.

Other studies show a clear connection between depression and abuse. Adult women who have been abused in a relationship in the past five years have rates of depression 2½ times greater than women who have never been abused, according to a different study of more than 3,000 women. They are also more likely to be socially isolated, said author Amy Bonomi, associate professor at The Ohio State University.

Women who have been abused prior to, but not during, the past five years had depression rates 1½ times greater than those without abuse experience, said Bonomi, who has collaborated with Dimer on research on abused women.

"People like to sort of think that, 'Well, abuse is just when you have a black eye, you sustain a broken bone,' " Bonomi said. "But we see lots of different effects in other areas, like depression and social isolation, and we've actually proven that with the data."

Women who have suffered violence also seem to have a greater likelihood of substance abuse, but it's unclear how the two are related -- one doesn't necessarily cause the other, and there could be other factors involved, Bonomi said.

A 2008 study of 3,333 women, which Bonomi worked on, found that middle-aged women who suffered child abuse, sexual or other physical abuse, had a greater likelihood of depression, as well as a higher body mass index. These women also spend up to one-third more than average on health care costs. About 34 percent of women in the sample said they had been abused.

While Paranjape's study found that women with the highest levels of abuse reported having poor health, the same number of diseases were reported among those women as the women in the sample who had less or no abuse. This indicates that there is something else that makes abused women report feeling unwell, she said.

"When your patient says they don't feel so good, you might want to think about asking what other issues may be going on," she said.

People who have gotten out of a relationship should go through the work of learning what issues set them up in that situation, and reflect on the warning signs, Crawford said.

Experts recommend finding a counselor and other means of support, but people who have been abused should think twice about revealing too much in online support groups, because their abusers could discover what they're saying, Dimer said. Research has also shown that violence escalates in abusive relationships among couples who go to marriage counseling, she said.

Some women do feel stronger having been through the experience of abuse, Dimer said. She herself found healing through advocacy and research on the subject, she said.

Calling a domestic violence hot line is a good first step for anyone who is experiencing abuse, Dimer said.

"Whether you're a pop star or somebody that's working front lines -- an employee at a grocery store selling the pop star magazine -- you're at equal risk for having this," she said.

@highlight

NIH: Domestic violence is the most common cause of injury to women ages 15 to 44

@highlight

Study: Abused women more likely to have depression, anxiety, joint pain

@highlight

Calling a domestic violence hot line is a good first step for a victim