(CNN) -- Investigators are leaning in the direction that the same person or persons who crafted the Christmas Day underwear bomb were behind the PETN-based devices hidden in packages sent from Yemen, a U.S. government official told CNN.

"The thinking is it's the same person or group of people that built the underwear bomb because of the way it's put together," said the official, who had been briefed by multiple U.S. authorities and law enforcement sources. "But this one is about four times as powerful."

American authorities are now endorsing British Prime Minister David Cameron's position that the explosives were designed to take down an airplane, the official said.

One package was found in Dubai in the United Arab Emirates. The other was discovered at an airport in England.

On Friday, U.S. officials said they had not taken a position on whether planes or two Chicago, Illinois, synagogues were the ultimate targets. The packages had the synagogue addresses.

Meanwhile, a woman believed to be connected to a plot to send explosive packages bound for the United States has been arrested in the Yemeni capital of Sanaa, according to a Yemeni government official and a reporter with the state news agency.

A female relative of the woman was also being questioned by Yemeni authorities, the government official said. The relationship between the two women was not immediately known.

Authorities are looking at a specific material found in the devices and used in the foiled "underwear bomb" attempt in 2009.

A source close to the investigation said the type of material found in the devices was PETN, a highly explosive organic compound belonging to the same chemical family as nitroglycerin. Six grams of PETN are enough to blow a hole in the fuselage of an aircraft.

PETN was allegedly one of the components of the bomb concealed by Umar Farouk AbdulMutallab, the Nigerian man accused of trying to set off a bomb hidden in his underwear aboard a Northwest Airlines flight as it approached Detroit, Michigan, on December 25.

AbdulMutallab is alleged to have been carrying 80 grams of PETN in that botched attack.

"The quantity of PETN in these [new] devices was about five times the volume used at Christmas" by AbdulMutallab, Col. Richard Kemp, the former chairman of the British government's Cobra Intelligence Group, told CNN affiliate ITN. The plot "does appear to be a typical al Qaeda-type operation," he said.

A source closely involved in the investigation said the detonating substance was Lead Azide. Lead Azide is a "very powerful initiator" which is easily prepared and is a standard substance in detonations, the source said.

Believing that a Yemen affiliate of al Qaeda was involved, American and British authorities said explosive devices jammed into ink toner cartridges were powerful enough to bring down a large aircraft.

British authorities said they believe East Midlands Airport in central England was simply a conduit for shipment of one device to the United States.

"We believe that the device was designed to go off on the airplane," Cameron said. "We cannot be sure about the timing when that was meant to take place. There is no early evidence that that was meant to take place over British soil, but of course we cannot rule it out."

UK Home Secretary Theresa May said authorities do not believe the perpetrators would have known the location of the device had they detonated it.

As they studied the devices and toiled to understand the extent of the plot, authorities pointed their fingers at al Qaeda in the Arabian Peninsula. The group is based in Yemen, a poor Arab nation that has emerged as a major operating base for al Qaeda and other terror groups.

Secretary of Homeland Security Janet Napolitano told CNN on Saturday that the plan to send the explosives has the "hallmarks of al Qaeda, the AQAP -- they are constantly trying things to test our system."

Yemen has asked for outside help to thwart terror groups, but the country, the ancestral home of Osama bin Laden, is still used for operations, U.S. officials say. The failed "Christmas Day Bomber" plot, for example, is believed to be the workings of al Qaeda in the Arabian Peninsula. And in January, the United States and United Kingdom temporarily closed their embassies in Yemen's capital, Sanaa, because of terror concerns.

U.S. authorities were grateful for a tip from Yemen's oil-rich neighbor, Saudi Arabia, alerting them to the suspicious packages.

The Saudi government provided U.S. officials with tracking numbers of the two packages, enabling quick tracing to the United Kingdom and Dubai, a source told CNN.

President Barack Obama called King Abdullah on Saturday to thank him, the White House said.

On Friday, Obama confirmed the two devices contained explosive material and were bound for two "places of Jewish worship" in Chicago, Illinois.

"We ... know that al Qaeda in the Arabian Peninsula ... continues to plan attacks against our homeland, our citizens, and our friends and allies," Obama said during a press briefing.

Obama's presidential counterterrorism advisor, John Brennan, spoke to Yemeni President Ali Abdallah Saleh, stressing "the importance of close counterterrorism cooperation, including the need to work together on the ongoing investigation into the events over the past few days," according to the White House.

Saleh told reporters that Yemen could not confirm the packages contained explosives, but he acknowledged the nation's economy and tourism industry have suffered because of al Qaeda's presence.

He vowed to fight the terror group.

"We do want anyone to interfere in Yemeni affairs and start chasing al Qaeda," Saleh said. "We will chase al Qaeda with our airplanes and our equipment. We will chase al Qaeda wherever they are."

Over the past several months, Yemen, which wants to be seen as a committed partner in the fight against terrorism, has asked for assistance from other countries. Saleh's appearance before reporters a day after Friday's developments is considered significant.

Authorities, meanwhile, said the explosive devices were meticulously crafted.

They were "professionally" loaded and connected using an electric circuit to a mobile phone chip tucked in a printer, Dubai police told WAM, the official news agency for the United Arab Emirates. The devices were packed in toner cartridges and designed to be detonated by a cell phone, a source close to the investigation told CNN.

The package found at East Midlands Airport contained a "manipulated" toner cartridge and had white powder on it as well as wires and a circuit board, a law enforcement source said Friday. A similar package set to be shipped on a FedEx cargo plane was discovered in Dubai, officials there said.

When the Saudis warned Britsh law enforcement that there were explosives inside the cartridge at East Midlands, the British -- using human and canines -- could not detect the material, according to a U.S. law enforcement official familiar with investigation.

The British authorities contacted the Saudis to verify the tip, the official said. The Saudis told them to inspect the cartridge again, and that is when the British authorities discovered the material, the official said.

In response to the threat, authorities stepped up searches Friday of cargo planes and trucks in several U.S. cities, said law enforcement sources with detailed knowledge of the investigation.

Also Friday, the Transportation Security Administration stopped all packages originating from Yemen, and shipping companies UPS, FedEx and DHL all said they were complying with the order. May said Saturday that all cargo into or through the United Kingdom originating in Yemen was halted as well. The U.S. Postal Service also announced a temporary suspension of acceptance of inbound international mail originating in Yemen.

Rep. Peter King, R-New York, a ranking member of the House Homeland Security Committee, told CNN that authorities believe "the current threat has been contained. They're not expecting to find anything else."

Officials are checking on packages sent from Yemen over the past several weeks, King said.

As authorities pressed forward in the investigation Saturday and strengthened security, a leader of a small LGBT-friendly synagogue in Chicago, Illinois, said her place of worship was one of the targets of the intercepted packages.

"It was unnerving, but we carried on as normal," Lilli Kornblum, co-president of Or Chadash, said of Friday night's services.

The FBI in Chicago would not confirm whether Or Chadash was targeted, spokesman Royden Rice said.

"We notified both targets yesterday," Rice told CNN Saturday. "We always notify potential victims of crime. If they wish to reveal who they are, it's up to them."

CNN's Jeanne Meserve, Mohammed Jamjoom, Susan Candiotti, Kathleen Johnston and Ross Levitt contributed to this report.

@highlight

NEW: Investigators see link between devices, underwear bomb

@highlight

A female relative of the woman arrested is also being questioned

@highlight

Governments point to al Qaeda affiliate in Yemen

@highlight

The explosives were "professionally" loaded, Dubai police say