Washington (CNN) -- A proposal to reduce nuclear weapons highlighted the debate within the German government about when and how to get rid of nuclear weapons on its soil, a new WikiLeaks document shows.

Its release also reveals the presence of nuclear weapons in several European countries and Turkey, information not normally released by NATO.

During a meeting with two U.S. diplomats, German National Security Adviser Christoph Heusgen expressed his reservations about the German government coalition's proposal to remove all tactical nuclear weapons from Germany, according to a November 2009 U.S. State Department cable published by WikiLeaks.

In February, five countries -- Belgium, Germany, Luxembourg, Netherlands, and Norway -- sent a joint letter to NATO Secretary General Anders Fogh Rasmussen, signed by their respective foreign ministers, calling for a debate about NATO's nuclear policy.

German Foreign Minister Guido Westerwelle has called for the removal of all nuclear weapons from German soil. However, Heusgen distanced the German government from the proposal they had signed onto, claiming that "this had been forced upon them by FM Westerwelle," the cable said.

Heusgen told the U.S. diplomats that "from his perspective, it made no sense to unilaterally withdraw 'the 20' tactical nuclear weapons still in Germany while Russia maintains 'thousands' of them. It would only be worth it if both sides drew down," the U.S. cable said.

U.S. Assistant Secretary for European and Eurasian Affairs Philip H. Gordon responded by noting the importance of considering the potential consequences of a German proposal before moving forward. The cable continues, "a withdrawal of nuclear weapons from Germany and perhaps from Belgium and the Netherlands could make it very difficult politically for Turkey to maintain its own stockpile, even though it was still convinced of the need to do so."

Hans Kristensen, director of the Nuclear Information Project at the Federation of American Scientists, says the cable shows the intense deliberations going on in the German political process.

"The new in that is that it shows the battle going on inside the German government between the foreign minister and other elements of the government on this issue of how to push this issue of tactical nuclear weapons within the alliance."

The Nuclear Threat Initiative defines tactical or nonstrategic nuclear weapons as "short-range weapons" which can include land-based missiles with a range of less than 500 kilometers (about 310 miles) and air- and sea-launched weapons with a range of less than 600 kilometers (about 370 miles). According to the Bulletin of the Atomic Scientists, the United States has 500 tactical nuclear weapons in its arsenal, of which approximately 200 are deployed in Europe.

The cable does not identify the origin of the nuclear weapons in any of the four countries, but the United States or NATO have military bases in all of them. According to Kristensen, these weapons are American. He points out that the British do not have tactical nuclear weapons, and the French keep their tactical nuclear weapons on their home soil.

"We don't comment on the placements of nuclear weapons," NATO spokeswoman Oana Lungescu told CNN. "As a matter of policy, we don't comment on leaked confidential documents of any sort. We think diplomats should be able to talk to each other in confidence, because otherwise there is a risk that tensions can get out of control."

As for Heusgen's reference to "the 20" weapons on his country's soil, Kristensen says it is not clear whether he is actually confirming that amount of weapons, or if he is using the estimate in a report written by Kristensen in 2005, which was picked up by German media and government officials as part of the debate. "Very few people in the German government know the exact number of weapons, and it's not clear to me that the national security adviser would know."

On the coupling of German and Russian denuclearization proposed by Heusgen, Kristensen says that would make very little sense. "It would be very strange to see formal linking of very small number of weapons in Germany with the large inventory of tactical nuclear weapons Russia has in general. It's apples and oranges. Russian tactical nuclear weapons, their location and their mission is not linked to whether there are nuclear weapons in Germany."

Kristensen estimates that Belgium, Netherlands and Germany each have between 10 and 20 tactical nuclear weapons on their soil, and there are 60 to 70 in Turkey.

@highlight

The German national security adviser is cool to a proposal to remove nukes from Germany

@highlight

He said "it made no sense ... while Russia maintains 'thousands,'" a cable says

@highlight

The cable shows intense deliberations in Germany, an analyst says