(CNN Student News) -- Record the CNN Special Investigations Unit Classroom Edition: Autism is a World when it airs commercial-free on Monday, March 31, 2008 from approximately 4:00-- 5:00 a.m. ET on CNN. (A short feature begins at 4:00 a.m. and precedes the program.)

Program Overview

For years, Sue Rubin says she was "her own worst nightmare." Sue has autism, and until age 13, she was unable to communicate or control her unusual behavior. Now in her late twenties, Sue has become a disabled-rights advocate and a college student with a top IQ. In the Academy Award-nominated documentary Autism is a World, filmmaker Gerry Wurzburg and CNN take a rare look at autism through the words of a young woman who lives with it.

Grade Levels: 9-12, college

Subject Areas: Health, Social Studies, Technology, Current Issues

Objectives: The CNN Special Investigations Unit Classroom Edition: Autism is a World and its corresponding discussion questions and activities challenge students to:

Curriculum Connections

Health

Standard 1. Knows the availability and effective use of health services, products, and information

Level IV [Grade: 9-12]

Benchmark 5. Knows situations that require professional health services in the areas of prevention, treatment, and rehabilitation

Standard 3. Understands the relationship of family health to individual health

Level IV [Grade: 9-12]

Benchmark 1. Understands methods to facilitate the transition from the role of a child to the role of an independent adult in the family

Standard 4. Knows how to maintain mental and emotional health

Level IV [Grade: 9-12]

Benchmark 2. Knows strategies for coping with and overcoming feelings of rejection, social isolation, and other forms of stress

Content Knowledge: A Compendium of Standards and Benchmarks for K-12 Education (Copyright 2000 McREL) is published online by Mid-continent Research for Education and Learning (McREL) (http://www.mcrel.org/standards-benchmarks/), 2550 S. Parker Road, Suite 500, Aurora, CO 80014; Telephone: 303/337-0990

Social Studies

Standard VIII. Science, Technology and Society: Students will examine the relationships among science, technology and society.

The Curriculum Standards for Social Studies (http://www.socialstudies.org/standards/) are published by the National Council for the Social Studies (http://ncss.org/).

Discussion Questions

1. How old is Sue Rubin? What type of disability does she have? What symptoms does she display? What is "mental retardation"? How does mental retardation differ from autism? Why do you think that Sue was thought to be mentally retarded when she was younger? What was her life like before she could communicate? How did she interpret sounds? How does Sue feel about having been perceived as retarded?

2. How does Sue say she learned to communicate? What type of device does she use to communicate? How did Sue's life change once she learned how to communicate? Based on what you've observed in the program, what gains has Sue made over the years in terms of managing her autistic behaviors?

3. How would you describe Sue's relationships with her parents and grandparents? What challenges did Sue's parents face when raising Sue during her early years? According to the program, what measures have Sue's parents taken to help foster their daughter's growth and development over the years? In the program, Sue states, "When I wasn't able to communicate, I was considered a non-person, but I was treated well -- intellectually, socially, culturally and personally." What do you think that she means? Why do you think that Sue considers herself lucky to have the family that she has?

4. Do you think that it is important for Sue to live independently? What types of personal, financial and governmental assistance does Sue need to live in her own home? What are Sue's greatest short-term and long-term concerns about maintaining her independent lifestyle? How would you describe Sue's relationships with the different members of her support team? What skills and attributes do you think that a person needs to have to work well with a non-verbal autistic person?

5. In what ways is Sue similar to people her age who are not autistic? Do you think that Sue has the same capacity to experience emotions as non-autistic people? Explain. How does Sue's disorder impact her ability to express emotions?

6. According to Dr. Margaret Bauman, what is autism, and what parts of the brain can it affect? According to the program, why did Sue respond so quickly to facilitated communication after having been "lost in autism" for 13 years? Why are plastic spoons important to Sue? Why does Sue like to run water over them? In the show, Sue states that solitude is her "best friend" and her "worst enemy." What do you think that she means?

7. What college does Sue attend? Why did she select this school? What challenges has she faced while at college? How do you think that these challenges compare to the ones that many non-autistic college students face? What is Sue's academic major? What type of work does she hope to do after she graduates? How does attending school impact Sue's ability to manage her autism?

8. To what audience did Sue deliver a speech about living with autism? Why do you think that writing the speech was an "arduous process" for Sue? Sue states that the goal of her speech was to "enlighten individuals to the potential of their own voices." What do you think that she means? Why do you think that Sue has chosen to pursue this goal?

9. Do you know someone that is autistic? How has autism impacted this person and the lives of his or her loved ones? What symptoms of autism does he or she have? How do these symptoms compare to the ones displayed by Sue?

10. Why did Sue decide to make this documentary? Why do you think that this documentary is titled Autism is a World? Based on what you now know about Sue and what it's like for her to live with autism, how would you describe Sue's character? What are her greatest strengths?

11. What are your thoughts and feelings regarding Autism is a World? What insights or lessons about autism did you learn as a result of watching this program?

12. Having watched Autism is a World, do you have any follow-up questions you'd like to ask Sue?

Suggested Activities

1. What are Autism Spectrum Disorders?

Inform students that, though the field of autism research is continuing to evolve, much has been learned about the disorder since the mid-1940s, when Dr. Leo Kanner published his first paper identifying autistic children, and Dr. Hans Asperger described a milder form of autism that became known as Asperger syndrome. Autism is considered a "spectrum disorder" because the number and intensity of symptoms can greatly vary among those with autism. Autism spectrum disorders (ASD), which are also known as "pervasive developmental disorders," can often be detected by the age of three. ASD is an umbrella term that includes the following diagnoses:

Divide your students into five groups and assign each group a different ASD from the list above. Instruct each group to conduct research to learn about the symptoms, characteristics and differentiated diagnoses associated with its assigned disorder. Then, have groups prepare presentations of their findings that include a brief mock case study to illustrate how the disorders might manifest in a child.

After the presentations, challenge students to identify the common traits associated with all autistic disorders. (All people with ASD have impaired communication, problems with social relationships and like to engage in repetitive motions.) Ask students:

Following the discussion, refer students back to Autism is a World to make a list of the symptoms and behaviors that Sue Rubin displayed during the program. Then ask students: Based on what you know about Ms. Rubin, where would you say that her disability falls within the spectrum of autistic disorders?

2. Treating Autism

Point out to students that, although autistic symptoms in children may lessen with age, autism is a lifelong disorder. There are various types of therapies available for treating autism, including behavior modification, sensory integration, medications and dietary interventions. However, because the nature and severity of autistic symptoms and behaviors can vary, no one approach works for every person. According to the National Institute of Mental Health, most professionals agree that early intervention is important and that most individuals with ASD respond well to highly structured, specialized programs.

After you have shared this information, pair students and assign each pair one of the following ASD treatment approaches:

Biomedical Treatments

(CNN does not endorse any specific medication. The information provided here is meant as an overview of the types of medications sometimes prescribed.)

Instruct each pair to investigate the philosophy, protocols and benefits and drawbacks associated with its treatment method. Have pairs deliver presentations of their findings. (If possible, have the students who are presenting behavior modification approaches demonstrate the techniques, and have the students who are speaking about medications and dietary interventions include graphics that depict how the treatments are thought to affect the different parts of the human body.) Following the presentations, pose the following questions for class discussion:

Extension: Have students draw upon thier research to create an informational brochure about ASD for parents and local mental health providers.

Keywords

Sue Rubin, autism spectrum disorders, pervasive developmental disorder, mental retardation, non-verbal, disability, relationships, self-abusive behaviors, motor skills, emotions, learning, language, communication system, sensory integration, echolalia, independent living, HUD, support services, Whittier College, intelligence, neurobiology, Dr. Margaret Bauman, advocate, documentary E-mail to a friend

@highlight

Learn about autism spectrum disorders (ASD)

@highlight

Examine different treatment approaches for ASD

@highlight

Create an informational brochure about ASD for parents and mental health providers