London (CNN) -- A little over 30 years ago, Dalston was just another gritty, working class neighborhood to the northeast of central London.

Today, boutique cafes dot the high street, hipsters with delicately manicured beards saunter about on fixie bikes while flash newbuild apartments rise high above the local train station.

"It's just such a cool place with lots of creative people," said 23-year-old Amy, a fashion student originally from France who lives nearby.

A short bus journey south reveals a similar story in Shoreditch, the nerve-center of east London's flourishing tech hub and home to the newly developed "Silicon Roundabout."

Like in Dalston, local council initiatives and business incentives have enticed nascent start-ups and ambitious young professionals in the creative and tech industries to the area.

A glimpse through a ground level office window reveals a group of twenty-somethings lounging around on bean bags as they daintily tap away at Macbooks and tablets. Across the room, another casually dressed bunch huddles around a table tennis table with bats in hand ready to brainstorm.

"(Since the 1980s) a community has developed here across all of the arts," explained local councilor Guy Nicholson. "That community gradually over the years gathered more of a presence."

The London borough of Hackney (where Dalston and Shoreditch are situated) has attracted the highest proportion of people working in culture, media and sporting industries across the city in recent times, according to analysis of census data by real estate agency, Savills.

But beyond the young urbanites that have come to populate these areas, one doesn't have to look too hard to find traces of the old Dalston and Shoreditch.

Bargain stores, pawnbrokers and bookmakers remain a prominent feature while a social housing trust receives visitors on the ground floor of an imposing tower block a few hundred yards from Dalston Junction train station.

By comparison, a nearby street once nicknamed "murder mile," due to its high number of drug and gun related crimes, is now filled with cocktail bars, designer denim stores and organic green grocers.

"We've got lots of new bars ... but those who were born and bred here simply can't afford to live here anymore," wrote local political candidate and resident Pauline Pearce in the UK's Daily Telegraph newspaper recently. "It has caused real problems for the youngsters. A lot of them don't know where they should go now, or where their real communities are."

The creative class

For Dalston and Shoreditch in London, read Williamsburg in New York, Kreuzberg in Berlin, Mission District in San Francisco, Preston in Melbourne and many other formerly working class neighborhoods in cities around the world (with broad regional differences).

According to Loretta Lees, professor of human geography at the University of Leicester, what has happened follows a well worn pattern of urban development.

Creative, young, artistic types are enticed to move into an area by low rents or through encouragement from local councils. As time passes, more people move in attracted by what they see as the aspirational, cool vibe, hoping to become a part of this fabric themselves.

This influx brings in higher earning individuals and increases the local tax base which can lead to improved public services. But it also pushes up the cost of rent, goods and services in the area and eventually house prices too.

While this may be no bad thing for the new arrivals who can largely afford it, many of those who have lived in the area for generations can be priced out.

These issues were passionately highlighted by film director Spike Lee earlier this year in an appearance at the Pratt Institute in Brooklyn, New York.

"People want live in Fort Greene. People wanna live in Clinton Hill. The Lower East Side, they move to Williamsburg, they can't even afford ... Williamsburg now because of ... hipsters," Lee said of the once downtrodden areas that are among the Big Apple's most discussed neighborhoods today.

Some of the new arrivals, who Lee accused of having a colonizing "Christopher Columbus syndrome" even move on before the gentrification process is complete, when rents rise or when places become too mainstream for them.

Vice Magazine melodramatically asserted that Dalston was dead in 2013 before highlighting the next low-income areas of the British capital in line for an influx of so called cool kids.

According to professor Lees, these developments are simply a subtle form of gentrification, hidden behind friendly terms like "unleashing the creative economy," "regeneration" and "urban renewal." The major difference is that those doing the gentrifying are fond of elaborate facial hair, artisanal food and retro kitsch rather than the formalwear of a shirt and tie.

"Local borough councils have been heavily supportive of policies and processes of gentrification but they'll call them regeneration, particularly arts led, around places like Hackney and Dalston," Lees said.

A side effect of this has been that "lots of low income social groups in London now have been moved out beyond the suburbs to low income areas there."

Building from within

Yet while far from enthusiastic about these developments, Lees is quick to point out that there are multiple layers of complexity that must be recognized when trying to fully grasp this issue.

City neighborhoods are constantly changing and evolving after all, inviting in a range of demographics and income groups as others move out for pastures new. Areas that were once prosperous and safe can quickly fall on hard times or vice-versa.

Should districts that have become rundown not also seek to revitalize and improve the lot of the people who live within them?

According to Guy Nicholson, the answer to this question is an emphatic "yes". He describes Dalston's proud history in the entertainment and design industries before falling on tougher times. This is something the local council wants to revive, he said. Inevitably this will bring many new and creative people to the area.

"One of the focuses of local government in all of this is to try and work to ensure that the wider community in Hackney can also remain engaged and part of this change that is going on around them so the many can benefit," Nicholson said.

"There's a great spirit of collaboration in play in trying to mold and shape this opportunity in a way that has a wider social benefit."

Hackney Council encourages firms to work in conjunction with local schools to offer work experience, internships and apprenticeships at businesses operating in the community. Many courses at the district's colleges are also tailored to the creative industries operating in the area.

These efforts are mirrored in cities experiencing similarly rapid changes around the world.

Professor of architecture, planning and preservation at Columbia University, Lance Freeman, points to groups such as Brooklyn's Fifth Avenue Committee who have worked to ensure there is affordable housing for long-term residents of their neighborhoods and that not everyone is priced out.

Yet even with these well-intentioned attempts at inclusion, tensions between the old and new remain.

Artist, filmmaker and Princeton professor, Su Friedrich documented the Brooklyn neighborhood of Williamsburg -- once home to vibrant Hispanic, Polish, Jewish and Italian communities -- as it was rezoned by city authorities and housing developers (then hipsters) moved in for her 2012 film, Gut Renovation.

"Its such a ridiculous, horrible neighborhood now," Friedrich told CNN. "The demographic is basically like being on a college campus. Everybody is in their mid-20s, has money and walks around with an iPhone in their hand."

Friedrich adds that while the majority of these people define themselves as creatives, they actually work in graphic design, advertising or write for magazines -- a far cry from what she defines as truly artistic or creative.

She also speaks of hearing similar tales in cities like Vienna, Berlin and Toronto while on the promotional tour of her film.

Others however are more anodyne about these developments. Some even speak of the benefits an influx of new people has brought to their area.

"I think its a good thing to have lots of different people and new people move here," said Dalston grocery store owner, Erol Gandagli.

"(Why would you want to live) in an area where everyone is the same?"

@highlight

Urban neighborhoods in cities like London and New York are changing rapidly

@highlight

Young and creative communities have popped up in once working class areas such as Dalston and Williamsburg

@highlight

Some say the speed of change is upending neighborhoods and pricing out long time residents

@highlight

Others say it is regenerating long neglected areas for the better