(CNN) -- What is it with juries in high-profile cases in Southern California? Over the years, they've become a national joke. But no one is laughing.

Instead, with each travesty of justice and every acquittal that should have been a conviction, you're left wondering just what trial these 12 folks were watching and questioning whether we should have higher standards for who sits on a jury. Sometimes, the juries in local and state courts get it wrong, and the Justice Department must step in and make it right.

Think back to the acquittal in April 1992 of four Los Angeles police officers who, one year earlier, savagely beat motorist Rodney King. They walked out of a courtroom in Simi Valley, California, as free men -- sparking days of rioting, looting and violence.

At the time, the conventional thinking on newspaper editorial pages and on talk radio was the jurors in that largely white suburb of Los Angeles, which was itself home to many active-duty and retired police officers, saw the police force as their line of defense against undesirables like King. So naturally, the argument went, they would cut them some slack. The officers were tried again, and convicted in federal court of violating King's civil rights. Justice was finally served.

Here we go again. There hasn't been much civil unrest over what happened to Kelly Thomas, the homeless and mentally ill man who -- on July 5, 2011 -- was beaten to death by a swarm of police officers in Fullerton, California.

But now that the verdict is in, literally, on the two former officers who were charged in his death, there is plenty of outrage on talk radio, online and in other public forums. Another 12 people who swore an oath to consider the evidence and the law and make sure that justice is served appear to have gotten it terribly wrong.

This week, that jury in Santa Ana, California -- a city about 30 miles southeast of Los Angeles -- produced a wave of gasps in the courtroom when it announced that it had found Manuel Ramos, who had been charged with second-degree murder and involuntary manslaughter, and Jay Cicinelli, who was charged with involuntary manslaughter and excessive use of force, not guilty on all counts.

What? The beating was caught on a surveillance tape. When you watch those 33 minutes of footage, assuming you can stomach the experience, it's hard to believe that anyone could declare the perpetrators "not guilty." The surveillance camera footage shows Thomas being beaten and stunned with a Taser by police until he was unrecognizable and unconscious.

You see a defenseless and compliant young man screaming in pain, saying he's sorry and pleading for help from his father. His words will haunt you, "Daddy, help! They're killing me!" According to prosecutors, the young man suffered brain injuries, facial fractures, broken ribs and extensive bruises and abrasions. He wound up lying in a pool of blood. He died five days later.

This was not a by-the-book case of police officers using all necessary force to subdue a suspect who was resisting arrest -- a suspect, by the way, who had committed no crime. This was not, as Ramos' attorney claimed, a case of police offices simply "doing their job" with "no malice in their heart."

Check the video. Early on in the confrontation, Ramos appears to tell the young man who is sitting on the ground: "You see my fists? They're getting ready to f--- you up!" Another officer is heard telling a comrade: "We ran out of options so I got to the end of my Taser and I ... smashed his face to hell."

There is the malice. This was abuse of power and an instance of bullying behind a badge. It happens more than we'd like to think in America. But this time, it went too far. And a man died, and a family was shattered.

Yet, the jury somehow missed all this? How does this happen? In Los Angeles, people are saying that the mentally ill are the new Rodney King. In the same way that the jury in Simi Valley was inclined to back the officers who it saw as protecting them from people like King, now the jury in Santa Ana is backing the officers who it counts on to prod people like Thomas to move along, leave the streets, and get out of sight.

It's a plausible explanation. Human beings aren't perfect, and sometimes those who sit on juries are plagued by their own prejudices -- in this case, against those who behave in erratic ways which we don't understand.

This much we can understand: Cops are supposed to protect the weak, not prey on them. Just like they're supposed to protect all of us. The tragedy of Kelly Thomas raises a question: When police officers lose control and go from public servants to violent bullies, who will protect us from them?

In this case, there is only one answer and one place left that can right this wrong: The Justice Department.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Too many high-profile cases in California produce travesties of justice

@highlight

He says jury acquitted two ex-cops in malicious beating death captured on video

@highlight

He says case showed abuse of power, bullying behind badge; happens too often in U.S.

@highlight

Navarrette: Only one place left that can right this wrong: The Justice Department.