(CNN) -- Political systems in Africa are habitually characterised as nascent, highly personalized and fractious. Elections are portrayed as democracy at an embryonic stage. As Sierra Leoneans head to the polls for the third time since the end of the civil war in 2002, a different narrative is unfolding -- one of innovation and cutting-edge technology.

An often overlooked aspect of the current electoral cycle in Sierra Leone is the use of biometric technology to capture thumb prints and facial features in the registration of voters.

"Credible elections start with credible voter registration," remarked Christiana Thorpe, chief commissioner of Sierra Leone's National Electoral Commission, during a presentation at Africa Research Institute in London in July 2011. For Thorpe, a bloated or inaccurate voter register always has a negative effect on the electoral process.

The optical mark reader system used to register voters in Sierra Leone's 2002 and 2007 elections was manual and only catered for one-off registration. Voter identification cards, which relied on Polaroid photographs and a cold laminate seal, were vulnerable to tampering.

Biometric systems allow for the creation of a permanent electronic register which can be updated as new voters become eligible or existing ones die. They capture data unique to an individual, in addition to biographical information, and can identify whether someone has registered more than once by centrally matching fingerprints.

In Sierra Leone, the system allows for people to move to a different electoral constituency without the need to re-register. Biometric technology has been adopted to help address electoral fraud and increase the transparency, and credibility, of the electoral process.

See also: DIY Africa: Empowering a new Sierra Leone

Biometric voter registration in Sierra Leone follows a regional trend. In 2005, "La Commission Electorale IndÃ©pendante" in the Democratic Republic of Congo (DRC) used biometric technology to register more than 25 million voters ahead of the country's first democratic elections in four decades.

In Nigeria, some 65 million people had their pictures taken and fingerprints scanned in preparation for presidential and legislative elections in 2011. Ghana registered more than 12 million voters using biometrics in 2012. In Kenya, after protracted disputes over procurement, 15,000 biometric registration kits have arrived ahead of the elections scheduled for March 2013. Mozambique, Zambia, Malawi, Rwanda, Senegal and Somaliland have also used biometric technology to register voters.

Technology is only as good as the way it is deployed. In order to identify multiple registrations -- the principal merit of the system -- clean data must be submitted. Finger prints and photographs must be clear and unsullied, which requires trained and capable staff.

For African countries conducting elections with strict -- and limited -- budgets, sophisticated technology is not always the best option. In the DRC, it is questionable whether the advantages of a biometric over a manual registration system justified the cost -- a staggering $58 million.

In Sierra Leone, the integrity of the electoral register has still been questioned by opposition parties who accuse the government of covertly registering individuals under the legal voting age and foreign nationals. Acceptance of the voter roll ultimately depends on the political circumstances in the country.

The greatest limitation of biometric voter registration is that it only counters the symptoms -- not the causes -- of electoral fraud.

In Sierra Leone, there is no historical evidence of a deliberate strategy by any political party to rig elections through multiple registrations. All previous electoral registers have erroneously contained names of the deceased, the under-age and foreign nationals. But the most significant type of electoral misdemeanor has been physical stuffing of ballots and false recording of results by temporary election workers.

Both the All People's Congress and Sierra Leone People's Party, when in power, have at times used their position to fund political campaigns and buy voters. This practice remains widespread. Political parties continue to organize and condone the intimidation of voters, often perpetrated by their youth wings. Biometric technology offers little scope to tackle these transgressions.

Where electoral management is weak, manipulation of polls persists, regardless of the accuracy of the voter register.

In Kenya's 2007 elections, incumbent president Mwai Kibaki defeated his main rival, Raila Odinga, by a margin of 230,000 votes. The result contradicted opinion polls and the parliamentary ballot. Allegations of systematic fraud and dysfunction, particularly within the Electoral Commission of Kenya (ECK), further discredited the elections.

In the months leading up to the vote, President Kibaki replaced 15 of the 22-person ECK with new commissioners considered to be his close allies -- none of whom had experience running an election.

In the immediate aftermath of the vote, election observers were barred from entering tallying centers for 48 hours. Election officials announced results from constituencies without supporting documentation from polling stations. Deficiencies with the tabulation of votes were so great that Samuel Kivuitu, chairman of the ECK, subsequently conceded that he "did not know who won the election."

Expectations about technology's role in elections must be realistic. Biometric voter registration is not a "silver bullet" for eliminating fraud and electoral malfeasance. Where institutions are weak, and perpetrators of electoral crimes are not prosecuted, politicians can find ways to achieve undemocratic ends. Elections are more than just a technical exercise.

The opinions in this commentary are solely those of Jonathan Bhalla.

@highlight

Many African countries using biometric voter registration, says Jonathan Bhalla

@highlight

In Sierra Leone, biometric technology has been adopted to help address electoral fraud.

@highlight

Sophisticated technology is not always the best option, he argues