(CNN)The Iran nuclear negotiations in Lausanne, Switzerland, reportedly have made substantive progress, inching closer toward a provisional agreement between the P5+1 and Iran. While the talks continued to unfold this week, Israeli Prime Minister Benjamin Netanyahu restated his concern about an agreement with Iran, vowing "to continue to act against any threat."

If an agreement is reached, the international spotlight will turn to Israel, in anticipation of its possible reaction. Israeli Defense Minister Moshe "Bogy" Yaalon stated that a deal is "a tragedy for the whole world."  The question is, however, what can Israel really do once a deal is signed? In recent days, notable conservatives in the United States have attacked President Barack Obama's handling of the negotiations with Iran, arguing that a bad deal will force Israel's hand, leaving it with no choice but to attack Iranian targets.

But is this a realistic conclusion?

Israel's stated "all options are on the table" policy toward Iran has been in place for years and is based on the assumption that if a diplomatic solution to the nuclear problem cannot be reached or is not to its liking, Israel can decide to opt for a military strike on Iran's nuclear facilities.

Thirty-four years after the successful Israeli bombing of the Osirak nuclear facility in Iraq, military experts have little doubt that the Israeli Air Force today is capable of reaching Iranian airspace and bombing targets above and below ground. Therefore, the question is not one of military capability but more about  domestic political and geopolitical strategy.

With an Iran deal in place, the Israeli leadership may face stern objections from the heads of the Israeli defense establishment, which will make it difficult but not impossible to take such a decision. Nevertheless, if it remains keen on pursuing a military option, the Israeli leadership will have to consider the following set of consequences that will likely result from such a decision:

•A successful military strike on Iranian installations may degrade Iran's nuclear program, setting it back several years, but it would not completely eliminate Iran's nuclear capabilities.   Iran would likely be able to resume activity in new facilities soon after such an attack, with more international legitimacy to embark on a military nuclear program, in the face of future military challenges to its sovereignty and stability. A deal between the P5+1 (the United States, China, France, Russia, United Kingdom and Germany) and Iran is expected to include a 10-year (or more) "sunset provision" that is much longer than the period it will take Iran to get its program back on track in case of an Israeli attack.

•A military attack against Iran after a deal is signed would put Israel on a collision course with the P5+ 1, who were negotiating the contours of a deal with Iran, as well as with other members of the international community. Bilateral ties and cooperation with member states of the P5+1 may suffer, as well as intelligence sharing between the relevant intelligence agencies. In addition, countries are likely to seek ways to "punish" Israel for its actions, in the form of a U.N. General Assembly or Security Council resolution condemning Israeli behavior, calling for operative measures against the Jewish state.

•An Israeli attack would likely lead to the collapse of the international sanctions regime on Iran, which Israel has worked  to consolidate and which has been a very effective mechanism in pressuring Iran.

•The understanding between Israel and moderate Arab regimes on the need to prevent a nuclear Iran would not be likely to dissipate in the aftermath of an attack, but Israeli-Arab coordination and cooperation on this issue is bound to suffer.

•Finally, an Israeli attack would spark a direct Iranian military reaction against Israel, as well as an indirect reaction against Israel in the region by Iran's proxies Hezbollah (from Southern Lebanon and war-torn Syria) and Hamas (from Gaza and perhaps the West Bank) and against Israeli targets abroad.

In the aftermath of a deal with Iran, Israel's response is expected to be harsh.  It will include strong public criticism of the deal, a vow to continue the fight against the agreement in the U.S. Congress and other relevant venues, a call for the international community to continue  the sanctions regime, and a pursuit of coordinated public messaging with moderate Arab regimes on this issue.

These Israeli public diplomacy measures will be complemented by continued intelligence monitoring of Iran's activities in the nuclear sphere as well as its involvement in regional conflicts. Opting for a military strike against Iran, however, must take into consideration the consequences of such a decision. In light of all that is at stake, it does not seem like a plausible option at present.

@highlight

Dan Arbell: Israel's leaders can criticize a potential deal with Iran on its nuclear program

@highlight

He says a military option could set back Iran's nuclear program but would be too costly politically and diplomatically