(CNN) -- A human rights activist who was active in Bahrain's pro-democracy street protests appeared Sunday before a special military court showing signs of ill-treatment and perhaps torture, Human Rights Watch said Tuesday.

Abdulhadi al-Khawaja was one of 14 defendants, most of them active with opposition political movements, who were charged with seeking to "topple the regime forcibly in collaboration with a terrorist organization working for a foreign country," Human Rights Watch said in a statement.

The human rights group said al-Khawaja's wife and daughter spoke with him briefly after the court session, which was the first time they had been allowed to see him since April 9, when he was arrested and beaten.

They said that they could see a number of injuries to his face, and that he told them he had suffered four fractures to his face, including one to his jaw that required four hours of surgery, the rights group said.

"It appears that Abdulhadi al-Khawaja's jailers tortured him during the month they held him in incommunicado detention," said Joe Stork, deputy Middle East director at Human Rights Watch.

"Torture or ill-treatment is a serious crime, and Bahraini officials who did or authorized this treatment need to be held accountable," Stork said.

Human Rights Watch said it has documented the routine use of torture by Bahraini security officials during similar interrogations in political and security-related cases.

To give time for defendants to prepare their defenses or appoint their lawyers, Bahrain's National Safety Lower Court postponed the resumption of their trial until May 12, the rights group said.

The military prosecutor brought the case against al-Khawaja, and the case is being overseen by a military judge.

Bahrain's police and military have operated under a "state of national safety" since March 15.

The defendants appeared before the special court with al-Khawaja; seven others are being tried in absentia, Human Rights Watch said.

Before Sunday's court session, Bahrain's military public prosecutor, Col. Yusif Rashid Feleyfel, formed a committee composed of public prosecutors who questioned the 14 suspects, the state-run Bahrain News Agency (BNA) said.

The agency said the defendants are accused of crimes that include "organizing and managing a terrorist group for the overthrow and the change of the country's constitution and the royal rule," "the seeking and correspondence with a terrorist organization abroad working for a foreign country to conduct heinous acts against the Kingdom of Bahrain," "an attempt to overthrow and change the country's constitution and royal rule by force," funding a terrorist group, insulting the army, "broadcasting false news and rumors" that threatened public security, "inciting the hatred of a certain sect of people," and organizing and participating in rallies without having obtained the proper permits.

Two other detainees entered court with limps, the rights group said. "Sources told Human Rights Watch that when the defendants asked to speak about the abuse they allegedly experienced in detention, security forces forcibly removed them from court," it added.

Maryam al-Khawaja, Abdulhadi al-Khawaja's daughter, told Human Rights Watch on Monday that her mother, Khadija al-Mousawi, and sister, Zainab al-Khawaja, met with him for 10 minutes after the initial hearing. "She said her father had gone on a hunger strike to protest his ill treatment and his lack of access to a lawyer," the statement said. "She also said that he told his wife and daughter that he had been tortured, but could not describe details because the family meetings took place in the presence of security guards."

The rights group said it had previously received "credible reports" that al-Khawaja had been admitted to Bahrain Defense Force Hospital for treatment of injuries for six days.

"One person who claimed to have seen him said he was at that point unrecognizable as a result of apparent beatings in detention," it said.

But authorities denied on Sunday that he had been hospitalized or that any of the detainees had been tortured, Human Rights Watch said.

And BNA called the reports "fabricated, politically-motivated news."

Human Rights Watch noted that Bahrain is a party to the International Covenant on Civil and Political Rights, which prohibits torture, and that Bahrain has ratified the Convention Against Torture.

The rights group called on Bahrain to suspend prosecution of civilians in special military courts, to grant them access to lawyers, relatives, and medical care, and to set up an impartial commission to look into allegations of torture.

The country is ruled by the Al-Khalifa family, which has been in power since the 18th century. Many protesters are calling for the removal of the royal family, whom they blame for the country's high unemployment and for running a corrupt government that relies on torture and other harsh measures to clamp down on dissent.

Bahrain is an American ally and home to the headquarters of the U.S. Navy's Fifth Fleet.

The Al-Khalifa royal family is Sunni Muslim, but two-thirds of the population are Shiites. In recent years, younger Shiites have staged violent protests to complain about discrimination, unemployment and corruption, and many Shiites say the country's constitution has done little to improve their condition.

@highlight

Abulhadi al-Khawaja shows possible signs of torture, Human Rights Watch says

@highlight

His wife and daughter said they saw him in court Sunday and that he told them of abuse

@highlight

Two other detainees entered court with limps, Human Rights Watch says