(TIME.com) -- You can't smoke in most restaurants and malls, and those laws may be responsible for saving thousands of lives.

According to two separate studies, recent laws that limit smoking in public places are contributing to fewer tobacco-related hospital visits and deaths.

In 2009, the Institute of Medicine concluded that smoking bans contributed to fewer heart problems in areas where the policies were implemented, but the panel was unable to determine how much benefit the laws provided.

The new research provides some objective improvements in lower heart attack rates and adds to a growing body of evidence for the tangible health effects of stricter smoke-free laws across the USA and all around the world.

Since 2000, more than half of U.S. states have enacted laws to restrict indoor smoking, and new smoke-free policies have taken hold in countries such as Germany, Bhutan, and Vietnam.

Although these regulations are relatively new, researchers are eager to document what effect they have on health; with strong data, public health experts hope that more smoke-free policies will be considered in countries where smoking-related deaths continue to cost nations in health and productivity.

TIME.com: Can Asia kick the habit?

For one of the two new studies, published in the Archives of Internal Medicine, scientists at Minnesota's Mayo Clinic analyzed effects of smoke-free laws that were introduced in Olmstead County, Minnesota, over the past 10 years. Most of the county's more than 144,000 residents receive health care from the Mayo Clinic, allowing the researchers to obtain consent to track heart-related health outcomes.

In 2002, Olmstead County required restaurants to be smoke-free, and a few years later passed even stricter anti-smoking laws, mandating that all workplaces, including bars, become smoke-free in 2007.

When they compared the 18-month period before the restaurant ban to the 18-month period directly afterward, the researchers found a per-capita drop of 33% in the number of heart attacks in the county, and a 17% drop in the number of sudden cardiac deaths.

The decline occured at the same time that rates of hypertension, diabetes and other heart-disease risk factors either remained constant or increased, suggesting that the effect was primarily attributable to the more rigid smoke-free laws. The study's authors also adjusted for the effect of other community anti-smoking efforts, and the drop in heart attacks remained strongly tied to the new policies.

In the second study, published in the journal Circulation, researchers at the University of California, San Francisco (UCSF) took a different tack. They analyzed the combined the results of 45 previous studies that focused on 33 different smoke-free laws worldwide and their impact on health.

TIME.com: How second-hand cigarette smoke changes your genes

Like the study in Olmstead County, the UCSF meta-analysis showed a clear health benefit for regions that go smoke-free. Areas that restrict public smoking saw a prompt and sustained decline in both hospital admissions and deaths from a variety of causes related to smoking, including heart disease, stroke, and many lung conditions.

In these regions, the UCSF researchers showed an average decline in heart attack hospitalizations of 15% -- less than the Mayo Clinic study, but, the California authors note, their analysis took an average of hospitalizations; some regions may have benefited from far fewer health effects attributable to smoking, while others saw slighltly less benefit.

"All people should avoid secondhand smoke to the extent possible, and people with coronary heart disease should have no exposure to secondhand smoke," the authors of the Mayo Clinic study wrote, noting that many of the heart-related health problems of smoking occur in non-smokers who are exposed to second-hand smoke. They say that their data should support continued expansion of smoke-free laws.

TIME.com: Smoking ban? The French light up again in public

Stanton Glantz, director of the Center for Tobacco Control Research and Education at UCSF and the senior study author on the Circulation paper, has argued previously that smoke-free laws work to improve health not only because they protect non-smokers from harmful health effects of secondhand smoke, but they also protect smokers, by discouraging them from smoking as much, or even encouraging them to quit.

Despite the growing evidence supporting their health benefits, however, critics of the laws argue that smoking bans limit the freedom of smokers to choose when and where they smoke.

Smoke-free advocates often argue, in response, that restrictions are needed to protect the rights of non-smokers to remain tobacco-free -- and to protect the freedom of workers in bars and restaurants to avoid the potential health fall-out from their customers' risky habits.

The new evidence isn't likely to settle this thorny debate over personal freedoms, but, the authors hope, the results may sway more lawmakers to take the negative health effects of smoking more seriously in protecting public health. Heart disease remains the country's leading killer, and a policy that limits its toll can be hard to ignore.

This story was initially published on TIME.com.

Smoke-free laws are saving lives

@highlight

Laws that limit public smoking play a role in fewer hospital visits and deaths, studies show

@highlight

More than half of U.S. states have taken steps to limit public smoking since 2000

@highlight

Smoke-free policies have also been enacted in some other countries