Every wine lover has a story of the first sip that drew them in.

More often than not, it was not a glass a highly complex and expensive Bordeaux. It was likely an unsophisticated yet tantalizing bottle that rocked their world.

My gateway drug to wine way back in the day -- Boone's Farm Strawberry Hill, a saccharine-sweet pink tipple best enjoyed ice cold.

And for Beijing-based wine consultant and educator Fongyee Walker, it was that first bottle of grapey Black Tower.

"You look at the American market, and the English market -- they were originally beer and spirits markets just like China. What shifted America? White Zin. What shifted England? Black Tower," she tells me.

"Very grapey and simple, people can understand them and like them. In China, we haven't done that."

In the West, many wine enthusiasts look back fondly to that first fruit-bomb in a glass as our introduction to the world of wine.

But in China -- the world's biggest market for red wine -- consumers have gone from zero to premium Lafite in less than two decades.

Tasked with making the nation's first fine wines, China's pioneering winemakers have gone for the grandeur and not the "gateway."

"The state-owned companies created the wine industry in China. They wanted a Lafite. Not a pink wine," says Simon Zhou, a Shanghai-based wine distributor and founder of Ruby Red Fine Wine.

"Many wine companies, especially those state-owned companies, are run by people not in the wine business or have little knowledge of winemaking and grape growing," adds Zhou.

"What they are after is to create something they can be proud and to leave some kind of a legacy."

WATCH: Inside China's wine country

Gifting

Zhou says China's "legacy" wines were usually dark red with heavy oak and equally heavy packaging.  At a cost of $80 to $245 a bottle, they were sold through state-owned channels for internal use by local governments.

Gifting the bottles is a tradition that extends to today, even in the era of austerity amidst Beijing's crackdown on corruption.

"There's the market that buys the wine and won't be consuming the wine, and the other market which is people who buy the wine and are actual consumers. Both markets are in China," says Judy Chan, CEO of China's Grace Vineyard.

Grace Vineyard produces some 2 million bottles a year, with retail prices going up to around $90 each. Its Chairman's Reserve and Deep Blue scored impressive ratings from wine guru Robert Parker.

"We planted in 1998, and now after 17 years of experiments, I think we can make a very decent wine," Chan tells me.

'Party wine'

Private winemakers like Grace Vineyard are experimenting not to replicate a Lafite, but to craft its own signature style.

At her vineyard in Shanxi province, I tasted one of Chan's experiments -- a flight of pre-filtered sparkling wines all crafted in China. One particular year nabbed the attention of visiting wine industry folk who hailed it the "party wine" of the tasting.

The effervescent and friendly bubbly may very well find its way into the flutes of China's increasingly curious and open-minded wine consumers.

"I'm very lucky because I educate and work with people who are getting engaged in wine," says the Beijing-based Walker.

"Many moons ago... they talked about Bordeaux and some talked about Burgundy. Now I have students arrive in class and say, 'Well I've heard about Prosecco and I love drinking it!'"

Entry-level wines

After fast-forwarding from zero to Lafite in less than two decades, China's wine market is finally doing what it should have done at the beginning. It's easing back into user-friendly, entry-level wines.

Wine distributor Simon Zhou is starting to see even "big wine" buyers going for more reasonable wines as more Chinese consumers take to wine, and actually drink what they buy.

And Walker hopes they will go for the cheap stuff.

"There's a reason why McDonalds is the most popular restaurant in the world," she says emphatically.

"I just want to see more people drinking more wine. I don't care what wine they drink. Just as long as they're happy."

Here's to boxed wine making it big in China. Bottoms up.

@highlight

This month's "On China" show examines the country's love affair with wine

@highlight

CNN's Kristie Lu Stout hosts a panel of experts at Grace Vineyard, Shanxi

@highlight

China has gone from consuming next to no wine to world's biggest market for red

@highlight

Focus is on premium red wine like Lafite, market for cheaper wine under-developed