Newark, New Jersey (CNN) -- Of the 84,000 chemicals on the market today -- many of which are in objects that people come into contact with every day -- only about 1 percent of them have been studied for safety, Sen. Frank Lautenberg said Tuesday.

Lautenberg, D-New Jersey, told a hearing of the Senate Subcommittee on Superfund, Toxics and Environmental Health that such little oversight means that children in the United States are virtual "guinea pigs in an uncontrolled experiment."

"Our current law does not allow EPA [Environmental Protection Agency] scientists to draw the bright line between chemicals that are safe and those that are toxic," the senator said in the hearing, which was held at the University of Medicine and Dentistry in his home state.

Lautenberg has introduced legislation that would require chemical manufacturers to prove the safety of their products before they're released into the market. He said the current law -- the Toxic Substances Control Act of 1976 -- is too lax, resulting in the banning of five chemicals in the past 34 years.

A toxic history lesson

The subcommittee is examining how chemicals that Americans are exposed to in daily life might be harming the health of children, including those developing in the womb, after a growing number of studies are finding hundreds of toxic chemicals in the bodies of mothers, and subsequently, in their babies after birth.

EPA Administrator Lisa Jackson called the issue one of her main priorities.

"Everything from our cars to the cell phones we all have in our pockets are made with chemicals," Jackson said at the hearing. "A child born in America today will grow up exposed to more chemicals than any other generation in our history."

Manufacturers often cite confidentiality laws in refusing to reveal safety data, Jackson said, and they say new regulations would infringe on profitability. She noted that the United States is far behind other countries, especially in Western Europe, that have already banned several substances.

Dr. Sanjay Gupta, CNN's chief medical correspondent, also addressed the hearing, relaying what he learned as he researched a CNN special called "Toxic America."

Gupta said he was surprised to find out that only about 200 chemicals in use today have undergone testing required by the EPA.

"I'd always assumed government watchdogs had evaluated and signed off on the safety of the chemicals we encounter in our lives," he said.

Gupta said, "What we don't know can really hurt us. And there's a lot we don't know."

Gupta: Chemicals around us -- we must know more

CNN's "Toxic America" special, first broadcast in June, focused on the impact of exposure to chemicals in daily life. The first hour was "Toxic Towns USA," which looked at a once-rural town in Louisiana now surrounded by chemical plants, and the second hour was "Toxic Childhood,"  which examined chemicals in everyday life and their possible health effects.

While there is no science that demonstrates a conclusive cause-and-effect relationship between chemicals children are born with and particular health problems, studies are finding associations between elevated levels of chemicals in a baby's body and their development.

"Babies in this country are born 'pre-polluted,' " Gupta said.

Other witnesses in Tuesday's hearing were Lisa Huguenin, a New Jersey mother of a child with autism and an immune system disorder; Dr. Steven Marcus, executive and medical director of the New Jersey Poison Information and Education System; and Dr. Frederica Perera, director of the Columbia Center for Children's Environmental Health.

Perera's center has been following hundreds of pregnant women over the past 12 years to measure chemicals entering the womb during pregnancy.

The women trudge through New York City for 48 hours wearing special backpacks, each with a long tube that is slung over the shoulder. The tube, resting inches below the pregnant mom's mouth, sucks air into a special filter, giving an approximate measurement of the air that she is breathing.

The backpack is designed to measure ambient toxics spewed by vehicles and pesticides, along with chemicals from common household products.

"It surprised me when we analyzed the air samples [from the backpacks] and found 100 percent of them had detectable levels of at least one pesticide and the air pollutants we were interested in," Perera, who also is a professor at the Columbia University Mailman School of Public Health, told CNN earlier this year. "Every single one."

Scientist taught world to get the lead out

So far, the toxics measured in the backpacks match what scientists are finding in the cord blood of the babies once they are born. Small studies by other groups also are finding common household chemicals in babies.

"We've measured hundreds and hundreds of toxic chemicals in the blood of babies that are still in the womb," said Ken Cook, president of the Environmental Working Group, a nonprofit environmental advocacy organization. "Flame retardants, the chemicals in consumer products like personal care products, makeup, shampoos. It's a very long list."

The organization's study found an average of 232 chemicals in the cord blood of 10 babies born in late 2009. They are chemicals found in a wide array of common household products, including shampoos and conditioners, cosmetics, plastics, shower curtains, mattresses and electronics such as computers and cell phones.

Perera and her colleagues are following the children in their study from the uterus, through birth, and up to their first several years of life. They recently published a study in the journal Pediatrics demonstrating an association between the chemicals they found in babies' cord blood and later problems on intelligence tests and development.

"Fifteen percent of children [in our study] have at least one developmental problem," Perera said.

The amount of chemicals measured in the cord blood of the babies seems to matter. The higher the concentration, the more the IQ among children seems to dip. The study is also being conducted among pregnant women in Poland and China, and finding similar results.

CNN Medical News producer Stephanie Smith contributed to this report.

@highlight

CNN's Dr. Sanjay Gupta is a witness at Tuesday's hearing

@highlight

The issue was the focus of the CNN special "Toxic America"

@highlight

Sen. Frank Lautenberg of New Jersey is holding hearing in his home state