(CNN) -- President Barack Obama's speech to the American public Monday night was eloquent and forceful. But given the odds arrayed against him -- some of his own making -- the persuader in chief likely won't make the sale.

Indeed, it's likely that none of the other great communicators and explainers -- Franklin Roosevelt, Ronald Reagan and Bill Clinton -- could have either. And here's why:

Chico Marx was right

Impersonating Groucho in "Duck Soup," Chico makes a remark that sums up Obama's challenge: "Who are you going to believe, me or your own eyes?"

The American people are their own experts this time around on what constitutes a vital national interest for the United States and what they want done about it.

After two of the longest and most profitless wars in American history, the public has a more discriminating assessment of what's worth fighting for and what's not. And, deeply dismayed by the standard for victory -- when can we leave, not how do we win -- most Americans rightly see a U.S. military strike on Syria as an imperfect option that is likely either to be ineffective or to draw the U.S. into another country's civil war.

One speech could never overcome the skepticism and doubts left by a decade of two pointless wars. And this one didn't.

It's not that Americans are unmoved by the president's heartfelt descriptions of dead Syrian children gassed by, the administration says, President Bashar al-Assad's murderous forces; it's that their priorities lie elsewhere.

But it's America's broken house that's in need of repair, not someone else's. And no amount of false analogies to Munich and appeasement will sway them. They know what they see, and it's not compelling enough to justify the uncertainties of a military strike.

The president's words last night didn't allay those doubts.

Opinion: Obama's speech a model of persuasion

Obama's Syria policy is a Marx Brothers movie

Over the past week, one got the feeling that every day another door opened on the Syria issue with yet another surprise. The twists and turns didn't help the administration's case for clarity and consistency, which is so critical to providing the background of a speech to the nation. Indeed, events of the past week made the president's task much harder.

First, after a buildup to one of the most widely telegraphed military actions in the history of warfare, the president surprised the nation by deferring military action while he sought an authorization to use force from Congress. That was followed by an off-the-cuff remark by Secretary of State John Kerry on how al-Assad could preempt a military attack by turning over all his chemicals weapons.

The next surprise was a Russian endorsement of Kerry's idea -- and then Syria jumping aboard the peace train. The result: On the eve of the president's speech -- presumably aimed at making the case for a military strike -- the momentum had shifted away from war as the United Nations, the French and the secretary-general all try to figure out how to make peace and take al-Assad's chemicals off line.

The American public -- already confused as to whether the strike would be "unbelievably small" (in John Kerry's words) or, in the president's words, more robust ("the U.S. military doesn't do pinpricks") -- could be forgiven if it was a tad bewildered.

Read the speech

Overselling the risks of not acting

Much of the president's speech dealt with the consequences of not acting militarily in the face of the largest single deployment of chemical weapons against civilians since Saddam Hussein used them against the Kurds in 1988. There's no doubt that doing nothing would broaden al-Assad's margin to use these weapons again if he felt it necessary.

But we need to be clear: This regime is engaged in a fight to preserve itself and will do whatever is necessary to stay in power. A U.S. strike would have to be extremely punishing to deter al-Assad from using these weapons and extremely comprehensive in its scope to degrade al-Assad's capacity. The president can't make his case by playing down the severity of any U.S. response.

The other risks of inaction -- deterring Iran from nuclear weapons or suggesting that the U.S. is threatened by these weapons -- just don't add up and aren't compelling.

Indeed, should al-Assad be weakened or lose control, these chemical weapons might well fall into the hands of al Qaeda and other jihadist groups that could use them directly against the United States.

Opinion: Speech aims to keep heat on Syria

Our cardboard conception of leadership

Even under normal circumstances, a single presidential speech to persuade Americans to back a military strike would be a tough sell. Presidential speeches rarely move the needle much on an issue like this. We have this artificial conception of our president's capacity.

If only the president could make the case with powerful logic, he can indeed persuade. The only thing that's missing is leadership.

But that's really not the way it works. Presidents are more often prisoners of events. The great ones -- Abraham Lincoln, FDR -- are fortunate (if that's the right word) to have circumstances that allow them to do so. And they intuit and extract opportunities from those circumstances that allow them to lead.

Obama doesn't have these circumstances.

He faces a public that is deeply skeptical of attacking another Arab/Muslim country; a divided and skeptical Congress; and an international community that fears military action. And he confronts this environment with a military option that he himself doesn't really believe in either. There's no real sense of urgency or emergency, partly because the president has willfully downplayed that sense of crisis.

Obama seeks support for attacking Syria while pursuing diplomacy

Obama is an ambivalent warrior. He fashions himself the extricator in chief charged with getting America out of profitless conflicts, not getting them into new ones. And it shows.

Monday night's speech reflected a man who on one hand would like to be rescued by a diplomatic solution to a problem he himself knows can't be resolved by military force and on the other, one who realizes he has a very bad military option if he must go forward.

And as a consequence, what was hyped as a major speech really couldn't be, in large part because there was nothing to decide and no urgency to do so.

Congress isn't going to vote this week; the U.S. isn't going to war soon; and Vladimir Putin's diplomacy from Russia has yet to play itself out. Indeed, right now the president can't be the decider in chief because there's nothing to decide.

For now, Obama -- along with the rest of the country -- is stuck in limbo between a war he clearly doesn't want and diplomatic approach he knows faces long odds. And no presidential speech could free him or the country from that predicament.

The opinions expressed in this commentary are solely those of Aaron David Miller

@highlight

Aaron Miller: Speech could not sell skeptical Americans on need for action on Syria

@highlight

He says speech couldn't convince war-weary citizens that U.S. interests at stake

@highlight

He says Obama's handling of Syria issue has not inspired confidence

@highlight

Miller: A strike would have to be broader than Obama describing, and Americans fear this