(CNN) -- Millions of poor American children have untreated tooth decay, some of them because they cannot find a dentist willing to treat them, a federal report issued Tuesday said.

Only 1 in 3 children in Medicaid received any dental care over a year time span, according to a new report.

"Dental disease remains a significant problem for children aged 2 through 18 in Medicaid," the U.S. Government Accountability Office report concluded, referring to the federal/state health program for poor people.

According to the report, which used data from 1999 to 2004, about 6.5 million children enrolled in Medicaid had untreated tooth decay in 2005 and were nearly twice as likely as children with private health insurance to have untreated tooth decay.

The GAO report was ordered after widespread publicity of the case of Deamonte Driver, a 12-year-old boy boy who died last year in suburban Washington when an untreated infected tooth led to a brain infection.

Driver "had extensive dental disease and his family was unable to find a dentist to treat him," the report said.

The report said 14.8 percent of Medicaid recipients said their children had not gotten necessary dental care because their dentist refused to accept Medicaid, which typically pays providers less than private insurers.

"Clearly, the oral health care system failed this young man," said Dr. Jane S. Grover, first vice president of the American Dental Association in testimony Tuesday to the Committee on House Oversight and Government Reform Subcommittee on Domestic Policy.

"All of us -- practitioners, payers, parents and policymakers -- need to come together and make the system work for the most vulnerable among us," she said.

The report found that, nationwide, only one in three children in Medicaid had received any dental care in the year before the survey was carried out, and one in eight reportedly had never seen a dentist.

In comparison, more than half of children with private health insurance had gotten dental care during the prior year.

"Fundamental changes to the Medicaid program are long overdue to prevent the possibility of future tragedies like Deamonte and to ensure that all low-income children have the same access to oral health care services enjoyed by the majority of Americans," Grover said.

Efforts are under way to fix the problem. She cited plans to open eight dental schools in addition to the 57 currently in existence and said a new job -- community dental health coordinator -- has been created. The coordinators will be trained to work in clinics and schools to ensure emergency care is provided to children, she said.

"If there had been a CDHC in the school that Deamonte Driver attended, we believe this tragedy could have been prevented," she said.

"Through a routine exam, a CDHC could have spotted a simple cavity, filled the cavity with a temporary filling, and made arrangements for care by a dentist," she said.

The CDHC will also help families enroll in Medicaid and get transportation to appointments, she said.

But even if the numbers of dentists increase, Congress must act to increase fees for those participating in Medicaid to match private rates, she said.

@highlight

About 6.5 million children enrolled in Medicaid had untreated tooth decay in 2005

@highlight

Last year 12-year-old Deamonte Driver died from complications of infected tooth

@highlight

Dentists often refuse to accept Medicaid, which often pays less than private insurers

@highlight

Many Medicaid recipients say it's difficult to get dental care using Medicaid