In a State of the Union address 50 years ago this month, President Lyndon B. Johnson declared "unconditional war on poverty." Over the next year and a half, anti-poverty warriors developed new health insurance programs for the elderly and the poor, increased Social Security benefits and introduced food stamps and nutritional supplements for low-income pregnant women and infants. They established Head Start programs for young children, Upward Bound and Job Corps programs for teenagers, and work-study opportunities for college students.

It is often forgotten that this was a bipartisan campaign. A Republican president, Richard Nixon, and legislators from both sides of the aisle expanded the War on Poverty in the early 1970s. Nixon extended the reach of the food stamp program, added an automatic cost-of-living increase to Social Security and instituted the Supplemental Security Income system to benefit disabled adults and children. He even proposed a guaranteed national income though that died in the Senate after passing in the House.

Yet in 1988, President Ronald Reagan declared that the war was over, and that "poverty won." His claim that "government is not a solution to our problem; government is the problem" still serves as the mantra for politicians seeking to dismantle America's social safety net.

The truth is that the war on poverty produced some stunning successes, many of which are still felt today. And it likely could have produced more if politicians hadn't abandoned it in the 1980s, at the very moment that America's working families were facing heightened assaults on their living standards.

In 1963, despite more than 15 years of prior economic expansion, the child poverty rate was almost 25%. By the early 1970s it had been lowered to 15%. Between 1967 and 1975, poverty among elders was cut in half.

As of 1963, 20% of Americans living below the poverty line had never been examined by a physician; by 1970 this was true of only 8%. Between 1965 and 1980, infant mortality was halved, thanks to Medicaid and other government-subsidized health programs. The nutritional level of poor Americans improved substantially between the mid-1960s and the late 1970s, thanks to food stamp and school lunch programs. Children who received food stamps in the 1970s were less likely than children from similarly low-income families to develop diabetes, obesity and high blood pressure -- or to rely on welfare programs -- as adults.

But since the late 1970s, economic insecurity has risen again, except during the brief economic boom of the late 1990s. The resurgence of poverty is not because government programs have "gotten in the way" but because they have not done enough to get in the way of market forces going in the wrong direction.

Historically, it has required a combination of favorable employment trends and active government intervention to lower the percentage of people in poverty and raise living standards for the working middle class. During the 1960s, rising real wages for low-income and high-income workers, due in part to rapid economic growth and the spread of unionization, worked in tandem with expanding government support systems to improve Americans' well-being.

After the mid-1970s, however, the free market moved in the opposite direction. Between 1973 and 1986, the real median income of families headed by a person under 30 dropped by about 27%. The rise of single-parent families contributed to this decline, but the poverty rate for young married couples with children also doubled between 1973 and 1988. Unemployment spells became more common and lengthier.

Between 1979 and 1987, the real wages of high school graduates fell by 18%, while those of high school dropouts plummeted by 42%. By the 1980s, income inequality had begun its long rise to the record-setting levels we have seen in recent years.

Yet during this period of falling real wages, politicians began winding down the war on poverty. In the 1980s, they shifted the tax burden from income taxes to more regressive payroll taxes, slashed investments in urban renewal, housing and transportation, and cut back on services to the poor.  Between 1970 and 1991, the purchasing power of the typical welfare benefit decreased by more than 40%.

For three decades, aside from a brief respite in the 1990s, the market forces heightening financial insecurity and poverty have become even stronger, but our political leaders have failed to strengthen the social safety net enough to counteract their ill effects. In 1968, the minimum wage was 55% of the median full-time wage. Today, a minimum-wage worker earns just 37% of the median wage.  The median benefit for a family of three under the Temporary Assistance for Needy Families programs amounts to only about one-third the poverty level, and many families are now reaching the lifetime limits imposed on eligibility.

Still, as sociologist Philip Cohen shows in a study released Monday by the Council on Contemporary Families, government anti-poverty programs are all that stand in the way of an even worse scenario for American families. Tax credits for low-wage jobs and dependent children -- which bring cash refunds to many poor families -- reduce child poverty by almost 7%. Food stamps (now threatened with substantial cuts) decrease poverty by an additional 3%.

As of 2011, the major means-tested aid programs in the United States were rescuing almost 2.4 million children from extreme poverty every month, even though they were leaving behind more than 1 million more. Without government programs, Cohen reports, about 15 million more people would have fallen into poverty between 2007 and 2012.

It is a myth that government is the problem rather than part of the solution. In 1999, Great Britain had an even higher child poverty rate than we do today. The British government responded with an ambitious anti-poverty campaign, raising the minimum wage, increasing subsidized maternity leaves and providing free preschool for all 3- and 4-year olds. Within a decade, Britain reduced child poverty by somewhere between one-quarter and one half. Surely America can do as well.

@highlight

Stephanie Coontz: Aid programs changed lives since LBJ declared "war on poverty"

@highlight

Coontz: Despite gains among young and elderly, politicians began cutting safety net in '80s

@highlight

She says mix of good employment trends, government help reduces poverty

@highlight

Coontz: Market forces boost insecurity, poverty, yet pols won't strengthen safety net