(CNN)Money makes the world go round, they say, but what if notes and coins were replaced with online code?

Bitcoin  -- the world's much talked about cryptocurrency -- is just that. It can't be printed, it can't be directly controlled by governments or central banks, but it can be sent around the world instantly at a low cost.

And in sub-Saharan Africa, where 75% of the population don't have a bank account, experts say the currency could help millions of people pay bills and get to grips with their finances.

Transferring cash via a bank or a Money Transfer Operator (MTOs) like Western Union or MoneyGram can be costly. According to the Overseas Development Institute, the average charge to transfer $200 to Africa using traditional money transfer services is 12%. If you send $200, you pay $24. The ODI added up all the transfers that happen in a year, and found remittance fees cost the African continent $1.8 billion a year.

What if that money could be spent on things, rather than fees?

As Bitcoin is a virtual peer-to-peer currency -- designed to operate on the border-less internet -- the costs of transferring money can be radically cheaper than traditional methods, and the process is much quicker.

"Bitcoin can greatly alter the remittances industry and beyond," says Michael Kimani, who heads the African Digital Currency Association, a Kenya-based group launched last May to promote digital currency technologies. "From seven days [for a transaction to clear] using banks & PayPal, down to 20 minutes speaks volumes."

African examples

Beam is a service in Ghana that converts Bitcoin sent from abroad into the local currency,  cedi. Since launching three months ago, it has attracted 30 users who pay a 3% fee on each transaction rather than the average 12% from traditional transfer services.

Ghana received $1.7 billion of remittance income in 2012 according to the Bank of Ghana, and Beam's founders are optimistic about the future.

"Bitcoin is going to make a huge difference when it starts to get accepted by merchants in Ghana," says CEO Nikunj Handa. "People won't need to change Bitcoin to any other currency so there will be no broker fees involved and people can get really very low-cost transactions. But Bitcoin is in its early days yet, and we need banks and merchants to catch up."

And the founders are also planning to launch "Value Remittances" -- a service which will allow people in other countries to use Bitcoin to pay the water, electricity and phone bills for their family members in Ghana.

Kitiwa, a similar service in Ghana, says it has processed over $90,000 worth of Bitcoins, and BitPesa, in Kenya, is another remittance services doing the same thing but with Kenyan shillings.

Another sign that Bitcoin is gaining traction in Africa came in August, when Johannesburg got the first Bitcoin ATM on the continent.

The machine, which converts cash into Bitcoin, is located at the Metroman beauty salon where customers can pay in crytocurrency.

But it's not the only place South Africans can spend their Bitcoin. According to South Africa-based Bitcoin startup Xoin, 30,000 online stores in South Africa now accept the cryptocurrency.

"We have about five transactions a week, and in total I would estimate we have had about 250 transactions," explains Rolf Deppe, who operates the machine. "The main reason we launched the ATM was to create awareness of Bitcoin in Africa... We do expect to see more [Bitcoin] ATMs popping up."

Commission charges for Bitcoin ATMs vary, but Lamassu says the average commission is 5%.

And Africa's second Bitcoin ATM is set to arrive in Cape Town soon -- a city hosting a Bitcoin conference in April.

Crypto-critics

But not everyone is so optimistic about Bitcoin's future in Africa.

Critics say the fees associated with buying crypto-currency must be taken into account when considering the cost of remittances. As well as overcoming the technical challenges of obtaining Bitcoins at an "exchange," users have to also pay a commission. According to Lamassu, the fee is usually 0.5%, but that can vary between exchanges.

Bypassing most of the online process is possible with voucher services like Azte, which charges a 4% commission for the convenience. And Xoin, based in Stellenbosch, have come up with a similar proposition involving QR codes on vouchers, which you scan with your smartphone.

As well as standard charges, not all banks support Bitcoin companies yet. Some customers of British banks, for example, have to first transfer money from their bank account to a Bitcoin company's account in a European bank. To do this, they pay banking transfer charges and have to wait up to five days for the funds to clear before they get their Bitcoins. Not exactly speedy.

Breaking traditions

Competition with existing, established services is also a major reason some say widespread adoption of Bitcoin in Africa is still a long way off. MoneyGram has agents in 25,000 locations across Africa, and Western Union has 32,000 registered locations across the continent. While its yellow and black outposts aren't going away anytime soon, the company is adapting to mobile money transfer.

"Africa, in particular, is kind of at the frontiers of mobile," says Hikmet Ersek, chief executive of Western Union. "The people do like mobile, use it like mobile... but also as a wallet. This mobile wallet has been very successful in Kenya. We did not see a big success in other countries...but the future, I think, will be that, once the consumer figures out how to use it."

It is precisely this complexity, and this issue of trust, which makes the man who founded South Africa's Bitcoin exchange ICE³X.com skeptical about it's widespread adoption on the continent.

"You've got a company like Western Union, which has been around for longer than most people have been alive, and they trust that method," says Gareth Grobler. "That's a huge stumbling block for Bitcoin acceptance."

For Grobler, the real value of the super-secure "blockchain" technology which facilitates Bitcoin could be in commodities trading where large sums need to be transferred across borders in a transparent way.

Erratic price value

Another major issue with Bitcoin is its volatility. In January 2013, one Bitcoin was worth around $13, surging in December to a high of $1,147. But since then, its value has dropped again and at the time of writing one Bitcoin was worth $221, according to coindesk.

"If I buy Bitcoin and transfer it to another person, the price is very likely to change overtime," says Grobler. "So I could send $200 worth of Bitcoin to someone, but as the price fluctuates they actually only get say $150. Bitcoin is really only going to be a better deal for someone who really understands financial markets and watches the price constantly. Further solutions need to be developed for mainstream adoption and tangible financial benefits."

More from Marketplace Africa

READ THIS: Africa's 'most intelligent' city revealed

READ THIS: Gas discovery transforms Mozambique backwater

@highlight

It costs less to send Bitcoins overseas than traditional money

@highlight

In Sub-Saharan Africa, 75% of the population don't have a bank account

@highlight

African services like Beam and BitPesa convert Bitcoin to local currencies

@highlight

Established money transfer players pose a challenge to Bitcoin