Princeton, New Jersey (CNN) -- If Barack Obama and Mitt Romney are staying up late worrying about whether they can win the election, they should ponder another, ultimately more important, question: Will their campaign rhetoric make it impossible for them to be effective if elected president?

The decisions that each man makes in his effort to defeat the other will shape the political environment in January 2013. Although we often consider the campaign phase of a presidency to be entirely separate from governing, the truth is that the two are intimately connected.

Whoever takes office in January will face many difficult challenges that will force him to compromise, adjust and move away from campaign promises that no longer fit the reality of the times. The Bush tax cuts expire at the end of the year, along with the payroll tax cut designed to boost the economy. The pressure will be on for the president and Congress to make deep spending cuts and revenue increases.

The president's health care law will either need to be implemented and funded, or it will have been ruled unconstitutional, thus pushing to the forefront once again the skyrocketing costs of health care. In foreign policy, the Middle East, Iran, North Korea and China all point to hot spots that are volatile and unpredictable. And these are just the known challenges, let alone the crises we can't yet see coming.

For Obama, the dangers are significant.

To keep Democrats excited about a second term, it appears that he will continue to focus on the rhetoric of economic populism as well as on attacking the do-nothing Congress. Although he has governed like a moderate, his speeches have increasingly stressed the liberal themes of progressive economic policy, criticism of Wall Street and big business and, to some extent, laments about the growing inequality in American life.

In his State of the Union Address, Obama castigated Wall Street with populist rhetoric, saying that the problems in the economy had stemmed from the fact that "Wall Street was allowed to play by its own set of rules." He promised that this time around, "It's time to apply the same rules from top to bottom: No bailouts, no handouts and no copouts."

The danger for Obama is twofold.

One the one hand, if the president veers too far to the left on the campaign trail, he will offer more fodder to his opponents who want to paint his every move as being those of a left-of-center Democrat. This will be even more problematic than it was in 2009 and 2010, when Obama still enjoyed political capital from his election, which allowed him to rebuff some of these charges and push through his legislative agenda.

After his re-election, Republicans wouldn't have any fears about retribution and they wouldn't have any reason to compromise. As with every second-term president, he would be a lame duck from day one. Just as important, many moderate Democrats could be leery about supporting him unless they were sure that doing so wouldn't hurt their chances for re-election.

At the same time that a rhetorical shift to the left could alienate possible legislative support, it could also create inflated expectations within the Democratic base. Just as many of Obama's supporters have been disappointed in his decisions after a campaign that promised transformation, liberals would be doubly dejected if his populism proved to be pure posturing. He could leave many Democrats deeply disappointed over the dim chance of ever delivering on these core ideas.

Finally, in the coming months, Obama will continue to succumb to the lure of big money. With all his talk about change, this election looks awfully familiar. The Obama campaign has embarked on an aggressive fundraising project, including relying on super PACS. The kind of fundraising and interest group mobilization that will occur might very well define Obama by the end of this season as much as any of the bills that Congress has passed.

Romney has challenges of his own.

Romney's most obvious campaign struggle will be what to do about the right. The tea party Republicans will continue to pressure Romney to play to the base so he can prove he is not the Etch A Sketch candidate his critics present him to be. Romney will face a strong temptation to echo their positions as he looks to the tea party to mobilize supporters to vote in swing states.

But if Romney pushes too hard in this direction, trying to overcompensate for his perceived centrism, he would make it difficult to appeal to moderate Democrats in a first term. Without the support of at least a handful of moderates, persuading Congress to pass legislation will be extraordinarily difficult.

Romney will also face growing pressure to promise that he will oppose any kind of revenue increase, including an assurance that he would support an extension of the Bush tax cuts for wealthier Americans.

Given the size of the deficit, such promises would put him in a difficult bind, setting him up for the kind of challenge with the Republican base that faced George H.W. Bush in 1990 when he had to settle for revenue increases after promising in his campaigning that he wouldn't agree to any new taxes.

The enormity of the deficit will require revenue increases in addition to spending cuts. If the next president and Congress decide that they must significantly lower the deficit, these painful choices would be on the table.. He will need to keep bargaining room to raise taxes so that this doesn't haunt him.

Some presidents have faced trouble as a result of the way they campaigned. Most famously, President Harry Truman pulled off a stunning upset against Thomas Dewey in 1948 by running against a "Do Nothing Congress." Although Truman's victory is often recounted, what is usually forgotten is that his relationship with Congress was terrible over the succeeding few years.

Many of the Republicans who had worked closely with the Democratic Truman in 1947 and 1948 were furious at the campaign theme. Sen. Arthur Vandenberg of Michigan, who had been Truman's key ally in the creation of the national security system, complained to one Republican operative that, "Not even Wallace [third party candidate Henry Wallace] is saying things better calculated to split the country into snarling vendettas at a moment when our destiny cannot afford these soap box luxuries." The result was bitter conflict over domestic issues such as civil rights and the war against communism

Yet there have been times when campaigning and governance went hand in hand. In 1964, Lyndon Johnson of Texas used his campaign to define his agenda broadly, contrasting himself with right-wing Sen. Barry Goldwater of Arizona and extolling the virtues of liberalism. During the campaign, Johnson took part in staged events extolling programs that Congress had passed. The election increased the Democratic majority in the Congress, giving him needed support for passing bills such as Medicare and federal aid to education, and became a platform to govern.

Obama and Romney will have to navigate this difficult path. As they focus on each other and the kinds of tactics that will be needed for victory, they must also consider what happens if they do win and how the campaign will help or hinder their chances as president.

The decisions that give Romney or Obama the best chance to win in the Electoral College may make success almost impossible to achieve in the White House.Â 

Â Â 

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Rhetoric by Obama, Romney on campaign trail could be risky

@highlight

He says the positions they take could weaken their eventual time in the White House

@highlight

Next president will face major challenges at home and overseas, he says

@highlight

Zelizer: Promises to left or right could make governing very difficult