When the first Triple E Class cargo vessel sails out of the Daewoo Shipbuilding and Marine Engineering yard in Okpo, South Korea, on July 2, an intriguing new age of container shipping will commence.

Roughly a quarter of a mile long, as tall as a 20-story building and built from enough steel to construct eight Eiffel Towers, the giant vessel will become the largest operating ship on the ocean -- although the first official voyage is not until July 15.

Hosting a record-breaking capacity of 18,000 TEU (20-foot equivalent units) containers the Triple E has enough room for 11% more cargo than the world's current largest freight ship, the 16,020 TEU Marco Polo operated by French firm CMA CGM.

To put these figures into perspective, 18,000 TEU containers provide enough space to transport 111 million pairs of sneakers. If stacked one atop the other, they would reach a staggering 47 kilometers into the sky.

For Maersk, the Danish shipping firm which has 20 of these seafaring behemoths on order at a cost of $190 million each, the Triple E is more than just the next stage in the battle to be the ocean's biggest beast. It's also a vital component of a carefully considered strategy that aims to see the company facilitate long-term trade along the bustling AE10 shipping route between Asia and Europe as well as reduce its carbon footprint.

See also: 8 spectacular infrastructure projects

But with the OECD, IMF and European Commission all expecting European GDP to contract in the near term, will such a cargo-capable fleet -- that is already too big for the Panama Canal and most American ports -- still be necessary in the years to come?

We asked Maersk COO Morten H. Engelstoft to explain the thinking behind the Triple E and whether its colossal scale could provide a key market edge or end up counting against it.

CNN: Why did Maersk decide to build the Triple E?

Morten H. Engelstoft (ME): I think there is a clue in the name. The first E stands for economy of scale and this refers to the number of containers we can move in one go.

The second E is energy efficiency. We expect the Triple E to reduce fuel consumed by approximately 20% compared to the most fuel-efficient vessel in our fleet today.

And the third E is environment. By reducing fuel consumption it will also reduce our CO2 emissions by 20%.

CNN: You talk about the environment but Maersk will also save a lot of money on fuel.

ME: Absolutely -- fuel is the single largest operational expense we have, somewhere between $5 billion and $6 billion this year. We want to focus on reducing fuel because it is to a large extent within our own control. Our whole behavior is focused on reducing our fuel consumption.

If we compare the Triple E with the normal 13,100 (TEU) vessel in the industry in terms of fuel consumption, the Triple E will be 35% more fuel efficient. Therefore, these vessels will help us be more competitive.

CNN: How much of a challenge was it to oversee and put together a mammoth ship like this?

ME: Clearly it's a big project where we have made a very big technological leap. We have spent a lot of time preparing the vessel, in designing the vessel and building the vessel with the yards.

I'd say the most challenging aspect of a project like this is to find out how do you really get to the most optimized ships.

See also: Could drones replace highways?

If we had decided to make the vessel even bigger then we would have been able to reduce the fuel consumption per unit transported even further, but that would have added complexity.

Similarly we have capped the top speed of the vessel at 23 knots. Capping the top speed reduces fuel consumption. We could have decided to cap the top speed at 21 knots. But we decided to have the flexibility that would allow us to go faster if we are late, for whatever reason, in order to catch up with our schedule and reduce the impact of incurring potential extra costs further down the voyage.

CNN: Is the Triple E a risk given the current financial uncertainty in Europe?

ME: It is clear that the world economy and certainly the economy in Europe is suffering from low growth. Therefore, as the Triple E will operate in the trade area from Asia to Europe, we will watch the market growth very carefully.

What we have said is that we want to grow with the market -- we do not want to grow more than the markets. If the slow growth and weak economies continue then we will look to move other capacity from that trade line so that the capacity we deploy will be in line with the growth in the markets.

CNN: Is it not a drawback that the Triple E will only be able to dock in a small number of ports initially because of its size?

ME: It was always the plan from the outset that these vessels would be deployed in the Asia to Europe trade lane. First of all this is the biggest trade route for us, so it makes sense that we deploy the biggest vessels where we have the most cargo.

Also, we have to take into account the terminals and port capabilities. The places that have facilities that can handle vessels of this size are indeed in Asia and in Europe. We have worked with the trade terminals early on to ensure they are ready. I would also expect in time that we will see more terminals being able to handle the vessels.

See also: Could Danube be Romania's 'blue motorway?'

One interesting thing is that the Triple E is able to carry 2,500 more containers than our current biggest ships, the E class vessels, but is only three meters longer and three meters wider. This means that these vessels do not really require much more capability requirements from the terminal compared to the already existing largest vessels in the world.

CNN: Is there a certain prestige with having the world's biggest ship?

ME: It's actually not the most important thing for us. We used to have the biggest vessels in the world with the E Class but now currently another company has introduced a bigger vessel.

I actually think the way most carriers look at it is how optimized are these vessels. If we had built them even bigger it might not have given us additional cost advantages. For us it is much more important to have vessels that optimize cost efficiency rather than something that is the largest in the world.

CNN: Will there be an even bigger ship in the coming years?

ME: We are not thinking about it and I actually think an even bigger vessel may become problematic at least in the near future.

I think we have reached a point where it will become more difficult. From an infrastructure point of view, the Triple E's can't call at all the ports in the world. A longer vessel will make it more difficult to maneuver in the ports that we are looking at.

I'd say there has been a tendency that vessels have been built bigger and more energy efficient as years have gone by but I don't think we will see container vessels becoming any larger for quite a long time.

@highlight

The Triple E Class container vessel will be the world's biggest operating ship

@highlight

Maersk has ordered 20 Triple Es at a cost of $190 million each

@highlight

The Danish shipping giant will take delivery of the first vessel on July 2