(CNN) In what's sure to be a moment fraught with symbolism and broadcast around the world, an infantry company-sized contingent of Iraqi Peshmerga will cross over Wednesday into Kobani, Syria, from Turkey.

They'll bring heavy weapons, artillery and gear crucial to the ongoing Kurdish defense of Kobani, now in its sixth week.

But, despite all the attention it will garner, the troop movement doesn't necessarily signal a major shift in the fight, analysts say.

"In terms of a major war that's of some significance to U.S. national security, the arrival of 150 militiamen to an area is probably not of tectonic significance," said Steve Biddle, a senior fellow with the Council on Foreign Relations.

That's particularly, Washington Institute defense fellow Jeff White says, since most tacticians consider Kobani to be of little inherent strategic interest in the fight against ISIS, which has captured large areas in Syria and Iraq.

What could be significant, Biddle says, is the back story explaining how Turkish leaders came to allow the movement in the first place. The United States wants Turkey to do more, including committing ground troops to the fight, Biddle said.

It could signal a backroom deal unlocking greater Turkish cooperation in the fight against ISIS, the militant group that calls itself the "Islamic State."

Or, Biddle says, it could simply be the product of a Turkish government holding its nose in an effort to deal with an increasingly rotten crisis on its doorstep.

America's newest allies: Syria's Kurds

The Peshmerga force

The Iraq Peshmerga contingent arrived by air from Irbil, Iraq, and landed in Urfa, Turkey, early Wednesday, Turkey's Anadolu news agency reported.

The group was driven in six minibuses toward the border, Anadolu reported, while a separate convoy crossed into Turkey carrying weapons for the Iraqi Kurds.

The fighters will enter Kobani soon to reinforce fellow Kurds who are defending against ISIS, a Peshmerga general told CNN on Tuesday.

"The Peshmerga have been ready for a few days, then had logistical problems, but they no longer do," Brig. Gen. Halgurd Hikmat said of the Iraqi Kurdish forces.

The force is made up of 161 Peshmerga fighters with weapons "that will be of good help to our brothers in Kobani," according to an official with the Ministry of Peshmerga, the defense ministry for the semiautonomous Kurdistan Regional Government in northern Iraq.

Separately, about 200 Syrian rebels entered Kobani at dawn Wednesday with weapons that included mortars and heavy machine guns, Syrian rebel commander Col. Abdul Jabar Okaidi told CNN by phone. More fighters are available if needed, he said.

What impact will they have?

The Peshmerga fighters are better trained and equipped than their Syrian Kurdish counterparts, and are bringing heavy weapons sorely lacking in Kobani, White said.

They will roll into a city defended by a beleaguered band of Syrian Kurds and Free Syrian Army fighters who have seen few reinforcements since ISIS' siege of the city began in mid-September.

And their arrival probably cements the city's defenses against ISIS, White said.

Still, ISIS is also reinforcing its contingent in Kobani, White said, setting out the prospect of a protracted fight over the city that has become important less for its strategic value than its role as a television star.

Kobani lies just across the border from Turkey, giving international journalists a clear vantage point to report on the battle there.

But there is a military significance as well, analysts say.

With all the attention on the fight and both sides bringing in reinforcements, White said, the fight for Kobani continues to give U.S. and allied forces the opportunity to bloody ISIS there, and to keep its forces tied up.

"As long as the city doesn't fall, it works to the advantage of the U.S. strategy," he said. "The ISIS guys who are fighting in the city aren't available to fight somewhere else."

The Turkish role

Turkish officials were not immediately available to comment on Wednesday's Peshmerga movements.

But Turkey has previously said it would allow the Peshmerga to pass through its territory into Syria.

With ISIS controlling the Syrian land surrounding Kobani, the Peshmerga's easiest path into Kobani is through Turkey.

Turkey's decision to let the Peshmerga traverse Turkish territory represented a major policy shift.

The Syrian Kurdish fighters, part of the People's Protection Units, or YPG, have ties to the Kurdistan Workers' Party, or PKK, which has fought a 30-year guerrilla war against the government of Turkey, where about 20% of the population is Kurdish.

Turkey, the European Union and United States consider the PKK a terrorist organization.

Earlier this month, Turkish President Recep Tayyip Erdogan said the Syrian Kurdish and ISIS militants were "terrorists." The Turkish government also has bristled at the United States' efforts to parachute weapons, ammunition and medicine to YPG fighters.

But while Turkey did nothing to intervene in Kobani, Kurds protested in Turkish streets. More than 30 people were killed in cities around Turkey this month as ethnic Kurds clashed with Islamist and nationalist groups as well as Turkish police.

CNN's Nick Paton Walsh, Gul Tuysuz, Jason Hanna, Ivan Watson, Zeynep Bilginsoy and Holly Yan contributed to this report.

@highlight

Peshmerga's arrival will be symbolic, but not a major development, analyst says

@highlight

Official: Iraqi Kurdish fighters heading to Syrian Kurdish town of Kobani

@highlight

Turkey has said it would allow the fighters to enter Kobani through Turkey

@highlight

Kobani has been under ISIS attack since September