Boston (CNN) -- A monster blizzard has left at least one person dead and hundreds of thousands of New Englanders in the dark and in the cold Friday night, thanks to a storm that's already delivered whipping winds and more than a foot of snow in some parts, with prospects of even double that by the time it's done.

The storm -- actually the convergence of two powerful systems -- began in earnest Friday morning in parts of New York and is expected to continue well into Saturday in Rhode Island, eastern Massachusetts and Maine.

Snow was more or less continuous for much of the region all day, with some lulls as well as times when it picked up considerably. At one point Friday night, for instance, Connecticut's emergency management agency warned on Twitter that "a wide ban of extremely heavy snow" was moving through the central and eastern parts of the Nutmeg State, dropping snow at a staggering rate of 4 to 5 inches an hour.

Smithfield, Rhode Island, had 14 inches of snow by 9 p.m. Friday, one of several towns in that state, Connecticut and Massachusetts to be buried under more than a foot of snow -- with much more, potentially, on the way.

"I couldn't believe the amount of snow that had piled up, as well as the many fallen branches," said CNN iReporter Molly Schulson in Providence, Rhode Island.

She was among the tens of millions of people stranded in the blizzard's path.

Many were prohibited by authorities from driving as a preemptive measure while other roads were closed in the thick of the bad weather, as was the case late Friday for New York's Long Island Expressway and Sunrise Highway, according to the Suffolk County Police Department.

Others saw their travel plans squashed when more than 5,000 flights from some 60 airports were canceled. And Amtrak nixed several of its scheduled runs, citing the weather, while commuter rail service in and out of New York and other locales were also impacted.

Track the storm on map, timeline

That helped transform several New England communities into ghost towns, as streets that typically would be choked with traffic were quiet, except for whistling winds; and empty, except for a blanket of thick, sticky snow.

CNN iReporters sent in photos and video from Boston, for instance, that showed sheets of white on the ground -- except when whipping winds made for near whiteout conditions on camera -- and little movement on the streets.

"Boston is kind of eerie at the moment," said Chris Moran, a veteran snowplow driver doing his best to keep the roads clear. "People are off the streets, and it looks like it could be 3 o'clock in the morning."

Strong winds made this storm especially biting. By Friday night, the National Weather Service reported wind gusts around 70 mph along the Massachusetts coast and through greater Boston, including a 74-mph gust in Buzzards Bay on Cape Cod.

"The wind is just pounding," CNN iReporter Jordana Fleischut said from Nantucket, off Massachusetts' southern coast. "It's currently moving the Jeep that we're in -- that's how powerful it is."

Such strong winds threatened to rustle up flooding along the coast at high tide Saturday morning. In the seaside Massachusetts town of Marshfield, for instance, the emergency management agency noted there may be a storm surge of between two to three feet and forecast a "serious event with moderate to major impact" around 10 a.m. Saturday.

Police in Poughkeepsie, New York, said one person died in a storm-related vehicle accident there, the first fatality that CNN has confirmed from the blizzard.

The storm also damage for those not living directly on the coast, as evidenced by extensive power outages around the region.

For many more people, the storm's impact will be in the form of widespread power outages. By early Saturday, more than 600,000 customers -- most in Massachusetts, Rhode Island and Connecticut -- were without electricity, a number that could grow.

Apps to help get you through

For some, it all evoked memories of the "Blizzard of '78" and the "Presidents Day Storm of 2003" -- two of dozens of winter storms in Massachusetts that Moran has been out on the streets.

The Framingham resident bundled up to brave the bitter cold and clear snow off the roads. But with a storm this powerful, it sometimes seems like a losing battle.

"I just finished plowing a 40-car parking lot," said Moran. "But if you were to look at it now, you never would have guessed. It's completely covered."

Alarms raised, events canceled ahead of the storm

Authorities have been sounding the alarm about the coming storm for days, urging people to stock up and stay off the roads. The worries were especially pronounced in places slammed by Sandy.

That late October storm tore through Nick Camerada's Staten Island home, leaving him personally "destroyed" and cognizant that there may be more hits coming.

"You can't mess with Mother Nature," an emotional Camerada said.

Lines of customers snaked around storefronts as many braced for the worst.

When Reading, Massachusetts, resident Elizabeth Frazier arrived at a grocery store late Thursday night, shoppers were already buying up the store.

"It's a zoo in there," she said. "There's nothing left on the shelves," she told CNN affiliate WHDH.

Governors across New England and New York have declared states of emergency, and all cars and trucks -- except emergency vehicles -- must now be off Massachusetts and Connecticut roadways. A similar ban in Rhode Island took effect at 5 p.m.

Violating that ban could incur a penalty of up to a year in jail and a $500 fine.

By Friday night, the storm had already led to hundreds of cancellations of public school classes to sporting events. The storm even prompted the cancellation of ACT tests, for would-be college students, around the Northeast.

Utility companies tried to get a head start on the storm, by having additional crews ready to respond to outages caused by downed power lines.

The fear is that, as happened after Sandy, such outages could persist for days. Still, for all the alarms being raised, the mayor of Boston -- which forecasters expected would be the city hardest hit by the storm -- said he expected residents of his community and others to hunker down and weather the storm.

Said Mayor Thomas Menino, "We are hardy New Englanders."

5 ways to keep your phone charged in a power outage

CNN's David Ariosto, Greg Botelho, Chris Boyette, Elizabeth Cherneff, Mary Snow, Larry Shaughnessy and Marina Carver contributed to this report.

@highlight

NEW: One person confirmed dead in storm-related vehicle accident

@highlight

NEW: More than 600,000 customers are without power in the area

@highlight

Connecticut warns 4 to 5 inches of snow an hour may fall in the state

@highlight

Parts of Rhode Island, Connecticut and Massachusetts already have 1-plus feet of snow