(CNN) -- It hardly seems fair.

After a grueling campaign, Barack Obama will have virtually no time to celebrate his re-election. Enormous challenges await.

For the victor and his party, there are many signs this may someday be seen as the "be careful what you wish for" election.

Some of those challenges are well known and frequently discussed. Within days if not hours, the president will have to turn his attention to assembling and finalizing the team that will be at his side for the next four years. In addition, the fiscal cliff looms, as do critical decisions about whether -- and how -- to extend the Bush tax cuts.

Share your reactions to the election outcome

Beyond these most apparent immediate challenges there are a host of other conundrums that will bedevil Tuesday's winner for months if not years to come.

How can the United States create jobs more quickly? How can Iran be stopped from gaining nuclear weapons? How can we contain the threat of spreading unrest in the Middle East? How can we get China to play by the rules of fair trade?

Can we do something to help prevent an EU meltdown from taking place and hammering the still fragile U.S. economy? What about immigration reform? Fill in your favorite pressing issue here: education reform, reducing the budget deficit, addressing flaws in the health care system, speeding up approvals of big new energy projects. There is an agenda for everyone and an army of special interest lobbyists in Washington raring to get back to work.

Opinion: Five things Obama must do

But these issues, formidable and contentious as they are, are really just the tip of the iceberg. Beneath the surface there are far greater questions that many in Washington will be less inclined to address, or even give any attention at all. But it is really these more profound challenges and how we adapt to them that will ultimately determine how the next administration is judged and indeed, how we are judged as a generation.

At the core, the deeper challenges have to do with what must change in order for America to keep growing and leading as we have for generations. The problems we must fix are deep, complex and interrelated.

We are not able to grow our economy as we have in the past. That does not just mean we are unable to provide the jobs that perhaps as many as 25 million Americans want but cannot get. It also means that the wages those jobs pay are not rising fast enough, that we are not training workers for the jobs that may be available, and that across our society inequality is growing as never before in our history.

Opinion: Obama's victory won't transform America

In our cities, roughly half of minority students never finish high school and thus are consigned to lives of deprivation and frustration.

At the other end of the spectrum, and regardless of your political affiliation, you must acknowledge the social risks created when the top 1% benefit so disproportionately to the rest of a population. From 1979 to 2007, the income of the top 1% grew more than four times faster than any other group.

Despite what you may have heard during the political campaign, however, these are not problems that necessarily can be solved by invoking the political formulas of the past â€” cutting taxes or increasing social programs.

The world has changed. America will never get back the manufacturing jobs that once were the bedrock of our middle class. It is not just that some have been outsourced overseas. Most have been outsourced to the past. Automation and enhanced productivity are making it possible for companies to do much more with fewer people.

Opportunities exist for us to create better jobs if we retool for a new era in which we can use our better schools, tradition of innovation, intellectual property protection and cheap domestic energy sources to give us a competitive edge in new industries. But to do so we need to embrace new models, invest in new infrastructure, welcome foreign investment, simplify regulations and tax codes, and fight America's most dangerous special interest group: the anti-change lobby.

But we find ourselves unable to make many of these changes not just because they are big and difficult and not well understood but also because our political system is broken. Look at this most recent campaign season. Six billion dollars spent, vastly more than any other nation in the world spends on political campaigns. But our voter turnout, if this election followed the pattern of recent ones, lagged the standards set by much of the rest of the world.

News: Hot-button ballot initiatives

Much of the money came from shadowy contributions through super PACs and big checks from fat cat "bundlers," giving influence to the few.

Further, for all that, not much was expected to change in terms of the composition of Democrats and Republicans on Capitol Hill, which is just as our political leaders want it. They have built a system that is good at gridlock, name-calling and blame-gaming and not much else. It is thick with such strategies as gerrymandering districts, fostering extra-constitutional rules on filibustering and using senatorial prerogatives to hold up presidential nominations

A country facing great challenges that has a system resistant to the changes we need is at a dangerous crossroads, one that could determine its future place in the world. Interestingly, tellingly, we are not the only great nation to face such a choice this week.

China, too, the world's second largest economy and most populous country, faces a once-in-a-decade leadership change. While its system is very different, it, too, is designed to allow the few to hold on to power and to resist change. And while our two countries face very different challenges, China also needs its new leaders to confront deeper issues and embrace more sweeping political and economic transformations.

World worries as U.S. fiscal cliff looms

Ironically, as I have traveled across Asia during the past several weeks, many leaders I have spoken to have worried aloud that it is the nation that is best known for openness and for periodic reinvention of itself that has less of a chance of embracing the big changes it needs than the one known for being closed and repressive.

While I don't believe that must be so, it puts the central challenge facing President Obama into perspective. The stakes have never been higher. To meet that challenge our president will have to lead only as great presidents have: confronting his own party as well as the opposition, but most importantly, confronting conventional wisdom and old models and demanding the rarest of all the things Washington produces: real creativity.

This is the time not just for change we can believe in. This is the time for change we can actually see. If not, it could well be that the other leadership change taking place this week, the one taking place on the other side of the world, may be seen as more consequential than that which took place in the United States on Tuesday.

Analysis: Obama won with a better ground game

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: Winner of the presidential race facing urgent crises

@highlight

He says the winner has to pick his team for next four years, deal with fiscal cliff

@highlight

But the biggest challenge facing White House is the economy and inequality, Rothkopf says

@highlight

Rothkopf: America's challenges can be overcome, but not if partisan gridlock gets in the way