(CNN) -- In a stunning reversal of fortunes, Egypt's President Mohamed Morsy was deposed by a military coup just one year after being sworn in as president. The Egyptian protesters who took to the streets by the millions over the past several days to demand Morsy's resignation were jubilant as news spread Wednesday that their goal had been met: Morsy's Muslim Brotherhood-backed government was gone, along with its creeping authoritarianism and mismanagement.

The leaders of the protest movement are insisting that what happened was not a military coup, but rather a remarkably peaceful demonstration of the will of the people to achieve the original goals of the revolution: bread, freedom, social justice and human dignity.

Morsy's embittered supporters see it quite differently: Even as their democratically elected leader was talking compromise with an opposition that would have none of it, he was pushed out of office by a military that positioned its tanks in strategic locations throughout the capital, took control of state media, and has placed Morsy and key advisers under house arrest.

The Muslim Brotherhood website on Thursday warned of a "new era of repression and tyranny." They know of what they speak: There is a long, dark history of Egypt's military rulers brutalizing Muslim Brotherhood leaders.

Within 20 years of its founding in 1928 by Hassan al-Banna, a charismatic schoolteacher and preacher, the Muslim Brotherhood was disbanded by the Egyptian government, which felt threatened by its rapid spread. The Brotherhood, a popular grass-roots political, social and religious movement, had attracted a huge following with its simple slogan, "Islam is the solution," and its provision of social services.

By the time it was banned in 1948, it had nearly 2 million members. Several violent decades followed as increasingly radical Brotherhood members took up arms in an attempt to realize their goal of creating an Islamic state. But by the 1970s, the organization renounced violence and vowed to participate in the political process. Still, the government barely tolerated the Brotherhood; under longtime President Hosni Mubarak, Brotherhood leaders were regularly arrested in crackdowns.

Although the Brotherhood did not lead the events of January 2011 that toppled the Mubarak regime, it quickly capitalized on them to become the political front-runner in post-revolutionary Egypt. Aware that it was held in deep suspicion by many at home and abroad, the Brotherhood at first vowed not to dominate the country's new politics. "We will not have a presidential candidate," promised Mohamed Morsy. "We want to participate and help. We are not seeking power."

But that promise quickly faded as the Brotherhood's Freedom and Justice Party, buoyed by its superior organizational structure and credentials as a stalwart opposition, took the largest number of seats in the new parliament (43.4%) and then won the presidency. The Brotherhood's secular opponents became increasingly uncomfortable that they were watching a slow-motion takeover of the country by an organization that at heart remained secretive, autocratic and theocratic.

From the start, Egypt's political stage was set for an impasse between secularists and supporters of the Muslim Brotherhood, who believed they had won a mandate to govern the country and shape Egypt's future in their Islamist vision.

The Islamists never seemed to acknowledge that Morsy had won the presidency in a runoff with barely a majority of votes (51.7%), and that in the first round of voting, his secular opponents combined had more than 55% of the vote. Morsy behaved arrogantly, pushing through a controversial constitution with little consensus, passing a highly divisive edict putting the president's actions above judicial review, and in his most recent politically tone-deaf move, appointing 17 provincial governors last week, all affiliated or allied with the Muslim Brotherhood -- including an astonishingly divisive member of Gamaa Islamiya, the organization responsible for the devastating 1997 massacre of 58 tourists in Luxor.

For their part, secularists never accepted the legitimacy of the Morsy government and vowed to prevent political Islam from taking hold. The judiciary, filled with holdovers from the Mubarak regime, tried to use the courts to undermine the Morsy government. Leaders of the opposition deemed any Morsy effort to compromise as half-hearted and refused to test the political process.

Against this background of political polarization, the country staggers under a teetering economy. The millions of Egyptians who filled the streets in recent days demanding Morsy's resignation were protesting not only his authoritarian tendencies, but also his economic mismanagement.

Egypt's fate now hangs on whether Egypt's secularists and Islamists can be reconciled. Thursday's statement by the National Salvation Front, the alliance of opposition parties -- stressing that no parties, "particularly political Islamic groups" should be excluded from ongoing reconciliation talks -- is a positive one. So too are Morsy's calls for his supporters to pursue only peaceful protests.

But the crux of the matter is that the process of writing a new constitution, which the military has promised to oversee, is unlikely to give Islam as preferred a position as the one that Morsy pushed through. Will extremist Islamists conclude that violence is the only way they can achieve their goal of an Islamic state? The specter of Algeria's civil war hangs heavily over the situation: In 1991, the Algerian military took control of the government after Islamists looked poised to come to power through elections. The ensuing decade of conflict left as many as 100,000 dead.

Ultimately, the role of Islam in the state must be settled by the people themselves. If Egyptians approve, through a fair and open referendum, a new constitution that reduces Islam's role, it will take the wind out of the sails not only of the Muslim Brotherhood, but of political Islam across the region. But if Egypt returns to a cycle of repression and violence, it will only serve to revitalize a radical movement.

The opinions in this commentary are solely those of Isobel Coleman.

@highlight

Muslim Brotherhood decries coup, recalls history of military rulers brutalizing its leaders

@highlight

After Morsy's win, secularists feared a takeover by theocratic Muslim Brotherhood

@highlight

But Muslim Brotherhood believed it had won a mandate to govern, Isobel Coleman says

@highlight

Coleman: Egypt must choose secular or Islamist rule, hope Islamists don't turn to violence