(Oprah.com) -- At the small worktable in Anna Rabinowicz's sunny Manhattan office, smooth slices of agate -- some as small as coins, others as big as dinner plates, in swirling shades of sapphire, rust, and olive -- mingle with wrist-thick hunks of faceted crystal, three knobby yellow gourds, and a dried version of Anna's latest muse.

"A neat thing about sea fans," says Anna, 39, who is wearing silver sea-fan-shaped earrings, "is how they move." She imitates the meshlike creature's undulations with her hand. "They're at the whim of the current; they get their nutrients from whatever happens to pass through."

She lifts the stainless steel colander/fruit bowl she recently designed based on her sea fan research, its sides veined with silver tendrils. If a sea fan mated with a Rolex, this would be the result.

I'm spending today dipping a toe into the ocean of Anna's creative output -- and the colander is just one of the creatures in a vast and lively sea. The woman draws, sews, sculpts, and dreams things up as naturally as the rest of us breathe. For her company, RabLabs, she designs coasters, clocks, and picture frames from those pieces of agate, along with handblown-glass napkin rings, amethyst bottle stoppers, and lacquered wooden boxes -- and at home, her creative juices just keep on flowing. Over eight hours with Anna, I'll discover that her default thought process works like this:

That [sea fan, kangaroo, hunk of quartz, sequined fabric] is fascinating. I must learn all about it and then make something!

Next comes studying, sketching, model-making, and finally, the finished product -- which might be anything from a letter opener to a medical device to a fetching new cape.

Oprah.com: How one woman was saved by a poem

When I arrived this morning at Anna's apartment, she told me that a full day lay ahead: We'd go shopping for supplies to create a prototype of a new RabLabs bowl (a mission that would require walking about 40 city blocks), we'd have searching discussions about creativity, and we'd get our hands really dirty. Hey, who ever said innovating was a cakewalk?

"I tell my students, 'If it's easy to create, someone has probably already created it,'" says Anna, who teaches product design at Parsons The New School for Design. "Work through the setbacks, and you can make things no one else has."

Like the unique items in Anna's home, for example. The light fixture that resembles an upside-down red umbrella. The key ring of plastic doodads she assembled for her 1-year-old, Talia, to teethe on. ("Her body is telling her to bite. She must bite! So I give her these, to keep her from biting me.") The little cloth squares she sewed for Talia and her 3-year-old brother, Izzy, to sleep with -- they're soft and worn, and hand-embroidered with trees and abstract whorls and the babies' initials. "I cut them from my husband's old T-shirts," says Anna, whose husband, Aden Fine, is a lawyer for the ACLU.

Even Anna's home is an Anna original: Three years ago, she and Aden bought a dim studio in a former sewing factory, then gut-renovated the space into a snug two-bedroom nest, with floor-to-ceiling windows and a kitchen bedecked in vintage red tiles.

Anna's mother, Lisa, arrives to take Talia to baby dance class just as Anna is describing her collaborations with New York's Hospital for Special Surgery. "My dad made surgical instruments," says Anna, who has helped create an artificial knee and an assistive device for people recovering from elbow surgery. "He was a pediatric ophthalmologist and surgeon. He taught me how to sew and solder."

"She has her father's hand-eye coordination," Lisa chimes in. "And such fine-motor control."

"Thank you," Anna says, looking moved. She pulls out her sewing kit from the 1890s -- her father, who died in 2001, bought it at an antiques market. "Look at all these crazy needles," she says. There are thick needles, teeny needles, needles that look like fish hooks. "I sew by hand," she tells me, "so the project will be imbued with my love."

Oprah.com: How to write a poem

After Lisa and Talia depart, Anna and I go on a coffee run. I ask her about Stanford's Joint Program in Design -- where she was the third-ever person to graduate with both an MFA in design and an MS in engineering. For her thesis, she traveled to Australia, enticed kangaroos to bounce on treadmills while she tracked their motion using high-speed video, and created chairs that mimic their movements.

"A kangaroo uses its tail like a third leg, leaning on it to push off for the next hop," Anna explains. When you sit in her kangaroo chair, it reclines on its curved tail and gently bounces forward -- like a movie theater seat only much more fun.

While I'm still processing the concept of marsupial furniture, Anna is already onto the business at hand: buying materials for the RabLabs bowl prototype. She's envisioning a ceramic vessel encrusted with crystal-like formations -- sort of an inside-out geode. She'll make the mock-up with real crystal, using clay to affix the stones to a steel mixing bowl, then create a mold of the whole piece, which she'll use to cast the ceramic version. Beneath her desk, wrapped in Portuguese newspaper, is 50 pounds of Brazilian crystal waiting for its shot at glory.

To find the right steel bowl, we visit a baking shop. The place is packed ceiling-high with little objects that light up all kinds of circuits in Anna's mind: shiny pastry tips ("These could be molds for crystal-covered salt and pepper shakers"), cardboard cake bases laminated in gold paper ("We'll use this as a work surface -- the gold feels auspicious"), and an accordion squeeze bottle ("I don't know why, but I need this"). On the way out, Anna marvels at pouches of red, brown, and yellow goo -- pastry filling, it turns out -- and decides it's lunchtime.

As she eats her chicken-chermoula sandwich, bought from a food truck on Fifth Avenue, Anna says, "There's this book called 'I Stink!' "

"I stink?"

"It's about a garbage truck that adores gross stuff," she says, "like dog poop and fish heads. Izzy laughed and laughed when my husband read it to him, because it's a bit mischievous. Kids have to follow so many rules, but a book like 'I Stink!' lets them be vicariously rascally without breaking the rules. Designing is like that. The rule is that the object has to perform its function. But within that rule, you can do anything -- the object can be witty or silly or weird."

We nod, considering this.

"You stink," I say.

Anna smiles. "I stink!"

Oprah.com: Essential pleasures

After lunch, we head downtown to buy clay from the art supply store -- though Anna beelines for the gift wrap and letterpress stationery ("This is paper geek heaven!"). In the pen aisle, she laments that her favorite model, the Pilot Razor Point II, has been unavailable for the past year. In its place she's been using pens her Korean students brought her from their visits home.

She puts a squat, gray felt-tip to a sheet of paper, moving her arm as decisively as a symphony conductor. "That's what's called an emotive line," she says. In the way a jagged line might suggest turmoil and a squiggle could evoke confusion, Anna's ascending swoop reads joie de vivre. Then she draws a guy with big curly hair.

Back at the office, she puts on Hall & Oates's "Kiss on My List" and lays out the gold work surface, the gray clay, and translucent columns of crystal in sizes ranging from raspberry to cucumber. We begin cocooning the bowl with clay for the crystals to smoosh into, as I explain that I'm much too impatient to be good at making things. "I'm always rushing to finish," I tell her. "I don't have it in me to keep refining until it's perfect."

Looking at the prototype, it seems I've proven myself right: One side is stunning, and the other side is mine. Anna has anchored two eight-inch columns of quartz in the clay surrounding the bowl and is now accentuating them with smaller satellite crystals. She's edging the place where the clay meets the rock into a kind of cuticle to the crystal's nail. If you squint, you can envision the final product: an improbable, precious thing, plucked from the Earth and yet made by a human hand.

Anna turns the cardboard and considers my work. She adds more cuticles, tweaks the angles of the crystals, and carves where I've over-clayed. But for all her refining, what I've contributed -- my inter-crystal spacing, rim-smoothing, and reinforced clay base -- remains. It's just been gently Anna-fied.

"This is really interesting work!" she says, seeming to sense my hunger for praise. Anna likes to say that a designer must understand human need: Check.

A designer must also find creative potential in what's around her, and Anna does -- in bouncing kangaroos and ratty T-shirts and charmless studio apartments. Think of her as a human sea fan, open to the myriad unknown things riding the current, which she uses to make the world a little more fascinating, and a little more Anna, than it would otherwise be.

Oprah.com: 7 ways to spark your creativity

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 

Subscribe now!

TM & © 2010 Harpo Productions, Inc. All Rights Reserved.

@highlight

Anna Rabinowicz studies things she's interested in and makes art out of them

@highlight

She studies, sketches, models and completes the project

@highlight

Rabinowicz: "If it's easy to create, someone has probably already created it"