While President Barack Obama discussed the need to fix the nation's immigration problems during his inauguration speech last week, Sister Cathy Buster is already doing something about it.

She was all smiles at Wednesday's grand opening of Casa San Juan Bosco, a "green" affordable housing development that will give Florida farmworkers unprecedented access to a safe and healthy place to live.

"I dream a lot, and people all think I'm nuts when I tell them what I intend to do to help," said Buster, a member of the Sisters of Providence of Saint Mary of the Woods Congregation. "But when they see events like today and realize I can help make it happen, this is wonderful."

Hired farmworkers continue to be one of the most economically disadvantaged groups in the United States, according to the USDA.

Studies show they also face higher than average occupational hazards as well as a poorer health status overall. Many live in substandard housing without access to refrigeration or safe water. Typical homes are filled with mold or pests. Few have safe spaces for workers' children to play.  Buster vowed to change that trend.

"Health is a major issue where many of these families currently live" -- sets of trailers, she said. "The water alone is a real problem.  They aren't on city water, and the health department has to go out there two and three times a week to test it because it hasn't always been safe for them to use."

Trailer living isn't cheap, either. Many are charged $35 per person per day, she said. With two and three families living there, the rent costs more than many luxury apartments. "It's outrageous," Buster said.

The housing situation became much worse in 2004.  That's when Hurricane Charley ripped through Arcadia, Florida. Working with Catholic Charities to provide food and clothing to these workers immediately after the storm, Buster said she saw firsthand how devastating it was for the community.

"The little bit they had, they lost, and their deplorable living conditions got even worse," she said. "The trailers that did survive, they put together. They had blankets for roofs and cardboard for walls.  Some 800 farmworkers were displaced."

Baby boomer nuns help revolutionize health care

Buster said she had never written a grant application in her life, but she knew she would need to raise the money, so she learned.

She did know how to find the right location for better housing for the workers.  That's because at  age  60, she went back to school to earn her real estate license.  She had been handling all the real estate transactions for the Diocese of Venice since 1999, but then Hurricane Charley struck.  That's when Catholic Charities hired her away to help the district recover from the major amount of devastation.  Building Casa San Juan Bosco became their first project.

It took 7½ years to gather enough money through donations and successful federal and local grant applications, but she eventually raised the $10 million to build the affordable housing. "It was providence," she said.

She got the land from a family of real estate agents who have been in Arcadia for more than 100 years.

The property owner, Buster said, told people she was "like a dog with a bone" and called her "the Donald Trump of the Sisters of Providence."

"He's right, I did talk him out of a lot of land," Buster said, laughing.  "It's about 20 acres."

The land will help house more than 50 families in single-family three- and four-bedroom homes with two bathrooms.  The homes come equipped with dishwashers, a range, a refrigerator, a microwave, a garbage disposal and a full-sized washer and dryer.   They are sturdy homes built to stand up to 200 mph winds.

"I was taking an inspector through who said they would be the safest residences in the county," Buster said.  "They'll also be some of the nicest many of these families have ever seen."

"I was taking a family on a tour, and one of the young women who had her grandmother and 2-year-old in tow said to them, 'Ooh, this is a real house,' " Buster said. "When she saw the washer and dryer she said, 'How much is this going to cost to do your laundry?' I told her it won't cost anything. 'But does it take quarters?' she asked. I told her there are no slot machines. These are yours to use. She was blown away.  I can't wait to see people's faces when they move in."

The property has parks and a playing field big enough for a soccer game.  "Another family touring the grounds asked,  'Are the children allowed to play out here?' I told them they can do anything they want. They are safe here," Buster said.

The grounds will also house a community center with a computer lab, a space that will offer English classes, monthly health check-ups and health classes.  There will be an after-school program and on-site day care.

The homes will rent for about 30% of a family's income.  To be eligible to live in them, at least 50% of the farm laborer's income for the previous 12 months must be from a farm laborer occupation, and each member of the family must have U.S. citizenship or proof that they have been legally admitted for permanent residence.

Programs like this are a huge help to the health of the community, according to University of Arizona economist George Frisvold, who specializes in agricultural issues.  He co-wrote a study that found that "adverse living conditions significantly increase the probability of gastrointestinal, respiratory and muscular problems." It also adds to a worker's stress level, which can lead to depression and other mental health complications.

"Even the more conservative economists who have looked at these kind of measures say to reduce the negative effects of child poverty, a project like this ends up paying for itself in the long run," Frisvold said. "You basically eliminate a lot of costs to society that they would face down the road if there was no intervention.  Improve the conditions in which they live by changing cramped and unhealthy settings for healthy ones -- and those families will tend to do much better."

"Having access to healthy housing is a very difficult problem for a lot of farmworkers. That really is something that is bellow the radar," said Don Villarejo, who works as a consultant on migrant health issues and has won several awards.

"This development is what I'd call a wonderful kind of experiment that I believe will result in a safe, affordable and decent housing model -- one that I'd like to see a much larger commitment to from the government, philanthropy and the private sector. It's crucial to the health and well-being of these workers."

Buster would agree. She already dreams of expanding. She wants to raise more money to build a kitchen that she has already designed in the community center. Down the road, she'd like to build affordable senior housing for low-income residents on the property.

"These families have worked and struggled all their lives," she said.  "We can help them realize their dream, which is the American dream, I want to provide as many people as I can with a safe place to call home."

@highlight

Hired farmworkers are one of the most economically disadvantaged U.S. groups

@highlight

Health studies show they face poorer health status overall

@highlight

A new multimillion dollar housing development aims to help Florida farm workers