Washington (CNN) -- The latest assessment of human rights by the United States is critical of the records of Middle Eastern governments, including those of allies like Saudi Arabia and Bahrain, and adds that it will take "years" before the impact of the wave of unrest across the region is understood.

In a gripping introduction to its 2010 Human Rights Report released Friday, the State Department said, "Because we are publishing this report three months into the new year... our perspectives on many issues are now framed by the dramatic changes sweeping across countries in the Middle East in 2011."

"At this moment," it said, "we cannot predict the outcome of these changes, and we will not know the lasting impacts for years to come."

The detailed report chronicles human rights conditions in 194 countries but it focuses significant attention on events in the Middle East and North Africa.

No "sweeping analysis" of the entire region is possible, it said, because the internal dynamics of each country are different.

But, singling out Tunisia, which sparked the so-called "Arab Spring" and Egypt, which threw out one of the most powerful leaders in the region, the report says, "We are witnessing popular demands for meaningful political participation, fundamental freedoms, and greater economic opportunity."

"These demands are profound, they are homegrown, and they are being driven by new activists, many of them young people. These citizens seek to build sustainable democracies in their countries with governments that respect the universal human rights of their own people. If they succeed, the Middle East region, and with it the whole world, will be improved."

The 2010 Human Rights Report lists three trends that are affecting rights around the world:

The first is the "explosive growth" of non-governmental advocacy organizations promoting democracy and human rights issues and causes. "In many countries "citizens' organizations have been created against great odds and only because individual human rights activists were willing to face great personal risk," it says.

In the last several years, more than 90 governments have sought to pass restrictive laws and regulations hampering the ability of organizations to register, operate freely, or receive foreign funding

The second trend is the explosion of connective technologies like the internet and mobile phones. In Egypt and Tunisia, the report notes, "while it is the courage of the people themselves that led the way and was the driving force, the amplifying impact of these new technologies, coupled with the power of television stations and the internet to broadcast videos obtained by citizens using these mobile phones, cannot be denied."

More than 40 governments, however, it says, now are using a combination of regulatory restrictions, technical controls on access to the internet, and technologies designed to repress speech and infringe on the personal privacy of those who use these rapidly evolving technologies.

In China, for example, it says bloggers and webmasters have been arrested and charged with "subverting state power" for re-tweeting a post or operating a website where others posted comments.

The third trend, a negative one, the State Department said, is the escalation of violence, persecution, and official and societal discrimination against members of vulnerable groups, such as racial, religious, and ethnic minorities. The discrimination extends to women, children, persons with disabilities; and lesbian, gay, bisexual, and transgender (LGBT) persons.

"In Uganda, intimidation and harassment of LGBT individuals worsened during the year," it said, "and some government and religious leaders threatened LGBT individuals. Honduras saw an upsurge in killings of members of the LGBT community by unknown individuals.

LIBYA

In Libya, currently in a state of civil war as its leader, Moammar Gadhafi, clings to power, the State Department said, "Colonel al-Gadhafi and his close associates monopolized every aspect of decision-making in the government."

Read about alleged Libyan rape victim thankful for support.

The Libyan government, it says, continues to use torture and arbitrary arrest. "A large but unknown number of persons remained in detention or prison for engaging in peaceful political activity or for belonging to an illegal political organization."

SYRIA

In Syria, swept with dissent against its president, Bashar al-Assad, government security forces in 2010 committed "unlawful killings, detained political and human rights activists, and tortured and physically abused prisoners and detainees with impunity," the State Department said.

TUNISIA

In an update on Tunisia , however, the report is optimistic, saying the United States is "encouraged by the creation of a fact-finding committee to investigate human rights abuses that took place during the uprising," it said.

EGYPT

In Egypt, the State Department says the United States is "waiting for the government to lift the state of emergency, which the Supreme Council of the Armed Forces has promised to do prior to parliamentary elections."

SAUDI ARABIA

A key U.S. ally, Saudi Arabia, comes in for criticism, with the report noting "there were severe restrictions on religious freedom and discrimination on the basis of religion was common."

In addition, the Saudi government, it said, restricted access to the internet and interfered with citizens' privacy while online, monitoring e-mail and internet chat rooms and blocked sites, "including pages about Hinduism, Judaism, Christianity, and certain forms of Islam deemed incompatible with Sharia law and national regulations."

BAHRAIN

In Bahrain, the report cites were "multiple allegations of mistreatment and torture, especially of Shia activists associated with rejectionist and opposition groups. Authorities arbitrarily arrested activists, journalists, and other citizens and detained some individuals incommunicado," it said. Shia Muslims are underrepresented in leadership positions in the civil service, police, and security forces and citizens in general "did not have the right to change their government." The government restricted civil liberties, including freedoms of speech, press, assembly, association, and some religious practices, it notes.

ISRAEL

In Israel, the State Department cites "institutional, legal, and societal discrimination against Arab citizens, Palestinian residents of the West Bank and the Gaza Strip, non-Orthodox Jews, and other religious groups." It says there is societal discrimination against persons with disabilities, as well as discrimination and domestic violence against women, particularly in Bedouin society. "While trafficking in persons for the purpose of prostitution decreased in recent years, trafficking for the purpose of labor remained a serious problem, as did abuse of foreign workers and societal discrimination and incitement against asylum seekers."

YEMEN

In Yemen, the report cites "arbitrary and unlawful killings, politically motivated disappearances, and reports of torture and other physical abuse accompanied the use of excessive force against civilians in internal conflict. Human rights abuses included" severe limitations on citizens' ability to change their government due to, among other factors, corruption, fraudulent voter registration, administrative weakness, and close political-military relationships at high levels.

PAKISTAN

In Pakistan it cites media and non-governmental organization reports on allegations of extrajudicial killings and detention of civilians by the security forces. The total number of reported torture and rape cases of individuals in custody almost doubled, the report notes, compared to 2009.

CHINA

Last year, the state of human rights in China was a hot-button issue, with charges that Secretary of State Hillary Clinton was downplaying abuses. The 2010 report says a "negative trend in key areas of human rights continued."

The government, it said, "stepped up restrictions on lawyers, activists, bloggers, and journalists; tightened controls on civil society; and increased attempts to limit freedom of speech and control the press, the internet, and internet access in 2010."

It notes the increased use of "forced disappearances," strict house arrest, arbitrary detention in "black jails" and other forms of "soft detention" to silence independent voices and punish activists and their families.

It singles out legal activist Chen Guangcheng, along with his wife and child. Chen remained under house arrest, as did other released political prisoners.

RUSSIA

In Russia, the report says, the government detained demonstrators and continued to pressure non-governmental organizations, independent media, some religious minorities, independent labor unions, and political opposition. Attacks on and the murder of journalists and activists continued.

BELARUS

And in Belarus, the State Department report highlights "particularly harsh treatment" of pro-democracy activists and journalists. More than 700 pro-democracy activists, including seven presidential candidates, were arrested during public demonstrations following the flawed December 2010 presidential elections, it says. In the weeks that followed, the offices and homes of civil society representatives, independent journalists, and political activists were raided as part of an effort to stifle expression.

The State Department's Human Rights Report is translated into over 50 languages and made available online. In conjunction with the new report, State Department launched a new website called humanrights.gov.

@highlight

State Department releases 2010 Human Rights Report

@highlight

Report notes "dramatic changes sweeping across countries in the Middle East in 2011"

@highlight

"We cannot predict the outcome of these changes"