(CNN) -- A perpetual deadlock in Congress has resulted in eight extensions of the national transportation bill, causing roads to crumble, bridges to fall, and transit to break down.

Come March 2012, politicians will once again enter into a political debate about funding American mobility. Without a fiscal safety net in place, the Highway Trust Fund will go broke.

The Republican majority in Congress won't permit the transfer of federal funds from its general spending account to bolster the Highway Trust Fund. And despite the rationality of a user-fee system, neither party will lead the charge to raise the gasoline tax. Few taxes provoke more fury than those at the fuel pump and 2012 is an election year.

In reality, cutting the gas tax exacts a steep cost on the entire economy. The gas tax funds a broad range of economy-bolstering transportation projects across the country and it is already too low to meet current (and future) infrastructure needs. It's time to debunk the myths surrounding the maligned gas tax.

1. Americans already pay too much in gas taxes. Not even close.

America actually taxes gasoline less than most other nations. Only two countries—Kuwait and Saudi Arabia—charge lower gas taxes than the U.S. and both are net global oil suppliers, not consumers. The U.S. is the world's largest oil consumer. By under-taxing gasoline -- and thus under-pricing gasoline -- the United States encourages over-dependency. Furthermore, the federal gas tax does not even come close to covering the wide array of external social costs of driving cars and trucks.

2. Gas taxes rise every year. Quite the opposite.

The federal gas tax has remained unchanged at 18.4 cents for a gallon of gasoline (and 24.4 cents for diesel) for nearly two decades. It is not indexed to the price of crude oil or inflation, so Americans pay a fixed amount whether oil prices are high or low. Ironically, given today's debate, the last time the gas tax was raised in 1993 was for deficit reduction purposes. Taking inflation into account, the gas tax has eroded to only 11 cents today. This has seriously diminished the ability to pay for infrastructure, with a purchasing power of 45 cents in gas taxes for every dollar in national highway construction costs. This means that only one-half of the transportation investments made since 1993 could be afforded today, even though GDP has grown 55% and demands (vehicle miles traveled) have grown 29%.

3. Gas taxes are unnecessary because the transportation system is paid for in other ways. Not so fast.

America's transportation system is going broke. Revenue for the Highway Trust Fund is derived almost entirely from federal gas taxes and distributed to all 50 states. It covers nearly 80% of the capital costs of federally-funded transportation projects, with states carrying the remainder. From 2008 to 2010, Congress transferred $34.5 billion from general fund revenues to make up the funding shortfall. This stopgap measure was necessary to continue projects that are already in the works. Moreover, deferred maintenance—the failure to care for existing roads and bridges—combined with lost productivity are estimated to add more than $100 billion to the national deficit annually.

Over time, technology will help expand mobility options and improve system efficiency. This includes the ability to track real-time data and charge for system use and facilitate trip decision-making through virtual communications -- social networking, skype, real-time ride-sharing, and on-line meetings.

Will pay-per-mile road taxes buzzkill the great American road trip?

These 21st-century interactions will bolster economic productivity and competitiveness. But they will take time to mature and, in the near-term, will not obviate the need for travel. Moreover, a dedicated source of revenues, such as gas taxes or other user-based fees, will remain critical to fund and facilitate the transition to technology-oriented transportation solutions.

4. Transportation taxes are detrimental to American competitiveness. Wrong.

The reverse is true when it comes to gas taxes. Investing in transportation facilitates reinvestment in America that is vital to economic growth. The U.S., once No. 1 in the world for its infrastructure, has fallen to 15th. China and India are cruising ahead with transportation infrastructure investments each at 9% of GDP compared to 2% in the U.S. This lackluster level of investment prevails despite well-documented needs—aging infrastructure, growing population, and shifting demographics. An upgraded, well-maintained, operationally-efficient transportation system, on the other hand, offers a significant competitive edge. Plus, the gas tax spreads the burden over hundreds of millions of system beneficiaries.

Beyond system efficiency gains, vehicles themselves are becoming more fuel-efficient and less wasteful. A proposal to double car- and SUV-fuel economy standards by 2025, while highly beneficial in terms of energy will translate into lower gas tax expenditures by higher-mpg cars. The rational way to deal with this is to increase gas taxes slightly over time to account for the fiscal impacts that cleaner, more efficient cars have on transportation infrastructure investments.Will

5. Gas taxes make an already volatile gasoline market even worse. Partial thinking.

Domestic gas prices are largely influenced by world oil markets. With transportation accounting for about 70% of U.S. oil consumption and record oil-company profits reached when world oil prices go up, it's only fair that oil companies share the cost of providing transportation infrastructure. Structuring an oil fee assessed on producers and a variable gas tax paid by consumers can further stabilize the price at the pump. When oil prices go up, the retail gas tax can be abated. The oil security fee will make up for the revenue gap. When oil prices go down, the gas tax can be slowly reinstated. There isn't much that can be done about external events that affect global oil price volatility, but gas taxes can be designed to better manage abrupt price swings domestically.

In short, the transportation system is a critical component of America's economy. The United States cannot be a superpower if it starves public investment in infrastructure. Taxes tend to be more politically acceptable when people understand how funds provide benefits. And nobody understands better than travelers that the nation's infrastructure needs serious improvements. It's time to face the fact: The gas tax is a good way to invest in America.

Opinions in this commentary are solely those of Shin-pei Tsay and Deborah Gordon.

@highlight

Shin-pei Tsay and Deborah Gordon: Infrastructure suffers from congressional inaction

@highlight

Gas tax funds range of economy-bolstering transportation projects, they say

@highlight

The gas tax is a good way to invest in America, they say