(CNN) -- When Malala Yousufzai was shot for demanding that Pakistani girls receive an education, the world took notice. But the din from the 15 year-old's assassination attempt by the Taliban resonated perhaps most loudly for people like Nadia Malik, the co-founder of the Global Partnership for Women and Girls.

"After the reality of what happened settled in, it only emphasized how important our mission is," Malik said.

In January 2012, the Global Partnership for Women and Girls was formed to promote the educational and economic advancement of Muslim women and girls. The fund is a special project of Rockefeller Philanthropy Advisors and has funded pilot projects in Pakistan, Afghanistan, Egypt, Senegal and the Palestinian territories.

Malik's mission with the Global Partnership for Women and Girls is a simple concept with complex realities. The philanthropy supports Muslim women and girls and their communities by investing in strategic and innovative nongovernmental organizations. The fund tries to accomplish this goal in societies where there is no level playing field for women.

"According to data from the Pew Research Center, Muslims represent 22% of the world's population," Malik said. "Yet Muslim-majority countries only contribute 11.2% to global GDP. There are more than 800 million Muslim women and girls in the world who represent an eighth of the world's population, but gender disparities contribute to the gap in global GDP."

But Malik says the Global Partnership for Women and Girls knows that the approach in Muslim societies needs to be sensitive to the local culture in order to work. In Afghanistan, the group partners with the Noor Educational and Capacity Development Organization to train 100 imams and 25 active female leaders to address women's rights across madrassas, or religious schools, in the war-ravaged country.

The program is changing the way women are perceived. Malik describes an incident after one of the Friday sermons when an elderly man spoke out, clearly moved by the experience.

"He said, 'I have committed all sorts of violence against my daughters. I have received walwar (bride price) for them. I stopped them from getting an education. I forced their marriages. They are suffering every day because of my wrongs. Why were these imams not talking on these issues before?' "

Malik says that reaction is evidence that the program is working.

"Men are very much a part of the solution. Without engaging men and boys in some aspect of our work, the sustainability of the varied projects could be adversely impacted," she said. "This training effort is an important step in dispelling the myths of human rights in Islam and combating domestic violence."

The project, in partnership with he Noor Educational and Capacity Development Organization, is also a Clinton Global Initiative Commitment. Director Jamila Afghani says the program is its own kind of revolution because religious leaders once known for oppressing women now use the words of the Quran to promote fairness for them.

"These imams then have to work with other imams and preach the issue of women rights during the Jumma Khutbas (Friday sermons) to the public attending the prayers, so by this way we could reach thousands of people both male and female," Afghani wrote in an e-mail.

A similar project in neighboring Pakistan is also under way. Teacher training in female madrassas in Pakistan was broadened to include subjects such as math, science, history, gender equality, non-violence and human rights. Malik said this project was particularly successful because the local tribal leaders believed in its importance.

"We know how important it is to work within the local communities to address these challenges and opportunities in a way that is non-threatening to their environment. GPWG believes that these challenges are global but the solutions are indeed local," Malik said.

The fact that these programs are occurring in regions plagued by conflict is not lost on organizers who say the prospect of gender equality promotes peace.

"Peace and prosperity abroad means peace and prosperity for all of us in America," Malik said.

"It's in our national interest to invest in women and girls."

@highlight

Malala's shooting reinforces program's mission

@highlight

Fund promotes equality and education where there's no level playing field for women

@highlight

The program is changing the way women are perceived

@highlight

Project was successful because tribal leaders believed in its importance