(CNN)It seems almost silly to be writing about baseball in the context of recent events.  Except it isn't.

Last weekend, as Baltimore reacted to the death of Freddie Gray, the young man who died last week from a spinal cord injury he suffered while in police custody, Major League Baseball had a problem on its hands. Saturday's game between the Orioles and Red Sox had gone into extra innings in Camden Yards, with plenty of fans for both teams glued to their seats.

Boston fans feel at home in Oriole Park -- a so-called retro urban park built to embrace the luxuries of modern stadiums while maintaining that nostalgic feel -- because much of it was based on Boston's Fenway Park. The Boston faithful are used to being in the heart of a city to watch sports.  But when the Orioles finally pulled out a win in the 10th inning, 36,000 fans remained in their seats. They had been asked to do so by Baltimore officials due to  "ongoing public safety issues."

The riots of Baltimore, the peaceful marches of Baltimore, the fury and unrest of Baltimore did not seem to have had much to do with baseball.  But as the always-wise Atlantic magazine writer (and Baltimore native) Ta-Nehisi Coates' take on the situation quickly went viral, it became clear that the Oriole's home stand presented a problem.

Monday's game against the Chicago White Sox: postponed less than an hour before the first pitch.

Tuesday's game against the White Sox: also postponed.

Such action by MLB is not without precedent.  In 1967 in Detroit, the 12th Street riots forced the Tigers to postpone one game and relocate others (to Baltimore, no less).  After the assassination of Martin Luther King Jr., MLB postponed opening day games out of fear of mob violence.  In the wake of the 1992 verdict in the Rodney King beating, the Los Angeles Dodgers postponed several games.  The entire league went on hiatus in the wake of the terrorism and violence of September 11, 2001.

Politics threaten sports all the time.  From the demonstrations against the Brazilian government before last summer's World Cup to the massacre of protesting students days before the Opening Ceremony of the Mexico City Olympics in 1968, sports knows well that it sits within the larger context of the world.

Our deep investment in our teams -- beyond the tax dollars that construct the stadiums and the salaries players make (and the profits the owners and sponsors draw) -- is supposed to work to create community, to unify.  Cheering for the home team is supposed to create a sense of belonging.

"It's interesting that I have not yet heard anyone say that baseball or sport can heal this wound,"  Daniel Nathan, professor of American Studies at Skidmore College and editor of "Rooting for the Home Team: Sport, Community and Identity" told me.  "People did say that in the weeks after 9/11.  This is not 9/11 -- not even close.  But it is a serious social and cultural rupture. Painful."

What happens next is striking.  After two postponements, the Orioles will play Chicago on Wednesday, but no one else will be invited.  In an unprecedented move by major league baseball, the public is not invited to the final game of the series, moved to the afternoon in accordance with the curfew imposed by Baltimore's mayor.

While there are a few examples of fan-less games being played in the United States, none have been for such reasons, while in Europe, there have been a handful of incidents in which soccer teams have been punished for fan behavior with fan-less games.

Without fans, does baseball mean anything?

When the new Camden Yards made its debut in 1992, people heralded the return of the old-time stadium smack in the middle of the city.  But are the residents of that city ready to reminisce about the so-called good old days?

In a recent episode of "Real Sports," Chris Rock delivered a brilliant seven-minute diatribe on the fact that less than 10% of baseball players or fans are black.

"Last year, the San Francisco Giants won it all without any black guys on the team," he said. "The team the Giants had to beat to get there, the St. Louis Cardinals, had no black people. None. How could you ever be in St. Louis and see no black people?"

Rock's thesis?  That baseball's sense of nostalgia encompassed by places like Camden Yards does not sit well with African Americans, whose memories of the old days are anything but good.

To his credit, Orioles Executive Vice President John Angelos, son of majority owner Peter Angelos, took to Twitter to prioritize the issues at hand, focusing not on the lost games, but on the "unfairly impoverished population living under an ever-declining standard of living and suffering at the butt end of an ever-more militarized and aggressive surveillance state."

Yet as much of America continues to grapple with the idea that black lives matter, it is clear that the country believes sports do matter, whether or not anyone is there to watch.

And with MLB's announcement that Baltimore's weekend games will be moved to Tampa, it becomes clear that the only thing that the United States has figured out about race relations, poverty, the achievement gap, police brutality, and so on is how to keep its baseball players safe and make sure that the games go on.

@highlight

Amy Bass: Baltimore rioting caused postponement of two Orioles-White Sox games. Now third game of series will be played to empty stadium

@highlight

She says baseball can bring cities together. But with so few black fans, players, it will be hard for Baltimore to gather around this sport to heal