Beijing, China (CNN) -- The chipped walls of Guo Jigang's tiny home are bandaged together with clear packing tape.

Guo, together with his wife and son, live in a narrow, 53-square foot room furnished with a bed, faded chair and table. They share a bathroom with 20 to 30 neighbors in their building in suburban Beijing -- a little piece of home for China's army of migrant workers.

Despite their modest living conditions, Guo insists his family's standard of living is improving. "I feel we are already getting better and better," he said.

Like 200 million Chinese migrants, Guo, 30 and his wife, Ge Yaru, 26, are part of the "nongmingong" -- which means peasant class, a term used to describe those who've left the countryside. They are also known as "liudong renkou" which means floating population.

In the last decades, as waves of migrant workers have found jobs in the cities, hundreds of millions in China have been lifted out of poverty, according to official estimates.

But beyond China's successful facade, migrant workers face difficulties accessing public services due to a household registration system called "hukou," which divides the population into rural and urban residents.

When a migrant worker like Guo leaves his village, he also leaves his social benefits behind. Without an urban hukou permit, a migrant is often denied access to the subsidized health, housing and education that city dwellers enjoy. The workers find odd jobs in factories, construction sites, public infrastructure projects, restaurants and households but cannot enjoy the same privileges as urbanites.

"Their plight has been described as them being like illegal immigrants in their own country," according to the Global Times, a Chinese state-controlled newspaper.

Some scholars have likened China's hukou system to South Africa's now-defunct apartheid, a system of segregation that severely restricted the rights of the country's black population, with whites enjoying preferential treatment. This legalized form of discrimination relegated the nation's black workers to migrant labor with little rights.

China's migrant workers never integrate into the city to enjoy the same rights and opportunities as urbanites, said David Bandurski, an author of an upcoming book about migrant workers.

"The discrimination is very real in China," he added.

China's urban explosion: A 21st century challenge

Under the hukou system, migrant workers can secure temporary residence certificates but getting them is a lengthy process. In some cases, their employers are obligated to pay exorbitant fees to the city government for such certificates.

Guo, who has a tanned, leathery face, spends 10 hours a day painting outside, dangling from high buildings where he's exposed to the sun, heat and wind.

When asked about his dreams for his family's future, they say they want to open a store someday and be able to send their son, who is now two, to middle school. "I'll still be a migrant worker," he said.

"During our lifetime, I guess we won't have any high hopes," said Guo. "Really any hopes are for the children."

His son shyly hides behind his parents. Squirming on a bed that he shares with both parents, the toddler peeks over his mother's shoulders.

Guo's wife, Ge, is pregnant with their second child. They plan to pay a fine -- about $1,500 -- for violating the country's One Child Policy. Ge plans to give birth in her village in Hefei province.

Their reasoning for having a second child pertains to their migrant worker status.

"If something went wrong, and you lost your only child, then you would grow old alone," Guo said. "You'd at least want two, no? One is just not enough. Especially for us, villagers. The city and the village -- it is not the same.

"When people get old in the city they can just be sent to the old people's home, where as if we grow old, we can only rely on our children," his wife added. "We don't have any pension. We don't have any hope or anything. All of that we put it on the shoulders of our children. So if there aren't enough kids, and something goes wrong, we are also done for."

They acknowledge that raising a second child adds financial pressures; but in a way, a second child provides a security net in a society where migrant workers do not have one.

While people in the cities have pensions, Ge said their village has nothing.

Chinese media, including state-run news agencies, have reported on the difficulties faced by migrant workers.

For example, the children of migrant workers cannot go to the same school as the city kids. They've been called "liu dong er tong," which means floating children, because of the question of where they can go to school and how they'll be able to afford it.

Migrant children have to pay for private schooling, said the author Bandurski, who taught at one for migrant children. In China, calling it "private school" is also misleading, he said.

"They're not getting the same quality of education. It's not even close to their counterparts, 'city kids' although they are city kids," he said.

Without education and opportunities, many children of migrants end up doing the same work as their parents. This continuous cycle has spanned almost four generations, Bandurski said.

"I think in the last 15 to 20 years, it's not a socially mobile society," he said.

And there are signs of unrest. Thousands of workers rioted in Guangdong province early this year after reports that police officers had beaten a migrant teenager in June, according to both Chinese and Western media reports. Tensions also spilled over into violence in the city of Xintang last year when migrant workers clashed with locals after reports that officials had beaten a pregnant migrant worker and her husband.

Some families pin their hopes on their kids to break the cycle by gaining admission into a university.

The chances of that, Bandurski said, are "very very slim."

Guo insists that he wants his son to go to school.

"We villagers don't have many ambitious hopes about our kids, as long as he goes to school and studies hard. Otherwise, we don't have any plans for our kids... I just hope he doesn't do what we are doing."

@highlight

Migrant family's hope is that their child doesn't also have to be migrant worker

@highlight

China operates on a system that differentiates between rural and urban

@highlight

Rural workers' plight likened to illegal immigrants and apartheid