Hong Kong (CNN) -- Crossing borders as a transgender woman is always a challenge. There are many reasons immigration authorities reject you, but sometimes it's simply because they don't seem to understand who we are.

My name is Eliana Rubashkyn and I was born in BogotÃ¡, Colombia. I'm a trained pharmacist and speak five languages fluently, and until recently, I was studying for an MBA in Health Administration in Taiwan on a government scholarship. I also used to be a man.

Last year, I was forced to travel to Hong Kong to renew my passport because of my altered gender. Hong Kong -- a one-hour flight away -- is the nearest Colombian consulate from Taiwan. The trip was also necessary to allow me to apply for the second year of my graduate degree.

Little did I know my life would be turned upside down when I boarded that plane.

Confusion, hostility

On arrival at Hong Kong's sprawling international airport, immigration officials reacted with a combination of confusion and hostility after looking at my travel documents. I arrived as a woman but my passport identified me as a man. It hadn't occurred to me to check the implications of changing my sex on my freedom to travel and the way I'd be treated.

I was immediately refused entry and told that I was facing being deported.

I was detained in a cramped room at the airport and permitted access to the male toilet only, despite my repeated requests to be allowed to use the female facilities.

[The Hong Kong Customs department told CNN in a statement that according to their procedures they have to take into account the gender as indicated on the passport. As Rubashkyn's passport still carried the "male" gender marker, officials had to follow procedures for those identified as men.]

A deportation letter was soon issued to me, which meant Hong Kong authorities were forcing me to leave. I feared I'd be sent back to Colombia, a place I had left because I suffered discrimination and violent abuse -- including two murder attempts -- precisely because I'm transgender.

After hours of crying and appeals to all my Facebook friends using my smartphone, several lesbian, gay, bisexual and transgender (LGBT) rights groups in Hong Kong contacted me and appealed to immigration officials to give me permission to enter the city.

[Two independent sources with knowledge of this case told CNN Rubashkyn's release was secured via the local Colombian consulate. Once consular officials were notified, they secured her conditional release, meaning she could enter Hong Kong but not leave for anywhere but Colombia. As a result, she filed a refugee claim with the local UNHCR office.]

Stateless

While the process to become a refugee can take years, the situation was so clear for the agency that full status was conferred in only 12 days. September 30 last year marked the day I became a "stateless person." I had effectively surrendered my nationality.

[While the UNHCR doesn't comment on specific cases for the security of the refugee status claimant, they provided the following statement to CNN: "An applicant's sexual orientation and/or gender identity can be relevant to a refugee claim where he or she fears persecutory harm on account of his or her actual or perceived sexual orientation and/or gender identity."]

Yet I was still holding a deportation letter from Hong Kong. My fear of being deported to a place where I am not allowed to be myself and where exposing myself could lead me to face death, forced me to request resettlement with the UNHCR and forget the life I had built in Taiwan.

Inner identity

Since I was six years old, I knew that my physical gender did not match my inner feelings and inner identity, and I had to grow in the wrong way being a person I was not.

I tried to be myself in my room several times as a teen, by dressing in women's clothes, but when I was in my 20s I decided to show the world the person I really was. I needed courage to go out on the streets as Eliana knowing the hazards that existed in a dangerous city like BogotÃ¡.

Colombia is a country where machismo, transphobia and homophobia are deeply ingrained in society. South America accounts for 80% of globally reported trans-people murders since 2008, from a total of 643 cases -- according to the International Lesbian, Gay, Bisexual, Trans and Intersex Association (ILGA), a Geneva-based NGO. Of that figure, Colombia alone accounts for around 12% of cases.

In Taiwan I found a safe place to be myself, where I could start my medical treatment and my transition from male to female, while working towards my MBA -- fulfilling a double dream of being Eliana and advancing my career.

Over time I could see and feel my body changing. I was becoming a woman only a year after the hormone replacement therapy started in Taiwan.

In Hong Kong, this medical treatment was as necessary as food and shelter. After almost nine months in the city in which local LGBT group Rainbow made my survival possible, I moved to New Zealand, where I was allowed to reside in a resettlement center.

Hong Kong hardship

The situation for refugees in Hong Kong is more complicated. We are forced to live in miserable conditions, without any control over our lives. We are not allowed to work and study, and Hong Kong only provides us about US$150 per month for food and other basic needs.

The city's statutory minimum wage for a 40-hour-a-week employee is US$620 per month.

I also discovered other perils.

In October last year, I fainted in the street because I was lacking the medical treatment needed as part of my gender transformation. I was sent to the emergency room of the city's Queen Elizabeth hospital. When they realized who I was, I was given basic treatment and placed in a padded room in a psychiatric ward and restrained on a bed.

[A statement from the Health Authority, the government department responsible for public hospitals in Hong Kong, said Rubashkyn "received appropriate clinical treatment and nursing care" and that "all arrangements were made based on the clinical needs of the patient."]

Again, Rainbow rescued me.

The group pleaded at the hospital for my release. This followed full UNHCR refugee recognition, which places the person concerned under the agency's protection.

[The Health Authority clarified in the same statement to CNN that discharge was to "handle (a) refugee-related issue."]

For the UNHCR, the process has been very complicated. Most countries require sex reassignment surgery; few countries allow gender changes on paper if they weren't done on the body. There are few options in terms of countries suitable for me in my situation. They include Canada, the United States, New Zealand, Sweden and more recently, Australia.

The struggle for many like me continues, but there is always hope. When it seems there is not a clear reason to continue fighting, my life still has a meaning -- being myself, being Eliana.

CNN Espanol's Diego Laje and CNN's Paul Armstrong contributed to this report.

@highlight

Eliana Rubashkyn needed to renew her Taiwan visa after changing her sex

@highlight

Forced to travel to nearest Colombian consulate in Hong Kong

@highlight

But she encountered problems trying to travel on her existing passport in Hong Kong

@highlight

Fearing deportation to Colombia, she had to apply for refugee status