(CNN) -- The Boston attacks have jolted Americans into a state of high alert.

In the days and weeks after the marathon bombings, travelers and residents of major American cities are likely to be more aware of suspicious people and packages on city buses, subways and Amtrak trains, at the nation's airports and public spaces. More reports will stream in to already extra-vigilant authorities.

But is that enough? If the past is any predictor, Americans may forget they're part of the solution and move on, say several security experts interviewed by CNN.com.

Gathering and analyzing intelligence and adapting security measures to address threats is essential to preventing future attacks, but the public's increased participation also plays a key role, they say.

Boston bombing, other incidents have us 'always looking for a way out'

Secure airports mean softer targets

Whatever the debate about carrying knives or liquids on airplanes, heightened security at the nation's airports in the years since the 9/11 attacks may have shifted terrorists' attention to softer targets.

"Once we secure a high-value target like aviation, terrorists don't simply walk away," says Rafi Ron, president of Virginia-based New Age Security Solutions and former head of security of Ben-Gurion Airport near Tel Aviv, Israel. "They simply go for softer targets, public events like the Boston Marathon. It's extremely difficult if not impossible to provide the same level of security we do at the airport at such an open public event."

The solution, says Ron, is public vigilance.

"People must be willing to call authorities when they spot suspicious packages or see people behaving suspiciously," he says. "If you walk into a bus station in Israel and you see an unattended bag, people would respond to this immediately without hesitation. And in many cases, tragedies have been prevented because of early detection."

Security has been enhanced at transportation hubs "using measures both seen and unseen," the Department of Homeland Security said Tuesday. The agency is urging Americans to report suspicious activity to local law enforcement.

Terrorists make us lose sight of the real dangers

'If you see something, say something'

The message behind the slogan that came to symbolize New York City's call for its residents to help after the September 11 attacks and is now a national homeland security campaign, "if you see something, say something" is essential to protecting soft targets such as public transit, experts say.

Since it's nearly impossible to make city buses and subways completely secure, transit workers and riders of public transportation need to know to be on the lookout for any possible threats -- and report them, according to former New Jersey Transit police chief Joseph Bober, now a principal at Homeland Defense Solutions.

"Educating these individuals through training, constant security awareness and providing proper channels to immediately report their suspicions" is key to safer public transportation, wrote Bober, via e-mail.

Airports are still targets

While checkpoints and multi-layered security make airports more difficult to breach, that doesn't mean they're off the hook.

Making an airport secure isn't simply screening passengers before they enter an airport's boarding area, global aviation consultant Mike Boyd of Boyd Group International. Airport officials must ensure that everything on the premises is secure.

"How many security observation sweeps are made of the parking garage? Have the vulnerabilities of the air conditioning systems been reviewed? Trash cans -- where are they located in regard to passenger flows? Are they blast-resistant? Is the catering facility across the field monitored? How about the fuel farm? How much scrutiny is given to the workers who are pouring concrete for that new taxiway?"

He also wants to know which law enforcement agency is in charge during an emergency and what the agency's plans are to secure and evacuate sections of the airport in case of an incident. Does an airport terminal's plan for evacuation simply send passengers outside, where they could be an easy target?

"Confusion is a terrorist's best friend," says Boyd.

Attacks are always possible

"We are a free society, and unless we want to live and stay in caves we will always be vulnerable," says Boyd. "Even places like banks -- which are somewhat prepared -- get robbed. Any idiot can concoct a bomb and toss it into a public street."

Americans need to be in the fight for the long haul, says Chief Bober.

"Incidents such as yesterday aren't going to stop overnight and the quicker we learn as a nation of people to protect ourselves and our families against such horrific acts, the better chance we will have to prevent and detect the next incident. "

Will you still travel to large cities in light of these latest attacks? Or will they keep you away for now? Please share in the comments below.

@highlight

The American public must be part of preventing terrorism, experts say

@highlight

"Soft targets" like public transit systems need riders to report suspicious activity

@highlight

Airports could still be made more secure, especially in areas before the checkpoints