(CNN) -- It's approaching midnight at the bottom of the English Channel and a team of eager "tunnel moles" stands poised for a busy night's work.

Employing a mix of hi-tech tools and no little elbow grease, the 70-strong crew of engineers and maintenance staff will carry out essential repairs on the Channel Tunnel rail link that connects southern England and northern France.

At 50-kilometers (31 miles) long and buried more than 100 meters beneath the surface at its deepest point, the "Chunnel" -- which consists of two rail traffic tunnels split by one service passageway -- is the longest undersea structure in the world.

Making sure this engineering wonder runs smoothly is a detailed and complex task. Enter site operator Eurotunnel and their beavering band of "tunnel moles."

See also: Navigating world's busiest shipping lane

"Outside of good design (the most important thing is) lots of maintenance," explained lead maintenance engineer Paul Bushell.

"You've got the ventilation supply, you've got the drainage supply, you've got the main power supply, the water supply and you got the cooling supply. All of these things are vital for the day-to-day running of the tunnel," he added.

Keeping track

Since opening in 1994, more than 320 million people -- the equivalent of almost 5 times the population of the United Kingdom -- have traveled through the Channel Tunnel, according to Eurotunnel. The route is also estimated to carry 550,000 tonnes of cargo every day.

It's no surprise then that rail tracks here wear out far quicker than those on conventional networks. After just 16 years of operations, all of the tunnel's rails have already been changed twice.

Trains also bring in immense amounts of dirt and dust that, if left to fester, can cause long-term damage to equipment and infrastructure.

See also: Inside world's longest undersea tunnel

"The job of our technicians is more like being a traveling service engineer," Bushell said.

"The service tunnel is 50 kilometers (31 miles) long and we've got plant rooms and control rooms all along that length. So quite often our technicians can cover 100 to 150 kilometers (62 to 92 miles) in an hour shift where they visit different sites," he continued.

Strict timetable

Covering such lengthy distances makes the Channel Tunnel one of the longest workshops in the world meaning repairs must be carried out at a breakneck pace.

Engineers generally begin late at night and must have all jobs completed before early morning services begin. During the daytime hours a team of trouble-shooters ensure a prompt response to any emergencies.

According to UK work site manager, Dave Bennet, these procedures require close co-operation with both English and French based engineering and planning teams.

"We're all one big company," said Bennet in the spirit of cross-border tunnel bonhomie.

"(Generally) English teams do work on their own (and) French teams do work on their own but we also all work together. Language isn't really a barrier. Most of us are bilingual and that works both ways so it's not a problem for us," he added.

See also: Silk road railways link Asia and Europe

Some long-serving engineers have been working in the tunnel since it was first opened in 1994. Others were even involved in the construction process itself, ensuring they know the deepest darkest recesses of the structure.

Given the tight timescales involved, this detailed knowledge is an invaluable operational asset. As the service of the tunnel expands, this expertise is likely to become even more important.

Future expansion

Eurostar -- which currently operates services between London and Paris through the tunnel -- has already invested heavily in extending the capacity of their fleet.

Trains from German operator, Deutsche Bahn, meanwhile will be gracing the line come 2015, opening up services from London to Amsterdam, Frankfurt and beyond.

An extra three to four million passengers are expected to pass through the tunnel each year as a result of these developments, while increased trade between the UK and countries on mainland Europe will also likely be further facilitated.

See also: Introducing the world's biggest ship

According to UK civil engineers team leader, Philip Edwards, this means rapid maintenance work will likely take on an even greater importance. How it is carried out will remain broadly similar though.

"The (work) will adapt to the frequency of the trains going through the tunnel (but) we'll still have the same tasks and inspections," Edwards explained.

"The maintenance is always evolving and as things get older it has to adapt to it ... (Exactly) how that will happen though (as time progresses), I have absolutely no idea," he added.

Either way, he concluded, "more trains can only be good for Eurotunnel" and their fast-moving team of tunnel moles.

Find out more about The Gateway and when you can watch the show on CNN here

@highlight

Every night, engineers and maintenance workers descend to the darkest depths of the Channel Tunnel

@highlight

Teams of workers clean and make essential repairs so that train services can run as planned during the day

@highlight

On some shifts workers are expected to cover more than 100 kilometers in just a few hours