(CNN) -- What's Hawaii without palm trees?

That's a question the island state hopes it won't have to answer as it attempts to stave off an invasion by the coconut rhinoceros beetle, an unwanted visitor that's already done extensive damage on the U.S. Pacific territory of Guam.

Big, hungry and hard to kill, the coconut rhino beetle bores into the tops of coconut palms, eating growing tissues, drinking the sap, ripping into the bases of fronds and exposing the plant to disease. Then it crawls off to breed, preferably in piles of mulch or trash. Adults can grow up to two inches long and live to the ripe old age of three months.

"This beetle is really tough, and most of the pesticides that are legal for use in Hawaii do not work on it," said Darcy Oishi, the state Agriculture Department official in charge of containing the beetle.

The first specimens in Hawaii turned up on a golf course on the military's Joint Base Pearl Harbor-Hickam, outside Honolulu, in December. About 500 pheromone-baited traps have been deployed within a one-mile radius of the site; authorities have urged the public to look out for the beetle and clear away any debris that might make for a beetle's love nest.

Other alternatives under consideration include possibly releasing a fungus or a virus known to attack the insect in its native habitat in tropical Asia, Oishi said.

Not known how they reached Hawaii

The source of the infestation on Oahu is unclear so far. Oishi said there's no evidence they stowed away aboard a military ship or plane. And since Honolulu's international airport is located just across a highway from the golf course, they might have reached Hawaii via civilian aircraft.

"What we have found is one major breeding site and a few minor breeding sites, all in close proximity to each other, and we are currently working with the Navy and the USDA plant protection and quarantine service to deal with the issue," Oishi said.

So far, scientists have found a relatively small population of several thousand. An uncontrolled infestation would pose a "tremendous" economic risks to the state, he said.

"Do people want to go to a Hawaii that is without palm trees?" Oishi asked.

The coconut is no longer a cash crop on Hawaii, "but it's super-important as an ornamental plant." Islanders still eat its meat, drink its milk and the husks and fibers have a variety of uses in native Hawaiian cultural practices.

And the beetles might not stop at the palms: They could also attack valuable crops and ornamental plants, he said.

The coconut rhino beetle has been turning up across the Pacific islands since the 1940s. In 2007, it reached Guam, probably in a shipment of construction material from Asia, according to the U.S. Agriculture Department. Efforts to wipe them out have been unsuccessful, said Aubrey Moore, a University of Guam entomologist who is advising Hawaii on what has and hasn't worked there.

"Eradication isn't impossible, but it's highly improbable at this time," Moore said. "So now we're trying to learn how to live with it. And the same thing will happen in Hawaii if they don't start doing something right away."

"We can expect to lose about 50% of our coconut palms when it's all over, and that's looking really sad," he said.

Tackling a problem before it blossoms

But Hawaii has some advantages that Guam didn't -- including plenty of natural beetle predators such as birds. Most of Guam's avian life was wiped out by another invasive species, the brown tree snake, which arrived around 1950.

Birds, rats and mongoose, which were introduced to Hawaii in a 19th century attempt to control rats, are already attacking the rhino beetles, Moore said. Ants and other beetle species may also help by eating the rhino beetle's larvae.

And Oahu is bigger than Guam, which is located about 1,500 miles south of Japan in the Northern Mariana Islands. The smaller the island, the more susceptible to damage from invaders, Moore said.

"They have significant resources that we never had," he said. "The USDA's taking this very seriously, and they have a big group of people there." But the one breeding site identified so far on Hawaii is "pumping out adults like crazy."

Faced with a fast-breeding, invasive menace, Hawaiian officials are also discussing whether to resort to more advanced biological control mechanisms.

Growers in countries such as the Philippines, where coconuts are still a cash crop, use sawdust laced with a fungus that attacks the coconut rhino beetle in traps and breeding sites; a Malaysian virus that attacks them has been used to control the population in Samoa and Fiji.

But neither measure has been approved by U.S. regulators.

Oishi said those steps are being studied in Hawaii, but will require extensive studies under "very contained conditions." Then they would have to be approved by both state and federal agencies, which will require their own environmental assessments.

In the meantime, the battle against the beetles -- a grubby struggle, fought tree-to-tree and mulch heap-to-mulch heap -- will grind on.

"We will have to be monitoring this project for at least a year, probably more along the lines of three years," Oishi said.

Lionfish infestation in Atlantic Ocean a growing epidemic

'Crazy ants' a threat in the U.S.

18-foot invasive python found in Florida

@highlight

Destructive beetle that kills coconut palms found in Hawaii

@highlight

The coconut rhino beetle has done extensive damage on Guam since 2007

@highlight

It poses a "tremendous" economic risk to Hawaii if it isn't controlled, official says