Washington (CNN) -- If criminal suspects fail to invoke their right to remain silent, they have waived that right, a divided Supreme Court ruled Tuesday.

The high court upheld the murder conviction of a man who did not verbally assert his right to remain silent during his police interrogation. In a 5-4 ruling, the court said a suspect must explicitly tell officers he or she is asserting that right, known as Miranda rights.

The famous constitutional "right to remain silent" and the "right to talk to a lawyer before answering any questions" are among the well-known warnings all criminal suspects must be given upon arrest. The conservative court has generally been supportive in recent years, when police challenges to Miranda rights have been raised.

"A suspect who has received and understood the Miranda warnings, and has not invoked his Miranda rights, waives the right to remain silent by making an uncoerced statement to police," said Justice Anthony Kennedy, writing for the court.

Van Chester Thompkins was convicted of a January 10, 2000, murder outside a shopping mall in Southfield, Michigan. He fled the scene, but was as arrested about a year later in Ohio.

Local police began what turned out to be a three-hour interrogation, with Thompkins at first forced to read aloud part of a copy of "constitutional rights" derived from the original Miranda case that went before the Supreme Court in 1966. The five rights included the warning "anything you say can and will be used against you in a court of law," and "the right to decide at any time before or during questioning to use your right to remain silent."

Thompkins refused to sign the form and there was strong disagreement over whether he verbally confirmed he understood them. He remained mostly silent during questioning, but later implicated himself in the shooting. He was later convicted of first-degree murder and other offenses.

The court majority sided with the police's version of the events.

"Thompkins did not say that he wanted to remain silent or that he did not want to talk to police," Kennedy concluded. "Had he made either of these simple, unambiguous statements, he would have invoked his 'right to cut off questioning.' Here he did neither, so he did not invoke his right to remain silent."

Kennedy's views were supported by Chief Justice John Roberts, along with Justices Antonin Scalia, Clarence Thomas and Samuel Alito.

A federal appeals court in Cincinnati agreed with Thompkins his confession should be thrown out, but the high court reversed that decision.

In a sharp dissent, Justice Sonia Sotomayor called the court's ruling a "major retreat" from protections against self-incrimination guaranteed by the original Miranda ruling.

"Criminal suspects must now unambiguously invoke their right to remain silent -- which counterintuitively requires them to speak," she said. "At the same time, suspects will be legally presumed to have waived their rights even if they have given no clear expression of their intent to do so. Those results, in my view, find no basis in Miranda or our subsequent cases and are inconsistent with the fair-trial principles on which those precedents are grounded."

Sotomayor said the Thompkins ruling "turns Miranda upside down." Justices John Paul Stevens, Ruth Bader Ginsburg and Stephen Breyer backed her conclusions.

Thompkins had implicated himself after police asked if he believed in God. After replying yes, officers then asked, "Do you pray to God to forgive you for shooting that boy down?" asking about victim Samuel Morris. The court transcript said Thompkins replied "Yes," and turned away, but later refused to make a written confession.

The case is Berghuis v. Thompkins (08-1470).

@highlight

Court: Suspects who don't explicitly invoke right to remain silent have waived it

@highlight

Upholds murder conviction in Michigan case

@highlight

In sharp dissent, Sotomayor says ruling is a 'major retreat' from self-incrimination protections