(CNN) -- One hundred and sixty-five years ago, in Coloma, California, a carpenter named James W. Marshall built a sawmill to harness the power of the American River. Below the waterwheel, he saw flakes of metal where the spent water flowed. Marshall marked the moment saying, "I have found it." He had discovered gold in California and more: For the next century, our nation would mine its future in the Golden State.

By the 1950s, California had manufactured an optimistic nation's dreams, brought them to life in the steel and smoke of industry and then captured them on celluloid. Business bloomed in deserts, nourishing one of the world's great economies. A green Eden of farmland, the Central Valley where the sun shone 300 days a year, grew one third of America's produce. Innovation followed discovery: Silicon, it turned out, was even more valuable than gold.

California's public sector also boomed. The state built a web of roads, bridges and aqueducts that shamed their Roman inventors. It funded world-class universities to prepare beach boys and California girls for lives of endless promise.

To see where the rest of the country would be in 20 years, we could look at California. But the roads to success and failure are often almost the same.

As the state gorged on its success, California's transportation arteries grew clogged. The public sector's blood began to thicken.

Californians moved faster, their problems grew more complex and their demands on government accelerated. The state's aging public sector could not respond with matching dynamism and flexibility.

Even as the state poured more money into education, transportation and public safety, it delivered less value in them. Government grew larger and more expensive, with less and less to show for it. Finally, when the housing bubble collapsed, state revenue did too. California's river of gold dried up. The waterwheel would not turn.

Today, California owes hundreds of billions: $300 billion alone in pension obligations. Even after Gov. Jerry Brown's effort to pay down $28 billion of immediate debt, California's liabilities for retiree pensions and health care exceed what it spends for all state programs combined.

California's future looks anything but golden. Taxpayers who don't want to be left footing the bills are in exodus. The state's politics is as paralyzing as Washington's. To see our nation's bright future in 20 years, can we still look at California?

Maybe so. Sometimes, the first green shoots emerge in the forest where everything burned.

---

Gavin Newsom is difficult to classify. Tall, slim and rakishly elegant, he could be the American reincarnation of British actor David Niven. A contradictory combination of left and right, he is a liberal hero for legalizing gay marriage in his city and a liberal villain for reforming its overly generous welfare cash payment program.

The 45-year-old Newsom, a Democrat who is now California's lieutenant governor, is more than a government theorist, however. He owns 17 small businesses with about 1,000 employees. His confederation includes three wineries that make luscious, fruit-forward elixirs. In business, he is a swashbuckling entrepreneur whose motto is "anyone who is not failing isn't trying hard enough." What is most revolutionary about Newsom is that in government, he's an entrepreneur as well.

When Newsom became mayor of San Francisco, he found a city with little money to meet social needs and behind Estonia and South Korea in digital governance. His push to modernize San Francisco without expanding its dysfunctional public sector is the launching point of his new book, "Citizenville." It is a fertile garden of original thinking.

The lieutenant governor argues that government's biggest problem is not that it is misguided but that it is archaic. Newsom cites open-source software pioneer Tim O'Reilly's analogy for government. "We think of government as a vending machine: You put money in, services come out." When something goes wrong, Newsom points out, we shake the vending machine out of frustration. If we feed it more money, it is to little effect: Vending machines are not particularly innovative or adaptive.

Our government is still built on that model, Newsom reports, the outdated, industrial-age paradigm of the factory, though everything else in our personal lives and our private sector has moved past it. Simultaneously, an explosion of technology, social media and e-commerce has created a more informed and empowered citizenry.

A "citizenville," Newsom writes, now has the power and connectivity to solve problems in new ways, e.g., determining where tax dollars are spent, how crime is fought and where garbage trucks go. Speaking through their laptops and iPhones, people are increasingly able to organize themselves and solve social problems, independent of the old, creaky, public-sector industrial plant.

"Technology changes the very nature of government -- from a top-down entity to a bottom-up one. From one-way hierarchy to two-way democracy. From vending machine to the cloud," he explains.

If we open the doors of government to the private sector and make data accessible, we can jump-start a new era of social innovation. Open up the doors of government satellite data and you get Google Earth. Give Web designers in Chicago and Oakland access to public police data, and they create innovative crime-mapping tools that prevent muggings. Invent a digital "currency" to reward citizens for participating in their own governance, and small town decision-making becomes as interesting and involving as Farmville. "The future is sharing -- open data, open participation, open source, open everything," Newsom writes. "And it must happen at every level."

Our old, marbled shrines to bureaucracy have grown unserviceable and unaffordable. Can we continue to justify them when mayors are using Twitter to address constituent needs instead?

The lesson: The public sector no longer has a monopoly on government. We are in a new world of revolutionary and empowering technologies. Americans aren't waiting for Washington or Sacramento to reinvent government for the next century; they are creating an app for that. With it, they are creating a new path for democratic vitality. Now, people-to-people government is an alternative to one that flowed only to people from the state.

With new tools and technologies, Newsom contends, it is time to redefine "government" to seize the opportunities of a new day. Would we still rather be governed the old way, top down, politically and artificially by plant managers? Or bottom-up, authentically, naturally and organically, through our own decision making and handiwork?

Perhaps this has been the promise of the American experiment in self-government all along, and we have only been waiting for the powerful and democratizing technology of the communications age to seize it.

Once more, when we need it most, maybe California has discovered gold again.

The opinions expressed in this commentary are solely those of Alex Castellanos.

@highlight

Calif. Lt. Gov. Gavin Newsom advocates a rethinking of government for 21st century

@highlight

Alex Castellanos says Newsom's idea could make government more effective, closer to the people

@highlight

He says Newsom is right to say the future is open source, open data, open participation

@highlight

Castellanos: The model for government changes from a vending machine to the cloud