Kabul, Afghanistan (CNN) -- The American commandos who died when their helicopter crashed in eastern Afghanistan were targeting a Taliban commander directly responsible for attacks on U.S. troops, military officials with knowledge of the operation said Sunday.

The crash killed 30 U.S. service members, the Afghan war's worst single-day American toll. Among the dead were 22 Navy SEALs who were being flown in to assist an Army Rangers unit pinned down by enemy fire in restive Wardak province early Saturday morning.

The current whereabouts of the Taliban leader targeted in the raid were unclear, said the military officials, who declined to be identified because of the sensitivity of ongoing operations in the crash area.

One civilian translator and seven Afghan commandos were also killed in the crash, officials said. NATO troops were still combing through the wreckage of the downed helicopter on Sunday, said Lt. Col. Jimmie Cummings, a spokesman for the International Security Assistance Force in Afghanistan.

"They're just trying to recover everything from the crash at this point," Cummings said.

Elsewhere, four other NATO soldiers were killed in separate insurgent attacks on Sunday. Two were killed in the country's volatile east, while another two service members died in southern Afghanistan, NATO reported.

Their deaths add to a heavy blow against American military operations in the region just as NATO troops are drawing down and a handover to Afghan security forces is under way.

The majority of the SEALs -- considered to be among America's most elite warriors -- belonged to the same covert unit that conducted the May raid that killed Osama bin Laden, though they were not the same men, a U.S. military official said.

The Taliban has taken responsibility for the attack, claiming to have downed the helicopter with a rocket-propelled grenade. Provincial council head Mohammad Hazrat Janan also said insurgents used a rocket-propelled grenade in the attack, though the actual type of weapon is still unclear.

While military officials in Afghanistan have not confirmed that an attack brought down the helicopter, they have acknowledged it was operating in an area rife with insurgent activity.

Afghan officials say the craft crashed in Wardak's Tangi Valley, a corridor located roughly 60 miles southwest of the Afghan capital and situated amid mountainous and rocky terrain.

Tangi village elders reported that insurgents shot at the craft when it was returning from an operation that left eight insurgents dead, according to Janan.

NATO declined to comment on the details of the operation or the circumstances of the crash.

The specifics of the incident were first made public by way of a written statement from Afghan President Hamid Karzai.

"It was amazing to me that the first details came from the presidential palace," said Baktash Siawash, a parliament member from Kabul. "At the same time, we didn't hear anything from NATO."

Siawash said Karzai's swift release of the crash details amounted to helping the Taliban quickly claim responsibility for the incident.

The Afghan president has come under increasing criticism by anti-Taliban lawmakers over his willingness to negotiate with insurgent leadership. He has traditionally said he is trying to bring an end to the near decadelong conflict.

A presidential spokesman dismissed Siawash's allegations as "nonsense," saying Karzai's initial statement on the crash was meant to express condolences over the loss of American life.

Meanwhile, Karzai called a security meeting of his top advisers Sunday to discuss the incident, according to a statement from his office.

He spoke to U.S. President Barack Obama, who "noted the extraordinary service of the Americans who gave their lives, and expressed his condolences for the Afghans who died serving by their side," according to the White House.

Obama also placed calls to Gen. John R. Allen, International Security Assistance Force commander, and Gen. Joseph Votel, head of the Joint Special Operations Command, in Afghanistan.

Reflecting on the sobering loss, Obama said the deaths were "a reminder of the extraordinary sacrifices made by the men and women of our military and their families, including all who have served in Afghanistan."

Among those killed was Aaron Carson Vaughn, 30, his grandmother told CNN Saturday night. She called him a brave warrior and gentle man.

Geneva Carson Vaughn of Union City, Tennessee, said Aaron lived with his wife and two small children in Virginia Beach, Virginia. The SEAL told her in June not to worry about his well-being, she said.

"He said, 'I'm not afraid. Because I know where I am going if something happens to me,' " Vaughn recounted.

"He is with the Lord now," she added. "I will see him again someday."

Saturday's fatalities came as about 10,000 U.S. troops are scheduled to depart by year's end, with the full drawdown expected to take place by the end of 2014.

Ryan Crocker, the newly minted U.S. ambassador in Kabul, has pledged that no permanent U.S. bases would remain inside the war-torn country -- but he also has suggested that American military commitments to Afghanistan could extend beyond the draw-down date.

Saturday's incident has also raised concerns among Kabul lawmakers over the perceived strength of the insurgency.

"This shows the Taliban are now more mobilized than before," said Khalid Pashton, a parliament member from Kandahar province, the traditional heartland of the Taliban. "Now there is an organized play in Afghanistan that seems (to suggest) that U.S. forces will soon leave."

Meanwhile, officials are being especially tight-lipped because recovery operations -- which began immediately following the crash -- are still under way and body identifications and family notifications are just beginning, a U.S. military official said.

The U.S. Embassy in Kabul said ISAF "is still assessing the circumstances that resulted in these deaths."

Afghan Defense Ministry spokesman Zahir Azimi said it's too early to say if the Taliban caused the crash. He called for an investigation.

"Information is still coming in about this incident. I think it's important that we allow investigators to do their work before jumping to too many conclusions," said Adm. Mike Mullen, chairman of the Joint Chiefs of Staff.

"It's also important that we respect the process of notifying family members, no matter how long that takes."

There are 150,000 ISAF troops in Afghanistan, including just under 100,000 from the United States -- the largest NATO presence in the region since the U.S.-led war began in 2001.

David Ariosto reported from Kabul, Afghanistan, and Barbara Starr and Steve Brusk reported from Washington.

@highlight

The Navy SEALs were aiding trapped members of the 75th Army Ranger regiment

@highlight

The SEALs were killed during a mission against a Taliban leader

@highlight

The current whereabouts of the Taliban leader is not clear

@highlight

Insurgent attacks kill four NATO service members Sunday