(CNN)"Are you scared when you have to go back to the mountain at night?"

It's a not a question guides at a museum would usually be asked, but it's happened to those at the outdoor Ainu Museum and cultural village in Hokkaido, Japan's northernmost and second-largest island.

The museum is dedicated to the culture of the Ainu people, an ethnic group that not many -- even in Japan itself -- know much about.

For weary guides at the museum, who live close to the museum in Shiraoi, an hour's drive from the city of Sapporo (but not in primitive huts on the hillside), being able to tell visitors about their unique heritage and language is worth the occasional muddleheaded question.

Brutal hunting methods

The Ainu people are the indigenous inhabitants of Hokkaido.

They're also present on Sakhalin, the island off the east coast of Russia, as well as northern Honshu, Japan's biggest island.

Meeting a modern day Ainu isn't common.

Estimates put the population of Ainu at around 24,000, and finding any who can speak the critically endangered language fluently is harder still: the Endangered Language Project puts the number of native speakers at just 10.

Located outside the small town of Shiraoi (itself an Ainu word meaning "place with many horseflies"), the museum is a re-creation of an Ainu village on the shores of Lake Poroto.

Visitors are immediately greeted by a 30-foot wooden statue of a bearded Ainu chief.

From this stoic totem they can stroll among a series of thatched houses and botanical gardens, getting a glimpse of Ainu traditions stretching back about 1,000 years.

Museum staff with Ainu heritage host regular displays of traditional mouth harp (known as a "mukkur") playing, singing and dancing.

They also explain the ways simple homes were decorated and colorful clothing was made from the natural materials of the areas, from bark to animal hide (including some natty salmon-skin boots).

The Ainu of centuries ago had an oral tradition. Animistic beliefs and worship of fire dominated daily life and Ainu culture. Numerous rituals were enacted before younger Ainu were allowed to take on the rugged landscape of Hokkaido on hunts or fishing trips.

The area's major fauna, like bears and wolves were revered, yet hunting was the norm (some visitors may be put off by the caged brown bears kept on the site that can be fed biscuits for 100 yen, or less than a dollar) and deer could be hunted.

Using techniques that might seem brutal by today's attitudes to animal rights, herds would be chased off a cliff before being clubbed to death.

Harsh life for Ainu

If survival in Hokkaido was harsh centuries ago, life for modern day Ainu in Japan has not been easy either.

The Japanese government did not formally recognize the Ainu as indigenous to Japan, with a distinct language and culture, until 2008, while the westernization of Japan in the Meiji era from 1868 to 1912 lead to greater integration with mainstream Japanese culture.

"Ainu are in difficult economic and social position," says Shunwa Honda, a former professor of the Open University of Japan and a scholar of indigenous ethnic groups.

"Twice the number of Ainu are on social welfare compared to the majority Japanese population. Education levels are much lower and they have economic restraints."

While the museum and recreated village presents a vivid reconstruction of Ainu life, Honda thinks that more typical museums can do better to link tradition and heritage to the modern day Ainu life.

"Many Ainu are also reluctant to say they are Ainu. It's a problem of discrimination that lies under the surface," says Honda.

New moves to raise awareness

However there are signs that the Japanese government may be making an effort to understand the challenges faced by the country's minority groups.

In August last year it was reported that first nationwide survey of discrimination against Ainu people would take place in 2015.

Educating the public is part of the mission of the museum and plans are in place for a new, more modern Ainu cultural center on the other shore of Lake Poroto in time for the Tokyo Olympic Games in 2020.

According to Honda debate continues over the emphasis of the new center.

"Should it continue to highlight the Ainu culture in a historical context and be in danger of appearing irrelevant or should it do what the Smithsonian has done for Native Americans and show the situation for Ainu today?" he asks.

For now visitors to Shiraoi's  Ainu Museum can get a glimpse into the rugged life lived by the area's indigenous inhabitants while modern Japan tries to find a comfortable place for their cultural legacy.

Ainu Museum, 2-3-4, Shiraoi-cho, Shiraoi-gun, Hokkaido, Japan; +81 144 82 3914; daily 8:45 a.m.-5 p.m. (closed December 29-January 5); tickets JPY800 ($7) per adult

@highlight

Ainu Museum is a re-creation of an outdoor village of Japan's indigenous people

@highlight

There are about 25,000 Ainu people but only about 10 Ainu speakers

@highlight

They lead a relatively hard life compared to other Japanese people today