(CNN) -- Washington needs to be reformed. With polls consistently showing that Americans distrust their government and an abundance of evidence that our political system is not working well (some polls have shown that legislators are less trusted than car salesmen), the urgency of improving the rules and procedures through which our politicians govern is essential.

It is a good time to look back at the Watergate Babies, most of whom have left town. Over the past month, two of the giants from this class, California Reps. George Miller and Henry Waxman have announced that they will retire. Almost the entire class is gone, other than Sen. Patrick Leahy of Vermont and Minnesota Democrat Rick Nolan.

The class of Democrats elected in 1974 in the aftermath of President Richard Nixon's resignation amidst the Watergate scandal believed that to achieve better policies, legislators needed to clean up the political process.

Nixon had been brought down from power as a result of evidence that he had covered up the investigation into whether White House officials had been involved in a burglary at the Democratic campaign headquarters in the Watergate complex.

The new Democrats were younger than their predecessors, many had been elected in Republican districts where voters were furious with Nixon and many wanted to move beyond the traditional policy orthodoxies that had defined Democrats since the New Deal.

Unlike so many politicians who keep their eyes focused almost exclusively on what bills they want to pass and accept the political system for what it is, the 75 Watergate Babies insisted government reform needed to be at the top of the agenda. They didn't just complain about government, they took steps to make it work better. This was the only way to correct what had gone wrong in the early 1970s. "There is a mood of reform in the air on Capitol Hill," noted Common Cause when the freshmen arrived.

When the freshman class arrived to Washington, they refused to go along with the status quo. One of their biggest steps was to demand that several senior committee chairmen, who were used to having everyone defer to them, answer questions about whether they would be responsive to the interests of the Democratic Caucus.

When a few of them refused, the freshmen led the caucus in stripping them of their power. Edward Hebert, the crusty old chairman of the House Armed Services Committee, insulted the freshmen by calling them "boys and girls" in front of reporters. In doing so, he sealed his fate. One legislator said that the chairman had "underestimated the intelligence of the people he was talking to. We may be new kids on the block, but we're not stupid."

The Washington Post concluded, "a revolution has occurred. The seniority system as the rigid, inviolable operating framework of the House has been destroyed."

The Watergate Babies also led the way in instituting changes in rules and regulations. Working in an alliance with liberal Democrats who had been in office since the late 1950s, their sunshine laws opened up much more of the legislative process to public and media scrutiny.

They instituted ethics reforms that created new standards of accountability for politicians in the executive and legislative branches.

They ensured that the new campaign finance laws required disclosure of information about who gave money to whom, and that the Federal Election Commission was capable of monitoring the laws. They reformed the filibuster rules to lower the number of senators required to end a filibuster, from two-thirds to three-fifths of the Senate, while providing party leaders more tools so that they could keep members in line (back then reformers wanted more partisanship, not less).

Over time, the Watergate Babies lost much of their zeal for government reform. This class of Democrats eventually focused their attention on policy issues, becoming less interested in cleaning up the political process.

Waxman was a pioneer on issues such as the environment and health care, while Miller was a legislative giant who fought for programs like the minimum wage while others like Colorado's Gary Hart emphasized public investment in high tech industries and new approaches to defense. Some of the reforms also didn't work out as they intended.

But the original focus of the Watergate Babies is an important legacy and one that we should not forget. Their central argument that major policy innovations are impossible unless we make the political system better is one that would be worth remembering.

Although President Barack Obama made political reform part of his 2008 campaign promises, the issues faded quickly from his agenda. Nor have the tea party Republicans, who love to rail against the way that Washington works, really devoted much time to questions such as campaign finance. Rather, their emphasis has been about cutting the government down in size.

Today, reform is urgent. We badly need campaign finance rules that impose limits on what independent organizations can spend and lobbying reforms that seriously close the revolving door between Capitol Hill and the K Street lobbying complex.

Without procedural reforms to weaken the power of party leaders, heightened partisanship in the House and Senate won't subside. Without rules to change the budgeting process, the ability of our Congress to make decisions about spending and taxation in a more rational process -- one that does not constantly risk default -- will be extraordinarily difficult as well.

Without reforms that make sure continued bastions of secrecy, such as conference committees, open up their doors, there will be ongoing frustration with a lack of accountability in politics.

As Waxman and Miller step down, it is time to celebrate what they represented in their heyday during the 1970s. Politicians need to devote some of their capital to strengthening the processes of decision-making and governing. That's vital to restoring trust in government.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: The last few reformers elected after Watergate are retiring

@highlight

Their key message: Cleaning up government should precede policy changes

@highlight

Zelizer says Barack Obama promised change in 2008 but largely abandoned the effort

@highlight

He says U.S. needs to rein in lobbyists, regulate campaign donations, remove secrecy