Sharon Edwards of Salem, Oregon, may have to move to Mexico, where the cost of living is cheaper, so she can afford her retirement.

She was always good about saving, but because of forced retirement at 62, the self-employed interpreter is now limited to a $500 monthly budget. Her finances are determined by Social Security, savings and the cost of treating a chronic lung disease. She worries about meeting her basic needs during her later years and thinks about selling her house to finance her expenses.

"When I budgeted for life as a single woman, I didn't budget for 3% inflation, the loss of half of my retirement savings in the market crash, my hearing loss or early retirement," she said.

Almost daily, we hear stories of the crisis stemming from the breakdown of the three-legged stool of retirement: traditional pensions, Social Security and individual savings. For the majority of Americans, one of the legs of the stool is already gone -- traditional pensions. With its replacement, the 401(k), the stool is in danger of tipping retirees into poverty.

Recent research finds 401(k)-style defined contribution plans have lost their shine. IRAs and 401(k) plans lost a combined $2.8 trillion, or 47% of their value, between September 2007 and December 2008, the height of the economic recession.

Retirement experts find that these plans have numerous shortcomings, including high operation costs and low investment returns. The biggest problem with defined contribution plans is that alone they do not provide retirees with guaranteed retirement income.

If employees don't make the right large contributions into the right investment mix at the right time, they are at high risk for poverty during retirement. This risk continues to spread as the job of planning and managing retirement savings continues to be transferred to workers who have to learn in their spare time to do what professional money managers are trained and paid to do full-time.

The switch from traditional pensions to defined contribution plans in the private sector also challenges workers to determine their own life expectancy as they manage their savings plan.

Edwards may live to 70 or she may live to 95, but she has to manage her retirement savings as if she'll live to 95, or else longer-than-average life expectancy could cause her to run out of money. This means both that she needed to save more, and invest much more conservatively, than if she had a traditional pension.

If workers continue to be forced to play the dual role of employee and retirement actuary, stories of older workers like Edwards will not change for the better. We must work to improve and expand retirement options.

We need to explore new innovative retirement models that provide guaranteed retirement income for all workers if we are going to be a country where once again working people can reasonably expect to be able to retire.

This year, California State Sen. Kevin De León and Darrell Steinberg, the Senate president pro tempore, made headlines for introducing legislation that would allow private-sector workers to enroll in a modest, state-operated retirement program.

A similar proposal has been championed by New York City Comptroller John Liu. The plan, based on a new retirement model created by New School economics professor Teresa Ghilarducci, would pool employee and employer contributions into a professionally managed, citywide retirement fund.

Although the future of these proposals is uncertain, they are a step in the right direction. Traditional pensions usually outperform their counterparts because they are managed professionally, and because they can use the average life expectancy of their participants for their investment time horizon.

We should look at what has worked well with traditional pensions, which keep nearly 5 million older Americans out of poverty, and use those attributes to reach more retirees. After all, shouldn't retirement stories come with happy endings?

Part of what we aspire to as Americans is being able to stop working with our dreams and reasonable expectations of retirement still intact. What does it say about the American dream if Sharon Edwards can't continue to afford her home or actually has to move to another country to retire?

@highlight

Yvonne Walker: 401(k)-style plans create danger of tipping retirees into poverty

@highlight

Walker says 401(k)s and IRAs lost $2.8 trillion -- 47 percent of their value -- in 2008

@highlight

We need innovative retirement models that provide guaranteed retirement income, Walker says

@highlight

Walker: California and New York City have recently proposed such innovative plans