(CNN) -- As negotiations with Iran are about to resume in Vienna, some of President Obama's friends, not to mention his enemies, are appalled by the very idea of what they consider a deal with the devil.

One congressman called November's interim agreement a betrayal "worse than Munich" before he had even seen it. Incapable of joining forces on anything else, some Democrats, Republicans and Iranian hardliners refuse to give peace a chance. A century and a half ago, a recalcitrant alliance of the same improbable ilk caused literally fatal consequences.

On February 5, 1865, Abraham Lincoln designed a simple compromise to end the Civil War. It would have saved thousands of lives, abolished slavery and enticed the departed states to disarm and return voluntarily in exchange for fair concessions. It never made it out of the White House. The purists in his Cabinet rejected it, and the moderates would not cross them.

A few days earlier, Lincoln and his secretary of state, William Seward, a liberal former senator and a defeated candidate for president, had welcomed a rebel peace delegation to the presidential steamboat River Queen, the Air Force One of her day

The very news that they were talking produced howls of pain in both camps, inflamed as they were by the loss of 600,000 dead. In much of the Southern press, negotiation itself was attacked as a Yankee trick. On Capitol Hill in Washington, Republicans bright with rage denounced any deal with slave-drivers. "Break up this nest of vipers," an Ohio senator said. Honorable men do not haggle with snakes.

As the New York Times soon declared, there was "no immediate danger of peace." Lincoln and Seward and the three Southern envoys, friends in "the old concern," reminisced on the River Queen over refreshments and cigars. Fragrant smoke filled the air, tinged with the scent of nostalgia. Better times were recalled, to the ring of familiar laughter. Then the laughter came to an end.

Lincoln demanded peace and wielded the sanctions of war. The rebels must drop their arms before he would come to the table. Once they embraced reunion, accommodations might be made, including compensation for abandoning slavery, which Northern traders had conceived and Northern lawmakers had condoned, but the power of the purse was not his, and he would not negotiate with armed antagonists.

The President was offering them nothing, one of the Southerners said. For the war to end peacefully, the rebels must be "treated with," as Charles I had done in the English Civil War.

Lincoln's reply moved the parties no closer to the middle. "Upon questions of history I must refer you to Seward, for he is posted in such things, and I don't pretend to be bright. My only distinct recollection of the case is that Charles lost his head."

Another Southerner said an agreement would be more durable than a solution imposed by war. Lincoln and Seward were unmoved. They would have no conversation with armed interlocutors.

On the long trip back to Washington, Lincoln thought hard on what the Southerners had said. Then he worked on something he could give and assembled his Cabinet that night. For reasons lost to history, Seward was not there. Lincoln read aloud a draft proclamation asking Congress to endorse a compromise. If the seceded states returned and ratified a constitutional amendment banning slavery, the government would pay them $400 million for their slaves, restore their forfeited property and pardon their "political offenses."

As the President read his draft, Secretary of the Interior John Usher was thinking, he later recalled, of a Lincoln loyalist who had just been heard to say that Seward should be jailed for suborning the sin of compromise. If Lincoln brought his plan to Congress, his own supporters would turn on him. Usher thought he would pay the price if a single member of his Cabinet supported him.

Not a single member did. The discussion didn't last 10 minutes. With a sadness familiar to Usher, Lincoln "brought a long sigh" and folded up his plan. "You are all against me," he said.

Congress was never told that the subject had even been raised. In the dozen weeks that followed, before Robert E. Lee and Joseph E. Johnston surrendered their armies in April, thousands of young Americans died and thousands more were maimed. The South was subdued by the sword and subjected to military rule. A century of bitterness followed.

Militants were at ease in Richmond and Washington alike. As late as 1957, a Southern historian applauded the Confederate Congress for going down with flags flying, "without having begged for mercy," despising the few "whipped senators" who had tried to bargain for peace when the South could no longer wage war.

Short-sighted militants are no less intransigent today. The many differences between the failed negotiations to end the Civil War in 1865 and the potentially fatal outcry over the negotiations to avoid a war with Iran in 2014 do not obscure the similarities. What one Southern participant in the Hampton Roads Peace Conference described as "a superstitious dread" of negotiation itself was permitted to prevail in 1865, with historically tragic results.

At the bargaining table in Vienna, the Obama administration is taking a longer view. A century and a half from now, posterity will thank them for it.

The opinions expressed in this commentary are solely those of James Conroy.

@highlight

James Conroy: Lincoln's peace efforts worth recalling as Obama tries negotiating with Iran

@highlight

He says hardliners on both sides of the war scuttled Lincoln's peace plan

@highlight

Conroy says the Civil War could have ended months earlier, saving thousands of lives

@highlight

He says taking risks for peace can pay off in the long run