(CNN)I met Kelly Gissendaner in January 2010 in a nondescript classroom at Metro State Prison for Women in Atlanta. She arrived for class beaming with excitement about the journey she was about to begin -- participation in a yearlong academic theology program sponsored jointly by four Atlanta seminaries.

Since she has been sentenced to the death penalty and lives in solitary confinement, Kelly was particularly eager to share community with others, if only one morning a week. And she was grateful for the opportunity to explore the Bible and theology in a rigorous manner that would nurture and deepen her devotional life. That image of her on the first day of class remains vivid to me because it captures the core of who Kelly is — who she has become: someone full of contagious joy and gratitude, open to others and to new experiences for growth and ministry.

Kelly's process of transformation began shortly after she arrived in prison following her conviction for murder in the death of her husband, Doug Gissendaner.

A pastor began visiting her and initiated a series of difficult, yet compassionate, conversations that urged her toward courageous self-reflection.

This same pastor has been visiting Kelly for almost 16 years. Her commitment to Kelly, along with that of the prison chaplain and chaplaincy interns, provided steady, ongoing love that fostered change. So by the time I met Kelly in 2010 she had already undergone a significant transformation. She was, in the words of the Apostle Paul, a "new creation" (2 Cor. 5:17).

In the theology program, Kelly found her own voice and came to see that her reflections on Christian faith could be a gift to the wider church "on the outside," as well as in prison. By studying historical and contemporary Christian thinkers, Kelly became part of the conversations that make the Christian tradition dynamic.

She asked honest questions about her relationship to God, others and the world. She read scripture and grappled with centuries-old theological questions. She discovered her authentic theological voice in the midst of this work. "From the start of the theology class I felt this hunger," she said in her 2011 graduation speech. "I became so hungry for theology, and what all the classes had to offer; you could call me a glutton."

One of the great joys of being a theology professor is getting to know students holistically, not only as thinkers, but also as human beings wrestling with some of life's most urgent questions. My relationship with Kelly had this quality from the start. But it deepened six months into the year when a new warden arrived at the prison. In her graduation speech, Kelly described this moment:

"There came a time when ... my worst fears became my reality -- I was pulled from the courses. I was taken from my theological community. Being pulled from the program devastated me as badly as if someone had just told me one of my appeals had been turned down.

"Since I couldn't go to the theology class ... the instructors came to me. Still, this was far from being ideal because now I had to have class and community through a gate. It was hard ... but I pushed on. I pushed on because of that hunger. That gate ... was meant to keep everyone and everything separated from me. But that gate couldn't keep out the knowledge that I was so hungry for, nor friendship and community. And it sure couldn't keep out God."

This change afforded us the chance to have two hours of one-on-one conversation every Friday. We continued to read theological texts together, including a book by then-Archbishop of Canterbury Rowan Williams.

Williams describes healing and restoration as the act of facing our painful memories, "the ruins of the past," and building from them here and now. Restoration, Williams writes, "is going back to the memories of the painful, humiliating past and bringing them to redemption in the present ... to Christ [who] comes to repair the devastation."

I sat with Kelly as she went back over some of her own painful memories, took responsibility for them and showed profound remorse about who she had been and what she had done.

Indeed, the power of these moments -- when Kelly looked me in the eye and confessed concrete sins, when we spoke of God's love and forgiveness -- will stay with me forever.

Kelly embraced what Dietrich Bonhoeffer, a German pastor-theologian and Nazi resister, calls "costly grace." For Bonhoeffer, "cheap grace" is seeking God's forgiveness as a "cover-up for one's sins, for which one has no remorse and ... even less desire to be set free."

In contrast, costly grace requires rigorously following Jesus in a way that leads to continuous, visible transformation, what the New Testament calls the fruits of redemption.

The fruits of Kelly's redemption are now well-documented: reconciliation with her children, ministry to inmates full of despair, counsel to troubled youth and daily concern for others. On the night Kelly thought would be her last, she spent the evening writing a letter to her fellow inmates, urging them not to worry about her, but to be encouraged.

Most poignant for Kelly are the writings of German theologian Jürgen Moltmann, who is widely known as the "theologian of hope" and with whom Kelly began corresponding in 2010. Moltmann shows that biblical hope is not a hope that gives up on this life and looks for something better beyond the grave. Rather, hope makes manifest the kingdom of God now --God's intended social order "on earth as it is in heaven" (Matt. 6:10).

Biblical hope "revolutionizes and transforms the present."  It is the hope of the psalmist who "looks for the goodness of God in this life" (Ps. 27:13).  In the words of Kelly's favorite scripture, it is a hope that proclaims: "I shall not die but live, and declare the works of the Lord" (Ps 118:17).

In Kelly's own words:

"The theology program has shown me that hope is still alive and that, despite a gate or a guillotine hovering over my head, I still possess the ability to prove that I am human. Labels on anyone can be notoriously misleading and unforgiving things. But no matter the label attached to me, I have the capacity and the unstoppable desire to accomplish something positive and have a lasting impact ... Even prison cannot erase my hope or conviction that the future is not settled for me, or anyone."

Many people have asked me in recent days how I have been transformed by my friendship with Kelly and by Kelly's journey of hope. While I struggle to find adequate words, what I do know is that Kelly's story pushes the logic of Christian faith to its outermost limits.

It pushes Christians to reexamine and reaffirm the truths we proclaim about repentance, forgiveness, redemption and hope. Indeed, even professional theologians and life-long pastors struggle with the weight of the claims we make.

Today, Kelly's life hangs in the balance. The state of Georgia on Monday issued a last-minute postponement of her execution, citing concerns about the drugs that were to be used to kill her. The Department of Corrections has said that it plans to resume executions once an analysis of the drugs is complete.

While Gov. Nathan Deal does not have the formal power to commute Kelly's sentence to life in prison, I join more than 1,100 faith leaders from across the nation, including more than 500 from Georgia, who have signed a letter urging the governor to use his political influence to save Kelly's life and to speak out publicly against her execution.

I call on all people of good will to reach out to Gov. Deal and to Georgia state legislators to demand a more just, merciful, and accountable system of justice -- for Kelly and for all.

As theologian Richard Amesbury wrote, "If the life even of a convicted murderer can be turned around and so radically redirected, then none of us is without hope."

We need to hear Kelly Gissendaner proclaim to us -- as much as we proclaim to her -- that the promises of God are real.

@highlight

The execution of Kelly Gissendaner was postponed due to concerns over injection drugs

@highlight

McBride: In her time on death row, Gissendaner has discovered hope through theology