Two more HIV patients have no signs of the virus in their blood following bone marrow transplants, according to the Boston researchers who treated them.

However, experts stopped short of calling the two cured and said the treatment is not a viable option for the majority of HIV patients.

The findings were presented Wednesday at the International AIDS Society Conference in Kuala Lumpur, Malaysia.

The two men, whose identities are being withheld, had been on antiretroviral (ARV) drug therapy for years before being diagnosed with lymphoma, a cancer of the lymph nodes.

Both underwent intensive chemotherapy followed by bone marrow transplants to treat the cancer. They remained on antiretroviral therapy.

Approximately four months after the transplant doctors were still able to detect HIV in their blood, but six to nine months later, all traces of the virus were gone.

"Because of those findings, we thought it was justified to take the patients off of their therapy to see what happens," said Dr. Timothy Henrich, who conducted the clinical trial.

"Now, in a normal person who has HIV, who has been on long-term antiretroviral therapy for years, usually the virus comes back within two to four weeks after stopping therapy, it comes right back. "

Some patients make it up to eight weeks before the virus returns, said Henrich, a researcher at Harvard Medical School and Brigham and Women's Hospital in Boston, but the virus returns eight to 10 weeks after therapy is stopped in the vast majority of patients.

HIV discovery 'will change your life forever'

Not so for these two, however.

"We are now recording 15 weeks after therapy and eight weeks after therapy for our two patients, and to date we are unable to detect HIV rebounding in the bloodstream after we stopped the therapy," Henrich said.

"We do weekly monitoring, as well. We've been looking at the virus in the blood and the cells in the blood essentially every week since we've taken them off therapy, and we have not been able to detect virus at this time."

The two men are being compared to Timothy Ray Brown, also known as the "Berlin Patient." Brown is thought to be the first person ever "cured" of HIV/AIDS.

In 2007, Brown had a stem cell transplant to treat his leukemia.  His doctor searched for a donor with a rare genetic mutation called CCR5 delta32 that makes stem cells naturally resistant to HIV infection.

Today, the virus is still undetectable in Brown's blood, and he is still considered to be "functionally cured."  A functional cure means the virus is controlled and will not be transmitted to others.

The stem cell transplant procedure, however, is very dangerous because a patient's immune system has to be wiped out in order to accept the transplant.

Using a bone marrow transplant to treat HIV is not a feasible treatment for most patients, and only 1% of Caucasians -- mostly Northern Europeans -- and no African-Americans or Asians have the CCR5 delta32 mutation, researchers say.

The transplant is still not a practical strategy for the majority of HIV patients, and the risk of mortality is up to 20%, Henrich says.

Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health, agreed.

"This is not a practical approach for someone who does not need a stem cell transplant since the transplant and its preparation and its subsequent need for chronic immunosuppression is a risky procedure," Fauci said.

"If you have an underlying neoplasm (tumor) like these patients had, then the risk outweighs the benefit," he said. "However, if you are doing well on ARVs and you merely want to get off antiretroviral therapy, then the risk seems greater than the benefit."

HIV 'cure' in toddler offers 'global hope'

Even though the two patients showed a reduction of the virus in the blood, it could still be in some tissue -- the brain or gastrointestinal tract, for instance, Henrich said.

The virus "could certainly return," he said.

"It's possible, again, that the virus could return in a week, it could return in a month -- in fact, some mathematical modeling predicts that virus could even return one to two years after we stop antiretroviral therapy, so we really don't know what the long-term or full effects of stem cell transplantation and viral persistence is."

Still, he feels the information will help move the curative field of HIV research forward.

"We're going to learn different strategies about how we can attack the viral reservoir, how we can harness the immune system better and what exactly caused the lack of virus in the two patients at least in the short term."

Earlier this year, researchers said an HIV-positive baby in Mississippi was given high doses of three antiretroviral drugs within 30 hours of her birth, with doctors hoping that would control the virus.

Two years later, there is no sign of HIV in the child's blood, making her the first child to be "functionally cured" of HIV.

The Foundation for AIDS Research, or amfAR, helped fund the study.

"These findings clearly provide important new information that might well alter the current thinking about HIV and gene therapy," said amfAR CEO Kevin Robert Frost.

"While stem cell transplantation is not a viable option for people with HIV on a broad scale because of its costs and complexity, these new cases could lead us to new approaches to treating, and ultimately even eradicating, HIV."

"Dr. Henrich is charting new territory in HIV eradication research," said Dr. Rowena Johnston, amfAR vice president and director of research.

"Whatever the outcome, we will have learned more about what it will take to cure HIV.  We believe amfAR's continued investments in HIV cure-based research are beginning to show real results and will ultimately lead us to a cure in our lifetime."

In the meantime, Henrich says he and other groups are actively enrolling patients for these types of studies.

Opinion: An AIDS-free generation is within sight

@highlight

Two men show no sign of HIV after bone marrow transplants

@highlight

But experts say it's too early to know if the two are cured

@highlight

The transplant isn't a viable option for the vast majority of patients